#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9997
#define LARGE_STATE_COUNT 4455
#define SYMBOL_COUNT 498
#define ALIAS_COUNT 2
#define TOKEN_COUNT 216
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 26
#define MAX_ALIAS_SEQUENCE_LENGTH 15
#define PRODUCTION_ID_COUNT 226

enum ts_symbol_identifiers {
  sym__identifier_token = 1,
  anon_sym_extern = 2,
  anon_sym_alias = 3,
  anon_sym_SEMI = 4,
  anon_sym_global = 5,
  anon_sym_using = 6,
  anon_sym_unsafe = 7,
  anon_sym_EQ = 8,
  anon_sym_static = 9,
  anon_sym_LBRACK = 10,
  anon_sym_assembly = 11,
  anon_sym_module = 12,
  anon_sym_COLON = 13,
  anon_sym_COMMA = 14,
  anon_sym_RBRACK = 15,
  anon_sym_LPAREN = 16,
  anon_sym_RPAREN = 17,
  anon_sym_field = 18,
  anon_sym_event = 19,
  anon_sym_method = 20,
  anon_sym_param = 21,
  anon_sym_property = 22,
  anon_sym_return = 23,
  anon_sym_type = 24,
  anon_sym_namespace = 25,
  anon_sym_class = 26,
  anon_sym_ref = 27,
  anon_sym_struct = 28,
  anon_sym_enum = 29,
  anon_sym_LBRACE = 30,
  anon_sym_RBRACE = 31,
  anon_sym_interface = 32,
  anon_sym_delegate = 33,
  anon_sym_record = 34,
  anon_sym_abstract = 35,
  anon_sym_async = 36,
  anon_sym_const = 37,
  anon_sym_file = 38,
  anon_sym_fixed = 39,
  anon_sym_internal = 40,
  anon_sym_new = 41,
  anon_sym_override = 42,
  anon_sym_partial = 43,
  anon_sym_private = 44,
  anon_sym_protected = 45,
  anon_sym_public = 46,
  anon_sym_readonly = 47,
  anon_sym_required = 48,
  anon_sym_sealed = 49,
  anon_sym_virtual = 50,
  anon_sym_volatile = 51,
  anon_sym_LT = 52,
  anon_sym_GT = 53,
  anon_sym_in = 54,
  anon_sym_out = 55,
  anon_sym_where = 56,
  anon_sym_QMARK = 57,
  anon_sym_notnull = 58,
  anon_sym_unmanaged = 59,
  anon_sym_operator = 60,
  anon_sym_checked = 61,
  anon_sym_BANG = 62,
  anon_sym_TILDE = 63,
  anon_sym_PLUS_PLUS = 64,
  anon_sym_DASH_DASH = 65,
  anon_sym_true = 66,
  anon_sym_false = 67,
  anon_sym_PLUS = 68,
  anon_sym_DASH = 69,
  anon_sym_STAR = 70,
  anon_sym_SLASH = 71,
  anon_sym_PERCENT = 72,
  anon_sym_CARET = 73,
  anon_sym_PIPE = 74,
  anon_sym_AMP = 75,
  anon_sym_LT_LT = 76,
  anon_sym_GT_GT = 77,
  anon_sym_GT_GT_GT = 78,
  anon_sym_EQ_EQ = 79,
  anon_sym_BANG_EQ = 80,
  anon_sym_GT_EQ = 81,
  anon_sym_LT_EQ = 82,
  anon_sym_implicit = 83,
  anon_sym_explicit = 84,
  anon_sym_get = 85,
  anon_sym_set = 86,
  anon_sym_add = 87,
  anon_sym_remove = 88,
  anon_sym_init = 89,
  anon_sym_this = 90,
  anon_sym_DOT = 91,
  anon_sym_scoped = 92,
  anon_sym_params = 93,
  anon_sym_base = 94,
  anon_sym_EQ_GT = 95,
  anon_sym_COLON_COLON = 96,
  anon_sym_var = 97,
  anon_sym_managed = 98,
  anon_sym_Cdecl = 99,
  anon_sym_Stdcall = 100,
  anon_sym_Thiscall = 101,
  anon_sym_Fastcall = 102,
  sym_predefined_type = 103,
  anon_sym_break = 104,
  anon_sym_unchecked = 105,
  anon_sym_continue = 106,
  anon_sym_do = 107,
  anon_sym_while = 108,
  anon_sym_for = 109,
  anon_sym_lock = 110,
  anon_sym_yield = 111,
  anon_sym_switch = 112,
  anon_sym_case = 113,
  anon_sym_default = 114,
  anon_sym_throw = 115,
  anon_sym_try = 116,
  anon_sym_catch = 117,
  anon_sym_when = 118,
  anon_sym_finally = 119,
  anon_sym_await = 120,
  anon_sym_foreach = 121,
  anon_sym_goto = 122,
  anon_sym_if = 123,
  anon_sym_else = 124,
  sym_discard = 125,
  anon_sym_DOT_DOT = 126,
  anon_sym_not = 127,
  anon_sym_and = 128,
  anon_sym_or = 129,
  anon_sym_PLUS_EQ = 130,
  anon_sym_DASH_EQ = 131,
  anon_sym_STAR_EQ = 132,
  anon_sym_SLASH_EQ = 133,
  anon_sym_PERCENT_EQ = 134,
  anon_sym_AMP_EQ = 135,
  anon_sym_CARET_EQ = 136,
  anon_sym_PIPE_EQ = 137,
  anon_sym_LT_LT_EQ = 138,
  anon_sym_GT_GT_EQ = 139,
  anon_sym_GT_GT_GT_EQ = 140,
  anon_sym_QMARK_QMARK_EQ = 141,
  anon_sym_AMP_AMP = 142,
  anon_sym_PIPE_PIPE = 143,
  anon_sym_QMARK_QMARK = 144,
  anon_sym_from = 145,
  anon_sym_into = 146,
  anon_sym_join = 147,
  anon_sym_on = 148,
  anon_sym_equals = 149,
  anon_sym_let = 150,
  anon_sym_orderby = 151,
  anon_sym_ascending = 152,
  anon_sym_descending = 153,
  anon_sym_group = 154,
  anon_sym_by = 155,
  anon_sym_select = 156,
  anon_sym_as = 157,
  anon_sym_is = 158,
  anon_sym_DQUOTE = 159,
  aux_sym_interpolation_format_clause_token1 = 160,
  anon_sym_DASH_GT = 161,
  anon_sym_stackalloc = 162,
  anon_sym_with = 163,
  anon_sym_sizeof = 164,
  anon_sym_typeof = 165,
  anon_sym___makeref = 166,
  anon_sym___reftype = 167,
  anon_sym___refvalue = 168,
  sym_null_literal = 169,
  anon_sym_SQUOTE = 170,
  sym_character_literal_content = 171,
  sym_integer_literal = 172,
  sym_real_literal = 173,
  aux_sym_string_literal_content_token1 = 174,
  aux_sym_string_literal_content_token2 = 175,
  sym_escape_sequence = 176,
  sym_string_literal_encoding = 177,
  sym_verbatim_string_literal = 178,
  aux_sym_raw_string_literal_token1 = 179,
  aux_sym_preproc_if_token1 = 180,
  aux_sym_preproc_if_token2 = 181,
  aux_sym_preproc_if_token3 = 182,
  aux_sym_preproc_else_token1 = 183,
  aux_sym_preproc_elif_token1 = 184,
  sym_preproc_arg = 185,
  aux_sym_preproc_region_token1 = 186,
  aux_sym_preproc_endregion_token1 = 187,
  aux_sym_preproc_line_token1 = 188,
  anon_sym_hidden = 189,
  aux_sym_preproc_pragma_token1 = 190,
  anon_sym_warning = 191,
  anon_sym_disable = 192,
  anon_sym_restore = 193,
  anon_sym_checksum = 194,
  aux_sym_preproc_nullable_token1 = 195,
  anon_sym_enable = 196,
  anon_sym_annotations = 197,
  anon_sym_warnings = 198,
  aux_sym_preproc_error_token1 = 199,
  aux_sym_preproc_define_token1 = 200,
  aux_sym_preproc_undef_token1 = 201,
  sym_shebang_directive = 202,
  sym_comment = 203,
  sym__optional_semi = 204,
  sym_interpolation_regular_start = 205,
  sym_interpolation_verbatim_start = 206,
  sym_interpolation_raw_start = 207,
  sym_interpolation_start_quote = 208,
  sym_interpolation_end_quote = 209,
  sym_interpolation_open_brace = 210,
  sym_interpolation_close_brace = 211,
  sym_interpolation_string_content = 212,
  sym_raw_string_start = 213,
  sym_raw_string_end = 214,
  sym_raw_string_content = 215,
  sym_compilation_unit = 216,
  sym__top_level_item = 217,
  sym_global_statement = 218,
  sym_extern_alias_directive = 219,
  sym_using_directive = 220,
  sym_global_attribute = 221,
  sym_attribute = 222,
  sym_attribute_argument_list = 223,
  sym_attribute_argument = 224,
  sym_attribute_list = 225,
  sym_attribute_target_specifier = 226,
  sym_namespace_declaration = 227,
  sym_file_scoped_namespace_declaration = 228,
  sym_type_declaration = 229,
  sym_class_declaration = 230,
  sym_struct_declaration = 231,
  sym_enum_declaration = 232,
  sym_enum_member_declaration_list = 233,
  sym_enum_member_declaration = 234,
  sym_interface_declaration = 235,
  sym_delegate_declaration = 236,
  sym_record_declaration = 237,
  sym_record_base = 238,
  sym_primary_constructor_base_type = 239,
  sym_modifier = 240,
  sym_type_parameter_list = 241,
  sym_type_parameter = 242,
  sym_base_list = 243,
  sym_type_parameter_constraints_clause = 244,
  sym_type_parameter_constraint = 245,
  sym_constructor_constraint = 246,
  sym_operator_declaration = 247,
  sym_conversion_operator_declaration = 248,
  sym_declaration_list = 249,
  sym_declaration = 250,
  sym_field_declaration = 251,
  sym_constructor_declaration = 252,
  sym_destructor_declaration = 253,
  sym_method_declaration = 254,
  sym_event_declaration = 255,
  sym_event_field_declaration = 256,
  sym_accessor_list = 257,
  sym_accessor_declaration = 258,
  sym_indexer_declaration = 259,
  sym_bracketed_parameter_list = 260,
  sym_property_declaration = 261,
  sym_explicit_interface_specifier = 262,
  sym_parameter_list = 263,
  sym_parameter = 264,
  sym__parameter_array = 265,
  sym_constructor_initializer = 266,
  sym_argument_list = 267,
  sym_tuple_pattern = 268,
  sym_argument = 269,
  sym_block = 270,
  sym_arrow_expression_clause = 271,
  sym__function_body = 272,
  sym_variable_declaration = 273,
  sym_using_variable_declaration = 274,
  sym_variable_declarator = 275,
  sym_using_variable_declarator = 276,
  sym_bracketed_argument_list = 277,
  sym__name = 278,
  sym_alias_qualified_name = 279,
  sym__simple_name = 280,
  sym_qualified_name = 281,
  sym_generic_name = 282,
  sym_type_argument_list = 283,
  sym_type = 284,
  sym_implicit_type = 285,
  sym_array_type = 286,
  sym__array_base_type = 287,
  sym_array_rank_specifier = 288,
  sym_nullable_type = 289,
  sym_pointer_type = 290,
  sym__pointer_base_type = 291,
  sym_function_pointer_type = 292,
  sym_calling_convention = 293,
  sym_function_pointer_parameter = 294,
  sym_ref_type = 295,
  sym__ref_base_type = 296,
  sym_scoped_type = 297,
  sym__scoped_base_type = 298,
  sym_tuple_type = 299,
  sym_tuple_element = 300,
  sym_statement = 301,
  sym_break_statement = 302,
  sym_checked_statement = 303,
  sym_continue_statement = 304,
  sym_do_statement = 305,
  sym_empty_statement = 306,
  sym_expression_statement = 307,
  sym_fixed_statement = 308,
  sym_for_statement = 309,
  sym_return_statement = 310,
  sym_lock_statement = 311,
  sym_yield_statement = 312,
  sym_switch_statement = 313,
  sym_switch_body = 314,
  sym_switch_section = 315,
  sym_throw_statement = 316,
  sym_try_statement = 317,
  sym_catch_clause = 318,
  sym_catch_declaration = 319,
  sym_catch_filter_clause = 320,
  sym_finally_clause = 321,
  sym_unsafe_statement = 322,
  sym_using_statement = 323,
  sym_foreach_statement = 324,
  sym_goto_statement = 325,
  sym_labeled_statement = 326,
  sym_if_statement = 327,
  sym_while_statement = 328,
  sym_local_declaration_statement = 329,
  sym_local_function_statement = 330,
  sym_pattern = 331,
  sym_constant_pattern = 332,
  sym_parenthesized_pattern = 333,
  sym_var_pattern = 334,
  sym_type_pattern = 335,
  sym_list_pattern = 336,
  sym_recursive_pattern = 337,
  sym_positional_pattern_clause = 338,
  sym_property_pattern_clause = 339,
  sym_subpattern = 340,
  sym_relational_pattern = 341,
  sym_negated_pattern = 342,
  sym_and_pattern = 343,
  sym_or_pattern = 344,
  sym_declaration_pattern = 345,
  sym__variable_designation = 346,
  sym_parenthesized_variable_designation = 347,
  sym_expression = 348,
  sym_non_lvalue_expression = 349,
  sym_lvalue_expression = 350,
  sym__expression_statement_expression = 351,
  sym_assignment_expression = 352,
  sym_binary_expression = 353,
  sym_postfix_unary_expression = 354,
  sym_prefix_unary_expression = 355,
  sym__pointer_indirection_expression = 356,
  sym_query_expression = 357,
  sym_from_clause = 358,
  sym__query_body = 359,
  sym__query_clause = 360,
  sym_join_clause = 361,
  sym__join_header = 362,
  sym__join_body = 363,
  sym_join_into_clause = 364,
  sym_let_clause = 365,
  sym_order_by_clause = 366,
  sym__ordering = 367,
  sym_where_clause = 368,
  sym__select_or_group_clause = 369,
  sym_group_clause = 370,
  sym_select_clause = 371,
  sym_conditional_expression = 372,
  sym_conditional_access_expression = 373,
  sym_as_expression = 374,
  sym_is_expression = 375,
  sym_is_pattern_expression = 376,
  sym_cast_expression = 377,
  sym_checked_expression = 378,
  sym_invocation_expression = 379,
  sym_switch_expression = 380,
  sym_switch_expression_arm = 381,
  sym_when_clause = 382,
  sym_await_expression = 383,
  sym_throw_expression = 384,
  sym_element_access_expression = 385,
  sym_interpolated_string_expression = 386,
  sym__interpolated_string_content = 387,
  sym__interpolated_verbatim_string_content = 388,
  sym__interpolated_raw_string_content = 389,
  sym_interpolation = 390,
  sym_interpolation_alignment_clause = 391,
  sym_interpolation_format_clause = 392,
  sym_member_access_expression = 393,
  sym_member_binding_expression = 394,
  sym_object_creation_expression = 395,
  sym_parenthesized_expression = 396,
  sym__parenthesized_lvalue_expression = 397,
  sym_lambda_expression = 398,
  sym__lambda_parameters = 399,
  sym_array_creation_expression = 400,
  sym_anonymous_method_expression = 401,
  sym_anonymous_object_creation_expression = 402,
  sym__anonymous_object_member_declarator = 403,
  sym_implicit_array_creation_expression = 404,
  sym_implicit_object_creation_expression = 405,
  sym_implicit_stackalloc_expression = 406,
  sym_initializer_expression = 407,
  sym_declaration_expression = 408,
  sym_default_expression = 409,
  sym_with_expression = 410,
  sym_with_initializer = 411,
  sym_sizeof_expression = 412,
  sym_typeof_expression = 413,
  sym_makeref_expression = 414,
  sym_ref_expression = 415,
  sym_reftype_expression = 416,
  sym_refvalue_expression = 417,
  sym_stackalloc_expression = 418,
  sym_range_expression = 419,
  sym_tuple_expression = 420,
  sym_literal = 421,
  sym_character_literal = 422,
  sym_string_literal = 423,
  sym_string_literal_content = 424,
  sym_raw_string_literal = 425,
  sym_boolean_literal = 426,
  sym_identifier = 427,
  sym__reserved_identifier = 428,
  sym_preproc_if = 429,
  sym_preproc_else = 430,
  sym_preproc_elif = 431,
  sym_preproc_if_in_top_level = 432,
  sym_preproc_else_in_top_level = 433,
  sym_preproc_elif_in_top_level = 434,
  sym_preproc_if_in_expression = 435,
  sym_preproc_else_in_expression = 436,
  sym_preproc_elif_in_expression = 437,
  sym_preproc_if_in_enum_member_declaration = 438,
  sym_preproc_else_in_enum_member_declaration = 439,
  sym_preproc_elif_in_enum_member_declaration = 440,
  sym__preproc_expression = 441,
  sym_preproc_parenthesized_expression = 442,
  sym_preproc_unary_expression = 443,
  sym_preproc_binary_expression = 444,
  sym_preproc_region = 445,
  sym_preproc_endregion = 446,
  sym_preproc_line = 447,
  sym_preproc_pragma = 448,
  sym_preproc_nullable = 449,
  sym_preproc_error = 450,
  sym_preproc_define = 451,
  sym_preproc_undef = 452,
  aux_sym_compilation_unit_repeat1 = 453,
  aux_sym_global_attribute_repeat1 = 454,
  aux_sym_attribute_argument_list_repeat1 = 455,
  aux_sym_class_declaration_repeat1 = 456,
  aux_sym_class_declaration_repeat2 = 457,
  aux_sym_class_declaration_repeat3 = 458,
  aux_sym_enum_member_declaration_list_repeat1 = 459,
  aux_sym_record_base_repeat1 = 460,
  aux_sym_type_parameter_list_repeat1 = 461,
  aux_sym_base_list_repeat1 = 462,
  aux_sym_type_parameter_constraints_clause_repeat1 = 463,
  aux_sym_declaration_list_repeat1 = 464,
  aux_sym_accessor_list_repeat1 = 465,
  aux_sym_bracketed_parameter_list_repeat1 = 466,
  aux_sym__parameter_type_with_modifiers_repeat1 = 467,
  aux_sym_argument_list_repeat1 = 468,
  aux_sym_tuple_pattern_repeat1 = 469,
  aux_sym_block_repeat1 = 470,
  aux_sym_variable_declaration_repeat1 = 471,
  aux_sym_using_variable_declaration_repeat1 = 472,
  aux_sym_type_argument_list_repeat1 = 473,
  aux_sym_type_argument_list_repeat2 = 474,
  aux_sym_array_rank_specifier_repeat1 = 475,
  aux_sym_function_pointer_type_repeat1 = 476,
  aux_sym_calling_convention_repeat1 = 477,
  aux_sym_tuple_type_repeat1 = 478,
  aux_sym_for_statement_repeat1 = 479,
  aux_sym_switch_body_repeat1 = 480,
  aux_sym_try_statement_repeat1 = 481,
  aux_sym_list_pattern_repeat1 = 482,
  aux_sym_positional_pattern_clause_repeat1 = 483,
  aux_sym_parenthesized_variable_designation_repeat1 = 484,
  aux_sym__query_body_repeat1 = 485,
  aux_sym__query_body_repeat2 = 486,
  aux_sym_order_by_clause_repeat1 = 487,
  aux_sym_switch_expression_repeat1 = 488,
  aux_sym_interpolated_string_expression_repeat1 = 489,
  aux_sym_interpolated_string_expression_repeat2 = 490,
  aux_sym_interpolated_string_expression_repeat3 = 491,
  aux_sym_lambda_expression_repeat1 = 492,
  aux_sym_anonymous_object_creation_expression_repeat1 = 493,
  aux_sym_with_expression_repeat1 = 494,
  aux_sym_string_literal_repeat1 = 495,
  aux_sym_preproc_if_in_top_level_repeat1 = 496,
  aux_sym_preproc_pragma_repeat1 = 497,
  alias_sym_element_binding_expression = 498,
  alias_sym_implicit_parameter = 499,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier_token] = "_identifier_token",
  [anon_sym_extern] = "extern",
  [anon_sym_alias] = "alias",
  [anon_sym_SEMI] = ";",
  [anon_sym_global] = "global",
  [anon_sym_using] = "using",
  [anon_sym_unsafe] = "unsafe",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_LBRACK] = "[",
  [anon_sym_assembly] = "assembly",
  [anon_sym_module] = "module",
  [anon_sym_COLON] = ":",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_field] = "field",
  [anon_sym_event] = "event",
  [anon_sym_method] = "method",
  [anon_sym_param] = "param",
  [anon_sym_property] = "property",
  [anon_sym_return] = "return",
  [anon_sym_type] = "type",
  [anon_sym_namespace] = "namespace",
  [anon_sym_class] = "class",
  [anon_sym_ref] = "ref",
  [anon_sym_struct] = "struct",
  [anon_sym_enum] = "enum",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_delegate] = "delegate",
  [anon_sym_record] = "record",
  [anon_sym_abstract] = "abstract",
  [anon_sym_async] = "async",
  [anon_sym_const] = "const",
  [anon_sym_file] = "file",
  [anon_sym_fixed] = "fixed",
  [anon_sym_internal] = "internal",
  [anon_sym_new] = "new",
  [anon_sym_override] = "override",
  [anon_sym_partial] = "partial",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_public] = "public",
  [anon_sym_readonly] = "readonly",
  [anon_sym_required] = "required",
  [anon_sym_sealed] = "sealed",
  [anon_sym_virtual] = "virtual",
  [anon_sym_volatile] = "volatile",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_where] = "where",
  [anon_sym_QMARK] = "\?",
  [anon_sym_notnull] = "notnull",
  [anon_sym_unmanaged] = "unmanaged",
  [anon_sym_operator] = "operator",
  [anon_sym_checked] = "checked",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_implicit] = "implicit",
  [anon_sym_explicit] = "explicit",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_add] = "add",
  [anon_sym_remove] = "remove",
  [anon_sym_init] = "init",
  [anon_sym_this] = "this",
  [anon_sym_DOT] = ".",
  [anon_sym_scoped] = "scoped",
  [anon_sym_params] = "params",
  [anon_sym_base] = "base",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_var] = "var",
  [anon_sym_managed] = "managed",
  [anon_sym_Cdecl] = "Cdecl",
  [anon_sym_Stdcall] = "Stdcall",
  [anon_sym_Thiscall] = "Thiscall",
  [anon_sym_Fastcall] = "Fastcall",
  [sym_predefined_type] = "predefined_type",
  [anon_sym_break] = "break",
  [anon_sym_unchecked] = "unchecked",
  [anon_sym_continue] = "continue",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_for] = "for",
  [anon_sym_lock] = "lock",
  [anon_sym_yield] = "yield",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_when] = "when",
  [anon_sym_finally] = "finally",
  [anon_sym_await] = "await",
  [anon_sym_foreach] = "foreach",
  [anon_sym_goto] = "goto",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [sym_discard] = "discard",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_from] = "from",
  [anon_sym_into] = "into",
  [anon_sym_join] = "join",
  [anon_sym_on] = "on",
  [anon_sym_equals] = "equals",
  [anon_sym_let] = "let",
  [anon_sym_orderby] = "orderby",
  [anon_sym_ascending] = "ascending",
  [anon_sym_descending] = "descending",
  [anon_sym_group] = "group",
  [anon_sym_by] = "by",
  [anon_sym_select] = "select",
  [anon_sym_as] = "as",
  [anon_sym_is] = "is",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_interpolation_format_clause_token1] = "interpolation_format_clause_token1",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_stackalloc] = "stackalloc",
  [anon_sym_with] = "with",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym_typeof] = "typeof",
  [anon_sym___makeref] = "__makeref",
  [anon_sym___reftype] = "__reftype",
  [anon_sym___refvalue] = "__refvalue",
  [sym_null_literal] = "null_literal",
  [anon_sym_SQUOTE] = "'",
  [sym_character_literal_content] = "character_literal_content",
  [sym_integer_literal] = "integer_literal",
  [sym_real_literal] = "real_literal",
  [aux_sym_string_literal_content_token1] = "string_literal_content_token1",
  [aux_sym_string_literal_content_token2] = "string_literal_content_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_string_literal_encoding] = "string_literal_encoding",
  [sym_verbatim_string_literal] = "verbatim_string_literal",
  [aux_sym_raw_string_literal_token1] = "raw_string_literal_token1",
  [aux_sym_preproc_if_token1] = "#if",
  [aux_sym_preproc_if_token2] = "preproc_if_token2",
  [aux_sym_preproc_if_token3] = "#endif",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [sym_preproc_arg] = "preproc_arg",
  [aux_sym_preproc_region_token1] = "#region",
  [aux_sym_preproc_endregion_token1] = "#endregion",
  [aux_sym_preproc_line_token1] = "#line",
  [anon_sym_hidden] = "hidden",
  [aux_sym_preproc_pragma_token1] = "#pragma",
  [anon_sym_warning] = "warning",
  [anon_sym_disable] = "disable",
  [anon_sym_restore] = "restore",
  [anon_sym_checksum] = "checksum",
  [aux_sym_preproc_nullable_token1] = "#nullable",
  [anon_sym_enable] = "enable",
  [anon_sym_annotations] = "annotations",
  [anon_sym_warnings] = "warnings",
  [aux_sym_preproc_error_token1] = "#error",
  [aux_sym_preproc_define_token1] = "#define",
  [aux_sym_preproc_undef_token1] = "#undef",
  [sym_shebang_directive] = "shebang_directive",
  [sym_comment] = "comment",
  [sym__optional_semi] = "_optional_semi",
  [sym_interpolation_regular_start] = "interpolation_start",
  [sym_interpolation_verbatim_start] = "interpolation_start",
  [sym_interpolation_raw_start] = "interpolation_start",
  [sym_interpolation_start_quote] = "interpolation_quote",
  [sym_interpolation_end_quote] = "interpolation_quote",
  [sym_interpolation_open_brace] = "interpolation_brace",
  [sym_interpolation_close_brace] = "interpolation_brace",
  [sym_interpolation_string_content] = "string_content",
  [sym_raw_string_start] = "raw_string_start",
  [sym_raw_string_end] = "raw_string_end",
  [sym_raw_string_content] = "raw_string_content",
  [sym_compilation_unit] = "compilation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym_global_statement] = "global_statement",
  [sym_extern_alias_directive] = "extern_alias_directive",
  [sym_using_directive] = "using_directive",
  [sym_global_attribute] = "global_attribute",
  [sym_attribute] = "attribute",
  [sym_attribute_argument_list] = "attribute_argument_list",
  [sym_attribute_argument] = "attribute_argument",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute_target_specifier] = "attribute_target_specifier",
  [sym_namespace_declaration] = "namespace_declaration",
  [sym_file_scoped_namespace_declaration] = "file_scoped_namespace_declaration",
  [sym_type_declaration] = "type_declaration",
  [sym_class_declaration] = "class_declaration",
  [sym_struct_declaration] = "struct_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_member_declaration_list] = "enum_member_declaration_list",
  [sym_enum_member_declaration] = "enum_member_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_delegate_declaration] = "delegate_declaration",
  [sym_record_declaration] = "record_declaration",
  [sym_record_base] = "base_list",
  [sym_primary_constructor_base_type] = "primary_constructor_base_type",
  [sym_modifier] = "modifier",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_type_parameter] = "type_parameter",
  [sym_base_list] = "base_list",
  [sym_type_parameter_constraints_clause] = "type_parameter_constraints_clause",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_constructor_constraint] = "constructor_constraint",
  [sym_operator_declaration] = "operator_declaration",
  [sym_conversion_operator_declaration] = "conversion_operator_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_declaration] = "declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym_destructor_declaration] = "destructor_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_event_declaration] = "event_declaration",
  [sym_event_field_declaration] = "event_field_declaration",
  [sym_accessor_list] = "accessor_list",
  [sym_accessor_declaration] = "accessor_declaration",
  [sym_indexer_declaration] = "indexer_declaration",
  [sym_bracketed_parameter_list] = "bracketed_parameter_list",
  [sym_property_declaration] = "property_declaration",
  [sym_explicit_interface_specifier] = "explicit_interface_specifier",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter] = "parameter",
  [sym__parameter_array] = "_parameter_array",
  [sym_constructor_initializer] = "constructor_initializer",
  [sym_argument_list] = "argument_list",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_argument] = "argument",
  [sym_block] = "block",
  [sym_arrow_expression_clause] = "arrow_expression_clause",
  [sym__function_body] = "_function_body",
  [sym_variable_declaration] = "variable_declaration",
  [sym_using_variable_declaration] = "variable_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_using_variable_declarator] = "variable_declarator",
  [sym_bracketed_argument_list] = "bracketed_argument_list",
  [sym__name] = "_name",
  [sym_alias_qualified_name] = "alias_qualified_name",
  [sym__simple_name] = "_simple_name",
  [sym_qualified_name] = "qualified_name",
  [sym_generic_name] = "generic_name",
  [sym_type_argument_list] = "type_argument_list",
  [sym_type] = "type",
  [sym_implicit_type] = "implicit_type",
  [sym_array_type] = "array_type",
  [sym__array_base_type] = "_array_base_type",
  [sym_array_rank_specifier] = "array_rank_specifier",
  [sym_nullable_type] = "nullable_type",
  [sym_pointer_type] = "pointer_type",
  [sym__pointer_base_type] = "_pointer_base_type",
  [sym_function_pointer_type] = "function_pointer_type",
  [sym_calling_convention] = "calling_convention",
  [sym_function_pointer_parameter] = "function_pointer_parameter",
  [sym_ref_type] = "ref_type",
  [sym__ref_base_type] = "_ref_base_type",
  [sym_scoped_type] = "scoped_type",
  [sym__scoped_base_type] = "_scoped_base_type",
  [sym_tuple_type] = "tuple_type",
  [sym_tuple_element] = "tuple_element",
  [sym_statement] = "statement",
  [sym_break_statement] = "break_statement",
  [sym_checked_statement] = "checked_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_do_statement] = "do_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_fixed_statement] = "fixed_statement",
  [sym_for_statement] = "for_statement",
  [sym_return_statement] = "return_statement",
  [sym_lock_statement] = "lock_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_section] = "switch_section",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_declaration] = "catch_declaration",
  [sym_catch_filter_clause] = "catch_filter_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_unsafe_statement] = "unsafe_statement",
  [sym_using_statement] = "using_statement",
  [sym_foreach_statement] = "foreach_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_local_declaration_statement] = "local_declaration_statement",
  [sym_local_function_statement] = "local_function_statement",
  [sym_pattern] = "pattern",
  [sym_constant_pattern] = "constant_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_var_pattern] = "var_pattern",
  [sym_type_pattern] = "type_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_recursive_pattern] = "recursive_pattern",
  [sym_positional_pattern_clause] = "positional_pattern_clause",
  [sym_property_pattern_clause] = "property_pattern_clause",
  [sym_subpattern] = "subpattern",
  [sym_relational_pattern] = "relational_pattern",
  [sym_negated_pattern] = "negated_pattern",
  [sym_and_pattern] = "and_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_declaration_pattern] = "declaration_pattern",
  [sym__variable_designation] = "_variable_designation",
  [sym_parenthesized_variable_designation] = "parenthesized_variable_designation",
  [sym_expression] = "expression",
  [sym_non_lvalue_expression] = "non_lvalue_expression",
  [sym_lvalue_expression] = "lvalue_expression",
  [sym__expression_statement_expression] = "_expression_statement_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_postfix_unary_expression] = "postfix_unary_expression",
  [sym_prefix_unary_expression] = "prefix_unary_expression",
  [sym__pointer_indirection_expression] = "prefix_unary_expression",
  [sym_query_expression] = "query_expression",
  [sym_from_clause] = "from_clause",
  [sym__query_body] = "_query_body",
  [sym__query_clause] = "_query_clause",
  [sym_join_clause] = "join_clause",
  [sym__join_header] = "_join_header",
  [sym__join_body] = "_join_body",
  [sym_join_into_clause] = "join_into_clause",
  [sym_let_clause] = "let_clause",
  [sym_order_by_clause] = "order_by_clause",
  [sym__ordering] = "_ordering",
  [sym_where_clause] = "where_clause",
  [sym__select_or_group_clause] = "_select_or_group_clause",
  [sym_group_clause] = "group_clause",
  [sym_select_clause] = "select_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_conditional_access_expression] = "conditional_access_expression",
  [sym_as_expression] = "as_expression",
  [sym_is_expression] = "is_expression",
  [sym_is_pattern_expression] = "is_pattern_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_checked_expression] = "checked_expression",
  [sym_invocation_expression] = "invocation_expression",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_expression_arm] = "switch_expression_arm",
  [sym_when_clause] = "when_clause",
  [sym_await_expression] = "await_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_element_access_expression] = "element_access_expression",
  [sym_interpolated_string_expression] = "interpolated_string_expression",
  [sym__interpolated_string_content] = "_interpolated_string_content",
  [sym__interpolated_verbatim_string_content] = "_interpolated_verbatim_string_content",
  [sym__interpolated_raw_string_content] = "_interpolated_raw_string_content",
  [sym_interpolation] = "interpolation",
  [sym_interpolation_alignment_clause] = "interpolation_alignment_clause",
  [sym_interpolation_format_clause] = "interpolation_format_clause",
  [sym_member_access_expression] = "member_access_expression",
  [sym_member_binding_expression] = "member_binding_expression",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__parenthesized_lvalue_expression] = "parenthesized_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym__lambda_parameters] = "_lambda_parameters",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_anonymous_method_expression] = "anonymous_method_expression",
  [sym_anonymous_object_creation_expression] = "anonymous_object_creation_expression",
  [sym__anonymous_object_member_declarator] = "_anonymous_object_member_declarator",
  [sym_implicit_array_creation_expression] = "implicit_array_creation_expression",
  [sym_implicit_object_creation_expression] = "implicit_object_creation_expression",
  [sym_implicit_stackalloc_expression] = "implicit_stackalloc_expression",
  [sym_initializer_expression] = "initializer_expression",
  [sym_declaration_expression] = "declaration_expression",
  [sym_default_expression] = "default_expression",
  [sym_with_expression] = "with_expression",
  [sym_with_initializer] = "with_initializer",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_typeof_expression] = "typeof_expression",
  [sym_makeref_expression] = "makeref_expression",
  [sym_ref_expression] = "ref_expression",
  [sym_reftype_expression] = "reftype_expression",
  [sym_refvalue_expression] = "refvalue_expression",
  [sym_stackalloc_expression] = "stackalloc_expression",
  [sym_range_expression] = "range_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_literal] = "literal",
  [sym_character_literal] = "character_literal",
  [sym_string_literal] = "string_literal",
  [sym_string_literal_content] = "string_literal_content",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym_identifier] = "identifier",
  [sym__reserved_identifier] = "_reserved_identifier",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_if_in_top_level] = "preproc_if",
  [sym_preproc_else_in_top_level] = "preproc_else",
  [sym_preproc_elif_in_top_level] = "preproc_elif",
  [sym_preproc_if_in_expression] = "preproc_if",
  [sym_preproc_else_in_expression] = "preproc_else",
  [sym_preproc_elif_in_expression] = "preproc_elif",
  [sym_preproc_if_in_enum_member_declaration] = "preproc_if",
  [sym_preproc_else_in_enum_member_declaration] = "preproc_else",
  [sym_preproc_elif_in_enum_member_declaration] = "preproc_elif",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_preproc_region] = "preproc_region",
  [sym_preproc_endregion] = "preproc_endregion",
  [sym_preproc_line] = "preproc_line",
  [sym_preproc_pragma] = "preproc_pragma",
  [sym_preproc_nullable] = "preproc_nullable",
  [sym_preproc_error] = "preproc_error",
  [sym_preproc_define] = "preproc_define",
  [sym_preproc_undef] = "preproc_undef",
  [aux_sym_compilation_unit_repeat1] = "compilation_unit_repeat1",
  [aux_sym_global_attribute_repeat1] = "global_attribute_repeat1",
  [aux_sym_attribute_argument_list_repeat1] = "attribute_argument_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_class_declaration_repeat2] = "class_declaration_repeat2",
  [aux_sym_class_declaration_repeat3] = "class_declaration_repeat3",
  [aux_sym_enum_member_declaration_list_repeat1] = "enum_member_declaration_list_repeat1",
  [aux_sym_record_base_repeat1] = "record_base_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_base_list_repeat1] = "base_list_repeat1",
  [aux_sym_type_parameter_constraints_clause_repeat1] = "type_parameter_constraints_clause_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym_accessor_list_repeat1] = "accessor_list_repeat1",
  [aux_sym_bracketed_parameter_list_repeat1] = "bracketed_parameter_list_repeat1",
  [aux_sym__parameter_type_with_modifiers_repeat1] = "_parameter_type_with_modifiers_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_tuple_pattern_repeat1] = "tuple_pattern_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_using_variable_declaration_repeat1] = "using_variable_declaration_repeat1",
  [aux_sym_type_argument_list_repeat1] = "type_argument_list_repeat1",
  [aux_sym_type_argument_list_repeat2] = "type_argument_list_repeat2",
  [aux_sym_array_rank_specifier_repeat1] = "array_rank_specifier_repeat1",
  [aux_sym_function_pointer_type_repeat1] = "function_pointer_type_repeat1",
  [aux_sym_calling_convention_repeat1] = "calling_convention_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_positional_pattern_clause_repeat1] = "positional_pattern_clause_repeat1",
  [aux_sym_parenthesized_variable_designation_repeat1] = "parenthesized_variable_designation_repeat1",
  [aux_sym__query_body_repeat1] = "_query_body_repeat1",
  [aux_sym__query_body_repeat2] = "_query_body_repeat2",
  [aux_sym_order_by_clause_repeat1] = "order_by_clause_repeat1",
  [aux_sym_switch_expression_repeat1] = "switch_expression_repeat1",
  [aux_sym_interpolated_string_expression_repeat1] = "interpolated_string_expression_repeat1",
  [aux_sym_interpolated_string_expression_repeat2] = "interpolated_string_expression_repeat2",
  [aux_sym_interpolated_string_expression_repeat3] = "interpolated_string_expression_repeat3",
  [aux_sym_lambda_expression_repeat1] = "lambda_expression_repeat1",
  [aux_sym_anonymous_object_creation_expression_repeat1] = "anonymous_object_creation_expression_repeat1",
  [aux_sym_with_expression_repeat1] = "with_expression_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_preproc_if_in_top_level_repeat1] = "preproc_if_in_top_level_repeat1",
  [aux_sym_preproc_pragma_repeat1] = "preproc_pragma_repeat1",
  [alias_sym_element_binding_expression] = "element_binding_expression",
  [alias_sym_implicit_parameter] = "implicit_parameter",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier_token] = sym__identifier_token,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym_alias] = anon_sym_alias,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_unsafe] = anon_sym_unsafe,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_assembly] = anon_sym_assembly,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_field] = anon_sym_field,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_param] = anon_sym_param,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_delegate] = anon_sym_delegate,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_file] = anon_sym_file,
  [anon_sym_fixed] = anon_sym_fixed,
  [anon_sym_internal] = anon_sym_internal,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_partial] = anon_sym_partial,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_notnull] = anon_sym_notnull,
  [anon_sym_unmanaged] = anon_sym_unmanaged,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_checked] = anon_sym_checked,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_implicit] = anon_sym_implicit,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_add] = anon_sym_add,
  [anon_sym_remove] = anon_sym_remove,
  [anon_sym_init] = anon_sym_init,
  [anon_sym_this] = anon_sym_this,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_scoped] = anon_sym_scoped,
  [anon_sym_params] = anon_sym_params,
  [anon_sym_base] = anon_sym_base,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_managed] = anon_sym_managed,
  [anon_sym_Cdecl] = anon_sym_Cdecl,
  [anon_sym_Stdcall] = anon_sym_Stdcall,
  [anon_sym_Thiscall] = anon_sym_Thiscall,
  [anon_sym_Fastcall] = anon_sym_Fastcall,
  [sym_predefined_type] = sym_predefined_type,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_unchecked] = anon_sym_unchecked,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_lock] = anon_sym_lock,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_foreach] = anon_sym_foreach,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [sym_discard] = sym_discard,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_into] = anon_sym_into,
  [anon_sym_join] = anon_sym_join,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_equals] = anon_sym_equals,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_orderby] = anon_sym_orderby,
  [anon_sym_ascending] = anon_sym_ascending,
  [anon_sym_descending] = anon_sym_descending,
  [anon_sym_group] = anon_sym_group,
  [anon_sym_by] = anon_sym_by,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_interpolation_format_clause_token1] = aux_sym_interpolation_format_clause_token1,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_stackalloc] = anon_sym_stackalloc,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym___makeref] = anon_sym___makeref,
  [anon_sym___reftype] = anon_sym___reftype,
  [anon_sym___refvalue] = anon_sym___refvalue,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_character_literal_content] = sym_character_literal_content,
  [sym_integer_literal] = sym_integer_literal,
  [sym_real_literal] = sym_real_literal,
  [aux_sym_string_literal_content_token1] = aux_sym_string_literal_content_token1,
  [aux_sym_string_literal_content_token2] = aux_sym_string_literal_content_token2,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_string_literal_encoding] = sym_string_literal_encoding,
  [sym_verbatim_string_literal] = sym_verbatim_string_literal,
  [aux_sym_raw_string_literal_token1] = aux_sym_raw_string_literal_token1,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_if_token3] = aux_sym_preproc_if_token3,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [sym_preproc_arg] = sym_preproc_arg,
  [aux_sym_preproc_region_token1] = aux_sym_preproc_region_token1,
  [aux_sym_preproc_endregion_token1] = aux_sym_preproc_endregion_token1,
  [aux_sym_preproc_line_token1] = aux_sym_preproc_line_token1,
  [anon_sym_hidden] = anon_sym_hidden,
  [aux_sym_preproc_pragma_token1] = aux_sym_preproc_pragma_token1,
  [anon_sym_warning] = anon_sym_warning,
  [anon_sym_disable] = anon_sym_disable,
  [anon_sym_restore] = anon_sym_restore,
  [anon_sym_checksum] = anon_sym_checksum,
  [aux_sym_preproc_nullable_token1] = aux_sym_preproc_nullable_token1,
  [anon_sym_enable] = anon_sym_enable,
  [anon_sym_annotations] = anon_sym_annotations,
  [anon_sym_warnings] = anon_sym_warnings,
  [aux_sym_preproc_error_token1] = aux_sym_preproc_error_token1,
  [aux_sym_preproc_define_token1] = aux_sym_preproc_define_token1,
  [aux_sym_preproc_undef_token1] = aux_sym_preproc_undef_token1,
  [sym_shebang_directive] = sym_shebang_directive,
  [sym_comment] = sym_comment,
  [sym__optional_semi] = sym__optional_semi,
  [sym_interpolation_regular_start] = sym_interpolation_regular_start,
  [sym_interpolation_verbatim_start] = sym_interpolation_regular_start,
  [sym_interpolation_raw_start] = sym_interpolation_regular_start,
  [sym_interpolation_start_quote] = sym_interpolation_start_quote,
  [sym_interpolation_end_quote] = sym_interpolation_start_quote,
  [sym_interpolation_open_brace] = sym_interpolation_open_brace,
  [sym_interpolation_close_brace] = sym_interpolation_open_brace,
  [sym_interpolation_string_content] = sym_interpolation_string_content,
  [sym_raw_string_start] = sym_raw_string_start,
  [sym_raw_string_end] = sym_raw_string_end,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym_global_statement] = sym_global_statement,
  [sym_extern_alias_directive] = sym_extern_alias_directive,
  [sym_using_directive] = sym_using_directive,
  [sym_global_attribute] = sym_global_attribute,
  [sym_attribute] = sym_attribute,
  [sym_attribute_argument_list] = sym_attribute_argument_list,
  [sym_attribute_argument] = sym_attribute_argument,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute_target_specifier] = sym_attribute_target_specifier,
  [sym_namespace_declaration] = sym_namespace_declaration,
  [sym_file_scoped_namespace_declaration] = sym_file_scoped_namespace_declaration,
  [sym_type_declaration] = sym_type_declaration,
  [sym_class_declaration] = sym_class_declaration,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_member_declaration_list] = sym_enum_member_declaration_list,
  [sym_enum_member_declaration] = sym_enum_member_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_delegate_declaration] = sym_delegate_declaration,
  [sym_record_declaration] = sym_record_declaration,
  [sym_record_base] = sym_base_list,
  [sym_primary_constructor_base_type] = sym_primary_constructor_base_type,
  [sym_modifier] = sym_modifier,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_type_parameter] = sym_type_parameter,
  [sym_base_list] = sym_base_list,
  [sym_type_parameter_constraints_clause] = sym_type_parameter_constraints_clause,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_constructor_constraint] = sym_constructor_constraint,
  [sym_operator_declaration] = sym_operator_declaration,
  [sym_conversion_operator_declaration] = sym_conversion_operator_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_declaration] = sym_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym_destructor_declaration] = sym_destructor_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_event_declaration] = sym_event_declaration,
  [sym_event_field_declaration] = sym_event_field_declaration,
  [sym_accessor_list] = sym_accessor_list,
  [sym_accessor_declaration] = sym_accessor_declaration,
  [sym_indexer_declaration] = sym_indexer_declaration,
  [sym_bracketed_parameter_list] = sym_bracketed_parameter_list,
  [sym_property_declaration] = sym_property_declaration,
  [sym_explicit_interface_specifier] = sym_explicit_interface_specifier,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter] = sym_parameter,
  [sym__parameter_array] = sym__parameter_array,
  [sym_constructor_initializer] = sym_constructor_initializer,
  [sym_argument_list] = sym_argument_list,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_argument] = sym_argument,
  [sym_block] = sym_block,
  [sym_arrow_expression_clause] = sym_arrow_expression_clause,
  [sym__function_body] = sym__function_body,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_using_variable_declaration] = sym_variable_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_using_variable_declarator] = sym_variable_declarator,
  [sym_bracketed_argument_list] = sym_bracketed_argument_list,
  [sym__name] = sym__name,
  [sym_alias_qualified_name] = sym_alias_qualified_name,
  [sym__simple_name] = sym__simple_name,
  [sym_qualified_name] = sym_qualified_name,
  [sym_generic_name] = sym_generic_name,
  [sym_type_argument_list] = sym_type_argument_list,
  [sym_type] = sym_type,
  [sym_implicit_type] = sym_implicit_type,
  [sym_array_type] = sym_array_type,
  [sym__array_base_type] = sym__array_base_type,
  [sym_array_rank_specifier] = sym_array_rank_specifier,
  [sym_nullable_type] = sym_nullable_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym__pointer_base_type] = sym__pointer_base_type,
  [sym_function_pointer_type] = sym_function_pointer_type,
  [sym_calling_convention] = sym_calling_convention,
  [sym_function_pointer_parameter] = sym_function_pointer_parameter,
  [sym_ref_type] = sym_ref_type,
  [sym__ref_base_type] = sym__ref_base_type,
  [sym_scoped_type] = sym_scoped_type,
  [sym__scoped_base_type] = sym__scoped_base_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_tuple_element] = sym_tuple_element,
  [sym_statement] = sym_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_checked_statement] = sym_checked_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_fixed_statement] = sym_fixed_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_lock_statement] = sym_lock_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_section] = sym_switch_section,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_declaration] = sym_catch_declaration,
  [sym_catch_filter_clause] = sym_catch_filter_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_unsafe_statement] = sym_unsafe_statement,
  [sym_using_statement] = sym_using_statement,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_local_declaration_statement] = sym_local_declaration_statement,
  [sym_local_function_statement] = sym_local_function_statement,
  [sym_pattern] = sym_pattern,
  [sym_constant_pattern] = sym_constant_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_var_pattern] = sym_var_pattern,
  [sym_type_pattern] = sym_type_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_recursive_pattern] = sym_recursive_pattern,
  [sym_positional_pattern_clause] = sym_positional_pattern_clause,
  [sym_property_pattern_clause] = sym_property_pattern_clause,
  [sym_subpattern] = sym_subpattern,
  [sym_relational_pattern] = sym_relational_pattern,
  [sym_negated_pattern] = sym_negated_pattern,
  [sym_and_pattern] = sym_and_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_declaration_pattern] = sym_declaration_pattern,
  [sym__variable_designation] = sym__variable_designation,
  [sym_parenthesized_variable_designation] = sym_parenthesized_variable_designation,
  [sym_expression] = sym_expression,
  [sym_non_lvalue_expression] = sym_non_lvalue_expression,
  [sym_lvalue_expression] = sym_lvalue_expression,
  [sym__expression_statement_expression] = sym__expression_statement_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_postfix_unary_expression] = sym_postfix_unary_expression,
  [sym_prefix_unary_expression] = sym_prefix_unary_expression,
  [sym__pointer_indirection_expression] = sym_prefix_unary_expression,
  [sym_query_expression] = sym_query_expression,
  [sym_from_clause] = sym_from_clause,
  [sym__query_body] = sym__query_body,
  [sym__query_clause] = sym__query_clause,
  [sym_join_clause] = sym_join_clause,
  [sym__join_header] = sym__join_header,
  [sym__join_body] = sym__join_body,
  [sym_join_into_clause] = sym_join_into_clause,
  [sym_let_clause] = sym_let_clause,
  [sym_order_by_clause] = sym_order_by_clause,
  [sym__ordering] = sym__ordering,
  [sym_where_clause] = sym_where_clause,
  [sym__select_or_group_clause] = sym__select_or_group_clause,
  [sym_group_clause] = sym_group_clause,
  [sym_select_clause] = sym_select_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_conditional_access_expression] = sym_conditional_access_expression,
  [sym_as_expression] = sym_as_expression,
  [sym_is_expression] = sym_is_expression,
  [sym_is_pattern_expression] = sym_is_pattern_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_checked_expression] = sym_checked_expression,
  [sym_invocation_expression] = sym_invocation_expression,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_expression_arm] = sym_switch_expression_arm,
  [sym_when_clause] = sym_when_clause,
  [sym_await_expression] = sym_await_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_element_access_expression] = sym_element_access_expression,
  [sym_interpolated_string_expression] = sym_interpolated_string_expression,
  [sym__interpolated_string_content] = sym__interpolated_string_content,
  [sym__interpolated_verbatim_string_content] = sym__interpolated_verbatim_string_content,
  [sym__interpolated_raw_string_content] = sym__interpolated_raw_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym_interpolation_alignment_clause] = sym_interpolation_alignment_clause,
  [sym_interpolation_format_clause] = sym_interpolation_format_clause,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_member_binding_expression] = sym_member_binding_expression,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__parenthesized_lvalue_expression] = sym_parenthesized_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym__lambda_parameters] = sym__lambda_parameters,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_anonymous_method_expression] = sym_anonymous_method_expression,
  [sym_anonymous_object_creation_expression] = sym_anonymous_object_creation_expression,
  [sym__anonymous_object_member_declarator] = sym__anonymous_object_member_declarator,
  [sym_implicit_array_creation_expression] = sym_implicit_array_creation_expression,
  [sym_implicit_object_creation_expression] = sym_implicit_object_creation_expression,
  [sym_implicit_stackalloc_expression] = sym_implicit_stackalloc_expression,
  [sym_initializer_expression] = sym_initializer_expression,
  [sym_declaration_expression] = sym_declaration_expression,
  [sym_default_expression] = sym_default_expression,
  [sym_with_expression] = sym_with_expression,
  [sym_with_initializer] = sym_with_initializer,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_typeof_expression] = sym_typeof_expression,
  [sym_makeref_expression] = sym_makeref_expression,
  [sym_ref_expression] = sym_ref_expression,
  [sym_reftype_expression] = sym_reftype_expression,
  [sym_refvalue_expression] = sym_refvalue_expression,
  [sym_stackalloc_expression] = sym_stackalloc_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_literal] = sym_literal,
  [sym_character_literal] = sym_character_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_string_literal_content] = sym_string_literal_content,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_identifier] = sym_identifier,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_if_in_top_level] = sym_preproc_if,
  [sym_preproc_else_in_top_level] = sym_preproc_else,
  [sym_preproc_elif_in_top_level] = sym_preproc_elif,
  [sym_preproc_if_in_expression] = sym_preproc_if,
  [sym_preproc_else_in_expression] = sym_preproc_else,
  [sym_preproc_elif_in_expression] = sym_preproc_elif,
  [sym_preproc_if_in_enum_member_declaration] = sym_preproc_if,
  [sym_preproc_else_in_enum_member_declaration] = sym_preproc_else,
  [sym_preproc_elif_in_enum_member_declaration] = sym_preproc_elif,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_unary_expression] = sym_preproc_unary_expression,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_preproc_region] = sym_preproc_region,
  [sym_preproc_endregion] = sym_preproc_endregion,
  [sym_preproc_line] = sym_preproc_line,
  [sym_preproc_pragma] = sym_preproc_pragma,
  [sym_preproc_nullable] = sym_preproc_nullable,
  [sym_preproc_error] = sym_preproc_error,
  [sym_preproc_define] = sym_preproc_define,
  [sym_preproc_undef] = sym_preproc_undef,
  [aux_sym_compilation_unit_repeat1] = aux_sym_compilation_unit_repeat1,
  [aux_sym_global_attribute_repeat1] = aux_sym_global_attribute_repeat1,
  [aux_sym_attribute_argument_list_repeat1] = aux_sym_attribute_argument_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_class_declaration_repeat2] = aux_sym_class_declaration_repeat2,
  [aux_sym_class_declaration_repeat3] = aux_sym_class_declaration_repeat3,
  [aux_sym_enum_member_declaration_list_repeat1] = aux_sym_enum_member_declaration_list_repeat1,
  [aux_sym_record_base_repeat1] = aux_sym_record_base_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_base_list_repeat1] = aux_sym_base_list_repeat1,
  [aux_sym_type_parameter_constraints_clause_repeat1] = aux_sym_type_parameter_constraints_clause_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym_accessor_list_repeat1] = aux_sym_accessor_list_repeat1,
  [aux_sym_bracketed_parameter_list_repeat1] = aux_sym_bracketed_parameter_list_repeat1,
  [aux_sym__parameter_type_with_modifiers_repeat1] = aux_sym__parameter_type_with_modifiers_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_tuple_pattern_repeat1] = aux_sym_tuple_pattern_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_using_variable_declaration_repeat1] = aux_sym_using_variable_declaration_repeat1,
  [aux_sym_type_argument_list_repeat1] = aux_sym_type_argument_list_repeat1,
  [aux_sym_type_argument_list_repeat2] = aux_sym_type_argument_list_repeat2,
  [aux_sym_array_rank_specifier_repeat1] = aux_sym_array_rank_specifier_repeat1,
  [aux_sym_function_pointer_type_repeat1] = aux_sym_function_pointer_type_repeat1,
  [aux_sym_calling_convention_repeat1] = aux_sym_calling_convention_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_positional_pattern_clause_repeat1] = aux_sym_positional_pattern_clause_repeat1,
  [aux_sym_parenthesized_variable_designation_repeat1] = aux_sym_parenthesized_variable_designation_repeat1,
  [aux_sym__query_body_repeat1] = aux_sym__query_body_repeat1,
  [aux_sym__query_body_repeat2] = aux_sym__query_body_repeat2,
  [aux_sym_order_by_clause_repeat1] = aux_sym_order_by_clause_repeat1,
  [aux_sym_switch_expression_repeat1] = aux_sym_switch_expression_repeat1,
  [aux_sym_interpolated_string_expression_repeat1] = aux_sym_interpolated_string_expression_repeat1,
  [aux_sym_interpolated_string_expression_repeat2] = aux_sym_interpolated_string_expression_repeat2,
  [aux_sym_interpolated_string_expression_repeat3] = aux_sym_interpolated_string_expression_repeat3,
  [aux_sym_lambda_expression_repeat1] = aux_sym_lambda_expression_repeat1,
  [aux_sym_anonymous_object_creation_expression_repeat1] = aux_sym_anonymous_object_creation_expression_repeat1,
  [aux_sym_with_expression_repeat1] = aux_sym_with_expression_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_preproc_if_in_top_level_repeat1] = aux_sym_preproc_if_in_top_level_repeat1,
  [aux_sym_preproc_pragma_repeat1] = aux_sym_preproc_pragma_repeat1,
  [alias_sym_element_binding_expression] = alias_sym_element_binding_expression,
  [alias_sym_implicit_parameter] = alias_sym_implicit_parameter,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier_token] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsafe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assembly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_param] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delegate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_file] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_internal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_partial] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_notnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unmanaged] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_checked] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_add] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_remove] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_init] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_scoped] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_params] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_base] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_managed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Fastcall] = {
    .visible = true,
    .named = false,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unchecked] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [sym_discard] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_into] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_join] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equals] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_orderby] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ascending] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_descending] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_group] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_by] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpolation_format_clause_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stackalloc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___makeref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___reftype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___refvalue] = {
    .visible = true,
    .named = false,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_character_literal_content] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_real_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_literal_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_content_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal_encoding] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_raw_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_region_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_endregion_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_line_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hidden] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_pragma_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_warning] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_disable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restore] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_checksum] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_nullable_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_annotations] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_warnings] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_error_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_define_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_undef_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_shebang_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__optional_semi] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation_regular_start] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_verbatim_start] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_raw_start] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_start_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_end_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_open_brace] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_close_brace] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_extern_alias_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_using_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_global_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_target_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_file_scoped_namespace_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_delegate_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_record_base] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_constructor_base_type] = {
    .visible = true,
    .named = true,
  },
  [sym_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_base_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraints_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_conversion_operator_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_event_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_event_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessor_list] = {
    .visible = true,
    .named = true,
  },
  [sym_accessor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_indexer_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bracketed_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_interface_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_array] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_expression_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_using_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_using_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_bracketed_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_alias_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_name] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_name] = {
    .visible = true,
    .named = true,
  },
  [sym_type_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_implicit_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym__array_base_type] = {
    .visible = false,
    .named = true,
  },
  [sym_array_rank_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_nullable_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym__pointer_base_type] = {
    .visible = false,
    .named = true,
  },
  [sym_function_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_calling_convention] = {
    .visible = true,
    .named = true,
  },
  [sym_function_pointer_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_type] = {
    .visible = true,
    .named = true,
  },
  [sym__ref_base_type] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_type] = {
    .visible = true,
    .named = true,
  },
  [sym__scoped_base_type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_element] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_checked_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fixed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_lock_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_section] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_filter_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_unsafe_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_using_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_function_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_constant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_var_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_type_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_recursive_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_pattern_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_property_pattern_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_subpattern] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_and_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_designation] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_variable_designation] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_non_lvalue_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_lvalue_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_statement_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__pointer_indirection_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_query_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_from_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__query_body] = {
    .visible = false,
    .named = true,
  },
  [sym__query_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_join_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__join_header] = {
    .visible = false,
    .named = true,
  },
  [sym__join_body] = {
    .visible = false,
    .named = true,
  },
  [sym_join_into_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_let_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_order_by_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__ordering] = {
    .visible = false,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__select_or_group_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_select_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_is_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_is_pattern_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_checked_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_invocation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression_arm] = {
    .visible = true,
    .named = true,
  },
  [sym_when_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_element_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolated_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_verbatim_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__interpolated_raw_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_alignment_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_format_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_binding_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__parenthesized_lvalue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__lambda_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_method_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_object_member_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_implicit_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_stackalloc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_with_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_with_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_typeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_makeref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reftype_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_refvalue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_stackalloc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal_content] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_top_level] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_top_level] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_top_level] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enum_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enum_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enum_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_region] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_endregion] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_line] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_nullable] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_error] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_define] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_undef] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_compilation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_member_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_base_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_constraints_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_accessor_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bracketed_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameter_type_with_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_using_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_argument_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_rank_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_pointer_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_calling_convention_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_positional_pattern_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parenthesized_variable_designation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__query_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__query_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpolated_string_expression_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_object_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_top_level_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_pragma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_element_binding_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_implicit_parameter] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_accessors = 1,
  field_alias = 2,
  field_alternative = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_condition = 7,
  field_consequence = 8,
  field_content = 9,
  field_expression = 10,
  field_function = 11,
  field_initializer = 12,
  field_left = 13,
  field_name = 14,
  field_operator = 15,
  field_parameters = 16,
  field_pattern = 17,
  field_qualifier = 18,
  field_rank = 19,
  field_returns = 20,
  field_right = 21,
  field_subscript = 22,
  field_type = 23,
  field_type_parameters = 24,
  field_update = 25,
  field_value = 26,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_accessors] = "accessors",
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_content] = "content",
  [field_expression] = "expression",
  [field_function] = "function",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_qualifier] = "qualifier",
  [field_rank] = "rank",
  [field_returns] = "returns",
  [field_right] = "right",
  [field_subscript] = "subscript",
  [field_type] = "type",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [4] = {.index = 0, .length = 1},
  [5] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 2},
  [9] = {.index = 6, .length = 2},
  [10] = {.index = 8, .length = 2},
  [11] = {.index = 10, .length = 1},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 2},
  [14] = {.index = 15, .length = 1},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 2},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 2},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 2},
  [22] = {.index = 28, .length = 2},
  [23] = {.index = 30, .length = 3},
  [24] = {.index = 33, .length = 1},
  [25] = {.index = 33, .length = 1},
  [26] = {.index = 34, .length = 2},
  [27] = {.index = 36, .length = 2},
  [28] = {.index = 38, .length = 2},
  [29] = {.index = 40, .length = 1},
  [30] = {.index = 41, .length = 2},
  [31] = {.index = 43, .length = 2},
  [32] = {.index = 45, .length = 4},
  [33] = {.index = 49, .length = 4},
  [34] = {.index = 53, .length = 2},
  [35] = {.index = 55, .length = 2},
  [36] = {.index = 57, .length = 3},
  [37] = {.index = 60, .length = 1},
  [38] = {.index = 61, .length = 3},
  [39] = {.index = 64, .length = 1},
  [40] = {.index = 65, .length = 4},
  [41] = {.index = 69, .length = 1},
  [42] = {.index = 70, .length = 2},
  [43] = {.index = 72, .length = 1},
  [44] = {.index = 73, .length = 2},
  [45] = {.index = 75, .length = 1},
  [46] = {.index = 76, .length = 1},
  [47] = {.index = 77, .length = 2},
  [48] = {.index = 79, .length = 2},
  [49] = {.index = 81, .length = 2},
  [50] = {.index = 83, .length = 3},
  [51] = {.index = 86, .length = 1},
  [52] = {.index = 87, .length = 3},
  [53] = {.index = 90, .length = 2},
  [54] = {.index = 92, .length = 2},
  [55] = {.index = 94, .length = 1},
  [56] = {.index = 95, .length = 2},
  [57] = {.index = 97, .length = 2},
  [58] = {.index = 99, .length = 1},
  [59] = {.index = 100, .length = 2},
  [60] = {.index = 102, .length = 2},
  [61] = {.index = 104, .length = 5},
  [62] = {.index = 109, .length = 4},
  [63] = {.index = 113, .length = 3},
  [64] = {.index = 116, .length = 2},
  [65] = {.index = 118, .length = 3},
  [66] = {.index = 121, .length = 4},
  [67] = {.index = 125, .length = 2},
  [68] = {.index = 127, .length = 3},
  [69] = {.index = 130, .length = 3},
  [70] = {.index = 133, .length = 2},
  [71] = {.index = 135, .length = 2},
  [72] = {.index = 137, .length = 2},
  [73] = {.index = 139, .length = 3},
  [74] = {.index = 142, .length = 1},
  [75] = {.index = 143, .length = 4},
  [76] = {.index = 147, .length = 1},
  [77] = {.index = 148, .length = 1},
  [78] = {.index = 149, .length = 2},
  [79] = {.index = 151, .length = 2},
  [80] = {.index = 153, .length = 5},
  [81] = {.index = 158, .length = 2},
  [82] = {.index = 160, .length = 2},
  [83] = {.index = 162, .length = 3},
  [84] = {.index = 165, .length = 3},
  [85] = {.index = 168, .length = 1},
  [86] = {.index = 169, .length = 5},
  [87] = {.index = 174, .length = 4},
  [88] = {.index = 178, .length = 4},
  [89] = {.index = 182, .length = 3},
  [90] = {.index = 185, .length = 3},
  [91] = {.index = 188, .length = 3},
  [92] = {.index = 191, .length = 3},
  [93] = {.index = 194, .length = 3},
  [94] = {.index = 197, .length = 4},
  [95] = {.index = 201, .length = 3},
  [96] = {.index = 204, .length = 3},
  [97] = {.index = 207, .length = 2},
  [98] = {.index = 209, .length = 2},
  [99] = {.index = 211, .length = 2},
  [100] = {.index = 213, .length = 3},
  [101] = {.index = 216, .length = 1},
  [102] = {.index = 217, .length = 2},
  [103] = {.index = 219, .length = 2},
  [104] = {.index = 221, .length = 2},
  [105] = {.index = 223, .length = 2},
  [106] = {.index = 225, .length = 3},
  [107] = {.index = 228, .length = 3},
  [108] = {.index = 231, .length = 2},
  [109] = {.index = 233, .length = 2},
  [110] = {.index = 235, .length = 3},
  [111] = {.index = 238, .length = 4},
  [112] = {.index = 242, .length = 5},
  [113] = {.index = 247, .length = 2},
  [114] = {.index = 249, .length = 3},
  [115] = {.index = 252, .length = 3},
  [116] = {.index = 255, .length = 1},
  [117] = {.index = 256, .length = 5},
  [118] = {.index = 261, .length = 4},
  [119] = {.index = 265, .length = 3},
  [120] = {.index = 268, .length = 2},
  [121] = {.index = 270, .length = 3},
  [122] = {.index = 273, .length = 3},
  [123] = {.index = 276, .length = 4},
  [124] = {.index = 280, .length = 3},
  [125] = {.index = 283, .length = 3},
  [126] = {.index = 286, .length = 4},
  [127] = {.index = 290, .length = 3},
  [128] = {.index = 293, .length = 2},
  [129] = {.index = 295, .length = 5},
  [130] = {.index = 300, .length = 4},
  [131] = {.index = 304, .length = 3},
  [132] = {.index = 307, .length = 3},
  [133] = {.index = 310, .length = 4},
  [134] = {.index = 314, .length = 3},
  [135] = {.index = 317, .length = 3},
  [136] = {.index = 320, .length = 2},
  [137] = {.index = 322, .length = 2},
  [138] = {.index = 324, .length = 3},
  [139] = {.index = 327, .length = 3},
  [140] = {.index = 330, .length = 3},
  [141] = {.index = 333, .length = 3},
  [142] = {.index = 336, .length = 3},
  [143] = {.index = 339, .length = 3},
  [144] = {.index = 342, .length = 4},
  [145] = {.index = 346, .length = 2},
  [146] = {.index = 348, .length = 3},
  [147] = {.index = 351, .length = 2},
  [148] = {.index = 353, .length = 3},
  [149] = {.index = 356, .length = 4},
  [150] = {.index = 360, .length = 5},
  [151] = {.index = 365, .length = 3},
  [152] = {.index = 368, .length = 4},
  [153] = {.index = 372, .length = 3},
  [154] = {.index = 375, .length = 5},
  [155] = {.index = 380, .length = 4},
  [156] = {.index = 384, .length = 2},
  [157] = {.index = 386, .length = 5},
  [158] = {.index = 391, .length = 4},
  [159] = {.index = 395, .length = 3},
  [160] = {.index = 398, .length = 2},
  [161] = {.index = 400, .length = 3},
  [162] = {.index = 403, .length = 4},
  [163] = {.index = 407, .length = 3},
  [164] = {.index = 410, .length = 3},
  [165] = {.index = 413, .length = 4},
  [166] = {.index = 417, .length = 3},
  [167] = {.index = 420, .length = 5},
  [168] = {.index = 425, .length = 4},
  [169] = {.index = 429, .length = 2},
  [170] = {.index = 431, .length = 3},
  [171] = {.index = 434, .length = 3},
  [172] = {.index = 437, .length = 4},
  [173] = {.index = 441, .length = 3},
  [174] = {.index = 444, .length = 3},
  [175] = {.index = 447, .length = 2},
  [176] = {.index = 449, .length = 4},
  [177] = {.index = 453, .length = 4},
  [178] = {.index = 457, .length = 4},
  [179] = {.index = 461, .length = 4},
  [180] = {.index = 465, .length = 4},
  [181] = {.index = 469, .length = 4},
  [182] = {.index = 473, .length = 2},
  [183] = {.index = 475, .length = 2},
  [184] = {.index = 477, .length = 3},
  [185] = {.index = 480, .length = 3},
  [186] = {.index = 483, .length = 4},
  [187] = {.index = 487, .length = 5},
  [188] = {.index = 492, .length = 4},
  [189] = {.index = 496, .length = 2},
  [190] = {.index = 498, .length = 4},
  [191] = {.index = 502, .length = 3},
  [192] = {.index = 505, .length = 5},
  [193] = {.index = 510, .length = 4},
  [194] = {.index = 514, .length = 5},
  [195] = {.index = 519, .length = 4},
  [196] = {.index = 523, .length = 2},
  [197] = {.index = 525, .length = 3},
  [198] = {.index = 528, .length = 4},
  [199] = {.index = 532, .length = 3},
  [200] = {.index = 535, .length = 3},
  [201] = {.index = 538, .length = 4},
  [202] = {.index = 542, .length = 3},
  [203] = {.index = 545, .length = 5},
  [204] = {.index = 550, .length = 4},
  [205] = {.index = 554, .length = 5},
  [206] = {.index = 559, .length = 5},
  [207] = {.index = 564, .length = 5},
  [208] = {.index = 569, .length = 2},
  [209] = {.index = 571, .length = 2},
  [210] = {.index = 573, .length = 3},
  [211] = {.index = 576, .length = 4},
  [212] = {.index = 580, .length = 5},
  [213] = {.index = 585, .length = 4},
  [214] = {.index = 589, .length = 4},
  [215] = {.index = 593, .length = 3},
  [216] = {.index = 596, .length = 5},
  [217] = {.index = 601, .length = 4},
  [218] = {.index = 605, .length = 5},
  [219] = {.index = 610, .length = 4},
  [220] = {.index = 614, .length = 6},
  [221] = {.index = 620, .length = 2},
  [222] = {.index = 622, .length = 3},
  [223] = {.index = 625, .length = 4},
  [224] = {.index = 629, .length = 5},
  [225] = {.index = 634, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_type, 0},
  [2] =
    {field_type, 1},
  [3] =
    {field_body, 1},
  [4] =
    {field_rank, 1},
    {field_type, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_expression, 0},
    {field_subscript, 1},
  [10] =
    {field_content, 1},
  [11] =
    {field_name, 1},
    {field_type, 0},
  [13] =
    {field_name, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [15] =
    {field_name, 1},
  [16] =
    {field_type, 2},
  [17] =
    {field_parameters, 1},
  [18] =
    {field_arguments, 2},
    {field_type, 1},
  [20] =
    {field_initializer, 2},
    {field_type, 1},
  [22] =
    {field_expression, 0},
    {field_name, 2},
  [24] =
    {field_body, 2},
    {field_value, 1},
  [26] =
    {field_argument, 1},
    {field_operator, 0},
  [28] =
    {field_name, 2},
    {field_qualifier, 0},
  [30] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [33] =
    {field_condition, 0},
  [34] =
    {field_expression, 0},
    {field_pattern, 2},
  [36] =
    {field_body, 2},
    {field_parameters, 0},
  [38] =
    {field_alias, 0},
    {field_name, 2},
  [40] =
    {field_name, 2},
  [41] =
    {field_name, 2},
    {field_type, 1},
  [43] =
    {field_name, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [45] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [49] =
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type, 2, .inherited = true},
  [53] =
    {field_type, 1},
    {field_value, 3},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_arguments, 2},
    {field_initializer, 3},
    {field_type, 1},
  [60] =
    {field_condition, 1},
  [61] =
    {field_body, 3},
    {field_parameters, 1},
    {field_type, 0},
  [64] =
    {field_body, 0},
  [65] =
    {field_body, 3, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
    {field_type, 0},
  [69] =
    {field_name, 1, .inherited = true},
  [70] =
    {field_name, 1, .inherited = true},
    {field_type, 0},
  [72] =
    {field_type, 1, .inherited = true},
  [73] =
    {field_body, 3},
    {field_parameters, 1},
  [75] =
    {field_parameters, 2},
  [76] =
    {field_body, 4},
  [77] =
    {field_name, 3},
    {field_type, 2},
  [79] =
    {field_body, 3},
    {field_name, 1},
  [81] =
    {field_body, 3},
    {field_name, 2},
  [83] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [86] =
    {field_returns, 3},
  [87] =
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 1},
  [90] =
    {field_body, 4},
    {field_condition, 2},
  [92] =
    {field_body, 4},
    {field_value, 2},
  [94] =
    {field_body, 2},
  [95] =
    {field_condition, 2},
    {field_consequence, 4},
  [97] =
    {field_alternative, 3},
    {field_condition, 1},
  [99] =
    {field_name, 2, .inherited = true},
  [100] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [102] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [104] =
    {field_body, 4, .inherited = true},
    {field_name, 1},
    {field_parameters, 3},
    {field_type, 0},
    {field_type_parameters, 2},
  [109] =
    {field_body, 4, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
    {field_type, 0},
  [113] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [116] =
    {field_name, 2, .inherited = true},
    {field_type, 0},
  [118] =
    {field_body, 4},
    {field_parameters, 2},
    {field_type, 1},
  [121] =
    {field_body, 4, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 1},
  [125] =
    {field_body, 4},
    {field_parameters, 2},
  [127] =
    {field_accessors, 2},
    {field_name, 1},
    {field_type, 0},
  [130] =
    {field_body, 2, .inherited = true},
    {field_name, 0},
    {field_parameters, 1},
  [133] =
    {field_body, 4},
    {field_name, 1},
  [135] =
    {field_body, 4},
    {field_name, 2},
  [137] =
    {field_name, 0},
    {field_value, 2},
  [139] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [142] =
    {field_returns, 4},
  [143] =
    {field_name, 2},
    {field_parameters, 4},
    {field_type, 1},
    {field_type_parameters, 3},
  [147] =
    {field_body, 5},
  [148] =
    {field_body, 3},
  [149] =
    {field_type, 4},
    {field_value, 2},
  [151] =
    {field_alternative, 4},
    {field_condition, 1},
  [153] =
    {field_body, 5, .inherited = true},
    {field_name, 1},
    {field_parameters, 3},
    {field_type, 0},
    {field_type_parameters, 2},
  [158] =
    {field_name, 3, .inherited = true},
    {field_type, 0},
  [160] =
    {field_body, 4},
    {field_name, 3},
  [162] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [165] =
    {field_name, 3},
    {field_parameters, 4},
    {field_type, 2},
  [168] =
    {field_name, 3},
  [169] =
    {field_body, 5, .inherited = true},
    {field_name, 2},
    {field_parameters, 4},
    {field_type, 1},
    {field_type_parameters, 3},
  [174] =
    {field_body, 5, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 1},
  [178] =
    {field_body, 5, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
    {field_type, 2},
  [182] =
    {field_body, 5},
    {field_parameters, 3},
    {field_type, 2},
  [185] =
    {field_accessors, 3},
    {field_name, 2},
    {field_type, 1},
  [188] =
    {field_body, 3, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [191] =
    {field_accessors, 3},
    {field_parameters, 2},
    {field_type, 0},
  [194] =
    {field_accessors, 3},
    {field_name, 2},
    {field_type, 0},
  [197] =
    {field_body, 3, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
    {field_returns, 0},
  [201] =
    {field_name, 1},
    {field_type, 0},
    {field_value, 2},
  [204] =
    {field_body, 3, .inherited = true},
    {field_name, 0},
    {field_parameters, 1},
  [207] =
    {field_body, 5},
    {field_name, 1},
  [209] =
    {field_body, 5},
    {field_name, 2},
  [211] =
    {field_name, 1},
    {field_value, 3},
  [213] =
    {field_body, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [216] =
    {field_returns, 5},
  [217] =
    {field_body, 1},
    {field_condition, 4},
  [219] =
    {field_body, 6},
    {field_update, 4},
  [221] =
    {field_body, 6},
    {field_condition, 3},
  [223] =
    {field_body, 6},
    {field_initializer, 2},
  [225] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [228] =
    {field_alternative, 6},
    {field_condition, 2},
    {field_consequence, 4},
  [231] =
    {field_name, 1, .inherited = true},
    {field_name, 2, .inherited = true},
  [233] =
    {field_body, 5},
    {field_name, 3},
  [235] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [238] =
    {field_name, 3},
    {field_parameters, 5},
    {field_type, 2},
    {field_type_parameters, 4},
  [242] =
    {field_body, 6, .inherited = true},
    {field_name, 2},
    {field_parameters, 4},
    {field_type, 1},
    {field_type_parameters, 3},
  [247] =
    {field_body, 5},
    {field_name, 4},
  [249] =
    {field_body, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [252] =
    {field_name, 4},
    {field_parameters, 5},
    {field_type, 3},
  [255] =
    {field_name, 4},
  [256] =
    {field_body, 6, .inherited = true},
    {field_name, 3},
    {field_parameters, 5},
    {field_type, 2},
    {field_type_parameters, 4},
  [261] =
    {field_body, 6, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
    {field_type, 2},
  [265] =
    {field_body, 4, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [268] =
    {field_name, 3},
    {field_type, 1},
  [270] =
    {field_accessors, 4},
    {field_name, 3},
    {field_type, 1},
  [273] =
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_type, 2},
  [276] =
    {field_body, 4, .inherited = true},
    {field_operator, 2},
    {field_parameters, 3},
    {field_type, 0},
  [280] =
    {field_parameters, 2},
    {field_type, 0},
    {field_value, 3},
  [283] =
    {field_accessors, 4},
    {field_parameters, 3},
    {field_type, 0},
  [286] =
    {field_body, 4, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
    {field_returns, 0},
  [290] =
    {field_name, 2},
    {field_type, 0},
    {field_value, 3},
  [293] =
    {field_body, 1, .inherited = true},
    {field_name, 0},
  [295] =
    {field_body, 4, .inherited = true},
    {field_name, 1},
    {field_parameters, 3},
    {field_returns, 0},
    {field_type_parameters, 2},
  [300] =
    {field_body, 4, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
    {field_returns, 0},
  [304] =
    {field_accessors, 4},
    {field_name, 3},
    {field_type, 2},
  [307] =
    {field_accessors, 4},
    {field_parameters, 3},
    {field_type, 1},
  [310] =
    {field_body, 4, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
    {field_returns, 1},
  [314] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 3},
  [317] =
    {field_body, 4, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [320] =
    {field_body, 6},
    {field_name, 1},
  [322] =
    {field_body, 6},
    {field_name, 2},
  [324] =
    {field_body, 7},
    {field_update, 4},
    {field_update, 5},
  [327] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [330] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [333] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [336] =
    {field_body, 7},
    {field_initializer, 2},
    {field_initializer, 3},
  [339] =
    {field_body, 7},
    {field_left, 3},
    {field_right, 5},
  [342] =
    {field_body, 7},
    {field_left, 3},
    {field_right, 5},
    {field_type, 2},
  [346] =
    {field_body, 6},
    {field_name, 3},
  [348] =
    {field_body, 6},
    {field_name, 2},
    {field_type_parameters, 3},
  [351] =
    {field_body, 6},
    {field_name, 4},
  [353] =
    {field_body, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [356] =
    {field_name, 4},
    {field_parameters, 6},
    {field_type, 3},
    {field_type_parameters, 5},
  [360] =
    {field_body, 7, .inherited = true},
    {field_name, 3},
    {field_parameters, 5},
    {field_type, 2},
    {field_type_parameters, 4},
  [365] =
    {field_body, 5, .inherited = true},
    {field_parameters, 4},
    {field_type, 3},
  [368] =
    {field_body, 5, .inherited = true},
    {field_operator, 3},
    {field_parameters, 4},
    {field_type, 0},
  [372] =
    {field_parameters, 3},
    {field_type, 0},
    {field_value, 4},
  [375] =
    {field_body, 5, .inherited = true},
    {field_name, 2},
    {field_parameters, 4},
    {field_returns, 0},
    {field_type_parameters, 3},
  [380] =
    {field_body, 5, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
    {field_returns, 0},
  [384] =
    {field_body, 2, .inherited = true},
    {field_name, 1},
  [386] =
    {field_body, 5, .inherited = true},
    {field_name, 1},
    {field_parameters, 3},
    {field_returns, 0},
    {field_type_parameters, 2},
  [391] =
    {field_accessors, 2},
    {field_name, 1},
    {field_type, 0},
    {field_value, 4},
  [395] =
    {field_body, 5, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [398] =
    {field_name, 4},
    {field_type, 2},
  [400] =
    {field_accessors, 5},
    {field_name, 4},
    {field_type, 2},
  [403] =
    {field_body, 5, .inherited = true},
    {field_operator, 3},
    {field_parameters, 4},
    {field_type, 1},
  [407] =
    {field_parameters, 3},
    {field_type, 1},
    {field_value, 4},
  [410] =
    {field_accessors, 5},
    {field_parameters, 4},
    {field_type, 1},
  [413] =
    {field_body, 5, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
    {field_returns, 1},
  [417] =
    {field_name, 3},
    {field_type, 1},
    {field_value, 4},
  [420] =
    {field_body, 5, .inherited = true},
    {field_name, 2},
    {field_parameters, 4},
    {field_returns, 1},
    {field_type_parameters, 3},
  [425] =
    {field_body, 5, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
    {field_returns, 1},
  [429] =
    {field_name, 4},
    {field_type, 3},
  [431] =
    {field_accessors, 5},
    {field_name, 4},
    {field_type, 3},
  [434] =
    {field_accessors, 5},
    {field_parameters, 4},
    {field_type, 2},
  [437] =
    {field_body, 5, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
    {field_returns, 2},
  [441] =
    {field_name, 3},
    {field_type, 2},
    {field_value, 4},
  [444] =
    {field_body, 5, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [447] =
    {field_body, 7},
    {field_name, 2},
  [449] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
    {field_update, 6},
  [453] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
    {field_update, 6},
  [457] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [461] =
    {field_body, 8},
    {field_initializer, 2},
    {field_initializer, 3},
    {field_update, 6},
  [465] =
    {field_body, 8},
    {field_condition, 5},
    {field_initializer, 2},
    {field_initializer, 3},
  [469] =
    {field_body, 8},
    {field_left, 4},
    {field_right, 6},
    {field_type, 3},
  [473] =
    {field_body, 7},
    {field_name, 3},
  [475] =
    {field_body, 7},
    {field_name, 4},
  [477] =
    {field_body, 7},
    {field_name, 3},
    {field_type_parameters, 4},
  [480] =
    {field_body, 6, .inherited = true},
    {field_parameters, 5},
    {field_type, 4},
  [483] =
    {field_body, 6, .inherited = true},
    {field_operator, 4},
    {field_parameters, 5},
    {field_type, 0},
  [487] =
    {field_body, 6, .inherited = true},
    {field_name, 2},
    {field_parameters, 4},
    {field_returns, 0},
    {field_type_parameters, 3},
  [492] =
    {field_accessors, 3},
    {field_name, 2},
    {field_type, 0},
    {field_value, 5},
  [496] =
    {field_body, 3, .inherited = true},
    {field_name, 2},
  [498] =
    {field_body, 6, .inherited = true},
    {field_operator, 4},
    {field_parameters, 5},
    {field_type, 1},
  [502] =
    {field_parameters, 4},
    {field_type, 1},
    {field_value, 5},
  [505] =
    {field_body, 6, .inherited = true},
    {field_name, 3},
    {field_parameters, 5},
    {field_returns, 1},
    {field_type_parameters, 4},
  [510] =
    {field_body, 6, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
    {field_returns, 1},
  [514] =
    {field_body, 6, .inherited = true},
    {field_name, 2},
    {field_parameters, 4},
    {field_returns, 1},
    {field_type_parameters, 3},
  [519] =
    {field_accessors, 3},
    {field_name, 2},
    {field_type, 1},
    {field_value, 5},
  [523] =
    {field_name, 5},
    {field_type, 3},
  [525] =
    {field_accessors, 6},
    {field_name, 5},
    {field_type, 3},
  [528] =
    {field_body, 6, .inherited = true},
    {field_operator, 4},
    {field_parameters, 5},
    {field_type, 2},
  [532] =
    {field_parameters, 4},
    {field_type, 2},
    {field_value, 5},
  [535] =
    {field_accessors, 6},
    {field_parameters, 5},
    {field_type, 2},
  [538] =
    {field_body, 6, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
    {field_returns, 2},
  [542] =
    {field_name, 4},
    {field_type, 2},
    {field_value, 5},
  [545] =
    {field_body, 6, .inherited = true},
    {field_name, 3},
    {field_parameters, 5},
    {field_returns, 2},
    {field_type_parameters, 4},
  [550] =
    {field_body, 6, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
    {field_returns, 2},
  [554] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
    {field_update, 7},
  [559] =
    {field_body, 9},
    {field_initializer, 2},
    {field_initializer, 3},
    {field_update, 6},
    {field_update, 7},
  [564] =
    {field_body, 9},
    {field_condition, 5},
    {field_initializer, 2},
    {field_initializer, 3},
    {field_update, 7},
  [569] =
    {field_body, 8},
    {field_name, 3},
  [571] =
    {field_body, 8},
    {field_name, 4},
  [573] =
    {field_body, 7, .inherited = true},
    {field_parameters, 6},
    {field_type, 5},
  [576] =
    {field_body, 7, .inherited = true},
    {field_operator, 5},
    {field_parameters, 6},
    {field_type, 1},
  [580] =
    {field_body, 7, .inherited = true},
    {field_name, 3},
    {field_parameters, 5},
    {field_returns, 1},
    {field_type_parameters, 4},
  [585] =
    {field_accessors, 4},
    {field_name, 3},
    {field_type, 1},
    {field_value, 6},
  [589] =
    {field_body, 7, .inherited = true},
    {field_operator, 5},
    {field_parameters, 6},
    {field_type, 2},
  [593] =
    {field_parameters, 5},
    {field_type, 2},
    {field_value, 6},
  [596] =
    {field_body, 7, .inherited = true},
    {field_name, 4},
    {field_parameters, 6},
    {field_returns, 2},
    {field_type_parameters, 5},
  [601] =
    {field_body, 7, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
    {field_returns, 2},
  [605] =
    {field_body, 7, .inherited = true},
    {field_name, 3},
    {field_parameters, 5},
    {field_returns, 2},
    {field_type_parameters, 4},
  [610] =
    {field_accessors, 4},
    {field_name, 3},
    {field_type, 2},
    {field_value, 6},
  [614] =
    {field_body, 10},
    {field_condition, 5},
    {field_initializer, 2},
    {field_initializer, 3},
    {field_update, 7},
    {field_update, 8},
  [620] =
    {field_body, 9},
    {field_name, 4},
  [622] =
    {field_body, 8, .inherited = true},
    {field_parameters, 7},
    {field_type, 6},
  [625] =
    {field_body, 8, .inherited = true},
    {field_operator, 6},
    {field_parameters, 7},
    {field_type, 2},
  [629] =
    {field_body, 8, .inherited = true},
    {field_name, 4},
    {field_parameters, 6},
    {field_returns, 2},
    {field_type_parameters, 5},
  [634] =
    {field_accessors, 5},
    {field_name, 4},
    {field_type, 2},
    {field_value, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_modifier,
  },
  [2] = {
    [0] = alias_sym_element_binding_expression,
  },
  [3] = {
    [0] = alias_sym_implicit_parameter,
  },
  [24] = {
    [2] = alias_sym_element_binding_expression,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_bracketed_argument_list, 2,
    sym_bracketed_argument_list,
    alias_sym_element_binding_expression,
  sym_identifier, 2,
    sym_identifier,
    alias_sym_implicit_parameter,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 7,
  [9] = 7,
  [10] = 10,
  [11] = 7,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 21,
  [23] = 23,
  [24] = 21,
  [25] = 25,
  [26] = 21,
  [27] = 27,
  [28] = 28,
  [29] = 21,
  [30] = 30,
  [31] = 31,
  [32] = 21,
  [33] = 21,
  [34] = 21,
  [35] = 21,
  [36] = 36,
  [37] = 21,
  [38] = 38,
  [39] = 39,
  [40] = 38,
  [41] = 38,
  [42] = 39,
  [43] = 38,
  [44] = 38,
  [45] = 39,
  [46] = 39,
  [47] = 38,
  [48] = 39,
  [49] = 38,
  [50] = 39,
  [51] = 39,
  [52] = 39,
  [53] = 38,
  [54] = 39,
  [55] = 38,
  [56] = 38,
  [57] = 39,
  [58] = 38,
  [59] = 39,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 60,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 61,
  [92] = 62,
  [93] = 63,
  [94] = 64,
  [95] = 65,
  [96] = 66,
  [97] = 67,
  [98] = 68,
  [99] = 69,
  [100] = 70,
  [101] = 71,
  [102] = 72,
  [103] = 73,
  [104] = 74,
  [105] = 75,
  [106] = 76,
  [107] = 89,
  [108] = 78,
  [109] = 79,
  [110] = 80,
  [111] = 81,
  [112] = 82,
  [113] = 83,
  [114] = 84,
  [115] = 85,
  [116] = 86,
  [117] = 87,
  [118] = 88,
  [119] = 89,
  [120] = 90,
  [121] = 61,
  [122] = 62,
  [123] = 63,
  [124] = 64,
  [125] = 65,
  [126] = 66,
  [127] = 67,
  [128] = 68,
  [129] = 69,
  [130] = 70,
  [131] = 71,
  [132] = 132,
  [133] = 73,
  [134] = 74,
  [135] = 75,
  [136] = 76,
  [137] = 60,
  [138] = 78,
  [139] = 79,
  [140] = 80,
  [141] = 81,
  [142] = 82,
  [143] = 83,
  [144] = 84,
  [145] = 63,
  [146] = 64,
  [147] = 65,
  [148] = 90,
  [149] = 85,
  [150] = 66,
  [151] = 67,
  [152] = 68,
  [153] = 69,
  [154] = 70,
  [155] = 71,
  [156] = 72,
  [157] = 61,
  [158] = 86,
  [159] = 73,
  [160] = 132,
  [161] = 74,
  [162] = 62,
  [163] = 132,
  [164] = 87,
  [165] = 75,
  [166] = 76,
  [167] = 60,
  [168] = 78,
  [169] = 79,
  [170] = 88,
  [171] = 80,
  [172] = 81,
  [173] = 82,
  [174] = 83,
  [175] = 84,
  [176] = 85,
  [177] = 86,
  [178] = 87,
  [179] = 88,
  [180] = 89,
  [181] = 90,
  [182] = 132,
  [183] = 72,
  [184] = 184,
  [185] = 184,
  [186] = 184,
  [187] = 184,
  [188] = 188,
  [189] = 188,
  [190] = 184,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 193,
  [195] = 193,
  [196] = 193,
  [197] = 193,
  [198] = 193,
  [199] = 193,
  [200] = 193,
  [201] = 193,
  [202] = 193,
  [203] = 193,
  [204] = 193,
  [205] = 193,
  [206] = 193,
  [207] = 193,
  [208] = 193,
  [209] = 193,
  [210] = 193,
  [211] = 193,
  [212] = 193,
  [213] = 193,
  [214] = 193,
  [215] = 193,
  [216] = 193,
  [217] = 193,
  [218] = 193,
  [219] = 193,
  [220] = 193,
  [221] = 193,
  [222] = 222,
  [223] = 222,
  [224] = 191,
  [225] = 192,
  [226] = 192,
  [227] = 191,
  [228] = 192,
  [229] = 191,
  [230] = 191,
  [231] = 192,
  [232] = 191,
  [233] = 192,
  [234] = 192,
  [235] = 192,
  [236] = 191,
  [237] = 191,
  [238] = 191,
  [239] = 191,
  [240] = 192,
  [241] = 191,
  [242] = 192,
  [243] = 192,
  [244] = 192,
  [245] = 191,
  [246] = 191,
  [247] = 191,
  [248] = 192,
  [249] = 192,
  [250] = 191,
  [251] = 191,
  [252] = 192,
  [253] = 191,
  [254] = 191,
  [255] = 192,
  [256] = 191,
  [257] = 192,
  [258] = 192,
  [259] = 192,
  [260] = 260,
  [261] = 192,
  [262] = 192,
  [263] = 191,
  [264] = 192,
  [265] = 191,
  [266] = 192,
  [267] = 260,
  [268] = 260,
  [269] = 260,
  [270] = 260,
  [271] = 191,
  [272] = 191,
  [273] = 192,
  [274] = 191,
  [275] = 192,
  [276] = 191,
  [277] = 192,
  [278] = 191,
  [279] = 191,
  [280] = 191,
  [281] = 192,
  [282] = 191,
  [283] = 191,
  [284] = 191,
  [285] = 192,
  [286] = 192,
  [287] = 192,
  [288] = 192,
  [289] = 192,
  [290] = 192,
  [291] = 191,
  [292] = 192,
  [293] = 293,
  [294] = 191,
  [295] = 191,
  [296] = 192,
  [297] = 192,
  [298] = 298,
  [299] = 299,
  [300] = 191,
  [301] = 301,
  [302] = 191,
  [303] = 299,
  [304] = 299,
  [305] = 192,
  [306] = 298,
  [307] = 298,
  [308] = 301,
  [309] = 192,
  [310] = 301,
  [311] = 301,
  [312] = 192,
  [313] = 298,
  [314] = 191,
  [315] = 191,
  [316] = 192,
  [317] = 191,
  [318] = 318,
  [319] = 298,
  [320] = 318,
  [321] = 321,
  [322] = 298,
  [323] = 299,
  [324] = 191,
  [325] = 191,
  [326] = 326,
  [327] = 191,
  [328] = 328,
  [329] = 329,
  [330] = 329,
  [331] = 326,
  [332] = 191,
  [333] = 192,
  [334] = 326,
  [335] = 191,
  [336] = 192,
  [337] = 328,
  [338] = 192,
  [339] = 191,
  [340] = 326,
  [341] = 341,
  [342] = 192,
  [343] = 192,
  [344] = 341,
  [345] = 329,
  [346] = 329,
  [347] = 326,
  [348] = 191,
  [349] = 192,
  [350] = 329,
  [351] = 326,
  [352] = 329,
  [353] = 191,
  [354] = 191,
  [355] = 192,
  [356] = 192,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 360,
  [362] = 358,
  [363] = 357,
  [364] = 360,
  [365] = 359,
  [366] = 357,
  [367] = 367,
  [368] = 360,
  [369] = 359,
  [370] = 359,
  [371] = 360,
  [372] = 359,
  [373] = 357,
  [374] = 357,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 375,
  [379] = 377,
  [380] = 377,
  [381] = 377,
  [382] = 382,
  [383] = 382,
  [384] = 376,
  [385] = 375,
  [386] = 382,
  [387] = 376,
  [388] = 375,
  [389] = 382,
  [390] = 376,
  [391] = 375,
  [392] = 382,
  [393] = 376,
  [394] = 375,
  [395] = 382,
  [396] = 376,
  [397] = 375,
  [398] = 377,
  [399] = 399,
  [400] = 382,
  [401] = 376,
  [402] = 375,
  [403] = 403,
  [404] = 377,
  [405] = 377,
  [406] = 377,
  [407] = 377,
  [408] = 376,
  [409] = 377,
  [410] = 382,
  [411] = 376,
  [412] = 375,
  [413] = 375,
  [414] = 382,
  [415] = 377,
  [416] = 377,
  [417] = 376,
  [418] = 382,
  [419] = 375,
  [420] = 376,
  [421] = 375,
  [422] = 377,
  [423] = 377,
  [424] = 382,
  [425] = 377,
  [426] = 382,
  [427] = 376,
  [428] = 375,
  [429] = 376,
  [430] = 375,
  [431] = 377,
  [432] = 382,
  [433] = 376,
  [434] = 375,
  [435] = 377,
  [436] = 377,
  [437] = 382,
  [438] = 376,
  [439] = 377,
  [440] = 382,
  [441] = 377,
  [442] = 376,
  [443] = 375,
  [444] = 382,
  [445] = 376,
  [446] = 375,
  [447] = 377,
  [448] = 448,
  [449] = 382,
  [450] = 376,
  [451] = 375,
  [452] = 382,
  [453] = 376,
  [454] = 375,
  [455] = 382,
  [456] = 376,
  [457] = 375,
  [458] = 377,
  [459] = 382,
  [460] = 376,
  [461] = 375,
  [462] = 377,
  [463] = 382,
  [464] = 376,
  [465] = 375,
  [466] = 377,
  [467] = 382,
  [468] = 376,
  [469] = 375,
  [470] = 382,
  [471] = 376,
  [472] = 377,
  [473] = 375,
  [474] = 377,
  [475] = 382,
  [476] = 376,
  [477] = 375,
  [478] = 382,
  [479] = 376,
  [480] = 377,
  [481] = 375,
  [482] = 377,
  [483] = 377,
  [484] = 377,
  [485] = 377,
  [486] = 377,
  [487] = 377,
  [488] = 377,
  [489] = 377,
  [490] = 377,
  [491] = 377,
  [492] = 377,
  [493] = 377,
  [494] = 377,
  [495] = 377,
  [496] = 448,
  [497] = 382,
  [498] = 376,
  [499] = 375,
  [500] = 377,
  [501] = 377,
  [502] = 382,
  [503] = 376,
  [504] = 375,
  [505] = 377,
  [506] = 377,
  [507] = 382,
  [508] = 382,
  [509] = 376,
  [510] = 375,
  [511] = 377,
  [512] = 512,
  [513] = 512,
  [514] = 514,
  [515] = 514,
  [516] = 514,
  [517] = 514,
  [518] = 514,
  [519] = 514,
  [520] = 514,
  [521] = 521,
  [522] = 521,
  [523] = 521,
  [524] = 521,
  [525] = 521,
  [526] = 521,
  [527] = 521,
  [528] = 521,
  [529] = 521,
  [530] = 521,
  [531] = 521,
  [532] = 521,
  [533] = 521,
  [534] = 521,
  [535] = 521,
  [536] = 521,
  [537] = 521,
  [538] = 521,
  [539] = 521,
  [540] = 521,
  [541] = 521,
  [542] = 521,
  [543] = 521,
  [544] = 521,
  [545] = 521,
  [546] = 521,
  [547] = 521,
  [548] = 521,
  [549] = 521,
  [550] = 521,
  [551] = 521,
  [552] = 521,
  [553] = 521,
  [554] = 521,
  [555] = 521,
  [556] = 521,
  [557] = 521,
  [558] = 521,
  [559] = 521,
  [560] = 521,
  [561] = 521,
  [562] = 521,
  [563] = 521,
  [564] = 521,
  [565] = 565,
  [566] = 521,
  [567] = 521,
  [568] = 521,
  [569] = 521,
  [570] = 521,
  [571] = 521,
  [572] = 521,
  [573] = 521,
  [574] = 521,
  [575] = 521,
  [576] = 521,
  [577] = 521,
  [578] = 578,
  [579] = 578,
  [580] = 578,
  [581] = 578,
  [582] = 578,
  [583] = 578,
  [584] = 578,
  [585] = 585,
  [586] = 585,
  [587] = 587,
  [588] = 587,
  [589] = 587,
  [590] = 590,
  [591] = 585,
  [592] = 592,
  [593] = 587,
  [594] = 585,
  [595] = 587,
  [596] = 585,
  [597] = 592,
  [598] = 592,
  [599] = 590,
  [600] = 600,
  [601] = 592,
  [602] = 590,
  [603] = 590,
  [604] = 590,
  [605] = 592,
  [606] = 592,
  [607] = 590,
  [608] = 585,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 610,
  [613] = 610,
  [614] = 609,
  [615] = 610,
  [616] = 610,
  [617] = 611,
  [618] = 609,
  [619] = 610,
  [620] = 609,
  [621] = 621,
  [622] = 621,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 625,
  [628] = 625,
  [629] = 625,
  [630] = 624,
  [631] = 624,
  [632] = 625,
  [633] = 624,
  [634] = 624,
  [635] = 625,
  [636] = 624,
  [637] = 625,
  [638] = 638,
  [639] = 625,
  [640] = 640,
  [641] = 641,
  [642] = 640,
  [643] = 640,
  [644] = 640,
  [645] = 640,
  [646] = 646,
  [647] = 640,
  [648] = 640,
  [649] = 640,
  [650] = 650,
  [651] = 651,
  [652] = 650,
  [653] = 653,
  [654] = 641,
  [655] = 646,
  [656] = 646,
  [657] = 657,
  [658] = 646,
  [659] = 640,
  [660] = 640,
  [661] = 661,
  [662] = 651,
  [663] = 650,
  [664] = 640,
  [665] = 651,
  [666] = 666,
  [667] = 651,
  [668] = 640,
  [669] = 653,
  [670] = 651,
  [671] = 657,
  [672] = 640,
  [673] = 673,
  [674] = 640,
  [675] = 640,
  [676] = 640,
  [677] = 677,
  [678] = 640,
  [679] = 640,
  [680] = 640,
  [681] = 640,
  [682] = 640,
  [683] = 640,
  [684] = 684,
  [685] = 641,
  [686] = 657,
  [687] = 677,
  [688] = 688,
  [689] = 640,
  [690] = 640,
  [691] = 653,
  [692] = 661,
  [693] = 653,
  [694] = 640,
  [695] = 640,
  [696] = 640,
  [697] = 646,
  [698] = 640,
  [699] = 650,
  [700] = 640,
  [701] = 640,
  [702] = 640,
  [703] = 677,
  [704] = 640,
  [705] = 640,
  [706] = 640,
  [707] = 640,
  [708] = 677,
  [709] = 653,
  [710] = 640,
  [711] = 657,
  [712] = 641,
  [713] = 640,
  [714] = 661,
  [715] = 661,
  [716] = 640,
  [717] = 640,
  [718] = 640,
  [719] = 640,
  [720] = 640,
  [721] = 651,
  [722] = 640,
  [723] = 646,
  [724] = 640,
  [725] = 640,
  [726] = 640,
  [727] = 640,
  [728] = 673,
  [729] = 640,
  [730] = 653,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 731,
  [739] = 731,
  [740] = 734,
  [741] = 732,
  [742] = 733,
  [743] = 734,
  [744] = 735,
  [745] = 736,
  [746] = 737,
  [747] = 732,
  [748] = 733,
  [749] = 732,
  [750] = 733,
  [751] = 735,
  [752] = 734,
  [753] = 736,
  [754] = 737,
  [755] = 735,
  [756] = 736,
  [757] = 737,
  [758] = 731,
  [759] = 731,
  [760] = 735,
  [761] = 734,
  [762] = 736,
  [763] = 731,
  [764] = 732,
  [765] = 733,
  [766] = 737,
  [767] = 735,
  [768] = 734,
  [769] = 732,
  [770] = 733,
  [771] = 736,
  [772] = 731,
  [773] = 734,
  [774] = 736,
  [775] = 735,
  [776] = 735,
  [777] = 736,
  [778] = 737,
  [779] = 731,
  [780] = 736,
  [781] = 737,
  [782] = 737,
  [783] = 732,
  [784] = 733,
  [785] = 734,
  [786] = 735,
  [787] = 736,
  [788] = 737,
  [789] = 731,
  [790] = 731,
  [791] = 731,
  [792] = 732,
  [793] = 733,
  [794] = 734,
  [795] = 735,
  [796] = 736,
  [797] = 737,
  [798] = 732,
  [799] = 733,
  [800] = 732,
  [801] = 733,
  [802] = 734,
  [803] = 735,
  [804] = 736,
  [805] = 737,
  [806] = 731,
  [807] = 731,
  [808] = 731,
  [809] = 734,
  [810] = 810,
  [811] = 732,
  [812] = 812,
  [813] = 737,
  [814] = 736,
  [815] = 735,
  [816] = 733,
  [817] = 732,
  [818] = 733,
  [819] = 736,
  [820] = 820,
  [821] = 734,
  [822] = 731,
  [823] = 823,
  [824] = 735,
  [825] = 736,
  [826] = 737,
  [827] = 731,
  [828] = 732,
  [829] = 737,
  [830] = 731,
  [831] = 732,
  [832] = 733,
  [833] = 734,
  [834] = 735,
  [835] = 736,
  [836] = 737,
  [837] = 731,
  [838] = 838,
  [839] = 732,
  [840] = 733,
  [841] = 734,
  [842] = 735,
  [843] = 736,
  [844] = 737,
  [845] = 731,
  [846] = 731,
  [847] = 734,
  [848] = 731,
  [849] = 731,
  [850] = 733,
  [851] = 734,
  [852] = 735,
  [853] = 810,
  [854] = 732,
  [855] = 733,
  [856] = 820,
  [857] = 734,
  [858] = 735,
  [859] = 736,
  [860] = 737,
  [861] = 731,
  [862] = 812,
  [863] = 731,
  [864] = 732,
  [865] = 732,
  [866] = 733,
  [867] = 734,
  [868] = 735,
  [869] = 736,
  [870] = 737,
  [871] = 731,
  [872] = 736,
  [873] = 873,
  [874] = 731,
  [875] = 731,
  [876] = 733,
  [877] = 877,
  [878] = 737,
  [879] = 732,
  [880] = 733,
  [881] = 732,
  [882] = 734,
  [883] = 735,
  [884] = 736,
  [885] = 737,
  [886] = 731,
  [887] = 731,
  [888] = 737,
  [889] = 810,
  [890] = 732,
  [891] = 733,
  [892] = 734,
  [893] = 735,
  [894] = 736,
  [895] = 737,
  [896] = 731,
  [897] = 897,
  [898] = 812,
  [899] = 731,
  [900] = 734,
  [901] = 731,
  [902] = 731,
  [903] = 903,
  [904] = 904,
  [905] = 731,
  [906] = 737,
  [907] = 907,
  [908] = 873,
  [909] = 909,
  [910] = 838,
  [911] = 904,
  [912] = 735,
  [913] = 736,
  [914] = 732,
  [915] = 915,
  [916] = 916,
  [917] = 735,
  [918] = 736,
  [919] = 737,
  [920] = 920,
  [921] = 731,
  [922] = 823,
  [923] = 735,
  [924] = 733,
  [925] = 820,
  [926] = 926,
  [927] = 731,
  [928] = 920,
  [929] = 929,
  [930] = 733,
  [931] = 931,
  [932] = 734,
  [933] = 737,
  [934] = 838,
  [935] = 732,
  [936] = 733,
  [937] = 734,
  [938] = 735,
  [939] = 736,
  [940] = 737,
  [941] = 823,
  [942] = 732,
  [943] = 733,
  [944] = 735,
  [945] = 734,
  [946] = 736,
  [947] = 732,
  [948] = 735,
  [949] = 736,
  [950] = 737,
  [951] = 731,
  [952] = 731,
  [953] = 733,
  [954] = 732,
  [955] = 733,
  [956] = 734,
  [957] = 735,
  [958] = 736,
  [959] = 737,
  [960] = 734,
  [961] = 735,
  [962] = 732,
  [963] = 733,
  [964] = 734,
  [965] = 735,
  [966] = 736,
  [967] = 737,
  [968] = 731,
  [969] = 731,
  [970] = 736,
  [971] = 737,
  [972] = 926,
  [973] = 732,
  [974] = 733,
  [975] = 734,
  [976] = 735,
  [977] = 736,
  [978] = 737,
  [979] = 731,
  [980] = 734,
  [981] = 732,
  [982] = 733,
  [983] = 734,
  [984] = 735,
  [985] = 736,
  [986] = 737,
  [987] = 731,
  [988] = 731,
  [989] = 736,
  [990] = 732,
  [991] = 733,
  [992] = 734,
  [993] = 735,
  [994] = 736,
  [995] = 737,
  [996] = 996,
  [997] = 997,
  [998] = 732,
  [999] = 732,
  [1000] = 733,
  [1001] = 737,
  [1002] = 734,
  [1003] = 732,
  [1004] = 737,
  [1005] = 926,
  [1006] = 735,
  [1007] = 929,
  [1008] = 736,
  [1009] = 931,
  [1010] = 737,
  [1011] = 731,
  [1012] = 731,
  [1013] = 873,
  [1014] = 731,
  [1015] = 812,
  [1016] = 733,
  [1017] = 873,
  [1018] = 734,
  [1019] = 732,
  [1020] = 926,
  [1021] = 731,
  [1022] = 929,
  [1023] = 735,
  [1024] = 931,
  [1025] = 733,
  [1026] = 907,
  [1027] = 929,
  [1028] = 733,
  [1029] = 734,
  [1030] = 731,
  [1031] = 731,
  [1032] = 734,
  [1033] = 736,
  [1034] = 904,
  [1035] = 732,
  [1036] = 735,
  [1037] = 873,
  [1038] = 733,
  [1039] = 915,
  [1040] = 916,
  [1041] = 737,
  [1042] = 907,
  [1043] = 734,
  [1044] = 920,
  [1045] = 735,
  [1046] = 904,
  [1047] = 736,
  [1048] = 735,
  [1049] = 736,
  [1050] = 735,
  [1051] = 736,
  [1052] = 737,
  [1053] = 931,
  [1054] = 915,
  [1055] = 737,
  [1056] = 916,
  [1057] = 812,
  [1058] = 731,
  [1059] = 731,
  [1060] = 731,
  [1061] = 1061,
  [1062] = 732,
  [1063] = 733,
  [1064] = 734,
  [1065] = 735,
  [1066] = 736,
  [1067] = 737,
  [1068] = 732,
  [1069] = 731,
  [1070] = 737,
  [1071] = 732,
  [1072] = 733,
  [1073] = 734,
  [1074] = 735,
  [1075] = 736,
  [1076] = 737,
  [1077] = 920,
  [1078] = 731,
  [1079] = 732,
  [1080] = 733,
  [1081] = 823,
  [1082] = 734,
  [1083] = 732,
  [1084] = 838,
  [1085] = 735,
  [1086] = 732,
  [1087] = 733,
  [1088] = 732,
  [1089] = 734,
  [1090] = 735,
  [1091] = 736,
  [1092] = 737,
  [1093] = 736,
  [1094] = 734,
  [1095] = 737,
  [1096] = 731,
  [1097] = 731,
  [1098] = 731,
  [1099] = 820,
  [1100] = 904,
  [1101] = 732,
  [1102] = 733,
  [1103] = 732,
  [1104] = 733,
  [1105] = 734,
  [1106] = 735,
  [1107] = 736,
  [1108] = 737,
  [1109] = 731,
  [1110] = 731,
  [1111] = 907,
  [1112] = 731,
  [1113] = 732,
  [1114] = 731,
  [1115] = 733,
  [1116] = 733,
  [1117] = 810,
  [1118] = 734,
  [1119] = 733,
  [1120] = 734,
  [1121] = 732,
  [1122] = 732,
  [1123] = 873,
  [1124] = 733,
  [1125] = 733,
  [1126] = 734,
  [1127] = 735,
  [1128] = 734,
  [1129] = 736,
  [1130] = 737,
  [1131] = 735,
  [1132] = 904,
  [1133] = 734,
  [1134] = 736,
  [1135] = 735,
  [1136] = 731,
  [1137] = 735,
  [1138] = 736,
  [1139] = 731,
  [1140] = 735,
  [1141] = 737,
  [1142] = 736,
  [1143] = 731,
  [1144] = 732,
  [1145] = 915,
  [1146] = 916,
  [1147] = 737,
  [1148] = 733,
  [1149] = 734,
  [1150] = 733,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1151,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1152,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1153,
  [1177] = 1155,
  [1178] = 1157,
  [1179] = 1160,
  [1180] = 1167,
  [1181] = 1168,
  [1182] = 1152,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1183,
  [1187] = 1154,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1156,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1162,
  [1202] = 1202,
  [1203] = 1163,
  [1204] = 1151,
  [1205] = 1171,
  [1206] = 1172,
  [1207] = 1173,
  [1208] = 1174,
  [1209] = 1175,
  [1210] = 1153,
  [1211] = 1155,
  [1212] = 1157,
  [1213] = 1160,
  [1214] = 1167,
  [1215] = 1168,
  [1216] = 1154,
  [1217] = 1165,
  [1218] = 1166,
  [1219] = 1152,
  [1220] = 1191,
  [1221] = 1156,
  [1222] = 1165,
  [1223] = 1166,
  [1224] = 1171,
  [1225] = 1172,
  [1226] = 1173,
  [1227] = 1174,
  [1228] = 1175,
  [1229] = 1153,
  [1230] = 1155,
  [1231] = 1157,
  [1232] = 1160,
  [1233] = 1167,
  [1234] = 1168,
  [1235] = 1152,
  [1236] = 1154,
  [1237] = 1191,
  [1238] = 1156,
  [1239] = 1154,
  [1240] = 1165,
  [1241] = 1166,
  [1242] = 1242,
  [1243] = 1171,
  [1244] = 1172,
  [1245] = 1173,
  [1246] = 1174,
  [1247] = 1175,
  [1248] = 1153,
  [1249] = 1155,
  [1250] = 1157,
  [1251] = 1160,
  [1252] = 1167,
  [1253] = 1168,
  [1254] = 1152,
  [1255] = 1154,
  [1256] = 1191,
  [1257] = 1156,
  [1258] = 1165,
  [1259] = 1166,
  [1260] = 1171,
  [1261] = 1172,
  [1262] = 1173,
  [1263] = 1174,
  [1264] = 1175,
  [1265] = 1153,
  [1266] = 1155,
  [1267] = 1157,
  [1268] = 1160,
  [1269] = 1167,
  [1270] = 1168,
  [1271] = 1152,
  [1272] = 1154,
  [1273] = 1156,
  [1274] = 1165,
  [1275] = 1166,
  [1276] = 1171,
  [1277] = 1172,
  [1278] = 1173,
  [1279] = 1174,
  [1280] = 1175,
  [1281] = 1153,
  [1282] = 1155,
  [1283] = 1157,
  [1284] = 1160,
  [1285] = 1167,
  [1286] = 1168,
  [1287] = 1152,
  [1288] = 1154,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1156,
  [1292] = 1165,
  [1293] = 1166,
  [1294] = 1163,
  [1295] = 1151,
  [1296] = 1165,
  [1297] = 1166,
  [1298] = 1171,
  [1299] = 1172,
  [1300] = 1173,
  [1301] = 1174,
  [1302] = 1175,
  [1303] = 1153,
  [1304] = 1155,
  [1305] = 1157,
  [1306] = 1160,
  [1307] = 1167,
  [1308] = 1168,
  [1309] = 1152,
  [1310] = 1183,
  [1311] = 1311,
  [1312] = 1154,
  [1313] = 1313,
  [1314] = 1191,
  [1315] = 1156,
  [1316] = 1197,
  [1317] = 1317,
  [1318] = 1171,
  [1319] = 1172,
  [1320] = 1173,
  [1321] = 1174,
  [1322] = 1175,
  [1323] = 1153,
  [1324] = 1155,
  [1325] = 1157,
  [1326] = 1160,
  [1327] = 1167,
  [1328] = 1168,
  [1329] = 1154,
  [1330] = 1165,
  [1331] = 1166,
  [1332] = 1152,
  [1333] = 1191,
  [1334] = 1156,
  [1335] = 1163,
  [1336] = 1151,
  [1337] = 1171,
  [1338] = 1172,
  [1339] = 1173,
  [1340] = 1174,
  [1341] = 1175,
  [1342] = 1153,
  [1343] = 1155,
  [1344] = 1157,
  [1345] = 1160,
  [1346] = 1167,
  [1347] = 1168,
  [1348] = 1154,
  [1349] = 1165,
  [1350] = 1166,
  [1351] = 1152,
  [1352] = 1156,
  [1353] = 1165,
  [1354] = 1166,
  [1355] = 1165,
  [1356] = 1166,
  [1357] = 1171,
  [1358] = 1172,
  [1359] = 1173,
  [1360] = 1174,
  [1361] = 1175,
  [1362] = 1153,
  [1363] = 1155,
  [1364] = 1157,
  [1365] = 1160,
  [1366] = 1167,
  [1367] = 1168,
  [1368] = 1152,
  [1369] = 1369,
  [1370] = 1154,
  [1371] = 1156,
  [1372] = 1171,
  [1373] = 1172,
  [1374] = 1173,
  [1375] = 1174,
  [1376] = 1163,
  [1377] = 1151,
  [1378] = 1175,
  [1379] = 1153,
  [1380] = 1155,
  [1381] = 1157,
  [1382] = 1165,
  [1383] = 1166,
  [1384] = 1160,
  [1385] = 1167,
  [1386] = 1168,
  [1387] = 1152,
  [1388] = 1183,
  [1389] = 1389,
  [1390] = 1163,
  [1391] = 1171,
  [1392] = 1172,
  [1393] = 1173,
  [1394] = 1174,
  [1395] = 1175,
  [1396] = 1153,
  [1397] = 1155,
  [1398] = 1157,
  [1399] = 1154,
  [1400] = 1160,
  [1401] = 1167,
  [1402] = 1168,
  [1403] = 1152,
  [1404] = 1183,
  [1405] = 1154,
  [1406] = 1191,
  [1407] = 1191,
  [1408] = 1188,
  [1409] = 1156,
  [1410] = 1197,
  [1411] = 1189,
  [1412] = 1171,
  [1413] = 1172,
  [1414] = 1173,
  [1415] = 1174,
  [1416] = 1175,
  [1417] = 1153,
  [1418] = 1155,
  [1419] = 1157,
  [1420] = 1160,
  [1421] = 1167,
  [1422] = 1168,
  [1423] = 1154,
  [1424] = 1165,
  [1425] = 1166,
  [1426] = 1156,
  [1427] = 1152,
  [1428] = 1197,
  [1429] = 1191,
  [1430] = 1191,
  [1431] = 1156,
  [1432] = 1171,
  [1433] = 1172,
  [1434] = 1173,
  [1435] = 1174,
  [1436] = 1175,
  [1437] = 1153,
  [1438] = 1155,
  [1439] = 1157,
  [1440] = 1160,
  [1441] = 1167,
  [1442] = 1168,
  [1443] = 1154,
  [1444] = 1165,
  [1445] = 1166,
  [1446] = 1152,
  [1447] = 1156,
  [1448] = 1165,
  [1449] = 1166,
  [1450] = 1171,
  [1451] = 1172,
  [1452] = 1173,
  [1453] = 1174,
  [1454] = 1175,
  [1455] = 1153,
  [1456] = 1155,
  [1457] = 1157,
  [1458] = 1160,
  [1459] = 1167,
  [1460] = 1168,
  [1461] = 1152,
  [1462] = 1154,
  [1463] = 1156,
  [1464] = 1163,
  [1465] = 1165,
  [1466] = 1166,
  [1467] = 1171,
  [1468] = 1172,
  [1469] = 1173,
  [1470] = 1174,
  [1471] = 1175,
  [1472] = 1153,
  [1473] = 1155,
  [1474] = 1157,
  [1475] = 1160,
  [1476] = 1167,
  [1477] = 1168,
  [1478] = 1152,
  [1479] = 1183,
  [1480] = 1154,
  [1481] = 1191,
  [1482] = 1156,
  [1483] = 1151,
  [1484] = 1197,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1171,
  [1488] = 1172,
  [1489] = 1173,
  [1490] = 1174,
  [1491] = 1175,
  [1492] = 1153,
  [1493] = 1155,
  [1494] = 1157,
  [1495] = 1160,
  [1496] = 1167,
  [1497] = 1168,
  [1498] = 1154,
  [1499] = 1165,
  [1500] = 1166,
  [1501] = 1152,
  [1502] = 1191,
  [1503] = 1156,
  [1504] = 1171,
  [1505] = 1172,
  [1506] = 1173,
  [1507] = 1174,
  [1508] = 1175,
  [1509] = 1153,
  [1510] = 1155,
  [1511] = 1157,
  [1512] = 1160,
  [1513] = 1167,
  [1514] = 1168,
  [1515] = 1154,
  [1516] = 1165,
  [1517] = 1166,
  [1518] = 1152,
  [1519] = 1156,
  [1520] = 1165,
  [1521] = 1166,
  [1522] = 1171,
  [1523] = 1172,
  [1524] = 1173,
  [1525] = 1174,
  [1526] = 1175,
  [1527] = 1153,
  [1528] = 1155,
  [1529] = 1157,
  [1530] = 1160,
  [1531] = 1167,
  [1532] = 1168,
  [1533] = 1152,
  [1534] = 1154,
  [1535] = 1165,
  [1536] = 1166,
  [1537] = 1156,
  [1538] = 1171,
  [1539] = 1172,
  [1540] = 1173,
  [1541] = 1163,
  [1542] = 1151,
  [1543] = 1174,
  [1544] = 1175,
  [1545] = 1153,
  [1546] = 1165,
  [1547] = 1166,
  [1548] = 1155,
  [1549] = 1157,
  [1550] = 1550,
  [1551] = 1160,
  [1552] = 1167,
  [1553] = 1171,
  [1554] = 1168,
  [1555] = 1172,
  [1556] = 1173,
  [1557] = 1174,
  [1558] = 1175,
  [1559] = 1153,
  [1560] = 1155,
  [1561] = 1157,
  [1562] = 1160,
  [1563] = 1167,
  [1564] = 1168,
  [1565] = 1152,
  [1566] = 1152,
  [1567] = 1183,
  [1568] = 1154,
  [1569] = 1154,
  [1570] = 1191,
  [1571] = 1191,
  [1572] = 1156,
  [1573] = 1197,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1171,
  [1577] = 1172,
  [1578] = 1173,
  [1579] = 1174,
  [1580] = 1175,
  [1581] = 1153,
  [1582] = 1155,
  [1583] = 1157,
  [1584] = 1160,
  [1585] = 1167,
  [1586] = 1168,
  [1587] = 1154,
  [1588] = 1165,
  [1589] = 1166,
  [1590] = 1152,
  [1591] = 1191,
  [1592] = 1156,
  [1593] = 1193,
  [1594] = 1171,
  [1595] = 1172,
  [1596] = 1173,
  [1597] = 1174,
  [1598] = 1175,
  [1599] = 1153,
  [1600] = 1155,
  [1601] = 1157,
  [1602] = 1160,
  [1603] = 1167,
  [1604] = 1168,
  [1605] = 1154,
  [1606] = 1165,
  [1607] = 1166,
  [1608] = 1156,
  [1609] = 1152,
  [1610] = 1156,
  [1611] = 1165,
  [1612] = 1166,
  [1613] = 1171,
  [1614] = 1172,
  [1615] = 1173,
  [1616] = 1174,
  [1617] = 1175,
  [1618] = 1153,
  [1619] = 1155,
  [1620] = 1157,
  [1621] = 1160,
  [1622] = 1167,
  [1623] = 1168,
  [1624] = 1152,
  [1625] = 1154,
  [1626] = 1156,
  [1627] = 1163,
  [1628] = 1151,
  [1629] = 1165,
  [1630] = 1166,
  [1631] = 1171,
  [1632] = 1172,
  [1633] = 1173,
  [1634] = 1174,
  [1635] = 1175,
  [1636] = 1153,
  [1637] = 1155,
  [1638] = 1157,
  [1639] = 1160,
  [1640] = 1167,
  [1641] = 1168,
  [1642] = 1152,
  [1643] = 1183,
  [1644] = 1154,
  [1645] = 1191,
  [1646] = 1156,
  [1647] = 1197,
  [1648] = 1648,
  [1649] = 1171,
  [1650] = 1172,
  [1651] = 1173,
  [1652] = 1174,
  [1653] = 1175,
  [1654] = 1153,
  [1655] = 1155,
  [1656] = 1157,
  [1657] = 1160,
  [1658] = 1167,
  [1659] = 1168,
  [1660] = 1154,
  [1661] = 1661,
  [1662] = 1165,
  [1663] = 1166,
  [1664] = 1664,
  [1665] = 1152,
  [1666] = 1191,
  [1667] = 1156,
  [1668] = 1171,
  [1669] = 1172,
  [1670] = 1173,
  [1671] = 1174,
  [1672] = 1175,
  [1673] = 1153,
  [1674] = 1155,
  [1675] = 1157,
  [1676] = 1160,
  [1677] = 1167,
  [1678] = 1168,
  [1679] = 1154,
  [1680] = 1165,
  [1681] = 1166,
  [1682] = 1152,
  [1683] = 1156,
  [1684] = 1165,
  [1685] = 1166,
  [1686] = 1171,
  [1687] = 1172,
  [1688] = 1173,
  [1689] = 1174,
  [1690] = 1175,
  [1691] = 1153,
  [1692] = 1155,
  [1693] = 1157,
  [1694] = 1160,
  [1695] = 1167,
  [1696] = 1168,
  [1697] = 1152,
  [1698] = 1154,
  [1699] = 1156,
  [1700] = 1700,
  [1701] = 1163,
  [1702] = 1151,
  [1703] = 1194,
  [1704] = 1165,
  [1705] = 1166,
  [1706] = 1171,
  [1707] = 1172,
  [1708] = 1173,
  [1709] = 1174,
  [1710] = 1175,
  [1711] = 1153,
  [1712] = 1155,
  [1713] = 1157,
  [1714] = 1160,
  [1715] = 1167,
  [1716] = 1168,
  [1717] = 1152,
  [1718] = 1183,
  [1719] = 1154,
  [1720] = 1191,
  [1721] = 1156,
  [1722] = 1197,
  [1723] = 1171,
  [1724] = 1172,
  [1725] = 1173,
  [1726] = 1174,
  [1727] = 1175,
  [1728] = 1153,
  [1729] = 1155,
  [1730] = 1157,
  [1731] = 1160,
  [1732] = 1167,
  [1733] = 1168,
  [1734] = 1154,
  [1735] = 1191,
  [1736] = 1165,
  [1737] = 1166,
  [1738] = 1152,
  [1739] = 1156,
  [1740] = 1740,
  [1741] = 1195,
  [1742] = 1165,
  [1743] = 1166,
  [1744] = 1171,
  [1745] = 1172,
  [1746] = 1173,
  [1747] = 1174,
  [1748] = 1175,
  [1749] = 1168,
  [1750] = 1155,
  [1751] = 1157,
  [1752] = 1156,
  [1753] = 1160,
  [1754] = 1167,
  [1755] = 1168,
  [1756] = 1152,
  [1757] = 1757,
  [1758] = 1154,
  [1759] = 1156,
  [1760] = 1163,
  [1761] = 1151,
  [1762] = 1165,
  [1763] = 1166,
  [1764] = 1171,
  [1765] = 1172,
  [1766] = 1173,
  [1767] = 1174,
  [1768] = 1175,
  [1769] = 1153,
  [1770] = 1155,
  [1771] = 1157,
  [1772] = 1160,
  [1773] = 1167,
  [1774] = 1168,
  [1775] = 1152,
  [1776] = 1183,
  [1777] = 1154,
  [1778] = 1191,
  [1779] = 1156,
  [1780] = 1197,
  [1781] = 1171,
  [1782] = 1172,
  [1783] = 1173,
  [1784] = 1174,
  [1785] = 1175,
  [1786] = 1153,
  [1787] = 1155,
  [1788] = 1157,
  [1789] = 1160,
  [1790] = 1167,
  [1791] = 1168,
  [1792] = 1154,
  [1793] = 1165,
  [1794] = 1166,
  [1795] = 1152,
  [1796] = 1156,
  [1797] = 1163,
  [1798] = 1151,
  [1799] = 1165,
  [1800] = 1166,
  [1801] = 1171,
  [1802] = 1172,
  [1803] = 1173,
  [1804] = 1174,
  [1805] = 1175,
  [1806] = 1153,
  [1807] = 1155,
  [1808] = 1157,
  [1809] = 1160,
  [1810] = 1167,
  [1811] = 1168,
  [1812] = 1152,
  [1813] = 1183,
  [1814] = 1154,
  [1815] = 1191,
  [1816] = 1156,
  [1817] = 1197,
  [1818] = 1171,
  [1819] = 1172,
  [1820] = 1173,
  [1821] = 1174,
  [1822] = 1175,
  [1823] = 1153,
  [1824] = 1155,
  [1825] = 1157,
  [1826] = 1160,
  [1827] = 1167,
  [1828] = 1168,
  [1829] = 1154,
  [1830] = 1165,
  [1831] = 1166,
  [1832] = 1165,
  [1833] = 1152,
  [1834] = 1166,
  [1835] = 1156,
  [1836] = 1163,
  [1837] = 1151,
  [1838] = 1183,
  [1839] = 1197,
  [1840] = 1171,
  [1841] = 1163,
  [1842] = 1151,
  [1843] = 1172,
  [1844] = 1183,
  [1845] = 1173,
  [1846] = 1197,
  [1847] = 1174,
  [1848] = 1175,
  [1849] = 1163,
  [1850] = 1151,
  [1851] = 1153,
  [1852] = 1183,
  [1853] = 1155,
  [1854] = 1197,
  [1855] = 1157,
  [1856] = 1163,
  [1857] = 1151,
  [1858] = 1183,
  [1859] = 1160,
  [1860] = 1197,
  [1861] = 1167,
  [1862] = 1163,
  [1863] = 1151,
  [1864] = 1168,
  [1865] = 1183,
  [1866] = 1866,
  [1867] = 1197,
  [1868] = 1163,
  [1869] = 1151,
  [1870] = 1152,
  [1871] = 1183,
  [1872] = 1197,
  [1873] = 1163,
  [1874] = 1151,
  [1875] = 1163,
  [1876] = 1151,
  [1877] = 1163,
  [1878] = 1151,
  [1879] = 1163,
  [1880] = 1151,
  [1881] = 1163,
  [1882] = 1151,
  [1883] = 1163,
  [1884] = 1151,
  [1885] = 1163,
  [1886] = 1151,
  [1887] = 1163,
  [1888] = 1151,
  [1889] = 1163,
  [1890] = 1151,
  [1891] = 1163,
  [1892] = 1151,
  [1893] = 1163,
  [1894] = 1151,
  [1895] = 1163,
  [1896] = 1151,
  [1897] = 1163,
  [1898] = 1151,
  [1899] = 1163,
  [1900] = 1151,
  [1901] = 1163,
  [1902] = 1151,
  [1903] = 1163,
  [1904] = 1151,
  [1905] = 1163,
  [1906] = 1151,
  [1907] = 1163,
  [1908] = 1151,
  [1909] = 1163,
  [1910] = 1151,
  [1911] = 1163,
  [1912] = 1912,
  [1913] = 1163,
  [1914] = 1151,
  [1915] = 1154,
  [1916] = 1550,
  [1917] = 1661,
  [1918] = 1700,
  [1919] = 1757,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1185,
  [1924] = 1200,
  [1925] = 1191,
  [1926] = 1648,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1184,
  [1930] = 1165,
  [1931] = 1166,
  [1932] = 1171,
  [1933] = 1172,
  [1934] = 1173,
  [1935] = 1174,
  [1936] = 1175,
  [1937] = 1153,
  [1938] = 1155,
  [1939] = 1157,
  [1940] = 1160,
  [1941] = 1167,
  [1942] = 1168,
  [1943] = 1152,
  [1944] = 1944,
  [1945] = 1154,
  [1946] = 1191,
  [1947] = 1156,
  [1948] = 1948,
  [1949] = 1165,
  [1950] = 1166,
  [1951] = 1171,
  [1952] = 1172,
  [1953] = 1173,
  [1954] = 1174,
  [1955] = 1175,
  [1956] = 1153,
  [1957] = 1155,
  [1958] = 1157,
  [1959] = 1160,
  [1960] = 1167,
  [1961] = 1168,
  [1962] = 1152,
  [1963] = 1197,
  [1964] = 1154,
  [1965] = 1156,
  [1966] = 1171,
  [1967] = 1172,
  [1968] = 1173,
  [1969] = 1174,
  [1970] = 1175,
  [1971] = 1153,
  [1972] = 1155,
  [1973] = 1157,
  [1974] = 1160,
  [1975] = 1167,
  [1976] = 1168,
  [1977] = 1154,
  [1978] = 1165,
  [1979] = 1166,
  [1980] = 1152,
  [1981] = 1981,
  [1982] = 1156,
  [1983] = 1165,
  [1984] = 1166,
  [1985] = 1171,
  [1986] = 1172,
  [1987] = 1173,
  [1988] = 1174,
  [1989] = 1175,
  [1990] = 1153,
  [1991] = 1155,
  [1992] = 1157,
  [1993] = 1156,
  [1994] = 1160,
  [1995] = 1167,
  [1996] = 1168,
  [1997] = 1152,
  [1998] = 1154,
  [1999] = 1999,
  [2000] = 1156,
  [2001] = 1165,
  [2002] = 1166,
  [2003] = 1152,
  [2004] = 1920,
  [2005] = 1156,
  [2006] = 1171,
  [2007] = 1172,
  [2008] = 1173,
  [2009] = 1174,
  [2010] = 1175,
  [2011] = 1153,
  [2012] = 1155,
  [2013] = 1157,
  [2014] = 1160,
  [2015] = 1167,
  [2016] = 1168,
  [2017] = 1154,
  [2018] = 1165,
  [2019] = 1166,
  [2020] = 1152,
  [2021] = 1156,
  [2022] = 1921,
  [2023] = 1171,
  [2024] = 1172,
  [2025] = 1173,
  [2026] = 1174,
  [2027] = 1175,
  [2028] = 1153,
  [2029] = 1155,
  [2030] = 1157,
  [2031] = 1160,
  [2032] = 1167,
  [2033] = 1168,
  [2034] = 1154,
  [2035] = 2035,
  [2036] = 1165,
  [2037] = 1166,
  [2038] = 2038,
  [2039] = 1152,
  [2040] = 1163,
  [2041] = 1183,
  [2042] = 1197,
  [2043] = 1163,
  [2044] = 1163,
  [2045] = 1163,
  [2046] = 1163,
  [2047] = 1550,
  [2048] = 1661,
  [2049] = 1700,
  [2050] = 1757,
  [2051] = 1920,
  [2052] = 1921,
  [2053] = 1922,
  [2054] = 1198,
  [2055] = 1648,
  [2056] = 1927,
  [2057] = 1928,
  [2058] = 1184,
  [2059] = 1163,
  [2060] = 1550,
  [2061] = 1661,
  [2062] = 1700,
  [2063] = 1757,
  [2064] = 1920,
  [2065] = 1921,
  [2066] = 1922,
  [2067] = 1648,
  [2068] = 1927,
  [2069] = 1928,
  [2070] = 1184,
  [2071] = 1550,
  [2072] = 1921,
  [2073] = 1922,
  [2074] = 1922,
  [2075] = 1550,
  [2076] = 1921,
  [2077] = 1922,
  [2078] = 2078,
  [2079] = 1165,
  [2080] = 1166,
  [2081] = 1171,
  [2082] = 1172,
  [2083] = 1173,
  [2084] = 1174,
  [2085] = 1175,
  [2086] = 1153,
  [2087] = 1155,
  [2088] = 1157,
  [2089] = 1160,
  [2090] = 1167,
  [2091] = 1168,
  [2092] = 1152,
  [2093] = 1154,
  [2094] = 1191,
  [2095] = 2095,
  [2096] = 1156,
  [2097] = 1171,
  [2098] = 1172,
  [2099] = 1173,
  [2100] = 1174,
  [2101] = 1175,
  [2102] = 1153,
  [2103] = 1155,
  [2104] = 1157,
  [2105] = 1927,
  [2106] = 1160,
  [2107] = 1167,
  [2108] = 1168,
  [2109] = 1185,
  [2110] = 1154,
  [2111] = 1928,
  [2112] = 1575,
  [2113] = 1156,
  [2114] = 1163,
  [2115] = 1183,
  [2116] = 1197,
  [2117] = 1165,
  [2118] = 1166,
  [2119] = 1171,
  [2120] = 1172,
  [2121] = 1163,
  [2122] = 1173,
  [2123] = 1174,
  [2124] = 1175,
  [2125] = 1183,
  [2126] = 1197,
  [2127] = 1165,
  [2128] = 1166,
  [2129] = 1153,
  [2130] = 1152,
  [2131] = 1155,
  [2132] = 1157,
  [2133] = 1171,
  [2134] = 1156,
  [2135] = 1160,
  [2136] = 1167,
  [2137] = 1168,
  [2138] = 1171,
  [2139] = 1172,
  [2140] = 1173,
  [2141] = 1174,
  [2142] = 1175,
  [2143] = 1153,
  [2144] = 1155,
  [2145] = 1157,
  [2146] = 1160,
  [2147] = 1167,
  [2148] = 1168,
  [2149] = 1154,
  [2150] = 1152,
  [2151] = 1163,
  [2152] = 1185,
  [2153] = 1154,
  [2154] = 1191,
  [2155] = 1185,
  [2156] = 1575,
  [2157] = 1172,
  [2158] = 1156,
  [2159] = 1185,
  [2160] = 1575,
  [2161] = 1185,
  [2162] = 2162,
  [2163] = 1199,
  [2164] = 1185,
  [2165] = 1185,
  [2166] = 1173,
  [2167] = 1185,
  [2168] = 1165,
  [2169] = 1166,
  [2170] = 1185,
  [2171] = 1174,
  [2172] = 1185,
  [2173] = 1171,
  [2174] = 1185,
  [2175] = 1172,
  [2176] = 1185,
  [2177] = 1173,
  [2178] = 1185,
  [2179] = 1185,
  [2180] = 1185,
  [2181] = 1185,
  [2182] = 1185,
  [2183] = 1185,
  [2184] = 1174,
  [2185] = 1175,
  [2186] = 1866,
  [2187] = 2078,
  [2188] = 1369,
  [2189] = 1153,
  [2190] = 1155,
  [2191] = 1866,
  [2192] = 2078,
  [2193] = 1369,
  [2194] = 1866,
  [2195] = 2078,
  [2196] = 1369,
  [2197] = 2078,
  [2198] = 2078,
  [2199] = 1157,
  [2200] = 1175,
  [2201] = 1160,
  [2202] = 1167,
  [2203] = 1153,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2204,
  [2207] = 2205,
  [2208] = 2204,
  [2209] = 2205,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2210,
  [2214] = 2211,
  [2215] = 2212,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2217,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2216,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2221,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2219,
  [2304] = 2304,
  [2305] = 2218,
  [2306] = 2220,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2296,
  [2437] = 2211,
  [2438] = 2277,
  [2439] = 2278,
  [2440] = 2440,
  [2441] = 2238,
  [2442] = 2279,
  [2443] = 2280,
  [2444] = 2228,
  [2445] = 2226,
  [2446] = 2222,
  [2447] = 2281,
  [2448] = 2245,
  [2449] = 2268,
  [2450] = 2239,
  [2451] = 2246,
  [2452] = 2235,
  [2453] = 2244,
  [2454] = 2227,
  [2455] = 2282,
  [2456] = 2274,
  [2457] = 2283,
  [2458] = 2275,
  [2459] = 2284,
  [2460] = 2255,
  [2461] = 2253,
  [2462] = 2254,
  [2463] = 2276,
  [2464] = 2285,
  [2465] = 2286,
  [2466] = 2287,
  [2467] = 2288,
  [2468] = 2289,
  [2469] = 2240,
  [2470] = 2290,
  [2471] = 2272,
  [2472] = 2291,
  [2473] = 2231,
  [2474] = 2273,
  [2475] = 2256,
  [2476] = 2230,
  [2477] = 2257,
  [2478] = 2252,
  [2479] = 2236,
  [2480] = 2258,
  [2481] = 2259,
  [2482] = 2260,
  [2483] = 2292,
  [2484] = 2271,
  [2485] = 2261,
  [2486] = 2293,
  [2487] = 2294,
  [2488] = 2295,
  [2489] = 2232,
  [2490] = 2247,
  [2491] = 2248,
  [2492] = 2233,
  [2493] = 2262,
  [2494] = 2241,
  [2495] = 2237,
  [2496] = 2242,
  [2497] = 2297,
  [2498] = 2298,
  [2499] = 2249,
  [2500] = 2263,
  [2501] = 2264,
  [2502] = 2250,
  [2503] = 2265,
  [2504] = 2299,
  [2505] = 2307,
  [2506] = 2300,
  [2507] = 2267,
  [2508] = 2301,
  [2509] = 2243,
  [2510] = 2234,
  [2511] = 2269,
  [2512] = 2251,
  [2513] = 2302,
  [2514] = 2210,
  [2515] = 2515,
  [2516] = 2355,
  [2517] = 2356,
  [2518] = 2357,
  [2519] = 2371,
  [2520] = 2321,
  [2521] = 2358,
  [2522] = 2326,
  [2523] = 2333,
  [2524] = 2402,
  [2525] = 2312,
  [2526] = 2313,
  [2527] = 2399,
  [2528] = 2316,
  [2529] = 2336,
  [2530] = 2530,
  [2531] = 2400,
  [2532] = 2401,
  [2533] = 2322,
  [2534] = 2337,
  [2535] = 2323,
  [2536] = 2324,
  [2537] = 2422,
  [2538] = 2406,
  [2539] = 2408,
  [2540] = 2360,
  [2541] = 2338,
  [2542] = 2362,
  [2543] = 2409,
  [2544] = 2410,
  [2545] = 2411,
  [2546] = 2412,
  [2547] = 2363,
  [2548] = 2339,
  [2549] = 2419,
  [2550] = 2310,
  [2551] = 2327,
  [2552] = 2413,
  [2553] = 2364,
  [2554] = 2414,
  [2555] = 2415,
  [2556] = 2308,
  [2557] = 2417,
  [2558] = 2365,
  [2559] = 2366,
  [2560] = 2368,
  [2561] = 2369,
  [2562] = 2370,
  [2563] = 2435,
  [2564] = 2340,
  [2565] = 2373,
  [2566] = 2341,
  [2567] = 2342,
  [2568] = 2374,
  [2569] = 2375,
  [2570] = 2424,
  [2571] = 2315,
  [2572] = 2420,
  [2573] = 2325,
  [2574] = 2381,
  [2575] = 2376,
  [2576] = 2425,
  [2577] = 2343,
  [2578] = 2329,
  [2579] = 2317,
  [2580] = 2330,
  [2581] = 2427,
  [2582] = 2377,
  [2583] = 2378,
  [2584] = 2354,
  [2585] = 2344,
  [2586] = 2345,
  [2587] = 2346,
  [2588] = 2347,
  [2589] = 2348,
  [2590] = 2349,
  [2591] = 2591,
  [2592] = 2428,
  [2593] = 2350,
  [2594] = 2351,
  [2595] = 2359,
  [2596] = 2426,
  [2597] = 2383,
  [2598] = 2421,
  [2599] = 2331,
  [2600] = 2382,
  [2601] = 2384,
  [2602] = 2328,
  [2603] = 2429,
  [2604] = 2386,
  [2605] = 2387,
  [2606] = 2606,
  [2607] = 2388,
  [2608] = 2389,
  [2609] = 2397,
  [2610] = 2390,
  [2611] = 2391,
  [2612] = 2332,
  [2613] = 2392,
  [2614] = 2393,
  [2615] = 2404,
  [2616] = 2385,
  [2617] = 2430,
  [2618] = 2405,
  [2619] = 2318,
  [2620] = 2314,
  [2621] = 2367,
  [2622] = 2380,
  [2623] = 2319,
  [2624] = 2394,
  [2625] = 2311,
  [2626] = 2395,
  [2627] = 2431,
  [2628] = 2432,
  [2629] = 2433,
  [2630] = 2212,
  [2631] = 2434,
  [2632] = 2372,
  [2633] = 2320,
  [2634] = 2416,
  [2635] = 2398,
  [2636] = 2396,
  [2637] = 2403,
  [2638] = 2407,
  [2639] = 2418,
  [2640] = 2423,
  [2641] = 2352,
  [2642] = 2353,
  [2643] = 2309,
  [2644] = 2379,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2220,
  [2650] = 2218,
  [2651] = 2219,
  [2652] = 2216,
  [2653] = 2217,
  [2654] = 2221,
  [2655] = 2655,
  [2656] = 2295,
  [2657] = 2228,
  [2658] = 2235,
  [2659] = 2226,
  [2660] = 2299,
  [2661] = 2300,
  [2662] = 2301,
  [2663] = 2236,
  [2664] = 2302,
  [2665] = 2227,
  [2666] = 2256,
  [2667] = 2257,
  [2668] = 2237,
  [2669] = 2232,
  [2670] = 2258,
  [2671] = 2259,
  [2672] = 2260,
  [2673] = 2261,
  [2674] = 2262,
  [2675] = 2238,
  [2676] = 2297,
  [2677] = 2263,
  [2678] = 2264,
  [2679] = 2265,
  [2680] = 2255,
  [2681] = 2239,
  [2682] = 2307,
  [2683] = 2267,
  [2684] = 2252,
  [2685] = 2268,
  [2686] = 2234,
  [2687] = 2269,
  [2688] = 2251,
  [2689] = 2298,
  [2690] = 2271,
  [2691] = 2272,
  [2692] = 2273,
  [2693] = 2274,
  [2694] = 2275,
  [2695] = 2240,
  [2696] = 2241,
  [2697] = 2242,
  [2698] = 2276,
  [2699] = 2253,
  [2700] = 2277,
  [2701] = 2278,
  [2702] = 2243,
  [2703] = 2279,
  [2704] = 2244,
  [2705] = 2254,
  [2706] = 2231,
  [2707] = 2280,
  [2708] = 2222,
  [2709] = 2281,
  [2710] = 2282,
  [2711] = 2233,
  [2712] = 2283,
  [2713] = 2284,
  [2714] = 2285,
  [2715] = 2286,
  [2716] = 2245,
  [2717] = 2230,
  [2718] = 2246,
  [2719] = 2287,
  [2720] = 2247,
  [2721] = 2288,
  [2722] = 2248,
  [2723] = 2289,
  [2724] = 2290,
  [2725] = 2291,
  [2726] = 2292,
  [2727] = 2249,
  [2728] = 2250,
  [2729] = 2293,
  [2730] = 2294,
  [2731] = 2296,
  [2732] = 2732,
  [2733] = 2655,
  [2734] = 2440,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2736,
  [2738] = 2736,
  [2739] = 2739,
  [2740] = 2736,
  [2741] = 2736,
  [2742] = 2739,
  [2743] = 2736,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2736,
  [2750] = 2750,
  [2751] = 2736,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2752,
  [2757] = 2739,
  [2758] = 2758,
  [2759] = 2758,
  [2760] = 2760,
  [2761] = 2760,
  [2762] = 2758,
  [2763] = 2763,
  [2764] = 2758,
  [2765] = 2754,
  [2766] = 2763,
  [2767] = 2758,
  [2768] = 2739,
  [2769] = 2758,
  [2770] = 2739,
  [2771] = 2763,
  [2772] = 2736,
  [2773] = 2736,
  [2774] = 2774,
  [2775] = 2736,
  [2776] = 2739,
  [2777] = 2754,
  [2778] = 2752,
  [2779] = 2739,
  [2780] = 2739,
  [2781] = 2763,
  [2782] = 2739,
  [2783] = 2736,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2754,
  [2787] = 2739,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2739,
  [2791] = 2739,
  [2792] = 2792,
  [2793] = 2752,
  [2794] = 2758,
  [2795] = 2739,
  [2796] = 2758,
  [2797] = 2754,
  [2798] = 2736,
  [2799] = 2744,
  [2800] = 2800,
  [2801] = 2760,
  [2802] = 2802,
  [2803] = 2760,
  [2804] = 2763,
  [2805] = 2800,
  [2806] = 2745,
  [2807] = 2807,
  [2808] = 2752,
  [2809] = 2800,
  [2810] = 2752,
  [2811] = 2755,
  [2812] = 2744,
  [2813] = 2802,
  [2814] = 2745,
  [2815] = 2763,
  [2816] = 2800,
  [2817] = 2817,
  [2818] = 2807,
  [2819] = 2748,
  [2820] = 2760,
  [2821] = 2752,
  [2822] = 2744,
  [2823] = 2758,
  [2824] = 2760,
  [2825] = 2758,
  [2826] = 2752,
  [2827] = 2758,
  [2828] = 2753,
  [2829] = 2758,
  [2830] = 2746,
  [2831] = 2831,
  [2832] = 2747,
  [2833] = 2833,
  [2834] = 2817,
  [2835] = 2745,
  [2836] = 2750,
  [2837] = 2754,
  [2838] = 2838,
  [2839] = 2763,
  [2840] = 2758,
  [2841] = 2763,
  [2842] = 2763,
  [2843] = 2843,
  [2844] = 2736,
  [2845] = 2754,
  [2846] = 2846,
  [2847] = 2760,
  [2848] = 2833,
  [2849] = 2754,
  [2850] = 2850,
  [2851] = 2758,
  [2852] = 2852,
  [2853] = 2853,
  [2854] = 2758,
  [2855] = 2760,
  [2856] = 2838,
  [2857] = 2758,
  [2858] = 2843,
  [2859] = 2760,
  [2860] = 2760,
  [2861] = 2758,
  [2862] = 2862,
  [2863] = 2817,
  [2864] = 2754,
  [2865] = 2763,
  [2866] = 2817,
  [2867] = 2760,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2763,
  [2871] = 2763,
  [2872] = 2736,
  [2873] = 2758,
  [2874] = 2758,
  [2875] = 2763,
  [2876] = 2758,
  [2877] = 2758,
  [2878] = 2760,
  [2879] = 2879,
  [2880] = 2758,
  [2881] = 2881,
  [2882] = 2758,
  [2883] = 2758,
  [2884] = 2884,
  [2885] = 2758,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 2758,
  [2889] = 2760,
  [2890] = 2890,
  [2891] = 2760,
  [2892] = 2760,
  [2893] = 2893,
  [2894] = 2831,
  [2895] = 2895,
  [2896] = 2760,
  [2897] = 2879,
  [2898] = 2758,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2763,
  [2902] = 2881,
  [2903] = 2760,
  [2904] = 2904,
  [2905] = 2868,
  [2906] = 2736,
  [2907] = 2758,
  [2908] = 2758,
  [2909] = 2736,
  [2910] = 2763,
  [2911] = 2838,
  [2912] = 2760,
  [2913] = 2758,
  [2914] = 2838,
  [2915] = 2760,
  [2916] = 2862,
  [2917] = 2760,
  [2918] = 2758,
  [2919] = 2758,
  [2920] = 2736,
  [2921] = 2758,
  [2922] = 2922,
  [2923] = 2922,
  [2924] = 2922,
  [2925] = 2925,
  [2926] = 2763,
  [2927] = 2745,
  [2928] = 2754,
  [2929] = 2763,
  [2930] = 2744,
  [2931] = 2758,
  [2932] = 2932,
  [2933] = 2922,
  [2934] = 2934,
  [2935] = 2922,
  [2936] = 2736,
  [2937] = 2736,
  [2938] = 2934,
  [2939] = 2755,
  [2940] = 2763,
  [2941] = 2941,
  [2942] = 2748,
  [2943] = 2943,
  [2944] = 2944,
  [2945] = 2800,
  [2946] = 2763,
  [2947] = 2947,
  [2948] = 2755,
  [2949] = 2949,
  [2950] = 2763,
  [2951] = 2951,
  [2952] = 2952,
  [2953] = 2802,
  [2954] = 2763,
  [2955] = 2753,
  [2956] = 2736,
  [2957] = 2736,
  [2958] = 2758,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2800,
  [2963] = 2746,
  [2964] = 2758,
  [2965] = 2965,
  [2966] = 2966,
  [2967] = 2758,
  [2968] = 2747,
  [2969] = 2802,
  [2970] = 2758,
  [2971] = 2750,
  [2972] = 2961,
  [2973] = 2973,
  [2974] = 2758,
  [2975] = 2975,
  [2976] = 2976,
  [2977] = 2763,
  [2978] = 2736,
  [2979] = 2763,
  [2980] = 2980,
  [2981] = 2763,
  [2982] = 2758,
  [2983] = 2758,
  [2984] = 2800,
  [2985] = 2985,
  [2986] = 2980,
  [2987] = 2800,
  [2988] = 2758,
  [2989] = 2763,
  [2990] = 2990,
  [2991] = 2991,
  [2992] = 2992,
  [2993] = 2993,
  [2994] = 2994,
  [2995] = 2736,
  [2996] = 2996,
  [2997] = 2736,
  [2998] = 2998,
  [2999] = 2999,
  [3000] = 3000,
  [3001] = 2753,
  [3002] = 2746,
  [3003] = 3003,
  [3004] = 3004,
  [3005] = 3005,
  [3006] = 2747,
  [3007] = 2736,
  [3008] = 2991,
  [3009] = 2750,
  [3010] = 2748,
  [3011] = 2744,
  [3012] = 2736,
  [3013] = 3013,
  [3014] = 2745,
  [3015] = 2736,
  [3016] = 3016,
  [3017] = 2991,
  [3018] = 3018,
  [3019] = 3019,
  [3020] = 2736,
  [3021] = 3021,
  [3022] = 2736,
  [3023] = 3023,
  [3024] = 3024,
  [3025] = 3025,
  [3026] = 2736,
  [3027] = 2800,
  [3028] = 2802,
  [3029] = 2800,
  [3030] = 2800,
  [3031] = 2802,
  [3032] = 2802,
  [3033] = 2800,
  [3034] = 2800,
  [3035] = 3023,
  [3036] = 2800,
  [3037] = 2800,
  [3038] = 2802,
  [3039] = 3024,
  [3040] = 2802,
  [3041] = 2800,
  [3042] = 2996,
  [3043] = 3018,
  [3044] = 3021,
  [3045] = 2802,
  [3046] = 2992,
  [3047] = 3019,
  [3048] = 2800,
  [3049] = 2802,
  [3050] = 2800,
  [3051] = 3003,
  [3052] = 3004,
  [3053] = 2800,
  [3054] = 2800,
  [3055] = 2802,
  [3056] = 2800,
  [3057] = 2800,
  [3058] = 2802,
  [3059] = 2800,
  [3060] = 2800,
  [3061] = 2802,
  [3062] = 2800,
  [3063] = 2802,
  [3064] = 2843,
  [3065] = 2833,
  [3066] = 2800,
  [3067] = 2800,
  [3068] = 2802,
  [3069] = 2736,
  [3070] = 2800,
  [3071] = 2802,
  [3072] = 2802,
  [3073] = 2800,
  [3074] = 2802,
  [3075] = 2800,
  [3076] = 2833,
  [3077] = 2800,
  [3078] = 2802,
  [3079] = 2800,
  [3080] = 2802,
  [3081] = 2736,
  [3082] = 2736,
  [3083] = 2800,
  [3084] = 2736,
  [3085] = 2800,
  [3086] = 2800,
  [3087] = 2800,
  [3088] = 2736,
  [3089] = 2800,
  [3090] = 2736,
  [3091] = 2800,
  [3092] = 2843,
  [3093] = 3093,
  [3094] = 3094,
  [3095] = 3093,
  [3096] = 3096,
  [3097] = 2843,
  [3098] = 2833,
  [3099] = 2852,
  [3100] = 3100,
  [3101] = 3101,
  [3102] = 3102,
  [3103] = 3096,
  [3104] = 3100,
  [3105] = 3094,
  [3106] = 3101,
  [3107] = 2843,
  [3108] = 2833,
  [3109] = 3102,
  [3110] = 3100,
  [3111] = 3093,
  [3112] = 3096,
  [3113] = 3100,
  [3114] = 3093,
  [3115] = 3094,
  [3116] = 3101,
  [3117] = 3096,
  [3118] = 3094,
  [3119] = 2932,
  [3120] = 3101,
  [3121] = 2932,
  [3122] = 2843,
  [3123] = 2833,
  [3124] = 2868,
  [3125] = 2879,
  [3126] = 2879,
  [3127] = 2881,
  [3128] = 2862,
  [3129] = 2868,
  [3130] = 2925,
  [3131] = 2833,
  [3132] = 2881,
  [3133] = 2843,
  [3134] = 2833,
  [3135] = 2862,
  [3136] = 2843,
  [3137] = 3137,
  [3138] = 3137,
  [3139] = 3137,
  [3140] = 3137,
  [3141] = 2833,
  [3142] = 2862,
  [3143] = 2868,
  [3144] = 2843,
  [3145] = 2833,
  [3146] = 2833,
  [3147] = 2881,
  [3148] = 2843,
  [3149] = 2833,
  [3150] = 2843,
  [3151] = 2843,
  [3152] = 2745,
  [3153] = 2843,
  [3154] = 3025,
  [3155] = 2744,
  [3156] = 2833,
  [3157] = 2881,
  [3158] = 2843,
  [3159] = 2879,
  [3160] = 2307,
  [3161] = 2833,
  [3162] = 2843,
  [3163] = 2843,
  [3164] = 2925,
  [3165] = 2833,
  [3166] = 2755,
  [3167] = 2833,
  [3168] = 3016,
  [3169] = 2862,
  [3170] = 2252,
  [3171] = 2253,
  [3172] = 2879,
  [3173] = 2868,
  [3174] = 2868,
  [3175] = 2881,
  [3176] = 2747,
  [3177] = 2862,
  [3178] = 3178,
  [3179] = 2750,
  [3180] = 2745,
  [3181] = 2744,
  [3182] = 2868,
  [3183] = 3183,
  [3184] = 3003,
  [3185] = 2996,
  [3186] = 3019,
  [3187] = 3004,
  [3188] = 3018,
  [3189] = 3021,
  [3190] = 3190,
  [3191] = 2755,
  [3192] = 2993,
  [3193] = 2879,
  [3194] = 2745,
  [3195] = 2881,
  [3196] = 2991,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 2754,
  [3201] = 2879,
  [3202] = 2868,
  [3203] = 2748,
  [3204] = 2879,
  [3205] = 3205,
  [3206] = 2753,
  [3207] = 2990,
  [3208] = 2744,
  [3209] = 2881,
  [3210] = 2862,
  [3211] = 3211,
  [3212] = 3212,
  [3213] = 2745,
  [3214] = 2744,
  [3215] = 2992,
  [3216] = 2991,
  [3217] = 2991,
  [3218] = 2999,
  [3219] = 2999,
  [3220] = 2755,
  [3221] = 2994,
  [3222] = 2943,
  [3223] = 2746,
  [3224] = 3024,
  [3225] = 3023,
  [3226] = 2966,
  [3227] = 2862,
  [3228] = 2879,
  [3229] = 3229,
  [3230] = 2862,
  [3231] = 2747,
  [3232] = 2900,
  [3233] = 2868,
  [3234] = 2750,
  [3235] = 2904,
  [3236] = 2993,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 2899,
  [3240] = 2380,
  [3241] = 2381,
  [3242] = 2383,
  [3243] = 2397,
  [3244] = 2398,
  [3245] = 2399,
  [3246] = 2400,
  [3247] = 2401,
  [3248] = 3003,
  [3249] = 2996,
  [3250] = 2991,
  [3251] = 2952,
  [3252] = 2985,
  [3253] = 2960,
  [3254] = 2975,
  [3255] = 3255,
  [3256] = 2994,
  [3257] = 3019,
  [3258] = 2949,
  [3259] = 3259,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 3004,
  [3264] = 3264,
  [3265] = 3018,
  [3266] = 3021,
  [3267] = 2976,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 2941,
  [3272] = 2944,
  [3273] = 3024,
  [3274] = 3274,
  [3275] = 2947,
  [3276] = 2973,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 2404,
  [3280] = 2992,
  [3281] = 2951,
  [3282] = 3282,
  [3283] = 2405,
  [3284] = 3284,
  [3285] = 2406,
  [3286] = 3286,
  [3287] = 2408,
  [3288] = 2409,
  [3289] = 2410,
  [3290] = 2411,
  [3291] = 3291,
  [3292] = 2412,
  [3293] = 2413,
  [3294] = 2414,
  [3295] = 2415,
  [3296] = 2308,
  [3297] = 2417,
  [3298] = 3298,
  [3299] = 3299,
  [3300] = 3300,
  [3301] = 3301,
  [3302] = 3302,
  [3303] = 3303,
  [3304] = 3304,
  [3305] = 3023,
  [3306] = 3306,
  [3307] = 3307,
  [3308] = 3308,
  [3309] = 3309,
  [3310] = 2879,
  [3311] = 3311,
  [3312] = 3312,
  [3313] = 2881,
  [3314] = 2862,
  [3315] = 3315,
  [3316] = 2868,
  [3317] = 3317,
  [3318] = 2419,
  [3319] = 2420,
  [3320] = 2421,
  [3321] = 2422,
  [3322] = 2424,
  [3323] = 2216,
  [3324] = 2425,
  [3325] = 2221,
  [3326] = 2426,
  [3327] = 2427,
  [3328] = 2428,
  [3329] = 3329,
  [3330] = 2429,
  [3331] = 2430,
  [3332] = 2431,
  [3333] = 2432,
  [3334] = 2433,
  [3335] = 2434,
  [3336] = 2416,
  [3337] = 2965,
  [3338] = 3338,
  [3339] = 2372,
  [3340] = 2315,
  [3341] = 2748,
  [3342] = 2359,
  [3343] = 2753,
  [3344] = 2402,
  [3345] = 2312,
  [3346] = 2313,
  [3347] = 3347,
  [3348] = 2746,
  [3349] = 2316,
  [3350] = 3350,
  [3351] = 2317,
  [3352] = 2747,
  [3353] = 2750,
  [3354] = 2318,
  [3355] = 2319,
  [3356] = 2320,
  [3357] = 2321,
  [3358] = 2322,
  [3359] = 3359,
  [3360] = 2881,
  [3361] = 2323,
  [3362] = 2324,
  [3363] = 2862,
  [3364] = 2868,
  [3365] = 2327,
  [3366] = 2329,
  [3367] = 2330,
  [3368] = 2331,
  [3369] = 2655,
  [3370] = 2879,
  [3371] = 2881,
  [3372] = 2332,
  [3373] = 2333,
  [3374] = 2862,
  [3375] = 2868,
  [3376] = 2961,
  [3377] = 2879,
  [3378] = 3378,
  [3379] = 2881,
  [3380] = 2862,
  [3381] = 2868,
  [3382] = 2745,
  [3383] = 2744,
  [3384] = 2748,
  [3385] = 2895,
  [3386] = 2336,
  [3387] = 2337,
  [3388] = 2338,
  [3389] = 2339,
  [3390] = 2340,
  [3391] = 2990,
  [3392] = 2884,
  [3393] = 2341,
  [3394] = 2342,
  [3395] = 2886,
  [3396] = 2879,
  [3397] = 2887,
  [3398] = 2881,
  [3399] = 2862,
  [3400] = 2343,
  [3401] = 2344,
  [3402] = 2345,
  [3403] = 2346,
  [3404] = 2347,
  [3405] = 2890,
  [3406] = 2348,
  [3407] = 3407,
  [3408] = 2349,
  [3409] = 2350,
  [3410] = 2351,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 2753,
  [3414] = 2352,
  [3415] = 2353,
  [3416] = 2354,
  [3417] = 2355,
  [3418] = 2356,
  [3419] = 2959,
  [3420] = 2879,
  [3421] = 3421,
  [3422] = 2881,
  [3423] = 2862,
  [3424] = 2868,
  [3425] = 2357,
  [3426] = 2358,
  [3427] = 3427,
  [3428] = 2893,
  [3429] = 2879,
  [3430] = 2881,
  [3431] = 2862,
  [3432] = 2868,
  [3433] = 2360,
  [3434] = 2362,
  [3435] = 2991,
  [3436] = 2363,
  [3437] = 2364,
  [3438] = 2365,
  [3439] = 2366,
  [3440] = 2368,
  [3441] = 2369,
  [3442] = 2370,
  [3443] = 2435,
  [3444] = 2373,
  [3445] = 2374,
  [3446] = 2375,
  [3447] = 2376,
  [3448] = 2377,
  [3449] = 2378,
  [3450] = 2379,
  [3451] = 3198,
  [3452] = 3452,
  [3453] = 3453,
  [3454] = 3454,
  [3455] = 3455,
  [3456] = 3456,
  [3457] = 2382,
  [3458] = 2384,
  [3459] = 2386,
  [3460] = 2387,
  [3461] = 2388,
  [3462] = 2389,
  [3463] = 2390,
  [3464] = 2391,
  [3465] = 2392,
  [3466] = 2393,
  [3467] = 3467,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 2394,
  [3471] = 2395,
  [3472] = 2396,
  [3473] = 2403,
  [3474] = 2407,
  [3475] = 2418,
  [3476] = 2423,
  [3477] = 3477,
  [3478] = 2309,
  [3479] = 2310,
  [3480] = 2311,
  [3481] = 3481,
  [3482] = 3482,
  [3483] = 2879,
  [3484] = 3484,
  [3485] = 3485,
  [3486] = 2746,
  [3487] = 3487,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3492,
  [3493] = 3493,
  [3494] = 3494,
  [3495] = 2367,
  [3496] = 3496,
  [3497] = 3497,
  [3498] = 2961,
  [3499] = 3499,
  [3500] = 3500,
  [3501] = 3501,
  [3502] = 3502,
  [3503] = 2991,
  [3504] = 3504,
  [3505] = 3505,
  [3506] = 3506,
  [3507] = 3507,
  [3508] = 3508,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 3521,
  [3522] = 3522,
  [3523] = 2881,
  [3524] = 3524,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 2868,
  [3529] = 3025,
  [3530] = 3000,
  [3531] = 2998,
  [3532] = 3013,
  [3533] = 3016,
  [3534] = 3005,
  [3535] = 2991,
  [3536] = 2991,
  [3537] = 2991,
  [3538] = 2961,
  [3539] = 2991,
  [3540] = 2966,
  [3541] = 2991,
  [3542] = 2991,
  [3543] = 2943,
  [3544] = 3544,
  [3545] = 2992,
  [3546] = 2991,
  [3547] = 2216,
  [3548] = 2991,
  [3549] = 2991,
  [3550] = 3024,
  [3551] = 3018,
  [3552] = 2221,
  [3553] = 2991,
  [3554] = 2991,
  [3555] = 2961,
  [3556] = 2991,
  [3557] = 2991,
  [3558] = 2991,
  [3559] = 3025,
  [3560] = 3016,
  [3561] = 3023,
  [3562] = 2993,
  [3563] = 3003,
  [3564] = 2999,
  [3565] = 3019,
  [3566] = 2996,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3198,
  [3570] = 2755,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 2754,
  [3575] = 3021,
  [3576] = 3576,
  [3577] = 2745,
  [3578] = 3578,
  [3579] = 3579,
  [3580] = 3579,
  [3581] = 2744,
  [3582] = 3579,
  [3583] = 3583,
  [3584] = 3004,
  [3585] = 2904,
  [3586] = 2951,
  [3587] = 2887,
  [3588] = 2747,
  [3589] = 2949,
  [3590] = 2750,
  [3591] = 2890,
  [3592] = 2973,
  [3593] = 3593,
  [3594] = 3594,
  [3595] = 2745,
  [3596] = 2895,
  [3597] = 2985,
  [3598] = 3598,
  [3599] = 3599,
  [3600] = 2960,
  [3601] = 2899,
  [3602] = 2975,
  [3603] = 3573,
  [3604] = 2941,
  [3605] = 2886,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3583,
  [3609] = 2748,
  [3610] = 3610,
  [3611] = 2753,
  [3612] = 3612,
  [3613] = 2746,
  [3614] = 3568,
  [3615] = 3573,
  [3616] = 2952,
  [3617] = 2754,
  [3618] = 2925,
  [3619] = 2944,
  [3620] = 2959,
  [3621] = 2744,
  [3622] = 2900,
  [3623] = 3623,
  [3624] = 2755,
  [3625] = 2947,
  [3626] = 2893,
  [3627] = 2884,
  [3628] = 2976,
  [3629] = 3571,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3634,
  [3635] = 3635,
  [3636] = 3636,
  [3637] = 2947,
  [3638] = 2216,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 2221,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3573,
  [3648] = 2952,
  [3649] = 2949,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 2895,
  [3653] = 3653,
  [3654] = 2985,
  [3655] = 2890,
  [3656] = 3656,
  [3657] = 2960,
  [3658] = 2975,
  [3659] = 3659,
  [3660] = 2884,
  [3661] = 3661,
  [3662] = 2973,
  [3663] = 3663,
  [3664] = 3664,
  [3665] = 2959,
  [3666] = 3666,
  [3667] = 2748,
  [3668] = 3668,
  [3669] = 3669,
  [3670] = 3670,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3675,
  [3676] = 3676,
  [3677] = 2899,
  [3678] = 2886,
  [3679] = 2655,
  [3680] = 2900,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 2941,
  [3687] = 2904,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 3690,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 2893,
  [3695] = 3695,
  [3696] = 3696,
  [3697] = 3697,
  [3698] = 2944,
  [3699] = 3699,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 2746,
  [3703] = 2887,
  [3704] = 3704,
  [3705] = 2976,
  [3706] = 2951,
  [3707] = 3707,
  [3708] = 3708,
  [3709] = 3709,
  [3710] = 3710,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3714,
  [3715] = 2747,
  [3716] = 3716,
  [3717] = 3717,
  [3718] = 3718,
  [3719] = 3719,
  [3720] = 3720,
  [3721] = 3721,
  [3722] = 3722,
  [3723] = 2205,
  [3724] = 3724,
  [3725] = 3725,
  [3726] = 3726,
  [3727] = 2750,
  [3728] = 3728,
  [3729] = 3729,
  [3730] = 3730,
  [3731] = 2753,
  [3732] = 3697,
  [3733] = 3709,
  [3734] = 3725,
  [3735] = 3710,
  [3736] = 3644,
  [3737] = 3668,
  [3738] = 3722,
  [3739] = 3739,
  [3740] = 3728,
  [3741] = 3643,
  [3742] = 3674,
  [3743] = 2994,
  [3744] = 3683,
  [3745] = 3690,
  [3746] = 3198,
  [3747] = 3700,
  [3748] = 2205,
  [3749] = 3726,
  [3750] = 3750,
  [3751] = 3653,
  [3752] = 3752,
  [3753] = 3713,
  [3754] = 3714,
  [3755] = 3696,
  [3756] = 3724,
  [3757] = 3632,
  [3758] = 3691,
  [3759] = 3671,
  [3760] = 3720,
  [3761] = 3761,
  [3762] = 3707,
  [3763] = 3573,
  [3764] = 3573,
  [3765] = 3573,
  [3766] = 3664,
  [3767] = 3646,
  [3768] = 3659,
  [3769] = 3721,
  [3770] = 3730,
  [3771] = 3639,
  [3772] = 2990,
  [3773] = 3718,
  [3774] = 3672,
  [3775] = 3635,
  [3776] = 3711,
  [3777] = 3640,
  [3778] = 3685,
  [3779] = 3651,
  [3780] = 3689,
  [3781] = 3688,
  [3782] = 3782,
  [3783] = 3712,
  [3784] = 3784,
  [3785] = 3695,
  [3786] = 3729,
  [3787] = 3669,
  [3788] = 3717,
  [3789] = 3708,
  [3790] = 3790,
  [3791] = 3682,
  [3792] = 3650,
  [3793] = 3673,
  [3794] = 2655,
  [3795] = 3573,
  [3796] = 3796,
  [3797] = 3797,
  [3798] = 3198,
  [3799] = 3023,
  [3800] = 3573,
  [3801] = 2925,
  [3802] = 3802,
  [3803] = 3803,
  [3804] = 3804,
  [3805] = 3544,
  [3806] = 3806,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 3568,
  [3810] = 3567,
  [3811] = 3571,
  [3812] = 3583,
  [3813] = 2755,
  [3814] = 3814,
  [3815] = 3623,
  [3816] = 3198,
  [3817] = 3814,
  [3818] = 3818,
  [3819] = 2755,
  [3820] = 3808,
  [3821] = 3818,
  [3822] = 2754,
  [3823] = 3573,
  [3824] = 2745,
  [3825] = 2744,
  [3826] = 3544,
  [3827] = 3576,
  [3828] = 3828,
  [3829] = 3573,
  [3830] = 3808,
  [3831] = 3573,
  [3832] = 3808,
  [3833] = 3828,
  [3834] = 3808,
  [3835] = 3808,
  [3836] = 3808,
  [3837] = 3808,
  [3838] = 3808,
  [3839] = 3808,
  [3840] = 3808,
  [3841] = 3808,
  [3842] = 3808,
  [3843] = 3808,
  [3844] = 3808,
  [3845] = 3808,
  [3846] = 3808,
  [3847] = 3808,
  [3848] = 3808,
  [3849] = 3808,
  [3850] = 3808,
  [3851] = 3808,
  [3852] = 3808,
  [3853] = 3808,
  [3854] = 3808,
  [3855] = 3808,
  [3856] = 3808,
  [3857] = 3808,
  [3858] = 3808,
  [3859] = 3808,
  [3860] = 3808,
  [3861] = 3808,
  [3862] = 3808,
  [3863] = 3808,
  [3864] = 3808,
  [3865] = 3808,
  [3866] = 3808,
  [3867] = 3808,
  [3868] = 3578,
  [3869] = 3808,
  [3870] = 3808,
  [3871] = 3808,
  [3872] = 3808,
  [3873] = 3808,
  [3874] = 3808,
  [3875] = 3808,
  [3876] = 3808,
  [3877] = 3808,
  [3878] = 3808,
  [3879] = 2745,
  [3880] = 3610,
  [3881] = 3606,
  [3882] = 2952,
  [3883] = 2748,
  [3884] = 2895,
  [3885] = 2985,
  [3886] = 2960,
  [3887] = 2975,
  [3888] = 2994,
  [3889] = 2990,
  [3890] = 2884,
  [3891] = 2886,
  [3892] = 2887,
  [3893] = 2949,
  [3894] = 2890,
  [3895] = 2753,
  [3896] = 2959,
  [3897] = 2893,
  [3898] = 2976,
  [3899] = 2746,
  [3900] = 2941,
  [3901] = 2944,
  [3902] = 2947,
  [3903] = 2973,
  [3904] = 2747,
  [3905] = 2900,
  [3906] = 2951,
  [3907] = 2750,
  [3908] = 2904,
  [3909] = 2899,
  [3910] = 2745,
  [3911] = 2744,
  [3912] = 3599,
  [3913] = 2755,
  [3914] = 2748,
  [3915] = 2753,
  [3916] = 2746,
  [3917] = 2747,
  [3918] = 2750,
  [3919] = 3593,
  [3920] = 2745,
  [3921] = 2744,
  [3922] = 2754,
  [3923] = 3023,
  [3924] = 2744,
  [3925] = 3568,
  [3926] = 2925,
  [3927] = 3567,
  [3928] = 3571,
  [3929] = 3598,
  [3930] = 3607,
  [3931] = 3003,
  [3932] = 3576,
  [3933] = 2996,
  [3934] = 3610,
  [3935] = 3583,
  [3936] = 3019,
  [3937] = 3578,
  [3938] = 3004,
  [3939] = 3573,
  [3940] = 3593,
  [3941] = 3018,
  [3942] = 3021,
  [3943] = 2993,
  [3944] = 3573,
  [3945] = 3198,
  [3946] = 3606,
  [3947] = 3598,
  [3948] = 3024,
  [3949] = 2999,
  [3950] = 3599,
  [3951] = 3573,
  [3952] = 2992,
  [3953] = 2655,
  [3954] = 3663,
  [3955] = 2750,
  [3956] = 2904,
  [3957] = 3957,
  [3958] = 2899,
  [3959] = 3671,
  [3960] = 3726,
  [3961] = 3668,
  [3962] = 3669,
  [3963] = 3699,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3673,
  [3967] = 3681,
  [3968] = 3688,
  [3969] = 3969,
  [3970] = 3634,
  [3971] = 2952,
  [3972] = 3712,
  [3973] = 2895,
  [3974] = 3573,
  [3975] = 3975,
  [3976] = 3976,
  [3977] = 2985,
  [3978] = 3730,
  [3979] = 3650,
  [3980] = 3719,
  [3981] = 2925,
  [3982] = 3630,
  [3983] = 3573,
  [3984] = 2960,
  [3985] = 3721,
  [3986] = 3986,
  [3987] = 2975,
  [3988] = 2884,
  [3989] = 2886,
  [3990] = 3645,
  [3991] = 3636,
  [3992] = 3992,
  [3993] = 3656,
  [3994] = 2887,
  [3995] = 3995,
  [3996] = 2949,
  [3997] = 2890,
  [3998] = 3998,
  [3999] = 3684,
  [4000] = 2959,
  [4001] = 4001,
  [4002] = 2893,
  [4003] = 2976,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 2941,
  [4008] = 2944,
  [4009] = 4009,
  [4010] = 2947,
  [4011] = 3659,
  [4012] = 2973,
  [4013] = 3661,
  [4014] = 4014,
  [4015] = 3653,
  [4016] = 3682,
  [4017] = 2900,
  [4018] = 3573,
  [4019] = 3696,
  [4020] = 2205,
  [4021] = 3692,
  [4022] = 3697,
  [4023] = 3711,
  [4024] = 3717,
  [4025] = 4025,
  [4026] = 3644,
  [4027] = 3724,
  [4028] = 4028,
  [4029] = 3661,
  [4030] = 2951,
  [4031] = 3635,
  [4032] = 3666,
  [4033] = 3639,
  [4034] = 3640,
  [4035] = 4035,
  [4036] = 4036,
  [4037] = 3664,
  [4038] = 3674,
  [4039] = 3675,
  [4040] = 3683,
  [4041] = 3685,
  [4042] = 3689,
  [4043] = 3690,
  [4044] = 3691,
  [4045] = 3692,
  [4046] = 3700,
  [4047] = 3707,
  [4048] = 3708,
  [4049] = 3676,
  [4050] = 3709,
  [4051] = 3710,
  [4052] = 3720,
  [4053] = 4053,
  [4054] = 3623,
  [4055] = 2748,
  [4056] = 3957,
  [4057] = 3975,
  [4058] = 3643,
  [4059] = 2753,
  [4060] = 2216,
  [4061] = 3728,
  [4062] = 2221,
  [4063] = 3607,
  [4064] = 3573,
  [4065] = 4065,
  [4066] = 3693,
  [4067] = 3701,
  [4068] = 3704,
  [4069] = 3632,
  [4070] = 3672,
  [4071] = 2746,
  [4072] = 4072,
  [4073] = 4073,
  [4074] = 4074,
  [4075] = 4075,
  [4076] = 4076,
  [4077] = 3695,
  [4078] = 4078,
  [4079] = 4079,
  [4080] = 3646,
  [4081] = 3651,
  [4082] = 3713,
  [4083] = 3714,
  [4084] = 3718,
  [4085] = 3725,
  [4086] = 2747,
  [4087] = 3729,
  [4088] = 3722,
  [4089] = 3995,
  [4090] = 3573,
  [4091] = 3681,
  [4092] = 4072,
  [4093] = 3729,
  [4094] = 3644,
  [4095] = 4014,
  [4096] = 3669,
  [4097] = 4097,
  [4098] = 4073,
  [4099] = 4074,
  [4100] = 3712,
  [4101] = 3673,
  [4102] = 3198,
  [4103] = 4075,
  [4104] = 3544,
  [4105] = 3693,
  [4106] = 3730,
  [4107] = 3650,
  [4108] = 4035,
  [4109] = 4036,
  [4110] = 3721,
  [4111] = 3688,
  [4112] = 4078,
  [4113] = 4079,
  [4114] = 2994,
  [4115] = 2990,
  [4116] = 3659,
  [4117] = 3612,
  [4118] = 2205,
  [4119] = 3682,
  [4120] = 4120,
  [4121] = 3696,
  [4122] = 3697,
  [4123] = 3711,
  [4124] = 3717,
  [4125] = 2735,
  [4126] = 3722,
  [4127] = 3724,
  [4128] = 4128,
  [4129] = 4129,
  [4130] = 3635,
  [4131] = 3639,
  [4132] = 4132,
  [4133] = 4129,
  [4134] = 4134,
  [4135] = 4135,
  [4136] = 3198,
  [4137] = 4120,
  [4138] = 3969,
  [4139] = 3573,
  [4140] = 3640,
  [4141] = 4128,
  [4142] = 4132,
  [4143] = 4129,
  [4144] = 4134,
  [4145] = 4135,
  [4146] = 2216,
  [4147] = 4120,
  [4148] = 4076,
  [4149] = 4065,
  [4150] = 2221,
  [4151] = 4128,
  [4152] = 3664,
  [4153] = 4132,
  [4154] = 4129,
  [4155] = 4134,
  [4156] = 4135,
  [4157] = 4120,
  [4158] = 3573,
  [4159] = 3573,
  [4160] = 4025,
  [4161] = 3623,
  [4162] = 4128,
  [4163] = 4132,
  [4164] = 4129,
  [4165] = 4134,
  [4166] = 4135,
  [4167] = 4120,
  [4168] = 3573,
  [4169] = 3674,
  [4170] = 3675,
  [4171] = 3676,
  [4172] = 4128,
  [4173] = 4132,
  [4174] = 4129,
  [4175] = 4134,
  [4176] = 4135,
  [4177] = 4120,
  [4178] = 3573,
  [4179] = 3573,
  [4180] = 4128,
  [4181] = 3653,
  [4182] = 4132,
  [4183] = 4129,
  [4184] = 4134,
  [4185] = 4135,
  [4186] = 4120,
  [4187] = 3573,
  [4188] = 4128,
  [4189] = 4132,
  [4190] = 4128,
  [4191] = 4132,
  [4192] = 4128,
  [4193] = 4004,
  [4194] = 4132,
  [4195] = 4128,
  [4196] = 4132,
  [4197] = 4128,
  [4198] = 4132,
  [4199] = 4128,
  [4200] = 4132,
  [4201] = 4128,
  [4202] = 4132,
  [4203] = 4128,
  [4204] = 3645,
  [4205] = 4128,
  [4206] = 2735,
  [4207] = 4132,
  [4208] = 4128,
  [4209] = 4132,
  [4210] = 4128,
  [4211] = 4006,
  [4212] = 4132,
  [4213] = 4128,
  [4214] = 4132,
  [4215] = 4128,
  [4216] = 4005,
  [4217] = 4132,
  [4218] = 4128,
  [4219] = 4132,
  [4220] = 4220,
  [4221] = 4128,
  [4222] = 4132,
  [4223] = 4128,
  [4224] = 3666,
  [4225] = 4132,
  [4226] = 4128,
  [4227] = 4132,
  [4228] = 4128,
  [4229] = 4132,
  [4230] = 4128,
  [4231] = 3656,
  [4232] = 4132,
  [4233] = 4128,
  [4234] = 4132,
  [4235] = 4128,
  [4236] = 3630,
  [4237] = 4132,
  [4238] = 4128,
  [4239] = 4132,
  [4240] = 4128,
  [4241] = 3992,
  [4242] = 4132,
  [4243] = 4128,
  [4244] = 4132,
  [4245] = 4128,
  [4246] = 4132,
  [4247] = 4128,
  [4248] = 4132,
  [4249] = 4128,
  [4250] = 4132,
  [4251] = 4128,
  [4252] = 4132,
  [4253] = 4128,
  [4254] = 4132,
  [4255] = 3964,
  [4256] = 4128,
  [4257] = 3573,
  [4258] = 4132,
  [4259] = 4132,
  [4260] = 3671,
  [4261] = 3683,
  [4262] = 3685,
  [4263] = 3726,
  [4264] = 3689,
  [4265] = 3663,
  [4266] = 3690,
  [4267] = 4053,
  [4268] = 3691,
  [4269] = 3668,
  [4270] = 4270,
  [4271] = 3573,
  [4272] = 4128,
  [4273] = 3700,
  [4274] = 3684,
  [4275] = 3707,
  [4276] = 3708,
  [4277] = 3709,
  [4278] = 3710,
  [4279] = 4128,
  [4280] = 4132,
  [4281] = 3720,
  [4282] = 4128,
  [4283] = 4134,
  [4284] = 4132,
  [4285] = 4129,
  [4286] = 2655,
  [4287] = 4132,
  [4288] = 4134,
  [4289] = 4135,
  [4290] = 4128,
  [4291] = 3725,
  [4292] = 4028,
  [4293] = 4120,
  [4294] = 4132,
  [4295] = 3643,
  [4296] = 4135,
  [4297] = 4128,
  [4298] = 4132,
  [4299] = 4128,
  [4300] = 3728,
  [4301] = 4132,
  [4302] = 4128,
  [4303] = 4132,
  [4304] = 3701,
  [4305] = 4128,
  [4306] = 3965,
  [4307] = 3632,
  [4308] = 3672,
  [4309] = 4132,
  [4310] = 3719,
  [4311] = 4128,
  [4312] = 4132,
  [4313] = 4128,
  [4314] = 3704,
  [4315] = 4132,
  [4316] = 3695,
  [4317] = 3646,
  [4318] = 3976,
  [4319] = 3718,
  [4320] = 4320,
  [4321] = 3651,
  [4322] = 3713,
  [4323] = 3986,
  [4324] = 3714,
  [4325] = 4128,
  [4326] = 4132,
  [4327] = 4128,
  [4328] = 4132,
  [4329] = 2307,
  [4330] = 3573,
  [4331] = 3573,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 3544,
  [4335] = 2990,
  [4336] = 3573,
  [4337] = 3567,
  [4338] = 3573,
  [4339] = 3573,
  [4340] = 3578,
  [4341] = 3612,
  [4342] = 3573,
  [4343] = 3752,
  [4344] = 3573,
  [4345] = 2252,
  [4346] = 2253,
  [4347] = 4347,
  [4348] = 4348,
  [4349] = 4349,
  [4350] = 3573,
  [4351] = 2221,
  [4352] = 2736,
  [4353] = 2216,
  [4354] = 4354,
  [4355] = 3576,
  [4356] = 4356,
  [4357] = 2994,
  [4358] = 3573,
  [4359] = 4356,
  [4360] = 4360,
  [4361] = 4361,
  [4362] = 3739,
  [4363] = 4363,
  [4364] = 4363,
  [4365] = 3578,
  [4366] = 4366,
  [4367] = 4367,
  [4368] = 4368,
  [4369] = 3583,
  [4370] = 4361,
  [4371] = 3752,
  [4372] = 3567,
  [4373] = 4373,
  [4374] = 4363,
  [4375] = 4375,
  [4376] = 3571,
  [4377] = 4349,
  [4378] = 3573,
  [4379] = 3576,
  [4380] = 4361,
  [4381] = 4381,
  [4382] = 4361,
  [4383] = 4349,
  [4384] = 4363,
  [4385] = 4385,
  [4386] = 4363,
  [4387] = 4361,
  [4388] = 4361,
  [4389] = 4363,
  [4390] = 3623,
  [4391] = 4391,
  [4392] = 4363,
  [4393] = 4361,
  [4394] = 4394,
  [4395] = 4361,
  [4396] = 4396,
  [4397] = 4397,
  [4398] = 4363,
  [4399] = 4399,
  [4400] = 3573,
  [4401] = 3828,
  [4402] = 4361,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4361,
  [4406] = 4406,
  [4407] = 4361,
  [4408] = 3790,
  [4409] = 4363,
  [4410] = 4349,
  [4411] = 4361,
  [4412] = 4349,
  [4413] = 4361,
  [4414] = 4414,
  [4415] = 3828,
  [4416] = 3573,
  [4417] = 4417,
  [4418] = 4361,
  [4419] = 4363,
  [4420] = 4420,
  [4421] = 3828,
  [4422] = 4349,
  [4423] = 4361,
  [4424] = 3750,
  [4425] = 4361,
  [4426] = 4361,
  [4427] = 4363,
  [4428] = 4428,
  [4429] = 3761,
  [4430] = 4361,
  [4431] = 4431,
  [4432] = 4361,
  [4433] = 4433,
  [4434] = 3784,
  [4435] = 3828,
  [4436] = 4436,
  [4437] = 4361,
  [4438] = 3573,
  [4439] = 4361,
  [4440] = 3568,
  [4441] = 4363,
  [4442] = 4361,
  [4443] = 4363,
  [4444] = 4444,
  [4445] = 4361,
  [4446] = 4446,
  [4447] = 4361,
  [4448] = 4361,
  [4449] = 4449,
  [4450] = 4349,
  [4451] = 4361,
  [4452] = 4452,
  [4453] = 4361,
  [4454] = 4363,
  [4455] = 4436,
  [4456] = 4449,
  [4457] = 3599,
  [4458] = 4360,
  [4459] = 3593,
  [4460] = 4385,
  [4461] = 4391,
  [4462] = 4404,
  [4463] = 4406,
  [4464] = 4444,
  [4465] = 4452,
  [4466] = 4397,
  [4467] = 4381,
  [4468] = 4414,
  [4469] = 4366,
  [4470] = 4470,
  [4471] = 2744,
  [4472] = 4417,
  [4473] = 3802,
  [4474] = 4428,
  [4475] = 3790,
  [4476] = 3806,
  [4477] = 3598,
  [4478] = 4053,
  [4479] = 4414,
  [4480] = 4431,
  [4481] = 4433,
  [4482] = 3761,
  [4483] = 4360,
  [4484] = 3606,
  [4485] = 4444,
  [4486] = 4486,
  [4487] = 3573,
  [4488] = 4452,
  [4489] = 4397,
  [4490] = 4381,
  [4491] = 3573,
  [4492] = 3573,
  [4493] = 4493,
  [4494] = 4368,
  [4495] = 3573,
  [4496] = 3573,
  [4497] = 3610,
  [4498] = 3573,
  [4499] = 3607,
  [4500] = 4385,
  [4501] = 4391,
  [4502] = 4404,
  [4503] = 4446,
  [4504] = 4373,
  [4505] = 4375,
  [4506] = 4394,
  [4507] = 4406,
  [4508] = 4396,
  [4509] = 3750,
  [4510] = 4449,
  [4511] = 4399,
  [4512] = 4403,
  [4513] = 4513,
  [4514] = 4368,
  [4515] = 4515,
  [4516] = 4516,
  [4517] = 4517,
  [4518] = 4518,
  [4519] = 4519,
  [4520] = 4366,
  [4521] = 4373,
  [4522] = 4375,
  [4523] = 4394,
  [4524] = 4396,
  [4525] = 4399,
  [4526] = 4403,
  [4527] = 4420,
  [4528] = 4420,
  [4529] = 2745,
  [4530] = 3784,
  [4531] = 4428,
  [4532] = 4431,
  [4533] = 3739,
  [4534] = 4534,
  [4535] = 4493,
  [4536] = 4486,
  [4537] = 4493,
  [4538] = 4486,
  [4539] = 4433,
  [4540] = 4417,
  [4541] = 4403,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 3634,
  [4545] = 4545,
  [4546] = 3671,
  [4547] = 4547,
  [4548] = 3691,
  [4549] = 4547,
  [4550] = 4547,
  [4551] = 4547,
  [4552] = 3651,
  [4553] = 4553,
  [4554] = 4554,
  [4555] = 3672,
  [4556] = 4518,
  [4557] = 4542,
  [4558] = 3661,
  [4559] = 4519,
  [4560] = 4547,
  [4561] = 2925,
  [4562] = 3643,
  [4563] = 3645,
  [4564] = 3666,
  [4565] = 2736,
  [4566] = 4566,
  [4567] = 4547,
  [4568] = 4568,
  [4569] = 3673,
  [4570] = 4035,
  [4571] = 3696,
  [4572] = 4542,
  [4573] = 4547,
  [4574] = 4547,
  [4575] = 3712,
  [4576] = 3700,
  [4577] = 4547,
  [4578] = 4547,
  [4579] = 4547,
  [4580] = 4542,
  [4581] = 3713,
  [4582] = 4547,
  [4583] = 3725,
  [4584] = 4014,
  [4585] = 3701,
  [4586] = 4446,
  [4587] = 4547,
  [4588] = 4542,
  [4589] = 3635,
  [4590] = 3714,
  [4591] = 3726,
  [4592] = 4542,
  [4593] = 4542,
  [4594] = 4547,
  [4595] = 4036,
  [4596] = 3699,
  [4597] = 3704,
  [4598] = 3697,
  [4599] = 4547,
  [4600] = 4547,
  [4601] = 3683,
  [4602] = 4547,
  [4603] = 3721,
  [4604] = 3729,
  [4605] = 4373,
  [4606] = 4547,
  [4607] = 4375,
  [4608] = 3639,
  [4609] = 4547,
  [4610] = 4394,
  [4611] = 4547,
  [4612] = 4396,
  [4613] = 3644,
  [4614] = 2736,
  [4615] = 3646,
  [4616] = 4547,
  [4617] = 3711,
  [4618] = 4618,
  [4619] = 3688,
  [4620] = 4547,
  [4621] = 4399,
  [4622] = 4515,
  [4623] = 3724,
  [4624] = 4420,
  [4625] = 3707,
  [4626] = 3695,
  [4627] = 4627,
  [4628] = 3708,
  [4629] = 4417,
  [4630] = 3709,
  [4631] = 3693,
  [4632] = 3719,
  [4633] = 3718,
  [4634] = 4449,
  [4635] = 4635,
  [4636] = 4428,
  [4637] = 4431,
  [4638] = 4433,
  [4639] = 4547,
  [4640] = 3710,
  [4641] = 4360,
  [4642] = 4547,
  [4643] = 4444,
  [4644] = 4452,
  [4645] = 3720,
  [4646] = 4397,
  [4647] = 4381,
  [4648] = 4547,
  [4649] = 4547,
  [4650] = 4554,
  [4651] = 3975,
  [4652] = 4547,
  [4653] = 3653,
  [4654] = 3685,
  [4655] = 4547,
  [4656] = 4656,
  [4657] = 4657,
  [4658] = 3668,
  [4659] = 4547,
  [4660] = 3692,
  [4661] = 4542,
  [4662] = 4072,
  [4663] = 3640,
  [4664] = 3681,
  [4665] = 4073,
  [4666] = 4385,
  [4667] = 4391,
  [4668] = 4404,
  [4669] = 4065,
  [4670] = 2216,
  [4671] = 4006,
  [4672] = 4406,
  [4673] = 3689,
  [4674] = 3690,
  [4675] = 4516,
  [4676] = 3806,
  [4677] = 4074,
  [4678] = 4075,
  [4679] = 4076,
  [4680] = 4547,
  [4681] = 4078,
  [4682] = 4079,
  [4683] = 4517,
  [4684] = 3730,
  [4685] = 2221,
  [4686] = 2205,
  [4687] = 3717,
  [4688] = 4065,
  [4689] = 3682,
  [4690] = 3656,
  [4691] = 3975,
  [4692] = 3650,
  [4693] = 3722,
  [4694] = 3728,
  [4695] = 4547,
  [4696] = 4547,
  [4697] = 3975,
  [4698] = 3632,
  [4699] = 3976,
  [4700] = 4547,
  [4701] = 3995,
  [4702] = 3998,
  [4703] = 3986,
  [4704] = 4547,
  [4705] = 3992,
  [4706] = 4005,
  [4707] = 4414,
  [4708] = 4368,
  [4709] = 4025,
  [4710] = 4028,
  [4711] = 3802,
  [4712] = 4547,
  [4713] = 4436,
  [4714] = 3664,
  [4715] = 4554,
  [4716] = 4547,
  [4717] = 4547,
  [4718] = 4718,
  [4719] = 3669,
  [4720] = 4547,
  [4721] = 3674,
  [4722] = 4722,
  [4723] = 3636,
  [4724] = 3675,
  [4725] = 3684,
  [4726] = 4627,
  [4727] = 3676,
  [4728] = 4547,
  [4729] = 4566,
  [4730] = 4730,
  [4731] = 3663,
  [4732] = 4732,
  [4733] = 4627,
  [4734] = 4554,
  [4735] = 4566,
  [4736] = 3975,
  [4737] = 3964,
  [4738] = 3659,
  [4739] = 3965,
  [4740] = 3969,
  [4741] = 4004,
  [4742] = 3630,
  [4743] = 4743,
  [4744] = 4396,
  [4745] = 4449,
  [4746] = 4417,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4748,
  [4750] = 4747,
  [4751] = 2754,
  [4752] = 4366,
  [4753] = 4753,
  [4754] = 4747,
  [4755] = 4414,
  [4756] = 4747,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 2755,
  [4760] = 4760,
  [4761] = 4414,
  [4762] = 4747,
  [4763] = 4747,
  [4764] = 4764,
  [4765] = 4765,
  [4766] = 4373,
  [4767] = 4764,
  [4768] = 4431,
  [4769] = 4368,
  [4770] = 4399,
  [4771] = 4753,
  [4772] = 4757,
  [4773] = 4758,
  [4774] = 4747,
  [4775] = 4360,
  [4776] = 4764,
  [4777] = 4765,
  [4778] = 4518,
  [4779] = 4764,
  [4780] = 4764,
  [4781] = 4747,
  [4782] = 4758,
  [4783] = 4449,
  [4784] = 4747,
  [4785] = 4747,
  [4786] = 4765,
  [4787] = 4764,
  [4788] = 4519,
  [4789] = 4747,
  [4790] = 4790,
  [4791] = 4764,
  [4792] = 4764,
  [4793] = 4747,
  [4794] = 4436,
  [4795] = 4764,
  [4796] = 4446,
  [4797] = 4414,
  [4798] = 4747,
  [4799] = 4730,
  [4800] = 4065,
  [4801] = 4747,
  [4802] = 4747,
  [4803] = 4428,
  [4804] = 4764,
  [4805] = 4375,
  [4806] = 4747,
  [4807] = 4764,
  [4808] = 4747,
  [4809] = 4747,
  [4810] = 4764,
  [4811] = 4747,
  [4812] = 4747,
  [4813] = 4747,
  [4814] = 4764,
  [4815] = 4391,
  [4816] = 4764,
  [4817] = 4817,
  [4818] = 4764,
  [4819] = 4764,
  [4820] = 4403,
  [4821] = 4764,
  [4822] = 4764,
  [4823] = 4764,
  [4824] = 4420,
  [4825] = 4764,
  [4826] = 4747,
  [4827] = 2736,
  [4828] = 4444,
  [4829] = 4747,
  [4830] = 4428,
  [4831] = 4747,
  [4832] = 4431,
  [4833] = 4833,
  [4834] = 4747,
  [4835] = 4835,
  [4836] = 4764,
  [4837] = 4515,
  [4838] = 4757,
  [4839] = 4446,
  [4840] = 4420,
  [4841] = 4417,
  [4842] = 4428,
  [4843] = 4431,
  [4844] = 4452,
  [4845] = 4433,
  [4846] = 4360,
  [4847] = 4444,
  [4848] = 4452,
  [4849] = 4397,
  [4850] = 4764,
  [4851] = 4065,
  [4852] = 4373,
  [4853] = 4375,
  [4854] = 4394,
  [4855] = 4396,
  [4856] = 4399,
  [4857] = 4747,
  [4858] = 4403,
  [4859] = 4397,
  [4860] = 4420,
  [4861] = 4747,
  [4862] = 3544,
  [4863] = 4764,
  [4864] = 4753,
  [4865] = 4433,
  [4866] = 4866,
  [4867] = 4757,
  [4868] = 4758,
  [4869] = 4764,
  [4870] = 4747,
  [4871] = 4417,
  [4872] = 4743,
  [4873] = 4449,
  [4874] = 4381,
  [4875] = 4385,
  [4876] = 4747,
  [4877] = 4732,
  [4878] = 4764,
  [4879] = 4385,
  [4880] = 4391,
  [4881] = 4404,
  [4882] = 4406,
  [4883] = 4730,
  [4884] = 4747,
  [4885] = 4360,
  [4886] = 4368,
  [4887] = 4887,
  [4888] = 4888,
  [4889] = 4835,
  [4890] = 4433,
  [4891] = 4753,
  [4892] = 4765,
  [4893] = 4385,
  [4894] = 4732,
  [4895] = 4757,
  [4896] = 4758,
  [4897] = 4817,
  [4898] = 4747,
  [4899] = 4391,
  [4900] = 4381,
  [4901] = 4887,
  [4902] = 4444,
  [4903] = 4404,
  [4904] = 4404,
  [4905] = 4905,
  [4906] = 4747,
  [4907] = 4373,
  [4908] = 4747,
  [4909] = 4835,
  [4910] = 4765,
  [4911] = 4436,
  [4912] = 4765,
  [4913] = 4913,
  [4914] = 4747,
  [4915] = 4516,
  [4916] = 4452,
  [4917] = 4517,
  [4918] = 4397,
  [4919] = 4368,
  [4920] = 4817,
  [4921] = 4921,
  [4922] = 4375,
  [4923] = 4394,
  [4924] = 4753,
  [4925] = 4394,
  [4926] = 4747,
  [4927] = 4406,
  [4928] = 4747,
  [4929] = 3623,
  [4930] = 4887,
  [4931] = 4747,
  [4932] = 4396,
  [4933] = 4406,
  [4934] = 4764,
  [4935] = 4399,
  [4936] = 4403,
  [4937] = 4747,
  [4938] = 4747,
  [4939] = 4381,
  [4940] = 4394,
  [4941] = 4433,
  [4942] = 4360,
  [4943] = 4515,
  [4944] = 4444,
  [4945] = 4452,
  [4946] = 4397,
  [4947] = 4381,
  [4948] = 3567,
  [4949] = 4373,
  [4950] = 4375,
  [4951] = 4396,
  [4952] = 2736,
  [4953] = 4399,
  [4954] = 4403,
  [4955] = 4420,
  [4956] = 3578,
  [4957] = 4519,
  [4958] = 3576,
  [4959] = 4391,
  [4960] = 4431,
  [4961] = 2990,
  [4962] = 4366,
  [4963] = 4404,
  [4964] = 4417,
  [4965] = 4053,
  [4966] = 4385,
  [4967] = 4516,
  [4968] = 4517,
  [4969] = 4518,
  [4970] = 4519,
  [4971] = 2925,
  [4972] = 4516,
  [4973] = 4518,
  [4974] = 4515,
  [4975] = 4517,
  [4976] = 4449,
  [4977] = 4406,
  [4978] = 4368,
  [4979] = 4428,
  [4980] = 4414,
  [4981] = 2994,
  [4982] = 3995,
  [4983] = 2748,
  [4984] = 4449,
  [4985] = 4375,
  [4986] = 4420,
  [4987] = 3965,
  [4988] = 3986,
  [4989] = 4428,
  [4990] = 4028,
  [4991] = 4417,
  [4992] = 4730,
  [4993] = 4072,
  [4994] = 4431,
  [4995] = 4396,
  [4996] = 4004,
  [4997] = 4433,
  [4998] = 4006,
  [4999] = 4391,
  [5000] = 4404,
  [5001] = 4065,
  [5002] = 3976,
  [5003] = 3992,
  [5004] = 4079,
  [5005] = 4075,
  [5006] = 2750,
  [5007] = 4014,
  [5008] = 4360,
  [5009] = 4035,
  [5010] = 4406,
  [5011] = 4732,
  [5012] = 2747,
  [5013] = 2753,
  [5014] = 4444,
  [5015] = 4452,
  [5016] = 2941,
  [5017] = 4076,
  [5018] = 2736,
  [5019] = 4397,
  [5020] = 4005,
  [5021] = 4399,
  [5022] = 4381,
  [5023] = 4036,
  [5024] = 4436,
  [5025] = 4403,
  [5026] = 4073,
  [5027] = 3969,
  [5028] = 4078,
  [5029] = 5029,
  [5030] = 2746,
  [5031] = 2952,
  [5032] = 4385,
  [5033] = 4446,
  [5034] = 4065,
  [5035] = 4373,
  [5036] = 4074,
  [5037] = 4414,
  [5038] = 4368,
  [5039] = 3964,
  [5040] = 4025,
  [5041] = 4394,
  [5042] = 4444,
  [5043] = 4452,
  [5044] = 4375,
  [5045] = 4396,
  [5046] = 4397,
  [5047] = 4406,
  [5048] = 4436,
  [5049] = 4449,
  [5050] = 4444,
  [5051] = 4428,
  [5052] = 5052,
  [5053] = 2944,
  [5054] = 4396,
  [5055] = 4381,
  [5056] = 4381,
  [5057] = 3544,
  [5058] = 4385,
  [5059] = 4433,
  [5060] = 4444,
  [5061] = 4399,
  [5062] = 4391,
  [5063] = 4385,
  [5064] = 5064,
  [5065] = 4385,
  [5066] = 4732,
  [5067] = 4391,
  [5068] = 4360,
  [5069] = 4446,
  [5070] = 2925,
  [5071] = 4414,
  [5072] = 4391,
  [5073] = 4368,
  [5074] = 4406,
  [5075] = 4515,
  [5076] = 4403,
  [5077] = 4373,
  [5078] = 4366,
  [5079] = 4417,
  [5080] = 5080,
  [5081] = 4360,
  [5082] = 4431,
  [5083] = 4065,
  [5084] = 4035,
  [5085] = 4417,
  [5086] = 4375,
  [5087] = 4433,
  [5088] = 4420,
  [5089] = 4394,
  [5090] = 4394,
  [5091] = 4036,
  [5092] = 4516,
  [5093] = 4452,
  [5094] = 4517,
  [5095] = 4399,
  [5096] = 4396,
  [5097] = 4414,
  [5098] = 4428,
  [5099] = 4518,
  [5100] = 4399,
  [5101] = 4420,
  [5102] = 4519,
  [5103] = 4431,
  [5104] = 4403,
  [5105] = 4403,
  [5106] = 4404,
  [5107] = 4404,
  [5108] = 4417,
  [5109] = 4404,
  [5110] = 2754,
  [5111] = 4449,
  [5112] = 4394,
  [5113] = 4428,
  [5114] = 4431,
  [5115] = 4420,
  [5116] = 4433,
  [5117] = 5117,
  [5118] = 4360,
  [5119] = 5119,
  [5120] = 4452,
  [5121] = 4368,
  [5122] = 4397,
  [5123] = 4368,
  [5124] = 4397,
  [5125] = 4381,
  [5126] = 4373,
  [5127] = 4449,
  [5128] = 4366,
  [5129] = 4414,
  [5130] = 4375,
  [5131] = 4730,
  [5132] = 4373,
  [5133] = 4406,
  [5134] = 4385,
  [5135] = 4516,
  [5136] = 4517,
  [5137] = 4518,
  [5138] = 4519,
  [5139] = 4452,
  [5140] = 4428,
  [5141] = 4366,
  [5142] = 4397,
  [5143] = 4444,
  [5144] = 3576,
  [5145] = 4396,
  [5146] = 4366,
  [5147] = 3567,
  [5148] = 2744,
  [5149] = 4394,
  [5150] = 2754,
  [5151] = 4381,
  [5152] = 4366,
  [5153] = 5153,
  [5154] = 4399,
  [5155] = 2736,
  [5156] = 3571,
  [5157] = 4399,
  [5158] = 4368,
  [5159] = 4444,
  [5160] = 4449,
  [5161] = 4397,
  [5162] = 4406,
  [5163] = 4368,
  [5164] = 4431,
  [5165] = 4403,
  [5166] = 4381,
  [5167] = 4449,
  [5168] = 4420,
  [5169] = 4403,
  [5170] = 4420,
  [5171] = 4396,
  [5172] = 4360,
  [5173] = 4428,
  [5174] = 4406,
  [5175] = 4373,
  [5176] = 5153,
  [5177] = 3578,
  [5178] = 4394,
  [5179] = 4391,
  [5180] = 4431,
  [5181] = 4403,
  [5182] = 4433,
  [5183] = 4452,
  [5184] = 2744,
  [5185] = 4391,
  [5186] = 4515,
  [5187] = 4417,
  [5188] = 4404,
  [5189] = 4373,
  [5190] = 5153,
  [5191] = 2736,
  [5192] = 3623,
  [5193] = 4414,
  [5194] = 4414,
  [5195] = 4433,
  [5196] = 4375,
  [5197] = 2745,
  [5198] = 4360,
  [5199] = 4417,
  [5200] = 4404,
  [5201] = 2947,
  [5202] = 4375,
  [5203] = 5153,
  [5204] = 4433,
  [5205] = 4417,
  [5206] = 4360,
  [5207] = 4431,
  [5208] = 4452,
  [5209] = 4394,
  [5210] = 2745,
  [5211] = 4373,
  [5212] = 4368,
  [5213] = 5153,
  [5214] = 4396,
  [5215] = 5153,
  [5216] = 4449,
  [5217] = 4381,
  [5218] = 4397,
  [5219] = 2755,
  [5220] = 3623,
  [5221] = 4406,
  [5222] = 4391,
  [5223] = 3583,
  [5224] = 4414,
  [5225] = 4446,
  [5226] = 4385,
  [5227] = 4444,
  [5228] = 4436,
  [5229] = 4399,
  [5230] = 3568,
  [5231] = 4385,
  [5232] = 4404,
  [5233] = 4420,
  [5234] = 4428,
  [5235] = 4375,
  [5236] = 4368,
  [5237] = 5237,
  [5238] = 3606,
  [5239] = 2976,
  [5240] = 2941,
  [5241] = 2944,
  [5242] = 2947,
  [5243] = 2973,
  [5244] = 4417,
  [5245] = 4428,
  [5246] = 4431,
  [5247] = 4433,
  [5248] = 4360,
  [5249] = 4444,
  [5250] = 4452,
  [5251] = 4397,
  [5252] = 4381,
  [5253] = 4519,
  [5254] = 4417,
  [5255] = 4385,
  [5256] = 4391,
  [5257] = 4404,
  [5258] = 4406,
  [5259] = 4428,
  [5260] = 4431,
  [5261] = 4433,
  [5262] = 2951,
  [5263] = 4360,
  [5264] = 4444,
  [5265] = 4452,
  [5266] = 4397,
  [5267] = 4381,
  [5268] = 4414,
  [5269] = 5237,
  [5270] = 5270,
  [5271] = 4414,
  [5272] = 4449,
  [5273] = 4436,
  [5274] = 5237,
  [5275] = 4366,
  [5276] = 2973,
  [5277] = 4053,
  [5278] = 5237,
  [5279] = 4446,
  [5280] = 2925,
  [5281] = 4385,
  [5282] = 4391,
  [5283] = 4406,
  [5284] = 5237,
  [5285] = 2960,
  [5286] = 5286,
  [5287] = 2748,
  [5288] = 2975,
  [5289] = 2994,
  [5290] = 2753,
  [5291] = 4035,
  [5292] = 4036,
  [5293] = 2746,
  [5294] = 4366,
  [5295] = 2747,
  [5296] = 2750,
  [5297] = 2951,
  [5298] = 4417,
  [5299] = 4373,
  [5300] = 4375,
  [5301] = 4394,
  [5302] = 4396,
  [5303] = 4399,
  [5304] = 4403,
  [5305] = 4420,
  [5306] = 4428,
  [5307] = 4431,
  [5308] = 4433,
  [5309] = 4360,
  [5310] = 4444,
  [5311] = 4452,
  [5312] = 4397,
  [5313] = 4381,
  [5314] = 2895,
  [5315] = 2990,
  [5316] = 2884,
  [5317] = 2886,
  [5318] = 2887,
  [5319] = 2890,
  [5320] = 3607,
  [5321] = 2959,
  [5322] = 2893,
  [5323] = 3610,
  [5324] = 2976,
  [5325] = 4065,
  [5326] = 4436,
  [5327] = 3599,
  [5328] = 4518,
  [5329] = 4446,
  [5330] = 2925,
  [5331] = 2802,
  [5332] = 4414,
  [5333] = 4368,
  [5334] = 4449,
  [5335] = 4732,
  [5336] = 5336,
  [5337] = 4368,
  [5338] = 4385,
  [5339] = 4391,
  [5340] = 4404,
  [5341] = 4406,
  [5342] = 5237,
  [5343] = 2900,
  [5344] = 4373,
  [5345] = 4375,
  [5346] = 4394,
  [5347] = 4396,
  [5348] = 4399,
  [5349] = 4403,
  [5350] = 4420,
  [5351] = 4730,
  [5352] = 3593,
  [5353] = 4414,
  [5354] = 2736,
  [5355] = 4436,
  [5356] = 4446,
  [5357] = 4404,
  [5358] = 2904,
  [5359] = 2755,
  [5360] = 4366,
  [5361] = 2899,
  [5362] = 4417,
  [5363] = 4449,
  [5364] = 4428,
  [5365] = 4431,
  [5366] = 4433,
  [5367] = 4360,
  [5368] = 4444,
  [5369] = 4452,
  [5370] = 4397,
  [5371] = 4381,
  [5372] = 4385,
  [5373] = 4391,
  [5374] = 4404,
  [5375] = 4373,
  [5376] = 4375,
  [5377] = 4394,
  [5378] = 4406,
  [5379] = 4396,
  [5380] = 4399,
  [5381] = 4403,
  [5382] = 4420,
  [5383] = 4373,
  [5384] = 4375,
  [5385] = 4394,
  [5386] = 4396,
  [5387] = 4399,
  [5388] = 4403,
  [5389] = 4420,
  [5390] = 2736,
  [5391] = 4449,
  [5392] = 2952,
  [5393] = 4368,
  [5394] = 2985,
  [5395] = 2960,
  [5396] = 2975,
  [5397] = 4730,
  [5398] = 5398,
  [5399] = 2994,
  [5400] = 4065,
  [5401] = 5336,
  [5402] = 3598,
  [5403] = 2949,
  [5404] = 2949,
  [5405] = 4515,
  [5406] = 4516,
  [5407] = 4517,
  [5408] = 4732,
  [5409] = 4375,
  [5410] = 5410,
  [5411] = 2216,
  [5412] = 4385,
  [5413] = 4391,
  [5414] = 4406,
  [5415] = 4385,
  [5416] = 4035,
  [5417] = 4036,
  [5418] = 4391,
  [5419] = 4373,
  [5420] = 5410,
  [5421] = 4375,
  [5422] = 4394,
  [5423] = 4406,
  [5424] = 4396,
  [5425] = 5425,
  [5426] = 4732,
  [5427] = 4385,
  [5428] = 4391,
  [5429] = 4373,
  [5430] = 4375,
  [5431] = 4394,
  [5432] = 4406,
  [5433] = 4396,
  [5434] = 4399,
  [5435] = 4403,
  [5436] = 4420,
  [5437] = 4399,
  [5438] = 4403,
  [5439] = 2961,
  [5440] = 4417,
  [5441] = 4417,
  [5442] = 4449,
  [5443] = 4428,
  [5444] = 4431,
  [5445] = 4433,
  [5446] = 4360,
  [5447] = 4444,
  [5448] = 4452,
  [5449] = 4397,
  [5450] = 4381,
  [5451] = 4414,
  [5452] = 4420,
  [5453] = 4373,
  [5454] = 4449,
  [5455] = 2221,
  [5456] = 4375,
  [5457] = 2985,
  [5458] = 4394,
  [5459] = 4385,
  [5460] = 4391,
  [5461] = 4406,
  [5462] = 4449,
  [5463] = 3692,
  [5464] = 4406,
  [5465] = 2925,
  [5466] = 2205,
  [5467] = 4072,
  [5468] = 4385,
  [5469] = 4391,
  [5470] = 4404,
  [5471] = 4373,
  [5472] = 4375,
  [5473] = 4394,
  [5474] = 4406,
  [5475] = 4396,
  [5476] = 4449,
  [5477] = 4399,
  [5478] = 4403,
  [5479] = 4420,
  [5480] = 4431,
  [5481] = 4433,
  [5482] = 4360,
  [5483] = 4444,
  [5484] = 4452,
  [5485] = 4397,
  [5486] = 4381,
  [5487] = 4073,
  [5488] = 4396,
  [5489] = 4074,
  [5490] = 4075,
  [5491] = 4076,
  [5492] = 4385,
  [5493] = 4391,
  [5494] = 4406,
  [5495] = 4449,
  [5496] = 4078,
  [5497] = 4079,
  [5498] = 4449,
  [5499] = 4399,
  [5500] = 4403,
  [5501] = 4420,
  [5502] = 4431,
  [5503] = 4065,
  [5504] = 4385,
  [5505] = 4433,
  [5506] = 4417,
  [5507] = 4373,
  [5508] = 3661,
  [5509] = 4730,
  [5510] = 4385,
  [5511] = 4391,
  [5512] = 4406,
  [5513] = 4449,
  [5514] = 3712,
  [5515] = 3719,
  [5516] = 3630,
  [5517] = 4394,
  [5518] = 3730,
  [5519] = 3650,
  [5520] = 3721,
  [5521] = 4396,
  [5522] = 4449,
  [5523] = 4399,
  [5524] = 4403,
  [5525] = 4420,
  [5526] = 3645,
  [5527] = 3656,
  [5528] = 3659,
  [5529] = 3636,
  [5530] = 3663,
  [5531] = 4428,
  [5532] = 4431,
  [5533] = 3682,
  [5534] = 3684,
  [5535] = 4433,
  [5536] = 3696,
  [5537] = 3697,
  [5538] = 4360,
  [5539] = 3711,
  [5540] = 3717,
  [5541] = 3722,
  [5542] = 3724,
  [5543] = 3635,
  [5544] = 3639,
  [5545] = 3640,
  [5546] = 4436,
  [5547] = 3664,
  [5548] = 3674,
  [5549] = 3675,
  [5550] = 3676,
  [5551] = 4414,
  [5552] = 4368,
  [5553] = 3683,
  [5554] = 4417,
  [5555] = 4444,
  [5556] = 3685,
  [5557] = 4452,
  [5558] = 4428,
  [5559] = 4397,
  [5560] = 4516,
  [5561] = 4517,
  [5562] = 4381,
  [5563] = 3689,
  [5564] = 3690,
  [5565] = 3691,
  [5566] = 4414,
  [5567] = 4518,
  [5568] = 4519,
  [5569] = 4391,
  [5570] = 3693,
  [5571] = 4360,
  [5572] = 3700,
  [5573] = 3701,
  [5574] = 3704,
  [5575] = 3707,
  [5576] = 3708,
  [5577] = 3709,
  [5578] = 5410,
  [5579] = 3666,
  [5580] = 4414,
  [5581] = 4368,
  [5582] = 3710,
  [5583] = 3720,
  [5584] = 4373,
  [5585] = 4385,
  [5586] = 4391,
  [5587] = 4404,
  [5588] = 4373,
  [5589] = 4375,
  [5590] = 4394,
  [5591] = 4406,
  [5592] = 4396,
  [5593] = 4449,
  [5594] = 4399,
  [5595] = 4403,
  [5596] = 4065,
  [5597] = 4420,
  [5598] = 4732,
  [5599] = 4414,
  [5600] = 4375,
  [5601] = 4394,
  [5602] = 4431,
  [5603] = 4396,
  [5604] = 4399,
  [5605] = 4403,
  [5606] = 4420,
  [5607] = 4404,
  [5608] = 3643,
  [5609] = 4444,
  [5610] = 4433,
  [5611] = 3728,
  [5612] = 3632,
  [5613] = 5410,
  [5614] = 4360,
  [5615] = 4404,
  [5616] = 4417,
  [5617] = 4428,
  [5618] = 3695,
  [5619] = 4444,
  [5620] = 4452,
  [5621] = 4417,
  [5622] = 4397,
  [5623] = 3976,
  [5624] = 3995,
  [5625] = 4428,
  [5626] = 4431,
  [5627] = 4433,
  [5628] = 4360,
  [5629] = 4444,
  [5630] = 4452,
  [5631] = 4397,
  [5632] = 4381,
  [5633] = 4414,
  [5634] = 4381,
  [5635] = 4730,
  [5636] = 4452,
  [5637] = 4397,
  [5638] = 4414,
  [5639] = 4368,
  [5640] = 3646,
  [5641] = 3651,
  [5642] = 4366,
  [5643] = 4381,
  [5644] = 4404,
  [5645] = 3986,
  [5646] = 4366,
  [5647] = 3992,
  [5648] = 4368,
  [5649] = 4005,
  [5650] = 4417,
  [5651] = 4373,
  [5652] = 4375,
  [5653] = 4394,
  [5654] = 4396,
  [5655] = 4399,
  [5656] = 4403,
  [5657] = 4420,
  [5658] = 4428,
  [5659] = 4431,
  [5660] = 4433,
  [5661] = 4360,
  [5662] = 4444,
  [5663] = 4452,
  [5664] = 4397,
  [5665] = 4381,
  [5666] = 4414,
  [5667] = 4366,
  [5668] = 3713,
  [5669] = 3714,
  [5670] = 4436,
  [5671] = 4366,
  [5672] = 4446,
  [5673] = 4404,
  [5674] = 4417,
  [5675] = 4373,
  [5676] = 4375,
  [5677] = 4394,
  [5678] = 4396,
  [5679] = 4399,
  [5680] = 4403,
  [5681] = 4420,
  [5682] = 4428,
  [5683] = 4431,
  [5684] = 4433,
  [5685] = 4360,
  [5686] = 4444,
  [5687] = 4452,
  [5688] = 4397,
  [5689] = 4381,
  [5690] = 4414,
  [5691] = 3718,
  [5692] = 3725,
  [5693] = 4446,
  [5694] = 3699,
  [5695] = 3729,
  [5696] = 4404,
  [5697] = 4436,
  [5698] = 4366,
  [5699] = 4446,
  [5700] = 4368,
  [5701] = 4368,
  [5702] = 4404,
  [5703] = 3644,
  [5704] = 4025,
  [5705] = 4065,
  [5706] = 3653,
  [5707] = 4732,
  [5708] = 4028,
  [5709] = 4436,
  [5710] = 4446,
  [5711] = 4368,
  [5712] = 4404,
  [5713] = 3671,
  [5714] = 3726,
  [5715] = 4414,
  [5716] = 4368,
  [5717] = 3668,
  [5718] = 3669,
  [5719] = 3634,
  [5720] = 4065,
  [5721] = 4368,
  [5722] = 3673,
  [5723] = 4368,
  [5724] = 4428,
  [5725] = 5725,
  [5726] = 3688,
  [5727] = 3969,
  [5728] = 4004,
  [5729] = 4006,
  [5730] = 5410,
  [5731] = 4417,
  [5732] = 4449,
  [5733] = 4428,
  [5734] = 4436,
  [5735] = 4431,
  [5736] = 4433,
  [5737] = 4360,
  [5738] = 4444,
  [5739] = 4446,
  [5740] = 4452,
  [5741] = 4397,
  [5742] = 4381,
  [5743] = 4385,
  [5744] = 4391,
  [5745] = 4404,
  [5746] = 3964,
  [5747] = 4406,
  [5748] = 3965,
  [5749] = 4515,
  [5750] = 3681,
  [5751] = 2802,
  [5752] = 4515,
  [5753] = 4516,
  [5754] = 4517,
  [5755] = 4518,
  [5756] = 4519,
  [5757] = 4366,
  [5758] = 4417,
  [5759] = 4373,
  [5760] = 4375,
  [5761] = 4394,
  [5762] = 4396,
  [5763] = 4399,
  [5764] = 4403,
  [5765] = 4420,
  [5766] = 4428,
  [5767] = 4431,
  [5768] = 4433,
  [5769] = 4360,
  [5770] = 4444,
  [5771] = 4730,
  [5772] = 4452,
  [5773] = 4397,
  [5774] = 4381,
  [5775] = 4014,
  [5776] = 4515,
  [5777] = 4516,
  [5778] = 4517,
  [5779] = 4518,
  [5780] = 4519,
  [5781] = 3672,
  [5782] = 4420,
  [5783] = 5783,
  [5784] = 4385,
  [5785] = 4391,
  [5786] = 4373,
  [5787] = 4375,
  [5788] = 4394,
  [5789] = 4406,
  [5790] = 4396,
  [5791] = 4399,
  [5792] = 4403,
  [5793] = 4420,
  [5794] = 4414,
  [5795] = 5783,
  [5796] = 4417,
  [5797] = 4449,
  [5798] = 4428,
  [5799] = 4431,
  [5800] = 4433,
  [5801] = 4360,
  [5802] = 4444,
  [5803] = 4452,
  [5804] = 4397,
  [5805] = 4381,
  [5806] = 4414,
  [5807] = 5807,
  [5808] = 4414,
  [5809] = 4360,
  [5810] = 5783,
  [5811] = 4368,
  [5812] = 5783,
  [5813] = 4515,
  [5814] = 5814,
  [5815] = 4360,
  [5816] = 5783,
  [5817] = 4385,
  [5818] = 5818,
  [5819] = 4391,
  [5820] = 5783,
  [5821] = 4404,
  [5822] = 4373,
  [5823] = 4375,
  [5824] = 4394,
  [5825] = 4406,
  [5826] = 4396,
  [5827] = 4399,
  [5828] = 5828,
  [5829] = 4403,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5783,
  [5833] = 4420,
  [5834] = 4516,
  [5835] = 4517,
  [5836] = 5836,
  [5837] = 5837,
  [5838] = 5838,
  [5839] = 5839,
  [5840] = 4385,
  [5841] = 4391,
  [5842] = 5814,
  [5843] = 4373,
  [5844] = 4375,
  [5845] = 4394,
  [5846] = 5818,
  [5847] = 4406,
  [5848] = 4396,
  [5849] = 4399,
  [5850] = 4403,
  [5851] = 4420,
  [5852] = 5814,
  [5853] = 5725,
  [5854] = 5783,
  [5855] = 5783,
  [5856] = 4385,
  [5857] = 2994,
  [5858] = 2990,
  [5859] = 4385,
  [5860] = 4391,
  [5861] = 4373,
  [5862] = 4375,
  [5863] = 4394,
  [5864] = 4406,
  [5865] = 4396,
  [5866] = 4399,
  [5867] = 4403,
  [5868] = 5818,
  [5869] = 5869,
  [5870] = 4417,
  [5871] = 4368,
  [5872] = 5818,
  [5873] = 4417,
  [5874] = 4449,
  [5875] = 4428,
  [5876] = 4431,
  [5877] = 4433,
  [5878] = 4360,
  [5879] = 4444,
  [5880] = 4452,
  [5881] = 4397,
  [5882] = 4381,
  [5883] = 2802,
  [5884] = 4414,
  [5885] = 4391,
  [5886] = 4053,
  [5887] = 4404,
  [5888] = 4373,
  [5889] = 4428,
  [5890] = 4444,
  [5891] = 4417,
  [5892] = 2959,
  [5893] = 5893,
  [5894] = 4730,
  [5895] = 4375,
  [5896] = 4417,
  [5897] = 4449,
  [5898] = 4449,
  [5899] = 4428,
  [5900] = 4431,
  [5901] = 4433,
  [5902] = 4360,
  [5903] = 4444,
  [5904] = 4452,
  [5905] = 4397,
  [5906] = 4381,
  [5907] = 4414,
  [5908] = 4518,
  [5909] = 4519,
  [5910] = 4394,
  [5911] = 5783,
  [5912] = 5818,
  [5913] = 4406,
  [5914] = 4396,
  [5915] = 4449,
  [5916] = 5893,
  [5917] = 4428,
  [5918] = 4431,
  [5919] = 4399,
  [5920] = 4452,
  [5921] = 5830,
  [5922] = 5831,
  [5923] = 5923,
  [5924] = 4397,
  [5925] = 5783,
  [5926] = 4403,
  [5927] = 5893,
  [5928] = 4385,
  [5929] = 4391,
  [5930] = 4373,
  [5931] = 4375,
  [5932] = 5932,
  [5933] = 4394,
  [5934] = 5830,
  [5935] = 5831,
  [5936] = 4406,
  [5937] = 5937,
  [5938] = 4417,
  [5939] = 4396,
  [5940] = 4428,
  [5941] = 5783,
  [5942] = 4399,
  [5943] = 4403,
  [5944] = 5944,
  [5945] = 4420,
  [5946] = 5946,
  [5947] = 5869,
  [5948] = 5937,
  [5949] = 5946,
  [5950] = 4381,
  [5951] = 4732,
  [5952] = 4417,
  [5953] = 4449,
  [5954] = 4428,
  [5955] = 4431,
  [5956] = 4433,
  [5957] = 4360,
  [5958] = 4444,
  [5959] = 4452,
  [5960] = 4397,
  [5961] = 4381,
  [5962] = 4414,
  [5963] = 5963,
  [5964] = 4368,
  [5965] = 5783,
  [5966] = 4414,
  [5967] = 5963,
  [5968] = 4444,
  [5969] = 4420,
  [5970] = 5970,
  [5971] = 5814,
  [5972] = 5783,
  [5973] = 5818,
  [5974] = 5974,
  [5975] = 5783,
  [5976] = 5783,
  [5977] = 4366,
  [5978] = 4730,
  [5979] = 4433,
  [5980] = 4433,
  [5981] = 4385,
  [5982] = 4391,
  [5983] = 4373,
  [5984] = 5783,
  [5985] = 4366,
  [5986] = 4375,
  [5987] = 4394,
  [5988] = 4404,
  [5989] = 4406,
  [5990] = 4396,
  [5991] = 4368,
  [5992] = 4732,
  [5993] = 4381,
  [5994] = 4399,
  [5995] = 4403,
  [5996] = 4420,
  [5997] = 5783,
  [5998] = 4366,
  [5999] = 5999,
  [6000] = 4404,
  [6001] = 4417,
  [6002] = 4368,
  [6003] = 5783,
  [6004] = 4449,
  [6005] = 4404,
  [6006] = 4368,
  [6007] = 4428,
  [6008] = 5814,
  [6009] = 5783,
  [6010] = 4366,
  [6011] = 4404,
  [6012] = 4368,
  [6013] = 4431,
  [6014] = 4433,
  [6015] = 5783,
  [6016] = 4366,
  [6017] = 4404,
  [6018] = 4368,
  [6019] = 4366,
  [6020] = 4360,
  [6021] = 4444,
  [6022] = 4452,
  [6023] = 4397,
  [6024] = 4381,
  [6025] = 6025,
  [6026] = 5818,
  [6027] = 4385,
  [6028] = 4391,
  [6029] = 4404,
  [6030] = 4373,
  [6031] = 4375,
  [6032] = 4394,
  [6033] = 4406,
  [6034] = 4396,
  [6035] = 4449,
  [6036] = 4399,
  [6037] = 4403,
  [6038] = 4420,
  [6039] = 4431,
  [6040] = 4414,
  [6041] = 4732,
  [6042] = 6042,
  [6043] = 4431,
  [6044] = 5963,
  [6045] = 4433,
  [6046] = 5783,
  [6047] = 4360,
  [6048] = 5893,
  [6049] = 4452,
  [6050] = 6042,
  [6051] = 5783,
  [6052] = 4444,
  [6053] = 4452,
  [6054] = 4404,
  [6055] = 5783,
  [6056] = 5937,
  [6057] = 4397,
  [6058] = 5946,
  [6059] = 5830,
  [6060] = 4397,
  [6061] = 4730,
  [6062] = 4385,
  [6063] = 4391,
  [6064] = 5831,
  [6065] = 4381,
  [6066] = 4368,
  [6067] = 4373,
  [6068] = 5937,
  [6069] = 5946,
  [6070] = 5963,
  [6071] = 4375,
  [6072] = 4394,
  [6073] = 4406,
  [6074] = 4396,
  [6075] = 4399,
  [6076] = 4403,
  [6077] = 4420,
  [6078] = 4417,
  [6079] = 4449,
  [6080] = 4428,
  [6081] = 4431,
  [6082] = 4433,
  [6083] = 4360,
  [6084] = 6084,
  [6085] = 4444,
  [6086] = 4452,
  [6087] = 4065,
  [6088] = 6042,
  [6089] = 3623,
  [6090] = 6042,
  [6091] = 4397,
  [6092] = 4381,
  [6093] = 4414,
  [6094] = 5818,
  [6095] = 4515,
  [6096] = 4516,
  [6097] = 4517,
  [6098] = 4518,
  [6099] = 4519,
  [6100] = 5814,
  [6101] = 4515,
  [6102] = 4516,
  [6103] = 4517,
  [6104] = 4518,
  [6105] = 4519,
  [6106] = 4515,
  [6107] = 4516,
  [6108] = 4517,
  [6109] = 4518,
  [6110] = 4519,
  [6111] = 4515,
  [6112] = 4516,
  [6113] = 4517,
  [6114] = 4518,
  [6115] = 4519,
  [6116] = 5783,
  [6117] = 6117,
  [6118] = 4446,
  [6119] = 6119,
  [6120] = 4414,
  [6121] = 4368,
  [6122] = 6122,
  [6123] = 6123,
  [6124] = 6124,
  [6125] = 4417,
  [6126] = 6025,
  [6127] = 4730,
  [6128] = 4381,
  [6129] = 4417,
  [6130] = 4449,
  [6131] = 4373,
  [6132] = 4375,
  [6133] = 4394,
  [6134] = 4396,
  [6135] = 4399,
  [6136] = 4403,
  [6137] = 4428,
  [6138] = 4449,
  [6139] = 4431,
  [6140] = 4433,
  [6141] = 4360,
  [6142] = 4368,
  [6143] = 6143,
  [6144] = 4420,
  [6145] = 4444,
  [6146] = 4452,
  [6147] = 4428,
  [6148] = 6148,
  [6149] = 6149,
  [6150] = 6150,
  [6151] = 4446,
  [6152] = 4431,
  [6153] = 2991,
  [6154] = 4732,
  [6155] = 4732,
  [6156] = 6156,
  [6157] = 4433,
  [6158] = 4360,
  [6159] = 6159,
  [6160] = 6160,
  [6161] = 4444,
  [6162] = 6162,
  [6163] = 2833,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 6166,
  [6167] = 4452,
  [6168] = 4397,
  [6169] = 4730,
  [6170] = 4436,
  [6171] = 5974,
  [6172] = 6172,
  [6173] = 4381,
  [6174] = 6117,
  [6175] = 6166,
  [6176] = 4035,
  [6177] = 4065,
  [6178] = 6178,
  [6179] = 4397,
  [6180] = 4381,
  [6181] = 4385,
  [6182] = 4449,
  [6183] = 4732,
  [6184] = 4391,
  [6185] = 4036,
  [6186] = 2991,
  [6187] = 4404,
  [6188] = 4385,
  [6189] = 4391,
  [6190] = 4428,
  [6191] = 4431,
  [6192] = 4433,
  [6193] = 4404,
  [6194] = 4406,
  [6195] = 4360,
  [6196] = 4444,
  [6197] = 4730,
  [6198] = 5869,
  [6199] = 4396,
  [6200] = 4406,
  [6201] = 4399,
  [6202] = 6202,
  [6203] = 4452,
  [6204] = 4397,
  [6205] = 4385,
  [6206] = 4397,
  [6207] = 4381,
  [6208] = 4373,
  [6209] = 4065,
  [6210] = 4375,
  [6211] = 4065,
  [6212] = 6212,
  [6213] = 6124,
  [6214] = 6214,
  [6215] = 5944,
  [6216] = 6216,
  [6217] = 4420,
  [6218] = 4452,
  [6219] = 6165,
  [6220] = 6220,
  [6221] = 5932,
  [6222] = 6222,
  [6223] = 6119,
  [6224] = 6165,
  [6225] = 2994,
  [6226] = 6165,
  [6227] = 4436,
  [6228] = 6228,
  [6229] = 6229,
  [6230] = 2843,
  [6231] = 4446,
  [6232] = 6159,
  [6233] = 6160,
  [6234] = 4414,
  [6235] = 4368,
  [6236] = 2802,
  [6237] = 2990,
  [6238] = 3612,
  [6239] = 4732,
  [6240] = 4394,
  [6241] = 4385,
  [6242] = 4391,
  [6243] = 4404,
  [6244] = 4373,
  [6245] = 4375,
  [6246] = 4394,
  [6247] = 6247,
  [6248] = 4406,
  [6249] = 4396,
  [6250] = 4732,
  [6251] = 6251,
  [6252] = 4399,
  [6253] = 4403,
  [6254] = 6254,
  [6255] = 4420,
  [6256] = 4035,
  [6257] = 4036,
  [6258] = 6258,
  [6259] = 4391,
  [6260] = 4417,
  [6261] = 4730,
  [6262] = 6212,
  [6263] = 6124,
  [6264] = 4449,
  [6265] = 2802,
  [6266] = 6212,
  [6267] = 2802,
  [6268] = 6124,
  [6269] = 4428,
  [6270] = 6270,
  [6271] = 6220,
  [6272] = 4404,
  [6273] = 6212,
  [6274] = 4436,
  [6275] = 4403,
  [6276] = 6124,
  [6277] = 6277,
  [6278] = 4406,
  [6279] = 4396,
  [6280] = 4446,
  [6281] = 4730,
  [6282] = 4414,
  [6283] = 6124,
  [6284] = 4368,
  [6285] = 6149,
  [6286] = 4730,
  [6287] = 4373,
  [6288] = 6150,
  [6289] = 4732,
  [6290] = 2990,
  [6291] = 4065,
  [6292] = 4417,
  [6293] = 4375,
  [6294] = 4399,
  [6295] = 4436,
  [6296] = 4403,
  [6297] = 4414,
  [6298] = 4394,
  [6299] = 4420,
  [6300] = 4431,
  [6301] = 4433,
  [6302] = 4360,
  [6303] = 4444,
  [6304] = 6228,
  [6305] = 6305,
  [6306] = 4431,
  [6307] = 4433,
  [6308] = 6308,
  [6309] = 4360,
  [6310] = 4444,
  [6311] = 4452,
  [6312] = 4397,
  [6313] = 4381,
  [6314] = 6314,
  [6315] = 6315,
  [6316] = 4417,
  [6317] = 6317,
  [6318] = 6318,
  [6319] = 6319,
  [6320] = 6320,
  [6321] = 6321,
  [6322] = 4385,
  [6323] = 6320,
  [6324] = 6320,
  [6325] = 2754,
  [6326] = 6326,
  [6327] = 4391,
  [6328] = 4404,
  [6329] = 5725,
  [6330] = 6320,
  [6331] = 4373,
  [6332] = 4375,
  [6333] = 4394,
  [6334] = 4406,
  [6335] = 4396,
  [6336] = 4449,
  [6337] = 6320,
  [6338] = 4399,
  [6339] = 4403,
  [6340] = 4420,
  [6341] = 6320,
  [6342] = 4428,
  [6343] = 4431,
  [6344] = 6320,
  [6345] = 6320,
  [6346] = 6320,
  [6347] = 6315,
  [6348] = 6318,
  [6349] = 6320,
  [6350] = 6319,
  [6351] = 6320,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6320,
  [6355] = 6320,
  [6356] = 4433,
  [6357] = 6318,
  [6358] = 4732,
  [6359] = 6320,
  [6360] = 6360,
  [6361] = 6320,
  [6362] = 6320,
  [6363] = 6363,
  [6364] = 6320,
  [6365] = 6320,
  [6366] = 4360,
  [6367] = 6320,
  [6368] = 6368,
  [6369] = 6320,
  [6370] = 4444,
  [6371] = 6320,
  [6372] = 6320,
  [6373] = 6373,
  [6374] = 6320,
  [6375] = 6305,
  [6376] = 2991,
  [6377] = 4730,
  [6378] = 6123,
  [6379] = 4452,
  [6380] = 6380,
  [6381] = 4397,
  [6382] = 6382,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 4381,
  [6386] = 6386,
  [6387] = 6320,
  [6388] = 4373,
  [6389] = 4375,
  [6390] = 4394,
  [6391] = 4396,
  [6392] = 4399,
  [6393] = 4403,
  [6394] = 4420,
  [6395] = 6319,
  [6396] = 6396,
  [6397] = 4431,
  [6398] = 6382,
  [6399] = 6399,
  [6400] = 6386,
  [6401] = 4433,
  [6402] = 6402,
  [6403] = 4360,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 4428,
  [6407] = 4444,
  [6408] = 6408,
  [6409] = 4452,
  [6410] = 4397,
  [6411] = 6360,
  [6412] = 4381,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 6399,
  [6416] = 6416,
  [6417] = 6417,
  [6418] = 6418,
  [6419] = 6419,
  [6420] = 6317,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6326,
  [6424] = 6308,
  [6425] = 6321,
  [6426] = 6318,
  [6427] = 6319,
  [6428] = 6320,
  [6429] = 6382,
  [6430] = 6320,
  [6431] = 6384,
  [6432] = 2925,
  [6433] = 4730,
  [6434] = 4065,
  [6435] = 6435,
  [6436] = 6396,
  [6437] = 5725,
  [6438] = 4417,
  [6439] = 6320,
  [6440] = 4428,
  [6441] = 6382,
  [6442] = 6418,
  [6443] = 6320,
  [6444] = 6386,
  [6445] = 6445,
  [6446] = 6320,
  [6447] = 6447,
  [6448] = 6413,
  [6449] = 6421,
  [6450] = 4730,
  [6451] = 4417,
  [6452] = 6404,
  [6453] = 6405,
  [6454] = 6454,
  [6455] = 6384,
  [6456] = 6317,
  [6457] = 6318,
  [6458] = 4417,
  [6459] = 6320,
  [6460] = 4428,
  [6461] = 6320,
  [6462] = 6320,
  [6463] = 6320,
  [6464] = 6319,
  [6465] = 4385,
  [6466] = 6320,
  [6467] = 4391,
  [6468] = 4404,
  [6469] = 6373,
  [6470] = 6305,
  [6471] = 6383,
  [6472] = 4373,
  [6473] = 6320,
  [6474] = 4065,
  [6475] = 4375,
  [6476] = 6396,
  [6477] = 6399,
  [6478] = 4394,
  [6479] = 4732,
  [6480] = 6404,
  [6481] = 6405,
  [6482] = 6360,
  [6483] = 6413,
  [6484] = 4406,
  [6485] = 4396,
  [6486] = 4449,
  [6487] = 4399,
  [6488] = 6488,
  [6489] = 6315,
  [6490] = 4403,
  [6491] = 4420,
  [6492] = 4428,
  [6493] = 4431,
  [6494] = 4433,
  [6495] = 6495,
  [6496] = 6320,
  [6497] = 4065,
  [6498] = 6396,
  [6499] = 4516,
  [6500] = 4517,
  [6501] = 6399,
  [6502] = 4732,
  [6503] = 4518,
  [6504] = 4519,
  [6505] = 6404,
  [6506] = 6405,
  [6507] = 6360,
  [6508] = 6417,
  [6509] = 4360,
  [6510] = 4444,
  [6511] = 4730,
  [6512] = 4452,
  [6513] = 4420,
  [6514] = 4417,
  [6515] = 4381,
  [6516] = 6418,
  [6517] = 4414,
  [6518] = 4368,
  [6519] = 6320,
  [6520] = 4065,
  [6521] = 6396,
  [6522] = 4385,
  [6523] = 4732,
  [6524] = 6320,
  [6525] = 4391,
  [6526] = 4404,
  [6527] = 4373,
  [6528] = 4375,
  [6529] = 4394,
  [6530] = 4406,
  [6531] = 4396,
  [6532] = 4449,
  [6533] = 4399,
  [6534] = 4403,
  [6535] = 4414,
  [6536] = 4368,
  [6537] = 4420,
  [6538] = 6320,
  [6539] = 6396,
  [6540] = 6417,
  [6541] = 4431,
  [6542] = 6408,
  [6543] = 4433,
  [6544] = 6317,
  [6545] = 6421,
  [6546] = 6422,
  [6547] = 4360,
  [6548] = 6326,
  [6549] = 4444,
  [6550] = 6308,
  [6551] = 4452,
  [6552] = 6321,
  [6553] = 4397,
  [6554] = 4381,
  [6555] = 6318,
  [6556] = 6319,
  [6557] = 6320,
  [6558] = 4065,
  [6559] = 6396,
  [6560] = 6317,
  [6561] = 4732,
  [6562] = 4414,
  [6563] = 4368,
  [6564] = 6320,
  [6565] = 4065,
  [6566] = 6396,
  [6567] = 6320,
  [6568] = 4732,
  [6569] = 6308,
  [6570] = 6570,
  [6571] = 4414,
  [6572] = 4368,
  [6573] = 6320,
  [6574] = 6396,
  [6575] = 6321,
  [6576] = 4414,
  [6577] = 4368,
  [6578] = 6320,
  [6579] = 6396,
  [6580] = 6396,
  [6581] = 6581,
  [6582] = 6396,
  [6583] = 6396,
  [6584] = 6584,
  [6585] = 6396,
  [6586] = 6396,
  [6587] = 6421,
  [6588] = 6396,
  [6589] = 6396,
  [6590] = 6396,
  [6591] = 4428,
  [6592] = 6418,
  [6593] = 6373,
  [6594] = 6422,
  [6595] = 6326,
  [6596] = 4414,
  [6597] = 6597,
  [6598] = 6353,
  [6599] = 4385,
  [6600] = 4391,
  [6601] = 4404,
  [6602] = 4406,
  [6603] = 4449,
  [6604] = 6419,
  [6605] = 4385,
  [6606] = 6320,
  [6607] = 4391,
  [6608] = 4404,
  [6609] = 4373,
  [6610] = 4375,
  [6611] = 4394,
  [6612] = 4406,
  [6613] = 4396,
  [6614] = 4449,
  [6615] = 4399,
  [6616] = 4403,
  [6617] = 4420,
  [6618] = 4431,
  [6619] = 4433,
  [6620] = 4360,
  [6621] = 6396,
  [6622] = 6315,
  [6623] = 4444,
  [6624] = 4452,
  [6625] = 4397,
  [6626] = 4381,
  [6627] = 6413,
  [6628] = 4730,
  [6629] = 6320,
  [6630] = 4730,
  [6631] = 6396,
  [6632] = 4516,
  [6633] = 4517,
  [6634] = 4518,
  [6635] = 4519,
  [6636] = 6305,
  [6637] = 4403,
  [6638] = 6597,
  [6639] = 6353,
  [6640] = 6419,
  [6641] = 4516,
  [6642] = 4517,
  [6643] = 4518,
  [6644] = 4519,
  [6645] = 6373,
  [6646] = 4515,
  [6647] = 6597,
  [6648] = 6353,
  [6649] = 6419,
  [6650] = 6422,
  [6651] = 4516,
  [6652] = 4517,
  [6653] = 4518,
  [6654] = 4519,
  [6655] = 6382,
  [6656] = 2852,
  [6657] = 6384,
  [6658] = 4515,
  [6659] = 6353,
  [6660] = 4515,
  [6661] = 6353,
  [6662] = 6597,
  [6663] = 5725,
  [6664] = 6386,
  [6665] = 4515,
  [6666] = 4385,
  [6667] = 6320,
  [6668] = 4391,
  [6669] = 4404,
  [6670] = 4373,
  [6671] = 4375,
  [6672] = 4368,
  [6673] = 6417,
  [6674] = 6320,
  [6675] = 4417,
  [6676] = 4394,
  [6677] = 4406,
  [6678] = 4396,
  [6679] = 4449,
  [6680] = 4399,
  [6681] = 6317,
  [6682] = 4397,
  [6683] = 2852,
  [6684] = 2991,
  [6685] = 6685,
  [6686] = 2745,
  [6687] = 6685,
  [6688] = 2744,
  [6689] = 6685,
  [6690] = 6685,
  [6691] = 6685,
  [6692] = 6685,
  [6693] = 2868,
  [6694] = 6685,
  [6695] = 2204,
  [6696] = 6685,
  [6697] = 2879,
  [6698] = 6685,
  [6699] = 2991,
  [6700] = 6685,
  [6701] = 6685,
  [6702] = 6702,
  [6703] = 6685,
  [6704] = 2833,
  [6705] = 2881,
  [6706] = 6685,
  [6707] = 2991,
  [6708] = 6685,
  [6709] = 6685,
  [6710] = 2862,
  [6711] = 3784,
  [6712] = 3790,
  [6713] = 6713,
  [6714] = 6685,
  [6715] = 2991,
  [6716] = 6685,
  [6717] = 6685,
  [6718] = 2991,
  [6719] = 6685,
  [6720] = 6685,
  [6721] = 6685,
  [6722] = 6685,
  [6723] = 6685,
  [6724] = 6685,
  [6725] = 3761,
  [6726] = 6685,
  [6727] = 2205,
  [6728] = 6685,
  [6729] = 3750,
  [6730] = 6685,
  [6731] = 6685,
  [6732] = 2852,
  [6733] = 6685,
  [6734] = 6685,
  [6735] = 2991,
  [6736] = 2843,
  [6737] = 3739,
  [6738] = 6685,
  [6739] = 6685,
  [6740] = 2991,
  [6741] = 6123,
  [6742] = 6742,
  [6743] = 6743,
  [6744] = 6744,
  [6745] = 6745,
  [6746] = 6746,
  [6747] = 6713,
  [6748] = 6748,
  [6749] = 2991,
  [6750] = 6750,
  [6751] = 6123,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 2991,
  [6756] = 6756,
  [6757] = 2991,
  [6758] = 6758,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 2831,
  [6762] = 2994,
  [6763] = 6759,
  [6764] = 2868,
  [6765] = 2925,
  [6766] = 2862,
  [6767] = 2881,
  [6768] = 6748,
  [6769] = 2879,
  [6770] = 6770,
  [6771] = 6771,
  [6772] = 6772,
  [6773] = 6773,
  [6774] = 6772,
  [6775] = 6775,
  [6776] = 6776,
  [6777] = 6777,
  [6778] = 6777,
  [6779] = 6777,
  [6780] = 6780,
  [6781] = 2752,
  [6782] = 6782,
  [6783] = 6777,
  [6784] = 6784,
  [6785] = 6785,
  [6786] = 6771,
  [6787] = 6787,
  [6788] = 6773,
  [6789] = 6785,
  [6790] = 6447,
  [6791] = 6791,
  [6792] = 6776,
  [6793] = 6771,
  [6794] = 6773,
  [6795] = 6785,
  [6796] = 6777,
  [6797] = 6771,
  [6798] = 6785,
  [6799] = 6785,
  [6800] = 6771,
  [6801] = 6801,
  [6802] = 6802,
  [6803] = 6803,
  [6804] = 6804,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6804,
  [6809] = 6801,
  [6810] = 6810,
  [6811] = 2966,
  [6812] = 6802,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6816,
  [6817] = 6801,
  [6818] = 6801,
  [6819] = 6802,
  [6820] = 6801,
  [6821] = 6821,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6821,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6827,
  [6828] = 6821,
  [6829] = 6821,
  [6830] = 2990,
  [6831] = 6821,
  [6832] = 6832,
  [6833] = 6833,
  [6834] = 6821,
  [6835] = 6821,
  [6836] = 6821,
  [6837] = 6821,
  [6838] = 6822,
  [6839] = 6839,
  [6840] = 6822,
  [6841] = 6821,
  [6842] = 6827,
  [6843] = 6843,
  [6844] = 6833,
  [6845] = 6821,
  [6846] = 6821,
  [6847] = 6822,
  [6848] = 6821,
  [6849] = 6823,
  [6850] = 6821,
  [6851] = 6821,
  [6852] = 6821,
  [6853] = 6821,
  [6854] = 6822,
  [6855] = 6821,
  [6856] = 6821,
  [6857] = 6857,
  [6858] = 6821,
  [6859] = 6821,
  [6860] = 6860,
  [6861] = 6821,
  [6862] = 6821,
  [6863] = 6821,
  [6864] = 6821,
  [6865] = 6821,
  [6866] = 6821,
  [6867] = 6821,
  [6868] = 6821,
  [6869] = 6821,
  [6870] = 6821,
  [6871] = 6821,
  [6872] = 6827,
  [6873] = 6821,
  [6874] = 6821,
  [6875] = 6821,
  [6876] = 6876,
  [6877] = 6821,
  [6878] = 6827,
  [6879] = 6821,
  [6880] = 6880,
  [6881] = 6881,
  [6882] = 6821,
  [6883] = 6821,
  [6884] = 6821,
  [6885] = 6876,
  [6886] = 6880,
  [6887] = 6827,
  [6888] = 6881,
  [6889] = 6889,
  [6890] = 6821,
  [6891] = 6880,
  [6892] = 6892,
  [6893] = 6821,
  [6894] = 6821,
  [6895] = 6881,
  [6896] = 6821,
  [6897] = 6821,
  [6898] = 6876,
  [6899] = 6821,
  [6900] = 6821,
  [6901] = 6821,
  [6902] = 2961,
  [6903] = 2991,
  [6904] = 2991,
  [6905] = 6905,
  [6906] = 6906,
  [6907] = 2961,
  [6908] = 6908,
  [6909] = 2991,
  [6910] = 6910,
  [6911] = 2991,
  [6912] = 2991,
  [6913] = 2961,
  [6914] = 2991,
  [6915] = 2991,
  [6916] = 6916,
  [6917] = 6910,
  [6918] = 2991,
  [6919] = 2991,
  [6920] = 6920,
  [6921] = 6905,
  [6922] = 2991,
  [6923] = 2991,
  [6924] = 2991,
  [6925] = 2991,
  [6926] = 2991,
  [6927] = 2991,
  [6928] = 2991,
  [6929] = 2991,
  [6930] = 2991,
  [6931] = 2961,
  [6932] = 2991,
  [6933] = 6933,
  [6934] = 2991,
  [6935] = 2991,
  [6936] = 6936,
  [6937] = 6937,
  [6938] = 2991,
  [6939] = 6933,
  [6940] = 2991,
  [6941] = 6905,
  [6942] = 6942,
  [6943] = 2991,
  [6944] = 6933,
  [6945] = 6905,
  [6946] = 6933,
  [6947] = 2991,
  [6948] = 6948,
  [6949] = 6949,
  [6950] = 6948,
  [6951] = 2852,
  [6952] = 6952,
  [6953] = 6952,
  [6954] = 6949,
  [6955] = 6948,
  [6956] = 2852,
  [6957] = 6957,
  [6958] = 6952,
  [6959] = 6949,
  [6960] = 6948,
  [6961] = 2852,
  [6962] = 6952,
  [6963] = 6949,
  [6964] = 6948,
  [6965] = 2852,
  [6966] = 6952,
  [6967] = 6949,
  [6968] = 6948,
  [6969] = 2852,
  [6970] = 6952,
  [6971] = 6949,
  [6972] = 6949,
  [6973] = 6948,
  [6974] = 2852,
  [6975] = 6952,
  [6976] = 6949,
  [6977] = 6948,
  [6978] = 2852,
  [6979] = 6952,
  [6980] = 6949,
  [6981] = 6949,
  [6982] = 6982,
  [6983] = 6948,
  [6984] = 6948,
  [6985] = 2852,
  [6986] = 6952,
  [6987] = 2852,
  [6988] = 6948,
  [6989] = 2852,
  [6990] = 6952,
  [6991] = 6952,
  [6992] = 2852,
  [6993] = 6993,
  [6994] = 6952,
  [6995] = 6949,
  [6996] = 6996,
  [6997] = 6949,
  [6998] = 6949,
  [6999] = 6948,
  [7000] = 6948,
  [7001] = 6949,
  [7002] = 6957,
  [7003] = 2852,
  [7004] = 6952,
  [7005] = 6948,
  [7006] = 6982,
  [7007] = 7007,
  [7008] = 2852,
  [7009] = 6952,
  [7010] = 6949,
  [7011] = 6996,
  [7012] = 6949,
  [7013] = 6949,
  [7014] = 6948,
  [7015] = 7015,
  [7016] = 6952,
  [7017] = 6949,
  [7018] = 6948,
  [7019] = 6948,
  [7020] = 2852,
  [7021] = 6952,
  [7022] = 2852,
  [7023] = 2852,
  [7024] = 6949,
  [7025] = 6949,
  [7026] = 6993,
  [7027] = 6948,
  [7028] = 2852,
  [7029] = 6948,
  [7030] = 2852,
  [7031] = 6952,
  [7032] = 6952,
  [7033] = 6952,
  [7034] = 6949,
  [7035] = 6948,
  [7036] = 2852,
  [7037] = 6948,
  [7038] = 6949,
  [7039] = 6948,
  [7040] = 2852,
  [7041] = 2852,
  [7042] = 6948,
  [7043] = 2852,
  [7044] = 6949,
  [7045] = 6948,
  [7046] = 2852,
  [7047] = 6952,
  [7048] = 6949,
  [7049] = 6949,
  [7050] = 6948,
  [7051] = 2852,
  [7052] = 6952,
  [7053] = 6948,
  [7054] = 6952,
  [7055] = 6952,
  [7056] = 6952,
  [7057] = 6993,
  [7058] = 6949,
  [7059] = 7007,
  [7060] = 6949,
  [7061] = 6948,
  [7062] = 2852,
  [7063] = 6949,
  [7064] = 6952,
  [7065] = 6952,
  [7066] = 6949,
  [7067] = 7067,
  [7068] = 6948,
  [7069] = 2852,
  [7070] = 6948,
  [7071] = 2852,
  [7072] = 6952,
  [7073] = 6952,
  [7074] = 7007,
  [7075] = 6952,
  [7076] = 7076,
  [7077] = 6948,
  [7078] = 6949,
  [7079] = 6949,
  [7080] = 6952,
  [7081] = 7007,
  [7082] = 6952,
  [7083] = 6948,
  [7084] = 6996,
  [7085] = 6952,
  [7086] = 6948,
  [7087] = 6949,
  [7088] = 2852,
  [7089] = 6952,
  [7090] = 6948,
  [7091] = 6948,
  [7092] = 2852,
  [7093] = 6949,
  [7094] = 6948,
  [7095] = 2852,
  [7096] = 6952,
  [7097] = 6952,
  [7098] = 6949,
  [7099] = 6948,
  [7100] = 6942,
  [7101] = 6948,
  [7102] = 2852,
  [7103] = 6952,
  [7104] = 6952,
  [7105] = 2852,
  [7106] = 6949,
  [7107] = 6949,
  [7108] = 7108,
  [7109] = 7015,
  [7110] = 6948,
  [7111] = 6949,
  [7112] = 6949,
  [7113] = 6952,
  [7114] = 6952,
  [7115] = 6949,
  [7116] = 6948,
  [7117] = 2852,
  [7118] = 6952,
  [7119] = 6949,
  [7120] = 6948,
  [7121] = 6949,
  [7122] = 2852,
  [7123] = 6952,
  [7124] = 6948,
  [7125] = 6948,
  [7126] = 2852,
  [7127] = 6952,
  [7128] = 6949,
  [7129] = 3612,
  [7130] = 6949,
  [7131] = 6948,
  [7132] = 2852,
  [7133] = 6952,
  [7134] = 6949,
  [7135] = 6948,
  [7136] = 2852,
  [7137] = 6952,
  [7138] = 6949,
  [7139] = 2852,
  [7140] = 6948,
  [7141] = 2852,
  [7142] = 6952,
  [7143] = 6949,
  [7144] = 2852,
  [7145] = 2852,
  [7146] = 6948,
  [7147] = 6952,
  [7148] = 7007,
  [7149] = 6948,
  [7150] = 6948,
  [7151] = 2852,
  [7152] = 6949,
  [7153] = 6952,
  [7154] = 2852,
  [7155] = 6952,
  [7156] = 6949,
  [7157] = 2852,
  [7158] = 6996,
  [7159] = 7159,
  [7160] = 7160,
  [7161] = 7161,
  [7162] = 7159,
  [7163] = 7163,
  [7164] = 7159,
  [7165] = 7165,
  [7166] = 7166,
  [7167] = 7167,
  [7168] = 7168,
  [7169] = 7159,
  [7170] = 7159,
  [7171] = 7159,
  [7172] = 7172,
  [7173] = 7173,
  [7174] = 7174,
  [7175] = 7163,
  [7176] = 7167,
  [7177] = 7168,
  [7178] = 7159,
  [7179] = 7179,
  [7180] = 7159,
  [7181] = 7174,
  [7182] = 7168,
  [7183] = 7167,
  [7184] = 7159,
  [7185] = 7159,
  [7186] = 7159,
  [7187] = 7159,
  [7188] = 7159,
  [7189] = 7189,
  [7190] = 7159,
  [7191] = 7159,
  [7192] = 7159,
  [7193] = 7168,
  [7194] = 7174,
  [7195] = 7167,
  [7196] = 7159,
  [7197] = 7163,
  [7198] = 7159,
  [7199] = 7174,
  [7200] = 7159,
  [7201] = 7159,
  [7202] = 7161,
  [7203] = 7167,
  [7204] = 7159,
  [7205] = 7174,
  [7206] = 7161,
  [7207] = 7174,
  [7208] = 7159,
  [7209] = 7159,
  [7210] = 7168,
  [7211] = 7174,
  [7212] = 7159,
  [7213] = 7167,
  [7214] = 7159,
  [7215] = 7215,
  [7216] = 7216,
  [7217] = 7159,
  [7218] = 7163,
  [7219] = 7167,
  [7220] = 7172,
  [7221] = 7174,
  [7222] = 7167,
  [7223] = 7159,
  [7224] = 7224,
  [7225] = 7168,
  [7226] = 7159,
  [7227] = 7159,
  [7228] = 7163,
  [7229] = 7224,
  [7230] = 7159,
  [7231] = 7159,
  [7232] = 7174,
  [7233] = 7159,
  [7234] = 7159,
  [7235] = 7161,
  [7236] = 7172,
  [7237] = 7159,
  [7238] = 7159,
  [7239] = 7239,
  [7240] = 7224,
  [7241] = 7159,
  [7242] = 7159,
  [7243] = 7174,
  [7244] = 7167,
  [7245] = 7174,
  [7246] = 7168,
  [7247] = 7174,
  [7248] = 7159,
  [7249] = 7167,
  [7250] = 7159,
  [7251] = 7159,
  [7252] = 7239,
  [7253] = 7159,
  [7254] = 7167,
  [7255] = 7159,
  [7256] = 7167,
  [7257] = 7161,
  [7258] = 7174,
  [7259] = 7159,
  [7260] = 7159,
  [7261] = 7159,
  [7262] = 7167,
  [7263] = 7174,
  [7264] = 7167,
  [7265] = 7159,
  [7266] = 7159,
  [7267] = 7159,
  [7268] = 7168,
  [7269] = 7159,
  [7270] = 7159,
  [7271] = 7159,
  [7272] = 7174,
  [7273] = 7167,
  [7274] = 7159,
  [7275] = 7159,
  [7276] = 7168,
  [7277] = 7277,
  [7278] = 7163,
  [7279] = 7159,
  [7280] = 7159,
  [7281] = 7159,
  [7282] = 7239,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 3784,
  [7286] = 7286,
  [7287] = 3790,
  [7288] = 3750,
  [7289] = 7289,
  [7290] = 7290,
  [7291] = 3739,
  [7292] = 3761,
  [7293] = 7293,
  [7294] = 7294,
  [7295] = 7295,
  [7296] = 7296,
  [7297] = 7297,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7300,
  [7301] = 7293,
  [7302] = 7302,
  [7303] = 7303,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7299,
  [7307] = 7304,
  [7308] = 7305,
  [7309] = 7309,
  [7310] = 7310,
  [7311] = 7311,
  [7312] = 7312,
  [7313] = 7303,
  [7314] = 7314,
  [7315] = 7315,
  [7316] = 7294,
  [7317] = 7317,
  [7318] = 7318,
  [7319] = 7309,
  [7320] = 7310,
  [7321] = 7311,
  [7322] = 7303,
  [7323] = 7303,
  [7324] = 7324,
  [7325] = 7317,
  [7326] = 7303,
  [7327] = 7303,
  [7328] = 7296,
  [7329] = 7303,
  [7330] = 7303,
  [7331] = 7303,
  [7332] = 7324,
  [7333] = 7333,
  [7334] = 7334,
  [7335] = 7335,
  [7336] = 7298,
  [7337] = 7337,
  [7338] = 7338,
  [7339] = 7303,
  [7340] = 7295,
  [7341] = 7296,
  [7342] = 7297,
  [7343] = 7300,
  [7344] = 7302,
  [7345] = 7303,
  [7346] = 7299,
  [7347] = 7304,
  [7348] = 7305,
  [7349] = 7310,
  [7350] = 7311,
  [7351] = 7303,
  [7352] = 7334,
  [7353] = 7315,
  [7354] = 7294,
  [7355] = 7317,
  [7356] = 7295,
  [7357] = 7357,
  [7358] = 7358,
  [7359] = 7359,
  [7360] = 7303,
  [7361] = 7303,
  [7362] = 7362,
  [7363] = 7303,
  [7364] = 7337,
  [7365] = 7365,
  [7366] = 7335,
  [7367] = 7335,
  [7368] = 7368,
  [7369] = 7303,
  [7370] = 7370,
  [7371] = 7371,
  [7372] = 7338,
  [7373] = 7373,
  [7374] = 7374,
  [7375] = 7303,
  [7376] = 7315,
  [7377] = 7303,
  [7378] = 7378,
  [7379] = 7379,
  [7380] = 7297,
  [7381] = 7324,
  [7382] = 7300,
  [7383] = 7298,
  [7384] = 7337,
  [7385] = 7293,
  [7386] = 7302,
  [7387] = 7303,
  [7388] = 7324,
  [7389] = 7303,
  [7390] = 7334,
  [7391] = 7309,
  [7392] = 7392,
  [7393] = 7393,
  [7394] = 7394,
  [7395] = 7395,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 7398,
  [7399] = 7399,
  [7400] = 7400,
  [7401] = 7401,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 7405,
  [7407] = 7405,
  [7408] = 7405,
  [7409] = 7405,
  [7410] = 7405,
  [7411] = 7405,
  [7412] = 7405,
  [7413] = 7405,
  [7414] = 7405,
  [7415] = 7405,
  [7416] = 7405,
  [7417] = 7405,
  [7418] = 7405,
  [7419] = 7405,
  [7420] = 7405,
  [7421] = 7405,
  [7422] = 7405,
  [7423] = 7405,
  [7424] = 7405,
  [7425] = 7405,
  [7426] = 7405,
  [7427] = 7405,
  [7428] = 7405,
  [7429] = 7405,
  [7430] = 7405,
  [7431] = 7405,
  [7432] = 7405,
  [7433] = 7405,
  [7434] = 7405,
  [7435] = 7405,
  [7436] = 7405,
  [7437] = 7405,
  [7438] = 7405,
  [7439] = 7405,
  [7440] = 7405,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7442,
  [7444] = 7444,
  [7445] = 7441,
  [7446] = 7441,
  [7447] = 7441,
  [7448] = 7441,
  [7449] = 7441,
  [7450] = 7442,
  [7451] = 7441,
  [7452] = 7444,
  [7453] = 7441,
  [7454] = 7442,
  [7455] = 7442,
  [7456] = 7444,
  [7457] = 7442,
  [7458] = 7444,
  [7459] = 7444,
  [7460] = 7441,
  [7461] = 7442,
  [7462] = 7444,
  [7463] = 7442,
  [7464] = 7441,
  [7465] = 7442,
  [7466] = 7444,
  [7467] = 7444,
  [7468] = 7444,
  [7469] = 7441,
  [7470] = 7442,
  [7471] = 7442,
  [7472] = 7441,
  [7473] = 7441,
  [7474] = 7444,
  [7475] = 7441,
  [7476] = 7444,
  [7477] = 7444,
  [7478] = 7441,
  [7479] = 7444,
  [7480] = 7442,
  [7481] = 7442,
  [7482] = 7442,
  [7483] = 7444,
  [7484] = 7442,
  [7485] = 7444,
  [7486] = 7441,
  [7487] = 7442,
  [7488] = 7442,
  [7489] = 7442,
  [7490] = 7444,
  [7491] = 7444,
  [7492] = 7444,
  [7493] = 7441,
  [7494] = 7442,
  [7495] = 7441,
  [7496] = 7441,
  [7497] = 7444,
  [7498] = 7444,
  [7499] = 7441,
  [7500] = 7442,
  [7501] = 7501,
  [7502] = 7502,
  [7503] = 7503,
  [7504] = 7504,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 7507,
  [7508] = 7506,
  [7509] = 7509,
  [7510] = 7507,
  [7511] = 7509,
  [7512] = 7509,
  [7513] = 7507,
  [7514] = 7506,
  [7515] = 7505,
  [7516] = 7505,
  [7517] = 7517,
  [7518] = 7518,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7521,
  [7522] = 7522,
  [7523] = 7518,
  [7524] = 7524,
  [7525] = 7521,
  [7526] = 7517,
  [7527] = 7527,
  [7528] = 7528,
  [7529] = 7517,
  [7530] = 7528,
  [7531] = 7531,
  [7532] = 7520,
  [7533] = 7528,
  [7534] = 7520,
  [7535] = 7519,
  [7536] = 7531,
  [7537] = 7537,
  [7538] = 7531,
  [7539] = 7519,
  [7540] = 7518,
  [7541] = 7521,
  [7542] = 7542,
  [7543] = 7543,
  [7544] = 7542,
  [7545] = 7545,
  [7546] = 7545,
  [7547] = 7547,
  [7548] = 7548,
  [7549] = 7542,
  [7550] = 7545,
  [7551] = 7543,
  [7552] = 7548,
  [7553] = 7547,
  [7554] = 7547,
  [7555] = 7548,
  [7556] = 7548,
  [7557] = 7543,
  [7558] = 7558,
  [7559] = 7559,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7562,
  [7563] = 7563,
  [7564] = 7564,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 7569,
  [7570] = 7570,
  [7571] = 7571,
  [7572] = 7572,
  [7573] = 7573,
  [7574] = 7574,
  [7575] = 7575,
  [7576] = 7576,
  [7577] = 7577,
  [7578] = 7578,
  [7579] = 7574,
  [7580] = 7566,
  [7581] = 7581,
  [7582] = 7571,
  [7583] = 7583,
  [7584] = 7584,
  [7585] = 7585,
  [7586] = 7586,
  [7587] = 7587,
  [7588] = 7588,
  [7589] = 7561,
  [7590] = 7590,
  [7591] = 7564,
  [7592] = 7592,
  [7593] = 7593,
  [7594] = 7560,
  [7595] = 7595,
  [7596] = 7596,
  [7597] = 7566,
  [7598] = 7558,
  [7599] = 7599,
  [7600] = 7564,
  [7601] = 7575,
  [7602] = 7585,
  [7603] = 7560,
  [7604] = 7573,
  [7605] = 7605,
  [7606] = 7558,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 7559,
  [7610] = 7586,
  [7611] = 7569,
  [7612] = 7612,
  [7613] = 7613,
  [7614] = 7564,
  [7615] = 7596,
  [7616] = 7559,
  [7617] = 7584,
  [7618] = 7618,
  [7619] = 7593,
  [7620] = 7574,
  [7621] = 7593,
  [7622] = 7622,
  [7623] = 7623,
  [7624] = 7588,
  [7625] = 7625,
  [7626] = 7626,
  [7627] = 7627,
  [7628] = 7563,
  [7629] = 7629,
  [7630] = 7581,
  [7631] = 7593,
  [7632] = 7587,
  [7633] = 7633,
  [7634] = 7618,
  [7635] = 7559,
  [7636] = 7569,
  [7637] = 7637,
  [7638] = 7573,
  [7639] = 7639,
  [7640] = 7612,
  [7641] = 7576,
  [7642] = 7642,
  [7643] = 7586,
  [7644] = 7584,
  [7645] = 7588,
  [7646] = 7563,
  [7647] = 7566,
  [7648] = 7561,
  [7649] = 7581,
  [7650] = 7650,
  [7651] = 7584,
  [7652] = 7575,
  [7653] = 7576,
  [7654] = 7575,
  [7655] = 7569,
  [7656] = 7612,
  [7657] = 7571,
  [7658] = 7596,
  [7659] = 7588,
  [7660] = 7587,
  [7661] = 7561,
  [7662] = 7662,
  [7663] = 7585,
  [7664] = 7587,
  [7665] = 7576,
  [7666] = 7560,
  [7667] = 7618,
  [7668] = 7585,
  [7669] = 7669,
  [7670] = 7670,
  [7671] = 7671,
  [7672] = 7672,
  [7673] = 7673,
  [7674] = 7674,
  [7675] = 7669,
  [7676] = 7676,
  [7677] = 7669,
  [7678] = 7678,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 7681,
  [7682] = 7682,
  [7683] = 7682,
  [7684] = 7671,
  [7685] = 7685,
  [7686] = 7679,
  [7687] = 7687,
  [7688] = 7671,
  [7689] = 7681,
  [7690] = 7682,
  [7691] = 7691,
  [7692] = 7679,
  [7693] = 7691,
  [7694] = 7681,
  [7695] = 7695,
  [7696] = 7696,
  [7697] = 7674,
  [7698] = 7674,
  [7699] = 7691,
  [7700] = 7678,
  [7701] = 7678,
  [7702] = 7702,
  [7703] = 7703,
  [7704] = 7704,
  [7705] = 7705,
  [7706] = 7706,
  [7707] = 7703,
  [7708] = 7704,
  [7709] = 7702,
  [7710] = 7710,
  [7711] = 7711,
  [7712] = 7712,
  [7713] = 7713,
  [7714] = 7714,
  [7715] = 7713,
  [7716] = 7716,
  [7717] = 7717,
  [7718] = 7705,
  [7719] = 7706,
  [7720] = 7720,
  [7721] = 7714,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7724,
  [7725] = 7725,
  [7726] = 7710,
  [7727] = 7722,
  [7728] = 7704,
  [7729] = 7702,
  [7730] = 7730,
  [7731] = 7711,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 7712,
  [7736] = 7736,
  [7737] = 7733,
  [7738] = 7720,
  [7739] = 7713,
  [7740] = 7740,
  [7741] = 7732,
  [7742] = 7704,
  [7743] = 2211,
  [7744] = 7722,
  [7745] = 7720,
  [7746] = 7722,
  [7747] = 7723,
  [7748] = 7740,
  [7749] = 7706,
  [7750] = 7725,
  [7751] = 7740,
  [7752] = 7725,
  [7753] = 7734,
  [7754] = 2210,
  [7755] = 7714,
  [7756] = 7704,
  [7757] = 7703,
  [7758] = 7730,
  [7759] = 7734,
  [7760] = 7733,
  [7761] = 7710,
  [7762] = 7712,
  [7763] = 7732,
  [7764] = 7711,
  [7765] = 7722,
  [7766] = 7730,
  [7767] = 7767,
  [7768] = 7705,
  [7769] = 7723,
  [7770] = 7770,
  [7771] = 7771,
  [7772] = 7772,
  [7773] = 6759,
  [7774] = 7771,
  [7775] = 7775,
  [7776] = 2994,
  [7777] = 7777,
  [7778] = 7778,
  [7779] = 7779,
  [7780] = 7780,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7783,
  [7784] = 7784,
  [7785] = 7785,
  [7786] = 7786,
  [7787] = 7787,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7792,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7795,
  [7796] = 7796,
  [7797] = 7797,
  [7798] = 7798,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7806,
  [7807] = 7807,
  [7808] = 2212,
  [7809] = 7809,
  [7810] = 7810,
  [7811] = 7780,
  [7812] = 7785,
  [7813] = 7786,
  [7814] = 7772,
  [7815] = 2745,
  [7816] = 7816,
  [7817] = 7781,
  [7818] = 7816,
  [7819] = 2744,
  [7820] = 7807,
  [7821] = 7821,
  [7822] = 7787,
  [7823] = 7788,
  [7824] = 7782,
  [7825] = 7783,
  [7826] = 7826,
  [7827] = 7827,
  [7828] = 7828,
  [7829] = 7829,
  [7830] = 7830,
  [7831] = 7831,
  [7832] = 7832,
  [7833] = 7833,
  [7834] = 7777,
  [7835] = 7835,
  [7836] = 7836,
  [7837] = 7777,
  [7838] = 7838,
  [7839] = 7778,
  [7840] = 7778,
  [7841] = 7795,
  [7842] = 7780,
  [7843] = 7781,
  [7844] = 7782,
  [7845] = 7783,
  [7846] = 7785,
  [7847] = 7786,
  [7848] = 7787,
  [7849] = 7788,
  [7850] = 7790,
  [7851] = 7791,
  [7852] = 7792,
  [7853] = 7793,
  [7854] = 7794,
  [7855] = 7795,
  [7856] = 7796,
  [7857] = 7797,
  [7858] = 7798,
  [7859] = 7799,
  [7860] = 7800,
  [7861] = 7801,
  [7862] = 7862,
  [7863] = 7803,
  [7864] = 7804,
  [7865] = 7805,
  [7866] = 7806,
  [7867] = 7807,
  [7868] = 7868,
  [7869] = 7771,
  [7870] = 7772,
  [7871] = 7871,
  [7872] = 7784,
  [7873] = 7873,
  [7874] = 7874,
  [7875] = 7796,
  [7876] = 7809,
  [7877] = 7810,
  [7878] = 7809,
  [7879] = 7810,
  [7880] = 7790,
  [7881] = 7791,
  [7882] = 7804,
  [7883] = 7797,
  [7884] = 7798,
  [7885] = 7885,
  [7886] = 7784,
  [7887] = 7887,
  [7888] = 7816,
  [7889] = 7889,
  [7890] = 7890,
  [7891] = 7805,
  [7892] = 7892,
  [7893] = 7893,
  [7894] = 7894,
  [7895] = 7895,
  [7896] = 7806,
  [7897] = 7897,
  [7898] = 7898,
  [7899] = 7868,
  [7900] = 7771,
  [7901] = 7772,
  [7902] = 7902,
  [7903] = 7903,
  [7904] = 7904,
  [7905] = 7905,
  [7906] = 7784,
  [7907] = 7907,
  [7908] = 7908,
  [7909] = 7909,
  [7910] = 7910,
  [7911] = 7809,
  [7912] = 7810,
  [7913] = 7799,
  [7914] = 7868,
  [7915] = 7890,
  [7916] = 7916,
  [7917] = 7792,
  [7918] = 7793,
  [7919] = 7784,
  [7920] = 7920,
  [7921] = 7816,
  [7922] = 7794,
  [7923] = 7923,
  [7924] = 7924,
  [7925] = 7868,
  [7926] = 7890,
  [7927] = 7916,
  [7928] = 7916,
  [7929] = 7771,
  [7930] = 7772,
  [7931] = 7868,
  [7932] = 7800,
  [7933] = 7801,
  [7934] = 7784,
  [7935] = 7935,
  [7936] = 7802,
  [7937] = 7803,
  [7938] = 7809,
  [7939] = 7810,
  [7940] = 7868,
  [7941] = 7802,
  [7942] = 7942,
  [7943] = 7943,
  [7944] = 7944,
  [7945] = 7871,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7954,
  [7955] = 7955,
  [7956] = 7956,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 7960,
  [7961] = 7961,
  [7962] = 7962,
  [7963] = 7963,
  [7964] = 7964,
  [7965] = 7965,
  [7966] = 7966,
  [7967] = 7967,
  [7968] = 7968,
  [7969] = 7969,
  [7970] = 7970,
  [7971] = 7971,
  [7972] = 7971,
  [7973] = 7973,
  [7974] = 7974,
  [7975] = 7975,
  [7976] = 7976,
  [7977] = 7977,
  [7978] = 7978,
  [7979] = 4732,
  [7980] = 7980,
  [7981] = 7981,
  [7982] = 7982,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7966,
  [7986] = 7986,
  [7987] = 7987,
  [7988] = 7986,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 7991,
  [7992] = 7992,
  [7993] = 7948,
  [7994] = 7959,
  [7995] = 7963,
  [7996] = 7964,
  [7997] = 7978,
  [7998] = 7980,
  [7999] = 7999,
  [8000] = 8000,
  [8001] = 8001,
  [8002] = 8002,
  [8003] = 7947,
  [8004] = 7950,
  [8005] = 7952,
  [8006] = 7953,
  [8007] = 7954,
  [8008] = 7955,
  [8009] = 7956,
  [8010] = 7957,
  [8011] = 7958,
  [8012] = 7966,
  [8013] = 7984,
  [8014] = 7987,
  [8015] = 8015,
  [8016] = 7999,
  [8017] = 8000,
  [8018] = 8001,
  [8019] = 8002,
  [8020] = 7984,
  [8021] = 7987,
  [8022] = 7989,
  [8023] = 8023,
  [8024] = 8024,
  [8025] = 8025,
  [8026] = 8026,
  [8027] = 7989,
  [8028] = 8023,
  [8029] = 8023,
  [8030] = 8024,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 8033,
  [8034] = 8034,
  [8035] = 8035,
  [8036] = 8036,
  [8037] = 8037,
  [8038] = 8025,
  [8039] = 3681,
  [8040] = 8040,
  [8041] = 8041,
  [8042] = 8042,
  [8043] = 8043,
  [8044] = 8044,
  [8045] = 8045,
  [8046] = 8046,
  [8047] = 8047,
  [8048] = 8026,
  [8049] = 8049,
  [8050] = 7962,
  [8051] = 7970,
  [8052] = 7974,
  [8053] = 7975,
  [8054] = 7976,
  [8055] = 8055,
  [8056] = 8056,
  [8057] = 8057,
  [8058] = 8058,
  [8059] = 8059,
  [8060] = 8060,
  [8061] = 8061,
  [8062] = 2975,
  [8063] = 8063,
  [8064] = 8064,
  [8065] = 8065,
  [8066] = 8066,
  [8067] = 8024,
  [8068] = 8068,
  [8069] = 8069,
  [8070] = 8070,
  [8071] = 8025,
  [8072] = 8072,
  [8073] = 8073,
  [8074] = 8074,
  [8075] = 8075,
  [8076] = 8076,
  [8077] = 8077,
  [8078] = 8031,
  [8079] = 8079,
  [8080] = 8032,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 8083,
  [8084] = 8033,
  [8085] = 8034,
  [8086] = 7951,
  [8087] = 8035,
  [8088] = 7961,
  [8089] = 8036,
  [8090] = 7967,
  [8091] = 7946,
  [8092] = 8037,
  [8093] = 7966,
  [8094] = 7983,
  [8095] = 7943,
  [8096] = 7992,
  [8097] = 7986,
  [8098] = 7992,
  [8099] = 8040,
  [8100] = 8041,
  [8101] = 8042,
  [8102] = 8043,
  [8103] = 8079,
  [8104] = 7960,
  [8105] = 8044,
  [8106] = 8031,
  [8107] = 7991,
  [8108] = 8032,
  [8109] = 8045,
  [8110] = 8046,
  [8111] = 8033,
  [8112] = 8034,
  [8113] = 8056,
  [8114] = 8035,
  [8115] = 8057,
  [8116] = 8036,
  [8117] = 8037,
  [8118] = 4730,
  [8119] = 8058,
  [8120] = 7992,
  [8121] = 8047,
  [8122] = 7948,
  [8123] = 8123,
  [8124] = 7971,
  [8125] = 7947,
  [8126] = 8040,
  [8127] = 8081,
  [8128] = 8041,
  [8129] = 8082,
  [8130] = 8083,
  [8131] = 8061,
  [8132] = 7950,
  [8133] = 7942,
  [8134] = 8063,
  [8135] = 7959,
  [8136] = 7992,
  [8137] = 7962,
  [8138] = 8042,
  [8139] = 8043,
  [8140] = 7943,
  [8141] = 7970,
  [8142] = 7974,
  [8143] = 7946,
  [8144] = 8144,
  [8145] = 7975,
  [8146] = 7976,
  [8147] = 7971,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 7952,
  [8151] = 8026,
  [8152] = 7971,
  [8153] = 8056,
  [8154] = 8057,
  [8155] = 8058,
  [8156] = 8060,
  [8157] = 8157,
  [8158] = 8061,
  [8159] = 7942,
  [8160] = 8063,
  [8161] = 8065,
  [8162] = 7963,
  [8163] = 8163,
  [8164] = 7964,
  [8165] = 8066,
  [8166] = 7953,
  [8167] = 7954,
  [8168] = 7943,
  [8169] = 8169,
  [8170] = 7978,
  [8171] = 8171,
  [8172] = 8068,
  [8173] = 8069,
  [8174] = 7955,
  [8175] = 8070,
  [8176] = 8176,
  [8177] = 8177,
  [8178] = 7992,
  [8179] = 8044,
  [8180] = 7980,
  [8181] = 8045,
  [8182] = 8046,
  [8183] = 8047,
  [8184] = 8157,
  [8185] = 7999,
  [8186] = 8000,
  [8187] = 8187,
  [8188] = 8001,
  [8189] = 7986,
  [8190] = 8073,
  [8191] = 8002,
  [8192] = 8192,
  [8193] = 8074,
  [8194] = 7991,
  [8195] = 8075,
  [8196] = 8076,
  [8197] = 8066,
  [8198] = 8198,
  [8199] = 3666,
  [8200] = 8200,
  [8201] = 8077,
  [8202] = 8202,
  [8203] = 7943,
  [8204] = 7960,
  [8205] = 8079,
  [8206] = 8049,
  [8207] = 8081,
  [8208] = 8082,
  [8209] = 8209,
  [8210] = 8210,
  [8211] = 7946,
  [8212] = 8083,
  [8213] = 8213,
  [8214] = 8214,
  [8215] = 7951,
  [8216] = 8068,
  [8217] = 8069,
  [8218] = 7991,
  [8219] = 8070,
  [8220] = 7949,
  [8221] = 8200,
  [8222] = 8222,
  [8223] = 7943,
  [8224] = 8224,
  [8225] = 7943,
  [8226] = 7956,
  [8227] = 7991,
  [8228] = 7957,
  [8229] = 8073,
  [8230] = 8074,
  [8231] = 8075,
  [8232] = 8076,
  [8233] = 8077,
  [8234] = 7960,
  [8235] = 7958,
  [8236] = 7991,
  [8237] = 8237,
  [8238] = 8059,
  [8239] = 8060,
  [8240] = 8240,
  [8241] = 8241,
  [8242] = 8242,
  [8243] = 8243,
  [8244] = 8244,
  [8245] = 8245,
  [8246] = 8246,
  [8247] = 8247,
  [8248] = 8246,
  [8249] = 8249,
  [8250] = 8250,
  [8251] = 4732,
  [8252] = 2904,
  [8253] = 8253,
  [8254] = 8254,
  [8255] = 2890,
  [8256] = 4730,
  [8257] = 4730,
  [8258] = 8258,
  [8259] = 2899,
  [8260] = 8260,
  [8261] = 8261,
  [8262] = 8262,
  [8263] = 8263,
  [8264] = 8260,
  [8265] = 8265,
  [8266] = 8266,
  [8267] = 8267,
  [8268] = 8258,
  [8269] = 8269,
  [8270] = 8246,
  [8271] = 4732,
  [8272] = 8269,
  [8273] = 8273,
  [8274] = 2887,
  [8275] = 8241,
  [8276] = 8249,
  [8277] = 8277,
  [8278] = 8246,
  [8279] = 8279,
  [8280] = 8280,
  [8281] = 8281,
  [8282] = 8282,
  [8283] = 8249,
  [8284] = 8242,
  [8285] = 8285,
  [8286] = 8267,
  [8287] = 8287,
  [8288] = 8288,
  [8289] = 8289,
  [8290] = 8250,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 8293,
  [8294] = 8258,
  [8295] = 8243,
  [8296] = 8296,
  [8297] = 8279,
  [8298] = 8298,
  [8299] = 8267,
  [8300] = 4732,
  [8301] = 8240,
  [8302] = 8302,
  [8303] = 8260,
  [8304] = 8304,
  [8305] = 8305,
  [8306] = 8306,
  [8307] = 8307,
  [8308] = 8308,
  [8309] = 8250,
  [8310] = 8287,
  [8311] = 8296,
  [8312] = 8312,
  [8313] = 8313,
  [8314] = 2218,
  [8315] = 8315,
  [8316] = 8296,
  [8317] = 8317,
  [8318] = 8318,
  [8319] = 2217,
  [8320] = 8320,
  [8321] = 8321,
  [8322] = 8322,
  [8323] = 8323,
  [8324] = 8324,
  [8325] = 8263,
  [8326] = 8240,
  [8327] = 8277,
  [8328] = 8291,
  [8329] = 8292,
  [8330] = 8266,
  [8331] = 8331,
  [8332] = 8266,
  [8333] = 8293,
  [8334] = 8298,
  [8335] = 2220,
  [8336] = 8336,
  [8337] = 8260,
  [8338] = 8289,
  [8339] = 8289,
  [8340] = 8340,
  [8341] = 8308,
  [8342] = 8277,
  [8343] = 8293,
  [8344] = 8241,
  [8345] = 8345,
  [8346] = 8243,
  [8347] = 8265,
  [8348] = 8293,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8351,
  [8352] = 8293,
  [8353] = 8266,
  [8354] = 8293,
  [8355] = 8293,
  [8356] = 8356,
  [8357] = 8357,
  [8358] = 8287,
  [8359] = 8293,
  [8360] = 2900,
  [8361] = 8361,
  [8362] = 8362,
  [8363] = 8291,
  [8364] = 8292,
  [8365] = 8365,
  [8366] = 8263,
  [8367] = 8265,
  [8368] = 8298,
  [8369] = 8306,
  [8370] = 2219,
  [8371] = 8266,
  [8372] = 4730,
  [8373] = 8279,
  [8374] = 8374,
  [8375] = 2985,
  [8376] = 8269,
  [8377] = 8377,
  [8378] = 8378,
  [8379] = 8379,
  [8380] = 8380,
  [8381] = 8381,
  [8382] = 8382,
  [8383] = 8383,
  [8384] = 8384,
  [8385] = 8322,
  [8386] = 8386,
  [8387] = 8387,
  [8388] = 8388,
  [8389] = 8389,
  [8390] = 8390,
  [8391] = 8391,
  [8392] = 8392,
  [8393] = 8393,
  [8394] = 8394,
  [8395] = 8395,
  [8396] = 8396,
  [8397] = 8281,
  [8398] = 8247,
  [8399] = 8254,
  [8400] = 8382,
  [8401] = 8401,
  [8402] = 8402,
  [8403] = 8403,
  [8404] = 8404,
  [8405] = 8380,
  [8406] = 8387,
  [8407] = 8407,
  [8408] = 8408,
  [8409] = 8409,
  [8410] = 8410,
  [8411] = 8411,
  [8412] = 8412,
  [8413] = 8413,
  [8414] = 8414,
  [8415] = 8390,
  [8416] = 8416,
  [8417] = 8417,
  [8418] = 8402,
  [8419] = 8381,
  [8420] = 8420,
  [8421] = 8421,
  [8422] = 8396,
  [8423] = 8402,
  [8424] = 8388,
  [8425] = 8380,
  [8426] = 8426,
  [8427] = 8427,
  [8428] = 8389,
  [8429] = 8429,
  [8430] = 8383,
  [8431] = 8379,
  [8432] = 8410,
  [8433] = 8433,
  [8434] = 8401,
  [8435] = 8386,
  [8436] = 8416,
  [8437] = 8392,
  [8438] = 8438,
  [8439] = 8336,
  [8440] = 8440,
  [8441] = 8441,
  [8442] = 8442,
  [8443] = 8312,
  [8444] = 8444,
  [8445] = 8417,
  [8446] = 8446,
  [8447] = 8447,
  [8448] = 8414,
  [8449] = 8449,
  [8450] = 8444,
  [8451] = 8451,
  [8452] = 8452,
  [8453] = 8380,
  [8454] = 8454,
  [8455] = 8455,
  [8456] = 8456,
  [8457] = 8457,
  [8458] = 8320,
  [8459] = 8404,
  [8460] = 8377,
  [8461] = 8461,
  [8462] = 8390,
  [8463] = 8463,
  [8464] = 8407,
  [8465] = 8383,
  [8466] = 8378,
  [8467] = 8392,
  [8468] = 8468,
  [8469] = 8379,
  [8470] = 8386,
  [8471] = 8410,
  [8472] = 8416,
  [8473] = 8447,
  [8474] = 8401,
  [8475] = 8444,
  [8476] = 8402,
  [8477] = 8449,
  [8478] = 8426,
  [8479] = 8479,
  [8480] = 8378,
  [8481] = 8481,
  [8482] = 8380,
  [8483] = 8483,
  [8484] = 8484,
  [8485] = 8485,
  [8486] = 8486,
  [8487] = 8485,
  [8488] = 8407,
  [8489] = 8389,
  [8490] = 8389,
  [8491] = 8491,
  [8492] = 8492,
  [8493] = 8392,
  [8494] = 8392,
  [8495] = 8495,
  [8496] = 8496,
  [8497] = 8497,
  [8498] = 8498,
  [8499] = 8455,
  [8500] = 8456,
  [8501] = 8457,
  [8502] = 8461,
  [8503] = 8383,
  [8504] = 8468,
  [8505] = 8426,
  [8506] = 8401,
  [8507] = 8378,
  [8508] = 8508,
  [8509] = 8396,
  [8510] = 8383,
  [8511] = 8402,
  [8512] = 8433,
  [8513] = 8433,
  [8514] = 8514,
  [8515] = 8433,
  [8516] = 8516,
  [8517] = 8401,
  [8518] = 8452,
  [8519] = 8519,
  [8520] = 8402,
  [8521] = 8447,
  [8522] = 8449,
  [8523] = 8447,
  [8524] = 8524,
  [8525] = 8449,
  [8526] = 8447,
  [8527] = 8449,
  [8528] = 8390,
  [8529] = 8433,
  [8530] = 8382,
  [8531] = 8531,
  [8532] = 8452,
  [8533] = 8533,
  [8534] = 8534,
  [8535] = 8454,
  [8536] = 8536,
  [8537] = 8497,
  [8538] = 8452,
  [8539] = 8539,
  [8540] = 8540,
  [8541] = 8541,
  [8542] = 8542,
  [8543] = 8536,
  [8544] = 8390,
  [8545] = 8545,
  [8546] = 8447,
  [8547] = 8449,
  [8548] = 8548,
  [8549] = 8403,
  [8550] = 8387,
  [8551] = 8390,
  [8552] = 8452,
  [8553] = 8553,
  [8554] = 8380,
  [8555] = 8555,
  [8556] = 8556,
  [8557] = 8407,
  [8558] = 8389,
  [8559] = 8403,
  [8560] = 8392,
  [8561] = 8561,
  [8562] = 8396,
  [8563] = 8382,
  [8564] = 8382,
  [8565] = 8452,
  [8566] = 8566,
  [8567] = 8516,
  [8568] = 8495,
  [8569] = 8396,
  [8570] = 8447,
  [8571] = 8449,
  [8572] = 8390,
  [8573] = 8573,
  [8574] = 8574,
  [8575] = 8454,
  [8576] = 8576,
  [8577] = 8577,
  [8578] = 8379,
  [8579] = 8386,
  [8580] = 8580,
  [8581] = 8387,
  [8582] = 8536,
  [8583] = 8447,
  [8584] = 8449,
  [8585] = 8390,
  [8586] = 8454,
  [8587] = 2990,
  [8588] = 8404,
  [8589] = 8589,
  [8590] = 8304,
  [8591] = 8377,
  [8592] = 8497,
  [8593] = 8455,
  [8594] = 8447,
  [8595] = 8449,
  [8596] = 8596,
  [8597] = 8390,
  [8598] = 8456,
  [8599] = 8390,
  [8600] = 8454,
  [8601] = 8601,
  [8602] = 8602,
  [8603] = 8536,
  [8604] = 8447,
  [8605] = 8449,
  [8606] = 8447,
  [8607] = 8390,
  [8608] = 8608,
  [8609] = 8449,
  [8610] = 8497,
  [8611] = 8447,
  [8612] = 8449,
  [8613] = 8613,
  [8614] = 8455,
  [8615] = 8390,
  [8616] = 8616,
  [8617] = 8456,
  [8618] = 8618,
  [8619] = 8619,
  [8620] = 8457,
  [8621] = 8413,
  [8622] = 8461,
  [8623] = 8383,
  [8624] = 8468,
  [8625] = 8452,
  [8626] = 8497,
  [8627] = 8457,
  [8628] = 8391,
  [8629] = 8386,
  [8630] = 8426,
  [8631] = 8536,
  [8632] = 8632,
  [8633] = 8404,
  [8634] = 8377,
  [8635] = 8566,
  [8636] = 8433,
  [8637] = 8637,
  [8638] = 8378,
  [8639] = 8639,
  [8640] = 8616,
  [8641] = 8641,
  [8642] = 8642,
  [8643] = 8410,
  [8644] = 8416,
  [8645] = 8387,
  [8646] = 8646,
  [8647] = 8647,
  [8648] = 8648,
  [8649] = 8390,
  [8650] = 8516,
  [8651] = 8468,
  [8652] = 8403,
  [8653] = 8457,
  [8654] = 8383,
  [8655] = 8468,
  [8656] = 8639,
  [8657] = 8378,
  [8658] = 8433,
  [8659] = 8391,
  [8660] = 8433,
  [8661] = 8646,
  [8662] = 8401,
  [8663] = 8444,
  [8664] = 8349,
  [8665] = 8357,
  [8666] = 8379,
  [8667] = 8386,
  [8668] = 8391,
  [8669] = 8669,
  [8670] = 8670,
  [8671] = 8671,
  [8672] = 8447,
  [8673] = 8449,
  [8674] = 8674,
  [8675] = 8675,
  [8676] = 8516,
  [8677] = 8677,
  [8678] = 8678,
  [8679] = 8679,
  [8680] = 8497,
  [8681] = 8447,
  [8682] = 8449,
  [8683] = 8452,
  [8684] = 8684,
  [8685] = 8536,
  [8686] = 8686,
  [8687] = 8561,
  [8688] = 8461,
  [8689] = 8387,
  [8690] = 8455,
  [8691] = 8390,
  [8692] = 8411,
  [8693] = 8456,
  [8694] = 8694,
  [8695] = 8457,
  [8696] = 8461,
  [8697] = 8383,
  [8698] = 8468,
  [8699] = 8426,
  [8700] = 8407,
  [8701] = 8701,
  [8702] = 2226,
  [8703] = 8703,
  [8704] = 8704,
  [8705] = 8705,
  [8706] = 8706,
  [8707] = 2277,
  [8708] = 8708,
  [8709] = 8709,
  [8710] = 8710,
  [8711] = 8711,
  [8712] = 2278,
  [8713] = 2259,
  [8714] = 8714,
  [8715] = 2279,
  [8716] = 8716,
  [8717] = 2280,
  [8718] = 2260,
  [8719] = 8719,
  [8720] = 3598,
  [8721] = 8710,
  [8722] = 8722,
  [8723] = 8723,
  [8724] = 8724,
  [8725] = 8725,
  [8726] = 8726,
  [8727] = 2261,
  [8728] = 2262,
  [8729] = 8729,
  [8730] = 2222,
  [8731] = 2281,
  [8732] = 2227,
  [8733] = 8733,
  [8734] = 2263,
  [8735] = 8735,
  [8736] = 8736,
  [8737] = 8737,
  [8738] = 8738,
  [8739] = 2228,
  [8740] = 2230,
  [8741] = 2264,
  [8742] = 8742,
  [8743] = 8743,
  [8744] = 2265,
  [8745] = 8745,
  [8746] = 8746,
  [8747] = 8747,
  [8748] = 8726,
  [8749] = 8749,
  [8750] = 2282,
  [8751] = 8751,
  [8752] = 8752,
  [8753] = 8753,
  [8754] = 8754,
  [8755] = 8755,
  [8756] = 8756,
  [8757] = 2231,
  [8758] = 8758,
  [8759] = 2249,
  [8760] = 8760,
  [8761] = 2283,
  [8762] = 8762,
  [8763] = 2284,
  [8764] = 8747,
  [8765] = 8765,
  [8766] = 8766,
  [8767] = 8710,
  [8768] = 2232,
  [8769] = 8769,
  [8770] = 2233,
  [8771] = 2234,
  [8772] = 2250,
  [8773] = 8773,
  [8774] = 2267,
  [8775] = 8775,
  [8776] = 2235,
  [8777] = 2251,
  [8778] = 8714,
  [8779] = 8743,
  [8780] = 2236,
  [8781] = 8714,
  [8782] = 2285,
  [8783] = 8783,
  [8784] = 2286,
  [8785] = 8711,
  [8786] = 8786,
  [8787] = 8723,
  [8788] = 8788,
  [8789] = 8789,
  [8790] = 8714,
  [8791] = 2287,
  [8792] = 8792,
  [8793] = 2288,
  [8794] = 8794,
  [8795] = 8795,
  [8796] = 8737,
  [8797] = 2289,
  [8798] = 8798,
  [8799] = 8704,
  [8800] = 8738,
  [8801] = 8801,
  [8802] = 8802,
  [8803] = 8803,
  [8804] = 8804,
  [8805] = 2290,
  [8806] = 2291,
  [8807] = 8807,
  [8808] = 8808,
  [8809] = 8809,
  [8810] = 8751,
  [8811] = 8811,
  [8812] = 8743,
  [8813] = 2884,
  [8814] = 2237,
  [8815] = 8792,
  [8816] = 2893,
  [8817] = 8725,
  [8818] = 2292,
  [8819] = 8819,
  [8820] = 8820,
  [8821] = 2257,
  [8822] = 8726,
  [8823] = 8823,
  [8824] = 8824,
  [8825] = 2886,
  [8826] = 2293,
  [8827] = 2294,
  [8828] = 2295,
  [8829] = 8723,
  [8830] = 2296,
  [8831] = 8831,
  [8832] = 2238,
  [8833] = 2297,
  [8834] = 8834,
  [8835] = 8835,
  [8836] = 8786,
  [8837] = 2298,
  [8838] = 3606,
  [8839] = 8701,
  [8840] = 8807,
  [8841] = 8841,
  [8842] = 8842,
  [8843] = 8843,
  [8844] = 2268,
  [8845] = 8845,
  [8846] = 2299,
  [8847] = 2300,
  [8848] = 2301,
  [8849] = 8783,
  [8850] = 8786,
  [8851] = 8758,
  [8852] = 8811,
  [8853] = 8704,
  [8854] = 8854,
  [8855] = 2302,
  [8856] = 8743,
  [8857] = 2239,
  [8858] = 8737,
  [8859] = 2895,
  [8860] = 8820,
  [8861] = 8704,
  [8862] = 2256,
  [8863] = 8738,
  [8864] = 8804,
  [8865] = 8865,
  [8866] = 8823,
  [8867] = 8792,
  [8868] = 8804,
  [8869] = 8869,
  [8870] = 8870,
  [8871] = 8871,
  [8872] = 8835,
  [8873] = 8865,
  [8874] = 8874,
  [8875] = 2254,
  [8876] = 2240,
  [8877] = 8747,
  [8878] = 8878,
  [8879] = 8879,
  [8880] = 2241,
  [8881] = 2242,
  [8882] = 8738,
  [8883] = 2243,
  [8884] = 8758,
  [8885] = 8792,
  [8886] = 2244,
  [8887] = 8887,
  [8888] = 8888,
  [8889] = 8889,
  [8890] = 8708,
  [8891] = 8891,
  [8892] = 2269,
  [8893] = 2255,
  [8894] = 8737,
  [8895] = 8835,
  [8896] = 8708,
  [8897] = 2246,
  [8898] = 8898,
  [8899] = 8737,
  [8900] = 8900,
  [8901] = 2258,
  [8902] = 8783,
  [8903] = 2271,
  [8904] = 8807,
  [8905] = 2247,
  [8906] = 8906,
  [8907] = 8907,
  [8908] = 2272,
  [8909] = 8823,
  [8910] = 8725,
  [8911] = 8786,
  [8912] = 2273,
  [8913] = 8913,
  [8914] = 2248,
  [8915] = 8733,
  [8916] = 8792,
  [8917] = 8709,
  [8918] = 8918,
  [8919] = 8804,
  [8920] = 8714,
  [8921] = 8918,
  [8922] = 8737,
  [8923] = 8786,
  [8924] = 8891,
  [8925] = 8747,
  [8926] = 8733,
  [8927] = 8865,
  [8928] = 8918,
  [8929] = 8871,
  [8930] = 8854,
  [8931] = 8820,
  [8932] = 8932,
  [8933] = 8704,
  [8934] = 8934,
  [8935] = 8935,
  [8936] = 8891,
  [8937] = 8701,
  [8938] = 8938,
  [8939] = 8865,
  [8940] = 8871,
  [8941] = 8941,
  [8942] = 8942,
  [8943] = 8743,
  [8944] = 8786,
  [8945] = 2274,
  [8946] = 8747,
  [8947] = 8783,
  [8948] = 2275,
  [8949] = 8708,
  [8950] = 8792,
  [8951] = 8951,
  [8952] = 8710,
  [8953] = 8792,
  [8954] = 8725,
  [8955] = 8751,
  [8956] = 8714,
  [8957] = 8957,
  [8958] = 8958,
  [8959] = 8871,
  [8960] = 8835,
  [8961] = 8820,
  [8962] = 8811,
  [8963] = 8737,
  [8964] = 8964,
  [8965] = 2276,
  [8966] = 8747,
  [8967] = 8967,
  [8968] = 8968,
  [8969] = 8733,
  [8970] = 8854,
  [8971] = 8971,
  [8972] = 2245,
  [8973] = 8973,
  [8974] = 8974,
  [8975] = 8708,
  [8976] = 8918,
  [8977] = 8708,
  [8978] = 8978,
  [8979] = 8704,
  [8980] = 8980,
  [8981] = 8723,
  [8982] = 8804,
  [8983] = 8983,
  [8984] = 8709,
  [8985] = 8737,
  [8986] = 8986,
  [8987] = 8987,
  [8988] = 8804,
  [8989] = 8989,
  [8990] = 8823,
  [8991] = 8792,
  [8992] = 8992,
  [8993] = 8993,
  [8994] = 8994,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8997,
  [8998] = 8998,
  [8999] = 8999,
  [9000] = 9000,
  [9001] = 9001,
  [9002] = 9002,
  [9003] = 9003,
  [9004] = 9004,
  [9005] = 8992,
  [9006] = 9006,
  [9007] = 9007,
  [9008] = 9008,
  [9009] = 9009,
  [9010] = 9010,
  [9011] = 9011,
  [9012] = 9012,
  [9013] = 9013,
  [9014] = 9014,
  [9015] = 9015,
  [9016] = 9016,
  [9017] = 9017,
  [9018] = 9018,
  [9019] = 9015,
  [9020] = 9003,
  [9021] = 9021,
  [9022] = 9017,
  [9023] = 9023,
  [9024] = 9024,
  [9025] = 9025,
  [9026] = 8992,
  [9027] = 8992,
  [9028] = 9003,
  [9029] = 9029,
  [9030] = 9030,
  [9031] = 9003,
  [9032] = 9014,
  [9033] = 8992,
  [9034] = 9034,
  [9035] = 8994,
  [9036] = 9036,
  [9037] = 9037,
  [9038] = 9038,
  [9039] = 9039,
  [9040] = 9040,
  [9041] = 8992,
  [9042] = 8994,
  [9043] = 9043,
  [9044] = 9003,
  [9045] = 8999,
  [9046] = 9003,
  [9047] = 9011,
  [9048] = 9048,
  [9049] = 9008,
  [9050] = 9050,
  [9051] = 9051,
  [9052] = 9052,
  [9053] = 9053,
  [9054] = 9054,
  [9055] = 9055,
  [9056] = 9056,
  [9057] = 9057,
  [9058] = 9058,
  [9059] = 8996,
  [9060] = 9015,
  [9061] = 9061,
  [9062] = 8993,
  [9063] = 8996,
  [9064] = 9064,
  [9065] = 9048,
  [9066] = 9018,
  [9067] = 9006,
  [9068] = 9008,
  [9069] = 9012,
  [9070] = 9015,
  [9071] = 9009,
  [9072] = 9072,
  [9073] = 8993,
  [9074] = 9074,
  [9075] = 9075,
  [9076] = 9076,
  [9077] = 9077,
  [9078] = 8992,
  [9079] = 9079,
  [9080] = 9003,
  [9081] = 9081,
  [9082] = 9082,
  [9083] = 9083,
  [9084] = 9018,
  [9085] = 9085,
  [9086] = 8994,
  [9087] = 9087,
  [9088] = 9043,
  [9089] = 9009,
  [9090] = 9090,
  [9091] = 9091,
  [9092] = 9092,
  [9093] = 8996,
  [9094] = 9052,
  [9095] = 9095,
  [9096] = 9096,
  [9097] = 9081,
  [9098] = 9098,
  [9099] = 8996,
  [9100] = 9100,
  [9101] = 9083,
  [9102] = 9102,
  [9103] = 9103,
  [9104] = 9104,
  [9105] = 9087,
  [9106] = 9076,
  [9107] = 9012,
  [9108] = 9108,
  [9109] = 9012,
  [9110] = 9015,
  [9111] = 9111,
  [9112] = 9102,
  [9113] = 8992,
  [9114] = 9114,
  [9115] = 9076,
  [9116] = 9015,
  [9117] = 9117,
  [9118] = 8992,
  [9119] = 9119,
  [9120] = 9003,
  [9121] = 8996,
  [9122] = 9119,
  [9123] = 9123,
  [9124] = 9124,
  [9125] = 9125,
  [9126] = 8994,
  [9127] = 8994,
  [9128] = 9128,
  [9129] = 9003,
  [9130] = 9130,
  [9131] = 9125,
  [9132] = 9087,
  [9133] = 9133,
  [9134] = 8994,
  [9135] = 9056,
  [9136] = 9133,
  [9137] = 8996,
  [9138] = 9009,
  [9139] = 8996,
  [9140] = 9140,
  [9141] = 9141,
  [9142] = 8992,
  [9143] = 9143,
  [9144] = 8993,
  [9145] = 9012,
  [9146] = 9015,
  [9147] = 9147,
  [9148] = 9140,
  [9149] = 9149,
  [9150] = 9095,
  [9151] = 9012,
  [9152] = 8992,
  [9153] = 9153,
  [9154] = 9003,
  [9155] = 9015,
  [9156] = 9156,
  [9157] = 9157,
  [9158] = 8994,
  [9159] = 9087,
  [9160] = 9082,
  [9161] = 9095,
  [9162] = 9075,
  [9163] = 9087,
  [9164] = 9164,
  [9165] = 8996,
  [9166] = 9003,
  [9167] = 9048,
  [9168] = 9168,
  [9169] = 9056,
  [9170] = 9157,
  [9171] = 9171,
  [9172] = 9172,
  [9173] = 9012,
  [9174] = 9015,
  [9175] = 9079,
  [9176] = 9012,
  [9177] = 9177,
  [9178] = 9178,
  [9179] = 9010,
  [9180] = 8992,
  [9181] = 9181,
  [9182] = 9003,
  [9183] = 9177,
  [9184] = 9015,
  [9185] = 8994,
  [9186] = 9076,
  [9187] = 9187,
  [9188] = 9188,
  [9189] = 9189,
  [9190] = 9190,
  [9191] = 9012,
  [9192] = 9192,
  [9193] = 9012,
  [9194] = 9194,
  [9195] = 9195,
  [9196] = 9196,
  [9197] = 8992,
  [9198] = 9198,
  [9199] = 9199,
  [9200] = 9200,
  [9201] = 9201,
  [9202] = 9192,
  [9203] = 9013,
  [9204] = 9204,
  [9205] = 9205,
  [9206] = 9189,
  [9207] = 9207,
  [9208] = 9208,
  [9209] = 9209,
  [9210] = 9014,
  [9211] = 9003,
  [9212] = 9015,
  [9213] = 9213,
  [9214] = 9214,
  [9215] = 9215,
  [9216] = 9216,
  [9217] = 8992,
  [9218] = 9218,
  [9219] = 9003,
  [9220] = 9220,
  [9221] = 8994,
  [9222] = 9222,
  [9223] = 9213,
  [9224] = 9207,
  [9225] = 9225,
  [9226] = 9226,
  [9227] = 9227,
  [9228] = 9228,
  [9229] = 8994,
  [9230] = 9037,
  [9231] = 9205,
  [9232] = 9232,
  [9233] = 9100,
  [9234] = 9234,
  [9235] = 9235,
  [9236] = 9114,
  [9237] = 9237,
  [9238] = 9238,
  [9239] = 9239,
  [9240] = 9240,
  [9241] = 9241,
  [9242] = 8994,
  [9243] = 9243,
  [9244] = 8996,
  [9245] = 9245,
  [9246] = 9246,
  [9247] = 9247,
  [9248] = 9248,
  [9249] = 9249,
  [9250] = 9250,
  [9251] = 9092,
  [9252] = 9048,
  [9253] = 9253,
  [9254] = 9201,
  [9255] = 8996,
  [9256] = 9190,
  [9257] = 9257,
  [9258] = 9258,
  [9259] = 9076,
  [9260] = 9048,
  [9261] = 9114,
  [9262] = 9262,
  [9263] = 9239,
  [9264] = 9043,
  [9265] = 9012,
  [9266] = 8994,
  [9267] = 9267,
  [9268] = 9268,
  [9269] = 8996,
  [9270] = 9250,
  [9271] = 9087,
  [9272] = 9114,
  [9273] = 9273,
  [9274] = 9274,
  [9275] = 8998,
  [9276] = 9276,
  [9277] = 9277,
  [9278] = 8997,
  [9279] = 8996,
  [9280] = 9024,
  [9281] = 9194,
  [9282] = 9039,
  [9283] = 9283,
  [9284] = 8994,
  [9285] = 9285,
  [9286] = 9076,
  [9287] = 9287,
  [9288] = 9288,
  [9289] = 9015,
  [9290] = 9021,
  [9291] = 8999,
  [9292] = 9079,
  [9293] = 9293,
  [9294] = 9190,
  [9295] = 9050,
  [9296] = 9296,
  [9297] = 9178,
  [9298] = 9011,
  [9299] = 9299,
  [9300] = 8996,
  [9301] = 9301,
  [9302] = 8992,
  [9303] = 8996,
  [9304] = 9214,
  [9305] = 9305,
  [9306] = 9215,
  [9307] = 9149,
  [9308] = 9082,
  [9309] = 9216,
  [9310] = 9012,
  [9311] = 9034,
  [9312] = 9312,
  [9313] = 9072,
  [9314] = 9314,
  [9315] = 9096,
  [9316] = 9225,
  [9317] = 9227,
  [9318] = 9015,
  [9319] = 9301,
  [9320] = 9250,
  [9321] = 9321,
  [9322] = 9322,
  [9323] = 9323,
  [9324] = 8992,
  [9325] = 9003,
  [9326] = 9235,
  [9327] = 9327,
  [9328] = 9012,
  [9329] = 9329,
  [9330] = 8994,
  [9331] = 9249,
  [9332] = 9332,
  [9333] = 9104,
  [9334] = 9334,
  [9335] = 9052,
  [9336] = 9336,
  [9337] = 9312,
  [9338] = 9338,
  [9339] = 9339,
  [9340] = 9340,
  [9341] = 9341,
  [9342] = 9342,
  [9343] = 9021,
  [9344] = 8996,
  [9345] = 9081,
  [9346] = 9346,
  [9347] = 9003,
  [9348] = 9012,
  [9349] = 9349,
  [9350] = 9350,
  [9351] = 9226,
  [9352] = 9220,
  [9353] = 9353,
  [9354] = 9354,
  [9355] = 9321,
  [9356] = 8994,
  [9357] = 9015,
  [9358] = 9205,
  [9359] = 9240,
  [9360] = 8996,
  [9361] = 9361,
  [9362] = 9258,
  [9363] = 9363,
  [9364] = 9364,
  [9365] = 8992,
  [9366] = 9003,
  [9367] = 9367,
  [9368] = 9083,
  [9369] = 9239,
  [9370] = 9029,
  [9371] = 9371,
  [9372] = 8994,
  [9373] = 9373,
  [9374] = 9374,
  [9375] = 9273,
  [9376] = 9376,
  [9377] = 9377,
  [9378] = 9378,
  [9379] = 9379,
  [9380] = 9075,
  [9381] = 9381,
  [9382] = 9382,
  [9383] = 8994,
  [9384] = 9346,
  [9385] = 9385,
  [9386] = 9386,
  [9387] = 9387,
  [9388] = 9388,
  [9389] = 8996,
  [9390] = 9157,
  [9391] = 9274,
  [9392] = 8996,
  [9393] = 9048,
  [9394] = 9012,
  [9395] = 9314,
  [9396] = 9023,
  [9397] = 9397,
  [9398] = 9398,
  [9399] = 9322,
  [9400] = 9400,
  [9401] = 9401,
  [9402] = 9043,
  [9403] = 9015,
  [9404] = 9323,
  [9405] = 9405,
  [9406] = 9406,
  [9407] = 9407,
  [9408] = 9408,
  [9409] = 9012,
  [9410] = 9258,
  [9411] = 9296,
  [9412] = 9098,
  [9413] = 9214,
  [9414] = 8992,
  [9415] = 9003,
  [9416] = 9009,
  [9417] = 9117,
  [9418] = 9061,
  [9419] = 9124,
  [9420] = 9015,
  [9421] = 8996,
  [9422] = 8994,
  [9423] = 9327,
  [9424] = 9285,
  [9425] = 9208,
  [9426] = 9015,
  [9427] = 9102,
  [9428] = 9012,
  [9429] = 9056,
  [9430] = 9346,
  [9431] = 9338,
  [9432] = 8996,
  [9433] = 8993,
  [9434] = 9215,
  [9435] = 8992,
  [9436] = 9192,
  [9437] = 9012,
  [9438] = 9003,
  [9439] = 9013,
  [9440] = 9440,
  [9441] = 9339,
  [9442] = 9341,
  [9443] = 9201,
  [9444] = 9013,
  [9445] = 9014,
  [9446] = 9446,
  [9447] = 9085,
  [9448] = 9111,
  [9449] = 9082,
  [9450] = 9450,
  [9451] = 9451,
  [9452] = 9030,
  [9453] = 9453,
  [9454] = 8994,
  [9455] = 9015,
  [9456] = 9015,
  [9457] = 9457,
  [9458] = 9458,
  [9459] = 3661,
  [9460] = 9460,
  [9461] = 9216,
  [9462] = 9462,
  [9463] = 8993,
  [9464] = 9464,
  [9465] = 9465,
  [9466] = 9012,
  [9467] = 9467,
  [9468] = 8992,
  [9469] = 9003,
  [9470] = 9079,
  [9471] = 9075,
  [9472] = 9472,
  [9473] = 9473,
  [9474] = 9012,
  [9475] = 9015,
  [9476] = 9250,
  [9477] = 8994,
  [9478] = 9464,
  [9479] = 9479,
  [9480] = 9480,
  [9481] = 9012,
  [9482] = 9157,
  [9483] = 9076,
  [9484] = 8992,
  [9485] = 9485,
  [9486] = 9336,
  [9487] = 8992,
  [9488] = 8992,
  [9489] = 9489,
  [9490] = 9082,
  [9491] = 9003,
  [9492] = 9076,
  [9493] = 9493,
  [9494] = 9003,
  [9495] = 9225,
  [9496] = 9353,
  [9497] = 9497,
  [9498] = 8996,
  [9499] = 9200,
  [9500] = 9227,
  [9501] = 9257,
  [9502] = 9262,
  [9503] = 9018,
  [9504] = 8994,
  [9505] = 9505,
  [9506] = 9012,
  [9507] = 9025,
  [9508] = 9381,
  [9509] = 9509,
  [9510] = 9363,
  [9511] = 9168,
  [9512] = 8996,
  [9513] = 9513,
  [9514] = 9015,
  [9515] = 9114,
  [9516] = 9012,
  [9517] = 8992,
  [9518] = 9003,
  [9519] = 9364,
  [9520] = 8996,
  [9521] = 9521,
  [9522] = 8994,
  [9523] = 9235,
  [9524] = 9015,
  [9525] = 8994,
  [9526] = 9119,
  [9527] = 9213,
  [9528] = 9464,
  [9529] = 9043,
  [9530] = 9530,
  [9531] = 9249,
  [9532] = 8994,
  [9533] = 9533,
  [9534] = 9521,
  [9535] = 9457,
  [9536] = 8992,
  [9537] = 9332,
  [9538] = 9397,
  [9539] = 9462,
  [9540] = 8996,
  [9541] = 9125,
  [9542] = 8992,
  [9543] = 8992,
  [9544] = 9544,
  [9545] = 9453,
  [9546] = 9051,
  [9547] = 9198,
  [9548] = 9296,
  [9549] = 9398,
  [9550] = 9489,
  [9551] = 9015,
  [9552] = 9003,
  [9553] = 9553,
  [9554] = 9012,
  [9555] = 8992,
  [9556] = 9198,
  [9557] = 9003,
  [9558] = 9003,
  [9559] = 9228,
  [9560] = 8994,
  [9561] = 9055,
  [9562] = 8994,
  [9563] = 9000,
  [9564] = 9332,
  [9565] = 8994,
  [9566] = 9018,
  [9567] = 9250,
  [9568] = 9072,
  [9569] = 8996,
  [9570] = 9012,
  [9571] = 9571,
  [9572] = 9572,
  [9573] = 9012,
  [9574] = 9104,
  [9575] = 9228,
  [9576] = 9015,
  [9577] = 9577,
  [9578] = 9003,
  [9579] = 8992,
  [9580] = 9003,
  [9581] = 9581,
  [9582] = 9582,
  [9583] = 8994,
  [9584] = 9584,
  [9585] = 9364,
  [9586] = 9015,
  [9587] = 9509,
  [9588] = 9114,
  [9589] = 9589,
  [9590] = 9149,
  [9591] = 9591,
  [9592] = 8996,
  [9593] = 9593,
  [9594] = 9594,
  [9595] = 9253,
  [9596] = 9596,
  [9597] = 9367,
  [9598] = 9012,
  [9599] = 9222,
  [9600] = 9015,
  [9601] = 9029,
  [9602] = 8992,
  [9603] = 9336,
  [9604] = 9003,
  [9605] = 8994,
  [9606] = 9194,
  [9607] = 9253,
  [9608] = 9133,
  [9609] = 9465,
  [9610] = 9198,
  [9611] = 8996,
  [9612] = 9140,
  [9613] = 9072,
  [9614] = 9614,
  [9615] = 9012,
  [9616] = 9234,
  [9617] = 9267,
  [9618] = 9015,
  [9619] = 8996,
  [9620] = 9296,
  [9621] = 9012,
  [9622] = 9015,
  [9623] = 8992,
  [9624] = 8992,
  [9625] = 9003,
  [9626] = 8994,
  [9627] = 9003,
  [9628] = 8994,
  [9629] = 9012,
  [9630] = 9238,
  [9631] = 9312,
  [9632] = 9002,
  [9633] = 9633,
  [9634] = 8996,
  [9635] = 9371,
  [9636] = 8996,
  [9637] = 9200,
  [9638] = 9273,
  [9639] = 9388,
  [9640] = 9640,
  [9641] = 9240,
  [9642] = 9015,
  [9643] = 9012,
  [9644] = 9274,
  [9645] = 9023,
  [9646] = 9095,
  [9647] = 9015,
  [9648] = 3692,
  [9649] = 9061,
  [9650] = 8992,
  [9651] = 9003,
  [9652] = 9373,
  [9653] = 8994,
  [9654] = 9397,
  [9655] = 9267,
  [9656] = 9004,
  [9657] = 9168,
  [9658] = 9446,
  [9659] = 9085,
  [9660] = 9111,
  [9661] = 9450,
  [9662] = 9451,
  [9663] = 9030,
  [9664] = 9453,
  [9665] = 8996,
  [9666] = 9666,
  [9667] = 9220,
  [9668] = 9462,
  [9669] = 9200,
  [9670] = 9222,
  [9671] = 9332,
  [9672] = 9012,
  [9673] = 9104,
  [9674] = 9015,
  [9675] = 9336,
  [9676] = 8994,
  [9677] = 9312,
  [9678] = 8992,
  [9679] = 9314,
  [9680] = 9003,
  [9681] = 9234,
  [9682] = 9056,
  [9683] = 9100,
  [9684] = 8994,
  [9685] = 9168,
  [9686] = 9371,
  [9687] = 9489,
  [9688] = 8996,
  [9689] = 9268,
  [9690] = 9015,
  [9691] = 8996,
  [9692] = 9381,
  [9693] = 9509,
  [9694] = 9398,
  [9695] = 9489,
  [9696] = 9012,
  [9697] = 9114,
  [9698] = 9400,
  [9699] = 9015,
  [9700] = 9401,
  [9701] = 8992,
  [9702] = 9003,
  [9703] = 8994,
  [9704] = 9584,
  [9705] = 9406,
  [9706] = 9016,
  [9707] = 9087,
  [9708] = 9296,
  [9709] = 9407,
  [9710] = 9521,
  [9711] = 9245,
  [9712] = 8996,
  [9713] = 8996,
  [9714] = 9408,
  [9715] = 9544,
  [9716] = 9248,
  [9717] = 9596,
  [9718] = 9012,
  [9719] = 8996,
  [9720] = 9446,
  [9721] = 9721,
  [9722] = 9373,
  [9723] = 9013,
  [9724] = 9015,
  [9725] = 9117,
  [9726] = 8992,
  [9727] = 9003,
  [9728] = 9190,
  [9729] = 9446,
  [9730] = 9085,
  [9731] = 9111,
  [9732] = 9450,
  [9733] = 9451,
  [9734] = 9030,
  [9735] = 9453,
  [9736] = 8994,
  [9737] = 9737,
  [9738] = 9738,
  [9739] = 9462,
  [9740] = 9124,
  [9741] = 9258,
  [9742] = 8996,
  [9743] = 9374,
  [9744] = 9299,
  [9745] = 9745,
  [9746] = 9346,
  [9747] = 9467,
  [9748] = 9285,
  [9749] = 9489,
  [9750] = 9012,
  [9751] = 9322,
  [9752] = 9752,
  [9753] = 9367,
  [9754] = 9381,
  [9755] = 9509,
  [9756] = 9015,
  [9757] = 9457,
  [9758] = 8992,
  [9759] = 9015,
  [9760] = 9003,
  [9761] = 8994,
  [9762] = 9009,
  [9763] = 9465,
  [9764] = 9521,
  [9765] = 9268,
  [9766] = 9544,
  [9767] = 9277,
  [9768] = 9467,
  [9769] = 9472,
  [9770] = 8996,
  [9771] = 9037,
  [9772] = 9473,
  [9773] = 9497,
  [9774] = 9012,
  [9775] = 9015,
  [9776] = 9257,
  [9777] = 8992,
  [9778] = 9450,
  [9779] = 9451,
  [9780] = 9030,
  [9781] = 9453,
  [9782] = 9003,
  [9783] = 9323,
  [9784] = 9462,
  [9785] = 8994,
  [9786] = 9038,
  [9787] = 9787,
  [9788] = 9505,
  [9789] = 9025,
  [9790] = 9051,
  [9791] = 8996,
  [9792] = 9190,
  [9793] = 9400,
  [9794] = 9055,
  [9795] = 9247,
  [9796] = 9381,
  [9797] = 9012,
  [9798] = 9296,
  [9799] = 9012,
  [9800] = 9015,
  [9801] = 9091,
  [9802] = 8992,
  [9803] = 9003,
  [9804] = 8994,
  [9805] = 9013,
  [9806] = 9030,
  [9807] = 9453,
  [9808] = 9327,
  [9809] = 9462,
  [9810] = 9014,
  [9811] = 9072,
  [9812] = 8992,
  [9813] = 8996,
  [9814] = 9087,
  [9815] = 9015,
  [9816] = 9277,
  [9817] = 9092,
  [9818] = 9003,
  [9819] = 9012,
  [9820] = 9381,
  [9821] = 9015,
  [9822] = 9149,
  [9823] = 9012,
  [9824] = 8992,
  [9825] = 9003,
  [9826] = 8994,
  [9827] = 9243,
  [9828] = 9000,
  [9829] = 9017,
  [9830] = 9596,
  [9831] = 9831,
  [9832] = 8996,
  [9833] = 9385,
  [9834] = 9544,
  [9835] = 8996,
  [9836] = 9048,
  [9837] = 9012,
  [9838] = 9200,
  [9839] = 9015,
  [9840] = 9381,
  [9841] = 9250,
  [9842] = 9002,
  [9843] = 8992,
  [9844] = 9003,
  [9845] = 8994,
  [9846] = 9189,
  [9847] = 9168,
  [9848] = 8992,
  [9849] = 9012,
  [9850] = 9338,
  [9851] = 8996,
  [9852] = 9082,
  [9853] = 9056,
  [9854] = 9003,
  [9855] = 9012,
  [9856] = 9207,
  [9857] = 9450,
  [9858] = 9012,
  [9859] = 9381,
  [9860] = 9339,
  [9861] = 9015,
  [9862] = 9472,
  [9863] = 8992,
  [9864] = 9003,
  [9865] = 8994,
  [9866] = 9220,
  [9867] = 9243,
  [9868] = 9245,
  [9869] = 9177,
  [9870] = 9222,
  [9871] = 8992,
  [9872] = 9341,
  [9873] = 9015,
  [9874] = 8996,
  [9875] = 9043,
  [9876] = 9876,
  [9877] = 9012,
  [9878] = 8997,
  [9879] = 9015,
  [9880] = 9401,
  [9881] = 9091,
  [9882] = 9353,
  [9883] = 8992,
  [9884] = 9003,
  [9885] = 9363,
  [9886] = 9014,
  [9887] = 8994,
  [9888] = 8994,
  [9889] = 9003,
  [9890] = 9406,
  [9891] = 9451,
  [9892] = 8996,
  [9893] = 9003,
  [9894] = 9015,
  [9895] = 9895,
  [9896] = 9247,
  [9897] = 8994,
  [9898] = 8998,
  [9899] = 9053,
  [9900] = 8996,
  [9901] = 9241,
  [9902] = 9902,
  [9903] = 9012,
  [9904] = 9904,
  [9905] = 9015,
  [9906] = 9192,
  [9907] = 9012,
  [9908] = 9248,
  [9909] = 8992,
  [9910] = 9015,
  [9911] = 9530,
  [9912] = 9201,
  [9913] = 9003,
  [9914] = 8994,
  [9915] = 9915,
  [9916] = 8992,
  [9917] = 9004,
  [9918] = 9388,
  [9919] = 9003,
  [9920] = 9048,
  [9921] = 8994,
  [9922] = 9922,
  [9923] = 9407,
  [9924] = 9050,
  [9925] = 9016,
  [9926] = 9100,
  [9927] = 9226,
  [9928] = 9015,
  [9929] = 9460,
  [9930] = 9053,
  [9931] = 9241,
  [9932] = 9473,
  [9933] = 9497,
  [9934] = 8996,
  [9935] = 9374,
  [9936] = 9530,
  [9937] = 9178,
  [9938] = 9238,
  [9939] = 9034,
  [9940] = 9301,
  [9941] = 9408,
  [9942] = 9053,
  [9943] = 9241,
  [9944] = 9321,
  [9945] = 9024,
  [9946] = 9530,
  [9947] = 9038,
  [9948] = 9332,
  [9949] = 9104,
  [9950] = 9241,
  [9951] = 9385,
  [9952] = 9241,
  [9953] = 9098,
  [9954] = 9241,
  [9955] = 9241,
  [9956] = 9208,
  [9957] = 9876,
  [9958] = 9195,
  [9959] = 9464,
  [9960] = 9336,
  [9961] = 9074,
  [9962] = 9640,
  [9963] = 9963,
  [9964] = 9039,
  [9965] = 9312,
  [9966] = 9114,
  [9967] = 9876,
  [9968] = 9195,
  [9969] = 9074,
  [9970] = 9640,
  [9971] = 9876,
  [9972] = 9195,
  [9973] = 9074,
  [9974] = 9640,
  [9975] = 9195,
  [9976] = 9195,
  [9977] = 9489,
  [9978] = 9505,
  [9979] = 9096,
  [9980] = 9012,
  [9981] = 9981,
  [9982] = 9982,
  [9983] = 9983,
  [9984] = 9984,
  [9985] = 9985,
  [9986] = 9986,
  [9987] = 9987,
  [9988] = 9988,
  [9989] = 9989,
  [9990] = 9990,
  [9991] = 9991,
  [9992] = 9992,
  [9993] = 9993,
  [9994] = 9994,
  [9995] = 9995,
  [9996] = 9996,
};

static TSCharacterRange sym__identifier_token_character_set_2[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37a, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe33},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb3},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x1884}, {0x1887, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2e2f, 0x2e2f},
  {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff},
  {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf}, {0x4e00, 0x4e00}, {0x9fff, 0xa48c},
  {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a},
  {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946},
  {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42},
  {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0},
  {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb},
  {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3},
  {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static TSCharacterRange sym__identifier_token_character_set_3[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xad, 0xad}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37a, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x600, 0x605}, {0x610, 0x61a}, {0x61c, 0x61c},
  {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dd}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x70f, 0x74a}, {0x74d, 0x7b1},
  {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e},
  {0x890, 0x891}, {0x898, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3},
  {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30},
  {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51},
  {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0},
  {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef},
  {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71},
  {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4},
  {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef},
  {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56},
  {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8},
  {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3},
  {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57},
  {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd},
  {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a},
  {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd},
  {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29},
  {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc},
  {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19d9}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200b, 0x200f}, {0x202a, 0x202e}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2060, 0x2064}, {0x2066, 0x206f}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1},
  {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x212d}, {0x212f, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4},
  {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff},
  {0x2e2f, 0x2e2f}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x3400}, {0x4dbf, 0x4dbf},
  {0x4e00, 0x4e00}, {0x9fff, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xac00}, {0xd7a3, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdfb},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe70, 0xfe74}, {0xfe76, 0xfefc}, {0xfeff, 0xfeff}, {0xff10, 0xff19},
  {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc},
  {0xfff9, 0xfffb}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(106);
      ADVANCE_MAP(
        '!', 131,
        '"', 187,
        '#', 9,
        '%', 146,
        '&', 154,
        '\'', 227,
        '(', 115,
        ')', 116,
        '*', 142,
        '+', 136,
        ',', 113,
        '-', 138,
        '.', 167,
        '/', 144,
        '0', 232,
        ':', 112,
        ';', 107,
        '<', 120,
        '=', 108,
        '>', 125,
        '?', 128,
        '@', 12,
        '[', 110,
        '\\', 29,
        ']', 114,
        '^', 148,
        '{', 117,
        '|', 150,
        '}', 118,
        '~', 132,
        'U', 291,
        'u', 291,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(233);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\n', 294,
        '!', 24,
        '"', 187,
        '#', 42,
        '&', 18,
        ',', 113,
        '/', 19,
        '0', 236,
        '=', 25,
        '@', 101,
        '|', 87,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(237);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(11);
      if (lookahead == '"') ADVANCE(187);
      if (lookahead == '#') ADVANCE(252);
      if (lookahead == '/') ADVANCE(245);
      if (lookahead == '\\') ADVANCE(29);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(244);
      if (lookahead != 0) ADVANCE(280);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(295);
      if (lookahead == '#') ADVANCE(312);
      if (lookahead == '/') ADVANCE(305);
      if (lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(301);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 131,
        '"', 187,
        '#', 41,
        '%', 146,
        '&', 154,
        '(', 115,
        ')', 116,
        '*', 142,
        '+', 136,
        ',', 113,
        '-', 138,
        '.', 166,
        '/', 144,
        '0', 236,
        ':', 112,
        ';', 107,
        '<', 120,
        '=', 108,
        '>', 125,
        '?', 128,
        '@', 101,
        '[', 110,
        ']', 114,
        '^', 148,
        '{', 117,
        '|', 150,
        '}', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(237);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 131,
        '#', 41,
        '%', 146,
        '&', 154,
        '(', 115,
        ')', 116,
        '*', 142,
        '+', 136,
        ',', 113,
        '-', 138,
        '.', 166,
        '/', 144,
        ':', 111,
        ';', 107,
        '<', 120,
        '=', 108,
        '>', 125,
        '?', 128,
        '@', 101,
        '[', 110,
        ']', 114,
        '^', 148,
        '{', 117,
        '|', 150,
        '}', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(5);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 131,
        '#', 41,
        '%', 145,
        '&', 153,
        '(', 115,
        ')', 116,
        '*', 141,
        '+', 135,
        ',', 113,
        '-', 139,
        '.', 166,
        '/', 143,
        ':', 112,
        ';', 107,
        '<', 121,
        '=', 26,
        '>', 126,
        '?', 129,
        '@', 101,
        '[', 110,
        ']', 114,
        '^', 147,
        '{', 117,
        '|', 151,
        '}', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(6);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 131,
        '#', 41,
        '%', 145,
        '&', 153,
        '(', 115,
        ')', 116,
        '*', 141,
        '+', 135,
        ',', 113,
        '-', 139,
        '.', 166,
        '/', 143,
        ':', 111,
        ';', 107,
        '<', 121,
        '=', 26,
        '>', 126,
        '?', 129,
        '@', 101,
        '[', 110,
        ']', 114,
        '^', 147,
        '|', 151,
        '}', 118,
        'U', 291,
        'u', 291,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 131,
        '#', 42,
        '%', 145,
        '&', 152,
        '*', 141,
        '+', 135,
        '-', 137,
        '/', 143,
        '<', 121,
        '=', 25,
        '>', 126,
        '@', 101,
        '^', 147,
        '|', 149,
        '~', 132,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 359,
        'd', 51,
        'e', 68,
        'i', 54,
        'l', 62,
        'n', 86,
        'p', 82,
        'r', 46,
        'u', 75,
        '\t', 40,
        ' ', 40,
      );
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 130,
        '#', 42,
        '\'', 227,
        '(', 115,
        ')', 116,
        '*', 141,
        ',', 113,
        '-', 140,
        '.', 165,
        '/', 19,
        '0', 236,
        ':', 112,
        ';', 107,
        '<', 119,
        '=', 109,
        '>', 123,
        '?', 127,
        '@', 101,
        '[', 110,
        ']', 114,
        '{', 117,
        '}', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(237);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(187);
      if (lookahead == '#') ADVANCE(42);
      if (lookahead == '/') ADVANCE(19);
      if (lookahead == '\\') ADVANCE(30);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(11);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(13);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(289);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '#') ADVANCE(230);
      if (lookahead == '/') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(30);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(228);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(228);
      END_STATE();
    case 15:
      if (lookahead == '#') ADVANCE(312);
      if (lookahead == '/') ADVANCE(305);
      if (lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(302);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 16:
      if (lookahead == '#') ADVANCE(196);
      if (lookahead == '/') ADVANCE(189);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 42,
        '(', 115,
        ')', 116,
        '*', 141,
        ',', 113,
        '-', 27,
        '.', 165,
        '/', 19,
        ':', 111,
        ';', 107,
        '<', 119,
        '=', 28,
        '>', 123,
        '?', 127,
        '@', 101,
        '[', 110,
        ']', 114,
        '{', 117,
        '}', 118,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(17);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 18:
      if (lookahead == '&') ADVANCE(183);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(364);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(20);
      if (lookahead != 0) ADVANCE(300);
      END_STATE();
    case 23:
      if (lookahead == '8') ADVANCE(288);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 27:
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 28:
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'U', 282,
        'u', 284,
        'x', 283,
        '"', 285,
        '\'', 285,
        '0', 285,
        '?', 285,
        '\\', 285,
        'a', 285,
        'b', 285,
        'e', 285,
        'f', 285,
        'n', 285,
        'r', 285,
        't', 285,
        'v', 285,
      );
      if (lookahead != 0) ADVANCE(281);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        'U', 92,
        'u', 97,
        'x', 94,
        '"', 285,
        '\'', 285,
        '0', 285,
        '?', 285,
        '\\', 285,
        'a', 285,
        'b', 285,
        'e', 285,
        'f', 285,
        'n', 285,
        'r', 285,
        't', 285,
        'v', 285,
      );
      END_STATE();
    case 31:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 32:
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(234);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(235);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 35:
      if (lookahead == '_') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 36:
      if (lookahead == 'a') ADVANCE(39);
      END_STATE();
    case 37:
      if (lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 38:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'b') ADVANCE(71);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        'd', 51,
        'e', 68,
        'i', 54,
        'l', 62,
        'n', 86,
        'p', 82,
        'r', 46,
        'u', 75,
        '\t', 40,
        ' ', 40,
      );
      END_STATE();
    case 41:
      ADVANCE_MAP(
        'd', 51,
        'e', 68,
        'l', 62,
        'n', 86,
        'p', 82,
        'r', 46,
        'u', 75,
        '\t', 41,
        ' ', 41,
      );
      END_STATE();
    case 42:
      ADVANCE_MAP(
        'd', 51,
        'e', 76,
        'l', 62,
        'n', 86,
        'p', 82,
        'r', 46,
        'u', 75,
        '\t', 42,
        ' ', 42,
      );
      END_STATE();
    case 43:
      if (lookahead == 'd') ADVANCE(65);
      END_STATE();
    case 44:
      if (lookahead == 'd') ADVANCE(85);
      END_STATE();
    case 45:
      if (lookahead == 'd') ADVANCE(52);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(357);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 52:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'f') ADVANCE(293);
      END_STATE();
    case 55:
      if (lookahead == 'f') ADVANCE(298);
      END_STATE();
    case 56:
      if (lookahead == 'f') ADVANCE(296);
      END_STATE();
    case 57:
      if (lookahead == 'f') ADVANCE(358);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(66);
      END_STATE();
    case 59:
      if (lookahead == 'g') ADVANCE(72);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(63);
      END_STATE();
    case 61:
      if (lookahead == 'g') ADVANCE(67);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(80);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(55);
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(56);
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 68:
      if (lookahead == 'l') ADVANCE(64);
      if (lookahead == 'n') ADVANCE(43);
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(36);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 72:
      if (lookahead == 'm') ADVANCE(37);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(351);
      END_STATE();
    case 74:
      if (lookahead == 'n') ADVANCE(352);
      END_STATE();
    case 75:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'r') ADVANCE(83);
      END_STATE();
    case 77:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 79:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 80:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 82:
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(356);
      END_STATE();
    case 85:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(69);
      END_STATE();
    case 87:
      if (lookahead == '|') ADVANCE(184);
      END_STATE();
    case 88:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(242);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(285);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(287);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(95);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(96);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(97);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 101:
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 102:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(349);
      END_STATE();
    case 103:
      if (eof) ADVANCE(106);
      ADVANCE_MAP(
        '!', 131,
        '"', 187,
        '#', 9,
        '%', 146,
        '&', 154,
        '\'', 227,
        '(', 115,
        ')', 116,
        '*', 142,
        '+', 136,
        ',', 113,
        '-', 138,
        '.', 167,
        '/', 144,
        '0', 232,
        ':', 112,
        ';', 107,
        '<', 120,
        '=', 108,
        '>', 125,
        '?', 128,
        '@', 12,
        '[', 110,
        '\\', 30,
        ']', 114,
        '^', 148,
        '{', 117,
        '|', 150,
        '}', 118,
        '~', 132,
        'U', 291,
        'u', 291,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(233);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 104:
      if (eof) ADVANCE(106);
      ADVANCE_MAP(
        '!', 131,
        '"', 187,
        '#', 40,
        '%', 145,
        '&', 153,
        '\'', 227,
        '(', 115,
        ')', 116,
        '*', 141,
        '+', 135,
        ',', 113,
        '-', 139,
        '.', 167,
        '/', 143,
        '0', 232,
        ':', 111,
        ';', 107,
        '<', 121,
        '=', 26,
        '>', 126,
        '?', 129,
        '@', 12,
        '[', 110,
        ']', 114,
        '^', 147,
        '{', 117,
        '|', 151,
        '}', 118,
        '~', 132,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(233);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 105:
      if (eof) ADVANCE(106);
      ADVANCE_MAP(
        '!', 130,
        '"', 187,
        '#', 9,
        '&', 152,
        '\'', 227,
        '(', 115,
        ')', 116,
        '*', 141,
        '+', 135,
        ',', 113,
        '-', 139,
        '.', 167,
        '/', 19,
        '0', 232,
        ':', 112,
        ';', 107,
        '<', 122,
        '=', 109,
        '>', 124,
        '?', 127,
        '@', 12,
        '[', 110,
        ']', 114,
        '^', 147,
        '{', 117,
        '}', 118,
        '~', 132,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(233);
      if (set_contains(sym__identifier_token_character_set_2, 432, lookahead)) ADVANCE(292);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(169);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(155);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(163);
      if (lookahead == '>') ADVANCE(157);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(163);
      if (lookahead == '>') ADVANCE(158);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(186);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(185);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(133);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == '=') ADVANCE(171);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(134);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(173);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(364);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(364);
      if (lookahead == '=') ADVANCE(174);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(175);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(177);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(178);
      if (lookahead == '|') ADVANCE(184);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(184);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(183);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(183);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(179);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(180);
      if (lookahead == '>') ADVANCE(160);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(181);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(170);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(182);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '#') ADVANCE(196);
      if (lookahead == '/') ADVANCE(189);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(224);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(21);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(21);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(195);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'b') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      ADVANCE_MAP(
        'd', 200,
        'e', 214,
        'l', 207,
        'n', 223,
        'p', 220,
        'r', 201,
        'u', 215,
        '\t', 196,
        ' ', 196,
      );
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(222);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'd') ADVANCE(202);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(204);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'e') ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'f') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'f') ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'g') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(216);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'i') ADVANCE(217);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'l') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'm') ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(221);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'n') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'o') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'o') ADVANCE(219);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(218);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'r') ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == 'u') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(225);
      if (lookahead == '"' ||
          lookahead == '}') ADVANCE(364);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_interpolation_format_clause_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(225);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_character_literal_content);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_character_literal_content);
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(364);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_character_literal_content);
      ADVANCE_MAP(
        'd', 51,
        'e', 76,
        'l', 62,
        'n', 86,
        'p', 82,
        'r', 46,
        'u', 75,
        '\t', 42,
        ' ', 42,
      );
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 89,
        '_', 31,
        'B', 32,
        'b', 32,
        'E', 88,
        'e', 88,
        'L', 239,
        'l', 239,
        'U', 238,
        'u', 238,
        'X', 33,
        'x', 33,
        'D', 240,
        'F', 240,
        'M', 240,
        'd', 240,
        'f', 240,
        'm', 240,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '.', 89,
        '_', 31,
        'E', 88,
        'e', 88,
        'L', 239,
        'l', 239,
        'U', 238,
        'u', 238,
        'D', 240,
        'F', 240,
        'M', 240,
        'd', 240,
        'f', 240,
        'm', 240,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(239);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(238);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(234);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(33);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(239);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(235);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_integer_literal);
      ADVANCE_MAP(
        '_', 35,
        'B', 32,
        'b', 32,
        'L', 239,
        'l', 239,
        'U', 238,
        'u', 238,
        'X', 33,
        'x', 33,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(239);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(231);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_real_literal);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_real_literal);
      ADVANCE_MAP(
        '_', 34,
        'E', 88,
        'e', 88,
        'D', 240,
        'F', 240,
        'M', 240,
        'd', 240,
        'f', 240,
        'm', 240,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_real_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'M' ||
          lookahead == 'd' ||
          lookahead == 'f' ||
          lookahead == 'm') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(242);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == '\r') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == '#') ADVANCE(252);
      if (lookahead == '/') ADVANCE(245);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(244);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == '*') ADVANCE(247);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == '*') ADVANCE(246);
      if (lookahead == '/') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(247);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == '*') ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'a') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'a') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'b') ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      ADVANCE_MAP(
        'd', 256,
        'e', 270,
        'l', 263,
        'n', 279,
        'p', 276,
        'r', 257,
        'u', 271,
        '\t', 252,
        ' ', 252,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'd') ADVANCE(278);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'd') ADVANCE(258);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'e') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'e') ADVANCE(260);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'e') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'e') ADVANCE(259);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'f') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'f') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'g') ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'g') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'i') ADVANCE(272);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'l') ADVANCE(266);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'l') ADVANCE(249);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'l') ADVANCE(255);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'm') ADVANCE(248);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'n') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'n') ADVANCE(253);
      if (lookahead == 'r') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'n') ADVANCE(254);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'n') ADVANCE(255);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'o') ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'o') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'r') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'r') ADVANCE(250);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'r') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'r') ADVANCE(257);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead == 'u') ADVANCE(265);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token2);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_string_literal_content_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(96);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(285);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_verbatim_string_literal);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_verbatim_string_literal);
      if (lookahead == '"') ADVANCE(13);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(23);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_raw_string_literal_token1);
      if (set_contains(sym__identifier_token_character_set_3, 491, lookahead)) ADVANCE(292);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym__identifier_token);
      if (lookahead == '8') ADVANCE(290);
      if (set_contains(sym__identifier_token_character_set_3, 491, lookahead)) ADVANCE(292);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym__identifier_token);
      if (set_contains(sym__identifier_token_character_set_3, 491, lookahead)) ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (lookahead == '\n') ADVANCE(294);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (lookahead == '\n') ADVANCE(295);
      if (lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(301);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(aux_sym_preproc_if_token3);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(21);
      if (lookahead == '*') ADVANCE(299);
      if (lookahead == '/') ADVANCE(360);
      if (lookahead == '\\') ADVANCE(304);
      if (lookahead != 0) ADVANCE(300);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(21);
      if (lookahead == '*') ADVANCE(299);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '\\') ADVANCE(304);
      if (lookahead != 0) ADVANCE(300);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(295);
      if (lookahead == '#') ADVANCE(312);
      if (lookahead == '/') ADVANCE(306);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(301);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(301);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(15);
      if (lookahead == '#') ADVANCE(312);
      if (lookahead == '/') ADVANCE(306);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) ADVANCE(302);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(302);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(350);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(307);
      if (lookahead == '*') ADVANCE(299);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '\\') ADVANCE(304);
      if (lookahead != 0) ADVANCE(300);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(300);
      if (lookahead == '/') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(300);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(299);
      if (lookahead == '/') ADVANCE(22);
      if (lookahead == '\\') ADVANCE(304);
      if (lookahead != 0) ADVANCE(300);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'a') ADVANCE(354);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'a') ADVANCE(311);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'a') ADVANCE(324);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'b') ADVANCE(333);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_preproc_arg);
      ADVANCE_MAP(
        '/', 102,
        '\\', 303,
        'd', 318,
        'e', 337,
        'l', 327,
        'n', 348,
        'p', 345,
        'r', 319,
        'u', 338,
        '\t', 312,
        ' ', 312,
      );
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'd') ADVANCE(347);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'd') ADVANCE(320);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(353);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(357);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(355);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(323);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(325);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(326);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'f') ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'f') ADVANCE(329);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(334);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(328);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(330);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'i') ADVANCE(339);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'i') ADVANCE(341);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'i') ADVANCE(340);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'i') ADVANCE(343);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'l') ADVANCE(332);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'l') ADVANCE(309);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'l') ADVANCE(317);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'm') ADVANCE(308);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'n') ADVANCE(351);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'n') ADVANCE(352);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'n') ADVANCE(313);
      if (lookahead == 'r') ADVANCE(346);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'n') ADVANCE(315);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'n') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'o') ADVANCE(335);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'o') ADVANCE(344);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'o') ADVANCE(336);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'r') ADVANCE(356);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'r') ADVANCE(310);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'r') ADVANCE(342);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'r') ADVANCE(321);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead == 'u') ADVANCE(331);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(349);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(303);
      if (lookahead != 0) ADVANCE(349);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_region_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_preproc_endregion_token1);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(aux_sym_preproc_line_token1);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_preproc_pragma_token1);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_preproc_nullable_token1);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_preproc_error_token1);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_preproc_define_token1);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(aux_sym_preproc_undef_token1);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_shebang_directive);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(359);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(364);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(362);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(362);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(363);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(362);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(364);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'C', 1,
        'F', 2,
        'S', 3,
        'T', 4,
        'U', 5,
        '_', 6,
        'a', 7,
        'b', 8,
        'c', 9,
        'd', 10,
        'e', 11,
        'f', 12,
        'g', 13,
        'h', 14,
        'i', 15,
        'j', 16,
        'l', 17,
        'm', 18,
        'n', 19,
        'o', 20,
        'p', 21,
        'r', 22,
        's', 23,
        't', 24,
        'u', 25,
        'v', 26,
        'w', 27,
        'y', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(29);
      END_STATE();
    case 1:
      if (lookahead == 'd') ADVANCE(30);
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(31);
      END_STATE();
    case 3:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 4:
      if (lookahead == 'h') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == '8') ADVANCE(34);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(sym_discard);
      if (lookahead == '_') ADVANCE(35);
      END_STATE();
    case 7:
      if (lookahead == 'b') ADVANCE(36);
      if (lookahead == 'd') ADVANCE(37);
      if (lookahead == 'l') ADVANCE(38);
      if (lookahead == 'n') ADVANCE(39);
      if (lookahead == 's') ADVANCE(40);
      if (lookahead == 'w') ADVANCE(41);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(42);
      if (lookahead == 'o') ADVANCE(43);
      if (lookahead == 'r') ADVANCE(44);
      if (lookahead == 'y') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(46);
      if (lookahead == 'h') ADVANCE(47);
      if (lookahead == 'l') ADVANCE(48);
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'i') ADVANCE(51);
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(54);
      if (lookahead == 'q') ADVANCE(55);
      if (lookahead == 'v') ADVANCE(56);
      if (lookahead == 'x') ADVANCE(57);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(58);
      if (lookahead == 'i') ADVANCE(59);
      if (lookahead == 'l') ADVANCE(60);
      if (lookahead == 'o') ADVANCE(61);
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(63);
      if (lookahead == 'l') ADVANCE(64);
      if (lookahead == 'o') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      END_STATE();
    case 14:
      if (lookahead == 'i') ADVANCE(67);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(68);
      if (lookahead == 'm') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      if (lookahead == 's') ADVANCE(71);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(72);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(73);
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(75);
      if (lookahead == 'e') ADVANCE(76);
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(78);
      if (lookahead == 'e') ADVANCE(79);
      if (lookahead == 'i') ADVANCE(80);
      if (lookahead == 'o') ADVANCE(81);
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 20:
      if (lookahead == 'b') ADVANCE(83);
      if (lookahead == 'n') ADVANCE(84);
      if (lookahead == 'p') ADVANCE(85);
      if (lookahead == 'r') ADVANCE(86);
      if (lookahead == 'u') ADVANCE(87);
      if (lookahead == 'v') ADVANCE(88);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(89);
      if (lookahead == 'r') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 23:
      if (lookahead == 'b') ADVANCE(93);
      if (lookahead == 'c') ADVANCE(94);
      if (lookahead == 'e') ADVANCE(95);
      if (lookahead == 'h') ADVANCE(96);
      if (lookahead == 'i') ADVANCE(97);
      if (lookahead == 't') ADVANCE(98);
      if (lookahead == 'w') ADVANCE(99);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(100);
      if (lookahead == 'r') ADVANCE(101);
      if (lookahead == 'y') ADVANCE(102);
      END_STATE();
    case 25:
      if (lookahead == '8') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(103);
      if (lookahead == 'l') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(105);
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(107);
      if (lookahead == 'i') ADVANCE(108);
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(110);
      if (lookahead == 'h') ADVANCE(111);
      if (lookahead == 'i') ADVANCE(112);
      END_STATE();
    case 28:
      if (lookahead == 'i') ADVANCE(113);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'C', 1,
        'F', 2,
        'S', 3,
        'T', 4,
        '_', 6,
        'a', 7,
        'b', 8,
        'c', 9,
        'd', 10,
        'e', 11,
        'f', 12,
        'g', 13,
        'h', 14,
        'i', 15,
        'j', 16,
        'l', 17,
        'm', 18,
        'n', 19,
        'o', 20,
        'p', 21,
        'r', 22,
        's', 23,
        't', 24,
        'u', 114,
        'v', 26,
        'w', 27,
        'y', 28,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x3000 ||
          lookahead == 0xfeff) SKIP(29);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 31:
      if (lookahead == 's') ADVANCE(116);
      END_STATE();
    case 32:
      if (lookahead == 'd') ADVANCE(117);
      END_STATE();
    case 33:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(sym_string_literal_encoding);
      END_STATE();
    case 35:
      if (lookahead == 'm') ADVANCE(119);
      if (lookahead == 'r') ADVANCE(120);
      END_STATE();
    case 36:
      if (lookahead == 's') ADVANCE(121);
      END_STATE();
    case 37:
      if (lookahead == 'd') ADVANCE(122);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(123);
      END_STATE();
    case 39:
      if (lookahead == 'd') ADVANCE(124);
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'c') ADVANCE(126);
      if (lookahead == 's') ADVANCE(127);
      if (lookahead == 'y') ADVANCE(128);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 42:
      if (lookahead == 's') ADVANCE(130);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(131);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_by);
      if (lookahead == 't') ADVANCE(133);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(134);
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(136);
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(138);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(140);
      if (lookahead == 'f') ADVANCE(141);
      if (lookahead == 'l') ADVANCE(142);
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(144);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(146);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(147);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 55:
      if (lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 57:
      if (lookahead == 'p') ADVANCE(151);
      if (lookahead == 't') ADVANCE(152);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(154);
      if (lookahead == 'l') ADVANCE(155);
      if (lookahead == 'n') ADVANCE(156);
      if (lookahead == 'x') ADVANCE(157);
      END_STATE();
    case 60:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 62:
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 67:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 69:
      if (lookahead == 'p') ADVANCE(166);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'i') ADVANCE(167);
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(171);
      if (lookahead == 'n') ADVANCE(172);
      END_STATE();
    case 75:
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(175);
      END_STATE();
    case 78:
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 79:
      if (lookahead == 'w') ADVANCE(177);
      END_STATE();
    case 80:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 81:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 82:
      if (lookahead == 'i') ADVANCE(180);
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 83:
      if (lookahead == 'j') ADVANCE(182);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == 'd') ADVANCE(184);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(188);
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 91:
      if (lookahead == 'b') ADVANCE(190);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'c') ADVANCE(192);
      if (lookahead == 'f') ADVANCE(193);
      if (lookahead == 'm') ADVANCE(194);
      if (lookahead == 'q') ADVANCE(195);
      if (lookahead == 's') ADVANCE(196);
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 93:
      if (lookahead == 'y') ADVANCE(198);
      END_STATE();
    case 94:
      if (lookahead == 'o') ADVANCE(199);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(200);
      if (lookahead == 'l') ADVANCE(201);
      if (lookahead == 't') ADVANCE(202);
      END_STATE();
    case 96:
      if (lookahead == 'o') ADVANCE(203);
      END_STATE();
    case 97:
      if (lookahead == 'z') ADVANCE(204);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'r') ADVANCE(206);
      END_STATE();
    case 99:
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 100:
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == 'r') ADVANCE(209);
      END_STATE();
    case 101:
      if (lookahead == 'u') ADVANCE(210);
      if (lookahead == 'y') ADVANCE(211);
      END_STATE();
    case 102:
      if (lookahead == 'p') ADVANCE(212);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 104:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(215);
      if (lookahead == 'm') ADVANCE(216);
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(218);
      if (lookahead == 'i') ADVANCE(219);
      END_STATE();
    case 107:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 108:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 109:
      if (lookahead == 'i') ADVANCE(222);
      if (lookahead == 'l') ADVANCE(223);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(225);
      if (lookahead == 'i') ADVANCE(226);
      END_STATE();
    case 112:
      if (lookahead == 't') ADVANCE(227);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 114:
      if (lookahead == 'i') ADVANCE(103);
      if (lookahead == 'l') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(105);
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 115:
      if (lookahead == 'c') ADVANCE(229);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(231);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(232);
      END_STATE();
    case 119:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_add);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 125:
      if (lookahead == 'o') ADVANCE(237);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(238);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(239);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 129:
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(243);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(244);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(245);
      END_STATE();
    case 135:
      if (lookahead == 'c') ADVANCE(246);
      END_STATE();
    case 136:
      if (lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 137:
      if (lookahead == 'c') ADVANCE(247);
      END_STATE();
    case 138:
      if (lookahead == 's') ADVANCE(248);
      END_STATE();
    case 139:
      if (lookahead == 's') ADVANCE(249);
      if (lookahead == 't') ADVANCE(250);
      END_STATE();
    case 140:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(252);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 143:
      if (lookahead == 'c') ADVANCE(254);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(255);
      END_STATE();
    case 145:
      if (lookahead == 'b') ADVANCE(256);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 147:
      if (lookahead == 'b') ADVANCE(258);
      END_STATE();
    case 148:
      if (lookahead == 'm') ADVANCE(259);
      END_STATE();
    case 149:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(261);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(262);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(263);
      END_STATE();
    case 153:
      if (lookahead == 's') ADVANCE(264);
      END_STATE();
    case 154:
      if (lookahead == 'l') ADVANCE(265);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 156:
      if (lookahead == 'a') ADVANCE(267);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(268);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(270);
      END_STATE();
    case 160:
      if (lookahead == 'm') ADVANCE(271);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 162:
      if (lookahead == 'b') ADVANCE(272);
      END_STATE();
    case 163:
      if (lookahead == 'o') ADVANCE(273);
      END_STATE();
    case 164:
      if (lookahead == 'u') ADVANCE(274);
      END_STATE();
    case 165:
      if (lookahead == 'd') ADVANCE(275);
      END_STATE();
    case 166:
      if (lookahead == 'l') ADVANCE(276);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_predefined_type);
      if (lookahead == 'e') ADVANCE(278);
      if (lookahead == 'o') ADVANCE(279);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 171:
      if (lookahead == 'k') ADVANCE(281);
      END_STATE();
    case 172:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 173:
      if (lookahead == 'a') ADVANCE(282);
      END_STATE();
    case 174:
      if (lookahead == 'h') ADVANCE(283);
      END_STATE();
    case 175:
      if (lookahead == 'u') ADVANCE(284);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 178:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 180:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 181:
      if (lookahead == 'l') ADVANCE(288);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 186:
      if (lookahead == 'r') ADVANCE(292);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(293);
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 188:
      if (lookahead == 'v') ADVANCE(295);
      END_STATE();
    case 189:
      if (lookahead == 'p') ADVANCE(296);
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 190:
      if (lookahead == 'l') ADVANCE(298);
      END_STATE();
    case 191:
      if (lookahead == 'd') ADVANCE(299);
      END_STATE();
    case 192:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 194:
      if (lookahead == 'o') ADVANCE(301);
      END_STATE();
    case 195:
      if (lookahead == 'u') ADVANCE(302);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(303);
      END_STATE();
    case 197:
      if (lookahead == 'u') ADVANCE(304);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 199:
      if (lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(307);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 203:
      if (lookahead == 'r') ADVANCE(309);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(311);
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 206:
      if (lookahead == 'i') ADVANCE(313);
      if (lookahead == 'u') ADVANCE(314);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 208:
      if (lookahead == 's') ADVANCE(316);
      END_STATE();
    case 209:
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 214:
      if (lookahead == 'n') ADVANCE(320);
      END_STATE();
    case 215:
      if (lookahead == 'h') ADVANCE(321);
      END_STATE();
    case 216:
      if (lookahead == 'a') ADVANCE(322);
      END_STATE();
    case 217:
      if (lookahead == 'a') ADVANCE(323);
      END_STATE();
    case 218:
      if (lookahead == 'o') ADVANCE(324);
      END_STATE();
    case 219:
      if (lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(326);
      END_STATE();
    case 222:
      if (lookahead == 'd') ADVANCE(243);
      END_STATE();
    case 223:
      if (lookahead == 'a') ADVANCE(327);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 225:
      if (lookahead == 'n') ADVANCE(329);
      if (lookahead == 'r') ADVANCE(330);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(331);
      END_STATE();
    case 227:
      if (lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 228:
      if (lookahead == 'l') ADVANCE(333);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(334);
      END_STATE();
    case 230:
      if (lookahead == 'c') ADVANCE(335);
      END_STATE();
    case 231:
      if (lookahead == 'a') ADVANCE(336);
      END_STATE();
    case 232:
      if (lookahead == 'c') ADVANCE(337);
      END_STATE();
    case 233:
      if (lookahead == 'k') ADVANCE(338);
      END_STATE();
    case 234:
      if (lookahead == 'f') ADVANCE(339);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(340);
      END_STATE();
    case 236:
      if (lookahead == 's') ADVANCE(341);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 238:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 239:
      if (lookahead == 'm') ADVANCE(344);
      END_STATE();
    case 240:
      if (lookahead == 'c') ADVANCE(345);
      END_STATE();
    case 241:
      if (lookahead == 't') ADVANCE(346);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_base);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_predefined_type);
      END_STATE();
    case 244:
      if (lookahead == 'k') ADVANCE(347);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 246:
      if (lookahead == 'h') ADVANCE(348);
      END_STATE();
    case 247:
      if (lookahead == 'k') ADVANCE(349);
      END_STATE();
    case 248:
      if (lookahead == 's') ADVANCE(350);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 250:
      if (lookahead == 'i') ADVANCE(352);
      END_STATE();
    case 251:
      if (lookahead == 'm') ADVANCE(353);
      END_STATE();
    case 252:
      if (lookahead == 'u') ADVANCE(354);
      END_STATE();
    case 253:
      if (lookahead == 'g') ADVANCE(355);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 255:
      if (lookahead == 'b') ADVANCE(357);
      END_STATE();
    case 256:
      if (lookahead == 'l') ADVANCE(358);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 258:
      if (lookahead == 'l') ADVANCE(359);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 260:
      if (lookahead == 'l') ADVANCE(360);
      END_STATE();
    case 261:
      if (lookahead == 't') ADVANCE(361);
      END_STATE();
    case 262:
      if (lookahead == 'i') ADVANCE(362);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 265:
      if (lookahead == 'd') ADVANCE(365);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_file);
      END_STATE();
    case 267:
      if (lookahead == 'l') ADVANCE(366);
      END_STATE();
    case 268:
      if (lookahead == 'd') ADVANCE(367);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 270:
      if (lookahead == 'a') ADVANCE(368);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 272:
      if (lookahead == 'a') ADVANCE(369);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 274:
      if (lookahead == 'p') ADVANCE(370);
      END_STATE();
    case 275:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(372);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_init);
      END_STATE();
    case 278:
      if (lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_into);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_join);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_lock);
      END_STATE();
    case 282:
      if (lookahead == 'g') ADVANCE(374);
      END_STATE();
    case 283:
      if (lookahead == 'o') ADVANCE(375);
      END_STATE();
    case 284:
      if (lookahead == 'l') ADVANCE(376);
      END_STATE();
    case 285:
      if (lookahead == 's') ADVANCE(377);
      END_STATE();
    case 286:
      if (lookahead == 'u') ADVANCE(378);
      END_STATE();
    case 287:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 289:
      if (lookahead == 'c') ADVANCE(379);
      END_STATE();
    case 290:
      if (lookahead == 'a') ADVANCE(380);
      END_STATE();
    case 291:
      if (lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 292:
      if (lookahead == 'r') ADVANCE(382);
      END_STATE();
    case 293:
      if (lookahead == 'm') ADVANCE(383);
      END_STATE();
    case 294:
      if (lookahead == 'i') ADVANCE(384);
      END_STATE();
    case 295:
      if (lookahead == 'a') ADVANCE(385);
      END_STATE();
    case 296:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 298:
      if (lookahead == 'i') ADVANCE(388);
      END_STATE();
    case 299:
      if (lookahead == 'o') ADVANCE(389);
      END_STATE();
    case 300:
      if (lookahead == 'r') ADVANCE(390);
      END_STATE();
    case 301:
      if (lookahead == 'v') ADVANCE(391);
      END_STATE();
    case 302:
      if (lookahead == 'i') ADVANCE(392);
      END_STATE();
    case 303:
      if (lookahead == 'o') ADVANCE(393);
      END_STATE();
    case 304:
      if (lookahead == 'r') ADVANCE(394);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 308:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 310:
      if (lookahead == 'o') ADVANCE(398);
      END_STATE();
    case 311:
      if (lookahead == 'k') ADVANCE(399);
      END_STATE();
    case 312:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 314:
      if (lookahead == 'c') ADVANCE(402);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 317:
      if (lookahead == 'w') ADVANCE(404);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(405);
      END_STATE();
    case 320:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 321:
      if (lookahead == 'e') ADVANCE(406);
      END_STATE();
    case 322:
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(408);
      END_STATE();
    case 324:
      if (lookahead == 'r') ADVANCE(409);
      END_STATE();
    case 325:
      if (lookahead == 'g') ADVANCE(410);
      END_STATE();
    case 326:
      if (lookahead == 'u') ADVANCE(411);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 328:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(414);
      END_STATE();
    case 331:
      if (lookahead == 'e') ADVANCE(415);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 333:
      if (lookahead == 'd') ADVANCE(416);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_Cdecl);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(417);
      END_STATE();
    case 336:
      if (lookahead == 'l') ADVANCE(418);
      END_STATE();
    case 337:
      if (lookahead == 'a') ADVANCE(419);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(420);
      END_STATE();
    case 339:
      if (lookahead == 't') ADVANCE(421);
      if (lookahead == 'v') ADVANCE(422);
      END_STATE();
    case 340:
      if (lookahead == 'a') ADVANCE(423);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 342:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 343:
      if (lookahead == 'd') ADVANCE(425);
      END_STATE();
    case 344:
      if (lookahead == 'b') ADVANCE(426);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 349:
      if (lookahead == 'e') ADVANCE(427);
      if (lookahead == 's') ADVANCE(428);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 352:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 353:
      if (lookahead == 'a') ADVANCE(430);
      END_STATE();
    case 354:
      if (lookahead == 'l') ADVANCE(431);
      END_STATE();
    case 355:
      if (lookahead == 'a') ADVANCE(432);
      END_STATE();
    case 356:
      if (lookahead == 'n') ADVANCE(433);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(434);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(243);
      END_STATE();
    case 359:
      if (lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 360:
      if (lookahead == 's') ADVANCE(436);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 362:
      if (lookahead == 'c') ADVANCE(437);
      END_STATE();
    case 363:
      if (lookahead == 'n') ADVANCE(438);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 366:
      if (lookahead == 'l') ADVANCE(439);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_fixed);
      END_STATE();
    case 368:
      if (lookahead == 'c') ADVANCE(440);
      END_STATE();
    case 369:
      if (lookahead == 'l') ADVANCE(441);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_group);
      END_STATE();
    case 371:
      if (lookahead == 'n') ADVANCE(442);
      END_STATE();
    case 372:
      if (lookahead == 'c') ADVANCE(443);
      END_STATE();
    case 373:
      if (lookahead == 'f') ADVANCE(444);
      if (lookahead == 'n') ADVANCE(445);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(446);
      END_STATE();
    case 375:
      if (lookahead == 'd') ADVANCE(447);
      END_STATE();
    case 376:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 377:
      if (lookahead == 'p') ADVANCE(449);
      END_STATE();
    case 378:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(451);
      END_STATE();
    case 381:
      if (lookahead == 'b') ADVANCE(452);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(453);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_param);
      if (lookahead == 's') ADVANCE(454);
      END_STATE();
    case 384:
      if (lookahead == 'a') ADVANCE(455);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(456);
      END_STATE();
    case 386:
      if (lookahead == 'r') ADVANCE(457);
      END_STATE();
    case 387:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 388:
      if (lookahead == 'c') ADVANCE(459);
      END_STATE();
    case 389:
      if (lookahead == 'n') ADVANCE(460);
      END_STATE();
    case 390:
      if (lookahead == 'd') ADVANCE(461);
      END_STATE();
    case 391:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 392:
      if (lookahead == 'r') ADVANCE(463);
      END_STATE();
    case 393:
      if (lookahead == 'r') ADVANCE(464);
      END_STATE();
    case 394:
      if (lookahead == 'n') ADVANCE(465);
      END_STATE();
    case 395:
      if (lookahead == 'd') ADVANCE(466);
      END_STATE();
    case 396:
      if (lookahead == 'd') ADVANCE(467);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(468);
      END_STATE();
    case 398:
      if (lookahead == 'f') ADVANCE(469);
      END_STATE();
    case 399:
      if (lookahead == 'a') ADVANCE(470);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(471);
      END_STATE();
    case 401:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 402:
      if (lookahead == 't') ADVANCE(472);
      END_STATE();
    case 403:
      if (lookahead == 'h') ADVANCE(473);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 405:
      if (lookahead == 'f') ADVANCE(474);
      END_STATE();
    case 406:
      if (lookahead == 'c') ADVANCE(475);
      END_STATE();
    case 407:
      if (lookahead == 'a') ADVANCE(476);
      END_STATE();
    case 408:
      if (lookahead == 'e') ADVANCE(477);
      END_STATE();
    case 409:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 411:
      if (lookahead == 'a') ADVANCE(478);
      END_STATE();
    case 412:
      if (lookahead == 'i') ADVANCE(479);
      END_STATE();
    case 413:
      if (lookahead == 'n') ADVANCE(480);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 417:
      if (lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(482);
      END_STATE();
    case 419:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 420:
      if (lookahead == 'r') ADVANCE(484);
      END_STATE();
    case 421:
      if (lookahead == 'y') ADVANCE(485);
      END_STATE();
    case 422:
      if (lookahead == 'a') ADVANCE(486);
      END_STATE();
    case 423:
      if (lookahead == 'c') ADVANCE(487);
      END_STATE();
    case 424:
      if (lookahead == 't') ADVANCE(488);
      END_STATE();
    case 425:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 426:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 427:
      if (lookahead == 'd') ADVANCE(491);
      END_STATE();
    case 428:
      if (lookahead == 'u') ADVANCE(492);
      END_STATE();
    case 429:
      if (lookahead == 'u') ADVANCE(493);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(243);
      END_STATE();
    case 431:
      if (lookahead == 't') ADVANCE(494);
      END_STATE();
    case 432:
      if (lookahead == 't') ADVANCE(495);
      END_STATE();
    case 433:
      if (lookahead == 'd') ADVANCE(496);
      END_STATE();
    case 434:
      if (lookahead == 'e') ADVANCE(497);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_enable);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_equals);
      END_STATE();
    case 437:
      if (lookahead == 'i') ADVANCE(498);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 439:
      if (lookahead == 'y') ADVANCE(499);
      END_STATE();
    case 440:
      if (lookahead == 'h') ADVANCE(500);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_hidden);
      END_STATE();
    case 443:
      if (lookahead == 'i') ADVANCE(501);
      END_STATE();
    case 444:
      if (lookahead == 'a') ADVANCE(502);
      END_STATE();
    case 445:
      if (lookahead == 'a') ADVANCE(503);
      END_STATE();
    case 446:
      if (lookahead == 'd') ADVANCE(504);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 449:
      if (lookahead == 'a') ADVANCE(505);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(506);
      END_STATE();
    case 451:
      if (lookahead == 'o') ADVANCE(507);
      END_STATE();
    case 452:
      if (lookahead == 'y') ADVANCE(508);
      END_STATE();
    case 453:
      if (lookahead == 'd') ADVANCE(509);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_params);
      END_STATE();
    case 455:
      if (lookahead == 'l') ADVANCE(510);
      END_STATE();
    case 456:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 457:
      if (lookahead == 't') ADVANCE(512);
      END_STATE();
    case 458:
      if (lookahead == 't') ADVANCE(513);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 460:
      if (lookahead == 'l') ADVANCE(514);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_remove);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(515);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_scoped);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(517);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 475:
      if (lookahead == 'k') ADVANCE(518);
      END_STATE();
    case 476:
      if (lookahead == 'g') ADVANCE(519);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_unsafe);
      END_STATE();
    case 478:
      if (lookahead == 'l') ADVANCE(520);
      END_STATE();
    case 479:
      if (lookahead == 'l') ADVANCE(521);
      END_STATE();
    case 480:
      if (lookahead == 'g') ADVANCE(522);
      END_STATE();
    case 481:
      if (lookahead == 'l') ADVANCE(523);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_Stdcall);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(524);
      END_STATE();
    case 484:
      if (lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 485:
      if (lookahead == 'p') ADVANCE(526);
      END_STATE();
    case 486:
      if (lookahead == 'l') ADVANCE(527);
      END_STATE();
    case 487:
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 488:
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 489:
      if (lookahead == 'n') ADVANCE(530);
      END_STATE();
    case 490:
      if (lookahead == 'y') ADVANCE(531);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_checked);
      END_STATE();
    case 492:
      if (lookahead == 'm') ADVANCE(532);
      END_STATE();
    case 493:
      if (lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 495:
      if (lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 496:
      if (lookahead == 'i') ADVANCE(535);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_disable);
      END_STATE();
    case 498:
      if (lookahead == 't') ADVANCE(536);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_foreach);
      END_STATE();
    case 501:
      if (lookahead == 't') ADVANCE(537);
      END_STATE();
    case 502:
      if (lookahead == 'c') ADVANCE(538);
      END_STATE();
    case 503:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_managed);
      END_STATE();
    case 505:
      if (lookahead == 'c') ADVANCE(540);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_notnull);
      END_STATE();
    case 507:
      if (lookahead == 'r') ADVANCE(541);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_orderby);
      END_STATE();
    case 509:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_partial);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 512:
      if (lookahead == 'y') ADVANCE(543);
      END_STATE();
    case 513:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 514:
      if (lookahead == 'y') ADVANCE(545);
      END_STATE();
    case 515:
      if (lookahead == 'd') ADVANCE(546);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_restore);
      END_STATE();
    case 517:
      if (lookahead == 'l') ADVANCE(547);
      END_STATE();
    case 518:
      if (lookahead == 'e') ADVANCE(548);
      END_STATE();
    case 519:
      if (lookahead == 'e') ADVANCE(549);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 521:
      if (lookahead == 'e') ADVANCE(550);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_warning);
      if (lookahead == 's') ADVANCE(551);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_Fastcall);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_Thiscall);
      END_STATE();
    case 525:
      if (lookahead == 'f') ADVANCE(552);
      END_STATE();
    case 526:
      if (lookahead == 'e') ADVANCE(553);
      END_STATE();
    case 527:
      if (lookahead == 'u') ADVANCE(554);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 529:
      if (lookahead == 'o') ADVANCE(555);
      END_STATE();
    case 530:
      if (lookahead == 'g') ADVANCE(556);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_assembly);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_checksum);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_delegate);
      END_STATE();
    case 535:
      if (lookahead == 'n') ADVANCE(557);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_implicit);
      END_STATE();
    case 538:
      if (lookahead == 'e') ADVANCE(558);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_internal);
      END_STATE();
    case 540:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 544:
      if (lookahead == 'd') ADVANCE(560);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 547:
      if (lookahead == 'o') ADVANCE(561);
      END_STATE();
    case 548:
      if (lookahead == 'd') ADVANCE(562);
      END_STATE();
    case 549:
      if (lookahead == 'd') ADVANCE(563);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_warnings);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___makeref);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym___reftype);
      END_STATE();
    case 554:
      if (lookahead == 'e') ADVANCE(564);
      END_STATE();
    case 555:
      if (lookahead == 'n') ADVANCE(565);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_ascending);
      END_STATE();
    case 557:
      if (lookahead == 'g') ADVANCE(566);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 561:
      if (lookahead == 'c') ADVANCE(567);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_unchecked);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_unmanaged);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym___refvalue);
      END_STATE();
    case 565:
      if (lookahead == 's') ADVANCE(568);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_descending);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_stackalloc);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_annotations);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 105, .external_lex_state = 2},
  [2] = {.lex_state = 105, .external_lex_state = 2},
  [3] = {.lex_state = 105, .external_lex_state = 2},
  [4] = {.lex_state = 105, .external_lex_state = 2},
  [5] = {.lex_state = 105, .external_lex_state = 2},
  [6] = {.lex_state = 105, .external_lex_state = 2},
  [7] = {.lex_state = 105, .external_lex_state = 2},
  [8] = {.lex_state = 105, .external_lex_state = 2},
  [9] = {.lex_state = 105, .external_lex_state = 2},
  [10] = {.lex_state = 105, .external_lex_state = 2},
  [11] = {.lex_state = 105, .external_lex_state = 2},
  [12] = {.lex_state = 105, .external_lex_state = 2},
  [13] = {.lex_state = 105, .external_lex_state = 2},
  [14] = {.lex_state = 105, .external_lex_state = 2},
  [15] = {.lex_state = 105, .external_lex_state = 2},
  [16] = {.lex_state = 105, .external_lex_state = 2},
  [17] = {.lex_state = 105, .external_lex_state = 2},
  [18] = {.lex_state = 105, .external_lex_state = 2},
  [19] = {.lex_state = 105, .external_lex_state = 2},
  [20] = {.lex_state = 105, .external_lex_state = 2},
  [21] = {.lex_state = 105, .external_lex_state = 2},
  [22] = {.lex_state = 105, .external_lex_state = 2},
  [23] = {.lex_state = 105, .external_lex_state = 2},
  [24] = {.lex_state = 105, .external_lex_state = 2},
  [25] = {.lex_state = 105, .external_lex_state = 2},
  [26] = {.lex_state = 105, .external_lex_state = 2},
  [27] = {.lex_state = 105, .external_lex_state = 2},
  [28] = {.lex_state = 105, .external_lex_state = 2},
  [29] = {.lex_state = 105, .external_lex_state = 2},
  [30] = {.lex_state = 105, .external_lex_state = 2},
  [31] = {.lex_state = 105, .external_lex_state = 2},
  [32] = {.lex_state = 105, .external_lex_state = 2},
  [33] = {.lex_state = 105, .external_lex_state = 2},
  [34] = {.lex_state = 105, .external_lex_state = 2},
  [35] = {.lex_state = 105, .external_lex_state = 2},
  [36] = {.lex_state = 105, .external_lex_state = 2},
  [37] = {.lex_state = 105, .external_lex_state = 2},
  [38] = {.lex_state = 105, .external_lex_state = 2},
  [39] = {.lex_state = 105, .external_lex_state = 2},
  [40] = {.lex_state = 105, .external_lex_state = 2},
  [41] = {.lex_state = 105, .external_lex_state = 2},
  [42] = {.lex_state = 105, .external_lex_state = 2},
  [43] = {.lex_state = 105, .external_lex_state = 2},
  [44] = {.lex_state = 105, .external_lex_state = 2},
  [45] = {.lex_state = 105, .external_lex_state = 2},
  [46] = {.lex_state = 105, .external_lex_state = 2},
  [47] = {.lex_state = 105, .external_lex_state = 2},
  [48] = {.lex_state = 105, .external_lex_state = 2},
  [49] = {.lex_state = 105, .external_lex_state = 2},
  [50] = {.lex_state = 105, .external_lex_state = 2},
  [51] = {.lex_state = 105, .external_lex_state = 2},
  [52] = {.lex_state = 105, .external_lex_state = 2},
  [53] = {.lex_state = 105, .external_lex_state = 2},
  [54] = {.lex_state = 105, .external_lex_state = 2},
  [55] = {.lex_state = 105, .external_lex_state = 2},
  [56] = {.lex_state = 105, .external_lex_state = 2},
  [57] = {.lex_state = 105, .external_lex_state = 2},
  [58] = {.lex_state = 105, .external_lex_state = 2},
  [59] = {.lex_state = 105, .external_lex_state = 2},
  [60] = {.lex_state = 105, .external_lex_state = 2},
  [61] = {.lex_state = 105, .external_lex_state = 2},
  [62] = {.lex_state = 105, .external_lex_state = 2},
  [63] = {.lex_state = 105, .external_lex_state = 2},
  [64] = {.lex_state = 105, .external_lex_state = 2},
  [65] = {.lex_state = 105, .external_lex_state = 2},
  [66] = {.lex_state = 105, .external_lex_state = 2},
  [67] = {.lex_state = 105, .external_lex_state = 2},
  [68] = {.lex_state = 105, .external_lex_state = 2},
  [69] = {.lex_state = 105, .external_lex_state = 2},
  [70] = {.lex_state = 105, .external_lex_state = 2},
  [71] = {.lex_state = 105, .external_lex_state = 2},
  [72] = {.lex_state = 105, .external_lex_state = 2},
  [73] = {.lex_state = 105, .external_lex_state = 2},
  [74] = {.lex_state = 105, .external_lex_state = 2},
  [75] = {.lex_state = 105, .external_lex_state = 2},
  [76] = {.lex_state = 105, .external_lex_state = 2},
  [77] = {.lex_state = 105, .external_lex_state = 2},
  [78] = {.lex_state = 105, .external_lex_state = 2},
  [79] = {.lex_state = 105, .external_lex_state = 2},
  [80] = {.lex_state = 105, .external_lex_state = 2},
  [81] = {.lex_state = 105, .external_lex_state = 2},
  [82] = {.lex_state = 105, .external_lex_state = 2},
  [83] = {.lex_state = 105, .external_lex_state = 2},
  [84] = {.lex_state = 105, .external_lex_state = 2},
  [85] = {.lex_state = 105, .external_lex_state = 2},
  [86] = {.lex_state = 105, .external_lex_state = 2},
  [87] = {.lex_state = 105, .external_lex_state = 2},
  [88] = {.lex_state = 105, .external_lex_state = 2},
  [89] = {.lex_state = 105, .external_lex_state = 2},
  [90] = {.lex_state = 105, .external_lex_state = 2},
  [91] = {.lex_state = 105, .external_lex_state = 2},
  [92] = {.lex_state = 105, .external_lex_state = 2},
  [93] = {.lex_state = 105, .external_lex_state = 2},
  [94] = {.lex_state = 105, .external_lex_state = 2},
  [95] = {.lex_state = 105, .external_lex_state = 2},
  [96] = {.lex_state = 105, .external_lex_state = 2},
  [97] = {.lex_state = 105, .external_lex_state = 2},
  [98] = {.lex_state = 105, .external_lex_state = 2},
  [99] = {.lex_state = 105, .external_lex_state = 2},
  [100] = {.lex_state = 105, .external_lex_state = 2},
  [101] = {.lex_state = 105, .external_lex_state = 2},
  [102] = {.lex_state = 105, .external_lex_state = 2},
  [103] = {.lex_state = 105, .external_lex_state = 2},
  [104] = {.lex_state = 105, .external_lex_state = 2},
  [105] = {.lex_state = 105, .external_lex_state = 2},
  [106] = {.lex_state = 105, .external_lex_state = 2},
  [107] = {.lex_state = 105, .external_lex_state = 2},
  [108] = {.lex_state = 105, .external_lex_state = 2},
  [109] = {.lex_state = 105, .external_lex_state = 2},
  [110] = {.lex_state = 105, .external_lex_state = 2},
  [111] = {.lex_state = 105, .external_lex_state = 2},
  [112] = {.lex_state = 105, .external_lex_state = 2},
  [113] = {.lex_state = 105, .external_lex_state = 2},
  [114] = {.lex_state = 105, .external_lex_state = 2},
  [115] = {.lex_state = 105, .external_lex_state = 2},
  [116] = {.lex_state = 105, .external_lex_state = 2},
  [117] = {.lex_state = 105, .external_lex_state = 2},
  [118] = {.lex_state = 105, .external_lex_state = 2},
  [119] = {.lex_state = 105, .external_lex_state = 2},
  [120] = {.lex_state = 105, .external_lex_state = 2},
  [121] = {.lex_state = 105, .external_lex_state = 2},
  [122] = {.lex_state = 105, .external_lex_state = 2},
  [123] = {.lex_state = 105, .external_lex_state = 2},
  [124] = {.lex_state = 105, .external_lex_state = 2},
  [125] = {.lex_state = 105, .external_lex_state = 2},
  [126] = {.lex_state = 105, .external_lex_state = 2},
  [127] = {.lex_state = 105, .external_lex_state = 2},
  [128] = {.lex_state = 105, .external_lex_state = 2},
  [129] = {.lex_state = 105, .external_lex_state = 2},
  [130] = {.lex_state = 105, .external_lex_state = 2},
  [131] = {.lex_state = 105, .external_lex_state = 2},
  [132] = {.lex_state = 105, .external_lex_state = 2},
  [133] = {.lex_state = 105, .external_lex_state = 2},
  [134] = {.lex_state = 105, .external_lex_state = 2},
  [135] = {.lex_state = 105, .external_lex_state = 2},
  [136] = {.lex_state = 105, .external_lex_state = 2},
  [137] = {.lex_state = 105, .external_lex_state = 2},
  [138] = {.lex_state = 105, .external_lex_state = 2},
  [139] = {.lex_state = 105, .external_lex_state = 2},
  [140] = {.lex_state = 105, .external_lex_state = 2},
  [141] = {.lex_state = 105, .external_lex_state = 2},
  [142] = {.lex_state = 105, .external_lex_state = 2},
  [143] = {.lex_state = 105, .external_lex_state = 2},
  [144] = {.lex_state = 105, .external_lex_state = 2},
  [145] = {.lex_state = 105, .external_lex_state = 2},
  [146] = {.lex_state = 105, .external_lex_state = 2},
  [147] = {.lex_state = 105, .external_lex_state = 2},
  [148] = {.lex_state = 105, .external_lex_state = 2},
  [149] = {.lex_state = 105, .external_lex_state = 2},
  [150] = {.lex_state = 105, .external_lex_state = 2},
  [151] = {.lex_state = 105, .external_lex_state = 2},
  [152] = {.lex_state = 105, .external_lex_state = 2},
  [153] = {.lex_state = 105, .external_lex_state = 2},
  [154] = {.lex_state = 105, .external_lex_state = 2},
  [155] = {.lex_state = 105, .external_lex_state = 2},
  [156] = {.lex_state = 105, .external_lex_state = 2},
  [157] = {.lex_state = 105, .external_lex_state = 2},
  [158] = {.lex_state = 105, .external_lex_state = 2},
  [159] = {.lex_state = 105, .external_lex_state = 2},
  [160] = {.lex_state = 105, .external_lex_state = 2},
  [161] = {.lex_state = 105, .external_lex_state = 2},
  [162] = {.lex_state = 105, .external_lex_state = 2},
  [163] = {.lex_state = 105, .external_lex_state = 2},
  [164] = {.lex_state = 105, .external_lex_state = 2},
  [165] = {.lex_state = 105, .external_lex_state = 2},
  [166] = {.lex_state = 105, .external_lex_state = 2},
  [167] = {.lex_state = 105, .external_lex_state = 2},
  [168] = {.lex_state = 105, .external_lex_state = 2},
  [169] = {.lex_state = 105, .external_lex_state = 2},
  [170] = {.lex_state = 105, .external_lex_state = 2},
  [171] = {.lex_state = 105, .external_lex_state = 2},
  [172] = {.lex_state = 105, .external_lex_state = 2},
  [173] = {.lex_state = 105, .external_lex_state = 2},
  [174] = {.lex_state = 105, .external_lex_state = 2},
  [175] = {.lex_state = 105, .external_lex_state = 2},
  [176] = {.lex_state = 105, .external_lex_state = 2},
  [177] = {.lex_state = 105, .external_lex_state = 2},
  [178] = {.lex_state = 105, .external_lex_state = 2},
  [179] = {.lex_state = 105, .external_lex_state = 2},
  [180] = {.lex_state = 105, .external_lex_state = 2},
  [181] = {.lex_state = 105, .external_lex_state = 2},
  [182] = {.lex_state = 105, .external_lex_state = 2},
  [183] = {.lex_state = 105, .external_lex_state = 2},
  [184] = {.lex_state = 105, .external_lex_state = 2},
  [185] = {.lex_state = 105, .external_lex_state = 2},
  [186] = {.lex_state = 105, .external_lex_state = 2},
  [187] = {.lex_state = 105, .external_lex_state = 2},
  [188] = {.lex_state = 105, .external_lex_state = 2},
  [189] = {.lex_state = 105, .external_lex_state = 2},
  [190] = {.lex_state = 105, .external_lex_state = 2},
  [191] = {.lex_state = 104, .external_lex_state = 2},
  [192] = {.lex_state = 104, .external_lex_state = 2},
  [193] = {.lex_state = 105, .external_lex_state = 2},
  [194] = {.lex_state = 105, .external_lex_state = 2},
  [195] = {.lex_state = 105, .external_lex_state = 2},
  [196] = {.lex_state = 105, .external_lex_state = 2},
  [197] = {.lex_state = 105, .external_lex_state = 2},
  [198] = {.lex_state = 105, .external_lex_state = 2},
  [199] = {.lex_state = 105, .external_lex_state = 2},
  [200] = {.lex_state = 105, .external_lex_state = 2},
  [201] = {.lex_state = 105, .external_lex_state = 2},
  [202] = {.lex_state = 105, .external_lex_state = 2},
  [203] = {.lex_state = 105, .external_lex_state = 2},
  [204] = {.lex_state = 105, .external_lex_state = 2},
  [205] = {.lex_state = 105, .external_lex_state = 2},
  [206] = {.lex_state = 105, .external_lex_state = 2},
  [207] = {.lex_state = 105, .external_lex_state = 2},
  [208] = {.lex_state = 105, .external_lex_state = 2},
  [209] = {.lex_state = 105, .external_lex_state = 2},
  [210] = {.lex_state = 105, .external_lex_state = 2},
  [211] = {.lex_state = 105, .external_lex_state = 2},
  [212] = {.lex_state = 105, .external_lex_state = 2},
  [213] = {.lex_state = 105, .external_lex_state = 2},
  [214] = {.lex_state = 105, .external_lex_state = 2},
  [215] = {.lex_state = 105, .external_lex_state = 2},
  [216] = {.lex_state = 105, .external_lex_state = 2},
  [217] = {.lex_state = 105, .external_lex_state = 2},
  [218] = {.lex_state = 105, .external_lex_state = 2},
  [219] = {.lex_state = 105, .external_lex_state = 2},
  [220] = {.lex_state = 105, .external_lex_state = 2},
  [221] = {.lex_state = 105, .external_lex_state = 2},
  [222] = {.lex_state = 105, .external_lex_state = 2},
  [223] = {.lex_state = 105, .external_lex_state = 2},
  [224] = {.lex_state = 104, .external_lex_state = 2},
  [225] = {.lex_state = 104, .external_lex_state = 2},
  [226] = {.lex_state = 104, .external_lex_state = 2},
  [227] = {.lex_state = 104, .external_lex_state = 2},
  [228] = {.lex_state = 104, .external_lex_state = 2},
  [229] = {.lex_state = 104, .external_lex_state = 2},
  [230] = {.lex_state = 104, .external_lex_state = 2},
  [231] = {.lex_state = 104, .external_lex_state = 2},
  [232] = {.lex_state = 104, .external_lex_state = 2},
  [233] = {.lex_state = 104, .external_lex_state = 2},
  [234] = {.lex_state = 104, .external_lex_state = 3},
  [235] = {.lex_state = 104, .external_lex_state = 3},
  [236] = {.lex_state = 104, .external_lex_state = 3},
  [237] = {.lex_state = 104, .external_lex_state = 3},
  [238] = {.lex_state = 104, .external_lex_state = 2},
  [239] = {.lex_state = 104, .external_lex_state = 2},
  [240] = {.lex_state = 104, .external_lex_state = 2},
  [241] = {.lex_state = 104, .external_lex_state = 2},
  [242] = {.lex_state = 104, .external_lex_state = 2},
  [243] = {.lex_state = 104, .external_lex_state = 2},
  [244] = {.lex_state = 104, .external_lex_state = 2},
  [245] = {.lex_state = 104, .external_lex_state = 2},
  [246] = {.lex_state = 104, .external_lex_state = 3},
  [247] = {.lex_state = 104, .external_lex_state = 2},
  [248] = {.lex_state = 104, .external_lex_state = 2},
  [249] = {.lex_state = 104, .external_lex_state = 2},
  [250] = {.lex_state = 104, .external_lex_state = 2},
  [251] = {.lex_state = 104, .external_lex_state = 2},
  [252] = {.lex_state = 104, .external_lex_state = 2},
  [253] = {.lex_state = 104, .external_lex_state = 2},
  [254] = {.lex_state = 104, .external_lex_state = 3},
  [255] = {.lex_state = 104, .external_lex_state = 2},
  [256] = {.lex_state = 104, .external_lex_state = 2},
  [257] = {.lex_state = 104, .external_lex_state = 2},
  [258] = {.lex_state = 104, .external_lex_state = 3},
  [259] = {.lex_state = 104, .external_lex_state = 2},
  [260] = {.lex_state = 104, .external_lex_state = 2},
  [261] = {.lex_state = 104, .external_lex_state = 2},
  [262] = {.lex_state = 104, .external_lex_state = 2},
  [263] = {.lex_state = 104, .external_lex_state = 2},
  [264] = {.lex_state = 104, .external_lex_state = 2},
  [265] = {.lex_state = 104, .external_lex_state = 2},
  [266] = {.lex_state = 104, .external_lex_state = 2},
  [267] = {.lex_state = 104, .external_lex_state = 2},
  [268] = {.lex_state = 104, .external_lex_state = 2},
  [269] = {.lex_state = 104, .external_lex_state = 2},
  [270] = {.lex_state = 104, .external_lex_state = 2},
  [271] = {.lex_state = 104, .external_lex_state = 2},
  [272] = {.lex_state = 104, .external_lex_state = 2},
  [273] = {.lex_state = 104, .external_lex_state = 2},
  [274] = {.lex_state = 104, .external_lex_state = 2},
  [275] = {.lex_state = 104, .external_lex_state = 3},
  [276] = {.lex_state = 104, .external_lex_state = 2},
  [277] = {.lex_state = 104, .external_lex_state = 2},
  [278] = {.lex_state = 104, .external_lex_state = 2},
  [279] = {.lex_state = 104, .external_lex_state = 2},
  [280] = {.lex_state = 104, .external_lex_state = 2},
  [281] = {.lex_state = 104, .external_lex_state = 2},
  [282] = {.lex_state = 104, .external_lex_state = 2},
  [283] = {.lex_state = 104, .external_lex_state = 2},
  [284] = {.lex_state = 104, .external_lex_state = 2},
  [285] = {.lex_state = 104, .external_lex_state = 2},
  [286] = {.lex_state = 104, .external_lex_state = 2},
  [287] = {.lex_state = 104, .external_lex_state = 2},
  [288] = {.lex_state = 104, .external_lex_state = 2},
  [289] = {.lex_state = 104, .external_lex_state = 2},
  [290] = {.lex_state = 104, .external_lex_state = 2},
  [291] = {.lex_state = 104, .external_lex_state = 2},
  [292] = {.lex_state = 104, .external_lex_state = 2},
  [293] = {.lex_state = 104, .external_lex_state = 2},
  [294] = {.lex_state = 104, .external_lex_state = 2},
  [295] = {.lex_state = 104, .external_lex_state = 2},
  [296] = {.lex_state = 104, .external_lex_state = 2},
  [297] = {.lex_state = 104, .external_lex_state = 2},
  [298] = {.lex_state = 105, .external_lex_state = 2},
  [299] = {.lex_state = 104, .external_lex_state = 2},
  [300] = {.lex_state = 104, .external_lex_state = 2},
  [301] = {.lex_state = 105, .external_lex_state = 2},
  [302] = {.lex_state = 104, .external_lex_state = 2},
  [303] = {.lex_state = 104, .external_lex_state = 2},
  [304] = {.lex_state = 104, .external_lex_state = 2},
  [305] = {.lex_state = 104, .external_lex_state = 2},
  [306] = {.lex_state = 105, .external_lex_state = 2},
  [307] = {.lex_state = 105, .external_lex_state = 2},
  [308] = {.lex_state = 105, .external_lex_state = 2},
  [309] = {.lex_state = 104, .external_lex_state = 2},
  [310] = {.lex_state = 105, .external_lex_state = 2},
  [311] = {.lex_state = 105, .external_lex_state = 2},
  [312] = {.lex_state = 104, .external_lex_state = 2},
  [313] = {.lex_state = 105, .external_lex_state = 2},
  [314] = {.lex_state = 104, .external_lex_state = 2},
  [315] = {.lex_state = 104, .external_lex_state = 2},
  [316] = {.lex_state = 104, .external_lex_state = 2},
  [317] = {.lex_state = 104, .external_lex_state = 2},
  [318] = {.lex_state = 105, .external_lex_state = 2},
  [319] = {.lex_state = 105, .external_lex_state = 2},
  [320] = {.lex_state = 105, .external_lex_state = 2},
  [321] = {.lex_state = 104, .external_lex_state = 2},
  [322] = {.lex_state = 105, .external_lex_state = 2},
  [323] = {.lex_state = 104, .external_lex_state = 2},
  [324] = {.lex_state = 104, .external_lex_state = 2},
  [325] = {.lex_state = 104, .external_lex_state = 2},
  [326] = {.lex_state = 105, .external_lex_state = 2},
  [327] = {.lex_state = 104, .external_lex_state = 2},
  [328] = {.lex_state = 105, .external_lex_state = 2},
  [329] = {.lex_state = 105, .external_lex_state = 2},
  [330] = {.lex_state = 105, .external_lex_state = 2},
  [331] = {.lex_state = 105, .external_lex_state = 2},
  [332] = {.lex_state = 104, .external_lex_state = 2},
  [333] = {.lex_state = 104, .external_lex_state = 2},
  [334] = {.lex_state = 105, .external_lex_state = 2},
  [335] = {.lex_state = 104, .external_lex_state = 2},
  [336] = {.lex_state = 104, .external_lex_state = 2},
  [337] = {.lex_state = 105, .external_lex_state = 2},
  [338] = {.lex_state = 104, .external_lex_state = 2},
  [339] = {.lex_state = 104, .external_lex_state = 2},
  [340] = {.lex_state = 105, .external_lex_state = 2},
  [341] = {.lex_state = 105, .external_lex_state = 2},
  [342] = {.lex_state = 104, .external_lex_state = 2},
  [343] = {.lex_state = 104, .external_lex_state = 2},
  [344] = {.lex_state = 105, .external_lex_state = 2},
  [345] = {.lex_state = 105, .external_lex_state = 2},
  [346] = {.lex_state = 105, .external_lex_state = 2},
  [347] = {.lex_state = 105, .external_lex_state = 2},
  [348] = {.lex_state = 104, .external_lex_state = 2},
  [349] = {.lex_state = 104, .external_lex_state = 2},
  [350] = {.lex_state = 105, .external_lex_state = 2},
  [351] = {.lex_state = 105, .external_lex_state = 2},
  [352] = {.lex_state = 105, .external_lex_state = 2},
  [353] = {.lex_state = 104, .external_lex_state = 2},
  [354] = {.lex_state = 104, .external_lex_state = 2},
  [355] = {.lex_state = 104, .external_lex_state = 2},
  [356] = {.lex_state = 104, .external_lex_state = 2},
  [357] = {.lex_state = 105, .external_lex_state = 2},
  [358] = {.lex_state = 105, .external_lex_state = 2},
  [359] = {.lex_state = 105, .external_lex_state = 2},
  [360] = {.lex_state = 105, .external_lex_state = 2},
  [361] = {.lex_state = 105, .external_lex_state = 2},
  [362] = {.lex_state = 105, .external_lex_state = 2},
  [363] = {.lex_state = 105, .external_lex_state = 2},
  [364] = {.lex_state = 105, .external_lex_state = 2},
  [365] = {.lex_state = 105, .external_lex_state = 2},
  [366] = {.lex_state = 105, .external_lex_state = 2},
  [367] = {.lex_state = 105, .external_lex_state = 2},
  [368] = {.lex_state = 105, .external_lex_state = 2},
  [369] = {.lex_state = 105, .external_lex_state = 2},
  [370] = {.lex_state = 105, .external_lex_state = 2},
  [371] = {.lex_state = 105, .external_lex_state = 2},
  [372] = {.lex_state = 105, .external_lex_state = 2},
  [373] = {.lex_state = 105, .external_lex_state = 2},
  [374] = {.lex_state = 105, .external_lex_state = 2},
  [375] = {.lex_state = 105, .external_lex_state = 2},
  [376] = {.lex_state = 105, .external_lex_state = 2},
  [377] = {.lex_state = 105, .external_lex_state = 2},
  [378] = {.lex_state = 105, .external_lex_state = 2},
  [379] = {.lex_state = 105, .external_lex_state = 2},
  [380] = {.lex_state = 105, .external_lex_state = 2},
  [381] = {.lex_state = 105, .external_lex_state = 2},
  [382] = {.lex_state = 105, .external_lex_state = 2},
  [383] = {.lex_state = 105, .external_lex_state = 2},
  [384] = {.lex_state = 105, .external_lex_state = 2},
  [385] = {.lex_state = 105, .external_lex_state = 2},
  [386] = {.lex_state = 105, .external_lex_state = 2},
  [387] = {.lex_state = 105, .external_lex_state = 2},
  [388] = {.lex_state = 105, .external_lex_state = 2},
  [389] = {.lex_state = 105, .external_lex_state = 2},
  [390] = {.lex_state = 105, .external_lex_state = 2},
  [391] = {.lex_state = 105, .external_lex_state = 2},
  [392] = {.lex_state = 105, .external_lex_state = 2},
  [393] = {.lex_state = 105, .external_lex_state = 2},
  [394] = {.lex_state = 105, .external_lex_state = 2},
  [395] = {.lex_state = 105, .external_lex_state = 2},
  [396] = {.lex_state = 105, .external_lex_state = 2},
  [397] = {.lex_state = 105, .external_lex_state = 2},
  [398] = {.lex_state = 105, .external_lex_state = 2},
  [399] = {.lex_state = 105, .external_lex_state = 2},
  [400] = {.lex_state = 105, .external_lex_state = 2},
  [401] = {.lex_state = 105, .external_lex_state = 2},
  [402] = {.lex_state = 105, .external_lex_state = 2},
  [403] = {.lex_state = 105, .external_lex_state = 2},
  [404] = {.lex_state = 105, .external_lex_state = 2},
  [405] = {.lex_state = 105, .external_lex_state = 2},
  [406] = {.lex_state = 105, .external_lex_state = 2},
  [407] = {.lex_state = 105, .external_lex_state = 2},
  [408] = {.lex_state = 105, .external_lex_state = 2},
  [409] = {.lex_state = 105, .external_lex_state = 2},
  [410] = {.lex_state = 105, .external_lex_state = 2},
  [411] = {.lex_state = 105, .external_lex_state = 2},
  [412] = {.lex_state = 105, .external_lex_state = 2},
  [413] = {.lex_state = 105, .external_lex_state = 2},
  [414] = {.lex_state = 105, .external_lex_state = 2},
  [415] = {.lex_state = 105, .external_lex_state = 2},
  [416] = {.lex_state = 105, .external_lex_state = 2},
  [417] = {.lex_state = 105, .external_lex_state = 2},
  [418] = {.lex_state = 105, .external_lex_state = 2},
  [419] = {.lex_state = 105, .external_lex_state = 2},
  [420] = {.lex_state = 105, .external_lex_state = 2},
  [421] = {.lex_state = 105, .external_lex_state = 2},
  [422] = {.lex_state = 105, .external_lex_state = 2},
  [423] = {.lex_state = 105, .external_lex_state = 2},
  [424] = {.lex_state = 105, .external_lex_state = 2},
  [425] = {.lex_state = 105, .external_lex_state = 2},
  [426] = {.lex_state = 105, .external_lex_state = 2},
  [427] = {.lex_state = 105, .external_lex_state = 2},
  [428] = {.lex_state = 105, .external_lex_state = 2},
  [429] = {.lex_state = 105, .external_lex_state = 2},
  [430] = {.lex_state = 105, .external_lex_state = 2},
  [431] = {.lex_state = 105, .external_lex_state = 2},
  [432] = {.lex_state = 105, .external_lex_state = 2},
  [433] = {.lex_state = 105, .external_lex_state = 2},
  [434] = {.lex_state = 105, .external_lex_state = 2},
  [435] = {.lex_state = 105, .external_lex_state = 2},
  [436] = {.lex_state = 105, .external_lex_state = 2},
  [437] = {.lex_state = 105, .external_lex_state = 2},
  [438] = {.lex_state = 105, .external_lex_state = 2},
  [439] = {.lex_state = 105, .external_lex_state = 2},
  [440] = {.lex_state = 105, .external_lex_state = 2},
  [441] = {.lex_state = 105, .external_lex_state = 2},
  [442] = {.lex_state = 105, .external_lex_state = 2},
  [443] = {.lex_state = 105, .external_lex_state = 2},
  [444] = {.lex_state = 105, .external_lex_state = 2},
  [445] = {.lex_state = 105, .external_lex_state = 2},
  [446] = {.lex_state = 105, .external_lex_state = 2},
  [447] = {.lex_state = 105, .external_lex_state = 2},
  [448] = {.lex_state = 105, .external_lex_state = 2},
  [449] = {.lex_state = 105, .external_lex_state = 2},
  [450] = {.lex_state = 105, .external_lex_state = 2},
  [451] = {.lex_state = 105, .external_lex_state = 2},
  [452] = {.lex_state = 105, .external_lex_state = 2},
  [453] = {.lex_state = 105, .external_lex_state = 2},
  [454] = {.lex_state = 105, .external_lex_state = 2},
  [455] = {.lex_state = 105, .external_lex_state = 2},
  [456] = {.lex_state = 105, .external_lex_state = 2},
  [457] = {.lex_state = 105, .external_lex_state = 2},
  [458] = {.lex_state = 105, .external_lex_state = 2},
  [459] = {.lex_state = 105, .external_lex_state = 2},
  [460] = {.lex_state = 105, .external_lex_state = 2},
  [461] = {.lex_state = 105, .external_lex_state = 2},
  [462] = {.lex_state = 105, .external_lex_state = 2},
  [463] = {.lex_state = 105, .external_lex_state = 2},
  [464] = {.lex_state = 105, .external_lex_state = 2},
  [465] = {.lex_state = 105, .external_lex_state = 2},
  [466] = {.lex_state = 105, .external_lex_state = 2},
  [467] = {.lex_state = 105, .external_lex_state = 2},
  [468] = {.lex_state = 105, .external_lex_state = 2},
  [469] = {.lex_state = 105, .external_lex_state = 2},
  [470] = {.lex_state = 105, .external_lex_state = 2},
  [471] = {.lex_state = 105, .external_lex_state = 2},
  [472] = {.lex_state = 105, .external_lex_state = 2},
  [473] = {.lex_state = 105, .external_lex_state = 2},
  [474] = {.lex_state = 105, .external_lex_state = 2},
  [475] = {.lex_state = 105, .external_lex_state = 2},
  [476] = {.lex_state = 105, .external_lex_state = 2},
  [477] = {.lex_state = 105, .external_lex_state = 2},
  [478] = {.lex_state = 105, .external_lex_state = 2},
  [479] = {.lex_state = 105, .external_lex_state = 2},
  [480] = {.lex_state = 105, .external_lex_state = 2},
  [481] = {.lex_state = 105, .external_lex_state = 2},
  [482] = {.lex_state = 105, .external_lex_state = 2},
  [483] = {.lex_state = 105, .external_lex_state = 2},
  [484] = {.lex_state = 105, .external_lex_state = 2},
  [485] = {.lex_state = 105, .external_lex_state = 2},
  [486] = {.lex_state = 105, .external_lex_state = 2},
  [487] = {.lex_state = 105, .external_lex_state = 2},
  [488] = {.lex_state = 105, .external_lex_state = 2},
  [489] = {.lex_state = 105, .external_lex_state = 2},
  [490] = {.lex_state = 105, .external_lex_state = 2},
  [491] = {.lex_state = 105, .external_lex_state = 2},
  [492] = {.lex_state = 105, .external_lex_state = 2},
  [493] = {.lex_state = 105, .external_lex_state = 2},
  [494] = {.lex_state = 105, .external_lex_state = 2},
  [495] = {.lex_state = 105, .external_lex_state = 2},
  [496] = {.lex_state = 105, .external_lex_state = 2},
  [497] = {.lex_state = 105, .external_lex_state = 2},
  [498] = {.lex_state = 105, .external_lex_state = 2},
  [499] = {.lex_state = 105, .external_lex_state = 2},
  [500] = {.lex_state = 105, .external_lex_state = 2},
  [501] = {.lex_state = 105, .external_lex_state = 2},
  [502] = {.lex_state = 105, .external_lex_state = 2},
  [503] = {.lex_state = 105, .external_lex_state = 2},
  [504] = {.lex_state = 105, .external_lex_state = 2},
  [505] = {.lex_state = 105, .external_lex_state = 2},
  [506] = {.lex_state = 105, .external_lex_state = 2},
  [507] = {.lex_state = 105, .external_lex_state = 2},
  [508] = {.lex_state = 105, .external_lex_state = 2},
  [509] = {.lex_state = 105, .external_lex_state = 2},
  [510] = {.lex_state = 105, .external_lex_state = 2},
  [511] = {.lex_state = 105, .external_lex_state = 2},
  [512] = {.lex_state = 105, .external_lex_state = 2},
  [513] = {.lex_state = 105, .external_lex_state = 2},
  [514] = {.lex_state = 105, .external_lex_state = 2},
  [515] = {.lex_state = 105, .external_lex_state = 2},
  [516] = {.lex_state = 105, .external_lex_state = 2},
  [517] = {.lex_state = 105, .external_lex_state = 2},
  [518] = {.lex_state = 105, .external_lex_state = 2},
  [519] = {.lex_state = 105, .external_lex_state = 2},
  [520] = {.lex_state = 105, .external_lex_state = 2},
  [521] = {.lex_state = 105, .external_lex_state = 2},
  [522] = {.lex_state = 105, .external_lex_state = 2},
  [523] = {.lex_state = 105, .external_lex_state = 2},
  [524] = {.lex_state = 105, .external_lex_state = 2},
  [525] = {.lex_state = 105, .external_lex_state = 2},
  [526] = {.lex_state = 105, .external_lex_state = 2},
  [527] = {.lex_state = 105, .external_lex_state = 2},
  [528] = {.lex_state = 105, .external_lex_state = 2},
  [529] = {.lex_state = 105, .external_lex_state = 2},
  [530] = {.lex_state = 105, .external_lex_state = 2},
  [531] = {.lex_state = 105, .external_lex_state = 2},
  [532] = {.lex_state = 105, .external_lex_state = 2},
  [533] = {.lex_state = 105, .external_lex_state = 2},
  [534] = {.lex_state = 105, .external_lex_state = 2},
  [535] = {.lex_state = 105, .external_lex_state = 2},
  [536] = {.lex_state = 105, .external_lex_state = 2},
  [537] = {.lex_state = 105, .external_lex_state = 2},
  [538] = {.lex_state = 105, .external_lex_state = 2},
  [539] = {.lex_state = 105, .external_lex_state = 2},
  [540] = {.lex_state = 105, .external_lex_state = 2},
  [541] = {.lex_state = 105, .external_lex_state = 2},
  [542] = {.lex_state = 105, .external_lex_state = 2},
  [543] = {.lex_state = 105, .external_lex_state = 2},
  [544] = {.lex_state = 105, .external_lex_state = 2},
  [545] = {.lex_state = 105, .external_lex_state = 2},
  [546] = {.lex_state = 105, .external_lex_state = 2},
  [547] = {.lex_state = 105, .external_lex_state = 2},
  [548] = {.lex_state = 105, .external_lex_state = 2},
  [549] = {.lex_state = 105, .external_lex_state = 2},
  [550] = {.lex_state = 105, .external_lex_state = 2},
  [551] = {.lex_state = 105, .external_lex_state = 2},
  [552] = {.lex_state = 105, .external_lex_state = 2},
  [553] = {.lex_state = 105, .external_lex_state = 2},
  [554] = {.lex_state = 105, .external_lex_state = 2},
  [555] = {.lex_state = 105, .external_lex_state = 2},
  [556] = {.lex_state = 105, .external_lex_state = 2},
  [557] = {.lex_state = 105, .external_lex_state = 2},
  [558] = {.lex_state = 105, .external_lex_state = 2},
  [559] = {.lex_state = 105, .external_lex_state = 2},
  [560] = {.lex_state = 105, .external_lex_state = 2},
  [561] = {.lex_state = 105, .external_lex_state = 2},
  [562] = {.lex_state = 105, .external_lex_state = 2},
  [563] = {.lex_state = 105, .external_lex_state = 2},
  [564] = {.lex_state = 105, .external_lex_state = 2},
  [565] = {.lex_state = 105, .external_lex_state = 2},
  [566] = {.lex_state = 105, .external_lex_state = 2},
  [567] = {.lex_state = 105, .external_lex_state = 2},
  [568] = {.lex_state = 105, .external_lex_state = 2},
  [569] = {.lex_state = 105, .external_lex_state = 2},
  [570] = {.lex_state = 105, .external_lex_state = 2},
  [571] = {.lex_state = 105, .external_lex_state = 2},
  [572] = {.lex_state = 105, .external_lex_state = 2},
  [573] = {.lex_state = 105, .external_lex_state = 2},
  [574] = {.lex_state = 105, .external_lex_state = 2},
  [575] = {.lex_state = 105, .external_lex_state = 2},
  [576] = {.lex_state = 105, .external_lex_state = 2},
  [577] = {.lex_state = 105, .external_lex_state = 2},
  [578] = {.lex_state = 105, .external_lex_state = 2},
  [579] = {.lex_state = 105, .external_lex_state = 2},
  [580] = {.lex_state = 105, .external_lex_state = 2},
  [581] = {.lex_state = 105, .external_lex_state = 2},
  [582] = {.lex_state = 105, .external_lex_state = 2},
  [583] = {.lex_state = 105, .external_lex_state = 2},
  [584] = {.lex_state = 105, .external_lex_state = 2},
  [585] = {.lex_state = 105, .external_lex_state = 2},
  [586] = {.lex_state = 105, .external_lex_state = 2},
  [587] = {.lex_state = 105, .external_lex_state = 2},
  [588] = {.lex_state = 105, .external_lex_state = 2},
  [589] = {.lex_state = 105, .external_lex_state = 2},
  [590] = {.lex_state = 105, .external_lex_state = 2},
  [591] = {.lex_state = 105, .external_lex_state = 2},
  [592] = {.lex_state = 105, .external_lex_state = 2},
  [593] = {.lex_state = 105, .external_lex_state = 2},
  [594] = {.lex_state = 105, .external_lex_state = 2},
  [595] = {.lex_state = 105, .external_lex_state = 2},
  [596] = {.lex_state = 105, .external_lex_state = 2},
  [597] = {.lex_state = 105, .external_lex_state = 2},
  [598] = {.lex_state = 105, .external_lex_state = 2},
  [599] = {.lex_state = 105, .external_lex_state = 2},
  [600] = {.lex_state = 105, .external_lex_state = 2},
  [601] = {.lex_state = 105, .external_lex_state = 2},
  [602] = {.lex_state = 105, .external_lex_state = 2},
  [603] = {.lex_state = 105, .external_lex_state = 2},
  [604] = {.lex_state = 105, .external_lex_state = 2},
  [605] = {.lex_state = 105, .external_lex_state = 2},
  [606] = {.lex_state = 105, .external_lex_state = 2},
  [607] = {.lex_state = 105, .external_lex_state = 2},
  [608] = {.lex_state = 105, .external_lex_state = 2},
  [609] = {.lex_state = 105, .external_lex_state = 2},
  [610] = {.lex_state = 105, .external_lex_state = 2},
  [611] = {.lex_state = 105, .external_lex_state = 2},
  [612] = {.lex_state = 105, .external_lex_state = 2},
  [613] = {.lex_state = 105, .external_lex_state = 2},
  [614] = {.lex_state = 105, .external_lex_state = 2},
  [615] = {.lex_state = 105, .external_lex_state = 2},
  [616] = {.lex_state = 105, .external_lex_state = 2},
  [617] = {.lex_state = 105, .external_lex_state = 2},
  [618] = {.lex_state = 105, .external_lex_state = 2},
  [619] = {.lex_state = 105, .external_lex_state = 2},
  [620] = {.lex_state = 105, .external_lex_state = 2},
  [621] = {.lex_state = 105, .external_lex_state = 2},
  [622] = {.lex_state = 105, .external_lex_state = 2},
  [623] = {.lex_state = 105, .external_lex_state = 2},
  [624] = {.lex_state = 105, .external_lex_state = 2},
  [625] = {.lex_state = 105, .external_lex_state = 2},
  [626] = {.lex_state = 105, .external_lex_state = 2},
  [627] = {.lex_state = 105, .external_lex_state = 2},
  [628] = {.lex_state = 105, .external_lex_state = 2},
  [629] = {.lex_state = 105, .external_lex_state = 2},
  [630] = {.lex_state = 105, .external_lex_state = 2},
  [631] = {.lex_state = 105, .external_lex_state = 2},
  [632] = {.lex_state = 105, .external_lex_state = 2},
  [633] = {.lex_state = 105, .external_lex_state = 2},
  [634] = {.lex_state = 105, .external_lex_state = 2},
  [635] = {.lex_state = 105, .external_lex_state = 2},
  [636] = {.lex_state = 105, .external_lex_state = 2},
  [637] = {.lex_state = 105, .external_lex_state = 2},
  [638] = {.lex_state = 105, .external_lex_state = 2},
  [639] = {.lex_state = 105, .external_lex_state = 2},
  [640] = {.lex_state = 105, .external_lex_state = 2},
  [641] = {.lex_state = 105, .external_lex_state = 2},
  [642] = {.lex_state = 105, .external_lex_state = 2},
  [643] = {.lex_state = 105, .external_lex_state = 2},
  [644] = {.lex_state = 105, .external_lex_state = 2},
  [645] = {.lex_state = 105, .external_lex_state = 2},
  [646] = {.lex_state = 105, .external_lex_state = 2},
  [647] = {.lex_state = 105, .external_lex_state = 2},
  [648] = {.lex_state = 105, .external_lex_state = 2},
  [649] = {.lex_state = 105, .external_lex_state = 2},
  [650] = {.lex_state = 105, .external_lex_state = 2},
  [651] = {.lex_state = 105, .external_lex_state = 2},
  [652] = {.lex_state = 105, .external_lex_state = 2},
  [653] = {.lex_state = 105, .external_lex_state = 2},
  [654] = {.lex_state = 105, .external_lex_state = 2},
  [655] = {.lex_state = 105, .external_lex_state = 2},
  [656] = {.lex_state = 105, .external_lex_state = 2},
  [657] = {.lex_state = 105, .external_lex_state = 2},
  [658] = {.lex_state = 105, .external_lex_state = 2},
  [659] = {.lex_state = 105, .external_lex_state = 2},
  [660] = {.lex_state = 105, .external_lex_state = 2},
  [661] = {.lex_state = 105, .external_lex_state = 2},
  [662] = {.lex_state = 105, .external_lex_state = 2},
  [663] = {.lex_state = 105, .external_lex_state = 2},
  [664] = {.lex_state = 105, .external_lex_state = 2},
  [665] = {.lex_state = 105, .external_lex_state = 2},
  [666] = {.lex_state = 105, .external_lex_state = 2},
  [667] = {.lex_state = 105, .external_lex_state = 2},
  [668] = {.lex_state = 105, .external_lex_state = 2},
  [669] = {.lex_state = 105, .external_lex_state = 2},
  [670] = {.lex_state = 105, .external_lex_state = 2},
  [671] = {.lex_state = 105, .external_lex_state = 2},
  [672] = {.lex_state = 105, .external_lex_state = 2},
  [673] = {.lex_state = 105, .external_lex_state = 2},
  [674] = {.lex_state = 105, .external_lex_state = 2},
  [675] = {.lex_state = 105, .external_lex_state = 2},
  [676] = {.lex_state = 105, .external_lex_state = 2},
  [677] = {.lex_state = 105, .external_lex_state = 2},
  [678] = {.lex_state = 105, .external_lex_state = 2},
  [679] = {.lex_state = 105, .external_lex_state = 2},
  [680] = {.lex_state = 105, .external_lex_state = 2},
  [681] = {.lex_state = 105, .external_lex_state = 2},
  [682] = {.lex_state = 105, .external_lex_state = 2},
  [683] = {.lex_state = 105, .external_lex_state = 2},
  [684] = {.lex_state = 105, .external_lex_state = 2},
  [685] = {.lex_state = 105, .external_lex_state = 2},
  [686] = {.lex_state = 105, .external_lex_state = 2},
  [687] = {.lex_state = 105, .external_lex_state = 2},
  [688] = {.lex_state = 105, .external_lex_state = 2},
  [689] = {.lex_state = 105, .external_lex_state = 2},
  [690] = {.lex_state = 105, .external_lex_state = 2},
  [691] = {.lex_state = 105, .external_lex_state = 2},
  [692] = {.lex_state = 105, .external_lex_state = 2},
  [693] = {.lex_state = 105, .external_lex_state = 2},
  [694] = {.lex_state = 105, .external_lex_state = 2},
  [695] = {.lex_state = 105, .external_lex_state = 2},
  [696] = {.lex_state = 105, .external_lex_state = 2},
  [697] = {.lex_state = 105, .external_lex_state = 2},
  [698] = {.lex_state = 105, .external_lex_state = 2},
  [699] = {.lex_state = 105, .external_lex_state = 2},
  [700] = {.lex_state = 105, .external_lex_state = 2},
  [701] = {.lex_state = 105, .external_lex_state = 2},
  [702] = {.lex_state = 105, .external_lex_state = 2},
  [703] = {.lex_state = 105, .external_lex_state = 2},
  [704] = {.lex_state = 105, .external_lex_state = 2},
  [705] = {.lex_state = 105, .external_lex_state = 2},
  [706] = {.lex_state = 105, .external_lex_state = 2},
  [707] = {.lex_state = 105, .external_lex_state = 2},
  [708] = {.lex_state = 105, .external_lex_state = 2},
  [709] = {.lex_state = 105, .external_lex_state = 2},
  [710] = {.lex_state = 105, .external_lex_state = 2},
  [711] = {.lex_state = 105, .external_lex_state = 2},
  [712] = {.lex_state = 105, .external_lex_state = 2},
  [713] = {.lex_state = 105, .external_lex_state = 2},
  [714] = {.lex_state = 105, .external_lex_state = 2},
  [715] = {.lex_state = 105, .external_lex_state = 2},
  [716] = {.lex_state = 105, .external_lex_state = 2},
  [717] = {.lex_state = 105, .external_lex_state = 2},
  [718] = {.lex_state = 105, .external_lex_state = 2},
  [719] = {.lex_state = 105, .external_lex_state = 2},
  [720] = {.lex_state = 105, .external_lex_state = 2},
  [721] = {.lex_state = 105, .external_lex_state = 2},
  [722] = {.lex_state = 105, .external_lex_state = 2},
  [723] = {.lex_state = 105, .external_lex_state = 2},
  [724] = {.lex_state = 105, .external_lex_state = 2},
  [725] = {.lex_state = 105, .external_lex_state = 2},
  [726] = {.lex_state = 105, .external_lex_state = 2},
  [727] = {.lex_state = 105, .external_lex_state = 2},
  [728] = {.lex_state = 105, .external_lex_state = 2},
  [729] = {.lex_state = 105, .external_lex_state = 2},
  [730] = {.lex_state = 105, .external_lex_state = 2},
  [731] = {.lex_state = 105, .external_lex_state = 2},
  [732] = {.lex_state = 105, .external_lex_state = 2},
  [733] = {.lex_state = 105, .external_lex_state = 2},
  [734] = {.lex_state = 105, .external_lex_state = 2},
  [735] = {.lex_state = 105, .external_lex_state = 2},
  [736] = {.lex_state = 105, .external_lex_state = 2},
  [737] = {.lex_state = 105, .external_lex_state = 2},
  [738] = {.lex_state = 105, .external_lex_state = 2},
  [739] = {.lex_state = 105, .external_lex_state = 2},
  [740] = {.lex_state = 105, .external_lex_state = 2},
  [741] = {.lex_state = 105, .external_lex_state = 2},
  [742] = {.lex_state = 105, .external_lex_state = 2},
  [743] = {.lex_state = 105, .external_lex_state = 2},
  [744] = {.lex_state = 105, .external_lex_state = 2},
  [745] = {.lex_state = 105, .external_lex_state = 2},
  [746] = {.lex_state = 105, .external_lex_state = 2},
  [747] = {.lex_state = 105, .external_lex_state = 2},
  [748] = {.lex_state = 105, .external_lex_state = 2},
  [749] = {.lex_state = 105, .external_lex_state = 2},
  [750] = {.lex_state = 105, .external_lex_state = 2},
  [751] = {.lex_state = 105, .external_lex_state = 2},
  [752] = {.lex_state = 105, .external_lex_state = 2},
  [753] = {.lex_state = 105, .external_lex_state = 2},
  [754] = {.lex_state = 105, .external_lex_state = 2},
  [755] = {.lex_state = 105, .external_lex_state = 2},
  [756] = {.lex_state = 105, .external_lex_state = 2},
  [757] = {.lex_state = 105, .external_lex_state = 2},
  [758] = {.lex_state = 105, .external_lex_state = 2},
  [759] = {.lex_state = 105, .external_lex_state = 2},
  [760] = {.lex_state = 105, .external_lex_state = 2},
  [761] = {.lex_state = 105, .external_lex_state = 2},
  [762] = {.lex_state = 105, .external_lex_state = 2},
  [763] = {.lex_state = 105, .external_lex_state = 2},
  [764] = {.lex_state = 105, .external_lex_state = 2},
  [765] = {.lex_state = 105, .external_lex_state = 2},
  [766] = {.lex_state = 105, .external_lex_state = 2},
  [767] = {.lex_state = 105, .external_lex_state = 2},
  [768] = {.lex_state = 105, .external_lex_state = 2},
  [769] = {.lex_state = 105, .external_lex_state = 2},
  [770] = {.lex_state = 105, .external_lex_state = 2},
  [771] = {.lex_state = 105, .external_lex_state = 2},
  [772] = {.lex_state = 105, .external_lex_state = 2},
  [773] = {.lex_state = 105, .external_lex_state = 2},
  [774] = {.lex_state = 105, .external_lex_state = 2},
  [775] = {.lex_state = 105, .external_lex_state = 2},
  [776] = {.lex_state = 105, .external_lex_state = 2},
  [777] = {.lex_state = 105, .external_lex_state = 2},
  [778] = {.lex_state = 105, .external_lex_state = 2},
  [779] = {.lex_state = 105, .external_lex_state = 2},
  [780] = {.lex_state = 105, .external_lex_state = 2},
  [781] = {.lex_state = 105, .external_lex_state = 2},
  [782] = {.lex_state = 105, .external_lex_state = 2},
  [783] = {.lex_state = 105, .external_lex_state = 2},
  [784] = {.lex_state = 105, .external_lex_state = 2},
  [785] = {.lex_state = 105, .external_lex_state = 2},
  [786] = {.lex_state = 105, .external_lex_state = 2},
  [787] = {.lex_state = 105, .external_lex_state = 2},
  [788] = {.lex_state = 105, .external_lex_state = 2},
  [789] = {.lex_state = 105, .external_lex_state = 2},
  [790] = {.lex_state = 105, .external_lex_state = 2},
  [791] = {.lex_state = 105, .external_lex_state = 2},
  [792] = {.lex_state = 105, .external_lex_state = 2},
  [793] = {.lex_state = 105, .external_lex_state = 2},
  [794] = {.lex_state = 105, .external_lex_state = 2},
  [795] = {.lex_state = 105, .external_lex_state = 2},
  [796] = {.lex_state = 105, .external_lex_state = 2},
  [797] = {.lex_state = 105, .external_lex_state = 2},
  [798] = {.lex_state = 105, .external_lex_state = 2},
  [799] = {.lex_state = 105, .external_lex_state = 2},
  [800] = {.lex_state = 105, .external_lex_state = 2},
  [801] = {.lex_state = 105, .external_lex_state = 2},
  [802] = {.lex_state = 105, .external_lex_state = 2},
  [803] = {.lex_state = 105, .external_lex_state = 2},
  [804] = {.lex_state = 105, .external_lex_state = 2},
  [805] = {.lex_state = 105, .external_lex_state = 2},
  [806] = {.lex_state = 105, .external_lex_state = 2},
  [807] = {.lex_state = 105, .external_lex_state = 2},
  [808] = {.lex_state = 105, .external_lex_state = 2},
  [809] = {.lex_state = 105, .external_lex_state = 2},
  [810] = {.lex_state = 105, .external_lex_state = 2},
  [811] = {.lex_state = 105, .external_lex_state = 2},
  [812] = {.lex_state = 105, .external_lex_state = 2},
  [813] = {.lex_state = 105, .external_lex_state = 2},
  [814] = {.lex_state = 105, .external_lex_state = 2},
  [815] = {.lex_state = 105, .external_lex_state = 2},
  [816] = {.lex_state = 105, .external_lex_state = 2},
  [817] = {.lex_state = 105, .external_lex_state = 2},
  [818] = {.lex_state = 105, .external_lex_state = 2},
  [819] = {.lex_state = 105, .external_lex_state = 2},
  [820] = {.lex_state = 105, .external_lex_state = 2},
  [821] = {.lex_state = 105, .external_lex_state = 2},
  [822] = {.lex_state = 105, .external_lex_state = 2},
  [823] = {.lex_state = 105, .external_lex_state = 2},
  [824] = {.lex_state = 105, .external_lex_state = 2},
  [825] = {.lex_state = 105, .external_lex_state = 2},
  [826] = {.lex_state = 105, .external_lex_state = 2},
  [827] = {.lex_state = 105, .external_lex_state = 2},
  [828] = {.lex_state = 105, .external_lex_state = 2},
  [829] = {.lex_state = 105, .external_lex_state = 2},
  [830] = {.lex_state = 105, .external_lex_state = 2},
  [831] = {.lex_state = 105, .external_lex_state = 2},
  [832] = {.lex_state = 105, .external_lex_state = 2},
  [833] = {.lex_state = 105, .external_lex_state = 2},
  [834] = {.lex_state = 105, .external_lex_state = 2},
  [835] = {.lex_state = 105, .external_lex_state = 2},
  [836] = {.lex_state = 105, .external_lex_state = 2},
  [837] = {.lex_state = 105, .external_lex_state = 2},
  [838] = {.lex_state = 105, .external_lex_state = 2},
  [839] = {.lex_state = 105, .external_lex_state = 2},
  [840] = {.lex_state = 105, .external_lex_state = 2},
  [841] = {.lex_state = 105, .external_lex_state = 2},
  [842] = {.lex_state = 105, .external_lex_state = 2},
  [843] = {.lex_state = 105, .external_lex_state = 2},
  [844] = {.lex_state = 105, .external_lex_state = 2},
  [845] = {.lex_state = 105, .external_lex_state = 2},
  [846] = {.lex_state = 105, .external_lex_state = 2},
  [847] = {.lex_state = 105, .external_lex_state = 2},
  [848] = {.lex_state = 105, .external_lex_state = 2},
  [849] = {.lex_state = 105, .external_lex_state = 2},
  [850] = {.lex_state = 105, .external_lex_state = 2},
  [851] = {.lex_state = 105, .external_lex_state = 2},
  [852] = {.lex_state = 105, .external_lex_state = 2},
  [853] = {.lex_state = 105, .external_lex_state = 2},
  [854] = {.lex_state = 105, .external_lex_state = 2},
  [855] = {.lex_state = 105, .external_lex_state = 2},
  [856] = {.lex_state = 105, .external_lex_state = 2},
  [857] = {.lex_state = 105, .external_lex_state = 2},
  [858] = {.lex_state = 105, .external_lex_state = 2},
  [859] = {.lex_state = 105, .external_lex_state = 2},
  [860] = {.lex_state = 105, .external_lex_state = 2},
  [861] = {.lex_state = 105, .external_lex_state = 2},
  [862] = {.lex_state = 105, .external_lex_state = 2},
  [863] = {.lex_state = 105, .external_lex_state = 2},
  [864] = {.lex_state = 105, .external_lex_state = 2},
  [865] = {.lex_state = 105, .external_lex_state = 2},
  [866] = {.lex_state = 105, .external_lex_state = 2},
  [867] = {.lex_state = 105, .external_lex_state = 2},
  [868] = {.lex_state = 105, .external_lex_state = 2},
  [869] = {.lex_state = 105, .external_lex_state = 2},
  [870] = {.lex_state = 105, .external_lex_state = 2},
  [871] = {.lex_state = 105, .external_lex_state = 2},
  [872] = {.lex_state = 105, .external_lex_state = 2},
  [873] = {.lex_state = 105, .external_lex_state = 2},
  [874] = {.lex_state = 105, .external_lex_state = 2},
  [875] = {.lex_state = 105, .external_lex_state = 2},
  [876] = {.lex_state = 105, .external_lex_state = 2},
  [877] = {.lex_state = 105, .external_lex_state = 2},
  [878] = {.lex_state = 105, .external_lex_state = 2},
  [879] = {.lex_state = 105, .external_lex_state = 2},
  [880] = {.lex_state = 105, .external_lex_state = 2},
  [881] = {.lex_state = 105, .external_lex_state = 2},
  [882] = {.lex_state = 105, .external_lex_state = 2},
  [883] = {.lex_state = 105, .external_lex_state = 2},
  [884] = {.lex_state = 105, .external_lex_state = 2},
  [885] = {.lex_state = 105, .external_lex_state = 2},
  [886] = {.lex_state = 105, .external_lex_state = 2},
  [887] = {.lex_state = 105, .external_lex_state = 2},
  [888] = {.lex_state = 105, .external_lex_state = 2},
  [889] = {.lex_state = 105, .external_lex_state = 2},
  [890] = {.lex_state = 105, .external_lex_state = 2},
  [891] = {.lex_state = 105, .external_lex_state = 2},
  [892] = {.lex_state = 105, .external_lex_state = 2},
  [893] = {.lex_state = 105, .external_lex_state = 2},
  [894] = {.lex_state = 105, .external_lex_state = 2},
  [895] = {.lex_state = 105, .external_lex_state = 2},
  [896] = {.lex_state = 105, .external_lex_state = 2},
  [897] = {.lex_state = 105, .external_lex_state = 2},
  [898] = {.lex_state = 105, .external_lex_state = 2},
  [899] = {.lex_state = 105, .external_lex_state = 2},
  [900] = {.lex_state = 105, .external_lex_state = 2},
  [901] = {.lex_state = 105, .external_lex_state = 2},
  [902] = {.lex_state = 105, .external_lex_state = 2},
  [903] = {.lex_state = 105, .external_lex_state = 2},
  [904] = {.lex_state = 105, .external_lex_state = 2},
  [905] = {.lex_state = 105, .external_lex_state = 2},
  [906] = {.lex_state = 105, .external_lex_state = 2},
  [907] = {.lex_state = 105, .external_lex_state = 2},
  [908] = {.lex_state = 105, .external_lex_state = 2},
  [909] = {.lex_state = 105, .external_lex_state = 2},
  [910] = {.lex_state = 105, .external_lex_state = 2},
  [911] = {.lex_state = 105, .external_lex_state = 2},
  [912] = {.lex_state = 105, .external_lex_state = 2},
  [913] = {.lex_state = 105, .external_lex_state = 2},
  [914] = {.lex_state = 105, .external_lex_state = 2},
  [915] = {.lex_state = 105, .external_lex_state = 2},
  [916] = {.lex_state = 105, .external_lex_state = 2},
  [917] = {.lex_state = 105, .external_lex_state = 2},
  [918] = {.lex_state = 105, .external_lex_state = 2},
  [919] = {.lex_state = 105, .external_lex_state = 2},
  [920] = {.lex_state = 105, .external_lex_state = 2},
  [921] = {.lex_state = 105, .external_lex_state = 2},
  [922] = {.lex_state = 105, .external_lex_state = 2},
  [923] = {.lex_state = 105, .external_lex_state = 2},
  [924] = {.lex_state = 105, .external_lex_state = 2},
  [925] = {.lex_state = 105, .external_lex_state = 2},
  [926] = {.lex_state = 105, .external_lex_state = 2},
  [927] = {.lex_state = 105, .external_lex_state = 2},
  [928] = {.lex_state = 105, .external_lex_state = 2},
  [929] = {.lex_state = 105, .external_lex_state = 2},
  [930] = {.lex_state = 105, .external_lex_state = 2},
  [931] = {.lex_state = 105, .external_lex_state = 2},
  [932] = {.lex_state = 105, .external_lex_state = 2},
  [933] = {.lex_state = 105, .external_lex_state = 2},
  [934] = {.lex_state = 105, .external_lex_state = 2},
  [935] = {.lex_state = 105, .external_lex_state = 2},
  [936] = {.lex_state = 105, .external_lex_state = 2},
  [937] = {.lex_state = 105, .external_lex_state = 2},
  [938] = {.lex_state = 105, .external_lex_state = 2},
  [939] = {.lex_state = 105, .external_lex_state = 2},
  [940] = {.lex_state = 105, .external_lex_state = 2},
  [941] = {.lex_state = 105, .external_lex_state = 2},
  [942] = {.lex_state = 105, .external_lex_state = 2},
  [943] = {.lex_state = 105, .external_lex_state = 2},
  [944] = {.lex_state = 105, .external_lex_state = 2},
  [945] = {.lex_state = 105, .external_lex_state = 2},
  [946] = {.lex_state = 105, .external_lex_state = 2},
  [947] = {.lex_state = 105, .external_lex_state = 2},
  [948] = {.lex_state = 105, .external_lex_state = 2},
  [949] = {.lex_state = 105, .external_lex_state = 2},
  [950] = {.lex_state = 105, .external_lex_state = 2},
  [951] = {.lex_state = 105, .external_lex_state = 2},
  [952] = {.lex_state = 105, .external_lex_state = 2},
  [953] = {.lex_state = 105, .external_lex_state = 2},
  [954] = {.lex_state = 105, .external_lex_state = 2},
  [955] = {.lex_state = 105, .external_lex_state = 2},
  [956] = {.lex_state = 105, .external_lex_state = 2},
  [957] = {.lex_state = 105, .external_lex_state = 2},
  [958] = {.lex_state = 105, .external_lex_state = 2},
  [959] = {.lex_state = 105, .external_lex_state = 2},
  [960] = {.lex_state = 105, .external_lex_state = 2},
  [961] = {.lex_state = 105, .external_lex_state = 2},
  [962] = {.lex_state = 105, .external_lex_state = 2},
  [963] = {.lex_state = 105, .external_lex_state = 2},
  [964] = {.lex_state = 105, .external_lex_state = 2},
  [965] = {.lex_state = 105, .external_lex_state = 2},
  [966] = {.lex_state = 105, .external_lex_state = 2},
  [967] = {.lex_state = 105, .external_lex_state = 2},
  [968] = {.lex_state = 105, .external_lex_state = 2},
  [969] = {.lex_state = 105, .external_lex_state = 2},
  [970] = {.lex_state = 105, .external_lex_state = 2},
  [971] = {.lex_state = 105, .external_lex_state = 2},
  [972] = {.lex_state = 105, .external_lex_state = 2},
  [973] = {.lex_state = 105, .external_lex_state = 2},
  [974] = {.lex_state = 105, .external_lex_state = 2},
  [975] = {.lex_state = 105, .external_lex_state = 2},
  [976] = {.lex_state = 105, .external_lex_state = 2},
  [977] = {.lex_state = 105, .external_lex_state = 2},
  [978] = {.lex_state = 105, .external_lex_state = 2},
  [979] = {.lex_state = 105, .external_lex_state = 2},
  [980] = {.lex_state = 105, .external_lex_state = 2},
  [981] = {.lex_state = 105, .external_lex_state = 2},
  [982] = {.lex_state = 105, .external_lex_state = 2},
  [983] = {.lex_state = 105, .external_lex_state = 2},
  [984] = {.lex_state = 105, .external_lex_state = 2},
  [985] = {.lex_state = 105, .external_lex_state = 2},
  [986] = {.lex_state = 105, .external_lex_state = 2},
  [987] = {.lex_state = 105, .external_lex_state = 2},
  [988] = {.lex_state = 105, .external_lex_state = 2},
  [989] = {.lex_state = 105, .external_lex_state = 2},
  [990] = {.lex_state = 105, .external_lex_state = 2},
  [991] = {.lex_state = 105, .external_lex_state = 2},
  [992] = {.lex_state = 105, .external_lex_state = 2},
  [993] = {.lex_state = 105, .external_lex_state = 2},
  [994] = {.lex_state = 105, .external_lex_state = 2},
  [995] = {.lex_state = 105, .external_lex_state = 2},
  [996] = {.lex_state = 105, .external_lex_state = 2},
  [997] = {.lex_state = 105, .external_lex_state = 2},
  [998] = {.lex_state = 105, .external_lex_state = 2},
  [999] = {.lex_state = 105, .external_lex_state = 2},
  [1000] = {.lex_state = 105, .external_lex_state = 2},
  [1001] = {.lex_state = 105, .external_lex_state = 2},
  [1002] = {.lex_state = 105, .external_lex_state = 2},
  [1003] = {.lex_state = 105, .external_lex_state = 2},
  [1004] = {.lex_state = 105, .external_lex_state = 2},
  [1005] = {.lex_state = 105, .external_lex_state = 2},
  [1006] = {.lex_state = 105, .external_lex_state = 2},
  [1007] = {.lex_state = 105, .external_lex_state = 2},
  [1008] = {.lex_state = 105, .external_lex_state = 2},
  [1009] = {.lex_state = 105, .external_lex_state = 2},
  [1010] = {.lex_state = 105, .external_lex_state = 2},
  [1011] = {.lex_state = 105, .external_lex_state = 2},
  [1012] = {.lex_state = 105, .external_lex_state = 2},
  [1013] = {.lex_state = 105, .external_lex_state = 2},
  [1014] = {.lex_state = 105, .external_lex_state = 2},
  [1015] = {.lex_state = 105, .external_lex_state = 2},
  [1016] = {.lex_state = 105, .external_lex_state = 2},
  [1017] = {.lex_state = 105, .external_lex_state = 2},
  [1018] = {.lex_state = 105, .external_lex_state = 2},
  [1019] = {.lex_state = 105, .external_lex_state = 2},
  [1020] = {.lex_state = 105, .external_lex_state = 2},
  [1021] = {.lex_state = 105, .external_lex_state = 2},
  [1022] = {.lex_state = 105, .external_lex_state = 2},
  [1023] = {.lex_state = 105, .external_lex_state = 2},
  [1024] = {.lex_state = 105, .external_lex_state = 2},
  [1025] = {.lex_state = 105, .external_lex_state = 2},
  [1026] = {.lex_state = 105, .external_lex_state = 2},
  [1027] = {.lex_state = 105, .external_lex_state = 2},
  [1028] = {.lex_state = 105, .external_lex_state = 2},
  [1029] = {.lex_state = 105, .external_lex_state = 2},
  [1030] = {.lex_state = 105, .external_lex_state = 2},
  [1031] = {.lex_state = 105, .external_lex_state = 2},
  [1032] = {.lex_state = 105, .external_lex_state = 2},
  [1033] = {.lex_state = 105, .external_lex_state = 2},
  [1034] = {.lex_state = 105, .external_lex_state = 2},
  [1035] = {.lex_state = 105, .external_lex_state = 2},
  [1036] = {.lex_state = 105, .external_lex_state = 2},
  [1037] = {.lex_state = 105, .external_lex_state = 2},
  [1038] = {.lex_state = 105, .external_lex_state = 2},
  [1039] = {.lex_state = 105, .external_lex_state = 2},
  [1040] = {.lex_state = 105, .external_lex_state = 2},
  [1041] = {.lex_state = 105, .external_lex_state = 2},
  [1042] = {.lex_state = 105, .external_lex_state = 2},
  [1043] = {.lex_state = 105, .external_lex_state = 2},
  [1044] = {.lex_state = 105, .external_lex_state = 2},
  [1045] = {.lex_state = 105, .external_lex_state = 2},
  [1046] = {.lex_state = 105, .external_lex_state = 2},
  [1047] = {.lex_state = 105, .external_lex_state = 2},
  [1048] = {.lex_state = 105, .external_lex_state = 2},
  [1049] = {.lex_state = 105, .external_lex_state = 2},
  [1050] = {.lex_state = 105, .external_lex_state = 2},
  [1051] = {.lex_state = 105, .external_lex_state = 2},
  [1052] = {.lex_state = 105, .external_lex_state = 2},
  [1053] = {.lex_state = 105, .external_lex_state = 2},
  [1054] = {.lex_state = 105, .external_lex_state = 2},
  [1055] = {.lex_state = 105, .external_lex_state = 2},
  [1056] = {.lex_state = 105, .external_lex_state = 2},
  [1057] = {.lex_state = 105, .external_lex_state = 2},
  [1058] = {.lex_state = 105, .external_lex_state = 2},
  [1059] = {.lex_state = 105, .external_lex_state = 2},
  [1060] = {.lex_state = 105, .external_lex_state = 2},
  [1061] = {.lex_state = 105, .external_lex_state = 2},
  [1062] = {.lex_state = 105, .external_lex_state = 2},
  [1063] = {.lex_state = 105, .external_lex_state = 2},
  [1064] = {.lex_state = 105, .external_lex_state = 2},
  [1065] = {.lex_state = 105, .external_lex_state = 2},
  [1066] = {.lex_state = 105, .external_lex_state = 2},
  [1067] = {.lex_state = 105, .external_lex_state = 2},
  [1068] = {.lex_state = 105, .external_lex_state = 2},
  [1069] = {.lex_state = 105, .external_lex_state = 2},
  [1070] = {.lex_state = 105, .external_lex_state = 2},
  [1071] = {.lex_state = 105, .external_lex_state = 2},
  [1072] = {.lex_state = 105, .external_lex_state = 2},
  [1073] = {.lex_state = 105, .external_lex_state = 2},
  [1074] = {.lex_state = 105, .external_lex_state = 2},
  [1075] = {.lex_state = 105, .external_lex_state = 2},
  [1076] = {.lex_state = 105, .external_lex_state = 2},
  [1077] = {.lex_state = 105, .external_lex_state = 2},
  [1078] = {.lex_state = 105, .external_lex_state = 2},
  [1079] = {.lex_state = 105, .external_lex_state = 2},
  [1080] = {.lex_state = 105, .external_lex_state = 2},
  [1081] = {.lex_state = 105, .external_lex_state = 2},
  [1082] = {.lex_state = 105, .external_lex_state = 2},
  [1083] = {.lex_state = 105, .external_lex_state = 2},
  [1084] = {.lex_state = 105, .external_lex_state = 2},
  [1085] = {.lex_state = 105, .external_lex_state = 2},
  [1086] = {.lex_state = 105, .external_lex_state = 2},
  [1087] = {.lex_state = 105, .external_lex_state = 2},
  [1088] = {.lex_state = 105, .external_lex_state = 2},
  [1089] = {.lex_state = 105, .external_lex_state = 2},
  [1090] = {.lex_state = 105, .external_lex_state = 2},
  [1091] = {.lex_state = 105, .external_lex_state = 2},
  [1092] = {.lex_state = 105, .external_lex_state = 2},
  [1093] = {.lex_state = 105, .external_lex_state = 2},
  [1094] = {.lex_state = 105, .external_lex_state = 2},
  [1095] = {.lex_state = 105, .external_lex_state = 2},
  [1096] = {.lex_state = 105, .external_lex_state = 2},
  [1097] = {.lex_state = 105, .external_lex_state = 2},
  [1098] = {.lex_state = 105, .external_lex_state = 2},
  [1099] = {.lex_state = 105, .external_lex_state = 2},
  [1100] = {.lex_state = 105, .external_lex_state = 2},
  [1101] = {.lex_state = 105, .external_lex_state = 2},
  [1102] = {.lex_state = 105, .external_lex_state = 2},
  [1103] = {.lex_state = 105, .external_lex_state = 2},
  [1104] = {.lex_state = 105, .external_lex_state = 2},
  [1105] = {.lex_state = 105, .external_lex_state = 2},
  [1106] = {.lex_state = 105, .external_lex_state = 2},
  [1107] = {.lex_state = 105, .external_lex_state = 2},
  [1108] = {.lex_state = 105, .external_lex_state = 2},
  [1109] = {.lex_state = 105, .external_lex_state = 2},
  [1110] = {.lex_state = 105, .external_lex_state = 2},
  [1111] = {.lex_state = 105, .external_lex_state = 2},
  [1112] = {.lex_state = 105, .external_lex_state = 2},
  [1113] = {.lex_state = 105, .external_lex_state = 2},
  [1114] = {.lex_state = 105, .external_lex_state = 2},
  [1115] = {.lex_state = 105, .external_lex_state = 2},
  [1116] = {.lex_state = 105, .external_lex_state = 2},
  [1117] = {.lex_state = 105, .external_lex_state = 2},
  [1118] = {.lex_state = 105, .external_lex_state = 2},
  [1119] = {.lex_state = 105, .external_lex_state = 2},
  [1120] = {.lex_state = 105, .external_lex_state = 2},
  [1121] = {.lex_state = 105, .external_lex_state = 2},
  [1122] = {.lex_state = 105, .external_lex_state = 2},
  [1123] = {.lex_state = 105, .external_lex_state = 2},
  [1124] = {.lex_state = 105, .external_lex_state = 2},
  [1125] = {.lex_state = 105, .external_lex_state = 2},
  [1126] = {.lex_state = 105, .external_lex_state = 2},
  [1127] = {.lex_state = 105, .external_lex_state = 2},
  [1128] = {.lex_state = 105, .external_lex_state = 2},
  [1129] = {.lex_state = 105, .external_lex_state = 2},
  [1130] = {.lex_state = 105, .external_lex_state = 2},
  [1131] = {.lex_state = 105, .external_lex_state = 2},
  [1132] = {.lex_state = 105, .external_lex_state = 2},
  [1133] = {.lex_state = 105, .external_lex_state = 2},
  [1134] = {.lex_state = 105, .external_lex_state = 2},
  [1135] = {.lex_state = 105, .external_lex_state = 2},
  [1136] = {.lex_state = 105, .external_lex_state = 2},
  [1137] = {.lex_state = 105, .external_lex_state = 2},
  [1138] = {.lex_state = 105, .external_lex_state = 2},
  [1139] = {.lex_state = 105, .external_lex_state = 2},
  [1140] = {.lex_state = 105, .external_lex_state = 2},
  [1141] = {.lex_state = 105, .external_lex_state = 2},
  [1142] = {.lex_state = 105, .external_lex_state = 2},
  [1143] = {.lex_state = 105, .external_lex_state = 2},
  [1144] = {.lex_state = 105, .external_lex_state = 2},
  [1145] = {.lex_state = 105, .external_lex_state = 2},
  [1146] = {.lex_state = 105, .external_lex_state = 2},
  [1147] = {.lex_state = 105, .external_lex_state = 2},
  [1148] = {.lex_state = 105, .external_lex_state = 2},
  [1149] = {.lex_state = 105, .external_lex_state = 2},
  [1150] = {.lex_state = 105, .external_lex_state = 2},
  [1151] = {.lex_state = 105, .external_lex_state = 2},
  [1152] = {.lex_state = 105, .external_lex_state = 2},
  [1153] = {.lex_state = 105, .external_lex_state = 2},
  [1154] = {.lex_state = 105, .external_lex_state = 2},
  [1155] = {.lex_state = 105, .external_lex_state = 2},
  [1156] = {.lex_state = 105, .external_lex_state = 2},
  [1157] = {.lex_state = 105, .external_lex_state = 2},
  [1158] = {.lex_state = 105, .external_lex_state = 2},
  [1159] = {.lex_state = 105, .external_lex_state = 2},
  [1160] = {.lex_state = 105, .external_lex_state = 2},
  [1161] = {.lex_state = 105, .external_lex_state = 2},
  [1162] = {.lex_state = 105, .external_lex_state = 2},
  [1163] = {.lex_state = 105, .external_lex_state = 2},
  [1164] = {.lex_state = 105, .external_lex_state = 2},
  [1165] = {.lex_state = 105, .external_lex_state = 2},
  [1166] = {.lex_state = 105, .external_lex_state = 2},
  [1167] = {.lex_state = 105, .external_lex_state = 2},
  [1168] = {.lex_state = 105, .external_lex_state = 2},
  [1169] = {.lex_state = 105, .external_lex_state = 2},
  [1170] = {.lex_state = 105, .external_lex_state = 2},
  [1171] = {.lex_state = 105, .external_lex_state = 2},
  [1172] = {.lex_state = 105, .external_lex_state = 2},
  [1173] = {.lex_state = 105, .external_lex_state = 2},
  [1174] = {.lex_state = 105, .external_lex_state = 2},
  [1175] = {.lex_state = 105, .external_lex_state = 2},
  [1176] = {.lex_state = 105, .external_lex_state = 2},
  [1177] = {.lex_state = 105, .external_lex_state = 2},
  [1178] = {.lex_state = 105, .external_lex_state = 2},
  [1179] = {.lex_state = 105, .external_lex_state = 2},
  [1180] = {.lex_state = 105, .external_lex_state = 2},
  [1181] = {.lex_state = 105, .external_lex_state = 2},
  [1182] = {.lex_state = 105, .external_lex_state = 2},
  [1183] = {.lex_state = 105, .external_lex_state = 2},
  [1184] = {.lex_state = 105, .external_lex_state = 2},
  [1185] = {.lex_state = 105, .external_lex_state = 2},
  [1186] = {.lex_state = 105, .external_lex_state = 2},
  [1187] = {.lex_state = 105, .external_lex_state = 2},
  [1188] = {.lex_state = 105, .external_lex_state = 2},
  [1189] = {.lex_state = 105, .external_lex_state = 2},
  [1190] = {.lex_state = 105, .external_lex_state = 2},
  [1191] = {.lex_state = 105, .external_lex_state = 2},
  [1192] = {.lex_state = 105, .external_lex_state = 2},
  [1193] = {.lex_state = 105, .external_lex_state = 2},
  [1194] = {.lex_state = 105, .external_lex_state = 2},
  [1195] = {.lex_state = 105, .external_lex_state = 2},
  [1196] = {.lex_state = 105, .external_lex_state = 2},
  [1197] = {.lex_state = 105, .external_lex_state = 2},
  [1198] = {.lex_state = 105, .external_lex_state = 2},
  [1199] = {.lex_state = 105, .external_lex_state = 2},
  [1200] = {.lex_state = 105, .external_lex_state = 2},
  [1201] = {.lex_state = 105, .external_lex_state = 2},
  [1202] = {.lex_state = 105, .external_lex_state = 2},
  [1203] = {.lex_state = 105, .external_lex_state = 2},
  [1204] = {.lex_state = 105, .external_lex_state = 2},
  [1205] = {.lex_state = 105, .external_lex_state = 2},
  [1206] = {.lex_state = 105, .external_lex_state = 2},
  [1207] = {.lex_state = 105, .external_lex_state = 2},
  [1208] = {.lex_state = 105, .external_lex_state = 2},
  [1209] = {.lex_state = 105, .external_lex_state = 2},
  [1210] = {.lex_state = 105, .external_lex_state = 2},
  [1211] = {.lex_state = 105, .external_lex_state = 2},
  [1212] = {.lex_state = 105, .external_lex_state = 2},
  [1213] = {.lex_state = 105, .external_lex_state = 2},
  [1214] = {.lex_state = 105, .external_lex_state = 2},
  [1215] = {.lex_state = 105, .external_lex_state = 2},
  [1216] = {.lex_state = 105, .external_lex_state = 2},
  [1217] = {.lex_state = 105, .external_lex_state = 2},
  [1218] = {.lex_state = 105, .external_lex_state = 2},
  [1219] = {.lex_state = 105, .external_lex_state = 2},
  [1220] = {.lex_state = 105, .external_lex_state = 2},
  [1221] = {.lex_state = 105, .external_lex_state = 2},
  [1222] = {.lex_state = 105, .external_lex_state = 2},
  [1223] = {.lex_state = 105, .external_lex_state = 2},
  [1224] = {.lex_state = 105, .external_lex_state = 2},
  [1225] = {.lex_state = 105, .external_lex_state = 2},
  [1226] = {.lex_state = 105, .external_lex_state = 2},
  [1227] = {.lex_state = 105, .external_lex_state = 2},
  [1228] = {.lex_state = 105, .external_lex_state = 2},
  [1229] = {.lex_state = 105, .external_lex_state = 2},
  [1230] = {.lex_state = 105, .external_lex_state = 2},
  [1231] = {.lex_state = 105, .external_lex_state = 2},
  [1232] = {.lex_state = 105, .external_lex_state = 2},
  [1233] = {.lex_state = 105, .external_lex_state = 2},
  [1234] = {.lex_state = 105, .external_lex_state = 2},
  [1235] = {.lex_state = 105, .external_lex_state = 2},
  [1236] = {.lex_state = 105, .external_lex_state = 2},
  [1237] = {.lex_state = 105, .external_lex_state = 2},
  [1238] = {.lex_state = 105, .external_lex_state = 2},
  [1239] = {.lex_state = 105, .external_lex_state = 2},
  [1240] = {.lex_state = 105, .external_lex_state = 2},
  [1241] = {.lex_state = 105, .external_lex_state = 2},
  [1242] = {.lex_state = 105, .external_lex_state = 2},
  [1243] = {.lex_state = 105, .external_lex_state = 2},
  [1244] = {.lex_state = 105, .external_lex_state = 2},
  [1245] = {.lex_state = 105, .external_lex_state = 2},
  [1246] = {.lex_state = 105, .external_lex_state = 2},
  [1247] = {.lex_state = 105, .external_lex_state = 2},
  [1248] = {.lex_state = 105, .external_lex_state = 2},
  [1249] = {.lex_state = 105, .external_lex_state = 2},
  [1250] = {.lex_state = 105, .external_lex_state = 2},
  [1251] = {.lex_state = 105, .external_lex_state = 2},
  [1252] = {.lex_state = 105, .external_lex_state = 2},
  [1253] = {.lex_state = 105, .external_lex_state = 2},
  [1254] = {.lex_state = 105, .external_lex_state = 2},
  [1255] = {.lex_state = 105, .external_lex_state = 2},
  [1256] = {.lex_state = 105, .external_lex_state = 2},
  [1257] = {.lex_state = 105, .external_lex_state = 2},
  [1258] = {.lex_state = 105, .external_lex_state = 2},
  [1259] = {.lex_state = 105, .external_lex_state = 2},
  [1260] = {.lex_state = 105, .external_lex_state = 2},
  [1261] = {.lex_state = 105, .external_lex_state = 2},
  [1262] = {.lex_state = 105, .external_lex_state = 2},
  [1263] = {.lex_state = 105, .external_lex_state = 2},
  [1264] = {.lex_state = 105, .external_lex_state = 2},
  [1265] = {.lex_state = 105, .external_lex_state = 2},
  [1266] = {.lex_state = 105, .external_lex_state = 2},
  [1267] = {.lex_state = 105, .external_lex_state = 2},
  [1268] = {.lex_state = 105, .external_lex_state = 2},
  [1269] = {.lex_state = 105, .external_lex_state = 2},
  [1270] = {.lex_state = 105, .external_lex_state = 2},
  [1271] = {.lex_state = 105, .external_lex_state = 2},
  [1272] = {.lex_state = 105, .external_lex_state = 2},
  [1273] = {.lex_state = 105, .external_lex_state = 2},
  [1274] = {.lex_state = 105, .external_lex_state = 2},
  [1275] = {.lex_state = 105, .external_lex_state = 2},
  [1276] = {.lex_state = 105, .external_lex_state = 2},
  [1277] = {.lex_state = 105, .external_lex_state = 2},
  [1278] = {.lex_state = 105, .external_lex_state = 2},
  [1279] = {.lex_state = 105, .external_lex_state = 2},
  [1280] = {.lex_state = 105, .external_lex_state = 2},
  [1281] = {.lex_state = 105, .external_lex_state = 2},
  [1282] = {.lex_state = 105, .external_lex_state = 2},
  [1283] = {.lex_state = 105, .external_lex_state = 2},
  [1284] = {.lex_state = 105, .external_lex_state = 2},
  [1285] = {.lex_state = 105, .external_lex_state = 2},
  [1286] = {.lex_state = 105, .external_lex_state = 2},
  [1287] = {.lex_state = 105, .external_lex_state = 2},
  [1288] = {.lex_state = 105, .external_lex_state = 2},
  [1289] = {.lex_state = 105, .external_lex_state = 2},
  [1290] = {.lex_state = 105, .external_lex_state = 2},
  [1291] = {.lex_state = 105, .external_lex_state = 2},
  [1292] = {.lex_state = 105, .external_lex_state = 2},
  [1293] = {.lex_state = 105, .external_lex_state = 2},
  [1294] = {.lex_state = 105, .external_lex_state = 2},
  [1295] = {.lex_state = 105, .external_lex_state = 2},
  [1296] = {.lex_state = 105, .external_lex_state = 2},
  [1297] = {.lex_state = 105, .external_lex_state = 2},
  [1298] = {.lex_state = 105, .external_lex_state = 2},
  [1299] = {.lex_state = 105, .external_lex_state = 2},
  [1300] = {.lex_state = 105, .external_lex_state = 2},
  [1301] = {.lex_state = 105, .external_lex_state = 2},
  [1302] = {.lex_state = 105, .external_lex_state = 2},
  [1303] = {.lex_state = 105, .external_lex_state = 2},
  [1304] = {.lex_state = 105, .external_lex_state = 2},
  [1305] = {.lex_state = 105, .external_lex_state = 2},
  [1306] = {.lex_state = 105, .external_lex_state = 2},
  [1307] = {.lex_state = 105, .external_lex_state = 2},
  [1308] = {.lex_state = 105, .external_lex_state = 2},
  [1309] = {.lex_state = 105, .external_lex_state = 2},
  [1310] = {.lex_state = 105, .external_lex_state = 2},
  [1311] = {.lex_state = 105, .external_lex_state = 2},
  [1312] = {.lex_state = 105, .external_lex_state = 2},
  [1313] = {.lex_state = 105, .external_lex_state = 2},
  [1314] = {.lex_state = 105, .external_lex_state = 2},
  [1315] = {.lex_state = 105, .external_lex_state = 2},
  [1316] = {.lex_state = 105, .external_lex_state = 2},
  [1317] = {.lex_state = 105, .external_lex_state = 2},
  [1318] = {.lex_state = 105, .external_lex_state = 2},
  [1319] = {.lex_state = 105, .external_lex_state = 2},
  [1320] = {.lex_state = 105, .external_lex_state = 2},
  [1321] = {.lex_state = 105, .external_lex_state = 2},
  [1322] = {.lex_state = 105, .external_lex_state = 2},
  [1323] = {.lex_state = 105, .external_lex_state = 2},
  [1324] = {.lex_state = 105, .external_lex_state = 2},
  [1325] = {.lex_state = 105, .external_lex_state = 2},
  [1326] = {.lex_state = 105, .external_lex_state = 2},
  [1327] = {.lex_state = 105, .external_lex_state = 2},
  [1328] = {.lex_state = 105, .external_lex_state = 2},
  [1329] = {.lex_state = 105, .external_lex_state = 2},
  [1330] = {.lex_state = 105, .external_lex_state = 2},
  [1331] = {.lex_state = 105, .external_lex_state = 2},
  [1332] = {.lex_state = 105, .external_lex_state = 2},
  [1333] = {.lex_state = 105, .external_lex_state = 2},
  [1334] = {.lex_state = 105, .external_lex_state = 2},
  [1335] = {.lex_state = 105, .external_lex_state = 2},
  [1336] = {.lex_state = 105, .external_lex_state = 2},
  [1337] = {.lex_state = 105, .external_lex_state = 2},
  [1338] = {.lex_state = 105, .external_lex_state = 2},
  [1339] = {.lex_state = 105, .external_lex_state = 2},
  [1340] = {.lex_state = 105, .external_lex_state = 2},
  [1341] = {.lex_state = 105, .external_lex_state = 2},
  [1342] = {.lex_state = 105, .external_lex_state = 2},
  [1343] = {.lex_state = 105, .external_lex_state = 2},
  [1344] = {.lex_state = 105, .external_lex_state = 2},
  [1345] = {.lex_state = 105, .external_lex_state = 2},
  [1346] = {.lex_state = 105, .external_lex_state = 2},
  [1347] = {.lex_state = 105, .external_lex_state = 2},
  [1348] = {.lex_state = 105, .external_lex_state = 2},
  [1349] = {.lex_state = 105, .external_lex_state = 2},
  [1350] = {.lex_state = 105, .external_lex_state = 2},
  [1351] = {.lex_state = 105, .external_lex_state = 2},
  [1352] = {.lex_state = 105, .external_lex_state = 2},
  [1353] = {.lex_state = 105, .external_lex_state = 2},
  [1354] = {.lex_state = 105, .external_lex_state = 2},
  [1355] = {.lex_state = 105, .external_lex_state = 2},
  [1356] = {.lex_state = 105, .external_lex_state = 2},
  [1357] = {.lex_state = 105, .external_lex_state = 2},
  [1358] = {.lex_state = 105, .external_lex_state = 2},
  [1359] = {.lex_state = 105, .external_lex_state = 2},
  [1360] = {.lex_state = 105, .external_lex_state = 2},
  [1361] = {.lex_state = 105, .external_lex_state = 2},
  [1362] = {.lex_state = 105, .external_lex_state = 2},
  [1363] = {.lex_state = 105, .external_lex_state = 2},
  [1364] = {.lex_state = 105, .external_lex_state = 2},
  [1365] = {.lex_state = 105, .external_lex_state = 2},
  [1366] = {.lex_state = 105, .external_lex_state = 2},
  [1367] = {.lex_state = 105, .external_lex_state = 2},
  [1368] = {.lex_state = 105, .external_lex_state = 2},
  [1369] = {.lex_state = 105, .external_lex_state = 2},
  [1370] = {.lex_state = 105, .external_lex_state = 2},
  [1371] = {.lex_state = 105, .external_lex_state = 2},
  [1372] = {.lex_state = 105, .external_lex_state = 2},
  [1373] = {.lex_state = 105, .external_lex_state = 2},
  [1374] = {.lex_state = 105, .external_lex_state = 2},
  [1375] = {.lex_state = 105, .external_lex_state = 2},
  [1376] = {.lex_state = 105, .external_lex_state = 2},
  [1377] = {.lex_state = 105, .external_lex_state = 2},
  [1378] = {.lex_state = 105, .external_lex_state = 2},
  [1379] = {.lex_state = 105, .external_lex_state = 2},
  [1380] = {.lex_state = 105, .external_lex_state = 2},
  [1381] = {.lex_state = 105, .external_lex_state = 2},
  [1382] = {.lex_state = 105, .external_lex_state = 2},
  [1383] = {.lex_state = 105, .external_lex_state = 2},
  [1384] = {.lex_state = 105, .external_lex_state = 2},
  [1385] = {.lex_state = 105, .external_lex_state = 2},
  [1386] = {.lex_state = 105, .external_lex_state = 2},
  [1387] = {.lex_state = 105, .external_lex_state = 2},
  [1388] = {.lex_state = 105, .external_lex_state = 2},
  [1389] = {.lex_state = 105, .external_lex_state = 2},
  [1390] = {.lex_state = 105, .external_lex_state = 2},
  [1391] = {.lex_state = 105, .external_lex_state = 2},
  [1392] = {.lex_state = 105, .external_lex_state = 2},
  [1393] = {.lex_state = 105, .external_lex_state = 2},
  [1394] = {.lex_state = 105, .external_lex_state = 2},
  [1395] = {.lex_state = 105, .external_lex_state = 2},
  [1396] = {.lex_state = 105, .external_lex_state = 2},
  [1397] = {.lex_state = 105, .external_lex_state = 2},
  [1398] = {.lex_state = 105, .external_lex_state = 2},
  [1399] = {.lex_state = 105, .external_lex_state = 2},
  [1400] = {.lex_state = 105, .external_lex_state = 2},
  [1401] = {.lex_state = 105, .external_lex_state = 2},
  [1402] = {.lex_state = 105, .external_lex_state = 2},
  [1403] = {.lex_state = 105, .external_lex_state = 2},
  [1404] = {.lex_state = 105, .external_lex_state = 2},
  [1405] = {.lex_state = 105, .external_lex_state = 2},
  [1406] = {.lex_state = 105, .external_lex_state = 2},
  [1407] = {.lex_state = 105, .external_lex_state = 2},
  [1408] = {.lex_state = 105, .external_lex_state = 2},
  [1409] = {.lex_state = 105, .external_lex_state = 2},
  [1410] = {.lex_state = 105, .external_lex_state = 2},
  [1411] = {.lex_state = 105, .external_lex_state = 2},
  [1412] = {.lex_state = 105, .external_lex_state = 2},
  [1413] = {.lex_state = 105, .external_lex_state = 2},
  [1414] = {.lex_state = 105, .external_lex_state = 2},
  [1415] = {.lex_state = 105, .external_lex_state = 2},
  [1416] = {.lex_state = 105, .external_lex_state = 2},
  [1417] = {.lex_state = 105, .external_lex_state = 2},
  [1418] = {.lex_state = 105, .external_lex_state = 2},
  [1419] = {.lex_state = 105, .external_lex_state = 2},
  [1420] = {.lex_state = 105, .external_lex_state = 2},
  [1421] = {.lex_state = 105, .external_lex_state = 2},
  [1422] = {.lex_state = 105, .external_lex_state = 2},
  [1423] = {.lex_state = 105, .external_lex_state = 2},
  [1424] = {.lex_state = 105, .external_lex_state = 2},
  [1425] = {.lex_state = 105, .external_lex_state = 2},
  [1426] = {.lex_state = 105, .external_lex_state = 2},
  [1427] = {.lex_state = 105, .external_lex_state = 2},
  [1428] = {.lex_state = 105, .external_lex_state = 2},
  [1429] = {.lex_state = 105, .external_lex_state = 2},
  [1430] = {.lex_state = 105, .external_lex_state = 2},
  [1431] = {.lex_state = 105, .external_lex_state = 2},
  [1432] = {.lex_state = 105, .external_lex_state = 2},
  [1433] = {.lex_state = 105, .external_lex_state = 2},
  [1434] = {.lex_state = 105, .external_lex_state = 2},
  [1435] = {.lex_state = 105, .external_lex_state = 2},
  [1436] = {.lex_state = 105, .external_lex_state = 2},
  [1437] = {.lex_state = 105, .external_lex_state = 2},
  [1438] = {.lex_state = 105, .external_lex_state = 2},
  [1439] = {.lex_state = 105, .external_lex_state = 2},
  [1440] = {.lex_state = 105, .external_lex_state = 2},
  [1441] = {.lex_state = 105, .external_lex_state = 2},
  [1442] = {.lex_state = 105, .external_lex_state = 2},
  [1443] = {.lex_state = 105, .external_lex_state = 2},
  [1444] = {.lex_state = 105, .external_lex_state = 2},
  [1445] = {.lex_state = 105, .external_lex_state = 2},
  [1446] = {.lex_state = 105, .external_lex_state = 2},
  [1447] = {.lex_state = 105, .external_lex_state = 2},
  [1448] = {.lex_state = 105, .external_lex_state = 2},
  [1449] = {.lex_state = 105, .external_lex_state = 2},
  [1450] = {.lex_state = 105, .external_lex_state = 2},
  [1451] = {.lex_state = 105, .external_lex_state = 2},
  [1452] = {.lex_state = 105, .external_lex_state = 2},
  [1453] = {.lex_state = 105, .external_lex_state = 2},
  [1454] = {.lex_state = 105, .external_lex_state = 2},
  [1455] = {.lex_state = 105, .external_lex_state = 2},
  [1456] = {.lex_state = 105, .external_lex_state = 2},
  [1457] = {.lex_state = 105, .external_lex_state = 2},
  [1458] = {.lex_state = 105, .external_lex_state = 2},
  [1459] = {.lex_state = 105, .external_lex_state = 2},
  [1460] = {.lex_state = 105, .external_lex_state = 2},
  [1461] = {.lex_state = 105, .external_lex_state = 2},
  [1462] = {.lex_state = 105, .external_lex_state = 2},
  [1463] = {.lex_state = 105, .external_lex_state = 2},
  [1464] = {.lex_state = 105, .external_lex_state = 2},
  [1465] = {.lex_state = 105, .external_lex_state = 2},
  [1466] = {.lex_state = 105, .external_lex_state = 2},
  [1467] = {.lex_state = 105, .external_lex_state = 2},
  [1468] = {.lex_state = 105, .external_lex_state = 2},
  [1469] = {.lex_state = 105, .external_lex_state = 2},
  [1470] = {.lex_state = 105, .external_lex_state = 2},
  [1471] = {.lex_state = 105, .external_lex_state = 2},
  [1472] = {.lex_state = 105, .external_lex_state = 2},
  [1473] = {.lex_state = 105, .external_lex_state = 2},
  [1474] = {.lex_state = 105, .external_lex_state = 2},
  [1475] = {.lex_state = 105, .external_lex_state = 2},
  [1476] = {.lex_state = 105, .external_lex_state = 2},
  [1477] = {.lex_state = 105, .external_lex_state = 2},
  [1478] = {.lex_state = 105, .external_lex_state = 2},
  [1479] = {.lex_state = 105, .external_lex_state = 2},
  [1480] = {.lex_state = 105, .external_lex_state = 2},
  [1481] = {.lex_state = 105, .external_lex_state = 2},
  [1482] = {.lex_state = 105, .external_lex_state = 2},
  [1483] = {.lex_state = 105, .external_lex_state = 2},
  [1484] = {.lex_state = 105, .external_lex_state = 2},
  [1485] = {.lex_state = 105, .external_lex_state = 2},
  [1486] = {.lex_state = 105, .external_lex_state = 2},
  [1487] = {.lex_state = 105, .external_lex_state = 2},
  [1488] = {.lex_state = 105, .external_lex_state = 2},
  [1489] = {.lex_state = 105, .external_lex_state = 2},
  [1490] = {.lex_state = 105, .external_lex_state = 2},
  [1491] = {.lex_state = 105, .external_lex_state = 2},
  [1492] = {.lex_state = 105, .external_lex_state = 2},
  [1493] = {.lex_state = 105, .external_lex_state = 2},
  [1494] = {.lex_state = 105, .external_lex_state = 2},
  [1495] = {.lex_state = 105, .external_lex_state = 2},
  [1496] = {.lex_state = 105, .external_lex_state = 2},
  [1497] = {.lex_state = 105, .external_lex_state = 2},
  [1498] = {.lex_state = 105, .external_lex_state = 2},
  [1499] = {.lex_state = 105, .external_lex_state = 2},
  [1500] = {.lex_state = 105, .external_lex_state = 2},
  [1501] = {.lex_state = 105, .external_lex_state = 2},
  [1502] = {.lex_state = 105, .external_lex_state = 2},
  [1503] = {.lex_state = 105, .external_lex_state = 2},
  [1504] = {.lex_state = 105, .external_lex_state = 2},
  [1505] = {.lex_state = 105, .external_lex_state = 2},
  [1506] = {.lex_state = 105, .external_lex_state = 2},
  [1507] = {.lex_state = 105, .external_lex_state = 2},
  [1508] = {.lex_state = 105, .external_lex_state = 2},
  [1509] = {.lex_state = 105, .external_lex_state = 2},
  [1510] = {.lex_state = 105, .external_lex_state = 2},
  [1511] = {.lex_state = 105, .external_lex_state = 2},
  [1512] = {.lex_state = 105, .external_lex_state = 2},
  [1513] = {.lex_state = 105, .external_lex_state = 2},
  [1514] = {.lex_state = 105, .external_lex_state = 2},
  [1515] = {.lex_state = 105, .external_lex_state = 2},
  [1516] = {.lex_state = 105, .external_lex_state = 2},
  [1517] = {.lex_state = 105, .external_lex_state = 2},
  [1518] = {.lex_state = 105, .external_lex_state = 2},
  [1519] = {.lex_state = 105, .external_lex_state = 2},
  [1520] = {.lex_state = 105, .external_lex_state = 2},
  [1521] = {.lex_state = 105, .external_lex_state = 2},
  [1522] = {.lex_state = 105, .external_lex_state = 2},
  [1523] = {.lex_state = 105, .external_lex_state = 2},
  [1524] = {.lex_state = 105, .external_lex_state = 2},
  [1525] = {.lex_state = 105, .external_lex_state = 2},
  [1526] = {.lex_state = 105, .external_lex_state = 2},
  [1527] = {.lex_state = 105, .external_lex_state = 2},
  [1528] = {.lex_state = 105, .external_lex_state = 2},
  [1529] = {.lex_state = 105, .external_lex_state = 2},
  [1530] = {.lex_state = 105, .external_lex_state = 2},
  [1531] = {.lex_state = 105, .external_lex_state = 2},
  [1532] = {.lex_state = 105, .external_lex_state = 2},
  [1533] = {.lex_state = 105, .external_lex_state = 2},
  [1534] = {.lex_state = 105, .external_lex_state = 2},
  [1535] = {.lex_state = 105, .external_lex_state = 2},
  [1536] = {.lex_state = 105, .external_lex_state = 2},
  [1537] = {.lex_state = 105, .external_lex_state = 2},
  [1538] = {.lex_state = 105, .external_lex_state = 2},
  [1539] = {.lex_state = 105, .external_lex_state = 2},
  [1540] = {.lex_state = 105, .external_lex_state = 2},
  [1541] = {.lex_state = 105, .external_lex_state = 2},
  [1542] = {.lex_state = 105, .external_lex_state = 2},
  [1543] = {.lex_state = 105, .external_lex_state = 2},
  [1544] = {.lex_state = 105, .external_lex_state = 2},
  [1545] = {.lex_state = 105, .external_lex_state = 2},
  [1546] = {.lex_state = 105, .external_lex_state = 2},
  [1547] = {.lex_state = 105, .external_lex_state = 2},
  [1548] = {.lex_state = 105, .external_lex_state = 2},
  [1549] = {.lex_state = 105, .external_lex_state = 2},
  [1550] = {.lex_state = 105, .external_lex_state = 2},
  [1551] = {.lex_state = 105, .external_lex_state = 2},
  [1552] = {.lex_state = 105, .external_lex_state = 2},
  [1553] = {.lex_state = 105, .external_lex_state = 2},
  [1554] = {.lex_state = 105, .external_lex_state = 2},
  [1555] = {.lex_state = 105, .external_lex_state = 2},
  [1556] = {.lex_state = 105, .external_lex_state = 2},
  [1557] = {.lex_state = 105, .external_lex_state = 2},
  [1558] = {.lex_state = 105, .external_lex_state = 2},
  [1559] = {.lex_state = 105, .external_lex_state = 2},
  [1560] = {.lex_state = 105, .external_lex_state = 2},
  [1561] = {.lex_state = 105, .external_lex_state = 2},
  [1562] = {.lex_state = 105, .external_lex_state = 2},
  [1563] = {.lex_state = 105, .external_lex_state = 2},
  [1564] = {.lex_state = 105, .external_lex_state = 2},
  [1565] = {.lex_state = 105, .external_lex_state = 2},
  [1566] = {.lex_state = 105, .external_lex_state = 2},
  [1567] = {.lex_state = 105, .external_lex_state = 2},
  [1568] = {.lex_state = 105, .external_lex_state = 2},
  [1569] = {.lex_state = 105, .external_lex_state = 2},
  [1570] = {.lex_state = 105, .external_lex_state = 2},
  [1571] = {.lex_state = 105, .external_lex_state = 2},
  [1572] = {.lex_state = 105, .external_lex_state = 2},
  [1573] = {.lex_state = 105, .external_lex_state = 2},
  [1574] = {.lex_state = 105, .external_lex_state = 2},
  [1575] = {.lex_state = 105, .external_lex_state = 2},
  [1576] = {.lex_state = 105, .external_lex_state = 2},
  [1577] = {.lex_state = 105, .external_lex_state = 2},
  [1578] = {.lex_state = 105, .external_lex_state = 2},
  [1579] = {.lex_state = 105, .external_lex_state = 2},
  [1580] = {.lex_state = 105, .external_lex_state = 2},
  [1581] = {.lex_state = 105, .external_lex_state = 2},
  [1582] = {.lex_state = 105, .external_lex_state = 2},
  [1583] = {.lex_state = 105, .external_lex_state = 2},
  [1584] = {.lex_state = 105, .external_lex_state = 2},
  [1585] = {.lex_state = 105, .external_lex_state = 2},
  [1586] = {.lex_state = 105, .external_lex_state = 2},
  [1587] = {.lex_state = 105, .external_lex_state = 2},
  [1588] = {.lex_state = 105, .external_lex_state = 2},
  [1589] = {.lex_state = 105, .external_lex_state = 2},
  [1590] = {.lex_state = 105, .external_lex_state = 2},
  [1591] = {.lex_state = 105, .external_lex_state = 2},
  [1592] = {.lex_state = 105, .external_lex_state = 2},
  [1593] = {.lex_state = 105, .external_lex_state = 2},
  [1594] = {.lex_state = 105, .external_lex_state = 2},
  [1595] = {.lex_state = 105, .external_lex_state = 2},
  [1596] = {.lex_state = 105, .external_lex_state = 2},
  [1597] = {.lex_state = 105, .external_lex_state = 2},
  [1598] = {.lex_state = 105, .external_lex_state = 2},
  [1599] = {.lex_state = 105, .external_lex_state = 2},
  [1600] = {.lex_state = 105, .external_lex_state = 2},
  [1601] = {.lex_state = 105, .external_lex_state = 2},
  [1602] = {.lex_state = 105, .external_lex_state = 2},
  [1603] = {.lex_state = 105, .external_lex_state = 2},
  [1604] = {.lex_state = 105, .external_lex_state = 2},
  [1605] = {.lex_state = 105, .external_lex_state = 2},
  [1606] = {.lex_state = 105, .external_lex_state = 2},
  [1607] = {.lex_state = 105, .external_lex_state = 2},
  [1608] = {.lex_state = 105, .external_lex_state = 2},
  [1609] = {.lex_state = 105, .external_lex_state = 2},
  [1610] = {.lex_state = 105, .external_lex_state = 2},
  [1611] = {.lex_state = 105, .external_lex_state = 2},
  [1612] = {.lex_state = 105, .external_lex_state = 2},
  [1613] = {.lex_state = 105, .external_lex_state = 2},
  [1614] = {.lex_state = 105, .external_lex_state = 2},
  [1615] = {.lex_state = 105, .external_lex_state = 2},
  [1616] = {.lex_state = 105, .external_lex_state = 2},
  [1617] = {.lex_state = 105, .external_lex_state = 2},
  [1618] = {.lex_state = 105, .external_lex_state = 2},
  [1619] = {.lex_state = 105, .external_lex_state = 2},
  [1620] = {.lex_state = 105, .external_lex_state = 2},
  [1621] = {.lex_state = 105, .external_lex_state = 2},
  [1622] = {.lex_state = 105, .external_lex_state = 2},
  [1623] = {.lex_state = 105, .external_lex_state = 2},
  [1624] = {.lex_state = 105, .external_lex_state = 2},
  [1625] = {.lex_state = 105, .external_lex_state = 2},
  [1626] = {.lex_state = 105, .external_lex_state = 2},
  [1627] = {.lex_state = 105, .external_lex_state = 2},
  [1628] = {.lex_state = 105, .external_lex_state = 2},
  [1629] = {.lex_state = 105, .external_lex_state = 2},
  [1630] = {.lex_state = 105, .external_lex_state = 2},
  [1631] = {.lex_state = 105, .external_lex_state = 2},
  [1632] = {.lex_state = 105, .external_lex_state = 2},
  [1633] = {.lex_state = 105, .external_lex_state = 2},
  [1634] = {.lex_state = 105, .external_lex_state = 2},
  [1635] = {.lex_state = 105, .external_lex_state = 2},
  [1636] = {.lex_state = 105, .external_lex_state = 2},
  [1637] = {.lex_state = 105, .external_lex_state = 2},
  [1638] = {.lex_state = 105, .external_lex_state = 2},
  [1639] = {.lex_state = 105, .external_lex_state = 2},
  [1640] = {.lex_state = 105, .external_lex_state = 2},
  [1641] = {.lex_state = 105, .external_lex_state = 2},
  [1642] = {.lex_state = 105, .external_lex_state = 2},
  [1643] = {.lex_state = 105, .external_lex_state = 2},
  [1644] = {.lex_state = 105, .external_lex_state = 2},
  [1645] = {.lex_state = 105, .external_lex_state = 2},
  [1646] = {.lex_state = 105, .external_lex_state = 2},
  [1647] = {.lex_state = 105, .external_lex_state = 2},
  [1648] = {.lex_state = 105, .external_lex_state = 2},
  [1649] = {.lex_state = 105, .external_lex_state = 2},
  [1650] = {.lex_state = 105, .external_lex_state = 2},
  [1651] = {.lex_state = 105, .external_lex_state = 2},
  [1652] = {.lex_state = 105, .external_lex_state = 2},
  [1653] = {.lex_state = 105, .external_lex_state = 2},
  [1654] = {.lex_state = 105, .external_lex_state = 2},
  [1655] = {.lex_state = 105, .external_lex_state = 2},
  [1656] = {.lex_state = 105, .external_lex_state = 2},
  [1657] = {.lex_state = 105, .external_lex_state = 2},
  [1658] = {.lex_state = 105, .external_lex_state = 2},
  [1659] = {.lex_state = 105, .external_lex_state = 2},
  [1660] = {.lex_state = 105, .external_lex_state = 2},
  [1661] = {.lex_state = 105, .external_lex_state = 2},
  [1662] = {.lex_state = 105, .external_lex_state = 2},
  [1663] = {.lex_state = 105, .external_lex_state = 2},
  [1664] = {.lex_state = 105, .external_lex_state = 2},
  [1665] = {.lex_state = 105, .external_lex_state = 2},
  [1666] = {.lex_state = 105, .external_lex_state = 2},
  [1667] = {.lex_state = 105, .external_lex_state = 2},
  [1668] = {.lex_state = 105, .external_lex_state = 2},
  [1669] = {.lex_state = 105, .external_lex_state = 2},
  [1670] = {.lex_state = 105, .external_lex_state = 2},
  [1671] = {.lex_state = 105, .external_lex_state = 2},
  [1672] = {.lex_state = 105, .external_lex_state = 2},
  [1673] = {.lex_state = 105, .external_lex_state = 2},
  [1674] = {.lex_state = 105, .external_lex_state = 2},
  [1675] = {.lex_state = 105, .external_lex_state = 2},
  [1676] = {.lex_state = 105, .external_lex_state = 2},
  [1677] = {.lex_state = 105, .external_lex_state = 2},
  [1678] = {.lex_state = 105, .external_lex_state = 2},
  [1679] = {.lex_state = 105, .external_lex_state = 2},
  [1680] = {.lex_state = 105, .external_lex_state = 2},
  [1681] = {.lex_state = 105, .external_lex_state = 2},
  [1682] = {.lex_state = 105, .external_lex_state = 2},
  [1683] = {.lex_state = 105, .external_lex_state = 2},
  [1684] = {.lex_state = 105, .external_lex_state = 2},
  [1685] = {.lex_state = 105, .external_lex_state = 2},
  [1686] = {.lex_state = 105, .external_lex_state = 2},
  [1687] = {.lex_state = 105, .external_lex_state = 2},
  [1688] = {.lex_state = 105, .external_lex_state = 2},
  [1689] = {.lex_state = 105, .external_lex_state = 2},
  [1690] = {.lex_state = 105, .external_lex_state = 2},
  [1691] = {.lex_state = 105, .external_lex_state = 2},
  [1692] = {.lex_state = 105, .external_lex_state = 2},
  [1693] = {.lex_state = 105, .external_lex_state = 2},
  [1694] = {.lex_state = 105, .external_lex_state = 2},
  [1695] = {.lex_state = 105, .external_lex_state = 2},
  [1696] = {.lex_state = 105, .external_lex_state = 2},
  [1697] = {.lex_state = 105, .external_lex_state = 2},
  [1698] = {.lex_state = 105, .external_lex_state = 2},
  [1699] = {.lex_state = 105, .external_lex_state = 2},
  [1700] = {.lex_state = 105, .external_lex_state = 2},
  [1701] = {.lex_state = 105, .external_lex_state = 2},
  [1702] = {.lex_state = 105, .external_lex_state = 2},
  [1703] = {.lex_state = 105, .external_lex_state = 2},
  [1704] = {.lex_state = 105, .external_lex_state = 2},
  [1705] = {.lex_state = 105, .external_lex_state = 2},
  [1706] = {.lex_state = 105, .external_lex_state = 2},
  [1707] = {.lex_state = 105, .external_lex_state = 2},
  [1708] = {.lex_state = 105, .external_lex_state = 2},
  [1709] = {.lex_state = 105, .external_lex_state = 2},
  [1710] = {.lex_state = 105, .external_lex_state = 2},
  [1711] = {.lex_state = 105, .external_lex_state = 2},
  [1712] = {.lex_state = 105, .external_lex_state = 2},
  [1713] = {.lex_state = 105, .external_lex_state = 2},
  [1714] = {.lex_state = 105, .external_lex_state = 2},
  [1715] = {.lex_state = 105, .external_lex_state = 2},
  [1716] = {.lex_state = 105, .external_lex_state = 2},
  [1717] = {.lex_state = 105, .external_lex_state = 2},
  [1718] = {.lex_state = 105, .external_lex_state = 2},
  [1719] = {.lex_state = 105, .external_lex_state = 2},
  [1720] = {.lex_state = 105, .external_lex_state = 2},
  [1721] = {.lex_state = 105, .external_lex_state = 2},
  [1722] = {.lex_state = 105, .external_lex_state = 2},
  [1723] = {.lex_state = 105, .external_lex_state = 2},
  [1724] = {.lex_state = 105, .external_lex_state = 2},
  [1725] = {.lex_state = 105, .external_lex_state = 2},
  [1726] = {.lex_state = 105, .external_lex_state = 2},
  [1727] = {.lex_state = 105, .external_lex_state = 2},
  [1728] = {.lex_state = 105, .external_lex_state = 2},
  [1729] = {.lex_state = 105, .external_lex_state = 2},
  [1730] = {.lex_state = 105, .external_lex_state = 2},
  [1731] = {.lex_state = 105, .external_lex_state = 2},
  [1732] = {.lex_state = 105, .external_lex_state = 2},
  [1733] = {.lex_state = 105, .external_lex_state = 2},
  [1734] = {.lex_state = 105, .external_lex_state = 2},
  [1735] = {.lex_state = 105, .external_lex_state = 2},
  [1736] = {.lex_state = 105, .external_lex_state = 2},
  [1737] = {.lex_state = 105, .external_lex_state = 2},
  [1738] = {.lex_state = 105, .external_lex_state = 2},
  [1739] = {.lex_state = 105, .external_lex_state = 2},
  [1740] = {.lex_state = 105, .external_lex_state = 2},
  [1741] = {.lex_state = 105, .external_lex_state = 2},
  [1742] = {.lex_state = 105, .external_lex_state = 2},
  [1743] = {.lex_state = 105, .external_lex_state = 2},
  [1744] = {.lex_state = 105, .external_lex_state = 2},
  [1745] = {.lex_state = 105, .external_lex_state = 2},
  [1746] = {.lex_state = 105, .external_lex_state = 2},
  [1747] = {.lex_state = 105, .external_lex_state = 2},
  [1748] = {.lex_state = 105, .external_lex_state = 2},
  [1749] = {.lex_state = 105, .external_lex_state = 2},
  [1750] = {.lex_state = 105, .external_lex_state = 2},
  [1751] = {.lex_state = 105, .external_lex_state = 2},
  [1752] = {.lex_state = 105, .external_lex_state = 2},
  [1753] = {.lex_state = 105, .external_lex_state = 2},
  [1754] = {.lex_state = 105, .external_lex_state = 2},
  [1755] = {.lex_state = 105, .external_lex_state = 2},
  [1756] = {.lex_state = 105, .external_lex_state = 2},
  [1757] = {.lex_state = 105, .external_lex_state = 2},
  [1758] = {.lex_state = 105, .external_lex_state = 2},
  [1759] = {.lex_state = 105, .external_lex_state = 2},
  [1760] = {.lex_state = 105, .external_lex_state = 2},
  [1761] = {.lex_state = 105, .external_lex_state = 2},
  [1762] = {.lex_state = 105, .external_lex_state = 2},
  [1763] = {.lex_state = 105, .external_lex_state = 2},
  [1764] = {.lex_state = 105, .external_lex_state = 2},
  [1765] = {.lex_state = 105, .external_lex_state = 2},
  [1766] = {.lex_state = 105, .external_lex_state = 2},
  [1767] = {.lex_state = 105, .external_lex_state = 2},
  [1768] = {.lex_state = 105, .external_lex_state = 2},
  [1769] = {.lex_state = 105, .external_lex_state = 2},
  [1770] = {.lex_state = 105, .external_lex_state = 2},
  [1771] = {.lex_state = 105, .external_lex_state = 2},
  [1772] = {.lex_state = 105, .external_lex_state = 2},
  [1773] = {.lex_state = 105, .external_lex_state = 2},
  [1774] = {.lex_state = 105, .external_lex_state = 2},
  [1775] = {.lex_state = 105, .external_lex_state = 2},
  [1776] = {.lex_state = 105, .external_lex_state = 2},
  [1777] = {.lex_state = 105, .external_lex_state = 2},
  [1778] = {.lex_state = 105, .external_lex_state = 2},
  [1779] = {.lex_state = 105, .external_lex_state = 2},
  [1780] = {.lex_state = 105, .external_lex_state = 2},
  [1781] = {.lex_state = 105, .external_lex_state = 2},
  [1782] = {.lex_state = 105, .external_lex_state = 2},
  [1783] = {.lex_state = 105, .external_lex_state = 2},
  [1784] = {.lex_state = 105, .external_lex_state = 2},
  [1785] = {.lex_state = 105, .external_lex_state = 2},
  [1786] = {.lex_state = 105, .external_lex_state = 2},
  [1787] = {.lex_state = 105, .external_lex_state = 2},
  [1788] = {.lex_state = 105, .external_lex_state = 2},
  [1789] = {.lex_state = 105, .external_lex_state = 2},
  [1790] = {.lex_state = 105, .external_lex_state = 2},
  [1791] = {.lex_state = 105, .external_lex_state = 2},
  [1792] = {.lex_state = 105, .external_lex_state = 2},
  [1793] = {.lex_state = 105, .external_lex_state = 2},
  [1794] = {.lex_state = 105, .external_lex_state = 2},
  [1795] = {.lex_state = 105, .external_lex_state = 2},
  [1796] = {.lex_state = 105, .external_lex_state = 2},
  [1797] = {.lex_state = 105, .external_lex_state = 2},
  [1798] = {.lex_state = 105, .external_lex_state = 2},
  [1799] = {.lex_state = 105, .external_lex_state = 2},
  [1800] = {.lex_state = 105, .external_lex_state = 2},
  [1801] = {.lex_state = 105, .external_lex_state = 2},
  [1802] = {.lex_state = 105, .external_lex_state = 2},
  [1803] = {.lex_state = 105, .external_lex_state = 2},
  [1804] = {.lex_state = 105, .external_lex_state = 2},
  [1805] = {.lex_state = 105, .external_lex_state = 2},
  [1806] = {.lex_state = 105, .external_lex_state = 2},
  [1807] = {.lex_state = 105, .external_lex_state = 2},
  [1808] = {.lex_state = 105, .external_lex_state = 2},
  [1809] = {.lex_state = 105, .external_lex_state = 2},
  [1810] = {.lex_state = 105, .external_lex_state = 2},
  [1811] = {.lex_state = 105, .external_lex_state = 2},
  [1812] = {.lex_state = 105, .external_lex_state = 2},
  [1813] = {.lex_state = 105, .external_lex_state = 2},
  [1814] = {.lex_state = 105, .external_lex_state = 2},
  [1815] = {.lex_state = 105, .external_lex_state = 2},
  [1816] = {.lex_state = 105, .external_lex_state = 2},
  [1817] = {.lex_state = 105, .external_lex_state = 2},
  [1818] = {.lex_state = 105, .external_lex_state = 2},
  [1819] = {.lex_state = 105, .external_lex_state = 2},
  [1820] = {.lex_state = 105, .external_lex_state = 2},
  [1821] = {.lex_state = 105, .external_lex_state = 2},
  [1822] = {.lex_state = 105, .external_lex_state = 2},
  [1823] = {.lex_state = 105, .external_lex_state = 2},
  [1824] = {.lex_state = 105, .external_lex_state = 2},
  [1825] = {.lex_state = 105, .external_lex_state = 2},
  [1826] = {.lex_state = 105, .external_lex_state = 2},
  [1827] = {.lex_state = 105, .external_lex_state = 2},
  [1828] = {.lex_state = 105, .external_lex_state = 2},
  [1829] = {.lex_state = 105, .external_lex_state = 2},
  [1830] = {.lex_state = 105, .external_lex_state = 2},
  [1831] = {.lex_state = 105, .external_lex_state = 2},
  [1832] = {.lex_state = 105, .external_lex_state = 2},
  [1833] = {.lex_state = 105, .external_lex_state = 2},
  [1834] = {.lex_state = 105, .external_lex_state = 2},
  [1835] = {.lex_state = 105, .external_lex_state = 2},
  [1836] = {.lex_state = 105, .external_lex_state = 2},
  [1837] = {.lex_state = 105, .external_lex_state = 2},
  [1838] = {.lex_state = 105, .external_lex_state = 2},
  [1839] = {.lex_state = 105, .external_lex_state = 2},
  [1840] = {.lex_state = 105, .external_lex_state = 2},
  [1841] = {.lex_state = 105, .external_lex_state = 2},
  [1842] = {.lex_state = 105, .external_lex_state = 2},
  [1843] = {.lex_state = 105, .external_lex_state = 2},
  [1844] = {.lex_state = 105, .external_lex_state = 2},
  [1845] = {.lex_state = 105, .external_lex_state = 2},
  [1846] = {.lex_state = 105, .external_lex_state = 2},
  [1847] = {.lex_state = 105, .external_lex_state = 2},
  [1848] = {.lex_state = 105, .external_lex_state = 2},
  [1849] = {.lex_state = 105, .external_lex_state = 2},
  [1850] = {.lex_state = 105, .external_lex_state = 2},
  [1851] = {.lex_state = 105, .external_lex_state = 2},
  [1852] = {.lex_state = 105, .external_lex_state = 2},
  [1853] = {.lex_state = 105, .external_lex_state = 2},
  [1854] = {.lex_state = 105, .external_lex_state = 2},
  [1855] = {.lex_state = 105, .external_lex_state = 2},
  [1856] = {.lex_state = 105, .external_lex_state = 2},
  [1857] = {.lex_state = 105, .external_lex_state = 2},
  [1858] = {.lex_state = 105, .external_lex_state = 2},
  [1859] = {.lex_state = 105, .external_lex_state = 2},
  [1860] = {.lex_state = 105, .external_lex_state = 2},
  [1861] = {.lex_state = 105, .external_lex_state = 2},
  [1862] = {.lex_state = 105, .external_lex_state = 2},
  [1863] = {.lex_state = 105, .external_lex_state = 2},
  [1864] = {.lex_state = 105, .external_lex_state = 2},
  [1865] = {.lex_state = 105, .external_lex_state = 2},
  [1866] = {.lex_state = 105, .external_lex_state = 2},
  [1867] = {.lex_state = 105, .external_lex_state = 2},
  [1868] = {.lex_state = 105, .external_lex_state = 2},
  [1869] = {.lex_state = 105, .external_lex_state = 2},
  [1870] = {.lex_state = 105, .external_lex_state = 2},
  [1871] = {.lex_state = 105, .external_lex_state = 2},
  [1872] = {.lex_state = 105, .external_lex_state = 2},
  [1873] = {.lex_state = 105, .external_lex_state = 2},
  [1874] = {.lex_state = 105, .external_lex_state = 2},
  [1875] = {.lex_state = 105, .external_lex_state = 2},
  [1876] = {.lex_state = 105, .external_lex_state = 2},
  [1877] = {.lex_state = 105, .external_lex_state = 2},
  [1878] = {.lex_state = 105, .external_lex_state = 2},
  [1879] = {.lex_state = 105, .external_lex_state = 2},
  [1880] = {.lex_state = 105, .external_lex_state = 2},
  [1881] = {.lex_state = 105, .external_lex_state = 2},
  [1882] = {.lex_state = 105, .external_lex_state = 2},
  [1883] = {.lex_state = 105, .external_lex_state = 2},
  [1884] = {.lex_state = 105, .external_lex_state = 2},
  [1885] = {.lex_state = 105, .external_lex_state = 2},
  [1886] = {.lex_state = 105, .external_lex_state = 2},
  [1887] = {.lex_state = 105, .external_lex_state = 2},
  [1888] = {.lex_state = 105, .external_lex_state = 2},
  [1889] = {.lex_state = 105, .external_lex_state = 2},
  [1890] = {.lex_state = 105, .external_lex_state = 2},
  [1891] = {.lex_state = 105, .external_lex_state = 2},
  [1892] = {.lex_state = 105, .external_lex_state = 2},
  [1893] = {.lex_state = 105, .external_lex_state = 2},
  [1894] = {.lex_state = 105, .external_lex_state = 2},
  [1895] = {.lex_state = 105, .external_lex_state = 2},
  [1896] = {.lex_state = 105, .external_lex_state = 2},
  [1897] = {.lex_state = 105, .external_lex_state = 2},
  [1898] = {.lex_state = 105, .external_lex_state = 2},
  [1899] = {.lex_state = 105, .external_lex_state = 2},
  [1900] = {.lex_state = 105, .external_lex_state = 2},
  [1901] = {.lex_state = 105, .external_lex_state = 2},
  [1902] = {.lex_state = 105, .external_lex_state = 2},
  [1903] = {.lex_state = 105, .external_lex_state = 2},
  [1904] = {.lex_state = 105, .external_lex_state = 2},
  [1905] = {.lex_state = 105, .external_lex_state = 2},
  [1906] = {.lex_state = 105, .external_lex_state = 2},
  [1907] = {.lex_state = 105, .external_lex_state = 2},
  [1908] = {.lex_state = 105, .external_lex_state = 2},
  [1909] = {.lex_state = 105, .external_lex_state = 2},
  [1910] = {.lex_state = 105, .external_lex_state = 2},
  [1911] = {.lex_state = 105, .external_lex_state = 2},
  [1912] = {.lex_state = 105, .external_lex_state = 2},
  [1913] = {.lex_state = 105, .external_lex_state = 2},
  [1914] = {.lex_state = 105, .external_lex_state = 2},
  [1915] = {.lex_state = 105, .external_lex_state = 2},
  [1916] = {.lex_state = 105, .external_lex_state = 2},
  [1917] = {.lex_state = 105, .external_lex_state = 2},
  [1918] = {.lex_state = 105, .external_lex_state = 2},
  [1919] = {.lex_state = 105, .external_lex_state = 2},
  [1920] = {.lex_state = 105, .external_lex_state = 2},
  [1921] = {.lex_state = 105, .external_lex_state = 2},
  [1922] = {.lex_state = 105, .external_lex_state = 2},
  [1923] = {.lex_state = 105, .external_lex_state = 2},
  [1924] = {.lex_state = 105, .external_lex_state = 2},
  [1925] = {.lex_state = 105, .external_lex_state = 2},
  [1926] = {.lex_state = 105, .external_lex_state = 2},
  [1927] = {.lex_state = 105, .external_lex_state = 2},
  [1928] = {.lex_state = 105, .external_lex_state = 2},
  [1929] = {.lex_state = 105, .external_lex_state = 2},
  [1930] = {.lex_state = 105, .external_lex_state = 2},
  [1931] = {.lex_state = 105, .external_lex_state = 2},
  [1932] = {.lex_state = 105, .external_lex_state = 2},
  [1933] = {.lex_state = 105, .external_lex_state = 2},
  [1934] = {.lex_state = 105, .external_lex_state = 2},
  [1935] = {.lex_state = 105, .external_lex_state = 2},
  [1936] = {.lex_state = 105, .external_lex_state = 2},
  [1937] = {.lex_state = 105, .external_lex_state = 2},
  [1938] = {.lex_state = 105, .external_lex_state = 2},
  [1939] = {.lex_state = 105, .external_lex_state = 2},
  [1940] = {.lex_state = 105, .external_lex_state = 2},
  [1941] = {.lex_state = 105, .external_lex_state = 2},
  [1942] = {.lex_state = 105, .external_lex_state = 2},
  [1943] = {.lex_state = 105, .external_lex_state = 2},
  [1944] = {.lex_state = 105, .external_lex_state = 2},
  [1945] = {.lex_state = 105, .external_lex_state = 2},
  [1946] = {.lex_state = 105, .external_lex_state = 2},
  [1947] = {.lex_state = 105, .external_lex_state = 2},
  [1948] = {.lex_state = 105, .external_lex_state = 2},
  [1949] = {.lex_state = 105, .external_lex_state = 2},
  [1950] = {.lex_state = 105, .external_lex_state = 2},
  [1951] = {.lex_state = 105, .external_lex_state = 2},
  [1952] = {.lex_state = 105, .external_lex_state = 2},
  [1953] = {.lex_state = 105, .external_lex_state = 2},
  [1954] = {.lex_state = 105, .external_lex_state = 2},
  [1955] = {.lex_state = 105, .external_lex_state = 2},
  [1956] = {.lex_state = 105, .external_lex_state = 2},
  [1957] = {.lex_state = 105, .external_lex_state = 2},
  [1958] = {.lex_state = 105, .external_lex_state = 2},
  [1959] = {.lex_state = 105, .external_lex_state = 2},
  [1960] = {.lex_state = 105, .external_lex_state = 2},
  [1961] = {.lex_state = 105, .external_lex_state = 2},
  [1962] = {.lex_state = 105, .external_lex_state = 2},
  [1963] = {.lex_state = 105, .external_lex_state = 2},
  [1964] = {.lex_state = 105, .external_lex_state = 2},
  [1965] = {.lex_state = 105, .external_lex_state = 2},
  [1966] = {.lex_state = 105, .external_lex_state = 2},
  [1967] = {.lex_state = 105, .external_lex_state = 2},
  [1968] = {.lex_state = 105, .external_lex_state = 2},
  [1969] = {.lex_state = 105, .external_lex_state = 2},
  [1970] = {.lex_state = 105, .external_lex_state = 2},
  [1971] = {.lex_state = 105, .external_lex_state = 2},
  [1972] = {.lex_state = 105, .external_lex_state = 2},
  [1973] = {.lex_state = 105, .external_lex_state = 2},
  [1974] = {.lex_state = 105, .external_lex_state = 2},
  [1975] = {.lex_state = 105, .external_lex_state = 2},
  [1976] = {.lex_state = 105, .external_lex_state = 2},
  [1977] = {.lex_state = 105, .external_lex_state = 2},
  [1978] = {.lex_state = 105, .external_lex_state = 2},
  [1979] = {.lex_state = 105, .external_lex_state = 2},
  [1980] = {.lex_state = 105, .external_lex_state = 2},
  [1981] = {.lex_state = 105, .external_lex_state = 2},
  [1982] = {.lex_state = 105, .external_lex_state = 2},
  [1983] = {.lex_state = 105, .external_lex_state = 2},
  [1984] = {.lex_state = 105, .external_lex_state = 2},
  [1985] = {.lex_state = 105, .external_lex_state = 2},
  [1986] = {.lex_state = 105, .external_lex_state = 2},
  [1987] = {.lex_state = 105, .external_lex_state = 2},
  [1988] = {.lex_state = 105, .external_lex_state = 2},
  [1989] = {.lex_state = 105, .external_lex_state = 2},
  [1990] = {.lex_state = 105, .external_lex_state = 2},
  [1991] = {.lex_state = 105, .external_lex_state = 2},
  [1992] = {.lex_state = 105, .external_lex_state = 2},
  [1993] = {.lex_state = 105, .external_lex_state = 2},
  [1994] = {.lex_state = 105, .external_lex_state = 2},
  [1995] = {.lex_state = 105, .external_lex_state = 2},
  [1996] = {.lex_state = 105, .external_lex_state = 2},
  [1997] = {.lex_state = 105, .external_lex_state = 2},
  [1998] = {.lex_state = 105, .external_lex_state = 2},
  [1999] = {.lex_state = 105, .external_lex_state = 2},
  [2000] = {.lex_state = 105, .external_lex_state = 2},
  [2001] = {.lex_state = 105, .external_lex_state = 2},
  [2002] = {.lex_state = 105, .external_lex_state = 2},
  [2003] = {.lex_state = 105, .external_lex_state = 2},
  [2004] = {.lex_state = 105, .external_lex_state = 2},
  [2005] = {.lex_state = 105, .external_lex_state = 2},
  [2006] = {.lex_state = 105, .external_lex_state = 2},
  [2007] = {.lex_state = 105, .external_lex_state = 2},
  [2008] = {.lex_state = 105, .external_lex_state = 2},
  [2009] = {.lex_state = 105, .external_lex_state = 2},
  [2010] = {.lex_state = 105, .external_lex_state = 2},
  [2011] = {.lex_state = 105, .external_lex_state = 2},
  [2012] = {.lex_state = 105, .external_lex_state = 2},
  [2013] = {.lex_state = 105, .external_lex_state = 2},
  [2014] = {.lex_state = 105, .external_lex_state = 2},
  [2015] = {.lex_state = 105, .external_lex_state = 2},
  [2016] = {.lex_state = 105, .external_lex_state = 2},
  [2017] = {.lex_state = 105, .external_lex_state = 2},
  [2018] = {.lex_state = 105, .external_lex_state = 2},
  [2019] = {.lex_state = 105, .external_lex_state = 2},
  [2020] = {.lex_state = 105, .external_lex_state = 2},
  [2021] = {.lex_state = 105, .external_lex_state = 2},
  [2022] = {.lex_state = 105, .external_lex_state = 2},
  [2023] = {.lex_state = 105, .external_lex_state = 2},
  [2024] = {.lex_state = 105, .external_lex_state = 2},
  [2025] = {.lex_state = 105, .external_lex_state = 2},
  [2026] = {.lex_state = 105, .external_lex_state = 2},
  [2027] = {.lex_state = 105, .external_lex_state = 2},
  [2028] = {.lex_state = 105, .external_lex_state = 2},
  [2029] = {.lex_state = 105, .external_lex_state = 2},
  [2030] = {.lex_state = 105, .external_lex_state = 2},
  [2031] = {.lex_state = 105, .external_lex_state = 2},
  [2032] = {.lex_state = 105, .external_lex_state = 2},
  [2033] = {.lex_state = 105, .external_lex_state = 2},
  [2034] = {.lex_state = 105, .external_lex_state = 2},
  [2035] = {.lex_state = 105, .external_lex_state = 2},
  [2036] = {.lex_state = 105, .external_lex_state = 2},
  [2037] = {.lex_state = 105, .external_lex_state = 2},
  [2038] = {.lex_state = 105, .external_lex_state = 2},
  [2039] = {.lex_state = 105, .external_lex_state = 2},
  [2040] = {.lex_state = 105, .external_lex_state = 2},
  [2041] = {.lex_state = 105, .external_lex_state = 2},
  [2042] = {.lex_state = 105, .external_lex_state = 2},
  [2043] = {.lex_state = 105, .external_lex_state = 2},
  [2044] = {.lex_state = 105, .external_lex_state = 2},
  [2045] = {.lex_state = 105, .external_lex_state = 2},
  [2046] = {.lex_state = 105, .external_lex_state = 2},
  [2047] = {.lex_state = 105, .external_lex_state = 2},
  [2048] = {.lex_state = 105, .external_lex_state = 2},
  [2049] = {.lex_state = 105, .external_lex_state = 2},
  [2050] = {.lex_state = 105, .external_lex_state = 2},
  [2051] = {.lex_state = 105, .external_lex_state = 2},
  [2052] = {.lex_state = 105, .external_lex_state = 2},
  [2053] = {.lex_state = 105, .external_lex_state = 2},
  [2054] = {.lex_state = 105, .external_lex_state = 2},
  [2055] = {.lex_state = 105, .external_lex_state = 2},
  [2056] = {.lex_state = 105, .external_lex_state = 2},
  [2057] = {.lex_state = 105, .external_lex_state = 2},
  [2058] = {.lex_state = 105, .external_lex_state = 2},
  [2059] = {.lex_state = 105, .external_lex_state = 2},
  [2060] = {.lex_state = 105, .external_lex_state = 2},
  [2061] = {.lex_state = 105, .external_lex_state = 2},
  [2062] = {.lex_state = 105, .external_lex_state = 2},
  [2063] = {.lex_state = 105, .external_lex_state = 2},
  [2064] = {.lex_state = 105, .external_lex_state = 2},
  [2065] = {.lex_state = 105, .external_lex_state = 2},
  [2066] = {.lex_state = 105, .external_lex_state = 2},
  [2067] = {.lex_state = 105, .external_lex_state = 2},
  [2068] = {.lex_state = 105, .external_lex_state = 2},
  [2069] = {.lex_state = 105, .external_lex_state = 2},
  [2070] = {.lex_state = 105, .external_lex_state = 2},
  [2071] = {.lex_state = 105, .external_lex_state = 2},
  [2072] = {.lex_state = 105, .external_lex_state = 2},
  [2073] = {.lex_state = 105, .external_lex_state = 2},
  [2074] = {.lex_state = 105, .external_lex_state = 2},
  [2075] = {.lex_state = 105, .external_lex_state = 2},
  [2076] = {.lex_state = 105, .external_lex_state = 2},
  [2077] = {.lex_state = 105, .external_lex_state = 2},
  [2078] = {.lex_state = 105, .external_lex_state = 2},
  [2079] = {.lex_state = 105, .external_lex_state = 2},
  [2080] = {.lex_state = 105, .external_lex_state = 2},
  [2081] = {.lex_state = 105, .external_lex_state = 2},
  [2082] = {.lex_state = 105, .external_lex_state = 2},
  [2083] = {.lex_state = 105, .external_lex_state = 2},
  [2084] = {.lex_state = 105, .external_lex_state = 2},
  [2085] = {.lex_state = 105, .external_lex_state = 2},
  [2086] = {.lex_state = 105, .external_lex_state = 2},
  [2087] = {.lex_state = 105, .external_lex_state = 2},
  [2088] = {.lex_state = 105, .external_lex_state = 2},
  [2089] = {.lex_state = 105, .external_lex_state = 2},
  [2090] = {.lex_state = 105, .external_lex_state = 2},
  [2091] = {.lex_state = 105, .external_lex_state = 2},
  [2092] = {.lex_state = 105, .external_lex_state = 2},
  [2093] = {.lex_state = 105, .external_lex_state = 2},
  [2094] = {.lex_state = 105, .external_lex_state = 2},
  [2095] = {.lex_state = 105, .external_lex_state = 2},
  [2096] = {.lex_state = 105, .external_lex_state = 2},
  [2097] = {.lex_state = 105, .external_lex_state = 2},
  [2098] = {.lex_state = 105, .external_lex_state = 2},
  [2099] = {.lex_state = 105, .external_lex_state = 2},
  [2100] = {.lex_state = 105, .external_lex_state = 2},
  [2101] = {.lex_state = 105, .external_lex_state = 2},
  [2102] = {.lex_state = 105, .external_lex_state = 2},
  [2103] = {.lex_state = 105, .external_lex_state = 2},
  [2104] = {.lex_state = 105, .external_lex_state = 2},
  [2105] = {.lex_state = 105, .external_lex_state = 2},
  [2106] = {.lex_state = 105, .external_lex_state = 2},
  [2107] = {.lex_state = 105, .external_lex_state = 2},
  [2108] = {.lex_state = 105, .external_lex_state = 2},
  [2109] = {.lex_state = 105, .external_lex_state = 2},
  [2110] = {.lex_state = 105, .external_lex_state = 2},
  [2111] = {.lex_state = 105, .external_lex_state = 2},
  [2112] = {.lex_state = 105, .external_lex_state = 2},
  [2113] = {.lex_state = 105, .external_lex_state = 2},
  [2114] = {.lex_state = 105, .external_lex_state = 2},
  [2115] = {.lex_state = 105, .external_lex_state = 2},
  [2116] = {.lex_state = 105, .external_lex_state = 2},
  [2117] = {.lex_state = 105, .external_lex_state = 2},
  [2118] = {.lex_state = 105, .external_lex_state = 2},
  [2119] = {.lex_state = 105, .external_lex_state = 2},
  [2120] = {.lex_state = 105, .external_lex_state = 2},
  [2121] = {.lex_state = 105, .external_lex_state = 2},
  [2122] = {.lex_state = 105, .external_lex_state = 2},
  [2123] = {.lex_state = 105, .external_lex_state = 2},
  [2124] = {.lex_state = 105, .external_lex_state = 2},
  [2125] = {.lex_state = 105, .external_lex_state = 2},
  [2126] = {.lex_state = 105, .external_lex_state = 2},
  [2127] = {.lex_state = 105, .external_lex_state = 2},
  [2128] = {.lex_state = 105, .external_lex_state = 2},
  [2129] = {.lex_state = 105, .external_lex_state = 2},
  [2130] = {.lex_state = 105, .external_lex_state = 2},
  [2131] = {.lex_state = 105, .external_lex_state = 2},
  [2132] = {.lex_state = 105, .external_lex_state = 2},
  [2133] = {.lex_state = 105, .external_lex_state = 2},
  [2134] = {.lex_state = 105, .external_lex_state = 2},
  [2135] = {.lex_state = 105, .external_lex_state = 2},
  [2136] = {.lex_state = 105, .external_lex_state = 2},
  [2137] = {.lex_state = 105, .external_lex_state = 2},
  [2138] = {.lex_state = 105, .external_lex_state = 2},
  [2139] = {.lex_state = 105, .external_lex_state = 2},
  [2140] = {.lex_state = 105, .external_lex_state = 2},
  [2141] = {.lex_state = 105, .external_lex_state = 2},
  [2142] = {.lex_state = 105, .external_lex_state = 2},
  [2143] = {.lex_state = 105, .external_lex_state = 2},
  [2144] = {.lex_state = 105, .external_lex_state = 2},
  [2145] = {.lex_state = 105, .external_lex_state = 2},
  [2146] = {.lex_state = 105, .external_lex_state = 2},
  [2147] = {.lex_state = 105, .external_lex_state = 2},
  [2148] = {.lex_state = 105, .external_lex_state = 2},
  [2149] = {.lex_state = 105, .external_lex_state = 2},
  [2150] = {.lex_state = 105, .external_lex_state = 2},
  [2151] = {.lex_state = 105, .external_lex_state = 2},
  [2152] = {.lex_state = 105, .external_lex_state = 2},
  [2153] = {.lex_state = 105, .external_lex_state = 2},
  [2154] = {.lex_state = 105, .external_lex_state = 2},
  [2155] = {.lex_state = 105, .external_lex_state = 2},
  [2156] = {.lex_state = 105, .external_lex_state = 2},
  [2157] = {.lex_state = 105, .external_lex_state = 2},
  [2158] = {.lex_state = 105, .external_lex_state = 2},
  [2159] = {.lex_state = 105, .external_lex_state = 2},
  [2160] = {.lex_state = 105, .external_lex_state = 2},
  [2161] = {.lex_state = 105, .external_lex_state = 2},
  [2162] = {.lex_state = 105, .external_lex_state = 2},
  [2163] = {.lex_state = 105, .external_lex_state = 2},
  [2164] = {.lex_state = 105, .external_lex_state = 2},
  [2165] = {.lex_state = 105, .external_lex_state = 2},
  [2166] = {.lex_state = 105, .external_lex_state = 2},
  [2167] = {.lex_state = 105, .external_lex_state = 2},
  [2168] = {.lex_state = 105, .external_lex_state = 2},
  [2169] = {.lex_state = 105, .external_lex_state = 2},
  [2170] = {.lex_state = 105, .external_lex_state = 2},
  [2171] = {.lex_state = 105, .external_lex_state = 2},
  [2172] = {.lex_state = 105, .external_lex_state = 2},
  [2173] = {.lex_state = 105, .external_lex_state = 2},
  [2174] = {.lex_state = 105, .external_lex_state = 2},
  [2175] = {.lex_state = 105, .external_lex_state = 2},
  [2176] = {.lex_state = 105, .external_lex_state = 2},
  [2177] = {.lex_state = 105, .external_lex_state = 2},
  [2178] = {.lex_state = 105, .external_lex_state = 2},
  [2179] = {.lex_state = 105, .external_lex_state = 2},
  [2180] = {.lex_state = 105, .external_lex_state = 2},
  [2181] = {.lex_state = 105, .external_lex_state = 2},
  [2182] = {.lex_state = 105, .external_lex_state = 2},
  [2183] = {.lex_state = 105, .external_lex_state = 2},
  [2184] = {.lex_state = 105, .external_lex_state = 2},
  [2185] = {.lex_state = 105, .external_lex_state = 2},
  [2186] = {.lex_state = 105, .external_lex_state = 2},
  [2187] = {.lex_state = 105, .external_lex_state = 2},
  [2188] = {.lex_state = 105, .external_lex_state = 2},
  [2189] = {.lex_state = 105, .external_lex_state = 2},
  [2190] = {.lex_state = 105, .external_lex_state = 2},
  [2191] = {.lex_state = 105, .external_lex_state = 2},
  [2192] = {.lex_state = 105, .external_lex_state = 2},
  [2193] = {.lex_state = 105, .external_lex_state = 2},
  [2194] = {.lex_state = 105, .external_lex_state = 2},
  [2195] = {.lex_state = 105, .external_lex_state = 2},
  [2196] = {.lex_state = 105, .external_lex_state = 2},
  [2197] = {.lex_state = 105, .external_lex_state = 2},
  [2198] = {.lex_state = 105, .external_lex_state = 2},
  [2199] = {.lex_state = 105, .external_lex_state = 2},
  [2200] = {.lex_state = 105, .external_lex_state = 2},
  [2201] = {.lex_state = 105, .external_lex_state = 2},
  [2202] = {.lex_state = 105, .external_lex_state = 2},
  [2203] = {.lex_state = 105, .external_lex_state = 2},
  [2204] = {.lex_state = 104, .external_lex_state = 2},
  [2205] = {.lex_state = 104, .external_lex_state = 2},
  [2206] = {.lex_state = 104, .external_lex_state = 2},
  [2207] = {.lex_state = 104, .external_lex_state = 2},
  [2208] = {.lex_state = 104, .external_lex_state = 2},
  [2209] = {.lex_state = 104, .external_lex_state = 2},
  [2210] = {.lex_state = 105, .external_lex_state = 2},
  [2211] = {.lex_state = 105, .external_lex_state = 2},
  [2212] = {.lex_state = 105, .external_lex_state = 2},
  [2213] = {.lex_state = 105, .external_lex_state = 2},
  [2214] = {.lex_state = 105, .external_lex_state = 2},
  [2215] = {.lex_state = 105, .external_lex_state = 2},
  [2216] = {.lex_state = 105, .external_lex_state = 2},
  [2217] = {.lex_state = 105, .external_lex_state = 2},
  [2218] = {.lex_state = 105, .external_lex_state = 2},
  [2219] = {.lex_state = 105, .external_lex_state = 2},
  [2220] = {.lex_state = 105, .external_lex_state = 2},
  [2221] = {.lex_state = 105, .external_lex_state = 2},
  [2222] = {.lex_state = 105, .external_lex_state = 2},
  [2223] = {.lex_state = 105, .external_lex_state = 2},
  [2224] = {.lex_state = 105},
  [2225] = {.lex_state = 105},
  [2226] = {.lex_state = 105, .external_lex_state = 2},
  [2227] = {.lex_state = 105, .external_lex_state = 2},
  [2228] = {.lex_state = 105, .external_lex_state = 2},
  [2229] = {.lex_state = 105, .external_lex_state = 2},
  [2230] = {.lex_state = 105, .external_lex_state = 2},
  [2231] = {.lex_state = 105, .external_lex_state = 2},
  [2232] = {.lex_state = 105, .external_lex_state = 2},
  [2233] = {.lex_state = 105, .external_lex_state = 2},
  [2234] = {.lex_state = 105, .external_lex_state = 2},
  [2235] = {.lex_state = 105, .external_lex_state = 2},
  [2236] = {.lex_state = 105, .external_lex_state = 2},
  [2237] = {.lex_state = 105, .external_lex_state = 2},
  [2238] = {.lex_state = 105, .external_lex_state = 2},
  [2239] = {.lex_state = 105, .external_lex_state = 2},
  [2240] = {.lex_state = 105, .external_lex_state = 2},
  [2241] = {.lex_state = 105, .external_lex_state = 2},
  [2242] = {.lex_state = 105, .external_lex_state = 2},
  [2243] = {.lex_state = 105, .external_lex_state = 2},
  [2244] = {.lex_state = 105, .external_lex_state = 2},
  [2245] = {.lex_state = 105, .external_lex_state = 2},
  [2246] = {.lex_state = 105, .external_lex_state = 2},
  [2247] = {.lex_state = 105, .external_lex_state = 2},
  [2248] = {.lex_state = 105, .external_lex_state = 2},
  [2249] = {.lex_state = 105, .external_lex_state = 2},
  [2250] = {.lex_state = 105, .external_lex_state = 2},
  [2251] = {.lex_state = 105, .external_lex_state = 2},
  [2252] = {.lex_state = 105, .external_lex_state = 2},
  [2253] = {.lex_state = 105, .external_lex_state = 2},
  [2254] = {.lex_state = 105, .external_lex_state = 2},
  [2255] = {.lex_state = 105, .external_lex_state = 2},
  [2256] = {.lex_state = 105, .external_lex_state = 2},
  [2257] = {.lex_state = 105, .external_lex_state = 2},
  [2258] = {.lex_state = 105, .external_lex_state = 2},
  [2259] = {.lex_state = 105, .external_lex_state = 2},
  [2260] = {.lex_state = 105, .external_lex_state = 2},
  [2261] = {.lex_state = 105, .external_lex_state = 2},
  [2262] = {.lex_state = 105, .external_lex_state = 2},
  [2263] = {.lex_state = 105, .external_lex_state = 2},
  [2264] = {.lex_state = 105, .external_lex_state = 2},
  [2265] = {.lex_state = 105, .external_lex_state = 2},
  [2266] = {.lex_state = 105},
  [2267] = {.lex_state = 105, .external_lex_state = 2},
  [2268] = {.lex_state = 105, .external_lex_state = 2},
  [2269] = {.lex_state = 105, .external_lex_state = 2},
  [2270] = {.lex_state = 105, .external_lex_state = 2},
  [2271] = {.lex_state = 105, .external_lex_state = 2},
  [2272] = {.lex_state = 105, .external_lex_state = 2},
  [2273] = {.lex_state = 105, .external_lex_state = 2},
  [2274] = {.lex_state = 105, .external_lex_state = 2},
  [2275] = {.lex_state = 105, .external_lex_state = 2},
  [2276] = {.lex_state = 105, .external_lex_state = 2},
  [2277] = {.lex_state = 105, .external_lex_state = 2},
  [2278] = {.lex_state = 105, .external_lex_state = 2},
  [2279] = {.lex_state = 105, .external_lex_state = 2},
  [2280] = {.lex_state = 105, .external_lex_state = 2},
  [2281] = {.lex_state = 105, .external_lex_state = 2},
  [2282] = {.lex_state = 105, .external_lex_state = 2},
  [2283] = {.lex_state = 105, .external_lex_state = 2},
  [2284] = {.lex_state = 105, .external_lex_state = 2},
  [2285] = {.lex_state = 105, .external_lex_state = 2},
  [2286] = {.lex_state = 105, .external_lex_state = 2},
  [2287] = {.lex_state = 105, .external_lex_state = 2},
  [2288] = {.lex_state = 105, .external_lex_state = 2},
  [2289] = {.lex_state = 105, .external_lex_state = 2},
  [2290] = {.lex_state = 105, .external_lex_state = 2},
  [2291] = {.lex_state = 105, .external_lex_state = 2},
  [2292] = {.lex_state = 105, .external_lex_state = 2},
  [2293] = {.lex_state = 105, .external_lex_state = 2},
  [2294] = {.lex_state = 105, .external_lex_state = 2},
  [2295] = {.lex_state = 105, .external_lex_state = 2},
  [2296] = {.lex_state = 105, .external_lex_state = 2},
  [2297] = {.lex_state = 105, .external_lex_state = 2},
  [2298] = {.lex_state = 105, .external_lex_state = 2},
  [2299] = {.lex_state = 105, .external_lex_state = 2},
  [2300] = {.lex_state = 105, .external_lex_state = 2},
  [2301] = {.lex_state = 105, .external_lex_state = 2},
  [2302] = {.lex_state = 105, .external_lex_state = 2},
  [2303] = {.lex_state = 105, .external_lex_state = 2},
  [2304] = {.lex_state = 105},
  [2305] = {.lex_state = 105, .external_lex_state = 2},
  [2306] = {.lex_state = 105, .external_lex_state = 2},
  [2307] = {.lex_state = 105, .external_lex_state = 2},
  [2308] = {.lex_state = 105, .external_lex_state = 2},
  [2309] = {.lex_state = 105, .external_lex_state = 2},
  [2310] = {.lex_state = 105, .external_lex_state = 2},
  [2311] = {.lex_state = 105, .external_lex_state = 2},
  [2312] = {.lex_state = 105, .external_lex_state = 2},
  [2313] = {.lex_state = 105, .external_lex_state = 2},
  [2314] = {.lex_state = 105, .external_lex_state = 2},
  [2315] = {.lex_state = 105, .external_lex_state = 2},
  [2316] = {.lex_state = 105, .external_lex_state = 2},
  [2317] = {.lex_state = 105, .external_lex_state = 2},
  [2318] = {.lex_state = 105, .external_lex_state = 2},
  [2319] = {.lex_state = 105, .external_lex_state = 2},
  [2320] = {.lex_state = 105, .external_lex_state = 2},
  [2321] = {.lex_state = 105, .external_lex_state = 2},
  [2322] = {.lex_state = 105, .external_lex_state = 2},
  [2323] = {.lex_state = 105, .external_lex_state = 2},
  [2324] = {.lex_state = 105, .external_lex_state = 2},
  [2325] = {.lex_state = 105, .external_lex_state = 2},
  [2326] = {.lex_state = 105, .external_lex_state = 2},
  [2327] = {.lex_state = 105, .external_lex_state = 2},
  [2328] = {.lex_state = 105, .external_lex_state = 2},
  [2329] = {.lex_state = 105, .external_lex_state = 2},
  [2330] = {.lex_state = 105, .external_lex_state = 2},
  [2331] = {.lex_state = 105, .external_lex_state = 2},
  [2332] = {.lex_state = 105, .external_lex_state = 2},
  [2333] = {.lex_state = 105, .external_lex_state = 2},
  [2334] = {.lex_state = 105, .external_lex_state = 2},
  [2335] = {.lex_state = 105, .external_lex_state = 2},
  [2336] = {.lex_state = 105, .external_lex_state = 2},
  [2337] = {.lex_state = 105, .external_lex_state = 2},
  [2338] = {.lex_state = 105, .external_lex_state = 2},
  [2339] = {.lex_state = 105, .external_lex_state = 2},
  [2340] = {.lex_state = 105, .external_lex_state = 2},
  [2341] = {.lex_state = 105, .external_lex_state = 2},
  [2342] = {.lex_state = 105, .external_lex_state = 2},
  [2343] = {.lex_state = 105, .external_lex_state = 2},
  [2344] = {.lex_state = 105, .external_lex_state = 2},
  [2345] = {.lex_state = 105, .external_lex_state = 2},
  [2346] = {.lex_state = 105, .external_lex_state = 2},
  [2347] = {.lex_state = 105, .external_lex_state = 2},
  [2348] = {.lex_state = 105, .external_lex_state = 2},
  [2349] = {.lex_state = 105, .external_lex_state = 2},
  [2350] = {.lex_state = 105, .external_lex_state = 2},
  [2351] = {.lex_state = 105, .external_lex_state = 2},
  [2352] = {.lex_state = 105, .external_lex_state = 2},
  [2353] = {.lex_state = 105, .external_lex_state = 2},
  [2354] = {.lex_state = 105, .external_lex_state = 2},
  [2355] = {.lex_state = 105, .external_lex_state = 2},
  [2356] = {.lex_state = 105, .external_lex_state = 2},
  [2357] = {.lex_state = 105, .external_lex_state = 2},
  [2358] = {.lex_state = 105, .external_lex_state = 2},
  [2359] = {.lex_state = 105, .external_lex_state = 2},
  [2360] = {.lex_state = 105, .external_lex_state = 2},
  [2361] = {.lex_state = 105},
  [2362] = {.lex_state = 105, .external_lex_state = 2},
  [2363] = {.lex_state = 105, .external_lex_state = 2},
  [2364] = {.lex_state = 105, .external_lex_state = 2},
  [2365] = {.lex_state = 105, .external_lex_state = 2},
  [2366] = {.lex_state = 105, .external_lex_state = 2},
  [2367] = {.lex_state = 105, .external_lex_state = 2},
  [2368] = {.lex_state = 105, .external_lex_state = 2},
  [2369] = {.lex_state = 105, .external_lex_state = 2},
  [2370] = {.lex_state = 105, .external_lex_state = 2},
  [2371] = {.lex_state = 105, .external_lex_state = 2},
  [2372] = {.lex_state = 105, .external_lex_state = 2},
  [2373] = {.lex_state = 105, .external_lex_state = 2},
  [2374] = {.lex_state = 105, .external_lex_state = 2},
  [2375] = {.lex_state = 105, .external_lex_state = 2},
  [2376] = {.lex_state = 105, .external_lex_state = 2},
  [2377] = {.lex_state = 105, .external_lex_state = 2},
  [2378] = {.lex_state = 105, .external_lex_state = 2},
  [2379] = {.lex_state = 105, .external_lex_state = 2},
  [2380] = {.lex_state = 105, .external_lex_state = 2},
  [2381] = {.lex_state = 105, .external_lex_state = 2},
  [2382] = {.lex_state = 105, .external_lex_state = 2},
  [2383] = {.lex_state = 105, .external_lex_state = 2},
  [2384] = {.lex_state = 105, .external_lex_state = 2},
  [2385] = {.lex_state = 105, .external_lex_state = 2},
  [2386] = {.lex_state = 105, .external_lex_state = 2},
  [2387] = {.lex_state = 105, .external_lex_state = 2},
  [2388] = {.lex_state = 105, .external_lex_state = 2},
  [2389] = {.lex_state = 105, .external_lex_state = 2},
  [2390] = {.lex_state = 105, .external_lex_state = 2},
  [2391] = {.lex_state = 105, .external_lex_state = 2},
  [2392] = {.lex_state = 105, .external_lex_state = 2},
  [2393] = {.lex_state = 105, .external_lex_state = 2},
  [2394] = {.lex_state = 105, .external_lex_state = 2},
  [2395] = {.lex_state = 105, .external_lex_state = 2},
  [2396] = {.lex_state = 105, .external_lex_state = 2},
  [2397] = {.lex_state = 105, .external_lex_state = 2},
  [2398] = {.lex_state = 105, .external_lex_state = 2},
  [2399] = {.lex_state = 105, .external_lex_state = 2},
  [2400] = {.lex_state = 105, .external_lex_state = 2},
  [2401] = {.lex_state = 105, .external_lex_state = 2},
  [2402] = {.lex_state = 105, .external_lex_state = 2},
  [2403] = {.lex_state = 105, .external_lex_state = 2},
  [2404] = {.lex_state = 105, .external_lex_state = 2},
  [2405] = {.lex_state = 105, .external_lex_state = 2},
  [2406] = {.lex_state = 105, .external_lex_state = 2},
  [2407] = {.lex_state = 105, .external_lex_state = 2},
  [2408] = {.lex_state = 105, .external_lex_state = 2},
  [2409] = {.lex_state = 105, .external_lex_state = 2},
  [2410] = {.lex_state = 105, .external_lex_state = 2},
  [2411] = {.lex_state = 105, .external_lex_state = 2},
  [2412] = {.lex_state = 105, .external_lex_state = 2},
  [2413] = {.lex_state = 105, .external_lex_state = 2},
  [2414] = {.lex_state = 105, .external_lex_state = 2},
  [2415] = {.lex_state = 105, .external_lex_state = 2},
  [2416] = {.lex_state = 105, .external_lex_state = 2},
  [2417] = {.lex_state = 105, .external_lex_state = 2},
  [2418] = {.lex_state = 105, .external_lex_state = 2},
  [2419] = {.lex_state = 105, .external_lex_state = 2},
  [2420] = {.lex_state = 105, .external_lex_state = 2},
  [2421] = {.lex_state = 105, .external_lex_state = 2},
  [2422] = {.lex_state = 105, .external_lex_state = 2},
  [2423] = {.lex_state = 105, .external_lex_state = 2},
  [2424] = {.lex_state = 105, .external_lex_state = 2},
  [2425] = {.lex_state = 105, .external_lex_state = 2},
  [2426] = {.lex_state = 105, .external_lex_state = 2},
  [2427] = {.lex_state = 105, .external_lex_state = 2},
  [2428] = {.lex_state = 105, .external_lex_state = 2},
  [2429] = {.lex_state = 105, .external_lex_state = 2},
  [2430] = {.lex_state = 105, .external_lex_state = 2},
  [2431] = {.lex_state = 105, .external_lex_state = 2},
  [2432] = {.lex_state = 105, .external_lex_state = 2},
  [2433] = {.lex_state = 105, .external_lex_state = 2},
  [2434] = {.lex_state = 105, .external_lex_state = 2},
  [2435] = {.lex_state = 105, .external_lex_state = 2},
  [2436] = {.lex_state = 105, .external_lex_state = 2},
  [2437] = {.lex_state = 105, .external_lex_state = 2},
  [2438] = {.lex_state = 105, .external_lex_state = 2},
  [2439] = {.lex_state = 105, .external_lex_state = 2},
  [2440] = {.lex_state = 4},
  [2441] = {.lex_state = 105, .external_lex_state = 2},
  [2442] = {.lex_state = 105, .external_lex_state = 2},
  [2443] = {.lex_state = 105, .external_lex_state = 2},
  [2444] = {.lex_state = 105, .external_lex_state = 2},
  [2445] = {.lex_state = 105, .external_lex_state = 2},
  [2446] = {.lex_state = 105, .external_lex_state = 2},
  [2447] = {.lex_state = 105, .external_lex_state = 2},
  [2448] = {.lex_state = 105, .external_lex_state = 2},
  [2449] = {.lex_state = 105, .external_lex_state = 2},
  [2450] = {.lex_state = 105, .external_lex_state = 2},
  [2451] = {.lex_state = 105, .external_lex_state = 2},
  [2452] = {.lex_state = 105, .external_lex_state = 2},
  [2453] = {.lex_state = 105, .external_lex_state = 2},
  [2454] = {.lex_state = 105, .external_lex_state = 2},
  [2455] = {.lex_state = 105, .external_lex_state = 2},
  [2456] = {.lex_state = 105, .external_lex_state = 2},
  [2457] = {.lex_state = 105, .external_lex_state = 2},
  [2458] = {.lex_state = 105, .external_lex_state = 2},
  [2459] = {.lex_state = 105, .external_lex_state = 2},
  [2460] = {.lex_state = 105, .external_lex_state = 2},
  [2461] = {.lex_state = 105, .external_lex_state = 2},
  [2462] = {.lex_state = 105, .external_lex_state = 2},
  [2463] = {.lex_state = 105, .external_lex_state = 2},
  [2464] = {.lex_state = 105, .external_lex_state = 2},
  [2465] = {.lex_state = 105, .external_lex_state = 2},
  [2466] = {.lex_state = 105, .external_lex_state = 2},
  [2467] = {.lex_state = 105, .external_lex_state = 2},
  [2468] = {.lex_state = 105, .external_lex_state = 2},
  [2469] = {.lex_state = 105, .external_lex_state = 2},
  [2470] = {.lex_state = 105, .external_lex_state = 2},
  [2471] = {.lex_state = 105, .external_lex_state = 2},
  [2472] = {.lex_state = 105, .external_lex_state = 2},
  [2473] = {.lex_state = 105, .external_lex_state = 2},
  [2474] = {.lex_state = 105, .external_lex_state = 2},
  [2475] = {.lex_state = 105, .external_lex_state = 2},
  [2476] = {.lex_state = 105, .external_lex_state = 2},
  [2477] = {.lex_state = 105, .external_lex_state = 2},
  [2478] = {.lex_state = 105, .external_lex_state = 2},
  [2479] = {.lex_state = 105, .external_lex_state = 2},
  [2480] = {.lex_state = 105, .external_lex_state = 2},
  [2481] = {.lex_state = 105, .external_lex_state = 2},
  [2482] = {.lex_state = 105, .external_lex_state = 2},
  [2483] = {.lex_state = 105, .external_lex_state = 2},
  [2484] = {.lex_state = 105, .external_lex_state = 2},
  [2485] = {.lex_state = 105, .external_lex_state = 2},
  [2486] = {.lex_state = 105, .external_lex_state = 2},
  [2487] = {.lex_state = 105, .external_lex_state = 2},
  [2488] = {.lex_state = 105, .external_lex_state = 2},
  [2489] = {.lex_state = 105, .external_lex_state = 2},
  [2490] = {.lex_state = 105, .external_lex_state = 2},
  [2491] = {.lex_state = 105, .external_lex_state = 2},
  [2492] = {.lex_state = 105, .external_lex_state = 2},
  [2493] = {.lex_state = 105, .external_lex_state = 2},
  [2494] = {.lex_state = 105, .external_lex_state = 2},
  [2495] = {.lex_state = 105, .external_lex_state = 2},
  [2496] = {.lex_state = 105, .external_lex_state = 2},
  [2497] = {.lex_state = 105, .external_lex_state = 2},
  [2498] = {.lex_state = 105, .external_lex_state = 2},
  [2499] = {.lex_state = 105, .external_lex_state = 2},
  [2500] = {.lex_state = 105, .external_lex_state = 2},
  [2501] = {.lex_state = 105, .external_lex_state = 2},
  [2502] = {.lex_state = 105, .external_lex_state = 2},
  [2503] = {.lex_state = 105, .external_lex_state = 2},
  [2504] = {.lex_state = 105, .external_lex_state = 2},
  [2505] = {.lex_state = 105, .external_lex_state = 2},
  [2506] = {.lex_state = 105, .external_lex_state = 2},
  [2507] = {.lex_state = 105, .external_lex_state = 2},
  [2508] = {.lex_state = 105, .external_lex_state = 2},
  [2509] = {.lex_state = 105, .external_lex_state = 2},
  [2510] = {.lex_state = 105, .external_lex_state = 2},
  [2511] = {.lex_state = 105, .external_lex_state = 2},
  [2512] = {.lex_state = 105, .external_lex_state = 2},
  [2513] = {.lex_state = 105, .external_lex_state = 2},
  [2514] = {.lex_state = 105, .external_lex_state = 2},
  [2515] = {.lex_state = 105, .external_lex_state = 2},
  [2516] = {.lex_state = 105, .external_lex_state = 2},
  [2517] = {.lex_state = 105, .external_lex_state = 2},
  [2518] = {.lex_state = 105, .external_lex_state = 2},
  [2519] = {.lex_state = 105, .external_lex_state = 2},
  [2520] = {.lex_state = 105, .external_lex_state = 2},
  [2521] = {.lex_state = 105, .external_lex_state = 2},
  [2522] = {.lex_state = 105, .external_lex_state = 2},
  [2523] = {.lex_state = 105, .external_lex_state = 2},
  [2524] = {.lex_state = 105, .external_lex_state = 2},
  [2525] = {.lex_state = 105, .external_lex_state = 2},
  [2526] = {.lex_state = 105, .external_lex_state = 2},
  [2527] = {.lex_state = 105, .external_lex_state = 2},
  [2528] = {.lex_state = 105, .external_lex_state = 2},
  [2529] = {.lex_state = 105, .external_lex_state = 2},
  [2530] = {.lex_state = 105, .external_lex_state = 2},
  [2531] = {.lex_state = 105, .external_lex_state = 2},
  [2532] = {.lex_state = 105, .external_lex_state = 2},
  [2533] = {.lex_state = 105, .external_lex_state = 2},
  [2534] = {.lex_state = 105, .external_lex_state = 2},
  [2535] = {.lex_state = 105, .external_lex_state = 2},
  [2536] = {.lex_state = 105, .external_lex_state = 2},
  [2537] = {.lex_state = 105, .external_lex_state = 2},
  [2538] = {.lex_state = 105, .external_lex_state = 2},
  [2539] = {.lex_state = 105, .external_lex_state = 2},
  [2540] = {.lex_state = 105, .external_lex_state = 2},
  [2541] = {.lex_state = 105, .external_lex_state = 2},
  [2542] = {.lex_state = 105, .external_lex_state = 2},
  [2543] = {.lex_state = 105, .external_lex_state = 2},
  [2544] = {.lex_state = 105, .external_lex_state = 2},
  [2545] = {.lex_state = 105, .external_lex_state = 2},
  [2546] = {.lex_state = 105, .external_lex_state = 2},
  [2547] = {.lex_state = 105, .external_lex_state = 2},
  [2548] = {.lex_state = 105, .external_lex_state = 2},
  [2549] = {.lex_state = 105, .external_lex_state = 2},
  [2550] = {.lex_state = 105, .external_lex_state = 2},
  [2551] = {.lex_state = 105, .external_lex_state = 2},
  [2552] = {.lex_state = 105, .external_lex_state = 2},
  [2553] = {.lex_state = 105, .external_lex_state = 2},
  [2554] = {.lex_state = 105, .external_lex_state = 2},
  [2555] = {.lex_state = 105, .external_lex_state = 2},
  [2556] = {.lex_state = 105, .external_lex_state = 2},
  [2557] = {.lex_state = 105, .external_lex_state = 2},
  [2558] = {.lex_state = 105, .external_lex_state = 2},
  [2559] = {.lex_state = 105, .external_lex_state = 2},
  [2560] = {.lex_state = 105, .external_lex_state = 2},
  [2561] = {.lex_state = 105, .external_lex_state = 2},
  [2562] = {.lex_state = 105, .external_lex_state = 2},
  [2563] = {.lex_state = 105, .external_lex_state = 2},
  [2564] = {.lex_state = 105, .external_lex_state = 2},
  [2565] = {.lex_state = 105, .external_lex_state = 2},
  [2566] = {.lex_state = 105, .external_lex_state = 2},
  [2567] = {.lex_state = 105, .external_lex_state = 2},
  [2568] = {.lex_state = 105, .external_lex_state = 2},
  [2569] = {.lex_state = 105, .external_lex_state = 2},
  [2570] = {.lex_state = 105, .external_lex_state = 2},
  [2571] = {.lex_state = 105, .external_lex_state = 2},
  [2572] = {.lex_state = 105, .external_lex_state = 2},
  [2573] = {.lex_state = 105, .external_lex_state = 2},
  [2574] = {.lex_state = 105, .external_lex_state = 2},
  [2575] = {.lex_state = 105, .external_lex_state = 2},
  [2576] = {.lex_state = 105, .external_lex_state = 2},
  [2577] = {.lex_state = 105, .external_lex_state = 2},
  [2578] = {.lex_state = 105, .external_lex_state = 2},
  [2579] = {.lex_state = 105, .external_lex_state = 2},
  [2580] = {.lex_state = 105, .external_lex_state = 2},
  [2581] = {.lex_state = 105, .external_lex_state = 2},
  [2582] = {.lex_state = 105, .external_lex_state = 2},
  [2583] = {.lex_state = 105, .external_lex_state = 2},
  [2584] = {.lex_state = 105, .external_lex_state = 2},
  [2585] = {.lex_state = 105, .external_lex_state = 2},
  [2586] = {.lex_state = 105, .external_lex_state = 2},
  [2587] = {.lex_state = 105, .external_lex_state = 2},
  [2588] = {.lex_state = 105, .external_lex_state = 2},
  [2589] = {.lex_state = 105, .external_lex_state = 2},
  [2590] = {.lex_state = 105, .external_lex_state = 2},
  [2591] = {.lex_state = 105, .external_lex_state = 2},
  [2592] = {.lex_state = 105, .external_lex_state = 2},
  [2593] = {.lex_state = 105, .external_lex_state = 2},
  [2594] = {.lex_state = 105, .external_lex_state = 2},
  [2595] = {.lex_state = 105, .external_lex_state = 2},
  [2596] = {.lex_state = 105, .external_lex_state = 2},
  [2597] = {.lex_state = 105, .external_lex_state = 2},
  [2598] = {.lex_state = 105, .external_lex_state = 2},
  [2599] = {.lex_state = 105, .external_lex_state = 2},
  [2600] = {.lex_state = 105, .external_lex_state = 2},
  [2601] = {.lex_state = 105, .external_lex_state = 2},
  [2602] = {.lex_state = 105, .external_lex_state = 2},
  [2603] = {.lex_state = 105, .external_lex_state = 2},
  [2604] = {.lex_state = 105, .external_lex_state = 2},
  [2605] = {.lex_state = 105, .external_lex_state = 2},
  [2606] = {.lex_state = 105, .external_lex_state = 2},
  [2607] = {.lex_state = 105, .external_lex_state = 2},
  [2608] = {.lex_state = 105, .external_lex_state = 2},
  [2609] = {.lex_state = 105, .external_lex_state = 2},
  [2610] = {.lex_state = 105, .external_lex_state = 2},
  [2611] = {.lex_state = 105, .external_lex_state = 2},
  [2612] = {.lex_state = 105, .external_lex_state = 2},
  [2613] = {.lex_state = 105, .external_lex_state = 2},
  [2614] = {.lex_state = 105, .external_lex_state = 2},
  [2615] = {.lex_state = 105, .external_lex_state = 2},
  [2616] = {.lex_state = 105, .external_lex_state = 2},
  [2617] = {.lex_state = 105, .external_lex_state = 2},
  [2618] = {.lex_state = 105, .external_lex_state = 2},
  [2619] = {.lex_state = 105, .external_lex_state = 2},
  [2620] = {.lex_state = 105, .external_lex_state = 2},
  [2621] = {.lex_state = 105, .external_lex_state = 2},
  [2622] = {.lex_state = 105, .external_lex_state = 2},
  [2623] = {.lex_state = 105, .external_lex_state = 2},
  [2624] = {.lex_state = 105, .external_lex_state = 2},
  [2625] = {.lex_state = 105, .external_lex_state = 2},
  [2626] = {.lex_state = 105, .external_lex_state = 2},
  [2627] = {.lex_state = 105, .external_lex_state = 2},
  [2628] = {.lex_state = 105, .external_lex_state = 2},
  [2629] = {.lex_state = 105, .external_lex_state = 2},
  [2630] = {.lex_state = 105, .external_lex_state = 2},
  [2631] = {.lex_state = 105, .external_lex_state = 2},
  [2632] = {.lex_state = 105, .external_lex_state = 2},
  [2633] = {.lex_state = 105, .external_lex_state = 2},
  [2634] = {.lex_state = 105, .external_lex_state = 2},
  [2635] = {.lex_state = 105, .external_lex_state = 2},
  [2636] = {.lex_state = 105, .external_lex_state = 2},
  [2637] = {.lex_state = 105, .external_lex_state = 2},
  [2638] = {.lex_state = 105, .external_lex_state = 2},
  [2639] = {.lex_state = 105, .external_lex_state = 2},
  [2640] = {.lex_state = 105, .external_lex_state = 2},
  [2641] = {.lex_state = 105, .external_lex_state = 2},
  [2642] = {.lex_state = 105, .external_lex_state = 2},
  [2643] = {.lex_state = 105, .external_lex_state = 2},
  [2644] = {.lex_state = 105, .external_lex_state = 2},
  [2645] = {.lex_state = 105},
  [2646] = {.lex_state = 105},
  [2647] = {.lex_state = 105},
  [2648] = {.lex_state = 105},
  [2649] = {.lex_state = 105, .external_lex_state = 2},
  [2650] = {.lex_state = 105, .external_lex_state = 2},
  [2651] = {.lex_state = 105, .external_lex_state = 2},
  [2652] = {.lex_state = 105, .external_lex_state = 2},
  [2653] = {.lex_state = 105, .external_lex_state = 2},
  [2654] = {.lex_state = 105, .external_lex_state = 2},
  [2655] = {.lex_state = 4},
  [2656] = {.lex_state = 105, .external_lex_state = 2},
  [2657] = {.lex_state = 105, .external_lex_state = 2},
  [2658] = {.lex_state = 105, .external_lex_state = 2},
  [2659] = {.lex_state = 105, .external_lex_state = 2},
  [2660] = {.lex_state = 105, .external_lex_state = 2},
  [2661] = {.lex_state = 105, .external_lex_state = 2},
  [2662] = {.lex_state = 105, .external_lex_state = 2},
  [2663] = {.lex_state = 105, .external_lex_state = 2},
  [2664] = {.lex_state = 105, .external_lex_state = 2},
  [2665] = {.lex_state = 105, .external_lex_state = 2},
  [2666] = {.lex_state = 105, .external_lex_state = 2},
  [2667] = {.lex_state = 105, .external_lex_state = 2},
  [2668] = {.lex_state = 105, .external_lex_state = 2},
  [2669] = {.lex_state = 105, .external_lex_state = 2},
  [2670] = {.lex_state = 105, .external_lex_state = 2},
  [2671] = {.lex_state = 105, .external_lex_state = 2},
  [2672] = {.lex_state = 105, .external_lex_state = 2},
  [2673] = {.lex_state = 105, .external_lex_state = 2},
  [2674] = {.lex_state = 105, .external_lex_state = 2},
  [2675] = {.lex_state = 105, .external_lex_state = 2},
  [2676] = {.lex_state = 105, .external_lex_state = 2},
  [2677] = {.lex_state = 105, .external_lex_state = 2},
  [2678] = {.lex_state = 105, .external_lex_state = 2},
  [2679] = {.lex_state = 105, .external_lex_state = 2},
  [2680] = {.lex_state = 105, .external_lex_state = 2},
  [2681] = {.lex_state = 105, .external_lex_state = 2},
  [2682] = {.lex_state = 105, .external_lex_state = 2},
  [2683] = {.lex_state = 105, .external_lex_state = 2},
  [2684] = {.lex_state = 105, .external_lex_state = 2},
  [2685] = {.lex_state = 105, .external_lex_state = 2},
  [2686] = {.lex_state = 105, .external_lex_state = 2},
  [2687] = {.lex_state = 105, .external_lex_state = 2},
  [2688] = {.lex_state = 105, .external_lex_state = 2},
  [2689] = {.lex_state = 105, .external_lex_state = 2},
  [2690] = {.lex_state = 105, .external_lex_state = 2},
  [2691] = {.lex_state = 105, .external_lex_state = 2},
  [2692] = {.lex_state = 105, .external_lex_state = 2},
  [2693] = {.lex_state = 105, .external_lex_state = 2},
  [2694] = {.lex_state = 105, .external_lex_state = 2},
  [2695] = {.lex_state = 105, .external_lex_state = 2},
  [2696] = {.lex_state = 105, .external_lex_state = 2},
  [2697] = {.lex_state = 105, .external_lex_state = 2},
  [2698] = {.lex_state = 105, .external_lex_state = 2},
  [2699] = {.lex_state = 105, .external_lex_state = 2},
  [2700] = {.lex_state = 105, .external_lex_state = 2},
  [2701] = {.lex_state = 105, .external_lex_state = 2},
  [2702] = {.lex_state = 105, .external_lex_state = 2},
  [2703] = {.lex_state = 105, .external_lex_state = 2},
  [2704] = {.lex_state = 105, .external_lex_state = 2},
  [2705] = {.lex_state = 105, .external_lex_state = 2},
  [2706] = {.lex_state = 105, .external_lex_state = 2},
  [2707] = {.lex_state = 105, .external_lex_state = 2},
  [2708] = {.lex_state = 105, .external_lex_state = 2},
  [2709] = {.lex_state = 105, .external_lex_state = 2},
  [2710] = {.lex_state = 105, .external_lex_state = 2},
  [2711] = {.lex_state = 105, .external_lex_state = 2},
  [2712] = {.lex_state = 105, .external_lex_state = 2},
  [2713] = {.lex_state = 105, .external_lex_state = 2},
  [2714] = {.lex_state = 105, .external_lex_state = 2},
  [2715] = {.lex_state = 105, .external_lex_state = 2},
  [2716] = {.lex_state = 105, .external_lex_state = 2},
  [2717] = {.lex_state = 105, .external_lex_state = 2},
  [2718] = {.lex_state = 105, .external_lex_state = 2},
  [2719] = {.lex_state = 105, .external_lex_state = 2},
  [2720] = {.lex_state = 105, .external_lex_state = 2},
  [2721] = {.lex_state = 105, .external_lex_state = 2},
  [2722] = {.lex_state = 105, .external_lex_state = 2},
  [2723] = {.lex_state = 105, .external_lex_state = 2},
  [2724] = {.lex_state = 105, .external_lex_state = 2},
  [2725] = {.lex_state = 105, .external_lex_state = 2},
  [2726] = {.lex_state = 105, .external_lex_state = 2},
  [2727] = {.lex_state = 105, .external_lex_state = 2},
  [2728] = {.lex_state = 105, .external_lex_state = 2},
  [2729] = {.lex_state = 105, .external_lex_state = 2},
  [2730] = {.lex_state = 105, .external_lex_state = 2},
  [2731] = {.lex_state = 105, .external_lex_state = 2},
  [2732] = {.lex_state = 105, .external_lex_state = 2},
  [2733] = {.lex_state = 4},
  [2734] = {.lex_state = 4, .external_lex_state = 4},
  [2735] = {.lex_state = 4},
  [2736] = {.lex_state = 4},
  [2737] = {.lex_state = 4},
  [2738] = {.lex_state = 4},
  [2739] = {.lex_state = 4},
  [2740] = {.lex_state = 4},
  [2741] = {.lex_state = 4, .external_lex_state = 4},
  [2742] = {.lex_state = 4},
  [2743] = {.lex_state = 4},
  [2744] = {.lex_state = 4},
  [2745] = {.lex_state = 4},
  [2746] = {.lex_state = 5},
  [2747] = {.lex_state = 5},
  [2748] = {.lex_state = 5},
  [2749] = {.lex_state = 4},
  [2750] = {.lex_state = 5},
  [2751] = {.lex_state = 4, .external_lex_state = 4},
  [2752] = {.lex_state = 4},
  [2753] = {.lex_state = 5},
  [2754] = {.lex_state = 4},
  [2755] = {.lex_state = 5},
  [2756] = {.lex_state = 4},
  [2757] = {.lex_state = 4},
  [2758] = {.lex_state = 5},
  [2759] = {.lex_state = 5},
  [2760] = {.lex_state = 5},
  [2761] = {.lex_state = 5},
  [2762] = {.lex_state = 5},
  [2763] = {.lex_state = 5},
  [2764] = {.lex_state = 5},
  [2765] = {.lex_state = 4},
  [2766] = {.lex_state = 5},
  [2767] = {.lex_state = 5},
  [2768] = {.lex_state = 4},
  [2769] = {.lex_state = 5},
  [2770] = {.lex_state = 4, .external_lex_state = 4},
  [2771] = {.lex_state = 5},
  [2772] = {.lex_state = 6},
  [2773] = {.lex_state = 6},
  [2774] = {.lex_state = 4},
  [2775] = {.lex_state = 6},
  [2776] = {.lex_state = 4},
  [2777] = {.lex_state = 4},
  [2778] = {.lex_state = 4},
  [2779] = {.lex_state = 4},
  [2780] = {.lex_state = 4},
  [2781] = {.lex_state = 5},
  [2782] = {.lex_state = 4},
  [2783] = {.lex_state = 6},
  [2784] = {.lex_state = 4},
  [2785] = {.lex_state = 5},
  [2786] = {.lex_state = 4},
  [2787] = {.lex_state = 4},
  [2788] = {.lex_state = 4},
  [2789] = {.lex_state = 105},
  [2790] = {.lex_state = 4},
  [2791] = {.lex_state = 4},
  [2792] = {.lex_state = 4},
  [2793] = {.lex_state = 4, .external_lex_state = 4},
  [2794] = {.lex_state = 5},
  [2795] = {.lex_state = 4},
  [2796] = {.lex_state = 5},
  [2797] = {.lex_state = 4, .external_lex_state = 4},
  [2798] = {.lex_state = 6},
  [2799] = {.lex_state = 4, .external_lex_state = 4},
  [2800] = {.lex_state = 104},
  [2801] = {.lex_state = 5},
  [2802] = {.lex_state = 104},
  [2803] = {.lex_state = 5},
  [2804] = {.lex_state = 5},
  [2805] = {.lex_state = 104},
  [2806] = {.lex_state = 4, .external_lex_state = 4},
  [2807] = {.lex_state = 105},
  [2808] = {.lex_state = 4},
  [2809] = {.lex_state = 104},
  [2810] = {.lex_state = 4, .external_lex_state = 4},
  [2811] = {.lex_state = 5, .external_lex_state = 4},
  [2812] = {.lex_state = 5},
  [2813] = {.lex_state = 104},
  [2814] = {.lex_state = 5},
  [2815] = {.lex_state = 5},
  [2816] = {.lex_state = 104},
  [2817] = {.lex_state = 4},
  [2818] = {.lex_state = 105},
  [2819] = {.lex_state = 5, .external_lex_state = 4},
  [2820] = {.lex_state = 5, .external_lex_state = 4},
  [2821] = {.lex_state = 4},
  [2822] = {.lex_state = 5, .external_lex_state = 4},
  [2823] = {.lex_state = 5, .external_lex_state = 4},
  [2824] = {.lex_state = 5, .external_lex_state = 4},
  [2825] = {.lex_state = 5, .external_lex_state = 4},
  [2826] = {.lex_state = 4},
  [2827] = {.lex_state = 5},
  [2828] = {.lex_state = 5, .external_lex_state = 4},
  [2829] = {.lex_state = 5},
  [2830] = {.lex_state = 5, .external_lex_state = 4},
  [2831] = {.lex_state = 4},
  [2832] = {.lex_state = 5, .external_lex_state = 4},
  [2833] = {.lex_state = 104},
  [2834] = {.lex_state = 4},
  [2835] = {.lex_state = 5, .external_lex_state = 4},
  [2836] = {.lex_state = 5, .external_lex_state = 4},
  [2837] = {.lex_state = 4, .external_lex_state = 4},
  [2838] = {.lex_state = 4},
  [2839] = {.lex_state = 5},
  [2840] = {.lex_state = 5, .external_lex_state = 4},
  [2841] = {.lex_state = 5, .external_lex_state = 4},
  [2842] = {.lex_state = 5},
  [2843] = {.lex_state = 104},
  [2844] = {.lex_state = 6},
  [2845] = {.lex_state = 4},
  [2846] = {.lex_state = 105},
  [2847] = {.lex_state = 5},
  [2848] = {.lex_state = 104},
  [2849] = {.lex_state = 4},
  [2850] = {.lex_state = 4},
  [2851] = {.lex_state = 5},
  [2852] = {.lex_state = 104},
  [2853] = {.lex_state = 105},
  [2854] = {.lex_state = 5},
  [2855] = {.lex_state = 5},
  [2856] = {.lex_state = 4},
  [2857] = {.lex_state = 5},
  [2858] = {.lex_state = 104},
  [2859] = {.lex_state = 5},
  [2860] = {.lex_state = 4},
  [2861] = {.lex_state = 4},
  [2862] = {.lex_state = 104},
  [2863] = {.lex_state = 4},
  [2864] = {.lex_state = 4},
  [2865] = {.lex_state = 5, .external_lex_state = 4},
  [2866] = {.lex_state = 4},
  [2867] = {.lex_state = 4},
  [2868] = {.lex_state = 104},
  [2869] = {.lex_state = 4},
  [2870] = {.lex_state = 5, .external_lex_state = 4},
  [2871] = {.lex_state = 5},
  [2872] = {.lex_state = 6, .external_lex_state = 4},
  [2873] = {.lex_state = 5},
  [2874] = {.lex_state = 4},
  [2875] = {.lex_state = 5},
  [2876] = {.lex_state = 5, .external_lex_state = 4},
  [2877] = {.lex_state = 5, .external_lex_state = 4},
  [2878] = {.lex_state = 5},
  [2879] = {.lex_state = 104},
  [2880] = {.lex_state = 5},
  [2881] = {.lex_state = 104},
  [2882] = {.lex_state = 4},
  [2883] = {.lex_state = 4},
  [2884] = {.lex_state = 104},
  [2885] = {.lex_state = 4},
  [2886] = {.lex_state = 104},
  [2887] = {.lex_state = 104},
  [2888] = {.lex_state = 4},
  [2889] = {.lex_state = 4},
  [2890] = {.lex_state = 104},
  [2891] = {.lex_state = 4},
  [2892] = {.lex_state = 4},
  [2893] = {.lex_state = 104},
  [2894] = {.lex_state = 4},
  [2895] = {.lex_state = 104},
  [2896] = {.lex_state = 4},
  [2897] = {.lex_state = 104},
  [2898] = {.lex_state = 4},
  [2899] = {.lex_state = 104},
  [2900] = {.lex_state = 104},
  [2901] = {.lex_state = 5},
  [2902] = {.lex_state = 104},
  [2903] = {.lex_state = 4},
  [2904] = {.lex_state = 104},
  [2905] = {.lex_state = 104},
  [2906] = {.lex_state = 6, .external_lex_state = 4},
  [2907] = {.lex_state = 4},
  [2908] = {.lex_state = 5},
  [2909] = {.lex_state = 6, .external_lex_state = 4},
  [2910] = {.lex_state = 5},
  [2911] = {.lex_state = 4},
  [2912] = {.lex_state = 4},
  [2913] = {.lex_state = 5},
  [2914] = {.lex_state = 4},
  [2915] = {.lex_state = 4},
  [2916] = {.lex_state = 104},
  [2917] = {.lex_state = 4},
  [2918] = {.lex_state = 4},
  [2919] = {.lex_state = 4},
  [2920] = {.lex_state = 6},
  [2921] = {.lex_state = 4},
  [2922] = {.lex_state = 105},
  [2923] = {.lex_state = 105},
  [2924] = {.lex_state = 105},
  [2925] = {.lex_state = 6},
  [2926] = {.lex_state = 4},
  [2927] = {.lex_state = 6},
  [2928] = {.lex_state = 6},
  [2929] = {.lex_state = 4},
  [2930] = {.lex_state = 6},
  [2931] = {.lex_state = 4},
  [2932] = {.lex_state = 105},
  [2933] = {.lex_state = 105},
  [2934] = {.lex_state = 105},
  [2935] = {.lex_state = 105},
  [2936] = {.lex_state = 6},
  [2937] = {.lex_state = 6},
  [2938] = {.lex_state = 105},
  [2939] = {.lex_state = 104},
  [2940] = {.lex_state = 4},
  [2941] = {.lex_state = 104},
  [2942] = {.lex_state = 104},
  [2943] = {.lex_state = 104},
  [2944] = {.lex_state = 104},
  [2945] = {.lex_state = 104, .external_lex_state = 4},
  [2946] = {.lex_state = 4},
  [2947] = {.lex_state = 104},
  [2948] = {.lex_state = 5},
  [2949] = {.lex_state = 104},
  [2950] = {.lex_state = 4},
  [2951] = {.lex_state = 104},
  [2952] = {.lex_state = 104},
  [2953] = {.lex_state = 104, .external_lex_state = 4},
  [2954] = {.lex_state = 4},
  [2955] = {.lex_state = 104},
  [2956] = {.lex_state = 6},
  [2957] = {.lex_state = 6},
  [2958] = {.lex_state = 4},
  [2959] = {.lex_state = 104},
  [2960] = {.lex_state = 104},
  [2961] = {.lex_state = 104},
  [2962] = {.lex_state = 104, .external_lex_state = 4},
  [2963] = {.lex_state = 104},
  [2964] = {.lex_state = 4},
  [2965] = {.lex_state = 104},
  [2966] = {.lex_state = 104},
  [2967] = {.lex_state = 4},
  [2968] = {.lex_state = 104},
  [2969] = {.lex_state = 104, .external_lex_state = 4},
  [2970] = {.lex_state = 4},
  [2971] = {.lex_state = 104},
  [2972] = {.lex_state = 104},
  [2973] = {.lex_state = 104},
  [2974] = {.lex_state = 4},
  [2975] = {.lex_state = 104},
  [2976] = {.lex_state = 104},
  [2977] = {.lex_state = 4},
  [2978] = {.lex_state = 6},
  [2979] = {.lex_state = 4},
  [2980] = {.lex_state = 105},
  [2981] = {.lex_state = 4},
  [2982] = {.lex_state = 4},
  [2983] = {.lex_state = 4},
  [2984] = {.lex_state = 104, .external_lex_state = 4},
  [2985] = {.lex_state = 104},
  [2986] = {.lex_state = 105},
  [2987] = {.lex_state = 104, .external_lex_state = 4},
  [2988] = {.lex_state = 4},
  [2989] = {.lex_state = 4},
  [2990] = {.lex_state = 104},
  [2991] = {.lex_state = 104},
  [2992] = {.lex_state = 5},
  [2993] = {.lex_state = 5},
  [2994] = {.lex_state = 104},
  [2995] = {.lex_state = 6},
  [2996] = {.lex_state = 5},
  [2997] = {.lex_state = 6},
  [2998] = {.lex_state = 104},
  [2999] = {.lex_state = 5},
  [3000] = {.lex_state = 104},
  [3001] = {.lex_state = 5},
  [3002] = {.lex_state = 5},
  [3003] = {.lex_state = 5},
  [3004] = {.lex_state = 5},
  [3005] = {.lex_state = 104},
  [3006] = {.lex_state = 5},
  [3007] = {.lex_state = 6},
  [3008] = {.lex_state = 104},
  [3009] = {.lex_state = 5},
  [3010] = {.lex_state = 5},
  [3011] = {.lex_state = 5},
  [3012] = {.lex_state = 6},
  [3013] = {.lex_state = 104},
  [3014] = {.lex_state = 5},
  [3015] = {.lex_state = 6},
  [3016] = {.lex_state = 104},
  [3017] = {.lex_state = 104},
  [3018] = {.lex_state = 5},
  [3019] = {.lex_state = 5},
  [3020] = {.lex_state = 6},
  [3021] = {.lex_state = 5},
  [3022] = {.lex_state = 6},
  [3023] = {.lex_state = 5},
  [3024] = {.lex_state = 5},
  [3025] = {.lex_state = 104},
  [3026] = {.lex_state = 6},
  [3027] = {.lex_state = 104},
  [3028] = {.lex_state = 104},
  [3029] = {.lex_state = 104},
  [3030] = {.lex_state = 104},
  [3031] = {.lex_state = 104},
  [3032] = {.lex_state = 104},
  [3033] = {.lex_state = 104},
  [3034] = {.lex_state = 104},
  [3035] = {.lex_state = 5},
  [3036] = {.lex_state = 104},
  [3037] = {.lex_state = 104},
  [3038] = {.lex_state = 104},
  [3039] = {.lex_state = 5},
  [3040] = {.lex_state = 104},
  [3041] = {.lex_state = 104},
  [3042] = {.lex_state = 5},
  [3043] = {.lex_state = 5},
  [3044] = {.lex_state = 5},
  [3045] = {.lex_state = 104},
  [3046] = {.lex_state = 5},
  [3047] = {.lex_state = 5},
  [3048] = {.lex_state = 104},
  [3049] = {.lex_state = 104},
  [3050] = {.lex_state = 104},
  [3051] = {.lex_state = 5},
  [3052] = {.lex_state = 5},
  [3053] = {.lex_state = 104},
  [3054] = {.lex_state = 104},
  [3055] = {.lex_state = 104},
  [3056] = {.lex_state = 104},
  [3057] = {.lex_state = 104},
  [3058] = {.lex_state = 104},
  [3059] = {.lex_state = 104},
  [3060] = {.lex_state = 104},
  [3061] = {.lex_state = 104},
  [3062] = {.lex_state = 104},
  [3063] = {.lex_state = 104},
  [3064] = {.lex_state = 104, .external_lex_state = 4},
  [3065] = {.lex_state = 104, .external_lex_state = 4},
  [3066] = {.lex_state = 104},
  [3067] = {.lex_state = 104},
  [3068] = {.lex_state = 104},
  [3069] = {.lex_state = 6},
  [3070] = {.lex_state = 104},
  [3071] = {.lex_state = 104},
  [3072] = {.lex_state = 104},
  [3073] = {.lex_state = 104},
  [3074] = {.lex_state = 104},
  [3075] = {.lex_state = 104},
  [3076] = {.lex_state = 104, .external_lex_state = 4},
  [3077] = {.lex_state = 104},
  [3078] = {.lex_state = 104},
  [3079] = {.lex_state = 104},
  [3080] = {.lex_state = 104},
  [3081] = {.lex_state = 6},
  [3082] = {.lex_state = 6},
  [3083] = {.lex_state = 104},
  [3084] = {.lex_state = 6},
  [3085] = {.lex_state = 104},
  [3086] = {.lex_state = 104},
  [3087] = {.lex_state = 104},
  [3088] = {.lex_state = 6},
  [3089] = {.lex_state = 104},
  [3090] = {.lex_state = 6},
  [3091] = {.lex_state = 104},
  [3092] = {.lex_state = 104, .external_lex_state = 4},
  [3093] = {.lex_state = 105},
  [3094] = {.lex_state = 105},
  [3095] = {.lex_state = 105},
  [3096] = {.lex_state = 105},
  [3097] = {.lex_state = 104},
  [3098] = {.lex_state = 104},
  [3099] = {.lex_state = 104, .external_lex_state = 4},
  [3100] = {.lex_state = 105},
  [3101] = {.lex_state = 105},
  [3102] = {.lex_state = 105},
  [3103] = {.lex_state = 105},
  [3104] = {.lex_state = 105},
  [3105] = {.lex_state = 105},
  [3106] = {.lex_state = 105},
  [3107] = {.lex_state = 104},
  [3108] = {.lex_state = 104},
  [3109] = {.lex_state = 105},
  [3110] = {.lex_state = 105},
  [3111] = {.lex_state = 105},
  [3112] = {.lex_state = 105},
  [3113] = {.lex_state = 105},
  [3114] = {.lex_state = 105},
  [3115] = {.lex_state = 105},
  [3116] = {.lex_state = 105},
  [3117] = {.lex_state = 105},
  [3118] = {.lex_state = 105},
  [3119] = {.lex_state = 105},
  [3120] = {.lex_state = 105},
  [3121] = {.lex_state = 105},
  [3122] = {.lex_state = 104},
  [3123] = {.lex_state = 104},
  [3124] = {.lex_state = 104, .external_lex_state = 4},
  [3125] = {.lex_state = 104, .external_lex_state = 4},
  [3126] = {.lex_state = 104, .external_lex_state = 4},
  [3127] = {.lex_state = 104, .external_lex_state = 4},
  [3128] = {.lex_state = 104, .external_lex_state = 4},
  [3129] = {.lex_state = 104, .external_lex_state = 4},
  [3130] = {.lex_state = 6},
  [3131] = {.lex_state = 104},
  [3132] = {.lex_state = 104, .external_lex_state = 4},
  [3133] = {.lex_state = 104},
  [3134] = {.lex_state = 104},
  [3135] = {.lex_state = 104, .external_lex_state = 4},
  [3136] = {.lex_state = 104},
  [3137] = {.lex_state = 105},
  [3138] = {.lex_state = 105},
  [3139] = {.lex_state = 105},
  [3140] = {.lex_state = 105},
  [3141] = {.lex_state = 104},
  [3142] = {.lex_state = 104},
  [3143] = {.lex_state = 104},
  [3144] = {.lex_state = 104},
  [3145] = {.lex_state = 104},
  [3146] = {.lex_state = 104},
  [3147] = {.lex_state = 104},
  [3148] = {.lex_state = 104},
  [3149] = {.lex_state = 104},
  [3150] = {.lex_state = 104},
  [3151] = {.lex_state = 104},
  [3152] = {.lex_state = 5},
  [3153] = {.lex_state = 104},
  [3154] = {.lex_state = 104},
  [3155] = {.lex_state = 5},
  [3156] = {.lex_state = 104},
  [3157] = {.lex_state = 104},
  [3158] = {.lex_state = 104},
  [3159] = {.lex_state = 104},
  [3160] = {.lex_state = 105},
  [3161] = {.lex_state = 104},
  [3162] = {.lex_state = 104},
  [3163] = {.lex_state = 104},
  [3164] = {.lex_state = 6, .external_lex_state = 4},
  [3165] = {.lex_state = 104},
  [3166] = {.lex_state = 5},
  [3167] = {.lex_state = 104},
  [3168] = {.lex_state = 104},
  [3169] = {.lex_state = 104},
  [3170] = {.lex_state = 105},
  [3171] = {.lex_state = 105},
  [3172] = {.lex_state = 104},
  [3173] = {.lex_state = 104},
  [3174] = {.lex_state = 104},
  [3175] = {.lex_state = 104},
  [3176] = {.lex_state = 5},
  [3177] = {.lex_state = 104},
  [3178] = {.lex_state = 105},
  [3179] = {.lex_state = 5},
  [3180] = {.lex_state = 5},
  [3181] = {.lex_state = 5},
  [3182] = {.lex_state = 104},
  [3183] = {.lex_state = 105},
  [3184] = {.lex_state = 5},
  [3185] = {.lex_state = 5},
  [3186] = {.lex_state = 5},
  [3187] = {.lex_state = 5},
  [3188] = {.lex_state = 5},
  [3189] = {.lex_state = 5},
  [3190] = {.lex_state = 105},
  [3191] = {.lex_state = 104, .external_lex_state = 4},
  [3192] = {.lex_state = 5},
  [3193] = {.lex_state = 104},
  [3194] = {.lex_state = 6, .external_lex_state = 4},
  [3195] = {.lex_state = 104},
  [3196] = {.lex_state = 104},
  [3197] = {.lex_state = 105},
  [3198] = {.lex_state = 5},
  [3199] = {.lex_state = 105},
  [3200] = {.lex_state = 6, .external_lex_state = 4},
  [3201] = {.lex_state = 104},
  [3202] = {.lex_state = 104},
  [3203] = {.lex_state = 5},
  [3204] = {.lex_state = 104},
  [3205] = {.lex_state = 105},
  [3206] = {.lex_state = 5},
  [3207] = {.lex_state = 104},
  [3208] = {.lex_state = 6, .external_lex_state = 4},
  [3209] = {.lex_state = 104},
  [3210] = {.lex_state = 104},
  [3211] = {.lex_state = 105},
  [3212] = {.lex_state = 105},
  [3213] = {.lex_state = 104},
  [3214] = {.lex_state = 104},
  [3215] = {.lex_state = 5},
  [3216] = {.lex_state = 104},
  [3217] = {.lex_state = 104},
  [3218] = {.lex_state = 5},
  [3219] = {.lex_state = 5},
  [3220] = {.lex_state = 5},
  [3221] = {.lex_state = 104},
  [3222] = {.lex_state = 104, .external_lex_state = 4},
  [3223] = {.lex_state = 5},
  [3224] = {.lex_state = 5},
  [3225] = {.lex_state = 5},
  [3226] = {.lex_state = 104, .external_lex_state = 4},
  [3227] = {.lex_state = 104},
  [3228] = {.lex_state = 104},
  [3229] = {.lex_state = 105},
  [3230] = {.lex_state = 104},
  [3231] = {.lex_state = 5},
  [3232] = {.lex_state = 104, .external_lex_state = 4},
  [3233] = {.lex_state = 104},
  [3234] = {.lex_state = 5},
  [3235] = {.lex_state = 104, .external_lex_state = 4},
  [3236] = {.lex_state = 5},
  [3237] = {.lex_state = 105},
  [3238] = {.lex_state = 105},
  [3239] = {.lex_state = 104, .external_lex_state = 4},
  [3240] = {.lex_state = 105},
  [3241] = {.lex_state = 105},
  [3242] = {.lex_state = 105},
  [3243] = {.lex_state = 105},
  [3244] = {.lex_state = 105},
  [3245] = {.lex_state = 105},
  [3246] = {.lex_state = 105},
  [3247] = {.lex_state = 105},
  [3248] = {.lex_state = 5},
  [3249] = {.lex_state = 5},
  [3250] = {.lex_state = 104, .external_lex_state = 4},
  [3251] = {.lex_state = 104, .external_lex_state = 4},
  [3252] = {.lex_state = 104, .external_lex_state = 4},
  [3253] = {.lex_state = 104, .external_lex_state = 4},
  [3254] = {.lex_state = 104, .external_lex_state = 4},
  [3255] = {.lex_state = 105},
  [3256] = {.lex_state = 104, .external_lex_state = 4},
  [3257] = {.lex_state = 5},
  [3258] = {.lex_state = 104, .external_lex_state = 4},
  [3259] = {.lex_state = 105},
  [3260] = {.lex_state = 105},
  [3261] = {.lex_state = 105},
  [3262] = {.lex_state = 105},
  [3263] = {.lex_state = 5},
  [3264] = {.lex_state = 105},
  [3265] = {.lex_state = 5},
  [3266] = {.lex_state = 5},
  [3267] = {.lex_state = 104, .external_lex_state = 4},
  [3268] = {.lex_state = 105},
  [3269] = {.lex_state = 105},
  [3270] = {.lex_state = 105},
  [3271] = {.lex_state = 104, .external_lex_state = 4},
  [3272] = {.lex_state = 104, .external_lex_state = 4},
  [3273] = {.lex_state = 5},
  [3274] = {.lex_state = 105},
  [3275] = {.lex_state = 104, .external_lex_state = 4},
  [3276] = {.lex_state = 104, .external_lex_state = 4},
  [3277] = {.lex_state = 105},
  [3278] = {.lex_state = 105},
  [3279] = {.lex_state = 105},
  [3280] = {.lex_state = 5},
  [3281] = {.lex_state = 104, .external_lex_state = 4},
  [3282] = {.lex_state = 105},
  [3283] = {.lex_state = 105},
  [3284] = {.lex_state = 105},
  [3285] = {.lex_state = 105},
  [3286] = {.lex_state = 105},
  [3287] = {.lex_state = 105},
  [3288] = {.lex_state = 105},
  [3289] = {.lex_state = 105},
  [3290] = {.lex_state = 105},
  [3291] = {.lex_state = 105},
  [3292] = {.lex_state = 105},
  [3293] = {.lex_state = 105},
  [3294] = {.lex_state = 105},
  [3295] = {.lex_state = 105},
  [3296] = {.lex_state = 105},
  [3297] = {.lex_state = 105},
  [3298] = {.lex_state = 105},
  [3299] = {.lex_state = 105},
  [3300] = {.lex_state = 105},
  [3301] = {.lex_state = 105},
  [3302] = {.lex_state = 105},
  [3303] = {.lex_state = 105},
  [3304] = {.lex_state = 105},
  [3305] = {.lex_state = 5},
  [3306] = {.lex_state = 105},
  [3307] = {.lex_state = 105},
  [3308] = {.lex_state = 105},
  [3309] = {.lex_state = 105},
  [3310] = {.lex_state = 104},
  [3311] = {.lex_state = 105},
  [3312] = {.lex_state = 105},
  [3313] = {.lex_state = 104},
  [3314] = {.lex_state = 104},
  [3315] = {.lex_state = 105},
  [3316] = {.lex_state = 104},
  [3317] = {.lex_state = 105},
  [3318] = {.lex_state = 105},
  [3319] = {.lex_state = 105},
  [3320] = {.lex_state = 105},
  [3321] = {.lex_state = 105},
  [3322] = {.lex_state = 105},
  [3323] = {.lex_state = 105},
  [3324] = {.lex_state = 105},
  [3325] = {.lex_state = 105},
  [3326] = {.lex_state = 105},
  [3327] = {.lex_state = 105},
  [3328] = {.lex_state = 105},
  [3329] = {.lex_state = 105},
  [3330] = {.lex_state = 105},
  [3331] = {.lex_state = 105},
  [3332] = {.lex_state = 105},
  [3333] = {.lex_state = 105},
  [3334] = {.lex_state = 105},
  [3335] = {.lex_state = 105},
  [3336] = {.lex_state = 105},
  [3337] = {.lex_state = 104, .external_lex_state = 4},
  [3338] = {.lex_state = 105},
  [3339] = {.lex_state = 105},
  [3340] = {.lex_state = 105},
  [3341] = {.lex_state = 104, .external_lex_state = 4},
  [3342] = {.lex_state = 105},
  [3343] = {.lex_state = 104, .external_lex_state = 4},
  [3344] = {.lex_state = 105},
  [3345] = {.lex_state = 105},
  [3346] = {.lex_state = 105},
  [3347] = {.lex_state = 105},
  [3348] = {.lex_state = 104, .external_lex_state = 4},
  [3349] = {.lex_state = 105},
  [3350] = {.lex_state = 105},
  [3351] = {.lex_state = 105},
  [3352] = {.lex_state = 104, .external_lex_state = 4},
  [3353] = {.lex_state = 104, .external_lex_state = 4},
  [3354] = {.lex_state = 105},
  [3355] = {.lex_state = 105},
  [3356] = {.lex_state = 105},
  [3357] = {.lex_state = 105},
  [3358] = {.lex_state = 105},
  [3359] = {.lex_state = 105},
  [3360] = {.lex_state = 104},
  [3361] = {.lex_state = 105},
  [3362] = {.lex_state = 105},
  [3363] = {.lex_state = 104},
  [3364] = {.lex_state = 104},
  [3365] = {.lex_state = 105},
  [3366] = {.lex_state = 105},
  [3367] = {.lex_state = 105},
  [3368] = {.lex_state = 105},
  [3369] = {.lex_state = 105},
  [3370] = {.lex_state = 104},
  [3371] = {.lex_state = 104},
  [3372] = {.lex_state = 105},
  [3373] = {.lex_state = 105},
  [3374] = {.lex_state = 104},
  [3375] = {.lex_state = 104},
  [3376] = {.lex_state = 104, .external_lex_state = 4},
  [3377] = {.lex_state = 104},
  [3378] = {.lex_state = 105},
  [3379] = {.lex_state = 104},
  [3380] = {.lex_state = 104},
  [3381] = {.lex_state = 104},
  [3382] = {.lex_state = 104, .external_lex_state = 4},
  [3383] = {.lex_state = 104, .external_lex_state = 4},
  [3384] = {.lex_state = 5},
  [3385] = {.lex_state = 104, .external_lex_state = 4},
  [3386] = {.lex_state = 105},
  [3387] = {.lex_state = 105},
  [3388] = {.lex_state = 105},
  [3389] = {.lex_state = 105},
  [3390] = {.lex_state = 105},
  [3391] = {.lex_state = 104, .external_lex_state = 4},
  [3392] = {.lex_state = 104, .external_lex_state = 4},
  [3393] = {.lex_state = 105},
  [3394] = {.lex_state = 105},
  [3395] = {.lex_state = 104, .external_lex_state = 4},
  [3396] = {.lex_state = 104},
  [3397] = {.lex_state = 104, .external_lex_state = 4},
  [3398] = {.lex_state = 104},
  [3399] = {.lex_state = 104},
  [3400] = {.lex_state = 105},
  [3401] = {.lex_state = 105},
  [3402] = {.lex_state = 105},
  [3403] = {.lex_state = 105},
  [3404] = {.lex_state = 105},
  [3405] = {.lex_state = 104, .external_lex_state = 4},
  [3406] = {.lex_state = 105},
  [3407] = {.lex_state = 105},
  [3408] = {.lex_state = 105},
  [3409] = {.lex_state = 105},
  [3410] = {.lex_state = 105},
  [3411] = {.lex_state = 105},
  [3412] = {.lex_state = 105},
  [3413] = {.lex_state = 5},
  [3414] = {.lex_state = 105},
  [3415] = {.lex_state = 105},
  [3416] = {.lex_state = 105},
  [3417] = {.lex_state = 105},
  [3418] = {.lex_state = 105},
  [3419] = {.lex_state = 104, .external_lex_state = 4},
  [3420] = {.lex_state = 104},
  [3421] = {.lex_state = 105},
  [3422] = {.lex_state = 104},
  [3423] = {.lex_state = 104},
  [3424] = {.lex_state = 104},
  [3425] = {.lex_state = 105},
  [3426] = {.lex_state = 105},
  [3427] = {.lex_state = 105},
  [3428] = {.lex_state = 104, .external_lex_state = 4},
  [3429] = {.lex_state = 104},
  [3430] = {.lex_state = 104},
  [3431] = {.lex_state = 104},
  [3432] = {.lex_state = 104},
  [3433] = {.lex_state = 105},
  [3434] = {.lex_state = 105},
  [3435] = {.lex_state = 104, .external_lex_state = 4},
  [3436] = {.lex_state = 105},
  [3437] = {.lex_state = 105},
  [3438] = {.lex_state = 105},
  [3439] = {.lex_state = 105},
  [3440] = {.lex_state = 105},
  [3441] = {.lex_state = 105},
  [3442] = {.lex_state = 105},
  [3443] = {.lex_state = 105},
  [3444] = {.lex_state = 105},
  [3445] = {.lex_state = 105},
  [3446] = {.lex_state = 105},
  [3447] = {.lex_state = 105},
  [3448] = {.lex_state = 105},
  [3449] = {.lex_state = 105},
  [3450] = {.lex_state = 105},
  [3451] = {.lex_state = 5},
  [3452] = {.lex_state = 105},
  [3453] = {.lex_state = 105},
  [3454] = {.lex_state = 105},
  [3455] = {.lex_state = 105},
  [3456] = {.lex_state = 105},
  [3457] = {.lex_state = 105},
  [3458] = {.lex_state = 105},
  [3459] = {.lex_state = 105},
  [3460] = {.lex_state = 105},
  [3461] = {.lex_state = 105},
  [3462] = {.lex_state = 105},
  [3463] = {.lex_state = 105},
  [3464] = {.lex_state = 105},
  [3465] = {.lex_state = 105},
  [3466] = {.lex_state = 105},
  [3467] = {.lex_state = 105},
  [3468] = {.lex_state = 105},
  [3469] = {.lex_state = 105},
  [3470] = {.lex_state = 105},
  [3471] = {.lex_state = 105},
  [3472] = {.lex_state = 105},
  [3473] = {.lex_state = 105},
  [3474] = {.lex_state = 105},
  [3475] = {.lex_state = 105},
  [3476] = {.lex_state = 105},
  [3477] = {.lex_state = 105},
  [3478] = {.lex_state = 105},
  [3479] = {.lex_state = 105},
  [3480] = {.lex_state = 105},
  [3481] = {.lex_state = 105},
  [3482] = {.lex_state = 105},
  [3483] = {.lex_state = 104},
  [3484] = {.lex_state = 105},
  [3485] = {.lex_state = 105},
  [3486] = {.lex_state = 5},
  [3487] = {.lex_state = 105},
  [3488] = {.lex_state = 105},
  [3489] = {.lex_state = 105},
  [3490] = {.lex_state = 105},
  [3491] = {.lex_state = 105},
  [3492] = {.lex_state = 105},
  [3493] = {.lex_state = 105},
  [3494] = {.lex_state = 105},
  [3495] = {.lex_state = 105},
  [3496] = {.lex_state = 105},
  [3497] = {.lex_state = 105},
  [3498] = {.lex_state = 104, .external_lex_state = 4},
  [3499] = {.lex_state = 105},
  [3500] = {.lex_state = 105},
  [3501] = {.lex_state = 105},
  [3502] = {.lex_state = 105},
  [3503] = {.lex_state = 104, .external_lex_state = 4},
  [3504] = {.lex_state = 105},
  [3505] = {.lex_state = 105},
  [3506] = {.lex_state = 105},
  [3507] = {.lex_state = 105},
  [3508] = {.lex_state = 105},
  [3509] = {.lex_state = 105},
  [3510] = {.lex_state = 105},
  [3511] = {.lex_state = 105},
  [3512] = {.lex_state = 105},
  [3513] = {.lex_state = 105},
  [3514] = {.lex_state = 105},
  [3515] = {.lex_state = 105},
  [3516] = {.lex_state = 105},
  [3517] = {.lex_state = 105},
  [3518] = {.lex_state = 105},
  [3519] = {.lex_state = 105},
  [3520] = {.lex_state = 105},
  [3521] = {.lex_state = 105},
  [3522] = {.lex_state = 105},
  [3523] = {.lex_state = 104},
  [3524] = {.lex_state = 105},
  [3525] = {.lex_state = 105},
  [3526] = {.lex_state = 105},
  [3527] = {.lex_state = 105},
  [3528] = {.lex_state = 104},
  [3529] = {.lex_state = 104, .external_lex_state = 4},
  [3530] = {.lex_state = 104, .external_lex_state = 4},
  [3531] = {.lex_state = 104, .external_lex_state = 4},
  [3532] = {.lex_state = 104, .external_lex_state = 4},
  [3533] = {.lex_state = 104, .external_lex_state = 4},
  [3534] = {.lex_state = 104, .external_lex_state = 4},
  [3535] = {.lex_state = 104},
  [3536] = {.lex_state = 104},
  [3537] = {.lex_state = 104},
  [3538] = {.lex_state = 104},
  [3539] = {.lex_state = 104},
  [3540] = {.lex_state = 104},
  [3541] = {.lex_state = 104},
  [3542] = {.lex_state = 104},
  [3543] = {.lex_state = 104},
  [3544] = {.lex_state = 104},
  [3545] = {.lex_state = 5},
  [3546] = {.lex_state = 104},
  [3547] = {.lex_state = 104},
  [3548] = {.lex_state = 104},
  [3549] = {.lex_state = 104},
  [3550] = {.lex_state = 5},
  [3551] = {.lex_state = 5},
  [3552] = {.lex_state = 104},
  [3553] = {.lex_state = 104},
  [3554] = {.lex_state = 104},
  [3555] = {.lex_state = 104},
  [3556] = {.lex_state = 104},
  [3557] = {.lex_state = 104},
  [3558] = {.lex_state = 104},
  [3559] = {.lex_state = 104},
  [3560] = {.lex_state = 104},
  [3561] = {.lex_state = 5},
  [3562] = {.lex_state = 4},
  [3563] = {.lex_state = 4},
  [3564] = {.lex_state = 4},
  [3565] = {.lex_state = 4},
  [3566] = {.lex_state = 4},
  [3567] = {.lex_state = 104},
  [3568] = {.lex_state = 104},
  [3569] = {.lex_state = 4},
  [3570] = {.lex_state = 104},
  [3571] = {.lex_state = 104},
  [3572] = {.lex_state = 105},
  [3573] = {.lex_state = 4},
  [3574] = {.lex_state = 6},
  [3575] = {.lex_state = 4},
  [3576] = {.lex_state = 104},
  [3577] = {.lex_state = 6},
  [3578] = {.lex_state = 104},
  [3579] = {.lex_state = 105},
  [3580] = {.lex_state = 105},
  [3581] = {.lex_state = 6},
  [3582] = {.lex_state = 105},
  [3583] = {.lex_state = 104},
  [3584] = {.lex_state = 4},
  [3585] = {.lex_state = 104},
  [3586] = {.lex_state = 104},
  [3587] = {.lex_state = 104},
  [3588] = {.lex_state = 104},
  [3589] = {.lex_state = 104},
  [3590] = {.lex_state = 104},
  [3591] = {.lex_state = 104},
  [3592] = {.lex_state = 104},
  [3593] = {.lex_state = 104},
  [3594] = {.lex_state = 105},
  [3595] = {.lex_state = 6},
  [3596] = {.lex_state = 104},
  [3597] = {.lex_state = 104},
  [3598] = {.lex_state = 104},
  [3599] = {.lex_state = 104},
  [3600] = {.lex_state = 104},
  [3601] = {.lex_state = 104},
  [3602] = {.lex_state = 104},
  [3603] = {.lex_state = 4},
  [3604] = {.lex_state = 104},
  [3605] = {.lex_state = 104},
  [3606] = {.lex_state = 104},
  [3607] = {.lex_state = 7},
  [3608] = {.lex_state = 104},
  [3609] = {.lex_state = 104},
  [3610] = {.lex_state = 104},
  [3611] = {.lex_state = 104},
  [3612] = {.lex_state = 105},
  [3613] = {.lex_state = 104},
  [3614] = {.lex_state = 104},
  [3615] = {.lex_state = 4},
  [3616] = {.lex_state = 104},
  [3617] = {.lex_state = 6},
  [3618] = {.lex_state = 6},
  [3619] = {.lex_state = 104},
  [3620] = {.lex_state = 104},
  [3621] = {.lex_state = 6},
  [3622] = {.lex_state = 104},
  [3623] = {.lex_state = 104},
  [3624] = {.lex_state = 104},
  [3625] = {.lex_state = 104},
  [3626] = {.lex_state = 104},
  [3627] = {.lex_state = 104},
  [3628] = {.lex_state = 104},
  [3629] = {.lex_state = 104},
  [3630] = {.lex_state = 104},
  [3631] = {.lex_state = 105},
  [3632] = {.lex_state = 104},
  [3633] = {.lex_state = 105},
  [3634] = {.lex_state = 104},
  [3635] = {.lex_state = 104},
  [3636] = {.lex_state = 104},
  [3637] = {.lex_state = 104},
  [3638] = {.lex_state = 104},
  [3639] = {.lex_state = 104},
  [3640] = {.lex_state = 104},
  [3641] = {.lex_state = 104},
  [3642] = {.lex_state = 105},
  [3643] = {.lex_state = 104},
  [3644] = {.lex_state = 104},
  [3645] = {.lex_state = 104},
  [3646] = {.lex_state = 104},
  [3647] = {.lex_state = 4},
  [3648] = {.lex_state = 104},
  [3649] = {.lex_state = 104},
  [3650] = {.lex_state = 104},
  [3651] = {.lex_state = 104},
  [3652] = {.lex_state = 104},
  [3653] = {.lex_state = 104},
  [3654] = {.lex_state = 104},
  [3655] = {.lex_state = 104},
  [3656] = {.lex_state = 104},
  [3657] = {.lex_state = 104},
  [3658] = {.lex_state = 104},
  [3659] = {.lex_state = 104},
  [3660] = {.lex_state = 104},
  [3661] = {.lex_state = 104},
  [3662] = {.lex_state = 104},
  [3663] = {.lex_state = 104},
  [3664] = {.lex_state = 104},
  [3665] = {.lex_state = 104},
  [3666] = {.lex_state = 104},
  [3667] = {.lex_state = 104},
  [3668] = {.lex_state = 104},
  [3669] = {.lex_state = 104},
  [3670] = {.lex_state = 105},
  [3671] = {.lex_state = 104},
  [3672] = {.lex_state = 104},
  [3673] = {.lex_state = 104},
  [3674] = {.lex_state = 104},
  [3675] = {.lex_state = 104},
  [3676] = {.lex_state = 104},
  [3677] = {.lex_state = 104},
  [3678] = {.lex_state = 104},
  [3679] = {.lex_state = 105},
  [3680] = {.lex_state = 104},
  [3681] = {.lex_state = 104},
  [3682] = {.lex_state = 104},
  [3683] = {.lex_state = 104},
  [3684] = {.lex_state = 104},
  [3685] = {.lex_state = 104},
  [3686] = {.lex_state = 104},
  [3687] = {.lex_state = 104},
  [3688] = {.lex_state = 104},
  [3689] = {.lex_state = 104},
  [3690] = {.lex_state = 104},
  [3691] = {.lex_state = 104},
  [3692] = {.lex_state = 104},
  [3693] = {.lex_state = 104},
  [3694] = {.lex_state = 104},
  [3695] = {.lex_state = 104},
  [3696] = {.lex_state = 104},
  [3697] = {.lex_state = 104},
  [3698] = {.lex_state = 104},
  [3699] = {.lex_state = 104},
  [3700] = {.lex_state = 104},
  [3701] = {.lex_state = 104},
  [3702] = {.lex_state = 104},
  [3703] = {.lex_state = 104},
  [3704] = {.lex_state = 104},
  [3705] = {.lex_state = 104},
  [3706] = {.lex_state = 104},
  [3707] = {.lex_state = 104},
  [3708] = {.lex_state = 104},
  [3709] = {.lex_state = 104},
  [3710] = {.lex_state = 104},
  [3711] = {.lex_state = 104},
  [3712] = {.lex_state = 104},
  [3713] = {.lex_state = 104},
  [3714] = {.lex_state = 104},
  [3715] = {.lex_state = 104},
  [3716] = {.lex_state = 105},
  [3717] = {.lex_state = 104},
  [3718] = {.lex_state = 104},
  [3719] = {.lex_state = 104},
  [3720] = {.lex_state = 104},
  [3721] = {.lex_state = 104},
  [3722] = {.lex_state = 104},
  [3723] = {.lex_state = 104},
  [3724] = {.lex_state = 104},
  [3725] = {.lex_state = 104},
  [3726] = {.lex_state = 104},
  [3727] = {.lex_state = 104},
  [3728] = {.lex_state = 104},
  [3729] = {.lex_state = 104},
  [3730] = {.lex_state = 104},
  [3731] = {.lex_state = 104},
  [3732] = {.lex_state = 104},
  [3733] = {.lex_state = 104},
  [3734] = {.lex_state = 104},
  [3735] = {.lex_state = 104},
  [3736] = {.lex_state = 104},
  [3737] = {.lex_state = 104},
  [3738] = {.lex_state = 104},
  [3739] = {.lex_state = 105},
  [3740] = {.lex_state = 104},
  [3741] = {.lex_state = 104},
  [3742] = {.lex_state = 104},
  [3743] = {.lex_state = 104},
  [3744] = {.lex_state = 104},
  [3745] = {.lex_state = 104},
  [3746] = {.lex_state = 4},
  [3747] = {.lex_state = 104},
  [3748] = {.lex_state = 104},
  [3749] = {.lex_state = 104},
  [3750] = {.lex_state = 105},
  [3751] = {.lex_state = 104},
  [3752] = {.lex_state = 105},
  [3753] = {.lex_state = 104},
  [3754] = {.lex_state = 104},
  [3755] = {.lex_state = 104},
  [3756] = {.lex_state = 104},
  [3757] = {.lex_state = 104},
  [3758] = {.lex_state = 104},
  [3759] = {.lex_state = 104},
  [3760] = {.lex_state = 104},
  [3761] = {.lex_state = 105},
  [3762] = {.lex_state = 104},
  [3763] = {.lex_state = 4},
  [3764] = {.lex_state = 4},
  [3765] = {.lex_state = 4},
  [3766] = {.lex_state = 104},
  [3767] = {.lex_state = 104},
  [3768] = {.lex_state = 104},
  [3769] = {.lex_state = 104},
  [3770] = {.lex_state = 104},
  [3771] = {.lex_state = 104},
  [3772] = {.lex_state = 104},
  [3773] = {.lex_state = 104},
  [3774] = {.lex_state = 104},
  [3775] = {.lex_state = 104},
  [3776] = {.lex_state = 104},
  [3777] = {.lex_state = 104},
  [3778] = {.lex_state = 104},
  [3779] = {.lex_state = 104},
  [3780] = {.lex_state = 104},
  [3781] = {.lex_state = 104},
  [3782] = {.lex_state = 105},
  [3783] = {.lex_state = 104},
  [3784] = {.lex_state = 105},
  [3785] = {.lex_state = 104},
  [3786] = {.lex_state = 104},
  [3787] = {.lex_state = 104},
  [3788] = {.lex_state = 104},
  [3789] = {.lex_state = 104},
  [3790] = {.lex_state = 105},
  [3791] = {.lex_state = 104},
  [3792] = {.lex_state = 104},
  [3793] = {.lex_state = 104},
  [3794] = {.lex_state = 105},
  [3795] = {.lex_state = 4},
  [3796] = {.lex_state = 105},
  [3797] = {.lex_state = 105},
  [3798] = {.lex_state = 5},
  [3799] = {.lex_state = 5},
  [3800] = {.lex_state = 4},
  [3801] = {.lex_state = 6},
  [3802] = {.lex_state = 105},
  [3803] = {.lex_state = 10},
  [3804] = {.lex_state = 105},
  [3805] = {.lex_state = 104},
  [3806] = {.lex_state = 105},
  [3807] = {.lex_state = 105},
  [3808] = {.lex_state = 105},
  [3809] = {.lex_state = 104},
  [3810] = {.lex_state = 104},
  [3811] = {.lex_state = 104},
  [3812] = {.lex_state = 104},
  [3813] = {.lex_state = 5, .external_lex_state = 4},
  [3814] = {.lex_state = 105},
  [3815] = {.lex_state = 104},
  [3816] = {.lex_state = 5},
  [3817] = {.lex_state = 105},
  [3818] = {.lex_state = 105},
  [3819] = {.lex_state = 104},
  [3820] = {.lex_state = 105},
  [3821] = {.lex_state = 105},
  [3822] = {.lex_state = 6},
  [3823] = {.lex_state = 4},
  [3824] = {.lex_state = 6},
  [3825] = {.lex_state = 6},
  [3826] = {.lex_state = 104},
  [3827] = {.lex_state = 104},
  [3828] = {.lex_state = 105},
  [3829] = {.lex_state = 4},
  [3830] = {.lex_state = 105},
  [3831] = {.lex_state = 5},
  [3832] = {.lex_state = 105},
  [3833] = {.lex_state = 105},
  [3834] = {.lex_state = 105},
  [3835] = {.lex_state = 105},
  [3836] = {.lex_state = 105},
  [3837] = {.lex_state = 105},
  [3838] = {.lex_state = 105},
  [3839] = {.lex_state = 105},
  [3840] = {.lex_state = 105},
  [3841] = {.lex_state = 105},
  [3842] = {.lex_state = 105},
  [3843] = {.lex_state = 105},
  [3844] = {.lex_state = 105},
  [3845] = {.lex_state = 105},
  [3846] = {.lex_state = 105},
  [3847] = {.lex_state = 105},
  [3848] = {.lex_state = 105},
  [3849] = {.lex_state = 105},
  [3850] = {.lex_state = 105},
  [3851] = {.lex_state = 105},
  [3852] = {.lex_state = 105},
  [3853] = {.lex_state = 105},
  [3854] = {.lex_state = 105},
  [3855] = {.lex_state = 105},
  [3856] = {.lex_state = 105},
  [3857] = {.lex_state = 105},
  [3858] = {.lex_state = 105},
  [3859] = {.lex_state = 105},
  [3860] = {.lex_state = 105},
  [3861] = {.lex_state = 105},
  [3862] = {.lex_state = 105},
  [3863] = {.lex_state = 105},
  [3864] = {.lex_state = 105},
  [3865] = {.lex_state = 105},
  [3866] = {.lex_state = 105},
  [3867] = {.lex_state = 105},
  [3868] = {.lex_state = 104},
  [3869] = {.lex_state = 105},
  [3870] = {.lex_state = 105},
  [3871] = {.lex_state = 105},
  [3872] = {.lex_state = 105},
  [3873] = {.lex_state = 105},
  [3874] = {.lex_state = 105},
  [3875] = {.lex_state = 105},
  [3876] = {.lex_state = 105},
  [3877] = {.lex_state = 105},
  [3878] = {.lex_state = 105},
  [3879] = {.lex_state = 6},
  [3880] = {.lex_state = 104},
  [3881] = {.lex_state = 104},
  [3882] = {.lex_state = 104},
  [3883] = {.lex_state = 5, .external_lex_state = 4},
  [3884] = {.lex_state = 104},
  [3885] = {.lex_state = 104},
  [3886] = {.lex_state = 104},
  [3887] = {.lex_state = 104},
  [3888] = {.lex_state = 104},
  [3889] = {.lex_state = 104},
  [3890] = {.lex_state = 104},
  [3891] = {.lex_state = 104},
  [3892] = {.lex_state = 104},
  [3893] = {.lex_state = 104},
  [3894] = {.lex_state = 104},
  [3895] = {.lex_state = 5, .external_lex_state = 4},
  [3896] = {.lex_state = 104},
  [3897] = {.lex_state = 104},
  [3898] = {.lex_state = 104},
  [3899] = {.lex_state = 5, .external_lex_state = 4},
  [3900] = {.lex_state = 104},
  [3901] = {.lex_state = 104},
  [3902] = {.lex_state = 104},
  [3903] = {.lex_state = 104},
  [3904] = {.lex_state = 5, .external_lex_state = 4},
  [3905] = {.lex_state = 104},
  [3906] = {.lex_state = 104},
  [3907] = {.lex_state = 5, .external_lex_state = 4},
  [3908] = {.lex_state = 104},
  [3909] = {.lex_state = 104},
  [3910] = {.lex_state = 5, .external_lex_state = 4},
  [3911] = {.lex_state = 5, .external_lex_state = 4},
  [3912] = {.lex_state = 104},
  [3913] = {.lex_state = 104},
  [3914] = {.lex_state = 104},
  [3915] = {.lex_state = 104},
  [3916] = {.lex_state = 104},
  [3917] = {.lex_state = 104},
  [3918] = {.lex_state = 104},
  [3919] = {.lex_state = 104},
  [3920] = {.lex_state = 104},
  [3921] = {.lex_state = 104},
  [3922] = {.lex_state = 6},
  [3923] = {.lex_state = 5, .external_lex_state = 4},
  [3924] = {.lex_state = 6},
  [3925] = {.lex_state = 104},
  [3926] = {.lex_state = 6},
  [3927] = {.lex_state = 104},
  [3928] = {.lex_state = 104},
  [3929] = {.lex_state = 104},
  [3930] = {.lex_state = 7},
  [3931] = {.lex_state = 5, .external_lex_state = 4},
  [3932] = {.lex_state = 104},
  [3933] = {.lex_state = 5, .external_lex_state = 4},
  [3934] = {.lex_state = 104},
  [3935] = {.lex_state = 104},
  [3936] = {.lex_state = 5, .external_lex_state = 4},
  [3937] = {.lex_state = 104},
  [3938] = {.lex_state = 5, .external_lex_state = 4},
  [3939] = {.lex_state = 5, .external_lex_state = 4},
  [3940] = {.lex_state = 104},
  [3941] = {.lex_state = 5, .external_lex_state = 4},
  [3942] = {.lex_state = 5, .external_lex_state = 4},
  [3943] = {.lex_state = 5, .external_lex_state = 4},
  [3944] = {.lex_state = 5},
  [3945] = {.lex_state = 5, .external_lex_state = 4},
  [3946] = {.lex_state = 104},
  [3947] = {.lex_state = 104},
  [3948] = {.lex_state = 5, .external_lex_state = 4},
  [3949] = {.lex_state = 5, .external_lex_state = 4},
  [3950] = {.lex_state = 104},
  [3951] = {.lex_state = 4},
  [3952] = {.lex_state = 5, .external_lex_state = 4},
  [3953] = {.lex_state = 105},
  [3954] = {.lex_state = 104},
  [3955] = {.lex_state = 104},
  [3956] = {.lex_state = 104},
  [3957] = {.lex_state = 105},
  [3958] = {.lex_state = 104},
  [3959] = {.lex_state = 104},
  [3960] = {.lex_state = 104},
  [3961] = {.lex_state = 104},
  [3962] = {.lex_state = 104},
  [3963] = {.lex_state = 104},
  [3964] = {.lex_state = 104},
  [3965] = {.lex_state = 104},
  [3966] = {.lex_state = 104},
  [3967] = {.lex_state = 104},
  [3968] = {.lex_state = 104},
  [3969] = {.lex_state = 104},
  [3970] = {.lex_state = 104},
  [3971] = {.lex_state = 104},
  [3972] = {.lex_state = 104},
  [3973] = {.lex_state = 104},
  [3974] = {.lex_state = 5},
  [3975] = {.lex_state = 105},
  [3976] = {.lex_state = 104},
  [3977] = {.lex_state = 104},
  [3978] = {.lex_state = 104},
  [3979] = {.lex_state = 104},
  [3980] = {.lex_state = 104},
  [3981] = {.lex_state = 6},
  [3982] = {.lex_state = 104},
  [3983] = {.lex_state = 4},
  [3984] = {.lex_state = 104},
  [3985] = {.lex_state = 104},
  [3986] = {.lex_state = 104},
  [3987] = {.lex_state = 104},
  [3988] = {.lex_state = 104},
  [3989] = {.lex_state = 104},
  [3990] = {.lex_state = 104},
  [3991] = {.lex_state = 104},
  [3992] = {.lex_state = 104},
  [3993] = {.lex_state = 104},
  [3994] = {.lex_state = 104},
  [3995] = {.lex_state = 104},
  [3996] = {.lex_state = 104},
  [3997] = {.lex_state = 104},
  [3998] = {.lex_state = 105},
  [3999] = {.lex_state = 104},
  [4000] = {.lex_state = 104},
  [4001] = {.lex_state = 105},
  [4002] = {.lex_state = 104},
  [4003] = {.lex_state = 104},
  [4004] = {.lex_state = 104},
  [4005] = {.lex_state = 104},
  [4006] = {.lex_state = 104},
  [4007] = {.lex_state = 104},
  [4008] = {.lex_state = 104},
  [4009] = {.lex_state = 105},
  [4010] = {.lex_state = 104},
  [4011] = {.lex_state = 104},
  [4012] = {.lex_state = 104},
  [4013] = {.lex_state = 104},
  [4014] = {.lex_state = 104},
  [4015] = {.lex_state = 104},
  [4016] = {.lex_state = 104},
  [4017] = {.lex_state = 104},
  [4018] = {.lex_state = 5},
  [4019] = {.lex_state = 104},
  [4020] = {.lex_state = 104},
  [4021] = {.lex_state = 104},
  [4022] = {.lex_state = 104},
  [4023] = {.lex_state = 104},
  [4024] = {.lex_state = 104},
  [4025] = {.lex_state = 104},
  [4026] = {.lex_state = 104},
  [4027] = {.lex_state = 104},
  [4028] = {.lex_state = 104},
  [4029] = {.lex_state = 104},
  [4030] = {.lex_state = 104},
  [4031] = {.lex_state = 104},
  [4032] = {.lex_state = 104},
  [4033] = {.lex_state = 104},
  [4034] = {.lex_state = 104},
  [4035] = {.lex_state = 104},
  [4036] = {.lex_state = 104},
  [4037] = {.lex_state = 104},
  [4038] = {.lex_state = 104},
  [4039] = {.lex_state = 104},
  [4040] = {.lex_state = 104},
  [4041] = {.lex_state = 104},
  [4042] = {.lex_state = 104},
  [4043] = {.lex_state = 104},
  [4044] = {.lex_state = 104},
  [4045] = {.lex_state = 104},
  [4046] = {.lex_state = 104},
  [4047] = {.lex_state = 104},
  [4048] = {.lex_state = 104},
  [4049] = {.lex_state = 104},
  [4050] = {.lex_state = 104},
  [4051] = {.lex_state = 104},
  [4052] = {.lex_state = 104},
  [4053] = {.lex_state = 104},
  [4054] = {.lex_state = 104},
  [4055] = {.lex_state = 104},
  [4056] = {.lex_state = 105},
  [4057] = {.lex_state = 105},
  [4058] = {.lex_state = 104},
  [4059] = {.lex_state = 104},
  [4060] = {.lex_state = 104},
  [4061] = {.lex_state = 104},
  [4062] = {.lex_state = 104},
  [4063] = {.lex_state = 7},
  [4064] = {.lex_state = 5, .external_lex_state = 4},
  [4065] = {.lex_state = 104},
  [4066] = {.lex_state = 104},
  [4067] = {.lex_state = 104},
  [4068] = {.lex_state = 104},
  [4069] = {.lex_state = 104},
  [4070] = {.lex_state = 104},
  [4071] = {.lex_state = 104},
  [4072] = {.lex_state = 104},
  [4073] = {.lex_state = 104},
  [4074] = {.lex_state = 104},
  [4075] = {.lex_state = 104},
  [4076] = {.lex_state = 104},
  [4077] = {.lex_state = 104},
  [4078] = {.lex_state = 104},
  [4079] = {.lex_state = 104},
  [4080] = {.lex_state = 104},
  [4081] = {.lex_state = 104},
  [4082] = {.lex_state = 104},
  [4083] = {.lex_state = 104},
  [4084] = {.lex_state = 104},
  [4085] = {.lex_state = 104},
  [4086] = {.lex_state = 104},
  [4087] = {.lex_state = 104},
  [4088] = {.lex_state = 104},
  [4089] = {.lex_state = 104},
  [4090] = {.lex_state = 5, .external_lex_state = 4},
  [4091] = {.lex_state = 104},
  [4092] = {.lex_state = 104},
  [4093] = {.lex_state = 104},
  [4094] = {.lex_state = 104},
  [4095] = {.lex_state = 104},
  [4096] = {.lex_state = 104},
  [4097] = {.lex_state = 105},
  [4098] = {.lex_state = 104},
  [4099] = {.lex_state = 104},
  [4100] = {.lex_state = 104},
  [4101] = {.lex_state = 104},
  [4102] = {.lex_state = 5},
  [4103] = {.lex_state = 104},
  [4104] = {.lex_state = 104},
  [4105] = {.lex_state = 104},
  [4106] = {.lex_state = 104},
  [4107] = {.lex_state = 104},
  [4108] = {.lex_state = 104},
  [4109] = {.lex_state = 104},
  [4110] = {.lex_state = 104},
  [4111] = {.lex_state = 104},
  [4112] = {.lex_state = 104},
  [4113] = {.lex_state = 104},
  [4114] = {.lex_state = 104},
  [4115] = {.lex_state = 104},
  [4116] = {.lex_state = 104},
  [4117] = {.lex_state = 105},
  [4118] = {.lex_state = 104},
  [4119] = {.lex_state = 104},
  [4120] = {.lex_state = 105},
  [4121] = {.lex_state = 104},
  [4122] = {.lex_state = 104},
  [4123] = {.lex_state = 104},
  [4124] = {.lex_state = 104},
  [4125] = {.lex_state = 105},
  [4126] = {.lex_state = 104},
  [4127] = {.lex_state = 104},
  [4128] = {.lex_state = 105},
  [4129] = {.lex_state = 105},
  [4130] = {.lex_state = 104},
  [4131] = {.lex_state = 104},
  [4132] = {.lex_state = 105},
  [4133] = {.lex_state = 105},
  [4134] = {.lex_state = 105},
  [4135] = {.lex_state = 105},
  [4136] = {.lex_state = 5},
  [4137] = {.lex_state = 105},
  [4138] = {.lex_state = 104},
  [4139] = {.lex_state = 4},
  [4140] = {.lex_state = 104},
  [4141] = {.lex_state = 105},
  [4142] = {.lex_state = 105},
  [4143] = {.lex_state = 105},
  [4144] = {.lex_state = 105},
  [4145] = {.lex_state = 105},
  [4146] = {.lex_state = 104},
  [4147] = {.lex_state = 105},
  [4148] = {.lex_state = 104},
  [4149] = {.lex_state = 104},
  [4150] = {.lex_state = 104},
  [4151] = {.lex_state = 105},
  [4152] = {.lex_state = 104},
  [4153] = {.lex_state = 105},
  [4154] = {.lex_state = 105},
  [4155] = {.lex_state = 105},
  [4156] = {.lex_state = 105},
  [4157] = {.lex_state = 105},
  [4158] = {.lex_state = 5},
  [4159] = {.lex_state = 4},
  [4160] = {.lex_state = 104},
  [4161] = {.lex_state = 104},
  [4162] = {.lex_state = 105},
  [4163] = {.lex_state = 105},
  [4164] = {.lex_state = 105},
  [4165] = {.lex_state = 105},
  [4166] = {.lex_state = 105},
  [4167] = {.lex_state = 105},
  [4168] = {.lex_state = 4},
  [4169] = {.lex_state = 104},
  [4170] = {.lex_state = 104},
  [4171] = {.lex_state = 104},
  [4172] = {.lex_state = 105},
  [4173] = {.lex_state = 105},
  [4174] = {.lex_state = 105},
  [4175] = {.lex_state = 105},
  [4176] = {.lex_state = 105},
  [4177] = {.lex_state = 105},
  [4178] = {.lex_state = 4},
  [4179] = {.lex_state = 5},
  [4180] = {.lex_state = 105},
  [4181] = {.lex_state = 104},
  [4182] = {.lex_state = 105},
  [4183] = {.lex_state = 105},
  [4184] = {.lex_state = 105},
  [4185] = {.lex_state = 105},
  [4186] = {.lex_state = 105},
  [4187] = {.lex_state = 4},
  [4188] = {.lex_state = 105},
  [4189] = {.lex_state = 105},
  [4190] = {.lex_state = 105},
  [4191] = {.lex_state = 105},
  [4192] = {.lex_state = 105},
  [4193] = {.lex_state = 104},
  [4194] = {.lex_state = 105},
  [4195] = {.lex_state = 105},
  [4196] = {.lex_state = 105},
  [4197] = {.lex_state = 105},
  [4198] = {.lex_state = 105},
  [4199] = {.lex_state = 105},
  [4200] = {.lex_state = 105},
  [4201] = {.lex_state = 105},
  [4202] = {.lex_state = 105},
  [4203] = {.lex_state = 105},
  [4204] = {.lex_state = 104},
  [4205] = {.lex_state = 105},
  [4206] = {.lex_state = 105},
  [4207] = {.lex_state = 105},
  [4208] = {.lex_state = 105},
  [4209] = {.lex_state = 105},
  [4210] = {.lex_state = 105},
  [4211] = {.lex_state = 104},
  [4212] = {.lex_state = 105},
  [4213] = {.lex_state = 105},
  [4214] = {.lex_state = 105},
  [4215] = {.lex_state = 105},
  [4216] = {.lex_state = 104},
  [4217] = {.lex_state = 105},
  [4218] = {.lex_state = 105},
  [4219] = {.lex_state = 105},
  [4220] = {.lex_state = 105},
  [4221] = {.lex_state = 105},
  [4222] = {.lex_state = 105},
  [4223] = {.lex_state = 105},
  [4224] = {.lex_state = 104},
  [4225] = {.lex_state = 105},
  [4226] = {.lex_state = 105},
  [4227] = {.lex_state = 105},
  [4228] = {.lex_state = 105},
  [4229] = {.lex_state = 105},
  [4230] = {.lex_state = 105},
  [4231] = {.lex_state = 104},
  [4232] = {.lex_state = 105},
  [4233] = {.lex_state = 105},
  [4234] = {.lex_state = 105},
  [4235] = {.lex_state = 105},
  [4236] = {.lex_state = 104},
  [4237] = {.lex_state = 105},
  [4238] = {.lex_state = 105},
  [4239] = {.lex_state = 105},
  [4240] = {.lex_state = 105},
  [4241] = {.lex_state = 104},
  [4242] = {.lex_state = 105},
  [4243] = {.lex_state = 105},
  [4244] = {.lex_state = 105},
  [4245] = {.lex_state = 105},
  [4246] = {.lex_state = 105},
  [4247] = {.lex_state = 105},
  [4248] = {.lex_state = 105},
  [4249] = {.lex_state = 105},
  [4250] = {.lex_state = 105},
  [4251] = {.lex_state = 105},
  [4252] = {.lex_state = 105},
  [4253] = {.lex_state = 105},
  [4254] = {.lex_state = 105},
  [4255] = {.lex_state = 104},
  [4256] = {.lex_state = 105},
  [4257] = {.lex_state = 4},
  [4258] = {.lex_state = 105},
  [4259] = {.lex_state = 105},
  [4260] = {.lex_state = 104},
  [4261] = {.lex_state = 104},
  [4262] = {.lex_state = 104},
  [4263] = {.lex_state = 104},
  [4264] = {.lex_state = 104},
  [4265] = {.lex_state = 104},
  [4266] = {.lex_state = 104},
  [4267] = {.lex_state = 104},
  [4268] = {.lex_state = 104},
  [4269] = {.lex_state = 104},
  [4270] = {.lex_state = 105},
  [4271] = {.lex_state = 4},
  [4272] = {.lex_state = 105},
  [4273] = {.lex_state = 104},
  [4274] = {.lex_state = 104},
  [4275] = {.lex_state = 104},
  [4276] = {.lex_state = 104},
  [4277] = {.lex_state = 104},
  [4278] = {.lex_state = 104},
  [4279] = {.lex_state = 105},
  [4280] = {.lex_state = 105},
  [4281] = {.lex_state = 104},
  [4282] = {.lex_state = 105},
  [4283] = {.lex_state = 105},
  [4284] = {.lex_state = 105},
  [4285] = {.lex_state = 105},
  [4286] = {.lex_state = 105},
  [4287] = {.lex_state = 105},
  [4288] = {.lex_state = 105},
  [4289] = {.lex_state = 105},
  [4290] = {.lex_state = 105},
  [4291] = {.lex_state = 104},
  [4292] = {.lex_state = 104},
  [4293] = {.lex_state = 105},
  [4294] = {.lex_state = 105},
  [4295] = {.lex_state = 104},
  [4296] = {.lex_state = 105},
  [4297] = {.lex_state = 105},
  [4298] = {.lex_state = 105},
  [4299] = {.lex_state = 105},
  [4300] = {.lex_state = 104},
  [4301] = {.lex_state = 105},
  [4302] = {.lex_state = 105},
  [4303] = {.lex_state = 105},
  [4304] = {.lex_state = 104},
  [4305] = {.lex_state = 105},
  [4306] = {.lex_state = 104},
  [4307] = {.lex_state = 104},
  [4308] = {.lex_state = 104},
  [4309] = {.lex_state = 105},
  [4310] = {.lex_state = 104},
  [4311] = {.lex_state = 105},
  [4312] = {.lex_state = 105},
  [4313] = {.lex_state = 105},
  [4314] = {.lex_state = 104},
  [4315] = {.lex_state = 105},
  [4316] = {.lex_state = 104},
  [4317] = {.lex_state = 104},
  [4318] = {.lex_state = 104},
  [4319] = {.lex_state = 104},
  [4320] = {.lex_state = 105},
  [4321] = {.lex_state = 104},
  [4322] = {.lex_state = 104},
  [4323] = {.lex_state = 104},
  [4324] = {.lex_state = 104},
  [4325] = {.lex_state = 105},
  [4326] = {.lex_state = 105},
  [4327] = {.lex_state = 105},
  [4328] = {.lex_state = 105},
  [4329] = {.lex_state = 105},
  [4330] = {.lex_state = 5},
  [4331] = {.lex_state = 4},
  [4332] = {.lex_state = 105},
  [4333] = {.lex_state = 105},
  [4334] = {.lex_state = 104},
  [4335] = {.lex_state = 104},
  [4336] = {.lex_state = 4},
  [4337] = {.lex_state = 104},
  [4338] = {.lex_state = 4},
  [4339] = {.lex_state = 4},
  [4340] = {.lex_state = 104},
  [4341] = {.lex_state = 105},
  [4342] = {.lex_state = 4},
  [4343] = {.lex_state = 105},
  [4344] = {.lex_state = 4},
  [4345] = {.lex_state = 105},
  [4346] = {.lex_state = 105},
  [4347] = {.lex_state = 105},
  [4348] = {.lex_state = 105},
  [4349] = {.lex_state = 5},
  [4350] = {.lex_state = 4},
  [4351] = {.lex_state = 105},
  [4352] = {.lex_state = 105},
  [4353] = {.lex_state = 105},
  [4354] = {.lex_state = 105},
  [4355] = {.lex_state = 104},
  [4356] = {.lex_state = 105},
  [4357] = {.lex_state = 104},
  [4358] = {.lex_state = 5, .external_lex_state = 4},
  [4359] = {.lex_state = 105},
  [4360] = {.lex_state = 104},
  [4361] = {.lex_state = 105},
  [4362] = {.lex_state = 105},
  [4363] = {.lex_state = 10},
  [4364] = {.lex_state = 10},
  [4365] = {.lex_state = 104},
  [4366] = {.lex_state = 104},
  [4367] = {.lex_state = 105},
  [4368] = {.lex_state = 104},
  [4369] = {.lex_state = 104},
  [4370] = {.lex_state = 105},
  [4371] = {.lex_state = 105},
  [4372] = {.lex_state = 104},
  [4373] = {.lex_state = 104},
  [4374] = {.lex_state = 10},
  [4375] = {.lex_state = 104},
  [4376] = {.lex_state = 104},
  [4377] = {.lex_state = 4},
  [4378] = {.lex_state = 4},
  [4379] = {.lex_state = 104},
  [4380] = {.lex_state = 105},
  [4381] = {.lex_state = 104},
  [4382] = {.lex_state = 105},
  [4383] = {.lex_state = 4},
  [4384] = {.lex_state = 10},
  [4385] = {.lex_state = 104},
  [4386] = {.lex_state = 10},
  [4387] = {.lex_state = 105},
  [4388] = {.lex_state = 105},
  [4389] = {.lex_state = 10},
  [4390] = {.lex_state = 104},
  [4391] = {.lex_state = 104},
  [4392] = {.lex_state = 10},
  [4393] = {.lex_state = 105},
  [4394] = {.lex_state = 104},
  [4395] = {.lex_state = 105},
  [4396] = {.lex_state = 104},
  [4397] = {.lex_state = 104},
  [4398] = {.lex_state = 10},
  [4399] = {.lex_state = 104},
  [4400] = {.lex_state = 4},
  [4401] = {.lex_state = 105},
  [4402] = {.lex_state = 105},
  [4403] = {.lex_state = 104},
  [4404] = {.lex_state = 104},
  [4405] = {.lex_state = 105},
  [4406] = {.lex_state = 104},
  [4407] = {.lex_state = 105},
  [4408] = {.lex_state = 105},
  [4409] = {.lex_state = 10},
  [4410] = {.lex_state = 4},
  [4411] = {.lex_state = 105},
  [4412] = {.lex_state = 4},
  [4413] = {.lex_state = 105},
  [4414] = {.lex_state = 104},
  [4415] = {.lex_state = 105},
  [4416] = {.lex_state = 4},
  [4417] = {.lex_state = 104},
  [4418] = {.lex_state = 105},
  [4419] = {.lex_state = 10},
  [4420] = {.lex_state = 104},
  [4421] = {.lex_state = 105},
  [4422] = {.lex_state = 4},
  [4423] = {.lex_state = 105},
  [4424] = {.lex_state = 105},
  [4425] = {.lex_state = 105},
  [4426] = {.lex_state = 105},
  [4427] = {.lex_state = 10},
  [4428] = {.lex_state = 104},
  [4429] = {.lex_state = 105},
  [4430] = {.lex_state = 105},
  [4431] = {.lex_state = 104},
  [4432] = {.lex_state = 105},
  [4433] = {.lex_state = 104},
  [4434] = {.lex_state = 105},
  [4435] = {.lex_state = 105},
  [4436] = {.lex_state = 104},
  [4437] = {.lex_state = 105},
  [4438] = {.lex_state = 4},
  [4439] = {.lex_state = 105},
  [4440] = {.lex_state = 104},
  [4441] = {.lex_state = 10},
  [4442] = {.lex_state = 105},
  [4443] = {.lex_state = 10},
  [4444] = {.lex_state = 104},
  [4445] = {.lex_state = 105},
  [4446] = {.lex_state = 104},
  [4447] = {.lex_state = 105},
  [4448] = {.lex_state = 105},
  [4449] = {.lex_state = 104},
  [4450] = {.lex_state = 4},
  [4451] = {.lex_state = 105},
  [4452] = {.lex_state = 104},
  [4453] = {.lex_state = 105},
  [4454] = {.lex_state = 10},
  [4455] = {.lex_state = 104},
  [4456] = {.lex_state = 104},
  [4457] = {.lex_state = 104},
  [4458] = {.lex_state = 104},
  [4459] = {.lex_state = 104},
  [4460] = {.lex_state = 104},
  [4461] = {.lex_state = 104},
  [4462] = {.lex_state = 104},
  [4463] = {.lex_state = 104},
  [4464] = {.lex_state = 104},
  [4465] = {.lex_state = 104},
  [4466] = {.lex_state = 104},
  [4467] = {.lex_state = 104},
  [4468] = {.lex_state = 104},
  [4469] = {.lex_state = 104},
  [4470] = {.lex_state = 105},
  [4471] = {.lex_state = 10},
  [4472] = {.lex_state = 104},
  [4473] = {.lex_state = 105},
  [4474] = {.lex_state = 104},
  [4475] = {.lex_state = 105},
  [4476] = {.lex_state = 105},
  [4477] = {.lex_state = 104},
  [4478] = {.lex_state = 104},
  [4479] = {.lex_state = 104},
  [4480] = {.lex_state = 104},
  [4481] = {.lex_state = 104},
  [4482] = {.lex_state = 105},
  [4483] = {.lex_state = 104},
  [4484] = {.lex_state = 104},
  [4485] = {.lex_state = 104},
  [4486] = {.lex_state = 105},
  [4487] = {.lex_state = 4},
  [4488] = {.lex_state = 104},
  [4489] = {.lex_state = 104},
  [4490] = {.lex_state = 104},
  [4491] = {.lex_state = 5},
  [4492] = {.lex_state = 4},
  [4493] = {.lex_state = 105},
  [4494] = {.lex_state = 104},
  [4495] = {.lex_state = 4},
  [4496] = {.lex_state = 4},
  [4497] = {.lex_state = 104},
  [4498] = {.lex_state = 4},
  [4499] = {.lex_state = 7},
  [4500] = {.lex_state = 104},
  [4501] = {.lex_state = 104},
  [4502] = {.lex_state = 104},
  [4503] = {.lex_state = 104},
  [4504] = {.lex_state = 104},
  [4505] = {.lex_state = 104},
  [4506] = {.lex_state = 104},
  [4507] = {.lex_state = 104},
  [4508] = {.lex_state = 104},
  [4509] = {.lex_state = 105},
  [4510] = {.lex_state = 104},
  [4511] = {.lex_state = 104},
  [4512] = {.lex_state = 104},
  [4513] = {.lex_state = 105},
  [4514] = {.lex_state = 104},
  [4515] = {.lex_state = 104},
  [4516] = {.lex_state = 104},
  [4517] = {.lex_state = 104},
  [4518] = {.lex_state = 104},
  [4519] = {.lex_state = 104},
  [4520] = {.lex_state = 104},
  [4521] = {.lex_state = 104},
  [4522] = {.lex_state = 104},
  [4523] = {.lex_state = 104},
  [4524] = {.lex_state = 104},
  [4525] = {.lex_state = 104},
  [4526] = {.lex_state = 104},
  [4527] = {.lex_state = 104},
  [4528] = {.lex_state = 104},
  [4529] = {.lex_state = 10},
  [4530] = {.lex_state = 105},
  [4531] = {.lex_state = 104},
  [4532] = {.lex_state = 104},
  [4533] = {.lex_state = 105},
  [4534] = {.lex_state = 105},
  [4535] = {.lex_state = 105},
  [4536] = {.lex_state = 105},
  [4537] = {.lex_state = 105},
  [4538] = {.lex_state = 105},
  [4539] = {.lex_state = 104},
  [4540] = {.lex_state = 104},
  [4541] = {.lex_state = 104},
  [4542] = {.lex_state = 105},
  [4543] = {.lex_state = 105},
  [4544] = {.lex_state = 104},
  [4545] = {.lex_state = 105},
  [4546] = {.lex_state = 104},
  [4547] = {.lex_state = 105},
  [4548] = {.lex_state = 104},
  [4549] = {.lex_state = 105},
  [4550] = {.lex_state = 105},
  [4551] = {.lex_state = 105},
  [4552] = {.lex_state = 104},
  [4553] = {.lex_state = 105},
  [4554] = {.lex_state = 105},
  [4555] = {.lex_state = 104},
  [4556] = {.lex_state = 104},
  [4557] = {.lex_state = 105},
  [4558] = {.lex_state = 104},
  [4559] = {.lex_state = 104},
  [4560] = {.lex_state = 105},
  [4561] = {.lex_state = 6},
  [4562] = {.lex_state = 104},
  [4563] = {.lex_state = 104},
  [4564] = {.lex_state = 104},
  [4565] = {.lex_state = 105},
  [4566] = {.lex_state = 105},
  [4567] = {.lex_state = 105},
  [4568] = {.lex_state = 105},
  [4569] = {.lex_state = 104},
  [4570] = {.lex_state = 104},
  [4571] = {.lex_state = 104},
  [4572] = {.lex_state = 105},
  [4573] = {.lex_state = 105},
  [4574] = {.lex_state = 105},
  [4575] = {.lex_state = 104},
  [4576] = {.lex_state = 104},
  [4577] = {.lex_state = 105},
  [4578] = {.lex_state = 105},
  [4579] = {.lex_state = 105},
  [4580] = {.lex_state = 105},
  [4581] = {.lex_state = 104},
  [4582] = {.lex_state = 105},
  [4583] = {.lex_state = 104},
  [4584] = {.lex_state = 104},
  [4585] = {.lex_state = 104},
  [4586] = {.lex_state = 104},
  [4587] = {.lex_state = 105},
  [4588] = {.lex_state = 105},
  [4589] = {.lex_state = 104},
  [4590] = {.lex_state = 104},
  [4591] = {.lex_state = 104},
  [4592] = {.lex_state = 105},
  [4593] = {.lex_state = 105},
  [4594] = {.lex_state = 105},
  [4595] = {.lex_state = 104},
  [4596] = {.lex_state = 104},
  [4597] = {.lex_state = 104},
  [4598] = {.lex_state = 104},
  [4599] = {.lex_state = 105},
  [4600] = {.lex_state = 105},
  [4601] = {.lex_state = 104},
  [4602] = {.lex_state = 105},
  [4603] = {.lex_state = 104},
  [4604] = {.lex_state = 104},
  [4605] = {.lex_state = 104},
  [4606] = {.lex_state = 105},
  [4607] = {.lex_state = 104},
  [4608] = {.lex_state = 104},
  [4609] = {.lex_state = 105},
  [4610] = {.lex_state = 104},
  [4611] = {.lex_state = 105},
  [4612] = {.lex_state = 104},
  [4613] = {.lex_state = 104},
  [4614] = {.lex_state = 105},
  [4615] = {.lex_state = 104},
  [4616] = {.lex_state = 105},
  [4617] = {.lex_state = 104},
  [4618] = {.lex_state = 105},
  [4619] = {.lex_state = 104},
  [4620] = {.lex_state = 105},
  [4621] = {.lex_state = 104},
  [4622] = {.lex_state = 104},
  [4623] = {.lex_state = 104},
  [4624] = {.lex_state = 104},
  [4625] = {.lex_state = 104},
  [4626] = {.lex_state = 104},
  [4627] = {.lex_state = 105},
  [4628] = {.lex_state = 104},
  [4629] = {.lex_state = 104},
  [4630] = {.lex_state = 104},
  [4631] = {.lex_state = 104},
  [4632] = {.lex_state = 104},
  [4633] = {.lex_state = 104},
  [4634] = {.lex_state = 104},
  [4635] = {.lex_state = 105},
  [4636] = {.lex_state = 104},
  [4637] = {.lex_state = 104},
  [4638] = {.lex_state = 104},
  [4639] = {.lex_state = 105},
  [4640] = {.lex_state = 104},
  [4641] = {.lex_state = 104},
  [4642] = {.lex_state = 105},
  [4643] = {.lex_state = 104},
  [4644] = {.lex_state = 104},
  [4645] = {.lex_state = 104},
  [4646] = {.lex_state = 104},
  [4647] = {.lex_state = 104},
  [4648] = {.lex_state = 105},
  [4649] = {.lex_state = 105},
  [4650] = {.lex_state = 105},
  [4651] = {.lex_state = 105},
  [4652] = {.lex_state = 105},
  [4653] = {.lex_state = 104},
  [4654] = {.lex_state = 104},
  [4655] = {.lex_state = 105},
  [4656] = {.lex_state = 105},
  [4657] = {.lex_state = 105},
  [4658] = {.lex_state = 104},
  [4659] = {.lex_state = 105},
  [4660] = {.lex_state = 104},
  [4661] = {.lex_state = 105},
  [4662] = {.lex_state = 104},
  [4663] = {.lex_state = 104},
  [4664] = {.lex_state = 104},
  [4665] = {.lex_state = 104},
  [4666] = {.lex_state = 104},
  [4667] = {.lex_state = 104},
  [4668] = {.lex_state = 104},
  [4669] = {.lex_state = 104},
  [4670] = {.lex_state = 104},
  [4671] = {.lex_state = 104},
  [4672] = {.lex_state = 104},
  [4673] = {.lex_state = 104},
  [4674] = {.lex_state = 104},
  [4675] = {.lex_state = 104},
  [4676] = {.lex_state = 105},
  [4677] = {.lex_state = 104},
  [4678] = {.lex_state = 104},
  [4679] = {.lex_state = 104},
  [4680] = {.lex_state = 105},
  [4681] = {.lex_state = 104},
  [4682] = {.lex_state = 104},
  [4683] = {.lex_state = 104},
  [4684] = {.lex_state = 104},
  [4685] = {.lex_state = 104},
  [4686] = {.lex_state = 104},
  [4687] = {.lex_state = 104},
  [4688] = {.lex_state = 104},
  [4689] = {.lex_state = 104},
  [4690] = {.lex_state = 104},
  [4691] = {.lex_state = 105},
  [4692] = {.lex_state = 104},
  [4693] = {.lex_state = 104},
  [4694] = {.lex_state = 104},
  [4695] = {.lex_state = 105},
  [4696] = {.lex_state = 105},
  [4697] = {.lex_state = 105},
  [4698] = {.lex_state = 104},
  [4699] = {.lex_state = 104},
  [4700] = {.lex_state = 105},
  [4701] = {.lex_state = 104},
  [4702] = {.lex_state = 105},
  [4703] = {.lex_state = 104},
  [4704] = {.lex_state = 105},
  [4705] = {.lex_state = 104},
  [4706] = {.lex_state = 104},
  [4707] = {.lex_state = 104},
  [4708] = {.lex_state = 104},
  [4709] = {.lex_state = 104},
  [4710] = {.lex_state = 104},
  [4711] = {.lex_state = 105},
  [4712] = {.lex_state = 105},
  [4713] = {.lex_state = 104},
  [4714] = {.lex_state = 104},
  [4715] = {.lex_state = 105},
  [4716] = {.lex_state = 105},
  [4717] = {.lex_state = 105},
  [4718] = {.lex_state = 105},
  [4719] = {.lex_state = 104},
  [4720] = {.lex_state = 105},
  [4721] = {.lex_state = 104},
  [4722] = {.lex_state = 105},
  [4723] = {.lex_state = 104},
  [4724] = {.lex_state = 104},
  [4725] = {.lex_state = 104},
  [4726] = {.lex_state = 105},
  [4727] = {.lex_state = 104},
  [4728] = {.lex_state = 105},
  [4729] = {.lex_state = 105},
  [4730] = {.lex_state = 104},
  [4731] = {.lex_state = 104},
  [4732] = {.lex_state = 104},
  [4733] = {.lex_state = 105},
  [4734] = {.lex_state = 105},
  [4735] = {.lex_state = 105},
  [4736] = {.lex_state = 105},
  [4737] = {.lex_state = 104},
  [4738] = {.lex_state = 104},
  [4739] = {.lex_state = 104},
  [4740] = {.lex_state = 104},
  [4741] = {.lex_state = 104},
  [4742] = {.lex_state = 104},
  [4743] = {.lex_state = 105},
  [4744] = {.lex_state = 104},
  [4745] = {.lex_state = 104},
  [4746] = {.lex_state = 104},
  [4747] = {.lex_state = 105},
  [4748] = {.lex_state = 105},
  [4749] = {.lex_state = 105},
  [4750] = {.lex_state = 105},
  [4751] = {.lex_state = 10},
  [4752] = {.lex_state = 104},
  [4753] = {.lex_state = 105},
  [4754] = {.lex_state = 105},
  [4755] = {.lex_state = 104},
  [4756] = {.lex_state = 105},
  [4757] = {.lex_state = 105},
  [4758] = {.lex_state = 105},
  [4759] = {.lex_state = 17},
  [4760] = {.lex_state = 105},
  [4761] = {.lex_state = 104},
  [4762] = {.lex_state = 105},
  [4763] = {.lex_state = 105},
  [4764] = {.lex_state = 105},
  [4765] = {.lex_state = 105},
  [4766] = {.lex_state = 104},
  [4767] = {.lex_state = 105},
  [4768] = {.lex_state = 104},
  [4769] = {.lex_state = 104},
  [4770] = {.lex_state = 104},
  [4771] = {.lex_state = 105},
  [4772] = {.lex_state = 105},
  [4773] = {.lex_state = 105},
  [4774] = {.lex_state = 105},
  [4775] = {.lex_state = 104},
  [4776] = {.lex_state = 105},
  [4777] = {.lex_state = 105},
  [4778] = {.lex_state = 104},
  [4779] = {.lex_state = 105},
  [4780] = {.lex_state = 105},
  [4781] = {.lex_state = 105},
  [4782] = {.lex_state = 105},
  [4783] = {.lex_state = 104},
  [4784] = {.lex_state = 105},
  [4785] = {.lex_state = 105},
  [4786] = {.lex_state = 105},
  [4787] = {.lex_state = 105},
  [4788] = {.lex_state = 104},
  [4789] = {.lex_state = 105},
  [4790] = {.lex_state = 105},
  [4791] = {.lex_state = 105},
  [4792] = {.lex_state = 105},
  [4793] = {.lex_state = 105},
  [4794] = {.lex_state = 104},
  [4795] = {.lex_state = 105},
  [4796] = {.lex_state = 104},
  [4797] = {.lex_state = 104},
  [4798] = {.lex_state = 105},
  [4799] = {.lex_state = 104},
  [4800] = {.lex_state = 104},
  [4801] = {.lex_state = 105},
  [4802] = {.lex_state = 105},
  [4803] = {.lex_state = 104},
  [4804] = {.lex_state = 105},
  [4805] = {.lex_state = 104},
  [4806] = {.lex_state = 105},
  [4807] = {.lex_state = 105},
  [4808] = {.lex_state = 105},
  [4809] = {.lex_state = 105},
  [4810] = {.lex_state = 105},
  [4811] = {.lex_state = 105},
  [4812] = {.lex_state = 105},
  [4813] = {.lex_state = 105},
  [4814] = {.lex_state = 105},
  [4815] = {.lex_state = 104},
  [4816] = {.lex_state = 105},
  [4817] = {.lex_state = 105},
  [4818] = {.lex_state = 105},
  [4819] = {.lex_state = 105},
  [4820] = {.lex_state = 104},
  [4821] = {.lex_state = 105},
  [4822] = {.lex_state = 105},
  [4823] = {.lex_state = 105},
  [4824] = {.lex_state = 104},
  [4825] = {.lex_state = 105},
  [4826] = {.lex_state = 105},
  [4827] = {.lex_state = 105},
  [4828] = {.lex_state = 104},
  [4829] = {.lex_state = 105},
  [4830] = {.lex_state = 104},
  [4831] = {.lex_state = 105},
  [4832] = {.lex_state = 104},
  [4833] = {.lex_state = 105},
  [4834] = {.lex_state = 105},
  [4835] = {.lex_state = 105},
  [4836] = {.lex_state = 105},
  [4837] = {.lex_state = 104},
  [4838] = {.lex_state = 105},
  [4839] = {.lex_state = 104},
  [4840] = {.lex_state = 104},
  [4841] = {.lex_state = 104},
  [4842] = {.lex_state = 104},
  [4843] = {.lex_state = 104},
  [4844] = {.lex_state = 104},
  [4845] = {.lex_state = 104},
  [4846] = {.lex_state = 104},
  [4847] = {.lex_state = 104},
  [4848] = {.lex_state = 104},
  [4849] = {.lex_state = 104},
  [4850] = {.lex_state = 105},
  [4851] = {.lex_state = 104},
  [4852] = {.lex_state = 104},
  [4853] = {.lex_state = 104},
  [4854] = {.lex_state = 104},
  [4855] = {.lex_state = 104},
  [4856] = {.lex_state = 104},
  [4857] = {.lex_state = 105},
  [4858] = {.lex_state = 104},
  [4859] = {.lex_state = 104},
  [4860] = {.lex_state = 104},
  [4861] = {.lex_state = 105},
  [4862] = {.lex_state = 104},
  [4863] = {.lex_state = 105},
  [4864] = {.lex_state = 105},
  [4865] = {.lex_state = 104},
  [4866] = {.lex_state = 105},
  [4867] = {.lex_state = 105},
  [4868] = {.lex_state = 105},
  [4869] = {.lex_state = 105},
  [4870] = {.lex_state = 105},
  [4871] = {.lex_state = 104},
  [4872] = {.lex_state = 105},
  [4873] = {.lex_state = 104},
  [4874] = {.lex_state = 104},
  [4875] = {.lex_state = 104},
  [4876] = {.lex_state = 105},
  [4877] = {.lex_state = 104},
  [4878] = {.lex_state = 105},
  [4879] = {.lex_state = 104},
  [4880] = {.lex_state = 104},
  [4881] = {.lex_state = 104},
  [4882] = {.lex_state = 104},
  [4883] = {.lex_state = 104},
  [4884] = {.lex_state = 105},
  [4885] = {.lex_state = 104},
  [4886] = {.lex_state = 104},
  [4887] = {.lex_state = 105},
  [4888] = {.lex_state = 105},
  [4889] = {.lex_state = 105},
  [4890] = {.lex_state = 104},
  [4891] = {.lex_state = 105},
  [4892] = {.lex_state = 105},
  [4893] = {.lex_state = 104},
  [4894] = {.lex_state = 104},
  [4895] = {.lex_state = 105},
  [4896] = {.lex_state = 105},
  [4897] = {.lex_state = 105},
  [4898] = {.lex_state = 105},
  [4899] = {.lex_state = 104},
  [4900] = {.lex_state = 104},
  [4901] = {.lex_state = 105},
  [4902] = {.lex_state = 104},
  [4903] = {.lex_state = 104},
  [4904] = {.lex_state = 104},
  [4905] = {.lex_state = 104},
  [4906] = {.lex_state = 105},
  [4907] = {.lex_state = 104},
  [4908] = {.lex_state = 105},
  [4909] = {.lex_state = 105},
  [4910] = {.lex_state = 105},
  [4911] = {.lex_state = 104},
  [4912] = {.lex_state = 105},
  [4913] = {.lex_state = 105},
  [4914] = {.lex_state = 105},
  [4915] = {.lex_state = 104},
  [4916] = {.lex_state = 104},
  [4917] = {.lex_state = 104},
  [4918] = {.lex_state = 104},
  [4919] = {.lex_state = 104},
  [4920] = {.lex_state = 105},
  [4921] = {.lex_state = 105},
  [4922] = {.lex_state = 104},
  [4923] = {.lex_state = 104},
  [4924] = {.lex_state = 105},
  [4925] = {.lex_state = 104},
  [4926] = {.lex_state = 105},
  [4927] = {.lex_state = 104},
  [4928] = {.lex_state = 105},
  [4929] = {.lex_state = 104},
  [4930] = {.lex_state = 105},
  [4931] = {.lex_state = 105},
  [4932] = {.lex_state = 104},
  [4933] = {.lex_state = 104},
  [4934] = {.lex_state = 105},
  [4935] = {.lex_state = 104},
  [4936] = {.lex_state = 104},
  [4937] = {.lex_state = 105},
  [4938] = {.lex_state = 105},
  [4939] = {.lex_state = 104},
  [4940] = {.lex_state = 104},
  [4941] = {.lex_state = 104},
  [4942] = {.lex_state = 104},
  [4943] = {.lex_state = 104},
  [4944] = {.lex_state = 104},
  [4945] = {.lex_state = 104},
  [4946] = {.lex_state = 104},
  [4947] = {.lex_state = 104},
  [4948] = {.lex_state = 104},
  [4949] = {.lex_state = 104},
  [4950] = {.lex_state = 104},
  [4951] = {.lex_state = 104},
  [4952] = {.lex_state = 105},
  [4953] = {.lex_state = 104},
  [4954] = {.lex_state = 104},
  [4955] = {.lex_state = 104},
  [4956] = {.lex_state = 104},
  [4957] = {.lex_state = 104},
  [4958] = {.lex_state = 104},
  [4959] = {.lex_state = 104},
  [4960] = {.lex_state = 104},
  [4961] = {.lex_state = 104},
  [4962] = {.lex_state = 104},
  [4963] = {.lex_state = 104},
  [4964] = {.lex_state = 104},
  [4965] = {.lex_state = 104},
  [4966] = {.lex_state = 104},
  [4967] = {.lex_state = 104},
  [4968] = {.lex_state = 104},
  [4969] = {.lex_state = 104},
  [4970] = {.lex_state = 104},
  [4971] = {.lex_state = 10},
  [4972] = {.lex_state = 104},
  [4973] = {.lex_state = 104},
  [4974] = {.lex_state = 104},
  [4975] = {.lex_state = 104},
  [4976] = {.lex_state = 104},
  [4977] = {.lex_state = 104},
  [4978] = {.lex_state = 104},
  [4979] = {.lex_state = 104},
  [4980] = {.lex_state = 104},
  [4981] = {.lex_state = 104},
  [4982] = {.lex_state = 104},
  [4983] = {.lex_state = 17},
  [4984] = {.lex_state = 104},
  [4985] = {.lex_state = 104},
  [4986] = {.lex_state = 104},
  [4987] = {.lex_state = 104},
  [4988] = {.lex_state = 104},
  [4989] = {.lex_state = 104},
  [4990] = {.lex_state = 104},
  [4991] = {.lex_state = 104},
  [4992] = {.lex_state = 104},
  [4993] = {.lex_state = 104},
  [4994] = {.lex_state = 104},
  [4995] = {.lex_state = 104},
  [4996] = {.lex_state = 104},
  [4997] = {.lex_state = 104},
  [4998] = {.lex_state = 104},
  [4999] = {.lex_state = 104},
  [5000] = {.lex_state = 104},
  [5001] = {.lex_state = 104},
  [5002] = {.lex_state = 104},
  [5003] = {.lex_state = 104},
  [5004] = {.lex_state = 104},
  [5005] = {.lex_state = 104},
  [5006] = {.lex_state = 17},
  [5007] = {.lex_state = 104},
  [5008] = {.lex_state = 104},
  [5009] = {.lex_state = 104},
  [5010] = {.lex_state = 104},
  [5011] = {.lex_state = 104},
  [5012] = {.lex_state = 17},
  [5013] = {.lex_state = 17},
  [5014] = {.lex_state = 104},
  [5015] = {.lex_state = 104},
  [5016] = {.lex_state = 17},
  [5017] = {.lex_state = 104},
  [5018] = {.lex_state = 105},
  [5019] = {.lex_state = 104},
  [5020] = {.lex_state = 104},
  [5021] = {.lex_state = 104},
  [5022] = {.lex_state = 104},
  [5023] = {.lex_state = 104},
  [5024] = {.lex_state = 104},
  [5025] = {.lex_state = 104},
  [5026] = {.lex_state = 104},
  [5027] = {.lex_state = 104},
  [5028] = {.lex_state = 104},
  [5029] = {.lex_state = 104},
  [5030] = {.lex_state = 17},
  [5031] = {.lex_state = 17},
  [5032] = {.lex_state = 104},
  [5033] = {.lex_state = 104},
  [5034] = {.lex_state = 104},
  [5035] = {.lex_state = 104},
  [5036] = {.lex_state = 104},
  [5037] = {.lex_state = 104},
  [5038] = {.lex_state = 104},
  [5039] = {.lex_state = 104},
  [5040] = {.lex_state = 104},
  [5041] = {.lex_state = 104},
  [5042] = {.lex_state = 104},
  [5043] = {.lex_state = 104},
  [5044] = {.lex_state = 104},
  [5045] = {.lex_state = 104},
  [5046] = {.lex_state = 104},
  [5047] = {.lex_state = 104},
  [5048] = {.lex_state = 104},
  [5049] = {.lex_state = 104},
  [5050] = {.lex_state = 104},
  [5051] = {.lex_state = 104},
  [5052] = {.lex_state = 105},
  [5053] = {.lex_state = 17},
  [5054] = {.lex_state = 104},
  [5055] = {.lex_state = 104},
  [5056] = {.lex_state = 104},
  [5057] = {.lex_state = 104, .external_lex_state = 4},
  [5058] = {.lex_state = 104},
  [5059] = {.lex_state = 104},
  [5060] = {.lex_state = 104},
  [5061] = {.lex_state = 104},
  [5062] = {.lex_state = 104},
  [5063] = {.lex_state = 104},
  [5064] = {.lex_state = 104},
  [5065] = {.lex_state = 104},
  [5066] = {.lex_state = 104},
  [5067] = {.lex_state = 104},
  [5068] = {.lex_state = 104},
  [5069] = {.lex_state = 104},
  [5070] = {.lex_state = 6, .external_lex_state = 4},
  [5071] = {.lex_state = 104},
  [5072] = {.lex_state = 104},
  [5073] = {.lex_state = 104},
  [5074] = {.lex_state = 104},
  [5075] = {.lex_state = 104},
  [5076] = {.lex_state = 104},
  [5077] = {.lex_state = 104},
  [5078] = {.lex_state = 104},
  [5079] = {.lex_state = 104},
  [5080] = {.lex_state = 104},
  [5081] = {.lex_state = 104},
  [5082] = {.lex_state = 104},
  [5083] = {.lex_state = 104},
  [5084] = {.lex_state = 104},
  [5085] = {.lex_state = 104},
  [5086] = {.lex_state = 104},
  [5087] = {.lex_state = 104},
  [5088] = {.lex_state = 104},
  [5089] = {.lex_state = 104},
  [5090] = {.lex_state = 104},
  [5091] = {.lex_state = 104},
  [5092] = {.lex_state = 104},
  [5093] = {.lex_state = 104},
  [5094] = {.lex_state = 104},
  [5095] = {.lex_state = 104},
  [5096] = {.lex_state = 104},
  [5097] = {.lex_state = 104},
  [5098] = {.lex_state = 104},
  [5099] = {.lex_state = 104},
  [5100] = {.lex_state = 104},
  [5101] = {.lex_state = 104},
  [5102] = {.lex_state = 104},
  [5103] = {.lex_state = 104},
  [5104] = {.lex_state = 104},
  [5105] = {.lex_state = 104},
  [5106] = {.lex_state = 104},
  [5107] = {.lex_state = 104},
  [5108] = {.lex_state = 104},
  [5109] = {.lex_state = 104},
  [5110] = {.lex_state = 10},
  [5111] = {.lex_state = 104},
  [5112] = {.lex_state = 104},
  [5113] = {.lex_state = 104},
  [5114] = {.lex_state = 104},
  [5115] = {.lex_state = 104},
  [5116] = {.lex_state = 104},
  [5117] = {.lex_state = 104},
  [5118] = {.lex_state = 104},
  [5119] = {.lex_state = 104},
  [5120] = {.lex_state = 104},
  [5121] = {.lex_state = 104},
  [5122] = {.lex_state = 104},
  [5123] = {.lex_state = 104},
  [5124] = {.lex_state = 104},
  [5125] = {.lex_state = 104},
  [5126] = {.lex_state = 104},
  [5127] = {.lex_state = 104},
  [5128] = {.lex_state = 104},
  [5129] = {.lex_state = 104},
  [5130] = {.lex_state = 104},
  [5131] = {.lex_state = 104},
  [5132] = {.lex_state = 104},
  [5133] = {.lex_state = 104},
  [5134] = {.lex_state = 104},
  [5135] = {.lex_state = 104},
  [5136] = {.lex_state = 104},
  [5137] = {.lex_state = 104},
  [5138] = {.lex_state = 104},
  [5139] = {.lex_state = 104, .external_lex_state = 4},
  [5140] = {.lex_state = 104},
  [5141] = {.lex_state = 104},
  [5142] = {.lex_state = 104, .external_lex_state = 4},
  [5143] = {.lex_state = 104},
  [5144] = {.lex_state = 104, .external_lex_state = 4},
  [5145] = {.lex_state = 104},
  [5146] = {.lex_state = 104},
  [5147] = {.lex_state = 104, .external_lex_state = 4},
  [5148] = {.lex_state = 104, .external_lex_state = 4},
  [5149] = {.lex_state = 104, .external_lex_state = 4},
  [5150] = {.lex_state = 6, .external_lex_state = 4},
  [5151] = {.lex_state = 104, .external_lex_state = 4},
  [5152] = {.lex_state = 104, .external_lex_state = 4},
  [5153] = {.lex_state = 105},
  [5154] = {.lex_state = 104},
  [5155] = {.lex_state = 10},
  [5156] = {.lex_state = 104, .external_lex_state = 4},
  [5157] = {.lex_state = 104},
  [5158] = {.lex_state = 104},
  [5159] = {.lex_state = 104},
  [5160] = {.lex_state = 104, .external_lex_state = 4},
  [5161] = {.lex_state = 104},
  [5162] = {.lex_state = 104},
  [5163] = {.lex_state = 104},
  [5164] = {.lex_state = 104},
  [5165] = {.lex_state = 104},
  [5166] = {.lex_state = 104},
  [5167] = {.lex_state = 104},
  [5168] = {.lex_state = 104},
  [5169] = {.lex_state = 104},
  [5170] = {.lex_state = 104},
  [5171] = {.lex_state = 104, .external_lex_state = 4},
  [5172] = {.lex_state = 104},
  [5173] = {.lex_state = 104, .external_lex_state = 4},
  [5174] = {.lex_state = 104},
  [5175] = {.lex_state = 104},
  [5176] = {.lex_state = 105},
  [5177] = {.lex_state = 104, .external_lex_state = 4},
  [5178] = {.lex_state = 104},
  [5179] = {.lex_state = 104},
  [5180] = {.lex_state = 104, .external_lex_state = 4},
  [5181] = {.lex_state = 104, .external_lex_state = 4},
  [5182] = {.lex_state = 104, .external_lex_state = 4},
  [5183] = {.lex_state = 104},
  [5184] = {.lex_state = 6, .external_lex_state = 4},
  [5185] = {.lex_state = 104},
  [5186] = {.lex_state = 104},
  [5187] = {.lex_state = 104, .external_lex_state = 4},
  [5188] = {.lex_state = 104},
  [5189] = {.lex_state = 104},
  [5190] = {.lex_state = 105},
  [5191] = {.lex_state = 10},
  [5192] = {.lex_state = 104, .external_lex_state = 4},
  [5193] = {.lex_state = 104, .external_lex_state = 4},
  [5194] = {.lex_state = 104},
  [5195] = {.lex_state = 104},
  [5196] = {.lex_state = 104},
  [5197] = {.lex_state = 6, .external_lex_state = 4},
  [5198] = {.lex_state = 104, .external_lex_state = 4},
  [5199] = {.lex_state = 104},
  [5200] = {.lex_state = 104, .external_lex_state = 4},
  [5201] = {.lex_state = 17},
  [5202] = {.lex_state = 104, .external_lex_state = 4},
  [5203] = {.lex_state = 105},
  [5204] = {.lex_state = 104},
  [5205] = {.lex_state = 104},
  [5206] = {.lex_state = 104},
  [5207] = {.lex_state = 104},
  [5208] = {.lex_state = 104},
  [5209] = {.lex_state = 104},
  [5210] = {.lex_state = 104, .external_lex_state = 4},
  [5211] = {.lex_state = 104, .external_lex_state = 4},
  [5212] = {.lex_state = 104, .external_lex_state = 4},
  [5213] = {.lex_state = 105},
  [5214] = {.lex_state = 104},
  [5215] = {.lex_state = 105},
  [5216] = {.lex_state = 104},
  [5217] = {.lex_state = 104},
  [5218] = {.lex_state = 104},
  [5219] = {.lex_state = 104, .external_lex_state = 4},
  [5220] = {.lex_state = 104},
  [5221] = {.lex_state = 104, .external_lex_state = 4},
  [5222] = {.lex_state = 104, .external_lex_state = 4},
  [5223] = {.lex_state = 104, .external_lex_state = 4},
  [5224] = {.lex_state = 104},
  [5225] = {.lex_state = 104, .external_lex_state = 4},
  [5226] = {.lex_state = 104, .external_lex_state = 4},
  [5227] = {.lex_state = 104, .external_lex_state = 4},
  [5228] = {.lex_state = 104, .external_lex_state = 4},
  [5229] = {.lex_state = 104, .external_lex_state = 4},
  [5230] = {.lex_state = 104, .external_lex_state = 4},
  [5231] = {.lex_state = 104},
  [5232] = {.lex_state = 104},
  [5233] = {.lex_state = 104, .external_lex_state = 4},
  [5234] = {.lex_state = 104},
  [5235] = {.lex_state = 104},
  [5236] = {.lex_state = 104},
  [5237] = {.lex_state = 104},
  [5238] = {.lex_state = 104, .external_lex_state = 4},
  [5239] = {.lex_state = 104, .external_lex_state = 4},
  [5240] = {.lex_state = 104, .external_lex_state = 4},
  [5241] = {.lex_state = 104, .external_lex_state = 4},
  [5242] = {.lex_state = 104, .external_lex_state = 4},
  [5243] = {.lex_state = 104, .external_lex_state = 4},
  [5244] = {.lex_state = 104, .external_lex_state = 4},
  [5245] = {.lex_state = 104, .external_lex_state = 4},
  [5246] = {.lex_state = 104, .external_lex_state = 4},
  [5247] = {.lex_state = 104, .external_lex_state = 4},
  [5248] = {.lex_state = 104, .external_lex_state = 4},
  [5249] = {.lex_state = 104, .external_lex_state = 4},
  [5250] = {.lex_state = 104, .external_lex_state = 4},
  [5251] = {.lex_state = 104, .external_lex_state = 4},
  [5252] = {.lex_state = 104, .external_lex_state = 4},
  [5253] = {.lex_state = 104, .external_lex_state = 4},
  [5254] = {.lex_state = 104},
  [5255] = {.lex_state = 104},
  [5256] = {.lex_state = 104},
  [5257] = {.lex_state = 104},
  [5258] = {.lex_state = 104},
  [5259] = {.lex_state = 104},
  [5260] = {.lex_state = 104},
  [5261] = {.lex_state = 104},
  [5262] = {.lex_state = 104, .external_lex_state = 4},
  [5263] = {.lex_state = 104},
  [5264] = {.lex_state = 104},
  [5265] = {.lex_state = 104},
  [5266] = {.lex_state = 104},
  [5267] = {.lex_state = 104},
  [5268] = {.lex_state = 104},
  [5269] = {.lex_state = 104},
  [5270] = {.lex_state = 105},
  [5271] = {.lex_state = 104},
  [5272] = {.lex_state = 104},
  [5273] = {.lex_state = 104},
  [5274] = {.lex_state = 104},
  [5275] = {.lex_state = 104, .external_lex_state = 4},
  [5276] = {.lex_state = 17},
  [5277] = {.lex_state = 104, .external_lex_state = 4},
  [5278] = {.lex_state = 104},
  [5279] = {.lex_state = 104},
  [5280] = {.lex_state = 105},
  [5281] = {.lex_state = 104},
  [5282] = {.lex_state = 104},
  [5283] = {.lex_state = 104},
  [5284] = {.lex_state = 104},
  [5285] = {.lex_state = 17},
  [5286] = {.lex_state = 105},
  [5287] = {.lex_state = 104, .external_lex_state = 4},
  [5288] = {.lex_state = 17},
  [5289] = {.lex_state = 105},
  [5290] = {.lex_state = 104, .external_lex_state = 4},
  [5291] = {.lex_state = 104},
  [5292] = {.lex_state = 104},
  [5293] = {.lex_state = 104, .external_lex_state = 4},
  [5294] = {.lex_state = 104},
  [5295] = {.lex_state = 104, .external_lex_state = 4},
  [5296] = {.lex_state = 104, .external_lex_state = 4},
  [5297] = {.lex_state = 17},
  [5298] = {.lex_state = 104},
  [5299] = {.lex_state = 104},
  [5300] = {.lex_state = 104},
  [5301] = {.lex_state = 104},
  [5302] = {.lex_state = 104},
  [5303] = {.lex_state = 104},
  [5304] = {.lex_state = 104},
  [5305] = {.lex_state = 104},
  [5306] = {.lex_state = 104},
  [5307] = {.lex_state = 104},
  [5308] = {.lex_state = 104},
  [5309] = {.lex_state = 104},
  [5310] = {.lex_state = 104},
  [5311] = {.lex_state = 104},
  [5312] = {.lex_state = 104},
  [5313] = {.lex_state = 104},
  [5314] = {.lex_state = 104, .external_lex_state = 4},
  [5315] = {.lex_state = 104, .external_lex_state = 4},
  [5316] = {.lex_state = 104, .external_lex_state = 4},
  [5317] = {.lex_state = 104, .external_lex_state = 4},
  [5318] = {.lex_state = 104, .external_lex_state = 4},
  [5319] = {.lex_state = 104, .external_lex_state = 4},
  [5320] = {.lex_state = 7, .external_lex_state = 4},
  [5321] = {.lex_state = 104, .external_lex_state = 4},
  [5322] = {.lex_state = 104, .external_lex_state = 4},
  [5323] = {.lex_state = 104, .external_lex_state = 4},
  [5324] = {.lex_state = 17},
  [5325] = {.lex_state = 104},
  [5326] = {.lex_state = 104},
  [5327] = {.lex_state = 104, .external_lex_state = 4},
  [5328] = {.lex_state = 104, .external_lex_state = 4},
  [5329] = {.lex_state = 104},
  [5330] = {.lex_state = 6},
  [5331] = {.lex_state = 105},
  [5332] = {.lex_state = 104},
  [5333] = {.lex_state = 104},
  [5334] = {.lex_state = 104, .external_lex_state = 4},
  [5335] = {.lex_state = 104},
  [5336] = {.lex_state = 104, .external_lex_state = 4},
  [5337] = {.lex_state = 104},
  [5338] = {.lex_state = 104, .external_lex_state = 4},
  [5339] = {.lex_state = 104, .external_lex_state = 4},
  [5340] = {.lex_state = 104, .external_lex_state = 4},
  [5341] = {.lex_state = 104, .external_lex_state = 4},
  [5342] = {.lex_state = 104},
  [5343] = {.lex_state = 104, .external_lex_state = 4},
  [5344] = {.lex_state = 104},
  [5345] = {.lex_state = 104},
  [5346] = {.lex_state = 104},
  [5347] = {.lex_state = 104},
  [5348] = {.lex_state = 104},
  [5349] = {.lex_state = 104},
  [5350] = {.lex_state = 104},
  [5351] = {.lex_state = 104},
  [5352] = {.lex_state = 104, .external_lex_state = 4},
  [5353] = {.lex_state = 104, .external_lex_state = 4},
  [5354] = {.lex_state = 105},
  [5355] = {.lex_state = 104},
  [5356] = {.lex_state = 104},
  [5357] = {.lex_state = 104},
  [5358] = {.lex_state = 104, .external_lex_state = 4},
  [5359] = {.lex_state = 104},
  [5360] = {.lex_state = 104},
  [5361] = {.lex_state = 104, .external_lex_state = 4},
  [5362] = {.lex_state = 104},
  [5363] = {.lex_state = 104},
  [5364] = {.lex_state = 104},
  [5365] = {.lex_state = 104},
  [5366] = {.lex_state = 104},
  [5367] = {.lex_state = 104},
  [5368] = {.lex_state = 104},
  [5369] = {.lex_state = 104},
  [5370] = {.lex_state = 104},
  [5371] = {.lex_state = 104},
  [5372] = {.lex_state = 104},
  [5373] = {.lex_state = 104},
  [5374] = {.lex_state = 104},
  [5375] = {.lex_state = 104},
  [5376] = {.lex_state = 104},
  [5377] = {.lex_state = 104},
  [5378] = {.lex_state = 104},
  [5379] = {.lex_state = 104},
  [5380] = {.lex_state = 104},
  [5381] = {.lex_state = 104},
  [5382] = {.lex_state = 104},
  [5383] = {.lex_state = 104, .external_lex_state = 4},
  [5384] = {.lex_state = 104, .external_lex_state = 4},
  [5385] = {.lex_state = 104, .external_lex_state = 4},
  [5386] = {.lex_state = 104, .external_lex_state = 4},
  [5387] = {.lex_state = 104, .external_lex_state = 4},
  [5388] = {.lex_state = 104, .external_lex_state = 4},
  [5389] = {.lex_state = 104, .external_lex_state = 4},
  [5390] = {.lex_state = 105},
  [5391] = {.lex_state = 104},
  [5392] = {.lex_state = 104, .external_lex_state = 4},
  [5393] = {.lex_state = 104, .external_lex_state = 4},
  [5394] = {.lex_state = 104, .external_lex_state = 4},
  [5395] = {.lex_state = 104, .external_lex_state = 4},
  [5396] = {.lex_state = 104, .external_lex_state = 4},
  [5397] = {.lex_state = 104},
  [5398] = {.lex_state = 104},
  [5399] = {.lex_state = 104, .external_lex_state = 4},
  [5400] = {.lex_state = 104},
  [5401] = {.lex_state = 104, .external_lex_state = 4},
  [5402] = {.lex_state = 104, .external_lex_state = 4},
  [5403] = {.lex_state = 104, .external_lex_state = 4},
  [5404] = {.lex_state = 17},
  [5405] = {.lex_state = 104, .external_lex_state = 4},
  [5406] = {.lex_state = 104, .external_lex_state = 4},
  [5407] = {.lex_state = 104, .external_lex_state = 4},
  [5408] = {.lex_state = 104},
  [5409] = {.lex_state = 104, .external_lex_state = 4},
  [5410] = {.lex_state = 105},
  [5411] = {.lex_state = 104, .external_lex_state = 4},
  [5412] = {.lex_state = 104},
  [5413] = {.lex_state = 104},
  [5414] = {.lex_state = 104},
  [5415] = {.lex_state = 104},
  [5416] = {.lex_state = 104, .external_lex_state = 4},
  [5417] = {.lex_state = 104, .external_lex_state = 4},
  [5418] = {.lex_state = 104},
  [5419] = {.lex_state = 104},
  [5420] = {.lex_state = 105},
  [5421] = {.lex_state = 104},
  [5422] = {.lex_state = 104},
  [5423] = {.lex_state = 104},
  [5424] = {.lex_state = 104},
  [5425] = {.lex_state = 104},
  [5426] = {.lex_state = 104},
  [5427] = {.lex_state = 104},
  [5428] = {.lex_state = 104},
  [5429] = {.lex_state = 104},
  [5430] = {.lex_state = 104},
  [5431] = {.lex_state = 104},
  [5432] = {.lex_state = 104},
  [5433] = {.lex_state = 104},
  [5434] = {.lex_state = 104},
  [5435] = {.lex_state = 104},
  [5436] = {.lex_state = 104},
  [5437] = {.lex_state = 104},
  [5438] = {.lex_state = 104},
  [5439] = {.lex_state = 17},
  [5440] = {.lex_state = 104},
  [5441] = {.lex_state = 104},
  [5442] = {.lex_state = 104},
  [5443] = {.lex_state = 104},
  [5444] = {.lex_state = 104},
  [5445] = {.lex_state = 104},
  [5446] = {.lex_state = 104},
  [5447] = {.lex_state = 104},
  [5448] = {.lex_state = 104},
  [5449] = {.lex_state = 104},
  [5450] = {.lex_state = 104},
  [5451] = {.lex_state = 104},
  [5452] = {.lex_state = 104},
  [5453] = {.lex_state = 104},
  [5454] = {.lex_state = 104},
  [5455] = {.lex_state = 104, .external_lex_state = 4},
  [5456] = {.lex_state = 104},
  [5457] = {.lex_state = 17},
  [5458] = {.lex_state = 104},
  [5459] = {.lex_state = 104},
  [5460] = {.lex_state = 104},
  [5461] = {.lex_state = 104},
  [5462] = {.lex_state = 104},
  [5463] = {.lex_state = 104, .external_lex_state = 4},
  [5464] = {.lex_state = 104},
  [5465] = {.lex_state = 6},
  [5466] = {.lex_state = 104, .external_lex_state = 4},
  [5467] = {.lex_state = 104, .external_lex_state = 4},
  [5468] = {.lex_state = 104},
  [5469] = {.lex_state = 104},
  [5470] = {.lex_state = 104},
  [5471] = {.lex_state = 104},
  [5472] = {.lex_state = 104},
  [5473] = {.lex_state = 104},
  [5474] = {.lex_state = 104},
  [5475] = {.lex_state = 104},
  [5476] = {.lex_state = 104},
  [5477] = {.lex_state = 104},
  [5478] = {.lex_state = 104},
  [5479] = {.lex_state = 104},
  [5480] = {.lex_state = 104},
  [5481] = {.lex_state = 104},
  [5482] = {.lex_state = 104},
  [5483] = {.lex_state = 104},
  [5484] = {.lex_state = 104},
  [5485] = {.lex_state = 104},
  [5486] = {.lex_state = 104},
  [5487] = {.lex_state = 104, .external_lex_state = 4},
  [5488] = {.lex_state = 104},
  [5489] = {.lex_state = 104, .external_lex_state = 4},
  [5490] = {.lex_state = 104, .external_lex_state = 4},
  [5491] = {.lex_state = 104, .external_lex_state = 4},
  [5492] = {.lex_state = 104},
  [5493] = {.lex_state = 104},
  [5494] = {.lex_state = 104},
  [5495] = {.lex_state = 104},
  [5496] = {.lex_state = 104, .external_lex_state = 4},
  [5497] = {.lex_state = 104, .external_lex_state = 4},
  [5498] = {.lex_state = 104},
  [5499] = {.lex_state = 104},
  [5500] = {.lex_state = 104},
  [5501] = {.lex_state = 104},
  [5502] = {.lex_state = 104},
  [5503] = {.lex_state = 104, .external_lex_state = 4},
  [5504] = {.lex_state = 104},
  [5505] = {.lex_state = 104},
  [5506] = {.lex_state = 104},
  [5507] = {.lex_state = 104, .external_lex_state = 4},
  [5508] = {.lex_state = 104, .external_lex_state = 4},
  [5509] = {.lex_state = 104},
  [5510] = {.lex_state = 104},
  [5511] = {.lex_state = 104},
  [5512] = {.lex_state = 104},
  [5513] = {.lex_state = 104},
  [5514] = {.lex_state = 104, .external_lex_state = 4},
  [5515] = {.lex_state = 104, .external_lex_state = 4},
  [5516] = {.lex_state = 104, .external_lex_state = 4},
  [5517] = {.lex_state = 104, .external_lex_state = 4},
  [5518] = {.lex_state = 104, .external_lex_state = 4},
  [5519] = {.lex_state = 104, .external_lex_state = 4},
  [5520] = {.lex_state = 104, .external_lex_state = 4},
  [5521] = {.lex_state = 104, .external_lex_state = 4},
  [5522] = {.lex_state = 104},
  [5523] = {.lex_state = 104, .external_lex_state = 4},
  [5524] = {.lex_state = 104, .external_lex_state = 4},
  [5525] = {.lex_state = 104, .external_lex_state = 4},
  [5526] = {.lex_state = 104, .external_lex_state = 4},
  [5527] = {.lex_state = 104, .external_lex_state = 4},
  [5528] = {.lex_state = 104, .external_lex_state = 4},
  [5529] = {.lex_state = 104, .external_lex_state = 4},
  [5530] = {.lex_state = 104, .external_lex_state = 4},
  [5531] = {.lex_state = 104},
  [5532] = {.lex_state = 104},
  [5533] = {.lex_state = 104, .external_lex_state = 4},
  [5534] = {.lex_state = 104, .external_lex_state = 4},
  [5535] = {.lex_state = 104},
  [5536] = {.lex_state = 104, .external_lex_state = 4},
  [5537] = {.lex_state = 104, .external_lex_state = 4},
  [5538] = {.lex_state = 104},
  [5539] = {.lex_state = 104, .external_lex_state = 4},
  [5540] = {.lex_state = 104, .external_lex_state = 4},
  [5541] = {.lex_state = 104, .external_lex_state = 4},
  [5542] = {.lex_state = 104, .external_lex_state = 4},
  [5543] = {.lex_state = 104, .external_lex_state = 4},
  [5544] = {.lex_state = 104, .external_lex_state = 4},
  [5545] = {.lex_state = 104, .external_lex_state = 4},
  [5546] = {.lex_state = 104, .external_lex_state = 4},
  [5547] = {.lex_state = 104, .external_lex_state = 4},
  [5548] = {.lex_state = 104, .external_lex_state = 4},
  [5549] = {.lex_state = 104, .external_lex_state = 4},
  [5550] = {.lex_state = 104, .external_lex_state = 4},
  [5551] = {.lex_state = 104},
  [5552] = {.lex_state = 104},
  [5553] = {.lex_state = 104, .external_lex_state = 4},
  [5554] = {.lex_state = 104},
  [5555] = {.lex_state = 104},
  [5556] = {.lex_state = 104, .external_lex_state = 4},
  [5557] = {.lex_state = 104},
  [5558] = {.lex_state = 104},
  [5559] = {.lex_state = 104},
  [5560] = {.lex_state = 104},
  [5561] = {.lex_state = 104},
  [5562] = {.lex_state = 104},
  [5563] = {.lex_state = 104, .external_lex_state = 4},
  [5564] = {.lex_state = 104, .external_lex_state = 4},
  [5565] = {.lex_state = 104, .external_lex_state = 4},
  [5566] = {.lex_state = 104},
  [5567] = {.lex_state = 104},
  [5568] = {.lex_state = 104},
  [5569] = {.lex_state = 104},
  [5570] = {.lex_state = 104, .external_lex_state = 4},
  [5571] = {.lex_state = 104},
  [5572] = {.lex_state = 104, .external_lex_state = 4},
  [5573] = {.lex_state = 104, .external_lex_state = 4},
  [5574] = {.lex_state = 104, .external_lex_state = 4},
  [5575] = {.lex_state = 104, .external_lex_state = 4},
  [5576] = {.lex_state = 104, .external_lex_state = 4},
  [5577] = {.lex_state = 104, .external_lex_state = 4},
  [5578] = {.lex_state = 105},
  [5579] = {.lex_state = 104, .external_lex_state = 4},
  [5580] = {.lex_state = 104, .external_lex_state = 4},
  [5581] = {.lex_state = 104, .external_lex_state = 4},
  [5582] = {.lex_state = 104, .external_lex_state = 4},
  [5583] = {.lex_state = 104, .external_lex_state = 4},
  [5584] = {.lex_state = 104},
  [5585] = {.lex_state = 104},
  [5586] = {.lex_state = 104},
  [5587] = {.lex_state = 104},
  [5588] = {.lex_state = 104},
  [5589] = {.lex_state = 104},
  [5590] = {.lex_state = 104},
  [5591] = {.lex_state = 104},
  [5592] = {.lex_state = 104},
  [5593] = {.lex_state = 104},
  [5594] = {.lex_state = 104},
  [5595] = {.lex_state = 104},
  [5596] = {.lex_state = 104, .external_lex_state = 4},
  [5597] = {.lex_state = 104},
  [5598] = {.lex_state = 104, .external_lex_state = 4},
  [5599] = {.lex_state = 104},
  [5600] = {.lex_state = 104},
  [5601] = {.lex_state = 104},
  [5602] = {.lex_state = 104},
  [5603] = {.lex_state = 104},
  [5604] = {.lex_state = 104},
  [5605] = {.lex_state = 104},
  [5606] = {.lex_state = 104},
  [5607] = {.lex_state = 104},
  [5608] = {.lex_state = 104, .external_lex_state = 4},
  [5609] = {.lex_state = 104},
  [5610] = {.lex_state = 104},
  [5611] = {.lex_state = 104, .external_lex_state = 4},
  [5612] = {.lex_state = 104, .external_lex_state = 4},
  [5613] = {.lex_state = 105},
  [5614] = {.lex_state = 104},
  [5615] = {.lex_state = 104},
  [5616] = {.lex_state = 104},
  [5617] = {.lex_state = 104},
  [5618] = {.lex_state = 104, .external_lex_state = 4},
  [5619] = {.lex_state = 104},
  [5620] = {.lex_state = 104},
  [5621] = {.lex_state = 104},
  [5622] = {.lex_state = 104},
  [5623] = {.lex_state = 104, .external_lex_state = 4},
  [5624] = {.lex_state = 104, .external_lex_state = 4},
  [5625] = {.lex_state = 104},
  [5626] = {.lex_state = 104},
  [5627] = {.lex_state = 104},
  [5628] = {.lex_state = 104},
  [5629] = {.lex_state = 104},
  [5630] = {.lex_state = 104},
  [5631] = {.lex_state = 104},
  [5632] = {.lex_state = 104},
  [5633] = {.lex_state = 104},
  [5634] = {.lex_state = 104},
  [5635] = {.lex_state = 104},
  [5636] = {.lex_state = 104},
  [5637] = {.lex_state = 104},
  [5638] = {.lex_state = 104},
  [5639] = {.lex_state = 104},
  [5640] = {.lex_state = 104, .external_lex_state = 4},
  [5641] = {.lex_state = 104, .external_lex_state = 4},
  [5642] = {.lex_state = 104},
  [5643] = {.lex_state = 104},
  [5644] = {.lex_state = 104},
  [5645] = {.lex_state = 104, .external_lex_state = 4},
  [5646] = {.lex_state = 104},
  [5647] = {.lex_state = 104, .external_lex_state = 4},
  [5648] = {.lex_state = 104},
  [5649] = {.lex_state = 104, .external_lex_state = 4},
  [5650] = {.lex_state = 104},
  [5651] = {.lex_state = 104},
  [5652] = {.lex_state = 104},
  [5653] = {.lex_state = 104},
  [5654] = {.lex_state = 104},
  [5655] = {.lex_state = 104},
  [5656] = {.lex_state = 104},
  [5657] = {.lex_state = 104},
  [5658] = {.lex_state = 104},
  [5659] = {.lex_state = 104},
  [5660] = {.lex_state = 104},
  [5661] = {.lex_state = 104},
  [5662] = {.lex_state = 104},
  [5663] = {.lex_state = 104},
  [5664] = {.lex_state = 104},
  [5665] = {.lex_state = 104},
  [5666] = {.lex_state = 104},
  [5667] = {.lex_state = 104},
  [5668] = {.lex_state = 104, .external_lex_state = 4},
  [5669] = {.lex_state = 104, .external_lex_state = 4},
  [5670] = {.lex_state = 104},
  [5671] = {.lex_state = 104},
  [5672] = {.lex_state = 104},
  [5673] = {.lex_state = 104},
  [5674] = {.lex_state = 104},
  [5675] = {.lex_state = 104},
  [5676] = {.lex_state = 104},
  [5677] = {.lex_state = 104},
  [5678] = {.lex_state = 104},
  [5679] = {.lex_state = 104},
  [5680] = {.lex_state = 104},
  [5681] = {.lex_state = 104},
  [5682] = {.lex_state = 104},
  [5683] = {.lex_state = 104},
  [5684] = {.lex_state = 104},
  [5685] = {.lex_state = 104},
  [5686] = {.lex_state = 104},
  [5687] = {.lex_state = 104},
  [5688] = {.lex_state = 104},
  [5689] = {.lex_state = 104},
  [5690] = {.lex_state = 104},
  [5691] = {.lex_state = 104, .external_lex_state = 4},
  [5692] = {.lex_state = 104, .external_lex_state = 4},
  [5693] = {.lex_state = 104, .external_lex_state = 4},
  [5694] = {.lex_state = 104, .external_lex_state = 4},
  [5695] = {.lex_state = 104, .external_lex_state = 4},
  [5696] = {.lex_state = 104},
  [5697] = {.lex_state = 104},
  [5698] = {.lex_state = 104},
  [5699] = {.lex_state = 104},
  [5700] = {.lex_state = 104},
  [5701] = {.lex_state = 104},
  [5702] = {.lex_state = 104},
  [5703] = {.lex_state = 104, .external_lex_state = 4},
  [5704] = {.lex_state = 104, .external_lex_state = 4},
  [5705] = {.lex_state = 104},
  [5706] = {.lex_state = 104, .external_lex_state = 4},
  [5707] = {.lex_state = 104},
  [5708] = {.lex_state = 104, .external_lex_state = 4},
  [5709] = {.lex_state = 104},
  [5710] = {.lex_state = 104},
  [5711] = {.lex_state = 104},
  [5712] = {.lex_state = 104},
  [5713] = {.lex_state = 104, .external_lex_state = 4},
  [5714] = {.lex_state = 104, .external_lex_state = 4},
  [5715] = {.lex_state = 104},
  [5716] = {.lex_state = 104},
  [5717] = {.lex_state = 104, .external_lex_state = 4},
  [5718] = {.lex_state = 104, .external_lex_state = 4},
  [5719] = {.lex_state = 104, .external_lex_state = 4},
  [5720] = {.lex_state = 104},
  [5721] = {.lex_state = 104},
  [5722] = {.lex_state = 104, .external_lex_state = 4},
  [5723] = {.lex_state = 104},
  [5724] = {.lex_state = 104},
  [5725] = {.lex_state = 104},
  [5726] = {.lex_state = 104, .external_lex_state = 4},
  [5727] = {.lex_state = 104, .external_lex_state = 4},
  [5728] = {.lex_state = 104, .external_lex_state = 4},
  [5729] = {.lex_state = 104, .external_lex_state = 4},
  [5730] = {.lex_state = 105},
  [5731] = {.lex_state = 104, .external_lex_state = 4},
  [5732] = {.lex_state = 104, .external_lex_state = 4},
  [5733] = {.lex_state = 104, .external_lex_state = 4},
  [5734] = {.lex_state = 104},
  [5735] = {.lex_state = 104, .external_lex_state = 4},
  [5736] = {.lex_state = 104, .external_lex_state = 4},
  [5737] = {.lex_state = 104, .external_lex_state = 4},
  [5738] = {.lex_state = 104, .external_lex_state = 4},
  [5739] = {.lex_state = 104},
  [5740] = {.lex_state = 104, .external_lex_state = 4},
  [5741] = {.lex_state = 104, .external_lex_state = 4},
  [5742] = {.lex_state = 104, .external_lex_state = 4},
  [5743] = {.lex_state = 104, .external_lex_state = 4},
  [5744] = {.lex_state = 104, .external_lex_state = 4},
  [5745] = {.lex_state = 104, .external_lex_state = 4},
  [5746] = {.lex_state = 104, .external_lex_state = 4},
  [5747] = {.lex_state = 104, .external_lex_state = 4},
  [5748] = {.lex_state = 104, .external_lex_state = 4},
  [5749] = {.lex_state = 104},
  [5750] = {.lex_state = 104, .external_lex_state = 4},
  [5751] = {.lex_state = 105},
  [5752] = {.lex_state = 104},
  [5753] = {.lex_state = 104},
  [5754] = {.lex_state = 104},
  [5755] = {.lex_state = 104},
  [5756] = {.lex_state = 104},
  [5757] = {.lex_state = 104},
  [5758] = {.lex_state = 104},
  [5759] = {.lex_state = 104},
  [5760] = {.lex_state = 104},
  [5761] = {.lex_state = 104},
  [5762] = {.lex_state = 104},
  [5763] = {.lex_state = 104},
  [5764] = {.lex_state = 104},
  [5765] = {.lex_state = 104},
  [5766] = {.lex_state = 104},
  [5767] = {.lex_state = 104},
  [5768] = {.lex_state = 104},
  [5769] = {.lex_state = 104},
  [5770] = {.lex_state = 104},
  [5771] = {.lex_state = 104, .external_lex_state = 4},
  [5772] = {.lex_state = 104},
  [5773] = {.lex_state = 104},
  [5774] = {.lex_state = 104},
  [5775] = {.lex_state = 104, .external_lex_state = 4},
  [5776] = {.lex_state = 104},
  [5777] = {.lex_state = 104},
  [5778] = {.lex_state = 104},
  [5779] = {.lex_state = 104},
  [5780] = {.lex_state = 104},
  [5781] = {.lex_state = 104, .external_lex_state = 4},
  [5782] = {.lex_state = 104},
  [5783] = {.lex_state = 105},
  [5784] = {.lex_state = 104},
  [5785] = {.lex_state = 104},
  [5786] = {.lex_state = 104},
  [5787] = {.lex_state = 104},
  [5788] = {.lex_state = 104},
  [5789] = {.lex_state = 104},
  [5790] = {.lex_state = 104},
  [5791] = {.lex_state = 104},
  [5792] = {.lex_state = 104},
  [5793] = {.lex_state = 104},
  [5794] = {.lex_state = 104, .external_lex_state = 4},
  [5795] = {.lex_state = 105},
  [5796] = {.lex_state = 104},
  [5797] = {.lex_state = 104},
  [5798] = {.lex_state = 104},
  [5799] = {.lex_state = 104},
  [5800] = {.lex_state = 104},
  [5801] = {.lex_state = 104},
  [5802] = {.lex_state = 104},
  [5803] = {.lex_state = 104},
  [5804] = {.lex_state = 104},
  [5805] = {.lex_state = 104},
  [5806] = {.lex_state = 104},
  [5807] = {.lex_state = 104},
  [5808] = {.lex_state = 104},
  [5809] = {.lex_state = 104},
  [5810] = {.lex_state = 105},
  [5811] = {.lex_state = 104, .external_lex_state = 4},
  [5812] = {.lex_state = 105},
  [5813] = {.lex_state = 104, .external_lex_state = 4},
  [5814] = {.lex_state = 104},
  [5815] = {.lex_state = 104, .external_lex_state = 4},
  [5816] = {.lex_state = 105},
  [5817] = {.lex_state = 104, .external_lex_state = 4},
  [5818] = {.lex_state = 104},
  [5819] = {.lex_state = 104, .external_lex_state = 4},
  [5820] = {.lex_state = 105},
  [5821] = {.lex_state = 104, .external_lex_state = 4},
  [5822] = {.lex_state = 104, .external_lex_state = 4},
  [5823] = {.lex_state = 104, .external_lex_state = 4},
  [5824] = {.lex_state = 104, .external_lex_state = 4},
  [5825] = {.lex_state = 104, .external_lex_state = 4},
  [5826] = {.lex_state = 104, .external_lex_state = 4},
  [5827] = {.lex_state = 104, .external_lex_state = 4},
  [5828] = {.lex_state = 105},
  [5829] = {.lex_state = 104, .external_lex_state = 4},
  [5830] = {.lex_state = 104},
  [5831] = {.lex_state = 104},
  [5832] = {.lex_state = 105},
  [5833] = {.lex_state = 104, .external_lex_state = 4},
  [5834] = {.lex_state = 104, .external_lex_state = 4},
  [5835] = {.lex_state = 104, .external_lex_state = 4},
  [5836] = {.lex_state = 104},
  [5837] = {.lex_state = 104},
  [5838] = {.lex_state = 104},
  [5839] = {.lex_state = 104},
  [5840] = {.lex_state = 104},
  [5841] = {.lex_state = 104},
  [5842] = {.lex_state = 104},
  [5843] = {.lex_state = 104},
  [5844] = {.lex_state = 104},
  [5845] = {.lex_state = 104},
  [5846] = {.lex_state = 104},
  [5847] = {.lex_state = 104},
  [5848] = {.lex_state = 104},
  [5849] = {.lex_state = 104},
  [5850] = {.lex_state = 104},
  [5851] = {.lex_state = 104},
  [5852] = {.lex_state = 104},
  [5853] = {.lex_state = 104},
  [5854] = {.lex_state = 105},
  [5855] = {.lex_state = 105},
  [5856] = {.lex_state = 104},
  [5857] = {.lex_state = 104},
  [5858] = {.lex_state = 104},
  [5859] = {.lex_state = 104},
  [5860] = {.lex_state = 104},
  [5861] = {.lex_state = 104},
  [5862] = {.lex_state = 104},
  [5863] = {.lex_state = 104},
  [5864] = {.lex_state = 104},
  [5865] = {.lex_state = 104},
  [5866] = {.lex_state = 104},
  [5867] = {.lex_state = 104},
  [5868] = {.lex_state = 104},
  [5869] = {.lex_state = 104},
  [5870] = {.lex_state = 104},
  [5871] = {.lex_state = 104},
  [5872] = {.lex_state = 104},
  [5873] = {.lex_state = 104},
  [5874] = {.lex_state = 104},
  [5875] = {.lex_state = 104},
  [5876] = {.lex_state = 104},
  [5877] = {.lex_state = 104},
  [5878] = {.lex_state = 104},
  [5879] = {.lex_state = 104},
  [5880] = {.lex_state = 104},
  [5881] = {.lex_state = 104},
  [5882] = {.lex_state = 104},
  [5883] = {.lex_state = 105},
  [5884] = {.lex_state = 104},
  [5885] = {.lex_state = 104},
  [5886] = {.lex_state = 104},
  [5887] = {.lex_state = 104},
  [5888] = {.lex_state = 104},
  [5889] = {.lex_state = 104},
  [5890] = {.lex_state = 104, .external_lex_state = 4},
  [5891] = {.lex_state = 104, .external_lex_state = 4},
  [5892] = {.lex_state = 17},
  [5893] = {.lex_state = 104},
  [5894] = {.lex_state = 104},
  [5895] = {.lex_state = 104},
  [5896] = {.lex_state = 104},
  [5897] = {.lex_state = 104, .external_lex_state = 4},
  [5898] = {.lex_state = 104},
  [5899] = {.lex_state = 104},
  [5900] = {.lex_state = 104},
  [5901] = {.lex_state = 104},
  [5902] = {.lex_state = 104},
  [5903] = {.lex_state = 104},
  [5904] = {.lex_state = 104},
  [5905] = {.lex_state = 104},
  [5906] = {.lex_state = 104},
  [5907] = {.lex_state = 104},
  [5908] = {.lex_state = 104, .external_lex_state = 4},
  [5909] = {.lex_state = 104, .external_lex_state = 4},
  [5910] = {.lex_state = 104},
  [5911] = {.lex_state = 105},
  [5912] = {.lex_state = 104},
  [5913] = {.lex_state = 104},
  [5914] = {.lex_state = 104},
  [5915] = {.lex_state = 104},
  [5916] = {.lex_state = 104},
  [5917] = {.lex_state = 104, .external_lex_state = 4},
  [5918] = {.lex_state = 104, .external_lex_state = 4},
  [5919] = {.lex_state = 104},
  [5920] = {.lex_state = 104, .external_lex_state = 4},
  [5921] = {.lex_state = 104},
  [5922] = {.lex_state = 104},
  [5923] = {.lex_state = 104},
  [5924] = {.lex_state = 104, .external_lex_state = 4},
  [5925] = {.lex_state = 105},
  [5926] = {.lex_state = 104},
  [5927] = {.lex_state = 104},
  [5928] = {.lex_state = 104},
  [5929] = {.lex_state = 104},
  [5930] = {.lex_state = 104},
  [5931] = {.lex_state = 104},
  [5932] = {.lex_state = 104},
  [5933] = {.lex_state = 104},
  [5934] = {.lex_state = 104},
  [5935] = {.lex_state = 104},
  [5936] = {.lex_state = 104},
  [5937] = {.lex_state = 104},
  [5938] = {.lex_state = 104},
  [5939] = {.lex_state = 104},
  [5940] = {.lex_state = 104},
  [5941] = {.lex_state = 105},
  [5942] = {.lex_state = 104},
  [5943] = {.lex_state = 104},
  [5944] = {.lex_state = 104},
  [5945] = {.lex_state = 104},
  [5946] = {.lex_state = 104},
  [5947] = {.lex_state = 104},
  [5948] = {.lex_state = 104},
  [5949] = {.lex_state = 104},
  [5950] = {.lex_state = 104, .external_lex_state = 4},
  [5951] = {.lex_state = 104, .external_lex_state = 4},
  [5952] = {.lex_state = 104},
  [5953] = {.lex_state = 104},
  [5954] = {.lex_state = 104},
  [5955] = {.lex_state = 104},
  [5956] = {.lex_state = 104},
  [5957] = {.lex_state = 104},
  [5958] = {.lex_state = 104},
  [5959] = {.lex_state = 104},
  [5960] = {.lex_state = 104},
  [5961] = {.lex_state = 104},
  [5962] = {.lex_state = 104},
  [5963] = {.lex_state = 104},
  [5964] = {.lex_state = 104},
  [5965] = {.lex_state = 105},
  [5966] = {.lex_state = 104},
  [5967] = {.lex_state = 104},
  [5968] = {.lex_state = 104},
  [5969] = {.lex_state = 104},
  [5970] = {.lex_state = 104},
  [5971] = {.lex_state = 104},
  [5972] = {.lex_state = 105},
  [5973] = {.lex_state = 104},
  [5974] = {.lex_state = 104},
  [5975] = {.lex_state = 105},
  [5976] = {.lex_state = 105},
  [5977] = {.lex_state = 104},
  [5978] = {.lex_state = 104, .external_lex_state = 4},
  [5979] = {.lex_state = 104},
  [5980] = {.lex_state = 104, .external_lex_state = 4},
  [5981] = {.lex_state = 104},
  [5982] = {.lex_state = 104},
  [5983] = {.lex_state = 104},
  [5984] = {.lex_state = 105},
  [5985] = {.lex_state = 104},
  [5986] = {.lex_state = 104},
  [5987] = {.lex_state = 104},
  [5988] = {.lex_state = 104},
  [5989] = {.lex_state = 104},
  [5990] = {.lex_state = 104},
  [5991] = {.lex_state = 104},
  [5992] = {.lex_state = 104},
  [5993] = {.lex_state = 104},
  [5994] = {.lex_state = 104},
  [5995] = {.lex_state = 104},
  [5996] = {.lex_state = 104},
  [5997] = {.lex_state = 105},
  [5998] = {.lex_state = 104},
  [5999] = {.lex_state = 104},
  [6000] = {.lex_state = 104},
  [6001] = {.lex_state = 104},
  [6002] = {.lex_state = 104},
  [6003] = {.lex_state = 105},
  [6004] = {.lex_state = 104},
  [6005] = {.lex_state = 104},
  [6006] = {.lex_state = 104},
  [6007] = {.lex_state = 104},
  [6008] = {.lex_state = 104},
  [6009] = {.lex_state = 105},
  [6010] = {.lex_state = 104},
  [6011] = {.lex_state = 104},
  [6012] = {.lex_state = 104},
  [6013] = {.lex_state = 104},
  [6014] = {.lex_state = 104},
  [6015] = {.lex_state = 105},
  [6016] = {.lex_state = 104},
  [6017] = {.lex_state = 104},
  [6018] = {.lex_state = 104},
  [6019] = {.lex_state = 104},
  [6020] = {.lex_state = 104},
  [6021] = {.lex_state = 104},
  [6022] = {.lex_state = 104},
  [6023] = {.lex_state = 104},
  [6024] = {.lex_state = 104},
  [6025] = {.lex_state = 104},
  [6026] = {.lex_state = 104},
  [6027] = {.lex_state = 104},
  [6028] = {.lex_state = 104},
  [6029] = {.lex_state = 104},
  [6030] = {.lex_state = 104},
  [6031] = {.lex_state = 104},
  [6032] = {.lex_state = 104},
  [6033] = {.lex_state = 104},
  [6034] = {.lex_state = 104},
  [6035] = {.lex_state = 104},
  [6036] = {.lex_state = 104},
  [6037] = {.lex_state = 104},
  [6038] = {.lex_state = 104},
  [6039] = {.lex_state = 104},
  [6040] = {.lex_state = 104},
  [6041] = {.lex_state = 104},
  [6042] = {.lex_state = 104},
  [6043] = {.lex_state = 104},
  [6044] = {.lex_state = 104},
  [6045] = {.lex_state = 104},
  [6046] = {.lex_state = 105},
  [6047] = {.lex_state = 104},
  [6048] = {.lex_state = 104},
  [6049] = {.lex_state = 104},
  [6050] = {.lex_state = 104},
  [6051] = {.lex_state = 105},
  [6052] = {.lex_state = 104},
  [6053] = {.lex_state = 104},
  [6054] = {.lex_state = 104},
  [6055] = {.lex_state = 105},
  [6056] = {.lex_state = 104},
  [6057] = {.lex_state = 104},
  [6058] = {.lex_state = 104},
  [6059] = {.lex_state = 104},
  [6060] = {.lex_state = 104},
  [6061] = {.lex_state = 104},
  [6062] = {.lex_state = 104},
  [6063] = {.lex_state = 104},
  [6064] = {.lex_state = 104},
  [6065] = {.lex_state = 104},
  [6066] = {.lex_state = 104},
  [6067] = {.lex_state = 104},
  [6068] = {.lex_state = 104},
  [6069] = {.lex_state = 104},
  [6070] = {.lex_state = 104},
  [6071] = {.lex_state = 104},
  [6072] = {.lex_state = 104},
  [6073] = {.lex_state = 104},
  [6074] = {.lex_state = 104},
  [6075] = {.lex_state = 104},
  [6076] = {.lex_state = 104},
  [6077] = {.lex_state = 104},
  [6078] = {.lex_state = 104},
  [6079] = {.lex_state = 104},
  [6080] = {.lex_state = 104},
  [6081] = {.lex_state = 104},
  [6082] = {.lex_state = 104},
  [6083] = {.lex_state = 104},
  [6084] = {.lex_state = 104},
  [6085] = {.lex_state = 104},
  [6086] = {.lex_state = 104},
  [6087] = {.lex_state = 104, .external_lex_state = 4},
  [6088] = {.lex_state = 104},
  [6089] = {.lex_state = 104},
  [6090] = {.lex_state = 104},
  [6091] = {.lex_state = 104},
  [6092] = {.lex_state = 104},
  [6093] = {.lex_state = 104},
  [6094] = {.lex_state = 104},
  [6095] = {.lex_state = 104},
  [6096] = {.lex_state = 104},
  [6097] = {.lex_state = 104},
  [6098] = {.lex_state = 104},
  [6099] = {.lex_state = 104},
  [6100] = {.lex_state = 104},
  [6101] = {.lex_state = 104},
  [6102] = {.lex_state = 104},
  [6103] = {.lex_state = 104},
  [6104] = {.lex_state = 104},
  [6105] = {.lex_state = 104},
  [6106] = {.lex_state = 104},
  [6107] = {.lex_state = 104},
  [6108] = {.lex_state = 104},
  [6109] = {.lex_state = 104},
  [6110] = {.lex_state = 104},
  [6111] = {.lex_state = 104},
  [6112] = {.lex_state = 104},
  [6113] = {.lex_state = 104},
  [6114] = {.lex_state = 104},
  [6115] = {.lex_state = 104},
  [6116] = {.lex_state = 105},
  [6117] = {.lex_state = 10},
  [6118] = {.lex_state = 104},
  [6119] = {.lex_state = 10},
  [6120] = {.lex_state = 104},
  [6121] = {.lex_state = 104},
  [6122] = {.lex_state = 10},
  [6123] = {.lex_state = 104},
  [6124] = {.lex_state = 10},
  [6125] = {.lex_state = 104},
  [6126] = {.lex_state = 104},
  [6127] = {.lex_state = 104},
  [6128] = {.lex_state = 104},
  [6129] = {.lex_state = 104},
  [6130] = {.lex_state = 104},
  [6131] = {.lex_state = 104},
  [6132] = {.lex_state = 104},
  [6133] = {.lex_state = 104},
  [6134] = {.lex_state = 104},
  [6135] = {.lex_state = 104},
  [6136] = {.lex_state = 104},
  [6137] = {.lex_state = 104},
  [6138] = {.lex_state = 104},
  [6139] = {.lex_state = 104},
  [6140] = {.lex_state = 104},
  [6141] = {.lex_state = 104},
  [6142] = {.lex_state = 104},
  [6143] = {.lex_state = 104},
  [6144] = {.lex_state = 104},
  [6145] = {.lex_state = 104},
  [6146] = {.lex_state = 104},
  [6147] = {.lex_state = 104},
  [6148] = {.lex_state = 10},
  [6149] = {.lex_state = 104},
  [6150] = {.lex_state = 104},
  [6151] = {.lex_state = 104},
  [6152] = {.lex_state = 104},
  [6153] = {.lex_state = 105},
  [6154] = {.lex_state = 104},
  [6155] = {.lex_state = 104},
  [6156] = {.lex_state = 10},
  [6157] = {.lex_state = 104},
  [6158] = {.lex_state = 104},
  [6159] = {.lex_state = 104},
  [6160] = {.lex_state = 104},
  [6161] = {.lex_state = 104},
  [6162] = {.lex_state = 104},
  [6163] = {.lex_state = 105},
  [6164] = {.lex_state = 10},
  [6165] = {.lex_state = 104},
  [6166] = {.lex_state = 10},
  [6167] = {.lex_state = 104},
  [6168] = {.lex_state = 104},
  [6169] = {.lex_state = 104},
  [6170] = {.lex_state = 104},
  [6171] = {.lex_state = 104},
  [6172] = {.lex_state = 104},
  [6173] = {.lex_state = 104},
  [6174] = {.lex_state = 10},
  [6175] = {.lex_state = 10},
  [6176] = {.lex_state = 104},
  [6177] = {.lex_state = 104},
  [6178] = {.lex_state = 104},
  [6179] = {.lex_state = 104},
  [6180] = {.lex_state = 104},
  [6181] = {.lex_state = 104},
  [6182] = {.lex_state = 104},
  [6183] = {.lex_state = 104},
  [6184] = {.lex_state = 104},
  [6185] = {.lex_state = 104},
  [6186] = {.lex_state = 105},
  [6187] = {.lex_state = 104},
  [6188] = {.lex_state = 104},
  [6189] = {.lex_state = 104},
  [6190] = {.lex_state = 104},
  [6191] = {.lex_state = 104},
  [6192] = {.lex_state = 104},
  [6193] = {.lex_state = 104},
  [6194] = {.lex_state = 104},
  [6195] = {.lex_state = 104},
  [6196] = {.lex_state = 104},
  [6197] = {.lex_state = 104},
  [6198] = {.lex_state = 104},
  [6199] = {.lex_state = 104},
  [6200] = {.lex_state = 104},
  [6201] = {.lex_state = 104},
  [6202] = {.lex_state = 104},
  [6203] = {.lex_state = 104},
  [6204] = {.lex_state = 104},
  [6205] = {.lex_state = 104},
  [6206] = {.lex_state = 104},
  [6207] = {.lex_state = 104},
  [6208] = {.lex_state = 104},
  [6209] = {.lex_state = 104},
  [6210] = {.lex_state = 104},
  [6211] = {.lex_state = 104},
  [6212] = {.lex_state = 10},
  [6213] = {.lex_state = 10},
  [6214] = {.lex_state = 10},
  [6215] = {.lex_state = 104},
  [6216] = {.lex_state = 104},
  [6217] = {.lex_state = 104},
  [6218] = {.lex_state = 104},
  [6219] = {.lex_state = 104},
  [6220] = {.lex_state = 10},
  [6221] = {.lex_state = 104},
  [6222] = {.lex_state = 10},
  [6223] = {.lex_state = 10},
  [6224] = {.lex_state = 104},
  [6225] = {.lex_state = 104},
  [6226] = {.lex_state = 104},
  [6227] = {.lex_state = 104},
  [6228] = {.lex_state = 10},
  [6229] = {.lex_state = 104, .external_lex_state = 4},
  [6230] = {.lex_state = 105},
  [6231] = {.lex_state = 104},
  [6232] = {.lex_state = 104},
  [6233] = {.lex_state = 104},
  [6234] = {.lex_state = 104},
  [6235] = {.lex_state = 104},
  [6236] = {.lex_state = 104},
  [6237] = {.lex_state = 104},
  [6238] = {.lex_state = 105},
  [6239] = {.lex_state = 104},
  [6240] = {.lex_state = 104},
  [6241] = {.lex_state = 104},
  [6242] = {.lex_state = 104},
  [6243] = {.lex_state = 104},
  [6244] = {.lex_state = 104},
  [6245] = {.lex_state = 104},
  [6246] = {.lex_state = 104},
  [6247] = {.lex_state = 104},
  [6248] = {.lex_state = 104},
  [6249] = {.lex_state = 104},
  [6250] = {.lex_state = 104},
  [6251] = {.lex_state = 104},
  [6252] = {.lex_state = 104},
  [6253] = {.lex_state = 104},
  [6254] = {.lex_state = 104},
  [6255] = {.lex_state = 104},
  [6256] = {.lex_state = 104},
  [6257] = {.lex_state = 104},
  [6258] = {.lex_state = 10},
  [6259] = {.lex_state = 104},
  [6260] = {.lex_state = 104},
  [6261] = {.lex_state = 104},
  [6262] = {.lex_state = 10},
  [6263] = {.lex_state = 10},
  [6264] = {.lex_state = 104},
  [6265] = {.lex_state = 104},
  [6266] = {.lex_state = 10},
  [6267] = {.lex_state = 105},
  [6268] = {.lex_state = 10},
  [6269] = {.lex_state = 104},
  [6270] = {.lex_state = 105},
  [6271] = {.lex_state = 10},
  [6272] = {.lex_state = 104},
  [6273] = {.lex_state = 10},
  [6274] = {.lex_state = 104},
  [6275] = {.lex_state = 104},
  [6276] = {.lex_state = 10},
  [6277] = {.lex_state = 104},
  [6278] = {.lex_state = 104},
  [6279] = {.lex_state = 104},
  [6280] = {.lex_state = 104},
  [6281] = {.lex_state = 104},
  [6282] = {.lex_state = 104},
  [6283] = {.lex_state = 10},
  [6284] = {.lex_state = 104},
  [6285] = {.lex_state = 104},
  [6286] = {.lex_state = 104},
  [6287] = {.lex_state = 104},
  [6288] = {.lex_state = 104},
  [6289] = {.lex_state = 104},
  [6290] = {.lex_state = 105},
  [6291] = {.lex_state = 104},
  [6292] = {.lex_state = 104},
  [6293] = {.lex_state = 104},
  [6294] = {.lex_state = 104},
  [6295] = {.lex_state = 104},
  [6296] = {.lex_state = 104},
  [6297] = {.lex_state = 104},
  [6298] = {.lex_state = 104},
  [6299] = {.lex_state = 104},
  [6300] = {.lex_state = 104},
  [6301] = {.lex_state = 104},
  [6302] = {.lex_state = 104},
  [6303] = {.lex_state = 104},
  [6304] = {.lex_state = 10},
  [6305] = {.lex_state = 104},
  [6306] = {.lex_state = 104},
  [6307] = {.lex_state = 104},
  [6308] = {.lex_state = 104},
  [6309] = {.lex_state = 104},
  [6310] = {.lex_state = 104},
  [6311] = {.lex_state = 104},
  [6312] = {.lex_state = 104},
  [6313] = {.lex_state = 104},
  [6314] = {.lex_state = 105},
  [6315] = {.lex_state = 104},
  [6316] = {.lex_state = 104},
  [6317] = {.lex_state = 104},
  [6318] = {.lex_state = 104},
  [6319] = {.lex_state = 104},
  [6320] = {.lex_state = 104},
  [6321] = {.lex_state = 104},
  [6322] = {.lex_state = 104},
  [6323] = {.lex_state = 104},
  [6324] = {.lex_state = 104},
  [6325] = {.lex_state = 105},
  [6326] = {.lex_state = 104},
  [6327] = {.lex_state = 104},
  [6328] = {.lex_state = 104},
  [6329] = {.lex_state = 104},
  [6330] = {.lex_state = 104},
  [6331] = {.lex_state = 104},
  [6332] = {.lex_state = 104},
  [6333] = {.lex_state = 104},
  [6334] = {.lex_state = 104},
  [6335] = {.lex_state = 104},
  [6336] = {.lex_state = 104},
  [6337] = {.lex_state = 104},
  [6338] = {.lex_state = 104},
  [6339] = {.lex_state = 104},
  [6340] = {.lex_state = 104},
  [6341] = {.lex_state = 104},
  [6342] = {.lex_state = 104},
  [6343] = {.lex_state = 104},
  [6344] = {.lex_state = 104},
  [6345] = {.lex_state = 104},
  [6346] = {.lex_state = 104},
  [6347] = {.lex_state = 104},
  [6348] = {.lex_state = 104},
  [6349] = {.lex_state = 104},
  [6350] = {.lex_state = 104},
  [6351] = {.lex_state = 104},
  [6352] = {.lex_state = 104},
  [6353] = {.lex_state = 104},
  [6354] = {.lex_state = 104},
  [6355] = {.lex_state = 104},
  [6356] = {.lex_state = 104},
  [6357] = {.lex_state = 104},
  [6358] = {.lex_state = 104},
  [6359] = {.lex_state = 104},
  [6360] = {.lex_state = 104},
  [6361] = {.lex_state = 104},
  [6362] = {.lex_state = 104},
  [6363] = {.lex_state = 104},
  [6364] = {.lex_state = 104},
  [6365] = {.lex_state = 104},
  [6366] = {.lex_state = 104},
  [6367] = {.lex_state = 104},
  [6368] = {.lex_state = 104},
  [6369] = {.lex_state = 104},
  [6370] = {.lex_state = 104},
  [6371] = {.lex_state = 104},
  [6372] = {.lex_state = 104},
  [6373] = {.lex_state = 104},
  [6374] = {.lex_state = 104},
  [6375] = {.lex_state = 104},
  [6376] = {.lex_state = 105},
  [6377] = {.lex_state = 104},
  [6378] = {.lex_state = 104},
  [6379] = {.lex_state = 104},
  [6380] = {.lex_state = 105},
  [6381] = {.lex_state = 104},
  [6382] = {.lex_state = 104},
  [6383] = {.lex_state = 104},
  [6384] = {.lex_state = 104},
  [6385] = {.lex_state = 104},
  [6386] = {.lex_state = 104},
  [6387] = {.lex_state = 104},
  [6388] = {.lex_state = 104},
  [6389] = {.lex_state = 104},
  [6390] = {.lex_state = 104},
  [6391] = {.lex_state = 104},
  [6392] = {.lex_state = 104},
  [6393] = {.lex_state = 104},
  [6394] = {.lex_state = 104},
  [6395] = {.lex_state = 104},
  [6396] = {.lex_state = 104},
  [6397] = {.lex_state = 104},
  [6398] = {.lex_state = 104},
  [6399] = {.lex_state = 104},
  [6400] = {.lex_state = 104},
  [6401] = {.lex_state = 104},
  [6402] = {.lex_state = 104},
  [6403] = {.lex_state = 104},
  [6404] = {.lex_state = 104},
  [6405] = {.lex_state = 104},
  [6406] = {.lex_state = 104},
  [6407] = {.lex_state = 104},
  [6408] = {.lex_state = 104},
  [6409] = {.lex_state = 104},
  [6410] = {.lex_state = 104},
  [6411] = {.lex_state = 104},
  [6412] = {.lex_state = 104},
  [6413] = {.lex_state = 104},
  [6414] = {.lex_state = 105},
  [6415] = {.lex_state = 104},
  [6416] = {.lex_state = 104},
  [6417] = {.lex_state = 104},
  [6418] = {.lex_state = 104},
  [6419] = {.lex_state = 104},
  [6420] = {.lex_state = 104},
  [6421] = {.lex_state = 104},
  [6422] = {.lex_state = 104},
  [6423] = {.lex_state = 104},
  [6424] = {.lex_state = 104},
  [6425] = {.lex_state = 104},
  [6426] = {.lex_state = 104},
  [6427] = {.lex_state = 104},
  [6428] = {.lex_state = 104},
  [6429] = {.lex_state = 104},
  [6430] = {.lex_state = 104},
  [6431] = {.lex_state = 104},
  [6432] = {.lex_state = 105},
  [6433] = {.lex_state = 104},
  [6434] = {.lex_state = 104},
  [6435] = {.lex_state = 104},
  [6436] = {.lex_state = 104},
  [6437] = {.lex_state = 104},
  [6438] = {.lex_state = 104},
  [6439] = {.lex_state = 104},
  [6440] = {.lex_state = 104},
  [6441] = {.lex_state = 104},
  [6442] = {.lex_state = 104},
  [6443] = {.lex_state = 104},
  [6444] = {.lex_state = 104},
  [6445] = {.lex_state = 104},
  [6446] = {.lex_state = 104},
  [6447] = {.lex_state = 105},
  [6448] = {.lex_state = 104},
  [6449] = {.lex_state = 104},
  [6450] = {.lex_state = 104},
  [6451] = {.lex_state = 104},
  [6452] = {.lex_state = 104},
  [6453] = {.lex_state = 104},
  [6454] = {.lex_state = 104},
  [6455] = {.lex_state = 104},
  [6456] = {.lex_state = 104},
  [6457] = {.lex_state = 104},
  [6458] = {.lex_state = 104},
  [6459] = {.lex_state = 104},
  [6460] = {.lex_state = 104},
  [6461] = {.lex_state = 104},
  [6462] = {.lex_state = 104},
  [6463] = {.lex_state = 104},
  [6464] = {.lex_state = 104},
  [6465] = {.lex_state = 104},
  [6466] = {.lex_state = 104},
  [6467] = {.lex_state = 104},
  [6468] = {.lex_state = 104},
  [6469] = {.lex_state = 104},
  [6470] = {.lex_state = 104},
  [6471] = {.lex_state = 104},
  [6472] = {.lex_state = 104},
  [6473] = {.lex_state = 104},
  [6474] = {.lex_state = 104},
  [6475] = {.lex_state = 104},
  [6476] = {.lex_state = 104},
  [6477] = {.lex_state = 104},
  [6478] = {.lex_state = 104},
  [6479] = {.lex_state = 104},
  [6480] = {.lex_state = 104},
  [6481] = {.lex_state = 104},
  [6482] = {.lex_state = 104},
  [6483] = {.lex_state = 104},
  [6484] = {.lex_state = 104},
  [6485] = {.lex_state = 104},
  [6486] = {.lex_state = 104},
  [6487] = {.lex_state = 104},
  [6488] = {.lex_state = 104},
  [6489] = {.lex_state = 104},
  [6490] = {.lex_state = 104},
  [6491] = {.lex_state = 104},
  [6492] = {.lex_state = 104},
  [6493] = {.lex_state = 104},
  [6494] = {.lex_state = 104},
  [6495] = {.lex_state = 104},
  [6496] = {.lex_state = 104},
  [6497] = {.lex_state = 104},
  [6498] = {.lex_state = 104},
  [6499] = {.lex_state = 104},
  [6500] = {.lex_state = 104},
  [6501] = {.lex_state = 104},
  [6502] = {.lex_state = 104},
  [6503] = {.lex_state = 104},
  [6504] = {.lex_state = 104},
  [6505] = {.lex_state = 104},
  [6506] = {.lex_state = 104},
  [6507] = {.lex_state = 104},
  [6508] = {.lex_state = 104},
  [6509] = {.lex_state = 104},
  [6510] = {.lex_state = 104},
  [6511] = {.lex_state = 104},
  [6512] = {.lex_state = 104},
  [6513] = {.lex_state = 104},
  [6514] = {.lex_state = 104},
  [6515] = {.lex_state = 104},
  [6516] = {.lex_state = 104},
  [6517] = {.lex_state = 104},
  [6518] = {.lex_state = 104},
  [6519] = {.lex_state = 104},
  [6520] = {.lex_state = 104},
  [6521] = {.lex_state = 104},
  [6522] = {.lex_state = 104},
  [6523] = {.lex_state = 104},
  [6524] = {.lex_state = 104},
  [6525] = {.lex_state = 104},
  [6526] = {.lex_state = 104},
  [6527] = {.lex_state = 104},
  [6528] = {.lex_state = 104},
  [6529] = {.lex_state = 104},
  [6530] = {.lex_state = 104},
  [6531] = {.lex_state = 104},
  [6532] = {.lex_state = 104},
  [6533] = {.lex_state = 104},
  [6534] = {.lex_state = 104},
  [6535] = {.lex_state = 104},
  [6536] = {.lex_state = 104},
  [6537] = {.lex_state = 104},
  [6538] = {.lex_state = 104},
  [6539] = {.lex_state = 104},
  [6540] = {.lex_state = 104},
  [6541] = {.lex_state = 104},
  [6542] = {.lex_state = 104},
  [6543] = {.lex_state = 104},
  [6544] = {.lex_state = 104},
  [6545] = {.lex_state = 104},
  [6546] = {.lex_state = 104},
  [6547] = {.lex_state = 104},
  [6548] = {.lex_state = 104},
  [6549] = {.lex_state = 104},
  [6550] = {.lex_state = 104},
  [6551] = {.lex_state = 104},
  [6552] = {.lex_state = 104},
  [6553] = {.lex_state = 104},
  [6554] = {.lex_state = 104},
  [6555] = {.lex_state = 104},
  [6556] = {.lex_state = 104},
  [6557] = {.lex_state = 104},
  [6558] = {.lex_state = 104},
  [6559] = {.lex_state = 104},
  [6560] = {.lex_state = 104},
  [6561] = {.lex_state = 104},
  [6562] = {.lex_state = 104},
  [6563] = {.lex_state = 104},
  [6564] = {.lex_state = 104},
  [6565] = {.lex_state = 104},
  [6566] = {.lex_state = 104},
  [6567] = {.lex_state = 104},
  [6568] = {.lex_state = 104},
  [6569] = {.lex_state = 104},
  [6570] = {.lex_state = 104},
  [6571] = {.lex_state = 104},
  [6572] = {.lex_state = 104},
  [6573] = {.lex_state = 104},
  [6574] = {.lex_state = 104},
  [6575] = {.lex_state = 104},
  [6576] = {.lex_state = 104},
  [6577] = {.lex_state = 104},
  [6578] = {.lex_state = 104},
  [6579] = {.lex_state = 104},
  [6580] = {.lex_state = 104},
  [6581] = {.lex_state = 104},
  [6582] = {.lex_state = 104},
  [6583] = {.lex_state = 104},
  [6584] = {.lex_state = 104},
  [6585] = {.lex_state = 104},
  [6586] = {.lex_state = 104},
  [6587] = {.lex_state = 104},
  [6588] = {.lex_state = 104},
  [6589] = {.lex_state = 104},
  [6590] = {.lex_state = 104},
  [6591] = {.lex_state = 104},
  [6592] = {.lex_state = 104},
  [6593] = {.lex_state = 104},
  [6594] = {.lex_state = 104},
  [6595] = {.lex_state = 104},
  [6596] = {.lex_state = 104},
  [6597] = {.lex_state = 104},
  [6598] = {.lex_state = 104},
  [6599] = {.lex_state = 104},
  [6600] = {.lex_state = 104},
  [6601] = {.lex_state = 104},
  [6602] = {.lex_state = 104},
  [6603] = {.lex_state = 104},
  [6604] = {.lex_state = 104},
  [6605] = {.lex_state = 104},
  [6606] = {.lex_state = 104},
  [6607] = {.lex_state = 104},
  [6608] = {.lex_state = 104},
  [6609] = {.lex_state = 104},
  [6610] = {.lex_state = 104},
  [6611] = {.lex_state = 104},
  [6612] = {.lex_state = 104},
  [6613] = {.lex_state = 104},
  [6614] = {.lex_state = 104},
  [6615] = {.lex_state = 104},
  [6616] = {.lex_state = 104},
  [6617] = {.lex_state = 104},
  [6618] = {.lex_state = 104},
  [6619] = {.lex_state = 104},
  [6620] = {.lex_state = 104},
  [6621] = {.lex_state = 104},
  [6622] = {.lex_state = 104},
  [6623] = {.lex_state = 104},
  [6624] = {.lex_state = 104},
  [6625] = {.lex_state = 104},
  [6626] = {.lex_state = 104},
  [6627] = {.lex_state = 104},
  [6628] = {.lex_state = 104},
  [6629] = {.lex_state = 104},
  [6630] = {.lex_state = 104},
  [6631] = {.lex_state = 104},
  [6632] = {.lex_state = 104},
  [6633] = {.lex_state = 104},
  [6634] = {.lex_state = 104},
  [6635] = {.lex_state = 104},
  [6636] = {.lex_state = 104},
  [6637] = {.lex_state = 104},
  [6638] = {.lex_state = 104},
  [6639] = {.lex_state = 104},
  [6640] = {.lex_state = 104},
  [6641] = {.lex_state = 104},
  [6642] = {.lex_state = 104},
  [6643] = {.lex_state = 104},
  [6644] = {.lex_state = 104},
  [6645] = {.lex_state = 104},
  [6646] = {.lex_state = 104},
  [6647] = {.lex_state = 104},
  [6648] = {.lex_state = 104},
  [6649] = {.lex_state = 104},
  [6650] = {.lex_state = 104},
  [6651] = {.lex_state = 104},
  [6652] = {.lex_state = 104},
  [6653] = {.lex_state = 104},
  [6654] = {.lex_state = 104},
  [6655] = {.lex_state = 104},
  [6656] = {.lex_state = 104},
  [6657] = {.lex_state = 104},
  [6658] = {.lex_state = 104},
  [6659] = {.lex_state = 104},
  [6660] = {.lex_state = 104},
  [6661] = {.lex_state = 104},
  [6662] = {.lex_state = 104},
  [6663] = {.lex_state = 104},
  [6664] = {.lex_state = 104},
  [6665] = {.lex_state = 104},
  [6666] = {.lex_state = 104},
  [6667] = {.lex_state = 104},
  [6668] = {.lex_state = 104},
  [6669] = {.lex_state = 104},
  [6670] = {.lex_state = 104},
  [6671] = {.lex_state = 104},
  [6672] = {.lex_state = 104},
  [6673] = {.lex_state = 104},
  [6674] = {.lex_state = 104},
  [6675] = {.lex_state = 104},
  [6676] = {.lex_state = 104},
  [6677] = {.lex_state = 104},
  [6678] = {.lex_state = 104},
  [6679] = {.lex_state = 104},
  [6680] = {.lex_state = 104},
  [6681] = {.lex_state = 104},
  [6682] = {.lex_state = 104},
  [6683] = {.lex_state = 105},
  [6684] = {.lex_state = 105},
  [6685] = {.lex_state = 104},
  [6686] = {.lex_state = 17},
  [6687] = {.lex_state = 104},
  [6688] = {.lex_state = 17},
  [6689] = {.lex_state = 104},
  [6690] = {.lex_state = 104},
  [6691] = {.lex_state = 104},
  [6692] = {.lex_state = 104},
  [6693] = {.lex_state = 105},
  [6694] = {.lex_state = 104},
  [6695] = {.lex_state = 104},
  [6696] = {.lex_state = 104},
  [6697] = {.lex_state = 105},
  [6698] = {.lex_state = 104},
  [6699] = {.lex_state = 105},
  [6700] = {.lex_state = 104},
  [6701] = {.lex_state = 104},
  [6702] = {.lex_state = 105},
  [6703] = {.lex_state = 104},
  [6704] = {.lex_state = 104},
  [6705] = {.lex_state = 105},
  [6706] = {.lex_state = 104},
  [6707] = {.lex_state = 105},
  [6708] = {.lex_state = 104},
  [6709] = {.lex_state = 104},
  [6710] = {.lex_state = 105},
  [6711] = {.lex_state = 105},
  [6712] = {.lex_state = 105},
  [6713] = {.lex_state = 105},
  [6714] = {.lex_state = 104},
  [6715] = {.lex_state = 105},
  [6716] = {.lex_state = 104},
  [6717] = {.lex_state = 104},
  [6718] = {.lex_state = 105},
  [6719] = {.lex_state = 104},
  [6720] = {.lex_state = 104},
  [6721] = {.lex_state = 104},
  [6722] = {.lex_state = 104},
  [6723] = {.lex_state = 104},
  [6724] = {.lex_state = 104},
  [6725] = {.lex_state = 105},
  [6726] = {.lex_state = 104},
  [6727] = {.lex_state = 104},
  [6728] = {.lex_state = 104},
  [6729] = {.lex_state = 105},
  [6730] = {.lex_state = 104},
  [6731] = {.lex_state = 104},
  [6732] = {.lex_state = 105},
  [6733] = {.lex_state = 104},
  [6734] = {.lex_state = 104},
  [6735] = {.lex_state = 105},
  [6736] = {.lex_state = 104},
  [6737] = {.lex_state = 105},
  [6738] = {.lex_state = 104},
  [6739] = {.lex_state = 104},
  [6740] = {.lex_state = 17},
  [6741] = {.lex_state = 104},
  [6742] = {.lex_state = 105},
  [6743] = {.lex_state = 105},
  [6744] = {.lex_state = 105},
  [6745] = {.lex_state = 105},
  [6746] = {.lex_state = 105},
  [6747] = {.lex_state = 105},
  [6748] = {.lex_state = 105},
  [6749] = {.lex_state = 105},
  [6750] = {.lex_state = 105},
  [6751] = {.lex_state = 104},
  [6752] = {.lex_state = 105},
  [6753] = {.lex_state = 105},
  [6754] = {.lex_state = 105},
  [6755] = {.lex_state = 17},
  [6756] = {.lex_state = 105},
  [6757] = {.lex_state = 17},
  [6758] = {.lex_state = 105},
  [6759] = {.lex_state = 105},
  [6760] = {.lex_state = 105},
  [6761] = {.lex_state = 105},
  [6762] = {.lex_state = 17},
  [6763] = {.lex_state = 105},
  [6764] = {.lex_state = 104},
  [6765] = {.lex_state = 105},
  [6766] = {.lex_state = 104},
  [6767] = {.lex_state = 104},
  [6768] = {.lex_state = 105},
  [6769] = {.lex_state = 104},
  [6770] = {.lex_state = 105},
  [6771] = {.lex_state = 105},
  [6772] = {.lex_state = 105},
  [6773] = {.lex_state = 105},
  [6774] = {.lex_state = 105},
  [6775] = {.lex_state = 105},
  [6776] = {.lex_state = 105},
  [6777] = {.lex_state = 105},
  [6778] = {.lex_state = 105},
  [6779] = {.lex_state = 105},
  [6780] = {.lex_state = 105},
  [6781] = {.lex_state = 105},
  [6782] = {.lex_state = 105},
  [6783] = {.lex_state = 105},
  [6784] = {.lex_state = 105},
  [6785] = {.lex_state = 105},
  [6786] = {.lex_state = 105},
  [6787] = {.lex_state = 105},
  [6788] = {.lex_state = 105},
  [6789] = {.lex_state = 105},
  [6790] = {.lex_state = 105},
  [6791] = {.lex_state = 105},
  [6792] = {.lex_state = 105},
  [6793] = {.lex_state = 105},
  [6794] = {.lex_state = 105},
  [6795] = {.lex_state = 105},
  [6796] = {.lex_state = 105},
  [6797] = {.lex_state = 105},
  [6798] = {.lex_state = 105},
  [6799] = {.lex_state = 105},
  [6800] = {.lex_state = 105},
  [6801] = {.lex_state = 105},
  [6802] = {.lex_state = 105},
  [6803] = {.lex_state = 105},
  [6804] = {.lex_state = 105},
  [6805] = {.lex_state = 105},
  [6806] = {.lex_state = 105},
  [6807] = {.lex_state = 105},
  [6808] = {.lex_state = 105},
  [6809] = {.lex_state = 105},
  [6810] = {.lex_state = 105},
  [6811] = {.lex_state = 105},
  [6812] = {.lex_state = 105},
  [6813] = {.lex_state = 105},
  [6814] = {.lex_state = 105},
  [6815] = {.lex_state = 105},
  [6816] = {.lex_state = 105},
  [6817] = {.lex_state = 105},
  [6818] = {.lex_state = 105},
  [6819] = {.lex_state = 105},
  [6820] = {.lex_state = 105},
  [6821] = {.lex_state = 105},
  [6822] = {.lex_state = 105},
  [6823] = {.lex_state = 105},
  [6824] = {.lex_state = 105},
  [6825] = {.lex_state = 105},
  [6826] = {.lex_state = 105},
  [6827] = {.lex_state = 105},
  [6828] = {.lex_state = 105},
  [6829] = {.lex_state = 105},
  [6830] = {.lex_state = 104},
  [6831] = {.lex_state = 105},
  [6832] = {.lex_state = 105},
  [6833] = {.lex_state = 105},
  [6834] = {.lex_state = 105},
  [6835] = {.lex_state = 105},
  [6836] = {.lex_state = 105},
  [6837] = {.lex_state = 105},
  [6838] = {.lex_state = 105},
  [6839] = {.lex_state = 105},
  [6840] = {.lex_state = 105},
  [6841] = {.lex_state = 105},
  [6842] = {.lex_state = 105},
  [6843] = {.lex_state = 105},
  [6844] = {.lex_state = 105},
  [6845] = {.lex_state = 105},
  [6846] = {.lex_state = 105},
  [6847] = {.lex_state = 105},
  [6848] = {.lex_state = 105},
  [6849] = {.lex_state = 105},
  [6850] = {.lex_state = 105},
  [6851] = {.lex_state = 105},
  [6852] = {.lex_state = 105},
  [6853] = {.lex_state = 105},
  [6854] = {.lex_state = 105},
  [6855] = {.lex_state = 105},
  [6856] = {.lex_state = 105},
  [6857] = {.lex_state = 105},
  [6858] = {.lex_state = 105},
  [6859] = {.lex_state = 105},
  [6860] = {.lex_state = 105},
  [6861] = {.lex_state = 105},
  [6862] = {.lex_state = 105},
  [6863] = {.lex_state = 105},
  [6864] = {.lex_state = 105},
  [6865] = {.lex_state = 105},
  [6866] = {.lex_state = 105},
  [6867] = {.lex_state = 105},
  [6868] = {.lex_state = 105},
  [6869] = {.lex_state = 105},
  [6870] = {.lex_state = 105},
  [6871] = {.lex_state = 105},
  [6872] = {.lex_state = 105},
  [6873] = {.lex_state = 105},
  [6874] = {.lex_state = 105},
  [6875] = {.lex_state = 105},
  [6876] = {.lex_state = 105},
  [6877] = {.lex_state = 105},
  [6878] = {.lex_state = 105},
  [6879] = {.lex_state = 105},
  [6880] = {.lex_state = 105},
  [6881] = {.lex_state = 105},
  [6882] = {.lex_state = 105},
  [6883] = {.lex_state = 105},
  [6884] = {.lex_state = 105},
  [6885] = {.lex_state = 105},
  [6886] = {.lex_state = 105},
  [6887] = {.lex_state = 105},
  [6888] = {.lex_state = 105},
  [6889] = {.lex_state = 105},
  [6890] = {.lex_state = 105},
  [6891] = {.lex_state = 105},
  [6892] = {.lex_state = 105},
  [6893] = {.lex_state = 105},
  [6894] = {.lex_state = 105},
  [6895] = {.lex_state = 105},
  [6896] = {.lex_state = 105},
  [6897] = {.lex_state = 105},
  [6898] = {.lex_state = 105},
  [6899] = {.lex_state = 105},
  [6900] = {.lex_state = 105},
  [6901] = {.lex_state = 105},
  [6902] = {.lex_state = 105},
  [6903] = {.lex_state = 105},
  [6904] = {.lex_state = 105},
  [6905] = {.lex_state = 105},
  [6906] = {.lex_state = 105},
  [6907] = {.lex_state = 105},
  [6908] = {.lex_state = 105},
  [6909] = {.lex_state = 105},
  [6910] = {.lex_state = 105},
  [6911] = {.lex_state = 105},
  [6912] = {.lex_state = 105},
  [6913] = {.lex_state = 105},
  [6914] = {.lex_state = 105},
  [6915] = {.lex_state = 105},
  [6916] = {.lex_state = 105},
  [6917] = {.lex_state = 105},
  [6918] = {.lex_state = 105},
  [6919] = {.lex_state = 105},
  [6920] = {.lex_state = 105},
  [6921] = {.lex_state = 105},
  [6922] = {.lex_state = 105},
  [6923] = {.lex_state = 105},
  [6924] = {.lex_state = 105},
  [6925] = {.lex_state = 105},
  [6926] = {.lex_state = 105},
  [6927] = {.lex_state = 105},
  [6928] = {.lex_state = 105},
  [6929] = {.lex_state = 105},
  [6930] = {.lex_state = 105},
  [6931] = {.lex_state = 105},
  [6932] = {.lex_state = 105},
  [6933] = {.lex_state = 105},
  [6934] = {.lex_state = 105},
  [6935] = {.lex_state = 105},
  [6936] = {.lex_state = 105},
  [6937] = {.lex_state = 105},
  [6938] = {.lex_state = 105},
  [6939] = {.lex_state = 105},
  [6940] = {.lex_state = 105},
  [6941] = {.lex_state = 105},
  [6942] = {.lex_state = 105},
  [6943] = {.lex_state = 105},
  [6944] = {.lex_state = 105},
  [6945] = {.lex_state = 105},
  [6946] = {.lex_state = 105},
  [6947] = {.lex_state = 105},
  [6948] = {.lex_state = 105},
  [6949] = {.lex_state = 105},
  [6950] = {.lex_state = 105},
  [6951] = {.lex_state = 105},
  [6952] = {.lex_state = 105},
  [6953] = {.lex_state = 105},
  [6954] = {.lex_state = 105},
  [6955] = {.lex_state = 105},
  [6956] = {.lex_state = 105},
  [6957] = {.lex_state = 105},
  [6958] = {.lex_state = 105},
  [6959] = {.lex_state = 105},
  [6960] = {.lex_state = 105},
  [6961] = {.lex_state = 105},
  [6962] = {.lex_state = 105},
  [6963] = {.lex_state = 105},
  [6964] = {.lex_state = 105},
  [6965] = {.lex_state = 105},
  [6966] = {.lex_state = 105},
  [6967] = {.lex_state = 105},
  [6968] = {.lex_state = 105},
  [6969] = {.lex_state = 105},
  [6970] = {.lex_state = 105},
  [6971] = {.lex_state = 105},
  [6972] = {.lex_state = 105},
  [6973] = {.lex_state = 105},
  [6974] = {.lex_state = 105},
  [6975] = {.lex_state = 105},
  [6976] = {.lex_state = 105},
  [6977] = {.lex_state = 105},
  [6978] = {.lex_state = 105},
  [6979] = {.lex_state = 105},
  [6980] = {.lex_state = 105},
  [6981] = {.lex_state = 105},
  [6982] = {.lex_state = 105},
  [6983] = {.lex_state = 105},
  [6984] = {.lex_state = 105},
  [6985] = {.lex_state = 105},
  [6986] = {.lex_state = 105},
  [6987] = {.lex_state = 105},
  [6988] = {.lex_state = 105},
  [6989] = {.lex_state = 105},
  [6990] = {.lex_state = 105},
  [6991] = {.lex_state = 105},
  [6992] = {.lex_state = 105},
  [6993] = {.lex_state = 105},
  [6994] = {.lex_state = 105},
  [6995] = {.lex_state = 105},
  [6996] = {.lex_state = 105},
  [6997] = {.lex_state = 105},
  [6998] = {.lex_state = 105},
  [6999] = {.lex_state = 105},
  [7000] = {.lex_state = 105},
  [7001] = {.lex_state = 105},
  [7002] = {.lex_state = 105},
  [7003] = {.lex_state = 105},
  [7004] = {.lex_state = 105},
  [7005] = {.lex_state = 105},
  [7006] = {.lex_state = 105},
  [7007] = {.lex_state = 105},
  [7008] = {.lex_state = 105},
  [7009] = {.lex_state = 105},
  [7010] = {.lex_state = 105},
  [7011] = {.lex_state = 105},
  [7012] = {.lex_state = 105},
  [7013] = {.lex_state = 105},
  [7014] = {.lex_state = 105},
  [7015] = {.lex_state = 105},
  [7016] = {.lex_state = 105},
  [7017] = {.lex_state = 105},
  [7018] = {.lex_state = 105},
  [7019] = {.lex_state = 105},
  [7020] = {.lex_state = 105},
  [7021] = {.lex_state = 105},
  [7022] = {.lex_state = 105},
  [7023] = {.lex_state = 105},
  [7024] = {.lex_state = 105},
  [7025] = {.lex_state = 105},
  [7026] = {.lex_state = 105},
  [7027] = {.lex_state = 105},
  [7028] = {.lex_state = 105},
  [7029] = {.lex_state = 105},
  [7030] = {.lex_state = 105},
  [7031] = {.lex_state = 105},
  [7032] = {.lex_state = 105},
  [7033] = {.lex_state = 105},
  [7034] = {.lex_state = 105},
  [7035] = {.lex_state = 105},
  [7036] = {.lex_state = 105},
  [7037] = {.lex_state = 105},
  [7038] = {.lex_state = 105},
  [7039] = {.lex_state = 105},
  [7040] = {.lex_state = 105},
  [7041] = {.lex_state = 105},
  [7042] = {.lex_state = 105},
  [7043] = {.lex_state = 105},
  [7044] = {.lex_state = 105},
  [7045] = {.lex_state = 105},
  [7046] = {.lex_state = 105},
  [7047] = {.lex_state = 105},
  [7048] = {.lex_state = 105},
  [7049] = {.lex_state = 105},
  [7050] = {.lex_state = 105},
  [7051] = {.lex_state = 105},
  [7052] = {.lex_state = 105},
  [7053] = {.lex_state = 105},
  [7054] = {.lex_state = 105},
  [7055] = {.lex_state = 105},
  [7056] = {.lex_state = 105},
  [7057] = {.lex_state = 105},
  [7058] = {.lex_state = 105},
  [7059] = {.lex_state = 105},
  [7060] = {.lex_state = 105},
  [7061] = {.lex_state = 105},
  [7062] = {.lex_state = 105},
  [7063] = {.lex_state = 105},
  [7064] = {.lex_state = 105},
  [7065] = {.lex_state = 105},
  [7066] = {.lex_state = 105},
  [7067] = {.lex_state = 105},
  [7068] = {.lex_state = 105},
  [7069] = {.lex_state = 105},
  [7070] = {.lex_state = 105},
  [7071] = {.lex_state = 105},
  [7072] = {.lex_state = 105},
  [7073] = {.lex_state = 105},
  [7074] = {.lex_state = 105},
  [7075] = {.lex_state = 105},
  [7076] = {.lex_state = 105},
  [7077] = {.lex_state = 105},
  [7078] = {.lex_state = 105},
  [7079] = {.lex_state = 105},
  [7080] = {.lex_state = 105},
  [7081] = {.lex_state = 105},
  [7082] = {.lex_state = 105},
  [7083] = {.lex_state = 105},
  [7084] = {.lex_state = 105},
  [7085] = {.lex_state = 105},
  [7086] = {.lex_state = 105},
  [7087] = {.lex_state = 105},
  [7088] = {.lex_state = 105},
  [7089] = {.lex_state = 105},
  [7090] = {.lex_state = 105},
  [7091] = {.lex_state = 105},
  [7092] = {.lex_state = 105},
  [7093] = {.lex_state = 105},
  [7094] = {.lex_state = 105},
  [7095] = {.lex_state = 105},
  [7096] = {.lex_state = 105},
  [7097] = {.lex_state = 105},
  [7098] = {.lex_state = 105},
  [7099] = {.lex_state = 105},
  [7100] = {.lex_state = 105},
  [7101] = {.lex_state = 105},
  [7102] = {.lex_state = 105},
  [7103] = {.lex_state = 105},
  [7104] = {.lex_state = 105},
  [7105] = {.lex_state = 105},
  [7106] = {.lex_state = 105},
  [7107] = {.lex_state = 105},
  [7108] = {.lex_state = 105},
  [7109] = {.lex_state = 105},
  [7110] = {.lex_state = 105},
  [7111] = {.lex_state = 105},
  [7112] = {.lex_state = 105},
  [7113] = {.lex_state = 105},
  [7114] = {.lex_state = 105},
  [7115] = {.lex_state = 105},
  [7116] = {.lex_state = 105},
  [7117] = {.lex_state = 105},
  [7118] = {.lex_state = 105},
  [7119] = {.lex_state = 105},
  [7120] = {.lex_state = 105},
  [7121] = {.lex_state = 105},
  [7122] = {.lex_state = 105},
  [7123] = {.lex_state = 105},
  [7124] = {.lex_state = 105},
  [7125] = {.lex_state = 105},
  [7126] = {.lex_state = 105},
  [7127] = {.lex_state = 105},
  [7128] = {.lex_state = 105},
  [7129] = {.lex_state = 105},
  [7130] = {.lex_state = 105},
  [7131] = {.lex_state = 105},
  [7132] = {.lex_state = 105},
  [7133] = {.lex_state = 105},
  [7134] = {.lex_state = 105},
  [7135] = {.lex_state = 105},
  [7136] = {.lex_state = 105},
  [7137] = {.lex_state = 105},
  [7138] = {.lex_state = 105},
  [7139] = {.lex_state = 105},
  [7140] = {.lex_state = 105},
  [7141] = {.lex_state = 105},
  [7142] = {.lex_state = 105},
  [7143] = {.lex_state = 105},
  [7144] = {.lex_state = 105},
  [7145] = {.lex_state = 105},
  [7146] = {.lex_state = 105},
  [7147] = {.lex_state = 105},
  [7148] = {.lex_state = 105},
  [7149] = {.lex_state = 105},
  [7150] = {.lex_state = 105},
  [7151] = {.lex_state = 105},
  [7152] = {.lex_state = 105},
  [7153] = {.lex_state = 105},
  [7154] = {.lex_state = 105},
  [7155] = {.lex_state = 105},
  [7156] = {.lex_state = 105},
  [7157] = {.lex_state = 105},
  [7158] = {.lex_state = 105},
  [7159] = {.lex_state = 105},
  [7160] = {.lex_state = 105},
  [7161] = {.lex_state = 105},
  [7162] = {.lex_state = 105},
  [7163] = {.lex_state = 105},
  [7164] = {.lex_state = 105},
  [7165] = {.lex_state = 105},
  [7166] = {.lex_state = 105},
  [7167] = {.lex_state = 105},
  [7168] = {.lex_state = 105},
  [7169] = {.lex_state = 105},
  [7170] = {.lex_state = 105},
  [7171] = {.lex_state = 105},
  [7172] = {.lex_state = 105},
  [7173] = {.lex_state = 105},
  [7174] = {.lex_state = 105},
  [7175] = {.lex_state = 105},
  [7176] = {.lex_state = 105},
  [7177] = {.lex_state = 105},
  [7178] = {.lex_state = 105},
  [7179] = {.lex_state = 105},
  [7180] = {.lex_state = 105},
  [7181] = {.lex_state = 105},
  [7182] = {.lex_state = 105},
  [7183] = {.lex_state = 105},
  [7184] = {.lex_state = 105},
  [7185] = {.lex_state = 105},
  [7186] = {.lex_state = 105},
  [7187] = {.lex_state = 105},
  [7188] = {.lex_state = 105},
  [7189] = {.lex_state = 105},
  [7190] = {.lex_state = 105},
  [7191] = {.lex_state = 105},
  [7192] = {.lex_state = 105},
  [7193] = {.lex_state = 105},
  [7194] = {.lex_state = 105},
  [7195] = {.lex_state = 105},
  [7196] = {.lex_state = 105},
  [7197] = {.lex_state = 105},
  [7198] = {.lex_state = 105},
  [7199] = {.lex_state = 105},
  [7200] = {.lex_state = 105},
  [7201] = {.lex_state = 105},
  [7202] = {.lex_state = 105},
  [7203] = {.lex_state = 105},
  [7204] = {.lex_state = 105},
  [7205] = {.lex_state = 105},
  [7206] = {.lex_state = 105},
  [7207] = {.lex_state = 105},
  [7208] = {.lex_state = 105},
  [7209] = {.lex_state = 105},
  [7210] = {.lex_state = 105},
  [7211] = {.lex_state = 105},
  [7212] = {.lex_state = 105},
  [7213] = {.lex_state = 105},
  [7214] = {.lex_state = 105},
  [7215] = {.lex_state = 105},
  [7216] = {.lex_state = 105},
  [7217] = {.lex_state = 105},
  [7218] = {.lex_state = 105},
  [7219] = {.lex_state = 105},
  [7220] = {.lex_state = 105},
  [7221] = {.lex_state = 105},
  [7222] = {.lex_state = 105},
  [7223] = {.lex_state = 105},
  [7224] = {.lex_state = 105},
  [7225] = {.lex_state = 105},
  [7226] = {.lex_state = 105},
  [7227] = {.lex_state = 105},
  [7228] = {.lex_state = 105},
  [7229] = {.lex_state = 105},
  [7230] = {.lex_state = 105},
  [7231] = {.lex_state = 105},
  [7232] = {.lex_state = 105},
  [7233] = {.lex_state = 105},
  [7234] = {.lex_state = 105},
  [7235] = {.lex_state = 105},
  [7236] = {.lex_state = 105},
  [7237] = {.lex_state = 105},
  [7238] = {.lex_state = 105},
  [7239] = {.lex_state = 105},
  [7240] = {.lex_state = 105},
  [7241] = {.lex_state = 105},
  [7242] = {.lex_state = 105},
  [7243] = {.lex_state = 105},
  [7244] = {.lex_state = 105},
  [7245] = {.lex_state = 105},
  [7246] = {.lex_state = 105},
  [7247] = {.lex_state = 105},
  [7248] = {.lex_state = 105},
  [7249] = {.lex_state = 105},
  [7250] = {.lex_state = 105},
  [7251] = {.lex_state = 105},
  [7252] = {.lex_state = 105},
  [7253] = {.lex_state = 105},
  [7254] = {.lex_state = 105},
  [7255] = {.lex_state = 105},
  [7256] = {.lex_state = 105},
  [7257] = {.lex_state = 105},
  [7258] = {.lex_state = 105},
  [7259] = {.lex_state = 105},
  [7260] = {.lex_state = 105},
  [7261] = {.lex_state = 105},
  [7262] = {.lex_state = 105},
  [7263] = {.lex_state = 105},
  [7264] = {.lex_state = 105},
  [7265] = {.lex_state = 105},
  [7266] = {.lex_state = 105},
  [7267] = {.lex_state = 105},
  [7268] = {.lex_state = 105},
  [7269] = {.lex_state = 105},
  [7270] = {.lex_state = 105},
  [7271] = {.lex_state = 105},
  [7272] = {.lex_state = 105},
  [7273] = {.lex_state = 105},
  [7274] = {.lex_state = 105},
  [7275] = {.lex_state = 105},
  [7276] = {.lex_state = 105},
  [7277] = {.lex_state = 1},
  [7278] = {.lex_state = 105},
  [7279] = {.lex_state = 105},
  [7280] = {.lex_state = 105},
  [7281] = {.lex_state = 105},
  [7282] = {.lex_state = 105},
  [7283] = {.lex_state = 105},
  [7284] = {.lex_state = 105},
  [7285] = {.lex_state = 105},
  [7286] = {.lex_state = 105},
  [7287] = {.lex_state = 105},
  [7288] = {.lex_state = 105},
  [7289] = {.lex_state = 4},
  [7290] = {.lex_state = 105},
  [7291] = {.lex_state = 105},
  [7292] = {.lex_state = 105},
  [7293] = {.lex_state = 105},
  [7294] = {.lex_state = 105},
  [7295] = {.lex_state = 105},
  [7296] = {.lex_state = 105},
  [7297] = {.lex_state = 105},
  [7298] = {.lex_state = 105},
  [7299] = {.lex_state = 105},
  [7300] = {.lex_state = 105},
  [7301] = {.lex_state = 105},
  [7302] = {.lex_state = 105},
  [7303] = {.lex_state = 105},
  [7304] = {.lex_state = 105},
  [7305] = {.lex_state = 105},
  [7306] = {.lex_state = 105},
  [7307] = {.lex_state = 105},
  [7308] = {.lex_state = 105},
  [7309] = {.lex_state = 105},
  [7310] = {.lex_state = 105},
  [7311] = {.lex_state = 105},
  [7312] = {.lex_state = 105},
  [7313] = {.lex_state = 105},
  [7314] = {.lex_state = 105},
  [7315] = {.lex_state = 105},
  [7316] = {.lex_state = 105},
  [7317] = {.lex_state = 105},
  [7318] = {.lex_state = 105},
  [7319] = {.lex_state = 105},
  [7320] = {.lex_state = 105},
  [7321] = {.lex_state = 105},
  [7322] = {.lex_state = 105},
  [7323] = {.lex_state = 105},
  [7324] = {.lex_state = 105},
  [7325] = {.lex_state = 105},
  [7326] = {.lex_state = 105},
  [7327] = {.lex_state = 105},
  [7328] = {.lex_state = 105},
  [7329] = {.lex_state = 105},
  [7330] = {.lex_state = 105},
  [7331] = {.lex_state = 105},
  [7332] = {.lex_state = 105},
  [7333] = {.lex_state = 105},
  [7334] = {.lex_state = 105},
  [7335] = {.lex_state = 105},
  [7336] = {.lex_state = 105},
  [7337] = {.lex_state = 105},
  [7338] = {.lex_state = 105},
  [7339] = {.lex_state = 105},
  [7340] = {.lex_state = 105},
  [7341] = {.lex_state = 105},
  [7342] = {.lex_state = 105},
  [7343] = {.lex_state = 105},
  [7344] = {.lex_state = 105},
  [7345] = {.lex_state = 105},
  [7346] = {.lex_state = 105},
  [7347] = {.lex_state = 105},
  [7348] = {.lex_state = 105},
  [7349] = {.lex_state = 105},
  [7350] = {.lex_state = 105},
  [7351] = {.lex_state = 105},
  [7352] = {.lex_state = 105},
  [7353] = {.lex_state = 105},
  [7354] = {.lex_state = 105},
  [7355] = {.lex_state = 105},
  [7356] = {.lex_state = 105},
  [7357] = {.lex_state = 105},
  [7358] = {.lex_state = 105},
  [7359] = {.lex_state = 105},
  [7360] = {.lex_state = 105},
  [7361] = {.lex_state = 105},
  [7362] = {.lex_state = 105},
  [7363] = {.lex_state = 105},
  [7364] = {.lex_state = 105},
  [7365] = {.lex_state = 105},
  [7366] = {.lex_state = 105},
  [7367] = {.lex_state = 105},
  [7368] = {.lex_state = 105},
  [7369] = {.lex_state = 105},
  [7370] = {.lex_state = 105},
  [7371] = {.lex_state = 105},
  [7372] = {.lex_state = 105},
  [7373] = {.lex_state = 105},
  [7374] = {.lex_state = 105},
  [7375] = {.lex_state = 105},
  [7376] = {.lex_state = 105},
  [7377] = {.lex_state = 105},
  [7378] = {.lex_state = 105},
  [7379] = {.lex_state = 105},
  [7380] = {.lex_state = 105},
  [7381] = {.lex_state = 105},
  [7382] = {.lex_state = 105},
  [7383] = {.lex_state = 105},
  [7384] = {.lex_state = 105},
  [7385] = {.lex_state = 105},
  [7386] = {.lex_state = 105},
  [7387] = {.lex_state = 105},
  [7388] = {.lex_state = 105},
  [7389] = {.lex_state = 105},
  [7390] = {.lex_state = 105},
  [7391] = {.lex_state = 105},
  [7392] = {.lex_state = 8},
  [7393] = {.lex_state = 8},
  [7394] = {.lex_state = 8},
  [7395] = {.lex_state = 8},
  [7396] = {.lex_state = 8},
  [7397] = {.lex_state = 8},
  [7398] = {.lex_state = 8},
  [7399] = {.lex_state = 8},
  [7400] = {.lex_state = 8},
  [7401] = {.lex_state = 8},
  [7402] = {.lex_state = 105},
  [7403] = {.lex_state = 8},
  [7404] = {.lex_state = 8},
  [7405] = {.lex_state = 105},
  [7406] = {.lex_state = 105},
  [7407] = {.lex_state = 105},
  [7408] = {.lex_state = 105},
  [7409] = {.lex_state = 105},
  [7410] = {.lex_state = 105},
  [7411] = {.lex_state = 105},
  [7412] = {.lex_state = 105},
  [7413] = {.lex_state = 105},
  [7414] = {.lex_state = 105},
  [7415] = {.lex_state = 105},
  [7416] = {.lex_state = 105},
  [7417] = {.lex_state = 105},
  [7418] = {.lex_state = 105},
  [7419] = {.lex_state = 105},
  [7420] = {.lex_state = 105},
  [7421] = {.lex_state = 105},
  [7422] = {.lex_state = 105},
  [7423] = {.lex_state = 105},
  [7424] = {.lex_state = 105},
  [7425] = {.lex_state = 105},
  [7426] = {.lex_state = 105},
  [7427] = {.lex_state = 105},
  [7428] = {.lex_state = 105},
  [7429] = {.lex_state = 105},
  [7430] = {.lex_state = 105},
  [7431] = {.lex_state = 105},
  [7432] = {.lex_state = 105},
  [7433] = {.lex_state = 105},
  [7434] = {.lex_state = 105},
  [7435] = {.lex_state = 105},
  [7436] = {.lex_state = 105},
  [7437] = {.lex_state = 105},
  [7438] = {.lex_state = 105},
  [7439] = {.lex_state = 105},
  [7440] = {.lex_state = 105},
  [7441] = {.lex_state = 105},
  [7442] = {.lex_state = 105},
  [7443] = {.lex_state = 105},
  [7444] = {.lex_state = 105},
  [7445] = {.lex_state = 105},
  [7446] = {.lex_state = 105},
  [7447] = {.lex_state = 105},
  [7448] = {.lex_state = 105},
  [7449] = {.lex_state = 105},
  [7450] = {.lex_state = 105},
  [7451] = {.lex_state = 105},
  [7452] = {.lex_state = 105},
  [7453] = {.lex_state = 105},
  [7454] = {.lex_state = 105},
  [7455] = {.lex_state = 105},
  [7456] = {.lex_state = 105},
  [7457] = {.lex_state = 105},
  [7458] = {.lex_state = 105},
  [7459] = {.lex_state = 105},
  [7460] = {.lex_state = 105},
  [7461] = {.lex_state = 105},
  [7462] = {.lex_state = 105},
  [7463] = {.lex_state = 105},
  [7464] = {.lex_state = 105},
  [7465] = {.lex_state = 105},
  [7466] = {.lex_state = 105},
  [7467] = {.lex_state = 105},
  [7468] = {.lex_state = 105},
  [7469] = {.lex_state = 105},
  [7470] = {.lex_state = 105},
  [7471] = {.lex_state = 105},
  [7472] = {.lex_state = 105},
  [7473] = {.lex_state = 105},
  [7474] = {.lex_state = 105},
  [7475] = {.lex_state = 105},
  [7476] = {.lex_state = 105},
  [7477] = {.lex_state = 105},
  [7478] = {.lex_state = 105},
  [7479] = {.lex_state = 105},
  [7480] = {.lex_state = 105},
  [7481] = {.lex_state = 105},
  [7482] = {.lex_state = 105},
  [7483] = {.lex_state = 105},
  [7484] = {.lex_state = 105},
  [7485] = {.lex_state = 105},
  [7486] = {.lex_state = 105},
  [7487] = {.lex_state = 105},
  [7488] = {.lex_state = 105},
  [7489] = {.lex_state = 105},
  [7490] = {.lex_state = 105},
  [7491] = {.lex_state = 105},
  [7492] = {.lex_state = 105},
  [7493] = {.lex_state = 105},
  [7494] = {.lex_state = 105},
  [7495] = {.lex_state = 105},
  [7496] = {.lex_state = 105},
  [7497] = {.lex_state = 105},
  [7498] = {.lex_state = 105},
  [7499] = {.lex_state = 105},
  [7500] = {.lex_state = 105},
  [7501] = {.lex_state = 0},
  [7502] = {.lex_state = 0},
  [7503] = {.lex_state = 0},
  [7504] = {.lex_state = 105},
  [7505] = {.lex_state = 104},
  [7506] = {.lex_state = 104},
  [7507] = {.lex_state = 104},
  [7508] = {.lex_state = 104},
  [7509] = {.lex_state = 104},
  [7510] = {.lex_state = 104},
  [7511] = {.lex_state = 104},
  [7512] = {.lex_state = 104},
  [7513] = {.lex_state = 104},
  [7514] = {.lex_state = 104},
  [7515] = {.lex_state = 104},
  [7516] = {.lex_state = 104},
  [7517] = {.lex_state = 104},
  [7518] = {.lex_state = 104},
  [7519] = {.lex_state = 104},
  [7520] = {.lex_state = 104},
  [7521] = {.lex_state = 104},
  [7522] = {.lex_state = 0},
  [7523] = {.lex_state = 104},
  [7524] = {.lex_state = 0},
  [7525] = {.lex_state = 104},
  [7526] = {.lex_state = 104},
  [7527] = {.lex_state = 105},
  [7528] = {.lex_state = 104},
  [7529] = {.lex_state = 104},
  [7530] = {.lex_state = 104},
  [7531] = {.lex_state = 104},
  [7532] = {.lex_state = 104},
  [7533] = {.lex_state = 104},
  [7534] = {.lex_state = 104},
  [7535] = {.lex_state = 104},
  [7536] = {.lex_state = 104},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 104},
  [7539] = {.lex_state = 104},
  [7540] = {.lex_state = 104},
  [7541] = {.lex_state = 104},
  [7542] = {.lex_state = 104},
  [7543] = {.lex_state = 104},
  [7544] = {.lex_state = 104},
  [7545] = {.lex_state = 104},
  [7546] = {.lex_state = 104},
  [7547] = {.lex_state = 104},
  [7548] = {.lex_state = 0},
  [7549] = {.lex_state = 104},
  [7550] = {.lex_state = 104},
  [7551] = {.lex_state = 104},
  [7552] = {.lex_state = 0},
  [7553] = {.lex_state = 104},
  [7554] = {.lex_state = 104},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 0},
  [7557] = {.lex_state = 104},
  [7558] = {.lex_state = 104},
  [7559] = {.lex_state = 105},
  [7560] = {.lex_state = 0},
  [7561] = {.lex_state = 105},
  [7562] = {.lex_state = 105},
  [7563] = {.lex_state = 104},
  [7564] = {.lex_state = 105},
  [7565] = {.lex_state = 105},
  [7566] = {.lex_state = 105},
  [7567] = {.lex_state = 105},
  [7568] = {.lex_state = 105},
  [7569] = {.lex_state = 105},
  [7570] = {.lex_state = 105},
  [7571] = {.lex_state = 104},
  [7572] = {.lex_state = 105},
  [7573] = {.lex_state = 104},
  [7574] = {.lex_state = 104},
  [7575] = {.lex_state = 105},
  [7576] = {.lex_state = 105},
  [7577] = {.lex_state = 105},
  [7578] = {.lex_state = 105},
  [7579] = {.lex_state = 104},
  [7580] = {.lex_state = 105},
  [7581] = {.lex_state = 104},
  [7582] = {.lex_state = 104},
  [7583] = {.lex_state = 105},
  [7584] = {.lex_state = 105},
  [7585] = {.lex_state = 105},
  [7586] = {.lex_state = 104},
  [7587] = {.lex_state = 105},
  [7588] = {.lex_state = 105},
  [7589] = {.lex_state = 105},
  [7590] = {.lex_state = 105},
  [7591] = {.lex_state = 105},
  [7592] = {.lex_state = 105},
  [7593] = {.lex_state = 105},
  [7594] = {.lex_state = 0},
  [7595] = {.lex_state = 105},
  [7596] = {.lex_state = 104},
  [7597] = {.lex_state = 105},
  [7598] = {.lex_state = 104},
  [7599] = {.lex_state = 10},
  [7600] = {.lex_state = 105},
  [7601] = {.lex_state = 105},
  [7602] = {.lex_state = 105},
  [7603] = {.lex_state = 0},
  [7604] = {.lex_state = 104},
  [7605] = {.lex_state = 105},
  [7606] = {.lex_state = 104},
  [7607] = {.lex_state = 105},
  [7608] = {.lex_state = 105},
  [7609] = {.lex_state = 105},
  [7610] = {.lex_state = 104},
  [7611] = {.lex_state = 105},
  [7612] = {.lex_state = 104},
  [7613] = {.lex_state = 105},
  [7614] = {.lex_state = 105},
  [7615] = {.lex_state = 104},
  [7616] = {.lex_state = 105},
  [7617] = {.lex_state = 105},
  [7618] = {.lex_state = 104},
  [7619] = {.lex_state = 105},
  [7620] = {.lex_state = 104},
  [7621] = {.lex_state = 105},
  [7622] = {.lex_state = 105},
  [7623] = {.lex_state = 105},
  [7624] = {.lex_state = 105},
  [7625] = {.lex_state = 105},
  [7626] = {.lex_state = 105},
  [7627] = {.lex_state = 105},
  [7628] = {.lex_state = 104},
  [7629] = {.lex_state = 105},
  [7630] = {.lex_state = 104},
  [7631] = {.lex_state = 105},
  [7632] = {.lex_state = 105},
  [7633] = {.lex_state = 105},
  [7634] = {.lex_state = 104},
  [7635] = {.lex_state = 105},
  [7636] = {.lex_state = 105},
  [7637] = {.lex_state = 105},
  [7638] = {.lex_state = 104},
  [7639] = {.lex_state = 105},
  [7640] = {.lex_state = 104},
  [7641] = {.lex_state = 105},
  [7642] = {.lex_state = 105},
  [7643] = {.lex_state = 104},
  [7644] = {.lex_state = 105},
  [7645] = {.lex_state = 105},
  [7646] = {.lex_state = 104},
  [7647] = {.lex_state = 105},
  [7648] = {.lex_state = 105},
  [7649] = {.lex_state = 104},
  [7650] = {.lex_state = 105},
  [7651] = {.lex_state = 105},
  [7652] = {.lex_state = 105},
  [7653] = {.lex_state = 105},
  [7654] = {.lex_state = 105},
  [7655] = {.lex_state = 105},
  [7656] = {.lex_state = 104},
  [7657] = {.lex_state = 104},
  [7658] = {.lex_state = 104},
  [7659] = {.lex_state = 105},
  [7660] = {.lex_state = 105},
  [7661] = {.lex_state = 105},
  [7662] = {.lex_state = 105},
  [7663] = {.lex_state = 105},
  [7664] = {.lex_state = 105},
  [7665] = {.lex_state = 105},
  [7666] = {.lex_state = 0},
  [7667] = {.lex_state = 104},
  [7668] = {.lex_state = 105},
  [7669] = {.lex_state = 104},
  [7670] = {.lex_state = 105},
  [7671] = {.lex_state = 104},
  [7672] = {.lex_state = 0},
  [7673] = {.lex_state = 104},
  [7674] = {.lex_state = 104},
  [7675] = {.lex_state = 104},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 104},
  [7678] = {.lex_state = 104},
  [7679] = {.lex_state = 104},
  [7680] = {.lex_state = 105},
  [7681] = {.lex_state = 104},
  [7682] = {.lex_state = 104},
  [7683] = {.lex_state = 104},
  [7684] = {.lex_state = 104},
  [7685] = {.lex_state = 104},
  [7686] = {.lex_state = 104},
  [7687] = {.lex_state = 105},
  [7688] = {.lex_state = 104},
  [7689] = {.lex_state = 104},
  [7690] = {.lex_state = 104},
  [7691] = {.lex_state = 104},
  [7692] = {.lex_state = 104},
  [7693] = {.lex_state = 104},
  [7694] = {.lex_state = 104},
  [7695] = {.lex_state = 104},
  [7696] = {.lex_state = 0},
  [7697] = {.lex_state = 104},
  [7698] = {.lex_state = 104},
  [7699] = {.lex_state = 104},
  [7700] = {.lex_state = 104},
  [7701] = {.lex_state = 104},
  [7702] = {.lex_state = 104},
  [7703] = {.lex_state = 104},
  [7704] = {.lex_state = 0, .external_lex_state = 5},
  [7705] = {.lex_state = 104},
  [7706] = {.lex_state = 104},
  [7707] = {.lex_state = 104},
  [7708] = {.lex_state = 0, .external_lex_state = 5},
  [7709] = {.lex_state = 104},
  [7710] = {.lex_state = 104},
  [7711] = {.lex_state = 104},
  [7712] = {.lex_state = 104},
  [7713] = {.lex_state = 104},
  [7714] = {.lex_state = 104},
  [7715] = {.lex_state = 104},
  [7716] = {.lex_state = 0, .external_lex_state = 5},
  [7717] = {.lex_state = 105},
  [7718] = {.lex_state = 104},
  [7719] = {.lex_state = 104},
  [7720] = {.lex_state = 104},
  [7721] = {.lex_state = 104},
  [7722] = {.lex_state = 0, .external_lex_state = 5},
  [7723] = {.lex_state = 104},
  [7724] = {.lex_state = 105},
  [7725] = {.lex_state = 104},
  [7726] = {.lex_state = 104},
  [7727] = {.lex_state = 0, .external_lex_state = 5},
  [7728] = {.lex_state = 0, .external_lex_state = 5},
  [7729] = {.lex_state = 104},
  [7730] = {.lex_state = 104},
  [7731] = {.lex_state = 104},
  [7732] = {.lex_state = 104},
  [7733] = {.lex_state = 104},
  [7734] = {.lex_state = 104},
  [7735] = {.lex_state = 104},
  [7736] = {.lex_state = 105},
  [7737] = {.lex_state = 104},
  [7738] = {.lex_state = 104},
  [7739] = {.lex_state = 104},
  [7740] = {.lex_state = 104},
  [7741] = {.lex_state = 104},
  [7742] = {.lex_state = 0, .external_lex_state = 5},
  [7743] = {.lex_state = 105},
  [7744] = {.lex_state = 0, .external_lex_state = 5},
  [7745] = {.lex_state = 104},
  [7746] = {.lex_state = 0, .external_lex_state = 5},
  [7747] = {.lex_state = 104},
  [7748] = {.lex_state = 104},
  [7749] = {.lex_state = 104},
  [7750] = {.lex_state = 104},
  [7751] = {.lex_state = 104},
  [7752] = {.lex_state = 104},
  [7753] = {.lex_state = 104},
  [7754] = {.lex_state = 105},
  [7755] = {.lex_state = 104},
  [7756] = {.lex_state = 0, .external_lex_state = 5},
  [7757] = {.lex_state = 104},
  [7758] = {.lex_state = 104},
  [7759] = {.lex_state = 104},
  [7760] = {.lex_state = 104},
  [7761] = {.lex_state = 104},
  [7762] = {.lex_state = 104},
  [7763] = {.lex_state = 104},
  [7764] = {.lex_state = 104},
  [7765] = {.lex_state = 0, .external_lex_state = 5},
  [7766] = {.lex_state = 104},
  [7767] = {.lex_state = 105},
  [7768] = {.lex_state = 104},
  [7769] = {.lex_state = 104},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 0, .external_lex_state = 5},
  [7772] = {.lex_state = 0, .external_lex_state = 6},
  [7773] = {.lex_state = 0},
  [7774] = {.lex_state = 0, .external_lex_state = 5},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 10},
  [7777] = {.lex_state = 105},
  [7778] = {.lex_state = 105},
  [7779] = {.lex_state = 0},
  [7780] = {.lex_state = 105},
  [7781] = {.lex_state = 105},
  [7782] = {.lex_state = 105},
  [7783] = {.lex_state = 105},
  [7784] = {.lex_state = 2},
  [7785] = {.lex_state = 105},
  [7786] = {.lex_state = 105},
  [7787] = {.lex_state = 105},
  [7788] = {.lex_state = 105},
  [7789] = {.lex_state = 10},
  [7790] = {.lex_state = 105},
  [7791] = {.lex_state = 105},
  [7792] = {.lex_state = 105},
  [7793] = {.lex_state = 105},
  [7794] = {.lex_state = 105},
  [7795] = {.lex_state = 105},
  [7796] = {.lex_state = 105},
  [7797] = {.lex_state = 105},
  [7798] = {.lex_state = 105},
  [7799] = {.lex_state = 105},
  [7800] = {.lex_state = 105},
  [7801] = {.lex_state = 105},
  [7802] = {.lex_state = 105},
  [7803] = {.lex_state = 105},
  [7804] = {.lex_state = 105},
  [7805] = {.lex_state = 105},
  [7806] = {.lex_state = 105},
  [7807] = {.lex_state = 105},
  [7808] = {.lex_state = 105},
  [7809] = {.lex_state = 0, .external_lex_state = 5},
  [7810] = {.lex_state = 0, .external_lex_state = 6},
  [7811] = {.lex_state = 105},
  [7812] = {.lex_state = 105},
  [7813] = {.lex_state = 105},
  [7814] = {.lex_state = 0, .external_lex_state = 6},
  [7815] = {.lex_state = 1},
  [7816] = {.lex_state = 105},
  [7817] = {.lex_state = 105},
  [7818] = {.lex_state = 105},
  [7819] = {.lex_state = 1},
  [7820] = {.lex_state = 105},
  [7821] = {.lex_state = 105},
  [7822] = {.lex_state = 105},
  [7823] = {.lex_state = 105},
  [7824] = {.lex_state = 105},
  [7825] = {.lex_state = 105},
  [7826] = {.lex_state = 0},
  [7827] = {.lex_state = 0},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 105},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 105},
  [7833] = {.lex_state = 105},
  [7834] = {.lex_state = 105},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 105},
  [7838] = {.lex_state = 105},
  [7839] = {.lex_state = 105},
  [7840] = {.lex_state = 105},
  [7841] = {.lex_state = 105},
  [7842] = {.lex_state = 105},
  [7843] = {.lex_state = 105},
  [7844] = {.lex_state = 105},
  [7845] = {.lex_state = 105},
  [7846] = {.lex_state = 105},
  [7847] = {.lex_state = 105},
  [7848] = {.lex_state = 105},
  [7849] = {.lex_state = 105},
  [7850] = {.lex_state = 105},
  [7851] = {.lex_state = 105},
  [7852] = {.lex_state = 105},
  [7853] = {.lex_state = 105},
  [7854] = {.lex_state = 105},
  [7855] = {.lex_state = 105},
  [7856] = {.lex_state = 105},
  [7857] = {.lex_state = 105},
  [7858] = {.lex_state = 105},
  [7859] = {.lex_state = 105},
  [7860] = {.lex_state = 105},
  [7861] = {.lex_state = 105},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 105},
  [7864] = {.lex_state = 105},
  [7865] = {.lex_state = 105},
  [7866] = {.lex_state = 105},
  [7867] = {.lex_state = 105},
  [7868] = {.lex_state = 2},
  [7869] = {.lex_state = 0, .external_lex_state = 5},
  [7870] = {.lex_state = 0, .external_lex_state = 6},
  [7871] = {.lex_state = 105},
  [7872] = {.lex_state = 2},
  [7873] = {.lex_state = 105},
  [7874] = {.lex_state = 105},
  [7875] = {.lex_state = 105},
  [7876] = {.lex_state = 0, .external_lex_state = 5},
  [7877] = {.lex_state = 0, .external_lex_state = 6},
  [7878] = {.lex_state = 0, .external_lex_state = 5},
  [7879] = {.lex_state = 0, .external_lex_state = 6},
  [7880] = {.lex_state = 105},
  [7881] = {.lex_state = 105},
  [7882] = {.lex_state = 105},
  [7883] = {.lex_state = 105},
  [7884] = {.lex_state = 105},
  [7885] = {.lex_state = 105},
  [7886] = {.lex_state = 2},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 105},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 0},
  [7891] = {.lex_state = 105},
  [7892] = {.lex_state = 0},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 0},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 105},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 2},
  [7900] = {.lex_state = 0, .external_lex_state = 5},
  [7901] = {.lex_state = 0, .external_lex_state = 6},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 105},
  [7904] = {.lex_state = 105},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 2},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 105},
  [7910] = {.lex_state = 2},
  [7911] = {.lex_state = 0, .external_lex_state = 5},
  [7912] = {.lex_state = 0, .external_lex_state = 6},
  [7913] = {.lex_state = 105},
  [7914] = {.lex_state = 2},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 0},
  [7917] = {.lex_state = 105},
  [7918] = {.lex_state = 105},
  [7919] = {.lex_state = 2},
  [7920] = {.lex_state = 105},
  [7921] = {.lex_state = 105},
  [7922] = {.lex_state = 105},
  [7923] = {.lex_state = 0, .external_lex_state = 5},
  [7924] = {.lex_state = 0, .external_lex_state = 6},
  [7925] = {.lex_state = 2},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 0},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 0, .external_lex_state = 5},
  [7930] = {.lex_state = 0, .external_lex_state = 6},
  [7931] = {.lex_state = 2},
  [7932] = {.lex_state = 105},
  [7933] = {.lex_state = 105},
  [7934] = {.lex_state = 2},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 105},
  [7937] = {.lex_state = 105},
  [7938] = {.lex_state = 0, .external_lex_state = 5},
  [7939] = {.lex_state = 0, .external_lex_state = 6},
  [7940] = {.lex_state = 2},
  [7941] = {.lex_state = 105},
  [7942] = {.lex_state = 105},
  [7943] = {.lex_state = 105},
  [7944] = {.lex_state = 105},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 105},
  [7947] = {.lex_state = 105},
  [7948] = {.lex_state = 105},
  [7949] = {.lex_state = 0},
  [7950] = {.lex_state = 105},
  [7951] = {.lex_state = 105},
  [7952] = {.lex_state = 105},
  [7953] = {.lex_state = 105},
  [7954] = {.lex_state = 105},
  [7955] = {.lex_state = 105},
  [7956] = {.lex_state = 105},
  [7957] = {.lex_state = 105},
  [7958] = {.lex_state = 105},
  [7959] = {.lex_state = 105},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 105},
  [7963] = {.lex_state = 105},
  [7964] = {.lex_state = 105},
  [7965] = {.lex_state = 104},
  [7966] = {.lex_state = 105},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 105},
  [7969] = {.lex_state = 105},
  [7970] = {.lex_state = 105},
  [7971] = {.lex_state = 105},
  [7972] = {.lex_state = 105},
  [7973] = {.lex_state = 105},
  [7974] = {.lex_state = 105},
  [7975] = {.lex_state = 105},
  [7976] = {.lex_state = 105},
  [7977] = {.lex_state = 1},
  [7978] = {.lex_state = 105},
  [7979] = {.lex_state = 105},
  [7980] = {.lex_state = 105},
  [7981] = {.lex_state = 1},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 105},
  [7985] = {.lex_state = 105},
  [7986] = {.lex_state = 1},
  [7987] = {.lex_state = 105},
  [7988] = {.lex_state = 1},
  [7989] = {.lex_state = 105},
  [7990] = {.lex_state = 105},
  [7991] = {.lex_state = 105},
  [7992] = {.lex_state = 1},
  [7993] = {.lex_state = 105},
  [7994] = {.lex_state = 105},
  [7995] = {.lex_state = 105},
  [7996] = {.lex_state = 105},
  [7997] = {.lex_state = 105},
  [7998] = {.lex_state = 105},
  [7999] = {.lex_state = 105},
  [8000] = {.lex_state = 105},
  [8001] = {.lex_state = 105},
  [8002] = {.lex_state = 105},
  [8003] = {.lex_state = 105},
  [8004] = {.lex_state = 105},
  [8005] = {.lex_state = 105},
  [8006] = {.lex_state = 105},
  [8007] = {.lex_state = 105},
  [8008] = {.lex_state = 105},
  [8009] = {.lex_state = 105},
  [8010] = {.lex_state = 105},
  [8011] = {.lex_state = 105},
  [8012] = {.lex_state = 105},
  [8013] = {.lex_state = 105},
  [8014] = {.lex_state = 105},
  [8015] = {.lex_state = 1},
  [8016] = {.lex_state = 105},
  [8017] = {.lex_state = 105},
  [8018] = {.lex_state = 105},
  [8019] = {.lex_state = 105},
  [8020] = {.lex_state = 105},
  [8021] = {.lex_state = 105},
  [8022] = {.lex_state = 105},
  [8023] = {.lex_state = 105},
  [8024] = {.lex_state = 105},
  [8025] = {.lex_state = 105},
  [8026] = {.lex_state = 105},
  [8027] = {.lex_state = 105},
  [8028] = {.lex_state = 105},
  [8029] = {.lex_state = 105},
  [8030] = {.lex_state = 105},
  [8031] = {.lex_state = 105},
  [8032] = {.lex_state = 105},
  [8033] = {.lex_state = 105},
  [8034] = {.lex_state = 105},
  [8035] = {.lex_state = 105},
  [8036] = {.lex_state = 105},
  [8037] = {.lex_state = 105},
  [8038] = {.lex_state = 105},
  [8039] = {.lex_state = 1},
  [8040] = {.lex_state = 105},
  [8041] = {.lex_state = 105},
  [8042] = {.lex_state = 105},
  [8043] = {.lex_state = 105},
  [8044] = {.lex_state = 105},
  [8045] = {.lex_state = 105},
  [8046] = {.lex_state = 105},
  [8047] = {.lex_state = 105},
  [8048] = {.lex_state = 105},
  [8049] = {.lex_state = 0},
  [8050] = {.lex_state = 105},
  [8051] = {.lex_state = 105},
  [8052] = {.lex_state = 105},
  [8053] = {.lex_state = 105},
  [8054] = {.lex_state = 105},
  [8055] = {.lex_state = 10},
  [8056] = {.lex_state = 105},
  [8057] = {.lex_state = 105},
  [8058] = {.lex_state = 105},
  [8059] = {.lex_state = 1},
  [8060] = {.lex_state = 105},
  [8061] = {.lex_state = 105},
  [8062] = {.lex_state = 10},
  [8063] = {.lex_state = 105},
  [8064] = {.lex_state = 1},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 105},
  [8067] = {.lex_state = 105},
  [8068] = {.lex_state = 105},
  [8069] = {.lex_state = 105},
  [8070] = {.lex_state = 105},
  [8071] = {.lex_state = 105},
  [8072] = {.lex_state = 1},
  [8073] = {.lex_state = 105},
  [8074] = {.lex_state = 105},
  [8075] = {.lex_state = 105},
  [8076] = {.lex_state = 105},
  [8077] = {.lex_state = 105},
  [8078] = {.lex_state = 105},
  [8079] = {.lex_state = 105},
  [8080] = {.lex_state = 105},
  [8081] = {.lex_state = 105},
  [8082] = {.lex_state = 105},
  [8083] = {.lex_state = 105},
  [8084] = {.lex_state = 105},
  [8085] = {.lex_state = 105},
  [8086] = {.lex_state = 105},
  [8087] = {.lex_state = 105},
  [8088] = {.lex_state = 1},
  [8089] = {.lex_state = 105},
  [8090] = {.lex_state = 1},
  [8091] = {.lex_state = 105},
  [8092] = {.lex_state = 105},
  [8093] = {.lex_state = 105},
  [8094] = {.lex_state = 1},
  [8095] = {.lex_state = 105},
  [8096] = {.lex_state = 1},
  [8097] = {.lex_state = 1},
  [8098] = {.lex_state = 1},
  [8099] = {.lex_state = 105},
  [8100] = {.lex_state = 105},
  [8101] = {.lex_state = 105},
  [8102] = {.lex_state = 105},
  [8103] = {.lex_state = 105},
  [8104] = {.lex_state = 0},
  [8105] = {.lex_state = 105},
  [8106] = {.lex_state = 105},
  [8107] = {.lex_state = 105},
  [8108] = {.lex_state = 105},
  [8109] = {.lex_state = 105},
  [8110] = {.lex_state = 105},
  [8111] = {.lex_state = 105},
  [8112] = {.lex_state = 105},
  [8113] = {.lex_state = 105},
  [8114] = {.lex_state = 105},
  [8115] = {.lex_state = 105},
  [8116] = {.lex_state = 105},
  [8117] = {.lex_state = 105},
  [8118] = {.lex_state = 105},
  [8119] = {.lex_state = 105},
  [8120] = {.lex_state = 1},
  [8121] = {.lex_state = 105},
  [8122] = {.lex_state = 105},
  [8123] = {.lex_state = 104},
  [8124] = {.lex_state = 105},
  [8125] = {.lex_state = 105},
  [8126] = {.lex_state = 105},
  [8127] = {.lex_state = 105},
  [8128] = {.lex_state = 105},
  [8129] = {.lex_state = 105},
  [8130] = {.lex_state = 105},
  [8131] = {.lex_state = 105},
  [8132] = {.lex_state = 105},
  [8133] = {.lex_state = 105},
  [8134] = {.lex_state = 105},
  [8135] = {.lex_state = 105},
  [8136] = {.lex_state = 1},
  [8137] = {.lex_state = 105},
  [8138] = {.lex_state = 105},
  [8139] = {.lex_state = 105},
  [8140] = {.lex_state = 105},
  [8141] = {.lex_state = 105},
  [8142] = {.lex_state = 105},
  [8143] = {.lex_state = 105},
  [8144] = {.lex_state = 105},
  [8145] = {.lex_state = 105},
  [8146] = {.lex_state = 105},
  [8147] = {.lex_state = 105},
  [8148] = {.lex_state = 104},
  [8149] = {.lex_state = 1},
  [8150] = {.lex_state = 105},
  [8151] = {.lex_state = 105},
  [8152] = {.lex_state = 105},
  [8153] = {.lex_state = 105},
  [8154] = {.lex_state = 105},
  [8155] = {.lex_state = 105},
  [8156] = {.lex_state = 105},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 105},
  [8159] = {.lex_state = 105},
  [8160] = {.lex_state = 105},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 105},
  [8163] = {.lex_state = 105},
  [8164] = {.lex_state = 105},
  [8165] = {.lex_state = 105},
  [8166] = {.lex_state = 105},
  [8167] = {.lex_state = 105},
  [8168] = {.lex_state = 105},
  [8169] = {.lex_state = 104},
  [8170] = {.lex_state = 105},
  [8171] = {.lex_state = 105},
  [8172] = {.lex_state = 105},
  [8173] = {.lex_state = 105},
  [8174] = {.lex_state = 105},
  [8175] = {.lex_state = 105},
  [8176] = {.lex_state = 105},
  [8177] = {.lex_state = 104},
  [8178] = {.lex_state = 1},
  [8179] = {.lex_state = 105},
  [8180] = {.lex_state = 105},
  [8181] = {.lex_state = 105},
  [8182] = {.lex_state = 105},
  [8183] = {.lex_state = 105},
  [8184] = {.lex_state = 1},
  [8185] = {.lex_state = 105},
  [8186] = {.lex_state = 105},
  [8187] = {.lex_state = 105},
  [8188] = {.lex_state = 105},
  [8189] = {.lex_state = 1},
  [8190] = {.lex_state = 105},
  [8191] = {.lex_state = 105},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 105},
  [8194] = {.lex_state = 105},
  [8195] = {.lex_state = 105},
  [8196] = {.lex_state = 105},
  [8197] = {.lex_state = 105},
  [8198] = {.lex_state = 0},
  [8199] = {.lex_state = 1},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 105},
  [8202] = {.lex_state = 105},
  [8203] = {.lex_state = 105},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 105},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 105},
  [8208] = {.lex_state = 105},
  [8209] = {.lex_state = 105},
  [8210] = {.lex_state = 105},
  [8211] = {.lex_state = 105},
  [8212] = {.lex_state = 105},
  [8213] = {.lex_state = 1},
  [8214] = {.lex_state = 104},
  [8215] = {.lex_state = 105},
  [8216] = {.lex_state = 105},
  [8217] = {.lex_state = 105},
  [8218] = {.lex_state = 105},
  [8219] = {.lex_state = 105},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 1},
  [8222] = {.lex_state = 104},
  [8223] = {.lex_state = 105},
  [8224] = {.lex_state = 105},
  [8225] = {.lex_state = 105},
  [8226] = {.lex_state = 105},
  [8227] = {.lex_state = 105},
  [8228] = {.lex_state = 105},
  [8229] = {.lex_state = 105},
  [8230] = {.lex_state = 105},
  [8231] = {.lex_state = 105},
  [8232] = {.lex_state = 105},
  [8233] = {.lex_state = 105},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 105},
  [8236] = {.lex_state = 105},
  [8237] = {.lex_state = 104},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 105},
  [8240] = {.lex_state = 104},
  [8241] = {.lex_state = 105},
  [8242] = {.lex_state = 0},
  [8243] = {.lex_state = 105},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 105},
  [8246] = {.lex_state = 105},
  [8247] = {.lex_state = 105},
  [8248] = {.lex_state = 105},
  [8249] = {.lex_state = 0},
  [8250] = {.lex_state = 104},
  [8251] = {.lex_state = 105},
  [8252] = {.lex_state = 10},
  [8253] = {.lex_state = 105},
  [8254] = {.lex_state = 105},
  [8255] = {.lex_state = 10},
  [8256] = {.lex_state = 105},
  [8257] = {.lex_state = 105},
  [8258] = {.lex_state = 105},
  [8259] = {.lex_state = 10},
  [8260] = {.lex_state = 0},
  [8261] = {.lex_state = 10},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 105},
  [8264] = {.lex_state = 0},
  [8265] = {.lex_state = 105},
  [8266] = {.lex_state = 105},
  [8267] = {.lex_state = 105},
  [8268] = {.lex_state = 105},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 105},
  [8271] = {.lex_state = 105},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 2},
  [8274] = {.lex_state = 10},
  [8275] = {.lex_state = 105},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 105},
  [8278] = {.lex_state = 105},
  [8279] = {.lex_state = 104},
  [8280] = {.lex_state = 105},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 0},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 105},
  [8287] = {.lex_state = 105},
  [8288] = {.lex_state = 2},
  [8289] = {.lex_state = 105},
  [8290] = {.lex_state = 104},
  [8291] = {.lex_state = 105},
  [8292] = {.lex_state = 105},
  [8293] = {.lex_state = 105},
  [8294] = {.lex_state = 105},
  [8295] = {.lex_state = 105},
  [8296] = {.lex_state = 0},
  [8297] = {.lex_state = 104},
  [8298] = {.lex_state = 105},
  [8299] = {.lex_state = 105},
  [8300] = {.lex_state = 104},
  [8301] = {.lex_state = 104},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 0},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 105},
  [8306] = {.lex_state = 105},
  [8307] = {.lex_state = 2},
  [8308] = {.lex_state = 105},
  [8309] = {.lex_state = 104},
  [8310] = {.lex_state = 105},
  [8311] = {.lex_state = 0},
  [8312] = {.lex_state = 0, .external_lex_state = 5},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 105},
  [8315] = {.lex_state = 105},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 0},
  [8318] = {.lex_state = 0},
  [8319] = {.lex_state = 105},
  [8320] = {.lex_state = 0, .external_lex_state = 5},
  [8321] = {.lex_state = 0, .external_lex_state = 5},
  [8322] = {.lex_state = 0, .external_lex_state = 5},
  [8323] = {.lex_state = 105},
  [8324] = {.lex_state = 105},
  [8325] = {.lex_state = 105},
  [8326] = {.lex_state = 104},
  [8327] = {.lex_state = 105},
  [8328] = {.lex_state = 105},
  [8329] = {.lex_state = 105},
  [8330] = {.lex_state = 105},
  [8331] = {.lex_state = 0, .external_lex_state = 5},
  [8332] = {.lex_state = 105},
  [8333] = {.lex_state = 105},
  [8334] = {.lex_state = 105},
  [8335] = {.lex_state = 105},
  [8336] = {.lex_state = 0},
  [8337] = {.lex_state = 0},
  [8338] = {.lex_state = 105},
  [8339] = {.lex_state = 105},
  [8340] = {.lex_state = 10},
  [8341] = {.lex_state = 105},
  [8342] = {.lex_state = 105},
  [8343] = {.lex_state = 105},
  [8344] = {.lex_state = 105},
  [8345] = {.lex_state = 10},
  [8346] = {.lex_state = 105},
  [8347] = {.lex_state = 105},
  [8348] = {.lex_state = 105},
  [8349] = {.lex_state = 105},
  [8350] = {.lex_state = 4},
  [8351] = {.lex_state = 0},
  [8352] = {.lex_state = 105},
  [8353] = {.lex_state = 105},
  [8354] = {.lex_state = 105},
  [8355] = {.lex_state = 105},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 105},
  [8358] = {.lex_state = 105},
  [8359] = {.lex_state = 105},
  [8360] = {.lex_state = 10},
  [8361] = {.lex_state = 0},
  [8362] = {.lex_state = 0},
  [8363] = {.lex_state = 105},
  [8364] = {.lex_state = 105},
  [8365] = {.lex_state = 0},
  [8366] = {.lex_state = 105},
  [8367] = {.lex_state = 105},
  [8368] = {.lex_state = 105},
  [8369] = {.lex_state = 105},
  [8370] = {.lex_state = 105},
  [8371] = {.lex_state = 105},
  [8372] = {.lex_state = 104},
  [8373] = {.lex_state = 104},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 10},
  [8376] = {.lex_state = 0},
  [8377] = {.lex_state = 0},
  [8378] = {.lex_state = 0},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 0},
  [8382] = {.lex_state = 0},
  [8383] = {.lex_state = 0},
  [8384] = {.lex_state = 0},
  [8385] = {.lex_state = 0, .external_lex_state = 6},
  [8386] = {.lex_state = 0},
  [8387] = {.lex_state = 0},
  [8388] = {.lex_state = 0},
  [8389] = {.lex_state = 0},
  [8390] = {.lex_state = 10},
  [8391] = {.lex_state = 0},
  [8392] = {.lex_state = 0},
  [8393] = {.lex_state = 0},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 105},
  [8396] = {.lex_state = 0},
  [8397] = {.lex_state = 0},
  [8398] = {.lex_state = 0},
  [8399] = {.lex_state = 0},
  [8400] = {.lex_state = 0},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 0},
  [8404] = {.lex_state = 0},
  [8405] = {.lex_state = 0},
  [8406] = {.lex_state = 0},
  [8407] = {.lex_state = 0},
  [8408] = {.lex_state = 0},
  [8409] = {.lex_state = 0},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 0},
  [8413] = {.lex_state = 0},
  [8414] = {.lex_state = 0},
  [8415] = {.lex_state = 10},
  [8416] = {.lex_state = 0},
  [8417] = {.lex_state = 0},
  [8418] = {.lex_state = 0},
  [8419] = {.lex_state = 0},
  [8420] = {.lex_state = 4},
  [8421] = {.lex_state = 10},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 0},
  [8424] = {.lex_state = 0},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 0},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 10},
  [8430] = {.lex_state = 0},
  [8431] = {.lex_state = 0},
  [8432] = {.lex_state = 0},
  [8433] = {.lex_state = 0},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 0},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 0},
  [8439] = {.lex_state = 0},
  [8440] = {.lex_state = 0},
  [8441] = {.lex_state = 0},
  [8442] = {.lex_state = 105},
  [8443] = {.lex_state = 0, .external_lex_state = 6},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 105},
  [8447] = {.lex_state = 10},
  [8448] = {.lex_state = 0},
  [8449] = {.lex_state = 10},
  [8450] = {.lex_state = 0},
  [8451] = {.lex_state = 0},
  [8452] = {.lex_state = 0},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 0},
  [8455] = {.lex_state = 0},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 0},
  [8458] = {.lex_state = 0, .external_lex_state = 6},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 0},
  [8461] = {.lex_state = 0},
  [8462] = {.lex_state = 10},
  [8463] = {.lex_state = 0},
  [8464] = {.lex_state = 0},
  [8465] = {.lex_state = 0},
  [8466] = {.lex_state = 0},
  [8467] = {.lex_state = 0},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 0},
  [8470] = {.lex_state = 0},
  [8471] = {.lex_state = 0},
  [8472] = {.lex_state = 0},
  [8473] = {.lex_state = 10},
  [8474] = {.lex_state = 0},
  [8475] = {.lex_state = 0},
  [8476] = {.lex_state = 0},
  [8477] = {.lex_state = 10},
  [8478] = {.lex_state = 0},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 0},
  [8481] = {.lex_state = 0},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 0, .external_lex_state = 5},
  [8484] = {.lex_state = 0},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 0, .external_lex_state = 5},
  [8487] = {.lex_state = 0},
  [8488] = {.lex_state = 0},
  [8489] = {.lex_state = 0},
  [8490] = {.lex_state = 0},
  [8491] = {.lex_state = 0, .external_lex_state = 6},
  [8492] = {.lex_state = 0, .external_lex_state = 6},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 0},
  [8495] = {.lex_state = 0},
  [8496] = {.lex_state = 10},
  [8497] = {.lex_state = 0},
  [8498] = {.lex_state = 10},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 0},
  [8501] = {.lex_state = 0},
  [8502] = {.lex_state = 0},
  [8503] = {.lex_state = 0},
  [8504] = {.lex_state = 0},
  [8505] = {.lex_state = 0},
  [8506] = {.lex_state = 0},
  [8507] = {.lex_state = 0},
  [8508] = {.lex_state = 0},
  [8509] = {.lex_state = 0},
  [8510] = {.lex_state = 0},
  [8511] = {.lex_state = 0},
  [8512] = {.lex_state = 0},
  [8513] = {.lex_state = 0},
  [8514] = {.lex_state = 0},
  [8515] = {.lex_state = 0},
  [8516] = {.lex_state = 0},
  [8517] = {.lex_state = 0},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 0},
  [8520] = {.lex_state = 0},
  [8521] = {.lex_state = 10},
  [8522] = {.lex_state = 10},
  [8523] = {.lex_state = 10},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 10},
  [8526] = {.lex_state = 10},
  [8527] = {.lex_state = 10},
  [8528] = {.lex_state = 10},
  [8529] = {.lex_state = 0},
  [8530] = {.lex_state = 0},
  [8531] = {.lex_state = 0},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 1},
  [8534] = {.lex_state = 105},
  [8535] = {.lex_state = 0},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 0},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 0},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 0},
  [8542] = {.lex_state = 0},
  [8543] = {.lex_state = 0},
  [8544] = {.lex_state = 10},
  [8545] = {.lex_state = 0},
  [8546] = {.lex_state = 10},
  [8547] = {.lex_state = 10},
  [8548] = {.lex_state = 0},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 10},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 0},
  [8554] = {.lex_state = 0},
  [8555] = {.lex_state = 0},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 0},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 0},
  [8563] = {.lex_state = 0},
  [8564] = {.lex_state = 0},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 0},
  [8567] = {.lex_state = 0},
  [8568] = {.lex_state = 0},
  [8569] = {.lex_state = 0},
  [8570] = {.lex_state = 10},
  [8571] = {.lex_state = 10},
  [8572] = {.lex_state = 10},
  [8573] = {.lex_state = 1},
  [8574] = {.lex_state = 0},
  [8575] = {.lex_state = 0},
  [8576] = {.lex_state = 0},
  [8577] = {.lex_state = 10},
  [8578] = {.lex_state = 0},
  [8579] = {.lex_state = 0},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 0},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 10},
  [8584] = {.lex_state = 10},
  [8585] = {.lex_state = 10},
  [8586] = {.lex_state = 0},
  [8587] = {.lex_state = 10},
  [8588] = {.lex_state = 0},
  [8589] = {.lex_state = 0},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 0},
  [8593] = {.lex_state = 0},
  [8594] = {.lex_state = 10},
  [8595] = {.lex_state = 10},
  [8596] = {.lex_state = 0},
  [8597] = {.lex_state = 10},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 10},
  [8600] = {.lex_state = 0},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 105},
  [8603] = {.lex_state = 0},
  [8604] = {.lex_state = 10},
  [8605] = {.lex_state = 10},
  [8606] = {.lex_state = 10},
  [8607] = {.lex_state = 10},
  [8608] = {.lex_state = 105},
  [8609] = {.lex_state = 10},
  [8610] = {.lex_state = 0},
  [8611] = {.lex_state = 10},
  [8612] = {.lex_state = 10},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 0},
  [8615] = {.lex_state = 10},
  [8616] = {.lex_state = 0},
  [8617] = {.lex_state = 0},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 1},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 0},
  [8623] = {.lex_state = 0},
  [8624] = {.lex_state = 0},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 0},
  [8627] = {.lex_state = 0},
  [8628] = {.lex_state = 0},
  [8629] = {.lex_state = 0},
  [8630] = {.lex_state = 0},
  [8631] = {.lex_state = 0},
  [8632] = {.lex_state = 1},
  [8633] = {.lex_state = 0},
  [8634] = {.lex_state = 0},
  [8635] = {.lex_state = 0},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 0},
  [8638] = {.lex_state = 0},
  [8639] = {.lex_state = 104, .external_lex_state = 4},
  [8640] = {.lex_state = 0},
  [8641] = {.lex_state = 1},
  [8642] = {.lex_state = 0},
  [8643] = {.lex_state = 0},
  [8644] = {.lex_state = 0},
  [8645] = {.lex_state = 0},
  [8646] = {.lex_state = 0},
  [8647] = {.lex_state = 0},
  [8648] = {.lex_state = 0},
  [8649] = {.lex_state = 10},
  [8650] = {.lex_state = 0},
  [8651] = {.lex_state = 0},
  [8652] = {.lex_state = 0},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 0},
  [8655] = {.lex_state = 0},
  [8656] = {.lex_state = 104, .external_lex_state = 4},
  [8657] = {.lex_state = 0},
  [8658] = {.lex_state = 0},
  [8659] = {.lex_state = 0},
  [8660] = {.lex_state = 0},
  [8661] = {.lex_state = 0},
  [8662] = {.lex_state = 0},
  [8663] = {.lex_state = 0},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 0},
  [8666] = {.lex_state = 0},
  [8667] = {.lex_state = 0},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 0},
  [8670] = {.lex_state = 0},
  [8671] = {.lex_state = 0},
  [8672] = {.lex_state = 10},
  [8673] = {.lex_state = 10},
  [8674] = {.lex_state = 0},
  [8675] = {.lex_state = 0},
  [8676] = {.lex_state = 0},
  [8677] = {.lex_state = 0},
  [8678] = {.lex_state = 0},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 0},
  [8681] = {.lex_state = 10},
  [8682] = {.lex_state = 10},
  [8683] = {.lex_state = 0},
  [8684] = {.lex_state = 0},
  [8685] = {.lex_state = 0},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 0},
  [8688] = {.lex_state = 0},
  [8689] = {.lex_state = 0},
  [8690] = {.lex_state = 0},
  [8691] = {.lex_state = 10},
  [8692] = {.lex_state = 0},
  [8693] = {.lex_state = 0},
  [8694] = {.lex_state = 0},
  [8695] = {.lex_state = 0},
  [8696] = {.lex_state = 0},
  [8697] = {.lex_state = 0},
  [8698] = {.lex_state = 0},
  [8699] = {.lex_state = 0},
  [8700] = {.lex_state = 0},
  [8701] = {.lex_state = 0},
  [8702] = {.lex_state = 105},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 14},
  [8705] = {.lex_state = 0},
  [8706] = {.lex_state = 105},
  [8707] = {.lex_state = 105},
  [8708] = {.lex_state = 0},
  [8709] = {.lex_state = 0},
  [8710] = {.lex_state = 0},
  [8711] = {.lex_state = 0},
  [8712] = {.lex_state = 105},
  [8713] = {.lex_state = 105},
  [8714] = {.lex_state = 0},
  [8715] = {.lex_state = 105},
  [8716] = {.lex_state = 0},
  [8717] = {.lex_state = 105},
  [8718] = {.lex_state = 105},
  [8719] = {.lex_state = 3},
  [8720] = {.lex_state = 1},
  [8721] = {.lex_state = 0},
  [8722] = {.lex_state = 0},
  [8723] = {.lex_state = 0},
  [8724] = {.lex_state = 0},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 105},
  [8728] = {.lex_state = 105},
  [8729] = {.lex_state = 0},
  [8730] = {.lex_state = 105},
  [8731] = {.lex_state = 105},
  [8732] = {.lex_state = 105},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 105},
  [8735] = {.lex_state = 105},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 0},
  [8738] = {.lex_state = 0},
  [8739] = {.lex_state = 105},
  [8740] = {.lex_state = 105},
  [8741] = {.lex_state = 105},
  [8742] = {.lex_state = 0},
  [8743] = {.lex_state = 0},
  [8744] = {.lex_state = 105},
  [8745] = {.lex_state = 0},
  [8746] = {.lex_state = 10},
  [8747] = {.lex_state = 0},
  [8748] = {.lex_state = 0},
  [8749] = {.lex_state = 0},
  [8750] = {.lex_state = 105},
  [8751] = {.lex_state = 0},
  [8752] = {.lex_state = 10},
  [8753] = {.lex_state = 0},
  [8754] = {.lex_state = 0},
  [8755] = {.lex_state = 0},
  [8756] = {.lex_state = 0},
  [8757] = {.lex_state = 105},
  [8758] = {.lex_state = 0},
  [8759] = {.lex_state = 105},
  [8760] = {.lex_state = 0},
  [8761] = {.lex_state = 105},
  [8762] = {.lex_state = 0},
  [8763] = {.lex_state = 105},
  [8764] = {.lex_state = 0},
  [8765] = {.lex_state = 0},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 0},
  [8768] = {.lex_state = 105},
  [8769] = {.lex_state = 0},
  [8770] = {.lex_state = 105},
  [8771] = {.lex_state = 105},
  [8772] = {.lex_state = 105},
  [8773] = {.lex_state = 0},
  [8774] = {.lex_state = 105},
  [8775] = {.lex_state = 10},
  [8776] = {.lex_state = 105},
  [8777] = {.lex_state = 105},
  [8778] = {.lex_state = 0},
  [8779] = {.lex_state = 0},
  [8780] = {.lex_state = 105},
  [8781] = {.lex_state = 0},
  [8782] = {.lex_state = 105},
  [8783] = {.lex_state = 0},
  [8784] = {.lex_state = 105},
  [8785] = {.lex_state = 0},
  [8786] = {.lex_state = 0},
  [8787] = {.lex_state = 0},
  [8788] = {.lex_state = 10},
  [8789] = {.lex_state = 0},
  [8790] = {.lex_state = 0},
  [8791] = {.lex_state = 105},
  [8792] = {.lex_state = 0},
  [8793] = {.lex_state = 105},
  [8794] = {.lex_state = 0},
  [8795] = {.lex_state = 0},
  [8796] = {.lex_state = 0},
  [8797] = {.lex_state = 105},
  [8798] = {.lex_state = 0},
  [8799] = {.lex_state = 14},
  [8800] = {.lex_state = 0},
  [8801] = {.lex_state = 0},
  [8802] = {.lex_state = 0},
  [8803] = {.lex_state = 10},
  [8804] = {.lex_state = 0},
  [8805] = {.lex_state = 105},
  [8806] = {.lex_state = 105},
  [8807] = {.lex_state = 0},
  [8808] = {.lex_state = 0},
  [8809] = {.lex_state = 105},
  [8810] = {.lex_state = 0},
  [8811] = {.lex_state = 0},
  [8812] = {.lex_state = 0},
  [8813] = {.lex_state = 10},
  [8814] = {.lex_state = 105},
  [8815] = {.lex_state = 0},
  [8816] = {.lex_state = 10},
  [8817] = {.lex_state = 0},
  [8818] = {.lex_state = 105},
  [8819] = {.lex_state = 0},
  [8820] = {.lex_state = 0},
  [8821] = {.lex_state = 105},
  [8822] = {.lex_state = 0},
  [8823] = {.lex_state = 0},
  [8824] = {.lex_state = 0},
  [8825] = {.lex_state = 10},
  [8826] = {.lex_state = 105},
  [8827] = {.lex_state = 105},
  [8828] = {.lex_state = 105},
  [8829] = {.lex_state = 0},
  [8830] = {.lex_state = 105},
  [8831] = {.lex_state = 0},
  [8832] = {.lex_state = 105},
  [8833] = {.lex_state = 105},
  [8834] = {.lex_state = 0},
  [8835] = {.lex_state = 0},
  [8836] = {.lex_state = 0},
  [8837] = {.lex_state = 105},
  [8838] = {.lex_state = 1},
  [8839] = {.lex_state = 0},
  [8840] = {.lex_state = 0},
  [8841] = {.lex_state = 0},
  [8842] = {.lex_state = 0},
  [8843] = {.lex_state = 0},
  [8844] = {.lex_state = 105},
  [8845] = {.lex_state = 0},
  [8846] = {.lex_state = 105},
  [8847] = {.lex_state = 105},
  [8848] = {.lex_state = 105},
  [8849] = {.lex_state = 0},
  [8850] = {.lex_state = 0},
  [8851] = {.lex_state = 0},
  [8852] = {.lex_state = 0},
  [8853] = {.lex_state = 14},
  [8854] = {.lex_state = 0},
  [8855] = {.lex_state = 105},
  [8856] = {.lex_state = 0},
  [8857] = {.lex_state = 105},
  [8858] = {.lex_state = 0},
  [8859] = {.lex_state = 10},
  [8860] = {.lex_state = 0},
  [8861] = {.lex_state = 14},
  [8862] = {.lex_state = 105},
  [8863] = {.lex_state = 0},
  [8864] = {.lex_state = 0},
  [8865] = {.lex_state = 105},
  [8866] = {.lex_state = 0},
  [8867] = {.lex_state = 0},
  [8868] = {.lex_state = 0},
  [8869] = {.lex_state = 0},
  [8870] = {.lex_state = 0},
  [8871] = {.lex_state = 105},
  [8872] = {.lex_state = 0},
  [8873] = {.lex_state = 105},
  [8874] = {.lex_state = 0},
  [8875] = {.lex_state = 105},
  [8876] = {.lex_state = 105},
  [8877] = {.lex_state = 0},
  [8878] = {.lex_state = 0},
  [8879] = {.lex_state = 0},
  [8880] = {.lex_state = 105},
  [8881] = {.lex_state = 105},
  [8882] = {.lex_state = 0},
  [8883] = {.lex_state = 105},
  [8884] = {.lex_state = 0},
  [8885] = {.lex_state = 0},
  [8886] = {.lex_state = 105},
  [8887] = {.lex_state = 0},
  [8888] = {.lex_state = 105},
  [8889] = {.lex_state = 0},
  [8890] = {.lex_state = 0},
  [8891] = {.lex_state = 0},
  [8892] = {.lex_state = 105},
  [8893] = {.lex_state = 105},
  [8894] = {.lex_state = 0},
  [8895] = {.lex_state = 0},
  [8896] = {.lex_state = 0},
  [8897] = {.lex_state = 105},
  [8898] = {.lex_state = 0},
  [8899] = {.lex_state = 0},
  [8900] = {.lex_state = 0},
  [8901] = {.lex_state = 105},
  [8902] = {.lex_state = 0},
  [8903] = {.lex_state = 105},
  [8904] = {.lex_state = 0},
  [8905] = {.lex_state = 105},
  [8906] = {.lex_state = 0},
  [8907] = {.lex_state = 1},
  [8908] = {.lex_state = 105},
  [8909] = {.lex_state = 0},
  [8910] = {.lex_state = 0},
  [8911] = {.lex_state = 0},
  [8912] = {.lex_state = 105},
  [8913] = {.lex_state = 0},
  [8914] = {.lex_state = 105},
  [8915] = {.lex_state = 0},
  [8916] = {.lex_state = 0},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 0},
  [8919] = {.lex_state = 0},
  [8920] = {.lex_state = 0},
  [8921] = {.lex_state = 0},
  [8922] = {.lex_state = 0},
  [8923] = {.lex_state = 0},
  [8924] = {.lex_state = 0},
  [8925] = {.lex_state = 0},
  [8926] = {.lex_state = 0},
  [8927] = {.lex_state = 105},
  [8928] = {.lex_state = 0},
  [8929] = {.lex_state = 105},
  [8930] = {.lex_state = 0},
  [8931] = {.lex_state = 0},
  [8932] = {.lex_state = 105},
  [8933] = {.lex_state = 14},
  [8934] = {.lex_state = 0},
  [8935] = {.lex_state = 10},
  [8936] = {.lex_state = 0},
  [8937] = {.lex_state = 0},
  [8938] = {.lex_state = 105},
  [8939] = {.lex_state = 105},
  [8940] = {.lex_state = 105},
  [8941] = {.lex_state = 0},
  [8942] = {.lex_state = 0},
  [8943] = {.lex_state = 0},
  [8944] = {.lex_state = 0},
  [8945] = {.lex_state = 105},
  [8946] = {.lex_state = 0},
  [8947] = {.lex_state = 0},
  [8948] = {.lex_state = 105},
  [8949] = {.lex_state = 0},
  [8950] = {.lex_state = 0},
  [8951] = {.lex_state = 0},
  [8952] = {.lex_state = 0},
  [8953] = {.lex_state = 0},
  [8954] = {.lex_state = 0},
  [8955] = {.lex_state = 0},
  [8956] = {.lex_state = 0},
  [8957] = {.lex_state = 3},
  [8958] = {.lex_state = 0},
  [8959] = {.lex_state = 105},
  [8960] = {.lex_state = 0},
  [8961] = {.lex_state = 0},
  [8962] = {.lex_state = 0},
  [8963] = {.lex_state = 0},
  [8964] = {.lex_state = 105},
  [8965] = {.lex_state = 105},
  [8966] = {.lex_state = 0},
  [8967] = {.lex_state = 0},
  [8968] = {.lex_state = 0},
  [8969] = {.lex_state = 0},
  [8970] = {.lex_state = 0},
  [8971] = {.lex_state = 0},
  [8972] = {.lex_state = 105},
  [8973] = {.lex_state = 0},
  [8974] = {.lex_state = 0},
  [8975] = {.lex_state = 0},
  [8976] = {.lex_state = 0},
  [8977] = {.lex_state = 0},
  [8978] = {.lex_state = 0},
  [8979] = {.lex_state = 14},
  [8980] = {.lex_state = 0},
  [8981] = {.lex_state = 0},
  [8982] = {.lex_state = 0},
  [8983] = {.lex_state = 0},
  [8984] = {.lex_state = 0},
  [8985] = {.lex_state = 0},
  [8986] = {.lex_state = 0},
  [8987] = {.lex_state = 0},
  [8988] = {.lex_state = 0},
  [8989] = {.lex_state = 0},
  [8990] = {.lex_state = 0},
  [8991] = {.lex_state = 0},
  [8992] = {.lex_state = 0},
  [8993] = {.lex_state = 0},
  [8994] = {.lex_state = 0},
  [8995] = {.lex_state = 0},
  [8996] = {.lex_state = 0},
  [8997] = {.lex_state = 0, .external_lex_state = 7},
  [8998] = {.lex_state = 0, .external_lex_state = 7},
  [8999] = {.lex_state = 0, .external_lex_state = 7},
  [9000] = {.lex_state = 0, .external_lex_state = 7},
  [9001] = {.lex_state = 0},
  [9002] = {.lex_state = 0, .external_lex_state = 7},
  [9003] = {.lex_state = 0},
  [9004] = {.lex_state = 0, .external_lex_state = 7},
  [9005] = {.lex_state = 0},
  [9006] = {.lex_state = 0, .external_lex_state = 4},
  [9007] = {.lex_state = 1},
  [9008] = {.lex_state = 0},
  [9009] = {.lex_state = 0},
  [9010] = {.lex_state = 0},
  [9011] = {.lex_state = 0, .external_lex_state = 7},
  [9012] = {.lex_state = 0},
  [9013] = {.lex_state = 0},
  [9014] = {.lex_state = 0},
  [9015] = {.lex_state = 0},
  [9016] = {.lex_state = 0, .external_lex_state = 7},
  [9017] = {.lex_state = 0, .external_lex_state = 7},
  [9018] = {.lex_state = 0},
  [9019] = {.lex_state = 0},
  [9020] = {.lex_state = 0},
  [9021] = {.lex_state = 0, .external_lex_state = 7},
  [9022] = {.lex_state = 0, .external_lex_state = 7},
  [9023] = {.lex_state = 0, .external_lex_state = 7},
  [9024] = {.lex_state = 0, .external_lex_state = 7},
  [9025] = {.lex_state = 0, .external_lex_state = 7},
  [9026] = {.lex_state = 0},
  [9027] = {.lex_state = 0},
  [9028] = {.lex_state = 0},
  [9029] = {.lex_state = 0, .external_lex_state = 7},
  [9030] = {.lex_state = 0},
  [9031] = {.lex_state = 0},
  [9032] = {.lex_state = 0},
  [9033] = {.lex_state = 0},
  [9034] = {.lex_state = 0, .external_lex_state = 7},
  [9035] = {.lex_state = 0},
  [9036] = {.lex_state = 0},
  [9037] = {.lex_state = 0, .external_lex_state = 7},
  [9038] = {.lex_state = 0, .external_lex_state = 7},
  [9039] = {.lex_state = 0, .external_lex_state = 7},
  [9040] = {.lex_state = 0},
  [9041] = {.lex_state = 0},
  [9042] = {.lex_state = 0},
  [9043] = {.lex_state = 0},
  [9044] = {.lex_state = 0},
  [9045] = {.lex_state = 0, .external_lex_state = 7},
  [9046] = {.lex_state = 0},
  [9047] = {.lex_state = 0, .external_lex_state = 7},
  [9048] = {.lex_state = 10},
  [9049] = {.lex_state = 0},
  [9050] = {.lex_state = 0, .external_lex_state = 7},
  [9051] = {.lex_state = 0, .external_lex_state = 7},
  [9052] = {.lex_state = 0, .external_lex_state = 7},
  [9053] = {.lex_state = 0},
  [9054] = {.lex_state = 0},
  [9055] = {.lex_state = 0, .external_lex_state = 7},
  [9056] = {.lex_state = 0},
  [9057] = {.lex_state = 10},
  [9058] = {.lex_state = 0},
  [9059] = {.lex_state = 0},
  [9060] = {.lex_state = 0},
  [9061] = {.lex_state = 0, .external_lex_state = 7},
  [9062] = {.lex_state = 0},
  [9063] = {.lex_state = 0},
  [9064] = {.lex_state = 0, .external_lex_state = 4},
  [9065] = {.lex_state = 10},
  [9066] = {.lex_state = 0},
  [9067] = {.lex_state = 0, .external_lex_state = 4},
  [9068] = {.lex_state = 0},
  [9069] = {.lex_state = 0},
  [9070] = {.lex_state = 0},
  [9071] = {.lex_state = 0},
  [9072] = {.lex_state = 0},
  [9073] = {.lex_state = 0},
  [9074] = {.lex_state = 105},
  [9075] = {.lex_state = 0},
  [9076] = {.lex_state = 10},
  [9077] = {.lex_state = 1},
  [9078] = {.lex_state = 0},
  [9079] = {.lex_state = 0},
  [9080] = {.lex_state = 0},
  [9081] = {.lex_state = 0, .external_lex_state = 7},
  [9082] = {.lex_state = 0},
  [9083] = {.lex_state = 0, .external_lex_state = 7},
  [9084] = {.lex_state = 0},
  [9085] = {.lex_state = 0},
  [9086] = {.lex_state = 0},
  [9087] = {.lex_state = 10},
  [9088] = {.lex_state = 0},
  [9089] = {.lex_state = 0},
  [9090] = {.lex_state = 0},
  [9091] = {.lex_state = 0, .external_lex_state = 7},
  [9092] = {.lex_state = 0, .external_lex_state = 7},
  [9093] = {.lex_state = 0},
  [9094] = {.lex_state = 0, .external_lex_state = 7},
  [9095] = {.lex_state = 0},
  [9096] = {.lex_state = 0, .external_lex_state = 7},
  [9097] = {.lex_state = 0, .external_lex_state = 7},
  [9098] = {.lex_state = 0, .external_lex_state = 7},
  [9099] = {.lex_state = 0},
  [9100] = {.lex_state = 0},
  [9101] = {.lex_state = 0, .external_lex_state = 7},
  [9102] = {.lex_state = 0, .external_lex_state = 7},
  [9103] = {.lex_state = 0},
  [9104] = {.lex_state = 0},
  [9105] = {.lex_state = 10},
  [9106] = {.lex_state = 10},
  [9107] = {.lex_state = 0},
  [9108] = {.lex_state = 0},
  [9109] = {.lex_state = 0},
  [9110] = {.lex_state = 0},
  [9111] = {.lex_state = 0},
  [9112] = {.lex_state = 0, .external_lex_state = 7},
  [9113] = {.lex_state = 0},
  [9114] = {.lex_state = 105},
  [9115] = {.lex_state = 10},
  [9116] = {.lex_state = 0},
  [9117] = {.lex_state = 0, .external_lex_state = 7},
  [9118] = {.lex_state = 0},
  [9119] = {.lex_state = 0, .external_lex_state = 7},
  [9120] = {.lex_state = 0},
  [9121] = {.lex_state = 0},
  [9122] = {.lex_state = 0, .external_lex_state = 7},
  [9123] = {.lex_state = 1},
  [9124] = {.lex_state = 0, .external_lex_state = 7},
  [9125] = {.lex_state = 0, .external_lex_state = 7},
  [9126] = {.lex_state = 0},
  [9127] = {.lex_state = 0},
  [9128] = {.lex_state = 0},
  [9129] = {.lex_state = 0},
  [9130] = {.lex_state = 0},
  [9131] = {.lex_state = 0, .external_lex_state = 7},
  [9132] = {.lex_state = 10},
  [9133] = {.lex_state = 0, .external_lex_state = 7},
  [9134] = {.lex_state = 0},
  [9135] = {.lex_state = 0},
  [9136] = {.lex_state = 0, .external_lex_state = 7},
  [9137] = {.lex_state = 0},
  [9138] = {.lex_state = 0},
  [9139] = {.lex_state = 0},
  [9140] = {.lex_state = 0, .external_lex_state = 7},
  [9141] = {.lex_state = 1},
  [9142] = {.lex_state = 0},
  [9143] = {.lex_state = 4},
  [9144] = {.lex_state = 0},
  [9145] = {.lex_state = 0},
  [9146] = {.lex_state = 0},
  [9147] = {.lex_state = 0},
  [9148] = {.lex_state = 0, .external_lex_state = 7},
  [9149] = {.lex_state = 0},
  [9150] = {.lex_state = 0},
  [9151] = {.lex_state = 0},
  [9152] = {.lex_state = 0},
  [9153] = {.lex_state = 0},
  [9154] = {.lex_state = 0},
  [9155] = {.lex_state = 0},
  [9156] = {.lex_state = 1},
  [9157] = {.lex_state = 0},
  [9158] = {.lex_state = 0},
  [9159] = {.lex_state = 10},
  [9160] = {.lex_state = 0},
  [9161] = {.lex_state = 0},
  [9162] = {.lex_state = 0},
  [9163] = {.lex_state = 10},
  [9164] = {.lex_state = 0},
  [9165] = {.lex_state = 0},
  [9166] = {.lex_state = 0},
  [9167] = {.lex_state = 10},
  [9168] = {.lex_state = 0},
  [9169] = {.lex_state = 0},
  [9170] = {.lex_state = 0},
  [9171] = {.lex_state = 0},
  [9172] = {.lex_state = 15},
  [9173] = {.lex_state = 0},
  [9174] = {.lex_state = 0},
  [9175] = {.lex_state = 0},
  [9176] = {.lex_state = 0},
  [9177] = {.lex_state = 0},
  [9178] = {.lex_state = 0, .external_lex_state = 7},
  [9179] = {.lex_state = 0},
  [9180] = {.lex_state = 0},
  [9181] = {.lex_state = 0},
  [9182] = {.lex_state = 0},
  [9183] = {.lex_state = 0},
  [9184] = {.lex_state = 0},
  [9185] = {.lex_state = 0},
  [9186] = {.lex_state = 10},
  [9187] = {.lex_state = 104},
  [9188] = {.lex_state = 15},
  [9189] = {.lex_state = 0, .external_lex_state = 7},
  [9190] = {.lex_state = 0, .external_lex_state = 8},
  [9191] = {.lex_state = 0},
  [9192] = {.lex_state = 0},
  [9193] = {.lex_state = 0},
  [9194] = {.lex_state = 0, .external_lex_state = 7},
  [9195] = {.lex_state = 0},
  [9196] = {.lex_state = 0},
  [9197] = {.lex_state = 0},
  [9198] = {.lex_state = 0},
  [9199] = {.lex_state = 0},
  [9200] = {.lex_state = 0},
  [9201] = {.lex_state = 0},
  [9202] = {.lex_state = 0},
  [9203] = {.lex_state = 0},
  [9204] = {.lex_state = 0},
  [9205] = {.lex_state = 0, .external_lex_state = 7},
  [9206] = {.lex_state = 0, .external_lex_state = 7},
  [9207] = {.lex_state = 0, .external_lex_state = 7},
  [9208] = {.lex_state = 0, .external_lex_state = 7},
  [9209] = {.lex_state = 0},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 0},
  [9212] = {.lex_state = 0},
  [9213] = {.lex_state = 0, .external_lex_state = 7},
  [9214] = {.lex_state = 0, .external_lex_state = 7},
  [9215] = {.lex_state = 0, .external_lex_state = 7},
  [9216] = {.lex_state = 0, .external_lex_state = 7},
  [9217] = {.lex_state = 0},
  [9218] = {.lex_state = 105},
  [9219] = {.lex_state = 0},
  [9220] = {.lex_state = 0},
  [9221] = {.lex_state = 0},
  [9222] = {.lex_state = 0},
  [9223] = {.lex_state = 0, .external_lex_state = 7},
  [9224] = {.lex_state = 0, .external_lex_state = 7},
  [9225] = {.lex_state = 0, .external_lex_state = 7},
  [9226] = {.lex_state = 0, .external_lex_state = 7},
  [9227] = {.lex_state = 0, .external_lex_state = 7},
  [9228] = {.lex_state = 0, .external_lex_state = 7},
  [9229] = {.lex_state = 0},
  [9230] = {.lex_state = 0, .external_lex_state = 7},
  [9231] = {.lex_state = 0, .external_lex_state = 7},
  [9232] = {.lex_state = 0},
  [9233] = {.lex_state = 0},
  [9234] = {.lex_state = 0, .external_lex_state = 7},
  [9235] = {.lex_state = 0, .external_lex_state = 7},
  [9236] = {.lex_state = 105},
  [9237] = {.lex_state = 0},
  [9238] = {.lex_state = 0, .external_lex_state = 7},
  [9239] = {.lex_state = 0, .external_lex_state = 7},
  [9240] = {.lex_state = 0, .external_lex_state = 7},
  [9241] = {.lex_state = 105},
  [9242] = {.lex_state = 0},
  [9243] = {.lex_state = 0, .external_lex_state = 7},
  [9244] = {.lex_state = 0},
  [9245] = {.lex_state = 0, .external_lex_state = 7},
  [9246] = {.lex_state = 0},
  [9247] = {.lex_state = 0, .external_lex_state = 7},
  [9248] = {.lex_state = 0, .external_lex_state = 7},
  [9249] = {.lex_state = 0, .external_lex_state = 7},
  [9250] = {.lex_state = 0},
  [9251] = {.lex_state = 0, .external_lex_state = 7},
  [9252] = {.lex_state = 10},
  [9253] = {.lex_state = 0, .external_lex_state = 7},
  [9254] = {.lex_state = 0},
  [9255] = {.lex_state = 0},
  [9256] = {.lex_state = 0, .external_lex_state = 8},
  [9257] = {.lex_state = 0, .external_lex_state = 7},
  [9258] = {.lex_state = 0},
  [9259] = {.lex_state = 10},
  [9260] = {.lex_state = 10},
  [9261] = {.lex_state = 105},
  [9262] = {.lex_state = 0},
  [9263] = {.lex_state = 0, .external_lex_state = 7},
  [9264] = {.lex_state = 0},
  [9265] = {.lex_state = 0},
  [9266] = {.lex_state = 0},
  [9267] = {.lex_state = 0, .external_lex_state = 7},
  [9268] = {.lex_state = 0, .external_lex_state = 7},
  [9269] = {.lex_state = 0},
  [9270] = {.lex_state = 0},
  [9271] = {.lex_state = 10},
  [9272] = {.lex_state = 105},
  [9273] = {.lex_state = 0, .external_lex_state = 7},
  [9274] = {.lex_state = 0, .external_lex_state = 7},
  [9275] = {.lex_state = 0, .external_lex_state = 7},
  [9276] = {.lex_state = 0},
  [9277] = {.lex_state = 0, .external_lex_state = 7},
  [9278] = {.lex_state = 0, .external_lex_state = 7},
  [9279] = {.lex_state = 0},
  [9280] = {.lex_state = 0, .external_lex_state = 7},
  [9281] = {.lex_state = 0, .external_lex_state = 7},
  [9282] = {.lex_state = 0, .external_lex_state = 7},
  [9283] = {.lex_state = 0},
  [9284] = {.lex_state = 0},
  [9285] = {.lex_state = 0, .external_lex_state = 7},
  [9286] = {.lex_state = 10},
  [9287] = {.lex_state = 0},
  [9288] = {.lex_state = 105},
  [9289] = {.lex_state = 0},
  [9290] = {.lex_state = 0, .external_lex_state = 7},
  [9291] = {.lex_state = 0, .external_lex_state = 7},
  [9292] = {.lex_state = 0},
  [9293] = {.lex_state = 105},
  [9294] = {.lex_state = 0, .external_lex_state = 8},
  [9295] = {.lex_state = 0, .external_lex_state = 7},
  [9296] = {.lex_state = 0},
  [9297] = {.lex_state = 0, .external_lex_state = 7},
  [9298] = {.lex_state = 0, .external_lex_state = 7},
  [9299] = {.lex_state = 0},
  [9300] = {.lex_state = 0},
  [9301] = {.lex_state = 0, .external_lex_state = 7},
  [9302] = {.lex_state = 0},
  [9303] = {.lex_state = 0},
  [9304] = {.lex_state = 0, .external_lex_state = 7},
  [9305] = {.lex_state = 0},
  [9306] = {.lex_state = 0, .external_lex_state = 7},
  [9307] = {.lex_state = 0},
  [9308] = {.lex_state = 0},
  [9309] = {.lex_state = 0, .external_lex_state = 7},
  [9310] = {.lex_state = 0},
  [9311] = {.lex_state = 0, .external_lex_state = 7},
  [9312] = {.lex_state = 0, .external_lex_state = 9},
  [9313] = {.lex_state = 0},
  [9314] = {.lex_state = 0, .external_lex_state = 7},
  [9315] = {.lex_state = 0, .external_lex_state = 7},
  [9316] = {.lex_state = 0, .external_lex_state = 7},
  [9317] = {.lex_state = 0, .external_lex_state = 7},
  [9318] = {.lex_state = 0},
  [9319] = {.lex_state = 0, .external_lex_state = 7},
  [9320] = {.lex_state = 0},
  [9321] = {.lex_state = 0, .external_lex_state = 7},
  [9322] = {.lex_state = 0, .external_lex_state = 7},
  [9323] = {.lex_state = 0, .external_lex_state = 7},
  [9324] = {.lex_state = 0},
  [9325] = {.lex_state = 0},
  [9326] = {.lex_state = 0, .external_lex_state = 7},
  [9327] = {.lex_state = 0, .external_lex_state = 7},
  [9328] = {.lex_state = 0},
  [9329] = {.lex_state = 0},
  [9330] = {.lex_state = 0},
  [9331] = {.lex_state = 0, .external_lex_state = 7},
  [9332] = {.lex_state = 0},
  [9333] = {.lex_state = 0},
  [9334] = {.lex_state = 0},
  [9335] = {.lex_state = 0, .external_lex_state = 7},
  [9336] = {.lex_state = 0, .external_lex_state = 10},
  [9337] = {.lex_state = 0, .external_lex_state = 9},
  [9338] = {.lex_state = 0, .external_lex_state = 7},
  [9339] = {.lex_state = 0, .external_lex_state = 7},
  [9340] = {.lex_state = 0, .external_lex_state = 7},
  [9341] = {.lex_state = 0, .external_lex_state = 7},
  [9342] = {.lex_state = 0},
  [9343] = {.lex_state = 0, .external_lex_state = 7},
  [9344] = {.lex_state = 0},
  [9345] = {.lex_state = 0, .external_lex_state = 7},
  [9346] = {.lex_state = 0},
  [9347] = {.lex_state = 0},
  [9348] = {.lex_state = 0},
  [9349] = {.lex_state = 0},
  [9350] = {.lex_state = 0},
  [9351] = {.lex_state = 0, .external_lex_state = 7},
  [9352] = {.lex_state = 0},
  [9353] = {.lex_state = 0, .external_lex_state = 7},
  [9354] = {.lex_state = 0},
  [9355] = {.lex_state = 0, .external_lex_state = 7},
  [9356] = {.lex_state = 0},
  [9357] = {.lex_state = 0},
  [9358] = {.lex_state = 0, .external_lex_state = 7},
  [9359] = {.lex_state = 0, .external_lex_state = 7},
  [9360] = {.lex_state = 0},
  [9361] = {.lex_state = 105},
  [9362] = {.lex_state = 0},
  [9363] = {.lex_state = 0, .external_lex_state = 7},
  [9364] = {.lex_state = 0, .external_lex_state = 7},
  [9365] = {.lex_state = 0},
  [9366] = {.lex_state = 0},
  [9367] = {.lex_state = 0, .external_lex_state = 7},
  [9368] = {.lex_state = 0, .external_lex_state = 7},
  [9369] = {.lex_state = 0, .external_lex_state = 7},
  [9370] = {.lex_state = 0, .external_lex_state = 7},
  [9371] = {.lex_state = 0, .external_lex_state = 7},
  [9372] = {.lex_state = 0},
  [9373] = {.lex_state = 0, .external_lex_state = 7},
  [9374] = {.lex_state = 0, .external_lex_state = 7},
  [9375] = {.lex_state = 0, .external_lex_state = 7},
  [9376] = {.lex_state = 104},
  [9377] = {.lex_state = 0},
  [9378] = {.lex_state = 0},
  [9379] = {.lex_state = 0, .external_lex_state = 7},
  [9380] = {.lex_state = 0},
  [9381] = {.lex_state = 0},
  [9382] = {.lex_state = 0},
  [9383] = {.lex_state = 0},
  [9384] = {.lex_state = 0},
  [9385] = {.lex_state = 0, .external_lex_state = 7},
  [9386] = {.lex_state = 105},
  [9387] = {.lex_state = 0},
  [9388] = {.lex_state = 0, .external_lex_state = 7},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 0},
  [9391] = {.lex_state = 0, .external_lex_state = 7},
  [9392] = {.lex_state = 0},
  [9393] = {.lex_state = 10},
  [9394] = {.lex_state = 0},
  [9395] = {.lex_state = 0, .external_lex_state = 7},
  [9396] = {.lex_state = 0, .external_lex_state = 7},
  [9397] = {.lex_state = 0, .external_lex_state = 7},
  [9398] = {.lex_state = 0, .external_lex_state = 7},
  [9399] = {.lex_state = 0, .external_lex_state = 7},
  [9400] = {.lex_state = 0, .external_lex_state = 7},
  [9401] = {.lex_state = 0, .external_lex_state = 7},
  [9402] = {.lex_state = 0},
  [9403] = {.lex_state = 0},
  [9404] = {.lex_state = 0, .external_lex_state = 7},
  [9405] = {.lex_state = 0},
  [9406] = {.lex_state = 0, .external_lex_state = 7},
  [9407] = {.lex_state = 0, .external_lex_state = 7},
  [9408] = {.lex_state = 0, .external_lex_state = 7},
  [9409] = {.lex_state = 0},
  [9410] = {.lex_state = 0},
  [9411] = {.lex_state = 0},
  [9412] = {.lex_state = 0, .external_lex_state = 7},
  [9413] = {.lex_state = 0, .external_lex_state = 7},
  [9414] = {.lex_state = 0},
  [9415] = {.lex_state = 0},
  [9416] = {.lex_state = 0},
  [9417] = {.lex_state = 0, .external_lex_state = 7},
  [9418] = {.lex_state = 0, .external_lex_state = 7},
  [9419] = {.lex_state = 0, .external_lex_state = 7},
  [9420] = {.lex_state = 0},
  [9421] = {.lex_state = 0},
  [9422] = {.lex_state = 0},
  [9423] = {.lex_state = 0, .external_lex_state = 7},
  [9424] = {.lex_state = 0, .external_lex_state = 7},
  [9425] = {.lex_state = 0, .external_lex_state = 7},
  [9426] = {.lex_state = 0},
  [9427] = {.lex_state = 0, .external_lex_state = 7},
  [9428] = {.lex_state = 0},
  [9429] = {.lex_state = 0},
  [9430] = {.lex_state = 0},
  [9431] = {.lex_state = 0, .external_lex_state = 7},
  [9432] = {.lex_state = 0},
  [9433] = {.lex_state = 0},
  [9434] = {.lex_state = 0, .external_lex_state = 7},
  [9435] = {.lex_state = 0},
  [9436] = {.lex_state = 0},
  [9437] = {.lex_state = 0},
  [9438] = {.lex_state = 0},
  [9439] = {.lex_state = 0},
  [9440] = {.lex_state = 0},
  [9441] = {.lex_state = 0, .external_lex_state = 7},
  [9442] = {.lex_state = 0, .external_lex_state = 7},
  [9443] = {.lex_state = 0},
  [9444] = {.lex_state = 0},
  [9445] = {.lex_state = 0},
  [9446] = {.lex_state = 0},
  [9447] = {.lex_state = 0},
  [9448] = {.lex_state = 0},
  [9449] = {.lex_state = 0},
  [9450] = {.lex_state = 0},
  [9451] = {.lex_state = 0},
  [9452] = {.lex_state = 0},
  [9453] = {.lex_state = 0},
  [9454] = {.lex_state = 0},
  [9455] = {.lex_state = 0},
  [9456] = {.lex_state = 0},
  [9457] = {.lex_state = 0, .external_lex_state = 7},
  [9458] = {.lex_state = 0, .external_lex_state = 7},
  [9459] = {.lex_state = 1},
  [9460] = {.lex_state = 104},
  [9461] = {.lex_state = 0, .external_lex_state = 7},
  [9462] = {.lex_state = 0},
  [9463] = {.lex_state = 0},
  [9464] = {.lex_state = 0},
  [9465] = {.lex_state = 0, .external_lex_state = 7},
  [9466] = {.lex_state = 0},
  [9467] = {.lex_state = 0, .external_lex_state = 7},
  [9468] = {.lex_state = 0},
  [9469] = {.lex_state = 0},
  [9470] = {.lex_state = 0},
  [9471] = {.lex_state = 0},
  [9472] = {.lex_state = 0, .external_lex_state = 7},
  [9473] = {.lex_state = 0, .external_lex_state = 7},
  [9474] = {.lex_state = 0},
  [9475] = {.lex_state = 0},
  [9476] = {.lex_state = 0},
  [9477] = {.lex_state = 0},
  [9478] = {.lex_state = 0},
  [9479] = {.lex_state = 0},
  [9480] = {.lex_state = 0, .external_lex_state = 7},
  [9481] = {.lex_state = 0},
  [9482] = {.lex_state = 0},
  [9483] = {.lex_state = 10},
  [9484] = {.lex_state = 0},
  [9485] = {.lex_state = 0},
  [9486] = {.lex_state = 0, .external_lex_state = 10},
  [9487] = {.lex_state = 0},
  [9488] = {.lex_state = 0},
  [9489] = {.lex_state = 0},
  [9490] = {.lex_state = 0},
  [9491] = {.lex_state = 0},
  [9492] = {.lex_state = 10},
  [9493] = {.lex_state = 0},
  [9494] = {.lex_state = 0},
  [9495] = {.lex_state = 0, .external_lex_state = 7},
  [9496] = {.lex_state = 0, .external_lex_state = 7},
  [9497] = {.lex_state = 0, .external_lex_state = 7},
  [9498] = {.lex_state = 0},
  [9499] = {.lex_state = 0},
  [9500] = {.lex_state = 0, .external_lex_state = 7},
  [9501] = {.lex_state = 0, .external_lex_state = 7},
  [9502] = {.lex_state = 0},
  [9503] = {.lex_state = 0},
  [9504] = {.lex_state = 0},
  [9505] = {.lex_state = 0, .external_lex_state = 7},
  [9506] = {.lex_state = 0},
  [9507] = {.lex_state = 0, .external_lex_state = 7},
  [9508] = {.lex_state = 0},
  [9509] = {.lex_state = 0},
  [9510] = {.lex_state = 0, .external_lex_state = 7},
  [9511] = {.lex_state = 0},
  [9512] = {.lex_state = 0},
  [9513] = {.lex_state = 0},
  [9514] = {.lex_state = 0},
  [9515] = {.lex_state = 105},
  [9516] = {.lex_state = 0},
  [9517] = {.lex_state = 0},
  [9518] = {.lex_state = 0},
  [9519] = {.lex_state = 0, .external_lex_state = 7},
  [9520] = {.lex_state = 0},
  [9521] = {.lex_state = 105},
  [9522] = {.lex_state = 0},
  [9523] = {.lex_state = 0, .external_lex_state = 7},
  [9524] = {.lex_state = 0},
  [9525] = {.lex_state = 0},
  [9526] = {.lex_state = 0, .external_lex_state = 7},
  [9527] = {.lex_state = 0, .external_lex_state = 7},
  [9528] = {.lex_state = 0},
  [9529] = {.lex_state = 0},
  [9530] = {.lex_state = 0},
  [9531] = {.lex_state = 0, .external_lex_state = 7},
  [9532] = {.lex_state = 0},
  [9533] = {.lex_state = 0},
  [9534] = {.lex_state = 105},
  [9535] = {.lex_state = 0, .external_lex_state = 7},
  [9536] = {.lex_state = 0},
  [9537] = {.lex_state = 0},
  [9538] = {.lex_state = 0, .external_lex_state = 7},
  [9539] = {.lex_state = 0},
  [9540] = {.lex_state = 0},
  [9541] = {.lex_state = 0, .external_lex_state = 7},
  [9542] = {.lex_state = 0},
  [9543] = {.lex_state = 0},
  [9544] = {.lex_state = 105},
  [9545] = {.lex_state = 0},
  [9546] = {.lex_state = 0, .external_lex_state = 7},
  [9547] = {.lex_state = 0},
  [9548] = {.lex_state = 0},
  [9549] = {.lex_state = 0, .external_lex_state = 7},
  [9550] = {.lex_state = 0},
  [9551] = {.lex_state = 0},
  [9552] = {.lex_state = 0},
  [9553] = {.lex_state = 1},
  [9554] = {.lex_state = 0},
  [9555] = {.lex_state = 0},
  [9556] = {.lex_state = 0},
  [9557] = {.lex_state = 0},
  [9558] = {.lex_state = 0},
  [9559] = {.lex_state = 0, .external_lex_state = 7},
  [9560] = {.lex_state = 0},
  [9561] = {.lex_state = 0, .external_lex_state = 7},
  [9562] = {.lex_state = 0},
  [9563] = {.lex_state = 0, .external_lex_state = 7},
  [9564] = {.lex_state = 0},
  [9565] = {.lex_state = 0},
  [9566] = {.lex_state = 0},
  [9567] = {.lex_state = 0},
  [9568] = {.lex_state = 0},
  [9569] = {.lex_state = 0},
  [9570] = {.lex_state = 0},
  [9571] = {.lex_state = 16},
  [9572] = {.lex_state = 1},
  [9573] = {.lex_state = 0},
  [9574] = {.lex_state = 0},
  [9575] = {.lex_state = 0, .external_lex_state = 7},
  [9576] = {.lex_state = 0},
  [9577] = {.lex_state = 0, .external_lex_state = 7},
  [9578] = {.lex_state = 0},
  [9579] = {.lex_state = 0},
  [9580] = {.lex_state = 0},
  [9581] = {.lex_state = 1},
  [9582] = {.lex_state = 0},
  [9583] = {.lex_state = 0},
  [9584] = {.lex_state = 0, .external_lex_state = 4},
  [9585] = {.lex_state = 0, .external_lex_state = 7},
  [9586] = {.lex_state = 0},
  [9587] = {.lex_state = 0},
  [9588] = {.lex_state = 105},
  [9589] = {.lex_state = 0},
  [9590] = {.lex_state = 0},
  [9591] = {.lex_state = 4},
  [9592] = {.lex_state = 0},
  [9593] = {.lex_state = 0},
  [9594] = {.lex_state = 0},
  [9595] = {.lex_state = 0, .external_lex_state = 7},
  [9596] = {.lex_state = 0},
  [9597] = {.lex_state = 0, .external_lex_state = 7},
  [9598] = {.lex_state = 0},
  [9599] = {.lex_state = 0},
  [9600] = {.lex_state = 0},
  [9601] = {.lex_state = 0, .external_lex_state = 7},
  [9602] = {.lex_state = 0},
  [9603] = {.lex_state = 0, .external_lex_state = 10},
  [9604] = {.lex_state = 0},
  [9605] = {.lex_state = 0},
  [9606] = {.lex_state = 0, .external_lex_state = 7},
  [9607] = {.lex_state = 0, .external_lex_state = 7},
  [9608] = {.lex_state = 0, .external_lex_state = 7},
  [9609] = {.lex_state = 0, .external_lex_state = 7},
  [9610] = {.lex_state = 0},
  [9611] = {.lex_state = 0},
  [9612] = {.lex_state = 0, .external_lex_state = 7},
  [9613] = {.lex_state = 0},
  [9614] = {.lex_state = 0},
  [9615] = {.lex_state = 0},
  [9616] = {.lex_state = 0, .external_lex_state = 7},
  [9617] = {.lex_state = 0, .external_lex_state = 7},
  [9618] = {.lex_state = 0},
  [9619] = {.lex_state = 0},
  [9620] = {.lex_state = 0},
  [9621] = {.lex_state = 0},
  [9622] = {.lex_state = 0},
  [9623] = {.lex_state = 0},
  [9624] = {.lex_state = 0},
  [9625] = {.lex_state = 0},
  [9626] = {.lex_state = 0},
  [9627] = {.lex_state = 0},
  [9628] = {.lex_state = 0},
  [9629] = {.lex_state = 0},
  [9630] = {.lex_state = 0, .external_lex_state = 7},
  [9631] = {.lex_state = 0, .external_lex_state = 9},
  [9632] = {.lex_state = 0, .external_lex_state = 7},
  [9633] = {.lex_state = 4},
  [9634] = {.lex_state = 0},
  [9635] = {.lex_state = 0, .external_lex_state = 7},
  [9636] = {.lex_state = 0},
  [9637] = {.lex_state = 0},
  [9638] = {.lex_state = 0, .external_lex_state = 7},
  [9639] = {.lex_state = 0, .external_lex_state = 7},
  [9640] = {.lex_state = 0},
  [9641] = {.lex_state = 0, .external_lex_state = 7},
  [9642] = {.lex_state = 0},
  [9643] = {.lex_state = 0},
  [9644] = {.lex_state = 0, .external_lex_state = 7},
  [9645] = {.lex_state = 0, .external_lex_state = 7},
  [9646] = {.lex_state = 0},
  [9647] = {.lex_state = 0},
  [9648] = {.lex_state = 1},
  [9649] = {.lex_state = 0, .external_lex_state = 7},
  [9650] = {.lex_state = 0},
  [9651] = {.lex_state = 0},
  [9652] = {.lex_state = 0, .external_lex_state = 7},
  [9653] = {.lex_state = 0},
  [9654] = {.lex_state = 0, .external_lex_state = 7},
  [9655] = {.lex_state = 0, .external_lex_state = 7},
  [9656] = {.lex_state = 0, .external_lex_state = 7},
  [9657] = {.lex_state = 0},
  [9658] = {.lex_state = 0},
  [9659] = {.lex_state = 0},
  [9660] = {.lex_state = 0},
  [9661] = {.lex_state = 0},
  [9662] = {.lex_state = 0},
  [9663] = {.lex_state = 0},
  [9664] = {.lex_state = 0},
  [9665] = {.lex_state = 0},
  [9666] = {.lex_state = 104},
  [9667] = {.lex_state = 0},
  [9668] = {.lex_state = 0},
  [9669] = {.lex_state = 0},
  [9670] = {.lex_state = 0},
  [9671] = {.lex_state = 0},
  [9672] = {.lex_state = 0},
  [9673] = {.lex_state = 0},
  [9674] = {.lex_state = 0},
  [9675] = {.lex_state = 0, .external_lex_state = 10},
  [9676] = {.lex_state = 0},
  [9677] = {.lex_state = 0, .external_lex_state = 9},
  [9678] = {.lex_state = 0},
  [9679] = {.lex_state = 0, .external_lex_state = 7},
  [9680] = {.lex_state = 0},
  [9681] = {.lex_state = 0, .external_lex_state = 7},
  [9682] = {.lex_state = 0},
  [9683] = {.lex_state = 0},
  [9684] = {.lex_state = 0},
  [9685] = {.lex_state = 0},
  [9686] = {.lex_state = 0, .external_lex_state = 7},
  [9687] = {.lex_state = 0},
  [9688] = {.lex_state = 0},
  [9689] = {.lex_state = 0, .external_lex_state = 7},
  [9690] = {.lex_state = 0},
  [9691] = {.lex_state = 0},
  [9692] = {.lex_state = 0},
  [9693] = {.lex_state = 0},
  [9694] = {.lex_state = 0, .external_lex_state = 7},
  [9695] = {.lex_state = 0},
  [9696] = {.lex_state = 0},
  [9697] = {.lex_state = 105},
  [9698] = {.lex_state = 0, .external_lex_state = 7},
  [9699] = {.lex_state = 0},
  [9700] = {.lex_state = 0, .external_lex_state = 7},
  [9701] = {.lex_state = 0},
  [9702] = {.lex_state = 0},
  [9703] = {.lex_state = 0},
  [9704] = {.lex_state = 0, .external_lex_state = 4},
  [9705] = {.lex_state = 0, .external_lex_state = 7},
  [9706] = {.lex_state = 0, .external_lex_state = 7},
  [9707] = {.lex_state = 10},
  [9708] = {.lex_state = 0},
  [9709] = {.lex_state = 0, .external_lex_state = 7},
  [9710] = {.lex_state = 105},
  [9711] = {.lex_state = 0, .external_lex_state = 7},
  [9712] = {.lex_state = 0},
  [9713] = {.lex_state = 0},
  [9714] = {.lex_state = 0, .external_lex_state = 7},
  [9715] = {.lex_state = 105},
  [9716] = {.lex_state = 0, .external_lex_state = 7},
  [9717] = {.lex_state = 0},
  [9718] = {.lex_state = 0},
  [9719] = {.lex_state = 0},
  [9720] = {.lex_state = 0},
  [9721] = {.lex_state = 1},
  [9722] = {.lex_state = 0, .external_lex_state = 7},
  [9723] = {.lex_state = 0},
  [9724] = {.lex_state = 0},
  [9725] = {.lex_state = 0, .external_lex_state = 7},
  [9726] = {.lex_state = 0},
  [9727] = {.lex_state = 0},
  [9728] = {.lex_state = 0, .external_lex_state = 8},
  [9729] = {.lex_state = 0},
  [9730] = {.lex_state = 0},
  [9731] = {.lex_state = 0},
  [9732] = {.lex_state = 0},
  [9733] = {.lex_state = 0},
  [9734] = {.lex_state = 0},
  [9735] = {.lex_state = 0},
  [9736] = {.lex_state = 0},
  [9737] = {.lex_state = 104},
  [9738] = {.lex_state = 1},
  [9739] = {.lex_state = 0},
  [9740] = {.lex_state = 0, .external_lex_state = 7},
  [9741] = {.lex_state = 0},
  [9742] = {.lex_state = 0},
  [9743] = {.lex_state = 0, .external_lex_state = 7},
  [9744] = {.lex_state = 0},
  [9745] = {.lex_state = 0, .external_lex_state = 7},
  [9746] = {.lex_state = 0},
  [9747] = {.lex_state = 0, .external_lex_state = 7},
  [9748] = {.lex_state = 0, .external_lex_state = 7},
  [9749] = {.lex_state = 0},
  [9750] = {.lex_state = 0},
  [9751] = {.lex_state = 0, .external_lex_state = 7},
  [9752] = {.lex_state = 0},
  [9753] = {.lex_state = 0, .external_lex_state = 7},
  [9754] = {.lex_state = 0},
  [9755] = {.lex_state = 0},
  [9756] = {.lex_state = 0},
  [9757] = {.lex_state = 0, .external_lex_state = 7},
  [9758] = {.lex_state = 0},
  [9759] = {.lex_state = 0},
  [9760] = {.lex_state = 0},
  [9761] = {.lex_state = 0},
  [9762] = {.lex_state = 0},
  [9763] = {.lex_state = 0, .external_lex_state = 7},
  [9764] = {.lex_state = 105},
  [9765] = {.lex_state = 0, .external_lex_state = 7},
  [9766] = {.lex_state = 105},
  [9767] = {.lex_state = 0, .external_lex_state = 7},
  [9768] = {.lex_state = 0, .external_lex_state = 7},
  [9769] = {.lex_state = 0, .external_lex_state = 7},
  [9770] = {.lex_state = 0},
  [9771] = {.lex_state = 0, .external_lex_state = 7},
  [9772] = {.lex_state = 0, .external_lex_state = 7},
  [9773] = {.lex_state = 0, .external_lex_state = 7},
  [9774] = {.lex_state = 0},
  [9775] = {.lex_state = 0},
  [9776] = {.lex_state = 0, .external_lex_state = 7},
  [9777] = {.lex_state = 0},
  [9778] = {.lex_state = 0},
  [9779] = {.lex_state = 0},
  [9780] = {.lex_state = 0},
  [9781] = {.lex_state = 0},
  [9782] = {.lex_state = 0},
  [9783] = {.lex_state = 0, .external_lex_state = 7},
  [9784] = {.lex_state = 0},
  [9785] = {.lex_state = 0},
  [9786] = {.lex_state = 0, .external_lex_state = 7},
  [9787] = {.lex_state = 0},
  [9788] = {.lex_state = 0, .external_lex_state = 7},
  [9789] = {.lex_state = 0, .external_lex_state = 7},
  [9790] = {.lex_state = 0, .external_lex_state = 7},
  [9791] = {.lex_state = 0},
  [9792] = {.lex_state = 0, .external_lex_state = 8},
  [9793] = {.lex_state = 0, .external_lex_state = 7},
  [9794] = {.lex_state = 0, .external_lex_state = 7},
  [9795] = {.lex_state = 0, .external_lex_state = 7},
  [9796] = {.lex_state = 0},
  [9797] = {.lex_state = 0},
  [9798] = {.lex_state = 0},
  [9799] = {.lex_state = 0},
  [9800] = {.lex_state = 0},
  [9801] = {.lex_state = 0, .external_lex_state = 7},
  [9802] = {.lex_state = 0},
  [9803] = {.lex_state = 0},
  [9804] = {.lex_state = 0},
  [9805] = {.lex_state = 0},
  [9806] = {.lex_state = 0},
  [9807] = {.lex_state = 0},
  [9808] = {.lex_state = 0, .external_lex_state = 7},
  [9809] = {.lex_state = 0},
  [9810] = {.lex_state = 0},
  [9811] = {.lex_state = 0},
  [9812] = {.lex_state = 0},
  [9813] = {.lex_state = 0},
  [9814] = {.lex_state = 10},
  [9815] = {.lex_state = 0},
  [9816] = {.lex_state = 0, .external_lex_state = 7},
  [9817] = {.lex_state = 0, .external_lex_state = 7},
  [9818] = {.lex_state = 0},
  [9819] = {.lex_state = 0},
  [9820] = {.lex_state = 0},
  [9821] = {.lex_state = 0},
  [9822] = {.lex_state = 0},
  [9823] = {.lex_state = 0},
  [9824] = {.lex_state = 0},
  [9825] = {.lex_state = 0},
  [9826] = {.lex_state = 0},
  [9827] = {.lex_state = 0, .external_lex_state = 7},
  [9828] = {.lex_state = 0, .external_lex_state = 7},
  [9829] = {.lex_state = 0, .external_lex_state = 7},
  [9830] = {.lex_state = 0},
  [9831] = {.lex_state = 0},
  [9832] = {.lex_state = 0},
  [9833] = {.lex_state = 0, .external_lex_state = 7},
  [9834] = {.lex_state = 105},
  [9835] = {.lex_state = 0},
  [9836] = {.lex_state = 10},
  [9837] = {.lex_state = 0},
  [9838] = {.lex_state = 0},
  [9839] = {.lex_state = 0},
  [9840] = {.lex_state = 0},
  [9841] = {.lex_state = 0},
  [9842] = {.lex_state = 0, .external_lex_state = 7},
  [9843] = {.lex_state = 0},
  [9844] = {.lex_state = 0},
  [9845] = {.lex_state = 0},
  [9846] = {.lex_state = 0, .external_lex_state = 7},
  [9847] = {.lex_state = 0},
  [9848] = {.lex_state = 0},
  [9849] = {.lex_state = 0},
  [9850] = {.lex_state = 0, .external_lex_state = 7},
  [9851] = {.lex_state = 0},
  [9852] = {.lex_state = 0},
  [9853] = {.lex_state = 0},
  [9854] = {.lex_state = 0},
  [9855] = {.lex_state = 0},
  [9856] = {.lex_state = 0, .external_lex_state = 7},
  [9857] = {.lex_state = 0},
  [9858] = {.lex_state = 0},
  [9859] = {.lex_state = 0},
  [9860] = {.lex_state = 0, .external_lex_state = 7},
  [9861] = {.lex_state = 0},
  [9862] = {.lex_state = 0, .external_lex_state = 7},
  [9863] = {.lex_state = 0},
  [9864] = {.lex_state = 0},
  [9865] = {.lex_state = 0},
  [9866] = {.lex_state = 0},
  [9867] = {.lex_state = 0, .external_lex_state = 7},
  [9868] = {.lex_state = 0, .external_lex_state = 7},
  [9869] = {.lex_state = 0},
  [9870] = {.lex_state = 0},
  [9871] = {.lex_state = 0},
  [9872] = {.lex_state = 0, .external_lex_state = 7},
  [9873] = {.lex_state = 0},
  [9874] = {.lex_state = 0},
  [9875] = {.lex_state = 0},
  [9876] = {.lex_state = 0},
  [9877] = {.lex_state = 0},
  [9878] = {.lex_state = 0, .external_lex_state = 7},
  [9879] = {.lex_state = 0},
  [9880] = {.lex_state = 0, .external_lex_state = 7},
  [9881] = {.lex_state = 0, .external_lex_state = 7},
  [9882] = {.lex_state = 0, .external_lex_state = 7},
  [9883] = {.lex_state = 0},
  [9884] = {.lex_state = 0},
  [9885] = {.lex_state = 0, .external_lex_state = 7},
  [9886] = {.lex_state = 0},
  [9887] = {.lex_state = 0},
  [9888] = {.lex_state = 0},
  [9889] = {.lex_state = 0},
  [9890] = {.lex_state = 0, .external_lex_state = 7},
  [9891] = {.lex_state = 0},
  [9892] = {.lex_state = 0},
  [9893] = {.lex_state = 0},
  [9894] = {.lex_state = 0},
  [9895] = {.lex_state = 0},
  [9896] = {.lex_state = 0, .external_lex_state = 7},
  [9897] = {.lex_state = 0},
  [9898] = {.lex_state = 0, .external_lex_state = 7},
  [9899] = {.lex_state = 0},
  [9900] = {.lex_state = 0},
  [9901] = {.lex_state = 105},
  [9902] = {.lex_state = 0},
  [9903] = {.lex_state = 0},
  [9904] = {.lex_state = 0},
  [9905] = {.lex_state = 0},
  [9906] = {.lex_state = 0},
  [9907] = {.lex_state = 0},
  [9908] = {.lex_state = 0, .external_lex_state = 7},
  [9909] = {.lex_state = 0},
  [9910] = {.lex_state = 0},
  [9911] = {.lex_state = 0},
  [9912] = {.lex_state = 0},
  [9913] = {.lex_state = 0},
  [9914] = {.lex_state = 0},
  [9915] = {.lex_state = 15},
  [9916] = {.lex_state = 0},
  [9917] = {.lex_state = 0, .external_lex_state = 7},
  [9918] = {.lex_state = 0, .external_lex_state = 7},
  [9919] = {.lex_state = 0},
  [9920] = {.lex_state = 10},
  [9921] = {.lex_state = 0},
  [9922] = {.lex_state = 1},
  [9923] = {.lex_state = 0, .external_lex_state = 7},
  [9924] = {.lex_state = 0, .external_lex_state = 7},
  [9925] = {.lex_state = 0, .external_lex_state = 7},
  [9926] = {.lex_state = 0},
  [9927] = {.lex_state = 0, .external_lex_state = 7},
  [9928] = {.lex_state = 0},
  [9929] = {.lex_state = 104},
  [9930] = {.lex_state = 0},
  [9931] = {.lex_state = 105},
  [9932] = {.lex_state = 0, .external_lex_state = 7},
  [9933] = {.lex_state = 0, .external_lex_state = 7},
  [9934] = {.lex_state = 0},
  [9935] = {.lex_state = 0, .external_lex_state = 7},
  [9936] = {.lex_state = 0},
  [9937] = {.lex_state = 0, .external_lex_state = 7},
  [9938] = {.lex_state = 0, .external_lex_state = 7},
  [9939] = {.lex_state = 0, .external_lex_state = 7},
  [9940] = {.lex_state = 0, .external_lex_state = 7},
  [9941] = {.lex_state = 0, .external_lex_state = 7},
  [9942] = {.lex_state = 0},
  [9943] = {.lex_state = 105},
  [9944] = {.lex_state = 0, .external_lex_state = 7},
  [9945] = {.lex_state = 0, .external_lex_state = 7},
  [9946] = {.lex_state = 0},
  [9947] = {.lex_state = 0, .external_lex_state = 7},
  [9948] = {.lex_state = 0},
  [9949] = {.lex_state = 0},
  [9950] = {.lex_state = 105},
  [9951] = {.lex_state = 0, .external_lex_state = 7},
  [9952] = {.lex_state = 105},
  [9953] = {.lex_state = 0, .external_lex_state = 7},
  [9954] = {.lex_state = 105},
  [9955] = {.lex_state = 105},
  [9956] = {.lex_state = 0, .external_lex_state = 7},
  [9957] = {.lex_state = 0},
  [9958] = {.lex_state = 0},
  [9959] = {.lex_state = 0},
  [9960] = {.lex_state = 0, .external_lex_state = 10},
  [9961] = {.lex_state = 105},
  [9962] = {.lex_state = 0},
  [9963] = {.lex_state = 4},
  [9964] = {.lex_state = 0, .external_lex_state = 7},
  [9965] = {.lex_state = 0, .external_lex_state = 9},
  [9966] = {.lex_state = 105},
  [9967] = {.lex_state = 0},
  [9968] = {.lex_state = 0},
  [9969] = {.lex_state = 105},
  [9970] = {.lex_state = 0},
  [9971] = {.lex_state = 0},
  [9972] = {.lex_state = 0},
  [9973] = {.lex_state = 105},
  [9974] = {.lex_state = 0},
  [9975] = {.lex_state = 0},
  [9976] = {.lex_state = 0},
  [9977] = {.lex_state = 0},
  [9978] = {.lex_state = 0, .external_lex_state = 7},
  [9979] = {.lex_state = 0, .external_lex_state = 7},
  [9980] = {.lex_state = 0},
  [9981] = {(TSStateId)(-1)},
  [9982] = {(TSStateId)(-1)},
  [9983] = {(TSStateId)(-1)},
  [9984] = {(TSStateId)(-1)},
  [9985] = {(TSStateId)(-1)},
  [9986] = {(TSStateId)(-1)},
  [9987] = {(TSStateId)(-1)},
  [9988] = {(TSStateId)(-1)},
  [9989] = {(TSStateId)(-1)},
  [9990] = {(TSStateId)(-1)},
  [9991] = {(TSStateId)(-1)},
  [9992] = {(TSStateId)(-1)},
  [9993] = {(TSStateId)(-1)},
  [9994] = {(TSStateId)(-1)},
  [9995] = {(TSStateId)(-1)},
  [9996] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_preproc_region] = STATE(0),
    [sym_preproc_endregion] = STATE(0),
    [sym_preproc_line] = STATE(0),
    [sym_preproc_pragma] = STATE(0),
    [sym_preproc_nullable] = STATE(0),
    [sym_preproc_error] = STATE(0),
    [sym_preproc_define] = STATE(0),
    [sym_preproc_undef] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier_token] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_alias] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_unsafe] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_assembly] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_param] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_delegate] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_file] = ACTIONS(1),
    [anon_sym_fixed] = ACTIONS(1),
    [anon_sym_internal] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_partial] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_notnull] = ACTIONS(1),
    [anon_sym_unmanaged] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_checked] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_implicit] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_add] = ACTIONS(1),
    [anon_sym_remove] = ACTIONS(1),
    [anon_sym_init] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_scoped] = ACTIONS(1),
    [anon_sym_params] = ACTIONS(1),
    [anon_sym_base] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_managed] = ACTIONS(1),
    [anon_sym_Cdecl] = ACTIONS(1),
    [anon_sym_Stdcall] = ACTIONS(1),
    [anon_sym_Thiscall] = ACTIONS(1),
    [anon_sym_Fastcall] = ACTIONS(1),
    [sym_predefined_type] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_unchecked] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_lock] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_foreach] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [sym_discard] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_into] = ACTIONS(1),
    [anon_sym_join] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_equals] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_orderby] = ACTIONS(1),
    [anon_sym_ascending] = ACTIONS(1),
    [anon_sym_descending] = ACTIONS(1),
    [anon_sym_group] = ACTIONS(1),
    [anon_sym_by] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_stackalloc] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym___makeref] = ACTIONS(1),
    [anon_sym___reftype] = ACTIONS(1),
    [anon_sym___refvalue] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_real_literal] = ACTIONS(1),
    [aux_sym_string_literal_content_token2] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_string_literal_encoding] = ACTIONS(1),
    [sym_verbatim_string_literal] = ACTIONS(1),
    [aux_sym_raw_string_literal_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token3] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [anon_sym_hidden] = ACTIONS(1),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [anon_sym_warning] = ACTIONS(1),
    [anon_sym_disable] = ACTIONS(1),
    [anon_sym_restore] = ACTIONS(1),
    [anon_sym_checksum] = ACTIONS(1),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [anon_sym_enable] = ACTIONS(1),
    [anon_sym_annotations] = ACTIONS(1),
    [anon_sym_warnings] = ACTIONS(1),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_shebang_directive] = ACTIONS(1),
    [sym_comment] = ACTIONS(19),
    [sym__optional_semi] = ACTIONS(1),
    [sym_interpolation_regular_start] = ACTIONS(1),
    [sym_interpolation_verbatim_start] = ACTIONS(1),
    [sym_interpolation_raw_start] = ACTIONS(1),
    [sym_interpolation_start_quote] = ACTIONS(1),
    [sym_interpolation_end_quote] = ACTIONS(1),
    [sym_interpolation_open_brace] = ACTIONS(1),
    [sym_interpolation_close_brace] = ACTIONS(1),
    [sym_interpolation_string_content] = ACTIONS(1),
    [sym_raw_string_start] = ACTIONS(1),
    [sym_raw_string_end] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(9382),
    [sym__top_level_item] = STATE(2530),
    [sym_global_statement] = STATE(2515),
    [sym_extern_alias_directive] = STATE(2515),
    [sym_using_directive] = STATE(2515),
    [sym_global_attribute] = STATE(2515),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2515),
    [sym_file_scoped_namespace_declaration] = STATE(2515),
    [sym_type_declaration] = STATE(2515),
    [sym_class_declaration] = STATE(2602),
    [sym_struct_declaration] = STATE(2602),
    [sym_enum_declaration] = STATE(2602),
    [sym_interface_declaration] = STATE(2602),
    [sym_delegate_declaration] = STATE(2602),
    [sym_record_declaration] = STATE(2602),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2591),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2606),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1),
    [sym_preproc_endregion] = STATE(1),
    [sym_preproc_line] = STATE(1),
    [sym_preproc_pragma] = STATE(1),
    [sym_preproc_nullable] = STATE(1),
    [sym_preproc_error] = STATE(1),
    [sym_preproc_define] = STATE(1),
    [sym_preproc_undef] = STATE(1),
    [aux_sym_compilation_unit_repeat1] = STATE(17),
    [aux_sym_class_declaration_repeat1] = STATE(2807),
    [aux_sym_class_declaration_repeat2] = STATE(2938),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [ts_builtin_sym_end] = ACTIONS(21),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(25),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(31),
    [anon_sym_using] = ACTIONS(33),
    [anon_sym_unsafe] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_namespace] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_ref] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_interface] = ACTIONS(57),
    [anon_sym_delegate] = ACTIONS(59),
    [anon_sym_record] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(67),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_shebang_directive] = ACTIONS(147),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(5274),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9482),
    [sym_preproc_elif_in_top_level] = STATE(9482),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9449),
    [sym_preproc_elif_in_expression] = STATE(9449),
    [sym_preproc_region] = STATE(2),
    [sym_preproc_endregion] = STATE(2),
    [sym_preproc_line] = STATE(2),
    [sym_preproc_pragma] = STATE(2),
    [sym_preproc_nullable] = STATE(2),
    [sym_preproc_error] = STATE(2),
    [sym_preproc_define] = STATE(2),
    [sym_preproc_undef] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(9),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(223),
    [aux_sym_preproc_else_token1] = ACTIONS(225),
    [aux_sym_preproc_elif_token1] = ACTIONS(227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [3] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(5274),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9390),
    [sym_preproc_elif_in_top_level] = STATE(9390),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9449),
    [sym_preproc_elif_in_expression] = STATE(9449),
    [sym_preproc_region] = STATE(3),
    [sym_preproc_endregion] = STATE(3),
    [sym_preproc_line] = STATE(3),
    [sym_preproc_pragma] = STATE(3),
    [sym_preproc_nullable] = STATE(3),
    [sym_preproc_error] = STATE(3),
    [sym_preproc_define] = STATE(3),
    [sym_preproc_undef] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(7),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(229),
    [aux_sym_preproc_else_token1] = ACTIONS(225),
    [aux_sym_preproc_elif_token1] = ACTIONS(227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [4] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(5398),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9593),
    [sym_preproc_elif_in_top_level] = STATE(9593),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9594),
    [sym_preproc_elif_in_expression] = STATE(9594),
    [sym_preproc_region] = STATE(4),
    [sym_preproc_endregion] = STATE(4),
    [sym_preproc_line] = STATE(4),
    [sym_preproc_pragma] = STATE(4),
    [sym_preproc_nullable] = STATE(4),
    [sym_preproc_error] = STATE(4),
    [sym_preproc_define] = STATE(4),
    [sym_preproc_undef] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(12),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(231),
    [aux_sym_preproc_else_token1] = ACTIONS(225),
    [aux_sym_preproc_elif_token1] = ACTIONS(227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [5] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(5274),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9157),
    [sym_preproc_elif_in_top_level] = STATE(9157),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9449),
    [sym_preproc_elif_in_expression] = STATE(9449),
    [sym_preproc_region] = STATE(5),
    [sym_preproc_endregion] = STATE(5),
    [sym_preproc_line] = STATE(5),
    [sym_preproc_pragma] = STATE(5),
    [sym_preproc_nullable] = STATE(5),
    [sym_preproc_error] = STATE(5),
    [sym_preproc_define] = STATE(5),
    [sym_preproc_undef] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(8),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(233),
    [aux_sym_preproc_else_token1] = ACTIONS(225),
    [aux_sym_preproc_elif_token1] = ACTIONS(227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [6] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(5274),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9170),
    [sym_preproc_elif_in_top_level] = STATE(9170),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9449),
    [sym_preproc_elif_in_expression] = STATE(9449),
    [sym_preproc_region] = STATE(6),
    [sym_preproc_endregion] = STATE(6),
    [sym_preproc_line] = STATE(6),
    [sym_preproc_pragma] = STATE(6),
    [sym_preproc_nullable] = STATE(6),
    [sym_preproc_error] = STATE(6),
    [sym_preproc_define] = STATE(6),
    [sym_preproc_undef] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(11),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(235),
    [aux_sym_preproc_else_token1] = ACTIONS(225),
    [aux_sym_preproc_elif_token1] = ACTIONS(227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [7] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9292),
    [sym_preproc_elif_in_top_level] = STATE(9292),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(7),
    [sym_preproc_endregion] = STATE(7),
    [sym_preproc_line] = STATE(7),
    [sym_preproc_pragma] = STATE(7),
    [sym_preproc_nullable] = STATE(7),
    [sym_preproc_error] = STATE(7),
    [sym_preproc_define] = STATE(7),
    [sym_preproc_undef] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(15),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(237),
    [aux_sym_preproc_else_token1] = ACTIONS(239),
    [aux_sym_preproc_elif_token1] = ACTIONS(241),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [8] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9079),
    [sym_preproc_elif_in_top_level] = STATE(9079),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(8),
    [sym_preproc_endregion] = STATE(8),
    [sym_preproc_line] = STATE(8),
    [sym_preproc_pragma] = STATE(8),
    [sym_preproc_nullable] = STATE(8),
    [sym_preproc_error] = STATE(8),
    [sym_preproc_define] = STATE(8),
    [sym_preproc_undef] = STATE(8),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(15),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(243),
    [aux_sym_preproc_else_token1] = ACTIONS(239),
    [aux_sym_preproc_elif_token1] = ACTIONS(241),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [9] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9175),
    [sym_preproc_elif_in_top_level] = STATE(9175),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(9),
    [sym_preproc_endregion] = STATE(9),
    [sym_preproc_line] = STATE(9),
    [sym_preproc_pragma] = STATE(9),
    [sym_preproc_nullable] = STATE(9),
    [sym_preproc_error] = STATE(9),
    [sym_preproc_define] = STATE(9),
    [sym_preproc_undef] = STATE(9),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(15),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(245),
    [aux_sym_preproc_else_token1] = ACTIONS(239),
    [aux_sym_preproc_elif_token1] = ACTIONS(241),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [10] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9593),
    [sym_preproc_elif_in_top_level] = STATE(9593),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(10),
    [sym_preproc_endregion] = STATE(10),
    [sym_preproc_line] = STATE(10),
    [sym_preproc_pragma] = STATE(10),
    [sym_preproc_nullable] = STATE(10),
    [sym_preproc_error] = STATE(10),
    [sym_preproc_define] = STATE(10),
    [sym_preproc_undef] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(12),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(231),
    [aux_sym_preproc_else_token1] = ACTIONS(239),
    [aux_sym_preproc_elif_token1] = ACTIONS(241),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [11] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9470),
    [sym_preproc_elif_in_top_level] = STATE(9470),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(11),
    [sym_preproc_endregion] = STATE(11),
    [sym_preproc_line] = STATE(11),
    [sym_preproc_pragma] = STATE(11),
    [sym_preproc_nullable] = STATE(11),
    [sym_preproc_error] = STATE(11),
    [sym_preproc_define] = STATE(11),
    [sym_preproc_undef] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(15),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(247),
    [aux_sym_preproc_else_token1] = ACTIONS(239),
    [aux_sym_preproc_elif_token1] = ACTIONS(241),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [12] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_else_in_top_level] = STATE(9305),
    [sym_preproc_elif_in_top_level] = STATE(9305),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(12),
    [sym_preproc_endregion] = STATE(12),
    [sym_preproc_line] = STATE(12),
    [sym_preproc_pragma] = STATE(12),
    [sym_preproc_nullable] = STATE(12),
    [sym_preproc_error] = STATE(12),
    [sym_preproc_define] = STATE(12),
    [sym_preproc_undef] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(15),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(249),
    [aux_sym_preproc_else_token1] = ACTIONS(239),
    [aux_sym_preproc_elif_token1] = ACTIONS(241),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [13] = {
    [sym__top_level_item] = STATE(2530),
    [sym_global_statement] = STATE(2515),
    [sym_extern_alias_directive] = STATE(2515),
    [sym_using_directive] = STATE(2515),
    [sym_global_attribute] = STATE(2515),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2515),
    [sym_file_scoped_namespace_declaration] = STATE(2515),
    [sym_type_declaration] = STATE(2515),
    [sym_class_declaration] = STATE(2602),
    [sym_struct_declaration] = STATE(2602),
    [sym_enum_declaration] = STATE(2602),
    [sym_interface_declaration] = STATE(2602),
    [sym_delegate_declaration] = STATE(2602),
    [sym_record_declaration] = STATE(2602),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2591),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2606),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(13),
    [sym_preproc_endregion] = STATE(13),
    [sym_preproc_line] = STATE(13),
    [sym_preproc_pragma] = STATE(13),
    [sym_preproc_nullable] = STATE(13),
    [sym_preproc_error] = STATE(13),
    [sym_preproc_define] = STATE(13),
    [sym_preproc_undef] = STATE(13),
    [aux_sym_compilation_unit_repeat1] = STATE(16),
    [aux_sym_class_declaration_repeat1] = STATE(2807),
    [aux_sym_class_declaration_repeat2] = STATE(2938),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [ts_builtin_sym_end] = ACTIONS(251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(25),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(31),
    [anon_sym_using] = ACTIONS(33),
    [anon_sym_unsafe] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_namespace] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_ref] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_interface] = ACTIONS(57),
    [anon_sym_delegate] = ACTIONS(59),
    [anon_sym_record] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(67),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [14] = {
    [sym__top_level_item] = STATE(2530),
    [sym_global_statement] = STATE(2515),
    [sym_extern_alias_directive] = STATE(2515),
    [sym_using_directive] = STATE(2515),
    [sym_global_attribute] = STATE(2515),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2515),
    [sym_file_scoped_namespace_declaration] = STATE(2515),
    [sym_type_declaration] = STATE(2515),
    [sym_class_declaration] = STATE(2602),
    [sym_struct_declaration] = STATE(2602),
    [sym_enum_declaration] = STATE(2602),
    [sym_interface_declaration] = STATE(2602),
    [sym_delegate_declaration] = STATE(2602),
    [sym_record_declaration] = STATE(2602),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2591),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2606),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(14),
    [sym_preproc_endregion] = STATE(14),
    [sym_preproc_line] = STATE(14),
    [sym_preproc_pragma] = STATE(14),
    [sym_preproc_nullable] = STATE(14),
    [sym_preproc_error] = STATE(14),
    [sym_preproc_define] = STATE(14),
    [sym_preproc_undef] = STATE(14),
    [aux_sym_compilation_unit_repeat1] = STATE(13),
    [aux_sym_class_declaration_repeat1] = STATE(2807),
    [aux_sym_class_declaration_repeat2] = STATE(2938),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [ts_builtin_sym_end] = ACTIONS(253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(25),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(31),
    [anon_sym_using] = ACTIONS(33),
    [anon_sym_unsafe] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_namespace] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_ref] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_interface] = ACTIONS(57),
    [anon_sym_delegate] = ACTIONS(59),
    [anon_sym_record] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(67),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [15] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(15),
    [sym_preproc_endregion] = STATE(15),
    [sym_preproc_line] = STATE(15),
    [sym_preproc_pragma] = STATE(15),
    [sym_preproc_nullable] = STATE(15),
    [sym_preproc_error] = STATE(15),
    [sym_preproc_define] = STATE(15),
    [sym_preproc_undef] = STATE(15),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(15),
    [sym__identifier_token] = ACTIONS(255),
    [anon_sym_extern] = ACTIONS(258),
    [anon_sym_alias] = ACTIONS(261),
    [anon_sym_SEMI] = ACTIONS(264),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_using] = ACTIONS(270),
    [anon_sym_unsafe] = ACTIONS(273),
    [anon_sym_static] = ACTIONS(276),
    [anon_sym_LBRACK] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(282),
    [anon_sym_return] = ACTIONS(285),
    [anon_sym_namespace] = ACTIONS(288),
    [anon_sym_class] = ACTIONS(291),
    [anon_sym_ref] = ACTIONS(294),
    [anon_sym_struct] = ACTIONS(297),
    [anon_sym_enum] = ACTIONS(300),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_interface] = ACTIONS(306),
    [anon_sym_delegate] = ACTIONS(309),
    [anon_sym_record] = ACTIONS(312),
    [anon_sym_abstract] = ACTIONS(315),
    [anon_sym_async] = ACTIONS(276),
    [anon_sym_const] = ACTIONS(315),
    [anon_sym_file] = ACTIONS(318),
    [anon_sym_fixed] = ACTIONS(321),
    [anon_sym_internal] = ACTIONS(315),
    [anon_sym_new] = ACTIONS(324),
    [anon_sym_override] = ACTIONS(315),
    [anon_sym_partial] = ACTIONS(315),
    [anon_sym_private] = ACTIONS(315),
    [anon_sym_protected] = ACTIONS(315),
    [anon_sym_public] = ACTIONS(315),
    [anon_sym_readonly] = ACTIONS(315),
    [anon_sym_required] = ACTIONS(315),
    [anon_sym_sealed] = ACTIONS(315),
    [anon_sym_virtual] = ACTIONS(315),
    [anon_sym_volatile] = ACTIONS(315),
    [anon_sym_where] = ACTIONS(261),
    [anon_sym_notnull] = ACTIONS(261),
    [anon_sym_unmanaged] = ACTIONS(261),
    [anon_sym_checked] = ACTIONS(327),
    [anon_sym_BANG] = ACTIONS(330),
    [anon_sym_TILDE] = ACTIONS(330),
    [anon_sym_PLUS_PLUS] = ACTIONS(330),
    [anon_sym_DASH_DASH] = ACTIONS(330),
    [anon_sym_true] = ACTIONS(333),
    [anon_sym_false] = ACTIONS(333),
    [anon_sym_PLUS] = ACTIONS(336),
    [anon_sym_DASH] = ACTIONS(336),
    [anon_sym_STAR] = ACTIONS(339),
    [anon_sym_CARET] = ACTIONS(330),
    [anon_sym_AMP] = ACTIONS(330),
    [anon_sym_this] = ACTIONS(342),
    [anon_sym_scoped] = ACTIONS(345),
    [anon_sym_base] = ACTIONS(348),
    [anon_sym_var] = ACTIONS(351),
    [sym_predefined_type] = ACTIONS(354),
    [anon_sym_break] = ACTIONS(357),
    [anon_sym_unchecked] = ACTIONS(327),
    [anon_sym_continue] = ACTIONS(360),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(366),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_lock] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(375),
    [anon_sym_switch] = ACTIONS(378),
    [anon_sym_default] = ACTIONS(381),
    [anon_sym_throw] = ACTIONS(384),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_when] = ACTIONS(261),
    [anon_sym_await] = ACTIONS(390),
    [anon_sym_foreach] = ACTIONS(393),
    [anon_sym_goto] = ACTIONS(396),
    [anon_sym_if] = ACTIONS(399),
    [anon_sym_DOT_DOT] = ACTIONS(402),
    [anon_sym_from] = ACTIONS(405),
    [anon_sym_into] = ACTIONS(261),
    [anon_sym_join] = ACTIONS(261),
    [anon_sym_on] = ACTIONS(261),
    [anon_sym_equals] = ACTIONS(261),
    [anon_sym_let] = ACTIONS(261),
    [anon_sym_orderby] = ACTIONS(261),
    [anon_sym_ascending] = ACTIONS(261),
    [anon_sym_descending] = ACTIONS(261),
    [anon_sym_group] = ACTIONS(261),
    [anon_sym_by] = ACTIONS(261),
    [anon_sym_select] = ACTIONS(261),
    [anon_sym_DQUOTE] = ACTIONS(408),
    [anon_sym_stackalloc] = ACTIONS(411),
    [anon_sym_sizeof] = ACTIONS(414),
    [anon_sym_typeof] = ACTIONS(417),
    [anon_sym___makeref] = ACTIONS(420),
    [anon_sym___reftype] = ACTIONS(423),
    [anon_sym___refvalue] = ACTIONS(426),
    [sym_null_literal] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(432),
    [sym_integer_literal] = ACTIONS(429),
    [sym_real_literal] = ACTIONS(435),
    [sym_verbatim_string_literal] = ACTIONS(435),
    [aux_sym_preproc_if_token1] = ACTIONS(438),
    [aux_sym_preproc_if_token3] = ACTIONS(441),
    [aux_sym_preproc_else_token1] = ACTIONS(441),
    [aux_sym_preproc_elif_token1] = ACTIONS(441),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(443),
    [sym_interpolation_verbatim_start] = ACTIONS(446),
    [sym_interpolation_raw_start] = ACTIONS(449),
    [sym_raw_string_start] = ACTIONS(452),
  },
  [16] = {
    [sym__top_level_item] = STATE(2530),
    [sym_global_statement] = STATE(2515),
    [sym_extern_alias_directive] = STATE(2515),
    [sym_using_directive] = STATE(2515),
    [sym_global_attribute] = STATE(2515),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2515),
    [sym_file_scoped_namespace_declaration] = STATE(2515),
    [sym_type_declaration] = STATE(2515),
    [sym_class_declaration] = STATE(2602),
    [sym_struct_declaration] = STATE(2602),
    [sym_enum_declaration] = STATE(2602),
    [sym_interface_declaration] = STATE(2602),
    [sym_delegate_declaration] = STATE(2602),
    [sym_record_declaration] = STATE(2602),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2591),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2606),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(16),
    [sym_preproc_endregion] = STATE(16),
    [sym_preproc_line] = STATE(16),
    [sym_preproc_pragma] = STATE(16),
    [sym_preproc_nullable] = STATE(16),
    [sym_preproc_error] = STATE(16),
    [sym_preproc_define] = STATE(16),
    [sym_preproc_undef] = STATE(16),
    [aux_sym_compilation_unit_repeat1] = STATE(16),
    [aux_sym_class_declaration_repeat1] = STATE(2807),
    [aux_sym_class_declaration_repeat2] = STATE(2938),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [ts_builtin_sym_end] = ACTIONS(455),
    [sym__identifier_token] = ACTIONS(457),
    [anon_sym_extern] = ACTIONS(460),
    [anon_sym_alias] = ACTIONS(463),
    [anon_sym_SEMI] = ACTIONS(466),
    [anon_sym_global] = ACTIONS(469),
    [anon_sym_using] = ACTIONS(472),
    [anon_sym_unsafe] = ACTIONS(475),
    [anon_sym_static] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(484),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_namespace] = ACTIONS(490),
    [anon_sym_class] = ACTIONS(493),
    [anon_sym_ref] = ACTIONS(496),
    [anon_sym_struct] = ACTIONS(499),
    [anon_sym_enum] = ACTIONS(502),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_interface] = ACTIONS(508),
    [anon_sym_delegate] = ACTIONS(511),
    [anon_sym_record] = ACTIONS(514),
    [anon_sym_abstract] = ACTIONS(517),
    [anon_sym_async] = ACTIONS(478),
    [anon_sym_const] = ACTIONS(517),
    [anon_sym_file] = ACTIONS(520),
    [anon_sym_fixed] = ACTIONS(523),
    [anon_sym_internal] = ACTIONS(517),
    [anon_sym_new] = ACTIONS(526),
    [anon_sym_override] = ACTIONS(517),
    [anon_sym_partial] = ACTIONS(517),
    [anon_sym_private] = ACTIONS(517),
    [anon_sym_protected] = ACTIONS(517),
    [anon_sym_public] = ACTIONS(517),
    [anon_sym_readonly] = ACTIONS(517),
    [anon_sym_required] = ACTIONS(517),
    [anon_sym_sealed] = ACTIONS(517),
    [anon_sym_virtual] = ACTIONS(517),
    [anon_sym_volatile] = ACTIONS(517),
    [anon_sym_where] = ACTIONS(463),
    [anon_sym_notnull] = ACTIONS(463),
    [anon_sym_unmanaged] = ACTIONS(463),
    [anon_sym_checked] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(532),
    [anon_sym_DASH_DASH] = ACTIONS(532),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_PLUS] = ACTIONS(538),
    [anon_sym_DASH] = ACTIONS(538),
    [anon_sym_STAR] = ACTIONS(541),
    [anon_sym_CARET] = ACTIONS(532),
    [anon_sym_AMP] = ACTIONS(532),
    [anon_sym_this] = ACTIONS(544),
    [anon_sym_scoped] = ACTIONS(547),
    [anon_sym_base] = ACTIONS(550),
    [anon_sym_var] = ACTIONS(553),
    [sym_predefined_type] = ACTIONS(556),
    [anon_sym_break] = ACTIONS(559),
    [anon_sym_unchecked] = ACTIONS(529),
    [anon_sym_continue] = ACTIONS(562),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_lock] = ACTIONS(574),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(583),
    [anon_sym_throw] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(589),
    [anon_sym_when] = ACTIONS(463),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_foreach] = ACTIONS(595),
    [anon_sym_goto] = ACTIONS(598),
    [anon_sym_if] = ACTIONS(601),
    [anon_sym_DOT_DOT] = ACTIONS(604),
    [anon_sym_from] = ACTIONS(607),
    [anon_sym_into] = ACTIONS(463),
    [anon_sym_join] = ACTIONS(463),
    [anon_sym_on] = ACTIONS(463),
    [anon_sym_equals] = ACTIONS(463),
    [anon_sym_let] = ACTIONS(463),
    [anon_sym_orderby] = ACTIONS(463),
    [anon_sym_ascending] = ACTIONS(463),
    [anon_sym_descending] = ACTIONS(463),
    [anon_sym_group] = ACTIONS(463),
    [anon_sym_by] = ACTIONS(463),
    [anon_sym_select] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(610),
    [anon_sym_stackalloc] = ACTIONS(613),
    [anon_sym_sizeof] = ACTIONS(616),
    [anon_sym_typeof] = ACTIONS(619),
    [anon_sym___makeref] = ACTIONS(622),
    [anon_sym___reftype] = ACTIONS(625),
    [anon_sym___refvalue] = ACTIONS(628),
    [sym_null_literal] = ACTIONS(631),
    [anon_sym_SQUOTE] = ACTIONS(634),
    [sym_integer_literal] = ACTIONS(631),
    [sym_real_literal] = ACTIONS(637),
    [sym_verbatim_string_literal] = ACTIONS(637),
    [aux_sym_preproc_if_token1] = ACTIONS(640),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(643),
    [sym_interpolation_verbatim_start] = ACTIONS(646),
    [sym_interpolation_raw_start] = ACTIONS(649),
    [sym_raw_string_start] = ACTIONS(652),
  },
  [17] = {
    [sym__top_level_item] = STATE(2530),
    [sym_global_statement] = STATE(2515),
    [sym_extern_alias_directive] = STATE(2515),
    [sym_using_directive] = STATE(2515),
    [sym_global_attribute] = STATE(2515),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2515),
    [sym_file_scoped_namespace_declaration] = STATE(2515),
    [sym_type_declaration] = STATE(2515),
    [sym_class_declaration] = STATE(2602),
    [sym_struct_declaration] = STATE(2602),
    [sym_enum_declaration] = STATE(2602),
    [sym_interface_declaration] = STATE(2602),
    [sym_delegate_declaration] = STATE(2602),
    [sym_record_declaration] = STATE(2602),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2591),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2606),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(17),
    [sym_preproc_endregion] = STATE(17),
    [sym_preproc_line] = STATE(17),
    [sym_preproc_pragma] = STATE(17),
    [sym_preproc_nullable] = STATE(17),
    [sym_preproc_error] = STATE(17),
    [sym_preproc_define] = STATE(17),
    [sym_preproc_undef] = STATE(17),
    [aux_sym_compilation_unit_repeat1] = STATE(16),
    [aux_sym_class_declaration_repeat1] = STATE(2807),
    [aux_sym_class_declaration_repeat2] = STATE(2938),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [ts_builtin_sym_end] = ACTIONS(253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(25),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(31),
    [anon_sym_using] = ACTIONS(33),
    [anon_sym_unsafe] = ACTIONS(35),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_namespace] = ACTIONS(45),
    [anon_sym_class] = ACTIONS(47),
    [anon_sym_ref] = ACTIONS(49),
    [anon_sym_struct] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_interface] = ACTIONS(57),
    [anon_sym_delegate] = ACTIONS(59),
    [anon_sym_record] = ACTIONS(61),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(67),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [18] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(18),
    [sym_preproc_endregion] = STATE(18),
    [sym_preproc_line] = STATE(18),
    [sym_preproc_pragma] = STATE(18),
    [sym_preproc_nullable] = STATE(18),
    [sym_preproc_error] = STATE(18),
    [sym_preproc_define] = STATE(18),
    [sym_preproc_undef] = STATE(18),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(15),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(655),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [19] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(19),
    [sym_preproc_endregion] = STATE(19),
    [sym_preproc_line] = STATE(19),
    [sym_preproc_pragma] = STATE(19),
    [sym_preproc_nullable] = STATE(19),
    [sym_preproc_error] = STATE(19),
    [sym_preproc_define] = STATE(19),
    [sym_preproc_undef] = STATE(19),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(18),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(657),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [20] = {
    [sym_extern_alias_directive] = STATE(2334),
    [sym_using_directive] = STATE(2334),
    [sym_global_attribute] = STATE(2334),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(2334),
    [sym_file_scoped_namespace_declaration] = STATE(2334),
    [sym_type_declaration] = STATE(2334),
    [sym_class_declaration] = STATE(2328),
    [sym_struct_declaration] = STATE(2328),
    [sym_enum_declaration] = STATE(2328),
    [sym_interface_declaration] = STATE(2328),
    [sym_delegate_declaration] = STATE(2328),
    [sym_record_declaration] = STATE(2328),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2334),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6488),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2335),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(20),
    [sym_preproc_endregion] = STATE(20),
    [sym_preproc_line] = STATE(20),
    [sym_preproc_pragma] = STATE(20),
    [sym_preproc_nullable] = STATE(20),
    [sym_preproc_error] = STATE(20),
    [sym_preproc_define] = STATE(20),
    [sym_preproc_undef] = STATE(20),
    [aux_sym_class_declaration_repeat1] = STATE(2818),
    [aux_sym_class_declaration_repeat2] = STATE(2934),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [aux_sym_preproc_if_in_top_level_repeat1] = STATE(18),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(157),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(161),
    [anon_sym_using] = ACTIONS(163),
    [anon_sym_unsafe] = ACTIONS(165),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(167),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_namespace] = ACTIONS(171),
    [anon_sym_class] = ACTIONS(173),
    [anon_sym_ref] = ACTIONS(175),
    [anon_sym_struct] = ACTIONS(177),
    [anon_sym_enum] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_interface] = ACTIONS(183),
    [anon_sym_delegate] = ACTIONS(185),
    [anon_sym_record] = ACTIONS(187),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(65),
    [anon_sym_fixed] = ACTIONS(189),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(69),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_if_token3] = ACTIONS(657),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [21] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5971),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(21),
    [sym_preproc_endregion] = STATE(21),
    [sym_preproc_line] = STATE(21),
    [sym_preproc_pragma] = STATE(21),
    [sym_preproc_nullable] = STATE(21),
    [sym_preproc_error] = STATE(21),
    [sym_preproc_define] = STATE(21),
    [sym_preproc_undef] = STATE(21),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(51),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(681),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [22] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5852),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(22),
    [sym_preproc_endregion] = STATE(22),
    [sym_preproc_line] = STATE(22),
    [sym_preproc_pragma] = STATE(22),
    [sym_preproc_nullable] = STATE(22),
    [sym_preproc_error] = STATE(22),
    [sym_preproc_define] = STATE(22),
    [sym_preproc_undef] = STATE(22),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(50),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(733),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [23] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(23),
    [sym_preproc_endregion] = STATE(23),
    [sym_preproc_line] = STATE(23),
    [sym_preproc_pragma] = STATE(23),
    [sym_preproc_nullable] = STATE(23),
    [sym_preproc_error] = STATE(23),
    [sym_preproc_define] = STATE(23),
    [sym_preproc_undef] = STATE(23),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(737),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_default] = ACTIONS(739),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [24] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5852),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(24),
    [sym_preproc_endregion] = STATE(24),
    [sym_preproc_line] = STATE(24),
    [sym_preproc_pragma] = STATE(24),
    [sym_preproc_nullable] = STATE(24),
    [sym_preproc_error] = STATE(24),
    [sym_preproc_define] = STATE(24),
    [sym_preproc_undef] = STATE(24),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(46),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(745),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [25] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(25),
    [sym_preproc_endregion] = STATE(25),
    [sym_preproc_line] = STATE(25),
    [sym_preproc_pragma] = STATE(25),
    [sym_preproc_nullable] = STATE(25),
    [sym_preproc_error] = STATE(25),
    [sym_preproc_define] = STATE(25),
    [sym_preproc_undef] = STATE(25),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(23),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_case] = ACTIONS(749),
    [anon_sym_default] = ACTIONS(749),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [26] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5852),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(26),
    [sym_preproc_endregion] = STATE(26),
    [sym_preproc_line] = STATE(26),
    [sym_preproc_pragma] = STATE(26),
    [sym_preproc_nullable] = STATE(26),
    [sym_preproc_error] = STATE(26),
    [sym_preproc_define] = STATE(26),
    [sym_preproc_undef] = STATE(26),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(39),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [27] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(27),
    [sym_preproc_endregion] = STATE(27),
    [sym_preproc_line] = STATE(27),
    [sym_preproc_pragma] = STATE(27),
    [sym_preproc_nullable] = STATE(27),
    [sym_preproc_error] = STATE(27),
    [sym_preproc_define] = STATE(27),
    [sym_preproc_undef] = STATE(27),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_case] = ACTIONS(755),
    [anon_sym_default] = ACTIONS(755),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [28] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(28),
    [sym_preproc_endregion] = STATE(28),
    [sym_preproc_line] = STATE(28),
    [sym_preproc_pragma] = STATE(28),
    [sym_preproc_nullable] = STATE(28),
    [sym_preproc_error] = STATE(28),
    [sym_preproc_define] = STATE(28),
    [sym_preproc_undef] = STATE(28),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(36),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(753),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_case] = ACTIONS(755),
    [anon_sym_default] = ACTIONS(755),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [29] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5852),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(29),
    [sym_preproc_endregion] = STATE(29),
    [sym_preproc_line] = STATE(29),
    [sym_preproc_pragma] = STATE(29),
    [sym_preproc_nullable] = STATE(29),
    [sym_preproc_error] = STATE(29),
    [sym_preproc_define] = STATE(29),
    [sym_preproc_undef] = STATE(29),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(39),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(757),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [30] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(30),
    [sym_preproc_endregion] = STATE(30),
    [sym_preproc_line] = STATE(30),
    [sym_preproc_pragma] = STATE(30),
    [sym_preproc_nullable] = STATE(30),
    [sym_preproc_error] = STATE(30),
    [sym_preproc_define] = STATE(30),
    [sym_preproc_undef] = STATE(30),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(759),
    [anon_sym_extern] = ACTIONS(762),
    [anon_sym_alias] = ACTIONS(765),
    [anon_sym_SEMI] = ACTIONS(768),
    [anon_sym_global] = ACTIONS(765),
    [anon_sym_using] = ACTIONS(771),
    [anon_sym_unsafe] = ACTIONS(774),
    [anon_sym_static] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_return] = ACTIONS(786),
    [anon_sym_ref] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(792),
    [anon_sym_RBRACE] = ACTIONS(795),
    [anon_sym_delegate] = ACTIONS(797),
    [anon_sym_abstract] = ACTIONS(762),
    [anon_sym_async] = ACTIONS(777),
    [anon_sym_const] = ACTIONS(762),
    [anon_sym_file] = ACTIONS(800),
    [anon_sym_fixed] = ACTIONS(803),
    [anon_sym_internal] = ACTIONS(762),
    [anon_sym_new] = ACTIONS(806),
    [anon_sym_override] = ACTIONS(762),
    [anon_sym_partial] = ACTIONS(762),
    [anon_sym_private] = ACTIONS(762),
    [anon_sym_protected] = ACTIONS(762),
    [anon_sym_public] = ACTIONS(762),
    [anon_sym_readonly] = ACTIONS(762),
    [anon_sym_required] = ACTIONS(762),
    [anon_sym_sealed] = ACTIONS(762),
    [anon_sym_virtual] = ACTIONS(762),
    [anon_sym_volatile] = ACTIONS(762),
    [anon_sym_where] = ACTIONS(765),
    [anon_sym_notnull] = ACTIONS(765),
    [anon_sym_unmanaged] = ACTIONS(765),
    [anon_sym_checked] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(812),
    [anon_sym_TILDE] = ACTIONS(812),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(812),
    [anon_sym_true] = ACTIONS(815),
    [anon_sym_false] = ACTIONS(815),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_STAR] = ACTIONS(821),
    [anon_sym_CARET] = ACTIONS(812),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_this] = ACTIONS(824),
    [anon_sym_scoped] = ACTIONS(827),
    [anon_sym_base] = ACTIONS(830),
    [anon_sym_var] = ACTIONS(833),
    [sym_predefined_type] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(839),
    [anon_sym_unchecked] = ACTIONS(809),
    [anon_sym_continue] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(851),
    [anon_sym_lock] = ACTIONS(854),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(860),
    [anon_sym_case] = ACTIONS(863),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(871),
    [anon_sym_when] = ACTIONS(765),
    [anon_sym_await] = ACTIONS(874),
    [anon_sym_foreach] = ACTIONS(877),
    [anon_sym_goto] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(883),
    [anon_sym_DOT_DOT] = ACTIONS(886),
    [anon_sym_from] = ACTIONS(889),
    [anon_sym_into] = ACTIONS(765),
    [anon_sym_join] = ACTIONS(765),
    [anon_sym_on] = ACTIONS(765),
    [anon_sym_equals] = ACTIONS(765),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_orderby] = ACTIONS(765),
    [anon_sym_ascending] = ACTIONS(765),
    [anon_sym_descending] = ACTIONS(765),
    [anon_sym_group] = ACTIONS(765),
    [anon_sym_by] = ACTIONS(765),
    [anon_sym_select] = ACTIONS(765),
    [anon_sym_DQUOTE] = ACTIONS(892),
    [anon_sym_stackalloc] = ACTIONS(895),
    [anon_sym_sizeof] = ACTIONS(898),
    [anon_sym_typeof] = ACTIONS(901),
    [anon_sym___makeref] = ACTIONS(904),
    [anon_sym___reftype] = ACTIONS(907),
    [anon_sym___refvalue] = ACTIONS(910),
    [sym_null_literal] = ACTIONS(913),
    [anon_sym_SQUOTE] = ACTIONS(916),
    [sym_integer_literal] = ACTIONS(913),
    [sym_real_literal] = ACTIONS(919),
    [sym_verbatim_string_literal] = ACTIONS(919),
    [aux_sym_preproc_if_token1] = ACTIONS(922),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(925),
    [sym_interpolation_verbatim_start] = ACTIONS(928),
    [sym_interpolation_raw_start] = ACTIONS(931),
    [sym_raw_string_start] = ACTIONS(934),
  },
  [31] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(31),
    [sym_preproc_endregion] = STATE(31),
    [sym_preproc_line] = STATE(31),
    [sym_preproc_pragma] = STATE(31),
    [sym_preproc_nullable] = STATE(31),
    [sym_preproc_error] = STATE(31),
    [sym_preproc_define] = STATE(31),
    [sym_preproc_undef] = STATE(31),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(27),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(737),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_case] = ACTIONS(739),
    [anon_sym_default] = ACTIONS(739),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [32] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5852),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(32),
    [sym_preproc_endregion] = STATE(32),
    [sym_preproc_line] = STATE(32),
    [sym_preproc_pragma] = STATE(32),
    [sym_preproc_nullable] = STATE(32),
    [sym_preproc_error] = STATE(32),
    [sym_preproc_define] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(52),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(937),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [33] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5842),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(33),
    [sym_preproc_endregion] = STATE(33),
    [sym_preproc_line] = STATE(33),
    [sym_preproc_pragma] = STATE(33),
    [sym_preproc_nullable] = STATE(33),
    [sym_preproc_error] = STATE(33),
    [sym_preproc_define] = STATE(33),
    [sym_preproc_undef] = STATE(33),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(42),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [34] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6100),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(34),
    [sym_preproc_endregion] = STATE(34),
    [sym_preproc_line] = STATE(34),
    [sym_preproc_pragma] = STATE(34),
    [sym_preproc_nullable] = STATE(34),
    [sym_preproc_error] = STATE(34),
    [sym_preproc_define] = STATE(34),
    [sym_preproc_undef] = STATE(34),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(45),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [35] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6008),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(35),
    [sym_preproc_endregion] = STATE(35),
    [sym_preproc_line] = STATE(35),
    [sym_preproc_pragma] = STATE(35),
    [sym_preproc_nullable] = STATE(35),
    [sym_preproc_error] = STATE(35),
    [sym_preproc_define] = STATE(35),
    [sym_preproc_undef] = STATE(35),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(48),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [36] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(36),
    [sym_preproc_endregion] = STATE(36),
    [sym_preproc_line] = STATE(36),
    [sym_preproc_pragma] = STATE(36),
    [sym_preproc_nullable] = STATE(36),
    [sym_preproc_error] = STATE(36),
    [sym_preproc_define] = STATE(36),
    [sym_preproc_undef] = STATE(36),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(951),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_case] = ACTIONS(953),
    [anon_sym_default] = ACTIONS(953),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [37] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6842),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(5814),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(37),
    [sym_preproc_endregion] = STATE(37),
    [sym_preproc_line] = STATE(37),
    [sym_preproc_pragma] = STATE(37),
    [sym_preproc_nullable] = STATE(37),
    [sym_preproc_error] = STATE(37),
    [sym_preproc_define] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [aux_sym_class_declaration_repeat1] = STATE(2923),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(57),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(957),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(715),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(719),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [38] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(38),
    [sym_preproc_endregion] = STATE(38),
    [sym_preproc_line] = STATE(38),
    [sym_preproc_pragma] = STATE(38),
    [sym_preproc_nullable] = STATE(38),
    [sym_preproc_error] = STATE(38),
    [sym_preproc_define] = STATE(38),
    [sym_preproc_undef] = STATE(38),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(51),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [39] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(39),
    [sym_preproc_endregion] = STATE(39),
    [sym_preproc_line] = STATE(39),
    [sym_preproc_pragma] = STATE(39),
    [sym_preproc_nullable] = STATE(39),
    [sym_preproc_error] = STATE(39),
    [sym_preproc_define] = STATE(39),
    [sym_preproc_undef] = STATE(39),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [40] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(40),
    [sym_preproc_endregion] = STATE(40),
    [sym_preproc_line] = STATE(40),
    [sym_preproc_pragma] = STATE(40),
    [sym_preproc_nullable] = STATE(40),
    [sym_preproc_error] = STATE(40),
    [sym_preproc_define] = STATE(40),
    [sym_preproc_undef] = STATE(40),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(50),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(963),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [41] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(41),
    [sym_preproc_endregion] = STATE(41),
    [sym_preproc_line] = STATE(41),
    [sym_preproc_pragma] = STATE(41),
    [sym_preproc_nullable] = STATE(41),
    [sym_preproc_error] = STATE(41),
    [sym_preproc_define] = STATE(41),
    [sym_preproc_undef] = STATE(41),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(45),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [42] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(42),
    [sym_preproc_endregion] = STATE(42),
    [sym_preproc_line] = STATE(42),
    [sym_preproc_pragma] = STATE(42),
    [sym_preproc_nullable] = STATE(42),
    [sym_preproc_error] = STATE(42),
    [sym_preproc_define] = STATE(42),
    [sym_preproc_undef] = STATE(42),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(967),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [43] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(43),
    [sym_preproc_endregion] = STATE(43),
    [sym_preproc_line] = STATE(43),
    [sym_preproc_pragma] = STATE(43),
    [sym_preproc_nullable] = STATE(43),
    [sym_preproc_error] = STATE(43),
    [sym_preproc_define] = STATE(43),
    [sym_preproc_undef] = STATE(43),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(39),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [44] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(44),
    [sym_preproc_endregion] = STATE(44),
    [sym_preproc_line] = STATE(44),
    [sym_preproc_pragma] = STATE(44),
    [sym_preproc_nullable] = STATE(44),
    [sym_preproc_error] = STATE(44),
    [sym_preproc_define] = STATE(44),
    [sym_preproc_undef] = STATE(44),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(48),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(971),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [45] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(45),
    [sym_preproc_endregion] = STATE(45),
    [sym_preproc_line] = STATE(45),
    [sym_preproc_pragma] = STATE(45),
    [sym_preproc_nullable] = STATE(45),
    [sym_preproc_error] = STATE(45),
    [sym_preproc_define] = STATE(45),
    [sym_preproc_undef] = STATE(45),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [46] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(46),
    [sym_preproc_endregion] = STATE(46),
    [sym_preproc_line] = STATE(46),
    [sym_preproc_pragma] = STATE(46),
    [sym_preproc_nullable] = STATE(46),
    [sym_preproc_error] = STATE(46),
    [sym_preproc_define] = STATE(46),
    [sym_preproc_undef] = STATE(46),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(975),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [47] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(47),
    [sym_preproc_endregion] = STATE(47),
    [sym_preproc_line] = STATE(47),
    [sym_preproc_pragma] = STATE(47),
    [sym_preproc_nullable] = STATE(47),
    [sym_preproc_error] = STATE(47),
    [sym_preproc_define] = STATE(47),
    [sym_preproc_undef] = STATE(47),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(52),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(977),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [48] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(48),
    [sym_preproc_endregion] = STATE(48),
    [sym_preproc_line] = STATE(48),
    [sym_preproc_pragma] = STATE(48),
    [sym_preproc_nullable] = STATE(48),
    [sym_preproc_error] = STATE(48),
    [sym_preproc_define] = STATE(48),
    [sym_preproc_undef] = STATE(48),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(979),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [49] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(49),
    [sym_preproc_endregion] = STATE(49),
    [sym_preproc_line] = STATE(49),
    [sym_preproc_pragma] = STATE(49),
    [sym_preproc_nullable] = STATE(49),
    [sym_preproc_error] = STATE(49),
    [sym_preproc_define] = STATE(49),
    [sym_preproc_undef] = STATE(49),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(42),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [50] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(50),
    [sym_preproc_endregion] = STATE(50),
    [sym_preproc_line] = STATE(50),
    [sym_preproc_pragma] = STATE(50),
    [sym_preproc_nullable] = STATE(50),
    [sym_preproc_error] = STATE(50),
    [sym_preproc_define] = STATE(50),
    [sym_preproc_undef] = STATE(50),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(983),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [51] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(51),
    [sym_preproc_endregion] = STATE(51),
    [sym_preproc_line] = STATE(51),
    [sym_preproc_pragma] = STATE(51),
    [sym_preproc_nullable] = STATE(51),
    [sym_preproc_error] = STATE(51),
    [sym_preproc_define] = STATE(51),
    [sym_preproc_undef] = STATE(51),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(985),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [52] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(52),
    [sym_preproc_endregion] = STATE(52),
    [sym_preproc_line] = STATE(52),
    [sym_preproc_pragma] = STATE(52),
    [sym_preproc_nullable] = STATE(52),
    [sym_preproc_error] = STATE(52),
    [sym_preproc_define] = STATE(52),
    [sym_preproc_undef] = STATE(52),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [53] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(53),
    [sym_preproc_endregion] = STATE(53),
    [sym_preproc_line] = STATE(53),
    [sym_preproc_pragma] = STATE(53),
    [sym_preproc_nullable] = STATE(53),
    [sym_preproc_error] = STATE(53),
    [sym_preproc_define] = STATE(53),
    [sym_preproc_undef] = STATE(53),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(54),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [54] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(54),
    [sym_preproc_endregion] = STATE(54),
    [sym_preproc_line] = STATE(54),
    [sym_preproc_pragma] = STATE(54),
    [sym_preproc_nullable] = STATE(54),
    [sym_preproc_error] = STATE(54),
    [sym_preproc_define] = STATE(54),
    [sym_preproc_undef] = STATE(54),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [55] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(55),
    [sym_preproc_endregion] = STATE(55),
    [sym_preproc_line] = STATE(55),
    [sym_preproc_pragma] = STATE(55),
    [sym_preproc_nullable] = STATE(55),
    [sym_preproc_error] = STATE(55),
    [sym_preproc_define] = STATE(55),
    [sym_preproc_undef] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(46),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(993),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [56] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(56),
    [sym_preproc_endregion] = STATE(56),
    [sym_preproc_line] = STATE(56),
    [sym_preproc_pragma] = STATE(56),
    [sym_preproc_nullable] = STATE(56),
    [sym_preproc_error] = STATE(56),
    [sym_preproc_define] = STATE(56),
    [sym_preproc_undef] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(57),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [57] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(57),
    [sym_preproc_endregion] = STATE(57),
    [sym_preproc_line] = STATE(57),
    [sym_preproc_pragma] = STATE(57),
    [sym_preproc_nullable] = STATE(57),
    [sym_preproc_error] = STATE(57),
    [sym_preproc_define] = STATE(57),
    [sym_preproc_undef] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [58] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(58),
    [sym_preproc_endregion] = STATE(58),
    [sym_preproc_line] = STATE(58),
    [sym_preproc_pragma] = STATE(58),
    [sym_preproc_nullable] = STATE(58),
    [sym_preproc_error] = STATE(58),
    [sym_preproc_define] = STATE(58),
    [sym_preproc_undef] = STATE(58),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(59),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [59] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2732),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(59),
    [sym_preproc_endregion] = STATE(59),
    [sym_preproc_line] = STATE(59),
    [sym_preproc_pragma] = STATE(59),
    [sym_preproc_nullable] = STATE(59),
    [sym_preproc_error] = STATE(59),
    [sym_preproc_define] = STATE(59),
    [sym_preproc_undef] = STATE(59),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_block_repeat1] = STATE(30),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(1001),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [60] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8828),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(60),
    [sym_preproc_endregion] = STATE(60),
    [sym_preproc_line] = STATE(60),
    [sym_preproc_pragma] = STATE(60),
    [sym_preproc_nullable] = STATE(60),
    [sym_preproc_error] = STATE(60),
    [sym_preproc_define] = STATE(60),
    [sym_preproc_undef] = STATE(60),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [61] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2687),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(61),
    [sym_preproc_endregion] = STATE(61),
    [sym_preproc_line] = STATE(61),
    [sym_preproc_pragma] = STATE(61),
    [sym_preproc_nullable] = STATE(61),
    [sym_preproc_error] = STATE(61),
    [sym_preproc_define] = STATE(61),
    [sym_preproc_undef] = STATE(61),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [62] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2690),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(62),
    [sym_preproc_endregion] = STATE(62),
    [sym_preproc_line] = STATE(62),
    [sym_preproc_pragma] = STATE(62),
    [sym_preproc_nullable] = STATE(62),
    [sym_preproc_error] = STATE(62),
    [sym_preproc_define] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [63] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2701),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(63),
    [sym_preproc_endregion] = STATE(63),
    [sym_preproc_line] = STATE(63),
    [sym_preproc_pragma] = STATE(63),
    [sym_preproc_nullable] = STATE(63),
    [sym_preproc_error] = STATE(63),
    [sym_preproc_define] = STATE(63),
    [sym_preproc_undef] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [64] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2703),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(64),
    [sym_preproc_endregion] = STATE(64),
    [sym_preproc_line] = STATE(64),
    [sym_preproc_pragma] = STATE(64),
    [sym_preproc_nullable] = STATE(64),
    [sym_preproc_error] = STATE(64),
    [sym_preproc_define] = STATE(64),
    [sym_preproc_undef] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [65] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2707),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(65),
    [sym_preproc_endregion] = STATE(65),
    [sym_preproc_line] = STATE(65),
    [sym_preproc_pragma] = STATE(65),
    [sym_preproc_nullable] = STATE(65),
    [sym_preproc_error] = STATE(65),
    [sym_preproc_define] = STATE(65),
    [sym_preproc_undef] = STATE(65),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [66] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2708),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(66),
    [sym_preproc_endregion] = STATE(66),
    [sym_preproc_line] = STATE(66),
    [sym_preproc_pragma] = STATE(66),
    [sym_preproc_nullable] = STATE(66),
    [sym_preproc_error] = STATE(66),
    [sym_preproc_define] = STATE(66),
    [sym_preproc_undef] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [67] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2709),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(67),
    [sym_preproc_endregion] = STATE(67),
    [sym_preproc_line] = STATE(67),
    [sym_preproc_pragma] = STATE(67),
    [sym_preproc_nullable] = STATE(67),
    [sym_preproc_error] = STATE(67),
    [sym_preproc_define] = STATE(67),
    [sym_preproc_undef] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [68] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2714),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(68),
    [sym_preproc_endregion] = STATE(68),
    [sym_preproc_line] = STATE(68),
    [sym_preproc_pragma] = STATE(68),
    [sym_preproc_nullable] = STATE(68),
    [sym_preproc_error] = STATE(68),
    [sym_preproc_define] = STATE(68),
    [sym_preproc_undef] = STATE(68),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [69] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2715),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(69),
    [sym_preproc_endregion] = STATE(69),
    [sym_preproc_line] = STATE(69),
    [sym_preproc_pragma] = STATE(69),
    [sym_preproc_nullable] = STATE(69),
    [sym_preproc_error] = STATE(69),
    [sym_preproc_define] = STATE(69),
    [sym_preproc_undef] = STATE(69),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [70] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2719),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(70),
    [sym_preproc_endregion] = STATE(70),
    [sym_preproc_line] = STATE(70),
    [sym_preproc_pragma] = STATE(70),
    [sym_preproc_nullable] = STATE(70),
    [sym_preproc_error] = STATE(70),
    [sym_preproc_define] = STATE(70),
    [sym_preproc_undef] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [71] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2721),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(71),
    [sym_preproc_endregion] = STATE(71),
    [sym_preproc_line] = STATE(71),
    [sym_preproc_pragma] = STATE(71),
    [sym_preproc_nullable] = STATE(71),
    [sym_preproc_error] = STATE(71),
    [sym_preproc_define] = STATE(71),
    [sym_preproc_undef] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [72] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2723),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(72),
    [sym_preproc_endregion] = STATE(72),
    [sym_preproc_line] = STATE(72),
    [sym_preproc_pragma] = STATE(72),
    [sym_preproc_nullable] = STATE(72),
    [sym_preproc_error] = STATE(72),
    [sym_preproc_define] = STATE(72),
    [sym_preproc_undef] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [73] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2724),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(73),
    [sym_preproc_endregion] = STATE(73),
    [sym_preproc_line] = STATE(73),
    [sym_preproc_pragma] = STATE(73),
    [sym_preproc_nullable] = STATE(73),
    [sym_preproc_error] = STATE(73),
    [sym_preproc_define] = STATE(73),
    [sym_preproc_undef] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [74] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2725),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(74),
    [sym_preproc_endregion] = STATE(74),
    [sym_preproc_line] = STATE(74),
    [sym_preproc_pragma] = STATE(74),
    [sym_preproc_nullable] = STATE(74),
    [sym_preproc_error] = STATE(74),
    [sym_preproc_define] = STATE(74),
    [sym_preproc_undef] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [75] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2729),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(75),
    [sym_preproc_endregion] = STATE(75),
    [sym_preproc_line] = STATE(75),
    [sym_preproc_pragma] = STATE(75),
    [sym_preproc_nullable] = STATE(75),
    [sym_preproc_error] = STATE(75),
    [sym_preproc_define] = STATE(75),
    [sym_preproc_undef] = STATE(75),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [76] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2730),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(76),
    [sym_preproc_endregion] = STATE(76),
    [sym_preproc_line] = STATE(76),
    [sym_preproc_pragma] = STATE(76),
    [sym_preproc_nullable] = STATE(76),
    [sym_preproc_error] = STATE(76),
    [sym_preproc_define] = STATE(76),
    [sym_preproc_undef] = STATE(76),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [77] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2656),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(77),
    [sym_preproc_endregion] = STATE(77),
    [sym_preproc_line] = STATE(77),
    [sym_preproc_pragma] = STATE(77),
    [sym_preproc_nullable] = STATE(77),
    [sym_preproc_error] = STATE(77),
    [sym_preproc_define] = STATE(77),
    [sym_preproc_undef] = STATE(77),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [78] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2731),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(78),
    [sym_preproc_endregion] = STATE(78),
    [sym_preproc_line] = STATE(78),
    [sym_preproc_pragma] = STATE(78),
    [sym_preproc_nullable] = STATE(78),
    [sym_preproc_error] = STATE(78),
    [sym_preproc_define] = STATE(78),
    [sym_preproc_undef] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [79] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2676),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(79),
    [sym_preproc_endregion] = STATE(79),
    [sym_preproc_line] = STATE(79),
    [sym_preproc_pragma] = STATE(79),
    [sym_preproc_nullable] = STATE(79),
    [sym_preproc_error] = STATE(79),
    [sym_preproc_define] = STATE(79),
    [sym_preproc_undef] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [80] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2689),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(80),
    [sym_preproc_endregion] = STATE(80),
    [sym_preproc_line] = STATE(80),
    [sym_preproc_pragma] = STATE(80),
    [sym_preproc_nullable] = STATE(80),
    [sym_preproc_error] = STATE(80),
    [sym_preproc_define] = STATE(80),
    [sym_preproc_undef] = STATE(80),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [81] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2660),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(81),
    [sym_preproc_endregion] = STATE(81),
    [sym_preproc_line] = STATE(81),
    [sym_preproc_pragma] = STATE(81),
    [sym_preproc_nullable] = STATE(81),
    [sym_preproc_error] = STATE(81),
    [sym_preproc_define] = STATE(81),
    [sym_preproc_undef] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [82] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2661),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(82),
    [sym_preproc_endregion] = STATE(82),
    [sym_preproc_line] = STATE(82),
    [sym_preproc_pragma] = STATE(82),
    [sym_preproc_nullable] = STATE(82),
    [sym_preproc_error] = STATE(82),
    [sym_preproc_define] = STATE(82),
    [sym_preproc_undef] = STATE(82),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [83] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2662),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(83),
    [sym_preproc_endregion] = STATE(83),
    [sym_preproc_line] = STATE(83),
    [sym_preproc_pragma] = STATE(83),
    [sym_preproc_nullable] = STATE(83),
    [sym_preproc_error] = STATE(83),
    [sym_preproc_define] = STATE(83),
    [sym_preproc_undef] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [84] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2664),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(84),
    [sym_preproc_endregion] = STATE(84),
    [sym_preproc_line] = STATE(84),
    [sym_preproc_pragma] = STATE(84),
    [sym_preproc_nullable] = STATE(84),
    [sym_preproc_error] = STATE(84),
    [sym_preproc_define] = STATE(84),
    [sym_preproc_undef] = STATE(84),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [85] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8972),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(85),
    [sym_preproc_endregion] = STATE(85),
    [sym_preproc_line] = STATE(85),
    [sym_preproc_pragma] = STATE(85),
    [sym_preproc_nullable] = STATE(85),
    [sym_preproc_error] = STATE(85),
    [sym_preproc_define] = STATE(85),
    [sym_preproc_undef] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [86] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8893),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(86),
    [sym_preproc_endregion] = STATE(86),
    [sym_preproc_line] = STATE(86),
    [sym_preproc_pragma] = STATE(86),
    [sym_preproc_nullable] = STATE(86),
    [sym_preproc_error] = STATE(86),
    [sym_preproc_define] = STATE(86),
    [sym_preproc_undef] = STATE(86),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [87] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8862),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(87),
    [sym_preproc_endregion] = STATE(87),
    [sym_preproc_line] = STATE(87),
    [sym_preproc_pragma] = STATE(87),
    [sym_preproc_nullable] = STATE(87),
    [sym_preproc_error] = STATE(87),
    [sym_preproc_define] = STATE(87),
    [sym_preproc_undef] = STATE(87),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [88] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8821),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(88),
    [sym_preproc_endregion] = STATE(88),
    [sym_preproc_line] = STATE(88),
    [sym_preproc_pragma] = STATE(88),
    [sym_preproc_nullable] = STATE(88),
    [sym_preproc_error] = STATE(88),
    [sym_preproc_define] = STATE(88),
    [sym_preproc_undef] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [89] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8901),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(89),
    [sym_preproc_endregion] = STATE(89),
    [sym_preproc_line] = STATE(89),
    [sym_preproc_pragma] = STATE(89),
    [sym_preproc_nullable] = STATE(89),
    [sym_preproc_error] = STATE(89),
    [sym_preproc_define] = STATE(89),
    [sym_preproc_undef] = STATE(89),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [90] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8728),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(90),
    [sym_preproc_endregion] = STATE(90),
    [sym_preproc_line] = STATE(90),
    [sym_preproc_pragma] = STATE(90),
    [sym_preproc_nullable] = STATE(90),
    [sym_preproc_error] = STATE(90),
    [sym_preproc_define] = STATE(90),
    [sym_preproc_undef] = STATE(90),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [91] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8892),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(91),
    [sym_preproc_endregion] = STATE(91),
    [sym_preproc_line] = STATE(91),
    [sym_preproc_pragma] = STATE(91),
    [sym_preproc_nullable] = STATE(91),
    [sym_preproc_error] = STATE(91),
    [sym_preproc_define] = STATE(91),
    [sym_preproc_undef] = STATE(91),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [92] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8903),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(92),
    [sym_preproc_endregion] = STATE(92),
    [sym_preproc_line] = STATE(92),
    [sym_preproc_pragma] = STATE(92),
    [sym_preproc_nullable] = STATE(92),
    [sym_preproc_error] = STATE(92),
    [sym_preproc_define] = STATE(92),
    [sym_preproc_undef] = STATE(92),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [93] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8712),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(93),
    [sym_preproc_endregion] = STATE(93),
    [sym_preproc_line] = STATE(93),
    [sym_preproc_pragma] = STATE(93),
    [sym_preproc_nullable] = STATE(93),
    [sym_preproc_error] = STATE(93),
    [sym_preproc_define] = STATE(93),
    [sym_preproc_undef] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [94] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8715),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(94),
    [sym_preproc_endregion] = STATE(94),
    [sym_preproc_line] = STATE(94),
    [sym_preproc_pragma] = STATE(94),
    [sym_preproc_nullable] = STATE(94),
    [sym_preproc_error] = STATE(94),
    [sym_preproc_define] = STATE(94),
    [sym_preproc_undef] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [95] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8717),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(95),
    [sym_preproc_endregion] = STATE(95),
    [sym_preproc_line] = STATE(95),
    [sym_preproc_pragma] = STATE(95),
    [sym_preproc_nullable] = STATE(95),
    [sym_preproc_error] = STATE(95),
    [sym_preproc_define] = STATE(95),
    [sym_preproc_undef] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [96] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8730),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(96),
    [sym_preproc_endregion] = STATE(96),
    [sym_preproc_line] = STATE(96),
    [sym_preproc_pragma] = STATE(96),
    [sym_preproc_nullable] = STATE(96),
    [sym_preproc_error] = STATE(96),
    [sym_preproc_define] = STATE(96),
    [sym_preproc_undef] = STATE(96),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [97] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8731),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(97),
    [sym_preproc_endregion] = STATE(97),
    [sym_preproc_line] = STATE(97),
    [sym_preproc_pragma] = STATE(97),
    [sym_preproc_nullable] = STATE(97),
    [sym_preproc_error] = STATE(97),
    [sym_preproc_define] = STATE(97),
    [sym_preproc_undef] = STATE(97),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [98] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8782),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(98),
    [sym_preproc_endregion] = STATE(98),
    [sym_preproc_line] = STATE(98),
    [sym_preproc_pragma] = STATE(98),
    [sym_preproc_nullable] = STATE(98),
    [sym_preproc_error] = STATE(98),
    [sym_preproc_define] = STATE(98),
    [sym_preproc_undef] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [99] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8784),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(99),
    [sym_preproc_endregion] = STATE(99),
    [sym_preproc_line] = STATE(99),
    [sym_preproc_pragma] = STATE(99),
    [sym_preproc_nullable] = STATE(99),
    [sym_preproc_error] = STATE(99),
    [sym_preproc_define] = STATE(99),
    [sym_preproc_undef] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [100] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8791),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(100),
    [sym_preproc_endregion] = STATE(100),
    [sym_preproc_line] = STATE(100),
    [sym_preproc_pragma] = STATE(100),
    [sym_preproc_nullable] = STATE(100),
    [sym_preproc_error] = STATE(100),
    [sym_preproc_define] = STATE(100),
    [sym_preproc_undef] = STATE(100),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [101] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8793),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(101),
    [sym_preproc_endregion] = STATE(101),
    [sym_preproc_line] = STATE(101),
    [sym_preproc_pragma] = STATE(101),
    [sym_preproc_nullable] = STATE(101),
    [sym_preproc_error] = STATE(101),
    [sym_preproc_define] = STATE(101),
    [sym_preproc_undef] = STATE(101),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [102] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8797),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(102),
    [sym_preproc_endregion] = STATE(102),
    [sym_preproc_line] = STATE(102),
    [sym_preproc_pragma] = STATE(102),
    [sym_preproc_nullable] = STATE(102),
    [sym_preproc_error] = STATE(102),
    [sym_preproc_define] = STATE(102),
    [sym_preproc_undef] = STATE(102),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [103] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8805),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(103),
    [sym_preproc_endregion] = STATE(103),
    [sym_preproc_line] = STATE(103),
    [sym_preproc_pragma] = STATE(103),
    [sym_preproc_nullable] = STATE(103),
    [sym_preproc_error] = STATE(103),
    [sym_preproc_define] = STATE(103),
    [sym_preproc_undef] = STATE(103),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [104] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8806),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(104),
    [sym_preproc_endregion] = STATE(104),
    [sym_preproc_line] = STATE(104),
    [sym_preproc_pragma] = STATE(104),
    [sym_preproc_nullable] = STATE(104),
    [sym_preproc_error] = STATE(104),
    [sym_preproc_define] = STATE(104),
    [sym_preproc_undef] = STATE(104),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [105] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8826),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(105),
    [sym_preproc_endregion] = STATE(105),
    [sym_preproc_line] = STATE(105),
    [sym_preproc_pragma] = STATE(105),
    [sym_preproc_nullable] = STATE(105),
    [sym_preproc_error] = STATE(105),
    [sym_preproc_define] = STATE(105),
    [sym_preproc_undef] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [106] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8827),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(106),
    [sym_preproc_endregion] = STATE(106),
    [sym_preproc_line] = STATE(106),
    [sym_preproc_pragma] = STATE(106),
    [sym_preproc_nullable] = STATE(106),
    [sym_preproc_error] = STATE(106),
    [sym_preproc_define] = STATE(106),
    [sym_preproc_undef] = STATE(106),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [107] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2480),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(107),
    [sym_preproc_endregion] = STATE(107),
    [sym_preproc_line] = STATE(107),
    [sym_preproc_pragma] = STATE(107),
    [sym_preproc_nullable] = STATE(107),
    [sym_preproc_error] = STATE(107),
    [sym_preproc_define] = STATE(107),
    [sym_preproc_undef] = STATE(107),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [108] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8830),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(108),
    [sym_preproc_endregion] = STATE(108),
    [sym_preproc_line] = STATE(108),
    [sym_preproc_pragma] = STATE(108),
    [sym_preproc_nullable] = STATE(108),
    [sym_preproc_error] = STATE(108),
    [sym_preproc_define] = STATE(108),
    [sym_preproc_undef] = STATE(108),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [109] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8833),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(109),
    [sym_preproc_endregion] = STATE(109),
    [sym_preproc_line] = STATE(109),
    [sym_preproc_pragma] = STATE(109),
    [sym_preproc_nullable] = STATE(109),
    [sym_preproc_error] = STATE(109),
    [sym_preproc_define] = STATE(109),
    [sym_preproc_undef] = STATE(109),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [110] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8837),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(110),
    [sym_preproc_endregion] = STATE(110),
    [sym_preproc_line] = STATE(110),
    [sym_preproc_pragma] = STATE(110),
    [sym_preproc_nullable] = STATE(110),
    [sym_preproc_error] = STATE(110),
    [sym_preproc_define] = STATE(110),
    [sym_preproc_undef] = STATE(110),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [111] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8846),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(111),
    [sym_preproc_endregion] = STATE(111),
    [sym_preproc_line] = STATE(111),
    [sym_preproc_pragma] = STATE(111),
    [sym_preproc_nullable] = STATE(111),
    [sym_preproc_error] = STATE(111),
    [sym_preproc_define] = STATE(111),
    [sym_preproc_undef] = STATE(111),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [112] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8847),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(112),
    [sym_preproc_endregion] = STATE(112),
    [sym_preproc_line] = STATE(112),
    [sym_preproc_pragma] = STATE(112),
    [sym_preproc_nullable] = STATE(112),
    [sym_preproc_error] = STATE(112),
    [sym_preproc_define] = STATE(112),
    [sym_preproc_undef] = STATE(112),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [113] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8848),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(113),
    [sym_preproc_endregion] = STATE(113),
    [sym_preproc_line] = STATE(113),
    [sym_preproc_pragma] = STATE(113),
    [sym_preproc_nullable] = STATE(113),
    [sym_preproc_error] = STATE(113),
    [sym_preproc_define] = STATE(113),
    [sym_preproc_undef] = STATE(113),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [114] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(8855),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(114),
    [sym_preproc_endregion] = STATE(114),
    [sym_preproc_line] = STATE(114),
    [sym_preproc_pragma] = STATE(114),
    [sym_preproc_nullable] = STATE(114),
    [sym_preproc_error] = STATE(114),
    [sym_preproc_define] = STATE(114),
    [sym_preproc_undef] = STATE(114),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [115] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2245),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(115),
    [sym_preproc_endregion] = STATE(115),
    [sym_preproc_line] = STATE(115),
    [sym_preproc_pragma] = STATE(115),
    [sym_preproc_nullable] = STATE(115),
    [sym_preproc_error] = STATE(115),
    [sym_preproc_define] = STATE(115),
    [sym_preproc_undef] = STATE(115),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [116] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2255),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(116),
    [sym_preproc_endregion] = STATE(116),
    [sym_preproc_line] = STATE(116),
    [sym_preproc_pragma] = STATE(116),
    [sym_preproc_nullable] = STATE(116),
    [sym_preproc_error] = STATE(116),
    [sym_preproc_define] = STATE(116),
    [sym_preproc_undef] = STATE(116),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [117] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2256),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(117),
    [sym_preproc_endregion] = STATE(117),
    [sym_preproc_line] = STATE(117),
    [sym_preproc_pragma] = STATE(117),
    [sym_preproc_nullable] = STATE(117),
    [sym_preproc_error] = STATE(117),
    [sym_preproc_define] = STATE(117),
    [sym_preproc_undef] = STATE(117),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [118] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2257),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(118),
    [sym_preproc_endregion] = STATE(118),
    [sym_preproc_line] = STATE(118),
    [sym_preproc_pragma] = STATE(118),
    [sym_preproc_nullable] = STATE(118),
    [sym_preproc_error] = STATE(118),
    [sym_preproc_define] = STATE(118),
    [sym_preproc_undef] = STATE(118),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [119] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2258),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(119),
    [sym_preproc_endregion] = STATE(119),
    [sym_preproc_line] = STATE(119),
    [sym_preproc_pragma] = STATE(119),
    [sym_preproc_nullable] = STATE(119),
    [sym_preproc_error] = STATE(119),
    [sym_preproc_define] = STATE(119),
    [sym_preproc_undef] = STATE(119),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [120] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2262),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(120),
    [sym_preproc_endregion] = STATE(120),
    [sym_preproc_line] = STATE(120),
    [sym_preproc_pragma] = STATE(120),
    [sym_preproc_nullable] = STATE(120),
    [sym_preproc_error] = STATE(120),
    [sym_preproc_define] = STATE(120),
    [sym_preproc_undef] = STATE(120),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [121] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2269),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(121),
    [sym_preproc_endregion] = STATE(121),
    [sym_preproc_line] = STATE(121),
    [sym_preproc_pragma] = STATE(121),
    [sym_preproc_nullable] = STATE(121),
    [sym_preproc_error] = STATE(121),
    [sym_preproc_define] = STATE(121),
    [sym_preproc_undef] = STATE(121),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [122] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2271),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(122),
    [sym_preproc_endregion] = STATE(122),
    [sym_preproc_line] = STATE(122),
    [sym_preproc_pragma] = STATE(122),
    [sym_preproc_nullable] = STATE(122),
    [sym_preproc_error] = STATE(122),
    [sym_preproc_define] = STATE(122),
    [sym_preproc_undef] = STATE(122),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [123] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2278),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(123),
    [sym_preproc_endregion] = STATE(123),
    [sym_preproc_line] = STATE(123),
    [sym_preproc_pragma] = STATE(123),
    [sym_preproc_nullable] = STATE(123),
    [sym_preproc_error] = STATE(123),
    [sym_preproc_define] = STATE(123),
    [sym_preproc_undef] = STATE(123),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [124] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2279),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(124),
    [sym_preproc_endregion] = STATE(124),
    [sym_preproc_line] = STATE(124),
    [sym_preproc_pragma] = STATE(124),
    [sym_preproc_nullable] = STATE(124),
    [sym_preproc_error] = STATE(124),
    [sym_preproc_define] = STATE(124),
    [sym_preproc_undef] = STATE(124),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [125] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2280),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(125),
    [sym_preproc_endregion] = STATE(125),
    [sym_preproc_line] = STATE(125),
    [sym_preproc_pragma] = STATE(125),
    [sym_preproc_nullable] = STATE(125),
    [sym_preproc_error] = STATE(125),
    [sym_preproc_define] = STATE(125),
    [sym_preproc_undef] = STATE(125),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [126] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2222),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(126),
    [sym_preproc_endregion] = STATE(126),
    [sym_preproc_line] = STATE(126),
    [sym_preproc_pragma] = STATE(126),
    [sym_preproc_nullable] = STATE(126),
    [sym_preproc_error] = STATE(126),
    [sym_preproc_define] = STATE(126),
    [sym_preproc_undef] = STATE(126),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [127] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2281),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(127),
    [sym_preproc_endregion] = STATE(127),
    [sym_preproc_line] = STATE(127),
    [sym_preproc_pragma] = STATE(127),
    [sym_preproc_nullable] = STATE(127),
    [sym_preproc_error] = STATE(127),
    [sym_preproc_define] = STATE(127),
    [sym_preproc_undef] = STATE(127),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [128] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2285),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(128),
    [sym_preproc_endregion] = STATE(128),
    [sym_preproc_line] = STATE(128),
    [sym_preproc_pragma] = STATE(128),
    [sym_preproc_nullable] = STATE(128),
    [sym_preproc_error] = STATE(128),
    [sym_preproc_define] = STATE(128),
    [sym_preproc_undef] = STATE(128),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [129] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2286),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(129),
    [sym_preproc_endregion] = STATE(129),
    [sym_preproc_line] = STATE(129),
    [sym_preproc_pragma] = STATE(129),
    [sym_preproc_nullable] = STATE(129),
    [sym_preproc_error] = STATE(129),
    [sym_preproc_define] = STATE(129),
    [sym_preproc_undef] = STATE(129),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [130] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2287),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(130),
    [sym_preproc_endregion] = STATE(130),
    [sym_preproc_line] = STATE(130),
    [sym_preproc_pragma] = STATE(130),
    [sym_preproc_nullable] = STATE(130),
    [sym_preproc_error] = STATE(130),
    [sym_preproc_define] = STATE(130),
    [sym_preproc_undef] = STATE(130),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [131] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2288),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(131),
    [sym_preproc_endregion] = STATE(131),
    [sym_preproc_line] = STATE(131),
    [sym_preproc_pragma] = STATE(131),
    [sym_preproc_nullable] = STATE(131),
    [sym_preproc_error] = STATE(131),
    [sym_preproc_define] = STATE(131),
    [sym_preproc_undef] = STATE(131),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [132] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(9074),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(132),
    [sym_preproc_endregion] = STATE(132),
    [sym_preproc_line] = STATE(132),
    [sym_preproc_pragma] = STATE(132),
    [sym_preproc_nullable] = STATE(132),
    [sym_preproc_error] = STATE(132),
    [sym_preproc_define] = STATE(132),
    [sym_preproc_undef] = STATE(132),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [133] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2290),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(133),
    [sym_preproc_endregion] = STATE(133),
    [sym_preproc_line] = STATE(133),
    [sym_preproc_pragma] = STATE(133),
    [sym_preproc_nullable] = STATE(133),
    [sym_preproc_error] = STATE(133),
    [sym_preproc_define] = STATE(133),
    [sym_preproc_undef] = STATE(133),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [134] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2291),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(134),
    [sym_preproc_endregion] = STATE(134),
    [sym_preproc_line] = STATE(134),
    [sym_preproc_pragma] = STATE(134),
    [sym_preproc_nullable] = STATE(134),
    [sym_preproc_error] = STATE(134),
    [sym_preproc_define] = STATE(134),
    [sym_preproc_undef] = STATE(134),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [135] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2293),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(135),
    [sym_preproc_endregion] = STATE(135),
    [sym_preproc_line] = STATE(135),
    [sym_preproc_pragma] = STATE(135),
    [sym_preproc_nullable] = STATE(135),
    [sym_preproc_error] = STATE(135),
    [sym_preproc_define] = STATE(135),
    [sym_preproc_undef] = STATE(135),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [136] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2294),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(136),
    [sym_preproc_endregion] = STATE(136),
    [sym_preproc_line] = STATE(136),
    [sym_preproc_pragma] = STATE(136),
    [sym_preproc_nullable] = STATE(136),
    [sym_preproc_error] = STATE(136),
    [sym_preproc_define] = STATE(136),
    [sym_preproc_undef] = STATE(136),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [137] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2295),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(137),
    [sym_preproc_endregion] = STATE(137),
    [sym_preproc_line] = STATE(137),
    [sym_preproc_pragma] = STATE(137),
    [sym_preproc_nullable] = STATE(137),
    [sym_preproc_error] = STATE(137),
    [sym_preproc_define] = STATE(137),
    [sym_preproc_undef] = STATE(137),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [138] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2296),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(138),
    [sym_preproc_endregion] = STATE(138),
    [sym_preproc_line] = STATE(138),
    [sym_preproc_pragma] = STATE(138),
    [sym_preproc_nullable] = STATE(138),
    [sym_preproc_error] = STATE(138),
    [sym_preproc_define] = STATE(138),
    [sym_preproc_undef] = STATE(138),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [139] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2297),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(139),
    [sym_preproc_endregion] = STATE(139),
    [sym_preproc_line] = STATE(139),
    [sym_preproc_pragma] = STATE(139),
    [sym_preproc_nullable] = STATE(139),
    [sym_preproc_error] = STATE(139),
    [sym_preproc_define] = STATE(139),
    [sym_preproc_undef] = STATE(139),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [140] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2298),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(140),
    [sym_preproc_endregion] = STATE(140),
    [sym_preproc_line] = STATE(140),
    [sym_preproc_pragma] = STATE(140),
    [sym_preproc_nullable] = STATE(140),
    [sym_preproc_error] = STATE(140),
    [sym_preproc_define] = STATE(140),
    [sym_preproc_undef] = STATE(140),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [141] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2299),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(141),
    [sym_preproc_endregion] = STATE(141),
    [sym_preproc_line] = STATE(141),
    [sym_preproc_pragma] = STATE(141),
    [sym_preproc_nullable] = STATE(141),
    [sym_preproc_error] = STATE(141),
    [sym_preproc_define] = STATE(141),
    [sym_preproc_undef] = STATE(141),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [142] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2300),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(142),
    [sym_preproc_endregion] = STATE(142),
    [sym_preproc_line] = STATE(142),
    [sym_preproc_pragma] = STATE(142),
    [sym_preproc_nullable] = STATE(142),
    [sym_preproc_error] = STATE(142),
    [sym_preproc_define] = STATE(142),
    [sym_preproc_undef] = STATE(142),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [143] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2301),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(143),
    [sym_preproc_endregion] = STATE(143),
    [sym_preproc_line] = STATE(143),
    [sym_preproc_pragma] = STATE(143),
    [sym_preproc_nullable] = STATE(143),
    [sym_preproc_error] = STATE(143),
    [sym_preproc_define] = STATE(143),
    [sym_preproc_undef] = STATE(143),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [144] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2302),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(144),
    [sym_preproc_endregion] = STATE(144),
    [sym_preproc_line] = STATE(144),
    [sym_preproc_pragma] = STATE(144),
    [sym_preproc_nullable] = STATE(144),
    [sym_preproc_error] = STATE(144),
    [sym_preproc_define] = STATE(144),
    [sym_preproc_undef] = STATE(144),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [145] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2439),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(145),
    [sym_preproc_endregion] = STATE(145),
    [sym_preproc_line] = STATE(145),
    [sym_preproc_pragma] = STATE(145),
    [sym_preproc_nullable] = STATE(145),
    [sym_preproc_error] = STATE(145),
    [sym_preproc_define] = STATE(145),
    [sym_preproc_undef] = STATE(145),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [146] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2442),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(146),
    [sym_preproc_endregion] = STATE(146),
    [sym_preproc_line] = STATE(146),
    [sym_preproc_pragma] = STATE(146),
    [sym_preproc_nullable] = STATE(146),
    [sym_preproc_error] = STATE(146),
    [sym_preproc_define] = STATE(146),
    [sym_preproc_undef] = STATE(146),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [147] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2443),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(147),
    [sym_preproc_endregion] = STATE(147),
    [sym_preproc_line] = STATE(147),
    [sym_preproc_pragma] = STATE(147),
    [sym_preproc_nullable] = STATE(147),
    [sym_preproc_error] = STATE(147),
    [sym_preproc_define] = STATE(147),
    [sym_preproc_undef] = STATE(147),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [148] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2493),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(148),
    [sym_preproc_endregion] = STATE(148),
    [sym_preproc_line] = STATE(148),
    [sym_preproc_pragma] = STATE(148),
    [sym_preproc_nullable] = STATE(148),
    [sym_preproc_error] = STATE(148),
    [sym_preproc_define] = STATE(148),
    [sym_preproc_undef] = STATE(148),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [149] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2448),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(149),
    [sym_preproc_endregion] = STATE(149),
    [sym_preproc_line] = STATE(149),
    [sym_preproc_pragma] = STATE(149),
    [sym_preproc_nullable] = STATE(149),
    [sym_preproc_error] = STATE(149),
    [sym_preproc_define] = STATE(149),
    [sym_preproc_undef] = STATE(149),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [150] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2446),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(150),
    [sym_preproc_endregion] = STATE(150),
    [sym_preproc_line] = STATE(150),
    [sym_preproc_pragma] = STATE(150),
    [sym_preproc_nullable] = STATE(150),
    [sym_preproc_error] = STATE(150),
    [sym_preproc_define] = STATE(150),
    [sym_preproc_undef] = STATE(150),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [151] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2447),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(151),
    [sym_preproc_endregion] = STATE(151),
    [sym_preproc_line] = STATE(151),
    [sym_preproc_pragma] = STATE(151),
    [sym_preproc_nullable] = STATE(151),
    [sym_preproc_error] = STATE(151),
    [sym_preproc_define] = STATE(151),
    [sym_preproc_undef] = STATE(151),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [152] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2464),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(152),
    [sym_preproc_endregion] = STATE(152),
    [sym_preproc_line] = STATE(152),
    [sym_preproc_pragma] = STATE(152),
    [sym_preproc_nullable] = STATE(152),
    [sym_preproc_error] = STATE(152),
    [sym_preproc_define] = STATE(152),
    [sym_preproc_undef] = STATE(152),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [153] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2465),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(153),
    [sym_preproc_endregion] = STATE(153),
    [sym_preproc_line] = STATE(153),
    [sym_preproc_pragma] = STATE(153),
    [sym_preproc_nullable] = STATE(153),
    [sym_preproc_error] = STATE(153),
    [sym_preproc_define] = STATE(153),
    [sym_preproc_undef] = STATE(153),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [154] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2466),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(154),
    [sym_preproc_endregion] = STATE(154),
    [sym_preproc_line] = STATE(154),
    [sym_preproc_pragma] = STATE(154),
    [sym_preproc_nullable] = STATE(154),
    [sym_preproc_error] = STATE(154),
    [sym_preproc_define] = STATE(154),
    [sym_preproc_undef] = STATE(154),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [155] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2467),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(155),
    [sym_preproc_endregion] = STATE(155),
    [sym_preproc_line] = STATE(155),
    [sym_preproc_pragma] = STATE(155),
    [sym_preproc_nullable] = STATE(155),
    [sym_preproc_error] = STATE(155),
    [sym_preproc_define] = STATE(155),
    [sym_preproc_undef] = STATE(155),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [156] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2468),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(156),
    [sym_preproc_endregion] = STATE(156),
    [sym_preproc_line] = STATE(156),
    [sym_preproc_pragma] = STATE(156),
    [sym_preproc_nullable] = STATE(156),
    [sym_preproc_error] = STATE(156),
    [sym_preproc_define] = STATE(156),
    [sym_preproc_undef] = STATE(156),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [157] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2511),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(157),
    [sym_preproc_endregion] = STATE(157),
    [sym_preproc_line] = STATE(157),
    [sym_preproc_pragma] = STATE(157),
    [sym_preproc_nullable] = STATE(157),
    [sym_preproc_error] = STATE(157),
    [sym_preproc_define] = STATE(157),
    [sym_preproc_undef] = STATE(157),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [158] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2460),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(158),
    [sym_preproc_endregion] = STATE(158),
    [sym_preproc_line] = STATE(158),
    [sym_preproc_pragma] = STATE(158),
    [sym_preproc_nullable] = STATE(158),
    [sym_preproc_error] = STATE(158),
    [sym_preproc_define] = STATE(158),
    [sym_preproc_undef] = STATE(158),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [159] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2470),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(159),
    [sym_preproc_endregion] = STATE(159),
    [sym_preproc_line] = STATE(159),
    [sym_preproc_pragma] = STATE(159),
    [sym_preproc_nullable] = STATE(159),
    [sym_preproc_error] = STATE(159),
    [sym_preproc_define] = STATE(159),
    [sym_preproc_undef] = STATE(159),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [160] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(9973),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(160),
    [sym_preproc_endregion] = STATE(160),
    [sym_preproc_line] = STATE(160),
    [sym_preproc_pragma] = STATE(160),
    [sym_preproc_nullable] = STATE(160),
    [sym_preproc_error] = STATE(160),
    [sym_preproc_define] = STATE(160),
    [sym_preproc_undef] = STATE(160),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [161] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2472),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(161),
    [sym_preproc_endregion] = STATE(161),
    [sym_preproc_line] = STATE(161),
    [sym_preproc_pragma] = STATE(161),
    [sym_preproc_nullable] = STATE(161),
    [sym_preproc_error] = STATE(161),
    [sym_preproc_define] = STATE(161),
    [sym_preproc_undef] = STATE(161),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [162] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2484),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(162),
    [sym_preproc_endregion] = STATE(162),
    [sym_preproc_line] = STATE(162),
    [sym_preproc_pragma] = STATE(162),
    [sym_preproc_nullable] = STATE(162),
    [sym_preproc_error] = STATE(162),
    [sym_preproc_define] = STATE(162),
    [sym_preproc_undef] = STATE(162),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [163] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(9969),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(163),
    [sym_preproc_endregion] = STATE(163),
    [sym_preproc_line] = STATE(163),
    [sym_preproc_pragma] = STATE(163),
    [sym_preproc_nullable] = STATE(163),
    [sym_preproc_error] = STATE(163),
    [sym_preproc_define] = STATE(163),
    [sym_preproc_undef] = STATE(163),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [164] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2475),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(164),
    [sym_preproc_endregion] = STATE(164),
    [sym_preproc_line] = STATE(164),
    [sym_preproc_pragma] = STATE(164),
    [sym_preproc_nullable] = STATE(164),
    [sym_preproc_error] = STATE(164),
    [sym_preproc_define] = STATE(164),
    [sym_preproc_undef] = STATE(164),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [165] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2486),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(165),
    [sym_preproc_endregion] = STATE(165),
    [sym_preproc_line] = STATE(165),
    [sym_preproc_pragma] = STATE(165),
    [sym_preproc_nullable] = STATE(165),
    [sym_preproc_error] = STATE(165),
    [sym_preproc_define] = STATE(165),
    [sym_preproc_undef] = STATE(165),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [166] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2487),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(166),
    [sym_preproc_endregion] = STATE(166),
    [sym_preproc_line] = STATE(166),
    [sym_preproc_pragma] = STATE(166),
    [sym_preproc_nullable] = STATE(166),
    [sym_preproc_error] = STATE(166),
    [sym_preproc_define] = STATE(166),
    [sym_preproc_undef] = STATE(166),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [167] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2488),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(167),
    [sym_preproc_endregion] = STATE(167),
    [sym_preproc_line] = STATE(167),
    [sym_preproc_pragma] = STATE(167),
    [sym_preproc_nullable] = STATE(167),
    [sym_preproc_error] = STATE(167),
    [sym_preproc_define] = STATE(167),
    [sym_preproc_undef] = STATE(167),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [168] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2436),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(168),
    [sym_preproc_endregion] = STATE(168),
    [sym_preproc_line] = STATE(168),
    [sym_preproc_pragma] = STATE(168),
    [sym_preproc_nullable] = STATE(168),
    [sym_preproc_error] = STATE(168),
    [sym_preproc_define] = STATE(168),
    [sym_preproc_undef] = STATE(168),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [169] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2497),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(169),
    [sym_preproc_endregion] = STATE(169),
    [sym_preproc_line] = STATE(169),
    [sym_preproc_pragma] = STATE(169),
    [sym_preproc_nullable] = STATE(169),
    [sym_preproc_error] = STATE(169),
    [sym_preproc_define] = STATE(169),
    [sym_preproc_undef] = STATE(169),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [170] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2477),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(170),
    [sym_preproc_endregion] = STATE(170),
    [sym_preproc_line] = STATE(170),
    [sym_preproc_pragma] = STATE(170),
    [sym_preproc_nullable] = STATE(170),
    [sym_preproc_error] = STATE(170),
    [sym_preproc_define] = STATE(170),
    [sym_preproc_undef] = STATE(170),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [171] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2498),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(171),
    [sym_preproc_endregion] = STATE(171),
    [sym_preproc_line] = STATE(171),
    [sym_preproc_pragma] = STATE(171),
    [sym_preproc_nullable] = STATE(171),
    [sym_preproc_error] = STATE(171),
    [sym_preproc_define] = STATE(171),
    [sym_preproc_undef] = STATE(171),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [172] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2504),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(172),
    [sym_preproc_endregion] = STATE(172),
    [sym_preproc_line] = STATE(172),
    [sym_preproc_pragma] = STATE(172),
    [sym_preproc_nullable] = STATE(172),
    [sym_preproc_error] = STATE(172),
    [sym_preproc_define] = STATE(172),
    [sym_preproc_undef] = STATE(172),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [173] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2506),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(173),
    [sym_preproc_endregion] = STATE(173),
    [sym_preproc_line] = STATE(173),
    [sym_preproc_pragma] = STATE(173),
    [sym_preproc_nullable] = STATE(173),
    [sym_preproc_error] = STATE(173),
    [sym_preproc_define] = STATE(173),
    [sym_preproc_undef] = STATE(173),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [174] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2508),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(174),
    [sym_preproc_endregion] = STATE(174),
    [sym_preproc_line] = STATE(174),
    [sym_preproc_pragma] = STATE(174),
    [sym_preproc_nullable] = STATE(174),
    [sym_preproc_error] = STATE(174),
    [sym_preproc_define] = STATE(174),
    [sym_preproc_undef] = STATE(174),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [175] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2454),
    [sym_variable_declaration] = STATE(9100),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6827),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2513),
    [sym_break_statement] = STATE(2454),
    [sym_checked_statement] = STATE(2454),
    [sym_continue_statement] = STATE(2454),
    [sym_do_statement] = STATE(2454),
    [sym_empty_statement] = STATE(2454),
    [sym_expression_statement] = STATE(2454),
    [sym_fixed_statement] = STATE(2454),
    [sym_for_statement] = STATE(2454),
    [sym_return_statement] = STATE(2454),
    [sym_lock_statement] = STATE(2454),
    [sym_yield_statement] = STATE(2454),
    [sym_switch_statement] = STATE(2454),
    [sym_throw_statement] = STATE(2454),
    [sym_try_statement] = STATE(2454),
    [sym_unsafe_statement] = STATE(2454),
    [sym_using_statement] = STATE(2454),
    [sym_foreach_statement] = STATE(2454),
    [sym_goto_statement] = STATE(2454),
    [sym_labeled_statement] = STATE(2454),
    [sym_if_statement] = STATE(2454),
    [sym_while_statement] = STATE(2454),
    [sym_local_declaration_statement] = STATE(2454),
    [sym_local_function_statement] = STATE(2454),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6741),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2911),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2454),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(175),
    [sym_preproc_endregion] = STATE(175),
    [sym_preproc_line] = STATE(175),
    [sym_preproc_pragma] = STATE(175),
    [sym_preproc_nullable] = STATE(175),
    [sym_preproc_error] = STATE(175),
    [sym_preproc_define] = STATE(175),
    [sym_preproc_undef] = STATE(175),
    [aux_sym_class_declaration_repeat1] = STATE(2922),
    [aux_sym_class_declaration_repeat2] = STATE(3111),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1047),
    [anon_sym_unsafe] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(43),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(55),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1051),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(91),
    [anon_sym_unchecked] = ACTIONS(71),
    [anon_sym_continue] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_while] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(101),
    [anon_sym_yield] = ACTIONS(103),
    [anon_sym_switch] = ACTIONS(105),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(109),
    [anon_sym_try] = ACTIONS(111),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(113),
    [anon_sym_foreach] = ACTIONS(115),
    [anon_sym_goto] = ACTIONS(117),
    [anon_sym_if] = ACTIONS(119),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [176] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2716),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(176),
    [sym_preproc_endregion] = STATE(176),
    [sym_preproc_line] = STATE(176),
    [sym_preproc_pragma] = STATE(176),
    [sym_preproc_nullable] = STATE(176),
    [sym_preproc_error] = STATE(176),
    [sym_preproc_define] = STATE(176),
    [sym_preproc_undef] = STATE(176),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [177] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2680),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(177),
    [sym_preproc_endregion] = STATE(177),
    [sym_preproc_line] = STATE(177),
    [sym_preproc_pragma] = STATE(177),
    [sym_preproc_nullable] = STATE(177),
    [sym_preproc_error] = STATE(177),
    [sym_preproc_define] = STATE(177),
    [sym_preproc_undef] = STATE(177),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [178] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2666),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(178),
    [sym_preproc_endregion] = STATE(178),
    [sym_preproc_line] = STATE(178),
    [sym_preproc_pragma] = STATE(178),
    [sym_preproc_nullable] = STATE(178),
    [sym_preproc_error] = STATE(178),
    [sym_preproc_define] = STATE(178),
    [sym_preproc_undef] = STATE(178),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [179] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2667),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(179),
    [sym_preproc_endregion] = STATE(179),
    [sym_preproc_line] = STATE(179),
    [sym_preproc_pragma] = STATE(179),
    [sym_preproc_nullable] = STATE(179),
    [sym_preproc_error] = STATE(179),
    [sym_preproc_define] = STATE(179),
    [sym_preproc_undef] = STATE(179),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [180] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2670),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(180),
    [sym_preproc_endregion] = STATE(180),
    [sym_preproc_line] = STATE(180),
    [sym_preproc_pragma] = STATE(180),
    [sym_preproc_nullable] = STATE(180),
    [sym_preproc_error] = STATE(180),
    [sym_preproc_define] = STATE(180),
    [sym_preproc_undef] = STATE(180),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [181] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2665),
    [sym_variable_declaration] = STATE(9926),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6878),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2674),
    [sym_break_statement] = STATE(2665),
    [sym_checked_statement] = STATE(2665),
    [sym_continue_statement] = STATE(2665),
    [sym_do_statement] = STATE(2665),
    [sym_empty_statement] = STATE(2665),
    [sym_expression_statement] = STATE(2665),
    [sym_fixed_statement] = STATE(2665),
    [sym_for_statement] = STATE(2665),
    [sym_return_statement] = STATE(2665),
    [sym_lock_statement] = STATE(2665),
    [sym_yield_statement] = STATE(2665),
    [sym_switch_statement] = STATE(2665),
    [sym_throw_statement] = STATE(2665),
    [sym_try_statement] = STATE(2665),
    [sym_unsafe_statement] = STATE(2665),
    [sym_using_statement] = STATE(2665),
    [sym_foreach_statement] = STATE(2665),
    [sym_goto_statement] = STATE(2665),
    [sym_labeled_statement] = STATE(2665),
    [sym_if_statement] = STATE(2665),
    [sym_while_statement] = STATE(2665),
    [sym_local_declaration_statement] = STATE(2665),
    [sym_local_function_statement] = STATE(2665),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6378),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2856),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2665),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(181),
    [sym_preproc_endregion] = STATE(181),
    [sym_preproc_line] = STATE(181),
    [sym_preproc_pragma] = STATE(181),
    [sym_preproc_nullable] = STATE(181),
    [sym_preproc_error] = STATE(181),
    [sym_preproc_define] = STATE(181),
    [sym_preproc_undef] = STATE(181),
    [aux_sym_class_declaration_repeat1] = STATE(2935),
    [aux_sym_class_declaration_repeat2] = STATE(3095),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(661),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(663),
    [anon_sym_unsafe] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(675),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(687),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(691),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(699),
    [anon_sym_unchecked] = ACTIONS(691),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(703),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(707),
    [anon_sym_lock] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(743),
    [anon_sym_foreach] = ACTIONS(721),
    [anon_sym_goto] = ACTIONS(723),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(729),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [182] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(8732),
    [sym_variable_declaration] = STATE(9683),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6872),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(9961),
    [sym_break_statement] = STATE(8732),
    [sym_checked_statement] = STATE(8732),
    [sym_continue_statement] = STATE(8732),
    [sym_do_statement] = STATE(8732),
    [sym_empty_statement] = STATE(8732),
    [sym_expression_statement] = STATE(8732),
    [sym_fixed_statement] = STATE(8732),
    [sym_for_statement] = STATE(8732),
    [sym_return_statement] = STATE(8732),
    [sym_lock_statement] = STATE(8732),
    [sym_yield_statement] = STATE(8732),
    [sym_switch_statement] = STATE(8732),
    [sym_throw_statement] = STATE(8732),
    [sym_try_statement] = STATE(8732),
    [sym_unsafe_statement] = STATE(8732),
    [sym_using_statement] = STATE(8732),
    [sym_foreach_statement] = STATE(8732),
    [sym_goto_statement] = STATE(8732),
    [sym_labeled_statement] = STATE(8732),
    [sym_if_statement] = STATE(8732),
    [sym_while_statement] = STATE(8732),
    [sym_local_declaration_statement] = STATE(8732),
    [sym_local_function_statement] = STATE(8732),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6751),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2914),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(8732),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(182),
    [sym_preproc_endregion] = STATE(182),
    [sym_preproc_line] = STATE(182),
    [sym_preproc_pragma] = STATE(182),
    [sym_preproc_nullable] = STATE(182),
    [sym_preproc_error] = STATE(182),
    [sym_preproc_define] = STATE(182),
    [sym_preproc_undef] = STATE(182),
    [aux_sym_class_declaration_repeat1] = STATE(2933),
    [aux_sym_class_declaration_repeat2] = STATE(3093),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1005),
    [anon_sym_unsafe] = ACTIONS(1007),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1013),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_unchecked] = ACTIONS(1015),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1023),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_lock] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1039),
    [anon_sym_goto] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [183] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(2227),
    [sym_variable_declaration] = STATE(9233),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6887),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_statement] = STATE(2289),
    [sym_break_statement] = STATE(2227),
    [sym_checked_statement] = STATE(2227),
    [sym_continue_statement] = STATE(2227),
    [sym_do_statement] = STATE(2227),
    [sym_empty_statement] = STATE(2227),
    [sym_expression_statement] = STATE(2227),
    [sym_fixed_statement] = STATE(2227),
    [sym_for_statement] = STATE(2227),
    [sym_return_statement] = STATE(2227),
    [sym_lock_statement] = STATE(2227),
    [sym_yield_statement] = STATE(2227),
    [sym_switch_statement] = STATE(2227),
    [sym_throw_statement] = STATE(2227),
    [sym_try_statement] = STATE(2227),
    [sym_unsafe_statement] = STATE(2227),
    [sym_using_statement] = STATE(2227),
    [sym_foreach_statement] = STATE(2227),
    [sym_goto_statement] = STATE(2227),
    [sym_labeled_statement] = STATE(2227),
    [sym_if_statement] = STATE(2227),
    [sym_while_statement] = STATE(2227),
    [sym_local_declaration_statement] = STATE(2227),
    [sym_local_function_statement] = STATE(2227),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(6123),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2838),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_top_level] = STATE(2227),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(183),
    [sym_preproc_endregion] = STATE(183),
    [sym_preproc_line] = STATE(183),
    [sym_preproc_pragma] = STATE(183),
    [sym_preproc_nullable] = STATE(183),
    [sym_preproc_error] = STATE(183),
    [sym_preproc_define] = STATE(183),
    [sym_preproc_undef] = STATE(183),
    [aux_sym_class_declaration_repeat1] = STATE(2924),
    [aux_sym_class_declaration_repeat2] = STATE(3114),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(1053),
    [anon_sym_unsafe] = ACTIONS(1055),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_return] = ACTIONS(169),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(1057),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(191),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(193),
    [anon_sym_unchecked] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(195),
    [anon_sym_do] = ACTIONS(197),
    [anon_sym_while] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_lock] = ACTIONS(203),
    [anon_sym_yield] = ACTIONS(205),
    [anon_sym_switch] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(215),
    [anon_sym_goto] = ACTIONS(217),
    [anon_sym_if] = ACTIONS(219),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [184] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6447),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5828),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8124),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6171),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(184),
    [sym_preproc_endregion] = STATE(184),
    [sym_preproc_line] = STATE(184),
    [sym_preproc_pragma] = STATE(184),
    [sym_preproc_nullable] = STATE(184),
    [sym_preproc_error] = STATE(184),
    [sym_preproc_define] = STATE(184),
    [sym_preproc_undef] = STATE(184),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1097),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [185] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6447),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5828),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(7972),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6171),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(185),
    [sym_preproc_endregion] = STATE(185),
    [sym_preproc_line] = STATE(185),
    [sym_preproc_pragma] = STATE(185),
    [sym_preproc_nullable] = STATE(185),
    [sym_preproc_error] = STATE(185),
    [sym_preproc_define] = STATE(185),
    [sym_preproc_undef] = STATE(185),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [186] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6447),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5828),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(7971),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6171),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(186),
    [sym_preproc_endregion] = STATE(186),
    [sym_preproc_line] = STATE(186),
    [sym_preproc_pragma] = STATE(186),
    [sym_preproc_nullable] = STATE(186),
    [sym_preproc_error] = STATE(186),
    [sym_preproc_define] = STATE(186),
    [sym_preproc_undef] = STATE(186),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1109),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [187] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6447),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5828),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8152),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6171),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(187),
    [sym_preproc_endregion] = STATE(187),
    [sym_preproc_line] = STATE(187),
    [sym_preproc_pragma] = STATE(187),
    [sym_preproc_nullable] = STATE(187),
    [sym_preproc_error] = STATE(187),
    [sym_preproc_define] = STATE(187),
    [sym_preproc_undef] = STATE(187),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(1111),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1113),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [188] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5965),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym__variable_designation] = STATE(8428),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2792),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(188),
    [sym_preproc_endregion] = STATE(188),
    [sym_preproc_line] = STATE(188),
    [sym_preproc_pragma] = STATE(188),
    [sym_preproc_nullable] = STATE(188),
    [sym_preproc_error] = STATE(188),
    [sym_preproc_define] = STATE(188),
    [sym_preproc_undef] = STATE(188),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1143),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [189] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5965),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym__variable_designation] = STATE(8428),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2792),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(189),
    [sym_preproc_endregion] = STATE(189),
    [sym_preproc_line] = STATE(189),
    [sym_preproc_pragma] = STATE(189),
    [sym_preproc_nullable] = STATE(189),
    [sym_preproc_error] = STATE(189),
    [sym_preproc_define] = STATE(189),
    [sym_preproc_undef] = STATE(189),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_RPAREN] = ACTIONS(1149),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1143),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [190] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6447),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5828),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8147),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6171),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(190),
    [sym_preproc_endregion] = STATE(190),
    [sym_preproc_line] = STATE(190),
    [sym_preproc_pragma] = STATE(190),
    [sym_preproc_nullable] = STATE(190),
    [sym_preproc_error] = STATE(190),
    [sym_preproc_define] = STATE(190),
    [sym_preproc_undef] = STATE(190),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1153),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [191] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4494),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(191),
    [sym_preproc_endregion] = STATE(191),
    [sym_preproc_line] = STATE(191),
    [sym_preproc_pragma] = STATE(191),
    [sym_preproc_nullable] = STATE(191),
    [sym_preproc_error] = STATE(191),
    [sym_preproc_define] = STATE(191),
    [sym_preproc_undef] = STATE(191),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_in] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token3] = ACTIONS(1155),
    [aux_sym_preproc_else_token1] = ACTIONS(1155),
    [aux_sym_preproc_elif_token1] = ACTIONS(1155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [192] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4510),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(192),
    [sym_preproc_endregion] = STATE(192),
    [sym_preproc_line] = STATE(192),
    [sym_preproc_pragma] = STATE(192),
    [sym_preproc_nullable] = STATE(192),
    [sym_preproc_error] = STATE(192),
    [sym_preproc_define] = STATE(192),
    [sym_preproc_undef] = STATE(192),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1173),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_if_token3] = ACTIONS(1225),
    [aux_sym_preproc_else_token1] = ACTIONS(1225),
    [aux_sym_preproc_elif_token1] = ACTIONS(1225),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [193] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5854),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(193),
    [sym_preproc_endregion] = STATE(193),
    [sym_preproc_line] = STATE(193),
    [sym_preproc_pragma] = STATE(193),
    [sym_preproc_nullable] = STATE(193),
    [sym_preproc_error] = STATE(193),
    [sym_preproc_define] = STATE(193),
    [sym_preproc_undef] = STATE(193),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [194] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6051),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(194),
    [sym_preproc_endregion] = STATE(194),
    [sym_preproc_line] = STATE(194),
    [sym_preproc_pragma] = STATE(194),
    [sym_preproc_nullable] = STATE(194),
    [sym_preproc_error] = STATE(194),
    [sym_preproc_define] = STATE(194),
    [sym_preproc_undef] = STATE(194),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [195] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5911),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8371),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(195),
    [sym_preproc_endregion] = STATE(195),
    [sym_preproc_line] = STATE(195),
    [sym_preproc_pragma] = STATE(195),
    [sym_preproc_nullable] = STATE(195),
    [sym_preproc_error] = STATE(195),
    [sym_preproc_define] = STATE(195),
    [sym_preproc_undef] = STATE(195),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [196] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8779),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5972),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8266),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6655),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(196),
    [sym_preproc_endregion] = STATE(196),
    [sym_preproc_line] = STATE(196),
    [sym_preproc_pragma] = STATE(196),
    [sym_preproc_nullable] = STATE(196),
    [sym_preproc_error] = STATE(196),
    [sym_preproc_define] = STATE(196),
    [sym_preproc_undef] = STATE(196),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [197] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6046),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(197),
    [sym_preproc_endregion] = STATE(197),
    [sym_preproc_line] = STATE(197),
    [sym_preproc_pragma] = STATE(197),
    [sym_preproc_nullable] = STATE(197),
    [sym_preproc_error] = STATE(197),
    [sym_preproc_define] = STATE(197),
    [sym_preproc_undef] = STATE(197),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [198] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5855),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(198),
    [sym_preproc_endregion] = STATE(198),
    [sym_preproc_line] = STATE(198),
    [sym_preproc_pragma] = STATE(198),
    [sym_preproc_nullable] = STATE(198),
    [sym_preproc_error] = STATE(198),
    [sym_preproc_define] = STATE(198),
    [sym_preproc_undef] = STATE(198),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [199] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8943),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5795),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8916),
    [sym_pattern] = STATE(8330),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8785),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6429),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(199),
    [sym_preproc_endregion] = STATE(199),
    [sym_preproc_line] = STATE(199),
    [sym_preproc_pragma] = STATE(199),
    [sym_preproc_nullable] = STATE(199),
    [sym_preproc_error] = STATE(199),
    [sym_preproc_define] = STATE(199),
    [sym_preproc_undef] = STATE(199),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [200] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5832),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(200),
    [sym_preproc_endregion] = STATE(200),
    [sym_preproc_line] = STATE(200),
    [sym_preproc_pragma] = STATE(200),
    [sym_preproc_nullable] = STATE(200),
    [sym_preproc_error] = STATE(200),
    [sym_preproc_define] = STATE(200),
    [sym_preproc_undef] = STATE(200),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [201] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5925),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8371),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(201),
    [sym_preproc_endregion] = STATE(201),
    [sym_preproc_line] = STATE(201),
    [sym_preproc_pragma] = STATE(201),
    [sym_preproc_nullable] = STATE(201),
    [sym_preproc_error] = STATE(201),
    [sym_preproc_define] = STATE(201),
    [sym_preproc_undef] = STATE(201),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [202] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8779),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5975),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8266),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6655),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(202),
    [sym_preproc_endregion] = STATE(202),
    [sym_preproc_line] = STATE(202),
    [sym_preproc_pragma] = STATE(202),
    [sym_preproc_nullable] = STATE(202),
    [sym_preproc_error] = STATE(202),
    [sym_preproc_define] = STATE(202),
    [sym_preproc_undef] = STATE(202),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [203] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6055),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(203),
    [sym_preproc_endregion] = STATE(203),
    [sym_preproc_line] = STATE(203),
    [sym_preproc_pragma] = STATE(203),
    [sym_preproc_nullable] = STATE(203),
    [sym_preproc_error] = STATE(203),
    [sym_preproc_define] = STATE(203),
    [sym_preproc_undef] = STATE(203),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [204] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5941),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(204),
    [sym_preproc_endregion] = STATE(204),
    [sym_preproc_line] = STATE(204),
    [sym_preproc_pragma] = STATE(204),
    [sym_preproc_nullable] = STATE(204),
    [sym_preproc_error] = STATE(204),
    [sym_preproc_define] = STATE(204),
    [sym_preproc_undef] = STATE(204),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [205] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8943),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5783),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8916),
    [sym_pattern] = STATE(8330),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8785),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6429),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(205),
    [sym_preproc_endregion] = STATE(205),
    [sym_preproc_line] = STATE(205),
    [sym_preproc_pragma] = STATE(205),
    [sym_preproc_nullable] = STATE(205),
    [sym_preproc_error] = STATE(205),
    [sym_preproc_define] = STATE(205),
    [sym_preproc_undef] = STATE(205),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [206] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5810),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(206),
    [sym_preproc_endregion] = STATE(206),
    [sym_preproc_line] = STATE(206),
    [sym_preproc_pragma] = STATE(206),
    [sym_preproc_nullable] = STATE(206),
    [sym_preproc_error] = STATE(206),
    [sym_preproc_define] = STATE(206),
    [sym_preproc_undef] = STATE(206),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [207] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(207),
    [sym_preproc_endregion] = STATE(207),
    [sym_preproc_line] = STATE(207),
    [sym_preproc_pragma] = STATE(207),
    [sym_preproc_nullable] = STATE(207),
    [sym_preproc_error] = STATE(207),
    [sym_preproc_define] = STATE(207),
    [sym_preproc_undef] = STATE(207),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [208] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5812),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(208),
    [sym_preproc_endregion] = STATE(208),
    [sym_preproc_line] = STATE(208),
    [sym_preproc_pragma] = STATE(208),
    [sym_preproc_nullable] = STATE(208),
    [sym_preproc_error] = STATE(208),
    [sym_preproc_define] = STATE(208),
    [sym_preproc_undef] = STATE(208),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [209] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5816),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(209),
    [sym_preproc_endregion] = STATE(209),
    [sym_preproc_line] = STATE(209),
    [sym_preproc_pragma] = STATE(209),
    [sym_preproc_nullable] = STATE(209),
    [sym_preproc_error] = STATE(209),
    [sym_preproc_define] = STATE(209),
    [sym_preproc_undef] = STATE(209),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [210] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5820),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8332),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(210),
    [sym_preproc_endregion] = STATE(210),
    [sym_preproc_line] = STATE(210),
    [sym_preproc_pragma] = STATE(210),
    [sym_preproc_nullable] = STATE(210),
    [sym_preproc_error] = STATE(210),
    [sym_preproc_define] = STATE(210),
    [sym_preproc_undef] = STATE(210),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [211] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5854),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(211),
    [sym_preproc_endregion] = STATE(211),
    [sym_preproc_line] = STATE(211),
    [sym_preproc_pragma] = STATE(211),
    [sym_preproc_nullable] = STATE(211),
    [sym_preproc_error] = STATE(211),
    [sym_preproc_define] = STATE(211),
    [sym_preproc_undef] = STATE(211),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [212] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5941),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(212),
    [sym_preproc_endregion] = STATE(212),
    [sym_preproc_line] = STATE(212),
    [sym_preproc_pragma] = STATE(212),
    [sym_preproc_nullable] = STATE(212),
    [sym_preproc_error] = STATE(212),
    [sym_preproc_define] = STATE(212),
    [sym_preproc_undef] = STATE(212),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [213] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5965),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(213),
    [sym_preproc_endregion] = STATE(213),
    [sym_preproc_line] = STATE(213),
    [sym_preproc_pragma] = STATE(213),
    [sym_preproc_nullable] = STATE(213),
    [sym_preproc_error] = STATE(213),
    [sym_preproc_define] = STATE(213),
    [sym_preproc_undef] = STATE(213),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [214] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6015),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(214),
    [sym_preproc_endregion] = STATE(214),
    [sym_preproc_line] = STATE(214),
    [sym_preproc_pragma] = STATE(214),
    [sym_preproc_nullable] = STATE(214),
    [sym_preproc_error] = STATE(214),
    [sym_preproc_define] = STATE(214),
    [sym_preproc_undef] = STATE(214),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [215] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(215),
    [sym_preproc_endregion] = STATE(215),
    [sym_preproc_line] = STATE(215),
    [sym_preproc_pragma] = STATE(215),
    [sym_preproc_nullable] = STATE(215),
    [sym_preproc_error] = STATE(215),
    [sym_preproc_define] = STATE(215),
    [sym_preproc_undef] = STATE(215),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [216] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5976),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(216),
    [sym_preproc_endregion] = STATE(216),
    [sym_preproc_line] = STATE(216),
    [sym_preproc_pragma] = STATE(216),
    [sym_preproc_nullable] = STATE(216),
    [sym_preproc_error] = STATE(216),
    [sym_preproc_define] = STATE(216),
    [sym_preproc_undef] = STATE(216),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [217] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5997),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(217),
    [sym_preproc_endregion] = STATE(217),
    [sym_preproc_line] = STATE(217),
    [sym_preproc_pragma] = STATE(217),
    [sym_preproc_nullable] = STATE(217),
    [sym_preproc_error] = STATE(217),
    [sym_preproc_define] = STATE(217),
    [sym_preproc_undef] = STATE(217),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [218] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5965),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(218),
    [sym_preproc_endregion] = STATE(218),
    [sym_preproc_line] = STATE(218),
    [sym_preproc_pragma] = STATE(218),
    [sym_preproc_nullable] = STATE(218),
    [sym_preproc_error] = STATE(218),
    [sym_preproc_define] = STATE(218),
    [sym_preproc_undef] = STATE(218),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [219] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6003),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(219),
    [sym_preproc_endregion] = STATE(219),
    [sym_preproc_line] = STATE(219),
    [sym_preproc_pragma] = STATE(219),
    [sym_preproc_nullable] = STATE(219),
    [sym_preproc_error] = STATE(219),
    [sym_preproc_define] = STATE(219),
    [sym_preproc_undef] = STATE(219),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [220] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6009),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(220),
    [sym_preproc_endregion] = STATE(220),
    [sym_preproc_line] = STATE(220),
    [sym_preproc_pragma] = STATE(220),
    [sym_preproc_nullable] = STATE(220),
    [sym_preproc_error] = STATE(220),
    [sym_preproc_define] = STATE(220),
    [sym_preproc_undef] = STATE(220),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [221] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5976),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_pattern] = STATE(8353),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6178),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4349),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(221),
    [sym_preproc_endregion] = STATE(221),
    [sym_preproc_line] = STATE(221),
    [sym_preproc_pragma] = STATE(221),
    [sym_preproc_nullable] = STATE(221),
    [sym_preproc_error] = STATE(221),
    [sym_preproc_define] = STATE(221),
    [sym_preproc_undef] = STATE(221),
    [aux_sym_class_declaration_repeat1] = STATE(3579),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_RPAREN] = ACTIONS(1231),
    [anon_sym_ref] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [222] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6270),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym__variable_designation] = STATE(8428),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2784),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(222),
    [sym_preproc_endregion] = STATE(222),
    [sym_preproc_line] = STATE(222),
    [sym_preproc_pragma] = STATE(222),
    [sym_preproc_nullable] = STATE(222),
    [sym_preproc_error] = STATE(222),
    [sym_preproc_define] = STATE(222),
    [sym_preproc_undef] = STATE(222),
    [aux_sym_class_declaration_repeat1] = STATE(3582),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_RPAREN] = ACTIONS(1117),
    [anon_sym_ref] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1243),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1143),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [223] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6270),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8711),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym__variable_designation] = STATE(8428),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2784),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(223),
    [sym_preproc_endregion] = STATE(223),
    [sym_preproc_line] = STATE(223),
    [sym_preproc_pragma] = STATE(223),
    [sym_preproc_nullable] = STATE(223),
    [sym_preproc_error] = STATE(223),
    [sym_preproc_define] = STATE(223),
    [sym_preproc_undef] = STATE(223),
    [aux_sym_class_declaration_repeat1] = STATE(3582),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_RPAREN] = ACTIONS(1251),
    [anon_sym_ref] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1243),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1143),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [224] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4919),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(224),
    [sym_preproc_endregion] = STATE(224),
    [sym_preproc_line] = STATE(224),
    [sym_preproc_pragma] = STATE(224),
    [sym_preproc_nullable] = STATE(224),
    [sym_preproc_error] = STATE(224),
    [sym_preproc_define] = STATE(224),
    [sym_preproc_undef] = STATE(224),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_in] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1267),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_if_token3] = ACTIONS(1155),
    [aux_sym_preproc_else_token1] = ACTIONS(1155),
    [aux_sym_preproc_elif_token1] = ACTIONS(1155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [225] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4745),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(225),
    [sym_preproc_endregion] = STATE(225),
    [sym_preproc_line] = STATE(225),
    [sym_preproc_pragma] = STATE(225),
    [sym_preproc_nullable] = STATE(225),
    [sym_preproc_error] = STATE(225),
    [sym_preproc_define] = STATE(225),
    [sym_preproc_undef] = STATE(225),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1267),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_if_token3] = ACTIONS(1225),
    [aux_sym_preproc_else_token1] = ACTIONS(1225),
    [aux_sym_preproc_elif_token1] = ACTIONS(1225),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [226] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5111),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(226),
    [sym_preproc_endregion] = STATE(226),
    [sym_preproc_line] = STATE(226),
    [sym_preproc_pragma] = STATE(226),
    [sym_preproc_nullable] = STATE(226),
    [sym_preproc_error] = STATE(226),
    [sym_preproc_define] = STATE(226),
    [sym_preproc_undef] = STATE(226),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [227] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5073),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(227),
    [sym_preproc_endregion] = STATE(227),
    [sym_preproc_line] = STATE(227),
    [sym_preproc_pragma] = STATE(227),
    [sym_preproc_nullable] = STATE(227),
    [sym_preproc_error] = STATE(227),
    [sym_preproc_define] = STATE(227),
    [sym_preproc_undef] = STATE(227),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1083),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [228] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5167),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(228),
    [sym_preproc_endregion] = STATE(228),
    [sym_preproc_line] = STATE(228),
    [sym_preproc_pragma] = STATE(228),
    [sym_preproc_nullable] = STATE(228),
    [sym_preproc_error] = STATE(228),
    [sym_preproc_define] = STATE(228),
    [sym_preproc_undef] = STATE(228),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_if_token3] = ACTIONS(1225),
    [aux_sym_preproc_else_token1] = ACTIONS(1225),
    [aux_sym_preproc_elif_token1] = ACTIONS(1225),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [229] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5158),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(229),
    [sym_preproc_endregion] = STATE(229),
    [sym_preproc_line] = STATE(229),
    [sym_preproc_pragma] = STATE(229),
    [sym_preproc_nullable] = STATE(229),
    [sym_preproc_error] = STATE(229),
    [sym_preproc_define] = STATE(229),
    [sym_preproc_undef] = STATE(229),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_if_token3] = ACTIONS(1155),
    [aux_sym_preproc_else_token1] = ACTIONS(1155),
    [aux_sym_preproc_elif_token1] = ACTIONS(1155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [230] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5123),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(230),
    [sym_preproc_endregion] = STATE(230),
    [sym_preproc_line] = STATE(230),
    [sym_preproc_pragma] = STATE(230),
    [sym_preproc_nullable] = STATE(230),
    [sym_preproc_error] = STATE(230),
    [sym_preproc_define] = STATE(230),
    [sym_preproc_undef] = STATE(230),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [231] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5127),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(231),
    [sym_preproc_endregion] = STATE(231),
    [sym_preproc_line] = STATE(231),
    [sym_preproc_pragma] = STATE(231),
    [sym_preproc_nullable] = STATE(231),
    [sym_preproc_error] = STATE(231),
    [sym_preproc_define] = STATE(231),
    [sym_preproc_undef] = STATE(231),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [232] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5163),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(232),
    [sym_preproc_endregion] = STATE(232),
    [sym_preproc_line] = STATE(232),
    [sym_preproc_pragma] = STATE(232),
    [sym_preproc_nullable] = STATE(232),
    [sym_preproc_error] = STATE(232),
    [sym_preproc_define] = STATE(232),
    [sym_preproc_undef] = STATE(232),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1129),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [233] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5216),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(233),
    [sym_preproc_endregion] = STATE(233),
    [sym_preproc_line] = STATE(233),
    [sym_preproc_pragma] = STATE(233),
    [sym_preproc_nullable] = STATE(233),
    [sym_preproc_error] = STATE(233),
    [sym_preproc_define] = STATE(233),
    [sym_preproc_undef] = STATE(233),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1129),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [234] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5334),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(234),
    [sym_preproc_endregion] = STATE(234),
    [sym_preproc_line] = STATE(234),
    [sym_preproc_pragma] = STATE(234),
    [sym_preproc_nullable] = STATE(234),
    [sym_preproc_error] = STATE(234),
    [sym_preproc_define] = STATE(234),
    [sym_preproc_undef] = STATE(234),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1417),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1225),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [235] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5160),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(235),
    [sym_preproc_endregion] = STATE(235),
    [sym_preproc_line] = STATE(235),
    [sym_preproc_pragma] = STATE(235),
    [sym_preproc_nullable] = STATE(235),
    [sym_preproc_error] = STATE(235),
    [sym_preproc_define] = STATE(235),
    [sym_preproc_undef] = STATE(235),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1481),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1225),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [236] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5393),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(236),
    [sym_preproc_endregion] = STATE(236),
    [sym_preproc_line] = STATE(236),
    [sym_preproc_pragma] = STATE(236),
    [sym_preproc_nullable] = STATE(236),
    [sym_preproc_error] = STATE(236),
    [sym_preproc_define] = STATE(236),
    [sym_preproc_undef] = STATE(236),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1417),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1155),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [237] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5212),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(237),
    [sym_preproc_endregion] = STATE(237),
    [sym_preproc_line] = STATE(237),
    [sym_preproc_pragma] = STATE(237),
    [sym_preproc_nullable] = STATE(237),
    [sym_preproc_error] = STATE(237),
    [sym_preproc_define] = STATE(237),
    [sym_preproc_undef] = STATE(237),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1481),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1155),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [238] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5333),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(238),
    [sym_preproc_endregion] = STATE(238),
    [sym_preproc_line] = STATE(238),
    [sym_preproc_pragma] = STATE(238),
    [sym_preproc_nullable] = STATE(238),
    [sym_preproc_error] = STATE(238),
    [sym_preproc_define] = STATE(238),
    [sym_preproc_undef] = STATE(238),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [239] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5639),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(239),
    [sym_preproc_endregion] = STATE(239),
    [sym_preproc_line] = STATE(239),
    [sym_preproc_pragma] = STATE(239),
    [sym_preproc_nullable] = STATE(239),
    [sym_preproc_error] = STATE(239),
    [sym_preproc_define] = STATE(239),
    [sym_preproc_undef] = STATE(239),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(1155),
    [aux_sym_preproc_else_token1] = ACTIONS(1155),
    [aux_sym_preproc_elif_token1] = ACTIONS(1155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [240] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5498),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(240),
    [sym_preproc_endregion] = STATE(240),
    [sym_preproc_line] = STATE(240),
    [sym_preproc_pragma] = STATE(240),
    [sym_preproc_nullable] = STATE(240),
    [sym_preproc_error] = STATE(240),
    [sym_preproc_define] = STATE(240),
    [sym_preproc_undef] = STATE(240),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(1225),
    [aux_sym_preproc_else_token1] = ACTIONS(1225),
    [aux_sym_preproc_elif_token1] = ACTIONS(1225),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [241] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5716),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(241),
    [sym_preproc_endregion] = STATE(241),
    [sym_preproc_line] = STATE(241),
    [sym_preproc_pragma] = STATE(241),
    [sym_preproc_nullable] = STATE(241),
    [sym_preproc_error] = STATE(241),
    [sym_preproc_define] = STATE(241),
    [sym_preproc_undef] = STATE(241),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [242] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5363),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(242),
    [sym_preproc_endregion] = STATE(242),
    [sym_preproc_line] = STATE(242),
    [sym_preproc_pragma] = STATE(242),
    [sym_preproc_nullable] = STATE(242),
    [sym_preproc_error] = STATE(242),
    [sym_preproc_define] = STATE(242),
    [sym_preproc_undef] = STATE(242),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1497),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [243] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5593),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(243),
    [sym_preproc_endregion] = STATE(243),
    [sym_preproc_line] = STATE(243),
    [sym_preproc_pragma] = STATE(243),
    [sym_preproc_nullable] = STATE(243),
    [sym_preproc_error] = STATE(243),
    [sym_preproc_define] = STATE(243),
    [sym_preproc_undef] = STATE(243),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_RBRACK] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [244] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5476),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(244),
    [sym_preproc_endregion] = STATE(244),
    [sym_preproc_line] = STATE(244),
    [sym_preproc_pragma] = STATE(244),
    [sym_preproc_nullable] = STATE(244),
    [sym_preproc_error] = STATE(244),
    [sym_preproc_define] = STATE(244),
    [sym_preproc_undef] = STATE(244),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_RPAREN] = ACTIONS(1225),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1529),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [245] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5552),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(245),
    [sym_preproc_endregion] = STATE(245),
    [sym_preproc_line] = STATE(245),
    [sym_preproc_pragma] = STATE(245),
    [sym_preproc_nullable] = STATE(245),
    [sym_preproc_error] = STATE(245),
    [sym_preproc_define] = STATE(245),
    [sym_preproc_undef] = STATE(245),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [246] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5581),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(246),
    [sym_preproc_endregion] = STATE(246),
    [sym_preproc_line] = STATE(246),
    [sym_preproc_pragma] = STATE(246),
    [sym_preproc_nullable] = STATE(246),
    [sym_preproc_error] = STATE(246),
    [sym_preproc_define] = STATE(246),
    [sym_preproc_undef] = STATE(246),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1155),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [247] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5723),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(247),
    [sym_preproc_endregion] = STATE(247),
    [sym_preproc_line] = STATE(247),
    [sym_preproc_pragma] = STATE(247),
    [sym_preproc_nullable] = STATE(247),
    [sym_preproc_error] = STATE(247),
    [sym_preproc_define] = STATE(247),
    [sym_preproc_undef] = STATE(247),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_EQ_GT] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [248] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5513),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(248),
    [sym_preproc_endregion] = STATE(248),
    [sym_preproc_line] = STATE(248),
    [sym_preproc_pragma] = STATE(248),
    [sym_preproc_nullable] = STATE(248),
    [sym_preproc_error] = STATE(248),
    [sym_preproc_define] = STATE(248),
    [sym_preproc_undef] = STATE(248),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_EQ_GT] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [249] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5272),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(249),
    [sym_preproc_endregion] = STATE(249),
    [sym_preproc_line] = STATE(249),
    [sym_preproc_pragma] = STATE(249),
    [sym_preproc_nullable] = STATE(249),
    [sym_preproc_error] = STATE(249),
    [sym_preproc_define] = STATE(249),
    [sym_preproc_undef] = STATE(249),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1573),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1573),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [250] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5337),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(250),
    [sym_preproc_endregion] = STATE(250),
    [sym_preproc_line] = STATE(250),
    [sym_preproc_pragma] = STATE(250),
    [sym_preproc_nullable] = STATE(250),
    [sym_preproc_error] = STATE(250),
    [sym_preproc_define] = STATE(250),
    [sym_preproc_undef] = STATE(250),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1589),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_EQ_GT] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [251] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6018),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(251),
    [sym_preproc_endregion] = STATE(251),
    [sym_preproc_line] = STATE(251),
    [sym_preproc_pragma] = STATE(251),
    [sym_preproc_nullable] = STATE(251),
    [sym_preproc_error] = STATE(251),
    [sym_preproc_define] = STATE(251),
    [sym_preproc_undef] = STATE(251),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1605),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_EQ_GT] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [252] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5797),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(252),
    [sym_preproc_endregion] = STATE(252),
    [sym_preproc_line] = STATE(252),
    [sym_preproc_pragma] = STATE(252),
    [sym_preproc_nullable] = STATE(252),
    [sym_preproc_error] = STATE(252),
    [sym_preproc_define] = STATE(252),
    [sym_preproc_undef] = STATE(252),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1605),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_EQ_GT] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [253] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5871),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(253),
    [sym_preproc_endregion] = STATE(253),
    [sym_preproc_line] = STATE(253),
    [sym_preproc_pragma] = STATE(253),
    [sym_preproc_nullable] = STATE(253),
    [sym_preproc_error] = STATE(253),
    [sym_preproc_define] = STATE(253),
    [sym_preproc_undef] = STATE(253),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(1155),
    [aux_sym_preproc_else_token1] = ACTIONS(1155),
    [aux_sym_preproc_elif_token1] = ACTIONS(1155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [254] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5811),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(254),
    [sym_preproc_endregion] = STATE(254),
    [sym_preproc_line] = STATE(254),
    [sym_preproc_pragma] = STATE(254),
    [sym_preproc_nullable] = STATE(254),
    [sym_preproc_error] = STATE(254),
    [sym_preproc_define] = STATE(254),
    [sym_preproc_undef] = STATE(254),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1155),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [255] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5391),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(255),
    [sym_preproc_endregion] = STATE(255),
    [sym_preproc_line] = STATE(255),
    [sym_preproc_pragma] = STATE(255),
    [sym_preproc_nullable] = STATE(255),
    [sym_preproc_error] = STATE(255),
    [sym_preproc_define] = STATE(255),
    [sym_preproc_undef] = STATE(255),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1589),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_EQ_GT] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [256] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5700),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(256),
    [sym_preproc_endregion] = STATE(256),
    [sym_preproc_line] = STATE(256),
    [sym_preproc_pragma] = STATE(256),
    [sym_preproc_nullable] = STATE(256),
    [sym_preproc_error] = STATE(256),
    [sym_preproc_define] = STATE(256),
    [sym_preproc_undef] = STATE(256),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [257] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5442),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(257),
    [sym_preproc_endregion] = STATE(257),
    [sym_preproc_line] = STATE(257),
    [sym_preproc_pragma] = STATE(257),
    [sym_preproc_nullable] = STATE(257),
    [sym_preproc_error] = STATE(257),
    [sym_preproc_define] = STATE(257),
    [sym_preproc_undef] = STATE(257),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [258] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5897),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(258),
    [sym_preproc_endregion] = STATE(258),
    [sym_preproc_line] = STATE(258),
    [sym_preproc_pragma] = STATE(258),
    [sym_preproc_nullable] = STATE(258),
    [sym_preproc_error] = STATE(258),
    [sym_preproc_define] = STATE(258),
    [sym_preproc_undef] = STATE(258),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1225),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [259] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5915),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(259),
    [sym_preproc_endregion] = STATE(259),
    [sym_preproc_line] = STATE(259),
    [sym_preproc_pragma] = STATE(259),
    [sym_preproc_nullable] = STATE(259),
    [sym_preproc_error] = STATE(259),
    [sym_preproc_define] = STATE(259),
    [sym_preproc_undef] = STATE(259),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(1225),
    [aux_sym_preproc_else_token1] = ACTIONS(1225),
    [aux_sym_preproc_elif_token1] = ACTIONS(1225),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [260] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5552),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(260),
    [sym_preproc_endregion] = STATE(260),
    [sym_preproc_line] = STATE(260),
    [sym_preproc_pragma] = STATE(260),
    [sym_preproc_nullable] = STATE(260),
    [sym_preproc_error] = STATE(260),
    [sym_preproc_define] = STATE(260),
    [sym_preproc_undef] = STATE(260),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_list_pattern_repeat1] = STATE(8700),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [261] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4456),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(261),
    [sym_preproc_endregion] = STATE(261),
    [sym_preproc_line] = STATE(261),
    [sym_preproc_pragma] = STATE(261),
    [sym_preproc_nullable] = STATE(261),
    [sym_preproc_error] = STATE(261),
    [sym_preproc_define] = STATE(261),
    [sym_preproc_undef] = STATE(261),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1671),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [262] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6035),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(262),
    [sym_preproc_endregion] = STATE(262),
    [sym_preproc_line] = STATE(262),
    [sym_preproc_pragma] = STATE(262),
    [sym_preproc_nullable] = STATE(262),
    [sym_preproc_error] = STATE(262),
    [sym_preproc_define] = STATE(262),
    [sym_preproc_undef] = STATE(262),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(695),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [263] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6066),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(263),
    [sym_preproc_endregion] = STATE(263),
    [sym_preproc_line] = STATE(263),
    [sym_preproc_pragma] = STATE(263),
    [sym_preproc_nullable] = STATE(263),
    [sym_preproc_error] = STATE(263),
    [sym_preproc_define] = STATE(263),
    [sym_preproc_undef] = STATE(263),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_in] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1739),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [264] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5898),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(264),
    [sym_preproc_endregion] = STATE(264),
    [sym_preproc_line] = STATE(264),
    [sym_preproc_pragma] = STATE(264),
    [sym_preproc_nullable] = STATE(264),
    [sym_preproc_error] = STATE(264),
    [sym_preproc_define] = STATE(264),
    [sym_preproc_undef] = STATE(264),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1739),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [265] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5964),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(265),
    [sym_preproc_endregion] = STATE(265),
    [sym_preproc_line] = STATE(265),
    [sym_preproc_pragma] = STATE(265),
    [sym_preproc_nullable] = STATE(265),
    [sym_preproc_error] = STATE(265),
    [sym_preproc_define] = STATE(265),
    [sym_preproc_undef] = STATE(265),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(695),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [266] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4449),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(266),
    [sym_preproc_endregion] = STATE(266),
    [sym_preproc_line] = STATE(266),
    [sym_preproc_pragma] = STATE(266),
    [sym_preproc_nullable] = STATE(266),
    [sym_preproc_error] = STATE(266),
    [sym_preproc_define] = STATE(266),
    [sym_preproc_undef] = STATE(266),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [267] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5552),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(267),
    [sym_preproc_endregion] = STATE(267),
    [sym_preproc_line] = STATE(267),
    [sym_preproc_pragma] = STATE(267),
    [sym_preproc_nullable] = STATE(267),
    [sym_preproc_error] = STATE(267),
    [sym_preproc_define] = STATE(267),
    [sym_preproc_undef] = STATE(267),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_list_pattern_repeat1] = STATE(8488),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [268] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5552),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(268),
    [sym_preproc_endregion] = STATE(268),
    [sym_preproc_line] = STATE(268),
    [sym_preproc_pragma] = STATE(268),
    [sym_preproc_nullable] = STATE(268),
    [sym_preproc_error] = STATE(268),
    [sym_preproc_define] = STATE(268),
    [sym_preproc_undef] = STATE(268),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_list_pattern_repeat1] = STATE(8464),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [269] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5552),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(269),
    [sym_preproc_endregion] = STATE(269),
    [sym_preproc_line] = STATE(269),
    [sym_preproc_pragma] = STATE(269),
    [sym_preproc_nullable] = STATE(269),
    [sym_preproc_error] = STATE(269),
    [sym_preproc_define] = STATE(269),
    [sym_preproc_undef] = STATE(269),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_list_pattern_repeat1] = STATE(8407),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [270] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5552),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(270),
    [sym_preproc_endregion] = STATE(270),
    [sym_preproc_line] = STATE(270),
    [sym_preproc_pragma] = STATE(270),
    [sym_preproc_nullable] = STATE(270),
    [sym_preproc_error] = STATE(270),
    [sym_preproc_define] = STATE(270),
    [sym_preproc_undef] = STATE(270),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_list_pattern_repeat1] = STATE(8557),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_RBRACK] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [271] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5991),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(271),
    [sym_preproc_endregion] = STATE(271),
    [sym_preproc_line] = STATE(271),
    [sym_preproc_pragma] = STATE(271),
    [sym_preproc_nullable] = STATE(271),
    [sym_preproc_error] = STATE(271),
    [sym_preproc_define] = STATE(271),
    [sym_preproc_undef] = STATE(271),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1771),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [272] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4514),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(272),
    [sym_preproc_endregion] = STATE(272),
    [sym_preproc_line] = STATE(272),
    [sym_preproc_pragma] = STATE(272),
    [sym_preproc_nullable] = STATE(272),
    [sym_preproc_error] = STATE(272),
    [sym_preproc_define] = STATE(272),
    [sym_preproc_undef] = STATE(272),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1671),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [273] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5874),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(273),
    [sym_preproc_endregion] = STATE(273),
    [sym_preproc_line] = STATE(273),
    [sym_preproc_pragma] = STATE(273),
    [sym_preproc_nullable] = STATE(273),
    [sym_preproc_error] = STATE(273),
    [sym_preproc_define] = STATE(273),
    [sym_preproc_undef] = STATE(273),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1771),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [274] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4368),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(274),
    [sym_preproc_endregion] = STATE(274),
    [sym_preproc_line] = STATE(274),
    [sym_preproc_pragma] = STATE(274),
    [sym_preproc_nullable] = STATE(274),
    [sym_preproc_error] = STATE(274),
    [sym_preproc_define] = STATE(274),
    [sym_preproc_undef] = STATE(274),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [275] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5732),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(275),
    [sym_preproc_endregion] = STATE(275),
    [sym_preproc_line] = STATE(275),
    [sym_preproc_pragma] = STATE(275),
    [sym_preproc_nullable] = STATE(275),
    [sym_preproc_error] = STATE(275),
    [sym_preproc_define] = STATE(275),
    [sym_preproc_undef] = STATE(275),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1541),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1541),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_interpolation_close_brace] = ACTIONS(1225),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [276] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5648),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(276),
    [sym_preproc_endregion] = STATE(276),
    [sym_preproc_line] = STATE(276),
    [sym_preproc_pragma] = STATE(276),
    [sym_preproc_nullable] = STATE(276),
    [sym_preproc_error] = STATE(276),
    [sym_preproc_define] = STATE(276),
    [sym_preproc_undef] = STATE(276),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_EQ_GT] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [277] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5522),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(277),
    [sym_preproc_endregion] = STATE(277),
    [sym_preproc_line] = STATE(277),
    [sym_preproc_pragma] = STATE(277),
    [sym_preproc_nullable] = STATE(277),
    [sym_preproc_error] = STATE(277),
    [sym_preproc_define] = STATE(277),
    [sym_preproc_undef] = STATE(277),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_EQ_GT] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [278] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5236),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(278),
    [sym_preproc_endregion] = STATE(278),
    [sym_preproc_line] = STATE(278),
    [sym_preproc_pragma] = STATE(278),
    [sym_preproc_nullable] = STATE(278),
    [sym_preproc_error] = STATE(278),
    [sym_preproc_define] = STATE(278),
    [sym_preproc_undef] = STATE(278),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1573),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1573),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [279] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6002),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(279),
    [sym_preproc_endregion] = STATE(279),
    [sym_preproc_line] = STATE(279),
    [sym_preproc_pragma] = STATE(279),
    [sym_preproc_nullable] = STATE(279),
    [sym_preproc_error] = STATE(279),
    [sym_preproc_define] = STATE(279),
    [sym_preproc_undef] = STATE(279),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1805),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [280] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4978),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(280),
    [sym_preproc_endregion] = STATE(280),
    [sym_preproc_line] = STATE(280),
    [sym_preproc_pragma] = STATE(280),
    [sym_preproc_nullable] = STATE(280),
    [sym_preproc_error] = STATE(280),
    [sym_preproc_define] = STATE(280),
    [sym_preproc_undef] = STATE(280),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1823),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1823),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [281] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4976),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(281),
    [sym_preproc_endregion] = STATE(281),
    [sym_preproc_line] = STATE(281),
    [sym_preproc_pragma] = STATE(281),
    [sym_preproc_nullable] = STATE(281),
    [sym_preproc_error] = STATE(281),
    [sym_preproc_define] = STATE(281),
    [sym_preproc_undef] = STATE(281),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1823),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1823),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [282] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4886),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(282),
    [sym_preproc_endregion] = STATE(282),
    [sym_preproc_line] = STATE(282),
    [sym_preproc_pragma] = STATE(282),
    [sym_preproc_nullable] = STATE(282),
    [sym_preproc_error] = STATE(282),
    [sym_preproc_define] = STATE(282),
    [sym_preproc_undef] = STATE(282),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [283] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5701),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(283),
    [sym_preproc_endregion] = STATE(283),
    [sym_preproc_line] = STATE(283),
    [sym_preproc_pragma] = STATE(283),
    [sym_preproc_nullable] = STATE(283),
    [sym_preproc_error] = STATE(283),
    [sym_preproc_define] = STATE(283),
    [sym_preproc_undef] = STATE(283),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [284] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5711),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(284),
    [sym_preproc_endregion] = STATE(284),
    [sym_preproc_line] = STATE(284),
    [sym_preproc_pragma] = STATE(284),
    [sym_preproc_nullable] = STATE(284),
    [sym_preproc_error] = STATE(284),
    [sym_preproc_define] = STATE(284),
    [sym_preproc_undef] = STATE(284),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1877),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1877),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [285] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4873),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(285),
    [sym_preproc_endregion] = STATE(285),
    [sym_preproc_line] = STATE(285),
    [sym_preproc_pragma] = STATE(285),
    [sym_preproc_nullable] = STATE(285),
    [sym_preproc_error] = STATE(285),
    [sym_preproc_define] = STATE(285),
    [sym_preproc_undef] = STATE(285),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [286] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5462),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(286),
    [sym_preproc_endregion] = STATE(286),
    [sym_preproc_line] = STATE(286),
    [sym_preproc_pragma] = STATE(286),
    [sym_preproc_nullable] = STATE(286),
    [sym_preproc_error] = STATE(286),
    [sym_preproc_define] = STATE(286),
    [sym_preproc_undef] = STATE(286),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1877),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1877),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [287] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5454),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(287),
    [sym_preproc_endregion] = STATE(287),
    [sym_preproc_line] = STATE(287),
    [sym_preproc_pragma] = STATE(287),
    [sym_preproc_nullable] = STATE(287),
    [sym_preproc_error] = STATE(287),
    [sym_preproc_define] = STATE(287),
    [sym_preproc_undef] = STATE(287),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [288] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6079),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(288),
    [sym_preproc_endregion] = STATE(288),
    [sym_preproc_line] = STATE(288),
    [sym_preproc_pragma] = STATE(288),
    [sym_preproc_nullable] = STATE(288),
    [sym_preproc_error] = STATE(288),
    [sym_preproc_define] = STATE(288),
    [sym_preproc_undef] = STATE(288),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1895),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [289] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6004),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(289),
    [sym_preproc_endregion] = STATE(289),
    [sym_preproc_line] = STATE(289),
    [sym_preproc_pragma] = STATE(289),
    [sym_preproc_nullable] = STATE(289),
    [sym_preproc_error] = STATE(289),
    [sym_preproc_define] = STATE(289),
    [sym_preproc_undef] = STATE(289),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1913),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [290] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5953),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(290),
    [sym_preproc_endregion] = STATE(290),
    [sym_preproc_line] = STATE(290),
    [sym_preproc_pragma] = STATE(290),
    [sym_preproc_nullable] = STATE(290),
    [sym_preproc_error] = STATE(290),
    [sym_preproc_define] = STATE(290),
    [sym_preproc_undef] = STATE(290),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1805),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [291] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5721),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(291),
    [sym_preproc_endregion] = STATE(291),
    [sym_preproc_line] = STATE(291),
    [sym_preproc_pragma] = STATE(291),
    [sym_preproc_nullable] = STATE(291),
    [sym_preproc_error] = STATE(291),
    [sym_preproc_define] = STATE(291),
    [sym_preproc_undef] = STATE(291),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1931),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [292] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5495),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(292),
    [sym_preproc_endregion] = STATE(292),
    [sym_preproc_line] = STATE(292),
    [sym_preproc_pragma] = STATE(292),
    [sym_preproc_nullable] = STATE(292),
    [sym_preproc_error] = STATE(292),
    [sym_preproc_define] = STATE(292),
    [sym_preproc_undef] = STATE(292),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1931),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_and] = ACTIONS(1227),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [293] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5871),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(293),
    [sym_preproc_endregion] = STATE(293),
    [sym_preproc_line] = STATE(293),
    [sym_preproc_pragma] = STATE(293),
    [sym_preproc_nullable] = STATE(293),
    [sym_preproc_error] = STATE(293),
    [sym_preproc_define] = STATE(293),
    [sym_preproc_undef] = STATE(293),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_RBRACK] = ACTIONS(1943),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [294] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6012),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(294),
    [sym_preproc_endregion] = STATE(294),
    [sym_preproc_line] = STATE(294),
    [sym_preproc_pragma] = STATE(294),
    [sym_preproc_nullable] = STATE(294),
    [sym_preproc_error] = STATE(294),
    [sym_preproc_define] = STATE(294),
    [sym_preproc_undef] = STATE(294),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1895),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [295] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6006),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(295),
    [sym_preproc_endregion] = STATE(295),
    [sym_preproc_line] = STATE(295),
    [sym_preproc_pragma] = STATE(295),
    [sym_preproc_nullable] = STATE(295),
    [sym_preproc_error] = STATE(295),
    [sym_preproc_define] = STATE(295),
    [sym_preproc_undef] = STATE(295),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1913),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_and] = ACTIONS(1169),
    [anon_sym_or] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [296] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6603),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(296),
    [sym_preproc_endregion] = STATE(296),
    [sym_preproc_line] = STATE(296),
    [sym_preproc_pragma] = STATE(296),
    [sym_preproc_nullable] = STATE(296),
    [sym_preproc_error] = STATE(296),
    [sym_preproc_define] = STATE(296),
    [sym_preproc_undef] = STATE(296),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1949),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [297] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6182),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(297),
    [sym_preproc_endregion] = STATE(297),
    [sym_preproc_line] = STATE(297),
    [sym_preproc_pragma] = STATE(297),
    [sym_preproc_nullable] = STATE(297),
    [sym_preproc_error] = STATE(297),
    [sym_preproc_define] = STATE(297),
    [sym_preproc_undef] = STATE(297),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1963),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_EQ_GT] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [298] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8603),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(298),
    [sym_preproc_endregion] = STATE(298),
    [sym_preproc_line] = STATE(298),
    [sym_preproc_pragma] = STATE(298),
    [sym_preproc_nullable] = STATE(298),
    [sym_preproc_error] = STATE(298),
    [sym_preproc_define] = STATE(298),
    [sym_preproc_undef] = STATE(298),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1975),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1981),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [299] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6308),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(299),
    [sym_preproc_endregion] = STATE(299),
    [sym_preproc_line] = STATE(299),
    [sym_preproc_pragma] = STATE(299),
    [sym_preproc_nullable] = STATE(299),
    [sym_preproc_error] = STATE(299),
    [sym_preproc_define] = STATE(299),
    [sym_preproc_undef] = STATE(299),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1995),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_PIPE] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1995),
    [anon_sym_GT_GT_GT] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1995),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_QMARK_QMARK] = ACTIONS(1997),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1995),
    [anon_sym_is] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1997),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [300] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4769),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(300),
    [sym_preproc_endregion] = STATE(300),
    [sym_preproc_line] = STATE(300),
    [sym_preproc_pragma] = STATE(300),
    [sym_preproc_nullable] = STATE(300),
    [sym_preproc_error] = STATE(300),
    [sym_preproc_define] = STATE(300),
    [sym_preproc_undef] = STATE(300),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2003),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [301] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5883),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8635),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(5425),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(301),
    [sym_preproc_endregion] = STATE(301),
    [sym_preproc_line] = STATE(301),
    [sym_preproc_pragma] = STATE(301),
    [sym_preproc_nullable] = STATE(301),
    [sym_preproc_error] = STATE(301),
    [sym_preproc_define] = STATE(301),
    [sym_preproc_undef] = STATE(301),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2015),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2017),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [302] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6577),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(302),
    [sym_preproc_endregion] = STATE(302),
    [sym_preproc_line] = STATE(302),
    [sym_preproc_pragma] = STATE(302),
    [sym_preproc_nullable] = STATE(302),
    [sym_preproc_error] = STATE(302),
    [sym_preproc_define] = STATE(302),
    [sym_preproc_undef] = STATE(302),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2023),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_EQ_GT] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [303] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6569),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(303),
    [sym_preproc_endregion] = STATE(303),
    [sym_preproc_line] = STATE(303),
    [sym_preproc_pragma] = STATE(303),
    [sym_preproc_nullable] = STATE(303),
    [sym_preproc_error] = STATE(303),
    [sym_preproc_define] = STATE(303),
    [sym_preproc_undef] = STATE(303),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2035),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1995),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_PIPE] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1995),
    [anon_sym_GT_GT_GT] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1995),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_QMARK_QMARK] = ACTIONS(1997),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1995),
    [anon_sym_is] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1997),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [304] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6424),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(304),
    [sym_preproc_endregion] = STATE(304),
    [sym_preproc_line] = STATE(304),
    [sym_preproc_pragma] = STATE(304),
    [sym_preproc_nullable] = STATE(304),
    [sym_preproc_error] = STATE(304),
    [sym_preproc_define] = STATE(304),
    [sym_preproc_undef] = STATE(304),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1995),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_PIPE] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1995),
    [anon_sym_GT_GT_GT] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1995),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_QMARK_QMARK] = ACTIONS(1997),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1995),
    [anon_sym_is] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1997),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [305] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4783),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(305),
    [sym_preproc_endregion] = STATE(305),
    [sym_preproc_line] = STATE(305),
    [sym_preproc_pragma] = STATE(305),
    [sym_preproc_nullable] = STATE(305),
    [sym_preproc_error] = STATE(305),
    [sym_preproc_define] = STATE(305),
    [sym_preproc_undef] = STATE(305),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2003),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2003),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [306] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8582),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(306),
    [sym_preproc_endregion] = STATE(306),
    [sym_preproc_line] = STATE(306),
    [sym_preproc_pragma] = STATE(306),
    [sym_preproc_nullable] = STATE(306),
    [sym_preproc_error] = STATE(306),
    [sym_preproc_define] = STATE(306),
    [sym_preproc_undef] = STATE(306),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2041),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [307] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8631),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(307),
    [sym_preproc_endregion] = STATE(307),
    [sym_preproc_line] = STATE(307),
    [sym_preproc_pragma] = STATE(307),
    [sym_preproc_nullable] = STATE(307),
    [sym_preproc_error] = STATE(307),
    [sym_preproc_define] = STATE(307),
    [sym_preproc_undef] = STATE(307),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2043),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2045),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [308] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5883),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8566),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(5425),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(308),
    [sym_preproc_endregion] = STATE(308),
    [sym_preproc_line] = STATE(308),
    [sym_preproc_pragma] = STATE(308),
    [sym_preproc_nullable] = STATE(308),
    [sym_preproc_error] = STATE(308),
    [sym_preproc_define] = STATE(308),
    [sym_preproc_undef] = STATE(308),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2047),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2015),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2049),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [309] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6679),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(309),
    [sym_preproc_endregion] = STATE(309),
    [sym_preproc_line] = STATE(309),
    [sym_preproc_pragma] = STATE(309),
    [sym_preproc_nullable] = STATE(309),
    [sym_preproc_error] = STATE(309),
    [sym_preproc_define] = STATE(309),
    [sym_preproc_undef] = STATE(309),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2023),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_EQ_GT] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [310] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5883),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8566),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(5425),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(310),
    [sym_preproc_endregion] = STATE(310),
    [sym_preproc_line] = STATE(310),
    [sym_preproc_pragma] = STATE(310),
    [sym_preproc_nullable] = STATE(310),
    [sym_preproc_error] = STATE(310),
    [sym_preproc_define] = STATE(310),
    [sym_preproc_undef] = STATE(310),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2051),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2015),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2053),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [311] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2801),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5883),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8566),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(5425),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(311),
    [sym_preproc_endregion] = STATE(311),
    [sym_preproc_line] = STATE(311),
    [sym_preproc_pragma] = STATE(311),
    [sym_preproc_nullable] = STATE(311),
    [sym_preproc_error] = STATE(311),
    [sym_preproc_define] = STATE(311),
    [sym_preproc_undef] = STATE(311),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2015),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2057),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [312] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6486),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(312),
    [sym_preproc_endregion] = STATE(312),
    [sym_preproc_line] = STATE(312),
    [sym_preproc_pragma] = STATE(312),
    [sym_preproc_nullable] = STATE(312),
    [sym_preproc_error] = STATE(312),
    [sym_preproc_define] = STATE(312),
    [sym_preproc_undef] = STATE(312),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2063),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [313] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8543),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(313),
    [sym_preproc_endregion] = STATE(313),
    [sym_preproc_line] = STATE(313),
    [sym_preproc_pragma] = STATE(313),
    [sym_preproc_nullable] = STATE(313),
    [sym_preproc_error] = STATE(313),
    [sym_preproc_define] = STATE(313),
    [sym_preproc_undef] = STATE(313),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2069),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [314] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6518),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(314),
    [sym_preproc_endregion] = STATE(314),
    [sym_preproc_line] = STATE(314),
    [sym_preproc_pragma] = STATE(314),
    [sym_preproc_nullable] = STATE(314),
    [sym_preproc_error] = STATE(314),
    [sym_preproc_define] = STATE(314),
    [sym_preproc_undef] = STATE(314),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2063),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [315] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4708),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(315),
    [sym_preproc_endregion] = STATE(315),
    [sym_preproc_line] = STATE(315),
    [sym_preproc_pragma] = STATE(315),
    [sym_preproc_nullable] = STATE(315),
    [sym_preproc_error] = STATE(315),
    [sym_preproc_define] = STATE(315),
    [sym_preproc_undef] = STATE(315),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2075),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2075),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [316] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4634),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(316),
    [sym_preproc_endregion] = STATE(316),
    [sym_preproc_line] = STATE(316),
    [sym_preproc_pragma] = STATE(316),
    [sym_preproc_nullable] = STATE(316),
    [sym_preproc_error] = STATE(316),
    [sym_preproc_define] = STATE(316),
    [sym_preproc_undef] = STATE(316),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2075),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2075),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [317] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6672),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(317),
    [sym_preproc_endregion] = STATE(317),
    [sym_preproc_line] = STATE(317),
    [sym_preproc_pragma] = STATE(317),
    [sym_preproc_nullable] = STATE(317),
    [sym_preproc_error] = STATE(317),
    [sym_preproc_define] = STATE(317),
    [sym_preproc_undef] = STATE(317),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_in] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1949),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [318] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8635),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(318),
    [sym_preproc_endregion] = STATE(318),
    [sym_preproc_line] = STATE(318),
    [sym_preproc_pragma] = STATE(318),
    [sym_preproc_nullable] = STATE(318),
    [sym_preproc_error] = STATE(318),
    [sym_preproc_define] = STATE(318),
    [sym_preproc_undef] = STATE(318),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [319] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8685),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(319),
    [sym_preproc_endregion] = STATE(319),
    [sym_preproc_line] = STATE(319),
    [sym_preproc_pragma] = STATE(319),
    [sym_preproc_nullable] = STATE(319),
    [sym_preproc_error] = STATE(319),
    [sym_preproc_define] = STATE(319),
    [sym_preproc_undef] = STATE(319),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2091),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [320] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8566),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(320),
    [sym_preproc_endregion] = STATE(320),
    [sym_preproc_line] = STATE(320),
    [sym_preproc_pragma] = STATE(320),
    [sym_preproc_nullable] = STATE(320),
    [sym_preproc_error] = STATE(320),
    [sym_preproc_define] = STATE(320),
    [sym_preproc_undef] = STATE(320),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2095),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [321] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(321),
    [sym_preproc_endregion] = STATE(321),
    [sym_preproc_line] = STATE(321),
    [sym_preproc_pragma] = STATE(321),
    [sym_preproc_nullable] = STATE(321),
    [sym_preproc_error] = STATE(321),
    [sym_preproc_define] = STATE(321),
    [sym_preproc_undef] = STATE(321),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2099),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(2101),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(2101),
    [anon_sym_is] = ACTIONS(2101),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(2099),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [322] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8536),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(322),
    [sym_preproc_endregion] = STATE(322),
    [sym_preproc_line] = STATE(322),
    [sym_preproc_pragma] = STATE(322),
    [sym_preproc_nullable] = STATE(322),
    [sym_preproc_error] = STATE(322),
    [sym_preproc_define] = STATE(322),
    [sym_preproc_undef] = STATE(322),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(2103),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [323] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6550),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(323),
    [sym_preproc_endregion] = STATE(323),
    [sym_preproc_line] = STATE(323),
    [sym_preproc_pragma] = STATE(323),
    [sym_preproc_nullable] = STATE(323),
    [sym_preproc_error] = STATE(323),
    [sym_preproc_define] = STATE(323),
    [sym_preproc_undef] = STATE(323),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1993),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1995),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(77),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_PIPE] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(77),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1995),
    [anon_sym_GT_GT_GT] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1995),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_QMARK_QMARK] = ACTIONS(1997),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1995),
    [anon_sym_is] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1997),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1995),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [324] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6142),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(324),
    [sym_preproc_endregion] = STATE(324),
    [sym_preproc_line] = STATE(324),
    [sym_preproc_pragma] = STATE(324),
    [sym_preproc_nullable] = STATE(324),
    [sym_preproc_error] = STATE(324),
    [sym_preproc_define] = STATE(324),
    [sym_preproc_undef] = STATE(324),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1963),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_EQ_GT] = ACTIONS(1155),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [325] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6536),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(325),
    [sym_preproc_endregion] = STATE(325),
    [sym_preproc_line] = STATE(325),
    [sym_preproc_pragma] = STATE(325),
    [sym_preproc_nullable] = STATE(325),
    [sym_preproc_error] = STATE(325),
    [sym_preproc_define] = STATE(325),
    [sym_preproc_undef] = STATE(325),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2115),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [326] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(326),
    [sym_preproc_endregion] = STATE(326),
    [sym_preproc_line] = STATE(326),
    [sym_preproc_pragma] = STATE(326),
    [sym_preproc_nullable] = STATE(326),
    [sym_preproc_error] = STATE(326),
    [sym_preproc_define] = STATE(326),
    [sym_preproc_undef] = STATE(326),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [327] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6235),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(327),
    [sym_preproc_endregion] = STATE(327),
    [sym_preproc_line] = STATE(327),
    [sym_preproc_pragma] = STATE(327),
    [sym_preproc_nullable] = STATE(327),
    [sym_preproc_error] = STATE(327),
    [sym_preproc_define] = STATE(327),
    [sym_preproc_undef] = STATE(327),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [328] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8441),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(328),
    [sym_preproc_endregion] = STATE(328),
    [sym_preproc_line] = STATE(328),
    [sym_preproc_pragma] = STATE(328),
    [sym_preproc_nullable] = STATE(328),
    [sym_preproc_error] = STATE(328),
    [sym_preproc_define] = STATE(328),
    [sym_preproc_undef] = STATE(328),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [329] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(329),
    [sym_preproc_endregion] = STATE(329),
    [sym_preproc_line] = STATE(329),
    [sym_preproc_pragma] = STATE(329),
    [sym_preproc_nullable] = STATE(329),
    [sym_preproc_error] = STATE(329),
    [sym_preproc_define] = STATE(329),
    [sym_preproc_undef] = STATE(329),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [330] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(330),
    [sym_preproc_endregion] = STATE(330),
    [sym_preproc_line] = STATE(330),
    [sym_preproc_pragma] = STATE(330),
    [sym_preproc_nullable] = STATE(330),
    [sym_preproc_error] = STATE(330),
    [sym_preproc_define] = STATE(330),
    [sym_preproc_undef] = STATE(330),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2151),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [331] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(331),
    [sym_preproc_endregion] = STATE(331),
    [sym_preproc_line] = STATE(331),
    [sym_preproc_pragma] = STATE(331),
    [sym_preproc_nullable] = STATE(331),
    [sym_preproc_error] = STATE(331),
    [sym_preproc_define] = STATE(331),
    [sym_preproc_undef] = STATE(331),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2153),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [332] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6284),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(332),
    [sym_preproc_endregion] = STATE(332),
    [sym_preproc_line] = STATE(332),
    [sym_preproc_pragma] = STATE(332),
    [sym_preproc_nullable] = STATE(332),
    [sym_preproc_error] = STATE(332),
    [sym_preproc_define] = STATE(332),
    [sym_preproc_undef] = STATE(332),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [333] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6130),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(333),
    [sym_preproc_endregion] = STATE(333),
    [sym_preproc_line] = STATE(333),
    [sym_preproc_pragma] = STATE(333),
    [sym_preproc_nullable] = STATE(333),
    [sym_preproc_error] = STATE(333),
    [sym_preproc_define] = STATE(333),
    [sym_preproc_undef] = STATE(333),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [334] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(334),
    [sym_preproc_endregion] = STATE(334),
    [sym_preproc_line] = STATE(334),
    [sym_preproc_pragma] = STATE(334),
    [sym_preproc_nullable] = STATE(334),
    [sym_preproc_error] = STATE(334),
    [sym_preproc_define] = STATE(334),
    [sym_preproc_undef] = STATE(334),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [335] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5038),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(335),
    [sym_preproc_endregion] = STATE(335),
    [sym_preproc_line] = STATE(335),
    [sym_preproc_pragma] = STATE(335),
    [sym_preproc_nullable] = STATE(335),
    [sym_preproc_error] = STATE(335),
    [sym_preproc_define] = STATE(335),
    [sym_preproc_undef] = STATE(335),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [336] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4984),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(336),
    [sym_preproc_endregion] = STATE(336),
    [sym_preproc_line] = STATE(336),
    [sym_preproc_pragma] = STATE(336),
    [sym_preproc_nullable] = STATE(336),
    [sym_preproc_error] = STATE(336),
    [sym_preproc_define] = STATE(336),
    [sym_preproc_undef] = STATE(336),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [337] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8441),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(337),
    [sym_preproc_endregion] = STATE(337),
    [sym_preproc_line] = STATE(337),
    [sym_preproc_pragma] = STATE(337),
    [sym_preproc_nullable] = STATE(337),
    [sym_preproc_error] = STATE(337),
    [sym_preproc_define] = STATE(337),
    [sym_preproc_undef] = STATE(337),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [338] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6264),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(338),
    [sym_preproc_endregion] = STATE(338),
    [sym_preproc_line] = STATE(338),
    [sym_preproc_pragma] = STATE(338),
    [sym_preproc_nullable] = STATE(338),
    [sym_preproc_error] = STATE(338),
    [sym_preproc_define] = STATE(338),
    [sym_preproc_undef] = STATE(338),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2135),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [339] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6563),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(339),
    [sym_preproc_endregion] = STATE(339),
    [sym_preproc_line] = STATE(339),
    [sym_preproc_pragma] = STATE(339),
    [sym_preproc_nullable] = STATE(339),
    [sym_preproc_error] = STATE(339),
    [sym_preproc_define] = STATE(339),
    [sym_preproc_undef] = STATE(339),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [340] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(340),
    [sym_preproc_endregion] = STATE(340),
    [sym_preproc_line] = STATE(340),
    [sym_preproc_pragma] = STATE(340),
    [sym_preproc_nullable] = STATE(340),
    [sym_preproc_error] = STATE(340),
    [sym_preproc_define] = STATE(340),
    [sym_preproc_undef] = STATE(340),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [341] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8441),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(341),
    [sym_preproc_endregion] = STATE(341),
    [sym_preproc_line] = STATE(341),
    [sym_preproc_pragma] = STATE(341),
    [sym_preproc_nullable] = STATE(341),
    [sym_preproc_error] = STATE(341),
    [sym_preproc_define] = STATE(341),
    [sym_preproc_undef] = STATE(341),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [342] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6532),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(342),
    [sym_preproc_endregion] = STATE(342),
    [sym_preproc_line] = STATE(342),
    [sym_preproc_pragma] = STATE(342),
    [sym_preproc_nullable] = STATE(342),
    [sym_preproc_error] = STATE(342),
    [sym_preproc_define] = STATE(342),
    [sym_preproc_undef] = STATE(342),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [343] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6336),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(343),
    [sym_preproc_endregion] = STATE(343),
    [sym_preproc_line] = STATE(343),
    [sym_preproc_pragma] = STATE(343),
    [sym_preproc_nullable] = STATE(343),
    [sym_preproc_error] = STATE(343),
    [sym_preproc_define] = STATE(343),
    [sym_preproc_undef] = STATE(343),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2115),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [344] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8441),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(344),
    [sym_preproc_endregion] = STATE(344),
    [sym_preproc_line] = STATE(344),
    [sym_preproc_pragma] = STATE(344),
    [sym_preproc_nullable] = STATE(344),
    [sym_preproc_error] = STATE(344),
    [sym_preproc_define] = STATE(344),
    [sym_preproc_undef] = STATE(344),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [345] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(345),
    [sym_preproc_endregion] = STATE(345),
    [sym_preproc_line] = STATE(345),
    [sym_preproc_pragma] = STATE(345),
    [sym_preproc_nullable] = STATE(345),
    [sym_preproc_error] = STATE(345),
    [sym_preproc_define] = STATE(345),
    [sym_preproc_undef] = STATE(345),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [346] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(346),
    [sym_preproc_endregion] = STATE(346),
    [sym_preproc_line] = STATE(346),
    [sym_preproc_pragma] = STATE(346),
    [sym_preproc_nullable] = STATE(346),
    [sym_preproc_error] = STATE(346),
    [sym_preproc_define] = STATE(346),
    [sym_preproc_undef] = STATE(346),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2217),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [347] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(347),
    [sym_preproc_endregion] = STATE(347),
    [sym_preproc_line] = STATE(347),
    [sym_preproc_pragma] = STATE(347),
    [sym_preproc_nullable] = STATE(347),
    [sym_preproc_error] = STATE(347),
    [sym_preproc_define] = STATE(347),
    [sym_preproc_undef] = STATE(347),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [348] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6121),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(348),
    [sym_preproc_endregion] = STATE(348),
    [sym_preproc_line] = STATE(348),
    [sym_preproc_pragma] = STATE(348),
    [sym_preproc_nullable] = STATE(348),
    [sym_preproc_error] = STATE(348),
    [sym_preproc_define] = STATE(348),
    [sym_preproc_undef] = STATE(348),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [349] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6138),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(349),
    [sym_preproc_endregion] = STATE(349),
    [sym_preproc_line] = STATE(349),
    [sym_preproc_pragma] = STATE(349),
    [sym_preproc_nullable] = STATE(349),
    [sym_preproc_error] = STATE(349),
    [sym_preproc_define] = STATE(349),
    [sym_preproc_undef] = STATE(349),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [350] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(350),
    [sym_preproc_endregion] = STATE(350),
    [sym_preproc_line] = STATE(350),
    [sym_preproc_pragma] = STATE(350),
    [sym_preproc_nullable] = STATE(350),
    [sym_preproc_error] = STATE(350),
    [sym_preproc_define] = STATE(350),
    [sym_preproc_undef] = STATE(350),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [351] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(351),
    [sym_preproc_endregion] = STATE(351),
    [sym_preproc_line] = STATE(351),
    [sym_preproc_pragma] = STATE(351),
    [sym_preproc_nullable] = STATE(351),
    [sym_preproc_error] = STATE(351),
    [sym_preproc_define] = STATE(351),
    [sym_preproc_undef] = STATE(351),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [352] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(352),
    [sym_preproc_endregion] = STATE(352),
    [sym_preproc_line] = STATE(352),
    [sym_preproc_pragma] = STATE(352),
    [sym_preproc_nullable] = STATE(352),
    [sym_preproc_error] = STATE(352),
    [sym_preproc_define] = STATE(352),
    [sym_preproc_undef] = STATE(352),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(2243),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [353] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6572),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(353),
    [sym_preproc_endregion] = STATE(353),
    [sym_preproc_line] = STATE(353),
    [sym_preproc_pragma] = STATE(353),
    [sym_preproc_nullable] = STATE(353),
    [sym_preproc_error] = STATE(353),
    [sym_preproc_define] = STATE(353),
    [sym_preproc_undef] = STATE(353),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [354] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5121),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(354),
    [sym_preproc_endregion] = STATE(354),
    [sym_preproc_line] = STATE(354),
    [sym_preproc_pragma] = STATE(354),
    [sym_preproc_nullable] = STATE(354),
    [sym_preproc_error] = STATE(354),
    [sym_preproc_define] = STATE(354),
    [sym_preproc_undef] = STATE(354),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1169),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2267),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_PIPE] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1169),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_QMARK_QMARK] = ACTIONS(1155),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1169),
    [anon_sym_is] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [355] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5049),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(355),
    [sym_preproc_endregion] = STATE(355),
    [sym_preproc_line] = STATE(355),
    [sym_preproc_pragma] = STATE(355),
    [sym_preproc_nullable] = STATE(355),
    [sym_preproc_error] = STATE(355),
    [sym_preproc_define] = STATE(355),
    [sym_preproc_undef] = STATE(355),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2267),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2267),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [356] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6614),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(356),
    [sym_preproc_endregion] = STATE(356),
    [sym_preproc_line] = STATE(356),
    [sym_preproc_pragma] = STATE(356),
    [sym_preproc_nullable] = STATE(356),
    [sym_preproc_error] = STATE(356),
    [sym_preproc_define] = STATE(356),
    [sym_preproc_undef] = STATE(356),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [357] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(357),
    [sym_preproc_endregion] = STATE(357),
    [sym_preproc_line] = STATE(357),
    [sym_preproc_pragma] = STATE(357),
    [sym_preproc_nullable] = STATE(357),
    [sym_preproc_error] = STATE(357),
    [sym_preproc_define] = STATE(357),
    [sym_preproc_undef] = STATE(357),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [358] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8306),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8441),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6408),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(358),
    [sym_preproc_endregion] = STATE(358),
    [sym_preproc_line] = STATE(358),
    [sym_preproc_pragma] = STATE(358),
    [sym_preproc_nullable] = STATE(358),
    [sym_preproc_error] = STATE(358),
    [sym_preproc_define] = STATE(358),
    [sym_preproc_undef] = STATE(358),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [359] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(359),
    [sym_preproc_endregion] = STATE(359),
    [sym_preproc_line] = STATE(359),
    [sym_preproc_pragma] = STATE(359),
    [sym_preproc_nullable] = STATE(359),
    [sym_preproc_error] = STATE(359),
    [sym_preproc_define] = STATE(359),
    [sym_preproc_undef] = STATE(359),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2287),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [360] = {
    [sym_attribute_list] = STATE(6712),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9362),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6844),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(360),
    [sym_preproc_endregion] = STATE(360),
    [sym_preproc_line] = STATE(360),
    [sym_preproc_pragma] = STATE(360),
    [sym_preproc_nullable] = STATE(360),
    [sym_preproc_error] = STATE(360),
    [sym_preproc_define] = STATE(360),
    [sym_preproc_undef] = STATE(360),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_class_declaration_repeat2] = STATE(3103),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(2289),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_foreach] = ACTIONS(2293),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [361] = {
    [sym_attribute_list] = STATE(6712),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9362),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6833),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(361),
    [sym_preproc_endregion] = STATE(361),
    [sym_preproc_line] = STATE(361),
    [sym_preproc_pragma] = STATE(361),
    [sym_preproc_nullable] = STATE(361),
    [sym_preproc_error] = STATE(361),
    [sym_preproc_define] = STATE(361),
    [sym_preproc_undef] = STATE(361),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_class_declaration_repeat2] = STATE(3103),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(2289),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_foreach] = ACTIONS(2293),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [362] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5751),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8369),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_subpattern] = STATE(8441),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6542),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(362),
    [sym_preproc_endregion] = STATE(362),
    [sym_preproc_line] = STATE(362),
    [sym_preproc_pragma] = STATE(362),
    [sym_preproc_nullable] = STATE(362),
    [sym_preproc_error] = STATE(362),
    [sym_preproc_define] = STATE(362),
    [sym_preproc_undef] = STATE(362),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [363] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(363),
    [sym_preproc_endregion] = STATE(363),
    [sym_preproc_line] = STATE(363),
    [sym_preproc_pragma] = STATE(363),
    [sym_preproc_nullable] = STATE(363),
    [sym_preproc_error] = STATE(363),
    [sym_preproc_define] = STATE(363),
    [sym_preproc_undef] = STATE(363),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2295),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [364] = {
    [sym_attribute_list] = STATE(6712),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9258),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6833),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(364),
    [sym_preproc_endregion] = STATE(364),
    [sym_preproc_line] = STATE(364),
    [sym_preproc_pragma] = STATE(364),
    [sym_preproc_nullable] = STATE(364),
    [sym_preproc_error] = STATE(364),
    [sym_preproc_define] = STATE(364),
    [sym_preproc_undef] = STATE(364),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_class_declaration_repeat2] = STATE(3117),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(2297),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_foreach] = ACTIONS(2299),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [365] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(365),
    [sym_preproc_endregion] = STATE(365),
    [sym_preproc_line] = STATE(365),
    [sym_preproc_pragma] = STATE(365),
    [sym_preproc_nullable] = STATE(365),
    [sym_preproc_error] = STATE(365),
    [sym_preproc_define] = STATE(365),
    [sym_preproc_undef] = STATE(365),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2301),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [366] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(366),
    [sym_preproc_endregion] = STATE(366),
    [sym_preproc_line] = STATE(366),
    [sym_preproc_pragma] = STATE(366),
    [sym_preproc_nullable] = STATE(366),
    [sym_preproc_error] = STATE(366),
    [sym_preproc_define] = STATE(366),
    [sym_preproc_undef] = STATE(366),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2303),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [367] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8144),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_switch_expression_arm] = STATE(8831),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(367),
    [sym_preproc_endregion] = STATE(367),
    [sym_preproc_line] = STATE(367),
    [sym_preproc_pragma] = STATE(367),
    [sym_preproc_nullable] = STATE(367),
    [sym_preproc_error] = STATE(367),
    [sym_preproc_define] = STATE(367),
    [sym_preproc_undef] = STATE(367),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [368] = {
    [sym_attribute_list] = STATE(6712),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9410),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6833),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(368),
    [sym_preproc_endregion] = STATE(368),
    [sym_preproc_line] = STATE(368),
    [sym_preproc_pragma] = STATE(368),
    [sym_preproc_nullable] = STATE(368),
    [sym_preproc_error] = STATE(368),
    [sym_preproc_define] = STATE(368),
    [sym_preproc_undef] = STATE(368),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_class_declaration_repeat2] = STATE(3096),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(2305),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_foreach] = ACTIONS(2307),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [369] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(369),
    [sym_preproc_endregion] = STATE(369),
    [sym_preproc_line] = STATE(369),
    [sym_preproc_pragma] = STATE(369),
    [sym_preproc_nullable] = STATE(369),
    [sym_preproc_error] = STATE(369),
    [sym_preproc_define] = STATE(369),
    [sym_preproc_undef] = STATE(369),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [370] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(370),
    [sym_preproc_endregion] = STATE(370),
    [sym_preproc_line] = STATE(370),
    [sym_preproc_pragma] = STATE(370),
    [sym_preproc_nullable] = STATE(370),
    [sym_preproc_error] = STATE(370),
    [sym_preproc_define] = STATE(370),
    [sym_preproc_undef] = STATE(370),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [371] = {
    [sym_attribute_list] = STATE(6712),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9741),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6833),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(371),
    [sym_preproc_endregion] = STATE(371),
    [sym_preproc_line] = STATE(371),
    [sym_preproc_pragma] = STATE(371),
    [sym_preproc_nullable] = STATE(371),
    [sym_preproc_error] = STATE(371),
    [sym_preproc_define] = STATE(371),
    [sym_preproc_undef] = STATE(371),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_class_declaration_repeat2] = STATE(3112),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_using] = ACTIONS(2313),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(685),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(2291),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_foreach] = ACTIONS(2315),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [372] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(372),
    [sym_preproc_endregion] = STATE(372),
    [sym_preproc_line] = STATE(372),
    [sym_preproc_pragma] = STATE(372),
    [sym_preproc_nullable] = STATE(372),
    [sym_preproc_error] = STATE(372),
    [sym_preproc_define] = STATE(372),
    [sym_preproc_undef] = STATE(372),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [373] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(373),
    [sym_preproc_endregion] = STATE(373),
    [sym_preproc_line] = STATE(373),
    [sym_preproc_pragma] = STATE(373),
    [sym_preproc_nullable] = STATE(373),
    [sym_preproc_error] = STATE(373),
    [sym_preproc_define] = STATE(373),
    [sym_preproc_undef] = STATE(373),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2319),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [374] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(374),
    [sym_preproc_endregion] = STATE(374),
    [sym_preproc_line] = STATE(374),
    [sym_preproc_pragma] = STATE(374),
    [sym_preproc_nullable] = STATE(374),
    [sym_preproc_error] = STATE(374),
    [sym_preproc_define] = STATE(374),
    [sym_preproc_undef] = STATE(374),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_RBRACK] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [375] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3557),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2917),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3080),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6169),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3148),
    [sym_property_pattern_clause] = STATE(3429),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6703),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(375),
    [sym_preproc_endregion] = STATE(375),
    [sym_preproc_line] = STATE(375),
    [sym_preproc_pragma] = STATE(375),
    [sym_preproc_nullable] = STATE(375),
    [sym_preproc_error] = STATE(375),
    [sym_preproc_define] = STATE(375),
    [sym_preproc_undef] = STATE(375),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_GT] = ACTIONS(2331),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_GT_EQ] = ACTIONS(2333),
    [anon_sym_LT_EQ] = ACTIONS(2333),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [376] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(376),
    [sym_preproc_endregion] = STATE(376),
    [sym_preproc_line] = STATE(376),
    [sym_preproc_pragma] = STATE(376),
    [sym_preproc_nullable] = STATE(376),
    [sym_preproc_error] = STATE(376),
    [sym_preproc_define] = STATE(376),
    [sym_preproc_undef] = STATE(376),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [377] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2800),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4851),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6734),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(377),
    [sym_preproc_endregion] = STATE(377),
    [sym_preproc_line] = STATE(377),
    [sym_preproc_pragma] = STATE(377),
    [sym_preproc_nullable] = STATE(377),
    [sym_preproc_error] = STATE(377),
    [sym_preproc_define] = STATE(377),
    [sym_preproc_undef] = STATE(377),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2345),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [378] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8118),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(378),
    [sym_preproc_endregion] = STATE(378),
    [sym_preproc_line] = STATE(378),
    [sym_preproc_pragma] = STATE(378),
    [sym_preproc_nullable] = STATE(378),
    [sym_preproc_error] = STATE(378),
    [sym_preproc_define] = STATE(378),
    [sym_preproc_undef] = STATE(378),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [379] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3542),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2867),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4669),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3136),
    [sym_property_pattern_clause] = STATE(3193),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6687),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(379),
    [sym_preproc_endregion] = STATE(379),
    [sym_preproc_line] = STATE(379),
    [sym_preproc_pragma] = STATE(379),
    [sym_preproc_nullable] = STATE(379),
    [sym_preproc_error] = STATE(379),
    [sym_preproc_define] = STATE(379),
    [sym_preproc_undef] = STATE(379),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2355),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(2359),
    [anon_sym_LT_EQ] = ACTIONS(2359),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2367),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [380] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3435),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2824),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2945),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5596),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3092),
    [sym_property_pattern_clause] = STATE(3126),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6692),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(380),
    [sym_preproc_endregion] = STATE(380),
    [sym_preproc_line] = STATE(380),
    [sym_preproc_pragma] = STATE(380),
    [sym_preproc_nullable] = STATE(380),
    [sym_preproc_error] = STATE(380),
    [sym_preproc_define] = STATE(380),
    [sym_preproc_undef] = STATE(380),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2371),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2391),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [381] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6209),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6716),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(381),
    [sym_preproc_endregion] = STATE(381),
    [sym_preproc_line] = STATE(381),
    [sym_preproc_pragma] = STATE(381),
    [sym_preproc_nullable] = STATE(381),
    [sym_preproc_error] = STATE(381),
    [sym_preproc_define] = STATE(381),
    [sym_preproc_undef] = STATE(381),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [382] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5426),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6721),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(382),
    [sym_preproc_endregion] = STATE(382),
    [sym_preproc_line] = STATE(382),
    [sym_preproc_pragma] = STATE(382),
    [sym_preproc_nullable] = STATE(382),
    [sym_preproc_error] = STATE(382),
    [sym_preproc_define] = STATE(382),
    [sym_preproc_undef] = STATE(382),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2407),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2409),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2415),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [383] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3542),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2867),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3031),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4732),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3136),
    [sym_property_pattern_clause] = STATE(3193),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6687),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(383),
    [sym_preproc_endregion] = STATE(383),
    [sym_preproc_line] = STATE(383),
    [sym_preproc_pragma] = STATE(383),
    [sym_preproc_nullable] = STATE(383),
    [sym_preproc_error] = STATE(383),
    [sym_preproc_define] = STATE(383),
    [sym_preproc_undef] = STATE(383),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2355),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(2359),
    [anon_sym_LT_EQ] = ACTIONS(2359),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2367),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [384] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3542),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2867),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3031),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4709),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3136),
    [sym_property_pattern_clause] = STATE(3193),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6687),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(384),
    [sym_preproc_endregion] = STATE(384),
    [sym_preproc_line] = STATE(384),
    [sym_preproc_pragma] = STATE(384),
    [sym_preproc_nullable] = STATE(384),
    [sym_preproc_error] = STATE(384),
    [sym_preproc_define] = STATE(384),
    [sym_preproc_undef] = STATE(384),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2355),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(2359),
    [anon_sym_LT_EQ] = ACTIONS(2359),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2367),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [385] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3542),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2867),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3031),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4730),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3136),
    [sym_property_pattern_clause] = STATE(3193),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6687),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(385),
    [sym_preproc_endregion] = STATE(385),
    [sym_preproc_line] = STATE(385),
    [sym_preproc_pragma] = STATE(385),
    [sym_preproc_nullable] = STATE(385),
    [sym_preproc_error] = STATE(385),
    [sym_preproc_define] = STATE(385),
    [sym_preproc_undef] = STATE(385),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2355),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(2359),
    [anon_sym_LT_EQ] = ACTIONS(2359),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2367),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [386] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3217),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2802),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5335),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6724),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(386),
    [sym_preproc_endregion] = STATE(386),
    [sym_preproc_line] = STATE(386),
    [sym_preproc_pragma] = STATE(386),
    [sym_preproc_nullable] = STATE(386),
    [sym_preproc_error] = STATE(386),
    [sym_preproc_define] = STATE(386),
    [sym_preproc_undef] = STATE(386),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2417),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_GT] = ACTIONS(2421),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2427),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [387] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3217),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2802),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6724),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(387),
    [sym_preproc_endregion] = STATE(387),
    [sym_preproc_line] = STATE(387),
    [sym_preproc_pragma] = STATE(387),
    [sym_preproc_nullable] = STATE(387),
    [sym_preproc_error] = STATE(387),
    [sym_preproc_define] = STATE(387),
    [sym_preproc_undef] = STATE(387),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2417),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_GT] = ACTIONS(2421),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2427),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [388] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3217),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2802),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5397),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6724),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(388),
    [sym_preproc_endregion] = STATE(388),
    [sym_preproc_line] = STATE(388),
    [sym_preproc_pragma] = STATE(388),
    [sym_preproc_nullable] = STATE(388),
    [sym_preproc_error] = STATE(388),
    [sym_preproc_define] = STATE(388),
    [sym_preproc_undef] = STATE(388),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2417),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_GT] = ACTIONS(2421),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2427),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [389] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3435),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2824),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2969),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5598),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3092),
    [sym_property_pattern_clause] = STATE(3126),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6692),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(389),
    [sym_preproc_endregion] = STATE(389),
    [sym_preproc_line] = STATE(389),
    [sym_preproc_pragma] = STATE(389),
    [sym_preproc_nullable] = STATE(389),
    [sym_preproc_error] = STATE(389),
    [sym_preproc_define] = STATE(389),
    [sym_preproc_undef] = STATE(389),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2371),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2391),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [390] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3435),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2824),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2969),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5704),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3092),
    [sym_property_pattern_clause] = STATE(3126),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6692),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(390),
    [sym_preproc_endregion] = STATE(390),
    [sym_preproc_line] = STATE(390),
    [sym_preproc_pragma] = STATE(390),
    [sym_preproc_nullable] = STATE(390),
    [sym_preproc_error] = STATE(390),
    [sym_preproc_define] = STATE(390),
    [sym_preproc_undef] = STATE(390),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2371),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2391),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [391] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3435),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2824),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2969),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5771),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3092),
    [sym_property_pattern_clause] = STATE(3126),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6692),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(391),
    [sym_preproc_endregion] = STATE(391),
    [sym_preproc_line] = STATE(391),
    [sym_preproc_pragma] = STATE(391),
    [sym_preproc_nullable] = STATE(391),
    [sym_preproc_error] = STATE(391),
    [sym_preproc_define] = STATE(391),
    [sym_preproc_undef] = STATE(391),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2371),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2391),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [392] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3049),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6358),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6698),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(392),
    [sym_preproc_endregion] = STATE(392),
    [sym_preproc_line] = STATE(392),
    [sym_preproc_pragma] = STATE(392),
    [sym_preproc_nullable] = STATE(392),
    [sym_preproc_error] = STATE(392),
    [sym_preproc_define] = STATE(392),
    [sym_preproc_undef] = STATE(392),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(2431),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(2433),
    [anon_sym_LT_EQ] = ACTIONS(2433),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2437),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [393] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3049),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6698),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(393),
    [sym_preproc_endregion] = STATE(393),
    [sym_preproc_line] = STATE(393),
    [sym_preproc_pragma] = STATE(393),
    [sym_preproc_nullable] = STATE(393),
    [sym_preproc_error] = STATE(393),
    [sym_preproc_define] = STATE(393),
    [sym_preproc_undef] = STATE(393),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(2431),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(2433),
    [anon_sym_LT_EQ] = ACTIONS(2433),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2437),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [394] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3049),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6630),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6698),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(394),
    [sym_preproc_endregion] = STATE(394),
    [sym_preproc_line] = STATE(394),
    [sym_preproc_pragma] = STATE(394),
    [sym_preproc_nullable] = STATE(394),
    [sym_preproc_error] = STATE(394),
    [sym_preproc_define] = STATE(394),
    [sym_preproc_undef] = STATE(394),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(2431),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(2433),
    [anon_sym_LT_EQ] = ACTIONS(2433),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2437),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [395] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3032),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6250),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6716),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(395),
    [sym_preproc_endregion] = STATE(395),
    [sym_preproc_line] = STATE(395),
    [sym_preproc_pragma] = STATE(395),
    [sym_preproc_nullable] = STATE(395),
    [sym_preproc_error] = STATE(395),
    [sym_preproc_define] = STATE(395),
    [sym_preproc_undef] = STATE(395),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [396] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3032),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6716),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(396),
    [sym_preproc_endregion] = STATE(396),
    [sym_preproc_line] = STATE(396),
    [sym_preproc_pragma] = STATE(396),
    [sym_preproc_nullable] = STATE(396),
    [sym_preproc_error] = STATE(396),
    [sym_preproc_define] = STATE(396),
    [sym_preproc_undef] = STATE(396),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [397] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3032),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6261),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6716),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(397),
    [sym_preproc_endregion] = STATE(397),
    [sym_preproc_line] = STATE(397),
    [sym_preproc_pragma] = STATE(397),
    [sym_preproc_nullable] = STATE(397),
    [sym_preproc_error] = STATE(397),
    [sym_preproc_define] = STATE(397),
    [sym_preproc_undef] = STATE(397),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [398] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3549),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2889),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3060),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6520),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3151),
    [sym_property_pattern_clause] = STATE(3310),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6720),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(398),
    [sym_preproc_endregion] = STATE(398),
    [sym_preproc_line] = STATE(398),
    [sym_preproc_pragma] = STATE(398),
    [sym_preproc_nullable] = STATE(398),
    [sym_preproc_error] = STATE(398),
    [sym_preproc_define] = STATE(398),
    [sym_preproc_undef] = STATE(398),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2445),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [399] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8324),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(399),
    [sym_preproc_endregion] = STATE(399),
    [sym_preproc_line] = STATE(399),
    [sym_preproc_pragma] = STATE(399),
    [sym_preproc_nullable] = STATE(399),
    [sym_preproc_error] = STATE(399),
    [sym_preproc_define] = STATE(399),
    [sym_preproc_undef] = STATE(399),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(2281),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [400] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3058),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6479),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3133),
    [sym_property_pattern_clause] = STATE(3204),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6714),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(400),
    [sym_preproc_endregion] = STATE(400),
    [sym_preproc_line] = STATE(400),
    [sym_preproc_pragma] = STATE(400),
    [sym_preproc_nullable] = STATE(400),
    [sym_preproc_error] = STATE(400),
    [sym_preproc_define] = STATE(400),
    [sym_preproc_undef] = STATE(400),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2449),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(2451),
    [anon_sym_LT_EQ] = ACTIONS(2451),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2453),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [401] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3058),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3133),
    [sym_property_pattern_clause] = STATE(3204),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6714),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(401),
    [sym_preproc_endregion] = STATE(401),
    [sym_preproc_line] = STATE(401),
    [sym_preproc_pragma] = STATE(401),
    [sym_preproc_nullable] = STATE(401),
    [sym_preproc_error] = STATE(401),
    [sym_preproc_define] = STATE(401),
    [sym_preproc_undef] = STATE(401),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2449),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(2451),
    [anon_sym_LT_EQ] = ACTIONS(2451),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2453),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [402] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3058),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6433),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3133),
    [sym_property_pattern_clause] = STATE(3204),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6714),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(402),
    [sym_preproc_endregion] = STATE(402),
    [sym_preproc_line] = STATE(402),
    [sym_preproc_pragma] = STATE(402),
    [sym_preproc_nullable] = STATE(402),
    [sym_preproc_error] = STATE(402),
    [sym_preproc_define] = STATE(402),
    [sym_preproc_undef] = STATE(402),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2449),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(2451),
    [anon_sym_LT_EQ] = ACTIONS(2451),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2453),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [403] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6757),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6265),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(7965),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6454),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(6256),
    [sym_postfix_unary_expression] = STATE(6257),
    [sym_prefix_unary_expression] = STATE(6257),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(6256),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(6257),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(6256),
    [sym_member_access_expression] = STATE(4102),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(6257),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(6256),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(6256),
    [sym_typeof_expression] = STATE(6256),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(4102),
    [sym_literal] = STATE(6256),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2808),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(403),
    [sym_preproc_endregion] = STATE(403),
    [sym_preproc_line] = STATE(403),
    [sym_preproc_pragma] = STATE(403),
    [sym_preproc_nullable] = STATE(403),
    [sym_preproc_error] = STATE(403),
    [sym_preproc_define] = STATE(403),
    [sym_preproc_undef] = STATE(403),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_ref] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2467),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2469),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_not] = ACTIONS(2471),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [404] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3217),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2800),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5400),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6724),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(404),
    [sym_preproc_endregion] = STATE(404),
    [sym_preproc_line] = STATE(404),
    [sym_preproc_pragma] = STATE(404),
    [sym_preproc_nullable] = STATE(404),
    [sym_preproc_error] = STATE(404),
    [sym_preproc_define] = STATE(404),
    [sym_preproc_undef] = STATE(404),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2417),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_GT] = ACTIONS(2421),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2427),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [405] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3535),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2860),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3048),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4688),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3122),
    [sym_property_pattern_clause] = STATE(3201),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6691),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(405),
    [sym_preproc_endregion] = STATE(405),
    [sym_preproc_line] = STATE(405),
    [sym_preproc_pragma] = STATE(405),
    [sym_preproc_nullable] = STATE(405),
    [sym_preproc_error] = STATE(405),
    [sym_preproc_define] = STATE(405),
    [sym_preproc_undef] = STATE(405),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2479),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [406] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3250),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2820),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2987),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5503),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3064),
    [sym_property_pattern_clause] = STATE(3125),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6696),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(406),
    [sym_preproc_endregion] = STATE(406),
    [sym_preproc_line] = STATE(406),
    [sym_preproc_pragma] = STATE(406),
    [sym_preproc_nullable] = STATE(406),
    [sym_preproc_error] = STATE(406),
    [sym_preproc_define] = STATE(406),
    [sym_preproc_undef] = STATE(406),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [407] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6716),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(407),
    [sym_preproc_endregion] = STATE(407),
    [sym_preproc_line] = STATE(407),
    [sym_preproc_pragma] = STATE(407),
    [sym_preproc_nullable] = STATE(407),
    [sym_preproc_error] = STATE(407),
    [sym_preproc_define] = STATE(407),
    [sym_preproc_undef] = STATE(407),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2397),
    [anon_sym_GT] = ACTIONS(2397),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_GT_EQ] = ACTIONS(2399),
    [anon_sym_LT_EQ] = ACTIONS(2399),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2403),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [408] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6721),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(408),
    [sym_preproc_endregion] = STATE(408),
    [sym_preproc_line] = STATE(408),
    [sym_preproc_pragma] = STATE(408),
    [sym_preproc_nullable] = STATE(408),
    [sym_preproc_error] = STATE(408),
    [sym_preproc_define] = STATE(408),
    [sym_preproc_undef] = STATE(408),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2407),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2409),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2415),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [409] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3250),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2820),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2962),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(6087),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3064),
    [sym_property_pattern_clause] = STATE(3125),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6696),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(409),
    [sym_preproc_endregion] = STATE(409),
    [sym_preproc_line] = STATE(409),
    [sym_preproc_pragma] = STATE(409),
    [sym_preproc_nullable] = STATE(409),
    [sym_preproc_error] = STATE(409),
    [sym_preproc_define] = STATE(409),
    [sym_preproc_undef] = STATE(409),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [410] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3546),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2892),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3074),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6183),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3162),
    [sym_property_pattern_clause] = STATE(3396),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6690),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(410),
    [sym_preproc_endregion] = STATE(410),
    [sym_preproc_line] = STATE(410),
    [sym_preproc_pragma] = STATE(410),
    [sym_preproc_nullable] = STATE(410),
    [sym_preproc_error] = STATE(410),
    [sym_preproc_define] = STATE(410),
    [sym_preproc_undef] = STATE(410),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(2493),
    [anon_sym_LT_EQ] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2495),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [411] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3546),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2892),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3074),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3162),
    [sym_property_pattern_clause] = STATE(3396),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6690),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(411),
    [sym_preproc_endregion] = STATE(411),
    [sym_preproc_line] = STATE(411),
    [sym_preproc_pragma] = STATE(411),
    [sym_preproc_nullable] = STATE(411),
    [sym_preproc_error] = STATE(411),
    [sym_preproc_define] = STATE(411),
    [sym_preproc_undef] = STATE(411),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(2493),
    [anon_sym_LT_EQ] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2495),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [412] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3546),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2892),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3074),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6127),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3162),
    [sym_property_pattern_clause] = STATE(3396),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6690),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(412),
    [sym_preproc_endregion] = STATE(412),
    [sym_preproc_line] = STATE(412),
    [sym_preproc_pragma] = STATE(412),
    [sym_preproc_nullable] = STATE(412),
    [sym_preproc_error] = STATE(412),
    [sym_preproc_define] = STATE(412),
    [sym_preproc_undef] = STATE(412),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(2493),
    [anon_sym_LT_EQ] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2495),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [413] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5509),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6721),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(413),
    [sym_preproc_endregion] = STATE(413),
    [sym_preproc_line] = STATE(413),
    [sym_preproc_pragma] = STATE(413),
    [sym_preproc_nullable] = STATE(413),
    [sym_preproc_error] = STATE(413),
    [sym_preproc_define] = STATE(413),
    [sym_preproc_undef] = STATE(413),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2407),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2409),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2415),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [414] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6757),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2878),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6236),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8300),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6739),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(6176),
    [sym_postfix_unary_expression] = STATE(6185),
    [sym_prefix_unary_expression] = STATE(6185),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(6176),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(6185),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(6176),
    [sym_member_access_expression] = STATE(4136),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(6185),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(6176),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(6176),
    [sym_typeof_expression] = STATE(6176),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(4136),
    [sym_literal] = STATE(6176),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2808),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(414),
    [sym_preproc_endregion] = STATE(414),
    [sym_preproc_line] = STATE(414),
    [sym_preproc_pragma] = STATE(414),
    [sym_preproc_nullable] = STATE(414),
    [sym_preproc_error] = STATE(414),
    [sym_preproc_define] = STATE(414),
    [sym_preproc_undef] = STATE(414),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_ref] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2467),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2469),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2471),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [415] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2809),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6721),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(415),
    [sym_preproc_endregion] = STATE(415),
    [sym_preproc_line] = STATE(415),
    [sym_preproc_pragma] = STATE(415),
    [sym_preproc_nullable] = STATE(415),
    [sym_preproc_error] = STATE(415),
    [sym_preproc_define] = STATE(415),
    [sym_preproc_undef] = STATE(415),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2407),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2409),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2415),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [416] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3553),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2891),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3062),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5083),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3150),
    [sym_property_pattern_clause] = STATE(3483),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6730),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(416),
    [sym_preproc_endregion] = STATE(416),
    [sym_preproc_line] = STATE(416),
    [sym_preproc_pragma] = STATE(416),
    [sym_preproc_nullable] = STATE(416),
    [sym_preproc_error] = STATE(416),
    [sym_preproc_define] = STATE(416),
    [sym_preproc_undef] = STATE(416),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2503),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(2505),
    [anon_sym_LT_EQ] = ACTIONS(2505),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2507),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2513),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [417] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6757),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2878),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6236),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6739),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(6176),
    [sym_postfix_unary_expression] = STATE(6185),
    [sym_prefix_unary_expression] = STATE(6185),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(6176),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(6185),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(6176),
    [sym_member_access_expression] = STATE(4136),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(6185),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(6176),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(6176),
    [sym_typeof_expression] = STATE(6176),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(4136),
    [sym_literal] = STATE(6176),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2808),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(417),
    [sym_preproc_endregion] = STATE(417),
    [sym_preproc_line] = STATE(417),
    [sym_preproc_pragma] = STATE(417),
    [sym_preproc_nullable] = STATE(417),
    [sym_preproc_error] = STATE(417),
    [sym_preproc_define] = STATE(417),
    [sym_preproc_undef] = STATE(417),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_ref] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2467),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2469),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2471),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [418] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6502),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6689),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(418),
    [sym_preproc_endregion] = STATE(418),
    [sym_preproc_line] = STATE(418),
    [sym_preproc_pragma] = STATE(418),
    [sym_preproc_nullable] = STATE(418),
    [sym_preproc_error] = STATE(418),
    [sym_preproc_define] = STATE(418),
    [sym_preproc_undef] = STATE(418),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2519),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2521),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [419] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6757),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2878),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6236),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8372),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6739),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(6176),
    [sym_postfix_unary_expression] = STATE(6185),
    [sym_prefix_unary_expression] = STATE(6185),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(6176),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(6185),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(6176),
    [sym_member_access_expression] = STATE(4136),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(6185),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(6176),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(6176),
    [sym_typeof_expression] = STATE(6176),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(4136),
    [sym_literal] = STATE(6176),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2808),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(419),
    [sym_preproc_endregion] = STATE(419),
    [sym_preproc_line] = STATE(419),
    [sym_preproc_pragma] = STATE(419),
    [sym_preproc_nullable] = STATE(419),
    [sym_preproc_error] = STATE(419),
    [sym_preproc_define] = STATE(419),
    [sym_preproc_undef] = STATE(419),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2457),
    [anon_sym_ref] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2461),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2467),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2469),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2471),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [420] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6689),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(420),
    [sym_preproc_endregion] = STATE(420),
    [sym_preproc_line] = STATE(420),
    [sym_preproc_pragma] = STATE(420),
    [sym_preproc_nullable] = STATE(420),
    [sym_preproc_error] = STATE(420),
    [sym_preproc_define] = STATE(420),
    [sym_preproc_undef] = STATE(420),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2519),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2521),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [421] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6628),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6689),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(421),
    [sym_preproc_endregion] = STATE(421),
    [sym_preproc_line] = STATE(421),
    [sym_preproc_pragma] = STATE(421),
    [sym_preproc_nullable] = STATE(421),
    [sym_preproc_error] = STATE(421),
    [sym_preproc_define] = STATE(421),
    [sym_preproc_undef] = STATE(421),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2519),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2521),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [422] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3548),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2903),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3066),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5034),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3153),
    [sym_property_pattern_clause] = STATE(3228),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6733),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(422),
    [sym_preproc_endregion] = STATE(422),
    [sym_preproc_line] = STATE(422),
    [sym_preproc_pragma] = STATE(422),
    [sym_preproc_nullable] = STATE(422),
    [sym_preproc_error] = STATE(422),
    [sym_preproc_define] = STATE(422),
    [sym_preproc_undef] = STATE(422),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_GT] = ACTIONS(2525),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2529),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2531),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [423] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3542),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2867),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4688),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3136),
    [sym_property_pattern_clause] = STATE(3193),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6687),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(423),
    [sym_preproc_endregion] = STATE(423),
    [sym_preproc_line] = STATE(423),
    [sym_preproc_pragma] = STATE(423),
    [sym_preproc_nullable] = STATE(423),
    [sym_preproc_error] = STATE(423),
    [sym_preproc_define] = STATE(423),
    [sym_preproc_undef] = STATE(423),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2355),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2357),
    [anon_sym_GT] = ACTIONS(2357),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(2359),
    [anon_sym_LT_EQ] = ACTIONS(2359),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2367),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [424] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8251),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(424),
    [sym_preproc_endregion] = STATE(424),
    [sym_preproc_line] = STATE(424),
    [sym_preproc_pragma] = STATE(424),
    [sym_preproc_nullable] = STATE(424),
    [sym_preproc_error] = STATE(424),
    [sym_preproc_define] = STATE(424),
    [sym_preproc_undef] = STATE(424),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [425] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3435),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2824),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2984),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5503),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3092),
    [sym_property_pattern_clause] = STATE(3126),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6692),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(425),
    [sym_preproc_endregion] = STATE(425),
    [sym_preproc_line] = STATE(425),
    [sym_preproc_pragma] = STATE(425),
    [sym_preproc_nullable] = STATE(425),
    [sym_preproc_error] = STATE(425),
    [sym_preproc_define] = STATE(425),
    [sym_preproc_undef] = STATE(425),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2371),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_GT] = ACTIONS(2379),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(2381),
    [anon_sym_LT_EQ] = ACTIONS(2381),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2391),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [426] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3558),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2915),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3078),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6239),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3144),
    [sym_property_pattern_clause] = STATE(3420),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6701),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(426),
    [sym_preproc_endregion] = STATE(426),
    [sym_preproc_line] = STATE(426),
    [sym_preproc_pragma] = STATE(426),
    [sym_preproc_nullable] = STATE(426),
    [sym_preproc_error] = STATE(426),
    [sym_preproc_define] = STATE(426),
    [sym_preproc_undef] = STATE(426),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_GT] = ACTIONS(2535),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2539),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [427] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3558),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2915),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3078),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3144),
    [sym_property_pattern_clause] = STATE(3420),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6701),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(427),
    [sym_preproc_endregion] = STATE(427),
    [sym_preproc_line] = STATE(427),
    [sym_preproc_pragma] = STATE(427),
    [sym_preproc_nullable] = STATE(427),
    [sym_preproc_error] = STATE(427),
    [sym_preproc_define] = STATE(427),
    [sym_preproc_undef] = STATE(427),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_GT] = ACTIONS(2535),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2539),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [428] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3558),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2915),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3078),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6281),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3144),
    [sym_property_pattern_clause] = STATE(3420),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6701),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(428),
    [sym_preproc_endregion] = STATE(428),
    [sym_preproc_line] = STATE(428),
    [sym_preproc_pragma] = STATE(428),
    [sym_preproc_nullable] = STATE(428),
    [sym_preproc_error] = STATE(428),
    [sym_preproc_define] = STATE(428),
    [sym_preproc_undef] = STATE(428),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_GT] = ACTIONS(2535),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2539),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [429] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(429),
    [sym_preproc_endregion] = STATE(429),
    [sym_preproc_line] = STATE(429),
    [sym_preproc_pragma] = STATE(429),
    [sym_preproc_nullable] = STATE(429),
    [sym_preproc_error] = STATE(429),
    [sym_preproc_define] = STATE(429),
    [sym_preproc_undef] = STATE(429),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [430] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6749),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2859),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6267),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8257),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6736),
    [sym_property_pattern_clause] = STATE(6769),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5084),
    [sym_postfix_unary_expression] = STATE(5091),
    [sym_prefix_unary_expression] = STATE(5091),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5084),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5091),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5084),
    [sym_member_access_expression] = STATE(3798),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5091),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5084),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5084),
    [sym_typeof_expression] = STATE(5084),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3798),
    [sym_literal] = STATE(5084),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(430),
    [sym_preproc_endregion] = STATE(430),
    [sym_preproc_line] = STATE(430),
    [sym_preproc_pragma] = STATE(430),
    [sym_preproc_nullable] = STATE(430),
    [sym_preproc_error] = STATE(430),
    [sym_preproc_define] = STATE(430),
    [sym_preproc_undef] = STATE(430),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1987),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1989),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [431] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2809),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(431),
    [sym_preproc_endregion] = STATE(431),
    [sym_preproc_line] = STATE(431),
    [sym_preproc_pragma] = STATE(431),
    [sym_preproc_nullable] = STATE(431),
    [sym_preproc_error] = STATE(431),
    [sym_preproc_define] = STATE(431),
    [sym_preproc_undef] = STATE(431),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2543),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [432] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3549),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2889),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3063),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6523),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3151),
    [sym_property_pattern_clause] = STATE(3310),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6720),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(432),
    [sym_preproc_endregion] = STATE(432),
    [sym_preproc_line] = STATE(432),
    [sym_preproc_pragma] = STATE(432),
    [sym_preproc_nullable] = STATE(432),
    [sym_preproc_error] = STATE(432),
    [sym_preproc_define] = STATE(432),
    [sym_preproc_undef] = STATE(432),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2445),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [433] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3549),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2889),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3063),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3151),
    [sym_property_pattern_clause] = STATE(3310),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6720),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(433),
    [sym_preproc_endregion] = STATE(433),
    [sym_preproc_line] = STATE(433),
    [sym_preproc_pragma] = STATE(433),
    [sym_preproc_nullable] = STATE(433),
    [sym_preproc_error] = STATE(433),
    [sym_preproc_define] = STATE(433),
    [sym_preproc_undef] = STATE(433),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2445),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [434] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3549),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2889),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3063),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6511),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3151),
    [sym_property_pattern_clause] = STATE(3310),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6720),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(434),
    [sym_preproc_endregion] = STATE(434),
    [sym_preproc_line] = STATE(434),
    [sym_preproc_pragma] = STATE(434),
    [sym_preproc_nullable] = STATE(434),
    [sym_preproc_error] = STATE(434),
    [sym_preproc_define] = STATE(434),
    [sym_preproc_undef] = STATE(434),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2445),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [435] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3546),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2892),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3073),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6177),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3162),
    [sym_property_pattern_clause] = STATE(3396),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6690),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(435),
    [sym_preproc_endregion] = STATE(435),
    [sym_preproc_line] = STATE(435),
    [sym_preproc_pragma] = STATE(435),
    [sym_preproc_nullable] = STATE(435),
    [sym_preproc_error] = STATE(435),
    [sym_preproc_define] = STATE(435),
    [sym_preproc_undef] = STATE(435),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(2493),
    [anon_sym_LT_EQ] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2495),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [436] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2816),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5720),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6721),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(436),
    [sym_preproc_endregion] = STATE(436),
    [sym_preproc_line] = STATE(436),
    [sym_preproc_pragma] = STATE(436),
    [sym_preproc_nullable] = STATE(436),
    [sym_preproc_error] = STATE(436),
    [sym_preproc_define] = STATE(436),
    [sym_preproc_undef] = STATE(436),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2405),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2407),
    [anon_sym_GT] = ACTIONS(2407),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(2409),
    [anon_sym_LT_EQ] = ACTIONS(2409),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2415),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [437] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3557),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2917),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3080),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6289),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3148),
    [sym_property_pattern_clause] = STATE(3429),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6703),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(437),
    [sym_preproc_endregion] = STATE(437),
    [sym_preproc_line] = STATE(437),
    [sym_preproc_pragma] = STATE(437),
    [sym_preproc_nullable] = STATE(437),
    [sym_preproc_error] = STATE(437),
    [sym_preproc_define] = STATE(437),
    [sym_preproc_undef] = STATE(437),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_GT] = ACTIONS(2331),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_GT_EQ] = ACTIONS(2333),
    [anon_sym_LT_EQ] = ACTIONS(2333),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [438] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3557),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2917),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3080),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3148),
    [sym_property_pattern_clause] = STATE(3429),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6703),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(438),
    [sym_preproc_endregion] = STATE(438),
    [sym_preproc_line] = STATE(438),
    [sym_preproc_pragma] = STATE(438),
    [sym_preproc_nullable] = STATE(438),
    [sym_preproc_error] = STATE(438),
    [sym_preproc_define] = STATE(438),
    [sym_preproc_undef] = STATE(438),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_GT] = ACTIONS(2331),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_GT_EQ] = ACTIONS(2333),
    [anon_sym_LT_EQ] = ACTIONS(2333),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [439] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3539),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3054),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6700),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(439),
    [sym_preproc_endregion] = STATE(439),
    [sym_preproc_line] = STATE(439),
    [sym_preproc_pragma] = STATE(439),
    [sym_preproc_nullable] = STATE(439),
    [sym_preproc_error] = STATE(439),
    [sym_preproc_define] = STATE(439),
    [sym_preproc_undef] = STATE(439),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [440] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3553),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2891),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5066),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3150),
    [sym_property_pattern_clause] = STATE(3483),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6730),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(440),
    [sym_preproc_endregion] = STATE(440),
    [sym_preproc_line] = STATE(440),
    [sym_preproc_pragma] = STATE(440),
    [sym_preproc_nullable] = STATE(440),
    [sym_preproc_error] = STATE(440),
    [sym_preproc_define] = STATE(440),
    [sym_preproc_undef] = STATE(440),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2503),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(2505),
    [anon_sym_LT_EQ] = ACTIONS(2505),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2507),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2513),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [441] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3541),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3034),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(441),
    [sym_preproc_endregion] = STATE(441),
    [sym_preproc_line] = STATE(441),
    [sym_preproc_pragma] = STATE(441),
    [sym_preproc_nullable] = STATE(441),
    [sym_preproc_error] = STATE(441),
    [sym_preproc_define] = STATE(441),
    [sym_preproc_undef] = STATE(441),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [442] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3553),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2891),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5040),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3150),
    [sym_property_pattern_clause] = STATE(3483),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6730),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(442),
    [sym_preproc_endregion] = STATE(442),
    [sym_preproc_line] = STATE(442),
    [sym_preproc_pragma] = STATE(442),
    [sym_preproc_nullable] = STATE(442),
    [sym_preproc_error] = STATE(442),
    [sym_preproc_define] = STATE(442),
    [sym_preproc_undef] = STATE(442),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2503),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(2505),
    [anon_sym_LT_EQ] = ACTIONS(2505),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2507),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2513),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [443] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3553),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2891),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5131),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3150),
    [sym_property_pattern_clause] = STATE(3483),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6730),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(443),
    [sym_preproc_endregion] = STATE(443),
    [sym_preproc_line] = STATE(443),
    [sym_preproc_pragma] = STATE(443),
    [sym_preproc_nullable] = STATE(443),
    [sym_preproc_error] = STATE(443),
    [sym_preproc_define] = STATE(443),
    [sym_preproc_undef] = STATE(443),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2503),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(2505),
    [anon_sym_LT_EQ] = ACTIONS(2505),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2507),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2513),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [444] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3554),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2912),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3071),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6561),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3158),
    [sym_property_pattern_clause] = STATE(3370),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6738),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(444),
    [sym_preproc_endregion] = STATE(444),
    [sym_preproc_line] = STATE(444),
    [sym_preproc_pragma] = STATE(444),
    [sym_preproc_nullable] = STATE(444),
    [sym_preproc_error] = STATE(444),
    [sym_preproc_define] = STATE(444),
    [sym_preproc_undef] = STATE(444),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2559),
    [anon_sym_GT] = ACTIONS(2559),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(2561),
    [anon_sym_LT_EQ] = ACTIONS(2561),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [445] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3554),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2912),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3071),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3158),
    [sym_property_pattern_clause] = STATE(3370),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6738),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(445),
    [sym_preproc_endregion] = STATE(445),
    [sym_preproc_line] = STATE(445),
    [sym_preproc_pragma] = STATE(445),
    [sym_preproc_nullable] = STATE(445),
    [sym_preproc_error] = STATE(445),
    [sym_preproc_define] = STATE(445),
    [sym_preproc_undef] = STATE(445),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2559),
    [anon_sym_GT] = ACTIONS(2559),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(2561),
    [anon_sym_LT_EQ] = ACTIONS(2561),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [446] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3554),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2912),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3071),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6377),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3158),
    [sym_property_pattern_clause] = STATE(3370),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6738),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(446),
    [sym_preproc_endregion] = STATE(446),
    [sym_preproc_line] = STATE(446),
    [sym_preproc_pragma] = STATE(446),
    [sym_preproc_nullable] = STATE(446),
    [sym_preproc_error] = STATE(446),
    [sym_preproc_define] = STATE(446),
    [sym_preproc_undef] = STATE(446),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2559),
    [anon_sym_GT] = ACTIONS(2559),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(2561),
    [anon_sym_LT_EQ] = ACTIONS(2561),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [447] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2805),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6734),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(447),
    [sym_preproc_endregion] = STATE(447),
    [sym_preproc_line] = STATE(447),
    [sym_preproc_pragma] = STATE(447),
    [sym_preproc_nullable] = STATE(447),
    [sym_preproc_error] = STATE(447),
    [sym_preproc_define] = STATE(447),
    [sym_preproc_undef] = STATE(447),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2345),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [448] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8341),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(448),
    [sym_preproc_endregion] = STATE(448),
    [sym_preproc_line] = STATE(448),
    [sym_preproc_pragma] = STATE(448),
    [sym_preproc_nullable] = STATE(448),
    [sym_preproc_error] = STATE(448),
    [sym_preproc_define] = STATE(448),
    [sym_preproc_undef] = STATE(448),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [449] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3536),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3055),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5992),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6706),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(449),
    [sym_preproc_endregion] = STATE(449),
    [sym_preproc_line] = STATE(449),
    [sym_preproc_pragma] = STATE(449),
    [sym_preproc_nullable] = STATE(449),
    [sym_preproc_error] = STATE(449),
    [sym_preproc_define] = STATE(449),
    [sym_preproc_undef] = STATE(449),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2565),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2571),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [450] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3536),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3055),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6706),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(450),
    [sym_preproc_endregion] = STATE(450),
    [sym_preproc_line] = STATE(450),
    [sym_preproc_pragma] = STATE(450),
    [sym_preproc_nullable] = STATE(450),
    [sym_preproc_error] = STATE(450),
    [sym_preproc_define] = STATE(450),
    [sym_preproc_undef] = STATE(450),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2565),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2571),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [451] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3536),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3055),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5894),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6706),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(451),
    [sym_preproc_endregion] = STATE(451),
    [sym_preproc_line] = STATE(451),
    [sym_preproc_pragma] = STATE(451),
    [sym_preproc_nullable] = STATE(451),
    [sym_preproc_error] = STATE(451),
    [sym_preproc_define] = STATE(451),
    [sym_preproc_undef] = STATE(451),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2565),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2571),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [452] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3535),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2860),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3040),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4877),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3122),
    [sym_property_pattern_clause] = STATE(3201),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6691),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(452),
    [sym_preproc_endregion] = STATE(452),
    [sym_preproc_line] = STATE(452),
    [sym_preproc_pragma] = STATE(452),
    [sym_preproc_nullable] = STATE(452),
    [sym_preproc_error] = STATE(452),
    [sym_preproc_define] = STATE(452),
    [sym_preproc_undef] = STATE(452),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2479),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [453] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3535),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2860),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3040),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4709),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3122),
    [sym_property_pattern_clause] = STATE(3201),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6691),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(453),
    [sym_preproc_endregion] = STATE(453),
    [sym_preproc_line] = STATE(453),
    [sym_preproc_pragma] = STATE(453),
    [sym_preproc_nullable] = STATE(453),
    [sym_preproc_error] = STATE(453),
    [sym_preproc_define] = STATE(453),
    [sym_preproc_undef] = STATE(453),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2479),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [454] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3535),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2860),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3040),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4883),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3122),
    [sym_property_pattern_clause] = STATE(3201),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6691),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(454),
    [sym_preproc_endregion] = STATE(454),
    [sym_preproc_line] = STATE(454),
    [sym_preproc_pragma] = STATE(454),
    [sym_preproc_nullable] = STATE(454),
    [sym_preproc_error] = STATE(454),
    [sym_preproc_define] = STATE(454),
    [sym_preproc_undef] = STATE(454),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2479),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [455] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3556),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2896),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3072),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6568),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3163),
    [sym_property_pattern_clause] = STATE(3377),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6685),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(455),
    [sym_preproc_endregion] = STATE(455),
    [sym_preproc_line] = STATE(455),
    [sym_preproc_pragma] = STATE(455),
    [sym_preproc_nullable] = STATE(455),
    [sym_preproc_error] = STATE(455),
    [sym_preproc_define] = STATE(455),
    [sym_preproc_undef] = STATE(455),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2575),
    [anon_sym_GT] = ACTIONS(2575),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2577),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [456] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3556),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2896),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3072),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3163),
    [sym_property_pattern_clause] = STATE(3377),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6685),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(456),
    [sym_preproc_endregion] = STATE(456),
    [sym_preproc_line] = STATE(456),
    [sym_preproc_pragma] = STATE(456),
    [sym_preproc_nullable] = STATE(456),
    [sym_preproc_error] = STATE(456),
    [sym_preproc_define] = STATE(456),
    [sym_preproc_undef] = STATE(456),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2575),
    [anon_sym_GT] = ACTIONS(2575),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2577),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [457] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3556),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2896),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3072),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6450),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3163),
    [sym_property_pattern_clause] = STATE(3377),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6685),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(457),
    [sym_preproc_endregion] = STATE(457),
    [sym_preproc_line] = STATE(457),
    [sym_preproc_pragma] = STATE(457),
    [sym_preproc_nullable] = STATE(457),
    [sym_preproc_error] = STATE(457),
    [sym_preproc_define] = STATE(457),
    [sym_preproc_undef] = STATE(457),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2575),
    [anon_sym_GT] = ACTIONS(2575),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2577),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [458] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3553),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2891),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5001),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3150),
    [sym_property_pattern_clause] = STATE(3483),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6730),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(458),
    [sym_preproc_endregion] = STATE(458),
    [sym_preproc_line] = STATE(458),
    [sym_preproc_pragma] = STATE(458),
    [sym_preproc_nullable] = STATE(458),
    [sym_preproc_error] = STATE(458),
    [sym_preproc_define] = STATE(458),
    [sym_preproc_undef] = STATE(458),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2501),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2503),
    [anon_sym_GT] = ACTIONS(2503),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(2505),
    [anon_sym_LT_EQ] = ACTIONS(2505),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2507),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2513),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [459] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2802),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4894),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6734),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(459),
    [sym_preproc_endregion] = STATE(459),
    [sym_preproc_line] = STATE(459),
    [sym_preproc_pragma] = STATE(459),
    [sym_preproc_nullable] = STATE(459),
    [sym_preproc_error] = STATE(459),
    [sym_preproc_define] = STATE(459),
    [sym_preproc_undef] = STATE(459),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2345),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [460] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2802),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6734),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(460),
    [sym_preproc_endregion] = STATE(460),
    [sym_preproc_line] = STATE(460),
    [sym_preproc_pragma] = STATE(460),
    [sym_preproc_nullable] = STATE(460),
    [sym_preproc_error] = STATE(460),
    [sym_preproc_define] = STATE(460),
    [sym_preproc_undef] = STATE(460),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2345),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [461] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3008),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2802),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4799),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6734),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(461),
    [sym_preproc_endregion] = STATE(461),
    [sym_preproc_line] = STATE(461),
    [sym_preproc_pragma] = STATE(461),
    [sym_preproc_nullable] = STATE(461),
    [sym_preproc_error] = STATE(461),
    [sym_preproc_define] = STATE(461),
    [sym_preproc_undef] = STATE(461),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2345),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(2349),
    [anon_sym_LT_EQ] = ACTIONS(2349),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2351),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [462] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3554),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2912),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3067),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6558),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3158),
    [sym_property_pattern_clause] = STATE(3370),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6738),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(462),
    [sym_preproc_endregion] = STATE(462),
    [sym_preproc_line] = STATE(462),
    [sym_preproc_pragma] = STATE(462),
    [sym_preproc_nullable] = STATE(462),
    [sym_preproc_error] = STATE(462),
    [sym_preproc_define] = STATE(462),
    [sym_preproc_undef] = STATE(462),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2559),
    [anon_sym_GT] = ACTIONS(2559),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(2561),
    [anon_sym_LT_EQ] = ACTIONS(2561),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [463] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3537),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3038),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6154),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6739),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(463),
    [sym_preproc_endregion] = STATE(463),
    [sym_preproc_line] = STATE(463),
    [sym_preproc_pragma] = STATE(463),
    [sym_preproc_nullable] = STATE(463),
    [sym_preproc_error] = STATE(463),
    [sym_preproc_define] = STATE(463),
    [sym_preproc_undef] = STATE(463),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2581),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [464] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3537),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3038),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6739),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(464),
    [sym_preproc_endregion] = STATE(464),
    [sym_preproc_line] = STATE(464),
    [sym_preproc_pragma] = STATE(464),
    [sym_preproc_nullable] = STATE(464),
    [sym_preproc_error] = STATE(464),
    [sym_preproc_define] = STATE(464),
    [sym_preproc_undef] = STATE(464),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2581),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [465] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3537),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3038),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6286),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6739),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(465),
    [sym_preproc_endregion] = STATE(465),
    [sym_preproc_line] = STATE(465),
    [sym_preproc_pragma] = STATE(465),
    [sym_preproc_nullable] = STATE(465),
    [sym_preproc_error] = STATE(465),
    [sym_preproc_define] = STATE(465),
    [sym_preproc_undef] = STATE(465),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2581),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [466] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3217),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2760),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2805),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(2843),
    [sym_property_pattern_clause] = STATE(2879),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6724),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(466),
    [sym_preproc_endregion] = STATE(466),
    [sym_preproc_line] = STATE(466),
    [sym_preproc_pragma] = STATE(466),
    [sym_preproc_nullable] = STATE(466),
    [sym_preproc_error] = STATE(466),
    [sym_preproc_define] = STATE(466),
    [sym_preproc_undef] = STATE(466),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2417),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2421),
    [anon_sym_GT] = ACTIONS(2421),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(2423),
    [anon_sym_LT_EQ] = ACTIONS(2423),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2427),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [467] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3250),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2820),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2953),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5951),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3064),
    [sym_property_pattern_clause] = STATE(3125),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6696),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(467),
    [sym_preproc_endregion] = STATE(467),
    [sym_preproc_line] = STATE(467),
    [sym_preproc_pragma] = STATE(467),
    [sym_preproc_nullable] = STATE(467),
    [sym_preproc_error] = STATE(467),
    [sym_preproc_define] = STATE(467),
    [sym_preproc_undef] = STATE(467),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [468] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3250),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2820),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2953),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5704),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3064),
    [sym_property_pattern_clause] = STATE(3125),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6696),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(468),
    [sym_preproc_endregion] = STATE(468),
    [sym_preproc_line] = STATE(468),
    [sym_preproc_pragma] = STATE(468),
    [sym_preproc_nullable] = STATE(468),
    [sym_preproc_error] = STATE(468),
    [sym_preproc_define] = STATE(468),
    [sym_preproc_undef] = STATE(468),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [469] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3250),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2820),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(2953),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_pattern] = STATE(5978),
    [sym_constant_pattern] = STATE(5775),
    [sym_parenthesized_pattern] = STATE(5775),
    [sym_var_pattern] = STATE(5775),
    [sym_type_pattern] = STATE(5775),
    [sym_list_pattern] = STATE(5775),
    [sym_recursive_pattern] = STATE(5775),
    [sym_positional_pattern_clause] = STATE(3064),
    [sym_property_pattern_clause] = STATE(3125),
    [sym_relational_pattern] = STATE(5775),
    [sym_negated_pattern] = STATE(5775),
    [sym_and_pattern] = STATE(5775),
    [sym_or_pattern] = STATE(5775),
    [sym_declaration_pattern] = STATE(5775),
    [sym_expression] = STATE(6696),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5416),
    [sym_postfix_unary_expression] = STATE(5417),
    [sym_prefix_unary_expression] = STATE(5417),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5416),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5417),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5416),
    [sym_member_access_expression] = STATE(3945),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5417),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5416),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5416),
    [sym_typeof_expression] = STATE(5416),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3945),
    [sym_literal] = STATE(5416),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(469),
    [sym_preproc_endregion] = STATE(469),
    [sym_preproc_line] = STATE(469),
    [sym_preproc_pragma] = STATE(469),
    [sym_preproc_nullable] = STATE(469),
    [sym_preproc_error] = STATE(469),
    [sym_preproc_define] = STATE(469),
    [sym_preproc_undef] = STATE(469),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(2375),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_GT] = ACTIONS(2483),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(2485),
    [anon_sym_LT_EQ] = ACTIONS(2485),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2385),
    [sym_predefined_type] = ACTIONS(2387),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2389),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2487),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [470] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3541),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3028),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6155),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(470),
    [sym_preproc_endregion] = STATE(470),
    [sym_preproc_line] = STATE(470),
    [sym_preproc_pragma] = STATE(470),
    [sym_preproc_nullable] = STATE(470),
    [sym_preproc_error] = STATE(470),
    [sym_preproc_define] = STATE(470),
    [sym_preproc_undef] = STATE(470),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [471] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3541),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3028),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(471),
    [sym_preproc_endregion] = STATE(471),
    [sym_preproc_line] = STATE(471),
    [sym_preproc_pragma] = STATE(471),
    [sym_preproc_nullable] = STATE(471),
    [sym_preproc_error] = STATE(471),
    [sym_preproc_define] = STATE(471),
    [sym_preproc_undef] = STATE(471),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [472] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3556),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2896),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6565),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3163),
    [sym_property_pattern_clause] = STATE(3377),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6685),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(472),
    [sym_preproc_endregion] = STATE(472),
    [sym_preproc_line] = STATE(472),
    [sym_preproc_pragma] = STATE(472),
    [sym_preproc_nullable] = STATE(472),
    [sym_preproc_error] = STATE(472),
    [sym_preproc_define] = STATE(472),
    [sym_preproc_undef] = STATE(472),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2575),
    [anon_sym_GT] = ACTIONS(2575),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2577),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [473] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3541),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3028),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6197),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6694),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(473),
    [sym_preproc_endregion] = STATE(473),
    [sym_preproc_line] = STATE(473),
    [sym_preproc_pragma] = STATE(473),
    [sym_preproc_nullable] = STATE(473),
    [sym_preproc_error] = STATE(473),
    [sym_preproc_define] = STATE(473),
    [sym_preproc_undef] = STATE(473),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2553),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_GT_EQ] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1985),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2555),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [474] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3558),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2915),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6291),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3144),
    [sym_property_pattern_clause] = STATE(3420),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6701),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(474),
    [sym_preproc_endregion] = STATE(474),
    [sym_preproc_line] = STATE(474),
    [sym_preproc_pragma] = STATE(474),
    [sym_preproc_nullable] = STATE(474),
    [sym_preproc_error] = STATE(474),
    [sym_preproc_define] = STATE(474),
    [sym_preproc_undef] = STATE(474),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_GT] = ACTIONS(2535),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2539),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [475] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3548),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2903),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5011),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3153),
    [sym_property_pattern_clause] = STATE(3228),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6733),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(475),
    [sym_preproc_endregion] = STATE(475),
    [sym_preproc_line] = STATE(475),
    [sym_preproc_pragma] = STATE(475),
    [sym_preproc_nullable] = STATE(475),
    [sym_preproc_error] = STATE(475),
    [sym_preproc_define] = STATE(475),
    [sym_preproc_undef] = STATE(475),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_GT] = ACTIONS(2525),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2529),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2531),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [476] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3548),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2903),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5040),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3153),
    [sym_property_pattern_clause] = STATE(3228),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6733),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(476),
    [sym_preproc_endregion] = STATE(476),
    [sym_preproc_line] = STATE(476),
    [sym_preproc_pragma] = STATE(476),
    [sym_preproc_nullable] = STATE(476),
    [sym_preproc_error] = STATE(476),
    [sym_preproc_define] = STATE(476),
    [sym_preproc_undef] = STATE(476),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_GT] = ACTIONS(2525),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2529),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2531),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [477] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3548),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2903),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4992),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3153),
    [sym_property_pattern_clause] = STATE(3228),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6733),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(477),
    [sym_preproc_endregion] = STATE(477),
    [sym_preproc_line] = STATE(477),
    [sym_preproc_pragma] = STATE(477),
    [sym_preproc_nullable] = STATE(477),
    [sym_preproc_error] = STATE(477),
    [sym_preproc_define] = STATE(477),
    [sym_preproc_undef] = STATE(477),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_GT] = ACTIONS(2525),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2529),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2531),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [478] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3539),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6041),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6700),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(478),
    [sym_preproc_endregion] = STATE(478),
    [sym_preproc_line] = STATE(478),
    [sym_preproc_pragma] = STATE(478),
    [sym_preproc_nullable] = STATE(478),
    [sym_preproc_error] = STATE(478),
    [sym_preproc_define] = STATE(478),
    [sym_preproc_undef] = STATE(478),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [479] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3539),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4025),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6700),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(479),
    [sym_preproc_endregion] = STATE(479),
    [sym_preproc_line] = STATE(479),
    [sym_preproc_pragma] = STATE(479),
    [sym_preproc_nullable] = STATE(479),
    [sym_preproc_error] = STATE(479),
    [sym_preproc_define] = STATE(479),
    [sym_preproc_undef] = STATE(479),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [480] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3537),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2847),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3056),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3097),
    [sym_property_pattern_clause] = STATE(3159),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6739),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(480),
    [sym_preproc_endregion] = STATE(480),
    [sym_preproc_line] = STATE(480),
    [sym_preproc_pragma] = STATE(480),
    [sym_preproc_nullable] = STATE(480),
    [sym_preproc_error] = STATE(480),
    [sym_preproc_define] = STATE(480),
    [sym_preproc_undef] = STATE(480),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2581),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_GT] = ACTIONS(2463),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(2465),
    [anon_sym_LT_EQ] = ACTIONS(2465),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [481] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3539),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6061),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6700),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(481),
    [sym_preproc_endregion] = STATE(481),
    [sym_preproc_line] = STATE(481),
    [sym_preproc_pragma] = STATE(481),
    [sym_preproc_nullable] = STATE(481),
    [sym_preproc_error] = STATE(481),
    [sym_preproc_define] = STATE(481),
    [sym_preproc_undef] = STATE(481),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2545),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_GT] = ACTIONS(2547),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_GT_EQ] = ACTIONS(2549),
    [anon_sym_LT_EQ] = ACTIONS(2549),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2401),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2551),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [482] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3557),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2917),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3059),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6211),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3148),
    [sym_property_pattern_clause] = STATE(3429),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6703),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(482),
    [sym_preproc_endregion] = STATE(482),
    [sym_preproc_line] = STATE(482),
    [sym_preproc_pragma] = STATE(482),
    [sym_preproc_nullable] = STATE(482),
    [sym_preproc_error] = STATE(482),
    [sym_preproc_define] = STATE(482),
    [sym_preproc_undef] = STATE(482),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_GT] = ACTIONS(2331),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_GT_EQ] = ACTIONS(2333),
    [anon_sym_LT_EQ] = ACTIONS(2333),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [483] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3036),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3133),
    [sym_property_pattern_clause] = STATE(3204),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6714),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(483),
    [sym_preproc_endregion] = STATE(483),
    [sym_preproc_line] = STATE(483),
    [sym_preproc_pragma] = STATE(483),
    [sym_preproc_nullable] = STATE(483),
    [sym_preproc_error] = STATE(483),
    [sym_preproc_define] = STATE(483),
    [sym_preproc_undef] = STATE(483),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2449),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(2451),
    [anon_sym_LT_EQ] = ACTIONS(2451),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2453),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [484] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3536),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2855),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3107),
    [sym_property_pattern_clause] = STATE(3172),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6706),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(484),
    [sym_preproc_endregion] = STATE(484),
    [sym_preproc_line] = STATE(484),
    [sym_preproc_pragma] = STATE(484),
    [sym_preproc_nullable] = STATE(484),
    [sym_preproc_error] = STATE(484),
    [sym_preproc_define] = STATE(484),
    [sym_preproc_undef] = STATE(484),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2565),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2567),
    [anon_sym_GT] = ACTIONS(2567),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_GT_EQ] = ACTIONS(2569),
    [anon_sym_LT_EQ] = ACTIONS(2569),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2571),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [485] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2809),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6689),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(485),
    [sym_preproc_endregion] = STATE(485),
    [sym_preproc_line] = STATE(485),
    [sym_preproc_pragma] = STATE(485),
    [sym_preproc_nullable] = STATE(485),
    [sym_preproc_error] = STATE(485),
    [sym_preproc_define] = STATE(485),
    [sym_preproc_undef] = STATE(485),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2519),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2521),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [486] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3548),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2903),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3085),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5001),
    [sym_constant_pattern] = STATE(5007),
    [sym_parenthesized_pattern] = STATE(5007),
    [sym_var_pattern] = STATE(5007),
    [sym_type_pattern] = STATE(5007),
    [sym_list_pattern] = STATE(5007),
    [sym_recursive_pattern] = STATE(5007),
    [sym_positional_pattern_clause] = STATE(3153),
    [sym_property_pattern_clause] = STATE(3228),
    [sym_relational_pattern] = STATE(5007),
    [sym_negated_pattern] = STATE(5007),
    [sym_and_pattern] = STATE(5007),
    [sym_or_pattern] = STATE(5007),
    [sym_declaration_pattern] = STATE(5007),
    [sym_expression] = STATE(6733),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5009),
    [sym_postfix_unary_expression] = STATE(5023),
    [sym_prefix_unary_expression] = STATE(5023),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5009),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5023),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5009),
    [sym_member_access_expression] = STATE(3746),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5023),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5009),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5009),
    [sym_typeof_expression] = STATE(5009),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3746),
    [sym_literal] = STATE(5009),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(486),
    [sym_preproc_endregion] = STATE(486),
    [sym_preproc_line] = STATE(486),
    [sym_preproc_pragma] = STATE(486),
    [sym_preproc_nullable] = STATE(486),
    [sym_preproc_error] = STATE(486),
    [sym_preproc_define] = STATE(486),
    [sym_preproc_undef] = STATE(486),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_GT] = ACTIONS(2525),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(2527),
    [anon_sym_LT_EQ] = ACTIONS(2527),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2529),
    [sym_predefined_type] = ACTIONS(2509),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2511),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2531),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [487] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3033),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6434),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6698),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(487),
    [sym_preproc_endregion] = STATE(487),
    [sym_preproc_line] = STATE(487),
    [sym_preproc_pragma] = STATE(487),
    [sym_preproc_nullable] = STATE(487),
    [sym_preproc_error] = STATE(487),
    [sym_preproc_define] = STATE(487),
    [sym_preproc_undef] = STATE(487),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(2431),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(2433),
    [anon_sym_LT_EQ] = ACTIONS(2433),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2437),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [488] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3546),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2892),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3089),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3162),
    [sym_property_pattern_clause] = STATE(3396),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6690),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(488),
    [sym_preproc_endregion] = STATE(488),
    [sym_preproc_line] = STATE(488),
    [sym_preproc_pragma] = STATE(488),
    [sym_preproc_nullable] = STATE(488),
    [sym_preproc_error] = STATE(488),
    [sym_preproc_define] = STATE(488),
    [sym_preproc_undef] = STATE(488),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_GT] = ACTIONS(2491),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(2493),
    [anon_sym_LT_EQ] = ACTIONS(2493),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2495),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [489] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3549),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2889),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3079),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3151),
    [sym_property_pattern_clause] = STATE(3310),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6720),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(489),
    [sym_preproc_endregion] = STATE(489),
    [sym_preproc_line] = STATE(489),
    [sym_preproc_pragma] = STATE(489),
    [sym_preproc_nullable] = STATE(489),
    [sym_preproc_error] = STATE(489),
    [sym_preproc_define] = STATE(489),
    [sym_preproc_undef] = STATE(489),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2441),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_GT_EQ] = ACTIONS(2443),
    [anon_sym_LT_EQ] = ACTIONS(2443),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2445),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [490] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3558),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2915),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3144),
    [sym_property_pattern_clause] = STATE(3420),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6701),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(490),
    [sym_preproc_endregion] = STATE(490),
    [sym_preproc_line] = STATE(490),
    [sym_preproc_pragma] = STATE(490),
    [sym_preproc_nullable] = STATE(490),
    [sym_preproc_error] = STATE(490),
    [sym_preproc_define] = STATE(490),
    [sym_preproc_undef] = STATE(490),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2533),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_GT] = ACTIONS(2535),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(2537),
    [anon_sym_LT_EQ] = ACTIONS(2537),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2539),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [491] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3554),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2912),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3158),
    [sym_property_pattern_clause] = STATE(3370),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6738),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(491),
    [sym_preproc_endregion] = STATE(491),
    [sym_preproc_line] = STATE(491),
    [sym_preproc_pragma] = STATE(491),
    [sym_preproc_nullable] = STATE(491),
    [sym_preproc_error] = STATE(491),
    [sym_preproc_define] = STATE(491),
    [sym_preproc_undef] = STATE(491),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2557),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2559),
    [anon_sym_GT] = ACTIONS(2559),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(2561),
    [anon_sym_LT_EQ] = ACTIONS(2561),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2563),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [492] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3557),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2917),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3075),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4065),
    [sym_constant_pattern] = STATE(4014),
    [sym_parenthesized_pattern] = STATE(4014),
    [sym_var_pattern] = STATE(4014),
    [sym_type_pattern] = STATE(4014),
    [sym_list_pattern] = STATE(4014),
    [sym_recursive_pattern] = STATE(4014),
    [sym_positional_pattern_clause] = STATE(3148),
    [sym_property_pattern_clause] = STATE(3429),
    [sym_relational_pattern] = STATE(4014),
    [sym_negated_pattern] = STATE(4014),
    [sym_and_pattern] = STATE(4014),
    [sym_or_pattern] = STATE(4014),
    [sym_declaration_pattern] = STATE(4014),
    [sym_expression] = STATE(6703),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4035),
    [sym_postfix_unary_expression] = STATE(4036),
    [sym_prefix_unary_expression] = STATE(4036),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4035),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4036),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4035),
    [sym_member_access_expression] = STATE(3198),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4036),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4035),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4035),
    [sym_typeof_expression] = STATE(4035),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3198),
    [sym_literal] = STATE(4035),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(492),
    [sym_preproc_endregion] = STATE(492),
    [sym_preproc_line] = STATE(492),
    [sym_preproc_pragma] = STATE(492),
    [sym_preproc_nullable] = STATE(492),
    [sym_preproc_error] = STATE(492),
    [sym_preproc_define] = STATE(492),
    [sym_preproc_undef] = STATE(492),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2331),
    [anon_sym_GT] = ACTIONS(2331),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_GT_EQ] = ACTIONS(2333),
    [anon_sym_LT_EQ] = ACTIONS(2333),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2337),
    [sym_predefined_type] = ACTIONS(2339),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2341),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [493] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3556),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2896),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3087),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3163),
    [sym_property_pattern_clause] = STATE(3377),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6685),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(493),
    [sym_preproc_endregion] = STATE(493),
    [sym_preproc_line] = STATE(493),
    [sym_preproc_pragma] = STATE(493),
    [sym_preproc_nullable] = STATE(493),
    [sym_preproc_error] = STATE(493),
    [sym_preproc_define] = STATE(493),
    [sym_preproc_undef] = STATE(493),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2575),
    [anon_sym_GT] = ACTIONS(2575),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(2577),
    [anon_sym_LT_EQ] = ACTIONS(2577),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2579),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [494] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3030),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6698),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(494),
    [sym_preproc_endregion] = STATE(494),
    [sym_preproc_line] = STATE(494),
    [sym_preproc_pragma] = STATE(494),
    [sym_preproc_nullable] = STATE(494),
    [sym_preproc_error] = STATE(494),
    [sym_preproc_define] = STATE(494),
    [sym_preproc_undef] = STATE(494),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2429),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_GT] = ACTIONS(2431),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_GT_EQ] = ACTIONS(2433),
    [anon_sym_LT_EQ] = ACTIONS(2433),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2435),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2437),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [495] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2816),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5325),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(495),
    [sym_preproc_endregion] = STATE(495),
    [sym_preproc_line] = STATE(495),
    [sym_preproc_pragma] = STATE(495),
    [sym_preproc_nullable] = STATE(495),
    [sym_preproc_error] = STATE(495),
    [sym_preproc_define] = STATE(495),
    [sym_preproc_undef] = STATE(495),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2543),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [496] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8308),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(496),
    [sym_preproc_endregion] = STATE(496),
    [sym_preproc_line] = STATE(496),
    [sym_preproc_pragma] = STATE(496),
    [sym_preproc_nullable] = STATE(496),
    [sym_preproc_error] = STATE(496),
    [sym_preproc_define] = STATE(496),
    [sym_preproc_undef] = STATE(496),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [497] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8271),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(497),
    [sym_preproc_endregion] = STATE(497),
    [sym_preproc_line] = STATE(497),
    [sym_preproc_pragma] = STATE(497),
    [sym_preproc_nullable] = STATE(497),
    [sym_preproc_error] = STATE(497),
    [sym_preproc_define] = STATE(497),
    [sym_preproc_undef] = STATE(497),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [498] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(498),
    [sym_preproc_endregion] = STATE(498),
    [sym_preproc_line] = STATE(498),
    [sym_preproc_pragma] = STATE(498),
    [sym_preproc_nullable] = STATE(498),
    [sym_preproc_error] = STATE(498),
    [sym_preproc_define] = STATE(498),
    [sym_preproc_undef] = STATE(498),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [499] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(8256),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(499),
    [sym_preproc_endregion] = STATE(499),
    [sym_preproc_line] = STATE(499),
    [sym_preproc_pragma] = STATE(499),
    [sym_preproc_nullable] = STATE(499),
    [sym_preproc_error] = STATE(499),
    [sym_preproc_define] = STATE(499),
    [sym_preproc_undef] = STATE(499),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1147),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [500] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2816),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5705),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6722),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(500),
    [sym_preproc_endregion] = STATE(500),
    [sym_preproc_line] = STATE(500),
    [sym_preproc_pragma] = STATE(500),
    [sym_preproc_nullable] = STATE(500),
    [sym_preproc_error] = STATE(500),
    [sym_preproc_define] = STATE(500),
    [sym_preproc_undef] = STATE(500),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(2591),
    [anon_sym_LT_EQ] = ACTIONS(2591),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [501] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2816),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6497),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6689),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(501),
    [sym_preproc_endregion] = STATE(501),
    [sym_preproc_line] = STATE(501),
    [sym_preproc_pragma] = STATE(501),
    [sym_preproc_nullable] = STATE(501),
    [sym_preproc_error] = STATE(501),
    [sym_preproc_define] = STATE(501),
    [sym_preproc_undef] = STATE(501),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(2519),
    [anon_sym_LT_EQ] = ACTIONS(2519),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2521),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [502] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5707),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6722),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(502),
    [sym_preproc_endregion] = STATE(502),
    [sym_preproc_line] = STATE(502),
    [sym_preproc_pragma] = STATE(502),
    [sym_preproc_nullable] = STATE(502),
    [sym_preproc_error] = STATE(502),
    [sym_preproc_define] = STATE(502),
    [sym_preproc_undef] = STATE(502),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(2591),
    [anon_sym_LT_EQ] = ACTIONS(2591),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [503] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6722),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(503),
    [sym_preproc_endregion] = STATE(503),
    [sym_preproc_line] = STATE(503),
    [sym_preproc_pragma] = STATE(503),
    [sym_preproc_nullable] = STATE(503),
    [sym_preproc_error] = STATE(503),
    [sym_preproc_define] = STATE(503),
    [sym_preproc_undef] = STATE(503),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(2591),
    [anon_sym_LT_EQ] = ACTIONS(2591),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [504] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5635),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6722),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(504),
    [sym_preproc_endregion] = STATE(504),
    [sym_preproc_line] = STATE(504),
    [sym_preproc_pragma] = STATE(504),
    [sym_preproc_nullable] = STATE(504),
    [sym_preproc_error] = STATE(504),
    [sym_preproc_define] = STATE(504),
    [sym_preproc_undef] = STATE(504),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(2591),
    [anon_sym_LT_EQ] = ACTIONS(2591),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [505] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3057),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(6474),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(3133),
    [sym_property_pattern_clause] = STATE(3204),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6714),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(505),
    [sym_preproc_endregion] = STATE(505),
    [sym_preproc_line] = STATE(505),
    [sym_preproc_pragma] = STATE(505),
    [sym_preproc_nullable] = STATE(505),
    [sym_preproc_error] = STATE(505),
    [sym_preproc_define] = STATE(505),
    [sym_preproc_undef] = STATE(505),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2449),
    [anon_sym_GT] = ACTIONS(2449),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(2451),
    [anon_sym_LT_EQ] = ACTIONS(2451),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2453),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2455),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [506] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3535),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2860),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(3041),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4800),
    [sym_constant_pattern] = STATE(4584),
    [sym_parenthesized_pattern] = STATE(4584),
    [sym_var_pattern] = STATE(4584),
    [sym_type_pattern] = STATE(4584),
    [sym_list_pattern] = STATE(4584),
    [sym_recursive_pattern] = STATE(4584),
    [sym_positional_pattern_clause] = STATE(3122),
    [sym_property_pattern_clause] = STATE(3201),
    [sym_relational_pattern] = STATE(4584),
    [sym_negated_pattern] = STATE(4584),
    [sym_and_pattern] = STATE(4584),
    [sym_or_pattern] = STATE(4584),
    [sym_declaration_pattern] = STATE(4584),
    [sym_expression] = STATE(6691),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4570),
    [sym_postfix_unary_expression] = STATE(4595),
    [sym_prefix_unary_expression] = STATE(4595),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4570),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4595),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4570),
    [sym_member_access_expression] = STATE(3569),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4595),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4570),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4570),
    [sym_typeof_expression] = STATE(4570),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3569),
    [sym_literal] = STATE(4570),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(506),
    [sym_preproc_endregion] = STATE(506),
    [sym_preproc_line] = STATE(506),
    [sym_preproc_pragma] = STATE(506),
    [sym_preproc_nullable] = STATE(506),
    [sym_preproc_error] = STATE(506),
    [sym_preproc_define] = STATE(506),
    [sym_preproc_undef] = STATE(506),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_GT] = ACTIONS(2475),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_GT_EQ] = ACTIONS(2477),
    [anon_sym_LT_EQ] = ACTIONS(2477),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2361),
    [sym_predefined_type] = ACTIONS(2363),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(2365),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2479),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [507] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5408),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(507),
    [sym_preproc_endregion] = STATE(507),
    [sym_preproc_line] = STATE(507),
    [sym_preproc_pragma] = STATE(507),
    [sym_preproc_nullable] = STATE(507),
    [sym_preproc_error] = STATE(507),
    [sym_preproc_define] = STATE(507),
    [sym_preproc_undef] = STATE(507),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2543),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [508] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2803),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(5331),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_pattern] = STATE(7979),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(6230),
    [sym_property_pattern_clause] = STATE(6697),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(5291),
    [sym_postfix_unary_expression] = STATE(5292),
    [sym_prefix_unary_expression] = STATE(5292),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(5291),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(5292),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(5291),
    [sym_member_access_expression] = STATE(3816),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(5292),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(5291),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(5291),
    [sym_typeof_expression] = STATE(5291),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3816),
    [sym_literal] = STATE(5291),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(508),
    [sym_preproc_endregion] = STATE(508),
    [sym_preproc_line] = STATE(508),
    [sym_preproc_pragma] = STATE(508),
    [sym_preproc_nullable] = STATE(508),
    [sym_preproc_error] = STATE(508),
    [sym_preproc_define] = STATE(508),
    [sym_preproc_undef] = STATE(508),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1089),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(1099),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [509] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4160),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(509),
    [sym_preproc_endregion] = STATE(509),
    [sym_preproc_line] = STATE(509),
    [sym_preproc_pragma] = STATE(509),
    [sym_preproc_nullable] = STATE(509),
    [sym_preproc_error] = STATE(509),
    [sym_preproc_define] = STATE(509),
    [sym_preproc_undef] = STATE(509),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2543),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [510] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3017),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2813),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(5351),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6726),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(510),
    [sym_preproc_endregion] = STATE(510),
    [sym_preproc_line] = STATE(510),
    [sym_preproc_pragma] = STATE(510),
    [sym_preproc_nullable] = STATE(510),
    [sym_preproc_error] = STATE(510),
    [sym_preproc_define] = STATE(510),
    [sym_preproc_undef] = STATE(510),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2541),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_GT_EQ] = ACTIONS(1085),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2543),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [511] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3196),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2761),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2809),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_pattern] = STATE(4149),
    [sym_constant_pattern] = STATE(4095),
    [sym_parenthesized_pattern] = STATE(4095),
    [sym_var_pattern] = STATE(4095),
    [sym_type_pattern] = STATE(4095),
    [sym_list_pattern] = STATE(4095),
    [sym_recursive_pattern] = STATE(4095),
    [sym_positional_pattern_clause] = STATE(2858),
    [sym_property_pattern_clause] = STATE(2897),
    [sym_relational_pattern] = STATE(4095),
    [sym_negated_pattern] = STATE(4095),
    [sym_and_pattern] = STATE(4095),
    [sym_or_pattern] = STATE(4095),
    [sym_declaration_pattern] = STATE(4095),
    [sym_expression] = STATE(6722),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(4108),
    [sym_postfix_unary_expression] = STATE(4109),
    [sym_prefix_unary_expression] = STATE(4109),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(4108),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(4109),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(4108),
    [sym_member_access_expression] = STATE(3451),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(4109),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(4108),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(4108),
    [sym_typeof_expression] = STATE(4108),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3451),
    [sym_literal] = STATE(4108),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(511),
    [sym_preproc_endregion] = STATE(511),
    [sym_preproc_line] = STATE(511),
    [sym_preproc_pragma] = STATE(511),
    [sym_preproc_nullable] = STATE(511),
    [sym_preproc_error] = STATE(511),
    [sym_preproc_define] = STATE(511),
    [sym_preproc_undef] = STATE(511),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_GT] = ACTIONS(2589),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_GT_EQ] = ACTIONS(2591),
    [anon_sym_LT_EQ] = ACTIONS(2591),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2411),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [sym_discard] = ACTIONS(1095),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_not] = ACTIONS(2593),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [512] = {
    [sym_attribute] = STATE(8379),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6809),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(512),
    [sym_preproc_endregion] = STATE(512),
    [sym_preproc_line] = STATE(512),
    [sym_preproc_pragma] = STATE(512),
    [sym_preproc_nullable] = STATE(512),
    [sym_preproc_error] = STATE(512),
    [sym_preproc_define] = STATE(512),
    [sym_preproc_undef] = STATE(512),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_assembly] = ACTIONS(2595),
    [anon_sym_module] = ACTIONS(2595),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [513] = {
    [sym_attribute] = STATE(8379),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6809),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(513),
    [sym_preproc_endregion] = STATE(513),
    [sym_preproc_line] = STATE(513),
    [sym_preproc_pragma] = STATE(513),
    [sym_preproc_nullable] = STATE(513),
    [sym_preproc_error] = STATE(513),
    [sym_preproc_define] = STATE(513),
    [sym_preproc_undef] = STATE(513),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_assembly] = ACTIONS(2599),
    [anon_sym_module] = ACTIONS(2599),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [514] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8667),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(514),
    [sym_preproc_endregion] = STATE(514),
    [sym_preproc_line] = STATE(514),
    [sym_preproc_pragma] = STATE(514),
    [sym_preproc_nullable] = STATE(514),
    [sym_preproc_error] = STATE(514),
    [sym_preproc_define] = STATE(514),
    [sym_preproc_undef] = STATE(514),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [515] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8629),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(515),
    [sym_preproc_endregion] = STATE(515),
    [sym_preproc_line] = STATE(515),
    [sym_preproc_pragma] = STATE(515),
    [sym_preproc_nullable] = STATE(515),
    [sym_preproc_error] = STATE(515),
    [sym_preproc_define] = STATE(515),
    [sym_preproc_undef] = STATE(515),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [516] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8579),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(516),
    [sym_preproc_endregion] = STATE(516),
    [sym_preproc_line] = STATE(516),
    [sym_preproc_pragma] = STATE(516),
    [sym_preproc_nullable] = STATE(516),
    [sym_preproc_error] = STATE(516),
    [sym_preproc_define] = STATE(516),
    [sym_preproc_undef] = STATE(516),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [517] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8470),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(517),
    [sym_preproc_endregion] = STATE(517),
    [sym_preproc_line] = STATE(517),
    [sym_preproc_pragma] = STATE(517),
    [sym_preproc_nullable] = STATE(517),
    [sym_preproc_error] = STATE(517),
    [sym_preproc_define] = STATE(517),
    [sym_preproc_undef] = STATE(517),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [518] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(518),
    [sym_preproc_endregion] = STATE(518),
    [sym_preproc_line] = STATE(518),
    [sym_preproc_pragma] = STATE(518),
    [sym_preproc_nullable] = STATE(518),
    [sym_preproc_error] = STATE(518),
    [sym_preproc_define] = STATE(518),
    [sym_preproc_undef] = STATE(518),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [519] = {
    [sym_attribute] = STATE(8431),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6818),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8435),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(519),
    [sym_preproc_endregion] = STATE(519),
    [sym_preproc_line] = STATE(519),
    [sym_preproc_pragma] = STATE(519),
    [sym_preproc_nullable] = STATE(519),
    [sym_preproc_error] = STATE(519),
    [sym_preproc_define] = STATE(519),
    [sym_preproc_undef] = STATE(519),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [520] = {
    [sym_attribute] = STATE(8666),
    [sym_attribute_list] = STATE(6712),
    [sym_attribute_target_specifier] = STATE(6801),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6790),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(520),
    [sym_preproc_endregion] = STATE(520),
    [sym_preproc_line] = STATE(520),
    [sym_preproc_pragma] = STATE(520),
    [sym_preproc_nullable] = STATE(520),
    [sym_preproc_error] = STATE(520),
    [sym_preproc_define] = STATE(520),
    [sym_preproc_undef] = STATE(520),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_field] = ACTIONS(1067),
    [anon_sym_event] = ACTIONS(1067),
    [anon_sym_method] = ACTIONS(1067),
    [anon_sym_param] = ACTIONS(1067),
    [anon_sym_property] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_type] = ACTIONS(1067),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [521] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6870),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(521),
    [sym_preproc_endregion] = STATE(521),
    [sym_preproc_line] = STATE(521),
    [sym_preproc_pragma] = STATE(521),
    [sym_preproc_nullable] = STATE(521),
    [sym_preproc_error] = STATE(521),
    [sym_preproc_define] = STATE(521),
    [sym_preproc_undef] = STATE(521),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [522] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(522),
    [sym_preproc_endregion] = STATE(522),
    [sym_preproc_line] = STATE(522),
    [sym_preproc_pragma] = STATE(522),
    [sym_preproc_nullable] = STATE(522),
    [sym_preproc_error] = STATE(522),
    [sym_preproc_define] = STATE(522),
    [sym_preproc_undef] = STATE(522),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [523] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6871),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(523),
    [sym_preproc_endregion] = STATE(523),
    [sym_preproc_line] = STATE(523),
    [sym_preproc_pragma] = STATE(523),
    [sym_preproc_nullable] = STATE(523),
    [sym_preproc_error] = STATE(523),
    [sym_preproc_define] = STATE(523),
    [sym_preproc_undef] = STATE(523),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [524] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8779),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6883),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6655),
    [sym_lvalue_expression] = STATE(4410),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(524),
    [sym_preproc_endregion] = STATE(524),
    [sym_preproc_line] = STATE(524),
    [sym_preproc_pragma] = STATE(524),
    [sym_preproc_nullable] = STATE(524),
    [sym_preproc_error] = STATE(524),
    [sym_preproc_define] = STATE(524),
    [sym_preproc_undef] = STATE(524),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [525] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6865),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(525),
    [sym_preproc_endregion] = STATE(525),
    [sym_preproc_line] = STATE(525),
    [sym_preproc_pragma] = STATE(525),
    [sym_preproc_nullable] = STATE(525),
    [sym_preproc_error] = STATE(525),
    [sym_preproc_define] = STATE(525),
    [sym_preproc_undef] = STATE(525),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [526] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8943),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6828),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6429),
    [sym_lvalue_expression] = STATE(4412),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(526),
    [sym_preproc_endregion] = STATE(526),
    [sym_preproc_line] = STATE(526),
    [sym_preproc_pragma] = STATE(526),
    [sym_preproc_nullable] = STATE(526),
    [sym_preproc_error] = STATE(526),
    [sym_preproc_define] = STATE(526),
    [sym_preproc_undef] = STATE(526),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [527] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6862),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(527),
    [sym_preproc_endregion] = STATE(527),
    [sym_preproc_line] = STATE(527),
    [sym_preproc_pragma] = STATE(527),
    [sym_preproc_nullable] = STATE(527),
    [sym_preproc_error] = STATE(527),
    [sym_preproc_define] = STATE(527),
    [sym_preproc_undef] = STATE(527),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [528] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8779),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4410),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(528),
    [sym_preproc_endregion] = STATE(528),
    [sym_preproc_line] = STATE(528),
    [sym_preproc_pragma] = STATE(528),
    [sym_preproc_nullable] = STATE(528),
    [sym_preproc_error] = STATE(528),
    [sym_preproc_define] = STATE(528),
    [sym_preproc_undef] = STATE(528),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [529] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(529),
    [sym_preproc_endregion] = STATE(529),
    [sym_preproc_line] = STATE(529),
    [sym_preproc_pragma] = STATE(529),
    [sym_preproc_nullable] = STATE(529),
    [sym_preproc_error] = STATE(529),
    [sym_preproc_define] = STATE(529),
    [sym_preproc_undef] = STATE(529),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [530] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8943),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4412),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(530),
    [sym_preproc_endregion] = STATE(530),
    [sym_preproc_line] = STATE(530),
    [sym_preproc_pragma] = STATE(530),
    [sym_preproc_nullable] = STATE(530),
    [sym_preproc_error] = STATE(530),
    [sym_preproc_define] = STATE(530),
    [sym_preproc_undef] = STATE(530),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [531] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6900),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(531),
    [sym_preproc_endregion] = STATE(531),
    [sym_preproc_line] = STATE(531),
    [sym_preproc_pragma] = STATE(531),
    [sym_preproc_nullable] = STATE(531),
    [sym_preproc_error] = STATE(531),
    [sym_preproc_define] = STATE(531),
    [sym_preproc_undef] = STATE(531),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [532] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6850),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(532),
    [sym_preproc_endregion] = STATE(532),
    [sym_preproc_line] = STATE(532),
    [sym_preproc_pragma] = STATE(532),
    [sym_preproc_nullable] = STATE(532),
    [sym_preproc_error] = STATE(532),
    [sym_preproc_define] = STATE(532),
    [sym_preproc_undef] = STATE(532),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [533] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6841),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(533),
    [sym_preproc_endregion] = STATE(533),
    [sym_preproc_line] = STATE(533),
    [sym_preproc_pragma] = STATE(533),
    [sym_preproc_nullable] = STATE(533),
    [sym_preproc_error] = STATE(533),
    [sym_preproc_define] = STATE(533),
    [sym_preproc_undef] = STATE(533),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [534] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6890),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(534),
    [sym_preproc_endregion] = STATE(534),
    [sym_preproc_line] = STATE(534),
    [sym_preproc_pragma] = STATE(534),
    [sym_preproc_nullable] = STATE(534),
    [sym_preproc_error] = STATE(534),
    [sym_preproc_define] = STATE(534),
    [sym_preproc_undef] = STATE(534),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [535] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(535),
    [sym_preproc_endregion] = STATE(535),
    [sym_preproc_line] = STATE(535),
    [sym_preproc_pragma] = STATE(535),
    [sym_preproc_nullable] = STATE(535),
    [sym_preproc_error] = STATE(535),
    [sym_preproc_define] = STATE(535),
    [sym_preproc_undef] = STATE(535),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [536] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6866),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(536),
    [sym_preproc_endregion] = STATE(536),
    [sym_preproc_line] = STATE(536),
    [sym_preproc_pragma] = STATE(536),
    [sym_preproc_nullable] = STATE(536),
    [sym_preproc_error] = STATE(536),
    [sym_preproc_define] = STATE(536),
    [sym_preproc_undef] = STATE(536),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [537] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8779),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6855),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6655),
    [sym_lvalue_expression] = STATE(4410),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(537),
    [sym_preproc_endregion] = STATE(537),
    [sym_preproc_line] = STATE(537),
    [sym_preproc_pragma] = STATE(537),
    [sym_preproc_nullable] = STATE(537),
    [sym_preproc_error] = STATE(537),
    [sym_preproc_define] = STATE(537),
    [sym_preproc_undef] = STATE(537),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [538] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6821),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(538),
    [sym_preproc_endregion] = STATE(538),
    [sym_preproc_line] = STATE(538),
    [sym_preproc_pragma] = STATE(538),
    [sym_preproc_nullable] = STATE(538),
    [sym_preproc_error] = STATE(538),
    [sym_preproc_define] = STATE(538),
    [sym_preproc_undef] = STATE(538),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [539] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8943),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6846),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6429),
    [sym_lvalue_expression] = STATE(4412),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(539),
    [sym_preproc_endregion] = STATE(539),
    [sym_preproc_line] = STATE(539),
    [sym_preproc_pragma] = STATE(539),
    [sym_preproc_nullable] = STATE(539),
    [sym_preproc_error] = STATE(539),
    [sym_preproc_define] = STATE(539),
    [sym_preproc_undef] = STATE(539),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [540] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6835),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(540),
    [sym_preproc_endregion] = STATE(540),
    [sym_preproc_line] = STATE(540),
    [sym_preproc_pragma] = STATE(540),
    [sym_preproc_nullable] = STATE(540),
    [sym_preproc_error] = STATE(540),
    [sym_preproc_define] = STATE(540),
    [sym_preproc_undef] = STATE(540),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [541] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6859),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(541),
    [sym_preproc_endregion] = STATE(541),
    [sym_preproc_line] = STATE(541),
    [sym_preproc_pragma] = STATE(541),
    [sym_preproc_nullable] = STATE(541),
    [sym_preproc_error] = STATE(541),
    [sym_preproc_define] = STATE(541),
    [sym_preproc_undef] = STATE(541),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [542] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6853),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(542),
    [sym_preproc_endregion] = STATE(542),
    [sym_preproc_line] = STATE(542),
    [sym_preproc_pragma] = STATE(542),
    [sym_preproc_nullable] = STATE(542),
    [sym_preproc_error] = STATE(542),
    [sym_preproc_define] = STATE(542),
    [sym_preproc_undef] = STATE(542),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [543] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6873),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(543),
    [sym_preproc_endregion] = STATE(543),
    [sym_preproc_line] = STATE(543),
    [sym_preproc_pragma] = STATE(543),
    [sym_preproc_nullable] = STATE(543),
    [sym_preproc_error] = STATE(543),
    [sym_preproc_define] = STATE(543),
    [sym_preproc_undef] = STATE(543),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [544] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6829),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(544),
    [sym_preproc_endregion] = STATE(544),
    [sym_preproc_line] = STATE(544),
    [sym_preproc_pragma] = STATE(544),
    [sym_preproc_nullable] = STATE(544),
    [sym_preproc_error] = STATE(544),
    [sym_preproc_define] = STATE(544),
    [sym_preproc_undef] = STATE(544),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [545] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8779),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6848),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6655),
    [sym_lvalue_expression] = STATE(4410),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(545),
    [sym_preproc_endregion] = STATE(545),
    [sym_preproc_line] = STATE(545),
    [sym_preproc_pragma] = STATE(545),
    [sym_preproc_nullable] = STATE(545),
    [sym_preproc_error] = STATE(545),
    [sym_preproc_define] = STATE(545),
    [sym_preproc_undef] = STATE(545),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [546] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6882),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(546),
    [sym_preproc_endregion] = STATE(546),
    [sym_preproc_line] = STATE(546),
    [sym_preproc_pragma] = STATE(546),
    [sym_preproc_nullable] = STATE(546),
    [sym_preproc_error] = STATE(546),
    [sym_preproc_define] = STATE(546),
    [sym_preproc_undef] = STATE(546),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [547] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8943),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6856),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6429),
    [sym_lvalue_expression] = STATE(4412),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(547),
    [sym_preproc_endregion] = STATE(547),
    [sym_preproc_line] = STATE(547),
    [sym_preproc_pragma] = STATE(547),
    [sym_preproc_nullable] = STATE(547),
    [sym_preproc_error] = STATE(547),
    [sym_preproc_define] = STATE(547),
    [sym_preproc_undef] = STATE(547),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [548] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6894),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(548),
    [sym_preproc_endregion] = STATE(548),
    [sym_preproc_line] = STATE(548),
    [sym_preproc_pragma] = STATE(548),
    [sym_preproc_nullable] = STATE(548),
    [sym_preproc_error] = STATE(548),
    [sym_preproc_define] = STATE(548),
    [sym_preproc_undef] = STATE(548),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [549] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6899),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(549),
    [sym_preproc_endregion] = STATE(549),
    [sym_preproc_line] = STATE(549),
    [sym_preproc_pragma] = STATE(549),
    [sym_preproc_nullable] = STATE(549),
    [sym_preproc_error] = STATE(549),
    [sym_preproc_define] = STATE(549),
    [sym_preproc_undef] = STATE(549),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [550] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(550),
    [sym_preproc_endregion] = STATE(550),
    [sym_preproc_line] = STATE(550),
    [sym_preproc_pragma] = STATE(550),
    [sym_preproc_nullable] = STATE(550),
    [sym_preproc_error] = STATE(550),
    [sym_preproc_define] = STATE(550),
    [sym_preproc_undef] = STATE(550),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [551] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6901),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(551),
    [sym_preproc_endregion] = STATE(551),
    [sym_preproc_line] = STATE(551),
    [sym_preproc_pragma] = STATE(551),
    [sym_preproc_nullable] = STATE(551),
    [sym_preproc_error] = STATE(551),
    [sym_preproc_define] = STATE(551),
    [sym_preproc_undef] = STATE(551),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [552] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6867),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(552),
    [sym_preproc_endregion] = STATE(552),
    [sym_preproc_line] = STATE(552),
    [sym_preproc_pragma] = STATE(552),
    [sym_preproc_nullable] = STATE(552),
    [sym_preproc_error] = STATE(552),
    [sym_preproc_define] = STATE(552),
    [sym_preproc_undef] = STATE(552),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [553] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6851),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(553),
    [sym_preproc_endregion] = STATE(553),
    [sym_preproc_line] = STATE(553),
    [sym_preproc_pragma] = STATE(553),
    [sym_preproc_nullable] = STATE(553),
    [sym_preproc_error] = STATE(553),
    [sym_preproc_define] = STATE(553),
    [sym_preproc_undef] = STATE(553),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [554] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6877),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(554),
    [sym_preproc_endregion] = STATE(554),
    [sym_preproc_line] = STATE(554),
    [sym_preproc_pragma] = STATE(554),
    [sym_preproc_nullable] = STATE(554),
    [sym_preproc_error] = STATE(554),
    [sym_preproc_define] = STATE(554),
    [sym_preproc_undef] = STATE(554),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [555] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6845),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(555),
    [sym_preproc_endregion] = STATE(555),
    [sym_preproc_line] = STATE(555),
    [sym_preproc_pragma] = STATE(555),
    [sym_preproc_nullable] = STATE(555),
    [sym_preproc_error] = STATE(555),
    [sym_preproc_define] = STATE(555),
    [sym_preproc_undef] = STATE(555),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [556] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(556),
    [sym_preproc_endregion] = STATE(556),
    [sym_preproc_line] = STATE(556),
    [sym_preproc_pragma] = STATE(556),
    [sym_preproc_nullable] = STATE(556),
    [sym_preproc_error] = STATE(556),
    [sym_preproc_define] = STATE(556),
    [sym_preproc_undef] = STATE(556),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [557] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8779),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6861),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6655),
    [sym_lvalue_expression] = STATE(4410),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(557),
    [sym_preproc_endregion] = STATE(557),
    [sym_preproc_line] = STATE(557),
    [sym_preproc_pragma] = STATE(557),
    [sym_preproc_nullable] = STATE(557),
    [sym_preproc_error] = STATE(557),
    [sym_preproc_define] = STATE(557),
    [sym_preproc_undef] = STATE(557),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [558] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6864),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(558),
    [sym_preproc_endregion] = STATE(558),
    [sym_preproc_line] = STATE(558),
    [sym_preproc_pragma] = STATE(558),
    [sym_preproc_nullable] = STATE(558),
    [sym_preproc_error] = STATE(558),
    [sym_preproc_define] = STATE(558),
    [sym_preproc_undef] = STATE(558),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [559] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8943),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6863),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6429),
    [sym_lvalue_expression] = STATE(4412),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(559),
    [sym_preproc_endregion] = STATE(559),
    [sym_preproc_line] = STATE(559),
    [sym_preproc_pragma] = STATE(559),
    [sym_preproc_nullable] = STATE(559),
    [sym_preproc_error] = STATE(559),
    [sym_preproc_define] = STATE(559),
    [sym_preproc_undef] = STATE(559),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [560] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6875),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4422),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(560),
    [sym_preproc_endregion] = STATE(560),
    [sym_preproc_line] = STATE(560),
    [sym_preproc_pragma] = STATE(560),
    [sym_preproc_nullable] = STATE(560),
    [sym_preproc_error] = STATE(560),
    [sym_preproc_define] = STATE(560),
    [sym_preproc_undef] = STATE(560),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [561] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6831),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(561),
    [sym_preproc_endregion] = STATE(561),
    [sym_preproc_line] = STATE(561),
    [sym_preproc_pragma] = STATE(561),
    [sym_preproc_nullable] = STATE(561),
    [sym_preproc_error] = STATE(561),
    [sym_preproc_define] = STATE(561),
    [sym_preproc_undef] = STATE(561),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [562] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6834),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(562),
    [sym_preproc_endregion] = STATE(562),
    [sym_preproc_line] = STATE(562),
    [sym_preproc_pragma] = STATE(562),
    [sym_preproc_nullable] = STATE(562),
    [sym_preproc_error] = STATE(562),
    [sym_preproc_define] = STATE(562),
    [sym_preproc_undef] = STATE(562),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [563] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8812),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6836),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6441),
    [sym_lvalue_expression] = STATE(4377),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(563),
    [sym_preproc_endregion] = STATE(563),
    [sym_preproc_line] = STATE(563),
    [sym_preproc_pragma] = STATE(563),
    [sym_preproc_nullable] = STATE(563),
    [sym_preproc_error] = STATE(563),
    [sym_preproc_define] = STATE(563),
    [sym_preproc_undef] = STATE(563),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [564] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6858),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(564),
    [sym_preproc_endregion] = STATE(564),
    [sym_preproc_line] = STATE(564),
    [sym_preproc_pragma] = STATE(564),
    [sym_preproc_nullable] = STATE(564),
    [sym_preproc_error] = STATE(564),
    [sym_preproc_define] = STATE(564),
    [sym_preproc_undef] = STATE(564),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [565] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6857),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(565),
    [sym_preproc_endregion] = STATE(565),
    [sym_preproc_line] = STATE(565),
    [sym_preproc_pragma] = STATE(565),
    [sym_preproc_nullable] = STATE(565),
    [sym_preproc_error] = STATE(565),
    [sym_preproc_define] = STATE(565),
    [sym_preproc_undef] = STATE(565),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [566] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6868),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6382),
    [sym_lvalue_expression] = STATE(4450),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(566),
    [sym_preproc_endregion] = STATE(566),
    [sym_preproc_line] = STATE(566),
    [sym_preproc_pragma] = STATE(566),
    [sym_preproc_nullable] = STATE(566),
    [sym_preproc_error] = STATE(566),
    [sym_preproc_define] = STATE(566),
    [sym_preproc_undef] = STATE(566),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [567] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6896),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(567),
    [sym_preproc_endregion] = STATE(567),
    [sym_preproc_line] = STATE(567),
    [sym_preproc_pragma] = STATE(567),
    [sym_preproc_nullable] = STATE(567),
    [sym_preproc_error] = STATE(567),
    [sym_preproc_define] = STATE(567),
    [sym_preproc_undef] = STATE(567),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [568] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6893),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(568),
    [sym_preproc_endregion] = STATE(568),
    [sym_preproc_line] = STATE(568),
    [sym_preproc_pragma] = STATE(568),
    [sym_preproc_nullable] = STATE(568),
    [sym_preproc_error] = STATE(568),
    [sym_preproc_define] = STATE(568),
    [sym_preproc_undef] = STATE(568),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [569] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6874),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(569),
    [sym_preproc_endregion] = STATE(569),
    [sym_preproc_line] = STATE(569),
    [sym_preproc_pragma] = STATE(569),
    [sym_preproc_nullable] = STATE(569),
    [sym_preproc_error] = STATE(569),
    [sym_preproc_define] = STATE(569),
    [sym_preproc_undef] = STATE(569),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [570] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6837),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(570),
    [sym_preproc_endregion] = STATE(570),
    [sym_preproc_line] = STATE(570),
    [sym_preproc_pragma] = STATE(570),
    [sym_preproc_nullable] = STATE(570),
    [sym_preproc_error] = STATE(570),
    [sym_preproc_define] = STATE(570),
    [sym_preproc_undef] = STATE(570),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [571] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(571),
    [sym_preproc_endregion] = STATE(571),
    [sym_preproc_line] = STATE(571),
    [sym_preproc_pragma] = STATE(571),
    [sym_preproc_nullable] = STATE(571),
    [sym_preproc_error] = STATE(571),
    [sym_preproc_define] = STATE(571),
    [sym_preproc_undef] = STATE(571),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [572] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8856),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(572),
    [sym_preproc_endregion] = STATE(572),
    [sym_preproc_line] = STATE(572),
    [sym_preproc_pragma] = STATE(572),
    [sym_preproc_nullable] = STATE(572),
    [sym_preproc_error] = STATE(572),
    [sym_preproc_define] = STATE(572),
    [sym_preproc_undef] = STATE(572),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [573] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6869),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(573),
    [sym_preproc_endregion] = STATE(573),
    [sym_preproc_line] = STATE(573),
    [sym_preproc_pragma] = STATE(573),
    [sym_preproc_nullable] = STATE(573),
    [sym_preproc_error] = STATE(573),
    [sym_preproc_define] = STATE(573),
    [sym_preproc_undef] = STATE(573),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [574] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6884),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(574),
    [sym_preproc_endregion] = STATE(574),
    [sym_preproc_line] = STATE(574),
    [sym_preproc_pragma] = STATE(574),
    [sym_preproc_nullable] = STATE(574),
    [sym_preproc_error] = STATE(574),
    [sym_preproc_define] = STATE(574),
    [sym_preproc_undef] = STATE(574),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [575] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6897),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(575),
    [sym_preproc_endregion] = STATE(575),
    [sym_preproc_line] = STATE(575),
    [sym_preproc_pragma] = STATE(575),
    [sym_preproc_nullable] = STATE(575),
    [sym_preproc_error] = STATE(575),
    [sym_preproc_define] = STATE(575),
    [sym_preproc_undef] = STATE(575),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [576] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6824),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(576),
    [sym_preproc_endregion] = STATE(576),
    [sym_preproc_line] = STATE(576),
    [sym_preproc_pragma] = STATE(576),
    [sym_preproc_nullable] = STATE(576),
    [sym_preproc_error] = STATE(576),
    [sym_preproc_define] = STATE(576),
    [sym_preproc_undef] = STATE(576),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [577] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6879),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8916),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(6398),
    [sym_lvalue_expression] = STATE(4383),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2788),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(577),
    [sym_preproc_endregion] = STATE(577),
    [sym_preproc_line] = STATE(577),
    [sym_preproc_pragma] = STATE(577),
    [sym_preproc_nullable] = STATE(577),
    [sym_preproc_error] = STATE(577),
    [sym_preproc_define] = STATE(577),
    [sym_preproc_undef] = STATE(577),
    [aux_sym_class_declaration_repeat1] = STATE(3580),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(2603),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_out] = ACTIONS(1125),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(1133),
    [anon_sym_scoped] = ACTIONS(1135),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [578] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8426),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6920),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8991),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(578),
    [sym_preproc_endregion] = STATE(578),
    [sym_preproc_line] = STATE(578),
    [sym_preproc_pragma] = STATE(578),
    [sym_preproc_nullable] = STATE(578),
    [sym_preproc_error] = STATE(578),
    [sym_preproc_define] = STATE(578),
    [sym_preproc_undef] = STATE(578),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2607),
    [anon_sym_ref] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2611),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [579] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8478),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6920),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8953),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(579),
    [sym_preproc_endregion] = STATE(579),
    [sym_preproc_line] = STATE(579),
    [sym_preproc_pragma] = STATE(579),
    [sym_preproc_nullable] = STATE(579),
    [sym_preproc_error] = STATE(579),
    [sym_preproc_define] = STATE(579),
    [sym_preproc_undef] = STATE(579),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2613),
    [anon_sym_ref] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2611),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [580] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8505),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6920),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8950),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(580),
    [sym_preproc_endregion] = STATE(580),
    [sym_preproc_line] = STATE(580),
    [sym_preproc_pragma] = STATE(580),
    [sym_preproc_nullable] = STATE(580),
    [sym_preproc_error] = STATE(580),
    [sym_preproc_define] = STATE(580),
    [sym_preproc_undef] = STATE(580),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2615),
    [anon_sym_ref] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2611),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [581] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8426),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6920),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8885),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(581),
    [sym_preproc_endregion] = STATE(581),
    [sym_preproc_line] = STATE(581),
    [sym_preproc_pragma] = STATE(581),
    [sym_preproc_nullable] = STATE(581),
    [sym_preproc_error] = STATE(581),
    [sym_preproc_define] = STATE(581),
    [sym_preproc_undef] = STATE(581),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2607),
    [anon_sym_ref] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2611),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [582] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8630),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6920),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8815),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(582),
    [sym_preproc_endregion] = STATE(582),
    [sym_preproc_line] = STATE(582),
    [sym_preproc_pragma] = STATE(582),
    [sym_preproc_nullable] = STATE(582),
    [sym_preproc_error] = STATE(582),
    [sym_preproc_define] = STATE(582),
    [sym_preproc_undef] = STATE(582),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [anon_sym_ref] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2611),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [583] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8478),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6920),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8885),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(583),
    [sym_preproc_endregion] = STATE(583),
    [sym_preproc_line] = STATE(583),
    [sym_preproc_pragma] = STATE(583),
    [sym_preproc_nullable] = STATE(583),
    [sym_preproc_error] = STATE(583),
    [sym_preproc_define] = STATE(583),
    [sym_preproc_undef] = STATE(583),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2613),
    [anon_sym_ref] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2611),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [584] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8699),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6920),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8792),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(584),
    [sym_preproc_endregion] = STATE(584),
    [sym_preproc_line] = STATE(584),
    [sym_preproc_pragma] = STATE(584),
    [sym_preproc_nullable] = STATE(584),
    [sym_preproc_error] = STATE(584),
    [sym_preproc_define] = STATE(584),
    [sym_preproc_undef] = STATE(584),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2619),
    [anon_sym_ref] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2611),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [585] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(585),
    [sym_preproc_endregion] = STATE(585),
    [sym_preproc_line] = STATE(585),
    [sym_preproc_pragma] = STATE(585),
    [sym_preproc_nullable] = STATE(585),
    [sym_preproc_error] = STATE(585),
    [sym_preproc_define] = STATE(585),
    [sym_preproc_undef] = STATE(585),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [586] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(586),
    [sym_preproc_endregion] = STATE(586),
    [sym_preproc_line] = STATE(586),
    [sym_preproc_pragma] = STATE(586),
    [sym_preproc_nullable] = STATE(586),
    [sym_preproc_error] = STATE(586),
    [sym_preproc_define] = STATE(586),
    [sym_preproc_undef] = STATE(586),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [587] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8478),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(587),
    [sym_preproc_endregion] = STATE(587),
    [sym_preproc_line] = STATE(587),
    [sym_preproc_pragma] = STATE(587),
    [sym_preproc_nullable] = STATE(587),
    [sym_preproc_error] = STATE(587),
    [sym_preproc_define] = STATE(587),
    [sym_preproc_undef] = STATE(587),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2613),
    [anon_sym_ref] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [588] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8505),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(588),
    [sym_preproc_endregion] = STATE(588),
    [sym_preproc_line] = STATE(588),
    [sym_preproc_pragma] = STATE(588),
    [sym_preproc_nullable] = STATE(588),
    [sym_preproc_error] = STATE(588),
    [sym_preproc_define] = STATE(588),
    [sym_preproc_undef] = STATE(588),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2615),
    [anon_sym_ref] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [589] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8426),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(589),
    [sym_preproc_endregion] = STATE(589),
    [sym_preproc_line] = STATE(589),
    [sym_preproc_pragma] = STATE(589),
    [sym_preproc_nullable] = STATE(589),
    [sym_preproc_error] = STATE(589),
    [sym_preproc_define] = STATE(589),
    [sym_preproc_undef] = STATE(589),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2607),
    [anon_sym_ref] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [590] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5342),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9490),
    [sym_preproc_elif_in_expression] = STATE(9490),
    [sym_preproc_region] = STATE(590),
    [sym_preproc_endregion] = STATE(590),
    [sym_preproc_line] = STATE(590),
    [sym_preproc_pragma] = STATE(590),
    [sym_preproc_nullable] = STATE(590),
    [sym_preproc_error] = STATE(590),
    [sym_preproc_define] = STATE(590),
    [sym_preproc_undef] = STATE(590),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2627),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [591] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(591),
    [sym_preproc_endregion] = STATE(591),
    [sym_preproc_line] = STATE(591),
    [sym_preproc_pragma] = STATE(591),
    [sym_preproc_nullable] = STATE(591),
    [sym_preproc_error] = STATE(591),
    [sym_preproc_define] = STATE(591),
    [sym_preproc_undef] = STATE(591),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [592] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(592),
    [sym_preproc_endregion] = STATE(592),
    [sym_preproc_line] = STATE(592),
    [sym_preproc_pragma] = STATE(592),
    [sym_preproc_nullable] = STATE(592),
    [sym_preproc_error] = STATE(592),
    [sym_preproc_define] = STATE(592),
    [sym_preproc_undef] = STATE(592),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2635),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [593] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8699),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(593),
    [sym_preproc_endregion] = STATE(593),
    [sym_preproc_line] = STATE(593),
    [sym_preproc_pragma] = STATE(593),
    [sym_preproc_nullable] = STATE(593),
    [sym_preproc_error] = STATE(593),
    [sym_preproc_define] = STATE(593),
    [sym_preproc_undef] = STATE(593),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2619),
    [anon_sym_ref] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [594] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(594),
    [sym_preproc_endregion] = STATE(594),
    [sym_preproc_line] = STATE(594),
    [sym_preproc_pragma] = STATE(594),
    [sym_preproc_nullable] = STATE(594),
    [sym_preproc_error] = STATE(594),
    [sym_preproc_define] = STATE(594),
    [sym_preproc_undef] = STATE(594),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [595] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8630),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(595),
    [sym_preproc_endregion] = STATE(595),
    [sym_preproc_line] = STATE(595),
    [sym_preproc_pragma] = STATE(595),
    [sym_preproc_nullable] = STATE(595),
    [sym_preproc_error] = STATE(595),
    [sym_preproc_define] = STATE(595),
    [sym_preproc_undef] = STATE(595),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2617),
    [anon_sym_ref] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [596] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(596),
    [sym_preproc_endregion] = STATE(596),
    [sym_preproc_line] = STATE(596),
    [sym_preproc_pragma] = STATE(596),
    [sym_preproc_nullable] = STATE(596),
    [sym_preproc_error] = STATE(596),
    [sym_preproc_define] = STATE(596),
    [sym_preproc_undef] = STATE(596),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [597] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(597),
    [sym_preproc_endregion] = STATE(597),
    [sym_preproc_line] = STATE(597),
    [sym_preproc_pragma] = STATE(597),
    [sym_preproc_nullable] = STATE(597),
    [sym_preproc_error] = STATE(597),
    [sym_preproc_define] = STATE(597),
    [sym_preproc_undef] = STATE(597),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [598] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(598),
    [sym_preproc_endregion] = STATE(598),
    [sym_preproc_line] = STATE(598),
    [sym_preproc_pragma] = STATE(598),
    [sym_preproc_nullable] = STATE(598),
    [sym_preproc_error] = STATE(598),
    [sym_preproc_define] = STATE(598),
    [sym_preproc_undef] = STATE(598),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [599] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5278),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9082),
    [sym_preproc_elif_in_expression] = STATE(9082),
    [sym_preproc_region] = STATE(599),
    [sym_preproc_endregion] = STATE(599),
    [sym_preproc_line] = STATE(599),
    [sym_preproc_pragma] = STATE(599),
    [sym_preproc_nullable] = STATE(599),
    [sym_preproc_error] = STATE(599),
    [sym_preproc_define] = STATE(599),
    [sym_preproc_undef] = STATE(599),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2645),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [600] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5398),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9594),
    [sym_preproc_elif_in_expression] = STATE(9594),
    [sym_preproc_region] = STATE(600),
    [sym_preproc_endregion] = STATE(600),
    [sym_preproc_line] = STATE(600),
    [sym_preproc_pragma] = STATE(600),
    [sym_preproc_nullable] = STATE(600),
    [sym_preproc_error] = STATE(600),
    [sym_preproc_define] = STATE(600),
    [sym_preproc_undef] = STATE(600),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2647),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [601] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(601),
    [sym_preproc_endregion] = STATE(601),
    [sym_preproc_line] = STATE(601),
    [sym_preproc_pragma] = STATE(601),
    [sym_preproc_nullable] = STATE(601),
    [sym_preproc_error] = STATE(601),
    [sym_preproc_define] = STATE(601),
    [sym_preproc_undef] = STATE(601),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [602] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5274),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9449),
    [sym_preproc_elif_in_expression] = STATE(9449),
    [sym_preproc_region] = STATE(602),
    [sym_preproc_endregion] = STATE(602),
    [sym_preproc_line] = STATE(602),
    [sym_preproc_pragma] = STATE(602),
    [sym_preproc_nullable] = STATE(602),
    [sym_preproc_error] = STATE(602),
    [sym_preproc_define] = STATE(602),
    [sym_preproc_undef] = STATE(602),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2651),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [603] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5284),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9852),
    [sym_preproc_elif_in_expression] = STATE(9852),
    [sym_preproc_region] = STATE(603),
    [sym_preproc_endregion] = STATE(603),
    [sym_preproc_line] = STATE(603),
    [sym_preproc_pragma] = STATE(603),
    [sym_preproc_nullable] = STATE(603),
    [sym_preproc_error] = STATE(603),
    [sym_preproc_define] = STATE(603),
    [sym_preproc_undef] = STATE(603),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2653),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [604] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5237),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9308),
    [sym_preproc_elif_in_expression] = STATE(9308),
    [sym_preproc_region] = STATE(604),
    [sym_preproc_endregion] = STATE(604),
    [sym_preproc_line] = STATE(604),
    [sym_preproc_pragma] = STATE(604),
    [sym_preproc_nullable] = STATE(604),
    [sym_preproc_error] = STATE(604),
    [sym_preproc_define] = STATE(604),
    [sym_preproc_undef] = STATE(604),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2655),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [605] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(605),
    [sym_preproc_endregion] = STATE(605),
    [sym_preproc_line] = STATE(605),
    [sym_preproc_pragma] = STATE(605),
    [sym_preproc_nullable] = STATE(605),
    [sym_preproc_error] = STATE(605),
    [sym_preproc_define] = STATE(605),
    [sym_preproc_undef] = STATE(605),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [606] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(606),
    [sym_preproc_endregion] = STATE(606),
    [sym_preproc_line] = STATE(606),
    [sym_preproc_pragma] = STATE(606),
    [sym_preproc_nullable] = STATE(606),
    [sym_preproc_error] = STATE(606),
    [sym_preproc_define] = STATE(606),
    [sym_preproc_undef] = STATE(606),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [607] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5269),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_else_in_expression] = STATE(9160),
    [sym_preproc_elif_in_expression] = STATE(9160),
    [sym_preproc_region] = STATE(607),
    [sym_preproc_endregion] = STATE(607),
    [sym_preproc_line] = STATE(607),
    [sym_preproc_pragma] = STATE(607),
    [sym_preproc_nullable] = STATE(607),
    [sym_preproc_error] = STATE(607),
    [sym_preproc_define] = STATE(607),
    [sym_preproc_undef] = STATE(607),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2661),
    [aux_sym_preproc_else_token1] = ACTIONS(2629),
    [aux_sym_preproc_elif_token1] = ACTIONS(2631),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [608] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(608),
    [sym_preproc_endregion] = STATE(608),
    [sym_preproc_line] = STATE(608),
    [sym_preproc_pragma] = STATE(608),
    [sym_preproc_nullable] = STATE(608),
    [sym_preproc_error] = STATE(608),
    [sym_preproc_define] = STATE(608),
    [sym_preproc_undef] = STATE(608),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_RBRACK] = ACTIONS(2663),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [609] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6226),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(609),
    [sym_preproc_endregion] = STATE(609),
    [sym_preproc_line] = STATE(609),
    [sym_preproc_pragma] = STATE(609),
    [sym_preproc_nullable] = STATE(609),
    [sym_preproc_error] = STATE(609),
    [sym_preproc_define] = STATE(609),
    [sym_preproc_undef] = STATE(609),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [610] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8435),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(610),
    [sym_preproc_endregion] = STATE(610),
    [sym_preproc_line] = STATE(610),
    [sym_preproc_pragma] = STATE(610),
    [sym_preproc_nullable] = STATE(610),
    [sym_preproc_error] = STATE(610),
    [sym_preproc_define] = STATE(610),
    [sym_preproc_undef] = STATE(610),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [611] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(611),
    [sym_preproc_endregion] = STATE(611),
    [sym_preproc_line] = STATE(611),
    [sym_preproc_pragma] = STATE(611),
    [sym_preproc_nullable] = STATE(611),
    [sym_preproc_error] = STATE(611),
    [sym_preproc_define] = STATE(611),
    [sym_preproc_undef] = STATE(611),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [612] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8629),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(612),
    [sym_preproc_endregion] = STATE(612),
    [sym_preproc_line] = STATE(612),
    [sym_preproc_pragma] = STATE(612),
    [sym_preproc_nullable] = STATE(612),
    [sym_preproc_error] = STATE(612),
    [sym_preproc_define] = STATE(612),
    [sym_preproc_undef] = STATE(612),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [613] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8470),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(613),
    [sym_preproc_endregion] = STATE(613),
    [sym_preproc_line] = STATE(613),
    [sym_preproc_pragma] = STATE(613),
    [sym_preproc_nullable] = STATE(613),
    [sym_preproc_error] = STATE(613),
    [sym_preproc_define] = STATE(613),
    [sym_preproc_undef] = STATE(613),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [614] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6224),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(614),
    [sym_preproc_endregion] = STATE(614),
    [sym_preproc_line] = STATE(614),
    [sym_preproc_pragma] = STATE(614),
    [sym_preproc_nullable] = STATE(614),
    [sym_preproc_error] = STATE(614),
    [sym_preproc_define] = STATE(614),
    [sym_preproc_undef] = STATE(614),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [615] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8579),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(615),
    [sym_preproc_endregion] = STATE(615),
    [sym_preproc_line] = STATE(615),
    [sym_preproc_pragma] = STATE(615),
    [sym_preproc_nullable] = STATE(615),
    [sym_preproc_error] = STATE(615),
    [sym_preproc_define] = STATE(615),
    [sym_preproc_undef] = STATE(615),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [616] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8386),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(616),
    [sym_preproc_endregion] = STATE(616),
    [sym_preproc_line] = STATE(616),
    [sym_preproc_pragma] = STATE(616),
    [sym_preproc_nullable] = STATE(616),
    [sym_preproc_error] = STATE(616),
    [sym_preproc_define] = STATE(616),
    [sym_preproc_undef] = STATE(616),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [617] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8409),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(617),
    [sym_preproc_endregion] = STATE(617),
    [sym_preproc_line] = STATE(617),
    [sym_preproc_pragma] = STATE(617),
    [sym_preproc_nullable] = STATE(617),
    [sym_preproc_error] = STATE(617),
    [sym_preproc_define] = STATE(617),
    [sym_preproc_undef] = STATE(617),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [618] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6165),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(618),
    [sym_preproc_endregion] = STATE(618),
    [sym_preproc_line] = STATE(618),
    [sym_preproc_pragma] = STATE(618),
    [sym_preproc_nullable] = STATE(618),
    [sym_preproc_error] = STATE(618),
    [sym_preproc_define] = STATE(618),
    [sym_preproc_undef] = STATE(618),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [619] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8667),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5974),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(619),
    [sym_preproc_endregion] = STATE(619),
    [sym_preproc_line] = STATE(619),
    [sym_preproc_pragma] = STATE(619),
    [sym_preproc_nullable] = STATE(619),
    [sym_preproc_error] = STATE(619),
    [sym_preproc_define] = STATE(619),
    [sym_preproc_undef] = STATE(619),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [620] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_argument] = STATE(8743),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6219),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8463),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2774),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(620),
    [sym_preproc_endregion] = STATE(620),
    [sym_preproc_line] = STATE(620),
    [sym_preproc_pragma] = STATE(620),
    [sym_preproc_nullable] = STATE(620),
    [sym_preproc_error] = STATE(620),
    [sym_preproc_define] = STATE(620),
    [sym_preproc_undef] = STATE(620),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1077),
    [anon_sym_out] = ACTIONS(1077),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [621] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6713),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5947),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(621),
    [sym_preproc_endregion] = STATE(621),
    [sym_preproc_line] = STATE(621),
    [sym_preproc_pragma] = STATE(621),
    [sym_preproc_nullable] = STATE(621),
    [sym_preproc_error] = STATE(621),
    [sym_preproc_define] = STATE(621),
    [sym_preproc_undef] = STATE(621),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [622] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6707),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2839),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6747),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5869),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(622),
    [sym_preproc_endregion] = STATE(622),
    [sym_preproc_line] = STATE(622),
    [sym_preproc_pragma] = STATE(622),
    [sym_preproc_nullable] = STATE(622),
    [sym_preproc_error] = STATE(622),
    [sym_preproc_define] = STATE(622),
    [sym_preproc_undef] = STATE(622),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [623] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5970),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(623),
    [sym_preproc_endregion] = STATE(623),
    [sym_preproc_line] = STATE(623),
    [sym_preproc_pragma] = STATE(623),
    [sym_preproc_nullable] = STATE(623),
    [sym_preproc_error] = STATE(623),
    [sym_preproc_define] = STATE(623),
    [sym_preproc_undef] = STATE(623),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [624] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8466),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(624),
    [sym_preproc_endregion] = STATE(624),
    [sym_preproc_line] = STATE(624),
    [sym_preproc_pragma] = STATE(624),
    [sym_preproc_nullable] = STATE(624),
    [sym_preproc_error] = STATE(624),
    [sym_preproc_define] = STATE(624),
    [sym_preproc_undef] = STATE(624),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2671),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [625] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5818),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(625),
    [sym_preproc_endregion] = STATE(625),
    [sym_preproc_line] = STATE(625),
    [sym_preproc_pragma] = STATE(625),
    [sym_preproc_nullable] = STATE(625),
    [sym_preproc_error] = STATE(625),
    [sym_preproc_define] = STATE(625),
    [sym_preproc_undef] = STATE(625),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8658),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2677),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [626] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6735),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6656),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6517),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(626),
    [sym_preproc_endregion] = STATE(626),
    [sym_preproc_line] = STATE(626),
    [sym_preproc_pragma] = STATE(626),
    [sym_preproc_nullable] = STATE(626),
    [sym_preproc_error] = STATE(626),
    [sym_preproc_define] = STATE(626),
    [sym_preproc_undef] = STATE(626),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(2667),
    [anon_sym_alias] = ACTIONS(2667),
    [anon_sym_global] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_ref] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(2667),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(2667),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(2667),
    [anon_sym_notnull] = ACTIONS(2667),
    [anon_sym_unmanaged] = ACTIONS(2667),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(2667),
    [anon_sym_scoped] = ACTIONS(2667),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2667),
    [sym_predefined_type] = ACTIONS(2667),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(2667),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(2667),
    [anon_sym_into] = ACTIONS(2667),
    [anon_sym_join] = ACTIONS(2667),
    [anon_sym_on] = ACTIONS(2667),
    [anon_sym_equals] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_orderby] = ACTIONS(2667),
    [anon_sym_ascending] = ACTIONS(2667),
    [anon_sym_descending] = ACTIONS(2667),
    [anon_sym_group] = ACTIONS(2667),
    [anon_sym_by] = ACTIONS(2667),
    [anon_sym_select] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [627] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5846),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(627),
    [sym_preproc_endregion] = STATE(627),
    [sym_preproc_line] = STATE(627),
    [sym_preproc_pragma] = STATE(627),
    [sym_preproc_nullable] = STATE(627),
    [sym_preproc_error] = STATE(627),
    [sym_preproc_define] = STATE(627),
    [sym_preproc_undef] = STATE(627),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8636),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [628] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5868),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(628),
    [sym_preproc_endregion] = STATE(628),
    [sym_preproc_line] = STATE(628),
    [sym_preproc_pragma] = STATE(628),
    [sym_preproc_nullable] = STATE(628),
    [sym_preproc_error] = STATE(628),
    [sym_preproc_define] = STATE(628),
    [sym_preproc_undef] = STATE(628),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8529),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2683),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [629] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5973),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(629),
    [sym_preproc_endregion] = STATE(629),
    [sym_preproc_line] = STATE(629),
    [sym_preproc_pragma] = STATE(629),
    [sym_preproc_nullable] = STATE(629),
    [sym_preproc_error] = STATE(629),
    [sym_preproc_define] = STATE(629),
    [sym_preproc_undef] = STATE(629),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8433),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [630] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8378),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(630),
    [sym_preproc_endregion] = STATE(630),
    [sym_preproc_line] = STATE(630),
    [sym_preproc_pragma] = STATE(630),
    [sym_preproc_nullable] = STATE(630),
    [sym_preproc_error] = STATE(630),
    [sym_preproc_define] = STATE(630),
    [sym_preproc_undef] = STATE(630),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2687),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [631] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8638),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(631),
    [sym_preproc_endregion] = STATE(631),
    [sym_preproc_line] = STATE(631),
    [sym_preproc_pragma] = STATE(631),
    [sym_preproc_nullable] = STATE(631),
    [sym_preproc_error] = STATE(631),
    [sym_preproc_define] = STATE(631),
    [sym_preproc_undef] = STATE(631),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [632] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5912),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(632),
    [sym_preproc_endregion] = STATE(632),
    [sym_preproc_line] = STATE(632),
    [sym_preproc_pragma] = STATE(632),
    [sym_preproc_nullable] = STATE(632),
    [sym_preproc_error] = STATE(632),
    [sym_preproc_define] = STATE(632),
    [sym_preproc_undef] = STATE(632),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8512),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2695),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [633] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8657),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(633),
    [sym_preproc_endregion] = STATE(633),
    [sym_preproc_line] = STATE(633),
    [sym_preproc_pragma] = STATE(633),
    [sym_preproc_nullable] = STATE(633),
    [sym_preproc_error] = STATE(633),
    [sym_preproc_define] = STATE(633),
    [sym_preproc_undef] = STATE(633),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2699),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [634] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8480),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(634),
    [sym_preproc_endregion] = STATE(634),
    [sym_preproc_line] = STATE(634),
    [sym_preproc_pragma] = STATE(634),
    [sym_preproc_nullable] = STATE(634),
    [sym_preproc_error] = STATE(634),
    [sym_preproc_define] = STATE(634),
    [sym_preproc_undef] = STATE(634),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [635] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6026),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(635),
    [sym_preproc_endregion] = STATE(635),
    [sym_preproc_line] = STATE(635),
    [sym_preproc_pragma] = STATE(635),
    [sym_preproc_nullable] = STATE(635),
    [sym_preproc_error] = STATE(635),
    [sym_preproc_define] = STATE(635),
    [sym_preproc_undef] = STATE(635),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8660),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2705),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [636] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8507),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(636),
    [sym_preproc_endregion] = STATE(636),
    [sym_preproc_line] = STATE(636),
    [sym_preproc_pragma] = STATE(636),
    [sym_preproc_nullable] = STATE(636),
    [sym_preproc_error] = STATE(636),
    [sym_preproc_define] = STATE(636),
    [sym_preproc_undef] = STATE(636),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2707),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [637] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6094),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(637),
    [sym_preproc_endregion] = STATE(637),
    [sym_preproc_line] = STATE(637),
    [sym_preproc_pragma] = STATE(637),
    [sym_preproc_nullable] = STATE(637),
    [sym_preproc_error] = STATE(637),
    [sym_preproc_define] = STATE(637),
    [sym_preproc_undef] = STATE(637),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8515),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2711),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [638] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5923),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8596),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(638),
    [sym_preproc_endregion] = STATE(638),
    [sym_preproc_line] = STATE(638),
    [sym_preproc_pragma] = STATE(638),
    [sym_preproc_nullable] = STATE(638),
    [sym_preproc_error] = STATE(638),
    [sym_preproc_define] = STATE(638),
    [sym_preproc_undef] = STATE(638),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(2715),
    [anon_sym_out] = ACTIONS(2715),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [639] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5872),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(639),
    [sym_preproc_endregion] = STATE(639),
    [sym_preproc_line] = STATE(639),
    [sym_preproc_pragma] = STATE(639),
    [sym_preproc_nullable] = STATE(639),
    [sym_preproc_error] = STATE(639),
    [sym_preproc_define] = STATE(639),
    [sym_preproc_undef] = STATE(639),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_array_rank_specifier_repeat1] = STATE(8513),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RBRACK] = ACTIONS(2717),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [640] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6573),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(640),
    [sym_preproc_endregion] = STATE(640),
    [sym_preproc_line] = STATE(640),
    [sym_preproc_pragma] = STATE(640),
    [sym_preproc_nullable] = STATE(640),
    [sym_preproc_error] = STATE(640),
    [sym_preproc_define] = STATE(640),
    [sym_preproc_undef] = STATE(640),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [641] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6386),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(641),
    [sym_preproc_endregion] = STATE(641),
    [sym_preproc_line] = STATE(641),
    [sym_preproc_pragma] = STATE(641),
    [sym_preproc_nullable] = STATE(641),
    [sym_preproc_error] = STATE(641),
    [sym_preproc_define] = STATE(641),
    [sym_preproc_undef] = STATE(641),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(2723),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [642] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3023),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6362),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(642),
    [sym_preproc_endregion] = STATE(642),
    [sym_preproc_line] = STATE(642),
    [sym_preproc_pragma] = STATE(642),
    [sym_preproc_nullable] = STATE(642),
    [sym_preproc_error] = STATE(642),
    [sym_preproc_define] = STATE(642),
    [sym_preproc_undef] = STATE(642),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [643] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6364),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(643),
    [sym_preproc_endregion] = STATE(643),
    [sym_preproc_line] = STATE(643),
    [sym_preproc_pragma] = STATE(643),
    [sym_preproc_nullable] = STATE(643),
    [sym_preproc_error] = STATE(643),
    [sym_preproc_define] = STATE(643),
    [sym_preproc_undef] = STATE(643),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [644] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3225),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6374),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(644),
    [sym_preproc_endregion] = STATE(644),
    [sym_preproc_line] = STATE(644),
    [sym_preproc_pragma] = STATE(644),
    [sym_preproc_nullable] = STATE(644),
    [sym_preproc_error] = STATE(644),
    [sym_preproc_define] = STATE(644),
    [sym_preproc_undef] = STATE(644),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [645] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3923),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6466),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(5544),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(645),
    [sym_preproc_endregion] = STATE(645),
    [sym_preproc_line] = STATE(645),
    [sym_preproc_pragma] = STATE(645),
    [sym_preproc_nullable] = STATE(645),
    [sym_preproc_error] = STATE(645),
    [sym_preproc_define] = STATE(645),
    [sym_preproc_undef] = STATE(645),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [646] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(646),
    [sym_preproc_endregion] = STATE(646),
    [sym_preproc_line] = STATE(646),
    [sym_preproc_pragma] = STATE(646),
    [sym_preproc_nullable] = STATE(646),
    [sym_preproc_error] = STATE(646),
    [sym_preproc_define] = STATE(646),
    [sym_preproc_undef] = STATE(646),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [647] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6365),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(647),
    [sym_preproc_endregion] = STATE(647),
    [sym_preproc_line] = STATE(647),
    [sym_preproc_pragma] = STATE(647),
    [sym_preproc_nullable] = STATE(647),
    [sym_preproc_error] = STATE(647),
    [sym_preproc_define] = STATE(647),
    [sym_preproc_undef] = STATE(647),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [648] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6667),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(648),
    [sym_preproc_endregion] = STATE(648),
    [sym_preproc_line] = STATE(648),
    [sym_preproc_pragma] = STATE(648),
    [sym_preproc_nullable] = STATE(648),
    [sym_preproc_error] = STATE(648),
    [sym_preproc_define] = STATE(648),
    [sym_preproc_undef] = STATE(648),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [649] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6369),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(649),
    [sym_preproc_endregion] = STATE(649),
    [sym_preproc_line] = STATE(649),
    [sym_preproc_pragma] = STATE(649),
    [sym_preproc_nullable] = STATE(649),
    [sym_preproc_error] = STATE(649),
    [sym_preproc_define] = STATE(649),
    [sym_preproc_undef] = STATE(649),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [650] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6713),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6198),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(650),
    [sym_preproc_endregion] = STATE(650),
    [sym_preproc_line] = STATE(650),
    [sym_preproc_pragma] = STATE(650),
    [sym_preproc_nullable] = STATE(650),
    [sym_preproc_error] = STATE(650),
    [sym_preproc_define] = STATE(650),
    [sym_preproc_undef] = STATE(650),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [651] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(651),
    [sym_preproc_endregion] = STATE(651),
    [sym_preproc_line] = STATE(651),
    [sym_preproc_pragma] = STATE(651),
    [sym_preproc_nullable] = STATE(651),
    [sym_preproc_error] = STATE(651),
    [sym_preproc_define] = STATE(651),
    [sym_preproc_undef] = STATE(651),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2739),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [652] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6713),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5947),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(652),
    [sym_preproc_endregion] = STATE(652),
    [sym_preproc_line] = STATE(652),
    [sym_preproc_pragma] = STATE(652),
    [sym_preproc_nullable] = STATE(652),
    [sym_preproc_error] = STATE(652),
    [sym_preproc_define] = STATE(652),
    [sym_preproc_undef] = STATE(652),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [653] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5842),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(653),
    [sym_preproc_endregion] = STATE(653),
    [sym_preproc_line] = STATE(653),
    [sym_preproc_pragma] = STATE(653),
    [sym_preproc_nullable] = STATE(653),
    [sym_preproc_error] = STATE(653),
    [sym_preproc_define] = STATE(653),
    [sym_preproc_undef] = STATE(653),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2747),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [654] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6664),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(654),
    [sym_preproc_endregion] = STATE(654),
    [sym_preproc_line] = STATE(654),
    [sym_preproc_pragma] = STATE(654),
    [sym_preproc_nullable] = STATE(654),
    [sym_preproc_error] = STATE(654),
    [sym_preproc_define] = STATE(654),
    [sym_preproc_undef] = STATE(654),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(2751),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [655] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(655),
    [sym_preproc_endregion] = STATE(655),
    [sym_preproc_line] = STATE(655),
    [sym_preproc_pragma] = STATE(655),
    [sym_preproc_nullable] = STATE(655),
    [sym_preproc_error] = STATE(655),
    [sym_preproc_define] = STATE(655),
    [sym_preproc_undef] = STATE(655),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [656] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(656),
    [sym_preproc_endregion] = STATE(656),
    [sym_preproc_line] = STATE(656),
    [sym_preproc_pragma] = STATE(656),
    [sym_preproc_nullable] = STATE(656),
    [sym_preproc_error] = STATE(656),
    [sym_preproc_define] = STATE(656),
    [sym_preproc_undef] = STATE(656),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [657] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9192),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6417),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(657),
    [sym_preproc_endregion] = STATE(657),
    [sym_preproc_line] = STATE(657),
    [sym_preproc_pragma] = STATE(657),
    [sym_preproc_nullable] = STATE(657),
    [sym_preproc_error] = STATE(657),
    [sym_preproc_define] = STATE(657),
    [sym_preproc_undef] = STATE(657),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [658] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(658),
    [sym_preproc_endregion] = STATE(658),
    [sym_preproc_line] = STATE(658),
    [sym_preproc_pragma] = STATE(658),
    [sym_preproc_nullable] = STATE(658),
    [sym_preproc_error] = STATE(658),
    [sym_preproc_define] = STATE(658),
    [sym_preproc_undef] = STATE(658),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [659] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6430),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(659),
    [sym_preproc_endregion] = STATE(659),
    [sym_preproc_line] = STATE(659),
    [sym_preproc_pragma] = STATE(659),
    [sym_preproc_nullable] = STATE(659),
    [sym_preproc_error] = STATE(659),
    [sym_preproc_define] = STATE(659),
    [sym_preproc_undef] = STATE(659),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [660] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3023),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6567),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(660),
    [sym_preproc_endregion] = STATE(660),
    [sym_preproc_line] = STATE(660),
    [sym_preproc_pragma] = STATE(660),
    [sym_preproc_nullable] = STATE(660),
    [sym_preproc_error] = STATE(660),
    [sym_preproc_define] = STATE(660),
    [sym_preproc_undef] = STATE(660),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [661] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9430),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6442),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(661),
    [sym_preproc_endregion] = STATE(661),
    [sym_preproc_line] = STATE(661),
    [sym_preproc_pragma] = STATE(661),
    [sym_preproc_nullable] = STATE(661),
    [sym_preproc_error] = STATE(661),
    [sym_preproc_define] = STATE(661),
    [sym_preproc_undef] = STATE(661),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [662] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(662),
    [sym_preproc_endregion] = STATE(662),
    [sym_preproc_line] = STATE(662),
    [sym_preproc_pragma] = STATE(662),
    [sym_preproc_nullable] = STATE(662),
    [sym_preproc_error] = STATE(662),
    [sym_preproc_define] = STATE(662),
    [sym_preproc_undef] = STATE(662),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [663] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6713),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6198),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(663),
    [sym_preproc_endregion] = STATE(663),
    [sym_preproc_line] = STATE(663),
    [sym_preproc_pragma] = STATE(663),
    [sym_preproc_nullable] = STATE(663),
    [sym_preproc_error] = STATE(663),
    [sym_preproc_define] = STATE(663),
    [sym_preproc_undef] = STATE(663),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [664] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3225),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6346),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(664),
    [sym_preproc_endregion] = STATE(664),
    [sym_preproc_line] = STATE(664),
    [sym_preproc_pragma] = STATE(664),
    [sym_preproc_nullable] = STATE(664),
    [sym_preproc_error] = STATE(664),
    [sym_preproc_define] = STATE(664),
    [sym_preproc_undef] = STATE(664),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [665] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(665),
    [sym_preproc_endregion] = STATE(665),
    [sym_preproc_line] = STATE(665),
    [sym_preproc_pragma] = STATE(665),
    [sym_preproc_nullable] = STATE(665),
    [sym_preproc_error] = STATE(665),
    [sym_preproc_define] = STATE(665),
    [sym_preproc_undef] = STATE(665),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [666] = {
    [sym_attribute_argument] = STATE(8384),
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6216),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2850),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(666),
    [sym_preproc_endregion] = STATE(666),
    [sym_preproc_line] = STATE(666),
    [sym_preproc_pragma] = STATE(666),
    [sym_preproc_nullable] = STATE(666),
    [sym_preproc_error] = STATE(666),
    [sym_preproc_define] = STATE(666),
    [sym_preproc_undef] = STATE(666),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2767),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [667] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(667),
    [sym_preproc_endregion] = STATE(667),
    [sym_preproc_line] = STATE(667),
    [sym_preproc_pragma] = STATE(667),
    [sym_preproc_nullable] = STATE(667),
    [sym_preproc_error] = STATE(667),
    [sym_preproc_define] = STATE(667),
    [sym_preproc_undef] = STATE(667),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [668] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6428),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(668),
    [sym_preproc_endregion] = STATE(668),
    [sym_preproc_line] = STATE(668),
    [sym_preproc_pragma] = STATE(668),
    [sym_preproc_nullable] = STATE(668),
    [sym_preproc_error] = STATE(668),
    [sym_preproc_define] = STATE(668),
    [sym_preproc_undef] = STATE(668),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [669] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5852),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(669),
    [sym_preproc_endregion] = STATE(669),
    [sym_preproc_line] = STATE(669),
    [sym_preproc_pragma] = STATE(669),
    [sym_preproc_nullable] = STATE(669),
    [sym_preproc_error] = STATE(669),
    [sym_preproc_define] = STATE(669),
    [sym_preproc_undef] = STATE(669),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(731),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [670] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(670),
    [sym_preproc_endregion] = STATE(670),
    [sym_preproc_line] = STATE(670),
    [sym_preproc_pragma] = STATE(670),
    [sym_preproc_nullable] = STATE(670),
    [sym_preproc_error] = STATE(670),
    [sym_preproc_define] = STATE(670),
    [sym_preproc_undef] = STATE(670),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [671] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9202),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6540),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(671),
    [sym_preproc_endregion] = STATE(671),
    [sym_preproc_line] = STATE(671),
    [sym_preproc_pragma] = STATE(671),
    [sym_preproc_nullable] = STATE(671),
    [sym_preproc_error] = STATE(671),
    [sym_preproc_define] = STATE(671),
    [sym_preproc_undef] = STATE(671),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [672] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6519),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(672),
    [sym_preproc_endregion] = STATE(672),
    [sym_preproc_line] = STATE(672),
    [sym_preproc_pragma] = STATE(672),
    [sym_preproc_nullable] = STATE(672),
    [sym_preproc_error] = STATE(672),
    [sym_preproc_define] = STATE(672),
    [sym_preproc_undef] = STATE(672),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2775),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [673] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(673),
    [sym_preproc_endregion] = STATE(673),
    [sym_preproc_line] = STATE(673),
    [sym_preproc_pragma] = STATE(673),
    [sym_preproc_nullable] = STATE(673),
    [sym_preproc_error] = STATE(673),
    [sym_preproc_define] = STATE(673),
    [sym_preproc_undef] = STATE(673),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [674] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3561),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6323),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4608),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(674),
    [sym_preproc_endregion] = STATE(674),
    [sym_preproc_line] = STATE(674),
    [sym_preproc_pragma] = STATE(674),
    [sym_preproc_nullable] = STATE(674),
    [sym_preproc_error] = STATE(674),
    [sym_preproc_define] = STATE(674),
    [sym_preproc_undef] = STATE(674),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [675] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3023),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6320),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(675),
    [sym_preproc_endregion] = STATE(675),
    [sym_preproc_line] = STATE(675),
    [sym_preproc_pragma] = STATE(675),
    [sym_preproc_nullable] = STATE(675),
    [sym_preproc_error] = STATE(675),
    [sym_preproc_define] = STATE(675),
    [sym_preproc_undef] = STATE(675),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [676] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6354),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(676),
    [sym_preproc_endregion] = STATE(676),
    [sym_preproc_line] = STATE(676),
    [sym_preproc_pragma] = STATE(676),
    [sym_preproc_nullable] = STATE(676),
    [sym_preproc_error] = STATE(676),
    [sym_preproc_define] = STATE(676),
    [sym_preproc_undef] = STATE(676),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [677] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9587),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6844),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6042),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(677),
    [sym_preproc_endregion] = STATE(677),
    [sym_preproc_line] = STATE(677),
    [sym_preproc_pragma] = STATE(677),
    [sym_preproc_nullable] = STATE(677),
    [sym_preproc_error] = STATE(677),
    [sym_preproc_define] = STATE(677),
    [sym_preproc_undef] = STATE(677),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [678] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6524),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(678),
    [sym_preproc_endregion] = STATE(678),
    [sym_preproc_line] = STATE(678),
    [sym_preproc_pragma] = STATE(678),
    [sym_preproc_nullable] = STATE(678),
    [sym_preproc_error] = STATE(678),
    [sym_preproc_define] = STATE(678),
    [sym_preproc_undef] = STATE(678),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [679] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3923),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(5544),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(679),
    [sym_preproc_endregion] = STATE(679),
    [sym_preproc_line] = STATE(679),
    [sym_preproc_pragma] = STATE(679),
    [sym_preproc_nullable] = STATE(679),
    [sym_preproc_error] = STATE(679),
    [sym_preproc_define] = STATE(679),
    [sym_preproc_undef] = STATE(679),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [680] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6443),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(680),
    [sym_preproc_endregion] = STATE(680),
    [sym_preproc_line] = STATE(680),
    [sym_preproc_pragma] = STATE(680),
    [sym_preproc_nullable] = STATE(680),
    [sym_preproc_error] = STATE(680),
    [sym_preproc_define] = STATE(680),
    [sym_preproc_undef] = STATE(680),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [681] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6341),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(681),
    [sym_preproc_endregion] = STATE(681),
    [sym_preproc_line] = STATE(681),
    [sym_preproc_pragma] = STATE(681),
    [sym_preproc_nullable] = STATE(681),
    [sym_preproc_error] = STATE(681),
    [sym_preproc_define] = STATE(681),
    [sym_preproc_undef] = STATE(681),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [682] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3225),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6351),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(682),
    [sym_preproc_endregion] = STATE(682),
    [sym_preproc_line] = STATE(682),
    [sym_preproc_pragma] = STATE(682),
    [sym_preproc_nullable] = STATE(682),
    [sym_preproc_error] = STATE(682),
    [sym_preproc_define] = STATE(682),
    [sym_preproc_undef] = STATE(682),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [683] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6361),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(683),
    [sym_preproc_endregion] = STATE(683),
    [sym_preproc_line] = STATE(683),
    [sym_preproc_pragma] = STATE(683),
    [sym_preproc_nullable] = STATE(683),
    [sym_preproc_error] = STATE(683),
    [sym_preproc_define] = STATE(683),
    [sym_preproc_undef] = STATE(683),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [684] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6713),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5836),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8412),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(684),
    [sym_preproc_endregion] = STATE(684),
    [sym_preproc_line] = STATE(684),
    [sym_preproc_pragma] = STATE(684),
    [sym_preproc_nullable] = STATE(684),
    [sym_preproc_error] = STATE(684),
    [sym_preproc_define] = STATE(684),
    [sym_preproc_undef] = STATE(684),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [685] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6444),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(685),
    [sym_preproc_endregion] = STATE(685),
    [sym_preproc_line] = STATE(685),
    [sym_preproc_pragma] = STATE(685),
    [sym_preproc_nullable] = STATE(685),
    [sym_preproc_error] = STATE(685),
    [sym_preproc_define] = STATE(685),
    [sym_preproc_undef] = STATE(685),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(2787),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [686] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9906),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6673),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(686),
    [sym_preproc_endregion] = STATE(686),
    [sym_preproc_line] = STATE(686),
    [sym_preproc_pragma] = STATE(686),
    [sym_preproc_nullable] = STATE(686),
    [sym_preproc_error] = STATE(686),
    [sym_preproc_define] = STATE(686),
    [sym_preproc_undef] = STATE(686),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [687] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9509),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6844),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6050),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(687),
    [sym_preproc_endregion] = STATE(687),
    [sym_preproc_line] = STATE(687),
    [sym_preproc_pragma] = STATE(687),
    [sym_preproc_nullable] = STATE(687),
    [sym_preproc_error] = STATE(687),
    [sym_preproc_define] = STATE(687),
    [sym_preproc_undef] = STATE(687),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [688] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6202),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(688),
    [sym_preproc_endregion] = STATE(688),
    [sym_preproc_line] = STATE(688),
    [sym_preproc_pragma] = STATE(688),
    [sym_preproc_nullable] = STATE(688),
    [sym_preproc_error] = STATE(688),
    [sym_preproc_define] = STATE(688),
    [sym_preproc_undef] = STATE(688),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(2793),
    [anon_sym_RBRACK] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [689] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6387),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(689),
    [sym_preproc_endregion] = STATE(689),
    [sym_preproc_line] = STATE(689),
    [sym_preproc_pragma] = STATE(689),
    [sym_preproc_nullable] = STATE(689),
    [sym_preproc_error] = STATE(689),
    [sym_preproc_define] = STATE(689),
    [sym_preproc_undef] = STATE(689),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [690] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6439),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(690),
    [sym_preproc_endregion] = STATE(690),
    [sym_preproc_line] = STATE(690),
    [sym_preproc_pragma] = STATE(690),
    [sym_preproc_nullable] = STATE(690),
    [sym_preproc_error] = STATE(690),
    [sym_preproc_define] = STATE(690),
    [sym_preproc_undef] = STATE(690),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [691] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5814),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(691),
    [sym_preproc_endregion] = STATE(691),
    [sym_preproc_line] = STATE(691),
    [sym_preproc_pragma] = STATE(691),
    [sym_preproc_nullable] = STATE(691),
    [sym_preproc_error] = STATE(691),
    [sym_preproc_define] = STATE(691),
    [sym_preproc_undef] = STATE(691),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [692] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9384),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6516),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(692),
    [sym_preproc_endregion] = STATE(692),
    [sym_preproc_line] = STATE(692),
    [sym_preproc_pragma] = STATE(692),
    [sym_preproc_nullable] = STATE(692),
    [sym_preproc_error] = STATE(692),
    [sym_preproc_define] = STATE(692),
    [sym_preproc_undef] = STATE(692),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [693] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6100),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(693),
    [sym_preproc_endregion] = STATE(693),
    [sym_preproc_line] = STATE(693),
    [sym_preproc_pragma] = STATE(693),
    [sym_preproc_nullable] = STATE(693),
    [sym_preproc_error] = STATE(693),
    [sym_preproc_define] = STATE(693),
    [sym_preproc_undef] = STATE(693),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [694] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6557),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(694),
    [sym_preproc_endregion] = STATE(694),
    [sym_preproc_line] = STATE(694),
    [sym_preproc_pragma] = STATE(694),
    [sym_preproc_nullable] = STATE(694),
    [sym_preproc_error] = STATE(694),
    [sym_preproc_define] = STATE(694),
    [sym_preproc_undef] = STATE(694),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2775),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [695] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3561),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6462),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4608),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(695),
    [sym_preproc_endregion] = STATE(695),
    [sym_preproc_line] = STATE(695),
    [sym_preproc_pragma] = STATE(695),
    [sym_preproc_nullable] = STATE(695),
    [sym_preproc_error] = STATE(695),
    [sym_preproc_define] = STATE(695),
    [sym_preproc_undef] = STATE(695),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [696] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3561),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6446),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4608),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(696),
    [sym_preproc_endregion] = STATE(696),
    [sym_preproc_line] = STATE(696),
    [sym_preproc_pragma] = STATE(696),
    [sym_preproc_nullable] = STATE(696),
    [sym_preproc_error] = STATE(696),
    [sym_preproc_define] = STATE(696),
    [sym_preproc_undef] = STATE(696),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [697] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(697),
    [sym_preproc_endregion] = STATE(697),
    [sym_preproc_line] = STATE(697),
    [sym_preproc_pragma] = STATE(697),
    [sym_preproc_nullable] = STATE(697),
    [sym_preproc_error] = STATE(697),
    [sym_preproc_define] = STATE(697),
    [sym_preproc_undef] = STATE(697),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [698] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3923),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6459),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(5544),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(698),
    [sym_preproc_endregion] = STATE(698),
    [sym_preproc_line] = STATE(698),
    [sym_preproc_pragma] = STATE(698),
    [sym_preproc_nullable] = STATE(698),
    [sym_preproc_error] = STATE(698),
    [sym_preproc_define] = STATE(698),
    [sym_preproc_undef] = STATE(698),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [699] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6713),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5947),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(699),
    [sym_preproc_endregion] = STATE(699),
    [sym_preproc_line] = STATE(699),
    [sym_preproc_pragma] = STATE(699),
    [sym_preproc_nullable] = STATE(699),
    [sym_preproc_error] = STATE(699),
    [sym_preproc_define] = STATE(699),
    [sym_preproc_undef] = STATE(699),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [700] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3023),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6629),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(700),
    [sym_preproc_endregion] = STATE(700),
    [sym_preproc_line] = STATE(700),
    [sym_preproc_pragma] = STATE(700),
    [sym_preproc_nullable] = STATE(700),
    [sym_preproc_error] = STATE(700),
    [sym_preproc_define] = STATE(700),
    [sym_preproc_undef] = STATE(700),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [701] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3023),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6330),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(701),
    [sym_preproc_endregion] = STATE(701),
    [sym_preproc_line] = STATE(701),
    [sym_preproc_pragma] = STATE(701),
    [sym_preproc_nullable] = STATE(701),
    [sym_preproc_error] = STATE(701),
    [sym_preproc_define] = STATE(701),
    [sym_preproc_undef] = STATE(701),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [702] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3923),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6463),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(5544),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(702),
    [sym_preproc_endregion] = STATE(702),
    [sym_preproc_line] = STATE(702),
    [sym_preproc_pragma] = STATE(702),
    [sym_preproc_nullable] = STATE(702),
    [sym_preproc_error] = STATE(702),
    [sym_preproc_define] = STATE(702),
    [sym_preproc_undef] = STATE(702),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [703] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9693),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6844),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6088),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(703),
    [sym_preproc_endregion] = STATE(703),
    [sym_preproc_line] = STATE(703),
    [sym_preproc_pragma] = STATE(703),
    [sym_preproc_nullable] = STATE(703),
    [sym_preproc_error] = STATE(703),
    [sym_preproc_define] = STATE(703),
    [sym_preproc_undef] = STATE(703),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2801),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [704] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6606),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(704),
    [sym_preproc_endregion] = STATE(704),
    [sym_preproc_line] = STATE(704),
    [sym_preproc_pragma] = STATE(704),
    [sym_preproc_nullable] = STATE(704),
    [sym_preproc_error] = STATE(704),
    [sym_preproc_define] = STATE(704),
    [sym_preproc_undef] = STATE(704),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [705] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6473),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(705),
    [sym_preproc_endregion] = STATE(705),
    [sym_preproc_line] = STATE(705),
    [sym_preproc_pragma] = STATE(705),
    [sym_preproc_nullable] = STATE(705),
    [sym_preproc_error] = STATE(705),
    [sym_preproc_define] = STATE(705),
    [sym_preproc_undef] = STATE(705),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [706] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3799),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6345),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(706),
    [sym_preproc_endregion] = STATE(706),
    [sym_preproc_line] = STATE(706),
    [sym_preproc_pragma] = STATE(706),
    [sym_preproc_nullable] = STATE(706),
    [sym_preproc_error] = STATE(706),
    [sym_preproc_define] = STATE(706),
    [sym_preproc_undef] = STATE(706),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [707] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3225),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6367),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(707),
    [sym_preproc_endregion] = STATE(707),
    [sym_preproc_line] = STATE(707),
    [sym_preproc_pragma] = STATE(707),
    [sym_preproc_nullable] = STATE(707),
    [sym_preproc_error] = STATE(707),
    [sym_preproc_define] = STATE(707),
    [sym_preproc_undef] = STATE(707),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [708] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_variable_declaration] = STATE(9755),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6844),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6090),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(708),
    [sym_preproc_endregion] = STATE(708),
    [sym_preproc_line] = STATE(708),
    [sym_preproc_pragma] = STATE(708),
    [sym_preproc_nullable] = STATE(708),
    [sym_preproc_error] = STATE(708),
    [sym_preproc_define] = STATE(708),
    [sym_preproc_undef] = STATE(708),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [709] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6008),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(709),
    [sym_preproc_endregion] = STATE(709),
    [sym_preproc_line] = STATE(709),
    [sym_preproc_pragma] = STATE(709),
    [sym_preproc_nullable] = STATE(709),
    [sym_preproc_error] = STATE(709),
    [sym_preproc_define] = STATE(709),
    [sym_preproc_undef] = STATE(709),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [710] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6496),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(710),
    [sym_preproc_endregion] = STATE(710),
    [sym_preproc_line] = STATE(710),
    [sym_preproc_pragma] = STATE(710),
    [sym_preproc_nullable] = STATE(710),
    [sym_preproc_error] = STATE(710),
    [sym_preproc_define] = STATE(710),
    [sym_preproc_undef] = STATE(710),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [711] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9436),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6508),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(711),
    [sym_preproc_endregion] = STATE(711),
    [sym_preproc_line] = STATE(711),
    [sym_preproc_pragma] = STATE(711),
    [sym_preproc_nullable] = STATE(711),
    [sym_preproc_error] = STATE(711),
    [sym_preproc_define] = STATE(711),
    [sym_preproc_undef] = STATE(711),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [712] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6400),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(712),
    [sym_preproc_endregion] = STATE(712),
    [sym_preproc_line] = STATE(712),
    [sym_preproc_pragma] = STATE(712),
    [sym_preproc_nullable] = STATE(712),
    [sym_preproc_error] = STATE(712),
    [sym_preproc_define] = STATE(712),
    [sym_preproc_undef] = STATE(712),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2811),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [713] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6538),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(713),
    [sym_preproc_endregion] = STATE(713),
    [sym_preproc_line] = STATE(713),
    [sym_preproc_pragma] = STATE(713),
    [sym_preproc_nullable] = STATE(713),
    [sym_preproc_error] = STATE(713),
    [sym_preproc_define] = STATE(713),
    [sym_preproc_undef] = STATE(713),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [714] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9746),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6592),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(714),
    [sym_preproc_endregion] = STATE(714),
    [sym_preproc_line] = STATE(714),
    [sym_preproc_pragma] = STATE(714),
    [sym_preproc_nullable] = STATE(714),
    [sym_preproc_error] = STATE(714),
    [sym_preproc_define] = STATE(714),
    [sym_preproc_undef] = STATE(714),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [715] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_using_variable_declaration] = STATE(9346),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_expression] = STATE(6418),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(715),
    [sym_preproc_endregion] = STATE(715),
    [sym_preproc_line] = STATE(715),
    [sym_preproc_pragma] = STATE(715),
    [sym_preproc_nullable] = STATE(715),
    [sym_preproc_error] = STATE(715),
    [sym_preproc_define] = STATE(715),
    [sym_preproc_undef] = STATE(715),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [716] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6564),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(716),
    [sym_preproc_endregion] = STATE(716),
    [sym_preproc_line] = STATE(716),
    [sym_preproc_pragma] = STATE(716),
    [sym_preproc_nullable] = STATE(716),
    [sym_preproc_error] = STATE(716),
    [sym_preproc_define] = STATE(716),
    [sym_preproc_undef] = STATE(716),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [717] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3023),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(717),
    [sym_preproc_endregion] = STATE(717),
    [sym_preproc_line] = STATE(717),
    [sym_preproc_pragma] = STATE(717),
    [sym_preproc_nullable] = STATE(717),
    [sym_preproc_error] = STATE(717),
    [sym_preproc_define] = STATE(717),
    [sym_preproc_undef] = STATE(717),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [718] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6674),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(718),
    [sym_preproc_endregion] = STATE(718),
    [sym_preproc_line] = STATE(718),
    [sym_preproc_pragma] = STATE(718),
    [sym_preproc_nullable] = STATE(718),
    [sym_preproc_error] = STATE(718),
    [sym_preproc_define] = STATE(718),
    [sym_preproc_undef] = STATE(718),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [719] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6461),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(719),
    [sym_preproc_endregion] = STATE(719),
    [sym_preproc_line] = STATE(719),
    [sym_preproc_pragma] = STATE(719),
    [sym_preproc_nullable] = STATE(719),
    [sym_preproc_error] = STATE(719),
    [sym_preproc_define] = STATE(719),
    [sym_preproc_undef] = STATE(719),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2813),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [720] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3035),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6578),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3771),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(720),
    [sym_preproc_endregion] = STATE(720),
    [sym_preproc_line] = STATE(720),
    [sym_preproc_pragma] = STATE(720),
    [sym_preproc_nullable] = STATE(720),
    [sym_preproc_error] = STATE(720),
    [sym_preproc_define] = STATE(720),
    [sym_preproc_undef] = STATE(720),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [721] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(721),
    [sym_preproc_endregion] = STATE(721),
    [sym_preproc_line] = STATE(721),
    [sym_preproc_pragma] = STATE(721),
    [sym_preproc_nullable] = STATE(721),
    [sym_preproc_error] = STATE(721),
    [sym_preproc_define] = STATE(721),
    [sym_preproc_undef] = STATE(721),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [722] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3225),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6371),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(722),
    [sym_preproc_endregion] = STATE(722),
    [sym_preproc_line] = STATE(722),
    [sym_preproc_pragma] = STATE(722),
    [sym_preproc_nullable] = STATE(722),
    [sym_preproc_error] = STATE(722),
    [sym_preproc_define] = STATE(722),
    [sym_preproc_undef] = STATE(722),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [723] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(723),
    [sym_preproc_endregion] = STATE(723),
    [sym_preproc_line] = STATE(723),
    [sym_preproc_pragma] = STATE(723),
    [sym_preproc_nullable] = STATE(723),
    [sym_preproc_error] = STATE(723),
    [sym_preproc_define] = STATE(723),
    [sym_preproc_undef] = STATE(723),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [724] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3561),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6344),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4608),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(724),
    [sym_preproc_endregion] = STATE(724),
    [sym_preproc_line] = STATE(724),
    [sym_preproc_pragma] = STATE(724),
    [sym_preproc_nullable] = STATE(724),
    [sym_preproc_error] = STATE(724),
    [sym_preproc_define] = STATE(724),
    [sym_preproc_undef] = STATE(724),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [725] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3023),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6359),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(3639),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(725),
    [sym_preproc_endregion] = STATE(725),
    [sym_preproc_line] = STATE(725),
    [sym_preproc_pragma] = STATE(725),
    [sym_preproc_nullable] = STATE(725),
    [sym_preproc_error] = STATE(725),
    [sym_preproc_define] = STATE(725),
    [sym_preproc_undef] = STATE(725),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [726] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6349),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(726),
    [sym_preproc_endregion] = STATE(726),
    [sym_preproc_line] = STATE(726),
    [sym_preproc_pragma] = STATE(726),
    [sym_preproc_nullable] = STATE(726),
    [sym_preproc_error] = STATE(726),
    [sym_preproc_define] = STATE(726),
    [sym_preproc_undef] = STATE(726),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [727] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3225),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6372),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4033),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(727),
    [sym_preproc_endregion] = STATE(727),
    [sym_preproc_line] = STATE(727),
    [sym_preproc_pragma] = STATE(727),
    [sym_preproc_nullable] = STATE(727),
    [sym_preproc_error] = STATE(727),
    [sym_preproc_define] = STATE(727),
    [sym_preproc_undef] = STATE(727),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [728] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(728),
    [sym_preproc_endregion] = STATE(728),
    [sym_preproc_line] = STATE(728),
    [sym_preproc_pragma] = STATE(728),
    [sym_preproc_nullable] = STATE(728),
    [sym_preproc_error] = STATE(728),
    [sym_preproc_define] = STATE(728),
    [sym_preproc_undef] = STATE(728),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [729] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3305),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6324),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_member_binding_expression] = STATE(4131),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(729),
    [sym_preproc_endregion] = STATE(729),
    [sym_preproc_line] = STATE(729),
    [sym_preproc_pragma] = STATE(729),
    [sym_preproc_nullable] = STATE(729),
    [sym_preproc_error] = STATE(729),
    [sym_preproc_define] = STATE(729),
    [sym_preproc_undef] = STATE(729),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_DOT] = ACTIONS(2729),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [730] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5971),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(730),
    [sym_preproc_endregion] = STATE(730),
    [sym_preproc_line] = STATE(730),
    [sym_preproc_pragma] = STATE(730),
    [sym_preproc_nullable] = STATE(730),
    [sym_preproc_error] = STATE(730),
    [sym_preproc_define] = STATE(730),
    [sym_preproc_undef] = STATE(730),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [731] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7117),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6562),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(731),
    [sym_preproc_endregion] = STATE(731),
    [sym_preproc_line] = STATE(731),
    [sym_preproc_pragma] = STATE(731),
    [sym_preproc_nullable] = STATE(731),
    [sym_preproc_error] = STATE(731),
    [sym_preproc_define] = STATE(731),
    [sym_preproc_undef] = STATE(731),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [732] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6152),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(732),
    [sym_preproc_endregion] = STATE(732),
    [sym_preproc_line] = STATE(732),
    [sym_preproc_pragma] = STATE(732),
    [sym_preproc_nullable] = STATE(732),
    [sym_preproc_error] = STATE(732),
    [sym_preproc_define] = STATE(732),
    [sym_preproc_undef] = STATE(732),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [733] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6157),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(733),
    [sym_preproc_endregion] = STATE(733),
    [sym_preproc_line] = STATE(733),
    [sym_preproc_pragma] = STATE(733),
    [sym_preproc_nullable] = STATE(733),
    [sym_preproc_error] = STATE(733),
    [sym_preproc_define] = STATE(733),
    [sym_preproc_undef] = STATE(733),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [734] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6158),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(734),
    [sym_preproc_endregion] = STATE(734),
    [sym_preproc_line] = STATE(734),
    [sym_preproc_pragma] = STATE(734),
    [sym_preproc_nullable] = STATE(734),
    [sym_preproc_error] = STATE(734),
    [sym_preproc_define] = STATE(734),
    [sym_preproc_undef] = STATE(734),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [735] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6167),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(735),
    [sym_preproc_endregion] = STATE(735),
    [sym_preproc_line] = STATE(735),
    [sym_preproc_pragma] = STATE(735),
    [sym_preproc_nullable] = STATE(735),
    [sym_preproc_error] = STATE(735),
    [sym_preproc_define] = STATE(735),
    [sym_preproc_undef] = STATE(735),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [736] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6168),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(736),
    [sym_preproc_endregion] = STATE(736),
    [sym_preproc_line] = STATE(736),
    [sym_preproc_pragma] = STATE(736),
    [sym_preproc_nullable] = STATE(736),
    [sym_preproc_error] = STATE(736),
    [sym_preproc_define] = STATE(736),
    [sym_preproc_undef] = STATE(736),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [737] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6173),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(737),
    [sym_preproc_endregion] = STATE(737),
    [sym_preproc_line] = STATE(737),
    [sym_preproc_pragma] = STATE(737),
    [sym_preproc_nullable] = STATE(737),
    [sym_preproc_error] = STATE(737),
    [sym_preproc_define] = STATE(737),
    [sym_preproc_undef] = STATE(737),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [738] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7036),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4761),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(738),
    [sym_preproc_endregion] = STATE(738),
    [sym_preproc_line] = STATE(738),
    [sym_preproc_pragma] = STATE(738),
    [sym_preproc_nullable] = STATE(738),
    [sym_preproc_error] = STATE(738),
    [sym_preproc_define] = STATE(738),
    [sym_preproc_undef] = STATE(738),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [739] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7041),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6120),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(739),
    [sym_preproc_endregion] = STATE(739),
    [sym_preproc_line] = STATE(739),
    [sym_preproc_pragma] = STATE(739),
    [sym_preproc_nullable] = STATE(739),
    [sym_preproc_error] = STATE(739),
    [sym_preproc_define] = STATE(739),
    [sym_preproc_undef] = STATE(739),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [740] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5538),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(740),
    [sym_preproc_endregion] = STATE(740),
    [sym_preproc_line] = STATE(740),
    [sym_preproc_pragma] = STATE(740),
    [sym_preproc_nullable] = STATE(740),
    [sym_preproc_error] = STATE(740),
    [sym_preproc_define] = STATE(740),
    [sym_preproc_undef] = STATE(740),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [741] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5876),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(741),
    [sym_preproc_endregion] = STATE(741),
    [sym_preproc_line] = STATE(741),
    [sym_preproc_pragma] = STATE(741),
    [sym_preproc_nullable] = STATE(741),
    [sym_preproc_error] = STATE(741),
    [sym_preproc_define] = STATE(741),
    [sym_preproc_undef] = STATE(741),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [742] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5877),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(742),
    [sym_preproc_endregion] = STATE(742),
    [sym_preproc_line] = STATE(742),
    [sym_preproc_pragma] = STATE(742),
    [sym_preproc_nullable] = STATE(742),
    [sym_preproc_error] = STATE(742),
    [sym_preproc_define] = STATE(742),
    [sym_preproc_undef] = STATE(742),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [743] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5878),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(743),
    [sym_preproc_endregion] = STATE(743),
    [sym_preproc_line] = STATE(743),
    [sym_preproc_pragma] = STATE(743),
    [sym_preproc_nullable] = STATE(743),
    [sym_preproc_error] = STATE(743),
    [sym_preproc_define] = STATE(743),
    [sym_preproc_undef] = STATE(743),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [744] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5880),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(744),
    [sym_preproc_endregion] = STATE(744),
    [sym_preproc_line] = STATE(744),
    [sym_preproc_pragma] = STATE(744),
    [sym_preproc_nullable] = STATE(744),
    [sym_preproc_error] = STATE(744),
    [sym_preproc_define] = STATE(744),
    [sym_preproc_undef] = STATE(744),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [745] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5881),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(745),
    [sym_preproc_endregion] = STATE(745),
    [sym_preproc_line] = STATE(745),
    [sym_preproc_pragma] = STATE(745),
    [sym_preproc_nullable] = STATE(745),
    [sym_preproc_error] = STATE(745),
    [sym_preproc_define] = STATE(745),
    [sym_preproc_undef] = STATE(745),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [746] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5882),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(746),
    [sym_preproc_endregion] = STATE(746),
    [sym_preproc_line] = STATE(746),
    [sym_preproc_pragma] = STATE(746),
    [sym_preproc_nullable] = STATE(746),
    [sym_preproc_error] = STATE(746),
    [sym_preproc_define] = STATE(746),
    [sym_preproc_undef] = STATE(746),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [747] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5207),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(747),
    [sym_preproc_endregion] = STATE(747),
    [sym_preproc_line] = STATE(747),
    [sym_preproc_pragma] = STATE(747),
    [sym_preproc_nullable] = STATE(747),
    [sym_preproc_error] = STATE(747),
    [sym_preproc_define] = STATE(747),
    [sym_preproc_undef] = STATE(747),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [748] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5204),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(748),
    [sym_preproc_endregion] = STATE(748),
    [sym_preproc_line] = STATE(748),
    [sym_preproc_pragma] = STATE(748),
    [sym_preproc_nullable] = STATE(748),
    [sym_preproc_error] = STATE(748),
    [sym_preproc_define] = STATE(748),
    [sym_preproc_undef] = STATE(748),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [749] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5659),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(749),
    [sym_preproc_endregion] = STATE(749),
    [sym_preproc_line] = STATE(749),
    [sym_preproc_pragma] = STATE(749),
    [sym_preproc_nullable] = STATE(749),
    [sym_preproc_error] = STATE(749),
    [sym_preproc_define] = STATE(749),
    [sym_preproc_undef] = STATE(749),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [750] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5660),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(750),
    [sym_preproc_endregion] = STATE(750),
    [sym_preproc_line] = STATE(750),
    [sym_preproc_pragma] = STATE(750),
    [sym_preproc_nullable] = STATE(750),
    [sym_preproc_error] = STATE(750),
    [sym_preproc_define] = STATE(750),
    [sym_preproc_undef] = STATE(750),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [751] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5557),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(751),
    [sym_preproc_endregion] = STATE(751),
    [sym_preproc_line] = STATE(751),
    [sym_preproc_pragma] = STATE(751),
    [sym_preproc_nullable] = STATE(751),
    [sym_preproc_error] = STATE(751),
    [sym_preproc_define] = STATE(751),
    [sym_preproc_undef] = STATE(751),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [752] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5661),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(752),
    [sym_preproc_endregion] = STATE(752),
    [sym_preproc_line] = STATE(752),
    [sym_preproc_pragma] = STATE(752),
    [sym_preproc_nullable] = STATE(752),
    [sym_preproc_error] = STATE(752),
    [sym_preproc_define] = STATE(752),
    [sym_preproc_undef] = STATE(752),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [753] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5559),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(753),
    [sym_preproc_endregion] = STATE(753),
    [sym_preproc_line] = STATE(753),
    [sym_preproc_pragma] = STATE(753),
    [sym_preproc_nullable] = STATE(753),
    [sym_preproc_error] = STATE(753),
    [sym_preproc_define] = STATE(753),
    [sym_preproc_undef] = STATE(753),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [754] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5562),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(754),
    [sym_preproc_endregion] = STATE(754),
    [sym_preproc_line] = STATE(754),
    [sym_preproc_pragma] = STATE(754),
    [sym_preproc_nullable] = STATE(754),
    [sym_preproc_error] = STATE(754),
    [sym_preproc_define] = STATE(754),
    [sym_preproc_undef] = STATE(754),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [755] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5663),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(755),
    [sym_preproc_endregion] = STATE(755),
    [sym_preproc_line] = STATE(755),
    [sym_preproc_pragma] = STATE(755),
    [sym_preproc_nullable] = STATE(755),
    [sym_preproc_error] = STATE(755),
    [sym_preproc_define] = STATE(755),
    [sym_preproc_undef] = STATE(755),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [756] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5664),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(756),
    [sym_preproc_endregion] = STATE(756),
    [sym_preproc_line] = STATE(756),
    [sym_preproc_pragma] = STATE(756),
    [sym_preproc_nullable] = STATE(756),
    [sym_preproc_error] = STATE(756),
    [sym_preproc_define] = STATE(756),
    [sym_preproc_undef] = STATE(756),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [757] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5665),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(757),
    [sym_preproc_endregion] = STATE(757),
    [sym_preproc_line] = STATE(757),
    [sym_preproc_pragma] = STATE(757),
    [sym_preproc_nullable] = STATE(757),
    [sym_preproc_error] = STATE(757),
    [sym_preproc_define] = STATE(757),
    [sym_preproc_undef] = STATE(757),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [758] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7069),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5884),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(758),
    [sym_preproc_endregion] = STATE(758),
    [sym_preproc_line] = STATE(758),
    [sym_preproc_pragma] = STATE(758),
    [sym_preproc_nullable] = STATE(758),
    [sym_preproc_error] = STATE(758),
    [sym_preproc_define] = STATE(758),
    [sym_preproc_undef] = STATE(758),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [759] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6969),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5666),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(759),
    [sym_preproc_endregion] = STATE(759),
    [sym_preproc_line] = STATE(759),
    [sym_preproc_pragma] = STATE(759),
    [sym_preproc_nullable] = STATE(759),
    [sym_preproc_error] = STATE(759),
    [sym_preproc_define] = STATE(759),
    [sym_preproc_undef] = STATE(759),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [760] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5311),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(760),
    [sym_preproc_endregion] = STATE(760),
    [sym_preproc_line] = STATE(760),
    [sym_preproc_pragma] = STATE(760),
    [sym_preproc_nullable] = STATE(760),
    [sym_preproc_error] = STATE(760),
    [sym_preproc_define] = STATE(760),
    [sym_preproc_undef] = STATE(760),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [761] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5172),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(761),
    [sym_preproc_endregion] = STATE(761),
    [sym_preproc_line] = STATE(761),
    [sym_preproc_pragma] = STATE(761),
    [sym_preproc_nullable] = STATE(761),
    [sym_preproc_error] = STATE(761),
    [sym_preproc_define] = STATE(761),
    [sym_preproc_undef] = STATE(761),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [762] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5312),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(762),
    [sym_preproc_endregion] = STATE(762),
    [sym_preproc_line] = STATE(762),
    [sym_preproc_pragma] = STATE(762),
    [sym_preproc_nullable] = STATE(762),
    [sym_preproc_error] = STATE(762),
    [sym_preproc_define] = STATE(762),
    [sym_preproc_undef] = STATE(762),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [763] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6732),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5715),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(763),
    [sym_preproc_endregion] = STATE(763),
    [sym_preproc_line] = STATE(763),
    [sym_preproc_pragma] = STATE(763),
    [sym_preproc_nullable] = STATE(763),
    [sym_preproc_error] = STATE(763),
    [sym_preproc_define] = STATE(763),
    [sym_preproc_undef] = STATE(763),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [764] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5082),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(764),
    [sym_preproc_endregion] = STATE(764),
    [sym_preproc_line] = STATE(764),
    [sym_preproc_pragma] = STATE(764),
    [sym_preproc_nullable] = STATE(764),
    [sym_preproc_error] = STATE(764),
    [sym_preproc_define] = STATE(764),
    [sym_preproc_undef] = STATE(764),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [765] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5059),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(765),
    [sym_preproc_endregion] = STATE(765),
    [sym_preproc_line] = STATE(765),
    [sym_preproc_pragma] = STATE(765),
    [sym_preproc_nullable] = STATE(765),
    [sym_preproc_error] = STATE(765),
    [sym_preproc_define] = STATE(765),
    [sym_preproc_undef] = STATE(765),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [766] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5313),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(766),
    [sym_preproc_endregion] = STATE(766),
    [sym_preproc_line] = STATE(766),
    [sym_preproc_pragma] = STATE(766),
    [sym_preproc_nullable] = STATE(766),
    [sym_preproc_error] = STATE(766),
    [sym_preproc_define] = STATE(766),
    [sym_preproc_undef] = STATE(766),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [767] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5208),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(767),
    [sym_preproc_endregion] = STATE(767),
    [sym_preproc_line] = STATE(767),
    [sym_preproc_pragma] = STATE(767),
    [sym_preproc_nullable] = STATE(767),
    [sym_preproc_error] = STATE(767),
    [sym_preproc_define] = STATE(767),
    [sym_preproc_undef] = STATE(767),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [768] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5068),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(768),
    [sym_preproc_endregion] = STATE(768),
    [sym_preproc_line] = STATE(768),
    [sym_preproc_pragma] = STATE(768),
    [sym_preproc_nullable] = STATE(768),
    [sym_preproc_error] = STATE(768),
    [sym_preproc_define] = STATE(768),
    [sym_preproc_undef] = STATE(768),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [769] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5480),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(769),
    [sym_preproc_endregion] = STATE(769),
    [sym_preproc_line] = STATE(769),
    [sym_preproc_pragma] = STATE(769),
    [sym_preproc_nullable] = STATE(769),
    [sym_preproc_error] = STATE(769),
    [sym_preproc_define] = STATE(769),
    [sym_preproc_undef] = STATE(769),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [770] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5481),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(770),
    [sym_preproc_endregion] = STATE(770),
    [sym_preproc_line] = STATE(770),
    [sym_preproc_pragma] = STATE(770),
    [sym_preproc_nullable] = STATE(770),
    [sym_preproc_error] = STATE(770),
    [sym_preproc_define] = STATE(770),
    [sym_preproc_undef] = STATE(770),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [771] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5218),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(771),
    [sym_preproc_endregion] = STATE(771),
    [sym_preproc_line] = STATE(771),
    [sym_preproc_pragma] = STATE(771),
    [sym_preproc_nullable] = STATE(771),
    [sym_preproc_error] = STATE(771),
    [sym_preproc_define] = STATE(771),
    [sym_preproc_undef] = STATE(771),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [772] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7040),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5129),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(772),
    [sym_preproc_endregion] = STATE(772),
    [sym_preproc_line] = STATE(772),
    [sym_preproc_pragma] = STATE(772),
    [sym_preproc_nullable] = STATE(772),
    [sym_preproc_error] = STATE(772),
    [sym_preproc_define] = STATE(772),
    [sym_preproc_undef] = STATE(772),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [773] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5482),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(773),
    [sym_preproc_endregion] = STATE(773),
    [sym_preproc_line] = STATE(773),
    [sym_preproc_pragma] = STATE(773),
    [sym_preproc_nullable] = STATE(773),
    [sym_preproc_error] = STATE(773),
    [sym_preproc_define] = STATE(773),
    [sym_preproc_undef] = STATE(773),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [774] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4613),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4646),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(774),
    [sym_preproc_endregion] = STATE(774),
    [sym_preproc_line] = STATE(774),
    [sym_preproc_pragma] = STATE(774),
    [sym_preproc_nullable] = STATE(774),
    [sym_preproc_error] = STATE(774),
    [sym_preproc_define] = STATE(774),
    [sym_preproc_undef] = STATE(774),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [775] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5043),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(775),
    [sym_preproc_endregion] = STATE(775),
    [sym_preproc_line] = STATE(775),
    [sym_preproc_pragma] = STATE(775),
    [sym_preproc_nullable] = STATE(775),
    [sym_preproc_error] = STATE(775),
    [sym_preproc_define] = STATE(775),
    [sym_preproc_undef] = STATE(775),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [776] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5484),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(776),
    [sym_preproc_endregion] = STATE(776),
    [sym_preproc_line] = STATE(776),
    [sym_preproc_pragma] = STATE(776),
    [sym_preproc_nullable] = STATE(776),
    [sym_preproc_error] = STATE(776),
    [sym_preproc_define] = STATE(776),
    [sym_preproc_undef] = STATE(776),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [777] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5485),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(777),
    [sym_preproc_endregion] = STATE(777),
    [sym_preproc_line] = STATE(777),
    [sym_preproc_pragma] = STATE(777),
    [sym_preproc_nullable] = STATE(777),
    [sym_preproc_error] = STATE(777),
    [sym_preproc_define] = STATE(777),
    [sym_preproc_undef] = STATE(777),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [778] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5486),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(778),
    [sym_preproc_endregion] = STATE(778),
    [sym_preproc_line] = STATE(778),
    [sym_preproc_pragma] = STATE(778),
    [sym_preproc_nullable] = STATE(778),
    [sym_preproc_error] = STATE(778),
    [sym_preproc_define] = STATE(778),
    [sym_preproc_undef] = STATE(778),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [779] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(779),
    [sym_preproc_endregion] = STATE(779),
    [sym_preproc_line] = STATE(779),
    [sym_preproc_pragma] = STATE(779),
    [sym_preproc_nullable] = STATE(779),
    [sym_preproc_error] = STATE(779),
    [sym_preproc_define] = STATE(779),
    [sym_preproc_undef] = STATE(779),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [780] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5046),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(780),
    [sym_preproc_endregion] = STATE(780),
    [sym_preproc_line] = STATE(780),
    [sym_preproc_pragma] = STATE(780),
    [sym_preproc_nullable] = STATE(780),
    [sym_preproc_error] = STATE(780),
    [sym_preproc_define] = STATE(780),
    [sym_preproc_undef] = STATE(780),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [781] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5217),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(781),
    [sym_preproc_endregion] = STATE(781),
    [sym_preproc_line] = STATE(781),
    [sym_preproc_pragma] = STATE(781),
    [sym_preproc_nullable] = STATE(781),
    [sym_preproc_error] = STATE(781),
    [sym_preproc_define] = STATE(781),
    [sym_preproc_undef] = STATE(781),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [782] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5055),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(782),
    [sym_preproc_endregion] = STATE(782),
    [sym_preproc_line] = STATE(782),
    [sym_preproc_pragma] = STATE(782),
    [sym_preproc_nullable] = STATE(782),
    [sym_preproc_error] = STATE(782),
    [sym_preproc_define] = STATE(782),
    [sym_preproc_undef] = STATE(782),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [783] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6191),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(783),
    [sym_preproc_endregion] = STATE(783),
    [sym_preproc_line] = STATE(783),
    [sym_preproc_pragma] = STATE(783),
    [sym_preproc_nullable] = STATE(783),
    [sym_preproc_error] = STATE(783),
    [sym_preproc_define] = STATE(783),
    [sym_preproc_undef] = STATE(783),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [784] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6192),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(784),
    [sym_preproc_endregion] = STATE(784),
    [sym_preproc_line] = STATE(784),
    [sym_preproc_pragma] = STATE(784),
    [sym_preproc_nullable] = STATE(784),
    [sym_preproc_error] = STATE(784),
    [sym_preproc_define] = STATE(784),
    [sym_preproc_undef] = STATE(784),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [785] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6195),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(785),
    [sym_preproc_endregion] = STATE(785),
    [sym_preproc_line] = STATE(785),
    [sym_preproc_pragma] = STATE(785),
    [sym_preproc_nullable] = STATE(785),
    [sym_preproc_error] = STATE(785),
    [sym_preproc_define] = STATE(785),
    [sym_preproc_undef] = STATE(785),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [786] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6203),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(786),
    [sym_preproc_endregion] = STATE(786),
    [sym_preproc_line] = STATE(786),
    [sym_preproc_pragma] = STATE(786),
    [sym_preproc_nullable] = STATE(786),
    [sym_preproc_error] = STATE(786),
    [sym_preproc_define] = STATE(786),
    [sym_preproc_undef] = STATE(786),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [787] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6206),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(787),
    [sym_preproc_endregion] = STATE(787),
    [sym_preproc_line] = STATE(787),
    [sym_preproc_pragma] = STATE(787),
    [sym_preproc_nullable] = STATE(787),
    [sym_preproc_error] = STATE(787),
    [sym_preproc_define] = STATE(787),
    [sym_preproc_undef] = STATE(787),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [788] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6207),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(788),
    [sym_preproc_endregion] = STATE(788),
    [sym_preproc_line] = STATE(788),
    [sym_preproc_pragma] = STATE(788),
    [sym_preproc_nullable] = STATE(788),
    [sym_preproc_error] = STATE(788),
    [sym_preproc_define] = STATE(788),
    [sym_preproc_undef] = STATE(788),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [789] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7062),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5794),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(789),
    [sym_preproc_endregion] = STATE(789),
    [sym_preproc_line] = STATE(789),
    [sym_preproc_pragma] = STATE(789),
    [sym_preproc_nullable] = STATE(789),
    [sym_preproc_error] = STATE(789),
    [sym_preproc_define] = STATE(789),
    [sym_preproc_undef] = STATE(789),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [790] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7122),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6297),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(790),
    [sym_preproc_endregion] = STATE(790),
    [sym_preproc_line] = STATE(790),
    [sym_preproc_pragma] = STATE(790),
    [sym_preproc_nullable] = STATE(790),
    [sym_preproc_error] = STATE(790),
    [sym_preproc_define] = STATE(790),
    [sym_preproc_undef] = STATE(790),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [791] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7141),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5566),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(791),
    [sym_preproc_endregion] = STATE(791),
    [sym_preproc_line] = STATE(791),
    [sym_preproc_pragma] = STATE(791),
    [sym_preproc_nullable] = STATE(791),
    [sym_preproc_error] = STATE(791),
    [sym_preproc_define] = STATE(791),
    [sym_preproc_undef] = STATE(791),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [792] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5955),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(792),
    [sym_preproc_endregion] = STATE(792),
    [sym_preproc_line] = STATE(792),
    [sym_preproc_pragma] = STATE(792),
    [sym_preproc_nullable] = STATE(792),
    [sym_preproc_error] = STATE(792),
    [sym_preproc_define] = STATE(792),
    [sym_preproc_undef] = STATE(792),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [793] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5956),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(793),
    [sym_preproc_endregion] = STATE(793),
    [sym_preproc_line] = STATE(793),
    [sym_preproc_pragma] = STATE(793),
    [sym_preproc_nullable] = STATE(793),
    [sym_preproc_error] = STATE(793),
    [sym_preproc_define] = STATE(793),
    [sym_preproc_undef] = STATE(793),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [794] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5957),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(794),
    [sym_preproc_endregion] = STATE(794),
    [sym_preproc_line] = STATE(794),
    [sym_preproc_pragma] = STATE(794),
    [sym_preproc_nullable] = STATE(794),
    [sym_preproc_error] = STATE(794),
    [sym_preproc_define] = STATE(794),
    [sym_preproc_undef] = STATE(794),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [795] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5959),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(795),
    [sym_preproc_endregion] = STATE(795),
    [sym_preproc_line] = STATE(795),
    [sym_preproc_pragma] = STATE(795),
    [sym_preproc_nullable] = STATE(795),
    [sym_preproc_error] = STATE(795),
    [sym_preproc_define] = STATE(795),
    [sym_preproc_undef] = STATE(795),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [796] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5960),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(796),
    [sym_preproc_endregion] = STATE(796),
    [sym_preproc_line] = STATE(796),
    [sym_preproc_pragma] = STATE(796),
    [sym_preproc_nullable] = STATE(796),
    [sym_preproc_error] = STATE(796),
    [sym_preproc_define] = STATE(796),
    [sym_preproc_undef] = STATE(796),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [797] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5961),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(797),
    [sym_preproc_endregion] = STATE(797),
    [sym_preproc_line] = STATE(797),
    [sym_preproc_pragma] = STATE(797),
    [sym_preproc_nullable] = STATE(797),
    [sym_preproc_error] = STATE(797),
    [sym_preproc_define] = STATE(797),
    [sym_preproc_undef] = STATE(797),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [798] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4532),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(798),
    [sym_preproc_endregion] = STATE(798),
    [sym_preproc_line] = STATE(798),
    [sym_preproc_pragma] = STATE(798),
    [sym_preproc_nullable] = STATE(798),
    [sym_preproc_error] = STATE(798),
    [sym_preproc_define] = STATE(798),
    [sym_preproc_undef] = STATE(798),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [799] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4539),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(799),
    [sym_preproc_endregion] = STATE(799),
    [sym_preproc_line] = STATE(799),
    [sym_preproc_pragma] = STATE(799),
    [sym_preproc_nullable] = STATE(799),
    [sym_preproc_error] = STATE(799),
    [sym_preproc_define] = STATE(799),
    [sym_preproc_undef] = STATE(799),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [800] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5683),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(800),
    [sym_preproc_endregion] = STATE(800),
    [sym_preproc_line] = STATE(800),
    [sym_preproc_pragma] = STATE(800),
    [sym_preproc_nullable] = STATE(800),
    [sym_preproc_error] = STATE(800),
    [sym_preproc_define] = STATE(800),
    [sym_preproc_undef] = STATE(800),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [801] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5684),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(801),
    [sym_preproc_endregion] = STATE(801),
    [sym_preproc_line] = STATE(801),
    [sym_preproc_pragma] = STATE(801),
    [sym_preproc_nullable] = STATE(801),
    [sym_preproc_error] = STATE(801),
    [sym_preproc_define] = STATE(801),
    [sym_preproc_undef] = STATE(801),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [802] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5685),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(802),
    [sym_preproc_endregion] = STATE(802),
    [sym_preproc_line] = STATE(802),
    [sym_preproc_pragma] = STATE(802),
    [sym_preproc_nullable] = STATE(802),
    [sym_preproc_error] = STATE(802),
    [sym_preproc_define] = STATE(802),
    [sym_preproc_undef] = STATE(802),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [803] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5687),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(803),
    [sym_preproc_endregion] = STATE(803),
    [sym_preproc_line] = STATE(803),
    [sym_preproc_pragma] = STATE(803),
    [sym_preproc_nullable] = STATE(803),
    [sym_preproc_error] = STATE(803),
    [sym_preproc_define] = STATE(803),
    [sym_preproc_undef] = STATE(803),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [804] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5688),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(804),
    [sym_preproc_endregion] = STATE(804),
    [sym_preproc_line] = STATE(804),
    [sym_preproc_pragma] = STATE(804),
    [sym_preproc_nullable] = STATE(804),
    [sym_preproc_error] = STATE(804),
    [sym_preproc_define] = STATE(804),
    [sym_preproc_undef] = STATE(804),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [805] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5689),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(805),
    [sym_preproc_endregion] = STATE(805),
    [sym_preproc_line] = STATE(805),
    [sym_preproc_pragma] = STATE(805),
    [sym_preproc_nullable] = STATE(805),
    [sym_preproc_error] = STATE(805),
    [sym_preproc_define] = STATE(805),
    [sym_preproc_undef] = STATE(805),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [806] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7157),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5966),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(806),
    [sym_preproc_endregion] = STATE(806),
    [sym_preproc_line] = STATE(806),
    [sym_preproc_pragma] = STATE(806),
    [sym_preproc_nullable] = STATE(806),
    [sym_preproc_error] = STATE(806),
    [sym_preproc_define] = STATE(806),
    [sym_preproc_undef] = STATE(806),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [807] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6974),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5690),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(807),
    [sym_preproc_endregion] = STATE(807),
    [sym_preproc_line] = STATE(807),
    [sym_preproc_pragma] = STATE(807),
    [sym_preproc_nullable] = STATE(807),
    [sym_preproc_error] = STATE(807),
    [sym_preproc_define] = STATE(807),
    [sym_preproc_undef] = STATE(807),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [808] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7008),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5071),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(808),
    [sym_preproc_endregion] = STATE(808),
    [sym_preproc_line] = STATE(808),
    [sym_preproc_pragma] = STATE(808),
    [sym_preproc_nullable] = STATE(808),
    [sym_preproc_error] = STATE(808),
    [sym_preproc_define] = STATE(808),
    [sym_preproc_undef] = STATE(808),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [809] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4458),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(809),
    [sym_preproc_endregion] = STATE(809),
    [sym_preproc_line] = STATE(809),
    [sym_preproc_pragma] = STATE(809),
    [sym_preproc_nullable] = STATE(809),
    [sym_preproc_error] = STATE(809),
    [sym_preproc_define] = STATE(809),
    [sym_preproc_undef] = STATE(809),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [810] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6431),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(810),
    [sym_preproc_endregion] = STATE(810),
    [sym_preproc_line] = STATE(810),
    [sym_preproc_pragma] = STATE(810),
    [sym_preproc_nullable] = STATE(810),
    [sym_preproc_error] = STATE(810),
    [sym_preproc_define] = STATE(810),
    [sym_preproc_undef] = STATE(810),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [811] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4768),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(811),
    [sym_preproc_endregion] = STATE(811),
    [sym_preproc_line] = STATE(811),
    [sym_preproc_pragma] = STATE(811),
    [sym_preproc_nullable] = STATE(811),
    [sym_preproc_error] = STATE(811),
    [sym_preproc_define] = STATE(811),
    [sym_preproc_undef] = STATE(811),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [812] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6437),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(812),
    [sym_preproc_endregion] = STATE(812),
    [sym_preproc_line] = STATE(812),
    [sym_preproc_pragma] = STATE(812),
    [sym_preproc_nullable] = STATE(812),
    [sym_preproc_error] = STATE(812),
    [sym_preproc_define] = STATE(812),
    [sym_preproc_undef] = STATE(812),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [813] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4569),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4647),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(813),
    [sym_preproc_endregion] = STATE(813),
    [sym_preproc_line] = STATE(813),
    [sym_preproc_pragma] = STATE(813),
    [sym_preproc_nullable] = STATE(813),
    [sym_preproc_error] = STATE(813),
    [sym_preproc_define] = STATE(813),
    [sym_preproc_undef] = STATE(813),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [814] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4613),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4918),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(814),
    [sym_preproc_endregion] = STATE(814),
    [sym_preproc_line] = STATE(814),
    [sym_preproc_pragma] = STATE(814),
    [sym_preproc_nullable] = STATE(814),
    [sym_preproc_error] = STATE(814),
    [sym_preproc_define] = STATE(814),
    [sym_preproc_undef] = STATE(814),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [815] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4465),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(815),
    [sym_preproc_endregion] = STATE(815),
    [sym_preproc_line] = STATE(815),
    [sym_preproc_pragma] = STATE(815),
    [sym_preproc_nullable] = STATE(815),
    [sym_preproc_error] = STATE(815),
    [sym_preproc_define] = STATE(815),
    [sym_preproc_undef] = STATE(815),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [816] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4890),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(816),
    [sym_preproc_endregion] = STATE(816),
    [sym_preproc_line] = STATE(816),
    [sym_preproc_pragma] = STATE(816),
    [sym_preproc_nullable] = STATE(816),
    [sym_preproc_error] = STATE(816),
    [sym_preproc_define] = STATE(816),
    [sym_preproc_undef] = STATE(816),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [817] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6541),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(817),
    [sym_preproc_endregion] = STATE(817),
    [sym_preproc_line] = STATE(817),
    [sym_preproc_pragma] = STATE(817),
    [sym_preproc_nullable] = STATE(817),
    [sym_preproc_error] = STATE(817),
    [sym_preproc_define] = STATE(817),
    [sym_preproc_undef] = STATE(817),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [818] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6543),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(818),
    [sym_preproc_endregion] = STATE(818),
    [sym_preproc_line] = STATE(818),
    [sym_preproc_pragma] = STATE(818),
    [sym_preproc_nullable] = STATE(818),
    [sym_preproc_error] = STATE(818),
    [sym_preproc_define] = STATE(818),
    [sym_preproc_undef] = STATE(818),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [819] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4466),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(819),
    [sym_preproc_endregion] = STATE(819),
    [sym_preproc_line] = STATE(819),
    [sym_preproc_pragma] = STATE(819),
    [sym_preproc_nullable] = STATE(819),
    [sym_preproc_error] = STATE(819),
    [sym_preproc_define] = STATE(819),
    [sym_preproc_undef] = STATE(819),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [820] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5963),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(820),
    [sym_preproc_endregion] = STATE(820),
    [sym_preproc_line] = STATE(820),
    [sym_preproc_pragma] = STATE(820),
    [sym_preproc_nullable] = STATE(820),
    [sym_preproc_error] = STATE(820),
    [sym_preproc_define] = STATE(820),
    [sym_preproc_undef] = STATE(820),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [821] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6547),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(821),
    [sym_preproc_endregion] = STATE(821),
    [sym_preproc_line] = STATE(821),
    [sym_preproc_pragma] = STATE(821),
    [sym_preproc_nullable] = STATE(821),
    [sym_preproc_error] = STATE(821),
    [sym_preproc_define] = STATE(821),
    [sym_preproc_undef] = STATE(821),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [822] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7071),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5962),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(822),
    [sym_preproc_endregion] = STATE(822),
    [sym_preproc_line] = STATE(822),
    [sym_preproc_pragma] = STATE(822),
    [sym_preproc_nullable] = STATE(822),
    [sym_preproc_error] = STATE(822),
    [sym_preproc_define] = STATE(822),
    [sym_preproc_undef] = STATE(822),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [823] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5949),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(823),
    [sym_preproc_endregion] = STATE(823),
    [sym_preproc_line] = STATE(823),
    [sym_preproc_pragma] = STATE(823),
    [sym_preproc_nullable] = STATE(823),
    [sym_preproc_error] = STATE(823),
    [sym_preproc_define] = STATE(823),
    [sym_preproc_undef] = STATE(823),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2839),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [824] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6551),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(824),
    [sym_preproc_endregion] = STATE(824),
    [sym_preproc_line] = STATE(824),
    [sym_preproc_pragma] = STATE(824),
    [sym_preproc_nullable] = STATE(824),
    [sym_preproc_error] = STATE(824),
    [sym_preproc_define] = STATE(824),
    [sym_preproc_undef] = STATE(824),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [825] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6553),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(825),
    [sym_preproc_endregion] = STATE(825),
    [sym_preproc_line] = STATE(825),
    [sym_preproc_pragma] = STATE(825),
    [sym_preproc_nullable] = STATE(825),
    [sym_preproc_error] = STATE(825),
    [sym_preproc_define] = STATE(825),
    [sym_preproc_undef] = STATE(825),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [826] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6554),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(826),
    [sym_preproc_endregion] = STATE(826),
    [sym_preproc_line] = STATE(826),
    [sym_preproc_pragma] = STATE(826),
    [sym_preproc_nullable] = STATE(826),
    [sym_preproc_error] = STATE(826),
    [sym_preproc_define] = STATE(826),
    [sym_preproc_undef] = STATE(826),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [827] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6707),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2839),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6732),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5715),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(827),
    [sym_preproc_endregion] = STATE(827),
    [sym_preproc_line] = STATE(827),
    [sym_preproc_pragma] = STATE(827),
    [sym_preproc_nullable] = STATE(827),
    [sym_preproc_error] = STATE(827),
    [sym_preproc_define] = STATE(827),
    [sym_preproc_undef] = STATE(827),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2841),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [828] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5365),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(828),
    [sym_preproc_endregion] = STATE(828),
    [sym_preproc_line] = STATE(828),
    [sym_preproc_pragma] = STATE(828),
    [sym_preproc_nullable] = STATE(828),
    [sym_preproc_error] = STATE(828),
    [sym_preproc_define] = STATE(828),
    [sym_preproc_undef] = STATE(828),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [829] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4467),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(829),
    [sym_preproc_endregion] = STATE(829),
    [sym_preproc_line] = STATE(829),
    [sym_preproc_pragma] = STATE(829),
    [sym_preproc_nullable] = STATE(829),
    [sym_preproc_error] = STATE(829),
    [sym_preproc_define] = STATE(829),
    [sym_preproc_undef] = STATE(829),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [830] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7145),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5224),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(830),
    [sym_preproc_endregion] = STATE(830),
    [sym_preproc_line] = STATE(830),
    [sym_preproc_pragma] = STATE(830),
    [sym_preproc_nullable] = STATE(830),
    [sym_preproc_error] = STATE(830),
    [sym_preproc_define] = STATE(830),
    [sym_preproc_undef] = STATE(830),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [831] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6013),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(831),
    [sym_preproc_endregion] = STATE(831),
    [sym_preproc_line] = STATE(831),
    [sym_preproc_pragma] = STATE(831),
    [sym_preproc_nullable] = STATE(831),
    [sym_preproc_error] = STATE(831),
    [sym_preproc_define] = STATE(831),
    [sym_preproc_undef] = STATE(831),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [832] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6014),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(832),
    [sym_preproc_endregion] = STATE(832),
    [sym_preproc_line] = STATE(832),
    [sym_preproc_pragma] = STATE(832),
    [sym_preproc_nullable] = STATE(832),
    [sym_preproc_error] = STATE(832),
    [sym_preproc_define] = STATE(832),
    [sym_preproc_undef] = STATE(832),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [833] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6020),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(833),
    [sym_preproc_endregion] = STATE(833),
    [sym_preproc_line] = STATE(833),
    [sym_preproc_pragma] = STATE(833),
    [sym_preproc_nullable] = STATE(833),
    [sym_preproc_error] = STATE(833),
    [sym_preproc_define] = STATE(833),
    [sym_preproc_undef] = STATE(833),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [834] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6022),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(834),
    [sym_preproc_endregion] = STATE(834),
    [sym_preproc_line] = STATE(834),
    [sym_preproc_pragma] = STATE(834),
    [sym_preproc_nullable] = STATE(834),
    [sym_preproc_error] = STATE(834),
    [sym_preproc_define] = STATE(834),
    [sym_preproc_undef] = STATE(834),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [835] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6023),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(835),
    [sym_preproc_endregion] = STATE(835),
    [sym_preproc_line] = STATE(835),
    [sym_preproc_pragma] = STATE(835),
    [sym_preproc_nullable] = STATE(835),
    [sym_preproc_error] = STATE(835),
    [sym_preproc_define] = STATE(835),
    [sym_preproc_undef] = STATE(835),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [836] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6024),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(836),
    [sym_preproc_endregion] = STATE(836),
    [sym_preproc_line] = STATE(836),
    [sym_preproc_pragma] = STATE(836),
    [sym_preproc_nullable] = STATE(836),
    [sym_preproc_error] = STATE(836),
    [sym_preproc_define] = STATE(836),
    [sym_preproc_undef] = STATE(836),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [837] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6987),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5271),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(837),
    [sym_preproc_endregion] = STATE(837),
    [sym_preproc_line] = STATE(837),
    [sym_preproc_pragma] = STATE(837),
    [sym_preproc_nullable] = STATE(837),
    [sym_preproc_error] = STATE(837),
    [sym_preproc_define] = STATE(837),
    [sym_preproc_undef] = STATE(837),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [838] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6550),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(838),
    [sym_preproc_endregion] = STATE(838),
    [sym_preproc_line] = STATE(838),
    [sym_preproc_pragma] = STATE(838),
    [sym_preproc_nullable] = STATE(838),
    [sym_preproc_error] = STATE(838),
    [sym_preproc_define] = STATE(838),
    [sym_preproc_undef] = STATE(838),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [839] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5767),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(839),
    [sym_preproc_endregion] = STATE(839),
    [sym_preproc_line] = STATE(839),
    [sym_preproc_pragma] = STATE(839),
    [sym_preproc_nullable] = STATE(839),
    [sym_preproc_error] = STATE(839),
    [sym_preproc_define] = STATE(839),
    [sym_preproc_undef] = STATE(839),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [840] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5768),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(840),
    [sym_preproc_endregion] = STATE(840),
    [sym_preproc_line] = STATE(840),
    [sym_preproc_pragma] = STATE(840),
    [sym_preproc_nullable] = STATE(840),
    [sym_preproc_error] = STATE(840),
    [sym_preproc_define] = STATE(840),
    [sym_preproc_undef] = STATE(840),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [841] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5769),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(841),
    [sym_preproc_endregion] = STATE(841),
    [sym_preproc_line] = STATE(841),
    [sym_preproc_pragma] = STATE(841),
    [sym_preproc_nullable] = STATE(841),
    [sym_preproc_error] = STATE(841),
    [sym_preproc_define] = STATE(841),
    [sym_preproc_undef] = STATE(841),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [842] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5772),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(842),
    [sym_preproc_endregion] = STATE(842),
    [sym_preproc_line] = STATE(842),
    [sym_preproc_pragma] = STATE(842),
    [sym_preproc_nullable] = STATE(842),
    [sym_preproc_error] = STATE(842),
    [sym_preproc_define] = STATE(842),
    [sym_preproc_undef] = STATE(842),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [843] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5773),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(843),
    [sym_preproc_endregion] = STATE(843),
    [sym_preproc_line] = STATE(843),
    [sym_preproc_pragma] = STATE(843),
    [sym_preproc_nullable] = STATE(843),
    [sym_preproc_error] = STATE(843),
    [sym_preproc_define] = STATE(843),
    [sym_preproc_undef] = STATE(843),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [844] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5774),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(844),
    [sym_preproc_endregion] = STATE(844),
    [sym_preproc_line] = STATE(844),
    [sym_preproc_pragma] = STATE(844),
    [sym_preproc_nullable] = STATE(844),
    [sym_preproc_error] = STATE(844),
    [sym_preproc_define] = STATE(844),
    [sym_preproc_undef] = STATE(844),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [845] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7139),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6040),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(845),
    [sym_preproc_endregion] = STATE(845),
    [sym_preproc_line] = STATE(845),
    [sym_preproc_pragma] = STATE(845),
    [sym_preproc_nullable] = STATE(845),
    [sym_preproc_error] = STATE(845),
    [sym_preproc_define] = STATE(845),
    [sym_preproc_undef] = STATE(845),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [846] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6978),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5599),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(846),
    [sym_preproc_endregion] = STATE(846),
    [sym_preproc_line] = STATE(846),
    [sym_preproc_pragma] = STATE(846),
    [sym_preproc_nullable] = STATE(846),
    [sym_preproc_error] = STATE(846),
    [sym_preproc_define] = STATE(846),
    [sym_preproc_undef] = STATE(846),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [847] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4775),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(847),
    [sym_preproc_endregion] = STATE(847),
    [sym_preproc_line] = STATE(847),
    [sym_preproc_pragma] = STATE(847),
    [sym_preproc_nullable] = STATE(847),
    [sym_preproc_error] = STATE(847),
    [sym_preproc_define] = STATE(847),
    [sym_preproc_undef] = STATE(847),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [848] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3503),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(2841),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(3099),
    [sym_implicit_type] = STATE(3385),
    [sym_array_type] = STATE(3252),
    [sym__array_base_type] = STATE(8796),
    [sym_nullable_type] = STATE(3253),
    [sym_pointer_type] = STATE(3253),
    [sym__pointer_base_type] = STATE(9114),
    [sym_function_pointer_type] = STATE(3253),
    [sym_ref_type] = STATE(3385),
    [sym_scoped_type] = STATE(3385),
    [sym_tuple_type] = STATE(3254),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2793),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(848),
    [sym_preproc_endregion] = STATE(848),
    [sym_preproc_line] = STATE(848),
    [sym_preproc_pragma] = STATE(848),
    [sym_preproc_nullable] = STATE(848),
    [sym_preproc_error] = STATE(848),
    [sym_preproc_define] = STATE(848),
    [sym_preproc_undef] = STATE(848),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2843),
    [anon_sym_ref] = ACTIONS(2373),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(2377),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2845),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2383),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2847),
    [sym_predefined_type] = ACTIONS(2849),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [849] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7126),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6571),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(849),
    [sym_preproc_endregion] = STATE(849),
    [sym_preproc_line] = STATE(849),
    [sym_preproc_pragma] = STATE(849),
    [sym_preproc_nullable] = STATE(849),
    [sym_preproc_error] = STATE(849),
    [sym_preproc_define] = STATE(849),
    [sym_preproc_undef] = STATE(849),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [850] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5366),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(850),
    [sym_preproc_endregion] = STATE(850),
    [sym_preproc_line] = STATE(850),
    [sym_preproc_pragma] = STATE(850),
    [sym_preproc_nullable] = STATE(850),
    [sym_preproc_error] = STATE(850),
    [sym_preproc_define] = STATE(850),
    [sym_preproc_undef] = STATE(850),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [851] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5367),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(851),
    [sym_preproc_endregion] = STATE(851),
    [sym_preproc_line] = STATE(851),
    [sym_preproc_pragma] = STATE(851),
    [sym_preproc_nullable] = STATE(851),
    [sym_preproc_error] = STATE(851),
    [sym_preproc_define] = STATE(851),
    [sym_preproc_undef] = STATE(851),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [852] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5369),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(852),
    [sym_preproc_endregion] = STATE(852),
    [sym_preproc_line] = STATE(852),
    [sym_preproc_pragma] = STATE(852),
    [sym_preproc_nullable] = STATE(852),
    [sym_preproc_error] = STATE(852),
    [sym_preproc_define] = STATE(852),
    [sym_preproc_undef] = STATE(852),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [853] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6657),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(853),
    [sym_preproc_endregion] = STATE(853),
    [sym_preproc_line] = STATE(853),
    [sym_preproc_pragma] = STATE(853),
    [sym_preproc_nullable] = STATE(853),
    [sym_preproc_error] = STATE(853),
    [sym_preproc_define] = STATE(853),
    [sym_preproc_undef] = STATE(853),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [854] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6618),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(854),
    [sym_preproc_endregion] = STATE(854),
    [sym_preproc_line] = STATE(854),
    [sym_preproc_pragma] = STATE(854),
    [sym_preproc_nullable] = STATE(854),
    [sym_preproc_error] = STATE(854),
    [sym_preproc_define] = STATE(854),
    [sym_preproc_undef] = STATE(854),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [855] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6619),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(855),
    [sym_preproc_endregion] = STATE(855),
    [sym_preproc_line] = STATE(855),
    [sym_preproc_pragma] = STATE(855),
    [sym_preproc_nullable] = STATE(855),
    [sym_preproc_error] = STATE(855),
    [sym_preproc_define] = STATE(855),
    [sym_preproc_undef] = STATE(855),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [856] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5967),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(856),
    [sym_preproc_endregion] = STATE(856),
    [sym_preproc_line] = STATE(856),
    [sym_preproc_pragma] = STATE(856),
    [sym_preproc_nullable] = STATE(856),
    [sym_preproc_error] = STATE(856),
    [sym_preproc_define] = STATE(856),
    [sym_preproc_undef] = STATE(856),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [857] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6620),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(857),
    [sym_preproc_endregion] = STATE(857),
    [sym_preproc_line] = STATE(857),
    [sym_preproc_pragma] = STATE(857),
    [sym_preproc_nullable] = STATE(857),
    [sym_preproc_error] = STATE(857),
    [sym_preproc_define] = STATE(857),
    [sym_preproc_undef] = STATE(857),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [858] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6624),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(858),
    [sym_preproc_endregion] = STATE(858),
    [sym_preproc_line] = STATE(858),
    [sym_preproc_pragma] = STATE(858),
    [sym_preproc_nullable] = STATE(858),
    [sym_preproc_error] = STATE(858),
    [sym_preproc_define] = STATE(858),
    [sym_preproc_undef] = STATE(858),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [859] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6625),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(859),
    [sym_preproc_endregion] = STATE(859),
    [sym_preproc_line] = STATE(859),
    [sym_preproc_pragma] = STATE(859),
    [sym_preproc_nullable] = STATE(859),
    [sym_preproc_error] = STATE(859),
    [sym_preproc_define] = STATE(859),
    [sym_preproc_undef] = STATE(859),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [860] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6626),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(860),
    [sym_preproc_endregion] = STATE(860),
    [sym_preproc_line] = STATE(860),
    [sym_preproc_pragma] = STATE(860),
    [sym_preproc_nullable] = STATE(860),
    [sym_preproc_error] = STATE(860),
    [sym_preproc_define] = STATE(860),
    [sym_preproc_undef] = STATE(860),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [861] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6715),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2842),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(861),
    [sym_preproc_endregion] = STATE(861),
    [sym_preproc_line] = STATE(861),
    [sym_preproc_pragma] = STATE(861),
    [sym_preproc_nullable] = STATE(861),
    [sym_preproc_error] = STATE(861),
    [sym_preproc_define] = STATE(861),
    [sym_preproc_undef] = STATE(861),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2841),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [862] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6663),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(862),
    [sym_preproc_endregion] = STATE(862),
    [sym_preproc_line] = STATE(862),
    [sym_preproc_pragma] = STATE(862),
    [sym_preproc_nullable] = STATE(862),
    [sym_preproc_error] = STATE(862),
    [sym_preproc_define] = STATE(862),
    [sym_preproc_undef] = STATE(862),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [863] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7088),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4468),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(863),
    [sym_preproc_endregion] = STATE(863),
    [sym_preproc_line] = STATE(863),
    [sym_preproc_pragma] = STATE(863),
    [sym_preproc_nullable] = STATE(863),
    [sym_preproc_error] = STATE(863),
    [sym_preproc_define] = STATE(863),
    [sym_preproc_undef] = STATE(863),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [864] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6039),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(864),
    [sym_preproc_endregion] = STATE(864),
    [sym_preproc_line] = STATE(864),
    [sym_preproc_pragma] = STATE(864),
    [sym_preproc_nullable] = STATE(864),
    [sym_preproc_error] = STATE(864),
    [sym_preproc_define] = STATE(864),
    [sym_preproc_undef] = STATE(864),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [865] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6081),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(865),
    [sym_preproc_endregion] = STATE(865),
    [sym_preproc_line] = STATE(865),
    [sym_preproc_pragma] = STATE(865),
    [sym_preproc_nullable] = STATE(865),
    [sym_preproc_error] = STATE(865),
    [sym_preproc_define] = STATE(865),
    [sym_preproc_undef] = STATE(865),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [866] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6082),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(866),
    [sym_preproc_endregion] = STATE(866),
    [sym_preproc_line] = STATE(866),
    [sym_preproc_pragma] = STATE(866),
    [sym_preproc_nullable] = STATE(866),
    [sym_preproc_error] = STATE(866),
    [sym_preproc_define] = STATE(866),
    [sym_preproc_undef] = STATE(866),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [867] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6083),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(867),
    [sym_preproc_endregion] = STATE(867),
    [sym_preproc_line] = STATE(867),
    [sym_preproc_pragma] = STATE(867),
    [sym_preproc_nullable] = STATE(867),
    [sym_preproc_error] = STATE(867),
    [sym_preproc_define] = STATE(867),
    [sym_preproc_undef] = STATE(867),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [868] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6086),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(868),
    [sym_preproc_endregion] = STATE(868),
    [sym_preproc_line] = STATE(868),
    [sym_preproc_pragma] = STATE(868),
    [sym_preproc_nullable] = STATE(868),
    [sym_preproc_error] = STATE(868),
    [sym_preproc_define] = STATE(868),
    [sym_preproc_undef] = STATE(868),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [869] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6091),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(869),
    [sym_preproc_endregion] = STATE(869),
    [sym_preproc_line] = STATE(869),
    [sym_preproc_pragma] = STATE(869),
    [sym_preproc_nullable] = STATE(869),
    [sym_preproc_error] = STATE(869),
    [sym_preproc_define] = STATE(869),
    [sym_preproc_undef] = STATE(869),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [870] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6092),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(870),
    [sym_preproc_endregion] = STATE(870),
    [sym_preproc_line] = STATE(870),
    [sym_preproc_pragma] = STATE(870),
    [sym_preproc_nullable] = STATE(870),
    [sym_preproc_error] = STATE(870),
    [sym_preproc_define] = STATE(870),
    [sym_preproc_undef] = STATE(870),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [871] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7151),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6093),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(871),
    [sym_preproc_endregion] = STATE(871),
    [sym_preproc_line] = STATE(871),
    [sym_preproc_pragma] = STATE(871),
    [sym_preproc_nullable] = STATE(871),
    [sym_preproc_error] = STATE(871),
    [sym_preproc_define] = STATE(871),
    [sym_preproc_undef] = STATE(871),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [872] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5370),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(872),
    [sym_preproc_endregion] = STATE(872),
    [sym_preproc_line] = STATE(872),
    [sym_preproc_pragma] = STATE(872),
    [sym_preproc_nullable] = STATE(872),
    [sym_preproc_error] = STATE(872),
    [sym_preproc_define] = STATE(872),
    [sym_preproc_undef] = STATE(872),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [873] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(873),
    [sym_preproc_endregion] = STATE(873),
    [sym_preproc_line] = STATE(873),
    [sym_preproc_pragma] = STATE(873),
    [sym_preproc_nullable] = STATE(873),
    [sym_preproc_error] = STATE(873),
    [sym_preproc_define] = STATE(873),
    [sym_preproc_undef] = STATE(873),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [874] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7132),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6576),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(874),
    [sym_preproc_endregion] = STATE(874),
    [sym_preproc_line] = STATE(874),
    [sym_preproc_pragma] = STATE(874),
    [sym_preproc_nullable] = STATE(874),
    [sym_preproc_error] = STATE(874),
    [sym_preproc_define] = STATE(874),
    [sym_preproc_undef] = STATE(874),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [875] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6683),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5638),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(875),
    [sym_preproc_endregion] = STATE(875),
    [sym_preproc_line] = STATE(875),
    [sym_preproc_pragma] = STATE(875),
    [sym_preproc_nullable] = STATE(875),
    [sym_preproc_error] = STATE(875),
    [sym_preproc_define] = STATE(875),
    [sym_preproc_undef] = STATE(875),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [876] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6045),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(876),
    [sym_preproc_endregion] = STATE(876),
    [sym_preproc_line] = STATE(876),
    [sym_preproc_pragma] = STATE(876),
    [sym_preproc_nullable] = STATE(876),
    [sym_preproc_error] = STATE(876),
    [sym_preproc_define] = STATE(876),
    [sym_preproc_undef] = STATE(876),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [877] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4905),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym__ordering] = STATE(7670),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(877),
    [sym_preproc_endregion] = STATE(877),
    [sym_preproc_line] = STATE(877),
    [sym_preproc_pragma] = STATE(877),
    [sym_preproc_nullable] = STATE(877),
    [sym_preproc_error] = STATE(877),
    [sym_preproc_define] = STATE(877),
    [sym_preproc_undef] = STATE(877),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [878] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5371),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(878),
    [sym_preproc_endregion] = STATE(878),
    [sym_preproc_line] = STATE(878),
    [sym_preproc_pragma] = STATE(878),
    [sym_preproc_nullable] = STATE(878),
    [sym_preproc_error] = STATE(878),
    [sym_preproc_define] = STATE(878),
    [sym_preproc_undef] = STATE(878),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [879] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6306),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(879),
    [sym_preproc_endregion] = STATE(879),
    [sym_preproc_line] = STATE(879),
    [sym_preproc_pragma] = STATE(879),
    [sym_preproc_nullable] = STATE(879),
    [sym_preproc_error] = STATE(879),
    [sym_preproc_define] = STATE(879),
    [sym_preproc_undef] = STATE(879),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [880] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6307),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(880),
    [sym_preproc_endregion] = STATE(880),
    [sym_preproc_line] = STATE(880),
    [sym_preproc_pragma] = STATE(880),
    [sym_preproc_nullable] = STATE(880),
    [sym_preproc_error] = STATE(880),
    [sym_preproc_define] = STATE(880),
    [sym_preproc_undef] = STATE(880),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [881] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5103),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(881),
    [sym_preproc_endregion] = STATE(881),
    [sym_preproc_line] = STATE(881),
    [sym_preproc_pragma] = STATE(881),
    [sym_preproc_nullable] = STATE(881),
    [sym_preproc_error] = STATE(881),
    [sym_preproc_define] = STATE(881),
    [sym_preproc_undef] = STATE(881),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [882] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6309),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(882),
    [sym_preproc_endregion] = STATE(882),
    [sym_preproc_line] = STATE(882),
    [sym_preproc_pragma] = STATE(882),
    [sym_preproc_nullable] = STATE(882),
    [sym_preproc_error] = STATE(882),
    [sym_preproc_define] = STATE(882),
    [sym_preproc_undef] = STATE(882),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [883] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6311),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(883),
    [sym_preproc_endregion] = STATE(883),
    [sym_preproc_line] = STATE(883),
    [sym_preproc_pragma] = STATE(883),
    [sym_preproc_nullable] = STATE(883),
    [sym_preproc_error] = STATE(883),
    [sym_preproc_define] = STATE(883),
    [sym_preproc_undef] = STATE(883),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [884] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6312),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(884),
    [sym_preproc_endregion] = STATE(884),
    [sym_preproc_line] = STATE(884),
    [sym_preproc_pragma] = STATE(884),
    [sym_preproc_nullable] = STATE(884),
    [sym_preproc_error] = STATE(884),
    [sym_preproc_define] = STATE(884),
    [sym_preproc_undef] = STATE(884),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [885] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6313),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(885),
    [sym_preproc_endregion] = STATE(885),
    [sym_preproc_line] = STATE(885),
    [sym_preproc_pragma] = STATE(885),
    [sym_preproc_nullable] = STATE(885),
    [sym_preproc_error] = STATE(885),
    [sym_preproc_define] = STATE(885),
    [sym_preproc_undef] = STATE(885),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [886] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6735),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6656),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6517),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(886),
    [sym_preproc_endregion] = STATE(886),
    [sym_preproc_line] = STATE(886),
    [sym_preproc_pragma] = STATE(886),
    [sym_preproc_nullable] = STATE(886),
    [sym_preproc_error] = STATE(886),
    [sym_preproc_define] = STATE(886),
    [sym_preproc_undef] = STATE(886),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2087),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [887] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6683),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5638),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(887),
    [sym_preproc_endregion] = STATE(887),
    [sym_preproc_line] = STATE(887),
    [sym_preproc_pragma] = STATE(887),
    [sym_preproc_nullable] = STATE(887),
    [sym_preproc_error] = STATE(887),
    [sym_preproc_define] = STATE(887),
    [sym_preproc_undef] = STATE(887),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2841),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [888] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5993),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(888),
    [sym_preproc_endregion] = STATE(888),
    [sym_preproc_line] = STATE(888),
    [sym_preproc_pragma] = STATE(888),
    [sym_preproc_nullable] = STATE(888),
    [sym_preproc_error] = STATE(888),
    [sym_preproc_define] = STATE(888),
    [sym_preproc_undef] = STATE(888),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [889] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6384),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(889),
    [sym_preproc_endregion] = STATE(889),
    [sym_preproc_line] = STATE(889),
    [sym_preproc_pragma] = STATE(889),
    [sym_preproc_nullable] = STATE(889),
    [sym_preproc_error] = STATE(889),
    [sym_preproc_define] = STATE(889),
    [sym_preproc_undef] = STATE(889),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [890] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5799),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(890),
    [sym_preproc_endregion] = STATE(890),
    [sym_preproc_line] = STATE(890),
    [sym_preproc_pragma] = STATE(890),
    [sym_preproc_nullable] = STATE(890),
    [sym_preproc_error] = STATE(890),
    [sym_preproc_define] = STATE(890),
    [sym_preproc_undef] = STATE(890),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [891] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5800),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(891),
    [sym_preproc_endregion] = STATE(891),
    [sym_preproc_line] = STATE(891),
    [sym_preproc_pragma] = STATE(891),
    [sym_preproc_nullable] = STATE(891),
    [sym_preproc_error] = STATE(891),
    [sym_preproc_define] = STATE(891),
    [sym_preproc_undef] = STATE(891),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [892] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5801),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(892),
    [sym_preproc_endregion] = STATE(892),
    [sym_preproc_line] = STATE(892),
    [sym_preproc_pragma] = STATE(892),
    [sym_preproc_nullable] = STATE(892),
    [sym_preproc_error] = STATE(892),
    [sym_preproc_define] = STATE(892),
    [sym_preproc_undef] = STATE(892),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [893] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5803),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(893),
    [sym_preproc_endregion] = STATE(893),
    [sym_preproc_line] = STATE(893),
    [sym_preproc_pragma] = STATE(893),
    [sym_preproc_nullable] = STATE(893),
    [sym_preproc_error] = STATE(893),
    [sym_preproc_define] = STATE(893),
    [sym_preproc_undef] = STATE(893),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [894] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5804),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(894),
    [sym_preproc_endregion] = STATE(894),
    [sym_preproc_line] = STATE(894),
    [sym_preproc_pragma] = STATE(894),
    [sym_preproc_nullable] = STATE(894),
    [sym_preproc_error] = STATE(894),
    [sym_preproc_define] = STATE(894),
    [sym_preproc_undef] = STATE(894),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [895] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5805),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(895),
    [sym_preproc_endregion] = STATE(895),
    [sym_preproc_line] = STATE(895),
    [sym_preproc_pragma] = STATE(895),
    [sym_preproc_nullable] = STATE(895),
    [sym_preproc_error] = STATE(895),
    [sym_preproc_define] = STATE(895),
    [sym_preproc_undef] = STATE(895),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [896] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6965),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5806),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(896),
    [sym_preproc_endregion] = STATE(896),
    [sym_preproc_line] = STATE(896),
    [sym_preproc_pragma] = STATE(896),
    [sym_preproc_nullable] = STATE(896),
    [sym_preproc_error] = STATE(896),
    [sym_preproc_define] = STATE(896),
    [sym_preproc_undef] = STATE(896),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [897] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6277),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym__anonymous_object_member_declarator] = STATE(8941),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2869),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(897),
    [sym_preproc_endregion] = STATE(897),
    [sym_preproc_line] = STATE(897),
    [sym_preproc_pragma] = STATE(897),
    [sym_preproc_nullable] = STATE(897),
    [sym_preproc_error] = STATE(897),
    [sym_preproc_define] = STATE(897),
    [sym_preproc_undef] = STATE(897),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [898] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5853),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(898),
    [sym_preproc_endregion] = STATE(898),
    [sym_preproc_line] = STATE(898),
    [sym_preproc_pragma] = STATE(898),
    [sym_preproc_nullable] = STATE(898),
    [sym_preproc_error] = STATE(898),
    [sym_preproc_define] = STATE(898),
    [sym_preproc_undef] = STATE(898),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [899] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6989),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4707),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(899),
    [sym_preproc_endregion] = STATE(899),
    [sym_preproc_line] = STATE(899),
    [sym_preproc_pragma] = STATE(899),
    [sym_preproc_nullable] = STATE(899),
    [sym_preproc_error] = STATE(899),
    [sym_preproc_define] = STATE(899),
    [sym_preproc_undef] = STATE(899),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [900] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6047),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(900),
    [sym_preproc_endregion] = STATE(900),
    [sym_preproc_line] = STATE(900),
    [sym_preproc_pragma] = STATE(900),
    [sym_preproc_nullable] = STATE(900),
    [sym_preproc_error] = STATE(900),
    [sym_preproc_define] = STATE(900),
    [sym_preproc_undef] = STATE(900),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [901] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6755),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2875),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2808),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(901),
    [sym_preproc_endregion] = STATE(901),
    [sym_preproc_line] = STATE(901),
    [sym_preproc_pragma] = STATE(901),
    [sym_preproc_nullable] = STATE(901),
    [sym_preproc_error] = STATE(901),
    [sym_preproc_define] = STATE(901),
    [sym_preproc_undef] = STATE(901),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2861),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2467),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [902] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6683),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5638),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(902),
    [sym_preproc_endregion] = STATE(902),
    [sym_preproc_line] = STATE(902),
    [sym_preproc_pragma] = STATE(902),
    [sym_preproc_nullable] = STATE(902),
    [sym_preproc_error] = STATE(902),
    [sym_preproc_define] = STATE(902),
    [sym_preproc_undef] = STATE(902),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [903] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5837),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8412),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(903),
    [sym_preproc_endregion] = STATE(903),
    [sym_preproc_line] = STATE(903),
    [sym_preproc_pragma] = STATE(903),
    [sym_preproc_nullable] = STATE(903),
    [sym_preproc_error] = STATE(903),
    [sym_preproc_define] = STATE(903),
    [sym_preproc_undef] = STATE(903),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [904] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(904),
    [sym_preproc_endregion] = STATE(904),
    [sym_preproc_line] = STATE(904),
    [sym_preproc_pragma] = STATE(904),
    [sym_preproc_nullable] = STATE(904),
    [sym_preproc_error] = STATE(904),
    [sym_preproc_define] = STATE(904),
    [sym_preproc_undef] = STATE(904),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [905] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6699),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2842),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6656),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6517),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(905),
    [sym_preproc_endregion] = STATE(905),
    [sym_preproc_line] = STATE(905),
    [sym_preproc_pragma] = STATE(905),
    [sym_preproc_nullable] = STATE(905),
    [sym_preproc_error] = STATE(905),
    [sym_preproc_define] = STATE(905),
    [sym_preproc_undef] = STATE(905),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2283),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2841),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2285),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [906] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4569),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4874),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(906),
    [sym_preproc_endregion] = STATE(906),
    [sym_preproc_line] = STATE(906),
    [sym_preproc_pragma] = STATE(906),
    [sym_preproc_nullable] = STATE(906),
    [sym_preproc_error] = STATE(906),
    [sym_preproc_define] = STATE(906),
    [sym_preproc_undef] = STATE(906),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [907] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6048),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(907),
    [sym_preproc_endregion] = STATE(907),
    [sym_preproc_line] = STATE(907),
    [sym_preproc_pragma] = STATE(907),
    [sym_preproc_nullable] = STATE(907),
    [sym_preproc_error] = STATE(907),
    [sym_preproc_define] = STATE(907),
    [sym_preproc_undef] = STATE(907),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [908] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(908),
    [sym_preproc_endregion] = STATE(908),
    [sym_preproc_line] = STATE(908),
    [sym_preproc_pragma] = STATE(908),
    [sym_preproc_nullable] = STATE(908),
    [sym_preproc_error] = STATE(908),
    [sym_preproc_define] = STATE(908),
    [sym_preproc_undef] = STATE(908),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [909] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7108),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5970),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_declaration_expression] = STATE(8580),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(909),
    [sym_preproc_endregion] = STATE(909),
    [sym_preproc_line] = STATE(909),
    [sym_preproc_pragma] = STATE(909),
    [sym_preproc_nullable] = STATE(909),
    [sym_preproc_error] = STATE(909),
    [sym_preproc_define] = STATE(909),
    [sym_preproc_undef] = STATE(909),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [910] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6569),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(910),
    [sym_preproc_endregion] = STATE(910),
    [sym_preproc_line] = STATE(910),
    [sym_preproc_pragma] = STATE(910),
    [sym_preproc_nullable] = STATE(910),
    [sym_preproc_error] = STATE(910),
    [sym_preproc_define] = STATE(910),
    [sym_preproc_undef] = STATE(910),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2035),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [911] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(911),
    [sym_preproc_endregion] = STATE(911),
    [sym_preproc_line] = STATE(911),
    [sym_preproc_pragma] = STATE(911),
    [sym_preproc_nullable] = STATE(911),
    [sym_preproc_error] = STATE(911),
    [sym_preproc_define] = STATE(911),
    [sym_preproc_undef] = STATE(911),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [912] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6053),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(912),
    [sym_preproc_endregion] = STATE(912),
    [sym_preproc_line] = STATE(912),
    [sym_preproc_pragma] = STATE(912),
    [sym_preproc_nullable] = STATE(912),
    [sym_preproc_error] = STATE(912),
    [sym_preproc_define] = STATE(912),
    [sym_preproc_undef] = STATE(912),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [913] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6057),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(913),
    [sym_preproc_endregion] = STATE(913),
    [sym_preproc_line] = STATE(913),
    [sym_preproc_pragma] = STATE(913),
    [sym_preproc_nullable] = STATE(913),
    [sym_preproc_error] = STATE(913),
    [sym_preproc_define] = STATE(913),
    [sym_preproc_undef] = STATE(913),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [914] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5547),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5735),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(914),
    [sym_preproc_endregion] = STATE(914),
    [sym_preproc_line] = STATE(914),
    [sym_preproc_pragma] = STATE(914),
    [sym_preproc_nullable] = STATE(914),
    [sym_preproc_error] = STATE(914),
    [sym_preproc_define] = STATE(914),
    [sym_preproc_undef] = STATE(914),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [915] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6059),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(915),
    [sym_preproc_endregion] = STATE(915),
    [sym_preproc_line] = STATE(915),
    [sym_preproc_pragma] = STATE(915),
    [sym_preproc_nullable] = STATE(915),
    [sym_preproc_error] = STATE(915),
    [sym_preproc_define] = STATE(915),
    [sym_preproc_undef] = STATE(915),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [916] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6064),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(916),
    [sym_preproc_endregion] = STATE(916),
    [sym_preproc_line] = STATE(916),
    [sym_preproc_pragma] = STATE(916),
    [sym_preproc_nullable] = STATE(916),
    [sym_preproc_error] = STATE(916),
    [sym_preproc_define] = STATE(916),
    [sym_preproc_undef] = STATE(916),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2875),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [917] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4844),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(917),
    [sym_preproc_endregion] = STATE(917),
    [sym_preproc_line] = STATE(917),
    [sym_preproc_pragma] = STATE(917),
    [sym_preproc_nullable] = STATE(917),
    [sym_preproc_error] = STATE(917),
    [sym_preproc_define] = STATE(917),
    [sym_preproc_undef] = STATE(917),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [918] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4859),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(918),
    [sym_preproc_endregion] = STATE(918),
    [sym_preproc_line] = STATE(918),
    [sym_preproc_pragma] = STATE(918),
    [sym_preproc_nullable] = STATE(918),
    [sym_preproc_error] = STATE(918),
    [sym_preproc_define] = STATE(918),
    [sym_preproc_undef] = STATE(918),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [919] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6065),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(919),
    [sym_preproc_endregion] = STATE(919),
    [sym_preproc_line] = STATE(919),
    [sym_preproc_pragma] = STATE(919),
    [sym_preproc_nullable] = STATE(919),
    [sym_preproc_error] = STATE(919),
    [sym_preproc_define] = STATE(919),
    [sym_preproc_undef] = STATE(919),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [920] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6068),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(920),
    [sym_preproc_endregion] = STATE(920),
    [sym_preproc_line] = STATE(920),
    [sym_preproc_pragma] = STATE(920),
    [sym_preproc_nullable] = STATE(920),
    [sym_preproc_error] = STATE(920),
    [sym_preproc_define] = STATE(920),
    [sym_preproc_undef] = STATE(920),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [921] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(921),
    [sym_preproc_endregion] = STATE(921),
    [sym_preproc_line] = STATE(921),
    [sym_preproc_pragma] = STATE(921),
    [sym_preproc_nullable] = STATE(921),
    [sym_preproc_error] = STATE(921),
    [sym_preproc_define] = STATE(921),
    [sym_preproc_undef] = STATE(921),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [922] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6069),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(922),
    [sym_preproc_endregion] = STATE(922),
    [sym_preproc_line] = STATE(922),
    [sym_preproc_pragma] = STATE(922),
    [sym_preproc_nullable] = STATE(922),
    [sym_preproc_error] = STATE(922),
    [sym_preproc_define] = STATE(922),
    [sym_preproc_undef] = STATE(922),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2879),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [923] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6049),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(923),
    [sym_preproc_endregion] = STATE(923),
    [sym_preproc_line] = STATE(923),
    [sym_preproc_pragma] = STATE(923),
    [sym_preproc_nullable] = STATE(923),
    [sym_preproc_error] = STATE(923),
    [sym_preproc_define] = STATE(923),
    [sym_preproc_undef] = STATE(923),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [924] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5087),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(924),
    [sym_preproc_endregion] = STATE(924),
    [sym_preproc_line] = STATE(924),
    [sym_preproc_pragma] = STATE(924),
    [sym_preproc_nullable] = STATE(924),
    [sym_preproc_error] = STATE(924),
    [sym_preproc_define] = STATE(924),
    [sym_preproc_undef] = STATE(924),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [925] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6070),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(925),
    [sym_preproc_endregion] = STATE(925),
    [sym_preproc_line] = STATE(925),
    [sym_preproc_pragma] = STATE(925),
    [sym_preproc_nullable] = STATE(925),
    [sym_preproc_error] = STATE(925),
    [sym_preproc_define] = STATE(925),
    [sym_preproc_undef] = STATE(925),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [926] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6399),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(926),
    [sym_preproc_endregion] = STATE(926),
    [sym_preproc_line] = STATE(926),
    [sym_preproc_pragma] = STATE(926),
    [sym_preproc_nullable] = STATE(926),
    [sym_preproc_error] = STATE(926),
    [sym_preproc_define] = STATE(926),
    [sym_preproc_undef] = STATE(926),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [927] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6153),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2781),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(927),
    [sym_preproc_endregion] = STATE(927),
    [sym_preproc_line] = STATE(927),
    [sym_preproc_pragma] = STATE(927),
    [sym_preproc_nullable] = STATE(927),
    [sym_preproc_error] = STATE(927),
    [sym_preproc_define] = STATE(927),
    [sym_preproc_undef] = STATE(927),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(1979),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2885),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [928] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6056),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(928),
    [sym_preproc_endregion] = STATE(928),
    [sym_preproc_line] = STATE(928),
    [sym_preproc_pragma] = STATE(928),
    [sym_preproc_nullable] = STATE(928),
    [sym_preproc_error] = STATE(928),
    [sym_preproc_define] = STATE(928),
    [sym_preproc_undef] = STATE(928),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [929] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6405),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(929),
    [sym_preproc_endregion] = STATE(929),
    [sym_preproc_line] = STATE(929),
    [sym_preproc_pragma] = STATE(929),
    [sym_preproc_nullable] = STATE(929),
    [sym_preproc_error] = STATE(929),
    [sym_preproc_define] = STATE(929),
    [sym_preproc_undef] = STATE(929),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [930] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5577),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5736),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(930),
    [sym_preproc_endregion] = STATE(930),
    [sym_preproc_line] = STATE(930),
    [sym_preproc_pragma] = STATE(930),
    [sym_preproc_nullable] = STATE(930),
    [sym_preproc_error] = STATE(930),
    [sym_preproc_define] = STATE(930),
    [sym_preproc_undef] = STATE(930),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [931] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6411),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(931),
    [sym_preproc_endregion] = STATE(931),
    [sym_preproc_line] = STATE(931),
    [sym_preproc_pragma] = STATE(931),
    [sym_preproc_nullable] = STATE(931),
    [sym_preproc_error] = STATE(931),
    [sym_preproc_define] = STATE(931),
    [sym_preproc_undef] = STATE(931),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [932] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5611),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5737),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(932),
    [sym_preproc_endregion] = STATE(932),
    [sym_preproc_line] = STATE(932),
    [sym_preproc_pragma] = STATE(932),
    [sym_preproc_nullable] = STATE(932),
    [sym_preproc_error] = STATE(932),
    [sym_preproc_define] = STATE(932),
    [sym_preproc_undef] = STATE(932),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [933] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4900),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(933),
    [sym_preproc_endregion] = STATE(933),
    [sym_preproc_line] = STATE(933),
    [sym_preproc_pragma] = STATE(933),
    [sym_preproc_nullable] = STATE(933),
    [sym_preproc_error] = STATE(933),
    [sym_preproc_define] = STATE(933),
    [sym_preproc_undef] = STATE(933),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [934] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6424),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(934),
    [sym_preproc_endregion] = STATE(934),
    [sym_preproc_line] = STATE(934),
    [sym_preproc_pragma] = STATE(934),
    [sym_preproc_nullable] = STATE(934),
    [sym_preproc_error] = STATE(934),
    [sym_preproc_define] = STATE(934),
    [sym_preproc_undef] = STATE(934),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [935] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4960),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(935),
    [sym_preproc_endregion] = STATE(935),
    [sym_preproc_line] = STATE(935),
    [sym_preproc_pragma] = STATE(935),
    [sym_preproc_nullable] = STATE(935),
    [sym_preproc_error] = STATE(935),
    [sym_preproc_define] = STATE(935),
    [sym_preproc_undef] = STATE(935),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [936] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4941),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(936),
    [sym_preproc_endregion] = STATE(936),
    [sym_preproc_line] = STATE(936),
    [sym_preproc_pragma] = STATE(936),
    [sym_preproc_nullable] = STATE(936),
    [sym_preproc_error] = STATE(936),
    [sym_preproc_define] = STATE(936),
    [sym_preproc_undef] = STATE(936),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [937] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4942),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(937),
    [sym_preproc_endregion] = STATE(937),
    [sym_preproc_line] = STATE(937),
    [sym_preproc_pragma] = STATE(937),
    [sym_preproc_nullable] = STATE(937),
    [sym_preproc_error] = STATE(937),
    [sym_preproc_define] = STATE(937),
    [sym_preproc_undef] = STATE(937),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [938] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4945),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(938),
    [sym_preproc_endregion] = STATE(938),
    [sym_preproc_line] = STATE(938),
    [sym_preproc_pragma] = STATE(938),
    [sym_preproc_nullable] = STATE(938),
    [sym_preproc_error] = STATE(938),
    [sym_preproc_define] = STATE(938),
    [sym_preproc_undef] = STATE(938),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [939] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4946),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(939),
    [sym_preproc_endregion] = STATE(939),
    [sym_preproc_line] = STATE(939),
    [sym_preproc_pragma] = STATE(939),
    [sym_preproc_nullable] = STATE(939),
    [sym_preproc_error] = STATE(939),
    [sym_preproc_define] = STATE(939),
    [sym_preproc_undef] = STATE(939),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [940] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4947),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(940),
    [sym_preproc_endregion] = STATE(940),
    [sym_preproc_line] = STATE(940),
    [sym_preproc_pragma] = STATE(940),
    [sym_preproc_nullable] = STATE(940),
    [sym_preproc_error] = STATE(940),
    [sym_preproc_define] = STATE(940),
    [sym_preproc_undef] = STATE(940),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [941] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6058),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(941),
    [sym_preproc_endregion] = STATE(941),
    [sym_preproc_line] = STATE(941),
    [sym_preproc_pragma] = STATE(941),
    [sym_preproc_nullable] = STATE(941),
    [sym_preproc_error] = STATE(941),
    [sym_preproc_define] = STATE(941),
    [sym_preproc_undef] = STATE(941),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [942] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4714),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4480),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(942),
    [sym_preproc_endregion] = STATE(942),
    [sym_preproc_line] = STATE(942),
    [sym_preproc_pragma] = STATE(942),
    [sym_preproc_nullable] = STATE(942),
    [sym_preproc_error] = STATE(942),
    [sym_preproc_define] = STATE(942),
    [sym_preproc_undef] = STATE(942),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [943] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4630),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4481),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(943),
    [sym_preproc_endregion] = STATE(943),
    [sym_preproc_line] = STATE(943),
    [sym_preproc_pragma] = STATE(943),
    [sym_preproc_nullable] = STATE(943),
    [sym_preproc_error] = STATE(943),
    [sym_preproc_define] = STATE(943),
    [sym_preproc_undef] = STATE(943),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [944] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5695),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5740),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(944),
    [sym_preproc_endregion] = STATE(944),
    [sym_preproc_line] = STATE(944),
    [sym_preproc_pragma] = STATE(944),
    [sym_preproc_nullable] = STATE(944),
    [sym_preproc_error] = STATE(944),
    [sym_preproc_define] = STATE(944),
    [sym_preproc_undef] = STATE(944),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [945] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4694),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4483),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(945),
    [sym_preproc_endregion] = STATE(945),
    [sym_preproc_line] = STATE(945),
    [sym_preproc_pragma] = STATE(945),
    [sym_preproc_nullable] = STATE(945),
    [sym_preproc_error] = STATE(945),
    [sym_preproc_define] = STATE(945),
    [sym_preproc_undef] = STATE(945),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [946] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5703),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5741),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(946),
    [sym_preproc_endregion] = STATE(946),
    [sym_preproc_line] = STATE(946),
    [sym_preproc_pragma] = STATE(946),
    [sym_preproc_nullable] = STATE(946),
    [sym_preproc_error] = STATE(946),
    [sym_preproc_define] = STATE(946),
    [sym_preproc_undef] = STATE(946),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [947] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6300),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(947),
    [sym_preproc_endregion] = STATE(947),
    [sym_preproc_line] = STATE(947),
    [sym_preproc_pragma] = STATE(947),
    [sym_preproc_nullable] = STATE(947),
    [sym_preproc_error] = STATE(947),
    [sym_preproc_define] = STATE(947),
    [sym_preproc_undef] = STATE(947),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [948] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4604),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4488),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(948),
    [sym_preproc_endregion] = STATE(948),
    [sym_preproc_line] = STATE(948),
    [sym_preproc_pragma] = STATE(948),
    [sym_preproc_nullable] = STATE(948),
    [sym_preproc_error] = STATE(948),
    [sym_preproc_define] = STATE(948),
    [sym_preproc_undef] = STATE(948),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [949] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4613),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4489),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(949),
    [sym_preproc_endregion] = STATE(949),
    [sym_preproc_line] = STATE(949),
    [sym_preproc_pragma] = STATE(949),
    [sym_preproc_nullable] = STATE(949),
    [sym_preproc_error] = STATE(949),
    [sym_preproc_define] = STATE(949),
    [sym_preproc_undef] = STATE(949),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [950] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4569),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4490),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(950),
    [sym_preproc_endregion] = STATE(950),
    [sym_preproc_line] = STATE(950),
    [sym_preproc_pragma] = STATE(950),
    [sym_preproc_nullable] = STATE(950),
    [sym_preproc_error] = STATE(950),
    [sym_preproc_define] = STATE(950),
    [sym_preproc_undef] = STATE(950),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [951] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7105),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4980),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(951),
    [sym_preproc_endregion] = STATE(951),
    [sym_preproc_line] = STATE(951),
    [sym_preproc_pragma] = STATE(951),
    [sym_preproc_nullable] = STATE(951),
    [sym_preproc_error] = STATE(951),
    [sym_preproc_define] = STATE(951),
    [sym_preproc_undef] = STATE(951),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [952] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7136),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4479),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(952),
    [sym_preproc_endregion] = STATE(952),
    [sym_preproc_line] = STATE(952),
    [sym_preproc_pragma] = STATE(952),
    [sym_preproc_nullable] = STATE(952),
    [sym_preproc_error] = STATE(952),
    [sym_preproc_define] = STATE(952),
    [sym_preproc_undef] = STATE(952),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [953] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6301),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(953),
    [sym_preproc_endregion] = STATE(953),
    [sym_preproc_line] = STATE(953),
    [sym_preproc_pragma] = STATE(953),
    [sym_preproc_nullable] = STATE(953),
    [sym_preproc_error] = STATE(953),
    [sym_preproc_define] = STATE(953),
    [sym_preproc_undef] = STATE(953),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [954] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5547),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5246),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(954),
    [sym_preproc_endregion] = STATE(954),
    [sym_preproc_line] = STATE(954),
    [sym_preproc_pragma] = STATE(954),
    [sym_preproc_nullable] = STATE(954),
    [sym_preproc_error] = STATE(954),
    [sym_preproc_define] = STATE(954),
    [sym_preproc_undef] = STATE(954),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [955] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5577),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5247),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(955),
    [sym_preproc_endregion] = STATE(955),
    [sym_preproc_line] = STATE(955),
    [sym_preproc_pragma] = STATE(955),
    [sym_preproc_nullable] = STATE(955),
    [sym_preproc_error] = STATE(955),
    [sym_preproc_define] = STATE(955),
    [sym_preproc_undef] = STATE(955),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [956] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5611),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5248),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(956),
    [sym_preproc_endregion] = STATE(956),
    [sym_preproc_line] = STATE(956),
    [sym_preproc_pragma] = STATE(956),
    [sym_preproc_nullable] = STATE(956),
    [sym_preproc_error] = STATE(956),
    [sym_preproc_define] = STATE(956),
    [sym_preproc_undef] = STATE(956),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [957] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5695),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5250),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(957),
    [sym_preproc_endregion] = STATE(957),
    [sym_preproc_line] = STATE(957),
    [sym_preproc_pragma] = STATE(957),
    [sym_preproc_nullable] = STATE(957),
    [sym_preproc_error] = STATE(957),
    [sym_preproc_define] = STATE(957),
    [sym_preproc_undef] = STATE(957),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [958] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5703),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5251),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(958),
    [sym_preproc_endregion] = STATE(958),
    [sym_preproc_line] = STATE(958),
    [sym_preproc_pragma] = STATE(958),
    [sym_preproc_nullable] = STATE(958),
    [sym_preproc_error] = STATE(958),
    [sym_preproc_define] = STATE(958),
    [sym_preproc_undef] = STATE(958),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [959] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5722),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5252),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(959),
    [sym_preproc_endregion] = STATE(959),
    [sym_preproc_line] = STATE(959),
    [sym_preproc_pragma] = STATE(959),
    [sym_preproc_nullable] = STATE(959),
    [sym_preproc_error] = STATE(959),
    [sym_preproc_define] = STATE(959),
    [sym_preproc_undef] = STATE(959),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [960] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6302),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(960),
    [sym_preproc_endregion] = STATE(960),
    [sym_preproc_line] = STATE(960),
    [sym_preproc_pragma] = STATE(960),
    [sym_preproc_nullable] = STATE(960),
    [sym_preproc_error] = STATE(960),
    [sym_preproc_define] = STATE(960),
    [sym_preproc_undef] = STATE(960),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [961] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6218),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(961),
    [sym_preproc_endregion] = STATE(961),
    [sym_preproc_line] = STATE(961),
    [sym_preproc_pragma] = STATE(961),
    [sym_preproc_nullable] = STATE(961),
    [sym_preproc_error] = STATE(961),
    [sym_preproc_define] = STATE(961),
    [sym_preproc_undef] = STATE(961),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [962] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5900),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(962),
    [sym_preproc_endregion] = STATE(962),
    [sym_preproc_line] = STATE(962),
    [sym_preproc_pragma] = STATE(962),
    [sym_preproc_nullable] = STATE(962),
    [sym_preproc_error] = STATE(962),
    [sym_preproc_define] = STATE(962),
    [sym_preproc_undef] = STATE(962),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [963] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5979),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(963),
    [sym_preproc_endregion] = STATE(963),
    [sym_preproc_line] = STATE(963),
    [sym_preproc_pragma] = STATE(963),
    [sym_preproc_nullable] = STATE(963),
    [sym_preproc_error] = STATE(963),
    [sym_preproc_define] = STATE(963),
    [sym_preproc_undef] = STATE(963),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [964] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5902),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(964),
    [sym_preproc_endregion] = STATE(964),
    [sym_preproc_line] = STATE(964),
    [sym_preproc_pragma] = STATE(964),
    [sym_preproc_nullable] = STATE(964),
    [sym_preproc_error] = STATE(964),
    [sym_preproc_define] = STATE(964),
    [sym_preproc_undef] = STATE(964),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [965] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5904),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(965),
    [sym_preproc_endregion] = STATE(965),
    [sym_preproc_line] = STATE(965),
    [sym_preproc_pragma] = STATE(965),
    [sym_preproc_nullable] = STATE(965),
    [sym_preproc_error] = STATE(965),
    [sym_preproc_define] = STATE(965),
    [sym_preproc_undef] = STATE(965),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [966] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5905),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(966),
    [sym_preproc_endregion] = STATE(966),
    [sym_preproc_line] = STATE(966),
    [sym_preproc_pragma] = STATE(966),
    [sym_preproc_nullable] = STATE(966),
    [sym_preproc_error] = STATE(966),
    [sym_preproc_define] = STATE(966),
    [sym_preproc_undef] = STATE(966),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [967] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5906),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(967),
    [sym_preproc_endregion] = STATE(967),
    [sym_preproc_line] = STATE(967),
    [sym_preproc_pragma] = STATE(967),
    [sym_preproc_nullable] = STATE(967),
    [sym_preproc_error] = STATE(967),
    [sym_preproc_define] = STATE(967),
    [sym_preproc_undef] = STATE(967),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [968] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7144),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5353),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(968),
    [sym_preproc_endregion] = STATE(968),
    [sym_preproc_line] = STATE(968),
    [sym_preproc_pragma] = STATE(968),
    [sym_preproc_nullable] = STATE(968),
    [sym_preproc_error] = STATE(968),
    [sym_preproc_define] = STATE(968),
    [sym_preproc_undef] = STATE(968),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [969] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7051),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5907),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(969),
    [sym_preproc_endregion] = STATE(969),
    [sym_preproc_line] = STATE(969),
    [sym_preproc_pragma] = STATE(969),
    [sym_preproc_nullable] = STATE(969),
    [sym_preproc_error] = STATE(969),
    [sym_preproc_define] = STATE(969),
    [sym_preproc_undef] = STATE(969),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [970] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6204),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(970),
    [sym_preproc_endregion] = STATE(970),
    [sym_preproc_line] = STATE(970),
    [sym_preproc_pragma] = STATE(970),
    [sym_preproc_nullable] = STATE(970),
    [sym_preproc_error] = STATE(970),
    [sym_preproc_define] = STATE(970),
    [sym_preproc_undef] = STATE(970),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [971] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6128),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(971),
    [sym_preproc_endregion] = STATE(971),
    [sym_preproc_line] = STATE(971),
    [sym_preproc_pragma] = STATE(971),
    [sym_preproc_nullable] = STATE(971),
    [sym_preproc_error] = STATE(971),
    [sym_preproc_define] = STATE(971),
    [sym_preproc_undef] = STATE(971),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [972] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6415),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(972),
    [sym_preproc_endregion] = STATE(972),
    [sym_preproc_line] = STATE(972),
    [sym_preproc_pragma] = STATE(972),
    [sym_preproc_nullable] = STATE(972),
    [sym_preproc_error] = STATE(972),
    [sym_preproc_define] = STATE(972),
    [sym_preproc_undef] = STATE(972),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [973] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4714),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4431),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(973),
    [sym_preproc_endregion] = STATE(973),
    [sym_preproc_line] = STATE(973),
    [sym_preproc_pragma] = STATE(973),
    [sym_preproc_nullable] = STATE(973),
    [sym_preproc_error] = STATE(973),
    [sym_preproc_define] = STATE(973),
    [sym_preproc_undef] = STATE(973),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [974] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4630),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4433),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(974),
    [sym_preproc_endregion] = STATE(974),
    [sym_preproc_line] = STATE(974),
    [sym_preproc_pragma] = STATE(974),
    [sym_preproc_nullable] = STATE(974),
    [sym_preproc_error] = STATE(974),
    [sym_preproc_define] = STATE(974),
    [sym_preproc_undef] = STATE(974),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [975] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4694),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4360),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(975),
    [sym_preproc_endregion] = STATE(975),
    [sym_preproc_line] = STATE(975),
    [sym_preproc_pragma] = STATE(975),
    [sym_preproc_nullable] = STATE(975),
    [sym_preproc_error] = STATE(975),
    [sym_preproc_define] = STATE(975),
    [sym_preproc_undef] = STATE(975),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [976] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4604),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4452),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(976),
    [sym_preproc_endregion] = STATE(976),
    [sym_preproc_line] = STATE(976),
    [sym_preproc_pragma] = STATE(976),
    [sym_preproc_nullable] = STATE(976),
    [sym_preproc_error] = STATE(976),
    [sym_preproc_define] = STATE(976),
    [sym_preproc_undef] = STATE(976),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [977] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4613),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4397),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(977),
    [sym_preproc_endregion] = STATE(977),
    [sym_preproc_line] = STATE(977),
    [sym_preproc_pragma] = STATE(977),
    [sym_preproc_nullable] = STATE(977),
    [sym_preproc_error] = STATE(977),
    [sym_preproc_define] = STATE(977),
    [sym_preproc_undef] = STATE(977),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [978] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4569),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4381),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(978),
    [sym_preproc_endregion] = STATE(978),
    [sym_preproc_line] = STATE(978),
    [sym_preproc_pragma] = STATE(978),
    [sym_preproc_nullable] = STATE(978),
    [sym_preproc_error] = STATE(978),
    [sym_preproc_define] = STATE(978),
    [sym_preproc_undef] = STATE(978),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [979] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6951),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4414),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(979),
    [sym_preproc_endregion] = STATE(979),
    [sym_preproc_line] = STATE(979),
    [sym_preproc_pragma] = STATE(979),
    [sym_preproc_nullable] = STATE(979),
    [sym_preproc_error] = STATE(979),
    [sym_preproc_define] = STATE(979),
    [sym_preproc_undef] = STATE(979),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [980] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5081),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(980),
    [sym_preproc_endregion] = STATE(980),
    [sym_preproc_line] = STATE(980),
    [sym_preproc_pragma] = STATE(980),
    [sym_preproc_nullable] = STATE(980),
    [sym_preproc_error] = STATE(980),
    [sym_preproc_define] = STATE(980),
    [sym_preproc_undef] = STATE(980),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [981] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5547),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5180),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(981),
    [sym_preproc_endregion] = STATE(981),
    [sym_preproc_line] = STATE(981),
    [sym_preproc_pragma] = STATE(981),
    [sym_preproc_nullable] = STATE(981),
    [sym_preproc_error] = STATE(981),
    [sym_preproc_define] = STATE(981),
    [sym_preproc_undef] = STATE(981),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [982] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5577),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5182),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(982),
    [sym_preproc_endregion] = STATE(982),
    [sym_preproc_line] = STATE(982),
    [sym_preproc_pragma] = STATE(982),
    [sym_preproc_nullable] = STATE(982),
    [sym_preproc_error] = STATE(982),
    [sym_preproc_define] = STATE(982),
    [sym_preproc_undef] = STATE(982),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [983] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5611),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5198),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(983),
    [sym_preproc_endregion] = STATE(983),
    [sym_preproc_line] = STATE(983),
    [sym_preproc_pragma] = STATE(983),
    [sym_preproc_nullable] = STATE(983),
    [sym_preproc_error] = STATE(983),
    [sym_preproc_define] = STATE(983),
    [sym_preproc_undef] = STATE(983),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [984] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5695),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5139),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(984),
    [sym_preproc_endregion] = STATE(984),
    [sym_preproc_line] = STATE(984),
    [sym_preproc_pragma] = STATE(984),
    [sym_preproc_nullable] = STATE(984),
    [sym_preproc_error] = STATE(984),
    [sym_preproc_define] = STATE(984),
    [sym_preproc_undef] = STATE(984),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [985] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5703),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5142),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(985),
    [sym_preproc_endregion] = STATE(985),
    [sym_preproc_line] = STATE(985),
    [sym_preproc_pragma] = STATE(985),
    [sym_preproc_nullable] = STATE(985),
    [sym_preproc_error] = STATE(985),
    [sym_preproc_define] = STATE(985),
    [sym_preproc_undef] = STATE(985),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [986] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5722),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5151),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(986),
    [sym_preproc_endregion] = STATE(986),
    [sym_preproc_line] = STATE(986),
    [sym_preproc_pragma] = STATE(986),
    [sym_preproc_nullable] = STATE(986),
    [sym_preproc_error] = STATE(986),
    [sym_preproc_define] = STATE(986),
    [sym_preproc_undef] = STATE(986),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [987] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6961),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5193),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(987),
    [sym_preproc_endregion] = STATE(987),
    [sym_preproc_line] = STATE(987),
    [sym_preproc_pragma] = STATE(987),
    [sym_preproc_nullable] = STATE(987),
    [sym_preproc_error] = STATE(987),
    [sym_preproc_define] = STATE(987),
    [sym_preproc_undef] = STATE(987),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [988] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7003),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6234),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(988),
    [sym_preproc_endregion] = STATE(988),
    [sym_preproc_line] = STATE(988),
    [sym_preproc_pragma] = STATE(988),
    [sym_preproc_nullable] = STATE(988),
    [sym_preproc_error] = STATE(988),
    [sym_preproc_define] = STATE(988),
    [sym_preproc_undef] = STATE(988),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [989] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6060),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(989),
    [sym_preproc_endregion] = STATE(989),
    [sym_preproc_line] = STATE(989),
    [sym_preproc_pragma] = STATE(989),
    [sym_preproc_nullable] = STATE(989),
    [sym_preproc_error] = STATE(989),
    [sym_preproc_define] = STATE(989),
    [sym_preproc_undef] = STATE(989),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [990] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5164),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(990),
    [sym_preproc_endregion] = STATE(990),
    [sym_preproc_line] = STATE(990),
    [sym_preproc_pragma] = STATE(990),
    [sym_preproc_nullable] = STATE(990),
    [sym_preproc_error] = STATE(990),
    [sym_preproc_define] = STATE(990),
    [sym_preproc_undef] = STATE(990),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [991] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5195),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(991),
    [sym_preproc_endregion] = STATE(991),
    [sym_preproc_line] = STATE(991),
    [sym_preproc_pragma] = STATE(991),
    [sym_preproc_nullable] = STATE(991),
    [sym_preproc_error] = STATE(991),
    [sym_preproc_define] = STATE(991),
    [sym_preproc_undef] = STATE(991),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [992] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5206),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(992),
    [sym_preproc_endregion] = STATE(992),
    [sym_preproc_line] = STATE(992),
    [sym_preproc_pragma] = STATE(992),
    [sym_preproc_nullable] = STATE(992),
    [sym_preproc_error] = STATE(992),
    [sym_preproc_define] = STATE(992),
    [sym_preproc_undef] = STATE(992),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [993] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5183),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(993),
    [sym_preproc_endregion] = STATE(993),
    [sym_preproc_line] = STATE(993),
    [sym_preproc_pragma] = STATE(993),
    [sym_preproc_nullable] = STATE(993),
    [sym_preproc_error] = STATE(993),
    [sym_preproc_define] = STATE(993),
    [sym_preproc_undef] = STATE(993),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [994] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5161),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(994),
    [sym_preproc_endregion] = STATE(994),
    [sym_preproc_line] = STATE(994),
    [sym_preproc_pragma] = STATE(994),
    [sym_preproc_nullable] = STATE(994),
    [sym_preproc_error] = STATE(994),
    [sym_preproc_define] = STATE(994),
    [sym_preproc_undef] = STATE(994),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [995] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5166),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(995),
    [sym_preproc_endregion] = STATE(995),
    [sym_preproc_line] = STATE(995),
    [sym_preproc_pragma] = STATE(995),
    [sym_preproc_nullable] = STATE(995),
    [sym_preproc_error] = STATE(995),
    [sym_preproc_define] = STATE(995),
    [sym_preproc_undef] = STATE(995),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [996] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6488),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(996),
    [sym_preproc_endregion] = STATE(996),
    [sym_preproc_line] = STATE(996),
    [sym_preproc_pragma] = STATE(996),
    [sym_preproc_nullable] = STATE(996),
    [sym_preproc_error] = STATE(996),
    [sym_preproc_define] = STATE(996),
    [sym_preproc_undef] = STATE(996),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_if_token3] = ACTIONS(2897),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [997] = {
    [sym_attribute_argument] = STATE(8951),
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6216),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2850),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(997),
    [sym_preproc_endregion] = STATE(997),
    [sym_preproc_line] = STATE(997),
    [sym_preproc_pragma] = STATE(997),
    [sym_preproc_nullable] = STATE(997),
    [sym_preproc_error] = STATE(997),
    [sym_preproc_define] = STATE(997),
    [sym_preproc_undef] = STATE(997),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [998] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5260),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(998),
    [sym_preproc_endregion] = STATE(998),
    [sym_preproc_line] = STATE(998),
    [sym_preproc_pragma] = STATE(998),
    [sym_preproc_nullable] = STATE(998),
    [sym_preproc_error] = STATE(998),
    [sym_preproc_define] = STATE(998),
    [sym_preproc_undef] = STATE(998),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [999] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5602),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(999),
    [sym_preproc_endregion] = STATE(999),
    [sym_preproc_line] = STATE(999),
    [sym_preproc_pragma] = STATE(999),
    [sym_preproc_nullable] = STATE(999),
    [sym_preproc_error] = STATE(999),
    [sym_preproc_define] = STATE(999),
    [sym_preproc_undef] = STATE(999),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1000] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5261),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1000),
    [sym_preproc_endregion] = STATE(1000),
    [sym_preproc_line] = STATE(1000),
    [sym_preproc_pragma] = STATE(1000),
    [sym_preproc_nullable] = STATE(1000),
    [sym_preproc_error] = STATE(1000),
    [sym_preproc_define] = STATE(1000),
    [sym_preproc_undef] = STATE(1000),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1001] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5722),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5742),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1001),
    [sym_preproc_endregion] = STATE(1001),
    [sym_preproc_line] = STATE(1001),
    [sym_preproc_pragma] = STATE(1001),
    [sym_preproc_nullable] = STATE(1001),
    [sym_preproc_error] = STATE(1001),
    [sym_preproc_define] = STATE(1001),
    [sym_preproc_undef] = STATE(1001),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1002] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5263),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1002),
    [sym_preproc_endregion] = STATE(1002),
    [sym_preproc_line] = STATE(1002),
    [sym_preproc_pragma] = STATE(1002),
    [sym_preproc_nullable] = STATE(1002),
    [sym_preproc_error] = STATE(1002),
    [sym_preproc_define] = STATE(1002),
    [sym_preproc_undef] = STATE(1002),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1003] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5502),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1003),
    [sym_preproc_endregion] = STATE(1003),
    [sym_preproc_line] = STATE(1003),
    [sym_preproc_pragma] = STATE(1003),
    [sym_preproc_nullable] = STATE(1003),
    [sym_preproc_error] = STATE(1003),
    [sym_preproc_define] = STATE(1003),
    [sym_preproc_undef] = STATE(1003),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1004] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5643),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1004),
    [sym_preproc_endregion] = STATE(1004),
    [sym_preproc_line] = STATE(1004),
    [sym_preproc_pragma] = STATE(1004),
    [sym_preproc_nullable] = STATE(1004),
    [sym_preproc_error] = STATE(1004),
    [sym_preproc_define] = STATE(1004),
    [sym_preproc_undef] = STATE(1004),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1005] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6477),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1005),
    [sym_preproc_endregion] = STATE(1005),
    [sym_preproc_line] = STATE(1005),
    [sym_preproc_pragma] = STATE(1005),
    [sym_preproc_nullable] = STATE(1005),
    [sym_preproc_error] = STATE(1005),
    [sym_preproc_define] = STATE(1005),
    [sym_preproc_undef] = STATE(1005),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1006] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5265),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1006),
    [sym_preproc_endregion] = STATE(1006),
    [sym_preproc_line] = STATE(1006),
    [sym_preproc_pragma] = STATE(1006),
    [sym_preproc_nullable] = STATE(1006),
    [sym_preproc_error] = STATE(1006),
    [sym_preproc_define] = STATE(1006),
    [sym_preproc_undef] = STATE(1006),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1007] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6481),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1007),
    [sym_preproc_endregion] = STATE(1007),
    [sym_preproc_line] = STATE(1007),
    [sym_preproc_pragma] = STATE(1007),
    [sym_preproc_nullable] = STATE(1007),
    [sym_preproc_error] = STATE(1007),
    [sym_preproc_define] = STATE(1007),
    [sym_preproc_undef] = STATE(1007),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1008] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5266),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1008),
    [sym_preproc_endregion] = STATE(1008),
    [sym_preproc_line] = STATE(1008),
    [sym_preproc_pragma] = STATE(1008),
    [sym_preproc_nullable] = STATE(1008),
    [sym_preproc_error] = STATE(1008),
    [sym_preproc_define] = STATE(1008),
    [sym_preproc_undef] = STATE(1008),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1009] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6482),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1009),
    [sym_preproc_endregion] = STATE(1009),
    [sym_preproc_line] = STATE(1009),
    [sym_preproc_pragma] = STATE(1009),
    [sym_preproc_nullable] = STATE(1009),
    [sym_preproc_error] = STATE(1009),
    [sym_preproc_define] = STATE(1009),
    [sym_preproc_undef] = STATE(1009),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1010] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5267),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1010),
    [sym_preproc_endregion] = STATE(1010),
    [sym_preproc_line] = STATE(1010),
    [sym_preproc_pragma] = STATE(1010),
    [sym_preproc_nullable] = STATE(1010),
    [sym_preproc_error] = STATE(1010),
    [sym_preproc_define] = STATE(1010),
    [sym_preproc_undef] = STATE(1010),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1011] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6992),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5194),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1011),
    [sym_preproc_endregion] = STATE(1011),
    [sym_preproc_line] = STATE(1011),
    [sym_preproc_pragma] = STATE(1011),
    [sym_preproc_nullable] = STATE(1011),
    [sym_preproc_error] = STATE(1011),
    [sym_preproc_define] = STATE(1011),
    [sym_preproc_undef] = STATE(1011),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1012] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7095),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5268),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1012),
    [sym_preproc_endregion] = STATE(1012),
    [sym_preproc_line] = STATE(1012),
    [sym_preproc_pragma] = STATE(1012),
    [sym_preproc_nullable] = STATE(1012),
    [sym_preproc_error] = STATE(1012),
    [sym_preproc_define] = STATE(1012),
    [sym_preproc_undef] = STATE(1012),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1013] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1013),
    [sym_preproc_endregion] = STATE(1013),
    [sym_preproc_line] = STATE(1013),
    [sym_preproc_pragma] = STATE(1013),
    [sym_preproc_nullable] = STATE(1013),
    [sym_preproc_error] = STATE(1013),
    [sym_preproc_define] = STATE(1013),
    [sym_preproc_undef] = STATE(1013),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1014] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7092),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5332),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1014),
    [sym_preproc_endregion] = STATE(1014),
    [sym_preproc_line] = STATE(1014),
    [sym_preproc_pragma] = STATE(1014),
    [sym_preproc_nullable] = STATE(1014),
    [sym_preproc_error] = STATE(1014),
    [sym_preproc_define] = STATE(1014),
    [sym_preproc_undef] = STATE(1014),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1015] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5725),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1015),
    [sym_preproc_endregion] = STATE(1015),
    [sym_preproc_line] = STATE(1015),
    [sym_preproc_pragma] = STATE(1015),
    [sym_preproc_nullable] = STATE(1015),
    [sym_preproc_error] = STATE(1015),
    [sym_preproc_define] = STATE(1015),
    [sym_preproc_undef] = STATE(1015),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1016] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5505),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1016),
    [sym_preproc_endregion] = STATE(1016),
    [sym_preproc_line] = STATE(1016),
    [sym_preproc_pragma] = STATE(1016),
    [sym_preproc_nullable] = STATE(1016),
    [sym_preproc_error] = STATE(1016),
    [sym_preproc_define] = STATE(1016),
    [sym_preproc_undef] = STATE(1016),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1017] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1017),
    [sym_preproc_endregion] = STATE(1017),
    [sym_preproc_line] = STATE(1017),
    [sym_preproc_pragma] = STATE(1017),
    [sym_preproc_nullable] = STATE(1017),
    [sym_preproc_error] = STATE(1017),
    [sym_preproc_define] = STATE(1017),
    [sym_preproc_undef] = STATE(1017),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1018] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5809),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1018),
    [sym_preproc_endregion] = STATE(1018),
    [sym_preproc_line] = STATE(1018),
    [sym_preproc_pragma] = STATE(1018),
    [sym_preproc_nullable] = STATE(1018),
    [sym_preproc_error] = STATE(1018),
    [sym_preproc_define] = STATE(1018),
    [sym_preproc_undef] = STATE(1018),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1019] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5114),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1019),
    [sym_preproc_endregion] = STATE(1019),
    [sym_preproc_line] = STATE(1019),
    [sym_preproc_pragma] = STATE(1019),
    [sym_preproc_nullable] = STATE(1019),
    [sym_preproc_error] = STATE(1019),
    [sym_preproc_define] = STATE(1019),
    [sym_preproc_undef] = STATE(1019),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1020] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6501),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1020),
    [sym_preproc_endregion] = STATE(1020),
    [sym_preproc_line] = STATE(1020),
    [sym_preproc_pragma] = STATE(1020),
    [sym_preproc_nullable] = STATE(1020),
    [sym_preproc_error] = STATE(1020),
    [sym_preproc_define] = STATE(1020),
    [sym_preproc_undef] = STATE(1020),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1021] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6656),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6517),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1021),
    [sym_preproc_endregion] = STATE(1021),
    [sym_preproc_line] = STATE(1021),
    [sym_preproc_pragma] = STATE(1021),
    [sym_preproc_nullable] = STATE(1021),
    [sym_preproc_error] = STATE(1021),
    [sym_preproc_define] = STATE(1021),
    [sym_preproc_undef] = STATE(1021),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1022] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6506),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1022),
    [sym_preproc_endregion] = STATE(1022),
    [sym_preproc_line] = STATE(1022),
    [sym_preproc_pragma] = STATE(1022),
    [sym_preproc_nullable] = STATE(1022),
    [sym_preproc_error] = STATE(1022),
    [sym_preproc_define] = STATE(1022),
    [sym_preproc_undef] = STATE(1022),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1023] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5093),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1023),
    [sym_preproc_endregion] = STATE(1023),
    [sym_preproc_line] = STATE(1023),
    [sym_preproc_pragma] = STATE(1023),
    [sym_preproc_nullable] = STATE(1023),
    [sym_preproc_error] = STATE(1023),
    [sym_preproc_define] = STATE(1023),
    [sym_preproc_undef] = STATE(1023),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1024] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6507),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1024),
    [sym_preproc_endregion] = STATE(1024),
    [sym_preproc_line] = STATE(1024),
    [sym_preproc_pragma] = STATE(1024),
    [sym_preproc_nullable] = STATE(1024),
    [sym_preproc_error] = STATE(1024),
    [sym_preproc_define] = STATE(1024),
    [sym_preproc_undef] = STATE(1024),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1025] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5610),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1025),
    [sym_preproc_endregion] = STATE(1025),
    [sym_preproc_line] = STATE(1025),
    [sym_preproc_pragma] = STATE(1025),
    [sym_preproc_nullable] = STATE(1025),
    [sym_preproc_error] = STATE(1025),
    [sym_preproc_define] = STATE(1025),
    [sym_preproc_undef] = STATE(1025),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1026] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5927),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1026),
    [sym_preproc_endregion] = STATE(1026),
    [sym_preproc_line] = STATE(1026),
    [sym_preproc_pragma] = STATE(1026),
    [sym_preproc_nullable] = STATE(1026),
    [sym_preproc_error] = STATE(1026),
    [sym_preproc_define] = STATE(1026),
    [sym_preproc_undef] = STATE(1026),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2917),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1027] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6453),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1027),
    [sym_preproc_endregion] = STATE(1027),
    [sym_preproc_line] = STATE(1027),
    [sym_preproc_pragma] = STATE(1027),
    [sym_preproc_nullable] = STATE(1027),
    [sym_preproc_error] = STATE(1027),
    [sym_preproc_define] = STATE(1027),
    [sym_preproc_undef] = STATE(1027),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1028] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5116),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1028),
    [sym_preproc_endregion] = STATE(1028),
    [sym_preproc_line] = STATE(1028),
    [sym_preproc_pragma] = STATE(1028),
    [sym_preproc_nullable] = STATE(1028),
    [sym_preproc_error] = STATE(1028),
    [sym_preproc_define] = STATE(1028),
    [sym_preproc_undef] = STATE(1028),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1029] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5571),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1029),
    [sym_preproc_endregion] = STATE(1029),
    [sym_preproc_line] = STATE(1029),
    [sym_preproc_pragma] = STATE(1029),
    [sym_preproc_nullable] = STATE(1029),
    [sym_preproc_error] = STATE(1029),
    [sym_preproc_define] = STATE(1029),
    [sym_preproc_undef] = STATE(1029),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1030] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(3216),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2763),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2778),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1030),
    [sym_preproc_endregion] = STATE(1030),
    [sym_preproc_line] = STATE(1030),
    [sym_preproc_pragma] = STATE(1030),
    [sym_preproc_nullable] = STATE(1030),
    [sym_preproc_error] = STATE(1030),
    [sym_preproc_define] = STATE(1030),
    [sym_preproc_undef] = STATE(1030),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_ref] = ACTIONS(2419),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2923),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2425),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2925),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1031] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(2991),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2763),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2756),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1031),
    [sym_preproc_endregion] = STATE(1031),
    [sym_preproc_line] = STATE(1031),
    [sym_preproc_pragma] = STATE(1031),
    [sym_preproc_nullable] = STATE(1031),
    [sym_preproc_error] = STATE(1031),
    [sym_preproc_define] = STATE(1031),
    [sym_preproc_undef] = STATE(1031),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_ref] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2927),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2925),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1032] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5118),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1032),
    [sym_preproc_endregion] = STATE(1032),
    [sym_preproc_line] = STATE(1032),
    [sym_preproc_pragma] = STATE(1032),
    [sym_preproc_nullable] = STATE(1032),
    [sym_preproc_error] = STATE(1032),
    [sym_preproc_define] = STATE(1032),
    [sym_preproc_undef] = STATE(1032),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1033] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5124),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1033),
    [sym_preproc_endregion] = STATE(1033),
    [sym_preproc_line] = STATE(1033),
    [sym_preproc_pragma] = STATE(1033),
    [sym_preproc_nullable] = STATE(1033),
    [sym_preproc_error] = STATE(1033),
    [sym_preproc_define] = STATE(1033),
    [sym_preproc_undef] = STATE(1033),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1034] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1034),
    [sym_preproc_endregion] = STATE(1034),
    [sym_preproc_line] = STATE(1034),
    [sym_preproc_pragma] = STATE(1034),
    [sym_preproc_nullable] = STATE(1034),
    [sym_preproc_error] = STATE(1034),
    [sym_preproc_define] = STATE(1034),
    [sym_preproc_undef] = STATE(1034),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1035] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6493),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1035),
    [sym_preproc_endregion] = STATE(1035),
    [sym_preproc_line] = STATE(1035),
    [sym_preproc_pragma] = STATE(1035),
    [sym_preproc_nullable] = STATE(1035),
    [sym_preproc_error] = STATE(1035),
    [sym_preproc_define] = STATE(1035),
    [sym_preproc_undef] = STATE(1035),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1036] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4604),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4916),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1036),
    [sym_preproc_endregion] = STATE(1036),
    [sym_preproc_line] = STATE(1036),
    [sym_preproc_pragma] = STATE(1036),
    [sym_preproc_nullable] = STATE(1036),
    [sym_preproc_error] = STATE(1036),
    [sym_preproc_define] = STATE(1036),
    [sym_preproc_undef] = STATE(1036),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1037] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1037),
    [sym_preproc_endregion] = STATE(1037),
    [sym_preproc_line] = STATE(1037),
    [sym_preproc_pragma] = STATE(1037),
    [sym_preproc_nullable] = STATE(1037),
    [sym_preproc_error] = STATE(1037),
    [sym_preproc_define] = STATE(1037),
    [sym_preproc_undef] = STATE(1037),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1038] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6494),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1038),
    [sym_preproc_endregion] = STATE(1038),
    [sym_preproc_line] = STATE(1038),
    [sym_preproc_pragma] = STATE(1038),
    [sym_preproc_nullable] = STATE(1038),
    [sym_preproc_error] = STATE(1038),
    [sym_preproc_define] = STATE(1038),
    [sym_preproc_undef] = STATE(1038),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1039] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5830),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1039),
    [sym_preproc_endregion] = STATE(1039),
    [sym_preproc_line] = STATE(1039),
    [sym_preproc_pragma] = STATE(1039),
    [sym_preproc_nullable] = STATE(1039),
    [sym_preproc_error] = STATE(1039),
    [sym_preproc_define] = STATE(1039),
    [sym_preproc_undef] = STATE(1039),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1040] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5831),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1040),
    [sym_preproc_endregion] = STATE(1040),
    [sym_preproc_line] = STATE(1040),
    [sym_preproc_pragma] = STATE(1040),
    [sym_preproc_nullable] = STATE(1040),
    [sym_preproc_error] = STATE(1040),
    [sym_preproc_define] = STATE(1040),
    [sym_preproc_undef] = STATE(1040),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1041] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5056),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1041),
    [sym_preproc_endregion] = STATE(1041),
    [sym_preproc_line] = STATE(1041),
    [sym_preproc_pragma] = STATE(1041),
    [sym_preproc_nullable] = STATE(1041),
    [sym_preproc_error] = STATE(1041),
    [sym_preproc_define] = STATE(1041),
    [sym_preproc_undef] = STATE(1041),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1042] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5893),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1042),
    [sym_preproc_endregion] = STATE(1042),
    [sym_preproc_line] = STATE(1042),
    [sym_preproc_pragma] = STATE(1042),
    [sym_preproc_nullable] = STATE(1042),
    [sym_preproc_error] = STATE(1042),
    [sym_preproc_define] = STATE(1042),
    [sym_preproc_undef] = STATE(1042),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1043] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6509),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1043),
    [sym_preproc_endregion] = STATE(1043),
    [sym_preproc_line] = STATE(1043),
    [sym_preproc_pragma] = STATE(1043),
    [sym_preproc_nullable] = STATE(1043),
    [sym_preproc_error] = STATE(1043),
    [sym_preproc_define] = STATE(1043),
    [sym_preproc_undef] = STATE(1043),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1044] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5948),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1044),
    [sym_preproc_endregion] = STATE(1044),
    [sym_preproc_line] = STATE(1044),
    [sym_preproc_pragma] = STATE(1044),
    [sym_preproc_nullable] = STATE(1044),
    [sym_preproc_error] = STATE(1044),
    [sym_preproc_define] = STATE(1044),
    [sym_preproc_undef] = STATE(1044),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1045] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5120),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1045),
    [sym_preproc_endregion] = STATE(1045),
    [sym_preproc_line] = STATE(1045),
    [sym_preproc_pragma] = STATE(1045),
    [sym_preproc_nullable] = STATE(1045),
    [sym_preproc_error] = STATE(1045),
    [sym_preproc_define] = STATE(1045),
    [sym_preproc_undef] = STATE(1045),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1046] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1046),
    [sym_preproc_endregion] = STATE(1046),
    [sym_preproc_line] = STATE(1046),
    [sym_preproc_pragma] = STATE(1046),
    [sym_preproc_nullable] = STATE(1046),
    [sym_preproc_error] = STATE(1046),
    [sym_preproc_define] = STATE(1046),
    [sym_preproc_undef] = STATE(1046),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1047] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5122),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1047),
    [sym_preproc_endregion] = STATE(1047),
    [sym_preproc_line] = STATE(1047),
    [sym_preproc_pragma] = STATE(1047),
    [sym_preproc_nullable] = STATE(1047),
    [sym_preproc_error] = STATE(1047),
    [sym_preproc_define] = STATE(1047),
    [sym_preproc_undef] = STATE(1047),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1048] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5620),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1048),
    [sym_preproc_endregion] = STATE(1048),
    [sym_preproc_line] = STATE(1048),
    [sym_preproc_pragma] = STATE(1048),
    [sym_preproc_nullable] = STATE(1048),
    [sym_preproc_error] = STATE(1048),
    [sym_preproc_define] = STATE(1048),
    [sym_preproc_undef] = STATE(1048),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1049] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5622),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1049),
    [sym_preproc_endregion] = STATE(1049),
    [sym_preproc_line] = STATE(1049),
    [sym_preproc_pragma] = STATE(1049),
    [sym_preproc_nullable] = STATE(1049),
    [sym_preproc_error] = STATE(1049),
    [sym_preproc_define] = STATE(1049),
    [sym_preproc_undef] = STATE(1049),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1050] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6512),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1050),
    [sym_preproc_endregion] = STATE(1050),
    [sym_preproc_line] = STATE(1050),
    [sym_preproc_pragma] = STATE(1050),
    [sym_preproc_nullable] = STATE(1050),
    [sym_preproc_error] = STATE(1050),
    [sym_preproc_define] = STATE(1050),
    [sym_preproc_undef] = STATE(1050),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1051] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6682),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1051),
    [sym_preproc_endregion] = STATE(1051),
    [sym_preproc_line] = STATE(1051),
    [sym_preproc_pragma] = STATE(1051),
    [sym_preproc_nullable] = STATE(1051),
    [sym_preproc_error] = STATE(1051),
    [sym_preproc_define] = STATE(1051),
    [sym_preproc_undef] = STATE(1051),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1052] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5125),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1052),
    [sym_preproc_endregion] = STATE(1052),
    [sym_preproc_line] = STATE(1052),
    [sym_preproc_pragma] = STATE(1052),
    [sym_preproc_nullable] = STATE(1052),
    [sym_preproc_error] = STATE(1052),
    [sym_preproc_define] = STATE(1052),
    [sym_preproc_undef] = STATE(1052),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1053] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6360),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1053),
    [sym_preproc_endregion] = STATE(1053),
    [sym_preproc_line] = STATE(1053),
    [sym_preproc_pragma] = STATE(1053),
    [sym_preproc_nullable] = STATE(1053),
    [sym_preproc_error] = STATE(1053),
    [sym_preproc_define] = STATE(1053),
    [sym_preproc_undef] = STATE(1053),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1054] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5921),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1054),
    [sym_preproc_endregion] = STATE(1054),
    [sym_preproc_line] = STATE(1054),
    [sym_preproc_pragma] = STATE(1054),
    [sym_preproc_nullable] = STATE(1054),
    [sym_preproc_error] = STATE(1054),
    [sym_preproc_define] = STATE(1054),
    [sym_preproc_undef] = STATE(1054),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1055] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6515),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1055),
    [sym_preproc_endregion] = STATE(1055),
    [sym_preproc_line] = STATE(1055),
    [sym_preproc_pragma] = STATE(1055),
    [sym_preproc_nullable] = STATE(1055),
    [sym_preproc_error] = STATE(1055),
    [sym_preproc_define] = STATE(1055),
    [sym_preproc_undef] = STATE(1055),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1056] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5922),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1056),
    [sym_preproc_endregion] = STATE(1056),
    [sym_preproc_line] = STATE(1056),
    [sym_preproc_pragma] = STATE(1056),
    [sym_preproc_nullable] = STATE(1056),
    [sym_preproc_error] = STATE(1056),
    [sym_preproc_define] = STATE(1056),
    [sym_preproc_undef] = STATE(1056),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1057] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6329),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1057),
    [sym_preproc_endregion] = STATE(1057),
    [sym_preproc_line] = STATE(1057),
    [sym_preproc_pragma] = STATE(1057),
    [sym_preproc_nullable] = STATE(1057),
    [sym_preproc_error] = STATE(1057),
    [sym_preproc_define] = STATE(1057),
    [sym_preproc_undef] = STATE(1057),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1058] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6718),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6732),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5715),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1058),
    [sym_preproc_endregion] = STATE(1058),
    [sym_preproc_line] = STATE(1058),
    [sym_preproc_pragma] = STATE(1058),
    [sym_preproc_nullable] = STATE(1058),
    [sym_preproc_error] = STATE(1058),
    [sym_preproc_define] = STATE(1058),
    [sym_preproc_undef] = STATE(1058),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(2015),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2605),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1059] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6985),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5551),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1059),
    [sym_preproc_endregion] = STATE(1059),
    [sym_preproc_line] = STATE(1059),
    [sym_preproc_pragma] = STATE(1059),
    [sym_preproc_nullable] = STATE(1059),
    [sym_preproc_error] = STATE(1059),
    [sym_preproc_define] = STATE(1059),
    [sym_preproc_undef] = STATE(1059),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1060] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7020),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5580),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1060),
    [sym_preproc_endregion] = STATE(1060),
    [sym_preproc_line] = STATE(1060),
    [sym_preproc_pragma] = STATE(1060),
    [sym_preproc_nullable] = STATE(1060),
    [sym_preproc_error] = STATE(1060),
    [sym_preproc_define] = STATE(1060),
    [sym_preproc_undef] = STATE(1060),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1061] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4905),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym__ordering] = STATE(7627),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1061),
    [sym_preproc_endregion] = STATE(1061),
    [sym_preproc_line] = STATE(1061),
    [sym_preproc_pragma] = STATE(1061),
    [sym_preproc_nullable] = STATE(1061),
    [sym_preproc_error] = STATE(1061),
    [sym_preproc_define] = STATE(1061),
    [sym_preproc_undef] = STATE(1061),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1062] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6139),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1062),
    [sym_preproc_endregion] = STATE(1062),
    [sym_preproc_line] = STATE(1062),
    [sym_preproc_pragma] = STATE(1062),
    [sym_preproc_nullable] = STATE(1062),
    [sym_preproc_error] = STATE(1062),
    [sym_preproc_define] = STATE(1062),
    [sym_preproc_undef] = STATE(1062),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1063] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6140),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1063),
    [sym_preproc_endregion] = STATE(1063),
    [sym_preproc_line] = STATE(1063),
    [sym_preproc_pragma] = STATE(1063),
    [sym_preproc_nullable] = STATE(1063),
    [sym_preproc_error] = STATE(1063),
    [sym_preproc_define] = STATE(1063),
    [sym_preproc_undef] = STATE(1063),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1064] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6141),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1064),
    [sym_preproc_endregion] = STATE(1064),
    [sym_preproc_line] = STATE(1064),
    [sym_preproc_pragma] = STATE(1064),
    [sym_preproc_nullable] = STATE(1064),
    [sym_preproc_error] = STATE(1064),
    [sym_preproc_define] = STATE(1064),
    [sym_preproc_undef] = STATE(1064),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1065] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6146),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1065),
    [sym_preproc_endregion] = STATE(1065),
    [sym_preproc_line] = STATE(1065),
    [sym_preproc_pragma] = STATE(1065),
    [sym_preproc_nullable] = STATE(1065),
    [sym_preproc_error] = STATE(1065),
    [sym_preproc_define] = STATE(1065),
    [sym_preproc_undef] = STATE(1065),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1066] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6179),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1066),
    [sym_preproc_endregion] = STATE(1066),
    [sym_preproc_line] = STATE(1066),
    [sym_preproc_pragma] = STATE(1066),
    [sym_preproc_nullable] = STATE(1066),
    [sym_preproc_error] = STATE(1066),
    [sym_preproc_define] = STATE(1066),
    [sym_preproc_undef] = STATE(1066),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1067] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6180),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1067),
    [sym_preproc_endregion] = STATE(1067),
    [sym_preproc_line] = STATE(1067),
    [sym_preproc_pragma] = STATE(1067),
    [sym_preproc_nullable] = STATE(1067),
    [sym_preproc_error] = STATE(1067),
    [sym_preproc_define] = STATE(1067),
    [sym_preproc_undef] = STATE(1067),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1068] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6043),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1068),
    [sym_preproc_endregion] = STATE(1068),
    [sym_preproc_line] = STATE(1068),
    [sym_preproc_pragma] = STATE(1068),
    [sym_preproc_nullable] = STATE(1068),
    [sym_preproc_error] = STATE(1068),
    [sym_preproc_define] = STATE(1068),
    [sym_preproc_undef] = STATE(1068),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1069] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7028),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6282),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1069),
    [sym_preproc_endregion] = STATE(1069),
    [sym_preproc_line] = STATE(1069),
    [sym_preproc_pragma] = STATE(1069),
    [sym_preproc_nullable] = STATE(1069),
    [sym_preproc_error] = STATE(1069),
    [sym_preproc_define] = STATE(1069),
    [sym_preproc_undef] = STATE(1069),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1070] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5634),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1070),
    [sym_preproc_endregion] = STATE(1070),
    [sym_preproc_line] = STATE(1070),
    [sym_preproc_pragma] = STATE(1070),
    [sym_preproc_nullable] = STATE(1070),
    [sym_preproc_error] = STATE(1070),
    [sym_preproc_define] = STATE(1070),
    [sym_preproc_undef] = STATE(1070),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1071] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5444),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1071),
    [sym_preproc_endregion] = STATE(1071),
    [sym_preproc_line] = STATE(1071),
    [sym_preproc_pragma] = STATE(1071),
    [sym_preproc_nullable] = STATE(1071),
    [sym_preproc_error] = STATE(1071),
    [sym_preproc_define] = STATE(1071),
    [sym_preproc_undef] = STATE(1071),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1072] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5445),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1072),
    [sym_preproc_endregion] = STATE(1072),
    [sym_preproc_line] = STATE(1072),
    [sym_preproc_pragma] = STATE(1072),
    [sym_preproc_nullable] = STATE(1072),
    [sym_preproc_error] = STATE(1072),
    [sym_preproc_define] = STATE(1072),
    [sym_preproc_undef] = STATE(1072),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1073] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4300),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5446),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1073),
    [sym_preproc_endregion] = STATE(1073),
    [sym_preproc_line] = STATE(1073),
    [sym_preproc_pragma] = STATE(1073),
    [sym_preproc_nullable] = STATE(1073),
    [sym_preproc_error] = STATE(1073),
    [sym_preproc_define] = STATE(1073),
    [sym_preproc_undef] = STATE(1073),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1074] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4093),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5448),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1074),
    [sym_preproc_endregion] = STATE(1074),
    [sym_preproc_line] = STATE(1074),
    [sym_preproc_pragma] = STATE(1074),
    [sym_preproc_nullable] = STATE(1074),
    [sym_preproc_error] = STATE(1074),
    [sym_preproc_define] = STATE(1074),
    [sym_preproc_undef] = STATE(1074),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1075] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4094),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5449),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1075),
    [sym_preproc_endregion] = STATE(1075),
    [sym_preproc_line] = STATE(1075),
    [sym_preproc_pragma] = STATE(1075),
    [sym_preproc_nullable] = STATE(1075),
    [sym_preproc_error] = STATE(1075),
    [sym_preproc_define] = STATE(1075),
    [sym_preproc_undef] = STATE(1075),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1076] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4101),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5450),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1076),
    [sym_preproc_endregion] = STATE(1076),
    [sym_preproc_line] = STATE(1076),
    [sym_preproc_pragma] = STATE(1076),
    [sym_preproc_nullable] = STATE(1076),
    [sym_preproc_error] = STATE(1076),
    [sym_preproc_define] = STATE(1076),
    [sym_preproc_undef] = STATE(1076),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1077] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5937),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1077),
    [sym_preproc_endregion] = STATE(1077),
    [sym_preproc_line] = STATE(1077),
    [sym_preproc_pragma] = STATE(1077),
    [sym_preproc_nullable] = STATE(1077),
    [sym_preproc_error] = STATE(1077),
    [sym_preproc_define] = STATE(1077),
    [sym_preproc_undef] = STATE(1077),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1078] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7043),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4755),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1078),
    [sym_preproc_endregion] = STATE(1078),
    [sym_preproc_line] = STATE(1078),
    [sym_preproc_pragma] = STATE(1078),
    [sym_preproc_nullable] = STATE(1078),
    [sym_preproc_error] = STATE(1078),
    [sym_preproc_define] = STATE(1078),
    [sym_preproc_undef] = STATE(1078),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1079] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5626),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1079),
    [sym_preproc_endregion] = STATE(1079),
    [sym_preproc_line] = STATE(1079),
    [sym_preproc_pragma] = STATE(1079),
    [sym_preproc_nullable] = STATE(1079),
    [sym_preproc_error] = STATE(1079),
    [sym_preproc_define] = STATE(1079),
    [sym_preproc_undef] = STATE(1079),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1080] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5627),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1080),
    [sym_preproc_endregion] = STATE(1080),
    [sym_preproc_line] = STATE(1080),
    [sym_preproc_pragma] = STATE(1080),
    [sym_preproc_nullable] = STATE(1080),
    [sym_preproc_error] = STATE(1080),
    [sym_preproc_define] = STATE(1080),
    [sym_preproc_undef] = STATE(1080),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1081] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5946),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1081),
    [sym_preproc_endregion] = STATE(1081),
    [sym_preproc_line] = STATE(1081),
    [sym_preproc_pragma] = STATE(1081),
    [sym_preproc_nullable] = STATE(1081),
    [sym_preproc_error] = STATE(1081),
    [sym_preproc_define] = STATE(1081),
    [sym_preproc_undef] = STATE(1081),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2953),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1082] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5628),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1082),
    [sym_preproc_endregion] = STATE(1082),
    [sym_preproc_line] = STATE(1082),
    [sym_preproc_pragma] = STATE(1082),
    [sym_preproc_nullable] = STATE(1082),
    [sym_preproc_error] = STATE(1082),
    [sym_preproc_define] = STATE(1082),
    [sym_preproc_undef] = STATE(1082),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1083] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4714),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4637),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1083),
    [sym_preproc_endregion] = STATE(1083),
    [sym_preproc_line] = STATE(1083),
    [sym_preproc_pragma] = STATE(1083),
    [sym_preproc_nullable] = STATE(1083),
    [sym_preproc_error] = STATE(1083),
    [sym_preproc_define] = STATE(1083),
    [sym_preproc_undef] = STATE(1083),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1084] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6308),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1084),
    [sym_preproc_endregion] = STATE(1084),
    [sym_preproc_line] = STATE(1084),
    [sym_preproc_pragma] = STATE(1084),
    [sym_preproc_nullable] = STATE(1084),
    [sym_preproc_error] = STATE(1084),
    [sym_preproc_define] = STATE(1084),
    [sym_preproc_undef] = STATE(1084),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1085] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4087),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5630),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1085),
    [sym_preproc_endregion] = STATE(1085),
    [sym_preproc_line] = STATE(1085),
    [sym_preproc_pragma] = STATE(1085),
    [sym_preproc_nullable] = STATE(1085),
    [sym_preproc_error] = STATE(1085),
    [sym_preproc_define] = STATE(1085),
    [sym_preproc_undef] = STATE(1085),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1086] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6397),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1086),
    [sym_preproc_endregion] = STATE(1086),
    [sym_preproc_line] = STATE(1086),
    [sym_preproc_pragma] = STATE(1086),
    [sym_preproc_nullable] = STATE(1086),
    [sym_preproc_error] = STATE(1086),
    [sym_preproc_define] = STATE(1086),
    [sym_preproc_undef] = STATE(1086),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1087] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6401),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1087),
    [sym_preproc_endregion] = STATE(1087),
    [sym_preproc_line] = STATE(1087),
    [sym_preproc_pragma] = STATE(1087),
    [sym_preproc_nullable] = STATE(1087),
    [sym_preproc_error] = STATE(1087),
    [sym_preproc_define] = STATE(1087),
    [sym_preproc_undef] = STATE(1087),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1088] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4714),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4832),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1088),
    [sym_preproc_endregion] = STATE(1088),
    [sym_preproc_line] = STATE(1088),
    [sym_preproc_pragma] = STATE(1088),
    [sym_preproc_nullable] = STATE(1088),
    [sym_preproc_error] = STATE(1088),
    [sym_preproc_define] = STATE(1088),
    [sym_preproc_undef] = STATE(1088),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1089] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6403),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1089),
    [sym_preproc_endregion] = STATE(1089),
    [sym_preproc_line] = STATE(1089),
    [sym_preproc_pragma] = STATE(1089),
    [sym_preproc_nullable] = STATE(1089),
    [sym_preproc_error] = STATE(1089),
    [sym_preproc_define] = STATE(1089),
    [sym_preproc_undef] = STATE(1089),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1090] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6409),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1090),
    [sym_preproc_endregion] = STATE(1090),
    [sym_preproc_line] = STATE(1090),
    [sym_preproc_pragma] = STATE(1090),
    [sym_preproc_nullable] = STATE(1090),
    [sym_preproc_error] = STATE(1090),
    [sym_preproc_define] = STATE(1090),
    [sym_preproc_undef] = STATE(1090),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1091] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6410),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1091),
    [sym_preproc_endregion] = STATE(1091),
    [sym_preproc_line] = STATE(1091),
    [sym_preproc_pragma] = STATE(1091),
    [sym_preproc_nullable] = STATE(1091),
    [sym_preproc_error] = STATE(1091),
    [sym_preproc_define] = STATE(1091),
    [sym_preproc_undef] = STATE(1091),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1092] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6412),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1092),
    [sym_preproc_endregion] = STATE(1092),
    [sym_preproc_line] = STATE(1092),
    [sym_preproc_pragma] = STATE(1092),
    [sym_preproc_nullable] = STATE(1092),
    [sym_preproc_error] = STATE(1092),
    [sym_preproc_define] = STATE(1092),
    [sym_preproc_undef] = STATE(1092),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1093] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4026),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5631),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1093),
    [sym_preproc_endregion] = STATE(1093),
    [sym_preproc_line] = STATE(1093),
    [sym_preproc_pragma] = STATE(1093),
    [sym_preproc_nullable] = STATE(1093),
    [sym_preproc_error] = STATE(1093),
    [sym_preproc_define] = STATE(1093),
    [sym_preproc_undef] = STATE(1093),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1094] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5614),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1094),
    [sym_preproc_endregion] = STATE(1094),
    [sym_preproc_line] = STATE(1094),
    [sym_preproc_pragma] = STATE(1094),
    [sym_preproc_nullable] = STATE(1094),
    [sym_preproc_error] = STATE(1094),
    [sym_preproc_define] = STATE(1094),
    [sym_preproc_undef] = STATE(1094),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1095] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3966),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5632),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1095),
    [sym_preproc_endregion] = STATE(1095),
    [sym_preproc_line] = STATE(1095),
    [sym_preproc_pragma] = STATE(1095),
    [sym_preproc_nullable] = STATE(1095),
    [sym_preproc_error] = STATE(1095),
    [sym_preproc_define] = STATE(1095),
    [sym_preproc_undef] = STATE(1095),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1096] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7154),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6596),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1096),
    [sym_preproc_endregion] = STATE(1096),
    [sym_preproc_line] = STATE(1096),
    [sym_preproc_pragma] = STATE(1096),
    [sym_preproc_nullable] = STATE(1096),
    [sym_preproc_error] = STATE(1096),
    [sym_preproc_define] = STATE(1096),
    [sym_preproc_undef] = STATE(1096),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1097] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7030),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5451),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1097),
    [sym_preproc_endregion] = STATE(1097),
    [sym_preproc_line] = STATE(1097),
    [sym_preproc_pragma] = STATE(1097),
    [sym_preproc_nullable] = STATE(1097),
    [sym_preproc_error] = STATE(1097),
    [sym_preproc_define] = STATE(1097),
    [sym_preproc_undef] = STATE(1097),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1098] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6956),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5633),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1098),
    [sym_preproc_endregion] = STATE(1098),
    [sym_preproc_line] = STATE(1098),
    [sym_preproc_pragma] = STATE(1098),
    [sym_preproc_nullable] = STATE(1098),
    [sym_preproc_error] = STATE(1098),
    [sym_preproc_define] = STATE(1098),
    [sym_preproc_undef] = STATE(1098),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1099] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6044),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1099),
    [sym_preproc_endregion] = STATE(1099),
    [sym_preproc_line] = STATE(1099),
    [sym_preproc_pragma] = STATE(1099),
    [sym_preproc_nullable] = STATE(1099),
    [sym_preproc_error] = STATE(1099),
    [sym_preproc_define] = STATE(1099),
    [sym_preproc_undef] = STATE(1099),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1100] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1100),
    [sym_preproc_endregion] = STATE(1100),
    [sym_preproc_line] = STATE(1100),
    [sym_preproc_pragma] = STATE(1100),
    [sym_preproc_nullable] = STATE(1100),
    [sym_preproc_error] = STATE(1100),
    [sym_preproc_define] = STATE(1100),
    [sym_preproc_undef] = STATE(1100),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1101] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5547),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5918),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1101),
    [sym_preproc_endregion] = STATE(1101),
    [sym_preproc_line] = STATE(1101),
    [sym_preproc_pragma] = STATE(1101),
    [sym_preproc_nullable] = STATE(1101),
    [sym_preproc_error] = STATE(1101),
    [sym_preproc_define] = STATE(1101),
    [sym_preproc_undef] = STATE(1101),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1102] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5577),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5980),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1102),
    [sym_preproc_endregion] = STATE(1102),
    [sym_preproc_line] = STATE(1102),
    [sym_preproc_pragma] = STATE(1102),
    [sym_preproc_nullable] = STATE(1102),
    [sym_preproc_error] = STATE(1102),
    [sym_preproc_define] = STATE(1102),
    [sym_preproc_undef] = STATE(1102),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1103] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4843),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1103),
    [sym_preproc_endregion] = STATE(1103),
    [sym_preproc_line] = STATE(1103),
    [sym_preproc_pragma] = STATE(1103),
    [sym_preproc_nullable] = STATE(1103),
    [sym_preproc_error] = STATE(1103),
    [sym_preproc_define] = STATE(1103),
    [sym_preproc_undef] = STATE(1103),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1104] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4845),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1104),
    [sym_preproc_endregion] = STATE(1104),
    [sym_preproc_line] = STATE(1104),
    [sym_preproc_pragma] = STATE(1104),
    [sym_preproc_nullable] = STATE(1104),
    [sym_preproc_error] = STATE(1104),
    [sym_preproc_define] = STATE(1104),
    [sym_preproc_undef] = STATE(1104),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1105] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4846),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1105),
    [sym_preproc_endregion] = STATE(1105),
    [sym_preproc_line] = STATE(1105),
    [sym_preproc_pragma] = STATE(1105),
    [sym_preproc_nullable] = STATE(1105),
    [sym_preproc_error] = STATE(1105),
    [sym_preproc_define] = STATE(1105),
    [sym_preproc_undef] = STATE(1105),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1106] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4848),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1106),
    [sym_preproc_endregion] = STATE(1106),
    [sym_preproc_line] = STATE(1106),
    [sym_preproc_pragma] = STATE(1106),
    [sym_preproc_nullable] = STATE(1106),
    [sym_preproc_error] = STATE(1106),
    [sym_preproc_define] = STATE(1106),
    [sym_preproc_undef] = STATE(1106),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1107] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4849),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1107),
    [sym_preproc_endregion] = STATE(1107),
    [sym_preproc_line] = STATE(1107),
    [sym_preproc_pragma] = STATE(1107),
    [sym_preproc_nullable] = STATE(1107),
    [sym_preproc_error] = STATE(1107),
    [sym_preproc_define] = STATE(1107),
    [sym_preproc_undef] = STATE(1107),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1108] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4939),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1108),
    [sym_preproc_endregion] = STATE(1108),
    [sym_preproc_line] = STATE(1108),
    [sym_preproc_pragma] = STATE(1108),
    [sym_preproc_nullable] = STATE(1108),
    [sym_preproc_error] = STATE(1108),
    [sym_preproc_define] = STATE(1108),
    [sym_preproc_undef] = STATE(1108),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1109] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7046),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4797),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1109),
    [sym_preproc_endregion] = STATE(1109),
    [sym_preproc_line] = STATE(1109),
    [sym_preproc_pragma] = STATE(1109),
    [sym_preproc_nullable] = STATE(1109),
    [sym_preproc_error] = STATE(1109),
    [sym_preproc_define] = STATE(1109),
    [sym_preproc_undef] = STATE(1109),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1110] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6684),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2804),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6683),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5638),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1110),
    [sym_preproc_endregion] = STATE(1110),
    [sym_preproc_line] = STATE(1110),
    [sym_preproc_pragma] = STATE(1110),
    [sym_preproc_nullable] = STATE(1110),
    [sym_preproc_error] = STATE(1110),
    [sym_preproc_define] = STATE(1110),
    [sym_preproc_undef] = STATE(1110),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2743),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(1087),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1111] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5916),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1111),
    [sym_preproc_endregion] = STATE(1111),
    [sym_preproc_line] = STATE(1111),
    [sym_preproc_pragma] = STATE(1111),
    [sym_preproc_nullable] = STATE(1111),
    [sym_preproc_error] = STATE(1111),
    [sym_preproc_define] = STATE(1111),
    [sym_preproc_undef] = STATE(1111),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1112] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7102),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6535),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1112),
    [sym_preproc_endregion] = STATE(1112),
    [sym_preproc_line] = STATE(1112),
    [sym_preproc_pragma] = STATE(1112),
    [sym_preproc_nullable] = STATE(1112),
    [sym_preproc_error] = STATE(1112),
    [sym_preproc_define] = STATE(1112),
    [sym_preproc_undef] = STATE(1112),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1113] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4037),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5307),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1113),
    [sym_preproc_endregion] = STATE(1113),
    [sym_preproc_line] = STATE(1113),
    [sym_preproc_pragma] = STATE(1113),
    [sym_preproc_nullable] = STATE(1113),
    [sym_preproc_error] = STATE(1113),
    [sym_preproc_define] = STATE(1113),
    [sym_preproc_undef] = STATE(1113),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1114] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(2991),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2763),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(2852),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(2985),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_expression] = STATE(5808),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2821),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1114),
    [sym_preproc_endregion] = STATE(1114),
    [sym_preproc_line] = STATE(1114),
    [sym_preproc_pragma] = STATE(1114),
    [sym_preproc_nullable] = STATE(1114),
    [sym_preproc_error] = STATE(1114),
    [sym_preproc_define] = STATE(1114),
    [sym_preproc_undef] = STATE(1114),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_ref] = ACTIONS(2395),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_readonly] = ACTIONS(2927),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2335),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2961),
    [sym_predefined_type] = ACTIONS(2413),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1115] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4050),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5308),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1115),
    [sym_preproc_endregion] = STATE(1115),
    [sym_preproc_line] = STATE(1115),
    [sym_preproc_pragma] = STATE(1115),
    [sym_preproc_nullable] = STATE(1115),
    [sym_preproc_error] = STATE(1115),
    [sym_preproc_define] = STATE(1115),
    [sym_preproc_undef] = STATE(1115),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1116] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4630),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4638),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1116),
    [sym_preproc_endregion] = STATE(1116),
    [sym_preproc_line] = STATE(1116),
    [sym_preproc_pragma] = STATE(1116),
    [sym_preproc_nullable] = STATE(1116),
    [sym_preproc_error] = STATE(1116),
    [sym_preproc_define] = STATE(1116),
    [sym_preproc_undef] = STATE(1116),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1117] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6455),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1117),
    [sym_preproc_endregion] = STATE(1117),
    [sym_preproc_line] = STATE(1117),
    [sym_preproc_pragma] = STATE(1117),
    [sym_preproc_nullable] = STATE(1117),
    [sym_preproc_error] = STATE(1117),
    [sym_preproc_define] = STATE(1117),
    [sym_preproc_undef] = STATE(1117),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1118] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5611),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5815),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1118),
    [sym_preproc_endregion] = STATE(1118),
    [sym_preproc_line] = STATE(1118),
    [sym_preproc_pragma] = STATE(1118),
    [sym_preproc_nullable] = STATE(1118),
    [sym_preproc_error] = STATE(1118),
    [sym_preproc_define] = STATE(1118),
    [sym_preproc_undef] = STATE(1118),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1119] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4630),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4865),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1119),
    [sym_preproc_endregion] = STATE(1119),
    [sym_preproc_line] = STATE(1119),
    [sym_preproc_pragma] = STATE(1119),
    [sym_preproc_nullable] = STATE(1119),
    [sym_preproc_error] = STATE(1119),
    [sym_preproc_define] = STATE(1119),
    [sym_preproc_undef] = STATE(1119),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1120] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4061),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5309),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1120),
    [sym_preproc_endregion] = STATE(1120),
    [sym_preproc_line] = STATE(1120),
    [sym_preproc_pragma] = STATE(1120),
    [sym_preproc_nullable] = STATE(1120),
    [sym_preproc_error] = STATE(1120),
    [sym_preproc_define] = STATE(1120),
    [sym_preproc_undef] = STATE(1120),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1121] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3766),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6343),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1121),
    [sym_preproc_endregion] = STATE(1121),
    [sym_preproc_line] = STATE(1121),
    [sym_preproc_pragma] = STATE(1121),
    [sym_preproc_nullable] = STATE(1121),
    [sym_preproc_error] = STATE(1121),
    [sym_preproc_define] = STATE(1121),
    [sym_preproc_undef] = STATE(1121),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1122] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3664),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4994),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1122),
    [sym_preproc_endregion] = STATE(1122),
    [sym_preproc_line] = STATE(1122),
    [sym_preproc_pragma] = STATE(1122),
    [sym_preproc_nullable] = STATE(1122),
    [sym_preproc_error] = STATE(1122),
    [sym_preproc_define] = STATE(1122),
    [sym_preproc_undef] = STATE(1122),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1123] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1123),
    [sym_preproc_endregion] = STATE(1123),
    [sym_preproc_line] = STATE(1123),
    [sym_preproc_pragma] = STATE(1123),
    [sym_preproc_nullable] = STATE(1123),
    [sym_preproc_error] = STATE(1123),
    [sym_preproc_define] = STATE(1123),
    [sym_preproc_undef] = STATE(1123),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1124] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3733),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6356),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1124),
    [sym_preproc_endregion] = STATE(1124),
    [sym_preproc_line] = STATE(1124),
    [sym_preproc_pragma] = STATE(1124),
    [sym_preproc_nullable] = STATE(1124),
    [sym_preproc_error] = STATE(1124),
    [sym_preproc_define] = STATE(1124),
    [sym_preproc_undef] = STATE(1124),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1125] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3709),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4997),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1125),
    [sym_preproc_endregion] = STATE(1125),
    [sym_preproc_line] = STATE(1125),
    [sym_preproc_pragma] = STATE(1125),
    [sym_preproc_nullable] = STATE(1125),
    [sym_preproc_error] = STATE(1125),
    [sym_preproc_define] = STATE(1125),
    [sym_preproc_undef] = STATE(1125),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1126] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3728),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5008),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1126),
    [sym_preproc_endregion] = STATE(1126),
    [sym_preproc_line] = STATE(1126),
    [sym_preproc_pragma] = STATE(1126),
    [sym_preproc_nullable] = STATE(1126),
    [sym_preproc_error] = STATE(1126),
    [sym_preproc_define] = STATE(1126),
    [sym_preproc_undef] = STATE(1126),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1127] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3729),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5015),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1127),
    [sym_preproc_endregion] = STATE(1127),
    [sym_preproc_line] = STATE(1127),
    [sym_preproc_pragma] = STATE(1127),
    [sym_preproc_nullable] = STATE(1127),
    [sym_preproc_error] = STATE(1127),
    [sym_preproc_define] = STATE(1127),
    [sym_preproc_undef] = STATE(1127),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1128] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3740),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6366),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1128),
    [sym_preproc_endregion] = STATE(1128),
    [sym_preproc_line] = STATE(1128),
    [sym_preproc_pragma] = STATE(1128),
    [sym_preproc_nullable] = STATE(1128),
    [sym_preproc_error] = STATE(1128),
    [sym_preproc_define] = STATE(1128),
    [sym_preproc_undef] = STATE(1128),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1129] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3644),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5019),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1129),
    [sym_preproc_endregion] = STATE(1129),
    [sym_preproc_line] = STATE(1129),
    [sym_preproc_pragma] = STATE(1129),
    [sym_preproc_nullable] = STATE(1129),
    [sym_preproc_error] = STATE(1129),
    [sym_preproc_define] = STATE(1129),
    [sym_preproc_undef] = STATE(1129),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1130] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3673),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5022),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1130),
    [sym_preproc_endregion] = STATE(1130),
    [sym_preproc_line] = STATE(1130),
    [sym_preproc_pragma] = STATE(1130),
    [sym_preproc_nullable] = STATE(1130),
    [sym_preproc_error] = STATE(1130),
    [sym_preproc_define] = STATE(1130),
    [sym_preproc_undef] = STATE(1130),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1131] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5636),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1131),
    [sym_preproc_endregion] = STATE(1131),
    [sym_preproc_line] = STATE(1131),
    [sym_preproc_pragma] = STATE(1131),
    [sym_preproc_nullable] = STATE(1131),
    [sym_preproc_error] = STATE(1131),
    [sym_preproc_define] = STATE(1131),
    [sym_preproc_undef] = STATE(1131),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1132] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1132),
    [sym_preproc_endregion] = STATE(1132),
    [sym_preproc_line] = STATE(1132),
    [sym_preproc_pragma] = STATE(1132),
    [sym_preproc_nullable] = STATE(1132),
    [sym_preproc_error] = STATE(1132),
    [sym_preproc_define] = STATE(1132),
    [sym_preproc_undef] = STATE(1132),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1133] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4694),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4641),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1133),
    [sym_preproc_endregion] = STATE(1133),
    [sym_preproc_line] = STATE(1133),
    [sym_preproc_pragma] = STATE(1133),
    [sym_preproc_nullable] = STATE(1133),
    [sym_preproc_error] = STATE(1133),
    [sym_preproc_define] = STATE(1133),
    [sym_preproc_undef] = STATE(1133),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1134] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5637),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1134),
    [sym_preproc_endregion] = STATE(1134),
    [sym_preproc_line] = STATE(1134),
    [sym_preproc_pragma] = STATE(1134),
    [sym_preproc_nullable] = STATE(1134),
    [sym_preproc_error] = STATE(1134),
    [sym_preproc_define] = STATE(1134),
    [sym_preproc_undef] = STATE(1134),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1135] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4604),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4644),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1135),
    [sym_preproc_endregion] = STATE(1135),
    [sym_preproc_line] = STATE(1135),
    [sym_preproc_pragma] = STATE(1135),
    [sym_preproc_nullable] = STATE(1135),
    [sym_preproc_error] = STATE(1135),
    [sym_preproc_define] = STATE(1135),
    [sym_preproc_undef] = STATE(1135),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1136] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7023),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5037),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1136),
    [sym_preproc_endregion] = STATE(1136),
    [sym_preproc_line] = STATE(1136),
    [sym_preproc_pragma] = STATE(1136),
    [sym_preproc_nullable] = STATE(1136),
    [sym_preproc_error] = STATE(1136),
    [sym_preproc_define] = STATE(1136),
    [sym_preproc_undef] = STATE(1136),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1137] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3786),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6379),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1137),
    [sym_preproc_endregion] = STATE(1137),
    [sym_preproc_line] = STATE(1137),
    [sym_preproc_pragma] = STATE(1137),
    [sym_preproc_nullable] = STATE(1137),
    [sym_preproc_error] = STATE(1137),
    [sym_preproc_define] = STATE(1137),
    [sym_preproc_undef] = STATE(1137),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1138] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3736),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6381),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1138),
    [sym_preproc_endregion] = STATE(1138),
    [sym_preproc_line] = STATE(1138),
    [sym_preproc_pragma] = STATE(1138),
    [sym_preproc_nullable] = STATE(1138),
    [sym_preproc_error] = STATE(1138),
    [sym_preproc_define] = STATE(1138),
    [sym_preproc_undef] = STATE(1138),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1139] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7022),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5097),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1139),
    [sym_preproc_endregion] = STATE(1139),
    [sym_preproc_line] = STATE(1139),
    [sym_preproc_pragma] = STATE(1139),
    [sym_preproc_nullable] = STATE(1139),
    [sym_preproc_error] = STATE(1139),
    [sym_preproc_define] = STATE(1139),
    [sym_preproc_undef] = STATE(1139),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1140] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5695),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5920),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1140),
    [sym_preproc_endregion] = STATE(1140),
    [sym_preproc_line] = STATE(1140),
    [sym_preproc_pragma] = STATE(1140),
    [sym_preproc_nullable] = STATE(1140),
    [sym_preproc_error] = STATE(1140),
    [sym_preproc_define] = STATE(1140),
    [sym_preproc_undef] = STATE(1140),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1141] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(3793),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6385),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1141),
    [sym_preproc_endregion] = STATE(1141),
    [sym_preproc_line] = STATE(1141),
    [sym_preproc_pragma] = STATE(1141),
    [sym_preproc_nullable] = STATE(1141),
    [sym_preproc_error] = STATE(1141),
    [sym_preproc_define] = STATE(1141),
    [sym_preproc_undef] = STATE(1141),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(2829),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1142] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5703),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5924),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1142),
    [sym_preproc_endregion] = STATE(1142),
    [sym_preproc_line] = STATE(1142),
    [sym_preproc_pragma] = STATE(1142),
    [sym_preproc_nullable] = STATE(1142),
    [sym_preproc_error] = STATE(1142),
    [sym_preproc_define] = STATE(1142),
    [sym_preproc_undef] = STATE(1142),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1143] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6740),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2871),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6656),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6517),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2808),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1143),
    [sym_preproc_endregion] = STATE(1143),
    [sym_preproc_line] = STATE(1143),
    [sym_preproc_pragma] = STATE(1143),
    [sym_preproc_nullable] = STATE(1143),
    [sym_preproc_error] = STATE(1143),
    [sym_preproc_define] = STATE(1143),
    [sym_preproc_undef] = STATE(1143),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2459),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_readonly] = ACTIONS(2861),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(2467),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(2745),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1144] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4152),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5532),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1144),
    [sym_preproc_endregion] = STATE(1144),
    [sym_preproc_line] = STATE(1144),
    [sym_preproc_pragma] = STATE(1144),
    [sym_preproc_nullable] = STATE(1144),
    [sym_preproc_error] = STATE(1144),
    [sym_preproc_define] = STATE(1144),
    [sym_preproc_undef] = STATE(1144),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1145] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5934),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1145),
    [sym_preproc_endregion] = STATE(1145),
    [sym_preproc_line] = STATE(1145),
    [sym_preproc_pragma] = STATE(1145),
    [sym_preproc_nullable] = STATE(1145),
    [sym_preproc_error] = STATE(1145),
    [sym_preproc_define] = STATE(1145),
    [sym_preproc_undef] = STATE(1145),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1146] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5935),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1146),
    [sym_preproc_endregion] = STATE(1146),
    [sym_preproc_line] = STATE(1146),
    [sym_preproc_pragma] = STATE(1146),
    [sym_preproc_nullable] = STATE(1146),
    [sym_preproc_error] = STATE(1146),
    [sym_preproc_define] = STATE(1146),
    [sym_preproc_undef] = STATE(1146),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1147] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(5722),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5950),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1147),
    [sym_preproc_endregion] = STATE(1147),
    [sym_preproc_line] = STATE(1147),
    [sym_preproc_pragma] = STATE(1147),
    [sym_preproc_nullable] = STATE(1147),
    [sym_preproc_error] = STATE(1147),
    [sym_preproc_define] = STATE(1147),
    [sym_preproc_undef] = STATE(1147),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1148] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5535),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1148),
    [sym_preproc_endregion] = STATE(1148),
    [sym_preproc_line] = STATE(1148),
    [sym_preproc_pragma] = STATE(1148),
    [sym_preproc_nullable] = STATE(1148),
    [sym_preproc_error] = STATE(1148),
    [sym_preproc_define] = STATE(1148),
    [sym_preproc_undef] = STATE(1148),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1149] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4694),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4885),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1149),
    [sym_preproc_endregion] = STATE(1149),
    [sym_preproc_line] = STATE(1149),
    [sym_preproc_pragma] = STATE(1149),
    [sym_preproc_nullable] = STATE(1149),
    [sym_preproc_error] = STATE(1149),
    [sym_preproc_define] = STATE(1149),
    [sym_preproc_undef] = STATE(1149),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1150] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_block] = STATE(4277),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5901),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1150),
    [sym_preproc_endregion] = STATE(1150),
    [sym_preproc_line] = STATE(1150),
    [sym_preproc_pragma] = STATE(1150),
    [sym_preproc_nullable] = STATE(1150),
    [sym_preproc_error] = STATE(1150),
    [sym_preproc_define] = STATE(1150),
    [sym_preproc_undef] = STATE(1150),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1151] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1151),
    [sym_preproc_endregion] = STATE(1151),
    [sym_preproc_line] = STATE(1151),
    [sym_preproc_pragma] = STATE(1151),
    [sym_preproc_nullable] = STATE(1151),
    [sym_preproc_error] = STATE(1151),
    [sym_preproc_define] = STATE(1151),
    [sym_preproc_undef] = STATE(1151),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1152] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4531),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1152),
    [sym_preproc_endregion] = STATE(1152),
    [sym_preproc_line] = STATE(1152),
    [sym_preproc_pragma] = STATE(1152),
    [sym_preproc_nullable] = STATE(1152),
    [sym_preproc_error] = STATE(1152),
    [sym_preproc_define] = STATE(1152),
    [sym_preproc_undef] = STATE(1152),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1153] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5910),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1153),
    [sym_preproc_endregion] = STATE(1153),
    [sym_preproc_line] = STATE(1153),
    [sym_preproc_pragma] = STATE(1153),
    [sym_preproc_nullable] = STATE(1153),
    [sym_preproc_error] = STATE(1153),
    [sym_preproc_define] = STATE(1153),
    [sym_preproc_undef] = STATE(1153),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1154] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1154),
    [sym_preproc_endregion] = STATE(1154),
    [sym_preproc_line] = STATE(1154),
    [sym_preproc_pragma] = STATE(1154),
    [sym_preproc_nullable] = STATE(1154),
    [sym_preproc_error] = STATE(1154),
    [sym_preproc_define] = STATE(1154),
    [sym_preproc_undef] = STATE(1154),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1155] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5913),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1155),
    [sym_preproc_endregion] = STATE(1155),
    [sym_preproc_line] = STATE(1155),
    [sym_preproc_pragma] = STATE(1155),
    [sym_preproc_nullable] = STATE(1155),
    [sym_preproc_error] = STATE(1155),
    [sym_preproc_define] = STATE(1155),
    [sym_preproc_undef] = STATE(1155),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1156] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4464),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1156),
    [sym_preproc_endregion] = STATE(1156),
    [sym_preproc_line] = STATE(1156),
    [sym_preproc_pragma] = STATE(1156),
    [sym_preproc_nullable] = STATE(1156),
    [sym_preproc_error] = STATE(1156),
    [sym_preproc_define] = STATE(1156),
    [sym_preproc_undef] = STATE(1156),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1157] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5914),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1157),
    [sym_preproc_endregion] = STATE(1157),
    [sym_preproc_line] = STATE(1157),
    [sym_preproc_pragma] = STATE(1157),
    [sym_preproc_nullable] = STATE(1157),
    [sym_preproc_error] = STATE(1157),
    [sym_preproc_define] = STATE(1157),
    [sym_preproc_undef] = STATE(1157),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1158] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6162),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1158),
    [sym_preproc_endregion] = STATE(1158),
    [sym_preproc_line] = STATE(1158),
    [sym_preproc_pragma] = STATE(1158),
    [sym_preproc_nullable] = STATE(1158),
    [sym_preproc_error] = STATE(1158),
    [sym_preproc_define] = STATE(1158),
    [sym_preproc_undef] = STATE(1158),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1159] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6435),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1159),
    [sym_preproc_endregion] = STATE(1159),
    [sym_preproc_line] = STATE(1159),
    [sym_preproc_pragma] = STATE(1159),
    [sym_preproc_nullable] = STATE(1159),
    [sym_preproc_error] = STATE(1159),
    [sym_preproc_define] = STATE(1159),
    [sym_preproc_undef] = STATE(1159),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1160] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5919),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1160),
    [sym_preproc_endregion] = STATE(1160),
    [sym_preproc_line] = STATE(1160),
    [sym_preproc_pragma] = STATE(1160),
    [sym_preproc_nullable] = STATE(1160),
    [sym_preproc_error] = STATE(1160),
    [sym_preproc_define] = STATE(1160),
    [sym_preproc_undef] = STATE(1160),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1161] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5999),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1161),
    [sym_preproc_endregion] = STATE(1161),
    [sym_preproc_line] = STATE(1161),
    [sym_preproc_pragma] = STATE(1161),
    [sym_preproc_nullable] = STATE(1161),
    [sym_preproc_error] = STATE(1161),
    [sym_preproc_define] = STATE(1161),
    [sym_preproc_undef] = STATE(1161),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1162] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6215),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1162),
    [sym_preproc_endregion] = STATE(1162),
    [sym_preproc_line] = STATE(1162),
    [sym_preproc_pragma] = STATE(1162),
    [sym_preproc_nullable] = STATE(1162),
    [sym_preproc_error] = STATE(1162),
    [sym_preproc_define] = STATE(1162),
    [sym_preproc_undef] = STATE(1162),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1163] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1163),
    [sym_preproc_endregion] = STATE(1163),
    [sym_preproc_line] = STATE(1163),
    [sym_preproc_pragma] = STATE(1163),
    [sym_preproc_nullable] = STATE(1163),
    [sym_preproc_error] = STATE(1163),
    [sym_preproc_define] = STATE(1163),
    [sym_preproc_undef] = STATE(1163),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1164] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1164),
    [sym_preproc_endregion] = STATE(1164),
    [sym_preproc_line] = STATE(1164),
    [sym_preproc_pragma] = STATE(1164),
    [sym_preproc_nullable] = STATE(1164),
    [sym_preproc_error] = STATE(1164),
    [sym_preproc_define] = STATE(1164),
    [sym_preproc_undef] = STATE(1164),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1165] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5554),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1165),
    [sym_preproc_endregion] = STATE(1165),
    [sym_preproc_line] = STATE(1165),
    [sym_preproc_pragma] = STATE(1165),
    [sym_preproc_nullable] = STATE(1165),
    [sym_preproc_error] = STATE(1165),
    [sym_preproc_define] = STATE(1165),
    [sym_preproc_undef] = STATE(1165),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1166] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1166),
    [sym_preproc_endregion] = STATE(1166),
    [sym_preproc_line] = STATE(1166),
    [sym_preproc_pragma] = STATE(1166),
    [sym_preproc_nullable] = STATE(1166),
    [sym_preproc_error] = STATE(1166),
    [sym_preproc_define] = STATE(1166),
    [sym_preproc_undef] = STATE(1166),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1167] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5926),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1167),
    [sym_preproc_endregion] = STATE(1167),
    [sym_preproc_line] = STATE(1167),
    [sym_preproc_pragma] = STATE(1167),
    [sym_preproc_nullable] = STATE(1167),
    [sym_preproc_error] = STATE(1167),
    [sym_preproc_define] = STATE(1167),
    [sym_preproc_undef] = STATE(1167),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1168] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5969),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1168),
    [sym_preproc_endregion] = STATE(1168),
    [sym_preproc_line] = STATE(1168),
    [sym_preproc_pragma] = STATE(1168),
    [sym_preproc_nullable] = STATE(1168),
    [sym_preproc_error] = STATE(1168),
    [sym_preproc_define] = STATE(1168),
    [sym_preproc_undef] = STATE(1168),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1169] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5724),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1169),
    [sym_preproc_endregion] = STATE(1169),
    [sym_preproc_line] = STATE(1169),
    [sym_preproc_pragma] = STATE(1169),
    [sym_preproc_nullable] = STATE(1169),
    [sym_preproc_error] = STATE(1169),
    [sym_preproc_define] = STATE(1169),
    [sym_preproc_undef] = STATE(1169),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1170] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5064),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1170),
    [sym_preproc_endregion] = STATE(1170),
    [sym_preproc_line] = STATE(1170),
    [sym_preproc_pragma] = STATE(1170),
    [sym_preproc_nullable] = STATE(1170),
    [sym_preproc_error] = STATE(1170),
    [sym_preproc_define] = STATE(1170),
    [sym_preproc_undef] = STATE(1170),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1171] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5585),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1171),
    [sym_preproc_endregion] = STATE(1171),
    [sym_preproc_line] = STATE(1171),
    [sym_preproc_pragma] = STATE(1171),
    [sym_preproc_nullable] = STATE(1171),
    [sym_preproc_error] = STATE(1171),
    [sym_preproc_define] = STATE(1171),
    [sym_preproc_undef] = STATE(1171),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1172] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5586),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1172),
    [sym_preproc_endregion] = STATE(1172),
    [sym_preproc_line] = STATE(1172),
    [sym_preproc_pragma] = STATE(1172),
    [sym_preproc_nullable] = STATE(1172),
    [sym_preproc_error] = STATE(1172),
    [sym_preproc_define] = STATE(1172),
    [sym_preproc_undef] = STATE(1172),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1173] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5587),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1173),
    [sym_preproc_endregion] = STATE(1173),
    [sym_preproc_line] = STATE(1173),
    [sym_preproc_pragma] = STATE(1173),
    [sym_preproc_nullable] = STATE(1173),
    [sym_preproc_error] = STATE(1173),
    [sym_preproc_define] = STATE(1173),
    [sym_preproc_undef] = STATE(1173),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1174] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5588),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1174),
    [sym_preproc_endregion] = STATE(1174),
    [sym_preproc_line] = STATE(1174),
    [sym_preproc_pragma] = STATE(1174),
    [sym_preproc_nullable] = STATE(1174),
    [sym_preproc_error] = STATE(1174),
    [sym_preproc_define] = STATE(1174),
    [sym_preproc_undef] = STATE(1174),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1175] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5589),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1175),
    [sym_preproc_endregion] = STATE(1175),
    [sym_preproc_line] = STATE(1175),
    [sym_preproc_pragma] = STATE(1175),
    [sym_preproc_nullable] = STATE(1175),
    [sym_preproc_error] = STATE(1175),
    [sym_preproc_define] = STATE(1175),
    [sym_preproc_undef] = STATE(1175),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1176] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5590),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1176),
    [sym_preproc_endregion] = STATE(1176),
    [sym_preproc_line] = STATE(1176),
    [sym_preproc_pragma] = STATE(1176),
    [sym_preproc_nullable] = STATE(1176),
    [sym_preproc_error] = STATE(1176),
    [sym_preproc_define] = STATE(1176),
    [sym_preproc_undef] = STATE(1176),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1177] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5591),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1177),
    [sym_preproc_endregion] = STATE(1177),
    [sym_preproc_line] = STATE(1177),
    [sym_preproc_pragma] = STATE(1177),
    [sym_preproc_nullable] = STATE(1177),
    [sym_preproc_error] = STATE(1177),
    [sym_preproc_define] = STATE(1177),
    [sym_preproc_undef] = STATE(1177),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1178] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5592),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1178),
    [sym_preproc_endregion] = STATE(1178),
    [sym_preproc_line] = STATE(1178),
    [sym_preproc_pragma] = STATE(1178),
    [sym_preproc_nullable] = STATE(1178),
    [sym_preproc_error] = STATE(1178),
    [sym_preproc_define] = STATE(1178),
    [sym_preproc_undef] = STATE(1178),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1179] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5594),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1179),
    [sym_preproc_endregion] = STATE(1179),
    [sym_preproc_line] = STATE(1179),
    [sym_preproc_pragma] = STATE(1179),
    [sym_preproc_nullable] = STATE(1179),
    [sym_preproc_error] = STATE(1179),
    [sym_preproc_define] = STATE(1179),
    [sym_preproc_undef] = STATE(1179),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1180] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5595),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1180),
    [sym_preproc_endregion] = STATE(1180),
    [sym_preproc_line] = STATE(1180),
    [sym_preproc_pragma] = STATE(1180),
    [sym_preproc_nullable] = STATE(1180),
    [sym_preproc_error] = STATE(1180),
    [sym_preproc_define] = STATE(1180),
    [sym_preproc_undef] = STATE(1180),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1181] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5597),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1181),
    [sym_preproc_endregion] = STATE(1181),
    [sym_preproc_line] = STATE(1181),
    [sym_preproc_pragma] = STATE(1181),
    [sym_preproc_nullable] = STATE(1181),
    [sym_preproc_error] = STATE(1181),
    [sym_preproc_define] = STATE(1181),
    [sym_preproc_undef] = STATE(1181),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1182] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5558),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1182),
    [sym_preproc_endregion] = STATE(1182),
    [sym_preproc_line] = STATE(1182),
    [sym_preproc_pragma] = STATE(1182),
    [sym_preproc_nullable] = STATE(1182),
    [sym_preproc_error] = STATE(1182),
    [sym_preproc_define] = STATE(1182),
    [sym_preproc_undef] = STATE(1182),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1183] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5326),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1183),
    [sym_preproc_endregion] = STATE(1183),
    [sym_preproc_line] = STATE(1183),
    [sym_preproc_pragma] = STATE(1183),
    [sym_preproc_nullable] = STATE(1183),
    [sym_preproc_error] = STATE(1183),
    [sym_preproc_define] = STATE(1183),
    [sym_preproc_undef] = STATE(1183),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1184] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6622),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1184),
    [sym_preproc_endregion] = STATE(1184),
    [sym_preproc_line] = STATE(1184),
    [sym_preproc_pragma] = STATE(1184),
    [sym_preproc_nullable] = STATE(1184),
    [sym_preproc_error] = STATE(1184),
    [sym_preproc_define] = STATE(1184),
    [sym_preproc_undef] = STATE(1184),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1185] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6589),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1185),
    [sym_preproc_endregion] = STATE(1185),
    [sym_preproc_line] = STATE(1185),
    [sym_preproc_pragma] = STATE(1185),
    [sym_preproc_nullable] = STATE(1185),
    [sym_preproc_error] = STATE(1185),
    [sym_preproc_define] = STATE(1185),
    [sym_preproc_undef] = STATE(1185),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1186] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4911),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1186),
    [sym_preproc_endregion] = STATE(1186),
    [sym_preproc_line] = STATE(1186),
    [sym_preproc_pragma] = STATE(1186),
    [sym_preproc_nullable] = STATE(1186),
    [sym_preproc_error] = STATE(1186),
    [sym_preproc_define] = STATE(1186),
    [sym_preproc_undef] = STATE(1186),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1187] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1187),
    [sym_preproc_endregion] = STATE(1187),
    [sym_preproc_line] = STATE(1187),
    [sym_preproc_pragma] = STATE(1187),
    [sym_preproc_nullable] = STATE(1187),
    [sym_preproc_error] = STATE(1187),
    [sym_preproc_define] = STATE(1187),
    [sym_preproc_undef] = STATE(1187),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1188] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6149),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1188),
    [sym_preproc_endregion] = STATE(1188),
    [sym_preproc_line] = STATE(1188),
    [sym_preproc_pragma] = STATE(1188),
    [sym_preproc_nullable] = STATE(1188),
    [sym_preproc_error] = STATE(1188),
    [sym_preproc_define] = STATE(1188),
    [sym_preproc_undef] = STATE(1188),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1189] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6150),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1189),
    [sym_preproc_endregion] = STATE(1189),
    [sym_preproc_line] = STATE(1189),
    [sym_preproc_pragma] = STATE(1189),
    [sym_preproc_nullable] = STATE(1189),
    [sym_preproc_error] = STATE(1189),
    [sym_preproc_define] = STATE(1189),
    [sym_preproc_undef] = STATE(1189),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1190] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6251),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1190),
    [sym_preproc_endregion] = STATE(1190),
    [sym_preproc_line] = STATE(1190),
    [sym_preproc_pragma] = STATE(1190),
    [sym_preproc_nullable] = STATE(1190),
    [sym_preproc_error] = STATE(1190),
    [sym_preproc_define] = STATE(1190),
    [sym_preproc_undef] = STATE(1190),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1191] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5078),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1191),
    [sym_preproc_endregion] = STATE(1191),
    [sym_preproc_line] = STATE(1191),
    [sym_preproc_pragma] = STATE(1191),
    [sym_preproc_nullable] = STATE(1191),
    [sym_preproc_error] = STATE(1191),
    [sym_preproc_define] = STATE(1191),
    [sym_preproc_undef] = STATE(1191),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1192] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5029),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1192),
    [sym_preproc_endregion] = STATE(1192),
    [sym_preproc_line] = STATE(1192),
    [sym_preproc_pragma] = STATE(1192),
    [sym_preproc_nullable] = STATE(1192),
    [sym_preproc_error] = STATE(1192),
    [sym_preproc_define] = STATE(1192),
    [sym_preproc_undef] = STATE(1192),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1193] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6025),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1193),
    [sym_preproc_endregion] = STATE(1193),
    [sym_preproc_line] = STATE(1193),
    [sym_preproc_pragma] = STATE(1193),
    [sym_preproc_nullable] = STATE(1193),
    [sym_preproc_error] = STATE(1193),
    [sym_preproc_define] = STATE(1193),
    [sym_preproc_undef] = STATE(1193),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1194] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6159),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1194),
    [sym_preproc_endregion] = STATE(1194),
    [sym_preproc_line] = STATE(1194),
    [sym_preproc_pragma] = STATE(1194),
    [sym_preproc_nullable] = STATE(1194),
    [sym_preproc_error] = STATE(1194),
    [sym_preproc_define] = STATE(1194),
    [sym_preproc_undef] = STATE(1194),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1195] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6160),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1195),
    [sym_preproc_endregion] = STATE(1195),
    [sym_preproc_line] = STATE(1195),
    [sym_preproc_pragma] = STATE(1195),
    [sym_preproc_nullable] = STATE(1195),
    [sym_preproc_error] = STATE(1195),
    [sym_preproc_define] = STATE(1195),
    [sym_preproc_undef] = STATE(1195),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1196] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5619),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1196),
    [sym_preproc_endregion] = STATE(1196),
    [sym_preproc_line] = STATE(1196),
    [sym_preproc_pragma] = STATE(1196),
    [sym_preproc_nullable] = STATE(1196),
    [sym_preproc_error] = STATE(1196),
    [sym_preproc_define] = STATE(1196),
    [sym_preproc_undef] = STATE(1196),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1197] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5329),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1197),
    [sym_preproc_endregion] = STATE(1197),
    [sym_preproc_line] = STATE(1197),
    [sym_preproc_pragma] = STATE(1197),
    [sym_preproc_nullable] = STATE(1197),
    [sym_preproc_error] = STATE(1197),
    [sym_preproc_define] = STATE(1197),
    [sym_preproc_undef] = STATE(1197),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1198] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5932),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1198),
    [sym_preproc_endregion] = STATE(1198),
    [sym_preproc_line] = STATE(1198),
    [sym_preproc_pragma] = STATE(1198),
    [sym_preproc_nullable] = STATE(1198),
    [sym_preproc_error] = STATE(1198),
    [sym_preproc_define] = STATE(1198),
    [sym_preproc_undef] = STATE(1198),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1199] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6471),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1199),
    [sym_preproc_endregion] = STATE(1199),
    [sym_preproc_line] = STATE(1199),
    [sym_preproc_pragma] = STATE(1199),
    [sym_preproc_nullable] = STATE(1199),
    [sym_preproc_error] = STATE(1199),
    [sym_preproc_define] = STATE(1199),
    [sym_preproc_undef] = STATE(1199),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1200] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5401),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1200),
    [sym_preproc_endregion] = STATE(1200),
    [sym_preproc_line] = STATE(1200),
    [sym_preproc_pragma] = STATE(1200),
    [sym_preproc_nullable] = STATE(1200),
    [sym_preproc_error] = STATE(1200),
    [sym_preproc_define] = STATE(1200),
    [sym_preproc_undef] = STATE(1200),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1201] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5944),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1201),
    [sym_preproc_endregion] = STATE(1201),
    [sym_preproc_line] = STATE(1201),
    [sym_preproc_pragma] = STATE(1201),
    [sym_preproc_nullable] = STATE(1201),
    [sym_preproc_error] = STATE(1201),
    [sym_preproc_define] = STATE(1201),
    [sym_preproc_undef] = STATE(1201),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1202] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6368),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1202),
    [sym_preproc_endregion] = STATE(1202),
    [sym_preproc_line] = STATE(1202),
    [sym_preproc_pragma] = STATE(1202),
    [sym_preproc_nullable] = STATE(1202),
    [sym_preproc_error] = STATE(1202),
    [sym_preproc_define] = STATE(1202),
    [sym_preproc_undef] = STATE(1202),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1203] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5144),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1203),
    [sym_preproc_endregion] = STATE(1203),
    [sym_preproc_line] = STATE(1203),
    [sym_preproc_pragma] = STATE(1203),
    [sym_preproc_nullable] = STATE(1203),
    [sym_preproc_error] = STATE(1203),
    [sym_preproc_define] = STATE(1203),
    [sym_preproc_undef] = STATE(1203),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1204] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6708),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3936),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1204),
    [sym_preproc_endregion] = STATE(1204),
    [sym_preproc_line] = STATE(1204),
    [sym_preproc_pragma] = STATE(1204),
    [sym_preproc_nullable] = STATE(1204),
    [sym_preproc_error] = STATE(1204),
    [sym_preproc_define] = STATE(1204),
    [sym_preproc_undef] = STATE(1204),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(2973),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1205] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5065),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1205),
    [sym_preproc_endregion] = STATE(1205),
    [sym_preproc_line] = STATE(1205),
    [sym_preproc_pragma] = STATE(1205),
    [sym_preproc_nullable] = STATE(1205),
    [sym_preproc_error] = STATE(1205),
    [sym_preproc_define] = STATE(1205),
    [sym_preproc_undef] = STATE(1205),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1206] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5072),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1206),
    [sym_preproc_endregion] = STATE(1206),
    [sym_preproc_line] = STATE(1206),
    [sym_preproc_pragma] = STATE(1206),
    [sym_preproc_nullable] = STATE(1206),
    [sym_preproc_error] = STATE(1206),
    [sym_preproc_define] = STATE(1206),
    [sym_preproc_undef] = STATE(1206),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1207] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5109),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1207),
    [sym_preproc_endregion] = STATE(1207),
    [sym_preproc_line] = STATE(1207),
    [sym_preproc_pragma] = STATE(1207),
    [sym_preproc_nullable] = STATE(1207),
    [sym_preproc_error] = STATE(1207),
    [sym_preproc_define] = STATE(1207),
    [sym_preproc_undef] = STATE(1207),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1208] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5077),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1208),
    [sym_preproc_endregion] = STATE(1208),
    [sym_preproc_line] = STATE(1208),
    [sym_preproc_pragma] = STATE(1208),
    [sym_preproc_nullable] = STATE(1208),
    [sym_preproc_error] = STATE(1208),
    [sym_preproc_define] = STATE(1208),
    [sym_preproc_undef] = STATE(1208),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1209] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5086),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1209),
    [sym_preproc_endregion] = STATE(1209),
    [sym_preproc_line] = STATE(1209),
    [sym_preproc_pragma] = STATE(1209),
    [sym_preproc_nullable] = STATE(1209),
    [sym_preproc_error] = STATE(1209),
    [sym_preproc_define] = STATE(1209),
    [sym_preproc_undef] = STATE(1209),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1210] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5089),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1210),
    [sym_preproc_endregion] = STATE(1210),
    [sym_preproc_line] = STATE(1210),
    [sym_preproc_pragma] = STATE(1210),
    [sym_preproc_nullable] = STATE(1210),
    [sym_preproc_error] = STATE(1210),
    [sym_preproc_define] = STATE(1210),
    [sym_preproc_undef] = STATE(1210),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1211] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5133),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1211),
    [sym_preproc_endregion] = STATE(1211),
    [sym_preproc_line] = STATE(1211),
    [sym_preproc_pragma] = STATE(1211),
    [sym_preproc_nullable] = STATE(1211),
    [sym_preproc_error] = STATE(1211),
    [sym_preproc_define] = STATE(1211),
    [sym_preproc_undef] = STATE(1211),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1212] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5096),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1212),
    [sym_preproc_endregion] = STATE(1212),
    [sym_preproc_line] = STATE(1212),
    [sym_preproc_pragma] = STATE(1212),
    [sym_preproc_nullable] = STATE(1212),
    [sym_preproc_error] = STATE(1212),
    [sym_preproc_define] = STATE(1212),
    [sym_preproc_undef] = STATE(1212),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1213] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5100),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1213),
    [sym_preproc_endregion] = STATE(1213),
    [sym_preproc_line] = STATE(1213),
    [sym_preproc_pragma] = STATE(1213),
    [sym_preproc_nullable] = STATE(1213),
    [sym_preproc_error] = STATE(1213),
    [sym_preproc_define] = STATE(1213),
    [sym_preproc_undef] = STATE(1213),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1214] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5104),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1214),
    [sym_preproc_endregion] = STATE(1214),
    [sym_preproc_line] = STATE(1214),
    [sym_preproc_pragma] = STATE(1214),
    [sym_preproc_nullable] = STATE(1214),
    [sym_preproc_error] = STATE(1214),
    [sym_preproc_define] = STATE(1214),
    [sym_preproc_undef] = STATE(1214),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1215] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5115),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1215),
    [sym_preproc_endregion] = STATE(1215),
    [sym_preproc_line] = STATE(1215),
    [sym_preproc_pragma] = STATE(1215),
    [sym_preproc_nullable] = STATE(1215),
    [sym_preproc_error] = STATE(1215),
    [sym_preproc_define] = STATE(1215),
    [sym_preproc_undef] = STATE(1215),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1216] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1216),
    [sym_preproc_endregion] = STATE(1216),
    [sym_preproc_line] = STATE(1216),
    [sym_preproc_pragma] = STATE(1216),
    [sym_preproc_nullable] = STATE(1216),
    [sym_preproc_error] = STATE(1216),
    [sym_preproc_define] = STATE(1216),
    [sym_preproc_undef] = STATE(1216),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1217] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4629),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1217),
    [sym_preproc_endregion] = STATE(1217),
    [sym_preproc_line] = STATE(1217),
    [sym_preproc_pragma] = STATE(1217),
    [sym_preproc_nullable] = STATE(1217),
    [sym_preproc_error] = STATE(1217),
    [sym_preproc_define] = STATE(1217),
    [sym_preproc_undef] = STATE(1217),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1218] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4372),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1218),
    [sym_preproc_endregion] = STATE(1218),
    [sym_preproc_line] = STATE(1218),
    [sym_preproc_pragma] = STATE(1218),
    [sym_preproc_nullable] = STATE(1218),
    [sym_preproc_error] = STATE(1218),
    [sym_preproc_define] = STATE(1218),
    [sym_preproc_undef] = STATE(1218),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1219] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4636),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1219),
    [sym_preproc_endregion] = STATE(1219),
    [sym_preproc_line] = STATE(1219),
    [sym_preproc_pragma] = STATE(1219),
    [sym_preproc_nullable] = STATE(1219),
    [sym_preproc_error] = STATE(1219),
    [sym_preproc_define] = STATE(1219),
    [sym_preproc_undef] = STATE(1219),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1220] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4366),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1220),
    [sym_preproc_endregion] = STATE(1220),
    [sym_preproc_line] = STATE(1220),
    [sym_preproc_pragma] = STATE(1220),
    [sym_preproc_nullable] = STATE(1220),
    [sym_preproc_error] = STATE(1220),
    [sym_preproc_define] = STATE(1220),
    [sym_preproc_undef] = STATE(1220),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1221] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4643),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1221),
    [sym_preproc_endregion] = STATE(1221),
    [sym_preproc_line] = STATE(1221),
    [sym_preproc_pragma] = STATE(1221),
    [sym_preproc_nullable] = STATE(1221),
    [sym_preproc_error] = STATE(1221),
    [sym_preproc_define] = STATE(1221),
    [sym_preproc_undef] = STATE(1221),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1222] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5362),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1222),
    [sym_preproc_endregion] = STATE(1222),
    [sym_preproc_line] = STATE(1222),
    [sym_preproc_pragma] = STATE(1222),
    [sym_preproc_nullable] = STATE(1222),
    [sym_preproc_error] = STATE(1222),
    [sym_preproc_define] = STATE(1222),
    [sym_preproc_undef] = STATE(1222),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1223] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1223),
    [sym_preproc_endregion] = STATE(1223),
    [sym_preproc_line] = STATE(1223),
    [sym_preproc_pragma] = STATE(1223),
    [sym_preproc_nullable] = STATE(1223),
    [sym_preproc_error] = STATE(1223),
    [sym_preproc_define] = STATE(1223),
    [sym_preproc_undef] = STATE(1223),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1224] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4666),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1224),
    [sym_preproc_endregion] = STATE(1224),
    [sym_preproc_line] = STATE(1224),
    [sym_preproc_pragma] = STATE(1224),
    [sym_preproc_nullable] = STATE(1224),
    [sym_preproc_error] = STATE(1224),
    [sym_preproc_define] = STATE(1224),
    [sym_preproc_undef] = STATE(1224),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1225] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4667),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1225),
    [sym_preproc_endregion] = STATE(1225),
    [sym_preproc_line] = STATE(1225),
    [sym_preproc_pragma] = STATE(1225),
    [sym_preproc_nullable] = STATE(1225),
    [sym_preproc_error] = STATE(1225),
    [sym_preproc_define] = STATE(1225),
    [sym_preproc_undef] = STATE(1225),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1226] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4668),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1226),
    [sym_preproc_endregion] = STATE(1226),
    [sym_preproc_line] = STATE(1226),
    [sym_preproc_pragma] = STATE(1226),
    [sym_preproc_nullable] = STATE(1226),
    [sym_preproc_error] = STATE(1226),
    [sym_preproc_define] = STATE(1226),
    [sym_preproc_undef] = STATE(1226),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1227] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4605),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1227),
    [sym_preproc_endregion] = STATE(1227),
    [sym_preproc_line] = STATE(1227),
    [sym_preproc_pragma] = STATE(1227),
    [sym_preproc_nullable] = STATE(1227),
    [sym_preproc_error] = STATE(1227),
    [sym_preproc_define] = STATE(1227),
    [sym_preproc_undef] = STATE(1227),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1228] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4607),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1228),
    [sym_preproc_endregion] = STATE(1228),
    [sym_preproc_line] = STATE(1228),
    [sym_preproc_pragma] = STATE(1228),
    [sym_preproc_nullable] = STATE(1228),
    [sym_preproc_error] = STATE(1228),
    [sym_preproc_define] = STATE(1228),
    [sym_preproc_undef] = STATE(1228),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1229] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4610),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1229),
    [sym_preproc_endregion] = STATE(1229),
    [sym_preproc_line] = STATE(1229),
    [sym_preproc_pragma] = STATE(1229),
    [sym_preproc_nullable] = STATE(1229),
    [sym_preproc_error] = STATE(1229),
    [sym_preproc_define] = STATE(1229),
    [sym_preproc_undef] = STATE(1229),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1230] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4672),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1230),
    [sym_preproc_endregion] = STATE(1230),
    [sym_preproc_line] = STATE(1230),
    [sym_preproc_pragma] = STATE(1230),
    [sym_preproc_nullable] = STATE(1230),
    [sym_preproc_error] = STATE(1230),
    [sym_preproc_define] = STATE(1230),
    [sym_preproc_undef] = STATE(1230),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1231] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4612),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1231),
    [sym_preproc_endregion] = STATE(1231),
    [sym_preproc_line] = STATE(1231),
    [sym_preproc_pragma] = STATE(1231),
    [sym_preproc_nullable] = STATE(1231),
    [sym_preproc_error] = STATE(1231),
    [sym_preproc_define] = STATE(1231),
    [sym_preproc_undef] = STATE(1231),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1232] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4621),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1232),
    [sym_preproc_endregion] = STATE(1232),
    [sym_preproc_line] = STATE(1232),
    [sym_preproc_pragma] = STATE(1232),
    [sym_preproc_nullable] = STATE(1232),
    [sym_preproc_error] = STATE(1232),
    [sym_preproc_define] = STATE(1232),
    [sym_preproc_undef] = STATE(1232),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1233] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4541),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1233),
    [sym_preproc_endregion] = STATE(1233),
    [sym_preproc_line] = STATE(1233),
    [sym_preproc_pragma] = STATE(1233),
    [sym_preproc_nullable] = STATE(1233),
    [sym_preproc_error] = STATE(1233),
    [sym_preproc_define] = STATE(1233),
    [sym_preproc_undef] = STATE(1233),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1234] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4624),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1234),
    [sym_preproc_endregion] = STATE(1234),
    [sym_preproc_line] = STATE(1234),
    [sym_preproc_pragma] = STATE(1234),
    [sym_preproc_nullable] = STATE(1234),
    [sym_preproc_error] = STATE(1234),
    [sym_preproc_define] = STATE(1234),
    [sym_preproc_undef] = STATE(1234),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1235] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5364),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1235),
    [sym_preproc_endregion] = STATE(1235),
    [sym_preproc_line] = STATE(1235),
    [sym_preproc_pragma] = STATE(1235),
    [sym_preproc_nullable] = STATE(1235),
    [sym_preproc_error] = STATE(1235),
    [sym_preproc_define] = STATE(1235),
    [sym_preproc_undef] = STATE(1235),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1236] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4365),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1236),
    [sym_preproc_endregion] = STATE(1236),
    [sym_preproc_line] = STATE(1236),
    [sym_preproc_pragma] = STATE(1236),
    [sym_preproc_nullable] = STATE(1236),
    [sym_preproc_error] = STATE(1236),
    [sym_preproc_define] = STATE(1236),
    [sym_preproc_undef] = STATE(1236),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1237] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5128),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1237),
    [sym_preproc_endregion] = STATE(1237),
    [sym_preproc_line] = STATE(1237),
    [sym_preproc_pragma] = STATE(1237),
    [sym_preproc_nullable] = STATE(1237),
    [sym_preproc_error] = STATE(1237),
    [sym_preproc_define] = STATE(1237),
    [sym_preproc_undef] = STATE(1237),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1238] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5368),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1238),
    [sym_preproc_endregion] = STATE(1238),
    [sym_preproc_line] = STATE(1238),
    [sym_preproc_pragma] = STATE(1238),
    [sym_preproc_nullable] = STATE(1238),
    [sym_preproc_error] = STATE(1238),
    [sym_preproc_define] = STATE(1238),
    [sym_preproc_undef] = STATE(1238),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1239] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1239),
    [sym_preproc_endregion] = STATE(1239),
    [sym_preproc_line] = STATE(1239),
    [sym_preproc_pragma] = STATE(1239),
    [sym_preproc_nullable] = STATE(1239),
    [sym_preproc_error] = STATE(1239),
    [sym_preproc_define] = STATE(1239),
    [sym_preproc_undef] = STATE(1239),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1240] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5731),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1240),
    [sym_preproc_endregion] = STATE(1240),
    [sym_preproc_line] = STATE(1240),
    [sym_preproc_pragma] = STATE(1240),
    [sym_preproc_nullable] = STATE(1240),
    [sym_preproc_error] = STATE(1240),
    [sym_preproc_define] = STATE(1240),
    [sym_preproc_undef] = STATE(1240),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1241] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5147),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1241),
    [sym_preproc_endregion] = STATE(1241),
    [sym_preproc_line] = STATE(1241),
    [sym_preproc_pragma] = STATE(1241),
    [sym_preproc_nullable] = STATE(1241),
    [sym_preproc_error] = STATE(1241),
    [sym_preproc_define] = STATE(1241),
    [sym_preproc_undef] = STATE(1241),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1242] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5807),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1242),
    [sym_preproc_endregion] = STATE(1242),
    [sym_preproc_line] = STATE(1242),
    [sym_preproc_pragma] = STATE(1242),
    [sym_preproc_nullable] = STATE(1242),
    [sym_preproc_error] = STATE(1242),
    [sym_preproc_define] = STATE(1242),
    [sym_preproc_undef] = STATE(1242),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1243] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5372),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1243),
    [sym_preproc_endregion] = STATE(1243),
    [sym_preproc_line] = STATE(1243),
    [sym_preproc_pragma] = STATE(1243),
    [sym_preproc_nullable] = STATE(1243),
    [sym_preproc_error] = STATE(1243),
    [sym_preproc_define] = STATE(1243),
    [sym_preproc_undef] = STATE(1243),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1244] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5373),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1244),
    [sym_preproc_endregion] = STATE(1244),
    [sym_preproc_line] = STATE(1244),
    [sym_preproc_pragma] = STATE(1244),
    [sym_preproc_nullable] = STATE(1244),
    [sym_preproc_error] = STATE(1244),
    [sym_preproc_define] = STATE(1244),
    [sym_preproc_undef] = STATE(1244),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1245] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5374),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1245),
    [sym_preproc_endregion] = STATE(1245),
    [sym_preproc_line] = STATE(1245),
    [sym_preproc_pragma] = STATE(1245),
    [sym_preproc_nullable] = STATE(1245),
    [sym_preproc_error] = STATE(1245),
    [sym_preproc_define] = STATE(1245),
    [sym_preproc_undef] = STATE(1245),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1246] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5375),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1246),
    [sym_preproc_endregion] = STATE(1246),
    [sym_preproc_line] = STATE(1246),
    [sym_preproc_pragma] = STATE(1246),
    [sym_preproc_nullable] = STATE(1246),
    [sym_preproc_error] = STATE(1246),
    [sym_preproc_define] = STATE(1246),
    [sym_preproc_undef] = STATE(1246),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1247] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5376),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1247),
    [sym_preproc_endregion] = STATE(1247),
    [sym_preproc_line] = STATE(1247),
    [sym_preproc_pragma] = STATE(1247),
    [sym_preproc_nullable] = STATE(1247),
    [sym_preproc_error] = STATE(1247),
    [sym_preproc_define] = STATE(1247),
    [sym_preproc_undef] = STATE(1247),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1248] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5377),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1248),
    [sym_preproc_endregion] = STATE(1248),
    [sym_preproc_line] = STATE(1248),
    [sym_preproc_pragma] = STATE(1248),
    [sym_preproc_nullable] = STATE(1248),
    [sym_preproc_error] = STATE(1248),
    [sym_preproc_define] = STATE(1248),
    [sym_preproc_undef] = STATE(1248),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1249] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5378),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1249),
    [sym_preproc_endregion] = STATE(1249),
    [sym_preproc_line] = STATE(1249),
    [sym_preproc_pragma] = STATE(1249),
    [sym_preproc_nullable] = STATE(1249),
    [sym_preproc_error] = STATE(1249),
    [sym_preproc_define] = STATE(1249),
    [sym_preproc_undef] = STATE(1249),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1250] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5379),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1250),
    [sym_preproc_endregion] = STATE(1250),
    [sym_preproc_line] = STATE(1250),
    [sym_preproc_pragma] = STATE(1250),
    [sym_preproc_nullable] = STATE(1250),
    [sym_preproc_error] = STATE(1250),
    [sym_preproc_define] = STATE(1250),
    [sym_preproc_undef] = STATE(1250),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1251] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5380),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1251),
    [sym_preproc_endregion] = STATE(1251),
    [sym_preproc_line] = STATE(1251),
    [sym_preproc_pragma] = STATE(1251),
    [sym_preproc_nullable] = STATE(1251),
    [sym_preproc_error] = STATE(1251),
    [sym_preproc_define] = STATE(1251),
    [sym_preproc_undef] = STATE(1251),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1252] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5381),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1252),
    [sym_preproc_endregion] = STATE(1252),
    [sym_preproc_line] = STATE(1252),
    [sym_preproc_pragma] = STATE(1252),
    [sym_preproc_nullable] = STATE(1252),
    [sym_preproc_error] = STATE(1252),
    [sym_preproc_define] = STATE(1252),
    [sym_preproc_undef] = STATE(1252),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1253] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5382),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1253),
    [sym_preproc_endregion] = STATE(1253),
    [sym_preproc_line] = STATE(1253),
    [sym_preproc_pragma] = STATE(1253),
    [sym_preproc_nullable] = STATE(1253),
    [sym_preproc_error] = STATE(1253),
    [sym_preproc_define] = STATE(1253),
    [sym_preproc_undef] = STATE(1253),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1254] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5733),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1254),
    [sym_preproc_endregion] = STATE(1254),
    [sym_preproc_line] = STATE(1254),
    [sym_preproc_pragma] = STATE(1254),
    [sym_preproc_nullable] = STATE(1254),
    [sym_preproc_error] = STATE(1254),
    [sym_preproc_define] = STATE(1254),
    [sym_preproc_undef] = STATE(1254),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1255] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1255),
    [sym_preproc_endregion] = STATE(1255),
    [sym_preproc_line] = STATE(1255),
    [sym_preproc_pragma] = STATE(1255),
    [sym_preproc_nullable] = STATE(1255),
    [sym_preproc_error] = STATE(1255),
    [sym_preproc_define] = STATE(1255),
    [sym_preproc_undef] = STATE(1255),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1256] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5152),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1256),
    [sym_preproc_endregion] = STATE(1256),
    [sym_preproc_line] = STATE(1256),
    [sym_preproc_pragma] = STATE(1256),
    [sym_preproc_nullable] = STATE(1256),
    [sym_preproc_error] = STATE(1256),
    [sym_preproc_define] = STATE(1256),
    [sym_preproc_undef] = STATE(1256),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1257] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5738),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1257),
    [sym_preproc_endregion] = STATE(1257),
    [sym_preproc_line] = STATE(1257),
    [sym_preproc_pragma] = STATE(1257),
    [sym_preproc_nullable] = STATE(1257),
    [sym_preproc_error] = STATE(1257),
    [sym_preproc_define] = STATE(1257),
    [sym_preproc_undef] = STATE(1257),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1258] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5108),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1258),
    [sym_preproc_endregion] = STATE(1258),
    [sym_preproc_line] = STATE(1258),
    [sym_preproc_pragma] = STATE(1258),
    [sym_preproc_nullable] = STATE(1258),
    [sym_preproc_error] = STATE(1258),
    [sym_preproc_define] = STATE(1258),
    [sym_preproc_undef] = STATE(1258),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1259] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1259),
    [sym_preproc_endregion] = STATE(1259),
    [sym_preproc_line] = STATE(1259),
    [sym_preproc_pragma] = STATE(1259),
    [sym_preproc_nullable] = STATE(1259),
    [sym_preproc_error] = STATE(1259),
    [sym_preproc_define] = STATE(1259),
    [sym_preproc_undef] = STATE(1259),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1260] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5743),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1260),
    [sym_preproc_endregion] = STATE(1260),
    [sym_preproc_line] = STATE(1260),
    [sym_preproc_pragma] = STATE(1260),
    [sym_preproc_nullable] = STATE(1260),
    [sym_preproc_error] = STATE(1260),
    [sym_preproc_define] = STATE(1260),
    [sym_preproc_undef] = STATE(1260),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1261] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5744),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1261),
    [sym_preproc_endregion] = STATE(1261),
    [sym_preproc_line] = STATE(1261),
    [sym_preproc_pragma] = STATE(1261),
    [sym_preproc_nullable] = STATE(1261),
    [sym_preproc_error] = STATE(1261),
    [sym_preproc_define] = STATE(1261),
    [sym_preproc_undef] = STATE(1261),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1262] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5745),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1262),
    [sym_preproc_endregion] = STATE(1262),
    [sym_preproc_line] = STATE(1262),
    [sym_preproc_pragma] = STATE(1262),
    [sym_preproc_nullable] = STATE(1262),
    [sym_preproc_error] = STATE(1262),
    [sym_preproc_define] = STATE(1262),
    [sym_preproc_undef] = STATE(1262),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1263] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5507),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1263),
    [sym_preproc_endregion] = STATE(1263),
    [sym_preproc_line] = STATE(1263),
    [sym_preproc_pragma] = STATE(1263),
    [sym_preproc_nullable] = STATE(1263),
    [sym_preproc_error] = STATE(1263),
    [sym_preproc_define] = STATE(1263),
    [sym_preproc_undef] = STATE(1263),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1264] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5409),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1264),
    [sym_preproc_endregion] = STATE(1264),
    [sym_preproc_line] = STATE(1264),
    [sym_preproc_pragma] = STATE(1264),
    [sym_preproc_nullable] = STATE(1264),
    [sym_preproc_error] = STATE(1264),
    [sym_preproc_define] = STATE(1264),
    [sym_preproc_undef] = STATE(1264),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1265] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5517),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1265),
    [sym_preproc_endregion] = STATE(1265),
    [sym_preproc_line] = STATE(1265),
    [sym_preproc_pragma] = STATE(1265),
    [sym_preproc_nullable] = STATE(1265),
    [sym_preproc_error] = STATE(1265),
    [sym_preproc_define] = STATE(1265),
    [sym_preproc_undef] = STATE(1265),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1266] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5747),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1266),
    [sym_preproc_endregion] = STATE(1266),
    [sym_preproc_line] = STATE(1266),
    [sym_preproc_pragma] = STATE(1266),
    [sym_preproc_nullable] = STATE(1266),
    [sym_preproc_error] = STATE(1266),
    [sym_preproc_define] = STATE(1266),
    [sym_preproc_undef] = STATE(1266),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1267] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5521),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1267),
    [sym_preproc_endregion] = STATE(1267),
    [sym_preproc_line] = STATE(1267),
    [sym_preproc_pragma] = STATE(1267),
    [sym_preproc_nullable] = STATE(1267),
    [sym_preproc_error] = STATE(1267),
    [sym_preproc_define] = STATE(1267),
    [sym_preproc_undef] = STATE(1267),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1268] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5523),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1268),
    [sym_preproc_endregion] = STATE(1268),
    [sym_preproc_line] = STATE(1268),
    [sym_preproc_pragma] = STATE(1268),
    [sym_preproc_nullable] = STATE(1268),
    [sym_preproc_error] = STATE(1268),
    [sym_preproc_define] = STATE(1268),
    [sym_preproc_undef] = STATE(1268),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1269] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5524),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1269),
    [sym_preproc_endregion] = STATE(1269),
    [sym_preproc_line] = STATE(1269),
    [sym_preproc_pragma] = STATE(1269),
    [sym_preproc_nullable] = STATE(1269),
    [sym_preproc_error] = STATE(1269),
    [sym_preproc_define] = STATE(1269),
    [sym_preproc_undef] = STATE(1269),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1270] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5525),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1270),
    [sym_preproc_endregion] = STATE(1270),
    [sym_preproc_line] = STATE(1270),
    [sym_preproc_pragma] = STATE(1270),
    [sym_preproc_nullable] = STATE(1270),
    [sym_preproc_error] = STATE(1270),
    [sym_preproc_define] = STATE(1270),
    [sym_preproc_undef] = STATE(1270),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1271] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5113),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1271),
    [sym_preproc_endregion] = STATE(1271),
    [sym_preproc_line] = STATE(1271),
    [sym_preproc_pragma] = STATE(1271),
    [sym_preproc_nullable] = STATE(1271),
    [sym_preproc_error] = STATE(1271),
    [sym_preproc_define] = STATE(1271),
    [sym_preproc_undef] = STATE(1271),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1272] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5177),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1272),
    [sym_preproc_endregion] = STATE(1272),
    [sym_preproc_line] = STATE(1272),
    [sym_preproc_pragma] = STATE(1272),
    [sym_preproc_nullable] = STATE(1272),
    [sym_preproc_error] = STATE(1272),
    [sym_preproc_define] = STATE(1272),
    [sym_preproc_undef] = STATE(1272),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1273] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5042),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1273),
    [sym_preproc_endregion] = STATE(1273),
    [sym_preproc_line] = STATE(1273),
    [sym_preproc_pragma] = STATE(1273),
    [sym_preproc_nullable] = STATE(1273),
    [sym_preproc_error] = STATE(1273),
    [sym_preproc_define] = STATE(1273),
    [sym_preproc_undef] = STATE(1273),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1274] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5298),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1274),
    [sym_preproc_endregion] = STATE(1274),
    [sym_preproc_line] = STATE(1274),
    [sym_preproc_pragma] = STATE(1274),
    [sym_preproc_nullable] = STATE(1274),
    [sym_preproc_error] = STATE(1274),
    [sym_preproc_define] = STATE(1274),
    [sym_preproc_undef] = STATE(1274),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1275] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1275),
    [sym_preproc_endregion] = STATE(1275),
    [sym_preproc_line] = STATE(1275),
    [sym_preproc_pragma] = STATE(1275),
    [sym_preproc_nullable] = STATE(1275),
    [sym_preproc_error] = STATE(1275),
    [sym_preproc_define] = STATE(1275),
    [sym_preproc_undef] = STATE(1275),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1276] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5058),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1276),
    [sym_preproc_endregion] = STATE(1276),
    [sym_preproc_line] = STATE(1276),
    [sym_preproc_pragma] = STATE(1276),
    [sym_preproc_nullable] = STATE(1276),
    [sym_preproc_error] = STATE(1276),
    [sym_preproc_define] = STATE(1276),
    [sym_preproc_undef] = STATE(1276),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1277] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5062),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1277),
    [sym_preproc_endregion] = STATE(1277),
    [sym_preproc_line] = STATE(1277),
    [sym_preproc_pragma] = STATE(1277),
    [sym_preproc_nullable] = STATE(1277),
    [sym_preproc_error] = STATE(1277),
    [sym_preproc_define] = STATE(1277),
    [sym_preproc_undef] = STATE(1277),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1278] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5106),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1278),
    [sym_preproc_endregion] = STATE(1278),
    [sym_preproc_line] = STATE(1278),
    [sym_preproc_pragma] = STATE(1278),
    [sym_preproc_nullable] = STATE(1278),
    [sym_preproc_error] = STATE(1278),
    [sym_preproc_define] = STATE(1278),
    [sym_preproc_undef] = STATE(1278),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1279] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5126),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1279),
    [sym_preproc_endregion] = STATE(1279),
    [sym_preproc_line] = STATE(1279),
    [sym_preproc_pragma] = STATE(1279),
    [sym_preproc_nullable] = STATE(1279),
    [sym_preproc_error] = STATE(1279),
    [sym_preproc_define] = STATE(1279),
    [sym_preproc_undef] = STATE(1279),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1280] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5130),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1280),
    [sym_preproc_endregion] = STATE(1280),
    [sym_preproc_line] = STATE(1280),
    [sym_preproc_pragma] = STATE(1280),
    [sym_preproc_nullable] = STATE(1280),
    [sym_preproc_error] = STATE(1280),
    [sym_preproc_define] = STATE(1280),
    [sym_preproc_undef] = STATE(1280),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1281] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5090),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1281),
    [sym_preproc_endregion] = STATE(1281),
    [sym_preproc_line] = STATE(1281),
    [sym_preproc_pragma] = STATE(1281),
    [sym_preproc_nullable] = STATE(1281),
    [sym_preproc_error] = STATE(1281),
    [sym_preproc_define] = STATE(1281),
    [sym_preproc_undef] = STATE(1281),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1282] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5047),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1282),
    [sym_preproc_endregion] = STATE(1282),
    [sym_preproc_line] = STATE(1282),
    [sym_preproc_pragma] = STATE(1282),
    [sym_preproc_nullable] = STATE(1282),
    [sym_preproc_error] = STATE(1282),
    [sym_preproc_define] = STATE(1282),
    [sym_preproc_undef] = STATE(1282),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1283] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5054),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1283),
    [sym_preproc_endregion] = STATE(1283),
    [sym_preproc_line] = STATE(1283),
    [sym_preproc_pragma] = STATE(1283),
    [sym_preproc_nullable] = STATE(1283),
    [sym_preproc_error] = STATE(1283),
    [sym_preproc_define] = STATE(1283),
    [sym_preproc_undef] = STATE(1283),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1284] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5061),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1284),
    [sym_preproc_endregion] = STATE(1284),
    [sym_preproc_line] = STATE(1284),
    [sym_preproc_pragma] = STATE(1284),
    [sym_preproc_nullable] = STATE(1284),
    [sym_preproc_error] = STATE(1284),
    [sym_preproc_define] = STATE(1284),
    [sym_preproc_undef] = STATE(1284),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1285] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5105),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1285),
    [sym_preproc_endregion] = STATE(1285),
    [sym_preproc_line] = STATE(1285),
    [sym_preproc_pragma] = STATE(1285),
    [sym_preproc_nullable] = STATE(1285),
    [sym_preproc_error] = STATE(1285),
    [sym_preproc_define] = STATE(1285),
    [sym_preproc_undef] = STATE(1285),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1286] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5101),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1286),
    [sym_preproc_endregion] = STATE(1286),
    [sym_preproc_line] = STATE(1286),
    [sym_preproc_pragma] = STATE(1286),
    [sym_preproc_nullable] = STATE(1286),
    [sym_preproc_error] = STATE(1286),
    [sym_preproc_define] = STATE(1286),
    [sym_preproc_undef] = STATE(1286),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1287] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5306),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1287),
    [sym_preproc_endregion] = STATE(1287),
    [sym_preproc_line] = STATE(1287),
    [sym_preproc_pragma] = STATE(1287),
    [sym_preproc_nullable] = STATE(1287),
    [sym_preproc_error] = STATE(1287),
    [sym_preproc_define] = STATE(1287),
    [sym_preproc_undef] = STATE(1287),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1288] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1288),
    [sym_preproc_endregion] = STATE(1288),
    [sym_preproc_line] = STATE(1288),
    [sym_preproc_pragma] = STATE(1288),
    [sym_preproc_nullable] = STATE(1288),
    [sym_preproc_error] = STATE(1288),
    [sym_preproc_define] = STATE(1288),
    [sym_preproc_undef] = STATE(1288),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1289] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6445),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1289),
    [sym_preproc_endregion] = STATE(1289),
    [sym_preproc_line] = STATE(1289),
    [sym_preproc_pragma] = STATE(1289),
    [sym_preproc_nullable] = STATE(1289),
    [sym_preproc_error] = STATE(1289),
    [sym_preproc_define] = STATE(1289),
    [sym_preproc_undef] = STATE(1289),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1290] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6584),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1290),
    [sym_preproc_endregion] = STATE(1290),
    [sym_preproc_line] = STATE(1290),
    [sym_preproc_pragma] = STATE(1290),
    [sym_preproc_nullable] = STATE(1290),
    [sym_preproc_error] = STATE(1290),
    [sym_preproc_define] = STATE(1290),
    [sym_preproc_undef] = STATE(1290),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1291] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5310),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1291),
    [sym_preproc_endregion] = STATE(1291),
    [sym_preproc_line] = STATE(1291),
    [sym_preproc_pragma] = STATE(1291),
    [sym_preproc_nullable] = STATE(1291),
    [sym_preproc_error] = STATE(1291),
    [sym_preproc_define] = STATE(1291),
    [sym_preproc_undef] = STATE(1291),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1292] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5440),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1292),
    [sym_preproc_endregion] = STATE(1292),
    [sym_preproc_line] = STATE(1292),
    [sym_preproc_pragma] = STATE(1292),
    [sym_preproc_nullable] = STATE(1292),
    [sym_preproc_error] = STATE(1292),
    [sym_preproc_define] = STATE(1292),
    [sym_preproc_undef] = STATE(1292),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1293] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1293),
    [sym_preproc_endregion] = STATE(1293),
    [sym_preproc_line] = STATE(1293),
    [sym_preproc_pragma] = STATE(1293),
    [sym_preproc_nullable] = STATE(1293),
    [sym_preproc_error] = STATE(1293),
    [sym_preproc_define] = STATE(1293),
    [sym_preproc_undef] = STATE(1293),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1294] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1294),
    [sym_preproc_endregion] = STATE(1294),
    [sym_preproc_line] = STATE(1294),
    [sym_preproc_pragma] = STATE(1294),
    [sym_preproc_nullable] = STATE(1294),
    [sym_preproc_error] = STATE(1294),
    [sym_preproc_define] = STATE(1294),
    [sym_preproc_undef] = STATE(1294),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1295] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6723),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1295),
    [sym_preproc_endregion] = STATE(1295),
    [sym_preproc_line] = STATE(1295),
    [sym_preproc_pragma] = STATE(1295),
    [sym_preproc_nullable] = STATE(1295),
    [sym_preproc_error] = STATE(1295),
    [sym_preproc_define] = STATE(1295),
    [sym_preproc_undef] = STATE(1295),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2975),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1296] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5870),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1296),
    [sym_preproc_endregion] = STATE(1296),
    [sym_preproc_line] = STATE(1296),
    [sym_preproc_pragma] = STATE(1296),
    [sym_preproc_nullable] = STATE(1296),
    [sym_preproc_error] = STATE(1296),
    [sym_preproc_define] = STATE(1296),
    [sym_preproc_undef] = STATE(1296),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1297] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1297),
    [sym_preproc_endregion] = STATE(1297),
    [sym_preproc_line] = STATE(1297),
    [sym_preproc_pragma] = STATE(1297),
    [sym_preproc_nullable] = STATE(1297),
    [sym_preproc_error] = STATE(1297),
    [sym_preproc_define] = STATE(1297),
    [sym_preproc_undef] = STATE(1297),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1298] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5504),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1298),
    [sym_preproc_endregion] = STATE(1298),
    [sym_preproc_line] = STATE(1298),
    [sym_preproc_pragma] = STATE(1298),
    [sym_preproc_nullable] = STATE(1298),
    [sym_preproc_error] = STATE(1298),
    [sym_preproc_define] = STATE(1298),
    [sym_preproc_undef] = STATE(1298),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1299] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5569),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1299),
    [sym_preproc_endregion] = STATE(1299),
    [sym_preproc_line] = STATE(1299),
    [sym_preproc_pragma] = STATE(1299),
    [sym_preproc_nullable] = STATE(1299),
    [sym_preproc_error] = STATE(1299),
    [sym_preproc_define] = STATE(1299),
    [sym_preproc_undef] = STATE(1299),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1300] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5607),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1300),
    [sym_preproc_endregion] = STATE(1300),
    [sym_preproc_line] = STATE(1300),
    [sym_preproc_pragma] = STATE(1300),
    [sym_preproc_nullable] = STATE(1300),
    [sym_preproc_error] = STATE(1300),
    [sym_preproc_define] = STATE(1300),
    [sym_preproc_undef] = STATE(1300),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1301] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5453),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1301),
    [sym_preproc_endregion] = STATE(1301),
    [sym_preproc_line] = STATE(1301),
    [sym_preproc_pragma] = STATE(1301),
    [sym_preproc_nullable] = STATE(1301),
    [sym_preproc_error] = STATE(1301),
    [sym_preproc_define] = STATE(1301),
    [sym_preproc_undef] = STATE(1301),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1302] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5456),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1302),
    [sym_preproc_endregion] = STATE(1302),
    [sym_preproc_line] = STATE(1302),
    [sym_preproc_pragma] = STATE(1302),
    [sym_preproc_nullable] = STATE(1302),
    [sym_preproc_error] = STATE(1302),
    [sym_preproc_define] = STATE(1302),
    [sym_preproc_undef] = STATE(1302),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1303] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5458),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1303),
    [sym_preproc_endregion] = STATE(1303),
    [sym_preproc_line] = STATE(1303),
    [sym_preproc_pragma] = STATE(1303),
    [sym_preproc_nullable] = STATE(1303),
    [sym_preproc_error] = STATE(1303),
    [sym_preproc_define] = STATE(1303),
    [sym_preproc_undef] = STATE(1303),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1304] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5464),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1304),
    [sym_preproc_endregion] = STATE(1304),
    [sym_preproc_line] = STATE(1304),
    [sym_preproc_pragma] = STATE(1304),
    [sym_preproc_nullable] = STATE(1304),
    [sym_preproc_error] = STATE(1304),
    [sym_preproc_define] = STATE(1304),
    [sym_preproc_undef] = STATE(1304),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1305] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5488),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1305),
    [sym_preproc_endregion] = STATE(1305),
    [sym_preproc_line] = STATE(1305),
    [sym_preproc_pragma] = STATE(1305),
    [sym_preproc_nullable] = STATE(1305),
    [sym_preproc_error] = STATE(1305),
    [sym_preproc_define] = STATE(1305),
    [sym_preproc_undef] = STATE(1305),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1306] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5499),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1306),
    [sym_preproc_endregion] = STATE(1306),
    [sym_preproc_line] = STATE(1306),
    [sym_preproc_pragma] = STATE(1306),
    [sym_preproc_nullable] = STATE(1306),
    [sym_preproc_error] = STATE(1306),
    [sym_preproc_define] = STATE(1306),
    [sym_preproc_undef] = STATE(1306),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1307] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5500),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1307),
    [sym_preproc_endregion] = STATE(1307),
    [sym_preproc_line] = STATE(1307),
    [sym_preproc_pragma] = STATE(1307),
    [sym_preproc_nullable] = STATE(1307),
    [sym_preproc_error] = STATE(1307),
    [sym_preproc_define] = STATE(1307),
    [sym_preproc_undef] = STATE(1307),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1308] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5501),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1308),
    [sym_preproc_endregion] = STATE(1308),
    [sym_preproc_line] = STATE(1308),
    [sym_preproc_pragma] = STATE(1308),
    [sym_preproc_nullable] = STATE(1308),
    [sym_preproc_error] = STATE(1308),
    [sym_preproc_define] = STATE(1308),
    [sym_preproc_undef] = STATE(1308),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1309] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5889),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1309),
    [sym_preproc_endregion] = STATE(1309),
    [sym_preproc_line] = STATE(1309),
    [sym_preproc_pragma] = STATE(1309),
    [sym_preproc_nullable] = STATE(1309),
    [sym_preproc_error] = STATE(1309),
    [sym_preproc_define] = STATE(1309),
    [sym_preproc_undef] = STATE(1309),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1310] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5024),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1310),
    [sym_preproc_endregion] = STATE(1310),
    [sym_preproc_line] = STATE(1310),
    [sym_preproc_pragma] = STATE(1310),
    [sym_preproc_nullable] = STATE(1310),
    [sym_preproc_error] = STATE(1310),
    [sym_preproc_define] = STATE(1310),
    [sym_preproc_undef] = STATE(1310),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1311] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6352),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1311),
    [sym_preproc_endregion] = STATE(1311),
    [sym_preproc_line] = STATE(1311),
    [sym_preproc_pragma] = STATE(1311),
    [sym_preproc_nullable] = STATE(1311),
    [sym_preproc_error] = STATE(1311),
    [sym_preproc_define] = STATE(1311),
    [sym_preproc_undef] = STATE(1311),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1312] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1312),
    [sym_preproc_endregion] = STATE(1312),
    [sym_preproc_line] = STATE(1312),
    [sym_preproc_pragma] = STATE(1312),
    [sym_preproc_nullable] = STATE(1312),
    [sym_preproc_error] = STATE(1312),
    [sym_preproc_define] = STATE(1312),
    [sym_preproc_undef] = STATE(1312),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1313] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6402),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1313),
    [sym_preproc_endregion] = STATE(1313),
    [sym_preproc_line] = STATE(1313),
    [sym_preproc_pragma] = STATE(1313),
    [sym_preproc_nullable] = STATE(1313),
    [sym_preproc_error] = STATE(1313),
    [sym_preproc_define] = STATE(1313),
    [sym_preproc_undef] = STATE(1313),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1314] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5642),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1314),
    [sym_preproc_endregion] = STATE(1314),
    [sym_preproc_line] = STATE(1314),
    [sym_preproc_pragma] = STATE(1314),
    [sym_preproc_nullable] = STATE(1314),
    [sym_preproc_error] = STATE(1314),
    [sym_preproc_define] = STATE(1314),
    [sym_preproc_undef] = STATE(1314),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1315] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5609),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1315),
    [sym_preproc_endregion] = STATE(1315),
    [sym_preproc_line] = STATE(1315),
    [sym_preproc_pragma] = STATE(1315),
    [sym_preproc_nullable] = STATE(1315),
    [sym_preproc_error] = STATE(1315),
    [sym_preproc_define] = STATE(1315),
    [sym_preproc_undef] = STATE(1315),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1316] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5033),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1316),
    [sym_preproc_endregion] = STATE(1316),
    [sym_preproc_line] = STATE(1316),
    [sym_preproc_pragma] = STATE(1316),
    [sym_preproc_nullable] = STATE(1316),
    [sym_preproc_error] = STATE(1316),
    [sym_preproc_define] = STATE(1316),
    [sym_preproc_undef] = STATE(1316),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1317] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6416),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1317),
    [sym_preproc_endregion] = STATE(1317),
    [sym_preproc_line] = STATE(1317),
    [sym_preproc_pragma] = STATE(1317),
    [sym_preproc_nullable] = STATE(1317),
    [sym_preproc_error] = STATE(1317),
    [sym_preproc_define] = STATE(1317),
    [sym_preproc_undef] = STATE(1317),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1318] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5415),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1318),
    [sym_preproc_endregion] = STATE(1318),
    [sym_preproc_line] = STATE(1318),
    [sym_preproc_pragma] = STATE(1318),
    [sym_preproc_nullable] = STATE(1318),
    [sym_preproc_error] = STATE(1318),
    [sym_preproc_define] = STATE(1318),
    [sym_preproc_undef] = STATE(1318),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1319] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5418),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1319),
    [sym_preproc_endregion] = STATE(1319),
    [sym_preproc_line] = STATE(1319),
    [sym_preproc_pragma] = STATE(1319),
    [sym_preproc_nullable] = STATE(1319),
    [sym_preproc_error] = STATE(1319),
    [sym_preproc_define] = STATE(1319),
    [sym_preproc_undef] = STATE(1319),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1320] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5644),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1320),
    [sym_preproc_endregion] = STATE(1320),
    [sym_preproc_line] = STATE(1320),
    [sym_preproc_pragma] = STATE(1320),
    [sym_preproc_nullable] = STATE(1320),
    [sym_preproc_error] = STATE(1320),
    [sym_preproc_define] = STATE(1320),
    [sym_preproc_undef] = STATE(1320),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1321] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5419),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1321),
    [sym_preproc_endregion] = STATE(1321),
    [sym_preproc_line] = STATE(1321),
    [sym_preproc_pragma] = STATE(1321),
    [sym_preproc_nullable] = STATE(1321),
    [sym_preproc_error] = STATE(1321),
    [sym_preproc_define] = STATE(1321),
    [sym_preproc_undef] = STATE(1321),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1322] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5421),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1322),
    [sym_preproc_endregion] = STATE(1322),
    [sym_preproc_line] = STATE(1322),
    [sym_preproc_pragma] = STATE(1322),
    [sym_preproc_nullable] = STATE(1322),
    [sym_preproc_error] = STATE(1322),
    [sym_preproc_define] = STATE(1322),
    [sym_preproc_undef] = STATE(1322),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1323] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5422),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1323),
    [sym_preproc_endregion] = STATE(1323),
    [sym_preproc_line] = STATE(1323),
    [sym_preproc_pragma] = STATE(1323),
    [sym_preproc_nullable] = STATE(1323),
    [sym_preproc_error] = STATE(1323),
    [sym_preproc_define] = STATE(1323),
    [sym_preproc_undef] = STATE(1323),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1324] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5423),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1324),
    [sym_preproc_endregion] = STATE(1324),
    [sym_preproc_line] = STATE(1324),
    [sym_preproc_pragma] = STATE(1324),
    [sym_preproc_nullable] = STATE(1324),
    [sym_preproc_error] = STATE(1324),
    [sym_preproc_define] = STATE(1324),
    [sym_preproc_undef] = STATE(1324),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1325] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5424),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1325),
    [sym_preproc_endregion] = STATE(1325),
    [sym_preproc_line] = STATE(1325),
    [sym_preproc_pragma] = STATE(1325),
    [sym_preproc_nullable] = STATE(1325),
    [sym_preproc_error] = STATE(1325),
    [sym_preproc_define] = STATE(1325),
    [sym_preproc_undef] = STATE(1325),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1326] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5437),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1326),
    [sym_preproc_endregion] = STATE(1326),
    [sym_preproc_line] = STATE(1326),
    [sym_preproc_pragma] = STATE(1326),
    [sym_preproc_nullable] = STATE(1326),
    [sym_preproc_error] = STATE(1326),
    [sym_preproc_define] = STATE(1326),
    [sym_preproc_undef] = STATE(1326),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1327] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5438),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1327),
    [sym_preproc_endregion] = STATE(1327),
    [sym_preproc_line] = STATE(1327),
    [sym_preproc_pragma] = STATE(1327),
    [sym_preproc_nullable] = STATE(1327),
    [sym_preproc_error] = STATE(1327),
    [sym_preproc_define] = STATE(1327),
    [sym_preproc_undef] = STATE(1327),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1328] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5452),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1328),
    [sym_preproc_endregion] = STATE(1328),
    [sym_preproc_line] = STATE(1328),
    [sym_preproc_pragma] = STATE(1328),
    [sym_preproc_nullable] = STATE(1328),
    [sym_preproc_error] = STATE(1328),
    [sym_preproc_define] = STATE(1328),
    [sym_preproc_undef] = STATE(1328),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1329] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1329),
    [sym_preproc_endregion] = STATE(1329),
    [sym_preproc_line] = STATE(1329),
    [sym_preproc_pragma] = STATE(1329),
    [sym_preproc_nullable] = STATE(1329),
    [sym_preproc_error] = STATE(1329),
    [sym_preproc_define] = STATE(1329),
    [sym_preproc_undef] = STATE(1329),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1330] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4991),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1330),
    [sym_preproc_endregion] = STATE(1330),
    [sym_preproc_line] = STATE(1330),
    [sym_preproc_pragma] = STATE(1330),
    [sym_preproc_nullable] = STATE(1330),
    [sym_preproc_error] = STATE(1330),
    [sym_preproc_define] = STATE(1330),
    [sym_preproc_undef] = STATE(1330),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1331] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1331),
    [sym_preproc_endregion] = STATE(1331),
    [sym_preproc_line] = STATE(1331),
    [sym_preproc_pragma] = STATE(1331),
    [sym_preproc_nullable] = STATE(1331),
    [sym_preproc_error] = STATE(1331),
    [sym_preproc_define] = STATE(1331),
    [sym_preproc_undef] = STATE(1331),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1332] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4989),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1332),
    [sym_preproc_endregion] = STATE(1332),
    [sym_preproc_line] = STATE(1332),
    [sym_preproc_pragma] = STATE(1332),
    [sym_preproc_nullable] = STATE(1332),
    [sym_preproc_error] = STATE(1332),
    [sym_preproc_define] = STATE(1332),
    [sym_preproc_undef] = STATE(1332),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1333] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5646),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1333),
    [sym_preproc_endregion] = STATE(1333),
    [sym_preproc_line] = STATE(1333),
    [sym_preproc_pragma] = STATE(1333),
    [sym_preproc_nullable] = STATE(1333),
    [sym_preproc_error] = STATE(1333),
    [sym_preproc_define] = STATE(1333),
    [sym_preproc_undef] = STATE(1333),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1334] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5014),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1334),
    [sym_preproc_endregion] = STATE(1334),
    [sym_preproc_line] = STATE(1334),
    [sym_preproc_pragma] = STATE(1334),
    [sym_preproc_nullable] = STATE(1334),
    [sym_preproc_error] = STATE(1334),
    [sym_preproc_define] = STATE(1334),
    [sym_preproc_undef] = STATE(1334),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1335] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5144),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1335),
    [sym_preproc_endregion] = STATE(1335),
    [sym_preproc_line] = STATE(1335),
    [sym_preproc_pragma] = STATE(1335),
    [sym_preproc_nullable] = STATE(1335),
    [sym_preproc_error] = STATE(1335),
    [sym_preproc_define] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1336] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6708),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3936),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1336),
    [sym_preproc_endregion] = STATE(1336),
    [sym_preproc_line] = STATE(1336),
    [sym_preproc_pragma] = STATE(1336),
    [sym_preproc_nullable] = STATE(1336),
    [sym_preproc_error] = STATE(1336),
    [sym_preproc_define] = STATE(1336),
    [sym_preproc_undef] = STATE(1336),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(2973),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1337] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5032),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1337),
    [sym_preproc_endregion] = STATE(1337),
    [sym_preproc_line] = STATE(1337),
    [sym_preproc_pragma] = STATE(1337),
    [sym_preproc_nullable] = STATE(1337),
    [sym_preproc_error] = STATE(1337),
    [sym_preproc_define] = STATE(1337),
    [sym_preproc_undef] = STATE(1337),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1338] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4999),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1338),
    [sym_preproc_endregion] = STATE(1338),
    [sym_preproc_line] = STATE(1338),
    [sym_preproc_pragma] = STATE(1338),
    [sym_preproc_nullable] = STATE(1338),
    [sym_preproc_error] = STATE(1338),
    [sym_preproc_define] = STATE(1338),
    [sym_preproc_undef] = STATE(1338),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1339] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5000),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1339),
    [sym_preproc_endregion] = STATE(1339),
    [sym_preproc_line] = STATE(1339),
    [sym_preproc_pragma] = STATE(1339),
    [sym_preproc_nullable] = STATE(1339),
    [sym_preproc_error] = STATE(1339),
    [sym_preproc_define] = STATE(1339),
    [sym_preproc_undef] = STATE(1339),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1340] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5035),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1340),
    [sym_preproc_endregion] = STATE(1340),
    [sym_preproc_line] = STATE(1340),
    [sym_preproc_pragma] = STATE(1340),
    [sym_preproc_nullable] = STATE(1340),
    [sym_preproc_error] = STATE(1340),
    [sym_preproc_define] = STATE(1340),
    [sym_preproc_undef] = STATE(1340),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1341] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4985),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1341),
    [sym_preproc_endregion] = STATE(1341),
    [sym_preproc_line] = STATE(1341),
    [sym_preproc_pragma] = STATE(1341),
    [sym_preproc_nullable] = STATE(1341),
    [sym_preproc_error] = STATE(1341),
    [sym_preproc_define] = STATE(1341),
    [sym_preproc_undef] = STATE(1341),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1342] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5041),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1342),
    [sym_preproc_endregion] = STATE(1342),
    [sym_preproc_line] = STATE(1342),
    [sym_preproc_pragma] = STATE(1342),
    [sym_preproc_nullable] = STATE(1342),
    [sym_preproc_error] = STATE(1342),
    [sym_preproc_define] = STATE(1342),
    [sym_preproc_undef] = STATE(1342),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1343] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5010),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1343),
    [sym_preproc_endregion] = STATE(1343),
    [sym_preproc_line] = STATE(1343),
    [sym_preproc_pragma] = STATE(1343),
    [sym_preproc_nullable] = STATE(1343),
    [sym_preproc_error] = STATE(1343),
    [sym_preproc_define] = STATE(1343),
    [sym_preproc_undef] = STATE(1343),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1344] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4995),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1344),
    [sym_preproc_endregion] = STATE(1344),
    [sym_preproc_line] = STATE(1344),
    [sym_preproc_pragma] = STATE(1344),
    [sym_preproc_nullable] = STATE(1344),
    [sym_preproc_error] = STATE(1344),
    [sym_preproc_define] = STATE(1344),
    [sym_preproc_undef] = STATE(1344),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1345] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5021),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1345),
    [sym_preproc_endregion] = STATE(1345),
    [sym_preproc_line] = STATE(1345),
    [sym_preproc_pragma] = STATE(1345),
    [sym_preproc_nullable] = STATE(1345),
    [sym_preproc_error] = STATE(1345),
    [sym_preproc_define] = STATE(1345),
    [sym_preproc_undef] = STATE(1345),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1346] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5025),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1346),
    [sym_preproc_endregion] = STATE(1346),
    [sym_preproc_line] = STATE(1346),
    [sym_preproc_pragma] = STATE(1346),
    [sym_preproc_nullable] = STATE(1346),
    [sym_preproc_error] = STATE(1346),
    [sym_preproc_define] = STATE(1346),
    [sym_preproc_undef] = STATE(1346),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1347] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4986),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1347),
    [sym_preproc_endregion] = STATE(1347),
    [sym_preproc_line] = STATE(1347),
    [sym_preproc_pragma] = STATE(1347),
    [sym_preproc_nullable] = STATE(1347),
    [sym_preproc_error] = STATE(1347),
    [sym_preproc_define] = STATE(1347),
    [sym_preproc_undef] = STATE(1347),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1348] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1348),
    [sym_preproc_endregion] = STATE(1348),
    [sym_preproc_line] = STATE(1348),
    [sym_preproc_pragma] = STATE(1348),
    [sym_preproc_nullable] = STATE(1348),
    [sym_preproc_error] = STATE(1348),
    [sym_preproc_define] = STATE(1348),
    [sym_preproc_undef] = STATE(1348),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1349] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5506),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1349),
    [sym_preproc_endregion] = STATE(1349),
    [sym_preproc_line] = STATE(1349),
    [sym_preproc_pragma] = STATE(1349),
    [sym_preproc_nullable] = STATE(1349),
    [sym_preproc_error] = STATE(1349),
    [sym_preproc_define] = STATE(1349),
    [sym_preproc_undef] = STATE(1349),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1350] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1350),
    [sym_preproc_endregion] = STATE(1350),
    [sym_preproc_line] = STATE(1350),
    [sym_preproc_pragma] = STATE(1350),
    [sym_preproc_nullable] = STATE(1350),
    [sym_preproc_error] = STATE(1350),
    [sym_preproc_define] = STATE(1350),
    [sym_preproc_undef] = STATE(1350),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1351] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5531),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1351),
    [sym_preproc_endregion] = STATE(1351),
    [sym_preproc_line] = STATE(1351),
    [sym_preproc_pragma] = STATE(1351),
    [sym_preproc_nullable] = STATE(1351),
    [sym_preproc_error] = STATE(1351),
    [sym_preproc_define] = STATE(1351),
    [sym_preproc_undef] = STATE(1351),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1352] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5555),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1352),
    [sym_preproc_endregion] = STATE(1352),
    [sym_preproc_line] = STATE(1352),
    [sym_preproc_pragma] = STATE(1352),
    [sym_preproc_nullable] = STATE(1352),
    [sym_preproc_error] = STATE(1352),
    [sym_preproc_define] = STATE(1352),
    [sym_preproc_undef] = STATE(1352),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1353] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5085),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1353),
    [sym_preproc_endregion] = STATE(1353),
    [sym_preproc_line] = STATE(1353),
    [sym_preproc_pragma] = STATE(1353),
    [sym_preproc_nullable] = STATE(1353),
    [sym_preproc_error] = STATE(1353),
    [sym_preproc_define] = STATE(1353),
    [sym_preproc_undef] = STATE(1353),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1354] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4948),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1354),
    [sym_preproc_endregion] = STATE(1354),
    [sym_preproc_line] = STATE(1354),
    [sym_preproc_pragma] = STATE(1354),
    [sym_preproc_nullable] = STATE(1354),
    [sym_preproc_error] = STATE(1354),
    [sym_preproc_define] = STATE(1354),
    [sym_preproc_undef] = STATE(1354),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1355] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5079),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1355),
    [sym_preproc_endregion] = STATE(1355),
    [sym_preproc_line] = STATE(1355),
    [sym_preproc_pragma] = STATE(1355),
    [sym_preproc_nullable] = STATE(1355),
    [sym_preproc_error] = STATE(1355),
    [sym_preproc_define] = STATE(1355),
    [sym_preproc_undef] = STATE(1355),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1356] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1356),
    [sym_preproc_endregion] = STATE(1356),
    [sym_preproc_line] = STATE(1356),
    [sym_preproc_pragma] = STATE(1356),
    [sym_preproc_nullable] = STATE(1356),
    [sym_preproc_error] = STATE(1356),
    [sym_preproc_define] = STATE(1356),
    [sym_preproc_undef] = STATE(1356),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1357] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5255),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1357),
    [sym_preproc_endregion] = STATE(1357),
    [sym_preproc_line] = STATE(1357),
    [sym_preproc_pragma] = STATE(1357),
    [sym_preproc_nullable] = STATE(1357),
    [sym_preproc_error] = STATE(1357),
    [sym_preproc_define] = STATE(1357),
    [sym_preproc_undef] = STATE(1357),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1358] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5256),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1358),
    [sym_preproc_endregion] = STATE(1358),
    [sym_preproc_line] = STATE(1358),
    [sym_preproc_pragma] = STATE(1358),
    [sym_preproc_nullable] = STATE(1358),
    [sym_preproc_error] = STATE(1358),
    [sym_preproc_define] = STATE(1358),
    [sym_preproc_undef] = STATE(1358),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1359] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5257),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1359),
    [sym_preproc_endregion] = STATE(1359),
    [sym_preproc_line] = STATE(1359),
    [sym_preproc_pragma] = STATE(1359),
    [sym_preproc_nullable] = STATE(1359),
    [sym_preproc_error] = STATE(1359),
    [sym_preproc_define] = STATE(1359),
    [sym_preproc_undef] = STATE(1359),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1360] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5299),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1360),
    [sym_preproc_endregion] = STATE(1360),
    [sym_preproc_line] = STATE(1360),
    [sym_preproc_pragma] = STATE(1360),
    [sym_preproc_nullable] = STATE(1360),
    [sym_preproc_error] = STATE(1360),
    [sym_preproc_define] = STATE(1360),
    [sym_preproc_undef] = STATE(1360),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1361] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5300),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1361),
    [sym_preproc_endregion] = STATE(1361),
    [sym_preproc_line] = STATE(1361),
    [sym_preproc_pragma] = STATE(1361),
    [sym_preproc_nullable] = STATE(1361),
    [sym_preproc_error] = STATE(1361),
    [sym_preproc_define] = STATE(1361),
    [sym_preproc_undef] = STATE(1361),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1362] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5301),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1362),
    [sym_preproc_endregion] = STATE(1362),
    [sym_preproc_line] = STATE(1362),
    [sym_preproc_pragma] = STATE(1362),
    [sym_preproc_nullable] = STATE(1362),
    [sym_preproc_error] = STATE(1362),
    [sym_preproc_define] = STATE(1362),
    [sym_preproc_undef] = STATE(1362),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1363] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5258),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1363),
    [sym_preproc_endregion] = STATE(1363),
    [sym_preproc_line] = STATE(1363),
    [sym_preproc_pragma] = STATE(1363),
    [sym_preproc_nullable] = STATE(1363),
    [sym_preproc_error] = STATE(1363),
    [sym_preproc_define] = STATE(1363),
    [sym_preproc_undef] = STATE(1363),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1364] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5302),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1364),
    [sym_preproc_endregion] = STATE(1364),
    [sym_preproc_line] = STATE(1364),
    [sym_preproc_pragma] = STATE(1364),
    [sym_preproc_nullable] = STATE(1364),
    [sym_preproc_error] = STATE(1364),
    [sym_preproc_define] = STATE(1364),
    [sym_preproc_undef] = STATE(1364),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1365] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5303),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1365),
    [sym_preproc_endregion] = STATE(1365),
    [sym_preproc_line] = STATE(1365),
    [sym_preproc_pragma] = STATE(1365),
    [sym_preproc_nullable] = STATE(1365),
    [sym_preproc_error] = STATE(1365),
    [sym_preproc_define] = STATE(1365),
    [sym_preproc_undef] = STATE(1365),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1366] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5304),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1366),
    [sym_preproc_endregion] = STATE(1366),
    [sym_preproc_line] = STATE(1366),
    [sym_preproc_pragma] = STATE(1366),
    [sym_preproc_nullable] = STATE(1366),
    [sym_preproc_error] = STATE(1366),
    [sym_preproc_define] = STATE(1366),
    [sym_preproc_undef] = STATE(1366),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1367] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5305),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1367),
    [sym_preproc_endregion] = STATE(1367),
    [sym_preproc_line] = STATE(1367),
    [sym_preproc_pragma] = STATE(1367),
    [sym_preproc_nullable] = STATE(1367),
    [sym_preproc_error] = STATE(1367),
    [sym_preproc_define] = STATE(1367),
    [sym_preproc_undef] = STATE(1367),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1368] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5051),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1368),
    [sym_preproc_endregion] = STATE(1368),
    [sym_preproc_line] = STATE(1368),
    [sym_preproc_pragma] = STATE(1368),
    [sym_preproc_nullable] = STATE(1368),
    [sym_preproc_error] = STATE(1368),
    [sym_preproc_define] = STATE(1368),
    [sym_preproc_undef] = STATE(1368),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1369] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6905),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6419),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1369),
    [sym_preproc_endregion] = STATE(1369),
    [sym_preproc_line] = STATE(1369),
    [sym_preproc_pragma] = STATE(1369),
    [sym_preproc_nullable] = STATE(1369),
    [sym_preproc_error] = STATE(1369),
    [sym_preproc_define] = STATE(1369),
    [sym_preproc_undef] = STATE(1369),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1370] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1370),
    [sym_preproc_endregion] = STATE(1370),
    [sym_preproc_line] = STATE(1370),
    [sym_preproc_pragma] = STATE(1370),
    [sym_preproc_nullable] = STATE(1370),
    [sym_preproc_error] = STATE(1370),
    [sym_preproc_define] = STATE(1370),
    [sym_preproc_undef] = STATE(1370),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1371] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5060),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1371),
    [sym_preproc_endregion] = STATE(1371),
    [sym_preproc_line] = STATE(1371),
    [sym_preproc_pragma] = STATE(1371),
    [sym_preproc_nullable] = STATE(1371),
    [sym_preproc_error] = STATE(1371),
    [sym_preproc_define] = STATE(1371),
    [sym_preproc_undef] = STATE(1371),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1372] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5134),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1372),
    [sym_preproc_endregion] = STATE(1372),
    [sym_preproc_line] = STATE(1372),
    [sym_preproc_pragma] = STATE(1372),
    [sym_preproc_nullable] = STATE(1372),
    [sym_preproc_error] = STATE(1372),
    [sym_preproc_define] = STATE(1372),
    [sym_preproc_undef] = STATE(1372),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1373] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5185),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1373),
    [sym_preproc_endregion] = STATE(1373),
    [sym_preproc_line] = STATE(1373),
    [sym_preproc_pragma] = STATE(1373),
    [sym_preproc_nullable] = STATE(1373),
    [sym_preproc_error] = STATE(1373),
    [sym_preproc_define] = STATE(1373),
    [sym_preproc_undef] = STATE(1373),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1374] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5232),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1374),
    [sym_preproc_endregion] = STATE(1374),
    [sym_preproc_line] = STATE(1374),
    [sym_preproc_pragma] = STATE(1374),
    [sym_preproc_nullable] = STATE(1374),
    [sym_preproc_error] = STATE(1374),
    [sym_preproc_define] = STATE(1374),
    [sym_preproc_undef] = STATE(1374),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1375] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5189),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1375),
    [sym_preproc_endregion] = STATE(1375),
    [sym_preproc_line] = STATE(1375),
    [sym_preproc_pragma] = STATE(1375),
    [sym_preproc_nullable] = STATE(1375),
    [sym_preproc_error] = STATE(1375),
    [sym_preproc_define] = STATE(1375),
    [sym_preproc_undef] = STATE(1375),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1376] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1376),
    [sym_preproc_endregion] = STATE(1376),
    [sym_preproc_line] = STATE(1376),
    [sym_preproc_pragma] = STATE(1376),
    [sym_preproc_nullable] = STATE(1376),
    [sym_preproc_error] = STATE(1376),
    [sym_preproc_define] = STATE(1376),
    [sym_preproc_undef] = STATE(1376),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1377] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6709),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3565),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1377),
    [sym_preproc_endregion] = STATE(1377),
    [sym_preproc_line] = STATE(1377),
    [sym_preproc_pragma] = STATE(1377),
    [sym_preproc_nullable] = STATE(1377),
    [sym_preproc_error] = STATE(1377),
    [sym_preproc_define] = STATE(1377),
    [sym_preproc_undef] = STATE(1377),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2977),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1378] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5196),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1378),
    [sym_preproc_endregion] = STATE(1378),
    [sym_preproc_line] = STATE(1378),
    [sym_preproc_pragma] = STATE(1378),
    [sym_preproc_nullable] = STATE(1378),
    [sym_preproc_error] = STATE(1378),
    [sym_preproc_define] = STATE(1378),
    [sym_preproc_undef] = STATE(1378),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1379] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5178),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1379),
    [sym_preproc_endregion] = STATE(1379),
    [sym_preproc_line] = STATE(1379),
    [sym_preproc_pragma] = STATE(1379),
    [sym_preproc_nullable] = STATE(1379),
    [sym_preproc_error] = STATE(1379),
    [sym_preproc_define] = STATE(1379),
    [sym_preproc_undef] = STATE(1379),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1380] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5174),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1380),
    [sym_preproc_endregion] = STATE(1380),
    [sym_preproc_line] = STATE(1380),
    [sym_preproc_pragma] = STATE(1380),
    [sym_preproc_nullable] = STATE(1380),
    [sym_preproc_error] = STATE(1380),
    [sym_preproc_define] = STATE(1380),
    [sym_preproc_undef] = STATE(1380),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1381] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5214),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1381),
    [sym_preproc_endregion] = STATE(1381),
    [sym_preproc_line] = STATE(1381),
    [sym_preproc_pragma] = STATE(1381),
    [sym_preproc_nullable] = STATE(1381),
    [sym_preproc_error] = STATE(1381),
    [sym_preproc_define] = STATE(1381),
    [sym_preproc_undef] = STATE(1381),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1382] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5938),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1382),
    [sym_preproc_endregion] = STATE(1382),
    [sym_preproc_line] = STATE(1382),
    [sym_preproc_pragma] = STATE(1382),
    [sym_preproc_nullable] = STATE(1382),
    [sym_preproc_error] = STATE(1382),
    [sym_preproc_define] = STATE(1382),
    [sym_preproc_undef] = STATE(1382),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1383] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1383),
    [sym_preproc_endregion] = STATE(1383),
    [sym_preproc_line] = STATE(1383),
    [sym_preproc_pragma] = STATE(1383),
    [sym_preproc_nullable] = STATE(1383),
    [sym_preproc_error] = STATE(1383),
    [sym_preproc_define] = STATE(1383),
    [sym_preproc_undef] = STATE(1383),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1384] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5157),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1384),
    [sym_preproc_endregion] = STATE(1384),
    [sym_preproc_line] = STATE(1384),
    [sym_preproc_pragma] = STATE(1384),
    [sym_preproc_nullable] = STATE(1384),
    [sym_preproc_error] = STATE(1384),
    [sym_preproc_define] = STATE(1384),
    [sym_preproc_undef] = STATE(1384),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1385] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5165),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1385),
    [sym_preproc_endregion] = STATE(1385),
    [sym_preproc_line] = STATE(1385),
    [sym_preproc_pragma] = STATE(1385),
    [sym_preproc_nullable] = STATE(1385),
    [sym_preproc_error] = STATE(1385),
    [sym_preproc_define] = STATE(1385),
    [sym_preproc_undef] = STATE(1385),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1386] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5168),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1386),
    [sym_preproc_endregion] = STATE(1386),
    [sym_preproc_line] = STATE(1386),
    [sym_preproc_pragma] = STATE(1386),
    [sym_preproc_nullable] = STATE(1386),
    [sym_preproc_error] = STATE(1386),
    [sym_preproc_define] = STATE(1386),
    [sym_preproc_undef] = STATE(1386),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1387] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5098),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1387),
    [sym_preproc_endregion] = STATE(1387),
    [sym_preproc_line] = STATE(1387),
    [sym_preproc_pragma] = STATE(1387),
    [sym_preproc_nullable] = STATE(1387),
    [sym_preproc_error] = STATE(1387),
    [sym_preproc_define] = STATE(1387),
    [sym_preproc_undef] = STATE(1387),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1388] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5546),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1388),
    [sym_preproc_endregion] = STATE(1388),
    [sym_preproc_line] = STATE(1388),
    [sym_preproc_pragma] = STATE(1388),
    [sym_preproc_nullable] = STATE(1388),
    [sym_preproc_error] = STATE(1388),
    [sym_preproc_define] = STATE(1388),
    [sym_preproc_undef] = STATE(1388),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1389] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5080),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1389),
    [sym_preproc_endregion] = STATE(1389),
    [sym_preproc_line] = STATE(1389),
    [sym_preproc_pragma] = STATE(1389),
    [sym_preproc_nullable] = STATE(1389),
    [sym_preproc_error] = STATE(1389),
    [sym_preproc_define] = STATE(1389),
    [sym_preproc_undef] = STATE(1389),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1390] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1390),
    [sym_preproc_endregion] = STATE(1390),
    [sym_preproc_line] = STATE(1390),
    [sym_preproc_pragma] = STATE(1390),
    [sym_preproc_nullable] = STATE(1390),
    [sym_preproc_error] = STATE(1390),
    [sym_preproc_define] = STATE(1390),
    [sym_preproc_undef] = STATE(1390),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1391] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6027),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1391),
    [sym_preproc_endregion] = STATE(1391),
    [sym_preproc_line] = STATE(1391),
    [sym_preproc_pragma] = STATE(1391),
    [sym_preproc_nullable] = STATE(1391),
    [sym_preproc_error] = STATE(1391),
    [sym_preproc_define] = STATE(1391),
    [sym_preproc_undef] = STATE(1391),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1392] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6028),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1392),
    [sym_preproc_endregion] = STATE(1392),
    [sym_preproc_line] = STATE(1392),
    [sym_preproc_pragma] = STATE(1392),
    [sym_preproc_nullable] = STATE(1392),
    [sym_preproc_error] = STATE(1392),
    [sym_preproc_define] = STATE(1392),
    [sym_preproc_undef] = STATE(1392),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1393] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6029),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1393),
    [sym_preproc_endregion] = STATE(1393),
    [sym_preproc_line] = STATE(1393),
    [sym_preproc_pragma] = STATE(1393),
    [sym_preproc_nullable] = STATE(1393),
    [sym_preproc_error] = STATE(1393),
    [sym_preproc_define] = STATE(1393),
    [sym_preproc_undef] = STATE(1393),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1394] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6030),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1394),
    [sym_preproc_endregion] = STATE(1394),
    [sym_preproc_line] = STATE(1394),
    [sym_preproc_pragma] = STATE(1394),
    [sym_preproc_nullable] = STATE(1394),
    [sym_preproc_error] = STATE(1394),
    [sym_preproc_define] = STATE(1394),
    [sym_preproc_undef] = STATE(1394),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1395] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6031),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1395),
    [sym_preproc_endregion] = STATE(1395),
    [sym_preproc_line] = STATE(1395),
    [sym_preproc_pragma] = STATE(1395),
    [sym_preproc_nullable] = STATE(1395),
    [sym_preproc_error] = STATE(1395),
    [sym_preproc_define] = STATE(1395),
    [sym_preproc_undef] = STATE(1395),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1396] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6032),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1396),
    [sym_preproc_endregion] = STATE(1396),
    [sym_preproc_line] = STATE(1396),
    [sym_preproc_pragma] = STATE(1396),
    [sym_preproc_nullable] = STATE(1396),
    [sym_preproc_error] = STATE(1396),
    [sym_preproc_define] = STATE(1396),
    [sym_preproc_undef] = STATE(1396),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1397] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6033),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1397),
    [sym_preproc_endregion] = STATE(1397),
    [sym_preproc_line] = STATE(1397),
    [sym_preproc_pragma] = STATE(1397),
    [sym_preproc_nullable] = STATE(1397),
    [sym_preproc_error] = STATE(1397),
    [sym_preproc_define] = STATE(1397),
    [sym_preproc_undef] = STATE(1397),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1398] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6034),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1398),
    [sym_preproc_endregion] = STATE(1398),
    [sym_preproc_line] = STATE(1398),
    [sym_preproc_pragma] = STATE(1398),
    [sym_preproc_nullable] = STATE(1398),
    [sym_preproc_error] = STATE(1398),
    [sym_preproc_define] = STATE(1398),
    [sym_preproc_undef] = STATE(1398),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1399] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1399),
    [sym_preproc_endregion] = STATE(1399),
    [sym_preproc_line] = STATE(1399),
    [sym_preproc_pragma] = STATE(1399),
    [sym_preproc_nullable] = STATE(1399),
    [sym_preproc_error] = STATE(1399),
    [sym_preproc_define] = STATE(1399),
    [sym_preproc_undef] = STATE(1399),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1400] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6036),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1400),
    [sym_preproc_endregion] = STATE(1400),
    [sym_preproc_line] = STATE(1400),
    [sym_preproc_pragma] = STATE(1400),
    [sym_preproc_nullable] = STATE(1400),
    [sym_preproc_error] = STATE(1400),
    [sym_preproc_define] = STATE(1400),
    [sym_preproc_undef] = STATE(1400),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1401] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6037),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1401),
    [sym_preproc_endregion] = STATE(1401),
    [sym_preproc_line] = STATE(1401),
    [sym_preproc_pragma] = STATE(1401),
    [sym_preproc_nullable] = STATE(1401),
    [sym_preproc_error] = STATE(1401),
    [sym_preproc_define] = STATE(1401),
    [sym_preproc_undef] = STATE(1401),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1402] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6038),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1402),
    [sym_preproc_endregion] = STATE(1402),
    [sym_preproc_line] = STATE(1402),
    [sym_preproc_pragma] = STATE(1402),
    [sym_preproc_nullable] = STATE(1402),
    [sym_preproc_error] = STATE(1402),
    [sym_preproc_define] = STATE(1402),
    [sym_preproc_undef] = STATE(1402),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1403] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5940),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1403),
    [sym_preproc_endregion] = STATE(1403),
    [sym_preproc_line] = STATE(1403),
    [sym_preproc_pragma] = STATE(1403),
    [sym_preproc_nullable] = STATE(1403),
    [sym_preproc_error] = STATE(1403),
    [sym_preproc_define] = STATE(1403),
    [sym_preproc_undef] = STATE(1403),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1404] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4713),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1404),
    [sym_preproc_endregion] = STATE(1404),
    [sym_preproc_line] = STATE(1404),
    [sym_preproc_pragma] = STATE(1404),
    [sym_preproc_nullable] = STATE(1404),
    [sym_preproc_error] = STATE(1404),
    [sym_preproc_define] = STATE(1404),
    [sym_preproc_undef] = STATE(1404),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1405] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1405),
    [sym_preproc_endregion] = STATE(1405),
    [sym_preproc_line] = STATE(1405),
    [sym_preproc_pragma] = STATE(1405),
    [sym_preproc_nullable] = STATE(1405),
    [sym_preproc_error] = STATE(1405),
    [sym_preproc_define] = STATE(1405),
    [sym_preproc_undef] = STATE(1405),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1406] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5667),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1406),
    [sym_preproc_endregion] = STATE(1406),
    [sym_preproc_line] = STATE(1406),
    [sym_preproc_pragma] = STATE(1406),
    [sym_preproc_nullable] = STATE(1406),
    [sym_preproc_error] = STATE(1406),
    [sym_preproc_define] = STATE(1406),
    [sym_preproc_undef] = STATE(1406),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1407] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4962),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1407),
    [sym_preproc_endregion] = STATE(1407),
    [sym_preproc_line] = STATE(1407),
    [sym_preproc_pragma] = STATE(1407),
    [sym_preproc_nullable] = STATE(1407),
    [sym_preproc_error] = STATE(1407),
    [sym_preproc_define] = STATE(1407),
    [sym_preproc_undef] = STATE(1407),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1408] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6285),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1408),
    [sym_preproc_endregion] = STATE(1408),
    [sym_preproc_line] = STATE(1408),
    [sym_preproc_pragma] = STATE(1408),
    [sym_preproc_nullable] = STATE(1408),
    [sym_preproc_error] = STATE(1408),
    [sym_preproc_define] = STATE(1408),
    [sym_preproc_undef] = STATE(1408),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1409] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6052),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1409),
    [sym_preproc_endregion] = STATE(1409),
    [sym_preproc_line] = STATE(1409),
    [sym_preproc_pragma] = STATE(1409),
    [sym_preproc_nullable] = STATE(1409),
    [sym_preproc_error] = STATE(1409),
    [sym_preproc_define] = STATE(1409),
    [sym_preproc_undef] = STATE(1409),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1410] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4586),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1410),
    [sym_preproc_endregion] = STATE(1410),
    [sym_preproc_line] = STATE(1410),
    [sym_preproc_pragma] = STATE(1410),
    [sym_preproc_nullable] = STATE(1410),
    [sym_preproc_error] = STATE(1410),
    [sym_preproc_define] = STATE(1410),
    [sym_preproc_undef] = STATE(1410),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1411] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6288),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1411),
    [sym_preproc_endregion] = STATE(1411),
    [sym_preproc_line] = STATE(1411),
    [sym_preproc_pragma] = STATE(1411),
    [sym_preproc_nullable] = STATE(1411),
    [sym_preproc_error] = STATE(1411),
    [sym_preproc_define] = STATE(1411),
    [sym_preproc_undef] = STATE(1411),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1412] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5231),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1412),
    [sym_preproc_endregion] = STATE(1412),
    [sym_preproc_line] = STATE(1412),
    [sym_preproc_pragma] = STATE(1412),
    [sym_preproc_nullable] = STATE(1412),
    [sym_preproc_error] = STATE(1412),
    [sym_preproc_define] = STATE(1412),
    [sym_preproc_undef] = STATE(1412),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1413] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5179),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1413),
    [sym_preproc_endregion] = STATE(1413),
    [sym_preproc_line] = STATE(1413),
    [sym_preproc_pragma] = STATE(1413),
    [sym_preproc_nullable] = STATE(1413),
    [sym_preproc_error] = STATE(1413),
    [sym_preproc_define] = STATE(1413),
    [sym_preproc_undef] = STATE(1413),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1414] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5188),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1414),
    [sym_preproc_endregion] = STATE(1414),
    [sym_preproc_line] = STATE(1414),
    [sym_preproc_pragma] = STATE(1414),
    [sym_preproc_nullable] = STATE(1414),
    [sym_preproc_error] = STATE(1414),
    [sym_preproc_define] = STATE(1414),
    [sym_preproc_undef] = STATE(1414),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1415] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5175),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1415),
    [sym_preproc_endregion] = STATE(1415),
    [sym_preproc_line] = STATE(1415),
    [sym_preproc_pragma] = STATE(1415),
    [sym_preproc_nullable] = STATE(1415),
    [sym_preproc_error] = STATE(1415),
    [sym_preproc_define] = STATE(1415),
    [sym_preproc_undef] = STATE(1415),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1416] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5235),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1416),
    [sym_preproc_endregion] = STATE(1416),
    [sym_preproc_line] = STATE(1416),
    [sym_preproc_pragma] = STATE(1416),
    [sym_preproc_nullable] = STATE(1416),
    [sym_preproc_error] = STATE(1416),
    [sym_preproc_define] = STATE(1416),
    [sym_preproc_undef] = STATE(1416),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1417] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5209),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1417),
    [sym_preproc_endregion] = STATE(1417),
    [sym_preproc_line] = STATE(1417),
    [sym_preproc_pragma] = STATE(1417),
    [sym_preproc_nullable] = STATE(1417),
    [sym_preproc_error] = STATE(1417),
    [sym_preproc_define] = STATE(1417),
    [sym_preproc_undef] = STATE(1417),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1418] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5162),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1418),
    [sym_preproc_endregion] = STATE(1418),
    [sym_preproc_line] = STATE(1418),
    [sym_preproc_pragma] = STATE(1418),
    [sym_preproc_nullable] = STATE(1418),
    [sym_preproc_error] = STATE(1418),
    [sym_preproc_define] = STATE(1418),
    [sym_preproc_undef] = STATE(1418),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1419] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5145),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1419),
    [sym_preproc_endregion] = STATE(1419),
    [sym_preproc_line] = STATE(1419),
    [sym_preproc_pragma] = STATE(1419),
    [sym_preproc_nullable] = STATE(1419),
    [sym_preproc_error] = STATE(1419),
    [sym_preproc_define] = STATE(1419),
    [sym_preproc_undef] = STATE(1419),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1420] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5154),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1420),
    [sym_preproc_endregion] = STATE(1420),
    [sym_preproc_line] = STATE(1420),
    [sym_preproc_pragma] = STATE(1420),
    [sym_preproc_nullable] = STATE(1420),
    [sym_preproc_error] = STATE(1420),
    [sym_preproc_define] = STATE(1420),
    [sym_preproc_undef] = STATE(1420),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1421] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5169),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1421),
    [sym_preproc_endregion] = STATE(1421),
    [sym_preproc_line] = STATE(1421),
    [sym_preproc_pragma] = STATE(1421),
    [sym_preproc_nullable] = STATE(1421),
    [sym_preproc_error] = STATE(1421),
    [sym_preproc_define] = STATE(1421),
    [sym_preproc_undef] = STATE(1421),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1422] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5170),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1422),
    [sym_preproc_endregion] = STATE(1422),
    [sym_preproc_line] = STATE(1422),
    [sym_preproc_pragma] = STATE(1422),
    [sym_preproc_nullable] = STATE(1422),
    [sym_preproc_error] = STATE(1422),
    [sym_preproc_define] = STATE(1422),
    [sym_preproc_undef] = STATE(1422),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1423] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1423),
    [sym_preproc_endregion] = STATE(1423),
    [sym_preproc_line] = STATE(1423),
    [sym_preproc_pragma] = STATE(1423),
    [sym_preproc_nullable] = STATE(1423),
    [sym_preproc_error] = STATE(1423),
    [sym_preproc_define] = STATE(1423),
    [sym_preproc_undef] = STATE(1423),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1424] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6260),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1424),
    [sym_preproc_endregion] = STATE(1424),
    [sym_preproc_line] = STATE(1424),
    [sym_preproc_pragma] = STATE(1424),
    [sym_preproc_nullable] = STATE(1424),
    [sym_preproc_error] = STATE(1424),
    [sym_preproc_define] = STATE(1424),
    [sym_preproc_undef] = STATE(1424),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1425] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1425),
    [sym_preproc_endregion] = STATE(1425),
    [sym_preproc_line] = STATE(1425),
    [sym_preproc_pragma] = STATE(1425),
    [sym_preproc_nullable] = STATE(1425),
    [sym_preproc_error] = STATE(1425),
    [sym_preproc_define] = STATE(1425),
    [sym_preproc_undef] = STATE(1425),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1426] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5050),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1426),
    [sym_preproc_endregion] = STATE(1426),
    [sym_preproc_line] = STATE(1426),
    [sym_preproc_pragma] = STATE(1426),
    [sym_preproc_nullable] = STATE(1426),
    [sym_preproc_error] = STATE(1426),
    [sym_preproc_define] = STATE(1426),
    [sym_preproc_undef] = STATE(1426),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1427] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6269),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1427),
    [sym_preproc_endregion] = STATE(1427),
    [sym_preproc_line] = STATE(1427),
    [sym_preproc_pragma] = STATE(1427),
    [sym_preproc_nullable] = STATE(1427),
    [sym_preproc_error] = STATE(1427),
    [sym_preproc_define] = STATE(1427),
    [sym_preproc_undef] = STATE(1427),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1428] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7018),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5693),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4090),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9432),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1428),
    [sym_preproc_endregion] = STATE(1428),
    [sym_preproc_line] = STATE(1428),
    [sym_preproc_pragma] = STATE(1428),
    [sym_preproc_nullable] = STATE(1428),
    [sym_preproc_error] = STATE(1428),
    [sym_preproc_define] = STATE(1428),
    [sym_preproc_undef] = STATE(1428),
    [aux_sym_class_declaration_repeat1] = STATE(3843),
    [aux_sym_lambda_expression_repeat1] = STATE(4199),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1537),
    [anon_sym_ref] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1429] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5294),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1429),
    [sym_preproc_endregion] = STATE(1429),
    [sym_preproc_line] = STATE(1429),
    [sym_preproc_pragma] = STATE(1429),
    [sym_preproc_nullable] = STATE(1429),
    [sym_preproc_error] = STATE(1429),
    [sym_preproc_define] = STATE(1429),
    [sym_preproc_undef] = STATE(1429),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1430] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5146),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1430),
    [sym_preproc_endregion] = STATE(1430),
    [sym_preproc_line] = STATE(1430),
    [sym_preproc_pragma] = STATE(1430),
    [sym_preproc_nullable] = STATE(1430),
    [sym_preproc_error] = STATE(1430),
    [sym_preproc_define] = STATE(1430),
    [sym_preproc_undef] = STATE(1430),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1431] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6303),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1431),
    [sym_preproc_endregion] = STATE(1431),
    [sym_preproc_line] = STATE(1431),
    [sym_preproc_pragma] = STATE(1431),
    [sym_preproc_nullable] = STATE(1431),
    [sym_preproc_error] = STATE(1431),
    [sym_preproc_define] = STATE(1431),
    [sym_preproc_undef] = STATE(1431),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1432] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6205),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1432),
    [sym_preproc_endregion] = STATE(1432),
    [sym_preproc_line] = STATE(1432),
    [sym_preproc_pragma] = STATE(1432),
    [sym_preproc_nullable] = STATE(1432),
    [sym_preproc_error] = STATE(1432),
    [sym_preproc_define] = STATE(1432),
    [sym_preproc_undef] = STATE(1432),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1433] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6259),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1433),
    [sym_preproc_endregion] = STATE(1433),
    [sym_preproc_line] = STATE(1433),
    [sym_preproc_pragma] = STATE(1433),
    [sym_preproc_nullable] = STATE(1433),
    [sym_preproc_error] = STATE(1433),
    [sym_preproc_define] = STATE(1433),
    [sym_preproc_undef] = STATE(1433),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1434] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6272),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1434),
    [sym_preproc_endregion] = STATE(1434),
    [sym_preproc_line] = STATE(1434),
    [sym_preproc_pragma] = STATE(1434),
    [sym_preproc_nullable] = STATE(1434),
    [sym_preproc_error] = STATE(1434),
    [sym_preproc_define] = STATE(1434),
    [sym_preproc_undef] = STATE(1434),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1435] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6287),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1435),
    [sym_preproc_endregion] = STATE(1435),
    [sym_preproc_line] = STATE(1435),
    [sym_preproc_pragma] = STATE(1435),
    [sym_preproc_nullable] = STATE(1435),
    [sym_preproc_error] = STATE(1435),
    [sym_preproc_define] = STATE(1435),
    [sym_preproc_undef] = STATE(1435),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1436] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6293),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1436),
    [sym_preproc_endregion] = STATE(1436),
    [sym_preproc_line] = STATE(1436),
    [sym_preproc_pragma] = STATE(1436),
    [sym_preproc_nullable] = STATE(1436),
    [sym_preproc_error] = STATE(1436),
    [sym_preproc_define] = STATE(1436),
    [sym_preproc_undef] = STATE(1436),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1437] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6298),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1437),
    [sym_preproc_endregion] = STATE(1437),
    [sym_preproc_line] = STATE(1437),
    [sym_preproc_pragma] = STATE(1437),
    [sym_preproc_nullable] = STATE(1437),
    [sym_preproc_error] = STATE(1437),
    [sym_preproc_define] = STATE(1437),
    [sym_preproc_undef] = STATE(1437),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1438] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6200),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1438),
    [sym_preproc_endregion] = STATE(1438),
    [sym_preproc_line] = STATE(1438),
    [sym_preproc_pragma] = STATE(1438),
    [sym_preproc_nullable] = STATE(1438),
    [sym_preproc_error] = STATE(1438),
    [sym_preproc_define] = STATE(1438),
    [sym_preproc_undef] = STATE(1438),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1439] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6199),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1439),
    [sym_preproc_endregion] = STATE(1439),
    [sym_preproc_line] = STATE(1439),
    [sym_preproc_pragma] = STATE(1439),
    [sym_preproc_nullable] = STATE(1439),
    [sym_preproc_error] = STATE(1439),
    [sym_preproc_define] = STATE(1439),
    [sym_preproc_undef] = STATE(1439),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1440] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6201),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1440),
    [sym_preproc_endregion] = STATE(1440),
    [sym_preproc_line] = STATE(1440),
    [sym_preproc_pragma] = STATE(1440),
    [sym_preproc_nullable] = STATE(1440),
    [sym_preproc_error] = STATE(1440),
    [sym_preproc_define] = STATE(1440),
    [sym_preproc_undef] = STATE(1440),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1441] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6275),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1441),
    [sym_preproc_endregion] = STATE(1441),
    [sym_preproc_line] = STATE(1441),
    [sym_preproc_pragma] = STATE(1441),
    [sym_preproc_nullable] = STATE(1441),
    [sym_preproc_error] = STATE(1441),
    [sym_preproc_define] = STATE(1441),
    [sym_preproc_undef] = STATE(1441),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1442] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6299),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1442),
    [sym_preproc_endregion] = STATE(1442),
    [sym_preproc_line] = STATE(1442),
    [sym_preproc_pragma] = STATE(1442),
    [sym_preproc_nullable] = STATE(1442),
    [sym_preproc_error] = STATE(1442),
    [sym_preproc_define] = STATE(1442),
    [sym_preproc_undef] = STATE(1442),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1443] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1443),
    [sym_preproc_endregion] = STATE(1443),
    [sym_preproc_line] = STATE(1443),
    [sym_preproc_pragma] = STATE(1443),
    [sym_preproc_nullable] = STATE(1443),
    [sym_preproc_error] = STATE(1443),
    [sym_preproc_define] = STATE(1443),
    [sym_preproc_undef] = STATE(1443),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1444] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5205),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1444),
    [sym_preproc_endregion] = STATE(1444),
    [sym_preproc_line] = STATE(1444),
    [sym_preproc_pragma] = STATE(1444),
    [sym_preproc_nullable] = STATE(1444),
    [sym_preproc_error] = STATE(1444),
    [sym_preproc_define] = STATE(1444),
    [sym_preproc_undef] = STATE(1444),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1445] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1445),
    [sym_preproc_endregion] = STATE(1445),
    [sym_preproc_line] = STATE(1445),
    [sym_preproc_pragma] = STATE(1445),
    [sym_preproc_nullable] = STATE(1445),
    [sym_preproc_error] = STATE(1445),
    [sym_preproc_define] = STATE(1445),
    [sym_preproc_undef] = STATE(1445),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1446] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5140),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1446),
    [sym_preproc_endregion] = STATE(1446),
    [sym_preproc_line] = STATE(1446),
    [sym_preproc_pragma] = STATE(1446),
    [sym_preproc_nullable] = STATE(1446),
    [sym_preproc_error] = STATE(1446),
    [sym_preproc_define] = STATE(1446),
    [sym_preproc_undef] = STATE(1446),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1447] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5159),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1447),
    [sym_preproc_endregion] = STATE(1447),
    [sym_preproc_line] = STATE(1447),
    [sym_preproc_pragma] = STATE(1447),
    [sym_preproc_nullable] = STATE(1447),
    [sym_preproc_error] = STATE(1447),
    [sym_preproc_define] = STATE(1447),
    [sym_preproc_undef] = STATE(1447),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1448] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5254),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1448),
    [sym_preproc_endregion] = STATE(1448),
    [sym_preproc_line] = STATE(1448),
    [sym_preproc_pragma] = STATE(1448),
    [sym_preproc_nullable] = STATE(1448),
    [sym_preproc_error] = STATE(1448),
    [sym_preproc_define] = STATE(1448),
    [sym_preproc_undef] = STATE(1448),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1449] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1449),
    [sym_preproc_endregion] = STATE(1449),
    [sym_preproc_line] = STATE(1449),
    [sym_preproc_pragma] = STATE(1449),
    [sym_preproc_nullable] = STATE(1449),
    [sym_preproc_error] = STATE(1449),
    [sym_preproc_define] = STATE(1449),
    [sym_preproc_undef] = STATE(1449),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1450] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5412),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1450),
    [sym_preproc_endregion] = STATE(1450),
    [sym_preproc_line] = STATE(1450),
    [sym_preproc_pragma] = STATE(1450),
    [sym_preproc_nullable] = STATE(1450),
    [sym_preproc_error] = STATE(1450),
    [sym_preproc_define] = STATE(1450),
    [sym_preproc_undef] = STATE(1450),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1451] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5413),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1451),
    [sym_preproc_endregion] = STATE(1451),
    [sym_preproc_line] = STATE(1451),
    [sym_preproc_pragma] = STATE(1451),
    [sym_preproc_nullable] = STATE(1451),
    [sym_preproc_error] = STATE(1451),
    [sym_preproc_define] = STATE(1451),
    [sym_preproc_undef] = STATE(1451),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1452] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5615),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1452),
    [sym_preproc_endregion] = STATE(1452),
    [sym_preproc_line] = STATE(1452),
    [sym_preproc_pragma] = STATE(1452),
    [sym_preproc_nullable] = STATE(1452),
    [sym_preproc_error] = STATE(1452),
    [sym_preproc_define] = STATE(1452),
    [sym_preproc_undef] = STATE(1452),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1453] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5584),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1453),
    [sym_preproc_endregion] = STATE(1453),
    [sym_preproc_line] = STATE(1453),
    [sym_preproc_pragma] = STATE(1453),
    [sym_preproc_nullable] = STATE(1453),
    [sym_preproc_error] = STATE(1453),
    [sym_preproc_define] = STATE(1453),
    [sym_preproc_undef] = STATE(1453),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1454] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5600),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1454),
    [sym_preproc_endregion] = STATE(1454),
    [sym_preproc_line] = STATE(1454),
    [sym_preproc_pragma] = STATE(1454),
    [sym_preproc_nullable] = STATE(1454),
    [sym_preproc_error] = STATE(1454),
    [sym_preproc_define] = STATE(1454),
    [sym_preproc_undef] = STATE(1454),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1455] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5601),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1455),
    [sym_preproc_endregion] = STATE(1455),
    [sym_preproc_line] = STATE(1455),
    [sym_preproc_pragma] = STATE(1455),
    [sym_preproc_nullable] = STATE(1455),
    [sym_preproc_error] = STATE(1455),
    [sym_preproc_define] = STATE(1455),
    [sym_preproc_undef] = STATE(1455),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1456] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5414),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1456),
    [sym_preproc_endregion] = STATE(1456),
    [sym_preproc_line] = STATE(1456),
    [sym_preproc_pragma] = STATE(1456),
    [sym_preproc_nullable] = STATE(1456),
    [sym_preproc_error] = STATE(1456),
    [sym_preproc_define] = STATE(1456),
    [sym_preproc_undef] = STATE(1456),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1457] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5603),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1457),
    [sym_preproc_endregion] = STATE(1457),
    [sym_preproc_line] = STATE(1457),
    [sym_preproc_pragma] = STATE(1457),
    [sym_preproc_nullable] = STATE(1457),
    [sym_preproc_error] = STATE(1457),
    [sym_preproc_define] = STATE(1457),
    [sym_preproc_undef] = STATE(1457),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1458] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5604),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1458),
    [sym_preproc_endregion] = STATE(1458),
    [sym_preproc_line] = STATE(1458),
    [sym_preproc_pragma] = STATE(1458),
    [sym_preproc_nullable] = STATE(1458),
    [sym_preproc_error] = STATE(1458),
    [sym_preproc_define] = STATE(1458),
    [sym_preproc_undef] = STATE(1458),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1459] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5605),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1459),
    [sym_preproc_endregion] = STATE(1459),
    [sym_preproc_line] = STATE(1459),
    [sym_preproc_pragma] = STATE(1459),
    [sym_preproc_nullable] = STATE(1459),
    [sym_preproc_error] = STATE(1459),
    [sym_preproc_define] = STATE(1459),
    [sym_preproc_undef] = STATE(1459),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1460] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5606),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1460),
    [sym_preproc_endregion] = STATE(1460),
    [sym_preproc_line] = STATE(1460),
    [sym_preproc_pragma] = STATE(1460),
    [sym_preproc_nullable] = STATE(1460),
    [sym_preproc_error] = STATE(1460),
    [sym_preproc_define] = STATE(1460),
    [sym_preproc_undef] = STATE(1460),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1461] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5259),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1461),
    [sym_preproc_endregion] = STATE(1461),
    [sym_preproc_line] = STATE(1461),
    [sym_preproc_pragma] = STATE(1461),
    [sym_preproc_nullable] = STATE(1461),
    [sym_preproc_error] = STATE(1461),
    [sym_preproc_define] = STATE(1461),
    [sym_preproc_undef] = STATE(1461),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1462] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1462),
    [sym_preproc_endregion] = STATE(1462),
    [sym_preproc_line] = STATE(1462),
    [sym_preproc_pragma] = STATE(1462),
    [sym_preproc_nullable] = STATE(1462),
    [sym_preproc_error] = STATE(1462),
    [sym_preproc_define] = STATE(1462),
    [sym_preproc_undef] = STATE(1462),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1463] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5264),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1463),
    [sym_preproc_endregion] = STATE(1463),
    [sym_preproc_line] = STATE(1463),
    [sym_preproc_pragma] = STATE(1463),
    [sym_preproc_nullable] = STATE(1463),
    [sym_preproc_error] = STATE(1463),
    [sym_preproc_define] = STATE(1463),
    [sym_preproc_undef] = STATE(1463),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1464] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4958),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1464),
    [sym_preproc_endregion] = STATE(1464),
    [sym_preproc_line] = STATE(1464),
    [sym_preproc_pragma] = STATE(1464),
    [sym_preproc_nullable] = STATE(1464),
    [sym_preproc_error] = STATE(1464),
    [sym_preproc_define] = STATE(1464),
    [sym_preproc_undef] = STATE(1464),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1465] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6675),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1465),
    [sym_preproc_endregion] = STATE(1465),
    [sym_preproc_line] = STATE(1465),
    [sym_preproc_pragma] = STATE(1465),
    [sym_preproc_nullable] = STATE(1465),
    [sym_preproc_error] = STATE(1465),
    [sym_preproc_define] = STATE(1465),
    [sym_preproc_undef] = STATE(1465),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1466] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1466),
    [sym_preproc_endregion] = STATE(1466),
    [sym_preproc_line] = STATE(1466),
    [sym_preproc_pragma] = STATE(1466),
    [sym_preproc_nullable] = STATE(1466),
    [sym_preproc_error] = STATE(1466),
    [sym_preproc_define] = STATE(1466),
    [sym_preproc_undef] = STATE(1466),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1467] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6465),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1467),
    [sym_preproc_endregion] = STATE(1467),
    [sym_preproc_line] = STATE(1467),
    [sym_preproc_pragma] = STATE(1467),
    [sym_preproc_nullable] = STATE(1467),
    [sym_preproc_error] = STATE(1467),
    [sym_preproc_define] = STATE(1467),
    [sym_preproc_undef] = STATE(1467),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1468] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6467),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1468),
    [sym_preproc_endregion] = STATE(1468),
    [sym_preproc_line] = STATE(1468),
    [sym_preproc_pragma] = STATE(1468),
    [sym_preproc_nullable] = STATE(1468),
    [sym_preproc_error] = STATE(1468),
    [sym_preproc_define] = STATE(1468),
    [sym_preproc_undef] = STATE(1468),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1469] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6468),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1469),
    [sym_preproc_endregion] = STATE(1469),
    [sym_preproc_line] = STATE(1469),
    [sym_preproc_pragma] = STATE(1469),
    [sym_preproc_nullable] = STATE(1469),
    [sym_preproc_error] = STATE(1469),
    [sym_preproc_define] = STATE(1469),
    [sym_preproc_undef] = STATE(1469),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1470] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6472),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1470),
    [sym_preproc_endregion] = STATE(1470),
    [sym_preproc_line] = STATE(1470),
    [sym_preproc_pragma] = STATE(1470),
    [sym_preproc_nullable] = STATE(1470),
    [sym_preproc_error] = STATE(1470),
    [sym_preproc_define] = STATE(1470),
    [sym_preproc_undef] = STATE(1470),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1471] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6475),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1471),
    [sym_preproc_endregion] = STATE(1471),
    [sym_preproc_line] = STATE(1471),
    [sym_preproc_pragma] = STATE(1471),
    [sym_preproc_nullable] = STATE(1471),
    [sym_preproc_error] = STATE(1471),
    [sym_preproc_define] = STATE(1471),
    [sym_preproc_undef] = STATE(1471),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1472] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6478),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1472),
    [sym_preproc_endregion] = STATE(1472),
    [sym_preproc_line] = STATE(1472),
    [sym_preproc_pragma] = STATE(1472),
    [sym_preproc_nullable] = STATE(1472),
    [sym_preproc_error] = STATE(1472),
    [sym_preproc_define] = STATE(1472),
    [sym_preproc_undef] = STATE(1472),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1473] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6484),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1473),
    [sym_preproc_endregion] = STATE(1473),
    [sym_preproc_line] = STATE(1473),
    [sym_preproc_pragma] = STATE(1473),
    [sym_preproc_nullable] = STATE(1473),
    [sym_preproc_error] = STATE(1473),
    [sym_preproc_define] = STATE(1473),
    [sym_preproc_undef] = STATE(1473),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1474] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6485),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1474),
    [sym_preproc_endregion] = STATE(1474),
    [sym_preproc_line] = STATE(1474),
    [sym_preproc_pragma] = STATE(1474),
    [sym_preproc_nullable] = STATE(1474),
    [sym_preproc_error] = STATE(1474),
    [sym_preproc_define] = STATE(1474),
    [sym_preproc_undef] = STATE(1474),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1475] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6487),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1475),
    [sym_preproc_endregion] = STATE(1475),
    [sym_preproc_line] = STATE(1475),
    [sym_preproc_pragma] = STATE(1475),
    [sym_preproc_nullable] = STATE(1475),
    [sym_preproc_error] = STATE(1475),
    [sym_preproc_define] = STATE(1475),
    [sym_preproc_undef] = STATE(1475),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1476] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6490),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1476),
    [sym_preproc_endregion] = STATE(1476),
    [sym_preproc_line] = STATE(1476),
    [sym_preproc_pragma] = STATE(1476),
    [sym_preproc_nullable] = STATE(1476),
    [sym_preproc_error] = STATE(1476),
    [sym_preproc_define] = STATE(1476),
    [sym_preproc_undef] = STATE(1476),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1477] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6491),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1477),
    [sym_preproc_endregion] = STATE(1477),
    [sym_preproc_line] = STATE(1477),
    [sym_preproc_pragma] = STATE(1477),
    [sym_preproc_nullable] = STATE(1477),
    [sym_preproc_error] = STATE(1477),
    [sym_preproc_define] = STATE(1477),
    [sym_preproc_undef] = STATE(1477),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1478] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6406),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1478),
    [sym_preproc_endregion] = STATE(1478),
    [sym_preproc_line] = STATE(1478),
    [sym_preproc_pragma] = STATE(1478),
    [sym_preproc_nullable] = STATE(1478),
    [sym_preproc_error] = STATE(1478),
    [sym_preproc_define] = STATE(1478),
    [sym_preproc_undef] = STATE(1478),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1479] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6227),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1479),
    [sym_preproc_endregion] = STATE(1479),
    [sym_preproc_line] = STATE(1479),
    [sym_preproc_pragma] = STATE(1479),
    [sym_preproc_nullable] = STATE(1479),
    [sym_preproc_error] = STATE(1479),
    [sym_preproc_define] = STATE(1479),
    [sym_preproc_undef] = STATE(1479),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1480] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1480),
    [sym_preproc_endregion] = STATE(1480),
    [sym_preproc_line] = STATE(1480),
    [sym_preproc_pragma] = STATE(1480),
    [sym_preproc_nullable] = STATE(1480),
    [sym_preproc_error] = STATE(1480),
    [sym_preproc_define] = STATE(1480),
    [sym_preproc_undef] = STATE(1480),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1481] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5985),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1481),
    [sym_preproc_endregion] = STATE(1481),
    [sym_preproc_line] = STATE(1481),
    [sym_preproc_pragma] = STATE(1481),
    [sym_preproc_nullable] = STATE(1481),
    [sym_preproc_error] = STATE(1481),
    [sym_preproc_define] = STATE(1481),
    [sym_preproc_undef] = STATE(1481),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1482] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6510),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1482),
    [sym_preproc_endregion] = STATE(1482),
    [sym_preproc_line] = STATE(1482),
    [sym_preproc_pragma] = STATE(1482),
    [sym_preproc_nullable] = STATE(1482),
    [sym_preproc_error] = STATE(1482),
    [sym_preproc_define] = STATE(1482),
    [sym_preproc_undef] = STATE(1482),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1483] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1483),
    [sym_preproc_endregion] = STATE(1483),
    [sym_preproc_line] = STATE(1483),
    [sym_preproc_pragma] = STATE(1483),
    [sym_preproc_nullable] = STATE(1483),
    [sym_preproc_error] = STATE(1483),
    [sym_preproc_define] = STATE(1483),
    [sym_preproc_undef] = STATE(1483),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1484] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6231),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1484),
    [sym_preproc_endregion] = STATE(1484),
    [sym_preproc_line] = STATE(1484),
    [sym_preproc_pragma] = STATE(1484),
    [sym_preproc_nullable] = STATE(1484),
    [sym_preproc_error] = STATE(1484),
    [sym_preproc_define] = STATE(1484),
    [sym_preproc_undef] = STATE(1484),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1485] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5838),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1485),
    [sym_preproc_endregion] = STATE(1485),
    [sym_preproc_line] = STATE(1485),
    [sym_preproc_pragma] = STATE(1485),
    [sym_preproc_nullable] = STATE(1485),
    [sym_preproc_error] = STATE(1485),
    [sym_preproc_define] = STATE(1485),
    [sym_preproc_undef] = STATE(1485),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1486] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5839),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1486),
    [sym_preproc_endregion] = STATE(1486),
    [sym_preproc_line] = STATE(1486),
    [sym_preproc_pragma] = STATE(1486),
    [sym_preproc_nullable] = STATE(1486),
    [sym_preproc_error] = STATE(1486),
    [sym_preproc_define] = STATE(1486),
    [sym_preproc_undef] = STATE(1486),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1487] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5427),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1487),
    [sym_preproc_endregion] = STATE(1487),
    [sym_preproc_line] = STATE(1487),
    [sym_preproc_pragma] = STATE(1487),
    [sym_preproc_nullable] = STATE(1487),
    [sym_preproc_error] = STATE(1487),
    [sym_preproc_define] = STATE(1487),
    [sym_preproc_undef] = STATE(1487),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1488] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5428),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1488),
    [sym_preproc_endregion] = STATE(1488),
    [sym_preproc_line] = STATE(1488),
    [sym_preproc_pragma] = STATE(1488),
    [sym_preproc_nullable] = STATE(1488),
    [sym_preproc_error] = STATE(1488),
    [sym_preproc_define] = STATE(1488),
    [sym_preproc_undef] = STATE(1488),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1489] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5696),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1489),
    [sym_preproc_endregion] = STATE(1489),
    [sym_preproc_line] = STATE(1489),
    [sym_preproc_pragma] = STATE(1489),
    [sym_preproc_nullable] = STATE(1489),
    [sym_preproc_error] = STATE(1489),
    [sym_preproc_define] = STATE(1489),
    [sym_preproc_undef] = STATE(1489),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1490] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5429),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1490),
    [sym_preproc_endregion] = STATE(1490),
    [sym_preproc_line] = STATE(1490),
    [sym_preproc_pragma] = STATE(1490),
    [sym_preproc_nullable] = STATE(1490),
    [sym_preproc_error] = STATE(1490),
    [sym_preproc_define] = STATE(1490),
    [sym_preproc_undef] = STATE(1490),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1491] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5430),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1491),
    [sym_preproc_endregion] = STATE(1491),
    [sym_preproc_line] = STATE(1491),
    [sym_preproc_pragma] = STATE(1491),
    [sym_preproc_nullable] = STATE(1491),
    [sym_preproc_error] = STATE(1491),
    [sym_preproc_define] = STATE(1491),
    [sym_preproc_undef] = STATE(1491),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1492] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5431),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1492),
    [sym_preproc_endregion] = STATE(1492),
    [sym_preproc_line] = STATE(1492),
    [sym_preproc_pragma] = STATE(1492),
    [sym_preproc_nullable] = STATE(1492),
    [sym_preproc_error] = STATE(1492),
    [sym_preproc_define] = STATE(1492),
    [sym_preproc_undef] = STATE(1492),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1493] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5432),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1493),
    [sym_preproc_endregion] = STATE(1493),
    [sym_preproc_line] = STATE(1493),
    [sym_preproc_pragma] = STATE(1493),
    [sym_preproc_nullable] = STATE(1493),
    [sym_preproc_error] = STATE(1493),
    [sym_preproc_define] = STATE(1493),
    [sym_preproc_undef] = STATE(1493),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1494] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5433),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1494),
    [sym_preproc_endregion] = STATE(1494),
    [sym_preproc_line] = STATE(1494),
    [sym_preproc_pragma] = STATE(1494),
    [sym_preproc_nullable] = STATE(1494),
    [sym_preproc_error] = STATE(1494),
    [sym_preproc_define] = STATE(1494),
    [sym_preproc_undef] = STATE(1494),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1495] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5434),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1495),
    [sym_preproc_endregion] = STATE(1495),
    [sym_preproc_line] = STATE(1495),
    [sym_preproc_pragma] = STATE(1495),
    [sym_preproc_nullable] = STATE(1495),
    [sym_preproc_error] = STATE(1495),
    [sym_preproc_define] = STATE(1495),
    [sym_preproc_undef] = STATE(1495),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1496] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5435),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1496),
    [sym_preproc_endregion] = STATE(1496),
    [sym_preproc_line] = STATE(1496),
    [sym_preproc_pragma] = STATE(1496),
    [sym_preproc_nullable] = STATE(1496),
    [sym_preproc_error] = STATE(1496),
    [sym_preproc_define] = STATE(1496),
    [sym_preproc_undef] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1497] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5436),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1497),
    [sym_preproc_endregion] = STATE(1497),
    [sym_preproc_line] = STATE(1497),
    [sym_preproc_pragma] = STATE(1497),
    [sym_preproc_nullable] = STATE(1497),
    [sym_preproc_error] = STATE(1497),
    [sym_preproc_define] = STATE(1497),
    [sym_preproc_undef] = STATE(1497),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1498] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1498),
    [sym_preproc_endregion] = STATE(1498),
    [sym_preproc_line] = STATE(1498),
    [sym_preproc_pragma] = STATE(1498),
    [sym_preproc_nullable] = STATE(1498),
    [sym_preproc_error] = STATE(1498),
    [sym_preproc_define] = STATE(1498),
    [sym_preproc_undef] = STATE(1498),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1499] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6125),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1499),
    [sym_preproc_endregion] = STATE(1499),
    [sym_preproc_line] = STATE(1499),
    [sym_preproc_pragma] = STATE(1499),
    [sym_preproc_nullable] = STATE(1499),
    [sym_preproc_error] = STATE(1499),
    [sym_preproc_define] = STATE(1499),
    [sym_preproc_undef] = STATE(1499),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1500] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1500),
    [sym_preproc_endregion] = STATE(1500),
    [sym_preproc_line] = STATE(1500),
    [sym_preproc_pragma] = STATE(1500),
    [sym_preproc_nullable] = STATE(1500),
    [sym_preproc_error] = STATE(1500),
    [sym_preproc_define] = STATE(1500),
    [sym_preproc_undef] = STATE(1500),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1501] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6137),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1501),
    [sym_preproc_endregion] = STATE(1501),
    [sym_preproc_line] = STATE(1501),
    [sym_preproc_pragma] = STATE(1501),
    [sym_preproc_nullable] = STATE(1501),
    [sym_preproc_error] = STATE(1501),
    [sym_preproc_define] = STATE(1501),
    [sym_preproc_undef] = STATE(1501),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1502] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5671),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1502),
    [sym_preproc_endregion] = STATE(1502),
    [sym_preproc_line] = STATE(1502),
    [sym_preproc_pragma] = STATE(1502),
    [sym_preproc_nullable] = STATE(1502),
    [sym_preproc_error] = STATE(1502),
    [sym_preproc_define] = STATE(1502),
    [sym_preproc_undef] = STATE(1502),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1503] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6145),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1503),
    [sym_preproc_endregion] = STATE(1503),
    [sym_preproc_line] = STATE(1503),
    [sym_preproc_pragma] = STATE(1503),
    [sym_preproc_nullable] = STATE(1503),
    [sym_preproc_error] = STATE(1503),
    [sym_preproc_define] = STATE(1503),
    [sym_preproc_undef] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1504] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6241),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1504),
    [sym_preproc_endregion] = STATE(1504),
    [sym_preproc_line] = STATE(1504),
    [sym_preproc_pragma] = STATE(1504),
    [sym_preproc_nullable] = STATE(1504),
    [sym_preproc_error] = STATE(1504),
    [sym_preproc_define] = STATE(1504),
    [sym_preproc_undef] = STATE(1504),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1505] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6242),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1505),
    [sym_preproc_endregion] = STATE(1505),
    [sym_preproc_line] = STATE(1505),
    [sym_preproc_pragma] = STATE(1505),
    [sym_preproc_nullable] = STATE(1505),
    [sym_preproc_error] = STATE(1505),
    [sym_preproc_define] = STATE(1505),
    [sym_preproc_undef] = STATE(1505),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1506] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6243),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1506),
    [sym_preproc_endregion] = STATE(1506),
    [sym_preproc_line] = STATE(1506),
    [sym_preproc_pragma] = STATE(1506),
    [sym_preproc_nullable] = STATE(1506),
    [sym_preproc_error] = STATE(1506),
    [sym_preproc_define] = STATE(1506),
    [sym_preproc_undef] = STATE(1506),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1507] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6244),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1507),
    [sym_preproc_endregion] = STATE(1507),
    [sym_preproc_line] = STATE(1507),
    [sym_preproc_pragma] = STATE(1507),
    [sym_preproc_nullable] = STATE(1507),
    [sym_preproc_error] = STATE(1507),
    [sym_preproc_define] = STATE(1507),
    [sym_preproc_undef] = STATE(1507),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1508] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6245),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1508),
    [sym_preproc_endregion] = STATE(1508),
    [sym_preproc_line] = STATE(1508),
    [sym_preproc_pragma] = STATE(1508),
    [sym_preproc_nullable] = STATE(1508),
    [sym_preproc_error] = STATE(1508),
    [sym_preproc_define] = STATE(1508),
    [sym_preproc_undef] = STATE(1508),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1509] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6246),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1509),
    [sym_preproc_endregion] = STATE(1509),
    [sym_preproc_line] = STATE(1509),
    [sym_preproc_pragma] = STATE(1509),
    [sym_preproc_nullable] = STATE(1509),
    [sym_preproc_error] = STATE(1509),
    [sym_preproc_define] = STATE(1509),
    [sym_preproc_undef] = STATE(1509),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1510] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6248),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1510),
    [sym_preproc_endregion] = STATE(1510),
    [sym_preproc_line] = STATE(1510),
    [sym_preproc_pragma] = STATE(1510),
    [sym_preproc_nullable] = STATE(1510),
    [sym_preproc_error] = STATE(1510),
    [sym_preproc_define] = STATE(1510),
    [sym_preproc_undef] = STATE(1510),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1511] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6249),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1511),
    [sym_preproc_endregion] = STATE(1511),
    [sym_preproc_line] = STATE(1511),
    [sym_preproc_pragma] = STATE(1511),
    [sym_preproc_nullable] = STATE(1511),
    [sym_preproc_error] = STATE(1511),
    [sym_preproc_define] = STATE(1511),
    [sym_preproc_undef] = STATE(1511),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1512] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6252),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1512),
    [sym_preproc_endregion] = STATE(1512),
    [sym_preproc_line] = STATE(1512),
    [sym_preproc_pragma] = STATE(1512),
    [sym_preproc_nullable] = STATE(1512),
    [sym_preproc_error] = STATE(1512),
    [sym_preproc_define] = STATE(1512),
    [sym_preproc_undef] = STATE(1512),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1513] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6253),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1513),
    [sym_preproc_endregion] = STATE(1513),
    [sym_preproc_line] = STATE(1513),
    [sym_preproc_pragma] = STATE(1513),
    [sym_preproc_nullable] = STATE(1513),
    [sym_preproc_error] = STATE(1513),
    [sym_preproc_define] = STATE(1513),
    [sym_preproc_undef] = STATE(1513),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1514] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6255),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1514),
    [sym_preproc_endregion] = STATE(1514),
    [sym_preproc_line] = STATE(1514),
    [sym_preproc_pragma] = STATE(1514),
    [sym_preproc_nullable] = STATE(1514),
    [sym_preproc_error] = STATE(1514),
    [sym_preproc_define] = STATE(1514),
    [sym_preproc_undef] = STATE(1514),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1515] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1515),
    [sym_preproc_endregion] = STATE(1515),
    [sym_preproc_line] = STATE(1515),
    [sym_preproc_pragma] = STATE(1515),
    [sym_preproc_nullable] = STATE(1515),
    [sym_preproc_error] = STATE(1515),
    [sym_preproc_define] = STATE(1515),
    [sym_preproc_undef] = STATE(1515),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1516] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5441),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1516),
    [sym_preproc_endregion] = STATE(1516),
    [sym_preproc_line] = STATE(1516),
    [sym_preproc_pragma] = STATE(1516),
    [sym_preproc_nullable] = STATE(1516),
    [sym_preproc_error] = STATE(1516),
    [sym_preproc_define] = STATE(1516),
    [sym_preproc_undef] = STATE(1516),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1517] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1517),
    [sym_preproc_endregion] = STATE(1517),
    [sym_preproc_line] = STATE(1517),
    [sym_preproc_pragma] = STATE(1517),
    [sym_preproc_nullable] = STATE(1517),
    [sym_preproc_error] = STATE(1517),
    [sym_preproc_define] = STATE(1517),
    [sym_preproc_undef] = STATE(1517),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1518] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5443),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1518),
    [sym_preproc_endregion] = STATE(1518),
    [sym_preproc_line] = STATE(1518),
    [sym_preproc_pragma] = STATE(1518),
    [sym_preproc_nullable] = STATE(1518),
    [sym_preproc_error] = STATE(1518),
    [sym_preproc_define] = STATE(1518),
    [sym_preproc_undef] = STATE(1518),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1519] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5447),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1519),
    [sym_preproc_endregion] = STATE(1519),
    [sym_preproc_line] = STATE(1519),
    [sym_preproc_pragma] = STATE(1519),
    [sym_preproc_nullable] = STATE(1519),
    [sym_preproc_error] = STATE(1519),
    [sym_preproc_define] = STATE(1519),
    [sym_preproc_undef] = STATE(1519),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1520] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5621),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1520),
    [sym_preproc_endregion] = STATE(1520),
    [sym_preproc_line] = STATE(1520),
    [sym_preproc_pragma] = STATE(1520),
    [sym_preproc_nullable] = STATE(1520),
    [sym_preproc_error] = STATE(1520),
    [sym_preproc_define] = STATE(1520),
    [sym_preproc_undef] = STATE(1520),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1521] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1521),
    [sym_preproc_endregion] = STATE(1521),
    [sym_preproc_line] = STATE(1521),
    [sym_preproc_pragma] = STATE(1521),
    [sym_preproc_nullable] = STATE(1521),
    [sym_preproc_error] = STATE(1521),
    [sym_preproc_define] = STATE(1521),
    [sym_preproc_undef] = STATE(1521),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1522] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5281),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1522),
    [sym_preproc_endregion] = STATE(1522),
    [sym_preproc_line] = STATE(1522),
    [sym_preproc_pragma] = STATE(1522),
    [sym_preproc_nullable] = STATE(1522),
    [sym_preproc_error] = STATE(1522),
    [sym_preproc_define] = STATE(1522),
    [sym_preproc_undef] = STATE(1522),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1523] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5282),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1523),
    [sym_preproc_endregion] = STATE(1523),
    [sym_preproc_line] = STATE(1523),
    [sym_preproc_pragma] = STATE(1523),
    [sym_preproc_nullable] = STATE(1523),
    [sym_preproc_error] = STATE(1523),
    [sym_preproc_define] = STATE(1523),
    [sym_preproc_undef] = STATE(1523),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1524] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5357),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1524),
    [sym_preproc_endregion] = STATE(1524),
    [sym_preproc_line] = STATE(1524),
    [sym_preproc_pragma] = STATE(1524),
    [sym_preproc_nullable] = STATE(1524),
    [sym_preproc_error] = STATE(1524),
    [sym_preproc_define] = STATE(1524),
    [sym_preproc_undef] = STATE(1524),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1525] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5344),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1525),
    [sym_preproc_endregion] = STATE(1525),
    [sym_preproc_line] = STATE(1525),
    [sym_preproc_pragma] = STATE(1525),
    [sym_preproc_nullable] = STATE(1525),
    [sym_preproc_error] = STATE(1525),
    [sym_preproc_define] = STATE(1525),
    [sym_preproc_undef] = STATE(1525),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1526] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5345),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1526),
    [sym_preproc_endregion] = STATE(1526),
    [sym_preproc_line] = STATE(1526),
    [sym_preproc_pragma] = STATE(1526),
    [sym_preproc_nullable] = STATE(1526),
    [sym_preproc_error] = STATE(1526),
    [sym_preproc_define] = STATE(1526),
    [sym_preproc_undef] = STATE(1526),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1527] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5346),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1527),
    [sym_preproc_endregion] = STATE(1527),
    [sym_preproc_line] = STATE(1527),
    [sym_preproc_pragma] = STATE(1527),
    [sym_preproc_nullable] = STATE(1527),
    [sym_preproc_error] = STATE(1527),
    [sym_preproc_define] = STATE(1527),
    [sym_preproc_undef] = STATE(1527),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1528] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5283),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1528),
    [sym_preproc_endregion] = STATE(1528),
    [sym_preproc_line] = STATE(1528),
    [sym_preproc_pragma] = STATE(1528),
    [sym_preproc_nullable] = STATE(1528),
    [sym_preproc_error] = STATE(1528),
    [sym_preproc_define] = STATE(1528),
    [sym_preproc_undef] = STATE(1528),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1529] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5347),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1529),
    [sym_preproc_endregion] = STATE(1529),
    [sym_preproc_line] = STATE(1529),
    [sym_preproc_pragma] = STATE(1529),
    [sym_preproc_nullable] = STATE(1529),
    [sym_preproc_error] = STATE(1529),
    [sym_preproc_define] = STATE(1529),
    [sym_preproc_undef] = STATE(1529),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1530] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5348),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1530),
    [sym_preproc_endregion] = STATE(1530),
    [sym_preproc_line] = STATE(1530),
    [sym_preproc_pragma] = STATE(1530),
    [sym_preproc_nullable] = STATE(1530),
    [sym_preproc_error] = STATE(1530),
    [sym_preproc_define] = STATE(1530),
    [sym_preproc_undef] = STATE(1530),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1531] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5349),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1531),
    [sym_preproc_endregion] = STATE(1531),
    [sym_preproc_line] = STATE(1531),
    [sym_preproc_pragma] = STATE(1531),
    [sym_preproc_nullable] = STATE(1531),
    [sym_preproc_error] = STATE(1531),
    [sym_preproc_define] = STATE(1531),
    [sym_preproc_undef] = STATE(1531),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1532] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5350),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1532),
    [sym_preproc_endregion] = STATE(1532),
    [sym_preproc_line] = STATE(1532),
    [sym_preproc_pragma] = STATE(1532),
    [sym_preproc_nullable] = STATE(1532),
    [sym_preproc_error] = STATE(1532),
    [sym_preproc_define] = STATE(1532),
    [sym_preproc_undef] = STATE(1532),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1533] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5625),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1533),
    [sym_preproc_endregion] = STATE(1533),
    [sym_preproc_line] = STATE(1533),
    [sym_preproc_pragma] = STATE(1533),
    [sym_preproc_nullable] = STATE(1533),
    [sym_preproc_error] = STATE(1533),
    [sym_preproc_define] = STATE(1533),
    [sym_preproc_undef] = STATE(1533),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1534] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1534),
    [sym_preproc_endregion] = STATE(1534),
    [sym_preproc_line] = STATE(1534),
    [sym_preproc_pragma] = STATE(1534),
    [sym_preproc_nullable] = STATE(1534),
    [sym_preproc_error] = STATE(1534),
    [sym_preproc_define] = STATE(1534),
    [sym_preproc_undef] = STATE(1534),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1535] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4746),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1535),
    [sym_preproc_endregion] = STATE(1535),
    [sym_preproc_line] = STATE(1535),
    [sym_preproc_pragma] = STATE(1535),
    [sym_preproc_nullable] = STATE(1535),
    [sym_preproc_error] = STATE(1535),
    [sym_preproc_define] = STATE(1535),
    [sym_preproc_undef] = STATE(1535),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1536] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4372),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1536),
    [sym_preproc_endregion] = STATE(1536),
    [sym_preproc_line] = STATE(1536),
    [sym_preproc_pragma] = STATE(1536),
    [sym_preproc_nullable] = STATE(1536),
    [sym_preproc_error] = STATE(1536),
    [sym_preproc_define] = STATE(1536),
    [sym_preproc_undef] = STATE(1536),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1537] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5629),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1537),
    [sym_preproc_endregion] = STATE(1537),
    [sym_preproc_line] = STATE(1537),
    [sym_preproc_pragma] = STATE(1537),
    [sym_preproc_nullable] = STATE(1537),
    [sym_preproc_error] = STATE(1537),
    [sym_preproc_define] = STATE(1537),
    [sym_preproc_undef] = STATE(1537),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1538] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5063),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1538),
    [sym_preproc_endregion] = STATE(1538),
    [sym_preproc_line] = STATE(1538),
    [sym_preproc_pragma] = STATE(1538),
    [sym_preproc_nullable] = STATE(1538),
    [sym_preproc_error] = STATE(1538),
    [sym_preproc_define] = STATE(1538),
    [sym_preproc_undef] = STATE(1538),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1539] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5067),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1539),
    [sym_preproc_endregion] = STATE(1539),
    [sym_preproc_line] = STATE(1539),
    [sym_preproc_pragma] = STATE(1539),
    [sym_preproc_nullable] = STATE(1539),
    [sym_preproc_error] = STATE(1539),
    [sym_preproc_define] = STATE(1539),
    [sym_preproc_undef] = STATE(1539),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1540] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5107),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1540),
    [sym_preproc_endregion] = STATE(1540),
    [sym_preproc_line] = STATE(1540),
    [sym_preproc_pragma] = STATE(1540),
    [sym_preproc_nullable] = STATE(1540),
    [sym_preproc_error] = STATE(1540),
    [sym_preproc_define] = STATE(1540),
    [sym_preproc_undef] = STATE(1540),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1541] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4379),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1541),
    [sym_preproc_endregion] = STATE(1541),
    [sym_preproc_line] = STATE(1541),
    [sym_preproc_pragma] = STATE(1541),
    [sym_preproc_nullable] = STATE(1541),
    [sym_preproc_error] = STATE(1541),
    [sym_preproc_define] = STATE(1541),
    [sym_preproc_undef] = STATE(1541),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1542] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6717),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3019),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1542),
    [sym_preproc_endregion] = STATE(1542),
    [sym_preproc_line] = STATE(1542),
    [sym_preproc_pragma] = STATE(1542),
    [sym_preproc_nullable] = STATE(1542),
    [sym_preproc_error] = STATE(1542),
    [sym_preproc_define] = STATE(1542),
    [sym_preproc_undef] = STATE(1542),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1543] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5132),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1543),
    [sym_preproc_endregion] = STATE(1543),
    [sym_preproc_line] = STATE(1543),
    [sym_preproc_pragma] = STATE(1543),
    [sym_preproc_nullable] = STATE(1543),
    [sym_preproc_error] = STATE(1543),
    [sym_preproc_define] = STATE(1543),
    [sym_preproc_undef] = STATE(1543),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1544] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5044),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1544),
    [sym_preproc_endregion] = STATE(1544),
    [sym_preproc_line] = STATE(1544),
    [sym_preproc_pragma] = STATE(1544),
    [sym_preproc_nullable] = STATE(1544),
    [sym_preproc_error] = STATE(1544),
    [sym_preproc_define] = STATE(1544),
    [sym_preproc_undef] = STATE(1544),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1545] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5112),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1545),
    [sym_preproc_endregion] = STATE(1545),
    [sym_preproc_line] = STATE(1545),
    [sym_preproc_pragma] = STATE(1545),
    [sym_preproc_nullable] = STATE(1545),
    [sym_preproc_error] = STATE(1545),
    [sym_preproc_define] = STATE(1545),
    [sym_preproc_undef] = STATE(1545),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1546] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6514),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1546),
    [sym_preproc_endregion] = STATE(1546),
    [sym_preproc_line] = STATE(1546),
    [sym_preproc_pragma] = STATE(1546),
    [sym_preproc_nullable] = STATE(1546),
    [sym_preproc_error] = STATE(1546),
    [sym_preproc_define] = STATE(1546),
    [sym_preproc_undef] = STATE(1546),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1547] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1547),
    [sym_preproc_endregion] = STATE(1547),
    [sym_preproc_line] = STATE(1547),
    [sym_preproc_pragma] = STATE(1547),
    [sym_preproc_nullable] = STATE(1547),
    [sym_preproc_error] = STATE(1547),
    [sym_preproc_define] = STATE(1547),
    [sym_preproc_undef] = STATE(1547),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1548] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5074),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1548),
    [sym_preproc_endregion] = STATE(1548),
    [sym_preproc_line] = STATE(1548),
    [sym_preproc_pragma] = STATE(1548),
    [sym_preproc_nullable] = STATE(1548),
    [sym_preproc_error] = STATE(1548),
    [sym_preproc_define] = STATE(1548),
    [sym_preproc_undef] = STATE(1548),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1549] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5045),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1549),
    [sym_preproc_endregion] = STATE(1549),
    [sym_preproc_line] = STATE(1549),
    [sym_preproc_pragma] = STATE(1549),
    [sym_preproc_nullable] = STATE(1549),
    [sym_preproc_error] = STATE(1549),
    [sym_preproc_define] = STATE(1549),
    [sym_preproc_undef] = STATE(1549),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1550] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6560),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1550),
    [sym_preproc_endregion] = STATE(1550),
    [sym_preproc_line] = STATE(1550),
    [sym_preproc_pragma] = STATE(1550),
    [sym_preproc_nullable] = STATE(1550),
    [sym_preproc_error] = STATE(1550),
    [sym_preproc_define] = STATE(1550),
    [sym_preproc_undef] = STATE(1550),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1551] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5095),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1551),
    [sym_preproc_endregion] = STATE(1551),
    [sym_preproc_line] = STATE(1551),
    [sym_preproc_pragma] = STATE(1551),
    [sym_preproc_nullable] = STATE(1551),
    [sym_preproc_error] = STATE(1551),
    [sym_preproc_define] = STATE(1551),
    [sym_preproc_undef] = STATE(1551),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1552] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5076),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1552),
    [sym_preproc_endregion] = STATE(1552),
    [sym_preproc_line] = STATE(1552),
    [sym_preproc_pragma] = STATE(1552),
    [sym_preproc_nullable] = STATE(1552),
    [sym_preproc_error] = STATE(1552),
    [sym_preproc_define] = STATE(1552),
    [sym_preproc_undef] = STATE(1552),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1553] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6322),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1553),
    [sym_preproc_endregion] = STATE(1553),
    [sym_preproc_line] = STATE(1553),
    [sym_preproc_pragma] = STATE(1553),
    [sym_preproc_nullable] = STATE(1553),
    [sym_preproc_error] = STATE(1553),
    [sym_preproc_define] = STATE(1553),
    [sym_preproc_undef] = STATE(1553),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1554] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5088),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1554),
    [sym_preproc_endregion] = STATE(1554),
    [sym_preproc_line] = STATE(1554),
    [sym_preproc_pragma] = STATE(1554),
    [sym_preproc_nullable] = STATE(1554),
    [sym_preproc_error] = STATE(1554),
    [sym_preproc_define] = STATE(1554),
    [sym_preproc_undef] = STATE(1554),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1555] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6327),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1555),
    [sym_preproc_endregion] = STATE(1555),
    [sym_preproc_line] = STATE(1555),
    [sym_preproc_pragma] = STATE(1555),
    [sym_preproc_nullable] = STATE(1555),
    [sym_preproc_error] = STATE(1555),
    [sym_preproc_define] = STATE(1555),
    [sym_preproc_undef] = STATE(1555),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1556] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6328),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1556),
    [sym_preproc_endregion] = STATE(1556),
    [sym_preproc_line] = STATE(1556),
    [sym_preproc_pragma] = STATE(1556),
    [sym_preproc_nullable] = STATE(1556),
    [sym_preproc_error] = STATE(1556),
    [sym_preproc_define] = STATE(1556),
    [sym_preproc_undef] = STATE(1556),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1557] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6331),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1557),
    [sym_preproc_endregion] = STATE(1557),
    [sym_preproc_line] = STATE(1557),
    [sym_preproc_pragma] = STATE(1557),
    [sym_preproc_nullable] = STATE(1557),
    [sym_preproc_error] = STATE(1557),
    [sym_preproc_define] = STATE(1557),
    [sym_preproc_undef] = STATE(1557),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1558] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6332),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1558),
    [sym_preproc_endregion] = STATE(1558),
    [sym_preproc_line] = STATE(1558),
    [sym_preproc_pragma] = STATE(1558),
    [sym_preproc_nullable] = STATE(1558),
    [sym_preproc_error] = STATE(1558),
    [sym_preproc_define] = STATE(1558),
    [sym_preproc_undef] = STATE(1558),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1559] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6333),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1559),
    [sym_preproc_endregion] = STATE(1559),
    [sym_preproc_line] = STATE(1559),
    [sym_preproc_pragma] = STATE(1559),
    [sym_preproc_nullable] = STATE(1559),
    [sym_preproc_error] = STATE(1559),
    [sym_preproc_define] = STATE(1559),
    [sym_preproc_undef] = STATE(1559),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1560] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6334),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1560),
    [sym_preproc_endregion] = STATE(1560),
    [sym_preproc_line] = STATE(1560),
    [sym_preproc_pragma] = STATE(1560),
    [sym_preproc_nullable] = STATE(1560),
    [sym_preproc_error] = STATE(1560),
    [sym_preproc_define] = STATE(1560),
    [sym_preproc_undef] = STATE(1560),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1561] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6335),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1561),
    [sym_preproc_endregion] = STATE(1561),
    [sym_preproc_line] = STATE(1561),
    [sym_preproc_pragma] = STATE(1561),
    [sym_preproc_nullable] = STATE(1561),
    [sym_preproc_error] = STATE(1561),
    [sym_preproc_define] = STATE(1561),
    [sym_preproc_undef] = STATE(1561),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1562] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6338),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1562),
    [sym_preproc_endregion] = STATE(1562),
    [sym_preproc_line] = STATE(1562),
    [sym_preproc_pragma] = STATE(1562),
    [sym_preproc_nullable] = STATE(1562),
    [sym_preproc_error] = STATE(1562),
    [sym_preproc_define] = STATE(1562),
    [sym_preproc_undef] = STATE(1562),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1563] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6339),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1563),
    [sym_preproc_endregion] = STATE(1563),
    [sym_preproc_line] = STATE(1563),
    [sym_preproc_pragma] = STATE(1563),
    [sym_preproc_nullable] = STATE(1563),
    [sym_preproc_error] = STATE(1563),
    [sym_preproc_define] = STATE(1563),
    [sym_preproc_undef] = STATE(1563),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1564] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1564),
    [sym_preproc_endregion] = STATE(1564),
    [sym_preproc_line] = STATE(1564),
    [sym_preproc_pragma] = STATE(1564),
    [sym_preproc_nullable] = STATE(1564),
    [sym_preproc_error] = STATE(1564),
    [sym_preproc_define] = STATE(1564),
    [sym_preproc_undef] = STATE(1564),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1565] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4830),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1565),
    [sym_preproc_endregion] = STATE(1565),
    [sym_preproc_line] = STATE(1565),
    [sym_preproc_pragma] = STATE(1565),
    [sym_preproc_nullable] = STATE(1565),
    [sym_preproc_error] = STATE(1565),
    [sym_preproc_define] = STATE(1565),
    [sym_preproc_undef] = STATE(1565),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1566] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6591),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1566),
    [sym_preproc_endregion] = STATE(1566),
    [sym_preproc_line] = STATE(1566),
    [sym_preproc_pragma] = STATE(1566),
    [sym_preproc_nullable] = STATE(1566),
    [sym_preproc_error] = STATE(1566),
    [sym_preproc_define] = STATE(1566),
    [sym_preproc_undef] = STATE(1566),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1567] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4455),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1567),
    [sym_preproc_endregion] = STATE(1567),
    [sym_preproc_line] = STATE(1567),
    [sym_preproc_pragma] = STATE(1567),
    [sym_preproc_nullable] = STATE(1567),
    [sym_preproc_error] = STATE(1567),
    [sym_preproc_define] = STATE(1567),
    [sym_preproc_undef] = STATE(1567),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1568] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1568),
    [sym_preproc_endregion] = STATE(1568),
    [sym_preproc_line] = STATE(1568),
    [sym_preproc_pragma] = STATE(1568),
    [sym_preproc_nullable] = STATE(1568),
    [sym_preproc_error] = STATE(1568),
    [sym_preproc_define] = STATE(1568),
    [sym_preproc_undef] = STATE(1568),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1569] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4956),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1569),
    [sym_preproc_endregion] = STATE(1569),
    [sym_preproc_line] = STATE(1569),
    [sym_preproc_pragma] = STATE(1569),
    [sym_preproc_nullable] = STATE(1569),
    [sym_preproc_error] = STATE(1569),
    [sym_preproc_define] = STATE(1569),
    [sym_preproc_undef] = STATE(1569),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1570] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5998),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1570),
    [sym_preproc_endregion] = STATE(1570),
    [sym_preproc_line] = STATE(1570),
    [sym_preproc_pragma] = STATE(1570),
    [sym_preproc_nullable] = STATE(1570),
    [sym_preproc_error] = STATE(1570),
    [sym_preproc_define] = STATE(1570),
    [sym_preproc_undef] = STATE(1570),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1571] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4520),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1571),
    [sym_preproc_endregion] = STATE(1571),
    [sym_preproc_line] = STATE(1571),
    [sym_preproc_pragma] = STATE(1571),
    [sym_preproc_nullable] = STATE(1571),
    [sym_preproc_error] = STATE(1571),
    [sym_preproc_define] = STATE(1571),
    [sym_preproc_undef] = STATE(1571),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1572] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6370),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1572),
    [sym_preproc_endregion] = STATE(1572),
    [sym_preproc_line] = STATE(1572),
    [sym_preproc_pragma] = STATE(1572),
    [sym_preproc_nullable] = STATE(1572),
    [sym_preproc_error] = STATE(1572),
    [sym_preproc_define] = STATE(1572),
    [sym_preproc_undef] = STATE(1572),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1573] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4503),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1573),
    [sym_preproc_endregion] = STATE(1573),
    [sym_preproc_line] = STATE(1573),
    [sym_preproc_pragma] = STATE(1573),
    [sym_preproc_nullable] = STATE(1573),
    [sym_preproc_error] = STATE(1573),
    [sym_preproc_define] = STATE(1573),
    [sym_preproc_undef] = STATE(1573),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1574] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6143),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1574),
    [sym_preproc_endregion] = STATE(1574),
    [sym_preproc_line] = STATE(1574),
    [sym_preproc_pragma] = STATE(1574),
    [sym_preproc_nullable] = STATE(1574),
    [sym_preproc_error] = STATE(1574),
    [sym_preproc_define] = STATE(1574),
    [sym_preproc_undef] = STATE(1574),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1575] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6452),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1575),
    [sym_preproc_endregion] = STATE(1575),
    [sym_preproc_line] = STATE(1575),
    [sym_preproc_pragma] = STATE(1575),
    [sym_preproc_nullable] = STATE(1575),
    [sym_preproc_error] = STATE(1575),
    [sym_preproc_define] = STATE(1575),
    [sym_preproc_undef] = STATE(1575),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1576] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5840),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1576),
    [sym_preproc_endregion] = STATE(1576),
    [sym_preproc_line] = STATE(1576),
    [sym_preproc_pragma] = STATE(1576),
    [sym_preproc_nullable] = STATE(1576),
    [sym_preproc_error] = STATE(1576),
    [sym_preproc_define] = STATE(1576),
    [sym_preproc_undef] = STATE(1576),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1577] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5841),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1577),
    [sym_preproc_endregion] = STATE(1577),
    [sym_preproc_line] = STATE(1577),
    [sym_preproc_pragma] = STATE(1577),
    [sym_preproc_nullable] = STATE(1577),
    [sym_preproc_error] = STATE(1577),
    [sym_preproc_define] = STATE(1577),
    [sym_preproc_undef] = STATE(1577),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1578] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5988),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1578),
    [sym_preproc_endregion] = STATE(1578),
    [sym_preproc_line] = STATE(1578),
    [sym_preproc_pragma] = STATE(1578),
    [sym_preproc_nullable] = STATE(1578),
    [sym_preproc_error] = STATE(1578),
    [sym_preproc_define] = STATE(1578),
    [sym_preproc_undef] = STATE(1578),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1579] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5843),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1579),
    [sym_preproc_endregion] = STATE(1579),
    [sym_preproc_line] = STATE(1579),
    [sym_preproc_pragma] = STATE(1579),
    [sym_preproc_nullable] = STATE(1579),
    [sym_preproc_error] = STATE(1579),
    [sym_preproc_define] = STATE(1579),
    [sym_preproc_undef] = STATE(1579),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1580] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5844),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1580),
    [sym_preproc_endregion] = STATE(1580),
    [sym_preproc_line] = STATE(1580),
    [sym_preproc_pragma] = STATE(1580),
    [sym_preproc_nullable] = STATE(1580),
    [sym_preproc_error] = STATE(1580),
    [sym_preproc_define] = STATE(1580),
    [sym_preproc_undef] = STATE(1580),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1581] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5845),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1581),
    [sym_preproc_endregion] = STATE(1581),
    [sym_preproc_line] = STATE(1581),
    [sym_preproc_pragma] = STATE(1581),
    [sym_preproc_nullable] = STATE(1581),
    [sym_preproc_error] = STATE(1581),
    [sym_preproc_define] = STATE(1581),
    [sym_preproc_undef] = STATE(1581),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1582] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5847),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1582),
    [sym_preproc_endregion] = STATE(1582),
    [sym_preproc_line] = STATE(1582),
    [sym_preproc_pragma] = STATE(1582),
    [sym_preproc_nullable] = STATE(1582),
    [sym_preproc_error] = STATE(1582),
    [sym_preproc_define] = STATE(1582),
    [sym_preproc_undef] = STATE(1582),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1583] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5848),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1583),
    [sym_preproc_endregion] = STATE(1583),
    [sym_preproc_line] = STATE(1583),
    [sym_preproc_pragma] = STATE(1583),
    [sym_preproc_nullable] = STATE(1583),
    [sym_preproc_error] = STATE(1583),
    [sym_preproc_define] = STATE(1583),
    [sym_preproc_undef] = STATE(1583),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1584] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5849),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1584),
    [sym_preproc_endregion] = STATE(1584),
    [sym_preproc_line] = STATE(1584),
    [sym_preproc_pragma] = STATE(1584),
    [sym_preproc_nullable] = STATE(1584),
    [sym_preproc_error] = STATE(1584),
    [sym_preproc_define] = STATE(1584),
    [sym_preproc_undef] = STATE(1584),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1585] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5850),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1585),
    [sym_preproc_endregion] = STATE(1585),
    [sym_preproc_line] = STATE(1585),
    [sym_preproc_pragma] = STATE(1585),
    [sym_preproc_nullable] = STATE(1585),
    [sym_preproc_error] = STATE(1585),
    [sym_preproc_define] = STATE(1585),
    [sym_preproc_undef] = STATE(1585),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1586] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5851),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1586),
    [sym_preproc_endregion] = STATE(1586),
    [sym_preproc_line] = STATE(1586),
    [sym_preproc_pragma] = STATE(1586),
    [sym_preproc_nullable] = STATE(1586),
    [sym_preproc_error] = STATE(1586),
    [sym_preproc_define] = STATE(1586),
    [sym_preproc_undef] = STATE(1586),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1587] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1587),
    [sym_preproc_endregion] = STATE(1587),
    [sym_preproc_line] = STATE(1587),
    [sym_preproc_pragma] = STATE(1587),
    [sym_preproc_nullable] = STATE(1587),
    [sym_preproc_error] = STATE(1587),
    [sym_preproc_define] = STATE(1587),
    [sym_preproc_undef] = STATE(1587),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1588] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6129),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1588),
    [sym_preproc_endregion] = STATE(1588),
    [sym_preproc_line] = STATE(1588),
    [sym_preproc_pragma] = STATE(1588),
    [sym_preproc_nullable] = STATE(1588),
    [sym_preproc_error] = STATE(1588),
    [sym_preproc_define] = STATE(1588),
    [sym_preproc_undef] = STATE(1588),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1589] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1589),
    [sym_preproc_endregion] = STATE(1589),
    [sym_preproc_line] = STATE(1589),
    [sym_preproc_pragma] = STATE(1589),
    [sym_preproc_nullable] = STATE(1589),
    [sym_preproc_error] = STATE(1589),
    [sym_preproc_define] = STATE(1589),
    [sym_preproc_undef] = STATE(1589),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1590] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6147),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1590),
    [sym_preproc_endregion] = STATE(1590),
    [sym_preproc_line] = STATE(1590),
    [sym_preproc_pragma] = STATE(1590),
    [sym_preproc_nullable] = STATE(1590),
    [sym_preproc_error] = STATE(1590),
    [sym_preproc_define] = STATE(1590),
    [sym_preproc_undef] = STATE(1590),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1591] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5698),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1591),
    [sym_preproc_endregion] = STATE(1591),
    [sym_preproc_line] = STATE(1591),
    [sym_preproc_pragma] = STATE(1591),
    [sym_preproc_nullable] = STATE(1591),
    [sym_preproc_error] = STATE(1591),
    [sym_preproc_define] = STATE(1591),
    [sym_preproc_undef] = STATE(1591),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1592] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6161),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1592),
    [sym_preproc_endregion] = STATE(1592),
    [sym_preproc_line] = STATE(1592),
    [sym_preproc_pragma] = STATE(1592),
    [sym_preproc_nullable] = STATE(1592),
    [sym_preproc_error] = STATE(1592),
    [sym_preproc_define] = STATE(1592),
    [sym_preproc_undef] = STATE(1592),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1593] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6126),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1593),
    [sym_preproc_endregion] = STATE(1593),
    [sym_preproc_line] = STATE(1593),
    [sym_preproc_pragma] = STATE(1593),
    [sym_preproc_nullable] = STATE(1593),
    [sym_preproc_error] = STATE(1593),
    [sym_preproc_define] = STATE(1593),
    [sym_preproc_undef] = STATE(1593),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1594] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6181),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1594),
    [sym_preproc_endregion] = STATE(1594),
    [sym_preproc_line] = STATE(1594),
    [sym_preproc_pragma] = STATE(1594),
    [sym_preproc_nullable] = STATE(1594),
    [sym_preproc_error] = STATE(1594),
    [sym_preproc_define] = STATE(1594),
    [sym_preproc_undef] = STATE(1594),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1595] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6184),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1595),
    [sym_preproc_endregion] = STATE(1595),
    [sym_preproc_line] = STATE(1595),
    [sym_preproc_pragma] = STATE(1595),
    [sym_preproc_nullable] = STATE(1595),
    [sym_preproc_error] = STATE(1595),
    [sym_preproc_define] = STATE(1595),
    [sym_preproc_undef] = STATE(1595),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1596] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6187),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1596),
    [sym_preproc_endregion] = STATE(1596),
    [sym_preproc_line] = STATE(1596),
    [sym_preproc_pragma] = STATE(1596),
    [sym_preproc_nullable] = STATE(1596),
    [sym_preproc_error] = STATE(1596),
    [sym_preproc_define] = STATE(1596),
    [sym_preproc_undef] = STATE(1596),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1597] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6208),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1597),
    [sym_preproc_endregion] = STATE(1597),
    [sym_preproc_line] = STATE(1597),
    [sym_preproc_pragma] = STATE(1597),
    [sym_preproc_nullable] = STATE(1597),
    [sym_preproc_error] = STATE(1597),
    [sym_preproc_define] = STATE(1597),
    [sym_preproc_undef] = STATE(1597),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1598] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6210),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1598),
    [sym_preproc_endregion] = STATE(1598),
    [sym_preproc_line] = STATE(1598),
    [sym_preproc_pragma] = STATE(1598),
    [sym_preproc_nullable] = STATE(1598),
    [sym_preproc_error] = STATE(1598),
    [sym_preproc_define] = STATE(1598),
    [sym_preproc_undef] = STATE(1598),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1599] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6240),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1599),
    [sym_preproc_endregion] = STATE(1599),
    [sym_preproc_line] = STATE(1599),
    [sym_preproc_pragma] = STATE(1599),
    [sym_preproc_nullable] = STATE(1599),
    [sym_preproc_error] = STATE(1599),
    [sym_preproc_define] = STATE(1599),
    [sym_preproc_undef] = STATE(1599),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1600] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6278),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1600),
    [sym_preproc_endregion] = STATE(1600),
    [sym_preproc_line] = STATE(1600),
    [sym_preproc_pragma] = STATE(1600),
    [sym_preproc_nullable] = STATE(1600),
    [sym_preproc_error] = STATE(1600),
    [sym_preproc_define] = STATE(1600),
    [sym_preproc_undef] = STATE(1600),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1601] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6279),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1601),
    [sym_preproc_endregion] = STATE(1601),
    [sym_preproc_line] = STATE(1601),
    [sym_preproc_pragma] = STATE(1601),
    [sym_preproc_nullable] = STATE(1601),
    [sym_preproc_error] = STATE(1601),
    [sym_preproc_define] = STATE(1601),
    [sym_preproc_undef] = STATE(1601),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1602] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6294),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1602),
    [sym_preproc_endregion] = STATE(1602),
    [sym_preproc_line] = STATE(1602),
    [sym_preproc_pragma] = STATE(1602),
    [sym_preproc_nullable] = STATE(1602),
    [sym_preproc_error] = STATE(1602),
    [sym_preproc_define] = STATE(1602),
    [sym_preproc_undef] = STATE(1602),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1603] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6296),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1603),
    [sym_preproc_endregion] = STATE(1603),
    [sym_preproc_line] = STATE(1603),
    [sym_preproc_pragma] = STATE(1603),
    [sym_preproc_nullable] = STATE(1603),
    [sym_preproc_error] = STATE(1603),
    [sym_preproc_define] = STATE(1603),
    [sym_preproc_undef] = STATE(1603),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1604] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6217),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1604),
    [sym_preproc_endregion] = STATE(1604),
    [sym_preproc_line] = STATE(1604),
    [sym_preproc_pragma] = STATE(1604),
    [sym_preproc_nullable] = STATE(1604),
    [sym_preproc_error] = STATE(1604),
    [sym_preproc_define] = STATE(1604),
    [sym_preproc_undef] = STATE(1604),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1605] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1605),
    [sym_preproc_endregion] = STATE(1605),
    [sym_preproc_line] = STATE(1605),
    [sym_preproc_pragma] = STATE(1605),
    [sym_preproc_nullable] = STATE(1605),
    [sym_preproc_error] = STATE(1605),
    [sym_preproc_define] = STATE(1605),
    [sym_preproc_undef] = STATE(1605),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1606] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5873),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1606),
    [sym_preproc_endregion] = STATE(1606),
    [sym_preproc_line] = STATE(1606),
    [sym_preproc_pragma] = STATE(1606),
    [sym_preproc_nullable] = STATE(1606),
    [sym_preproc_error] = STATE(1606),
    [sym_preproc_define] = STATE(1606),
    [sym_preproc_undef] = STATE(1606),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1607] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1607),
    [sym_preproc_endregion] = STATE(1607),
    [sym_preproc_line] = STATE(1607),
    [sym_preproc_pragma] = STATE(1607),
    [sym_preproc_nullable] = STATE(1607),
    [sym_preproc_error] = STATE(1607),
    [sym_preproc_define] = STATE(1607),
    [sym_preproc_undef] = STATE(1607),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1608] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4902),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1608),
    [sym_preproc_endregion] = STATE(1608),
    [sym_preproc_line] = STATE(1608),
    [sym_preproc_pragma] = STATE(1608),
    [sym_preproc_nullable] = STATE(1608),
    [sym_preproc_error] = STATE(1608),
    [sym_preproc_define] = STATE(1608),
    [sym_preproc_undef] = STATE(1608),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1609] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5875),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1609),
    [sym_preproc_endregion] = STATE(1609),
    [sym_preproc_line] = STATE(1609),
    [sym_preproc_pragma] = STATE(1609),
    [sym_preproc_nullable] = STATE(1609),
    [sym_preproc_error] = STATE(1609),
    [sym_preproc_define] = STATE(1609),
    [sym_preproc_undef] = STATE(1609),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1610] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5879),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1610),
    [sym_preproc_endregion] = STATE(1610),
    [sym_preproc_line] = STATE(1610),
    [sym_preproc_pragma] = STATE(1610),
    [sym_preproc_nullable] = STATE(1610),
    [sym_preproc_error] = STATE(1610),
    [sym_preproc_define] = STATE(1610),
    [sym_preproc_undef] = STATE(1610),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1611] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5650),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1611),
    [sym_preproc_endregion] = STATE(1611),
    [sym_preproc_line] = STATE(1611),
    [sym_preproc_pragma] = STATE(1611),
    [sym_preproc_nullable] = STATE(1611),
    [sym_preproc_error] = STATE(1611),
    [sym_preproc_define] = STATE(1611),
    [sym_preproc_undef] = STATE(1611),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1612] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1612),
    [sym_preproc_endregion] = STATE(1612),
    [sym_preproc_line] = STATE(1612),
    [sym_preproc_pragma] = STATE(1612),
    [sym_preproc_nullable] = STATE(1612),
    [sym_preproc_error] = STATE(1612),
    [sym_preproc_define] = STATE(1612),
    [sym_preproc_undef] = STATE(1612),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1613] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5459),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1613),
    [sym_preproc_endregion] = STATE(1613),
    [sym_preproc_line] = STATE(1613),
    [sym_preproc_pragma] = STATE(1613),
    [sym_preproc_nullable] = STATE(1613),
    [sym_preproc_error] = STATE(1613),
    [sym_preproc_define] = STATE(1613),
    [sym_preproc_undef] = STATE(1613),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1614] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5460),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1614),
    [sym_preproc_endregion] = STATE(1614),
    [sym_preproc_line] = STATE(1614),
    [sym_preproc_pragma] = STATE(1614),
    [sym_preproc_nullable] = STATE(1614),
    [sym_preproc_error] = STATE(1614),
    [sym_preproc_define] = STATE(1614),
    [sym_preproc_undef] = STATE(1614),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1615] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5673),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1615),
    [sym_preproc_endregion] = STATE(1615),
    [sym_preproc_line] = STATE(1615),
    [sym_preproc_pragma] = STATE(1615),
    [sym_preproc_nullable] = STATE(1615),
    [sym_preproc_error] = STATE(1615),
    [sym_preproc_define] = STATE(1615),
    [sym_preproc_undef] = STATE(1615),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1616] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5651),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1616),
    [sym_preproc_endregion] = STATE(1616),
    [sym_preproc_line] = STATE(1616),
    [sym_preproc_pragma] = STATE(1616),
    [sym_preproc_nullable] = STATE(1616),
    [sym_preproc_error] = STATE(1616),
    [sym_preproc_define] = STATE(1616),
    [sym_preproc_undef] = STATE(1616),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1617] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5652),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1617),
    [sym_preproc_endregion] = STATE(1617),
    [sym_preproc_line] = STATE(1617),
    [sym_preproc_pragma] = STATE(1617),
    [sym_preproc_nullable] = STATE(1617),
    [sym_preproc_error] = STATE(1617),
    [sym_preproc_define] = STATE(1617),
    [sym_preproc_undef] = STATE(1617),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1618] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5653),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1618),
    [sym_preproc_endregion] = STATE(1618),
    [sym_preproc_line] = STATE(1618),
    [sym_preproc_pragma] = STATE(1618),
    [sym_preproc_nullable] = STATE(1618),
    [sym_preproc_error] = STATE(1618),
    [sym_preproc_define] = STATE(1618),
    [sym_preproc_undef] = STATE(1618),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1619] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5461),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1619),
    [sym_preproc_endregion] = STATE(1619),
    [sym_preproc_line] = STATE(1619),
    [sym_preproc_pragma] = STATE(1619),
    [sym_preproc_nullable] = STATE(1619),
    [sym_preproc_error] = STATE(1619),
    [sym_preproc_define] = STATE(1619),
    [sym_preproc_undef] = STATE(1619),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1620] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5654),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1620),
    [sym_preproc_endregion] = STATE(1620),
    [sym_preproc_line] = STATE(1620),
    [sym_preproc_pragma] = STATE(1620),
    [sym_preproc_nullable] = STATE(1620),
    [sym_preproc_error] = STATE(1620),
    [sym_preproc_define] = STATE(1620),
    [sym_preproc_undef] = STATE(1620),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1621] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5655),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1621),
    [sym_preproc_endregion] = STATE(1621),
    [sym_preproc_line] = STATE(1621),
    [sym_preproc_pragma] = STATE(1621),
    [sym_preproc_nullable] = STATE(1621),
    [sym_preproc_error] = STATE(1621),
    [sym_preproc_define] = STATE(1621),
    [sym_preproc_undef] = STATE(1621),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1622] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5656),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1622),
    [sym_preproc_endregion] = STATE(1622),
    [sym_preproc_line] = STATE(1622),
    [sym_preproc_pragma] = STATE(1622),
    [sym_preproc_nullable] = STATE(1622),
    [sym_preproc_error] = STATE(1622),
    [sym_preproc_define] = STATE(1622),
    [sym_preproc_undef] = STATE(1622),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1623] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5657),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1623),
    [sym_preproc_endregion] = STATE(1623),
    [sym_preproc_line] = STATE(1623),
    [sym_preproc_pragma] = STATE(1623),
    [sym_preproc_nullable] = STATE(1623),
    [sym_preproc_error] = STATE(1623),
    [sym_preproc_define] = STATE(1623),
    [sym_preproc_undef] = STATE(1623),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1624] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5658),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1624),
    [sym_preproc_endregion] = STATE(1624),
    [sym_preproc_line] = STATE(1624),
    [sym_preproc_pragma] = STATE(1624),
    [sym_preproc_nullable] = STATE(1624),
    [sym_preproc_error] = STATE(1624),
    [sym_preproc_define] = STATE(1624),
    [sym_preproc_undef] = STATE(1624),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1625] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1625),
    [sym_preproc_endregion] = STATE(1625),
    [sym_preproc_line] = STATE(1625),
    [sym_preproc_pragma] = STATE(1625),
    [sym_preproc_nullable] = STATE(1625),
    [sym_preproc_error] = STATE(1625),
    [sym_preproc_define] = STATE(1625),
    [sym_preproc_undef] = STATE(1625),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1626] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5662),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1626),
    [sym_preproc_endregion] = STATE(1626),
    [sym_preproc_line] = STATE(1626),
    [sym_preproc_pragma] = STATE(1626),
    [sym_preproc_nullable] = STATE(1626),
    [sym_preproc_error] = STATE(1626),
    [sym_preproc_define] = STATE(1626),
    [sym_preproc_undef] = STATE(1626),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1627] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1627),
    [sym_preproc_endregion] = STATE(1627),
    [sym_preproc_line] = STATE(1627),
    [sym_preproc_pragma] = STATE(1627),
    [sym_preproc_nullable] = STATE(1627),
    [sym_preproc_error] = STATE(1627),
    [sym_preproc_define] = STATE(1627),
    [sym_preproc_undef] = STATE(1627),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1628] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1628),
    [sym_preproc_endregion] = STATE(1628),
    [sym_preproc_line] = STATE(1628),
    [sym_preproc_pragma] = STATE(1628),
    [sym_preproc_nullable] = STATE(1628),
    [sym_preproc_error] = STATE(1628),
    [sym_preproc_define] = STATE(1628),
    [sym_preproc_undef] = STATE(1628),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1629] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5616),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1629),
    [sym_preproc_endregion] = STATE(1629),
    [sym_preproc_line] = STATE(1629),
    [sym_preproc_pragma] = STATE(1629),
    [sym_preproc_nullable] = STATE(1629),
    [sym_preproc_error] = STATE(1629),
    [sym_preproc_define] = STATE(1629),
    [sym_preproc_undef] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1630] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1630),
    [sym_preproc_endregion] = STATE(1630),
    [sym_preproc_line] = STATE(1630),
    [sym_preproc_pragma] = STATE(1630),
    [sym_preproc_nullable] = STATE(1630),
    [sym_preproc_error] = STATE(1630),
    [sym_preproc_define] = STATE(1630),
    [sym_preproc_undef] = STATE(1630),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1631] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5468),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1631),
    [sym_preproc_endregion] = STATE(1631),
    [sym_preproc_line] = STATE(1631),
    [sym_preproc_pragma] = STATE(1631),
    [sym_preproc_nullable] = STATE(1631),
    [sym_preproc_error] = STATE(1631),
    [sym_preproc_define] = STATE(1631),
    [sym_preproc_undef] = STATE(1631),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1632] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5469),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1632),
    [sym_preproc_endregion] = STATE(1632),
    [sym_preproc_line] = STATE(1632),
    [sym_preproc_pragma] = STATE(1632),
    [sym_preproc_nullable] = STATE(1632),
    [sym_preproc_error] = STATE(1632),
    [sym_preproc_define] = STATE(1632),
    [sym_preproc_undef] = STATE(1632),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1633] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5470),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1633),
    [sym_preproc_endregion] = STATE(1633),
    [sym_preproc_line] = STATE(1633),
    [sym_preproc_pragma] = STATE(1633),
    [sym_preproc_nullable] = STATE(1633),
    [sym_preproc_error] = STATE(1633),
    [sym_preproc_define] = STATE(1633),
    [sym_preproc_undef] = STATE(1633),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1634] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5471),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1634),
    [sym_preproc_endregion] = STATE(1634),
    [sym_preproc_line] = STATE(1634),
    [sym_preproc_pragma] = STATE(1634),
    [sym_preproc_nullable] = STATE(1634),
    [sym_preproc_error] = STATE(1634),
    [sym_preproc_define] = STATE(1634),
    [sym_preproc_undef] = STATE(1634),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1635] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5472),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1635),
    [sym_preproc_endregion] = STATE(1635),
    [sym_preproc_line] = STATE(1635),
    [sym_preproc_pragma] = STATE(1635),
    [sym_preproc_nullable] = STATE(1635),
    [sym_preproc_error] = STATE(1635),
    [sym_preproc_define] = STATE(1635),
    [sym_preproc_undef] = STATE(1635),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1636] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5473),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1636),
    [sym_preproc_endregion] = STATE(1636),
    [sym_preproc_line] = STATE(1636),
    [sym_preproc_pragma] = STATE(1636),
    [sym_preproc_nullable] = STATE(1636),
    [sym_preproc_error] = STATE(1636),
    [sym_preproc_define] = STATE(1636),
    [sym_preproc_undef] = STATE(1636),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1637] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5474),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1637),
    [sym_preproc_endregion] = STATE(1637),
    [sym_preproc_line] = STATE(1637),
    [sym_preproc_pragma] = STATE(1637),
    [sym_preproc_nullable] = STATE(1637),
    [sym_preproc_error] = STATE(1637),
    [sym_preproc_define] = STATE(1637),
    [sym_preproc_undef] = STATE(1637),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1638] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5475),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1638),
    [sym_preproc_endregion] = STATE(1638),
    [sym_preproc_line] = STATE(1638),
    [sym_preproc_pragma] = STATE(1638),
    [sym_preproc_nullable] = STATE(1638),
    [sym_preproc_error] = STATE(1638),
    [sym_preproc_define] = STATE(1638),
    [sym_preproc_undef] = STATE(1638),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1639] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5477),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1639),
    [sym_preproc_endregion] = STATE(1639),
    [sym_preproc_line] = STATE(1639),
    [sym_preproc_pragma] = STATE(1639),
    [sym_preproc_nullable] = STATE(1639),
    [sym_preproc_error] = STATE(1639),
    [sym_preproc_define] = STATE(1639),
    [sym_preproc_undef] = STATE(1639),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1640] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5478),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1640),
    [sym_preproc_endregion] = STATE(1640),
    [sym_preproc_line] = STATE(1640),
    [sym_preproc_pragma] = STATE(1640),
    [sym_preproc_nullable] = STATE(1640),
    [sym_preproc_error] = STATE(1640),
    [sym_preproc_define] = STATE(1640),
    [sym_preproc_undef] = STATE(1640),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1641] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5479),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1641),
    [sym_preproc_endregion] = STATE(1641),
    [sym_preproc_line] = STATE(1641),
    [sym_preproc_pragma] = STATE(1641),
    [sym_preproc_nullable] = STATE(1641),
    [sym_preproc_error] = STATE(1641),
    [sym_preproc_define] = STATE(1641),
    [sym_preproc_undef] = STATE(1641),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1642] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5617),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1642),
    [sym_preproc_endregion] = STATE(1642),
    [sym_preproc_line] = STATE(1642),
    [sym_preproc_pragma] = STATE(1642),
    [sym_preproc_nullable] = STATE(1642),
    [sym_preproc_error] = STATE(1642),
    [sym_preproc_define] = STATE(1642),
    [sym_preproc_undef] = STATE(1642),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1643] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5273),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1643),
    [sym_preproc_endregion] = STATE(1643),
    [sym_preproc_line] = STATE(1643),
    [sym_preproc_pragma] = STATE(1643),
    [sym_preproc_nullable] = STATE(1643),
    [sym_preproc_error] = STATE(1643),
    [sym_preproc_define] = STATE(1643),
    [sym_preproc_undef] = STATE(1643),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1644] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1644),
    [sym_preproc_endregion] = STATE(1644),
    [sym_preproc_line] = STATE(1644),
    [sym_preproc_pragma] = STATE(1644),
    [sym_preproc_nullable] = STATE(1644),
    [sym_preproc_error] = STATE(1644),
    [sym_preproc_define] = STATE(1644),
    [sym_preproc_undef] = STATE(1644),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1645] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5141),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1645),
    [sym_preproc_endregion] = STATE(1645),
    [sym_preproc_line] = STATE(1645),
    [sym_preproc_pragma] = STATE(1645),
    [sym_preproc_nullable] = STATE(1645),
    [sym_preproc_error] = STATE(1645),
    [sym_preproc_define] = STATE(1645),
    [sym_preproc_undef] = STATE(1645),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1646] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5483),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1646),
    [sym_preproc_endregion] = STATE(1646),
    [sym_preproc_line] = STATE(1646),
    [sym_preproc_pragma] = STATE(1646),
    [sym_preproc_nullable] = STATE(1646),
    [sym_preproc_error] = STATE(1646),
    [sym_preproc_define] = STATE(1646),
    [sym_preproc_undef] = STATE(1646),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1647] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5279),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1647),
    [sym_preproc_endregion] = STATE(1647),
    [sym_preproc_line] = STATE(1647),
    [sym_preproc_pragma] = STATE(1647),
    [sym_preproc_nullable] = STATE(1647),
    [sym_preproc_error] = STATE(1647),
    [sym_preproc_define] = STATE(1647),
    [sym_preproc_undef] = STATE(1647),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1648] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6483),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1648),
    [sym_preproc_endregion] = STATE(1648),
    [sym_preproc_line] = STATE(1648),
    [sym_preproc_pragma] = STATE(1648),
    [sym_preproc_nullable] = STATE(1648),
    [sym_preproc_error] = STATE(1648),
    [sym_preproc_define] = STATE(1648),
    [sym_preproc_undef] = STATE(1648),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1649] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5928),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1649),
    [sym_preproc_endregion] = STATE(1649),
    [sym_preproc_line] = STATE(1649),
    [sym_preproc_pragma] = STATE(1649),
    [sym_preproc_nullable] = STATE(1649),
    [sym_preproc_error] = STATE(1649),
    [sym_preproc_define] = STATE(1649),
    [sym_preproc_undef] = STATE(1649),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1650] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5929),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1650),
    [sym_preproc_endregion] = STATE(1650),
    [sym_preproc_line] = STATE(1650),
    [sym_preproc_pragma] = STATE(1650),
    [sym_preproc_nullable] = STATE(1650),
    [sym_preproc_error] = STATE(1650),
    [sym_preproc_define] = STATE(1650),
    [sym_preproc_undef] = STATE(1650),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1651] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6000),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1651),
    [sym_preproc_endregion] = STATE(1651),
    [sym_preproc_line] = STATE(1651),
    [sym_preproc_pragma] = STATE(1651),
    [sym_preproc_nullable] = STATE(1651),
    [sym_preproc_error] = STATE(1651),
    [sym_preproc_define] = STATE(1651),
    [sym_preproc_undef] = STATE(1651),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1652] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5930),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1652),
    [sym_preproc_endregion] = STATE(1652),
    [sym_preproc_line] = STATE(1652),
    [sym_preproc_pragma] = STATE(1652),
    [sym_preproc_nullable] = STATE(1652),
    [sym_preproc_error] = STATE(1652),
    [sym_preproc_define] = STATE(1652),
    [sym_preproc_undef] = STATE(1652),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1653] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5931),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1653),
    [sym_preproc_endregion] = STATE(1653),
    [sym_preproc_line] = STATE(1653),
    [sym_preproc_pragma] = STATE(1653),
    [sym_preproc_nullable] = STATE(1653),
    [sym_preproc_error] = STATE(1653),
    [sym_preproc_define] = STATE(1653),
    [sym_preproc_undef] = STATE(1653),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1654] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5933),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1654),
    [sym_preproc_endregion] = STATE(1654),
    [sym_preproc_line] = STATE(1654),
    [sym_preproc_pragma] = STATE(1654),
    [sym_preproc_nullable] = STATE(1654),
    [sym_preproc_error] = STATE(1654),
    [sym_preproc_define] = STATE(1654),
    [sym_preproc_undef] = STATE(1654),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1655] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5936),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1655),
    [sym_preproc_endregion] = STATE(1655),
    [sym_preproc_line] = STATE(1655),
    [sym_preproc_pragma] = STATE(1655),
    [sym_preproc_nullable] = STATE(1655),
    [sym_preproc_error] = STATE(1655),
    [sym_preproc_define] = STATE(1655),
    [sym_preproc_undef] = STATE(1655),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1656] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5939),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1656),
    [sym_preproc_endregion] = STATE(1656),
    [sym_preproc_line] = STATE(1656),
    [sym_preproc_pragma] = STATE(1656),
    [sym_preproc_nullable] = STATE(1656),
    [sym_preproc_error] = STATE(1656),
    [sym_preproc_define] = STATE(1656),
    [sym_preproc_undef] = STATE(1656),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1657] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5942),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1657),
    [sym_preproc_endregion] = STATE(1657),
    [sym_preproc_line] = STATE(1657),
    [sym_preproc_pragma] = STATE(1657),
    [sym_preproc_nullable] = STATE(1657),
    [sym_preproc_error] = STATE(1657),
    [sym_preproc_define] = STATE(1657),
    [sym_preproc_undef] = STATE(1657),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1658] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5943),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1658),
    [sym_preproc_endregion] = STATE(1658),
    [sym_preproc_line] = STATE(1658),
    [sym_preproc_pragma] = STATE(1658),
    [sym_preproc_nullable] = STATE(1658),
    [sym_preproc_error] = STATE(1658),
    [sym_preproc_define] = STATE(1658),
    [sym_preproc_undef] = STATE(1658),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1659] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5945),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1659),
    [sym_preproc_endregion] = STATE(1659),
    [sym_preproc_line] = STATE(1659),
    [sym_preproc_pragma] = STATE(1659),
    [sym_preproc_nullable] = STATE(1659),
    [sym_preproc_error] = STATE(1659),
    [sym_preproc_define] = STATE(1659),
    [sym_preproc_undef] = STATE(1659),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1660] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1660),
    [sym_preproc_endregion] = STATE(1660),
    [sym_preproc_line] = STATE(1660),
    [sym_preproc_pragma] = STATE(1660),
    [sym_preproc_nullable] = STATE(1660),
    [sym_preproc_error] = STATE(1660),
    [sym_preproc_define] = STATE(1660),
    [sym_preproc_undef] = STATE(1660),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1661] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6587),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1661),
    [sym_preproc_endregion] = STATE(1661),
    [sym_preproc_line] = STATE(1661),
    [sym_preproc_pragma] = STATE(1661),
    [sym_preproc_nullable] = STATE(1661),
    [sym_preproc_error] = STATE(1661),
    [sym_preproc_define] = STATE(1661),
    [sym_preproc_undef] = STATE(1661),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1662] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6292),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1662),
    [sym_preproc_endregion] = STATE(1662),
    [sym_preproc_line] = STATE(1662),
    [sym_preproc_pragma] = STATE(1662),
    [sym_preproc_nullable] = STATE(1662),
    [sym_preproc_error] = STATE(1662),
    [sym_preproc_define] = STATE(1662),
    [sym_preproc_undef] = STATE(1662),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1663] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1663),
    [sym_preproc_endregion] = STATE(1663),
    [sym_preproc_line] = STATE(1663),
    [sym_preproc_pragma] = STATE(1663),
    [sym_preproc_nullable] = STATE(1663),
    [sym_preproc_error] = STATE(1663),
    [sym_preproc_define] = STATE(1663),
    [sym_preproc_undef] = STATE(1663),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1664] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5119),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1664),
    [sym_preproc_endregion] = STATE(1664),
    [sym_preproc_line] = STATE(1664),
    [sym_preproc_pragma] = STATE(1664),
    [sym_preproc_nullable] = STATE(1664),
    [sym_preproc_error] = STATE(1664),
    [sym_preproc_define] = STATE(1664),
    [sym_preproc_undef] = STATE(1664),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1665] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6190),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1665),
    [sym_preproc_endregion] = STATE(1665),
    [sym_preproc_line] = STATE(1665),
    [sym_preproc_pragma] = STATE(1665),
    [sym_preproc_nullable] = STATE(1665),
    [sym_preproc_error] = STATE(1665),
    [sym_preproc_define] = STATE(1665),
    [sym_preproc_undef] = STATE(1665),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1666] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5360),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1666),
    [sym_preproc_endregion] = STATE(1666),
    [sym_preproc_line] = STATE(1666),
    [sym_preproc_pragma] = STATE(1666),
    [sym_preproc_nullable] = STATE(1666),
    [sym_preproc_error] = STATE(1666),
    [sym_preproc_define] = STATE(1666),
    [sym_preproc_undef] = STATE(1666),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1667] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6196),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1667),
    [sym_preproc_endregion] = STATE(1667),
    [sym_preproc_line] = STATE(1667),
    [sym_preproc_pragma] = STATE(1667),
    [sym_preproc_nullable] = STATE(1667),
    [sym_preproc_error] = STATE(1667),
    [sym_preproc_define] = STATE(1667),
    [sym_preproc_undef] = STATE(1667),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1668] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6188),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1668),
    [sym_preproc_endregion] = STATE(1668),
    [sym_preproc_line] = STATE(1668),
    [sym_preproc_pragma] = STATE(1668),
    [sym_preproc_nullable] = STATE(1668),
    [sym_preproc_error] = STATE(1668),
    [sym_preproc_define] = STATE(1668),
    [sym_preproc_undef] = STATE(1668),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1669] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6189),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1669),
    [sym_preproc_endregion] = STATE(1669),
    [sym_preproc_line] = STATE(1669),
    [sym_preproc_pragma] = STATE(1669),
    [sym_preproc_nullable] = STATE(1669),
    [sym_preproc_error] = STATE(1669),
    [sym_preproc_define] = STATE(1669),
    [sym_preproc_undef] = STATE(1669),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1670] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6193),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1670),
    [sym_preproc_endregion] = STATE(1670),
    [sym_preproc_line] = STATE(1670),
    [sym_preproc_pragma] = STATE(1670),
    [sym_preproc_nullable] = STATE(1670),
    [sym_preproc_error] = STATE(1670),
    [sym_preproc_define] = STATE(1670),
    [sym_preproc_undef] = STATE(1670),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1671] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6131),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1671),
    [sym_preproc_endregion] = STATE(1671),
    [sym_preproc_line] = STATE(1671),
    [sym_preproc_pragma] = STATE(1671),
    [sym_preproc_nullable] = STATE(1671),
    [sym_preproc_error] = STATE(1671),
    [sym_preproc_define] = STATE(1671),
    [sym_preproc_undef] = STATE(1671),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1672] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6132),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1672),
    [sym_preproc_endregion] = STATE(1672),
    [sym_preproc_line] = STATE(1672),
    [sym_preproc_pragma] = STATE(1672),
    [sym_preproc_nullable] = STATE(1672),
    [sym_preproc_error] = STATE(1672),
    [sym_preproc_define] = STATE(1672),
    [sym_preproc_undef] = STATE(1672),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1673] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6133),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1673),
    [sym_preproc_endregion] = STATE(1673),
    [sym_preproc_line] = STATE(1673),
    [sym_preproc_pragma] = STATE(1673),
    [sym_preproc_nullable] = STATE(1673),
    [sym_preproc_error] = STATE(1673),
    [sym_preproc_define] = STATE(1673),
    [sym_preproc_undef] = STATE(1673),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1674] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6194),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1674),
    [sym_preproc_endregion] = STATE(1674),
    [sym_preproc_line] = STATE(1674),
    [sym_preproc_pragma] = STATE(1674),
    [sym_preproc_nullable] = STATE(1674),
    [sym_preproc_error] = STATE(1674),
    [sym_preproc_define] = STATE(1674),
    [sym_preproc_undef] = STATE(1674),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1675] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6134),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1675),
    [sym_preproc_endregion] = STATE(1675),
    [sym_preproc_line] = STATE(1675),
    [sym_preproc_pragma] = STATE(1675),
    [sym_preproc_nullable] = STATE(1675),
    [sym_preproc_error] = STATE(1675),
    [sym_preproc_define] = STATE(1675),
    [sym_preproc_undef] = STATE(1675),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1676] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6135),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1676),
    [sym_preproc_endregion] = STATE(1676),
    [sym_preproc_line] = STATE(1676),
    [sym_preproc_pragma] = STATE(1676),
    [sym_preproc_nullable] = STATE(1676),
    [sym_preproc_error] = STATE(1676),
    [sym_preproc_define] = STATE(1676),
    [sym_preproc_undef] = STATE(1676),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1677] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6136),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1677),
    [sym_preproc_endregion] = STATE(1677),
    [sym_preproc_line] = STATE(1677),
    [sym_preproc_pragma] = STATE(1677),
    [sym_preproc_nullable] = STATE(1677),
    [sym_preproc_error] = STATE(1677),
    [sym_preproc_define] = STATE(1677),
    [sym_preproc_undef] = STATE(1677),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1678] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6144),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1678),
    [sym_preproc_endregion] = STATE(1678),
    [sym_preproc_line] = STATE(1678),
    [sym_preproc_pragma] = STATE(1678),
    [sym_preproc_nullable] = STATE(1678),
    [sym_preproc_error] = STATE(1678),
    [sym_preproc_define] = STATE(1678),
    [sym_preproc_undef] = STATE(1678),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1679] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1679),
    [sym_preproc_endregion] = STATE(1679),
    [sym_preproc_line] = STATE(1679),
    [sym_preproc_pragma] = STATE(1679),
    [sym_preproc_nullable] = STATE(1679),
    [sym_preproc_error] = STATE(1679),
    [sym_preproc_define] = STATE(1679),
    [sym_preproc_undef] = STATE(1679),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1680] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5952),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1680),
    [sym_preproc_endregion] = STATE(1680),
    [sym_preproc_line] = STATE(1680),
    [sym_preproc_pragma] = STATE(1680),
    [sym_preproc_nullable] = STATE(1680),
    [sym_preproc_error] = STATE(1680),
    [sym_preproc_define] = STATE(1680),
    [sym_preproc_undef] = STATE(1680),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1681] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1681),
    [sym_preproc_endregion] = STATE(1681),
    [sym_preproc_line] = STATE(1681),
    [sym_preproc_pragma] = STATE(1681),
    [sym_preproc_nullable] = STATE(1681),
    [sym_preproc_error] = STATE(1681),
    [sym_preproc_define] = STATE(1681),
    [sym_preproc_undef] = STATE(1681),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1682] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5954),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1682),
    [sym_preproc_endregion] = STATE(1682),
    [sym_preproc_line] = STATE(1682),
    [sym_preproc_pragma] = STATE(1682),
    [sym_preproc_nullable] = STATE(1682),
    [sym_preproc_error] = STATE(1682),
    [sym_preproc_define] = STATE(1682),
    [sym_preproc_undef] = STATE(1682),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1683] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5958),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1683),
    [sym_preproc_endregion] = STATE(1683),
    [sym_preproc_line] = STATE(1683),
    [sym_preproc_pragma] = STATE(1683),
    [sym_preproc_nullable] = STATE(1683),
    [sym_preproc_error] = STATE(1683),
    [sym_preproc_define] = STATE(1683),
    [sym_preproc_undef] = STATE(1683),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1684] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5674),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1684),
    [sym_preproc_endregion] = STATE(1684),
    [sym_preproc_line] = STATE(1684),
    [sym_preproc_pragma] = STATE(1684),
    [sym_preproc_nullable] = STATE(1684),
    [sym_preproc_error] = STATE(1684),
    [sym_preproc_define] = STATE(1684),
    [sym_preproc_undef] = STATE(1684),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1685] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1685),
    [sym_preproc_endregion] = STATE(1685),
    [sym_preproc_line] = STATE(1685),
    [sym_preproc_pragma] = STATE(1685),
    [sym_preproc_nullable] = STATE(1685),
    [sym_preproc_error] = STATE(1685),
    [sym_preproc_define] = STATE(1685),
    [sym_preproc_undef] = STATE(1685),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1686] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5492),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1686),
    [sym_preproc_endregion] = STATE(1686),
    [sym_preproc_line] = STATE(1686),
    [sym_preproc_pragma] = STATE(1686),
    [sym_preproc_nullable] = STATE(1686),
    [sym_preproc_error] = STATE(1686),
    [sym_preproc_define] = STATE(1686),
    [sym_preproc_undef] = STATE(1686),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1687] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5493),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1687),
    [sym_preproc_endregion] = STATE(1687),
    [sym_preproc_line] = STATE(1687),
    [sym_preproc_pragma] = STATE(1687),
    [sym_preproc_nullable] = STATE(1687),
    [sym_preproc_error] = STATE(1687),
    [sym_preproc_define] = STATE(1687),
    [sym_preproc_undef] = STATE(1687),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1688] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5702),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1688),
    [sym_preproc_endregion] = STATE(1688),
    [sym_preproc_line] = STATE(1688),
    [sym_preproc_pragma] = STATE(1688),
    [sym_preproc_nullable] = STATE(1688),
    [sym_preproc_error] = STATE(1688),
    [sym_preproc_define] = STATE(1688),
    [sym_preproc_undef] = STATE(1688),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1689] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5675),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1689),
    [sym_preproc_endregion] = STATE(1689),
    [sym_preproc_line] = STATE(1689),
    [sym_preproc_pragma] = STATE(1689),
    [sym_preproc_nullable] = STATE(1689),
    [sym_preproc_error] = STATE(1689),
    [sym_preproc_define] = STATE(1689),
    [sym_preproc_undef] = STATE(1689),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1690] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5676),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1690),
    [sym_preproc_endregion] = STATE(1690),
    [sym_preproc_line] = STATE(1690),
    [sym_preproc_pragma] = STATE(1690),
    [sym_preproc_nullable] = STATE(1690),
    [sym_preproc_error] = STATE(1690),
    [sym_preproc_define] = STATE(1690),
    [sym_preproc_undef] = STATE(1690),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1691] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5677),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1691),
    [sym_preproc_endregion] = STATE(1691),
    [sym_preproc_line] = STATE(1691),
    [sym_preproc_pragma] = STATE(1691),
    [sym_preproc_nullable] = STATE(1691),
    [sym_preproc_error] = STATE(1691),
    [sym_preproc_define] = STATE(1691),
    [sym_preproc_undef] = STATE(1691),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1692] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5494),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1692),
    [sym_preproc_endregion] = STATE(1692),
    [sym_preproc_line] = STATE(1692),
    [sym_preproc_pragma] = STATE(1692),
    [sym_preproc_nullable] = STATE(1692),
    [sym_preproc_error] = STATE(1692),
    [sym_preproc_define] = STATE(1692),
    [sym_preproc_undef] = STATE(1692),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1693] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5678),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1693),
    [sym_preproc_endregion] = STATE(1693),
    [sym_preproc_line] = STATE(1693),
    [sym_preproc_pragma] = STATE(1693),
    [sym_preproc_nullable] = STATE(1693),
    [sym_preproc_error] = STATE(1693),
    [sym_preproc_define] = STATE(1693),
    [sym_preproc_undef] = STATE(1693),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1694] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5679),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1694),
    [sym_preproc_endregion] = STATE(1694),
    [sym_preproc_line] = STATE(1694),
    [sym_preproc_pragma] = STATE(1694),
    [sym_preproc_nullable] = STATE(1694),
    [sym_preproc_error] = STATE(1694),
    [sym_preproc_define] = STATE(1694),
    [sym_preproc_undef] = STATE(1694),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1695] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5680),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1695),
    [sym_preproc_endregion] = STATE(1695),
    [sym_preproc_line] = STATE(1695),
    [sym_preproc_pragma] = STATE(1695),
    [sym_preproc_nullable] = STATE(1695),
    [sym_preproc_error] = STATE(1695),
    [sym_preproc_define] = STATE(1695),
    [sym_preproc_undef] = STATE(1695),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1696] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5681),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1696),
    [sym_preproc_endregion] = STATE(1696),
    [sym_preproc_line] = STATE(1696),
    [sym_preproc_pragma] = STATE(1696),
    [sym_preproc_nullable] = STATE(1696),
    [sym_preproc_error] = STATE(1696),
    [sym_preproc_define] = STATE(1696),
    [sym_preproc_undef] = STATE(1696),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1697] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5682),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1697),
    [sym_preproc_endregion] = STATE(1697),
    [sym_preproc_line] = STATE(1697),
    [sym_preproc_pragma] = STATE(1697),
    [sym_preproc_nullable] = STATE(1697),
    [sym_preproc_error] = STATE(1697),
    [sym_preproc_define] = STATE(1697),
    [sym_preproc_undef] = STATE(1697),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1698] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1698),
    [sym_preproc_endregion] = STATE(1698),
    [sym_preproc_line] = STATE(1698),
    [sym_preproc_pragma] = STATE(1698),
    [sym_preproc_nullable] = STATE(1698),
    [sym_preproc_error] = STATE(1698),
    [sym_preproc_define] = STATE(1698),
    [sym_preproc_undef] = STATE(1698),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1699] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5686),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1699),
    [sym_preproc_endregion] = STATE(1699),
    [sym_preproc_line] = STATE(1699),
    [sym_preproc_pragma] = STATE(1699),
    [sym_preproc_nullable] = STATE(1699),
    [sym_preproc_error] = STATE(1699),
    [sym_preproc_define] = STATE(1699),
    [sym_preproc_undef] = STATE(1699),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1700] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6594),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1700),
    [sym_preproc_endregion] = STATE(1700),
    [sym_preproc_line] = STATE(1700),
    [sym_preproc_pragma] = STATE(1700),
    [sym_preproc_nullable] = STATE(1700),
    [sym_preproc_error] = STATE(1700),
    [sym_preproc_define] = STATE(1700),
    [sym_preproc_undef] = STATE(1700),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1701] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1701),
    [sym_preproc_endregion] = STATE(1701),
    [sym_preproc_line] = STATE(1701),
    [sym_preproc_pragma] = STATE(1701),
    [sym_preproc_nullable] = STATE(1701),
    [sym_preproc_error] = STATE(1701),
    [sym_preproc_define] = STATE(1701),
    [sym_preproc_undef] = STATE(1701),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1702] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1702),
    [sym_preproc_endregion] = STATE(1702),
    [sym_preproc_line] = STATE(1702),
    [sym_preproc_pragma] = STATE(1702),
    [sym_preproc_nullable] = STATE(1702),
    [sym_preproc_error] = STATE(1702),
    [sym_preproc_define] = STATE(1702),
    [sym_preproc_undef] = STATE(1702),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1703] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6232),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1703),
    [sym_preproc_endregion] = STATE(1703),
    [sym_preproc_line] = STATE(1703),
    [sym_preproc_pragma] = STATE(1703),
    [sym_preproc_nullable] = STATE(1703),
    [sym_preproc_error] = STATE(1703),
    [sym_preproc_define] = STATE(1703),
    [sym_preproc_undef] = STATE(1703),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1704] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6451),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1704),
    [sym_preproc_endregion] = STATE(1704),
    [sym_preproc_line] = STATE(1704),
    [sym_preproc_pragma] = STATE(1704),
    [sym_preproc_nullable] = STATE(1704),
    [sym_preproc_error] = STATE(1704),
    [sym_preproc_define] = STATE(1704),
    [sym_preproc_undef] = STATE(1704),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1705] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1705),
    [sym_preproc_endregion] = STATE(1705),
    [sym_preproc_line] = STATE(1705),
    [sym_preproc_pragma] = STATE(1705),
    [sym_preproc_nullable] = STATE(1705),
    [sym_preproc_error] = STATE(1705),
    [sym_preproc_define] = STATE(1705),
    [sym_preproc_undef] = STATE(1705),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1706] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6522),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1706),
    [sym_preproc_endregion] = STATE(1706),
    [sym_preproc_line] = STATE(1706),
    [sym_preproc_pragma] = STATE(1706),
    [sym_preproc_nullable] = STATE(1706),
    [sym_preproc_error] = STATE(1706),
    [sym_preproc_define] = STATE(1706),
    [sym_preproc_undef] = STATE(1706),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1707] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6525),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1707),
    [sym_preproc_endregion] = STATE(1707),
    [sym_preproc_line] = STATE(1707),
    [sym_preproc_pragma] = STATE(1707),
    [sym_preproc_nullable] = STATE(1707),
    [sym_preproc_error] = STATE(1707),
    [sym_preproc_define] = STATE(1707),
    [sym_preproc_undef] = STATE(1707),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1708] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6526),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1708),
    [sym_preproc_endregion] = STATE(1708),
    [sym_preproc_line] = STATE(1708),
    [sym_preproc_pragma] = STATE(1708),
    [sym_preproc_nullable] = STATE(1708),
    [sym_preproc_error] = STATE(1708),
    [sym_preproc_define] = STATE(1708),
    [sym_preproc_undef] = STATE(1708),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1709] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6527),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1709),
    [sym_preproc_endregion] = STATE(1709),
    [sym_preproc_line] = STATE(1709),
    [sym_preproc_pragma] = STATE(1709),
    [sym_preproc_nullable] = STATE(1709),
    [sym_preproc_error] = STATE(1709),
    [sym_preproc_define] = STATE(1709),
    [sym_preproc_undef] = STATE(1709),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1710] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6528),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1710),
    [sym_preproc_endregion] = STATE(1710),
    [sym_preproc_line] = STATE(1710),
    [sym_preproc_pragma] = STATE(1710),
    [sym_preproc_nullable] = STATE(1710),
    [sym_preproc_error] = STATE(1710),
    [sym_preproc_define] = STATE(1710),
    [sym_preproc_undef] = STATE(1710),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1711] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6529),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1711),
    [sym_preproc_endregion] = STATE(1711),
    [sym_preproc_line] = STATE(1711),
    [sym_preproc_pragma] = STATE(1711),
    [sym_preproc_nullable] = STATE(1711),
    [sym_preproc_error] = STATE(1711),
    [sym_preproc_define] = STATE(1711),
    [sym_preproc_undef] = STATE(1711),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1712] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6530),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1712),
    [sym_preproc_endregion] = STATE(1712),
    [sym_preproc_line] = STATE(1712),
    [sym_preproc_pragma] = STATE(1712),
    [sym_preproc_nullable] = STATE(1712),
    [sym_preproc_error] = STATE(1712),
    [sym_preproc_define] = STATE(1712),
    [sym_preproc_undef] = STATE(1712),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1713] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6531),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1713),
    [sym_preproc_endregion] = STATE(1713),
    [sym_preproc_line] = STATE(1713),
    [sym_preproc_pragma] = STATE(1713),
    [sym_preproc_nullable] = STATE(1713),
    [sym_preproc_error] = STATE(1713),
    [sym_preproc_define] = STATE(1713),
    [sym_preproc_undef] = STATE(1713),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1714] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6533),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1714),
    [sym_preproc_endregion] = STATE(1714),
    [sym_preproc_line] = STATE(1714),
    [sym_preproc_pragma] = STATE(1714),
    [sym_preproc_nullable] = STATE(1714),
    [sym_preproc_error] = STATE(1714),
    [sym_preproc_define] = STATE(1714),
    [sym_preproc_undef] = STATE(1714),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1715] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6534),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1715),
    [sym_preproc_endregion] = STATE(1715),
    [sym_preproc_line] = STATE(1715),
    [sym_preproc_pragma] = STATE(1715),
    [sym_preproc_nullable] = STATE(1715),
    [sym_preproc_error] = STATE(1715),
    [sym_preproc_define] = STATE(1715),
    [sym_preproc_undef] = STATE(1715),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1716] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6537),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1716),
    [sym_preproc_endregion] = STATE(1716),
    [sym_preproc_line] = STATE(1716),
    [sym_preproc_pragma] = STATE(1716),
    [sym_preproc_nullable] = STATE(1716),
    [sym_preproc_error] = STATE(1716),
    [sym_preproc_define] = STATE(1716),
    [sym_preproc_undef] = STATE(1716),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1717] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6492),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1717),
    [sym_preproc_endregion] = STATE(1717),
    [sym_preproc_line] = STATE(1717),
    [sym_preproc_pragma] = STATE(1717),
    [sym_preproc_nullable] = STATE(1717),
    [sym_preproc_error] = STATE(1717),
    [sym_preproc_define] = STATE(1717),
    [sym_preproc_undef] = STATE(1717),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1718] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5048),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1718),
    [sym_preproc_endregion] = STATE(1718),
    [sym_preproc_line] = STATE(1718),
    [sym_preproc_pragma] = STATE(1718),
    [sym_preproc_nullable] = STATE(1718),
    [sym_preproc_error] = STATE(1718),
    [sym_preproc_define] = STATE(1718),
    [sym_preproc_undef] = STATE(1718),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1719] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1719),
    [sym_preproc_endregion] = STATE(1719),
    [sym_preproc_line] = STATE(1719),
    [sym_preproc_pragma] = STATE(1719),
    [sym_preproc_nullable] = STATE(1719),
    [sym_preproc_error] = STATE(1719),
    [sym_preproc_define] = STATE(1719),
    [sym_preproc_undef] = STATE(1719),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1720] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6010),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1720),
    [sym_preproc_endregion] = STATE(1720),
    [sym_preproc_line] = STATE(1720),
    [sym_preproc_pragma] = STATE(1720),
    [sym_preproc_nullable] = STATE(1720),
    [sym_preproc_error] = STATE(1720),
    [sym_preproc_define] = STATE(1720),
    [sym_preproc_undef] = STATE(1720),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1721] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6549),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1721),
    [sym_preproc_endregion] = STATE(1721),
    [sym_preproc_line] = STATE(1721),
    [sym_preproc_pragma] = STATE(1721),
    [sym_preproc_nullable] = STATE(1721),
    [sym_preproc_error] = STATE(1721),
    [sym_preproc_define] = STATE(1721),
    [sym_preproc_undef] = STATE(1721),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1722] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5069),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1722),
    [sym_preproc_endregion] = STATE(1722),
    [sym_preproc_line] = STATE(1722),
    [sym_preproc_pragma] = STATE(1722),
    [sym_preproc_nullable] = STATE(1722),
    [sym_preproc_error] = STATE(1722),
    [sym_preproc_define] = STATE(1722),
    [sym_preproc_undef] = STATE(1722),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1723] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5981),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1723),
    [sym_preproc_endregion] = STATE(1723),
    [sym_preproc_line] = STATE(1723),
    [sym_preproc_pragma] = STATE(1723),
    [sym_preproc_nullable] = STATE(1723),
    [sym_preproc_error] = STATE(1723),
    [sym_preproc_define] = STATE(1723),
    [sym_preproc_undef] = STATE(1723),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1724] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5982),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1724),
    [sym_preproc_endregion] = STATE(1724),
    [sym_preproc_line] = STATE(1724),
    [sym_preproc_pragma] = STATE(1724),
    [sym_preproc_nullable] = STATE(1724),
    [sym_preproc_error] = STATE(1724),
    [sym_preproc_define] = STATE(1724),
    [sym_preproc_undef] = STATE(1724),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1725] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6005),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1725),
    [sym_preproc_endregion] = STATE(1725),
    [sym_preproc_line] = STATE(1725),
    [sym_preproc_pragma] = STATE(1725),
    [sym_preproc_nullable] = STATE(1725),
    [sym_preproc_error] = STATE(1725),
    [sym_preproc_define] = STATE(1725),
    [sym_preproc_undef] = STATE(1725),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1726] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5983),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1726),
    [sym_preproc_endregion] = STATE(1726),
    [sym_preproc_line] = STATE(1726),
    [sym_preproc_pragma] = STATE(1726),
    [sym_preproc_nullable] = STATE(1726),
    [sym_preproc_error] = STATE(1726),
    [sym_preproc_define] = STATE(1726),
    [sym_preproc_undef] = STATE(1726),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1727] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5986),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1727),
    [sym_preproc_endregion] = STATE(1727),
    [sym_preproc_line] = STATE(1727),
    [sym_preproc_pragma] = STATE(1727),
    [sym_preproc_nullable] = STATE(1727),
    [sym_preproc_error] = STATE(1727),
    [sym_preproc_define] = STATE(1727),
    [sym_preproc_undef] = STATE(1727),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1728] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5987),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1728),
    [sym_preproc_endregion] = STATE(1728),
    [sym_preproc_line] = STATE(1728),
    [sym_preproc_pragma] = STATE(1728),
    [sym_preproc_nullable] = STATE(1728),
    [sym_preproc_error] = STATE(1728),
    [sym_preproc_define] = STATE(1728),
    [sym_preproc_undef] = STATE(1728),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1729] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5989),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1729),
    [sym_preproc_endregion] = STATE(1729),
    [sym_preproc_line] = STATE(1729),
    [sym_preproc_pragma] = STATE(1729),
    [sym_preproc_nullable] = STATE(1729),
    [sym_preproc_error] = STATE(1729),
    [sym_preproc_define] = STATE(1729),
    [sym_preproc_undef] = STATE(1729),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1730] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5990),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1730),
    [sym_preproc_endregion] = STATE(1730),
    [sym_preproc_line] = STATE(1730),
    [sym_preproc_pragma] = STATE(1730),
    [sym_preproc_nullable] = STATE(1730),
    [sym_preproc_error] = STATE(1730),
    [sym_preproc_define] = STATE(1730),
    [sym_preproc_undef] = STATE(1730),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1731] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5994),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1731),
    [sym_preproc_endregion] = STATE(1731),
    [sym_preproc_line] = STATE(1731),
    [sym_preproc_pragma] = STATE(1731),
    [sym_preproc_nullable] = STATE(1731),
    [sym_preproc_error] = STATE(1731),
    [sym_preproc_define] = STATE(1731),
    [sym_preproc_undef] = STATE(1731),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1732] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5995),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1732),
    [sym_preproc_endregion] = STATE(1732),
    [sym_preproc_line] = STATE(1732),
    [sym_preproc_pragma] = STATE(1732),
    [sym_preproc_nullable] = STATE(1732),
    [sym_preproc_error] = STATE(1732),
    [sym_preproc_define] = STATE(1732),
    [sym_preproc_undef] = STATE(1732),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1733] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5996),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1733),
    [sym_preproc_endregion] = STATE(1733),
    [sym_preproc_line] = STATE(1733),
    [sym_preproc_pragma] = STATE(1733),
    [sym_preproc_nullable] = STATE(1733),
    [sym_preproc_error] = STATE(1733),
    [sym_preproc_define] = STATE(1733),
    [sym_preproc_undef] = STATE(1733),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1734] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1734),
    [sym_preproc_endregion] = STATE(1734),
    [sym_preproc_line] = STATE(1734),
    [sym_preproc_pragma] = STATE(1734),
    [sym_preproc_nullable] = STATE(1734),
    [sym_preproc_error] = STATE(1734),
    [sym_preproc_define] = STATE(1734),
    [sym_preproc_undef] = STATE(1734),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1735] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5757),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1735),
    [sym_preproc_endregion] = STATE(1735),
    [sym_preproc_line] = STATE(1735),
    [sym_preproc_pragma] = STATE(1735),
    [sym_preproc_nullable] = STATE(1735),
    [sym_preproc_error] = STATE(1735),
    [sym_preproc_define] = STATE(1735),
    [sym_preproc_undef] = STATE(1735),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1736] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6001),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1736),
    [sym_preproc_endregion] = STATE(1736),
    [sym_preproc_line] = STATE(1736),
    [sym_preproc_pragma] = STATE(1736),
    [sym_preproc_nullable] = STATE(1736),
    [sym_preproc_error] = STATE(1736),
    [sym_preproc_define] = STATE(1736),
    [sym_preproc_undef] = STATE(1736),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1737] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1737),
    [sym_preproc_endregion] = STATE(1737),
    [sym_preproc_line] = STATE(1737),
    [sym_preproc_pragma] = STATE(1737),
    [sym_preproc_nullable] = STATE(1737),
    [sym_preproc_error] = STATE(1737),
    [sym_preproc_define] = STATE(1737),
    [sym_preproc_undef] = STATE(1737),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1738] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6007),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1738),
    [sym_preproc_endregion] = STATE(1738),
    [sym_preproc_line] = STATE(1738),
    [sym_preproc_pragma] = STATE(1738),
    [sym_preproc_nullable] = STATE(1738),
    [sym_preproc_error] = STATE(1738),
    [sym_preproc_define] = STATE(1738),
    [sym_preproc_undef] = STATE(1738),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1739] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6021),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1739),
    [sym_preproc_endregion] = STATE(1739),
    [sym_preproc_line] = STATE(1739),
    [sym_preproc_pragma] = STATE(1739),
    [sym_preproc_nullable] = STATE(1739),
    [sym_preproc_error] = STATE(1739),
    [sym_preproc_define] = STATE(1739),
    [sym_preproc_undef] = STATE(1739),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1740] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6495),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1740),
    [sym_preproc_endregion] = STATE(1740),
    [sym_preproc_line] = STATE(1740),
    [sym_preproc_pragma] = STATE(1740),
    [sym_preproc_nullable] = STATE(1740),
    [sym_preproc_error] = STATE(1740),
    [sym_preproc_define] = STATE(1740),
    [sym_preproc_undef] = STATE(1740),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1741] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7070),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6233),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4344),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9360),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1741),
    [sym_preproc_endregion] = STATE(1741),
    [sym_preproc_line] = STATE(1741),
    [sym_preproc_pragma] = STATE(1741),
    [sym_preproc_nullable] = STATE(1741),
    [sym_preproc_error] = STATE(1741),
    [sym_preproc_define] = STATE(1741),
    [sym_preproc_undef] = STATE(1741),
    [aux_sym_class_declaration_repeat1] = STATE(3871),
    [aux_sym_lambda_expression_repeat1] = STATE(4290),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_ref] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(693),
    [anon_sym_TILDE] = ACTIONS(693),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(693),
    [anon_sym_AMP] = ACTIONS(693),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1727),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1729),
    [anon_sym_DOT_DOT] = ACTIONS(1731),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1742] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5758),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1742),
    [sym_preproc_endregion] = STATE(1742),
    [sym_preproc_line] = STATE(1742),
    [sym_preproc_pragma] = STATE(1742),
    [sym_preproc_nullable] = STATE(1742),
    [sym_preproc_error] = STATE(1742),
    [sym_preproc_define] = STATE(1742),
    [sym_preproc_undef] = STATE(1742),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1743] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1743),
    [sym_preproc_endregion] = STATE(1743),
    [sym_preproc_line] = STATE(1743),
    [sym_preproc_pragma] = STATE(1743),
    [sym_preproc_nullable] = STATE(1743),
    [sym_preproc_error] = STATE(1743),
    [sym_preproc_define] = STATE(1743),
    [sym_preproc_undef] = STATE(1743),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1744] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5510),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1744),
    [sym_preproc_endregion] = STATE(1744),
    [sym_preproc_line] = STATE(1744),
    [sym_preproc_pragma] = STATE(1744),
    [sym_preproc_nullable] = STATE(1744),
    [sym_preproc_error] = STATE(1744),
    [sym_preproc_define] = STATE(1744),
    [sym_preproc_undef] = STATE(1744),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1745] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5511),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1745),
    [sym_preproc_endregion] = STATE(1745),
    [sym_preproc_line] = STATE(1745),
    [sym_preproc_pragma] = STATE(1745),
    [sym_preproc_nullable] = STATE(1745),
    [sym_preproc_error] = STATE(1745),
    [sym_preproc_define] = STATE(1745),
    [sym_preproc_undef] = STATE(1745),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1746] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5712),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1746),
    [sym_preproc_endregion] = STATE(1746),
    [sym_preproc_line] = STATE(1746),
    [sym_preproc_pragma] = STATE(1746),
    [sym_preproc_nullable] = STATE(1746),
    [sym_preproc_error] = STATE(1746),
    [sym_preproc_define] = STATE(1746),
    [sym_preproc_undef] = STATE(1746),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1747] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5759),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1747),
    [sym_preproc_endregion] = STATE(1747),
    [sym_preproc_line] = STATE(1747),
    [sym_preproc_pragma] = STATE(1747),
    [sym_preproc_nullable] = STATE(1747),
    [sym_preproc_error] = STATE(1747),
    [sym_preproc_define] = STATE(1747),
    [sym_preproc_undef] = STATE(1747),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1748] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5760),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1748),
    [sym_preproc_endregion] = STATE(1748),
    [sym_preproc_line] = STATE(1748),
    [sym_preproc_pragma] = STATE(1748),
    [sym_preproc_nullable] = STATE(1748),
    [sym_preproc_error] = STATE(1748),
    [sym_preproc_define] = STATE(1748),
    [sym_preproc_undef] = STATE(1748),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1749] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4528),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1749),
    [sym_preproc_endregion] = STATE(1749),
    [sym_preproc_line] = STATE(1749),
    [sym_preproc_pragma] = STATE(1749),
    [sym_preproc_nullable] = STATE(1749),
    [sym_preproc_error] = STATE(1749),
    [sym_preproc_define] = STATE(1749),
    [sym_preproc_undef] = STATE(1749),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1750] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5512),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1750),
    [sym_preproc_endregion] = STATE(1750),
    [sym_preproc_line] = STATE(1750),
    [sym_preproc_pragma] = STATE(1750),
    [sym_preproc_nullable] = STATE(1750),
    [sym_preproc_error] = STATE(1750),
    [sym_preproc_define] = STATE(1750),
    [sym_preproc_undef] = STATE(1750),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1751] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5762),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1751),
    [sym_preproc_endregion] = STATE(1751),
    [sym_preproc_line] = STATE(1751),
    [sym_preproc_pragma] = STATE(1751),
    [sym_preproc_nullable] = STATE(1751),
    [sym_preproc_error] = STATE(1751),
    [sym_preproc_define] = STATE(1751),
    [sym_preproc_undef] = STATE(1751),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1752] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5968),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1752),
    [sym_preproc_endregion] = STATE(1752),
    [sym_preproc_line] = STATE(1752),
    [sym_preproc_pragma] = STATE(1752),
    [sym_preproc_nullable] = STATE(1752),
    [sym_preproc_error] = STATE(1752),
    [sym_preproc_define] = STATE(1752),
    [sym_preproc_undef] = STATE(1752),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1753] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5763),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1753),
    [sym_preproc_endregion] = STATE(1753),
    [sym_preproc_line] = STATE(1753),
    [sym_preproc_pragma] = STATE(1753),
    [sym_preproc_nullable] = STATE(1753),
    [sym_preproc_error] = STATE(1753),
    [sym_preproc_define] = STATE(1753),
    [sym_preproc_undef] = STATE(1753),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1754] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5764),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1754),
    [sym_preproc_endregion] = STATE(1754),
    [sym_preproc_line] = STATE(1754),
    [sym_preproc_pragma] = STATE(1754),
    [sym_preproc_nullable] = STATE(1754),
    [sym_preproc_error] = STATE(1754),
    [sym_preproc_define] = STATE(1754),
    [sym_preproc_undef] = STATE(1754),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1755] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5765),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1755),
    [sym_preproc_endregion] = STATE(1755),
    [sym_preproc_line] = STATE(1755),
    [sym_preproc_pragma] = STATE(1755),
    [sym_preproc_nullable] = STATE(1755),
    [sym_preproc_error] = STATE(1755),
    [sym_preproc_define] = STATE(1755),
    [sym_preproc_undef] = STATE(1755),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1756] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5766),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1756),
    [sym_preproc_endregion] = STATE(1756),
    [sym_preproc_line] = STATE(1756),
    [sym_preproc_pragma] = STATE(1756),
    [sym_preproc_nullable] = STATE(1756),
    [sym_preproc_error] = STATE(1756),
    [sym_preproc_define] = STATE(1756),
    [sym_preproc_undef] = STATE(1756),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1757] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6595),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1757),
    [sym_preproc_endregion] = STATE(1757),
    [sym_preproc_line] = STATE(1757),
    [sym_preproc_pragma] = STATE(1757),
    [sym_preproc_nullable] = STATE(1757),
    [sym_preproc_error] = STATE(1757),
    [sym_preproc_define] = STATE(1757),
    [sym_preproc_undef] = STATE(1757),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1758] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3868),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1758),
    [sym_preproc_endregion] = STATE(1758),
    [sym_preproc_line] = STATE(1758),
    [sym_preproc_pragma] = STATE(1758),
    [sym_preproc_nullable] = STATE(1758),
    [sym_preproc_error] = STATE(1758),
    [sym_preproc_define] = STATE(1758),
    [sym_preproc_undef] = STATE(1758),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1759] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5770),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1759),
    [sym_preproc_endregion] = STATE(1759),
    [sym_preproc_line] = STATE(1759),
    [sym_preproc_pragma] = STATE(1759),
    [sym_preproc_nullable] = STATE(1759),
    [sym_preproc_error] = STATE(1759),
    [sym_preproc_define] = STATE(1759),
    [sym_preproc_undef] = STATE(1759),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1760] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7039),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3823),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9121),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1760),
    [sym_preproc_endregion] = STATE(1760),
    [sym_preproc_line] = STATE(1760),
    [sym_preproc_pragma] = STATE(1760),
    [sym_preproc_nullable] = STATE(1760),
    [sym_preproc_error] = STATE(1760),
    [sym_preproc_define] = STATE(1760),
    [sym_preproc_undef] = STATE(1760),
    [aux_sym_class_declaration_repeat1] = STATE(3836),
    [aux_sym_lambda_expression_repeat1] = STATE(4172),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_ref] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1081),
    [anon_sym_DASH_DASH] = ACTIONS(1081),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1083),
    [anon_sym_DASH] = ACTIONS(1083),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1081),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1339),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1761] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1761),
    [sym_preproc_endregion] = STATE(1761),
    [sym_preproc_line] = STATE(1761),
    [sym_preproc_pragma] = STATE(1761),
    [sym_preproc_nullable] = STATE(1761),
    [sym_preproc_error] = STATE(1761),
    [sym_preproc_define] = STATE(1761),
    [sym_preproc_undef] = STATE(1761),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1762] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6458),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1762),
    [sym_preproc_endregion] = STATE(1762),
    [sym_preproc_line] = STATE(1762),
    [sym_preproc_pragma] = STATE(1762),
    [sym_preproc_nullable] = STATE(1762),
    [sym_preproc_error] = STATE(1762),
    [sym_preproc_define] = STATE(1762),
    [sym_preproc_undef] = STATE(1762),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1763] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1763),
    [sym_preproc_endregion] = STATE(1763),
    [sym_preproc_line] = STATE(1763),
    [sym_preproc_pragma] = STATE(1763),
    [sym_preproc_nullable] = STATE(1763),
    [sym_preproc_error] = STATE(1763),
    [sym_preproc_define] = STATE(1763),
    [sym_preproc_undef] = STATE(1763),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1764] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6605),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1764),
    [sym_preproc_endregion] = STATE(1764),
    [sym_preproc_line] = STATE(1764),
    [sym_preproc_pragma] = STATE(1764),
    [sym_preproc_nullable] = STATE(1764),
    [sym_preproc_error] = STATE(1764),
    [sym_preproc_define] = STATE(1764),
    [sym_preproc_undef] = STATE(1764),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1765] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6607),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1765),
    [sym_preproc_endregion] = STATE(1765),
    [sym_preproc_line] = STATE(1765),
    [sym_preproc_pragma] = STATE(1765),
    [sym_preproc_nullable] = STATE(1765),
    [sym_preproc_error] = STATE(1765),
    [sym_preproc_define] = STATE(1765),
    [sym_preproc_undef] = STATE(1765),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1766] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6608),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1766),
    [sym_preproc_endregion] = STATE(1766),
    [sym_preproc_line] = STATE(1766),
    [sym_preproc_pragma] = STATE(1766),
    [sym_preproc_nullable] = STATE(1766),
    [sym_preproc_error] = STATE(1766),
    [sym_preproc_define] = STATE(1766),
    [sym_preproc_undef] = STATE(1766),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1767] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6609),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1767),
    [sym_preproc_endregion] = STATE(1767),
    [sym_preproc_line] = STATE(1767),
    [sym_preproc_pragma] = STATE(1767),
    [sym_preproc_nullable] = STATE(1767),
    [sym_preproc_error] = STATE(1767),
    [sym_preproc_define] = STATE(1767),
    [sym_preproc_undef] = STATE(1767),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1768] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6610),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1768),
    [sym_preproc_endregion] = STATE(1768),
    [sym_preproc_line] = STATE(1768),
    [sym_preproc_pragma] = STATE(1768),
    [sym_preproc_nullable] = STATE(1768),
    [sym_preproc_error] = STATE(1768),
    [sym_preproc_define] = STATE(1768),
    [sym_preproc_undef] = STATE(1768),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1769] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6611),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1769),
    [sym_preproc_endregion] = STATE(1769),
    [sym_preproc_line] = STATE(1769),
    [sym_preproc_pragma] = STATE(1769),
    [sym_preproc_nullable] = STATE(1769),
    [sym_preproc_error] = STATE(1769),
    [sym_preproc_define] = STATE(1769),
    [sym_preproc_undef] = STATE(1769),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1770] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6612),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1770),
    [sym_preproc_endregion] = STATE(1770),
    [sym_preproc_line] = STATE(1770),
    [sym_preproc_pragma] = STATE(1770),
    [sym_preproc_nullable] = STATE(1770),
    [sym_preproc_error] = STATE(1770),
    [sym_preproc_define] = STATE(1770),
    [sym_preproc_undef] = STATE(1770),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1771] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6613),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1771),
    [sym_preproc_endregion] = STATE(1771),
    [sym_preproc_line] = STATE(1771),
    [sym_preproc_pragma] = STATE(1771),
    [sym_preproc_nullable] = STATE(1771),
    [sym_preproc_error] = STATE(1771),
    [sym_preproc_define] = STATE(1771),
    [sym_preproc_undef] = STATE(1771),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1772] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6615),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1772),
    [sym_preproc_endregion] = STATE(1772),
    [sym_preproc_line] = STATE(1772),
    [sym_preproc_pragma] = STATE(1772),
    [sym_preproc_nullable] = STATE(1772),
    [sym_preproc_error] = STATE(1772),
    [sym_preproc_define] = STATE(1772),
    [sym_preproc_undef] = STATE(1772),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1773] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6616),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1773),
    [sym_preproc_endregion] = STATE(1773),
    [sym_preproc_line] = STATE(1773),
    [sym_preproc_pragma] = STATE(1773),
    [sym_preproc_nullable] = STATE(1773),
    [sym_preproc_error] = STATE(1773),
    [sym_preproc_define] = STATE(1773),
    [sym_preproc_undef] = STATE(1773),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1774] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6617),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1774),
    [sym_preproc_endregion] = STATE(1774),
    [sym_preproc_line] = STATE(1774),
    [sym_preproc_pragma] = STATE(1774),
    [sym_preproc_nullable] = STATE(1774),
    [sym_preproc_error] = STATE(1774),
    [sym_preproc_define] = STATE(1774),
    [sym_preproc_undef] = STATE(1774),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1775] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6460),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1775),
    [sym_preproc_endregion] = STATE(1775),
    [sym_preproc_line] = STATE(1775),
    [sym_preproc_pragma] = STATE(1775),
    [sym_preproc_nullable] = STATE(1775),
    [sym_preproc_error] = STATE(1775),
    [sym_preproc_define] = STATE(1775),
    [sym_preproc_undef] = STATE(1775),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1776] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6274),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1776),
    [sym_preproc_endregion] = STATE(1776),
    [sym_preproc_line] = STATE(1776),
    [sym_preproc_pragma] = STATE(1776),
    [sym_preproc_nullable] = STATE(1776),
    [sym_preproc_error] = STATE(1776),
    [sym_preproc_define] = STATE(1776),
    [sym_preproc_undef] = STATE(1776),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1777] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1777),
    [sym_preproc_endregion] = STATE(1777),
    [sym_preproc_line] = STATE(1777),
    [sym_preproc_pragma] = STATE(1777),
    [sym_preproc_nullable] = STATE(1777),
    [sym_preproc_error] = STATE(1777),
    [sym_preproc_define] = STATE(1777),
    [sym_preproc_undef] = STATE(1777),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1778] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6016),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1778),
    [sym_preproc_endregion] = STATE(1778),
    [sym_preproc_line] = STATE(1778),
    [sym_preproc_pragma] = STATE(1778),
    [sym_preproc_nullable] = STATE(1778),
    [sym_preproc_error] = STATE(1778),
    [sym_preproc_define] = STATE(1778),
    [sym_preproc_undef] = STATE(1778),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1779] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6623),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1779),
    [sym_preproc_endregion] = STATE(1779),
    [sym_preproc_line] = STATE(1779),
    [sym_preproc_pragma] = STATE(1779),
    [sym_preproc_nullable] = STATE(1779),
    [sym_preproc_error] = STATE(1779),
    [sym_preproc_define] = STATE(1779),
    [sym_preproc_undef] = STATE(1779),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1780] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6280),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1780),
    [sym_preproc_endregion] = STATE(1780),
    [sym_preproc_line] = STATE(1780),
    [sym_preproc_pragma] = STATE(1780),
    [sym_preproc_nullable] = STATE(1780),
    [sym_preproc_error] = STATE(1780),
    [sym_preproc_define] = STATE(1780),
    [sym_preproc_undef] = STATE(1780),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1781] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6062),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1781),
    [sym_preproc_endregion] = STATE(1781),
    [sym_preproc_line] = STATE(1781),
    [sym_preproc_pragma] = STATE(1781),
    [sym_preproc_nullable] = STATE(1781),
    [sym_preproc_error] = STATE(1781),
    [sym_preproc_define] = STATE(1781),
    [sym_preproc_undef] = STATE(1781),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1782] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6063),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1782),
    [sym_preproc_endregion] = STATE(1782),
    [sym_preproc_line] = STATE(1782),
    [sym_preproc_pragma] = STATE(1782),
    [sym_preproc_nullable] = STATE(1782),
    [sym_preproc_error] = STATE(1782),
    [sym_preproc_define] = STATE(1782),
    [sym_preproc_undef] = STATE(1782),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1783] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6011),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1783),
    [sym_preproc_endregion] = STATE(1783),
    [sym_preproc_line] = STATE(1783),
    [sym_preproc_pragma] = STATE(1783),
    [sym_preproc_nullable] = STATE(1783),
    [sym_preproc_error] = STATE(1783),
    [sym_preproc_define] = STATE(1783),
    [sym_preproc_undef] = STATE(1783),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1784] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6067),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1784),
    [sym_preproc_endregion] = STATE(1784),
    [sym_preproc_line] = STATE(1784),
    [sym_preproc_pragma] = STATE(1784),
    [sym_preproc_nullable] = STATE(1784),
    [sym_preproc_error] = STATE(1784),
    [sym_preproc_define] = STATE(1784),
    [sym_preproc_undef] = STATE(1784),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1785] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6071),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1785),
    [sym_preproc_endregion] = STATE(1785),
    [sym_preproc_line] = STATE(1785),
    [sym_preproc_pragma] = STATE(1785),
    [sym_preproc_nullable] = STATE(1785),
    [sym_preproc_error] = STATE(1785),
    [sym_preproc_define] = STATE(1785),
    [sym_preproc_undef] = STATE(1785),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1786] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6072),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1786),
    [sym_preproc_endregion] = STATE(1786),
    [sym_preproc_line] = STATE(1786),
    [sym_preproc_pragma] = STATE(1786),
    [sym_preproc_nullable] = STATE(1786),
    [sym_preproc_error] = STATE(1786),
    [sym_preproc_define] = STATE(1786),
    [sym_preproc_undef] = STATE(1786),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1787] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6073),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1787),
    [sym_preproc_endregion] = STATE(1787),
    [sym_preproc_line] = STATE(1787),
    [sym_preproc_pragma] = STATE(1787),
    [sym_preproc_nullable] = STATE(1787),
    [sym_preproc_error] = STATE(1787),
    [sym_preproc_define] = STATE(1787),
    [sym_preproc_undef] = STATE(1787),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1788] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6074),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1788),
    [sym_preproc_endregion] = STATE(1788),
    [sym_preproc_line] = STATE(1788),
    [sym_preproc_pragma] = STATE(1788),
    [sym_preproc_nullable] = STATE(1788),
    [sym_preproc_error] = STATE(1788),
    [sym_preproc_define] = STATE(1788),
    [sym_preproc_undef] = STATE(1788),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1789] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6075),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1789),
    [sym_preproc_endregion] = STATE(1789),
    [sym_preproc_line] = STATE(1789),
    [sym_preproc_pragma] = STATE(1789),
    [sym_preproc_nullable] = STATE(1789),
    [sym_preproc_error] = STATE(1789),
    [sym_preproc_define] = STATE(1789),
    [sym_preproc_undef] = STATE(1789),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1790] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6076),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1790),
    [sym_preproc_endregion] = STATE(1790),
    [sym_preproc_line] = STATE(1790),
    [sym_preproc_pragma] = STATE(1790),
    [sym_preproc_nullable] = STATE(1790),
    [sym_preproc_error] = STATE(1790),
    [sym_preproc_define] = STATE(1790),
    [sym_preproc_undef] = STATE(1790),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1791] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6077),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1791),
    [sym_preproc_endregion] = STATE(1791),
    [sym_preproc_line] = STATE(1791),
    [sym_preproc_pragma] = STATE(1791),
    [sym_preproc_nullable] = STATE(1791),
    [sym_preproc_error] = STATE(1791),
    [sym_preproc_define] = STATE(1791),
    [sym_preproc_undef] = STATE(1791),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1792] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1792),
    [sym_preproc_endregion] = STATE(1792),
    [sym_preproc_line] = STATE(1792),
    [sym_preproc_pragma] = STATE(1792),
    [sym_preproc_nullable] = STATE(1792),
    [sym_preproc_error] = STATE(1792),
    [sym_preproc_define] = STATE(1792),
    [sym_preproc_undef] = STATE(1792),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1793] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6078),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1793),
    [sym_preproc_endregion] = STATE(1793),
    [sym_preproc_line] = STATE(1793),
    [sym_preproc_pragma] = STATE(1793),
    [sym_preproc_nullable] = STATE(1793),
    [sym_preproc_error] = STATE(1793),
    [sym_preproc_define] = STATE(1793),
    [sym_preproc_undef] = STATE(1793),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1794] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1794),
    [sym_preproc_endregion] = STATE(1794),
    [sym_preproc_line] = STATE(1794),
    [sym_preproc_pragma] = STATE(1794),
    [sym_preproc_nullable] = STATE(1794),
    [sym_preproc_error] = STATE(1794),
    [sym_preproc_define] = STATE(1794),
    [sym_preproc_undef] = STATE(1794),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1795] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6080),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1795),
    [sym_preproc_endregion] = STATE(1795),
    [sym_preproc_line] = STATE(1795),
    [sym_preproc_pragma] = STATE(1795),
    [sym_preproc_nullable] = STATE(1795),
    [sym_preproc_error] = STATE(1795),
    [sym_preproc_define] = STATE(1795),
    [sym_preproc_undef] = STATE(1795),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1796] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6085),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1796),
    [sym_preproc_endregion] = STATE(1796),
    [sym_preproc_line] = STATE(1796),
    [sym_preproc_pragma] = STATE(1796),
    [sym_preproc_nullable] = STATE(1796),
    [sym_preproc_error] = STATE(1796),
    [sym_preproc_define] = STATE(1796),
    [sym_preproc_undef] = STATE(1796),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1797] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7140),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4139),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7419),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9713),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1797),
    [sym_preproc_endregion] = STATE(1797),
    [sym_preproc_line] = STATE(1797),
    [sym_preproc_pragma] = STATE(1797),
    [sym_preproc_nullable] = STATE(1797),
    [sym_preproc_error] = STATE(1797),
    [sym_preproc_define] = STATE(1797),
    [sym_preproc_undef] = STATE(1797),
    [aux_sym_class_declaration_repeat1] = STATE(3838),
    [aux_sym_lambda_expression_repeat1] = STATE(4188),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1793),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1795),
    [anon_sym_DOT_DOT] = ACTIONS(1797),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1798] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6717),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3019),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1798),
    [sym_preproc_endregion] = STATE(1798),
    [sym_preproc_line] = STATE(1798),
    [sym_preproc_pragma] = STATE(1798),
    [sym_preproc_nullable] = STATE(1798),
    [sym_preproc_error] = STATE(1798),
    [sym_preproc_define] = STATE(1798),
    [sym_preproc_undef] = STATE(1798),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1799] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6316),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1799),
    [sym_preproc_endregion] = STATE(1799),
    [sym_preproc_line] = STATE(1799),
    [sym_preproc_pragma] = STATE(1799),
    [sym_preproc_nullable] = STATE(1799),
    [sym_preproc_error] = STATE(1799),
    [sym_preproc_define] = STATE(1799),
    [sym_preproc_undef] = STATE(1799),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1800] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1800),
    [sym_preproc_endregion] = STATE(1800),
    [sym_preproc_line] = STATE(1800),
    [sym_preproc_pragma] = STATE(1800),
    [sym_preproc_nullable] = STATE(1800),
    [sym_preproc_error] = STATE(1800),
    [sym_preproc_define] = STATE(1800),
    [sym_preproc_undef] = STATE(1800),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1801] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6666),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1801),
    [sym_preproc_endregion] = STATE(1801),
    [sym_preproc_line] = STATE(1801),
    [sym_preproc_pragma] = STATE(1801),
    [sym_preproc_nullable] = STATE(1801),
    [sym_preproc_error] = STATE(1801),
    [sym_preproc_define] = STATE(1801),
    [sym_preproc_undef] = STATE(1801),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1802] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6668),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1802),
    [sym_preproc_endregion] = STATE(1802),
    [sym_preproc_line] = STATE(1802),
    [sym_preproc_pragma] = STATE(1802),
    [sym_preproc_nullable] = STATE(1802),
    [sym_preproc_error] = STATE(1802),
    [sym_preproc_define] = STATE(1802),
    [sym_preproc_undef] = STATE(1802),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1803] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6669),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1803),
    [sym_preproc_endregion] = STATE(1803),
    [sym_preproc_line] = STATE(1803),
    [sym_preproc_pragma] = STATE(1803),
    [sym_preproc_nullable] = STATE(1803),
    [sym_preproc_error] = STATE(1803),
    [sym_preproc_define] = STATE(1803),
    [sym_preproc_undef] = STATE(1803),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1804] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6670),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1804),
    [sym_preproc_endregion] = STATE(1804),
    [sym_preproc_line] = STATE(1804),
    [sym_preproc_pragma] = STATE(1804),
    [sym_preproc_nullable] = STATE(1804),
    [sym_preproc_error] = STATE(1804),
    [sym_preproc_define] = STATE(1804),
    [sym_preproc_undef] = STATE(1804),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1805] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6671),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1805),
    [sym_preproc_endregion] = STATE(1805),
    [sym_preproc_line] = STATE(1805),
    [sym_preproc_pragma] = STATE(1805),
    [sym_preproc_nullable] = STATE(1805),
    [sym_preproc_error] = STATE(1805),
    [sym_preproc_define] = STATE(1805),
    [sym_preproc_undef] = STATE(1805),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1806] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6676),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1806),
    [sym_preproc_endregion] = STATE(1806),
    [sym_preproc_line] = STATE(1806),
    [sym_preproc_pragma] = STATE(1806),
    [sym_preproc_nullable] = STATE(1806),
    [sym_preproc_error] = STATE(1806),
    [sym_preproc_define] = STATE(1806),
    [sym_preproc_undef] = STATE(1806),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1807] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6677),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1807),
    [sym_preproc_endregion] = STATE(1807),
    [sym_preproc_line] = STATE(1807),
    [sym_preproc_pragma] = STATE(1807),
    [sym_preproc_nullable] = STATE(1807),
    [sym_preproc_error] = STATE(1807),
    [sym_preproc_define] = STATE(1807),
    [sym_preproc_undef] = STATE(1807),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1808] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6678),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1808),
    [sym_preproc_endregion] = STATE(1808),
    [sym_preproc_line] = STATE(1808),
    [sym_preproc_pragma] = STATE(1808),
    [sym_preproc_nullable] = STATE(1808),
    [sym_preproc_error] = STATE(1808),
    [sym_preproc_define] = STATE(1808),
    [sym_preproc_undef] = STATE(1808),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1809] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6680),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1809),
    [sym_preproc_endregion] = STATE(1809),
    [sym_preproc_line] = STATE(1809),
    [sym_preproc_pragma] = STATE(1809),
    [sym_preproc_nullable] = STATE(1809),
    [sym_preproc_error] = STATE(1809),
    [sym_preproc_define] = STATE(1809),
    [sym_preproc_undef] = STATE(1809),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1810] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6637),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1810),
    [sym_preproc_endregion] = STATE(1810),
    [sym_preproc_line] = STATE(1810),
    [sym_preproc_pragma] = STATE(1810),
    [sym_preproc_nullable] = STATE(1810),
    [sym_preproc_error] = STATE(1810),
    [sym_preproc_define] = STATE(1810),
    [sym_preproc_undef] = STATE(1810),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1811] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6513),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1811),
    [sym_preproc_endregion] = STATE(1811),
    [sym_preproc_line] = STATE(1811),
    [sym_preproc_pragma] = STATE(1811),
    [sym_preproc_nullable] = STATE(1811),
    [sym_preproc_error] = STATE(1811),
    [sym_preproc_define] = STATE(1811),
    [sym_preproc_undef] = STATE(1811),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1812] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6342),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1812),
    [sym_preproc_endregion] = STATE(1812),
    [sym_preproc_line] = STATE(1812),
    [sym_preproc_pragma] = STATE(1812),
    [sym_preproc_nullable] = STATE(1812),
    [sym_preproc_error] = STATE(1812),
    [sym_preproc_define] = STATE(1812),
    [sym_preproc_undef] = STATE(1812),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1813] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6295),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1813),
    [sym_preproc_endregion] = STATE(1813),
    [sym_preproc_line] = STATE(1813),
    [sym_preproc_pragma] = STATE(1813),
    [sym_preproc_nullable] = STATE(1813),
    [sym_preproc_error] = STATE(1813),
    [sym_preproc_define] = STATE(1813),
    [sym_preproc_undef] = STATE(1813),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1814] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1814),
    [sym_preproc_endregion] = STATE(1814),
    [sym_preproc_line] = STATE(1814),
    [sym_preproc_pragma] = STATE(1814),
    [sym_preproc_nullable] = STATE(1814),
    [sym_preproc_error] = STATE(1814),
    [sym_preproc_define] = STATE(1814),
    [sym_preproc_undef] = STATE(1814),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1815] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6019),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1815),
    [sym_preproc_endregion] = STATE(1815),
    [sym_preproc_line] = STATE(1815),
    [sym_preproc_pragma] = STATE(1815),
    [sym_preproc_nullable] = STATE(1815),
    [sym_preproc_error] = STATE(1815),
    [sym_preproc_define] = STATE(1815),
    [sym_preproc_undef] = STATE(1815),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1816] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6310),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1816),
    [sym_preproc_endregion] = STATE(1816),
    [sym_preproc_line] = STATE(1816),
    [sym_preproc_pragma] = STATE(1816),
    [sym_preproc_nullable] = STATE(1816),
    [sym_preproc_error] = STATE(1816),
    [sym_preproc_define] = STATE(1816),
    [sym_preproc_undef] = STATE(1816),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1817] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6118),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1817),
    [sym_preproc_endregion] = STATE(1817),
    [sym_preproc_line] = STATE(1817),
    [sym_preproc_pragma] = STATE(1817),
    [sym_preproc_nullable] = STATE(1817),
    [sym_preproc_error] = STATE(1817),
    [sym_preproc_define] = STATE(1817),
    [sym_preproc_undef] = STATE(1817),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1818] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5784),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1818),
    [sym_preproc_endregion] = STATE(1818),
    [sym_preproc_line] = STATE(1818),
    [sym_preproc_pragma] = STATE(1818),
    [sym_preproc_nullable] = STATE(1818),
    [sym_preproc_error] = STATE(1818),
    [sym_preproc_define] = STATE(1818),
    [sym_preproc_undef] = STATE(1818),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1819] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5785),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1819),
    [sym_preproc_endregion] = STATE(1819),
    [sym_preproc_line] = STATE(1819),
    [sym_preproc_pragma] = STATE(1819),
    [sym_preproc_nullable] = STATE(1819),
    [sym_preproc_error] = STATE(1819),
    [sym_preproc_define] = STATE(1819),
    [sym_preproc_undef] = STATE(1819),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1820] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6017),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1820),
    [sym_preproc_endregion] = STATE(1820),
    [sym_preproc_line] = STATE(1820),
    [sym_preproc_pragma] = STATE(1820),
    [sym_preproc_nullable] = STATE(1820),
    [sym_preproc_error] = STATE(1820),
    [sym_preproc_define] = STATE(1820),
    [sym_preproc_undef] = STATE(1820),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1821] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5786),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1821),
    [sym_preproc_endregion] = STATE(1821),
    [sym_preproc_line] = STATE(1821),
    [sym_preproc_pragma] = STATE(1821),
    [sym_preproc_nullable] = STATE(1821),
    [sym_preproc_error] = STATE(1821),
    [sym_preproc_define] = STATE(1821),
    [sym_preproc_undef] = STATE(1821),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1822] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5787),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1822),
    [sym_preproc_endregion] = STATE(1822),
    [sym_preproc_line] = STATE(1822),
    [sym_preproc_pragma] = STATE(1822),
    [sym_preproc_nullable] = STATE(1822),
    [sym_preproc_error] = STATE(1822),
    [sym_preproc_define] = STATE(1822),
    [sym_preproc_undef] = STATE(1822),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1823] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5788),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1823),
    [sym_preproc_endregion] = STATE(1823),
    [sym_preproc_line] = STATE(1823),
    [sym_preproc_pragma] = STATE(1823),
    [sym_preproc_nullable] = STATE(1823),
    [sym_preproc_error] = STATE(1823),
    [sym_preproc_define] = STATE(1823),
    [sym_preproc_undef] = STATE(1823),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1824] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5789),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1824),
    [sym_preproc_endregion] = STATE(1824),
    [sym_preproc_line] = STATE(1824),
    [sym_preproc_pragma] = STATE(1824),
    [sym_preproc_nullable] = STATE(1824),
    [sym_preproc_error] = STATE(1824),
    [sym_preproc_define] = STATE(1824),
    [sym_preproc_undef] = STATE(1824),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1825] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5790),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1825),
    [sym_preproc_endregion] = STATE(1825),
    [sym_preproc_line] = STATE(1825),
    [sym_preproc_pragma] = STATE(1825),
    [sym_preproc_nullable] = STATE(1825),
    [sym_preproc_error] = STATE(1825),
    [sym_preproc_define] = STATE(1825),
    [sym_preproc_undef] = STATE(1825),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1826] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5791),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1826),
    [sym_preproc_endregion] = STATE(1826),
    [sym_preproc_line] = STATE(1826),
    [sym_preproc_pragma] = STATE(1826),
    [sym_preproc_nullable] = STATE(1826),
    [sym_preproc_error] = STATE(1826),
    [sym_preproc_define] = STATE(1826),
    [sym_preproc_undef] = STATE(1826),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1827] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5792),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1827),
    [sym_preproc_endregion] = STATE(1827),
    [sym_preproc_line] = STATE(1827),
    [sym_preproc_pragma] = STATE(1827),
    [sym_preproc_nullable] = STATE(1827),
    [sym_preproc_error] = STATE(1827),
    [sym_preproc_define] = STATE(1827),
    [sym_preproc_undef] = STATE(1827),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1828] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5793),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1828),
    [sym_preproc_endregion] = STATE(1828),
    [sym_preproc_line] = STATE(1828),
    [sym_preproc_pragma] = STATE(1828),
    [sym_preproc_nullable] = STATE(1828),
    [sym_preproc_error] = STATE(1828),
    [sym_preproc_define] = STATE(1828),
    [sym_preproc_undef] = STATE(1828),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1829] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1829),
    [sym_preproc_endregion] = STATE(1829),
    [sym_preproc_line] = STATE(1829),
    [sym_preproc_pragma] = STATE(1829),
    [sym_preproc_nullable] = STATE(1829),
    [sym_preproc_error] = STATE(1829),
    [sym_preproc_define] = STATE(1829),
    [sym_preproc_undef] = STATE(1829),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1830] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5796),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1830),
    [sym_preproc_endregion] = STATE(1830),
    [sym_preproc_line] = STATE(1830),
    [sym_preproc_pragma] = STATE(1830),
    [sym_preproc_nullable] = STATE(1830),
    [sym_preproc_error] = STATE(1830),
    [sym_preproc_define] = STATE(1830),
    [sym_preproc_undef] = STATE(1830),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1831] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1831),
    [sym_preproc_endregion] = STATE(1831),
    [sym_preproc_line] = STATE(1831),
    [sym_preproc_pragma] = STATE(1831),
    [sym_preproc_nullable] = STATE(1831),
    [sym_preproc_error] = STATE(1831),
    [sym_preproc_define] = STATE(1831),
    [sym_preproc_undef] = STATE(1831),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1832] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4871),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1832),
    [sym_preproc_endregion] = STATE(1832),
    [sym_preproc_line] = STATE(1832),
    [sym_preproc_pragma] = STATE(1832),
    [sym_preproc_nullable] = STATE(1832),
    [sym_preproc_error] = STATE(1832),
    [sym_preproc_define] = STATE(1832),
    [sym_preproc_undef] = STATE(1832),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1833] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5798),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1833),
    [sym_preproc_endregion] = STATE(1833),
    [sym_preproc_line] = STATE(1833),
    [sym_preproc_pragma] = STATE(1833),
    [sym_preproc_nullable] = STATE(1833),
    [sym_preproc_error] = STATE(1833),
    [sym_preproc_define] = STATE(1833),
    [sym_preproc_undef] = STATE(1833),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1834] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1834),
    [sym_preproc_endregion] = STATE(1834),
    [sym_preproc_line] = STATE(1834),
    [sym_preproc_pragma] = STATE(1834),
    [sym_preproc_nullable] = STATE(1834),
    [sym_preproc_error] = STATE(1834),
    [sym_preproc_define] = STATE(1834),
    [sym_preproc_undef] = STATE(1834),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1835] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5802),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1835),
    [sym_preproc_endregion] = STATE(1835),
    [sym_preproc_line] = STATE(1835),
    [sym_preproc_pragma] = STATE(1835),
    [sym_preproc_nullable] = STATE(1835),
    [sym_preproc_error] = STATE(1835),
    [sym_preproc_define] = STATE(1835),
    [sym_preproc_undef] = STATE(1835),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1836] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7037),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3944),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9139),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1836),
    [sym_preproc_endregion] = STATE(1836),
    [sym_preproc_line] = STATE(1836),
    [sym_preproc_pragma] = STATE(1836),
    [sym_preproc_nullable] = STATE(1836),
    [sym_preproc_error] = STATE(1836),
    [sym_preproc_define] = STATE(1836),
    [sym_preproc_undef] = STATE(1836),
    [aux_sym_class_declaration_repeat1] = STATE(3839),
    [aux_sym_lambda_expression_repeat1] = STATE(4190),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_ref] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1127),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1395),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1837] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6938),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1837),
    [sym_preproc_endregion] = STATE(1837),
    [sym_preproc_line] = STATE(1837),
    [sym_preproc_pragma] = STATE(1837),
    [sym_preproc_nullable] = STATE(1837),
    [sym_preproc_error] = STATE(1837),
    [sym_preproc_define] = STATE(1837),
    [sym_preproc_undef] = STATE(1837),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1838] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5355),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1838),
    [sym_preproc_endregion] = STATE(1838),
    [sym_preproc_line] = STATE(1838),
    [sym_preproc_pragma] = STATE(1838),
    [sym_preproc_nullable] = STATE(1838),
    [sym_preproc_error] = STATE(1838),
    [sym_preproc_define] = STATE(1838),
    [sym_preproc_undef] = STATE(1838),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1839] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5356),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1839),
    [sym_preproc_endregion] = STATE(1839),
    [sym_preproc_line] = STATE(1839),
    [sym_preproc_pragma] = STATE(1839),
    [sym_preproc_nullable] = STATE(1839),
    [sym_preproc_error] = STATE(1839),
    [sym_preproc_define] = STATE(1839),
    [sym_preproc_undef] = STATE(1839),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1840] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4875),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1840),
    [sym_preproc_endregion] = STATE(1840),
    [sym_preproc_line] = STATE(1840),
    [sym_preproc_pragma] = STATE(1840),
    [sym_preproc_nullable] = STATE(1840),
    [sym_preproc_error] = STATE(1840),
    [sym_preproc_define] = STATE(1840),
    [sym_preproc_undef] = STATE(1840),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1841] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7029),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4158),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7415),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9498),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1841),
    [sym_preproc_endregion] = STATE(1841),
    [sym_preproc_line] = STATE(1841),
    [sym_preproc_pragma] = STATE(1841),
    [sym_preproc_nullable] = STATE(1841),
    [sym_preproc_error] = STATE(1841),
    [sym_preproc_define] = STATE(1841),
    [sym_preproc_undef] = STATE(1841),
    [aux_sym_class_declaration_repeat1] = STATE(3878),
    [aux_sym_lambda_expression_repeat1] = STATE(4201),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_ref] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1643),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1647),
    [anon_sym_TILDE] = ACTIONS(1647),
    [anon_sym_PLUS_PLUS] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1647),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1647),
    [anon_sym_AMP] = ACTIONS(1647),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1651),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1653),
    [anon_sym_DOT_DOT] = ACTIONS(1655),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1842] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1842),
    [sym_preproc_endregion] = STATE(1842),
    [sym_preproc_line] = STATE(1842),
    [sym_preproc_pragma] = STATE(1842),
    [sym_preproc_nullable] = STATE(1842),
    [sym_preproc_error] = STATE(1842),
    [sym_preproc_define] = STATE(1842),
    [sym_preproc_undef] = STATE(1842),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1843] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4815),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1843),
    [sym_preproc_endregion] = STATE(1843),
    [sym_preproc_line] = STATE(1843),
    [sym_preproc_pragma] = STATE(1843),
    [sym_preproc_nullable] = STATE(1843),
    [sym_preproc_error] = STATE(1843),
    [sym_preproc_define] = STATE(1843),
    [sym_preproc_undef] = STATE(1843),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1844] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6170),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1844),
    [sym_preproc_endregion] = STATE(1844),
    [sym_preproc_line] = STATE(1844),
    [sym_preproc_pragma] = STATE(1844),
    [sym_preproc_nullable] = STATE(1844),
    [sym_preproc_error] = STATE(1844),
    [sym_preproc_define] = STATE(1844),
    [sym_preproc_undef] = STATE(1844),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1845] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4903),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1845),
    [sym_preproc_endregion] = STATE(1845),
    [sym_preproc_line] = STATE(1845),
    [sym_preproc_pragma] = STATE(1845),
    [sym_preproc_nullable] = STATE(1845),
    [sym_preproc_error] = STATE(1845),
    [sym_preproc_define] = STATE(1845),
    [sym_preproc_undef] = STATE(1845),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1846] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6151),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1846),
    [sym_preproc_endregion] = STATE(1846),
    [sym_preproc_line] = STATE(1846),
    [sym_preproc_pragma] = STATE(1846),
    [sym_preproc_nullable] = STATE(1846),
    [sym_preproc_error] = STATE(1846),
    [sym_preproc_define] = STATE(1846),
    [sym_preproc_undef] = STATE(1846),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1847] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4766),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1847),
    [sym_preproc_endregion] = STATE(1847),
    [sym_preproc_line] = STATE(1847),
    [sym_preproc_pragma] = STATE(1847),
    [sym_preproc_nullable] = STATE(1847),
    [sym_preproc_error] = STATE(1847),
    [sym_preproc_define] = STATE(1847),
    [sym_preproc_undef] = STATE(1847),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1848] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4805),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1848),
    [sym_preproc_endregion] = STATE(1848),
    [sym_preproc_line] = STATE(1848),
    [sym_preproc_pragma] = STATE(1848),
    [sym_preproc_nullable] = STATE(1848),
    [sym_preproc_error] = STATE(1848),
    [sym_preproc_define] = STATE(1848),
    [sym_preproc_undef] = STATE(1848),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1849] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7068),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4330),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7431),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9540),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1849),
    [sym_preproc_endregion] = STATE(1849),
    [sym_preproc_line] = STATE(1849),
    [sym_preproc_pragma] = STATE(1849),
    [sym_preproc_nullable] = STATE(1849),
    [sym_preproc_error] = STATE(1849),
    [sym_preproc_define] = STATE(1849),
    [sym_preproc_undef] = STATE(1849),
    [aux_sym_class_declaration_repeat1] = STATE(3846),
    [aux_sym_lambda_expression_repeat1] = STATE(4205),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1771),
    [anon_sym_DASH] = ACTIONS(1771),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1777),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1850] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6717),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3019),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1850),
    [sym_preproc_endregion] = STATE(1850),
    [sym_preproc_line] = STATE(1850),
    [sym_preproc_pragma] = STATE(1850),
    [sym_preproc_nullable] = STATE(1850),
    [sym_preproc_error] = STATE(1850),
    [sym_preproc_define] = STATE(1850),
    [sym_preproc_undef] = STATE(1850),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1851] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4923),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1851),
    [sym_preproc_endregion] = STATE(1851),
    [sym_preproc_line] = STATE(1851),
    [sym_preproc_pragma] = STATE(1851),
    [sym_preproc_nullable] = STATE(1851),
    [sym_preproc_error] = STATE(1851),
    [sym_preproc_define] = STATE(1851),
    [sym_preproc_undef] = STATE(1851),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1852] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5670),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1852),
    [sym_preproc_endregion] = STATE(1852),
    [sym_preproc_line] = STATE(1852),
    [sym_preproc_pragma] = STATE(1852),
    [sym_preproc_nullable] = STATE(1852),
    [sym_preproc_error] = STATE(1852),
    [sym_preproc_define] = STATE(1852),
    [sym_preproc_undef] = STATE(1852),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1853] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4933),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1853),
    [sym_preproc_endregion] = STATE(1853),
    [sym_preproc_line] = STATE(1853),
    [sym_preproc_pragma] = STATE(1853),
    [sym_preproc_nullable] = STATE(1853),
    [sym_preproc_error] = STATE(1853),
    [sym_preproc_define] = STATE(1853),
    [sym_preproc_undef] = STATE(1853),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1854] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5672),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1854),
    [sym_preproc_endregion] = STATE(1854),
    [sym_preproc_line] = STATE(1854),
    [sym_preproc_pragma] = STATE(1854),
    [sym_preproc_nullable] = STATE(1854),
    [sym_preproc_error] = STATE(1854),
    [sym_preproc_define] = STATE(1854),
    [sym_preproc_undef] = STATE(1854),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1855] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4744),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1855),
    [sym_preproc_endregion] = STATE(1855),
    [sym_preproc_line] = STATE(1855),
    [sym_preproc_pragma] = STATE(1855),
    [sym_preproc_nullable] = STATE(1855),
    [sym_preproc_error] = STATE(1855),
    [sym_preproc_define] = STATE(1855),
    [sym_preproc_undef] = STATE(1855),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1856] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6926),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7090),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3974),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7423),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9269),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1856),
    [sym_preproc_endregion] = STATE(1856),
    [sym_preproc_line] = STATE(1856),
    [sym_preproc_pragma] = STATE(1856),
    [sym_preproc_nullable] = STATE(1856),
    [sym_preproc_error] = STATE(1856),
    [sym_preproc_define] = STATE(1856),
    [sym_preproc_undef] = STATE(1856),
    [aux_sym_class_declaration_repeat1] = STATE(3837),
    [aux_sym_lambda_expression_repeat1] = STATE(4180),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_ref] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1501),
    [anon_sym_CARET] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1857] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1857),
    [sym_preproc_endregion] = STATE(1857),
    [sym_preproc_line] = STATE(1857),
    [sym_preproc_pragma] = STATE(1857),
    [sym_preproc_nullable] = STATE(1857),
    [sym_preproc_error] = STATE(1857),
    [sym_preproc_define] = STATE(1857),
    [sym_preproc_undef] = STATE(1857),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1858] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5697),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1858),
    [sym_preproc_endregion] = STATE(1858),
    [sym_preproc_line] = STATE(1858),
    [sym_preproc_pragma] = STATE(1858),
    [sym_preproc_nullable] = STATE(1858),
    [sym_preproc_error] = STATE(1858),
    [sym_preproc_define] = STATE(1858),
    [sym_preproc_undef] = STATE(1858),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1859] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4770),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1859),
    [sym_preproc_endregion] = STATE(1859),
    [sym_preproc_line] = STATE(1859),
    [sym_preproc_pragma] = STATE(1859),
    [sym_preproc_nullable] = STATE(1859),
    [sym_preproc_error] = STATE(1859),
    [sym_preproc_define] = STATE(1859),
    [sym_preproc_undef] = STATE(1859),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1860] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5699),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1860),
    [sym_preproc_endregion] = STATE(1860),
    [sym_preproc_line] = STATE(1860),
    [sym_preproc_pragma] = STATE(1860),
    [sym_preproc_nullable] = STATE(1860),
    [sym_preproc_error] = STATE(1860),
    [sym_preproc_define] = STATE(1860),
    [sym_preproc_undef] = STATE(1860),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1861] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4820),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1861),
    [sym_preproc_endregion] = STATE(1861),
    [sym_preproc_line] = STATE(1861),
    [sym_preproc_pragma] = STATE(1861),
    [sym_preproc_nullable] = STATE(1861),
    [sym_preproc_error] = STATE(1861),
    [sym_preproc_define] = STATE(1861),
    [sym_preproc_undef] = STATE(1861),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1862] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7110),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4179),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9059),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1862),
    [sym_preproc_endregion] = STATE(1862),
    [sym_preproc_line] = STATE(1862),
    [sym_preproc_pragma] = STATE(1862),
    [sym_preproc_nullable] = STATE(1862),
    [sym_preproc_error] = STATE(1862),
    [sym_preproc_define] = STATE(1862),
    [sym_preproc_undef] = STATE(1862),
    [aux_sym_class_declaration_repeat1] = STATE(3874),
    [aux_sym_lambda_expression_repeat1] = STATE(4302),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1525),
    [anon_sym_ref] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1131),
    [anon_sym_CARET] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1141),
    [anon_sym_DOT_DOT] = ACTIONS(1145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1863] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1863),
    [sym_preproc_endregion] = STATE(1863),
    [sym_preproc_line] = STATE(1863),
    [sym_preproc_pragma] = STATE(1863),
    [sym_preproc_nullable] = STATE(1863),
    [sym_preproc_error] = STATE(1863),
    [sym_preproc_define] = STATE(1863),
    [sym_preproc_undef] = STATE(1863),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1864] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4824),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1864),
    [sym_preproc_endregion] = STATE(1864),
    [sym_preproc_line] = STATE(1864),
    [sym_preproc_pragma] = STATE(1864),
    [sym_preproc_nullable] = STATE(1864),
    [sym_preproc_error] = STATE(1864),
    [sym_preproc_define] = STATE(1864),
    [sym_preproc_undef] = STATE(1864),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1865] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5709),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1865),
    [sym_preproc_endregion] = STATE(1865),
    [sym_preproc_line] = STATE(1865),
    [sym_preproc_pragma] = STATE(1865),
    [sym_preproc_nullable] = STATE(1865),
    [sym_preproc_error] = STATE(1865),
    [sym_preproc_define] = STATE(1865),
    [sym_preproc_undef] = STATE(1865),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1866] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6933),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6662),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1866),
    [sym_preproc_endregion] = STATE(1866),
    [sym_preproc_line] = STATE(1866),
    [sym_preproc_pragma] = STATE(1866),
    [sym_preproc_nullable] = STATE(1866),
    [sym_preproc_error] = STATE(1866),
    [sym_preproc_define] = STATE(1866),
    [sym_preproc_undef] = STATE(1866),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1867] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5710),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1867),
    [sym_preproc_endregion] = STATE(1867),
    [sym_preproc_line] = STATE(1867),
    [sym_preproc_pragma] = STATE(1867),
    [sym_preproc_nullable] = STATE(1867),
    [sym_preproc_error] = STATE(1867),
    [sym_preproc_define] = STATE(1867),
    [sym_preproc_undef] = STATE(1867),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1868] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7014),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3800),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7420),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9303),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1868),
    [sym_preproc_endregion] = STATE(1868),
    [sym_preproc_line] = STATE(1868),
    [sym_preproc_pragma] = STATE(1868),
    [sym_preproc_nullable] = STATE(1868),
    [sym_preproc_error] = STATE(1868),
    [sym_preproc_define] = STATE(1868),
    [sym_preproc_undef] = STATE(1868),
    [aux_sym_class_declaration_repeat1] = STATE(3840),
    [aux_sym_lambda_expression_repeat1] = STATE(4192),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(2181),
    [anon_sym_AMP] = ACTIONS(2181),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2183),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_DOT_DOT] = ACTIONS(2187),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1869] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6709),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3565),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1869),
    [sym_preproc_endregion] = STATE(1869),
    [sym_preproc_line] = STATE(1869),
    [sym_preproc_pragma] = STATE(1869),
    [sym_preproc_nullable] = STATE(1869),
    [sym_preproc_error] = STATE(1869),
    [sym_preproc_define] = STATE(1869),
    [sym_preproc_undef] = STATE(1869),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2977),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1870] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4803),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1870),
    [sym_preproc_endregion] = STATE(1870),
    [sym_preproc_line] = STATE(1870),
    [sym_preproc_pragma] = STATE(1870),
    [sym_preproc_nullable] = STATE(1870),
    [sym_preproc_error] = STATE(1870),
    [sym_preproc_define] = STATE(1870),
    [sym_preproc_undef] = STATE(1870),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1871] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5734),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1871),
    [sym_preproc_endregion] = STATE(1871),
    [sym_preproc_line] = STATE(1871),
    [sym_preproc_pragma] = STATE(1871),
    [sym_preproc_nullable] = STATE(1871),
    [sym_preproc_error] = STATE(1871),
    [sym_preproc_define] = STATE(1871),
    [sym_preproc_undef] = STATE(1871),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1872] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5739),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1872),
    [sym_preproc_endregion] = STATE(1872),
    [sym_preproc_line] = STATE(1872),
    [sym_preproc_pragma] = STATE(1872),
    [sym_preproc_nullable] = STATE(1872),
    [sym_preproc_error] = STATE(1872),
    [sym_preproc_define] = STATE(1872),
    [sym_preproc_undef] = STATE(1872),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1873] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1873),
    [sym_preproc_endregion] = STATE(1873),
    [sym_preproc_line] = STATE(1873),
    [sym_preproc_pragma] = STATE(1873),
    [sym_preproc_nullable] = STATE(1873),
    [sym_preproc_error] = STATE(1873),
    [sym_preproc_define] = STATE(1873),
    [sym_preproc_undef] = STATE(1873),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1874] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6717),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3019),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1874),
    [sym_preproc_endregion] = STATE(1874),
    [sym_preproc_line] = STATE(1874),
    [sym_preproc_pragma] = STATE(1874),
    [sym_preproc_nullable] = STATE(1874),
    [sym_preproc_error] = STATE(1874),
    [sym_preproc_define] = STATE(1874),
    [sym_preproc_undef] = STATE(1874),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1875] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1875),
    [sym_preproc_endregion] = STATE(1875),
    [sym_preproc_line] = STATE(1875),
    [sym_preproc_pragma] = STATE(1875),
    [sym_preproc_nullable] = STATE(1875),
    [sym_preproc_error] = STATE(1875),
    [sym_preproc_define] = STATE(1875),
    [sym_preproc_undef] = STATE(1875),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1876] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6918),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2901),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1876),
    [sym_preproc_endregion] = STATE(1876),
    [sym_preproc_line] = STATE(1876),
    [sym_preproc_pragma] = STATE(1876),
    [sym_preproc_nullable] = STATE(1876),
    [sym_preproc_error] = STATE(1876),
    [sym_preproc_define] = STATE(1876),
    [sym_preproc_undef] = STATE(1876),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1877] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6988),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4379),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3647),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9344),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1877),
    [sym_preproc_endregion] = STATE(1877),
    [sym_preproc_line] = STATE(1877),
    [sym_preproc_pragma] = STATE(1877),
    [sym_preproc_nullable] = STATE(1877),
    [sym_preproc_error] = STATE(1877),
    [sym_preproc_define] = STATE(1877),
    [sym_preproc_undef] = STATE(1877),
    [aux_sym_class_declaration_repeat1] = STATE(3841),
    [aux_sym_lambda_expression_repeat1] = STATE(4195),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2075),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(2077),
    [anon_sym_AMP] = ACTIONS(2077),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2079),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_DOT_DOT] = ACTIONS(2083),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1878] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6940),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1878),
    [sym_preproc_endregion] = STATE(1878),
    [sym_preproc_line] = STATE(1878),
    [sym_preproc_pragma] = STATE(1878),
    [sym_preproc_nullable] = STATE(1878),
    [sym_preproc_error] = STATE(1878),
    [sym_preproc_define] = STATE(1878),
    [sym_preproc_undef] = STATE(1878),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1775),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1879] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7146),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4336),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7426),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9592),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1879),
    [sym_preproc_endregion] = STATE(1879),
    [sym_preproc_line] = STATE(1879),
    [sym_preproc_pragma] = STATE(1879),
    [sym_preproc_nullable] = STATE(1879),
    [sym_preproc_error] = STATE(1879),
    [sym_preproc_define] = STATE(1879),
    [sym_preproc_undef] = STATE(1879),
    [aux_sym_class_declaration_repeat1] = STATE(3850),
    [aux_sym_lambda_expression_repeat1] = STATE(4215),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_ref] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1803),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1807),
    [anon_sym_TILDE] = ACTIONS(1807),
    [anon_sym_PLUS_PLUS] = ACTIONS(1807),
    [anon_sym_DASH_DASH] = ACTIONS(1807),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1805),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1807),
    [anon_sym_AMP] = ACTIONS(1807),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1813),
    [anon_sym_DOT_DOT] = ACTIONS(1815),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1880] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1880),
    [sym_preproc_endregion] = STATE(1880),
    [sym_preproc_line] = STATE(1880),
    [sym_preproc_pragma] = STATE(1880),
    [sym_preproc_nullable] = STATE(1880),
    [sym_preproc_error] = STATE(1880),
    [sym_preproc_define] = STATE(1880),
    [sym_preproc_undef] = STATE(1880),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1881] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6912),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7000),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4416),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7414),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9389),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1881),
    [sym_preproc_endregion] = STATE(1881),
    [sym_preproc_line] = STATE(1881),
    [sym_preproc_pragma] = STATE(1881),
    [sym_preproc_nullable] = STATE(1881),
    [sym_preproc_error] = STATE(1881),
    [sym_preproc_define] = STATE(1881),
    [sym_preproc_undef] = STATE(1881),
    [aux_sym_class_declaration_repeat1] = STATE(3842),
    [aux_sym_lambda_expression_repeat1] = STATE(4197),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2131),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(2135),
    [anon_sym_STAR] = ACTIONS(2139),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_AMP] = ACTIONS(2137),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2143),
    [anon_sym_DOT_DOT] = ACTIONS(2145),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1882] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1882),
    [sym_preproc_endregion] = STATE(1882),
    [sym_preproc_line] = STATE(1882),
    [sym_preproc_pragma] = STATE(1882),
    [sym_preproc_nullable] = STATE(1882),
    [sym_preproc_error] = STATE(1882),
    [sym_preproc_define] = STATE(1882),
    [sym_preproc_undef] = STATE(1882),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1883] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1883),
    [sym_preproc_endregion] = STATE(1883),
    [sym_preproc_line] = STATE(1883),
    [sym_preproc_pragma] = STATE(1883),
    [sym_preproc_nullable] = STATE(1883),
    [sym_preproc_error] = STATE(1883),
    [sym_preproc_define] = STATE(1883),
    [sym_preproc_undef] = STATE(1883),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1884] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1884),
    [sym_preproc_endregion] = STATE(1884),
    [sym_preproc_line] = STATE(1884),
    [sym_preproc_pragma] = STATE(1884),
    [sym_preproc_nullable] = STATE(1884),
    [sym_preproc_error] = STATE(1884),
    [sym_preproc_define] = STATE(1884),
    [sym_preproc_undef] = STATE(1884),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1809),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1885] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1885),
    [sym_preproc_endregion] = STATE(1885),
    [sym_preproc_line] = STATE(1885),
    [sym_preproc_pragma] = STATE(1885),
    [sym_preproc_nullable] = STATE(1885),
    [sym_preproc_error] = STATE(1885),
    [sym_preproc_define] = STATE(1885),
    [sym_preproc_undef] = STATE(1885),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1886] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1886),
    [sym_preproc_endregion] = STATE(1886),
    [sym_preproc_line] = STATE(1886),
    [sym_preproc_pragma] = STATE(1886),
    [sym_preproc_nullable] = STATE(1886),
    [sym_preproc_error] = STATE(1886),
    [sym_preproc_define] = STATE(1886),
    [sym_preproc_undef] = STATE(1886),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1887] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7005),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3831),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7437),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9636),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1887),
    [sym_preproc_endregion] = STATE(1887),
    [sym_preproc_line] = STATE(1887),
    [sym_preproc_pragma] = STATE(1887),
    [sym_preproc_nullable] = STATE(1887),
    [sym_preproc_error] = STATE(1887),
    [sym_preproc_define] = STATE(1887),
    [sym_preproc_undef] = STATE(1887),
    [aux_sym_class_declaration_repeat1] = STATE(3853),
    [aux_sym_lambda_expression_repeat1] = STATE(4223),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_ref] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1383),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1888] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6904),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1888),
    [sym_preproc_endregion] = STATE(1888),
    [sym_preproc_line] = STATE(1888),
    [sym_preproc_pragma] = STATE(1888),
    [sym_preproc_nullable] = STATE(1888),
    [sym_preproc_error] = STATE(1888),
    [sym_preproc_define] = STATE(1888),
    [sym_preproc_undef] = STATE(1888),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1889] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6924),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6983),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3983),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7407),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9611),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1889),
    [sym_preproc_endregion] = STATE(1889),
    [sym_preproc_line] = STATE(1889),
    [sym_preproc_pragma] = STATE(1889),
    [sym_preproc_nullable] = STATE(1889),
    [sym_preproc_error] = STATE(1889),
    [sym_preproc_define] = STATE(1889),
    [sym_preproc_undef] = STATE(1889),
    [aux_sym_class_declaration_repeat1] = STATE(3852),
    [aux_sym_lambda_expression_repeat1] = STATE(4221),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_ref] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1591),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1591),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1595),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1597),
    [anon_sym_DOT_DOT] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1890] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6717),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3019),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1890),
    [sym_preproc_endregion] = STATE(1890),
    [sym_preproc_line] = STATE(1890),
    [sym_preproc_pragma] = STATE(1890),
    [sym_preproc_nullable] = STATE(1890),
    [sym_preproc_error] = STATE(1890),
    [sym_preproc_define] = STATE(1890),
    [sym_preproc_undef] = STATE(1890),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1891] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7135),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4338),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7405),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9770),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1891),
    [sym_preproc_endregion] = STATE(1891),
    [sym_preproc_line] = STATE(1891),
    [sym_preproc_pragma] = STATE(1891),
    [sym_preproc_nullable] = STATE(1891),
    [sym_preproc_error] = STATE(1891),
    [sym_preproc_define] = STATE(1891),
    [sym_preproc_undef] = STATE(1891),
    [aux_sym_class_declaration_repeat1] = STATE(3858),
    [aux_sym_lambda_expression_repeat1] = STATE(4235),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_ref] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_AMP] = ACTIONS(1915),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1919),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_DOT_DOT] = ACTIONS(1923),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1892] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6717),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3019),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1892),
    [sym_preproc_endregion] = STATE(1892),
    [sym_preproc_line] = STATE(1892),
    [sym_preproc_pragma] = STATE(1892),
    [sym_preproc_nullable] = STATE(1892),
    [sym_preproc_error] = STATE(1892),
    [sym_preproc_define] = STATE(1892),
    [sym_preproc_undef] = STATE(1892),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1893] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6927),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7027),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4438),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7433),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9665),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1893),
    [sym_preproc_endregion] = STATE(1893),
    [sym_preproc_line] = STATE(1893),
    [sym_preproc_pragma] = STATE(1893),
    [sym_preproc_nullable] = STATE(1893),
    [sym_preproc_error] = STATE(1893),
    [sym_preproc_define] = STATE(1893),
    [sym_preproc_undef] = STATE(1893),
    [aux_sym_class_declaration_repeat1] = STATE(3854),
    [aux_sym_lambda_expression_repeat1] = STATE(4226),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2159),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_STAR] = ACTIONS(2165),
    [anon_sym_CARET] = ACTIONS(2163),
    [anon_sym_AMP] = ACTIONS(2163),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2167),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_DOT_DOT] = ACTIONS(2171),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1894] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1894),
    [sym_preproc_endregion] = STATE(1894),
    [sym_preproc_line] = STATE(1894),
    [sym_preproc_pragma] = STATE(1894),
    [sym_preproc_nullable] = STATE(1894),
    [sym_preproc_error] = STATE(1894),
    [sym_preproc_define] = STATE(1894),
    [sym_preproc_undef] = STATE(1894),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1895] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7150),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4339),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7429),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9791),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1895),
    [sym_preproc_endregion] = STATE(1895),
    [sym_preproc_line] = STATE(1895),
    [sym_preproc_pragma] = STATE(1895),
    [sym_preproc_nullable] = STATE(1895),
    [sym_preproc_error] = STATE(1895),
    [sym_preproc_define] = STATE(1895),
    [sym_preproc_undef] = STATE(1895),
    [aux_sym_class_declaration_repeat1] = STATE(3859),
    [aux_sym_lambda_expression_repeat1] = STATE(4238),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1893),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1897),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_DOT_DOT] = ACTIONS(1905),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1896] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6717),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3019),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1896),
    [sym_preproc_endregion] = STATE(1896),
    [sym_preproc_line] = STATE(1896),
    [sym_preproc_pragma] = STATE(1896),
    [sym_preproc_nullable] = STATE(1896),
    [sym_preproc_error] = STATE(1896),
    [sym_preproc_define] = STATE(1896),
    [sym_preproc_undef] = STATE(1896),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2979),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1897] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6928),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7035),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4378),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7430),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9688),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1897),
    [sym_preproc_endregion] = STATE(1897),
    [sym_preproc_line] = STATE(1897),
    [sym_preproc_pragma] = STATE(1897),
    [sym_preproc_nullable] = STATE(1897),
    [sym_preproc_error] = STATE(1897),
    [sym_preproc_define] = STATE(1897),
    [sym_preproc_undef] = STATE(1897),
    [aux_sym_class_declaration_repeat1] = STATE(3855),
    [aux_sym_lambda_expression_repeat1] = STATE(4228),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_AMP] = ACTIONS(2229),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_DOT_DOT] = ACTIONS(2237),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1898] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1898),
    [sym_preproc_endregion] = STATE(1898),
    [sym_preproc_line] = STATE(1898),
    [sym_preproc_pragma] = STATE(1898),
    [sym_preproc_nullable] = STATE(1898),
    [sym_preproc_error] = STATE(1898),
    [sym_preproc_define] = STATE(1898),
    [sym_preproc_undef] = STATE(1898),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1899] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6955),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4159),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7416),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9813),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1899),
    [sym_preproc_endregion] = STATE(1899),
    [sym_preproc_line] = STATE(1899),
    [sym_preproc_pragma] = STATE(1899),
    [sym_preproc_nullable] = STATE(1899),
    [sym_preproc_error] = STATE(1899),
    [sym_preproc_define] = STATE(1899),
    [sym_preproc_undef] = STATE(1899),
    [aux_sym_class_declaration_repeat1] = STATE(3861),
    [aux_sym_lambda_expression_repeat1] = STATE(4243),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1857),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1865),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1900] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1900),
    [sym_preproc_endregion] = STATE(1900),
    [sym_preproc_line] = STATE(1900),
    [sym_preproc_pragma] = STATE(1900),
    [sym_preproc_nullable] = STATE(1900),
    [sym_preproc_error] = STATE(1900),
    [sym_preproc_define] = STATE(1900),
    [sym_preproc_undef] = STATE(1900),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1901] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6934),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2910),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7094),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4018),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7409),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9712),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1901),
    [sym_preproc_endregion] = STATE(1901),
    [sym_preproc_line] = STATE(1901),
    [sym_preproc_pragma] = STATE(1901),
    [sym_preproc_nullable] = STATE(1901),
    [sym_preproc_error] = STATE(1901),
    [sym_preproc_define] = STATE(1901),
    [sym_preproc_undef] = STATE(1901),
    [aux_sym_class_declaration_repeat1] = STATE(3856),
    [aux_sym_lambda_expression_repeat1] = STATE(4230),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_ref] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1579),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1902] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6932),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2950),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1902),
    [sym_preproc_endregion] = STATE(1902),
    [sym_preproc_line] = STATE(1902),
    [sym_preproc_pragma] = STATE(1902),
    [sym_preproc_nullable] = STATE(1902),
    [sym_preproc_error] = STATE(1902),
    [sym_preproc_define] = STATE(1902),
    [sym_preproc_undef] = STATE(1902),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1903] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6964),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4342),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7411),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9832),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1903),
    [sym_preproc_endregion] = STATE(1903),
    [sym_preproc_line] = STATE(1903),
    [sym_preproc_pragma] = STATE(1903),
    [sym_preproc_nullable] = STATE(1903),
    [sym_preproc_error] = STATE(1903),
    [sym_preproc_define] = STATE(1903),
    [sym_preproc_undef] = STATE(1903),
    [aux_sym_class_declaration_repeat1] = STATE(3863),
    [aux_sym_lambda_expression_repeat1] = STATE(4247),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [anon_sym_ref] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1607),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1611),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_DOT_DOT] = ACTIONS(1615),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1904] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6719),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1904),
    [sym_preproc_endregion] = STATE(1904),
    [sym_preproc_line] = STATE(1904),
    [sym_preproc_pragma] = STATE(1904),
    [sym_preproc_nullable] = STATE(1904),
    [sym_preproc_error] = STATE(1904),
    [sym_preproc_define] = STATE(1904),
    [sym_preproc_undef] = STATE(1904),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(2981),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1905] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7120),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(4400),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7412),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9742),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1905),
    [sym_preproc_endregion] = STATE(1905),
    [sym_preproc_line] = STATE(1905),
    [sym_preproc_pragma] = STATE(1905),
    [sym_preproc_nullable] = STATE(1905),
    [sym_preproc_error] = STATE(1905),
    [sym_preproc_define] = STATE(1905),
    [sym_preproc_undef] = STATE(1905),
    [aux_sym_class_declaration_repeat1] = STATE(3857),
    [aux_sym_lambda_expression_repeat1] = STATE(4233),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_ref] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1965),
    [anon_sym_DASH_DASH] = ACTIONS(1965),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1967),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_AMP] = ACTIONS(1965),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1973),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1906] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1906),
    [sym_preproc_endregion] = STATE(1906),
    [sym_preproc_line] = STATE(1906),
    [sym_preproc_pragma] = STATE(1906),
    [sym_preproc_nullable] = STATE(1906),
    [sym_preproc_error] = STATE(1906),
    [sym_preproc_define] = STATE(1906),
    [sym_preproc_undef] = STATE(1906),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1907] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6935),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2989),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6968),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4168),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7421),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9851),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1907),
    [sym_preproc_endregion] = STATE(1907),
    [sym_preproc_line] = STATE(1907),
    [sym_preproc_pragma] = STATE(1907),
    [sym_preproc_nullable] = STATE(1907),
    [sym_preproc_error] = STATE(1907),
    [sym_preproc_define] = STATE(1907),
    [sym_preproc_undef] = STATE(1907),
    [aux_sym_class_declaration_repeat1] = STATE(3864),
    [aux_sym_lambda_expression_repeat1] = STATE(4249),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1871),
    [anon_sym_ref] = ACTIONS(1873),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1879),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1879),
    [anon_sym_AMP] = ACTIONS(1879),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1885),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1908] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1908),
    [sym_preproc_endregion] = STATE(1908),
    [sym_preproc_line] = STATE(1908),
    [sym_preproc_pragma] = STATE(1908),
    [sym_preproc_nullable] = STATE(1908),
    [sym_preproc_error] = STATE(1908),
    [sym_preproc_define] = STATE(1908),
    [sym_preproc_undef] = STATE(1908),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1909] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6943),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2977),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6973),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4178),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7408),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9874),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1909),
    [sym_preproc_endregion] = STATE(1909),
    [sym_preproc_line] = STATE(1909),
    [sym_preproc_pragma] = STATE(1909),
    [sym_preproc_nullable] = STATE(1909),
    [sym_preproc_error] = STATE(1909),
    [sym_preproc_define] = STATE(1909),
    [sym_preproc_undef] = STATE(1909),
    [aux_sym_class_declaration_repeat1] = STATE(3865),
    [aux_sym_lambda_expression_repeat1] = STATE(4251),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1925),
    [anon_sym_ref] = ACTIONS(1927),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1933),
    [anon_sym_DASH_DASH] = ACTIONS(1933),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1931),
    [anon_sym_DASH] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_CARET] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(1933),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1941),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1910] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6728),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3186),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1910),
    [sym_preproc_endregion] = STATE(1910),
    [sym_preproc_line] = STATE(1910),
    [sym_preproc_pragma] = STATE(1910),
    [sym_preproc_nullable] = STATE(1910),
    [sym_preproc_error] = STATE(1910),
    [sym_preproc_define] = STATE(1910),
    [sym_preproc_undef] = STATE(1910),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(2983),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1911] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3827),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1911),
    [sym_preproc_endregion] = STATE(1911),
    [sym_preproc_line] = STATE(1911),
    [sym_preproc_pragma] = STATE(1911),
    [sym_preproc_nullable] = STATE(1911),
    [sym_preproc_error] = STATE(1911),
    [sym_preproc_define] = STATE(1911),
    [sym_preproc_undef] = STATE(1911),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1912] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6903),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2946),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7116),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6570),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4495),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7425),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9099),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1912),
    [sym_preproc_endregion] = STATE(1912),
    [sym_preproc_line] = STATE(1912),
    [sym_preproc_pragma] = STATE(1912),
    [sym_preproc_nullable] = STATE(1912),
    [sym_preproc_error] = STATE(1912),
    [sym_preproc_define] = STATE(1912),
    [sym_preproc_undef] = STATE(1912),
    [aux_sym_class_declaration_repeat1] = STATE(3875),
    [aux_sym_lambda_expression_repeat1] = STATE(4305),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2195),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_STAR] = ACTIONS(2201),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2199),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2203),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1913] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1913),
    [sym_preproc_endregion] = STATE(1913),
    [sym_preproc_line] = STATE(1913),
    [sym_preproc_pragma] = STATE(1913),
    [sym_preproc_nullable] = STATE(1913),
    [sym_preproc_error] = STATE(1913),
    [sym_preproc_define] = STATE(1913),
    [sym_preproc_undef] = STATE(1913),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1914] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6731),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3047),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1914),
    [sym_preproc_endregion] = STATE(1914),
    [sym_preproc_line] = STATE(1914),
    [sym_preproc_pragma] = STATE(1914),
    [sym_preproc_nullable] = STATE(1914),
    [sym_preproc_error] = STATE(1914),
    [sym_preproc_define] = STATE(1914),
    [sym_preproc_undef] = STATE(1914),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1915] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7042),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4365),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3763),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7418),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9719),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1915),
    [sym_preproc_endregion] = STATE(1915),
    [sym_preproc_line] = STATE(1915),
    [sym_preproc_pragma] = STATE(1915),
    [sym_preproc_nullable] = STATE(1915),
    [sym_preproc_error] = STATE(1915),
    [sym_preproc_define] = STATE(1915),
    [sym_preproc_undef] = STATE(1915),
    [aux_sym_class_declaration_repeat1] = STATE(3830),
    [aux_sym_lambda_expression_repeat1] = STATE(4128),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_ref] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2005),
    [anon_sym_DASH_DASH] = ACTIONS(2005),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2003),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(2005),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(2007),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_DOT_DOT] = ACTIONS(2011),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1916] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6420),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1916),
    [sym_preproc_endregion] = STATE(1916),
    [sym_preproc_line] = STATE(1916),
    [sym_preproc_pragma] = STATE(1916),
    [sym_preproc_nullable] = STATE(1916),
    [sym_preproc_error] = STATE(1916),
    [sym_preproc_define] = STATE(1916),
    [sym_preproc_undef] = STATE(1916),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1917] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6421),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1917),
    [sym_preproc_endregion] = STATE(1917),
    [sym_preproc_line] = STATE(1917),
    [sym_preproc_pragma] = STATE(1917),
    [sym_preproc_nullable] = STATE(1917),
    [sym_preproc_error] = STATE(1917),
    [sym_preproc_define] = STATE(1917),
    [sym_preproc_undef] = STATE(1917),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1918] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6422),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1918),
    [sym_preproc_endregion] = STATE(1918),
    [sym_preproc_line] = STATE(1918),
    [sym_preproc_pragma] = STATE(1918),
    [sym_preproc_nullable] = STATE(1918),
    [sym_preproc_error] = STATE(1918),
    [sym_preproc_define] = STATE(1918),
    [sym_preproc_undef] = STATE(1918),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1919] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6423),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1919),
    [sym_preproc_endregion] = STATE(1919),
    [sym_preproc_line] = STATE(1919),
    [sym_preproc_pragma] = STATE(1919),
    [sym_preproc_nullable] = STATE(1919),
    [sym_preproc_error] = STATE(1919),
    [sym_preproc_define] = STATE(1919),
    [sym_preproc_undef] = STATE(1919),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1920] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6425),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1920),
    [sym_preproc_endregion] = STATE(1920),
    [sym_preproc_line] = STATE(1920),
    [sym_preproc_pragma] = STATE(1920),
    [sym_preproc_nullable] = STATE(1920),
    [sym_preproc_error] = STATE(1920),
    [sym_preproc_define] = STATE(1920),
    [sym_preproc_undef] = STATE(1920),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1921] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6426),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1921),
    [sym_preproc_endregion] = STATE(1921),
    [sym_preproc_line] = STATE(1921),
    [sym_preproc_pragma] = STATE(1921),
    [sym_preproc_nullable] = STATE(1921),
    [sym_preproc_error] = STATE(1921),
    [sym_preproc_define] = STATE(1921),
    [sym_preproc_undef] = STATE(1921),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1922] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6427),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1922),
    [sym_preproc_endregion] = STATE(1922),
    [sym_preproc_line] = STATE(1922),
    [sym_preproc_pragma] = STATE(1922),
    [sym_preproc_nullable] = STATE(1922),
    [sym_preproc_error] = STATE(1922),
    [sym_preproc_define] = STATE(1922),
    [sym_preproc_undef] = STATE(1922),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1923] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6436),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1923),
    [sym_preproc_endregion] = STATE(1923),
    [sym_preproc_line] = STATE(1923),
    [sym_preproc_pragma] = STATE(1923),
    [sym_preproc_nullable] = STATE(1923),
    [sym_preproc_error] = STATE(1923),
    [sym_preproc_define] = STATE(1923),
    [sym_preproc_undef] = STATE(1923),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1924] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5336),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1924),
    [sym_preproc_endregion] = STATE(1924),
    [sym_preproc_line] = STATE(1924),
    [sym_preproc_pragma] = STATE(1924),
    [sym_preproc_nullable] = STATE(1924),
    [sym_preproc_error] = STATE(1924),
    [sym_preproc_define] = STATE(1924),
    [sym_preproc_undef] = STATE(1924),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1925] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5977),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1925),
    [sym_preproc_endregion] = STATE(1925),
    [sym_preproc_line] = STATE(1925),
    [sym_preproc_pragma] = STATE(1925),
    [sym_preproc_nullable] = STATE(1925),
    [sym_preproc_error] = STATE(1925),
    [sym_preproc_define] = STATE(1925),
    [sym_preproc_undef] = STATE(1925),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1926] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6448),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1926),
    [sym_preproc_endregion] = STATE(1926),
    [sym_preproc_line] = STATE(1926),
    [sym_preproc_pragma] = STATE(1926),
    [sym_preproc_nullable] = STATE(1926),
    [sym_preproc_error] = STATE(1926),
    [sym_preproc_define] = STATE(1926),
    [sym_preproc_undef] = STATE(1926),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1927] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6469),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1927),
    [sym_preproc_endregion] = STATE(1927),
    [sym_preproc_line] = STATE(1927),
    [sym_preproc_pragma] = STATE(1927),
    [sym_preproc_nullable] = STATE(1927),
    [sym_preproc_error] = STATE(1927),
    [sym_preproc_define] = STATE(1927),
    [sym_preproc_undef] = STATE(1927),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1928] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6470),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1928),
    [sym_preproc_endregion] = STATE(1928),
    [sym_preproc_line] = STATE(1928),
    [sym_preproc_pragma] = STATE(1928),
    [sym_preproc_nullable] = STATE(1928),
    [sym_preproc_error] = STATE(1928),
    [sym_preproc_define] = STATE(1928),
    [sym_preproc_undef] = STATE(1928),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1929] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6489),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1929),
    [sym_preproc_endregion] = STATE(1929),
    [sym_preproc_line] = STATE(1929),
    [sym_preproc_pragma] = STATE(1929),
    [sym_preproc_nullable] = STATE(1929),
    [sym_preproc_error] = STATE(1929),
    [sym_preproc_define] = STATE(1929),
    [sym_preproc_undef] = STATE(1929),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1930] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4964),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1930),
    [sym_preproc_endregion] = STATE(1930),
    [sym_preproc_line] = STATE(1930),
    [sym_preproc_pragma] = STATE(1930),
    [sym_preproc_nullable] = STATE(1930),
    [sym_preproc_error] = STATE(1930),
    [sym_preproc_define] = STATE(1930),
    [sym_preproc_undef] = STATE(1930),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1931] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4948),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1931),
    [sym_preproc_endregion] = STATE(1931),
    [sym_preproc_line] = STATE(1931),
    [sym_preproc_pragma] = STATE(1931),
    [sym_preproc_nullable] = STATE(1931),
    [sym_preproc_error] = STATE(1931),
    [sym_preproc_define] = STATE(1931),
    [sym_preproc_undef] = STATE(1931),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1932] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5859),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1932),
    [sym_preproc_endregion] = STATE(1932),
    [sym_preproc_line] = STATE(1932),
    [sym_preproc_pragma] = STATE(1932),
    [sym_preproc_nullable] = STATE(1932),
    [sym_preproc_error] = STATE(1932),
    [sym_preproc_define] = STATE(1932),
    [sym_preproc_undef] = STATE(1932),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1933] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5860),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1933),
    [sym_preproc_endregion] = STATE(1933),
    [sym_preproc_line] = STATE(1933),
    [sym_preproc_pragma] = STATE(1933),
    [sym_preproc_nullable] = STATE(1933),
    [sym_preproc_error] = STATE(1933),
    [sym_preproc_define] = STATE(1933),
    [sym_preproc_undef] = STATE(1933),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1934] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6054),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1934),
    [sym_preproc_endregion] = STATE(1934),
    [sym_preproc_line] = STATE(1934),
    [sym_preproc_pragma] = STATE(1934),
    [sym_preproc_nullable] = STATE(1934),
    [sym_preproc_error] = STATE(1934),
    [sym_preproc_define] = STATE(1934),
    [sym_preproc_undef] = STATE(1934),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1935] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5861),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1935),
    [sym_preproc_endregion] = STATE(1935),
    [sym_preproc_line] = STATE(1935),
    [sym_preproc_pragma] = STATE(1935),
    [sym_preproc_nullable] = STATE(1935),
    [sym_preproc_error] = STATE(1935),
    [sym_preproc_define] = STATE(1935),
    [sym_preproc_undef] = STATE(1935),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1936] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5862),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1936),
    [sym_preproc_endregion] = STATE(1936),
    [sym_preproc_line] = STATE(1936),
    [sym_preproc_pragma] = STATE(1936),
    [sym_preproc_nullable] = STATE(1936),
    [sym_preproc_error] = STATE(1936),
    [sym_preproc_define] = STATE(1936),
    [sym_preproc_undef] = STATE(1936),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1937] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5863),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1937),
    [sym_preproc_endregion] = STATE(1937),
    [sym_preproc_line] = STATE(1937),
    [sym_preproc_pragma] = STATE(1937),
    [sym_preproc_nullable] = STATE(1937),
    [sym_preproc_error] = STATE(1937),
    [sym_preproc_define] = STATE(1937),
    [sym_preproc_undef] = STATE(1937),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1938] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5864),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1938),
    [sym_preproc_endregion] = STATE(1938),
    [sym_preproc_line] = STATE(1938),
    [sym_preproc_pragma] = STATE(1938),
    [sym_preproc_nullable] = STATE(1938),
    [sym_preproc_error] = STATE(1938),
    [sym_preproc_define] = STATE(1938),
    [sym_preproc_undef] = STATE(1938),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1939] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5865),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1939),
    [sym_preproc_endregion] = STATE(1939),
    [sym_preproc_line] = STATE(1939),
    [sym_preproc_pragma] = STATE(1939),
    [sym_preproc_nullable] = STATE(1939),
    [sym_preproc_error] = STATE(1939),
    [sym_preproc_define] = STATE(1939),
    [sym_preproc_undef] = STATE(1939),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1940] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5866),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1940),
    [sym_preproc_endregion] = STATE(1940),
    [sym_preproc_line] = STATE(1940),
    [sym_preproc_pragma] = STATE(1940),
    [sym_preproc_nullable] = STATE(1940),
    [sym_preproc_error] = STATE(1940),
    [sym_preproc_define] = STATE(1940),
    [sym_preproc_undef] = STATE(1940),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1941] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5867),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1941),
    [sym_preproc_endregion] = STATE(1941),
    [sym_preproc_line] = STATE(1941),
    [sym_preproc_pragma] = STATE(1941),
    [sym_preproc_nullable] = STATE(1941),
    [sym_preproc_error] = STATE(1941),
    [sym_preproc_define] = STATE(1941),
    [sym_preproc_undef] = STATE(1941),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1942] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5782),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1942),
    [sym_preproc_endregion] = STATE(1942),
    [sym_preproc_line] = STATE(1942),
    [sym_preproc_pragma] = STATE(1942),
    [sym_preproc_nullable] = STATE(1942),
    [sym_preproc_error] = STATE(1942),
    [sym_preproc_define] = STATE(1942),
    [sym_preproc_undef] = STATE(1942),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1943] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4979),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1943),
    [sym_preproc_endregion] = STATE(1943),
    [sym_preproc_line] = STATE(1943),
    [sym_preproc_pragma] = STATE(1943),
    [sym_preproc_nullable] = STATE(1943),
    [sym_preproc_error] = STATE(1943),
    [sym_preproc_define] = STATE(1943),
    [sym_preproc_undef] = STATE(1943),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1944] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6909),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2940),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7125),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6581),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4496),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7427),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9137),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1944),
    [sym_preproc_endregion] = STATE(1944),
    [sym_preproc_line] = STATE(1944),
    [sym_preproc_pragma] = STATE(1944),
    [sym_preproc_nullable] = STATE(1944),
    [sym_preproc_error] = STATE(1944),
    [sym_preproc_define] = STATE(1944),
    [sym_preproc_undef] = STATE(1944),
    [aux_sym_class_declaration_repeat1] = STATE(3876),
    [aux_sym_lambda_expression_repeat1] = STATE(4311),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_CARET] = ACTIONS(2253),
    [anon_sym_AMP] = ACTIONS(2253),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1945] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3937),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1945),
    [sym_preproc_endregion] = STATE(1945),
    [sym_preproc_line] = STATE(1945),
    [sym_preproc_pragma] = STATE(1945),
    [sym_preproc_nullable] = STATE(1945),
    [sym_preproc_error] = STATE(1945),
    [sym_preproc_define] = STATE(1945),
    [sym_preproc_undef] = STATE(1945),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1946] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4469),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(1946),
    [sym_preproc_endregion] = STATE(1946),
    [sym_preproc_line] = STATE(1946),
    [sym_preproc_pragma] = STATE(1946),
    [sym_preproc_nullable] = STATE(1946),
    [sym_preproc_error] = STATE(1946),
    [sym_preproc_define] = STATE(1946),
    [sym_preproc_undef] = STATE(1946),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [1947] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4944),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1947),
    [sym_preproc_endregion] = STATE(1947),
    [sym_preproc_line] = STATE(1947),
    [sym_preproc_pragma] = STATE(1947),
    [sym_preproc_nullable] = STATE(1947),
    [sym_preproc_error] = STATE(1947),
    [sym_preproc_define] = STATE(1947),
    [sym_preproc_undef] = STATE(1947),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1948] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7019),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5117),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3829),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7406),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9634),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1948),
    [sym_preproc_endregion] = STATE(1948),
    [sym_preproc_line] = STATE(1948),
    [sym_preproc_pragma] = STATE(1948),
    [sym_preproc_nullable] = STATE(1948),
    [sym_preproc_error] = STATE(1948),
    [sym_preproc_define] = STATE(1948),
    [sym_preproc_undef] = STATE(1948),
    [aux_sym_class_declaration_repeat1] = STATE(3820),
    [aux_sym_lambda_expression_repeat1] = STATE(4272),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(2269),
    [anon_sym_AMP] = ACTIONS(2269),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(2271),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_DOT_DOT] = ACTIONS(2275),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1949] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4472),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1949),
    [sym_preproc_endregion] = STATE(1949),
    [sym_preproc_line] = STATE(1949),
    [sym_preproc_pragma] = STATE(1949),
    [sym_preproc_nullable] = STATE(1949),
    [sym_preproc_error] = STATE(1949),
    [sym_preproc_define] = STATE(1949),
    [sym_preproc_undef] = STATE(1949),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1950] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4372),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1950),
    [sym_preproc_endregion] = STATE(1950),
    [sym_preproc_line] = STATE(1950),
    [sym_preproc_pragma] = STATE(1950),
    [sym_preproc_nullable] = STATE(1950),
    [sym_preproc_error] = STATE(1950),
    [sym_preproc_define] = STATE(1950),
    [sym_preproc_undef] = STATE(1950),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1951] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4966),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1951),
    [sym_preproc_endregion] = STATE(1951),
    [sym_preproc_line] = STATE(1951),
    [sym_preproc_pragma] = STATE(1951),
    [sym_preproc_nullable] = STATE(1951),
    [sym_preproc_error] = STATE(1951),
    [sym_preproc_define] = STATE(1951),
    [sym_preproc_undef] = STATE(1951),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1952] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4959),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1952),
    [sym_preproc_endregion] = STATE(1952),
    [sym_preproc_line] = STATE(1952),
    [sym_preproc_pragma] = STATE(1952),
    [sym_preproc_nullable] = STATE(1952),
    [sym_preproc_error] = STATE(1952),
    [sym_preproc_define] = STATE(1952),
    [sym_preproc_undef] = STATE(1952),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1953] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4963),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1953),
    [sym_preproc_endregion] = STATE(1953),
    [sym_preproc_line] = STATE(1953),
    [sym_preproc_pragma] = STATE(1953),
    [sym_preproc_nullable] = STATE(1953),
    [sym_preproc_error] = STATE(1953),
    [sym_preproc_define] = STATE(1953),
    [sym_preproc_undef] = STATE(1953),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1954] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4949),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1954),
    [sym_preproc_endregion] = STATE(1954),
    [sym_preproc_line] = STATE(1954),
    [sym_preproc_pragma] = STATE(1954),
    [sym_preproc_nullable] = STATE(1954),
    [sym_preproc_error] = STATE(1954),
    [sym_preproc_define] = STATE(1954),
    [sym_preproc_undef] = STATE(1954),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1955] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4950),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1955),
    [sym_preproc_endregion] = STATE(1955),
    [sym_preproc_line] = STATE(1955),
    [sym_preproc_pragma] = STATE(1955),
    [sym_preproc_nullable] = STATE(1955),
    [sym_preproc_error] = STATE(1955),
    [sym_preproc_define] = STATE(1955),
    [sym_preproc_undef] = STATE(1955),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1956] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4940),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1956),
    [sym_preproc_endregion] = STATE(1956),
    [sym_preproc_line] = STATE(1956),
    [sym_preproc_pragma] = STATE(1956),
    [sym_preproc_nullable] = STATE(1956),
    [sym_preproc_error] = STATE(1956),
    [sym_preproc_define] = STATE(1956),
    [sym_preproc_undef] = STATE(1956),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1957] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4977),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1957),
    [sym_preproc_endregion] = STATE(1957),
    [sym_preproc_line] = STATE(1957),
    [sym_preproc_pragma] = STATE(1957),
    [sym_preproc_nullable] = STATE(1957),
    [sym_preproc_error] = STATE(1957),
    [sym_preproc_define] = STATE(1957),
    [sym_preproc_undef] = STATE(1957),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1958] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4951),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1958),
    [sym_preproc_endregion] = STATE(1958),
    [sym_preproc_line] = STATE(1958),
    [sym_preproc_pragma] = STATE(1958),
    [sym_preproc_nullable] = STATE(1958),
    [sym_preproc_error] = STATE(1958),
    [sym_preproc_define] = STATE(1958),
    [sym_preproc_undef] = STATE(1958),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1959] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4953),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1959),
    [sym_preproc_endregion] = STATE(1959),
    [sym_preproc_line] = STATE(1959),
    [sym_preproc_pragma] = STATE(1959),
    [sym_preproc_nullable] = STATE(1959),
    [sym_preproc_error] = STATE(1959),
    [sym_preproc_define] = STATE(1959),
    [sym_preproc_undef] = STATE(1959),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1960] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4954),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1960),
    [sym_preproc_endregion] = STATE(1960),
    [sym_preproc_line] = STATE(1960),
    [sym_preproc_pragma] = STATE(1960),
    [sym_preproc_nullable] = STATE(1960),
    [sym_preproc_error] = STATE(1960),
    [sym_preproc_define] = STATE(1960),
    [sym_preproc_undef] = STATE(1960),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1961] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4955),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1961),
    [sym_preproc_endregion] = STATE(1961),
    [sym_preproc_line] = STATE(1961),
    [sym_preproc_pragma] = STATE(1961),
    [sym_preproc_nullable] = STATE(1961),
    [sym_preproc_error] = STATE(1961),
    [sym_preproc_define] = STATE(1961),
    [sym_preproc_undef] = STATE(1961),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1962] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4474),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1962),
    [sym_preproc_endregion] = STATE(1962),
    [sym_preproc_line] = STATE(1962),
    [sym_preproc_pragma] = STATE(1962),
    [sym_preproc_nullable] = STATE(1962),
    [sym_preproc_error] = STATE(1962),
    [sym_preproc_define] = STATE(1962),
    [sym_preproc_undef] = STATE(1962),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1963] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4839),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1963),
    [sym_preproc_endregion] = STATE(1963),
    [sym_preproc_line] = STATE(1963),
    [sym_preproc_pragma] = STATE(1963),
    [sym_preproc_nullable] = STATE(1963),
    [sym_preproc_error] = STATE(1963),
    [sym_preproc_define] = STATE(1963),
    [sym_preproc_undef] = STATE(1963),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1964] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4956),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1964),
    [sym_preproc_endregion] = STATE(1964),
    [sym_preproc_line] = STATE(1964),
    [sym_preproc_pragma] = STATE(1964),
    [sym_preproc_nullable] = STATE(1964),
    [sym_preproc_error] = STATE(1964),
    [sym_preproc_define] = STATE(1964),
    [sym_preproc_undef] = STATE(1964),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1965] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4485),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1965),
    [sym_preproc_endregion] = STATE(1965),
    [sym_preproc_line] = STATE(1965),
    [sym_preproc_pragma] = STATE(1965),
    [sym_preproc_nullable] = STATE(1965),
    [sym_preproc_error] = STATE(1965),
    [sym_preproc_define] = STATE(1965),
    [sym_preproc_undef] = STATE(1965),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1966] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4460),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1966),
    [sym_preproc_endregion] = STATE(1966),
    [sym_preproc_line] = STATE(1966),
    [sym_preproc_pragma] = STATE(1966),
    [sym_preproc_nullable] = STATE(1966),
    [sym_preproc_error] = STATE(1966),
    [sym_preproc_define] = STATE(1966),
    [sym_preproc_undef] = STATE(1966),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1967] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4461),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1967),
    [sym_preproc_endregion] = STATE(1967),
    [sym_preproc_line] = STATE(1967),
    [sym_preproc_pragma] = STATE(1967),
    [sym_preproc_nullable] = STATE(1967),
    [sym_preproc_error] = STATE(1967),
    [sym_preproc_define] = STATE(1967),
    [sym_preproc_undef] = STATE(1967),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1968] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4462),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1968),
    [sym_preproc_endregion] = STATE(1968),
    [sym_preproc_line] = STATE(1968),
    [sym_preproc_pragma] = STATE(1968),
    [sym_preproc_nullable] = STATE(1968),
    [sym_preproc_error] = STATE(1968),
    [sym_preproc_define] = STATE(1968),
    [sym_preproc_undef] = STATE(1968),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1969] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4521),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1969),
    [sym_preproc_endregion] = STATE(1969),
    [sym_preproc_line] = STATE(1969),
    [sym_preproc_pragma] = STATE(1969),
    [sym_preproc_nullable] = STATE(1969),
    [sym_preproc_error] = STATE(1969),
    [sym_preproc_define] = STATE(1969),
    [sym_preproc_undef] = STATE(1969),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1970] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4522),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1970),
    [sym_preproc_endregion] = STATE(1970),
    [sym_preproc_line] = STATE(1970),
    [sym_preproc_pragma] = STATE(1970),
    [sym_preproc_nullable] = STATE(1970),
    [sym_preproc_error] = STATE(1970),
    [sym_preproc_define] = STATE(1970),
    [sym_preproc_undef] = STATE(1970),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1971] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4523),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1971),
    [sym_preproc_endregion] = STATE(1971),
    [sym_preproc_line] = STATE(1971),
    [sym_preproc_pragma] = STATE(1971),
    [sym_preproc_nullable] = STATE(1971),
    [sym_preproc_error] = STATE(1971),
    [sym_preproc_define] = STATE(1971),
    [sym_preproc_undef] = STATE(1971),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1972] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4463),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1972),
    [sym_preproc_endregion] = STATE(1972),
    [sym_preproc_line] = STATE(1972),
    [sym_preproc_pragma] = STATE(1972),
    [sym_preproc_nullable] = STATE(1972),
    [sym_preproc_error] = STATE(1972),
    [sym_preproc_define] = STATE(1972),
    [sym_preproc_undef] = STATE(1972),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1973] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4524),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1973),
    [sym_preproc_endregion] = STATE(1973),
    [sym_preproc_line] = STATE(1973),
    [sym_preproc_pragma] = STATE(1973),
    [sym_preproc_nullable] = STATE(1973),
    [sym_preproc_error] = STATE(1973),
    [sym_preproc_define] = STATE(1973),
    [sym_preproc_undef] = STATE(1973),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1974] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4525),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1974),
    [sym_preproc_endregion] = STATE(1974),
    [sym_preproc_line] = STATE(1974),
    [sym_preproc_pragma] = STATE(1974),
    [sym_preproc_nullable] = STATE(1974),
    [sym_preproc_error] = STATE(1974),
    [sym_preproc_define] = STATE(1974),
    [sym_preproc_undef] = STATE(1974),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1975] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4526),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1975),
    [sym_preproc_endregion] = STATE(1975),
    [sym_preproc_line] = STATE(1975),
    [sym_preproc_pragma] = STATE(1975),
    [sym_preproc_nullable] = STATE(1975),
    [sym_preproc_error] = STATE(1975),
    [sym_preproc_define] = STATE(1975),
    [sym_preproc_undef] = STATE(1975),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1976] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4527),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1976),
    [sym_preproc_endregion] = STATE(1976),
    [sym_preproc_line] = STATE(1976),
    [sym_preproc_pragma] = STATE(1976),
    [sym_preproc_nullable] = STATE(1976),
    [sym_preproc_error] = STATE(1976),
    [sym_preproc_define] = STATE(1976),
    [sym_preproc_undef] = STATE(1976),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1977] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4365),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(1977),
    [sym_preproc_endregion] = STATE(1977),
    [sym_preproc_line] = STATE(1977),
    [sym_preproc_pragma] = STATE(1977),
    [sym_preproc_nullable] = STATE(1977),
    [sym_preproc_error] = STATE(1977),
    [sym_preproc_define] = STATE(1977),
    [sym_preproc_undef] = STATE(1977),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [1978] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5244),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1978),
    [sym_preproc_endregion] = STATE(1978),
    [sym_preproc_line] = STATE(1978),
    [sym_preproc_pragma] = STATE(1978),
    [sym_preproc_nullable] = STATE(1978),
    [sym_preproc_error] = STATE(1978),
    [sym_preproc_define] = STATE(1978),
    [sym_preproc_undef] = STATE(1978),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1979] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5147),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1979),
    [sym_preproc_endregion] = STATE(1979),
    [sym_preproc_line] = STATE(1979),
    [sym_preproc_pragma] = STATE(1979),
    [sym_preproc_nullable] = STATE(1979),
    [sym_preproc_error] = STATE(1979),
    [sym_preproc_define] = STATE(1979),
    [sym_preproc_undef] = STATE(1979),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1980] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5245),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1980),
    [sym_preproc_endregion] = STATE(1980),
    [sym_preproc_line] = STATE(1980),
    [sym_preproc_pragma] = STATE(1980),
    [sym_preproc_nullable] = STATE(1980),
    [sym_preproc_error] = STATE(1980),
    [sym_preproc_define] = STATE(1980),
    [sym_preproc_undef] = STATE(1980),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1981] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6229),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1981),
    [sym_preproc_endregion] = STATE(1981),
    [sym_preproc_line] = STATE(1981),
    [sym_preproc_pragma] = STATE(1981),
    [sym_preproc_nullable] = STATE(1981),
    [sym_preproc_error] = STATE(1981),
    [sym_preproc_define] = STATE(1981),
    [sym_preproc_undef] = STATE(1981),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1982] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5249),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1982),
    [sym_preproc_endregion] = STATE(1982),
    [sym_preproc_line] = STATE(1982),
    [sym_preproc_pragma] = STATE(1982),
    [sym_preproc_nullable] = STATE(1982),
    [sym_preproc_error] = STATE(1982),
    [sym_preproc_define] = STATE(1982),
    [sym_preproc_undef] = STATE(1982),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1983] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5896),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1983),
    [sym_preproc_endregion] = STATE(1983),
    [sym_preproc_line] = STATE(1983),
    [sym_preproc_pragma] = STATE(1983),
    [sym_preproc_nullable] = STATE(1983),
    [sym_preproc_error] = STATE(1983),
    [sym_preproc_define] = STATE(1983),
    [sym_preproc_undef] = STATE(1983),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1984] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1984),
    [sym_preproc_endregion] = STATE(1984),
    [sym_preproc_line] = STATE(1984),
    [sym_preproc_pragma] = STATE(1984),
    [sym_preproc_nullable] = STATE(1984),
    [sym_preproc_error] = STATE(1984),
    [sym_preproc_define] = STATE(1984),
    [sym_preproc_undef] = STATE(1984),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1985] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5338),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1985),
    [sym_preproc_endregion] = STATE(1985),
    [sym_preproc_line] = STATE(1985),
    [sym_preproc_pragma] = STATE(1985),
    [sym_preproc_nullable] = STATE(1985),
    [sym_preproc_error] = STATE(1985),
    [sym_preproc_define] = STATE(1985),
    [sym_preproc_undef] = STATE(1985),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1986] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5339),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1986),
    [sym_preproc_endregion] = STATE(1986),
    [sym_preproc_line] = STATE(1986),
    [sym_preproc_pragma] = STATE(1986),
    [sym_preproc_nullable] = STATE(1986),
    [sym_preproc_error] = STATE(1986),
    [sym_preproc_define] = STATE(1986),
    [sym_preproc_undef] = STATE(1986),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1987] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5340),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1987),
    [sym_preproc_endregion] = STATE(1987),
    [sym_preproc_line] = STATE(1987),
    [sym_preproc_pragma] = STATE(1987),
    [sym_preproc_nullable] = STATE(1987),
    [sym_preproc_error] = STATE(1987),
    [sym_preproc_define] = STATE(1987),
    [sym_preproc_undef] = STATE(1987),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1988] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5383),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1988),
    [sym_preproc_endregion] = STATE(1988),
    [sym_preproc_line] = STATE(1988),
    [sym_preproc_pragma] = STATE(1988),
    [sym_preproc_nullable] = STATE(1988),
    [sym_preproc_error] = STATE(1988),
    [sym_preproc_define] = STATE(1988),
    [sym_preproc_undef] = STATE(1988),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1989] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5384),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1989),
    [sym_preproc_endregion] = STATE(1989),
    [sym_preproc_line] = STATE(1989),
    [sym_preproc_pragma] = STATE(1989),
    [sym_preproc_nullable] = STATE(1989),
    [sym_preproc_error] = STATE(1989),
    [sym_preproc_define] = STATE(1989),
    [sym_preproc_undef] = STATE(1989),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1990] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5385),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1990),
    [sym_preproc_endregion] = STATE(1990),
    [sym_preproc_line] = STATE(1990),
    [sym_preproc_pragma] = STATE(1990),
    [sym_preproc_nullable] = STATE(1990),
    [sym_preproc_error] = STATE(1990),
    [sym_preproc_define] = STATE(1990),
    [sym_preproc_undef] = STATE(1990),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1991] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5341),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1991),
    [sym_preproc_endregion] = STATE(1991),
    [sym_preproc_line] = STATE(1991),
    [sym_preproc_pragma] = STATE(1991),
    [sym_preproc_nullable] = STATE(1991),
    [sym_preproc_error] = STATE(1991),
    [sym_preproc_define] = STATE(1991),
    [sym_preproc_undef] = STATE(1991),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1992] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5386),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1992),
    [sym_preproc_endregion] = STATE(1992),
    [sym_preproc_line] = STATE(1992),
    [sym_preproc_pragma] = STATE(1992),
    [sym_preproc_nullable] = STATE(1992),
    [sym_preproc_error] = STATE(1992),
    [sym_preproc_define] = STATE(1992),
    [sym_preproc_undef] = STATE(1992),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1993] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4828),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(1993),
    [sym_preproc_endregion] = STATE(1993),
    [sym_preproc_line] = STATE(1993),
    [sym_preproc_pragma] = STATE(1993),
    [sym_preproc_nullable] = STATE(1993),
    [sym_preproc_error] = STATE(1993),
    [sym_preproc_define] = STATE(1993),
    [sym_preproc_undef] = STATE(1993),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [1994] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5387),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1994),
    [sym_preproc_endregion] = STATE(1994),
    [sym_preproc_line] = STATE(1994),
    [sym_preproc_pragma] = STATE(1994),
    [sym_preproc_nullable] = STATE(1994),
    [sym_preproc_error] = STATE(1994),
    [sym_preproc_define] = STATE(1994),
    [sym_preproc_undef] = STATE(1994),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1995] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5388),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1995),
    [sym_preproc_endregion] = STATE(1995),
    [sym_preproc_line] = STATE(1995),
    [sym_preproc_pragma] = STATE(1995),
    [sym_preproc_nullable] = STATE(1995),
    [sym_preproc_error] = STATE(1995),
    [sym_preproc_define] = STATE(1995),
    [sym_preproc_undef] = STATE(1995),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1996] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5389),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1996),
    [sym_preproc_endregion] = STATE(1996),
    [sym_preproc_line] = STATE(1996),
    [sym_preproc_pragma] = STATE(1996),
    [sym_preproc_nullable] = STATE(1996),
    [sym_preproc_error] = STATE(1996),
    [sym_preproc_define] = STATE(1996),
    [sym_preproc_undef] = STATE(1996),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1997] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5899),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(1997),
    [sym_preproc_endregion] = STATE(1997),
    [sym_preproc_line] = STATE(1997),
    [sym_preproc_pragma] = STATE(1997),
    [sym_preproc_nullable] = STATE(1997),
    [sym_preproc_error] = STATE(1997),
    [sym_preproc_define] = STATE(1997),
    [sym_preproc_undef] = STATE(1997),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [1998] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5177),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(1998),
    [sym_preproc_endregion] = STATE(1998),
    [sym_preproc_line] = STATE(1998),
    [sym_preproc_pragma] = STATE(1998),
    [sym_preproc_nullable] = STATE(1998),
    [sym_preproc_error] = STATE(1998),
    [sym_preproc_define] = STATE(1998),
    [sym_preproc_undef] = STATE(1998),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [1999] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6247),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(1999),
    [sym_preproc_endregion] = STATE(1999),
    [sym_preproc_line] = STATE(1999),
    [sym_preproc_pragma] = STATE(1999),
    [sym_preproc_nullable] = STATE(1999),
    [sym_preproc_error] = STATE(1999),
    [sym_preproc_define] = STATE(1999),
    [sym_preproc_undef] = STATE(1999),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2000] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5903),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(2000),
    [sym_preproc_endregion] = STATE(2000),
    [sym_preproc_line] = STATE(2000),
    [sym_preproc_pragma] = STATE(2000),
    [sym_preproc_nullable] = STATE(2000),
    [sym_preproc_error] = STATE(2000),
    [sym_preproc_define] = STATE(2000),
    [sym_preproc_undef] = STATE(2000),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2001] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4417),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2001),
    [sym_preproc_endregion] = STATE(2001),
    [sym_preproc_line] = STATE(2001),
    [sym_preproc_pragma] = STATE(2001),
    [sym_preproc_nullable] = STATE(2001),
    [sym_preproc_error] = STATE(2001),
    [sym_preproc_define] = STATE(2001),
    [sym_preproc_undef] = STATE(2001),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2002] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4372),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2002),
    [sym_preproc_endregion] = STATE(2002),
    [sym_preproc_line] = STATE(2002),
    [sym_preproc_pragma] = STATE(2002),
    [sym_preproc_nullable] = STATE(2002),
    [sym_preproc_error] = STATE(2002),
    [sym_preproc_define] = STATE(2002),
    [sym_preproc_undef] = STATE(2002),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2003] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4428),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2003),
    [sym_preproc_endregion] = STATE(2003),
    [sym_preproc_line] = STATE(2003),
    [sym_preproc_pragma] = STATE(2003),
    [sym_preproc_nullable] = STATE(2003),
    [sym_preproc_error] = STATE(2003),
    [sym_preproc_define] = STATE(2003),
    [sym_preproc_undef] = STATE(2003),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2004] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6321),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2004),
    [sym_preproc_endregion] = STATE(2004),
    [sym_preproc_line] = STATE(2004),
    [sym_preproc_pragma] = STATE(2004),
    [sym_preproc_nullable] = STATE(2004),
    [sym_preproc_error] = STATE(2004),
    [sym_preproc_define] = STATE(2004),
    [sym_preproc_undef] = STATE(2004),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2005] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4444),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2005),
    [sym_preproc_endregion] = STATE(2005),
    [sym_preproc_line] = STATE(2005),
    [sym_preproc_pragma] = STATE(2005),
    [sym_preproc_nullable] = STATE(2005),
    [sym_preproc_error] = STATE(2005),
    [sym_preproc_define] = STATE(2005),
    [sym_preproc_undef] = STATE(2005),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2006] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4385),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2006),
    [sym_preproc_endregion] = STATE(2006),
    [sym_preproc_line] = STATE(2006),
    [sym_preproc_pragma] = STATE(2006),
    [sym_preproc_nullable] = STATE(2006),
    [sym_preproc_error] = STATE(2006),
    [sym_preproc_define] = STATE(2006),
    [sym_preproc_undef] = STATE(2006),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2007] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4391),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2007),
    [sym_preproc_endregion] = STATE(2007),
    [sym_preproc_line] = STATE(2007),
    [sym_preproc_pragma] = STATE(2007),
    [sym_preproc_nullable] = STATE(2007),
    [sym_preproc_error] = STATE(2007),
    [sym_preproc_define] = STATE(2007),
    [sym_preproc_undef] = STATE(2007),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2008] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4404),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2008),
    [sym_preproc_endregion] = STATE(2008),
    [sym_preproc_line] = STATE(2008),
    [sym_preproc_pragma] = STATE(2008),
    [sym_preproc_nullable] = STATE(2008),
    [sym_preproc_error] = STATE(2008),
    [sym_preproc_define] = STATE(2008),
    [sym_preproc_undef] = STATE(2008),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2009] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4373),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2009),
    [sym_preproc_endregion] = STATE(2009),
    [sym_preproc_line] = STATE(2009),
    [sym_preproc_pragma] = STATE(2009),
    [sym_preproc_nullable] = STATE(2009),
    [sym_preproc_error] = STATE(2009),
    [sym_preproc_define] = STATE(2009),
    [sym_preproc_undef] = STATE(2009),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2010] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4375),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2010),
    [sym_preproc_endregion] = STATE(2010),
    [sym_preproc_line] = STATE(2010),
    [sym_preproc_pragma] = STATE(2010),
    [sym_preproc_nullable] = STATE(2010),
    [sym_preproc_error] = STATE(2010),
    [sym_preproc_define] = STATE(2010),
    [sym_preproc_undef] = STATE(2010),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2011] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4394),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2011),
    [sym_preproc_endregion] = STATE(2011),
    [sym_preproc_line] = STATE(2011),
    [sym_preproc_pragma] = STATE(2011),
    [sym_preproc_nullable] = STATE(2011),
    [sym_preproc_error] = STATE(2011),
    [sym_preproc_define] = STATE(2011),
    [sym_preproc_undef] = STATE(2011),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2012] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4406),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2012),
    [sym_preproc_endregion] = STATE(2012),
    [sym_preproc_line] = STATE(2012),
    [sym_preproc_pragma] = STATE(2012),
    [sym_preproc_nullable] = STATE(2012),
    [sym_preproc_error] = STATE(2012),
    [sym_preproc_define] = STATE(2012),
    [sym_preproc_undef] = STATE(2012),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2013] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4396),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2013),
    [sym_preproc_endregion] = STATE(2013),
    [sym_preproc_line] = STATE(2013),
    [sym_preproc_pragma] = STATE(2013),
    [sym_preproc_nullable] = STATE(2013),
    [sym_preproc_error] = STATE(2013),
    [sym_preproc_define] = STATE(2013),
    [sym_preproc_undef] = STATE(2013),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2014] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4399),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2014),
    [sym_preproc_endregion] = STATE(2014),
    [sym_preproc_line] = STATE(2014),
    [sym_preproc_pragma] = STATE(2014),
    [sym_preproc_nullable] = STATE(2014),
    [sym_preproc_error] = STATE(2014),
    [sym_preproc_define] = STATE(2014),
    [sym_preproc_undef] = STATE(2014),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2015] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4403),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2015),
    [sym_preproc_endregion] = STATE(2015),
    [sym_preproc_line] = STATE(2015),
    [sym_preproc_pragma] = STATE(2015),
    [sym_preproc_nullable] = STATE(2015),
    [sym_preproc_error] = STATE(2015),
    [sym_preproc_define] = STATE(2015),
    [sym_preproc_undef] = STATE(2015),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2016] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4420),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2016),
    [sym_preproc_endregion] = STATE(2016),
    [sym_preproc_line] = STATE(2016),
    [sym_preproc_pragma] = STATE(2016),
    [sym_preproc_nullable] = STATE(2016),
    [sym_preproc_error] = STATE(2016),
    [sym_preproc_define] = STATE(2016),
    [sym_preproc_undef] = STATE(2016),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2017] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4365),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2017),
    [sym_preproc_endregion] = STATE(2017),
    [sym_preproc_line] = STATE(2017),
    [sym_preproc_pragma] = STATE(2017),
    [sym_preproc_nullable] = STATE(2017),
    [sym_preproc_error] = STATE(2017),
    [sym_preproc_define] = STATE(2017),
    [sym_preproc_undef] = STATE(2017),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2018] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5187),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2018),
    [sym_preproc_endregion] = STATE(2018),
    [sym_preproc_line] = STATE(2018),
    [sym_preproc_pragma] = STATE(2018),
    [sym_preproc_nullable] = STATE(2018),
    [sym_preproc_error] = STATE(2018),
    [sym_preproc_define] = STATE(2018),
    [sym_preproc_undef] = STATE(2018),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2019] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5147),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2019),
    [sym_preproc_endregion] = STATE(2019),
    [sym_preproc_line] = STATE(2019),
    [sym_preproc_pragma] = STATE(2019),
    [sym_preproc_nullable] = STATE(2019),
    [sym_preproc_error] = STATE(2019),
    [sym_preproc_define] = STATE(2019),
    [sym_preproc_undef] = STATE(2019),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2020] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5173),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2020),
    [sym_preproc_endregion] = STATE(2020),
    [sym_preproc_line] = STATE(2020),
    [sym_preproc_pragma] = STATE(2020),
    [sym_preproc_nullable] = STATE(2020),
    [sym_preproc_error] = STATE(2020),
    [sym_preproc_define] = STATE(2020),
    [sym_preproc_undef] = STATE(2020),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2021] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5227),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2021),
    [sym_preproc_endregion] = STATE(2021),
    [sym_preproc_line] = STATE(2021),
    [sym_preproc_pragma] = STATE(2021),
    [sym_preproc_nullable] = STATE(2021),
    [sym_preproc_error] = STATE(2021),
    [sym_preproc_define] = STATE(2021),
    [sym_preproc_undef] = STATE(2021),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2022] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6348),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2022),
    [sym_preproc_endregion] = STATE(2022),
    [sym_preproc_line] = STATE(2022),
    [sym_preproc_pragma] = STATE(2022),
    [sym_preproc_nullable] = STATE(2022),
    [sym_preproc_error] = STATE(2022),
    [sym_preproc_define] = STATE(2022),
    [sym_preproc_undef] = STATE(2022),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2023] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5226),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2023),
    [sym_preproc_endregion] = STATE(2023),
    [sym_preproc_line] = STATE(2023),
    [sym_preproc_pragma] = STATE(2023),
    [sym_preproc_nullable] = STATE(2023),
    [sym_preproc_error] = STATE(2023),
    [sym_preproc_define] = STATE(2023),
    [sym_preproc_undef] = STATE(2023),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2024] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5222),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2024),
    [sym_preproc_endregion] = STATE(2024),
    [sym_preproc_line] = STATE(2024),
    [sym_preproc_pragma] = STATE(2024),
    [sym_preproc_nullable] = STATE(2024),
    [sym_preproc_error] = STATE(2024),
    [sym_preproc_define] = STATE(2024),
    [sym_preproc_undef] = STATE(2024),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2025] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5200),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2025),
    [sym_preproc_endregion] = STATE(2025),
    [sym_preproc_line] = STATE(2025),
    [sym_preproc_pragma] = STATE(2025),
    [sym_preproc_nullable] = STATE(2025),
    [sym_preproc_error] = STATE(2025),
    [sym_preproc_define] = STATE(2025),
    [sym_preproc_undef] = STATE(2025),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2026] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5211),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2026),
    [sym_preproc_endregion] = STATE(2026),
    [sym_preproc_line] = STATE(2026),
    [sym_preproc_pragma] = STATE(2026),
    [sym_preproc_nullable] = STATE(2026),
    [sym_preproc_error] = STATE(2026),
    [sym_preproc_define] = STATE(2026),
    [sym_preproc_undef] = STATE(2026),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2027] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5202),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2027),
    [sym_preproc_endregion] = STATE(2027),
    [sym_preproc_line] = STATE(2027),
    [sym_preproc_pragma] = STATE(2027),
    [sym_preproc_nullable] = STATE(2027),
    [sym_preproc_error] = STATE(2027),
    [sym_preproc_define] = STATE(2027),
    [sym_preproc_undef] = STATE(2027),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2028] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5149),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2028),
    [sym_preproc_endregion] = STATE(2028),
    [sym_preproc_line] = STATE(2028),
    [sym_preproc_pragma] = STATE(2028),
    [sym_preproc_nullable] = STATE(2028),
    [sym_preproc_error] = STATE(2028),
    [sym_preproc_define] = STATE(2028),
    [sym_preproc_undef] = STATE(2028),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2029] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5221),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2029),
    [sym_preproc_endregion] = STATE(2029),
    [sym_preproc_line] = STATE(2029),
    [sym_preproc_pragma] = STATE(2029),
    [sym_preproc_nullable] = STATE(2029),
    [sym_preproc_error] = STATE(2029),
    [sym_preproc_define] = STATE(2029),
    [sym_preproc_undef] = STATE(2029),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2030] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5171),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2030),
    [sym_preproc_endregion] = STATE(2030),
    [sym_preproc_line] = STATE(2030),
    [sym_preproc_pragma] = STATE(2030),
    [sym_preproc_nullable] = STATE(2030),
    [sym_preproc_error] = STATE(2030),
    [sym_preproc_define] = STATE(2030),
    [sym_preproc_undef] = STATE(2030),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2031] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5229),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2031),
    [sym_preproc_endregion] = STATE(2031),
    [sym_preproc_line] = STATE(2031),
    [sym_preproc_pragma] = STATE(2031),
    [sym_preproc_nullable] = STATE(2031),
    [sym_preproc_error] = STATE(2031),
    [sym_preproc_define] = STATE(2031),
    [sym_preproc_undef] = STATE(2031),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2032] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5181),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2032),
    [sym_preproc_endregion] = STATE(2032),
    [sym_preproc_line] = STATE(2032),
    [sym_preproc_pragma] = STATE(2032),
    [sym_preproc_nullable] = STATE(2032),
    [sym_preproc_error] = STATE(2032),
    [sym_preproc_define] = STATE(2032),
    [sym_preproc_undef] = STATE(2032),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2033] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5233),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2033),
    [sym_preproc_endregion] = STATE(2033),
    [sym_preproc_line] = STATE(2033),
    [sym_preproc_pragma] = STATE(2033),
    [sym_preproc_nullable] = STATE(2033),
    [sym_preproc_error] = STATE(2033),
    [sym_preproc_define] = STATE(2033),
    [sym_preproc_undef] = STATE(2033),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2034] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5177),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2034),
    [sym_preproc_endregion] = STATE(2034),
    [sym_preproc_line] = STATE(2034),
    [sym_preproc_pragma] = STATE(2034),
    [sym_preproc_nullable] = STATE(2034),
    [sym_preproc_error] = STATE(2034),
    [sym_preproc_define] = STATE(2034),
    [sym_preproc_undef] = STATE(2034),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2035] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6254),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2035),
    [sym_preproc_endregion] = STATE(2035),
    [sym_preproc_line] = STATE(2035),
    [sym_preproc_pragma] = STATE(2035),
    [sym_preproc_nullable] = STATE(2035),
    [sym_preproc_error] = STATE(2035),
    [sym_preproc_define] = STATE(2035),
    [sym_preproc_undef] = STATE(2035),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2036] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6438),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2036),
    [sym_preproc_endregion] = STATE(2036),
    [sym_preproc_line] = STATE(2036),
    [sym_preproc_pragma] = STATE(2036),
    [sym_preproc_nullable] = STATE(2036),
    [sym_preproc_error] = STATE(2036),
    [sym_preproc_define] = STATE(2036),
    [sym_preproc_undef] = STATE(2036),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2037] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4337),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2037),
    [sym_preproc_endregion] = STATE(2037),
    [sym_preproc_line] = STATE(2037),
    [sym_preproc_pragma] = STATE(2037),
    [sym_preproc_nullable] = STATE(2037),
    [sym_preproc_error] = STATE(2037),
    [sym_preproc_define] = STATE(2037),
    [sym_preproc_undef] = STATE(2037),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2038] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6084),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2038),
    [sym_preproc_endregion] = STATE(2038),
    [sym_preproc_line] = STATE(2038),
    [sym_preproc_pragma] = STATE(2038),
    [sym_preproc_nullable] = STATE(2038),
    [sym_preproc_error] = STATE(2038),
    [sym_preproc_define] = STATE(2038),
    [sym_preproc_undef] = STATE(2038),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2039] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6440),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2039),
    [sym_preproc_endregion] = STATE(2039),
    [sym_preproc_line] = STATE(2039),
    [sym_preproc_pragma] = STATE(2039),
    [sym_preproc_nullable] = STATE(2039),
    [sym_preproc_error] = STATE(2039),
    [sym_preproc_define] = STATE(2039),
    [sym_preproc_undef] = STATE(2039),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2040] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7050),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3932),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(4350),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9255),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(2040),
    [sym_preproc_endregion] = STATE(2040),
    [sym_preproc_line] = STATE(2040),
    [sym_preproc_pragma] = STATE(2040),
    [sym_preproc_nullable] = STATE(2040),
    [sym_preproc_error] = STATE(2040),
    [sym_preproc_define] = STATE(2040),
    [sym_preproc_undef] = STATE(2040),
    [aux_sym_class_declaration_repeat1] = STATE(3845),
    [aux_sym_lambda_expression_repeat1] = STATE(4203),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_ref] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1743),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_DOT_DOT] = ACTIONS(1747),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2041] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4436),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2041),
    [sym_preproc_endregion] = STATE(2041),
    [sym_preproc_line] = STATE(2041),
    [sym_preproc_pragma] = STATE(2041),
    [sym_preproc_nullable] = STATE(2041),
    [sym_preproc_error] = STATE(2041),
    [sym_preproc_define] = STATE(2041),
    [sym_preproc_undef] = STATE(2041),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2042] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4446),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2042),
    [sym_preproc_endregion] = STATE(2042),
    [sym_preproc_line] = STATE(2042),
    [sym_preproc_pragma] = STATE(2042),
    [sym_preproc_nullable] = STATE(2042),
    [sym_preproc_error] = STATE(2042),
    [sym_preproc_define] = STATE(2042),
    [sym_preproc_undef] = STATE(2042),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2043] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6947),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2979),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7099),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4958),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(3795),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7413),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9392),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2043),
    [sym_preproc_endregion] = STATE(2043),
    [sym_preproc_line] = STATE(2043),
    [sym_preproc_pragma] = STATE(2043),
    [sym_preproc_nullable] = STATE(2043),
    [sym_preproc_error] = STATE(2043),
    [sym_preproc_define] = STATE(2043),
    [sym_preproc_undef] = STATE(2043),
    [aux_sym_class_declaration_repeat1] = STATE(3848),
    [aux_sym_lambda_expression_repeat1] = STATE(4210),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1817),
    [anon_sym_ref] = ACTIONS(1819),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1821),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1825),
    [anon_sym_TILDE] = ACTIONS(1825),
    [anon_sym_PLUS_PLUS] = ACTIONS(1825),
    [anon_sym_DASH_DASH] = ACTIONS(1825),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1823),
    [anon_sym_DASH] = ACTIONS(1823),
    [anon_sym_STAR] = ACTIONS(1827),
    [anon_sym_CARET] = ACTIONS(1825),
    [anon_sym_AMP] = ACTIONS(1825),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1829),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1831),
    [anon_sym_DOT_DOT] = ACTIONS(1833),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2044] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6925),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2926),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7124),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4379),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3615),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9835),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2044),
    [sym_preproc_endregion] = STATE(2044),
    [sym_preproc_line] = STATE(2044),
    [sym_preproc_pragma] = STATE(2044),
    [sym_preproc_nullable] = STATE(2044),
    [sym_preproc_error] = STATE(2044),
    [sym_preproc_define] = STATE(2044),
    [sym_preproc_undef] = STATE(2044),
    [aux_sym_class_declaration_repeat1] = STATE(3849),
    [aux_sym_lambda_expression_repeat1] = STATE(4213),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_ref] = ACTIONS(1661),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1667),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_CARET] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1687),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1689),
    [anon_sym_DOT_DOT] = ACTIONS(1691),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2045] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3566),
    [sym__name] = STATE(6911),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2929),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6950),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4379),
    [sym_non_lvalue_expression] = STATE(4684),
    [sym_lvalue_expression] = STATE(3573),
    [sym__expression_statement_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4692),
    [sym_binary_expression] = STATE(4575),
    [sym_postfix_unary_expression] = STATE(4692),
    [sym_prefix_unary_expression] = STATE(4692),
    [sym__pointer_indirection_expression] = STATE(3563),
    [sym_query_expression] = STATE(4575),
    [sym_from_clause] = STATE(7432),
    [sym_conditional_expression] = STATE(4575),
    [sym_conditional_access_expression] = STATE(4575),
    [sym_as_expression] = STATE(4575),
    [sym_is_expression] = STATE(4575),
    [sym_is_pattern_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_checked_expression] = STATE(4575),
    [sym_invocation_expression] = STATE(4692),
    [sym_switch_expression] = STATE(4575),
    [sym_await_expression] = STATE(4692),
    [sym_throw_expression] = STATE(4575),
    [sym_element_access_expression] = STATE(3563),
    [sym_interpolated_string_expression] = STATE(4575),
    [sym_member_access_expression] = STATE(3563),
    [sym_object_creation_expression] = STATE(4692),
    [sym_parenthesized_expression] = STATE(4692),
    [sym__parenthesized_lvalue_expression] = STATE(3563),
    [sym_lambda_expression] = STATE(4575),
    [sym__lambda_parameters] = STATE(9421),
    [sym_array_creation_expression] = STATE(4575),
    [sym_anonymous_method_expression] = STATE(4575),
    [sym_anonymous_object_creation_expression] = STATE(4575),
    [sym_implicit_array_creation_expression] = STATE(4575),
    [sym_implicit_object_creation_expression] = STATE(4575),
    [sym_implicit_stackalloc_expression] = STATE(4575),
    [sym_initializer_expression] = STATE(4575),
    [sym_default_expression] = STATE(4575),
    [sym_with_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_typeof_expression] = STATE(4575),
    [sym_makeref_expression] = STATE(4575),
    [sym_ref_expression] = STATE(4575),
    [sym_reftype_expression] = STATE(4575),
    [sym_refvalue_expression] = STATE(4575),
    [sym_stackalloc_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_tuple_expression] = STATE(3563),
    [sym_literal] = STATE(4575),
    [sym_character_literal] = STATE(4742),
    [sym_string_literal] = STATE(4742),
    [sym_raw_string_literal] = STATE(4742),
    [sym_boolean_literal] = STATE(4742),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4575),
    [sym_preproc_region] = STATE(2045),
    [sym_preproc_endregion] = STATE(2045),
    [sym_preproc_line] = STATE(2045),
    [sym_preproc_pragma] = STATE(2045),
    [sym_preproc_nullable] = STATE(2045),
    [sym_preproc_error] = STATE(2045),
    [sym_preproc_define] = STATE(2045),
    [sym_preproc_undef] = STATE(2045),
    [aux_sym_class_declaration_repeat1] = STATE(3860),
    [aux_sym_lambda_expression_repeat1] = STATE(4240),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1749),
    [anon_sym_ref] = ACTIONS(1751),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_delegate] = ACTIONS(1665),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [anon_sym_true] = ACTIONS(1675),
    [anon_sym_false] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1759),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_this] = ACTIONS(1679),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1681),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1683),
    [anon_sym_unchecked] = ACTIONS(1669),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1685),
    [anon_sym_throw] = ACTIONS(1761),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [anon_sym_stackalloc] = ACTIONS(1695),
    [anon_sym_sizeof] = ACTIONS(1697),
    [anon_sym_typeof] = ACTIONS(1699),
    [anon_sym___makeref] = ACTIONS(1701),
    [anon_sym___reftype] = ACTIONS(1703),
    [anon_sym___refvalue] = ACTIONS(1705),
    [sym_null_literal] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [sym_integer_literal] = ACTIONS(1707),
    [sym_real_literal] = ACTIONS(1711),
    [sym_verbatim_string_literal] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1715),
    [sym_interpolation_verbatim_start] = ACTIONS(1717),
    [sym_interpolation_raw_start] = ACTIONS(1719),
    [sym_raw_string_start] = ACTIONS(1721),
  },
  [2046] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2046),
    [sym_preproc_endregion] = STATE(2046),
    [sym_preproc_line] = STATE(2046),
    [sym_preproc_pragma] = STATE(2046),
    [sym_preproc_nullable] = STATE(2046),
    [sym_preproc_error] = STATE(2046),
    [sym_preproc_define] = STATE(2046),
    [sym_preproc_undef] = STATE(2046),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2047] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6681),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2047),
    [sym_preproc_endregion] = STATE(2047),
    [sym_preproc_line] = STATE(2047),
    [sym_preproc_pragma] = STATE(2047),
    [sym_preproc_nullable] = STATE(2047),
    [sym_preproc_error] = STATE(2047),
    [sym_preproc_define] = STATE(2047),
    [sym_preproc_undef] = STATE(2047),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2048] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6449),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2048),
    [sym_preproc_endregion] = STATE(2048),
    [sym_preproc_line] = STATE(2048),
    [sym_preproc_pragma] = STATE(2048),
    [sym_preproc_nullable] = STATE(2048),
    [sym_preproc_error] = STATE(2048),
    [sym_preproc_define] = STATE(2048),
    [sym_preproc_undef] = STATE(2048),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2049] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6650),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2049),
    [sym_preproc_endregion] = STATE(2049),
    [sym_preproc_line] = STATE(2049),
    [sym_preproc_pragma] = STATE(2049),
    [sym_preproc_nullable] = STATE(2049),
    [sym_preproc_error] = STATE(2049),
    [sym_preproc_define] = STATE(2049),
    [sym_preproc_undef] = STATE(2049),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2050] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6326),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2050),
    [sym_preproc_endregion] = STATE(2050),
    [sym_preproc_line] = STATE(2050),
    [sym_preproc_pragma] = STATE(2050),
    [sym_preproc_nullable] = STATE(2050),
    [sym_preproc_error] = STATE(2050),
    [sym_preproc_define] = STATE(2050),
    [sym_preproc_undef] = STATE(2050),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2051] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6575),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2051),
    [sym_preproc_endregion] = STATE(2051),
    [sym_preproc_line] = STATE(2051),
    [sym_preproc_pragma] = STATE(2051),
    [sym_preproc_nullable] = STATE(2051),
    [sym_preproc_error] = STATE(2051),
    [sym_preproc_define] = STATE(2051),
    [sym_preproc_undef] = STATE(2051),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2052] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6357),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2052),
    [sym_preproc_endregion] = STATE(2052),
    [sym_preproc_line] = STATE(2052),
    [sym_preproc_pragma] = STATE(2052),
    [sym_preproc_nullable] = STATE(2052),
    [sym_preproc_error] = STATE(2052),
    [sym_preproc_define] = STATE(2052),
    [sym_preproc_undef] = STATE(2052),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2053] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6395),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2053),
    [sym_preproc_endregion] = STATE(2053),
    [sym_preproc_line] = STATE(2053),
    [sym_preproc_pragma] = STATE(2053),
    [sym_preproc_nullable] = STATE(2053),
    [sym_preproc_error] = STATE(2053),
    [sym_preproc_define] = STATE(2053),
    [sym_preproc_undef] = STATE(2053),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2054] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6221),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2054),
    [sym_preproc_endregion] = STATE(2054),
    [sym_preproc_line] = STATE(2054),
    [sym_preproc_pragma] = STATE(2054),
    [sym_preproc_nullable] = STATE(2054),
    [sym_preproc_error] = STATE(2054),
    [sym_preproc_define] = STATE(2054),
    [sym_preproc_undef] = STATE(2054),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2055] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6413),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2055),
    [sym_preproc_endregion] = STATE(2055),
    [sym_preproc_line] = STATE(2055),
    [sym_preproc_pragma] = STATE(2055),
    [sym_preproc_nullable] = STATE(2055),
    [sym_preproc_error] = STATE(2055),
    [sym_preproc_define] = STATE(2055),
    [sym_preproc_undef] = STATE(2055),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2056] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6593),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2056),
    [sym_preproc_endregion] = STATE(2056),
    [sym_preproc_line] = STATE(2056),
    [sym_preproc_pragma] = STATE(2056),
    [sym_preproc_nullable] = STATE(2056),
    [sym_preproc_error] = STATE(2056),
    [sym_preproc_define] = STATE(2056),
    [sym_preproc_undef] = STATE(2056),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2057] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6636),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2057),
    [sym_preproc_endregion] = STATE(2057),
    [sym_preproc_line] = STATE(2057),
    [sym_preproc_pragma] = STATE(2057),
    [sym_preproc_nullable] = STATE(2057),
    [sym_preproc_error] = STATE(2057),
    [sym_preproc_define] = STATE(2057),
    [sym_preproc_undef] = STATE(2057),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2058] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6347),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2058),
    [sym_preproc_endregion] = STATE(2058),
    [sym_preproc_line] = STATE(2058),
    [sym_preproc_pragma] = STATE(2058),
    [sym_preproc_nullable] = STATE(2058),
    [sym_preproc_error] = STATE(2058),
    [sym_preproc_define] = STATE(2058),
    [sym_preproc_undef] = STATE(2058),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2059] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6376),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7091),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4355),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4491),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7440),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9691),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2059),
    [sym_preproc_endregion] = STATE(2059),
    [sym_preproc_line] = STATE(2059),
    [sym_preproc_pragma] = STATE(2059),
    [sym_preproc_nullable] = STATE(2059),
    [sym_preproc_error] = STATE(2059),
    [sym_preproc_define] = STATE(2059),
    [sym_preproc_undef] = STATE(2059),
    [aux_sym_class_declaration_repeat1] = STATE(3872),
    [aux_sym_lambda_expression_repeat1] = STATE(4297),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2063),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(2065),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2060] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6544),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2060),
    [sym_preproc_endregion] = STATE(2060),
    [sym_preproc_line] = STATE(2060),
    [sym_preproc_pragma] = STATE(2060),
    [sym_preproc_nullable] = STATE(2060),
    [sym_preproc_error] = STATE(2060),
    [sym_preproc_define] = STATE(2060),
    [sym_preproc_undef] = STATE(2060),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2061] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6545),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2061),
    [sym_preproc_endregion] = STATE(2061),
    [sym_preproc_line] = STATE(2061),
    [sym_preproc_pragma] = STATE(2061),
    [sym_preproc_nullable] = STATE(2061),
    [sym_preproc_error] = STATE(2061),
    [sym_preproc_define] = STATE(2061),
    [sym_preproc_undef] = STATE(2061),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2062] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6546),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2062),
    [sym_preproc_endregion] = STATE(2062),
    [sym_preproc_line] = STATE(2062),
    [sym_preproc_pragma] = STATE(2062),
    [sym_preproc_nullable] = STATE(2062),
    [sym_preproc_error] = STATE(2062),
    [sym_preproc_define] = STATE(2062),
    [sym_preproc_undef] = STATE(2062),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2063] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7045),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6548),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4257),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9934),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2063),
    [sym_preproc_endregion] = STATE(2063),
    [sym_preproc_line] = STATE(2063),
    [sym_preproc_pragma] = STATE(2063),
    [sym_preproc_nullable] = STATE(2063),
    [sym_preproc_error] = STATE(2063),
    [sym_preproc_define] = STATE(2063),
    [sym_preproc_undef] = STATE(2063),
    [aux_sym_class_declaration_repeat1] = STATE(3867),
    [aux_sym_lambda_expression_repeat1] = STATE(4282),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_ref] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(73),
    [anon_sym_TILDE] = ACTIONS(73),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(77),
    [anon_sym_DASH] = ACTIONS(77),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(73),
    [anon_sym_AMP] = ACTIONS(73),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1519),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1521),
    [anon_sym_DOT_DOT] = ACTIONS(1523),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2064] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6552),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2064),
    [sym_preproc_endregion] = STATE(2064),
    [sym_preproc_line] = STATE(2064),
    [sym_preproc_pragma] = STATE(2064),
    [sym_preproc_nullable] = STATE(2064),
    [sym_preproc_error] = STATE(2064),
    [sym_preproc_define] = STATE(2064),
    [sym_preproc_undef] = STATE(2064),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2065] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6555),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2065),
    [sym_preproc_endregion] = STATE(2065),
    [sym_preproc_line] = STATE(2065),
    [sym_preproc_pragma] = STATE(2065),
    [sym_preproc_nullable] = STATE(2065),
    [sym_preproc_error] = STATE(2065),
    [sym_preproc_define] = STATE(2065),
    [sym_preproc_undef] = STATE(2065),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2066] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6556),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2066),
    [sym_preproc_endregion] = STATE(2066),
    [sym_preproc_line] = STATE(2066),
    [sym_preproc_pragma] = STATE(2066),
    [sym_preproc_nullable] = STATE(2066),
    [sym_preproc_error] = STATE(2066),
    [sym_preproc_define] = STATE(2066),
    [sym_preproc_undef] = STATE(2066),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2067] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6627),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2067),
    [sym_preproc_endregion] = STATE(2067),
    [sym_preproc_line] = STATE(2067),
    [sym_preproc_pragma] = STATE(2067),
    [sym_preproc_nullable] = STATE(2067),
    [sym_preproc_error] = STATE(2067),
    [sym_preproc_define] = STATE(2067),
    [sym_preproc_undef] = STATE(2067),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2068] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6645),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2068),
    [sym_preproc_endregion] = STATE(2068),
    [sym_preproc_line] = STATE(2068),
    [sym_preproc_pragma] = STATE(2068),
    [sym_preproc_nullable] = STATE(2068),
    [sym_preproc_error] = STATE(2068),
    [sym_preproc_define] = STATE(2068),
    [sym_preproc_undef] = STATE(2068),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2069] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6305),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2069),
    [sym_preproc_endregion] = STATE(2069),
    [sym_preproc_line] = STATE(2069),
    [sym_preproc_pragma] = STATE(2069),
    [sym_preproc_nullable] = STATE(2069),
    [sym_preproc_error] = STATE(2069),
    [sym_preproc_define] = STATE(2069),
    [sym_preproc_undef] = STATE(2069),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2070] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6315),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2070),
    [sym_preproc_endregion] = STATE(2070),
    [sym_preproc_line] = STATE(2070),
    [sym_preproc_pragma] = STATE(2070),
    [sym_preproc_nullable] = STATE(2070),
    [sym_preproc_error] = STATE(2070),
    [sym_preproc_define] = STATE(2070),
    [sym_preproc_undef] = STATE(2070),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2071] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6456),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2071),
    [sym_preproc_endregion] = STATE(2071),
    [sym_preproc_line] = STATE(2071),
    [sym_preproc_pragma] = STATE(2071),
    [sym_preproc_nullable] = STATE(2071),
    [sym_preproc_error] = STATE(2071),
    [sym_preproc_define] = STATE(2071),
    [sym_preproc_undef] = STATE(2071),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2072] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6457),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2072),
    [sym_preproc_endregion] = STATE(2072),
    [sym_preproc_line] = STATE(2072),
    [sym_preproc_pragma] = STATE(2072),
    [sym_preproc_nullable] = STATE(2072),
    [sym_preproc_error] = STATE(2072),
    [sym_preproc_define] = STATE(2072),
    [sym_preproc_undef] = STATE(2072),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2073] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6464),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2073),
    [sym_preproc_endregion] = STATE(2073),
    [sym_preproc_line] = STATE(2073),
    [sym_preproc_pragma] = STATE(2073),
    [sym_preproc_nullable] = STATE(2073),
    [sym_preproc_error] = STATE(2073),
    [sym_preproc_define] = STATE(2073),
    [sym_preproc_undef] = STATE(2073),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2074] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6350),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2074),
    [sym_preproc_endregion] = STATE(2074),
    [sym_preproc_line] = STATE(2074),
    [sym_preproc_pragma] = STATE(2074),
    [sym_preproc_nullable] = STATE(2074),
    [sym_preproc_error] = STATE(2074),
    [sym_preproc_define] = STATE(2074),
    [sym_preproc_undef] = STATE(2074),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2075] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6317),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2075),
    [sym_preproc_endregion] = STATE(2075),
    [sym_preproc_line] = STATE(2075),
    [sym_preproc_pragma] = STATE(2075),
    [sym_preproc_nullable] = STATE(2075),
    [sym_preproc_error] = STATE(2075),
    [sym_preproc_define] = STATE(2075),
    [sym_preproc_undef] = STATE(2075),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2076] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6318),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2076),
    [sym_preproc_endregion] = STATE(2076),
    [sym_preproc_line] = STATE(2076),
    [sym_preproc_pragma] = STATE(2076),
    [sym_preproc_nullable] = STATE(2076),
    [sym_preproc_error] = STATE(2076),
    [sym_preproc_define] = STATE(2076),
    [sym_preproc_undef] = STATE(2076),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2077] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6319),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2077),
    [sym_preproc_endregion] = STATE(2077),
    [sym_preproc_line] = STATE(2077),
    [sym_preproc_pragma] = STATE(2077),
    [sym_preproc_nullable] = STATE(2077),
    [sym_preproc_error] = STATE(2077),
    [sym_preproc_define] = STATE(2077),
    [sym_preproc_undef] = STATE(2077),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2078] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6353),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2078),
    [sym_preproc_endregion] = STATE(2078),
    [sym_preproc_line] = STATE(2078),
    [sym_preproc_pragma] = STATE(2078),
    [sym_preproc_nullable] = STATE(2078),
    [sym_preproc_error] = STATE(2078),
    [sym_preproc_define] = STATE(2078),
    [sym_preproc_undef] = STATE(2078),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2079] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5891),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2079),
    [sym_preproc_endregion] = STATE(2079),
    [sym_preproc_line] = STATE(2079),
    [sym_preproc_pragma] = STATE(2079),
    [sym_preproc_nullable] = STATE(2079),
    [sym_preproc_error] = STATE(2079),
    [sym_preproc_define] = STATE(2079),
    [sym_preproc_undef] = STATE(2079),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2080] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5147),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2080),
    [sym_preproc_endregion] = STATE(2080),
    [sym_preproc_line] = STATE(2080),
    [sym_preproc_pragma] = STATE(2080),
    [sym_preproc_nullable] = STATE(2080),
    [sym_preproc_error] = STATE(2080),
    [sym_preproc_define] = STATE(2080),
    [sym_preproc_undef] = STATE(2080),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2081] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4893),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2081),
    [sym_preproc_endregion] = STATE(2081),
    [sym_preproc_line] = STATE(2081),
    [sym_preproc_pragma] = STATE(2081),
    [sym_preproc_nullable] = STATE(2081),
    [sym_preproc_error] = STATE(2081),
    [sym_preproc_define] = STATE(2081),
    [sym_preproc_undef] = STATE(2081),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2082] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4899),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2082),
    [sym_preproc_endregion] = STATE(2082),
    [sym_preproc_line] = STATE(2082),
    [sym_preproc_pragma] = STATE(2082),
    [sym_preproc_nullable] = STATE(2082),
    [sym_preproc_error] = STATE(2082),
    [sym_preproc_define] = STATE(2082),
    [sym_preproc_undef] = STATE(2082),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2083] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4904),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2083),
    [sym_preproc_endregion] = STATE(2083),
    [sym_preproc_line] = STATE(2083),
    [sym_preproc_pragma] = STATE(2083),
    [sym_preproc_nullable] = STATE(2083),
    [sym_preproc_error] = STATE(2083),
    [sym_preproc_define] = STATE(2083),
    [sym_preproc_undef] = STATE(2083),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2084] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4907),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2084),
    [sym_preproc_endregion] = STATE(2084),
    [sym_preproc_line] = STATE(2084),
    [sym_preproc_pragma] = STATE(2084),
    [sym_preproc_nullable] = STATE(2084),
    [sym_preproc_error] = STATE(2084),
    [sym_preproc_define] = STATE(2084),
    [sym_preproc_undef] = STATE(2084),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2085] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4922),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2085),
    [sym_preproc_endregion] = STATE(2085),
    [sym_preproc_line] = STATE(2085),
    [sym_preproc_pragma] = STATE(2085),
    [sym_preproc_nullable] = STATE(2085),
    [sym_preproc_error] = STATE(2085),
    [sym_preproc_define] = STATE(2085),
    [sym_preproc_undef] = STATE(2085),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2086] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4925),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2086),
    [sym_preproc_endregion] = STATE(2086),
    [sym_preproc_line] = STATE(2086),
    [sym_preproc_pragma] = STATE(2086),
    [sym_preproc_nullable] = STATE(2086),
    [sym_preproc_error] = STATE(2086),
    [sym_preproc_define] = STATE(2086),
    [sym_preproc_undef] = STATE(2086),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2087] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4927),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2087),
    [sym_preproc_endregion] = STATE(2087),
    [sym_preproc_line] = STATE(2087),
    [sym_preproc_pragma] = STATE(2087),
    [sym_preproc_nullable] = STATE(2087),
    [sym_preproc_error] = STATE(2087),
    [sym_preproc_define] = STATE(2087),
    [sym_preproc_undef] = STATE(2087),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2088] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4932),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2088),
    [sym_preproc_endregion] = STATE(2088),
    [sym_preproc_line] = STATE(2088),
    [sym_preproc_pragma] = STATE(2088),
    [sym_preproc_nullable] = STATE(2088),
    [sym_preproc_error] = STATE(2088),
    [sym_preproc_define] = STATE(2088),
    [sym_preproc_undef] = STATE(2088),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2089] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4935),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2089),
    [sym_preproc_endregion] = STATE(2089),
    [sym_preproc_line] = STATE(2089),
    [sym_preproc_pragma] = STATE(2089),
    [sym_preproc_nullable] = STATE(2089),
    [sym_preproc_error] = STATE(2089),
    [sym_preproc_define] = STATE(2089),
    [sym_preproc_undef] = STATE(2089),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2090] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4936),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2090),
    [sym_preproc_endregion] = STATE(2090),
    [sym_preproc_line] = STATE(2090),
    [sym_preproc_pragma] = STATE(2090),
    [sym_preproc_nullable] = STATE(2090),
    [sym_preproc_error] = STATE(2090),
    [sym_preproc_define] = STATE(2090),
    [sym_preproc_undef] = STATE(2090),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2091] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4840),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2091),
    [sym_preproc_endregion] = STATE(2091),
    [sym_preproc_line] = STATE(2091),
    [sym_preproc_pragma] = STATE(2091),
    [sym_preproc_nullable] = STATE(2091),
    [sym_preproc_error] = STATE(2091),
    [sym_preproc_define] = STATE(2091),
    [sym_preproc_undef] = STATE(2091),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2092] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5917),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2092),
    [sym_preproc_endregion] = STATE(2092),
    [sym_preproc_line] = STATE(2092),
    [sym_preproc_pragma] = STATE(2092),
    [sym_preproc_nullable] = STATE(2092),
    [sym_preproc_error] = STATE(2092),
    [sym_preproc_define] = STATE(2092),
    [sym_preproc_undef] = STATE(2092),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2093] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6923),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7077),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3764),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7434),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9244),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2093),
    [sym_preproc_endregion] = STATE(2093),
    [sym_preproc_line] = STATE(2093),
    [sym_preproc_pragma] = STATE(2093),
    [sym_preproc_nullable] = STATE(2093),
    [sym_preproc_error] = STATE(2093),
    [sym_preproc_define] = STATE(2093),
    [sym_preproc_undef] = STATE(2093),
    [aux_sym_class_declaration_repeat1] = STATE(3832),
    [aux_sym_lambda_expression_repeat1] = STATE(4141),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_ref] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1263),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1283),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2094] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5275),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2094),
    [sym_preproc_endregion] = STATE(2094),
    [sym_preproc_line] = STATE(2094),
    [sym_preproc_pragma] = STATE(2094),
    [sym_preproc_nullable] = STATE(2094),
    [sym_preproc_error] = STATE(2094),
    [sym_preproc_define] = STATE(2094),
    [sym_preproc_undef] = STATE(2094),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2095] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6363),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2095),
    [sym_preproc_endregion] = STATE(2095),
    [sym_preproc_line] = STATE(2095),
    [sym_preproc_pragma] = STATE(2095),
    [sym_preproc_nullable] = STATE(2095),
    [sym_preproc_error] = STATE(2095),
    [sym_preproc_define] = STATE(2095),
    [sym_preproc_undef] = STATE(2095),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2096] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5890),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2096),
    [sym_preproc_endregion] = STATE(2096),
    [sym_preproc_line] = STATE(2096),
    [sym_preproc_pragma] = STATE(2096),
    [sym_preproc_nullable] = STATE(2096),
    [sym_preproc_error] = STATE(2096),
    [sym_preproc_define] = STATE(2096),
    [sym_preproc_undef] = STATE(2096),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2097] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6599),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2097),
    [sym_preproc_endregion] = STATE(2097),
    [sym_preproc_line] = STATE(2097),
    [sym_preproc_pragma] = STATE(2097),
    [sym_preproc_nullable] = STATE(2097),
    [sym_preproc_error] = STATE(2097),
    [sym_preproc_define] = STATE(2097),
    [sym_preproc_undef] = STATE(2097),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2098] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6600),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2098),
    [sym_preproc_endregion] = STATE(2098),
    [sym_preproc_line] = STATE(2098),
    [sym_preproc_pragma] = STATE(2098),
    [sym_preproc_nullable] = STATE(2098),
    [sym_preproc_error] = STATE(2098),
    [sym_preproc_define] = STATE(2098),
    [sym_preproc_undef] = STATE(2098),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2099] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6601),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2099),
    [sym_preproc_endregion] = STATE(2099),
    [sym_preproc_line] = STATE(2099),
    [sym_preproc_pragma] = STATE(2099),
    [sym_preproc_nullable] = STATE(2099),
    [sym_preproc_error] = STATE(2099),
    [sym_preproc_define] = STATE(2099),
    [sym_preproc_undef] = STATE(2099),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2100] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6388),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2100),
    [sym_preproc_endregion] = STATE(2100),
    [sym_preproc_line] = STATE(2100),
    [sym_preproc_pragma] = STATE(2100),
    [sym_preproc_nullable] = STATE(2100),
    [sym_preproc_error] = STATE(2100),
    [sym_preproc_define] = STATE(2100),
    [sym_preproc_undef] = STATE(2100),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2101] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6389),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2101),
    [sym_preproc_endregion] = STATE(2101),
    [sym_preproc_line] = STATE(2101),
    [sym_preproc_pragma] = STATE(2101),
    [sym_preproc_nullable] = STATE(2101),
    [sym_preproc_error] = STATE(2101),
    [sym_preproc_define] = STATE(2101),
    [sym_preproc_undef] = STATE(2101),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2102] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6390),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2102),
    [sym_preproc_endregion] = STATE(2102),
    [sym_preproc_line] = STATE(2102),
    [sym_preproc_pragma] = STATE(2102),
    [sym_preproc_nullable] = STATE(2102),
    [sym_preproc_error] = STATE(2102),
    [sym_preproc_define] = STATE(2102),
    [sym_preproc_undef] = STATE(2102),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2103] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6602),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2103),
    [sym_preproc_endregion] = STATE(2103),
    [sym_preproc_line] = STATE(2103),
    [sym_preproc_pragma] = STATE(2103),
    [sym_preproc_nullable] = STATE(2103),
    [sym_preproc_error] = STATE(2103),
    [sym_preproc_define] = STATE(2103),
    [sym_preproc_undef] = STATE(2103),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2104] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6391),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2104),
    [sym_preproc_endregion] = STATE(2104),
    [sym_preproc_line] = STATE(2104),
    [sym_preproc_pragma] = STATE(2104),
    [sym_preproc_nullable] = STATE(2104),
    [sym_preproc_error] = STATE(2104),
    [sym_preproc_define] = STATE(2104),
    [sym_preproc_undef] = STATE(2104),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2105] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6373),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2105),
    [sym_preproc_endregion] = STATE(2105),
    [sym_preproc_line] = STATE(2105),
    [sym_preproc_pragma] = STATE(2105),
    [sym_preproc_nullable] = STATE(2105),
    [sym_preproc_error] = STATE(2105),
    [sym_preproc_define] = STATE(2105),
    [sym_preproc_undef] = STATE(2105),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2106] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6392),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2106),
    [sym_preproc_endregion] = STATE(2106),
    [sym_preproc_line] = STATE(2106),
    [sym_preproc_pragma] = STATE(2106),
    [sym_preproc_nullable] = STATE(2106),
    [sym_preproc_error] = STATE(2106),
    [sym_preproc_define] = STATE(2106),
    [sym_preproc_undef] = STATE(2106),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2107] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6393),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2107),
    [sym_preproc_endregion] = STATE(2107),
    [sym_preproc_line] = STATE(2107),
    [sym_preproc_pragma] = STATE(2107),
    [sym_preproc_nullable] = STATE(2107),
    [sym_preproc_error] = STATE(2107),
    [sym_preproc_define] = STATE(2107),
    [sym_preproc_undef] = STATE(2107),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2108] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6394),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2108),
    [sym_preproc_endregion] = STATE(2108),
    [sym_preproc_line] = STATE(2108),
    [sym_preproc_pragma] = STATE(2108),
    [sym_preproc_nullable] = STATE(2108),
    [sym_preproc_error] = STATE(2108),
    [sym_preproc_define] = STATE(2108),
    [sym_preproc_undef] = STATE(2108),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2109] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6396),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2109),
    [sym_preproc_endregion] = STATE(2109),
    [sym_preproc_line] = STATE(2109),
    [sym_preproc_pragma] = STATE(2109),
    [sym_preproc_nullable] = STATE(2109),
    [sym_preproc_error] = STATE(2109),
    [sym_preproc_define] = STATE(2109),
    [sym_preproc_undef] = STATE(2109),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2110] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4340),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2110),
    [sym_preproc_endregion] = STATE(2110),
    [sym_preproc_line] = STATE(2110),
    [sym_preproc_pragma] = STATE(2110),
    [sym_preproc_nullable] = STATE(2110),
    [sym_preproc_error] = STATE(2110),
    [sym_preproc_define] = STATE(2110),
    [sym_preproc_undef] = STATE(2110),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2111] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6375),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2111),
    [sym_preproc_endregion] = STATE(2111),
    [sym_preproc_line] = STATE(2111),
    [sym_preproc_pragma] = STATE(2111),
    [sym_preproc_nullable] = STATE(2111),
    [sym_preproc_error] = STATE(2111),
    [sym_preproc_define] = STATE(2111),
    [sym_preproc_undef] = STATE(2111),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2112] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6404),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2112),
    [sym_preproc_endregion] = STATE(2112),
    [sym_preproc_line] = STATE(2112),
    [sym_preproc_pragma] = STATE(2112),
    [sym_preproc_nullable] = STATE(2112),
    [sym_preproc_error] = STATE(2112),
    [sym_preproc_define] = STATE(2112),
    [sym_preproc_undef] = STATE(2112),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2113] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7149),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6407),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2113),
    [sym_preproc_endregion] = STATE(2113),
    [sym_preproc_line] = STATE(2113),
    [sym_preproc_pragma] = STATE(2113),
    [sym_preproc_nullable] = STATE(2113),
    [sym_preproc_error] = STATE(2113),
    [sym_preproc_define] = STATE(2113),
    [sym_preproc_undef] = STATE(2113),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2114] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6999),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5144),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4064),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9093),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2114),
    [sym_preproc_endregion] = STATE(2114),
    [sym_preproc_line] = STATE(2114),
    [sym_preproc_pragma] = STATE(2114),
    [sym_preproc_nullable] = STATE(2114),
    [sym_preproc_error] = STATE(2114),
    [sym_preproc_define] = STATE(2114),
    [sym_preproc_undef] = STATE(2114),
    [aux_sym_class_declaration_repeat1] = STATE(3851),
    [aux_sym_lambda_expression_repeat1] = STATE(4218),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1417),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1437),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1439),
    [anon_sym_DOT_DOT] = ACTIONS(1441),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2115] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5228),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2115),
    [sym_preproc_endregion] = STATE(2115),
    [sym_preproc_line] = STATE(2115),
    [sym_preproc_pragma] = STATE(2115),
    [sym_preproc_nullable] = STATE(2115),
    [sym_preproc_error] = STATE(2115),
    [sym_preproc_define] = STATE(2115),
    [sym_preproc_undef] = STATE(2115),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2116] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5225),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2116),
    [sym_preproc_endregion] = STATE(2116),
    [sym_preproc_line] = STATE(2116),
    [sym_preproc_pragma] = STATE(2116),
    [sym_preproc_nullable] = STATE(2116),
    [sym_preproc_error] = STATE(2116),
    [sym_preproc_define] = STATE(2116),
    [sym_preproc_undef] = STATE(2116),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2117] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5199),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(2117),
    [sym_preproc_endregion] = STATE(2117),
    [sym_preproc_line] = STATE(2117),
    [sym_preproc_pragma] = STATE(2117),
    [sym_preproc_nullable] = STATE(2117),
    [sym_preproc_error] = STATE(2117),
    [sym_preproc_define] = STATE(2117),
    [sym_preproc_undef] = STATE(2117),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2118] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3927),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(2118),
    [sym_preproc_endregion] = STATE(2118),
    [sym_preproc_line] = STATE(2118),
    [sym_preproc_pragma] = STATE(2118),
    [sym_preproc_nullable] = STATE(2118),
    [sym_preproc_error] = STATE(2118),
    [sym_preproc_define] = STATE(2118),
    [sym_preproc_undef] = STATE(2118),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2119] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5817),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2119),
    [sym_preproc_endregion] = STATE(2119),
    [sym_preproc_line] = STATE(2119),
    [sym_preproc_pragma] = STATE(2119),
    [sym_preproc_nullable] = STATE(2119),
    [sym_preproc_error] = STATE(2119),
    [sym_preproc_define] = STATE(2119),
    [sym_preproc_undef] = STATE(2119),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2120] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5819),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2120),
    [sym_preproc_endregion] = STATE(2120),
    [sym_preproc_line] = STATE(2120),
    [sym_preproc_pragma] = STATE(2120),
    [sym_preproc_nullable] = STATE(2120),
    [sym_preproc_error] = STATE(2120),
    [sym_preproc_define] = STATE(2120),
    [sym_preproc_undef] = STATE(2120),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2121] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6929),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2865),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(6960),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5144),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(3939),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7422),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9512),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2121),
    [sym_preproc_endregion] = STATE(2121),
    [sym_preproc_line] = STATE(2121),
    [sym_preproc_pragma] = STATE(2121),
    [sym_preproc_nullable] = STATE(2121),
    [sym_preproc_error] = STATE(2121),
    [sym_preproc_define] = STATE(2121),
    [sym_preproc_undef] = STATE(2121),
    [aux_sym_class_declaration_repeat1] = STATE(3862),
    [aux_sym_lambda_expression_repeat1] = STATE(4245),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1475),
    [anon_sym_ref] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1487),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1489),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2122] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5821),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2122),
    [sym_preproc_endregion] = STATE(2122),
    [sym_preproc_line] = STATE(2122),
    [sym_preproc_pragma] = STATE(2122),
    [sym_preproc_nullable] = STATE(2122),
    [sym_preproc_error] = STATE(2122),
    [sym_preproc_define] = STATE(2122),
    [sym_preproc_undef] = STATE(2122),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2123] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5822),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2123),
    [sym_preproc_endregion] = STATE(2123),
    [sym_preproc_line] = STATE(2123),
    [sym_preproc_pragma] = STATE(2123),
    [sym_preproc_nullable] = STATE(2123),
    [sym_preproc_error] = STATE(2123),
    [sym_preproc_define] = STATE(2123),
    [sym_preproc_undef] = STATE(2123),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2124] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5823),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2124),
    [sym_preproc_endregion] = STATE(2124),
    [sym_preproc_line] = STATE(2124),
    [sym_preproc_pragma] = STATE(2124),
    [sym_preproc_nullable] = STATE(2124),
    [sym_preproc_error] = STATE(2124),
    [sym_preproc_define] = STATE(2124),
    [sym_preproc_undef] = STATE(2124),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2125] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4794),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2125),
    [sym_preproc_endregion] = STATE(2125),
    [sym_preproc_line] = STATE(2125),
    [sym_preproc_pragma] = STATE(2125),
    [sym_preproc_nullable] = STATE(2125),
    [sym_preproc_error] = STATE(2125),
    [sym_preproc_define] = STATE(2125),
    [sym_preproc_undef] = STATE(2125),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2126] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4796),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2126),
    [sym_preproc_endregion] = STATE(2126),
    [sym_preproc_line] = STATE(2126),
    [sym_preproc_pragma] = STATE(2126),
    [sym_preproc_nullable] = STATE(2126),
    [sym_preproc_error] = STATE(2126),
    [sym_preproc_define] = STATE(2126),
    [sym_preproc_undef] = STATE(2126),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2127] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4841),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2127),
    [sym_preproc_endregion] = STATE(2127),
    [sym_preproc_line] = STATE(2127),
    [sym_preproc_pragma] = STATE(2127),
    [sym_preproc_nullable] = STATE(2127),
    [sym_preproc_error] = STATE(2127),
    [sym_preproc_define] = STATE(2127),
    [sym_preproc_undef] = STATE(2127),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2128] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3567),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2128),
    [sym_preproc_endregion] = STATE(2128),
    [sym_preproc_line] = STATE(2128),
    [sym_preproc_pragma] = STATE(2128),
    [sym_preproc_nullable] = STATE(2128),
    [sym_preproc_error] = STATE(2128),
    [sym_preproc_define] = STATE(2128),
    [sym_preproc_undef] = STATE(2128),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2129] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5824),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2129),
    [sym_preproc_endregion] = STATE(2129),
    [sym_preproc_line] = STATE(2129),
    [sym_preproc_pragma] = STATE(2129),
    [sym_preproc_nullable] = STATE(2129),
    [sym_preproc_error] = STATE(2129),
    [sym_preproc_define] = STATE(2129),
    [sym_preproc_undef] = STATE(2129),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2130] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4842),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2130),
    [sym_preproc_endregion] = STATE(2130),
    [sym_preproc_line] = STATE(2130),
    [sym_preproc_pragma] = STATE(2130),
    [sym_preproc_nullable] = STATE(2130),
    [sym_preproc_error] = STATE(2130),
    [sym_preproc_define] = STATE(2130),
    [sym_preproc_undef] = STATE(2130),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2131] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5825),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2131),
    [sym_preproc_endregion] = STATE(2131),
    [sym_preproc_line] = STATE(2131),
    [sym_preproc_pragma] = STATE(2131),
    [sym_preproc_nullable] = STATE(2131),
    [sym_preproc_error] = STATE(2131),
    [sym_preproc_define] = STATE(2131),
    [sym_preproc_undef] = STATE(2131),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2132] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5826),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2132),
    [sym_preproc_endregion] = STATE(2132),
    [sym_preproc_line] = STATE(2132),
    [sym_preproc_pragma] = STATE(2132),
    [sym_preproc_nullable] = STATE(2132),
    [sym_preproc_error] = STATE(2132),
    [sym_preproc_define] = STATE(2132),
    [sym_preproc_undef] = STATE(2132),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2133] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5856),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2133),
    [sym_preproc_endregion] = STATE(2133),
    [sym_preproc_line] = STATE(2133),
    [sym_preproc_pragma] = STATE(2133),
    [sym_preproc_nullable] = STATE(2133),
    [sym_preproc_error] = STATE(2133),
    [sym_preproc_define] = STATE(2133),
    [sym_preproc_undef] = STATE(2133),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2134] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4847),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2134),
    [sym_preproc_endregion] = STATE(2134),
    [sym_preproc_line] = STATE(2134),
    [sym_preproc_pragma] = STATE(2134),
    [sym_preproc_nullable] = STATE(2134),
    [sym_preproc_error] = STATE(2134),
    [sym_preproc_define] = STATE(2134),
    [sym_preproc_undef] = STATE(2134),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2135] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5827),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2135),
    [sym_preproc_endregion] = STATE(2135),
    [sym_preproc_line] = STATE(2135),
    [sym_preproc_pragma] = STATE(2135),
    [sym_preproc_nullable] = STATE(2135),
    [sym_preproc_error] = STATE(2135),
    [sym_preproc_define] = STATE(2135),
    [sym_preproc_undef] = STATE(2135),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2136] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5829),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2136),
    [sym_preproc_endregion] = STATE(2136),
    [sym_preproc_line] = STATE(2136),
    [sym_preproc_pragma] = STATE(2136),
    [sym_preproc_nullable] = STATE(2136),
    [sym_preproc_error] = STATE(2136),
    [sym_preproc_define] = STATE(2136),
    [sym_preproc_undef] = STATE(2136),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2137] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5833),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2137),
    [sym_preproc_endregion] = STATE(2137),
    [sym_preproc_line] = STATE(2137),
    [sym_preproc_pragma] = STATE(2137),
    [sym_preproc_nullable] = STATE(2137),
    [sym_preproc_error] = STATE(2137),
    [sym_preproc_define] = STATE(2137),
    [sym_preproc_undef] = STATE(2137),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2138] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4879),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2138),
    [sym_preproc_endregion] = STATE(2138),
    [sym_preproc_line] = STATE(2138),
    [sym_preproc_pragma] = STATE(2138),
    [sym_preproc_nullable] = STATE(2138),
    [sym_preproc_error] = STATE(2138),
    [sym_preproc_define] = STATE(2138),
    [sym_preproc_undef] = STATE(2138),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2139] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4880),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2139),
    [sym_preproc_endregion] = STATE(2139),
    [sym_preproc_line] = STATE(2139),
    [sym_preproc_pragma] = STATE(2139),
    [sym_preproc_nullable] = STATE(2139),
    [sym_preproc_error] = STATE(2139),
    [sym_preproc_define] = STATE(2139),
    [sym_preproc_undef] = STATE(2139),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2140] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4881),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2140),
    [sym_preproc_endregion] = STATE(2140),
    [sym_preproc_line] = STATE(2140),
    [sym_preproc_pragma] = STATE(2140),
    [sym_preproc_nullable] = STATE(2140),
    [sym_preproc_error] = STATE(2140),
    [sym_preproc_define] = STATE(2140),
    [sym_preproc_undef] = STATE(2140),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2141] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4852),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2141),
    [sym_preproc_endregion] = STATE(2141),
    [sym_preproc_line] = STATE(2141),
    [sym_preproc_pragma] = STATE(2141),
    [sym_preproc_nullable] = STATE(2141),
    [sym_preproc_error] = STATE(2141),
    [sym_preproc_define] = STATE(2141),
    [sym_preproc_undef] = STATE(2141),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2142] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4853),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2142),
    [sym_preproc_endregion] = STATE(2142),
    [sym_preproc_line] = STATE(2142),
    [sym_preproc_pragma] = STATE(2142),
    [sym_preproc_nullable] = STATE(2142),
    [sym_preproc_error] = STATE(2142),
    [sym_preproc_define] = STATE(2142),
    [sym_preproc_undef] = STATE(2142),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2143] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4854),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2143),
    [sym_preproc_endregion] = STATE(2143),
    [sym_preproc_line] = STATE(2143),
    [sym_preproc_pragma] = STATE(2143),
    [sym_preproc_nullable] = STATE(2143),
    [sym_preproc_error] = STATE(2143),
    [sym_preproc_define] = STATE(2143),
    [sym_preproc_undef] = STATE(2143),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2144] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4882),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2144),
    [sym_preproc_endregion] = STATE(2144),
    [sym_preproc_line] = STATE(2144),
    [sym_preproc_pragma] = STATE(2144),
    [sym_preproc_nullable] = STATE(2144),
    [sym_preproc_error] = STATE(2144),
    [sym_preproc_define] = STATE(2144),
    [sym_preproc_undef] = STATE(2144),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2145] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4855),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2145),
    [sym_preproc_endregion] = STATE(2145),
    [sym_preproc_line] = STATE(2145),
    [sym_preproc_pragma] = STATE(2145),
    [sym_preproc_nullable] = STATE(2145),
    [sym_preproc_error] = STATE(2145),
    [sym_preproc_define] = STATE(2145),
    [sym_preproc_undef] = STATE(2145),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2146] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4856),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2146),
    [sym_preproc_endregion] = STATE(2146),
    [sym_preproc_line] = STATE(2146),
    [sym_preproc_pragma] = STATE(2146),
    [sym_preproc_nullable] = STATE(2146),
    [sym_preproc_error] = STATE(2146),
    [sym_preproc_define] = STATE(2146),
    [sym_preproc_undef] = STATE(2146),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2147] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4858),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2147),
    [sym_preproc_endregion] = STATE(2147),
    [sym_preproc_line] = STATE(2147),
    [sym_preproc_pragma] = STATE(2147),
    [sym_preproc_nullable] = STATE(2147),
    [sym_preproc_error] = STATE(2147),
    [sym_preproc_define] = STATE(2147),
    [sym_preproc_undef] = STATE(2147),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2148] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4860),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2148),
    [sym_preproc_endregion] = STATE(2148),
    [sym_preproc_line] = STATE(2148),
    [sym_preproc_pragma] = STATE(2148),
    [sym_preproc_nullable] = STATE(2148),
    [sym_preproc_error] = STATE(2148),
    [sym_preproc_define] = STATE(2148),
    [sym_preproc_undef] = STATE(2148),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2149] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3578),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2149),
    [sym_preproc_endregion] = STATE(2149),
    [sym_preproc_line] = STATE(2149),
    [sym_preproc_pragma] = STATE(2149),
    [sym_preproc_nullable] = STATE(2149),
    [sym_preproc_error] = STATE(2149),
    [sym_preproc_define] = STATE(2149),
    [sym_preproc_undef] = STATE(2149),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2150] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5234),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(2150),
    [sym_preproc_endregion] = STATE(2150),
    [sym_preproc_line] = STATE(2150),
    [sym_preproc_pragma] = STATE(2150),
    [sym_preproc_nullable] = STATE(2150),
    [sym_preproc_error] = STATE(2150),
    [sym_preproc_define] = STATE(2150),
    [sym_preproc_undef] = STATE(2150),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2151] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3576),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2151),
    [sym_preproc_endregion] = STATE(2151),
    [sym_preproc_line] = STATE(2151),
    [sym_preproc_pragma] = STATE(2151),
    [sym_preproc_nullable] = STATE(2151),
    [sym_preproc_error] = STATE(2151),
    [sym_preproc_define] = STATE(2151),
    [sym_preproc_undef] = STATE(2151),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2152] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6621),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2152),
    [sym_preproc_endregion] = STATE(2152),
    [sym_preproc_line] = STATE(2152),
    [sym_preproc_pragma] = STATE(2152),
    [sym_preproc_nullable] = STATE(2152),
    [sym_preproc_error] = STATE(2152),
    [sym_preproc_define] = STATE(2152),
    [sym_preproc_undef] = STATE(2152),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2153] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3933),
    [sym__name] = STATE(6930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2870),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2819),
    [sym_type] = STATE(7061),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5177),
    [sym_non_lvalue_expression] = STATE(5518),
    [sym_lvalue_expression] = STATE(4358),
    [sym__expression_statement_expression] = STATE(5514),
    [sym_assignment_expression] = STATE(5519),
    [sym_binary_expression] = STATE(5514),
    [sym_postfix_unary_expression] = STATE(5519),
    [sym_prefix_unary_expression] = STATE(5519),
    [sym__pointer_indirection_expression] = STATE(3931),
    [sym_query_expression] = STATE(5514),
    [sym_from_clause] = STATE(7428),
    [sym_conditional_expression] = STATE(5514),
    [sym_conditional_access_expression] = STATE(5514),
    [sym_as_expression] = STATE(5514),
    [sym_is_expression] = STATE(5514),
    [sym_is_pattern_expression] = STATE(5514),
    [sym_cast_expression] = STATE(5514),
    [sym_checked_expression] = STATE(5514),
    [sym_invocation_expression] = STATE(5519),
    [sym_switch_expression] = STATE(5514),
    [sym_await_expression] = STATE(5519),
    [sym_throw_expression] = STATE(5514),
    [sym_element_access_expression] = STATE(3931),
    [sym_interpolated_string_expression] = STATE(5514),
    [sym_member_access_expression] = STATE(3931),
    [sym_object_creation_expression] = STATE(5519),
    [sym_parenthesized_expression] = STATE(5519),
    [sym__parenthesized_lvalue_expression] = STATE(3931),
    [sym_lambda_expression] = STATE(5514),
    [sym__lambda_parameters] = STATE(9279),
    [sym_array_creation_expression] = STATE(5514),
    [sym_anonymous_method_expression] = STATE(5514),
    [sym_anonymous_object_creation_expression] = STATE(5514),
    [sym_implicit_array_creation_expression] = STATE(5514),
    [sym_implicit_object_creation_expression] = STATE(5514),
    [sym_implicit_stackalloc_expression] = STATE(5514),
    [sym_initializer_expression] = STATE(5514),
    [sym_default_expression] = STATE(5514),
    [sym_with_expression] = STATE(5514),
    [sym_sizeof_expression] = STATE(5514),
    [sym_typeof_expression] = STATE(5514),
    [sym_makeref_expression] = STATE(5514),
    [sym_ref_expression] = STATE(5514),
    [sym_reftype_expression] = STATE(5514),
    [sym_refvalue_expression] = STATE(5514),
    [sym_stackalloc_expression] = STATE(5514),
    [sym_range_expression] = STATE(5514),
    [sym_tuple_expression] = STATE(3931),
    [sym_literal] = STATE(5514),
    [sym_character_literal] = STATE(5516),
    [sym_string_literal] = STATE(5516),
    [sym_raw_string_literal] = STATE(5516),
    [sym_boolean_literal] = STATE(5516),
    [sym_identifier] = STATE(2810),
    [sym__reserved_identifier] = STATE(2799),
    [sym_preproc_if_in_expression] = STATE(5514),
    [sym_preproc_region] = STATE(2153),
    [sym_preproc_endregion] = STATE(2153),
    [sym_preproc_line] = STATE(2153),
    [sym_preproc_pragma] = STATE(2153),
    [sym_preproc_nullable] = STATE(2153),
    [sym_preproc_error] = STATE(2153),
    [sym_preproc_define] = STATE(2153),
    [sym_preproc_undef] = STATE(2153),
    [aux_sym_class_declaration_repeat1] = STATE(3834),
    [aux_sym_lambda_expression_repeat1] = STATE(4151),
    [sym__identifier_token] = ACTIONS(1399),
    [anon_sym_alias] = ACTIONS(1401),
    [anon_sym_global] = ACTIONS(1401),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym_ref] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_delegate] = ACTIONS(1411),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_where] = ACTIONS(1401),
    [anon_sym_notnull] = ACTIONS(1401),
    [anon_sym_unmanaged] = ACTIONS(1401),
    [anon_sym_checked] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1631),
    [anon_sym_TILDE] = ACTIONS(1631),
    [anon_sym_PLUS_PLUS] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1631),
    [anon_sym_true] = ACTIONS(1421),
    [anon_sym_false] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1631),
    [anon_sym_AMP] = ACTIONS(1631),
    [anon_sym_this] = ACTIONS(1425),
    [anon_sym_scoped] = ACTIONS(1427),
    [anon_sym_base] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1431),
    [sym_predefined_type] = ACTIONS(1433),
    [anon_sym_unchecked] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1633),
    [anon_sym_when] = ACTIONS(1401),
    [anon_sym_await] = ACTIONS(1635),
    [anon_sym_DOT_DOT] = ACTIONS(1637),
    [anon_sym_from] = ACTIONS(1443),
    [anon_sym_into] = ACTIONS(1401),
    [anon_sym_join] = ACTIONS(1401),
    [anon_sym_on] = ACTIONS(1401),
    [anon_sym_equals] = ACTIONS(1401),
    [anon_sym_let] = ACTIONS(1401),
    [anon_sym_orderby] = ACTIONS(1401),
    [anon_sym_ascending] = ACTIONS(1401),
    [anon_sym_descending] = ACTIONS(1401),
    [anon_sym_group] = ACTIONS(1401),
    [anon_sym_by] = ACTIONS(1401),
    [anon_sym_select] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1445),
    [anon_sym_stackalloc] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym_typeof] = ACTIONS(1451),
    [anon_sym___makeref] = ACTIONS(1453),
    [anon_sym___reftype] = ACTIONS(1455),
    [anon_sym___refvalue] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1461),
    [sym_integer_literal] = ACTIONS(1459),
    [sym_real_literal] = ACTIONS(1463),
    [sym_verbatim_string_literal] = ACTIONS(1463),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1467),
    [sym_interpolation_verbatim_start] = ACTIONS(1469),
    [sym_interpolation_raw_start] = ACTIONS(1471),
    [sym_raw_string_start] = ACTIONS(1473),
  },
  [2154] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(2996),
    [sym__name] = STATE(6915),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2954),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6948),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4752),
    [sym_non_lvalue_expression] = STATE(3730),
    [sym_lvalue_expression] = STATE(3765),
    [sym__expression_statement_expression] = STATE(3712),
    [sym_assignment_expression] = STATE(3650),
    [sym_binary_expression] = STATE(3712),
    [sym_postfix_unary_expression] = STATE(3650),
    [sym_prefix_unary_expression] = STATE(3650),
    [sym__pointer_indirection_expression] = STATE(3003),
    [sym_query_expression] = STATE(3712),
    [sym_from_clause] = STATE(7435),
    [sym_conditional_expression] = STATE(3712),
    [sym_conditional_access_expression] = STATE(3712),
    [sym_as_expression] = STATE(3712),
    [sym_is_expression] = STATE(3712),
    [sym_is_pattern_expression] = STATE(3712),
    [sym_cast_expression] = STATE(3712),
    [sym_checked_expression] = STATE(3712),
    [sym_invocation_expression] = STATE(3650),
    [sym_switch_expression] = STATE(3712),
    [sym_await_expression] = STATE(3650),
    [sym_throw_expression] = STATE(3712),
    [sym_element_access_expression] = STATE(3003),
    [sym_interpolated_string_expression] = STATE(3712),
    [sym_member_access_expression] = STATE(3003),
    [sym_object_creation_expression] = STATE(3650),
    [sym_parenthesized_expression] = STATE(3650),
    [sym__parenthesized_lvalue_expression] = STATE(3003),
    [sym_lambda_expression] = STATE(3712),
    [sym__lambda_parameters] = STATE(9619),
    [sym_array_creation_expression] = STATE(3712),
    [sym_anonymous_method_expression] = STATE(3712),
    [sym_anonymous_object_creation_expression] = STATE(3712),
    [sym_implicit_array_creation_expression] = STATE(3712),
    [sym_implicit_object_creation_expression] = STATE(3712),
    [sym_implicit_stackalloc_expression] = STATE(3712),
    [sym_initializer_expression] = STATE(3712),
    [sym_default_expression] = STATE(3712),
    [sym_with_expression] = STATE(3712),
    [sym_sizeof_expression] = STATE(3712),
    [sym_typeof_expression] = STATE(3712),
    [sym_makeref_expression] = STATE(3712),
    [sym_ref_expression] = STATE(3712),
    [sym_reftype_expression] = STATE(3712),
    [sym_refvalue_expression] = STATE(3712),
    [sym_stackalloc_expression] = STATE(3712),
    [sym_range_expression] = STATE(3712),
    [sym_tuple_expression] = STATE(3003),
    [sym_literal] = STATE(3712),
    [sym_character_literal] = STATE(3630),
    [sym_string_literal] = STATE(3630),
    [sym_raw_string_literal] = STATE(3630),
    [sym_boolean_literal] = STATE(3630),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3712),
    [sym_preproc_region] = STATE(2154),
    [sym_preproc_endregion] = STATE(2154),
    [sym_preproc_line] = STATE(2154),
    [sym_preproc_pragma] = STATE(2154),
    [sym_preproc_nullable] = STATE(2154),
    [sym_preproc_error] = STATE(2154),
    [sym_preproc_define] = STATE(2154),
    [sym_preproc_undef] = STATE(2154),
    [aux_sym_class_declaration_repeat1] = STATE(3869),
    [aux_sym_lambda_expression_repeat1] = STATE(4279),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_ref] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_delegate] = ACTIONS(1261),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1839),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_AMP] = ACTIONS(1843),
    [anon_sym_this] = ACTIONS(1275),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1277),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1279),
    [anon_sym_unchecked] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1847),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1851),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_stackalloc] = ACTIONS(1291),
    [anon_sym_sizeof] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym___makeref] = ACTIONS(1297),
    [anon_sym___reftype] = ACTIONS(1299),
    [anon_sym___refvalue] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1305),
    [sym_integer_literal] = ACTIONS(1303),
    [sym_real_literal] = ACTIONS(1307),
    [sym_verbatim_string_literal] = ACTIONS(1307),
    [aux_sym_preproc_if_token1] = ACTIONS(1309),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1311),
    [sym_interpolation_verbatim_start] = ACTIONS(1313),
    [sym_interpolation_raw_start] = ACTIONS(1315),
    [sym_raw_string_start] = ACTIONS(1317),
  },
  [2155] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6476),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2155),
    [sym_preproc_endregion] = STATE(2155),
    [sym_preproc_line] = STATE(2155),
    [sym_preproc_pragma] = STATE(2155),
    [sym_preproc_nullable] = STATE(2155),
    [sym_preproc_error] = STATE(2155),
    [sym_preproc_define] = STATE(2155),
    [sym_preproc_undef] = STATE(2155),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2156] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6480),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2156),
    [sym_preproc_endregion] = STATE(2156),
    [sym_preproc_line] = STATE(2156),
    [sym_preproc_pragma] = STATE(2156),
    [sym_preproc_nullable] = STATE(2156),
    [sym_preproc_error] = STATE(2156),
    [sym_preproc_define] = STATE(2156),
    [sym_preproc_undef] = STATE(2156),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2157] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5885),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2157),
    [sym_preproc_endregion] = STATE(2157),
    [sym_preproc_line] = STATE(2157),
    [sym_preproc_pragma] = STATE(2157),
    [sym_preproc_nullable] = STATE(2157),
    [sym_preproc_error] = STATE(2157),
    [sym_preproc_define] = STATE(2157),
    [sym_preproc_undef] = STATE(2157),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2158] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3249),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7083),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5143),
    [sym_non_lvalue_expression] = STATE(4106),
    [sym_lvalue_expression] = STATE(3951),
    [sym__expression_statement_expression] = STATE(4100),
    [sym_assignment_expression] = STATE(4107),
    [sym_binary_expression] = STATE(4100),
    [sym_postfix_unary_expression] = STATE(4107),
    [sym_prefix_unary_expression] = STATE(4107),
    [sym__pointer_indirection_expression] = STATE(3248),
    [sym_query_expression] = STATE(4100),
    [sym_from_clause] = STATE(7424),
    [sym_conditional_expression] = STATE(4100),
    [sym_conditional_access_expression] = STATE(4100),
    [sym_as_expression] = STATE(4100),
    [sym_is_expression] = STATE(4100),
    [sym_is_pattern_expression] = STATE(4100),
    [sym_cast_expression] = STATE(4100),
    [sym_checked_expression] = STATE(4100),
    [sym_invocation_expression] = STATE(4107),
    [sym_switch_expression] = STATE(4100),
    [sym_await_expression] = STATE(4107),
    [sym_throw_expression] = STATE(4100),
    [sym_element_access_expression] = STATE(3248),
    [sym_interpolated_string_expression] = STATE(4100),
    [sym_member_access_expression] = STATE(3248),
    [sym_object_creation_expression] = STATE(4107),
    [sym_parenthesized_expression] = STATE(4107),
    [sym__parenthesized_lvalue_expression] = STATE(3248),
    [sym_lambda_expression] = STATE(4100),
    [sym__lambda_parameters] = STATE(9520),
    [sym_array_creation_expression] = STATE(4100),
    [sym_anonymous_method_expression] = STATE(4100),
    [sym_anonymous_object_creation_expression] = STATE(4100),
    [sym_implicit_array_creation_expression] = STATE(4100),
    [sym_implicit_object_creation_expression] = STATE(4100),
    [sym_implicit_stackalloc_expression] = STATE(4100),
    [sym_initializer_expression] = STATE(4100),
    [sym_default_expression] = STATE(4100),
    [sym_with_expression] = STATE(4100),
    [sym_sizeof_expression] = STATE(4100),
    [sym_typeof_expression] = STATE(4100),
    [sym_makeref_expression] = STATE(4100),
    [sym_ref_expression] = STATE(4100),
    [sym_reftype_expression] = STATE(4100),
    [sym_refvalue_expression] = STATE(4100),
    [sym_stackalloc_expression] = STATE(4100),
    [sym_range_expression] = STATE(4100),
    [sym_tuple_expression] = STATE(3248),
    [sym_literal] = STATE(4100),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(4100),
    [sym_preproc_region] = STATE(2158),
    [sym_preproc_endregion] = STATE(2158),
    [sym_preproc_line] = STATE(2158),
    [sym_preproc_pragma] = STATE(2158),
    [sym_preproc_nullable] = STATE(2158),
    [sym_preproc_error] = STATE(2158),
    [sym_preproc_define] = STATE(2158),
    [sym_preproc_undef] = STATE(2158),
    [aux_sym_class_declaration_repeat1] = STATE(3835),
    [aux_sym_lambda_expression_repeat1] = STATE(4162),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_ref] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_delegate] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_this] = ACTIONS(1335),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1337),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1367),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(1345),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(1347),
    [anon_sym___reftype] = ACTIONS(1349),
    [anon_sym___refvalue] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2159] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6498),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2159),
    [sym_preproc_endregion] = STATE(2159),
    [sym_preproc_line] = STATE(2159),
    [sym_preproc_pragma] = STATE(2159),
    [sym_preproc_nullable] = STATE(2159),
    [sym_preproc_error] = STATE(2159),
    [sym_preproc_define] = STATE(2159),
    [sym_preproc_undef] = STATE(2159),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2160] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6505),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2160),
    [sym_preproc_endregion] = STATE(2160),
    [sym_preproc_line] = STATE(2160),
    [sym_preproc_pragma] = STATE(2160),
    [sym_preproc_nullable] = STATE(2160),
    [sym_preproc_error] = STATE(2160),
    [sym_preproc_define] = STATE(2160),
    [sym_preproc_undef] = STATE(2160),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2161] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6521),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2161),
    [sym_preproc_endregion] = STATE(2161),
    [sym_preproc_line] = STATE(2161),
    [sym_preproc_pragma] = STATE(2161),
    [sym_preproc_nullable] = STATE(2161),
    [sym_preproc_error] = STATE(2161),
    [sym_preproc_define] = STATE(2161),
    [sym_preproc_undef] = STATE(2161),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2162] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6172),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2162),
    [sym_preproc_endregion] = STATE(2162),
    [sym_preproc_line] = STATE(2162),
    [sym_preproc_pragma] = STATE(2162),
    [sym_preproc_nullable] = STATE(2162),
    [sym_preproc_error] = STATE(2162),
    [sym_preproc_define] = STATE(2162),
    [sym_preproc_undef] = STATE(2162),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2163] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7131),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6383),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4498),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7410),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9165),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2163),
    [sym_preproc_endregion] = STATE(2163),
    [sym_preproc_line] = STATE(2163),
    [sym_preproc_pragma] = STATE(2163),
    [sym_preproc_nullable] = STATE(2163),
    [sym_preproc_error] = STATE(2163),
    [sym_preproc_define] = STATE(2163),
    [sym_preproc_undef] = STATE(2163),
    [aux_sym_class_declaration_repeat1] = STATE(3877),
    [aux_sym_lambda_expression_repeat1] = STATE(4313),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2023),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_STAR] = ACTIONS(2027),
    [anon_sym_CARET] = ACTIONS(2025),
    [anon_sym_AMP] = ACTIONS(2025),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2031),
    [anon_sym_DOT_DOT] = ACTIONS(2033),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2164] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6539),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2164),
    [sym_preproc_endregion] = STATE(2164),
    [sym_preproc_line] = STATE(2164),
    [sym_preproc_pragma] = STATE(2164),
    [sym_preproc_nullable] = STATE(2164),
    [sym_preproc_error] = STATE(2164),
    [sym_preproc_define] = STATE(2164),
    [sym_preproc_undef] = STATE(2164),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2165] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6559),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2165),
    [sym_preproc_endregion] = STATE(2165),
    [sym_preproc_line] = STATE(2165),
    [sym_preproc_pragma] = STATE(2165),
    [sym_preproc_nullable] = STATE(2165),
    [sym_preproc_error] = STATE(2165),
    [sym_preproc_define] = STATE(2165),
    [sym_preproc_undef] = STATE(2165),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2166] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5887),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2166),
    [sym_preproc_endregion] = STATE(2166),
    [sym_preproc_line] = STATE(2166),
    [sym_preproc_pragma] = STATE(2166),
    [sym_preproc_nullable] = STATE(2166),
    [sym_preproc_error] = STATE(2166),
    [sym_preproc_define] = STATE(2166),
    [sym_preproc_undef] = STATE(2166),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2167] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6566),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2167),
    [sym_preproc_endregion] = STATE(2167),
    [sym_preproc_line] = STATE(2167),
    [sym_preproc_pragma] = STATE(2167),
    [sym_preproc_nullable] = STATE(2167),
    [sym_preproc_error] = STATE(2167),
    [sym_preproc_define] = STATE(2167),
    [sym_preproc_undef] = STATE(2167),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2168] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4540),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2168),
    [sym_preproc_endregion] = STATE(2168),
    [sym_preproc_line] = STATE(2168),
    [sym_preproc_pragma] = STATE(2168),
    [sym_preproc_nullable] = STATE(2168),
    [sym_preproc_error] = STATE(2168),
    [sym_preproc_define] = STATE(2168),
    [sym_preproc_undef] = STATE(2168),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2169] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(3810),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2169),
    [sym_preproc_endregion] = STATE(2169),
    [sym_preproc_line] = STATE(2169),
    [sym_preproc_pragma] = STATE(2169),
    [sym_preproc_nullable] = STATE(2169),
    [sym_preproc_error] = STATE(2169),
    [sym_preproc_define] = STATE(2169),
    [sym_preproc_undef] = STATE(2169),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2170] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6574),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2170),
    [sym_preproc_endregion] = STATE(2170),
    [sym_preproc_line] = STATE(2170),
    [sym_preproc_pragma] = STATE(2170),
    [sym_preproc_nullable] = STATE(2170),
    [sym_preproc_error] = STATE(2170),
    [sym_preproc_define] = STATE(2170),
    [sym_preproc_undef] = STATE(2170),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2171] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5888),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2171),
    [sym_preproc_endregion] = STATE(2171),
    [sym_preproc_line] = STATE(2171),
    [sym_preproc_pragma] = STATE(2171),
    [sym_preproc_nullable] = STATE(2171),
    [sym_preproc_error] = STATE(2171),
    [sym_preproc_define] = STATE(2171),
    [sym_preproc_undef] = STATE(2171),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2172] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6579),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2172),
    [sym_preproc_endregion] = STATE(2172),
    [sym_preproc_line] = STATE(2172),
    [sym_preproc_pragma] = STATE(2172),
    [sym_preproc_nullable] = STATE(2172),
    [sym_preproc_error] = STATE(2172),
    [sym_preproc_define] = STATE(2172),
    [sym_preproc_undef] = STATE(2172),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2173] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4500),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2173),
    [sym_preproc_endregion] = STATE(2173),
    [sym_preproc_line] = STATE(2173),
    [sym_preproc_pragma] = STATE(2173),
    [sym_preproc_nullable] = STATE(2173),
    [sym_preproc_error] = STATE(2173),
    [sym_preproc_define] = STATE(2173),
    [sym_preproc_undef] = STATE(2173),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2174] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6580),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2174),
    [sym_preproc_endregion] = STATE(2174),
    [sym_preproc_line] = STATE(2174),
    [sym_preproc_pragma] = STATE(2174),
    [sym_preproc_nullable] = STATE(2174),
    [sym_preproc_error] = STATE(2174),
    [sym_preproc_define] = STATE(2174),
    [sym_preproc_undef] = STATE(2174),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2175] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4501),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2175),
    [sym_preproc_endregion] = STATE(2175),
    [sym_preproc_line] = STATE(2175),
    [sym_preproc_pragma] = STATE(2175),
    [sym_preproc_nullable] = STATE(2175),
    [sym_preproc_error] = STATE(2175),
    [sym_preproc_define] = STATE(2175),
    [sym_preproc_undef] = STATE(2175),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2176] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6582),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2176),
    [sym_preproc_endregion] = STATE(2176),
    [sym_preproc_line] = STATE(2176),
    [sym_preproc_pragma] = STATE(2176),
    [sym_preproc_nullable] = STATE(2176),
    [sym_preproc_error] = STATE(2176),
    [sym_preproc_define] = STATE(2176),
    [sym_preproc_undef] = STATE(2176),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2177] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4502),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2177),
    [sym_preproc_endregion] = STATE(2177),
    [sym_preproc_line] = STATE(2177),
    [sym_preproc_pragma] = STATE(2177),
    [sym_preproc_nullable] = STATE(2177),
    [sym_preproc_error] = STATE(2177),
    [sym_preproc_define] = STATE(2177),
    [sym_preproc_undef] = STATE(2177),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2178] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6631),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2178),
    [sym_preproc_endregion] = STATE(2178),
    [sym_preproc_line] = STATE(2178),
    [sym_preproc_pragma] = STATE(2178),
    [sym_preproc_nullable] = STATE(2178),
    [sym_preproc_error] = STATE(2178),
    [sym_preproc_define] = STATE(2178),
    [sym_preproc_undef] = STATE(2178),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2179] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6583),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2179),
    [sym_preproc_endregion] = STATE(2179),
    [sym_preproc_line] = STATE(2179),
    [sym_preproc_pragma] = STATE(2179),
    [sym_preproc_nullable] = STATE(2179),
    [sym_preproc_error] = STATE(2179),
    [sym_preproc_define] = STATE(2179),
    [sym_preproc_undef] = STATE(2179),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2180] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6585),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2180),
    [sym_preproc_endregion] = STATE(2180),
    [sym_preproc_line] = STATE(2180),
    [sym_preproc_pragma] = STATE(2180),
    [sym_preproc_nullable] = STATE(2180),
    [sym_preproc_error] = STATE(2180),
    [sym_preproc_define] = STATE(2180),
    [sym_preproc_undef] = STATE(2180),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2181] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6586),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2181),
    [sym_preproc_endregion] = STATE(2181),
    [sym_preproc_line] = STATE(2181),
    [sym_preproc_pragma] = STATE(2181),
    [sym_preproc_nullable] = STATE(2181),
    [sym_preproc_error] = STATE(2181),
    [sym_preproc_define] = STATE(2181),
    [sym_preproc_undef] = STATE(2181),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2182] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6588),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2182),
    [sym_preproc_endregion] = STATE(2182),
    [sym_preproc_line] = STATE(2182),
    [sym_preproc_pragma] = STATE(2182),
    [sym_preproc_nullable] = STATE(2182),
    [sym_preproc_error] = STATE(2182),
    [sym_preproc_define] = STATE(2182),
    [sym_preproc_undef] = STATE(2182),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2183] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6922),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2981),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7101),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6590),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4492),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7439),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(8996),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2183),
    [sym_preproc_endregion] = STATE(2183),
    [sym_preproc_line] = STATE(2183),
    [sym_preproc_pragma] = STATE(2183),
    [sym_preproc_nullable] = STATE(2183),
    [sym_preproc_error] = STATE(2183),
    [sym_preproc_define] = STATE(2183),
    [sym_preproc_undef] = STATE(2183),
    [aux_sym_class_declaration_repeat1] = STATE(3873),
    [aux_sym_lambda_expression_repeat1] = STATE(4299),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(2115),
    [anon_sym_DASH] = ACTIONS(2115),
    [anon_sym_STAR] = ACTIONS(2119),
    [anon_sym_CARET] = ACTIONS(2117),
    [anon_sym_AMP] = ACTIONS(2117),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(2123),
    [anon_sym_DOT_DOT] = ACTIONS(2125),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2184] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4504),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2184),
    [sym_preproc_endregion] = STATE(2184),
    [sym_preproc_line] = STATE(2184),
    [sym_preproc_pragma] = STATE(2184),
    [sym_preproc_nullable] = STATE(2184),
    [sym_preproc_error] = STATE(2184),
    [sym_preproc_define] = STATE(2184),
    [sym_preproc_undef] = STATE(2184),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2185] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4505),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2185),
    [sym_preproc_endregion] = STATE(2185),
    [sym_preproc_line] = STATE(2185),
    [sym_preproc_pragma] = STATE(2185),
    [sym_preproc_nullable] = STATE(2185),
    [sym_preproc_error] = STATE(2185),
    [sym_preproc_define] = STATE(2185),
    [sym_preproc_undef] = STATE(2185),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2186] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6939),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6597),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2186),
    [sym_preproc_endregion] = STATE(2186),
    [sym_preproc_line] = STATE(2186),
    [sym_preproc_pragma] = STATE(2186),
    [sym_preproc_nullable] = STATE(2186),
    [sym_preproc_error] = STATE(2186),
    [sym_preproc_define] = STATE(2186),
    [sym_preproc_undef] = STATE(2186),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2187] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6598),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2187),
    [sym_preproc_endregion] = STATE(2187),
    [sym_preproc_line] = STATE(2187),
    [sym_preproc_pragma] = STATE(2187),
    [sym_preproc_nullable] = STATE(2187),
    [sym_preproc_error] = STATE(2187),
    [sym_preproc_define] = STATE(2187),
    [sym_preproc_undef] = STATE(2187),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2188] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6941),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6604),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2188),
    [sym_preproc_endregion] = STATE(2188),
    [sym_preproc_line] = STATE(2188),
    [sym_preproc_pragma] = STATE(2188),
    [sym_preproc_nullable] = STATE(2188),
    [sym_preproc_error] = STATE(2188),
    [sym_preproc_define] = STATE(2188),
    [sym_preproc_undef] = STATE(2188),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2189] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4506),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2189),
    [sym_preproc_endregion] = STATE(2189),
    [sym_preproc_line] = STATE(2189),
    [sym_preproc_pragma] = STATE(2189),
    [sym_preproc_nullable] = STATE(2189),
    [sym_preproc_error] = STATE(2189),
    [sym_preproc_define] = STATE(2189),
    [sym_preproc_undef] = STATE(2189),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2190] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4507),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2190),
    [sym_preproc_endregion] = STATE(2190),
    [sym_preproc_line] = STATE(2190),
    [sym_preproc_pragma] = STATE(2190),
    [sym_preproc_nullable] = STATE(2190),
    [sym_preproc_error] = STATE(2190),
    [sym_preproc_define] = STATE(2190),
    [sym_preproc_undef] = STATE(2190),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2191] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6944),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6638),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2191),
    [sym_preproc_endregion] = STATE(2191),
    [sym_preproc_line] = STATE(2191),
    [sym_preproc_pragma] = STATE(2191),
    [sym_preproc_nullable] = STATE(2191),
    [sym_preproc_error] = STATE(2191),
    [sym_preproc_define] = STATE(2191),
    [sym_preproc_undef] = STATE(2191),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2192] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6639),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2192),
    [sym_preproc_endregion] = STATE(2192),
    [sym_preproc_line] = STATE(2192),
    [sym_preproc_pragma] = STATE(2192),
    [sym_preproc_nullable] = STATE(2192),
    [sym_preproc_error] = STATE(2192),
    [sym_preproc_define] = STATE(2192),
    [sym_preproc_undef] = STATE(2192),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2193] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6945),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6640),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2193),
    [sym_preproc_endregion] = STATE(2193),
    [sym_preproc_line] = STATE(2193),
    [sym_preproc_pragma] = STATE(2193),
    [sym_preproc_nullable] = STATE(2193),
    [sym_preproc_error] = STATE(2193),
    [sym_preproc_define] = STATE(2193),
    [sym_preproc_undef] = STATE(2193),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2194] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6946),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6647),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2194),
    [sym_preproc_endregion] = STATE(2194),
    [sym_preproc_line] = STATE(2194),
    [sym_preproc_pragma] = STATE(2194),
    [sym_preproc_nullable] = STATE(2194),
    [sym_preproc_error] = STATE(2194),
    [sym_preproc_define] = STATE(2194),
    [sym_preproc_undef] = STATE(2194),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2195] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6648),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2195),
    [sym_preproc_endregion] = STATE(2195),
    [sym_preproc_line] = STATE(2195),
    [sym_preproc_pragma] = STATE(2195),
    [sym_preproc_nullable] = STATE(2195),
    [sym_preproc_error] = STATE(2195),
    [sym_preproc_define] = STATE(2195),
    [sym_preproc_undef] = STATE(2195),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2196] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6921),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6649),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4487),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9900),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2196),
    [sym_preproc_endregion] = STATE(2196),
    [sym_preproc_line] = STATE(2196),
    [sym_preproc_pragma] = STATE(2196),
    [sym_preproc_nullable] = STATE(2196),
    [sym_preproc_error] = STATE(2196),
    [sym_preproc_define] = STATE(2196),
    [sym_preproc_undef] = STATE(2196),
    [aux_sym_class_declaration_repeat1] = STATE(3844),
    [aux_sym_lambda_expression_repeat1] = STATE(4325),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1945),
    [anon_sym_ref] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1951),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1955),
    [anon_sym_DOT_DOT] = ACTIONS(1957),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2197] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6659),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2197),
    [sym_preproc_endregion] = STATE(2197),
    [sym_preproc_line] = STATE(2197),
    [sym_preproc_pragma] = STATE(2197),
    [sym_preproc_nullable] = STATE(2197),
    [sym_preproc_error] = STATE(2197),
    [sym_preproc_define] = STATE(2197),
    [sym_preproc_undef] = STATE(2197),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2198] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6914),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2815),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7053),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(6661),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4271),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9063),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2198),
    [sym_preproc_endregion] = STATE(2198),
    [sym_preproc_line] = STATE(2198),
    [sym_preproc_pragma] = STATE(2198),
    [sym_preproc_nullable] = STATE(2198),
    [sym_preproc_error] = STATE(2198),
    [sym_preproc_define] = STATE(2198),
    [sym_preproc_undef] = STATE(2198),
    [aux_sym_class_declaration_repeat1] = STATE(3808),
    [aux_sym_lambda_expression_repeat1] = STATE(4256),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(673),
    [anon_sym_ref] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(697),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1091),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_DOT_DOT] = ACTIONS(727),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2199] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4508),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2199),
    [sym_preproc_endregion] = STATE(2199),
    [sym_preproc_line] = STATE(2199),
    [sym_preproc_pragma] = STATE(2199),
    [sym_preproc_nullable] = STATE(2199),
    [sym_preproc_error] = STATE(2199),
    [sym_preproc_define] = STATE(2199),
    [sym_preproc_undef] = STATE(2199),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2200] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3042),
    [sym__name] = STATE(6186),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2771),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6984),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5895),
    [sym_non_lvalue_expression] = STATE(3770),
    [sym_lvalue_expression] = STATE(4331),
    [sym__expression_statement_expression] = STATE(3783),
    [sym_assignment_expression] = STATE(3792),
    [sym_binary_expression] = STATE(3783),
    [sym_postfix_unary_expression] = STATE(3792),
    [sym_prefix_unary_expression] = STATE(3792),
    [sym__pointer_indirection_expression] = STATE(3051),
    [sym_query_expression] = STATE(3783),
    [sym_from_clause] = STATE(7438),
    [sym_conditional_expression] = STATE(3783),
    [sym_conditional_access_expression] = STATE(3783),
    [sym_as_expression] = STATE(3783),
    [sym_is_expression] = STATE(3783),
    [sym_is_pattern_expression] = STATE(3783),
    [sym_cast_expression] = STATE(3783),
    [sym_checked_expression] = STATE(3783),
    [sym_invocation_expression] = STATE(3792),
    [sym_switch_expression] = STATE(3783),
    [sym_await_expression] = STATE(3792),
    [sym_throw_expression] = STATE(3783),
    [sym_element_access_expression] = STATE(3051),
    [sym_interpolated_string_expression] = STATE(3783),
    [sym_member_access_expression] = STATE(3051),
    [sym_object_creation_expression] = STATE(3792),
    [sym_parenthesized_expression] = STATE(3792),
    [sym__parenthesized_lvalue_expression] = STATE(3051),
    [sym_lambda_expression] = STATE(3783),
    [sym__lambda_parameters] = STATE(9300),
    [sym_array_creation_expression] = STATE(3783),
    [sym_anonymous_method_expression] = STATE(3783),
    [sym_anonymous_object_creation_expression] = STATE(3783),
    [sym_implicit_array_creation_expression] = STATE(3783),
    [sym_implicit_object_creation_expression] = STATE(3783),
    [sym_implicit_stackalloc_expression] = STATE(3783),
    [sym_initializer_expression] = STATE(3783),
    [sym_default_expression] = STATE(3783),
    [sym_with_expression] = STATE(3783),
    [sym_sizeof_expression] = STATE(3783),
    [sym_typeof_expression] = STATE(3783),
    [sym_makeref_expression] = STATE(3783),
    [sym_ref_expression] = STATE(3783),
    [sym_reftype_expression] = STATE(3783),
    [sym_refvalue_expression] = STATE(3783),
    [sym_stackalloc_expression] = STATE(3783),
    [sym_range_expression] = STATE(3783),
    [sym_tuple_expression] = STATE(3051),
    [sym_literal] = STATE(3783),
    [sym_character_literal] = STATE(4236),
    [sym_string_literal] = STATE(4236),
    [sym_raw_string_literal] = STATE(4236),
    [sym_boolean_literal] = STATE(4236),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3783),
    [sym_preproc_region] = STATE(2200),
    [sym_preproc_endregion] = STATE(2200),
    [sym_preproc_line] = STATE(2200),
    [sym_preproc_pragma] = STATE(2200),
    [sym_preproc_nullable] = STATE(2200),
    [sym_preproc_error] = STATE(2200),
    [sym_preproc_define] = STATE(2200),
    [sym_preproc_undef] = STATE(2200),
    [aux_sym_class_declaration_repeat1] = STATE(3870),
    [aux_sym_lambda_expression_repeat1] = STATE(4327),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_ref] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_delegate] = ACTIONS(683),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1619),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_true] = ACTIONS(75),
    [anon_sym_false] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(79),
    [anon_sym_CARET] = ACTIONS(1619),
    [anon_sym_AMP] = ACTIONS(1619),
    [anon_sym_this] = ACTIONS(81),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(85),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(89),
    [anon_sym_unchecked] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(107),
    [anon_sym_throw] = ACTIONS(1621),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1623),
    [anon_sym_DOT_DOT] = ACTIONS(121),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(125),
    [anon_sym_stackalloc] = ACTIONS(127),
    [anon_sym_sizeof] = ACTIONS(129),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym___makeref] = ACTIONS(133),
    [anon_sym___reftype] = ACTIONS(135),
    [anon_sym___refvalue] = ACTIONS(137),
    [sym_null_literal] = ACTIONS(139),
    [anon_sym_SQUOTE] = ACTIONS(141),
    [sym_integer_literal] = ACTIONS(139),
    [sym_real_literal] = ACTIONS(143),
    [sym_verbatim_string_literal] = ACTIONS(143),
    [aux_sym_preproc_if_token1] = ACTIONS(1101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(149),
    [sym_interpolation_verbatim_start] = ACTIONS(151),
    [sym_interpolation_raw_start] = ACTIONS(153),
    [sym_raw_string_start] = ACTIONS(155),
  },
  [2201] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4511),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2201),
    [sym_preproc_endregion] = STATE(2201),
    [sym_preproc_line] = STATE(2201),
    [sym_preproc_pragma] = STATE(2201),
    [sym_preproc_nullable] = STATE(2201),
    [sym_preproc_error] = STATE(2201),
    [sym_preproc_define] = STATE(2201),
    [sym_preproc_undef] = STATE(2201),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2202] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(7086),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(4512),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(3603),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7436),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9569),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2752),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2202),
    [sym_preproc_endregion] = STATE(2202),
    [sym_preproc_line] = STATE(2202),
    [sym_preproc_pragma] = STATE(2202),
    [sym_preproc_nullable] = STATE(2202),
    [sym_preproc_error] = STATE(2202),
    [sym_preproc_define] = STATE(2202),
    [sym_preproc_undef] = STATE(2202),
    [aux_sym_class_declaration_repeat1] = STATE(3847),
    [aux_sym_lambda_expression_repeat1] = STATE(4208),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_ref] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1189),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1191),
    [anon_sym_DOT_DOT] = ACTIONS(1193),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2203] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym_bracketed_argument_list] = STATE(3185),
    [sym__name] = STATE(6919),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(2766),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_type] = STATE(6977),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_expression] = STATE(5761),
    [sym_non_lvalue_expression] = STATE(3978),
    [sym_lvalue_expression] = STATE(4187),
    [sym__expression_statement_expression] = STATE(3972),
    [sym_assignment_expression] = STATE(3979),
    [sym_binary_expression] = STATE(3972),
    [sym_postfix_unary_expression] = STATE(3979),
    [sym_prefix_unary_expression] = STATE(3979),
    [sym__pointer_indirection_expression] = STATE(3184),
    [sym_query_expression] = STATE(3972),
    [sym_from_clause] = STATE(7417),
    [sym_conditional_expression] = STATE(3972),
    [sym_conditional_access_expression] = STATE(3972),
    [sym_as_expression] = STATE(3972),
    [sym_is_expression] = STATE(3972),
    [sym_is_pattern_expression] = STATE(3972),
    [sym_cast_expression] = STATE(3972),
    [sym_checked_expression] = STATE(3972),
    [sym_invocation_expression] = STATE(3979),
    [sym_switch_expression] = STATE(3972),
    [sym_await_expression] = STATE(3979),
    [sym_throw_expression] = STATE(3972),
    [sym_element_access_expression] = STATE(3184),
    [sym_interpolated_string_expression] = STATE(3972),
    [sym_member_access_expression] = STATE(3184),
    [sym_object_creation_expression] = STATE(3979),
    [sym_parenthesized_expression] = STATE(3979),
    [sym__parenthesized_lvalue_expression] = STATE(3184),
    [sym_lambda_expression] = STATE(3972),
    [sym__lambda_parameters] = STATE(9892),
    [sym_array_creation_expression] = STATE(3972),
    [sym_anonymous_method_expression] = STATE(3972),
    [sym_anonymous_object_creation_expression] = STATE(3972),
    [sym_implicit_array_creation_expression] = STATE(3972),
    [sym_implicit_object_creation_expression] = STATE(3972),
    [sym_implicit_stackalloc_expression] = STATE(3972),
    [sym_initializer_expression] = STATE(3972),
    [sym_default_expression] = STATE(3972),
    [sym_with_expression] = STATE(3972),
    [sym_sizeof_expression] = STATE(3972),
    [sym_typeof_expression] = STATE(3972),
    [sym_makeref_expression] = STATE(3972),
    [sym_ref_expression] = STATE(3972),
    [sym_reftype_expression] = STATE(3972),
    [sym_refvalue_expression] = STATE(3972),
    [sym_stackalloc_expression] = STATE(3972),
    [sym_range_expression] = STATE(3972),
    [sym_tuple_expression] = STATE(3184),
    [sym_literal] = STATE(3972),
    [sym_character_literal] = STATE(3982),
    [sym_string_literal] = STATE(3982),
    [sym_raw_string_literal] = STATE(3982),
    [sym_boolean_literal] = STATE(3982),
    [sym_identifier] = STATE(2826),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_if_in_expression] = STATE(3972),
    [sym_preproc_region] = STATE(2203),
    [sym_preproc_endregion] = STATE(2203),
    [sym_preproc_line] = STATE(2203),
    [sym_preproc_pragma] = STATE(2203),
    [sym_preproc_nullable] = STATE(2203),
    [sym_preproc_error] = STATE(2203),
    [sym_preproc_define] = STATE(2203),
    [sym_preproc_undef] = STATE(2203),
    [aux_sym_class_declaration_repeat1] = STATE(3866),
    [aux_sym_lambda_expression_repeat1] = STATE(4253),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_ref] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_delegate] = ACTIONS(1165),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_checked] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1177),
    [anon_sym_false] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1555),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_CARET] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1181),
    [anon_sym_scoped] = ACTIONS(83),
    [anon_sym_base] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(87),
    [sym_predefined_type] = ACTIONS(1185),
    [anon_sym_unchecked] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(1563),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
    [anon_sym_from] = ACTIONS(123),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_stackalloc] = ACTIONS(1197),
    [anon_sym_sizeof] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym___makeref] = ACTIONS(1203),
    [anon_sym___reftype] = ACTIONS(1205),
    [anon_sym___refvalue] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_integer_literal] = ACTIONS(1209),
    [sym_real_literal] = ACTIONS(1213),
    [sym_verbatim_string_literal] = ACTIONS(1213),
    [aux_sym_preproc_if_token1] = ACTIONS(1215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(1217),
    [sym_interpolation_verbatim_start] = ACTIONS(1219),
    [sym_interpolation_raw_start] = ACTIONS(1221),
    [sym_raw_string_start] = ACTIONS(1223),
  },
  [2204] = {
    [sym_preproc_region] = STATE(2204),
    [sym_preproc_endregion] = STATE(2204),
    [sym_preproc_line] = STATE(2204),
    [sym_preproc_pragma] = STATE(2204),
    [sym_preproc_nullable] = STATE(2204),
    [sym_preproc_error] = STATE(2204),
    [sym_preproc_define] = STATE(2204),
    [sym_preproc_undef] = STATE(2204),
    [sym__identifier_token] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym_alias] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_global] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_unsafe] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_ref] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_delegate] = ACTIONS(2985),
    [anon_sym_record] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_async] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_file] = ACTIONS(2985),
    [anon_sym_fixed] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_partial] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_readonly] = ACTIONS(2985),
    [anon_sym_required] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_where] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_notnull] = ACTIONS(2985),
    [anon_sym_unmanaged] = ACTIONS(2985),
    [anon_sym_checked] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_true] = ACTIONS(2985),
    [anon_sym_false] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2989),
    [anon_sym_GT_GT_GT] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_this] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_scoped] = ACTIONS(2985),
    [anon_sym_base] = ACTIONS(2985),
    [anon_sym_var] = ACTIONS(2985),
    [sym_predefined_type] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_unchecked] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_lock] = ACTIONS(2985),
    [anon_sym_yield] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_when] = ACTIONS(2985),
    [anon_sym_await] = ACTIONS(2985),
    [anon_sym_foreach] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_QMARK_QMARK] = ACTIONS(2991),
    [anon_sym_from] = ACTIONS(2985),
    [anon_sym_into] = ACTIONS(2985),
    [anon_sym_join] = ACTIONS(2985),
    [anon_sym_on] = ACTIONS(2985),
    [anon_sym_equals] = ACTIONS(2985),
    [anon_sym_let] = ACTIONS(2985),
    [anon_sym_orderby] = ACTIONS(2985),
    [anon_sym_ascending] = ACTIONS(2985),
    [anon_sym_descending] = ACTIONS(2985),
    [anon_sym_group] = ACTIONS(2985),
    [anon_sym_by] = ACTIONS(2985),
    [anon_sym_select] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_stackalloc] = ACTIONS(2985),
    [anon_sym_with] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym_typeof] = ACTIONS(2985),
    [anon_sym___makeref] = ACTIONS(2985),
    [anon_sym___reftype] = ACTIONS(2985),
    [anon_sym___refvalue] = ACTIONS(2985),
    [sym_null_literal] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [sym_integer_literal] = ACTIONS(2985),
    [sym_real_literal] = ACTIONS(2987),
    [sym_verbatim_string_literal] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token3] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2987),
    [sym_interpolation_verbatim_start] = ACTIONS(2987),
    [sym_interpolation_raw_start] = ACTIONS(2987),
    [sym_raw_string_start] = ACTIONS(2987),
  },
  [2205] = {
    [sym_preproc_region] = STATE(2205),
    [sym_preproc_endregion] = STATE(2205),
    [sym_preproc_line] = STATE(2205),
    [sym_preproc_pragma] = STATE(2205),
    [sym_preproc_nullable] = STATE(2205),
    [sym_preproc_error] = STATE(2205),
    [sym_preproc_define] = STATE(2205),
    [sym_preproc_undef] = STATE(2205),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_ref] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_interface] = ACTIONS(2993),
    [anon_sym_delegate] = ACTIONS(2993),
    [anon_sym_record] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_checked] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_true] = ACTIONS(2993),
    [anon_sym_false] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_base] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [sym_predefined_type] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_unchecked] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_lock] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_await] = ACTIONS(2993),
    [anon_sym_foreach] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2997),
    [anon_sym_is] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_stackalloc] = ACTIONS(2993),
    [anon_sym_with] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym_typeof] = ACTIONS(2993),
    [anon_sym___makeref] = ACTIONS(2993),
    [anon_sym___reftype] = ACTIONS(2993),
    [anon_sym___refvalue] = ACTIONS(2993),
    [sym_null_literal] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_integer_literal] = ACTIONS(2993),
    [sym_real_literal] = ACTIONS(2995),
    [sym_verbatim_string_literal] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2995),
    [sym_interpolation_verbatim_start] = ACTIONS(2995),
    [sym_interpolation_raw_start] = ACTIONS(2995),
    [sym_raw_string_start] = ACTIONS(2995),
  },
  [2206] = {
    [sym_preproc_region] = STATE(2206),
    [sym_preproc_endregion] = STATE(2206),
    [sym_preproc_line] = STATE(2206),
    [sym_preproc_pragma] = STATE(2206),
    [sym_preproc_nullable] = STATE(2206),
    [sym_preproc_error] = STATE(2206),
    [sym_preproc_define] = STATE(2206),
    [sym_preproc_undef] = STATE(2206),
    [ts_builtin_sym_end] = ACTIONS(2987),
    [sym__identifier_token] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym_alias] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_global] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_unsafe] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_ref] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_interface] = ACTIONS(2985),
    [anon_sym_delegate] = ACTIONS(2985),
    [anon_sym_record] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_async] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_file] = ACTIONS(2985),
    [anon_sym_fixed] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_partial] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_readonly] = ACTIONS(2985),
    [anon_sym_required] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_where] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_notnull] = ACTIONS(2985),
    [anon_sym_unmanaged] = ACTIONS(2985),
    [anon_sym_checked] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_true] = ACTIONS(2985),
    [anon_sym_false] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2989),
    [anon_sym_GT_GT_GT] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_this] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_scoped] = ACTIONS(2985),
    [anon_sym_base] = ACTIONS(2985),
    [anon_sym_var] = ACTIONS(2985),
    [sym_predefined_type] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_unchecked] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_lock] = ACTIONS(2985),
    [anon_sym_yield] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_when] = ACTIONS(2985),
    [anon_sym_await] = ACTIONS(2985),
    [anon_sym_foreach] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_QMARK_QMARK] = ACTIONS(2991),
    [anon_sym_from] = ACTIONS(2985),
    [anon_sym_into] = ACTIONS(2985),
    [anon_sym_join] = ACTIONS(2985),
    [anon_sym_on] = ACTIONS(2985),
    [anon_sym_equals] = ACTIONS(2985),
    [anon_sym_let] = ACTIONS(2985),
    [anon_sym_orderby] = ACTIONS(2985),
    [anon_sym_ascending] = ACTIONS(2985),
    [anon_sym_descending] = ACTIONS(2985),
    [anon_sym_group] = ACTIONS(2985),
    [anon_sym_by] = ACTIONS(2985),
    [anon_sym_select] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_stackalloc] = ACTIONS(2985),
    [anon_sym_with] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym_typeof] = ACTIONS(2985),
    [anon_sym___makeref] = ACTIONS(2985),
    [anon_sym___reftype] = ACTIONS(2985),
    [anon_sym___refvalue] = ACTIONS(2985),
    [sym_null_literal] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [sym_integer_literal] = ACTIONS(2985),
    [sym_real_literal] = ACTIONS(2987),
    [sym_verbatim_string_literal] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2987),
    [sym_interpolation_verbatim_start] = ACTIONS(2987),
    [sym_interpolation_raw_start] = ACTIONS(2987),
    [sym_raw_string_start] = ACTIONS(2987),
  },
  [2207] = {
    [sym_preproc_region] = STATE(2207),
    [sym_preproc_endregion] = STATE(2207),
    [sym_preproc_line] = STATE(2207),
    [sym_preproc_pragma] = STATE(2207),
    [sym_preproc_nullable] = STATE(2207),
    [sym_preproc_error] = STATE(2207),
    [sym_preproc_define] = STATE(2207),
    [sym_preproc_undef] = STATE(2207),
    [ts_builtin_sym_end] = ACTIONS(2995),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_ref] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_interface] = ACTIONS(2993),
    [anon_sym_delegate] = ACTIONS(2993),
    [anon_sym_record] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_checked] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_true] = ACTIONS(2993),
    [anon_sym_false] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_base] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [sym_predefined_type] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_unchecked] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_lock] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_await] = ACTIONS(2993),
    [anon_sym_foreach] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2997),
    [anon_sym_is] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_stackalloc] = ACTIONS(2993),
    [anon_sym_with] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym_typeof] = ACTIONS(2993),
    [anon_sym___makeref] = ACTIONS(2993),
    [anon_sym___reftype] = ACTIONS(2993),
    [anon_sym___refvalue] = ACTIONS(2993),
    [sym_null_literal] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_integer_literal] = ACTIONS(2993),
    [sym_real_literal] = ACTIONS(2995),
    [sym_verbatim_string_literal] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2995),
    [sym_interpolation_verbatim_start] = ACTIONS(2995),
    [sym_interpolation_raw_start] = ACTIONS(2995),
    [sym_raw_string_start] = ACTIONS(2995),
  },
  [2208] = {
    [sym_preproc_region] = STATE(2208),
    [sym_preproc_endregion] = STATE(2208),
    [sym_preproc_line] = STATE(2208),
    [sym_preproc_pragma] = STATE(2208),
    [sym_preproc_nullable] = STATE(2208),
    [sym_preproc_error] = STATE(2208),
    [sym_preproc_define] = STATE(2208),
    [sym_preproc_undef] = STATE(2208),
    [sym__identifier_token] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym_alias] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym_global] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_unsafe] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_ref] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_delegate] = ACTIONS(2985),
    [anon_sym_abstract] = ACTIONS(2985),
    [anon_sym_async] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_file] = ACTIONS(2985),
    [anon_sym_fixed] = ACTIONS(2985),
    [anon_sym_internal] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_override] = ACTIONS(2985),
    [anon_sym_partial] = ACTIONS(2985),
    [anon_sym_private] = ACTIONS(2985),
    [anon_sym_protected] = ACTIONS(2985),
    [anon_sym_public] = ACTIONS(2985),
    [anon_sym_readonly] = ACTIONS(2985),
    [anon_sym_required] = ACTIONS(2985),
    [anon_sym_sealed] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_where] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_notnull] = ACTIONS(2985),
    [anon_sym_unmanaged] = ACTIONS(2985),
    [anon_sym_checked] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_true] = ACTIONS(2985),
    [anon_sym_false] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2989),
    [anon_sym_GT_GT_GT] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_this] = ACTIONS(2985),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_scoped] = ACTIONS(2985),
    [anon_sym_base] = ACTIONS(2985),
    [anon_sym_var] = ACTIONS(2985),
    [sym_predefined_type] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_unchecked] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_lock] = ACTIONS(2985),
    [anon_sym_yield] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_when] = ACTIONS(2985),
    [anon_sym_await] = ACTIONS(2985),
    [anon_sym_foreach] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_QMARK_QMARK] = ACTIONS(2991),
    [anon_sym_from] = ACTIONS(2985),
    [anon_sym_into] = ACTIONS(2985),
    [anon_sym_join] = ACTIONS(2985),
    [anon_sym_on] = ACTIONS(2985),
    [anon_sym_equals] = ACTIONS(2985),
    [anon_sym_let] = ACTIONS(2985),
    [anon_sym_orderby] = ACTIONS(2985),
    [anon_sym_ascending] = ACTIONS(2985),
    [anon_sym_descending] = ACTIONS(2985),
    [anon_sym_group] = ACTIONS(2985),
    [anon_sym_by] = ACTIONS(2985),
    [anon_sym_select] = ACTIONS(2985),
    [anon_sym_as] = ACTIONS(2989),
    [anon_sym_is] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_stackalloc] = ACTIONS(2985),
    [anon_sym_with] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym_typeof] = ACTIONS(2985),
    [anon_sym___makeref] = ACTIONS(2985),
    [anon_sym___reftype] = ACTIONS(2985),
    [anon_sym___refvalue] = ACTIONS(2985),
    [sym_null_literal] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [sym_integer_literal] = ACTIONS(2985),
    [sym_real_literal] = ACTIONS(2987),
    [sym_verbatim_string_literal] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2987),
    [sym_interpolation_verbatim_start] = ACTIONS(2987),
    [sym_interpolation_raw_start] = ACTIONS(2987),
    [sym_raw_string_start] = ACTIONS(2987),
  },
  [2209] = {
    [sym_preproc_region] = STATE(2209),
    [sym_preproc_endregion] = STATE(2209),
    [sym_preproc_line] = STATE(2209),
    [sym_preproc_pragma] = STATE(2209),
    [sym_preproc_nullable] = STATE(2209),
    [sym_preproc_error] = STATE(2209),
    [sym_preproc_define] = STATE(2209),
    [sym_preproc_undef] = STATE(2209),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_ref] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_delegate] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_checked] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_true] = ACTIONS(2993),
    [anon_sym_false] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_base] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [sym_predefined_type] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_unchecked] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_lock] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_await] = ACTIONS(2993),
    [anon_sym_foreach] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [anon_sym_as] = ACTIONS(2997),
    [anon_sym_is] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_stackalloc] = ACTIONS(2993),
    [anon_sym_with] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym_typeof] = ACTIONS(2993),
    [anon_sym___makeref] = ACTIONS(2993),
    [anon_sym___reftype] = ACTIONS(2993),
    [anon_sym___refvalue] = ACTIONS(2993),
    [sym_null_literal] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_integer_literal] = ACTIONS(2993),
    [sym_real_literal] = ACTIONS(2995),
    [sym_verbatim_string_literal] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2995),
    [sym_interpolation_verbatim_start] = ACTIONS(2995),
    [sym_interpolation_raw_start] = ACTIONS(2995),
    [sym_raw_string_start] = ACTIONS(2995),
  },
  [2210] = {
    [sym_catch_clause] = STATE(2218),
    [sym_finally_clause] = STATE(2250),
    [sym_preproc_region] = STATE(2210),
    [sym_preproc_endregion] = STATE(2210),
    [sym_preproc_line] = STATE(2210),
    [sym_preproc_pragma] = STATE(2210),
    [sym_preproc_nullable] = STATE(2210),
    [sym_preproc_error] = STATE(2210),
    [sym_preproc_define] = STATE(2210),
    [sym_preproc_undef] = STATE(2210),
    [aux_sym_try_statement_repeat1] = STATE(2212),
    [sym__identifier_token] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym_alias] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_global] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_unsafe] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_ref] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(3001),
    [anon_sym_delegate] = ACTIONS(3001),
    [anon_sym_record] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(3001),
    [anon_sym_async] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_file] = ACTIONS(3001),
    [anon_sym_fixed] = ACTIONS(3001),
    [anon_sym_internal] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_override] = ACTIONS(3001),
    [anon_sym_partial] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_readonly] = ACTIONS(3001),
    [anon_sym_required] = ACTIONS(3001),
    [anon_sym_sealed] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_where] = ACTIONS(3001),
    [anon_sym_notnull] = ACTIONS(3001),
    [anon_sym_unmanaged] = ACTIONS(3001),
    [anon_sym_checked] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_true] = ACTIONS(3001),
    [anon_sym_false] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_this] = ACTIONS(3001),
    [anon_sym_scoped] = ACTIONS(3001),
    [anon_sym_base] = ACTIONS(3001),
    [anon_sym_var] = ACTIONS(3001),
    [sym_predefined_type] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_unchecked] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_lock] = ACTIONS(3001),
    [anon_sym_yield] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_catch] = ACTIONS(3005),
    [anon_sym_when] = ACTIONS(3001),
    [anon_sym_finally] = ACTIONS(3007),
    [anon_sym_await] = ACTIONS(3001),
    [anon_sym_foreach] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_from] = ACTIONS(3001),
    [anon_sym_into] = ACTIONS(3001),
    [anon_sym_join] = ACTIONS(3001),
    [anon_sym_on] = ACTIONS(3001),
    [anon_sym_equals] = ACTIONS(3001),
    [anon_sym_let] = ACTIONS(3001),
    [anon_sym_orderby] = ACTIONS(3001),
    [anon_sym_ascending] = ACTIONS(3001),
    [anon_sym_descending] = ACTIONS(3001),
    [anon_sym_group] = ACTIONS(3001),
    [anon_sym_by] = ACTIONS(3001),
    [anon_sym_select] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [anon_sym_stackalloc] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym_typeof] = ACTIONS(3001),
    [anon_sym___makeref] = ACTIONS(3001),
    [anon_sym___reftype] = ACTIONS(3001),
    [anon_sym___refvalue] = ACTIONS(3001),
    [sym_null_literal] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [sym_integer_literal] = ACTIONS(3001),
    [sym_real_literal] = ACTIONS(3003),
    [sym_verbatim_string_literal] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token3] = ACTIONS(3003),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3003),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3003),
    [sym_interpolation_verbatim_start] = ACTIONS(3003),
    [sym_interpolation_raw_start] = ACTIONS(3003),
    [sym_raw_string_start] = ACTIONS(3003),
  },
  [2211] = {
    [sym_catch_clause] = STATE(2218),
    [sym_finally_clause] = STATE(2243),
    [sym_preproc_region] = STATE(2211),
    [sym_preproc_endregion] = STATE(2211),
    [sym_preproc_line] = STATE(2211),
    [sym_preproc_pragma] = STATE(2211),
    [sym_preproc_nullable] = STATE(2211),
    [sym_preproc_error] = STATE(2211),
    [sym_preproc_define] = STATE(2211),
    [sym_preproc_undef] = STATE(2211),
    [aux_sym_try_statement_repeat1] = STATE(2210),
    [sym__identifier_token] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym_alias] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_unsafe] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_LPAREN] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_ref] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(3009),
    [anon_sym_delegate] = ACTIONS(3009),
    [anon_sym_record] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(3009),
    [anon_sym_async] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_file] = ACTIONS(3009),
    [anon_sym_fixed] = ACTIONS(3009),
    [anon_sym_internal] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_override] = ACTIONS(3009),
    [anon_sym_partial] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_required] = ACTIONS(3009),
    [anon_sym_sealed] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_where] = ACTIONS(3009),
    [anon_sym_notnull] = ACTIONS(3009),
    [anon_sym_unmanaged] = ACTIONS(3009),
    [anon_sym_checked] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_CARET] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_this] = ACTIONS(3009),
    [anon_sym_scoped] = ACTIONS(3009),
    [anon_sym_base] = ACTIONS(3009),
    [anon_sym_var] = ACTIONS(3009),
    [sym_predefined_type] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_unchecked] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_lock] = ACTIONS(3009),
    [anon_sym_yield] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_catch] = ACTIONS(3005),
    [anon_sym_when] = ACTIONS(3009),
    [anon_sym_finally] = ACTIONS(3007),
    [anon_sym_await] = ACTIONS(3009),
    [anon_sym_foreach] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_else] = ACTIONS(3009),
    [anon_sym_DOT_DOT] = ACTIONS(3011),
    [anon_sym_from] = ACTIONS(3009),
    [anon_sym_into] = ACTIONS(3009),
    [anon_sym_join] = ACTIONS(3009),
    [anon_sym_on] = ACTIONS(3009),
    [anon_sym_equals] = ACTIONS(3009),
    [anon_sym_let] = ACTIONS(3009),
    [anon_sym_orderby] = ACTIONS(3009),
    [anon_sym_ascending] = ACTIONS(3009),
    [anon_sym_descending] = ACTIONS(3009),
    [anon_sym_group] = ACTIONS(3009),
    [anon_sym_by] = ACTIONS(3009),
    [anon_sym_select] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [anon_sym_stackalloc] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym_typeof] = ACTIONS(3009),
    [anon_sym___makeref] = ACTIONS(3009),
    [anon_sym___reftype] = ACTIONS(3009),
    [anon_sym___refvalue] = ACTIONS(3009),
    [sym_null_literal] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [sym_integer_literal] = ACTIONS(3009),
    [sym_real_literal] = ACTIONS(3011),
    [sym_verbatim_string_literal] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_if_token3] = ACTIONS(3011),
    [aux_sym_preproc_else_token1] = ACTIONS(3011),
    [aux_sym_preproc_elif_token1] = ACTIONS(3011),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3011),
    [sym_interpolation_verbatim_start] = ACTIONS(3011),
    [sym_interpolation_raw_start] = ACTIONS(3011),
    [sym_raw_string_start] = ACTIONS(3011),
  },
  [2212] = {
    [sym_catch_clause] = STATE(2218),
    [sym_preproc_region] = STATE(2212),
    [sym_preproc_endregion] = STATE(2212),
    [sym_preproc_line] = STATE(2212),
    [sym_preproc_pragma] = STATE(2212),
    [sym_preproc_nullable] = STATE(2212),
    [sym_preproc_error] = STATE(2212),
    [sym_preproc_define] = STATE(2212),
    [sym_preproc_undef] = STATE(2212),
    [aux_sym_try_statement_repeat1] = STATE(2212),
    [sym__identifier_token] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym_alias] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_global] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_unsafe] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_LPAREN] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_ref] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(3013),
    [anon_sym_delegate] = ACTIONS(3013),
    [anon_sym_record] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_async] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_file] = ACTIONS(3013),
    [anon_sym_fixed] = ACTIONS(3013),
    [anon_sym_internal] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_override] = ACTIONS(3013),
    [anon_sym_partial] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_readonly] = ACTIONS(3013),
    [anon_sym_required] = ACTIONS(3013),
    [anon_sym_sealed] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_where] = ACTIONS(3013),
    [anon_sym_notnull] = ACTIONS(3013),
    [anon_sym_unmanaged] = ACTIONS(3013),
    [anon_sym_checked] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_true] = ACTIONS(3013),
    [anon_sym_false] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_this] = ACTIONS(3013),
    [anon_sym_scoped] = ACTIONS(3013),
    [anon_sym_base] = ACTIONS(3013),
    [anon_sym_var] = ACTIONS(3013),
    [sym_predefined_type] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_unchecked] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_lock] = ACTIONS(3013),
    [anon_sym_yield] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_catch] = ACTIONS(3017),
    [anon_sym_when] = ACTIONS(3013),
    [anon_sym_finally] = ACTIONS(3013),
    [anon_sym_await] = ACTIONS(3013),
    [anon_sym_foreach] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_else] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_from] = ACTIONS(3013),
    [anon_sym_into] = ACTIONS(3013),
    [anon_sym_join] = ACTIONS(3013),
    [anon_sym_on] = ACTIONS(3013),
    [anon_sym_equals] = ACTIONS(3013),
    [anon_sym_let] = ACTIONS(3013),
    [anon_sym_orderby] = ACTIONS(3013),
    [anon_sym_ascending] = ACTIONS(3013),
    [anon_sym_descending] = ACTIONS(3013),
    [anon_sym_group] = ACTIONS(3013),
    [anon_sym_by] = ACTIONS(3013),
    [anon_sym_select] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [anon_sym_stackalloc] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym_typeof] = ACTIONS(3013),
    [anon_sym___makeref] = ACTIONS(3013),
    [anon_sym___reftype] = ACTIONS(3013),
    [anon_sym___refvalue] = ACTIONS(3013),
    [sym_null_literal] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [sym_integer_literal] = ACTIONS(3013),
    [sym_real_literal] = ACTIONS(3015),
    [sym_verbatim_string_literal] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_if_token3] = ACTIONS(3015),
    [aux_sym_preproc_else_token1] = ACTIONS(3015),
    [aux_sym_preproc_elif_token1] = ACTIONS(3015),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3015),
    [sym_interpolation_verbatim_start] = ACTIONS(3015),
    [sym_interpolation_raw_start] = ACTIONS(3015),
    [sym_raw_string_start] = ACTIONS(3015),
  },
  [2213] = {
    [sym_catch_clause] = STATE(2305),
    [sym_finally_clause] = STATE(2502),
    [sym_preproc_region] = STATE(2213),
    [sym_preproc_endregion] = STATE(2213),
    [sym_preproc_line] = STATE(2213),
    [sym_preproc_pragma] = STATE(2213),
    [sym_preproc_nullable] = STATE(2213),
    [sym_preproc_error] = STATE(2213),
    [sym_preproc_define] = STATE(2213),
    [sym_preproc_undef] = STATE(2213),
    [aux_sym_try_statement_repeat1] = STATE(2215),
    [ts_builtin_sym_end] = ACTIONS(3003),
    [sym__identifier_token] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym_alias] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_global] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_unsafe] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_ref] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(3001),
    [anon_sym_delegate] = ACTIONS(3001),
    [anon_sym_record] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(3001),
    [anon_sym_async] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_file] = ACTIONS(3001),
    [anon_sym_fixed] = ACTIONS(3001),
    [anon_sym_internal] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_override] = ACTIONS(3001),
    [anon_sym_partial] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_readonly] = ACTIONS(3001),
    [anon_sym_required] = ACTIONS(3001),
    [anon_sym_sealed] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_where] = ACTIONS(3001),
    [anon_sym_notnull] = ACTIONS(3001),
    [anon_sym_unmanaged] = ACTIONS(3001),
    [anon_sym_checked] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_true] = ACTIONS(3001),
    [anon_sym_false] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_this] = ACTIONS(3001),
    [anon_sym_scoped] = ACTIONS(3001),
    [anon_sym_base] = ACTIONS(3001),
    [anon_sym_var] = ACTIONS(3001),
    [sym_predefined_type] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_unchecked] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_lock] = ACTIONS(3001),
    [anon_sym_yield] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_catch] = ACTIONS(3020),
    [anon_sym_when] = ACTIONS(3001),
    [anon_sym_finally] = ACTIONS(3022),
    [anon_sym_await] = ACTIONS(3001),
    [anon_sym_foreach] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_from] = ACTIONS(3001),
    [anon_sym_into] = ACTIONS(3001),
    [anon_sym_join] = ACTIONS(3001),
    [anon_sym_on] = ACTIONS(3001),
    [anon_sym_equals] = ACTIONS(3001),
    [anon_sym_let] = ACTIONS(3001),
    [anon_sym_orderby] = ACTIONS(3001),
    [anon_sym_ascending] = ACTIONS(3001),
    [anon_sym_descending] = ACTIONS(3001),
    [anon_sym_group] = ACTIONS(3001),
    [anon_sym_by] = ACTIONS(3001),
    [anon_sym_select] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [anon_sym_stackalloc] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym_typeof] = ACTIONS(3001),
    [anon_sym___makeref] = ACTIONS(3001),
    [anon_sym___reftype] = ACTIONS(3001),
    [anon_sym___refvalue] = ACTIONS(3001),
    [sym_null_literal] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [sym_integer_literal] = ACTIONS(3001),
    [sym_real_literal] = ACTIONS(3003),
    [sym_verbatim_string_literal] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3003),
    [sym_interpolation_verbatim_start] = ACTIONS(3003),
    [sym_interpolation_raw_start] = ACTIONS(3003),
    [sym_raw_string_start] = ACTIONS(3003),
  },
  [2214] = {
    [sym_catch_clause] = STATE(2305),
    [sym_finally_clause] = STATE(2509),
    [sym_preproc_region] = STATE(2214),
    [sym_preproc_endregion] = STATE(2214),
    [sym_preproc_line] = STATE(2214),
    [sym_preproc_pragma] = STATE(2214),
    [sym_preproc_nullable] = STATE(2214),
    [sym_preproc_error] = STATE(2214),
    [sym_preproc_define] = STATE(2214),
    [sym_preproc_undef] = STATE(2214),
    [aux_sym_try_statement_repeat1] = STATE(2213),
    [ts_builtin_sym_end] = ACTIONS(3011),
    [sym__identifier_token] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym_alias] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_unsafe] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_LPAREN] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_ref] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_interface] = ACTIONS(3009),
    [anon_sym_delegate] = ACTIONS(3009),
    [anon_sym_record] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(3009),
    [anon_sym_async] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_file] = ACTIONS(3009),
    [anon_sym_fixed] = ACTIONS(3009),
    [anon_sym_internal] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_override] = ACTIONS(3009),
    [anon_sym_partial] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_required] = ACTIONS(3009),
    [anon_sym_sealed] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_where] = ACTIONS(3009),
    [anon_sym_notnull] = ACTIONS(3009),
    [anon_sym_unmanaged] = ACTIONS(3009),
    [anon_sym_checked] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_CARET] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_this] = ACTIONS(3009),
    [anon_sym_scoped] = ACTIONS(3009),
    [anon_sym_base] = ACTIONS(3009),
    [anon_sym_var] = ACTIONS(3009),
    [sym_predefined_type] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_unchecked] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_lock] = ACTIONS(3009),
    [anon_sym_yield] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_catch] = ACTIONS(3020),
    [anon_sym_when] = ACTIONS(3009),
    [anon_sym_finally] = ACTIONS(3022),
    [anon_sym_await] = ACTIONS(3009),
    [anon_sym_foreach] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_else] = ACTIONS(3009),
    [anon_sym_DOT_DOT] = ACTIONS(3011),
    [anon_sym_from] = ACTIONS(3009),
    [anon_sym_into] = ACTIONS(3009),
    [anon_sym_join] = ACTIONS(3009),
    [anon_sym_on] = ACTIONS(3009),
    [anon_sym_equals] = ACTIONS(3009),
    [anon_sym_let] = ACTIONS(3009),
    [anon_sym_orderby] = ACTIONS(3009),
    [anon_sym_ascending] = ACTIONS(3009),
    [anon_sym_descending] = ACTIONS(3009),
    [anon_sym_group] = ACTIONS(3009),
    [anon_sym_by] = ACTIONS(3009),
    [anon_sym_select] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [anon_sym_stackalloc] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym_typeof] = ACTIONS(3009),
    [anon_sym___makeref] = ACTIONS(3009),
    [anon_sym___reftype] = ACTIONS(3009),
    [anon_sym___refvalue] = ACTIONS(3009),
    [sym_null_literal] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [sym_integer_literal] = ACTIONS(3009),
    [sym_real_literal] = ACTIONS(3011),
    [sym_verbatim_string_literal] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3011),
    [sym_interpolation_verbatim_start] = ACTIONS(3011),
    [sym_interpolation_raw_start] = ACTIONS(3011),
    [sym_raw_string_start] = ACTIONS(3011),
  },
  [2215] = {
    [sym_catch_clause] = STATE(2305),
    [sym_preproc_region] = STATE(2215),
    [sym_preproc_endregion] = STATE(2215),
    [sym_preproc_line] = STATE(2215),
    [sym_preproc_pragma] = STATE(2215),
    [sym_preproc_nullable] = STATE(2215),
    [sym_preproc_error] = STATE(2215),
    [sym_preproc_define] = STATE(2215),
    [sym_preproc_undef] = STATE(2215),
    [aux_sym_try_statement_repeat1] = STATE(2215),
    [ts_builtin_sym_end] = ACTIONS(3015),
    [sym__identifier_token] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym_alias] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_global] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_unsafe] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_LPAREN] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_ref] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_interface] = ACTIONS(3013),
    [anon_sym_delegate] = ACTIONS(3013),
    [anon_sym_record] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_async] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_file] = ACTIONS(3013),
    [anon_sym_fixed] = ACTIONS(3013),
    [anon_sym_internal] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_override] = ACTIONS(3013),
    [anon_sym_partial] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_readonly] = ACTIONS(3013),
    [anon_sym_required] = ACTIONS(3013),
    [anon_sym_sealed] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_where] = ACTIONS(3013),
    [anon_sym_notnull] = ACTIONS(3013),
    [anon_sym_unmanaged] = ACTIONS(3013),
    [anon_sym_checked] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_true] = ACTIONS(3013),
    [anon_sym_false] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_this] = ACTIONS(3013),
    [anon_sym_scoped] = ACTIONS(3013),
    [anon_sym_base] = ACTIONS(3013),
    [anon_sym_var] = ACTIONS(3013),
    [sym_predefined_type] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_unchecked] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_lock] = ACTIONS(3013),
    [anon_sym_yield] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_catch] = ACTIONS(3024),
    [anon_sym_when] = ACTIONS(3013),
    [anon_sym_finally] = ACTIONS(3013),
    [anon_sym_await] = ACTIONS(3013),
    [anon_sym_foreach] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_else] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_from] = ACTIONS(3013),
    [anon_sym_into] = ACTIONS(3013),
    [anon_sym_join] = ACTIONS(3013),
    [anon_sym_on] = ACTIONS(3013),
    [anon_sym_equals] = ACTIONS(3013),
    [anon_sym_let] = ACTIONS(3013),
    [anon_sym_orderby] = ACTIONS(3013),
    [anon_sym_ascending] = ACTIONS(3013),
    [anon_sym_descending] = ACTIONS(3013),
    [anon_sym_group] = ACTIONS(3013),
    [anon_sym_by] = ACTIONS(3013),
    [anon_sym_select] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [anon_sym_stackalloc] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym_typeof] = ACTIONS(3013),
    [anon_sym___makeref] = ACTIONS(3013),
    [anon_sym___reftype] = ACTIONS(3013),
    [anon_sym___refvalue] = ACTIONS(3013),
    [sym_null_literal] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [sym_integer_literal] = ACTIONS(3013),
    [sym_real_literal] = ACTIONS(3015),
    [sym_verbatim_string_literal] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3015),
    [sym_interpolation_verbatim_start] = ACTIONS(3015),
    [sym_interpolation_raw_start] = ACTIONS(3015),
    [sym_raw_string_start] = ACTIONS(3015),
  },
  [2216] = {
    [sym_preproc_region] = STATE(2216),
    [sym_preproc_endregion] = STATE(2216),
    [sym_preproc_line] = STATE(2216),
    [sym_preproc_pragma] = STATE(2216),
    [sym_preproc_nullable] = STATE(2216),
    [sym_preproc_error] = STATE(2216),
    [sym_preproc_define] = STATE(2216),
    [sym_preproc_undef] = STATE(2216),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_ref] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_interface] = ACTIONS(2993),
    [anon_sym_delegate] = ACTIONS(2993),
    [anon_sym_record] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_checked] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_true] = ACTIONS(2993),
    [anon_sym_false] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_base] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [sym_predefined_type] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_unchecked] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_lock] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_catch] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_finally] = ACTIONS(2993),
    [anon_sym_await] = ACTIONS(2993),
    [anon_sym_foreach] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [anon_sym_stackalloc] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym_typeof] = ACTIONS(2993),
    [anon_sym___makeref] = ACTIONS(2993),
    [anon_sym___reftype] = ACTIONS(2993),
    [anon_sym___refvalue] = ACTIONS(2993),
    [sym_null_literal] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_integer_literal] = ACTIONS(2993),
    [sym_real_literal] = ACTIONS(2995),
    [sym_verbatim_string_literal] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2995),
    [sym_interpolation_verbatim_start] = ACTIONS(2995),
    [sym_interpolation_raw_start] = ACTIONS(2995),
    [sym_raw_string_start] = ACTIONS(2995),
  },
  [2217] = {
    [sym_preproc_region] = STATE(2217),
    [sym_preproc_endregion] = STATE(2217),
    [sym_preproc_line] = STATE(2217),
    [sym_preproc_pragma] = STATE(2217),
    [sym_preproc_nullable] = STATE(2217),
    [sym_preproc_error] = STATE(2217),
    [sym_preproc_define] = STATE(2217),
    [sym_preproc_undef] = STATE(2217),
    [sym__identifier_token] = ACTIONS(3027),
    [anon_sym_extern] = ACTIONS(3027),
    [anon_sym_alias] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym_global] = ACTIONS(3027),
    [anon_sym_using] = ACTIONS(3027),
    [anon_sym_unsafe] = ACTIONS(3027),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3027),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3027),
    [anon_sym_ref] = ACTIONS(3027),
    [anon_sym_struct] = ACTIONS(3027),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_interface] = ACTIONS(3027),
    [anon_sym_delegate] = ACTIONS(3027),
    [anon_sym_record] = ACTIONS(3027),
    [anon_sym_abstract] = ACTIONS(3027),
    [anon_sym_async] = ACTIONS(3027),
    [anon_sym_const] = ACTIONS(3027),
    [anon_sym_file] = ACTIONS(3027),
    [anon_sym_fixed] = ACTIONS(3027),
    [anon_sym_internal] = ACTIONS(3027),
    [anon_sym_new] = ACTIONS(3027),
    [anon_sym_override] = ACTIONS(3027),
    [anon_sym_partial] = ACTIONS(3027),
    [anon_sym_private] = ACTIONS(3027),
    [anon_sym_protected] = ACTIONS(3027),
    [anon_sym_public] = ACTIONS(3027),
    [anon_sym_readonly] = ACTIONS(3027),
    [anon_sym_required] = ACTIONS(3027),
    [anon_sym_sealed] = ACTIONS(3027),
    [anon_sym_virtual] = ACTIONS(3027),
    [anon_sym_volatile] = ACTIONS(3027),
    [anon_sym_where] = ACTIONS(3027),
    [anon_sym_notnull] = ACTIONS(3027),
    [anon_sym_unmanaged] = ACTIONS(3027),
    [anon_sym_checked] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3029),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3027),
    [anon_sym_false] = ACTIONS(3027),
    [anon_sym_PLUS] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_this] = ACTIONS(3027),
    [anon_sym_scoped] = ACTIONS(3027),
    [anon_sym_base] = ACTIONS(3027),
    [anon_sym_var] = ACTIONS(3027),
    [sym_predefined_type] = ACTIONS(3027),
    [anon_sym_break] = ACTIONS(3027),
    [anon_sym_unchecked] = ACTIONS(3027),
    [anon_sym_continue] = ACTIONS(3027),
    [anon_sym_do] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3027),
    [anon_sym_lock] = ACTIONS(3027),
    [anon_sym_yield] = ACTIONS(3027),
    [anon_sym_switch] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(3027),
    [anon_sym_throw] = ACTIONS(3027),
    [anon_sym_try] = ACTIONS(3027),
    [anon_sym_catch] = ACTIONS(3027),
    [anon_sym_when] = ACTIONS(3027),
    [anon_sym_finally] = ACTIONS(3027),
    [anon_sym_await] = ACTIONS(3027),
    [anon_sym_foreach] = ACTIONS(3027),
    [anon_sym_goto] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_else] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_from] = ACTIONS(3027),
    [anon_sym_into] = ACTIONS(3027),
    [anon_sym_join] = ACTIONS(3027),
    [anon_sym_on] = ACTIONS(3027),
    [anon_sym_equals] = ACTIONS(3027),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_orderby] = ACTIONS(3027),
    [anon_sym_ascending] = ACTIONS(3027),
    [anon_sym_descending] = ACTIONS(3027),
    [anon_sym_group] = ACTIONS(3027),
    [anon_sym_by] = ACTIONS(3027),
    [anon_sym_select] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3029),
    [anon_sym_stackalloc] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3027),
    [anon_sym_typeof] = ACTIONS(3027),
    [anon_sym___makeref] = ACTIONS(3027),
    [anon_sym___reftype] = ACTIONS(3027),
    [anon_sym___refvalue] = ACTIONS(3027),
    [sym_null_literal] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3029),
    [sym_integer_literal] = ACTIONS(3027),
    [sym_real_literal] = ACTIONS(3029),
    [sym_verbatim_string_literal] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_if_token3] = ACTIONS(3029),
    [aux_sym_preproc_else_token1] = ACTIONS(3029),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3029),
    [sym_interpolation_verbatim_start] = ACTIONS(3029),
    [sym_interpolation_raw_start] = ACTIONS(3029),
    [sym_raw_string_start] = ACTIONS(3029),
  },
  [2218] = {
    [sym_preproc_region] = STATE(2218),
    [sym_preproc_endregion] = STATE(2218),
    [sym_preproc_line] = STATE(2218),
    [sym_preproc_pragma] = STATE(2218),
    [sym_preproc_nullable] = STATE(2218),
    [sym_preproc_error] = STATE(2218),
    [sym_preproc_define] = STATE(2218),
    [sym_preproc_undef] = STATE(2218),
    [sym__identifier_token] = ACTIONS(3031),
    [anon_sym_extern] = ACTIONS(3031),
    [anon_sym_alias] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym_global] = ACTIONS(3031),
    [anon_sym_using] = ACTIONS(3031),
    [anon_sym_unsafe] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3031),
    [anon_sym_namespace] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_ref] = ACTIONS(3031),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_enum] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_interface] = ACTIONS(3031),
    [anon_sym_delegate] = ACTIONS(3031),
    [anon_sym_record] = ACTIONS(3031),
    [anon_sym_abstract] = ACTIONS(3031),
    [anon_sym_async] = ACTIONS(3031),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_file] = ACTIONS(3031),
    [anon_sym_fixed] = ACTIONS(3031),
    [anon_sym_internal] = ACTIONS(3031),
    [anon_sym_new] = ACTIONS(3031),
    [anon_sym_override] = ACTIONS(3031),
    [anon_sym_partial] = ACTIONS(3031),
    [anon_sym_private] = ACTIONS(3031),
    [anon_sym_protected] = ACTIONS(3031),
    [anon_sym_public] = ACTIONS(3031),
    [anon_sym_readonly] = ACTIONS(3031),
    [anon_sym_required] = ACTIONS(3031),
    [anon_sym_sealed] = ACTIONS(3031),
    [anon_sym_virtual] = ACTIONS(3031),
    [anon_sym_volatile] = ACTIONS(3031),
    [anon_sym_where] = ACTIONS(3031),
    [anon_sym_notnull] = ACTIONS(3031),
    [anon_sym_unmanaged] = ACTIONS(3031),
    [anon_sym_checked] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3033),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_this] = ACTIONS(3031),
    [anon_sym_scoped] = ACTIONS(3031),
    [anon_sym_base] = ACTIONS(3031),
    [anon_sym_var] = ACTIONS(3031),
    [sym_predefined_type] = ACTIONS(3031),
    [anon_sym_break] = ACTIONS(3031),
    [anon_sym_unchecked] = ACTIONS(3031),
    [anon_sym_continue] = ACTIONS(3031),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3031),
    [anon_sym_lock] = ACTIONS(3031),
    [anon_sym_yield] = ACTIONS(3031),
    [anon_sym_switch] = ACTIONS(3031),
    [anon_sym_default] = ACTIONS(3031),
    [anon_sym_throw] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3031),
    [anon_sym_catch] = ACTIONS(3031),
    [anon_sym_when] = ACTIONS(3031),
    [anon_sym_finally] = ACTIONS(3031),
    [anon_sym_await] = ACTIONS(3031),
    [anon_sym_foreach] = ACTIONS(3031),
    [anon_sym_goto] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_else] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_from] = ACTIONS(3031),
    [anon_sym_into] = ACTIONS(3031),
    [anon_sym_join] = ACTIONS(3031),
    [anon_sym_on] = ACTIONS(3031),
    [anon_sym_equals] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3031),
    [anon_sym_orderby] = ACTIONS(3031),
    [anon_sym_ascending] = ACTIONS(3031),
    [anon_sym_descending] = ACTIONS(3031),
    [anon_sym_group] = ACTIONS(3031),
    [anon_sym_by] = ACTIONS(3031),
    [anon_sym_select] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [anon_sym_stackalloc] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3031),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym___makeref] = ACTIONS(3031),
    [anon_sym___reftype] = ACTIONS(3031),
    [anon_sym___refvalue] = ACTIONS(3031),
    [sym_null_literal] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3033),
    [sym_integer_literal] = ACTIONS(3031),
    [sym_real_literal] = ACTIONS(3033),
    [sym_verbatim_string_literal] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_if_token3] = ACTIONS(3033),
    [aux_sym_preproc_else_token1] = ACTIONS(3033),
    [aux_sym_preproc_elif_token1] = ACTIONS(3033),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3033),
    [sym_interpolation_verbatim_start] = ACTIONS(3033),
    [sym_interpolation_raw_start] = ACTIONS(3033),
    [sym_raw_string_start] = ACTIONS(3033),
  },
  [2219] = {
    [sym_preproc_region] = STATE(2219),
    [sym_preproc_endregion] = STATE(2219),
    [sym_preproc_line] = STATE(2219),
    [sym_preproc_pragma] = STATE(2219),
    [sym_preproc_nullable] = STATE(2219),
    [sym_preproc_error] = STATE(2219),
    [sym_preproc_define] = STATE(2219),
    [sym_preproc_undef] = STATE(2219),
    [sym__identifier_token] = ACTIONS(3035),
    [anon_sym_extern] = ACTIONS(3035),
    [anon_sym_alias] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(3037),
    [anon_sym_global] = ACTIONS(3035),
    [anon_sym_using] = ACTIONS(3035),
    [anon_sym_unsafe] = ACTIONS(3035),
    [anon_sym_static] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3035),
    [anon_sym_namespace] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_ref] = ACTIONS(3035),
    [anon_sym_struct] = ACTIONS(3035),
    [anon_sym_enum] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_interface] = ACTIONS(3035),
    [anon_sym_delegate] = ACTIONS(3035),
    [anon_sym_record] = ACTIONS(3035),
    [anon_sym_abstract] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3035),
    [anon_sym_const] = ACTIONS(3035),
    [anon_sym_file] = ACTIONS(3035),
    [anon_sym_fixed] = ACTIONS(3035),
    [anon_sym_internal] = ACTIONS(3035),
    [anon_sym_new] = ACTIONS(3035),
    [anon_sym_override] = ACTIONS(3035),
    [anon_sym_partial] = ACTIONS(3035),
    [anon_sym_private] = ACTIONS(3035),
    [anon_sym_protected] = ACTIONS(3035),
    [anon_sym_public] = ACTIONS(3035),
    [anon_sym_readonly] = ACTIONS(3035),
    [anon_sym_required] = ACTIONS(3035),
    [anon_sym_sealed] = ACTIONS(3035),
    [anon_sym_virtual] = ACTIONS(3035),
    [anon_sym_volatile] = ACTIONS(3035),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_notnull] = ACTIONS(3035),
    [anon_sym_unmanaged] = ACTIONS(3035),
    [anon_sym_checked] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3037),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_true] = ACTIONS(3035),
    [anon_sym_false] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_this] = ACTIONS(3035),
    [anon_sym_scoped] = ACTIONS(3035),
    [anon_sym_base] = ACTIONS(3035),
    [anon_sym_var] = ACTIONS(3035),
    [sym_predefined_type] = ACTIONS(3035),
    [anon_sym_break] = ACTIONS(3035),
    [anon_sym_unchecked] = ACTIONS(3035),
    [anon_sym_continue] = ACTIONS(3035),
    [anon_sym_do] = ACTIONS(3035),
    [anon_sym_while] = ACTIONS(3035),
    [anon_sym_for] = ACTIONS(3035),
    [anon_sym_lock] = ACTIONS(3035),
    [anon_sym_yield] = ACTIONS(3035),
    [anon_sym_switch] = ACTIONS(3035),
    [anon_sym_default] = ACTIONS(3035),
    [anon_sym_throw] = ACTIONS(3035),
    [anon_sym_try] = ACTIONS(3035),
    [anon_sym_catch] = ACTIONS(3035),
    [anon_sym_when] = ACTIONS(3035),
    [anon_sym_finally] = ACTIONS(3035),
    [anon_sym_await] = ACTIONS(3035),
    [anon_sym_foreach] = ACTIONS(3035),
    [anon_sym_goto] = ACTIONS(3035),
    [anon_sym_if] = ACTIONS(3035),
    [anon_sym_else] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_from] = ACTIONS(3035),
    [anon_sym_into] = ACTIONS(3035),
    [anon_sym_join] = ACTIONS(3035),
    [anon_sym_on] = ACTIONS(3035),
    [anon_sym_equals] = ACTIONS(3035),
    [anon_sym_let] = ACTIONS(3035),
    [anon_sym_orderby] = ACTIONS(3035),
    [anon_sym_ascending] = ACTIONS(3035),
    [anon_sym_descending] = ACTIONS(3035),
    [anon_sym_group] = ACTIONS(3035),
    [anon_sym_by] = ACTIONS(3035),
    [anon_sym_select] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3037),
    [anon_sym_stackalloc] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3035),
    [anon_sym_typeof] = ACTIONS(3035),
    [anon_sym___makeref] = ACTIONS(3035),
    [anon_sym___reftype] = ACTIONS(3035),
    [anon_sym___refvalue] = ACTIONS(3035),
    [sym_null_literal] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3037),
    [sym_integer_literal] = ACTIONS(3035),
    [sym_real_literal] = ACTIONS(3037),
    [sym_verbatim_string_literal] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_if_token3] = ACTIONS(3037),
    [aux_sym_preproc_else_token1] = ACTIONS(3037),
    [aux_sym_preproc_elif_token1] = ACTIONS(3037),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3037),
    [sym_interpolation_verbatim_start] = ACTIONS(3037),
    [sym_interpolation_raw_start] = ACTIONS(3037),
    [sym_raw_string_start] = ACTIONS(3037),
  },
  [2220] = {
    [sym_preproc_region] = STATE(2220),
    [sym_preproc_endregion] = STATE(2220),
    [sym_preproc_line] = STATE(2220),
    [sym_preproc_pragma] = STATE(2220),
    [sym_preproc_nullable] = STATE(2220),
    [sym_preproc_error] = STATE(2220),
    [sym_preproc_define] = STATE(2220),
    [sym_preproc_undef] = STATE(2220),
    [sym__identifier_token] = ACTIONS(3039),
    [anon_sym_extern] = ACTIONS(3039),
    [anon_sym_alias] = ACTIONS(3039),
    [anon_sym_SEMI] = ACTIONS(3041),
    [anon_sym_global] = ACTIONS(3039),
    [anon_sym_using] = ACTIONS(3039),
    [anon_sym_unsafe] = ACTIONS(3039),
    [anon_sym_static] = ACTIONS(3039),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_LPAREN] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3039),
    [anon_sym_namespace] = ACTIONS(3039),
    [anon_sym_class] = ACTIONS(3039),
    [anon_sym_ref] = ACTIONS(3039),
    [anon_sym_struct] = ACTIONS(3039),
    [anon_sym_enum] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3041),
    [anon_sym_interface] = ACTIONS(3039),
    [anon_sym_delegate] = ACTIONS(3039),
    [anon_sym_record] = ACTIONS(3039),
    [anon_sym_abstract] = ACTIONS(3039),
    [anon_sym_async] = ACTIONS(3039),
    [anon_sym_const] = ACTIONS(3039),
    [anon_sym_file] = ACTIONS(3039),
    [anon_sym_fixed] = ACTIONS(3039),
    [anon_sym_internal] = ACTIONS(3039),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3039),
    [anon_sym_partial] = ACTIONS(3039),
    [anon_sym_private] = ACTIONS(3039),
    [anon_sym_protected] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3039),
    [anon_sym_readonly] = ACTIONS(3039),
    [anon_sym_required] = ACTIONS(3039),
    [anon_sym_sealed] = ACTIONS(3039),
    [anon_sym_virtual] = ACTIONS(3039),
    [anon_sym_volatile] = ACTIONS(3039),
    [anon_sym_where] = ACTIONS(3039),
    [anon_sym_notnull] = ACTIONS(3039),
    [anon_sym_unmanaged] = ACTIONS(3039),
    [anon_sym_checked] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3041),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_PLUS_PLUS] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3041),
    [anon_sym_true] = ACTIONS(3039),
    [anon_sym_false] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_this] = ACTIONS(3039),
    [anon_sym_scoped] = ACTIONS(3039),
    [anon_sym_base] = ACTIONS(3039),
    [anon_sym_var] = ACTIONS(3039),
    [sym_predefined_type] = ACTIONS(3039),
    [anon_sym_break] = ACTIONS(3039),
    [anon_sym_unchecked] = ACTIONS(3039),
    [anon_sym_continue] = ACTIONS(3039),
    [anon_sym_do] = ACTIONS(3039),
    [anon_sym_while] = ACTIONS(3039),
    [anon_sym_for] = ACTIONS(3039),
    [anon_sym_lock] = ACTIONS(3039),
    [anon_sym_yield] = ACTIONS(3039),
    [anon_sym_switch] = ACTIONS(3039),
    [anon_sym_default] = ACTIONS(3039),
    [anon_sym_throw] = ACTIONS(3039),
    [anon_sym_try] = ACTIONS(3039),
    [anon_sym_catch] = ACTIONS(3039),
    [anon_sym_when] = ACTIONS(3039),
    [anon_sym_finally] = ACTIONS(3039),
    [anon_sym_await] = ACTIONS(3039),
    [anon_sym_foreach] = ACTIONS(3039),
    [anon_sym_goto] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3039),
    [anon_sym_else] = ACTIONS(3039),
    [anon_sym_DOT_DOT] = ACTIONS(3041),
    [anon_sym_from] = ACTIONS(3039),
    [anon_sym_into] = ACTIONS(3039),
    [anon_sym_join] = ACTIONS(3039),
    [anon_sym_on] = ACTIONS(3039),
    [anon_sym_equals] = ACTIONS(3039),
    [anon_sym_let] = ACTIONS(3039),
    [anon_sym_orderby] = ACTIONS(3039),
    [anon_sym_ascending] = ACTIONS(3039),
    [anon_sym_descending] = ACTIONS(3039),
    [anon_sym_group] = ACTIONS(3039),
    [anon_sym_by] = ACTIONS(3039),
    [anon_sym_select] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3041),
    [anon_sym_stackalloc] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3039),
    [anon_sym_typeof] = ACTIONS(3039),
    [anon_sym___makeref] = ACTIONS(3039),
    [anon_sym___reftype] = ACTIONS(3039),
    [anon_sym___refvalue] = ACTIONS(3039),
    [sym_null_literal] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3041),
    [sym_integer_literal] = ACTIONS(3039),
    [sym_real_literal] = ACTIONS(3041),
    [sym_verbatim_string_literal] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_if_token3] = ACTIONS(3041),
    [aux_sym_preproc_else_token1] = ACTIONS(3041),
    [aux_sym_preproc_elif_token1] = ACTIONS(3041),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3041),
    [sym_interpolation_verbatim_start] = ACTIONS(3041),
    [sym_interpolation_raw_start] = ACTIONS(3041),
    [sym_raw_string_start] = ACTIONS(3041),
  },
  [2221] = {
    [sym_preproc_region] = STATE(2221),
    [sym_preproc_endregion] = STATE(2221),
    [sym_preproc_line] = STATE(2221),
    [sym_preproc_pragma] = STATE(2221),
    [sym_preproc_nullable] = STATE(2221),
    [sym_preproc_error] = STATE(2221),
    [sym_preproc_define] = STATE(2221),
    [sym_preproc_undef] = STATE(2221),
    [sym__identifier_token] = ACTIONS(3043),
    [anon_sym_extern] = ACTIONS(3043),
    [anon_sym_alias] = ACTIONS(3043),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_global] = ACTIONS(3043),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_unsafe] = ACTIONS(3043),
    [anon_sym_static] = ACTIONS(3043),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3043),
    [anon_sym_namespace] = ACTIONS(3043),
    [anon_sym_class] = ACTIONS(3043),
    [anon_sym_ref] = ACTIONS(3043),
    [anon_sym_struct] = ACTIONS(3043),
    [anon_sym_enum] = ACTIONS(3043),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_interface] = ACTIONS(3043),
    [anon_sym_delegate] = ACTIONS(3043),
    [anon_sym_record] = ACTIONS(3043),
    [anon_sym_abstract] = ACTIONS(3043),
    [anon_sym_async] = ACTIONS(3043),
    [anon_sym_const] = ACTIONS(3043),
    [anon_sym_file] = ACTIONS(3043),
    [anon_sym_fixed] = ACTIONS(3043),
    [anon_sym_internal] = ACTIONS(3043),
    [anon_sym_new] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3043),
    [anon_sym_partial] = ACTIONS(3043),
    [anon_sym_private] = ACTIONS(3043),
    [anon_sym_protected] = ACTIONS(3043),
    [anon_sym_public] = ACTIONS(3043),
    [anon_sym_readonly] = ACTIONS(3043),
    [anon_sym_required] = ACTIONS(3043),
    [anon_sym_sealed] = ACTIONS(3043),
    [anon_sym_virtual] = ACTIONS(3043),
    [anon_sym_volatile] = ACTIONS(3043),
    [anon_sym_where] = ACTIONS(3043),
    [anon_sym_notnull] = ACTIONS(3043),
    [anon_sym_unmanaged] = ACTIONS(3043),
    [anon_sym_checked] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3045),
    [anon_sym_TILDE] = ACTIONS(3045),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_true] = ACTIONS(3043),
    [anon_sym_false] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_this] = ACTIONS(3043),
    [anon_sym_scoped] = ACTIONS(3043),
    [anon_sym_base] = ACTIONS(3043),
    [anon_sym_var] = ACTIONS(3043),
    [sym_predefined_type] = ACTIONS(3043),
    [anon_sym_break] = ACTIONS(3043),
    [anon_sym_unchecked] = ACTIONS(3043),
    [anon_sym_continue] = ACTIONS(3043),
    [anon_sym_do] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(3043),
    [anon_sym_for] = ACTIONS(3043),
    [anon_sym_lock] = ACTIONS(3043),
    [anon_sym_yield] = ACTIONS(3043),
    [anon_sym_switch] = ACTIONS(3043),
    [anon_sym_default] = ACTIONS(3043),
    [anon_sym_throw] = ACTIONS(3043),
    [anon_sym_try] = ACTIONS(3043),
    [anon_sym_catch] = ACTIONS(3043),
    [anon_sym_when] = ACTIONS(3043),
    [anon_sym_finally] = ACTIONS(3043),
    [anon_sym_await] = ACTIONS(3043),
    [anon_sym_foreach] = ACTIONS(3043),
    [anon_sym_goto] = ACTIONS(3043),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_else] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_from] = ACTIONS(3043),
    [anon_sym_into] = ACTIONS(3043),
    [anon_sym_join] = ACTIONS(3043),
    [anon_sym_on] = ACTIONS(3043),
    [anon_sym_equals] = ACTIONS(3043),
    [anon_sym_let] = ACTIONS(3043),
    [anon_sym_orderby] = ACTIONS(3043),
    [anon_sym_ascending] = ACTIONS(3043),
    [anon_sym_descending] = ACTIONS(3043),
    [anon_sym_group] = ACTIONS(3043),
    [anon_sym_by] = ACTIONS(3043),
    [anon_sym_select] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3045),
    [anon_sym_stackalloc] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3043),
    [anon_sym___makeref] = ACTIONS(3043),
    [anon_sym___reftype] = ACTIONS(3043),
    [anon_sym___refvalue] = ACTIONS(3043),
    [sym_null_literal] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3045),
    [sym_integer_literal] = ACTIONS(3043),
    [sym_real_literal] = ACTIONS(3045),
    [sym_verbatim_string_literal] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token3] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3045),
    [sym_interpolation_verbatim_start] = ACTIONS(3045),
    [sym_interpolation_raw_start] = ACTIONS(3045),
    [sym_raw_string_start] = ACTIONS(3045),
  },
  [2222] = {
    [sym_preproc_region] = STATE(2222),
    [sym_preproc_endregion] = STATE(2222),
    [sym_preproc_line] = STATE(2222),
    [sym_preproc_pragma] = STATE(2222),
    [sym_preproc_nullable] = STATE(2222),
    [sym_preproc_error] = STATE(2222),
    [sym_preproc_define] = STATE(2222),
    [sym_preproc_undef] = STATE(2222),
    [sym__identifier_token] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym_alias] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym_global] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_unsafe] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_ref] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_interface] = ACTIONS(3047),
    [anon_sym_delegate] = ACTIONS(3047),
    [anon_sym_record] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3047),
    [anon_sym_async] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_file] = ACTIONS(3047),
    [anon_sym_fixed] = ACTIONS(3047),
    [anon_sym_internal] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_override] = ACTIONS(3047),
    [anon_sym_partial] = ACTIONS(3047),
    [anon_sym_private] = ACTIONS(3047),
    [anon_sym_protected] = ACTIONS(3047),
    [anon_sym_public] = ACTIONS(3047),
    [anon_sym_readonly] = ACTIONS(3047),
    [anon_sym_required] = ACTIONS(3047),
    [anon_sym_sealed] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_where] = ACTIONS(3047),
    [anon_sym_notnull] = ACTIONS(3047),
    [anon_sym_unmanaged] = ACTIONS(3047),
    [anon_sym_checked] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_true] = ACTIONS(3047),
    [anon_sym_false] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_this] = ACTIONS(3047),
    [anon_sym_scoped] = ACTIONS(3047),
    [anon_sym_base] = ACTIONS(3047),
    [anon_sym_var] = ACTIONS(3047),
    [sym_predefined_type] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_unchecked] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_lock] = ACTIONS(3047),
    [anon_sym_yield] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_when] = ACTIONS(3047),
    [anon_sym_await] = ACTIONS(3047),
    [anon_sym_foreach] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_else] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_from] = ACTIONS(3047),
    [anon_sym_into] = ACTIONS(3047),
    [anon_sym_join] = ACTIONS(3047),
    [anon_sym_on] = ACTIONS(3047),
    [anon_sym_equals] = ACTIONS(3047),
    [anon_sym_let] = ACTIONS(3047),
    [anon_sym_orderby] = ACTIONS(3047),
    [anon_sym_ascending] = ACTIONS(3047),
    [anon_sym_descending] = ACTIONS(3047),
    [anon_sym_group] = ACTIONS(3047),
    [anon_sym_by] = ACTIONS(3047),
    [anon_sym_select] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [anon_sym_stackalloc] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym_typeof] = ACTIONS(3047),
    [anon_sym___makeref] = ACTIONS(3047),
    [anon_sym___reftype] = ACTIONS(3047),
    [anon_sym___refvalue] = ACTIONS(3047),
    [sym_null_literal] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [sym_integer_literal] = ACTIONS(3047),
    [sym_real_literal] = ACTIONS(3049),
    [sym_verbatim_string_literal] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_if_token3] = ACTIONS(3049),
    [aux_sym_preproc_else_token1] = ACTIONS(3049),
    [aux_sym_preproc_elif_token1] = ACTIONS(3049),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3049),
    [sym_interpolation_verbatim_start] = ACTIONS(3049),
    [sym_interpolation_raw_start] = ACTIONS(3049),
    [sym_raw_string_start] = ACTIONS(3049),
  },
  [2223] = {
    [sym_preproc_region] = STATE(2223),
    [sym_preproc_endregion] = STATE(2223),
    [sym_preproc_line] = STATE(2223),
    [sym_preproc_pragma] = STATE(2223),
    [sym_preproc_nullable] = STATE(2223),
    [sym_preproc_error] = STATE(2223),
    [sym_preproc_define] = STATE(2223),
    [sym_preproc_undef] = STATE(2223),
    [ts_builtin_sym_end] = ACTIONS(3029),
    [sym__identifier_token] = ACTIONS(3027),
    [anon_sym_extern] = ACTIONS(3027),
    [anon_sym_alias] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym_global] = ACTIONS(3027),
    [anon_sym_using] = ACTIONS(3027),
    [anon_sym_unsafe] = ACTIONS(3027),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3027),
    [anon_sym_namespace] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3027),
    [anon_sym_ref] = ACTIONS(3027),
    [anon_sym_struct] = ACTIONS(3027),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_interface] = ACTIONS(3027),
    [anon_sym_delegate] = ACTIONS(3027),
    [anon_sym_record] = ACTIONS(3027),
    [anon_sym_abstract] = ACTIONS(3027),
    [anon_sym_async] = ACTIONS(3027),
    [anon_sym_const] = ACTIONS(3027),
    [anon_sym_file] = ACTIONS(3027),
    [anon_sym_fixed] = ACTIONS(3027),
    [anon_sym_internal] = ACTIONS(3027),
    [anon_sym_new] = ACTIONS(3027),
    [anon_sym_override] = ACTIONS(3027),
    [anon_sym_partial] = ACTIONS(3027),
    [anon_sym_private] = ACTIONS(3027),
    [anon_sym_protected] = ACTIONS(3027),
    [anon_sym_public] = ACTIONS(3027),
    [anon_sym_readonly] = ACTIONS(3027),
    [anon_sym_required] = ACTIONS(3027),
    [anon_sym_sealed] = ACTIONS(3027),
    [anon_sym_virtual] = ACTIONS(3027),
    [anon_sym_volatile] = ACTIONS(3027),
    [anon_sym_where] = ACTIONS(3027),
    [anon_sym_notnull] = ACTIONS(3027),
    [anon_sym_unmanaged] = ACTIONS(3027),
    [anon_sym_checked] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3029),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3027),
    [anon_sym_false] = ACTIONS(3027),
    [anon_sym_PLUS] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_this] = ACTIONS(3027),
    [anon_sym_scoped] = ACTIONS(3027),
    [anon_sym_base] = ACTIONS(3027),
    [anon_sym_var] = ACTIONS(3027),
    [sym_predefined_type] = ACTIONS(3027),
    [anon_sym_break] = ACTIONS(3027),
    [anon_sym_unchecked] = ACTIONS(3027),
    [anon_sym_continue] = ACTIONS(3027),
    [anon_sym_do] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3027),
    [anon_sym_lock] = ACTIONS(3027),
    [anon_sym_yield] = ACTIONS(3027),
    [anon_sym_switch] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(3027),
    [anon_sym_throw] = ACTIONS(3027),
    [anon_sym_try] = ACTIONS(3027),
    [anon_sym_catch] = ACTIONS(3027),
    [anon_sym_when] = ACTIONS(3027),
    [anon_sym_finally] = ACTIONS(3027),
    [anon_sym_await] = ACTIONS(3027),
    [anon_sym_foreach] = ACTIONS(3027),
    [anon_sym_goto] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_else] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_from] = ACTIONS(3027),
    [anon_sym_into] = ACTIONS(3027),
    [anon_sym_join] = ACTIONS(3027),
    [anon_sym_on] = ACTIONS(3027),
    [anon_sym_equals] = ACTIONS(3027),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_orderby] = ACTIONS(3027),
    [anon_sym_ascending] = ACTIONS(3027),
    [anon_sym_descending] = ACTIONS(3027),
    [anon_sym_group] = ACTIONS(3027),
    [anon_sym_by] = ACTIONS(3027),
    [anon_sym_select] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3029),
    [anon_sym_stackalloc] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3027),
    [anon_sym_typeof] = ACTIONS(3027),
    [anon_sym___makeref] = ACTIONS(3027),
    [anon_sym___reftype] = ACTIONS(3027),
    [anon_sym___refvalue] = ACTIONS(3027),
    [sym_null_literal] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3029),
    [sym_integer_literal] = ACTIONS(3027),
    [sym_real_literal] = ACTIONS(3029),
    [sym_verbatim_string_literal] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3029),
    [sym_interpolation_verbatim_start] = ACTIONS(3029),
    [sym_interpolation_raw_start] = ACTIONS(3029),
    [sym_raw_string_start] = ACTIONS(3029),
  },
  [2224] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_else] = STATE(9199),
    [sym_preproc_elif] = STATE(9199),
    [sym_preproc_region] = STATE(2224),
    [sym_preproc_endregion] = STATE(2224),
    [sym_preproc_line] = STATE(2224),
    [sym_preproc_pragma] = STATE(2224),
    [sym_preproc_nullable] = STATE(2224),
    [sym_preproc_error] = STATE(2224),
    [sym_preproc_define] = STATE(2224),
    [sym_preproc_undef] = STATE(2224),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2361),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token3] = ACTIONS(3097),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2225] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_else] = STATE(9130),
    [sym_preproc_elif] = STATE(9130),
    [sym_preproc_region] = STATE(2225),
    [sym_preproc_endregion] = STATE(2225),
    [sym_preproc_line] = STATE(2225),
    [sym_preproc_pragma] = STATE(2225),
    [sym_preproc_nullable] = STATE(2225),
    [sym_preproc_error] = STATE(2225),
    [sym_preproc_define] = STATE(2225),
    [sym_preproc_undef] = STATE(2225),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2224),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token3] = ACTIONS(3103),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2226] = {
    [sym_preproc_region] = STATE(2226),
    [sym_preproc_endregion] = STATE(2226),
    [sym_preproc_line] = STATE(2226),
    [sym_preproc_pragma] = STATE(2226),
    [sym_preproc_nullable] = STATE(2226),
    [sym_preproc_error] = STATE(2226),
    [sym_preproc_define] = STATE(2226),
    [sym_preproc_undef] = STATE(2226),
    [sym__identifier_token] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3105),
    [anon_sym_alias] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_global] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_unsafe] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_ref] = ACTIONS(3105),
    [anon_sym_struct] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3105),
    [anon_sym_delegate] = ACTIONS(3105),
    [anon_sym_record] = ACTIONS(3105),
    [anon_sym_abstract] = ACTIONS(3105),
    [anon_sym_async] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_file] = ACTIONS(3105),
    [anon_sym_fixed] = ACTIONS(3105),
    [anon_sym_internal] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_override] = ACTIONS(3105),
    [anon_sym_partial] = ACTIONS(3105),
    [anon_sym_private] = ACTIONS(3105),
    [anon_sym_protected] = ACTIONS(3105),
    [anon_sym_public] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3105),
    [anon_sym_required] = ACTIONS(3105),
    [anon_sym_sealed] = ACTIONS(3105),
    [anon_sym_virtual] = ACTIONS(3105),
    [anon_sym_volatile] = ACTIONS(3105),
    [anon_sym_where] = ACTIONS(3105),
    [anon_sym_notnull] = ACTIONS(3105),
    [anon_sym_unmanaged] = ACTIONS(3105),
    [anon_sym_checked] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_true] = ACTIONS(3105),
    [anon_sym_false] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_this] = ACTIONS(3105),
    [anon_sym_scoped] = ACTIONS(3105),
    [anon_sym_base] = ACTIONS(3105),
    [anon_sym_var] = ACTIONS(3105),
    [sym_predefined_type] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_unchecked] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_lock] = ACTIONS(3105),
    [anon_sym_yield] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_when] = ACTIONS(3105),
    [anon_sym_await] = ACTIONS(3105),
    [anon_sym_foreach] = ACTIONS(3105),
    [anon_sym_goto] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_else] = ACTIONS(3105),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_from] = ACTIONS(3105),
    [anon_sym_into] = ACTIONS(3105),
    [anon_sym_join] = ACTIONS(3105),
    [anon_sym_on] = ACTIONS(3105),
    [anon_sym_equals] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3105),
    [anon_sym_orderby] = ACTIONS(3105),
    [anon_sym_ascending] = ACTIONS(3105),
    [anon_sym_descending] = ACTIONS(3105),
    [anon_sym_group] = ACTIONS(3105),
    [anon_sym_by] = ACTIONS(3105),
    [anon_sym_select] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_stackalloc] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3105),
    [anon_sym_typeof] = ACTIONS(3105),
    [anon_sym___makeref] = ACTIONS(3105),
    [anon_sym___reftype] = ACTIONS(3105),
    [anon_sym___refvalue] = ACTIONS(3105),
    [sym_null_literal] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(3105),
    [sym_real_literal] = ACTIONS(3107),
    [sym_verbatim_string_literal] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token3] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3107),
    [sym_interpolation_verbatim_start] = ACTIONS(3107),
    [sym_interpolation_raw_start] = ACTIONS(3107),
    [sym_raw_string_start] = ACTIONS(3107),
  },
  [2227] = {
    [sym_preproc_region] = STATE(2227),
    [sym_preproc_endregion] = STATE(2227),
    [sym_preproc_line] = STATE(2227),
    [sym_preproc_pragma] = STATE(2227),
    [sym_preproc_nullable] = STATE(2227),
    [sym_preproc_error] = STATE(2227),
    [sym_preproc_define] = STATE(2227),
    [sym_preproc_undef] = STATE(2227),
    [sym__identifier_token] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_alias] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_LPAREN] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_interface] = ACTIONS(3109),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_record] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_file] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_required] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_where] = ACTIONS(3109),
    [anon_sym_notnull] = ACTIONS(3109),
    [anon_sym_unmanaged] = ACTIONS(3109),
    [anon_sym_checked] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3109),
    [anon_sym_false] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_CARET] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_this] = ACTIONS(3109),
    [anon_sym_scoped] = ACTIONS(3109),
    [anon_sym_base] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [sym_predefined_type] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_unchecked] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_lock] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_when] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_foreach] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_else] = ACTIONS(3109),
    [anon_sym_DOT_DOT] = ACTIONS(3111),
    [anon_sym_from] = ACTIONS(3109),
    [anon_sym_into] = ACTIONS(3109),
    [anon_sym_join] = ACTIONS(3109),
    [anon_sym_on] = ACTIONS(3109),
    [anon_sym_equals] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_orderby] = ACTIONS(3109),
    [anon_sym_ascending] = ACTIONS(3109),
    [anon_sym_descending] = ACTIONS(3109),
    [anon_sym_group] = ACTIONS(3109),
    [anon_sym_by] = ACTIONS(3109),
    [anon_sym_select] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [anon_sym_stackalloc] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym___makeref] = ACTIONS(3109),
    [anon_sym___reftype] = ACTIONS(3109),
    [anon_sym___refvalue] = ACTIONS(3109),
    [sym_null_literal] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [sym_integer_literal] = ACTIONS(3109),
    [sym_real_literal] = ACTIONS(3111),
    [sym_verbatim_string_literal] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token3] = ACTIONS(3111),
    [aux_sym_preproc_else_token1] = ACTIONS(3111),
    [aux_sym_preproc_elif_token1] = ACTIONS(3111),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3111),
    [sym_interpolation_verbatim_start] = ACTIONS(3111),
    [sym_interpolation_raw_start] = ACTIONS(3111),
    [sym_raw_string_start] = ACTIONS(3111),
  },
  [2228] = {
    [sym_preproc_region] = STATE(2228),
    [sym_preproc_endregion] = STATE(2228),
    [sym_preproc_line] = STATE(2228),
    [sym_preproc_pragma] = STATE(2228),
    [sym_preproc_nullable] = STATE(2228),
    [sym_preproc_error] = STATE(2228),
    [sym_preproc_define] = STATE(2228),
    [sym_preproc_undef] = STATE(2228),
    [sym__identifier_token] = ACTIONS(3113),
    [anon_sym_extern] = ACTIONS(3113),
    [anon_sym_alias] = ACTIONS(3113),
    [anon_sym_SEMI] = ACTIONS(3115),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_using] = ACTIONS(3113),
    [anon_sym_unsafe] = ACTIONS(3113),
    [anon_sym_static] = ACTIONS(3113),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3113),
    [anon_sym_namespace] = ACTIONS(3113),
    [anon_sym_class] = ACTIONS(3113),
    [anon_sym_ref] = ACTIONS(3113),
    [anon_sym_struct] = ACTIONS(3113),
    [anon_sym_enum] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_interface] = ACTIONS(3113),
    [anon_sym_delegate] = ACTIONS(3113),
    [anon_sym_record] = ACTIONS(3113),
    [anon_sym_abstract] = ACTIONS(3113),
    [anon_sym_async] = ACTIONS(3113),
    [anon_sym_const] = ACTIONS(3113),
    [anon_sym_file] = ACTIONS(3113),
    [anon_sym_fixed] = ACTIONS(3113),
    [anon_sym_internal] = ACTIONS(3113),
    [anon_sym_new] = ACTIONS(3113),
    [anon_sym_override] = ACTIONS(3113),
    [anon_sym_partial] = ACTIONS(3113),
    [anon_sym_private] = ACTIONS(3113),
    [anon_sym_protected] = ACTIONS(3113),
    [anon_sym_public] = ACTIONS(3113),
    [anon_sym_readonly] = ACTIONS(3113),
    [anon_sym_required] = ACTIONS(3113),
    [anon_sym_sealed] = ACTIONS(3113),
    [anon_sym_virtual] = ACTIONS(3113),
    [anon_sym_volatile] = ACTIONS(3113),
    [anon_sym_where] = ACTIONS(3113),
    [anon_sym_notnull] = ACTIONS(3113),
    [anon_sym_unmanaged] = ACTIONS(3113),
    [anon_sym_checked] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3115),
    [anon_sym_TILDE] = ACTIONS(3115),
    [anon_sym_PLUS_PLUS] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3115),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3113),
    [anon_sym_STAR] = ACTIONS(3115),
    [anon_sym_CARET] = ACTIONS(3115),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_this] = ACTIONS(3113),
    [anon_sym_scoped] = ACTIONS(3113),
    [anon_sym_base] = ACTIONS(3113),
    [anon_sym_var] = ACTIONS(3113),
    [sym_predefined_type] = ACTIONS(3113),
    [anon_sym_break] = ACTIONS(3113),
    [anon_sym_unchecked] = ACTIONS(3113),
    [anon_sym_continue] = ACTIONS(3113),
    [anon_sym_do] = ACTIONS(3113),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3113),
    [anon_sym_lock] = ACTIONS(3113),
    [anon_sym_yield] = ACTIONS(3113),
    [anon_sym_switch] = ACTIONS(3113),
    [anon_sym_default] = ACTIONS(3113),
    [anon_sym_throw] = ACTIONS(3113),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_when] = ACTIONS(3113),
    [anon_sym_await] = ACTIONS(3113),
    [anon_sym_foreach] = ACTIONS(3113),
    [anon_sym_goto] = ACTIONS(3113),
    [anon_sym_if] = ACTIONS(3113),
    [anon_sym_else] = ACTIONS(3113),
    [anon_sym_DOT_DOT] = ACTIONS(3115),
    [anon_sym_from] = ACTIONS(3113),
    [anon_sym_into] = ACTIONS(3113),
    [anon_sym_join] = ACTIONS(3113),
    [anon_sym_on] = ACTIONS(3113),
    [anon_sym_equals] = ACTIONS(3113),
    [anon_sym_let] = ACTIONS(3113),
    [anon_sym_orderby] = ACTIONS(3113),
    [anon_sym_ascending] = ACTIONS(3113),
    [anon_sym_descending] = ACTIONS(3113),
    [anon_sym_group] = ACTIONS(3113),
    [anon_sym_by] = ACTIONS(3113),
    [anon_sym_select] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3115),
    [anon_sym_stackalloc] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3113),
    [anon_sym_typeof] = ACTIONS(3113),
    [anon_sym___makeref] = ACTIONS(3113),
    [anon_sym___reftype] = ACTIONS(3113),
    [anon_sym___refvalue] = ACTIONS(3113),
    [sym_null_literal] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [sym_integer_literal] = ACTIONS(3113),
    [sym_real_literal] = ACTIONS(3115),
    [sym_verbatim_string_literal] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token3] = ACTIONS(3115),
    [aux_sym_preproc_else_token1] = ACTIONS(3115),
    [aux_sym_preproc_elif_token1] = ACTIONS(3115),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3115),
    [sym_interpolation_verbatim_start] = ACTIONS(3115),
    [sym_interpolation_raw_start] = ACTIONS(3115),
    [sym_raw_string_start] = ACTIONS(3115),
  },
  [2229] = {
    [sym_preproc_region] = STATE(2229),
    [sym_preproc_endregion] = STATE(2229),
    [sym_preproc_line] = STATE(2229),
    [sym_preproc_pragma] = STATE(2229),
    [sym_preproc_nullable] = STATE(2229),
    [sym_preproc_error] = STATE(2229),
    [sym_preproc_define] = STATE(2229),
    [sym_preproc_undef] = STATE(2229),
    [ts_builtin_sym_end] = ACTIONS(2995),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_ref] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_interface] = ACTIONS(2993),
    [anon_sym_delegate] = ACTIONS(2993),
    [anon_sym_record] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_checked] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_true] = ACTIONS(2993),
    [anon_sym_false] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_base] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [sym_predefined_type] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_unchecked] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_lock] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_catch] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_finally] = ACTIONS(2993),
    [anon_sym_await] = ACTIONS(2993),
    [anon_sym_foreach] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [anon_sym_stackalloc] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym_typeof] = ACTIONS(2993),
    [anon_sym___makeref] = ACTIONS(2993),
    [anon_sym___reftype] = ACTIONS(2993),
    [anon_sym___refvalue] = ACTIONS(2993),
    [sym_null_literal] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_integer_literal] = ACTIONS(2993),
    [sym_real_literal] = ACTIONS(2995),
    [sym_verbatim_string_literal] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2995),
    [sym_interpolation_verbatim_start] = ACTIONS(2995),
    [sym_interpolation_raw_start] = ACTIONS(2995),
    [sym_raw_string_start] = ACTIONS(2995),
  },
  [2230] = {
    [sym_preproc_region] = STATE(2230),
    [sym_preproc_endregion] = STATE(2230),
    [sym_preproc_line] = STATE(2230),
    [sym_preproc_pragma] = STATE(2230),
    [sym_preproc_nullable] = STATE(2230),
    [sym_preproc_error] = STATE(2230),
    [sym_preproc_define] = STATE(2230),
    [sym_preproc_undef] = STATE(2230),
    [sym__identifier_token] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym_alias] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym_global] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_unsafe] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_ref] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_interface] = ACTIONS(3117),
    [anon_sym_delegate] = ACTIONS(3117),
    [anon_sym_record] = ACTIONS(3117),
    [anon_sym_abstract] = ACTIONS(3117),
    [anon_sym_async] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_file] = ACTIONS(3117),
    [anon_sym_fixed] = ACTIONS(3117),
    [anon_sym_internal] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_override] = ACTIONS(3117),
    [anon_sym_partial] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_readonly] = ACTIONS(3117),
    [anon_sym_required] = ACTIONS(3117),
    [anon_sym_sealed] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_where] = ACTIONS(3117),
    [anon_sym_notnull] = ACTIONS(3117),
    [anon_sym_unmanaged] = ACTIONS(3117),
    [anon_sym_checked] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_true] = ACTIONS(3117),
    [anon_sym_false] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_CARET] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_this] = ACTIONS(3117),
    [anon_sym_scoped] = ACTIONS(3117),
    [anon_sym_base] = ACTIONS(3117),
    [anon_sym_var] = ACTIONS(3117),
    [sym_predefined_type] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_unchecked] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_lock] = ACTIONS(3117),
    [anon_sym_yield] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_when] = ACTIONS(3117),
    [anon_sym_await] = ACTIONS(3117),
    [anon_sym_foreach] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_else] = ACTIONS(3117),
    [anon_sym_DOT_DOT] = ACTIONS(3119),
    [anon_sym_from] = ACTIONS(3117),
    [anon_sym_into] = ACTIONS(3117),
    [anon_sym_join] = ACTIONS(3117),
    [anon_sym_on] = ACTIONS(3117),
    [anon_sym_equals] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_orderby] = ACTIONS(3117),
    [anon_sym_ascending] = ACTIONS(3117),
    [anon_sym_descending] = ACTIONS(3117),
    [anon_sym_group] = ACTIONS(3117),
    [anon_sym_by] = ACTIONS(3117),
    [anon_sym_select] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [anon_sym_stackalloc] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym_typeof] = ACTIONS(3117),
    [anon_sym___makeref] = ACTIONS(3117),
    [anon_sym___reftype] = ACTIONS(3117),
    [anon_sym___refvalue] = ACTIONS(3117),
    [sym_null_literal] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [sym_integer_literal] = ACTIONS(3117),
    [sym_real_literal] = ACTIONS(3119),
    [sym_verbatim_string_literal] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_if_token3] = ACTIONS(3119),
    [aux_sym_preproc_else_token1] = ACTIONS(3119),
    [aux_sym_preproc_elif_token1] = ACTIONS(3119),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3119),
    [sym_interpolation_verbatim_start] = ACTIONS(3119),
    [sym_interpolation_raw_start] = ACTIONS(3119),
    [sym_raw_string_start] = ACTIONS(3119),
  },
  [2231] = {
    [sym_preproc_region] = STATE(2231),
    [sym_preproc_endregion] = STATE(2231),
    [sym_preproc_line] = STATE(2231),
    [sym_preproc_pragma] = STATE(2231),
    [sym_preproc_nullable] = STATE(2231),
    [sym_preproc_error] = STATE(2231),
    [sym_preproc_define] = STATE(2231),
    [sym_preproc_undef] = STATE(2231),
    [sym__identifier_token] = ACTIONS(3121),
    [anon_sym_extern] = ACTIONS(3121),
    [anon_sym_alias] = ACTIONS(3121),
    [anon_sym_SEMI] = ACTIONS(3123),
    [anon_sym_global] = ACTIONS(3121),
    [anon_sym_using] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(3121),
    [anon_sym_static] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3121),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_class] = ACTIONS(3121),
    [anon_sym_ref] = ACTIONS(3121),
    [anon_sym_struct] = ACTIONS(3121),
    [anon_sym_enum] = ACTIONS(3121),
    [anon_sym_LBRACE] = ACTIONS(3123),
    [anon_sym_interface] = ACTIONS(3121),
    [anon_sym_delegate] = ACTIONS(3121),
    [anon_sym_record] = ACTIONS(3121),
    [anon_sym_abstract] = ACTIONS(3121),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_const] = ACTIONS(3121),
    [anon_sym_file] = ACTIONS(3121),
    [anon_sym_fixed] = ACTIONS(3121),
    [anon_sym_internal] = ACTIONS(3121),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_partial] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_required] = ACTIONS(3121),
    [anon_sym_sealed] = ACTIONS(3121),
    [anon_sym_virtual] = ACTIONS(3121),
    [anon_sym_volatile] = ACTIONS(3121),
    [anon_sym_where] = ACTIONS(3121),
    [anon_sym_notnull] = ACTIONS(3121),
    [anon_sym_unmanaged] = ACTIONS(3121),
    [anon_sym_checked] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3123),
    [anon_sym_TILDE] = ACTIONS(3123),
    [anon_sym_PLUS_PLUS] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3121),
    [anon_sym_false] = ACTIONS(3121),
    [anon_sym_PLUS] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3123),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_this] = ACTIONS(3121),
    [anon_sym_scoped] = ACTIONS(3121),
    [anon_sym_base] = ACTIONS(3121),
    [anon_sym_var] = ACTIONS(3121),
    [sym_predefined_type] = ACTIONS(3121),
    [anon_sym_break] = ACTIONS(3121),
    [anon_sym_unchecked] = ACTIONS(3121),
    [anon_sym_continue] = ACTIONS(3121),
    [anon_sym_do] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(3121),
    [anon_sym_for] = ACTIONS(3121),
    [anon_sym_lock] = ACTIONS(3121),
    [anon_sym_yield] = ACTIONS(3121),
    [anon_sym_switch] = ACTIONS(3121),
    [anon_sym_default] = ACTIONS(3121),
    [anon_sym_throw] = ACTIONS(3121),
    [anon_sym_try] = ACTIONS(3121),
    [anon_sym_when] = ACTIONS(3121),
    [anon_sym_await] = ACTIONS(3121),
    [anon_sym_foreach] = ACTIONS(3121),
    [anon_sym_goto] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_else] = ACTIONS(3121),
    [anon_sym_DOT_DOT] = ACTIONS(3123),
    [anon_sym_from] = ACTIONS(3121),
    [anon_sym_into] = ACTIONS(3121),
    [anon_sym_join] = ACTIONS(3121),
    [anon_sym_on] = ACTIONS(3121),
    [anon_sym_equals] = ACTIONS(3121),
    [anon_sym_let] = ACTIONS(3121),
    [anon_sym_orderby] = ACTIONS(3121),
    [anon_sym_ascending] = ACTIONS(3121),
    [anon_sym_descending] = ACTIONS(3121),
    [anon_sym_group] = ACTIONS(3121),
    [anon_sym_by] = ACTIONS(3121),
    [anon_sym_select] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3123),
    [anon_sym_stackalloc] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3121),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym___makeref] = ACTIONS(3121),
    [anon_sym___reftype] = ACTIONS(3121),
    [anon_sym___refvalue] = ACTIONS(3121),
    [sym_null_literal] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3123),
    [sym_integer_literal] = ACTIONS(3121),
    [sym_real_literal] = ACTIONS(3123),
    [sym_verbatim_string_literal] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_if_token3] = ACTIONS(3123),
    [aux_sym_preproc_else_token1] = ACTIONS(3123),
    [aux_sym_preproc_elif_token1] = ACTIONS(3123),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3123),
    [sym_interpolation_verbatim_start] = ACTIONS(3123),
    [sym_interpolation_raw_start] = ACTIONS(3123),
    [sym_raw_string_start] = ACTIONS(3123),
  },
  [2232] = {
    [sym_preproc_region] = STATE(2232),
    [sym_preproc_endregion] = STATE(2232),
    [sym_preproc_line] = STATE(2232),
    [sym_preproc_pragma] = STATE(2232),
    [sym_preproc_nullable] = STATE(2232),
    [sym_preproc_error] = STATE(2232),
    [sym_preproc_define] = STATE(2232),
    [sym_preproc_undef] = STATE(2232),
    [sym__identifier_token] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym_alias] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym_global] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_unsafe] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3125),
    [anon_sym_namespace] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_ref] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_interface] = ACTIONS(3125),
    [anon_sym_delegate] = ACTIONS(3125),
    [anon_sym_record] = ACTIONS(3125),
    [anon_sym_abstract] = ACTIONS(3125),
    [anon_sym_async] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_file] = ACTIONS(3125),
    [anon_sym_fixed] = ACTIONS(3125),
    [anon_sym_internal] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3125),
    [anon_sym_override] = ACTIONS(3125),
    [anon_sym_partial] = ACTIONS(3125),
    [anon_sym_private] = ACTIONS(3125),
    [anon_sym_protected] = ACTIONS(3125),
    [anon_sym_public] = ACTIONS(3125),
    [anon_sym_readonly] = ACTIONS(3125),
    [anon_sym_required] = ACTIONS(3125),
    [anon_sym_sealed] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_where] = ACTIONS(3125),
    [anon_sym_notnull] = ACTIONS(3125),
    [anon_sym_unmanaged] = ACTIONS(3125),
    [anon_sym_checked] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3127),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_CARET] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_this] = ACTIONS(3125),
    [anon_sym_scoped] = ACTIONS(3125),
    [anon_sym_base] = ACTIONS(3125),
    [anon_sym_var] = ACTIONS(3125),
    [sym_predefined_type] = ACTIONS(3125),
    [anon_sym_break] = ACTIONS(3125),
    [anon_sym_unchecked] = ACTIONS(3125),
    [anon_sym_continue] = ACTIONS(3125),
    [anon_sym_do] = ACTIONS(3125),
    [anon_sym_while] = ACTIONS(3125),
    [anon_sym_for] = ACTIONS(3125),
    [anon_sym_lock] = ACTIONS(3125),
    [anon_sym_yield] = ACTIONS(3125),
    [anon_sym_switch] = ACTIONS(3125),
    [anon_sym_default] = ACTIONS(3125),
    [anon_sym_throw] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3125),
    [anon_sym_when] = ACTIONS(3125),
    [anon_sym_await] = ACTIONS(3125),
    [anon_sym_foreach] = ACTIONS(3125),
    [anon_sym_goto] = ACTIONS(3125),
    [anon_sym_if] = ACTIONS(3125),
    [anon_sym_else] = ACTIONS(3125),
    [anon_sym_DOT_DOT] = ACTIONS(3127),
    [anon_sym_from] = ACTIONS(3125),
    [anon_sym_into] = ACTIONS(3125),
    [anon_sym_join] = ACTIONS(3125),
    [anon_sym_on] = ACTIONS(3125),
    [anon_sym_equals] = ACTIONS(3125),
    [anon_sym_let] = ACTIONS(3125),
    [anon_sym_orderby] = ACTIONS(3125),
    [anon_sym_ascending] = ACTIONS(3125),
    [anon_sym_descending] = ACTIONS(3125),
    [anon_sym_group] = ACTIONS(3125),
    [anon_sym_by] = ACTIONS(3125),
    [anon_sym_select] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3127),
    [anon_sym_stackalloc] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3125),
    [anon_sym_typeof] = ACTIONS(3125),
    [anon_sym___makeref] = ACTIONS(3125),
    [anon_sym___reftype] = ACTIONS(3125),
    [anon_sym___refvalue] = ACTIONS(3125),
    [sym_null_literal] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3127),
    [sym_integer_literal] = ACTIONS(3125),
    [sym_real_literal] = ACTIONS(3127),
    [sym_verbatim_string_literal] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_if_token3] = ACTIONS(3127),
    [aux_sym_preproc_else_token1] = ACTIONS(3127),
    [aux_sym_preproc_elif_token1] = ACTIONS(3127),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3127),
    [sym_interpolation_verbatim_start] = ACTIONS(3127),
    [sym_interpolation_raw_start] = ACTIONS(3127),
    [sym_raw_string_start] = ACTIONS(3127),
  },
  [2233] = {
    [sym_preproc_region] = STATE(2233),
    [sym_preproc_endregion] = STATE(2233),
    [sym_preproc_line] = STATE(2233),
    [sym_preproc_pragma] = STATE(2233),
    [sym_preproc_nullable] = STATE(2233),
    [sym_preproc_error] = STATE(2233),
    [sym_preproc_define] = STATE(2233),
    [sym_preproc_undef] = STATE(2233),
    [sym__identifier_token] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym_alias] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym_global] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_unsafe] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_LPAREN] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_ref] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(3131),
    [anon_sym_interface] = ACTIONS(3129),
    [anon_sym_delegate] = ACTIONS(3129),
    [anon_sym_record] = ACTIONS(3129),
    [anon_sym_abstract] = ACTIONS(3129),
    [anon_sym_async] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_file] = ACTIONS(3129),
    [anon_sym_fixed] = ACTIONS(3129),
    [anon_sym_internal] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_override] = ACTIONS(3129),
    [anon_sym_partial] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_readonly] = ACTIONS(3129),
    [anon_sym_required] = ACTIONS(3129),
    [anon_sym_sealed] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_where] = ACTIONS(3129),
    [anon_sym_notnull] = ACTIONS(3129),
    [anon_sym_unmanaged] = ACTIONS(3129),
    [anon_sym_checked] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3131),
    [anon_sym_true] = ACTIONS(3129),
    [anon_sym_false] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_CARET] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_this] = ACTIONS(3129),
    [anon_sym_scoped] = ACTIONS(3129),
    [anon_sym_base] = ACTIONS(3129),
    [anon_sym_var] = ACTIONS(3129),
    [sym_predefined_type] = ACTIONS(3129),
    [anon_sym_break] = ACTIONS(3129),
    [anon_sym_unchecked] = ACTIONS(3129),
    [anon_sym_continue] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3129),
    [anon_sym_while] = ACTIONS(3129),
    [anon_sym_for] = ACTIONS(3129),
    [anon_sym_lock] = ACTIONS(3129),
    [anon_sym_yield] = ACTIONS(3129),
    [anon_sym_switch] = ACTIONS(3129),
    [anon_sym_default] = ACTIONS(3129),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_when] = ACTIONS(3129),
    [anon_sym_await] = ACTIONS(3129),
    [anon_sym_foreach] = ACTIONS(3129),
    [anon_sym_goto] = ACTIONS(3129),
    [anon_sym_if] = ACTIONS(3129),
    [anon_sym_else] = ACTIONS(3129),
    [anon_sym_DOT_DOT] = ACTIONS(3131),
    [anon_sym_from] = ACTIONS(3129),
    [anon_sym_into] = ACTIONS(3129),
    [anon_sym_join] = ACTIONS(3129),
    [anon_sym_on] = ACTIONS(3129),
    [anon_sym_equals] = ACTIONS(3129),
    [anon_sym_let] = ACTIONS(3129),
    [anon_sym_orderby] = ACTIONS(3129),
    [anon_sym_ascending] = ACTIONS(3129),
    [anon_sym_descending] = ACTIONS(3129),
    [anon_sym_group] = ACTIONS(3129),
    [anon_sym_by] = ACTIONS(3129),
    [anon_sym_select] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3131),
    [anon_sym_stackalloc] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3129),
    [anon_sym_typeof] = ACTIONS(3129),
    [anon_sym___makeref] = ACTIONS(3129),
    [anon_sym___reftype] = ACTIONS(3129),
    [anon_sym___refvalue] = ACTIONS(3129),
    [sym_null_literal] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [sym_integer_literal] = ACTIONS(3129),
    [sym_real_literal] = ACTIONS(3131),
    [sym_verbatim_string_literal] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_if_token3] = ACTIONS(3131),
    [aux_sym_preproc_else_token1] = ACTIONS(3131),
    [aux_sym_preproc_elif_token1] = ACTIONS(3131),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3131),
    [sym_interpolation_verbatim_start] = ACTIONS(3131),
    [sym_interpolation_raw_start] = ACTIONS(3131),
    [sym_raw_string_start] = ACTIONS(3131),
  },
  [2234] = {
    [sym_preproc_region] = STATE(2234),
    [sym_preproc_endregion] = STATE(2234),
    [sym_preproc_line] = STATE(2234),
    [sym_preproc_pragma] = STATE(2234),
    [sym_preproc_nullable] = STATE(2234),
    [sym_preproc_error] = STATE(2234),
    [sym_preproc_define] = STATE(2234),
    [sym_preproc_undef] = STATE(2234),
    [sym__identifier_token] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym_alias] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_global] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_unsafe] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3133),
    [anon_sym_namespace] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_ref] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3133),
    [anon_sym_delegate] = ACTIONS(3133),
    [anon_sym_record] = ACTIONS(3133),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_async] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_file] = ACTIONS(3133),
    [anon_sym_fixed] = ACTIONS(3133),
    [anon_sym_internal] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_override] = ACTIONS(3133),
    [anon_sym_partial] = ACTIONS(3133),
    [anon_sym_private] = ACTIONS(3133),
    [anon_sym_protected] = ACTIONS(3133),
    [anon_sym_public] = ACTIONS(3133),
    [anon_sym_readonly] = ACTIONS(3133),
    [anon_sym_required] = ACTIONS(3133),
    [anon_sym_sealed] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_where] = ACTIONS(3133),
    [anon_sym_notnull] = ACTIONS(3133),
    [anon_sym_unmanaged] = ACTIONS(3133),
    [anon_sym_checked] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_true] = ACTIONS(3133),
    [anon_sym_false] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_CARET] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_this] = ACTIONS(3133),
    [anon_sym_scoped] = ACTIONS(3133),
    [anon_sym_base] = ACTIONS(3133),
    [anon_sym_var] = ACTIONS(3133),
    [sym_predefined_type] = ACTIONS(3133),
    [anon_sym_break] = ACTIONS(3133),
    [anon_sym_unchecked] = ACTIONS(3133),
    [anon_sym_continue] = ACTIONS(3133),
    [anon_sym_do] = ACTIONS(3133),
    [anon_sym_while] = ACTIONS(3133),
    [anon_sym_for] = ACTIONS(3133),
    [anon_sym_lock] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3133),
    [anon_sym_switch] = ACTIONS(3133),
    [anon_sym_default] = ACTIONS(3133),
    [anon_sym_throw] = ACTIONS(3133),
    [anon_sym_try] = ACTIONS(3133),
    [anon_sym_when] = ACTIONS(3133),
    [anon_sym_await] = ACTIONS(3133),
    [anon_sym_foreach] = ACTIONS(3133),
    [anon_sym_goto] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3133),
    [anon_sym_else] = ACTIONS(3133),
    [anon_sym_DOT_DOT] = ACTIONS(3135),
    [anon_sym_from] = ACTIONS(3133),
    [anon_sym_into] = ACTIONS(3133),
    [anon_sym_join] = ACTIONS(3133),
    [anon_sym_on] = ACTIONS(3133),
    [anon_sym_equals] = ACTIONS(3133),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_orderby] = ACTIONS(3133),
    [anon_sym_ascending] = ACTIONS(3133),
    [anon_sym_descending] = ACTIONS(3133),
    [anon_sym_group] = ACTIONS(3133),
    [anon_sym_by] = ACTIONS(3133),
    [anon_sym_select] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_stackalloc] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3133),
    [anon_sym_typeof] = ACTIONS(3133),
    [anon_sym___makeref] = ACTIONS(3133),
    [anon_sym___reftype] = ACTIONS(3133),
    [anon_sym___refvalue] = ACTIONS(3133),
    [sym_null_literal] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [sym_integer_literal] = ACTIONS(3133),
    [sym_real_literal] = ACTIONS(3135),
    [sym_verbatim_string_literal] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_if_token3] = ACTIONS(3135),
    [aux_sym_preproc_else_token1] = ACTIONS(3135),
    [aux_sym_preproc_elif_token1] = ACTIONS(3135),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3135),
    [sym_interpolation_verbatim_start] = ACTIONS(3135),
    [sym_interpolation_raw_start] = ACTIONS(3135),
    [sym_raw_string_start] = ACTIONS(3135),
  },
  [2235] = {
    [sym_preproc_region] = STATE(2235),
    [sym_preproc_endregion] = STATE(2235),
    [sym_preproc_line] = STATE(2235),
    [sym_preproc_pragma] = STATE(2235),
    [sym_preproc_nullable] = STATE(2235),
    [sym_preproc_error] = STATE(2235),
    [sym_preproc_define] = STATE(2235),
    [sym_preproc_undef] = STATE(2235),
    [sym__identifier_token] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym_alias] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym_global] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_unsafe] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_LPAREN] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3137),
    [anon_sym_namespace] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_ref] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_interface] = ACTIONS(3137),
    [anon_sym_delegate] = ACTIONS(3137),
    [anon_sym_record] = ACTIONS(3137),
    [anon_sym_abstract] = ACTIONS(3137),
    [anon_sym_async] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_file] = ACTIONS(3137),
    [anon_sym_fixed] = ACTIONS(3137),
    [anon_sym_internal] = ACTIONS(3137),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_override] = ACTIONS(3137),
    [anon_sym_partial] = ACTIONS(3137),
    [anon_sym_private] = ACTIONS(3137),
    [anon_sym_protected] = ACTIONS(3137),
    [anon_sym_public] = ACTIONS(3137),
    [anon_sym_readonly] = ACTIONS(3137),
    [anon_sym_required] = ACTIONS(3137),
    [anon_sym_sealed] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_where] = ACTIONS(3137),
    [anon_sym_notnull] = ACTIONS(3137),
    [anon_sym_unmanaged] = ACTIONS(3137),
    [anon_sym_checked] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_true] = ACTIONS(3137),
    [anon_sym_false] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_CARET] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_this] = ACTIONS(3137),
    [anon_sym_scoped] = ACTIONS(3137),
    [anon_sym_base] = ACTIONS(3137),
    [anon_sym_var] = ACTIONS(3137),
    [sym_predefined_type] = ACTIONS(3137),
    [anon_sym_break] = ACTIONS(3137),
    [anon_sym_unchecked] = ACTIONS(3137),
    [anon_sym_continue] = ACTIONS(3137),
    [anon_sym_do] = ACTIONS(3137),
    [anon_sym_while] = ACTIONS(3137),
    [anon_sym_for] = ACTIONS(3137),
    [anon_sym_lock] = ACTIONS(3137),
    [anon_sym_yield] = ACTIONS(3137),
    [anon_sym_switch] = ACTIONS(3137),
    [anon_sym_default] = ACTIONS(3137),
    [anon_sym_throw] = ACTIONS(3137),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_when] = ACTIONS(3137),
    [anon_sym_await] = ACTIONS(3137),
    [anon_sym_foreach] = ACTIONS(3137),
    [anon_sym_goto] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3137),
    [anon_sym_else] = ACTIONS(3137),
    [anon_sym_DOT_DOT] = ACTIONS(3139),
    [anon_sym_from] = ACTIONS(3137),
    [anon_sym_into] = ACTIONS(3137),
    [anon_sym_join] = ACTIONS(3137),
    [anon_sym_on] = ACTIONS(3137),
    [anon_sym_equals] = ACTIONS(3137),
    [anon_sym_let] = ACTIONS(3137),
    [anon_sym_orderby] = ACTIONS(3137),
    [anon_sym_ascending] = ACTIONS(3137),
    [anon_sym_descending] = ACTIONS(3137),
    [anon_sym_group] = ACTIONS(3137),
    [anon_sym_by] = ACTIONS(3137),
    [anon_sym_select] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [anon_sym_stackalloc] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3137),
    [anon_sym_typeof] = ACTIONS(3137),
    [anon_sym___makeref] = ACTIONS(3137),
    [anon_sym___reftype] = ACTIONS(3137),
    [anon_sym___refvalue] = ACTIONS(3137),
    [sym_null_literal] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [sym_integer_literal] = ACTIONS(3137),
    [sym_real_literal] = ACTIONS(3139),
    [sym_verbatim_string_literal] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_if_token3] = ACTIONS(3139),
    [aux_sym_preproc_else_token1] = ACTIONS(3139),
    [aux_sym_preproc_elif_token1] = ACTIONS(3139),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3139),
    [sym_interpolation_verbatim_start] = ACTIONS(3139),
    [sym_interpolation_raw_start] = ACTIONS(3139),
    [sym_raw_string_start] = ACTIONS(3139),
  },
  [2236] = {
    [sym_preproc_region] = STATE(2236),
    [sym_preproc_endregion] = STATE(2236),
    [sym_preproc_line] = STATE(2236),
    [sym_preproc_pragma] = STATE(2236),
    [sym_preproc_nullable] = STATE(2236),
    [sym_preproc_error] = STATE(2236),
    [sym_preproc_define] = STATE(2236),
    [sym_preproc_undef] = STATE(2236),
    [sym__identifier_token] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym_alias] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_global] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_unsafe] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3141),
    [anon_sym_namespace] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_ref] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_interface] = ACTIONS(3141),
    [anon_sym_delegate] = ACTIONS(3141),
    [anon_sym_record] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3141),
    [anon_sym_async] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_file] = ACTIONS(3141),
    [anon_sym_fixed] = ACTIONS(3141),
    [anon_sym_internal] = ACTIONS(3141),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_override] = ACTIONS(3141),
    [anon_sym_partial] = ACTIONS(3141),
    [anon_sym_private] = ACTIONS(3141),
    [anon_sym_protected] = ACTIONS(3141),
    [anon_sym_public] = ACTIONS(3141),
    [anon_sym_readonly] = ACTIONS(3141),
    [anon_sym_required] = ACTIONS(3141),
    [anon_sym_sealed] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_where] = ACTIONS(3141),
    [anon_sym_notnull] = ACTIONS(3141),
    [anon_sym_unmanaged] = ACTIONS(3141),
    [anon_sym_checked] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_true] = ACTIONS(3141),
    [anon_sym_false] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_CARET] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_this] = ACTIONS(3141),
    [anon_sym_scoped] = ACTIONS(3141),
    [anon_sym_base] = ACTIONS(3141),
    [anon_sym_var] = ACTIONS(3141),
    [sym_predefined_type] = ACTIONS(3141),
    [anon_sym_break] = ACTIONS(3141),
    [anon_sym_unchecked] = ACTIONS(3141),
    [anon_sym_continue] = ACTIONS(3141),
    [anon_sym_do] = ACTIONS(3141),
    [anon_sym_while] = ACTIONS(3141),
    [anon_sym_for] = ACTIONS(3141),
    [anon_sym_lock] = ACTIONS(3141),
    [anon_sym_yield] = ACTIONS(3141),
    [anon_sym_switch] = ACTIONS(3141),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_throw] = ACTIONS(3141),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_when] = ACTIONS(3141),
    [anon_sym_await] = ACTIONS(3141),
    [anon_sym_foreach] = ACTIONS(3141),
    [anon_sym_goto] = ACTIONS(3141),
    [anon_sym_if] = ACTIONS(3141),
    [anon_sym_else] = ACTIONS(3141),
    [anon_sym_DOT_DOT] = ACTIONS(3143),
    [anon_sym_from] = ACTIONS(3141),
    [anon_sym_into] = ACTIONS(3141),
    [anon_sym_join] = ACTIONS(3141),
    [anon_sym_on] = ACTIONS(3141),
    [anon_sym_equals] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3141),
    [anon_sym_orderby] = ACTIONS(3141),
    [anon_sym_ascending] = ACTIONS(3141),
    [anon_sym_descending] = ACTIONS(3141),
    [anon_sym_group] = ACTIONS(3141),
    [anon_sym_by] = ACTIONS(3141),
    [anon_sym_select] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_stackalloc] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3141),
    [anon_sym_typeof] = ACTIONS(3141),
    [anon_sym___makeref] = ACTIONS(3141),
    [anon_sym___reftype] = ACTIONS(3141),
    [anon_sym___refvalue] = ACTIONS(3141),
    [sym_null_literal] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [sym_integer_literal] = ACTIONS(3141),
    [sym_real_literal] = ACTIONS(3143),
    [sym_verbatim_string_literal] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_if_token3] = ACTIONS(3143),
    [aux_sym_preproc_else_token1] = ACTIONS(3143),
    [aux_sym_preproc_elif_token1] = ACTIONS(3143),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3143),
    [sym_interpolation_verbatim_start] = ACTIONS(3143),
    [sym_interpolation_raw_start] = ACTIONS(3143),
    [sym_raw_string_start] = ACTIONS(3143),
  },
  [2237] = {
    [sym_preproc_region] = STATE(2237),
    [sym_preproc_endregion] = STATE(2237),
    [sym_preproc_line] = STATE(2237),
    [sym_preproc_pragma] = STATE(2237),
    [sym_preproc_nullable] = STATE(2237),
    [sym_preproc_error] = STATE(2237),
    [sym_preproc_define] = STATE(2237),
    [sym_preproc_undef] = STATE(2237),
    [sym__identifier_token] = ACTIONS(3145),
    [anon_sym_extern] = ACTIONS(3145),
    [anon_sym_alias] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3147),
    [anon_sym_global] = ACTIONS(3145),
    [anon_sym_using] = ACTIONS(3145),
    [anon_sym_unsafe] = ACTIONS(3145),
    [anon_sym_static] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3145),
    [anon_sym_namespace] = ACTIONS(3145),
    [anon_sym_class] = ACTIONS(3145),
    [anon_sym_ref] = ACTIONS(3145),
    [anon_sym_struct] = ACTIONS(3145),
    [anon_sym_enum] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3147),
    [anon_sym_interface] = ACTIONS(3145),
    [anon_sym_delegate] = ACTIONS(3145),
    [anon_sym_record] = ACTIONS(3145),
    [anon_sym_abstract] = ACTIONS(3145),
    [anon_sym_async] = ACTIONS(3145),
    [anon_sym_const] = ACTIONS(3145),
    [anon_sym_file] = ACTIONS(3145),
    [anon_sym_fixed] = ACTIONS(3145),
    [anon_sym_internal] = ACTIONS(3145),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_override] = ACTIONS(3145),
    [anon_sym_partial] = ACTIONS(3145),
    [anon_sym_private] = ACTIONS(3145),
    [anon_sym_protected] = ACTIONS(3145),
    [anon_sym_public] = ACTIONS(3145),
    [anon_sym_readonly] = ACTIONS(3145),
    [anon_sym_required] = ACTIONS(3145),
    [anon_sym_sealed] = ACTIONS(3145),
    [anon_sym_virtual] = ACTIONS(3145),
    [anon_sym_volatile] = ACTIONS(3145),
    [anon_sym_where] = ACTIONS(3145),
    [anon_sym_notnull] = ACTIONS(3145),
    [anon_sym_unmanaged] = ACTIONS(3145),
    [anon_sym_checked] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3147),
    [anon_sym_TILDE] = ACTIONS(3147),
    [anon_sym_PLUS_PLUS] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3145),
    [anon_sym_false] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_CARET] = ACTIONS(3147),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_this] = ACTIONS(3145),
    [anon_sym_scoped] = ACTIONS(3145),
    [anon_sym_base] = ACTIONS(3145),
    [anon_sym_var] = ACTIONS(3145),
    [sym_predefined_type] = ACTIONS(3145),
    [anon_sym_break] = ACTIONS(3145),
    [anon_sym_unchecked] = ACTIONS(3145),
    [anon_sym_continue] = ACTIONS(3145),
    [anon_sym_do] = ACTIONS(3145),
    [anon_sym_while] = ACTIONS(3145),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_lock] = ACTIONS(3145),
    [anon_sym_yield] = ACTIONS(3145),
    [anon_sym_switch] = ACTIONS(3145),
    [anon_sym_default] = ACTIONS(3145),
    [anon_sym_throw] = ACTIONS(3145),
    [anon_sym_try] = ACTIONS(3145),
    [anon_sym_when] = ACTIONS(3145),
    [anon_sym_await] = ACTIONS(3145),
    [anon_sym_foreach] = ACTIONS(3145),
    [anon_sym_goto] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3145),
    [anon_sym_else] = ACTIONS(3145),
    [anon_sym_DOT_DOT] = ACTIONS(3147),
    [anon_sym_from] = ACTIONS(3145),
    [anon_sym_into] = ACTIONS(3145),
    [anon_sym_join] = ACTIONS(3145),
    [anon_sym_on] = ACTIONS(3145),
    [anon_sym_equals] = ACTIONS(3145),
    [anon_sym_let] = ACTIONS(3145),
    [anon_sym_orderby] = ACTIONS(3145),
    [anon_sym_ascending] = ACTIONS(3145),
    [anon_sym_descending] = ACTIONS(3145),
    [anon_sym_group] = ACTIONS(3145),
    [anon_sym_by] = ACTIONS(3145),
    [anon_sym_select] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [anon_sym_stackalloc] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3145),
    [anon_sym_typeof] = ACTIONS(3145),
    [anon_sym___makeref] = ACTIONS(3145),
    [anon_sym___reftype] = ACTIONS(3145),
    [anon_sym___refvalue] = ACTIONS(3145),
    [sym_null_literal] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3147),
    [sym_integer_literal] = ACTIONS(3145),
    [sym_real_literal] = ACTIONS(3147),
    [sym_verbatim_string_literal] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_if_token3] = ACTIONS(3147),
    [aux_sym_preproc_else_token1] = ACTIONS(3147),
    [aux_sym_preproc_elif_token1] = ACTIONS(3147),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3147),
    [sym_interpolation_verbatim_start] = ACTIONS(3147),
    [sym_interpolation_raw_start] = ACTIONS(3147),
    [sym_raw_string_start] = ACTIONS(3147),
  },
  [2238] = {
    [sym_preproc_region] = STATE(2238),
    [sym_preproc_endregion] = STATE(2238),
    [sym_preproc_line] = STATE(2238),
    [sym_preproc_pragma] = STATE(2238),
    [sym_preproc_nullable] = STATE(2238),
    [sym_preproc_error] = STATE(2238),
    [sym_preproc_define] = STATE(2238),
    [sym_preproc_undef] = STATE(2238),
    [sym__identifier_token] = ACTIONS(3149),
    [anon_sym_extern] = ACTIONS(3149),
    [anon_sym_alias] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3151),
    [anon_sym_global] = ACTIONS(3149),
    [anon_sym_using] = ACTIONS(3149),
    [anon_sym_unsafe] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3149),
    [anon_sym_namespace] = ACTIONS(3149),
    [anon_sym_class] = ACTIONS(3149),
    [anon_sym_ref] = ACTIONS(3149),
    [anon_sym_struct] = ACTIONS(3149),
    [anon_sym_enum] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_interface] = ACTIONS(3149),
    [anon_sym_delegate] = ACTIONS(3149),
    [anon_sym_record] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_const] = ACTIONS(3149),
    [anon_sym_file] = ACTIONS(3149),
    [anon_sym_fixed] = ACTIONS(3149),
    [anon_sym_internal] = ACTIONS(3149),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_override] = ACTIONS(3149),
    [anon_sym_partial] = ACTIONS(3149),
    [anon_sym_private] = ACTIONS(3149),
    [anon_sym_protected] = ACTIONS(3149),
    [anon_sym_public] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_required] = ACTIONS(3149),
    [anon_sym_sealed] = ACTIONS(3149),
    [anon_sym_virtual] = ACTIONS(3149),
    [anon_sym_volatile] = ACTIONS(3149),
    [anon_sym_where] = ACTIONS(3149),
    [anon_sym_notnull] = ACTIONS(3149),
    [anon_sym_unmanaged] = ACTIONS(3149),
    [anon_sym_checked] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3151),
    [anon_sym_TILDE] = ACTIONS(3151),
    [anon_sym_PLUS_PLUS] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3151),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3151),
    [anon_sym_CARET] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_this] = ACTIONS(3149),
    [anon_sym_scoped] = ACTIONS(3149),
    [anon_sym_base] = ACTIONS(3149),
    [anon_sym_var] = ACTIONS(3149),
    [sym_predefined_type] = ACTIONS(3149),
    [anon_sym_break] = ACTIONS(3149),
    [anon_sym_unchecked] = ACTIONS(3149),
    [anon_sym_continue] = ACTIONS(3149),
    [anon_sym_do] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(3149),
    [anon_sym_for] = ACTIONS(3149),
    [anon_sym_lock] = ACTIONS(3149),
    [anon_sym_yield] = ACTIONS(3149),
    [anon_sym_switch] = ACTIONS(3149),
    [anon_sym_default] = ACTIONS(3149),
    [anon_sym_throw] = ACTIONS(3149),
    [anon_sym_try] = ACTIONS(3149),
    [anon_sym_when] = ACTIONS(3149),
    [anon_sym_await] = ACTIONS(3149),
    [anon_sym_foreach] = ACTIONS(3149),
    [anon_sym_goto] = ACTIONS(3149),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_else] = ACTIONS(3149),
    [anon_sym_DOT_DOT] = ACTIONS(3151),
    [anon_sym_from] = ACTIONS(3149),
    [anon_sym_into] = ACTIONS(3149),
    [anon_sym_join] = ACTIONS(3149),
    [anon_sym_on] = ACTIONS(3149),
    [anon_sym_equals] = ACTIONS(3149),
    [anon_sym_let] = ACTIONS(3149),
    [anon_sym_orderby] = ACTIONS(3149),
    [anon_sym_ascending] = ACTIONS(3149),
    [anon_sym_descending] = ACTIONS(3149),
    [anon_sym_group] = ACTIONS(3149),
    [anon_sym_by] = ACTIONS(3149),
    [anon_sym_select] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3151),
    [anon_sym_stackalloc] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3149),
    [anon_sym_typeof] = ACTIONS(3149),
    [anon_sym___makeref] = ACTIONS(3149),
    [anon_sym___reftype] = ACTIONS(3149),
    [anon_sym___refvalue] = ACTIONS(3149),
    [sym_null_literal] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3151),
    [sym_integer_literal] = ACTIONS(3149),
    [sym_real_literal] = ACTIONS(3151),
    [sym_verbatim_string_literal] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_if_token3] = ACTIONS(3151),
    [aux_sym_preproc_else_token1] = ACTIONS(3151),
    [aux_sym_preproc_elif_token1] = ACTIONS(3151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3151),
    [sym_interpolation_verbatim_start] = ACTIONS(3151),
    [sym_interpolation_raw_start] = ACTIONS(3151),
    [sym_raw_string_start] = ACTIONS(3151),
  },
  [2239] = {
    [sym_preproc_region] = STATE(2239),
    [sym_preproc_endregion] = STATE(2239),
    [sym_preproc_line] = STATE(2239),
    [sym_preproc_pragma] = STATE(2239),
    [sym_preproc_nullable] = STATE(2239),
    [sym_preproc_error] = STATE(2239),
    [sym_preproc_define] = STATE(2239),
    [sym_preproc_undef] = STATE(2239),
    [sym__identifier_token] = ACTIONS(3153),
    [anon_sym_extern] = ACTIONS(3153),
    [anon_sym_alias] = ACTIONS(3153),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_global] = ACTIONS(3153),
    [anon_sym_using] = ACTIONS(3153),
    [anon_sym_unsafe] = ACTIONS(3153),
    [anon_sym_static] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3153),
    [anon_sym_namespace] = ACTIONS(3153),
    [anon_sym_class] = ACTIONS(3153),
    [anon_sym_ref] = ACTIONS(3153),
    [anon_sym_struct] = ACTIONS(3153),
    [anon_sym_enum] = ACTIONS(3153),
    [anon_sym_LBRACE] = ACTIONS(3155),
    [anon_sym_interface] = ACTIONS(3153),
    [anon_sym_delegate] = ACTIONS(3153),
    [anon_sym_record] = ACTIONS(3153),
    [anon_sym_abstract] = ACTIONS(3153),
    [anon_sym_async] = ACTIONS(3153),
    [anon_sym_const] = ACTIONS(3153),
    [anon_sym_file] = ACTIONS(3153),
    [anon_sym_fixed] = ACTIONS(3153),
    [anon_sym_internal] = ACTIONS(3153),
    [anon_sym_new] = ACTIONS(3153),
    [anon_sym_override] = ACTIONS(3153),
    [anon_sym_partial] = ACTIONS(3153),
    [anon_sym_private] = ACTIONS(3153),
    [anon_sym_protected] = ACTIONS(3153),
    [anon_sym_public] = ACTIONS(3153),
    [anon_sym_readonly] = ACTIONS(3153),
    [anon_sym_required] = ACTIONS(3153),
    [anon_sym_sealed] = ACTIONS(3153),
    [anon_sym_virtual] = ACTIONS(3153),
    [anon_sym_volatile] = ACTIONS(3153),
    [anon_sym_where] = ACTIONS(3153),
    [anon_sym_notnull] = ACTIONS(3153),
    [anon_sym_unmanaged] = ACTIONS(3153),
    [anon_sym_checked] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3155),
    [anon_sym_TILDE] = ACTIONS(3155),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [anon_sym_true] = ACTIONS(3153),
    [anon_sym_false] = ACTIONS(3153),
    [anon_sym_PLUS] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3155),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_this] = ACTIONS(3153),
    [anon_sym_scoped] = ACTIONS(3153),
    [anon_sym_base] = ACTIONS(3153),
    [anon_sym_var] = ACTIONS(3153),
    [sym_predefined_type] = ACTIONS(3153),
    [anon_sym_break] = ACTIONS(3153),
    [anon_sym_unchecked] = ACTIONS(3153),
    [anon_sym_continue] = ACTIONS(3153),
    [anon_sym_do] = ACTIONS(3153),
    [anon_sym_while] = ACTIONS(3153),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_lock] = ACTIONS(3153),
    [anon_sym_yield] = ACTIONS(3153),
    [anon_sym_switch] = ACTIONS(3153),
    [anon_sym_default] = ACTIONS(3153),
    [anon_sym_throw] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3153),
    [anon_sym_when] = ACTIONS(3153),
    [anon_sym_await] = ACTIONS(3153),
    [anon_sym_foreach] = ACTIONS(3153),
    [anon_sym_goto] = ACTIONS(3153),
    [anon_sym_if] = ACTIONS(3153),
    [anon_sym_else] = ACTIONS(3153),
    [anon_sym_DOT_DOT] = ACTIONS(3155),
    [anon_sym_from] = ACTIONS(3153),
    [anon_sym_into] = ACTIONS(3153),
    [anon_sym_join] = ACTIONS(3153),
    [anon_sym_on] = ACTIONS(3153),
    [anon_sym_equals] = ACTIONS(3153),
    [anon_sym_let] = ACTIONS(3153),
    [anon_sym_orderby] = ACTIONS(3153),
    [anon_sym_ascending] = ACTIONS(3153),
    [anon_sym_descending] = ACTIONS(3153),
    [anon_sym_group] = ACTIONS(3153),
    [anon_sym_by] = ACTIONS(3153),
    [anon_sym_select] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_stackalloc] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3153),
    [anon_sym_typeof] = ACTIONS(3153),
    [anon_sym___makeref] = ACTIONS(3153),
    [anon_sym___reftype] = ACTIONS(3153),
    [anon_sym___refvalue] = ACTIONS(3153),
    [sym_null_literal] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [sym_integer_literal] = ACTIONS(3153),
    [sym_real_literal] = ACTIONS(3155),
    [sym_verbatim_string_literal] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_if_token3] = ACTIONS(3155),
    [aux_sym_preproc_else_token1] = ACTIONS(3155),
    [aux_sym_preproc_elif_token1] = ACTIONS(3155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3155),
    [sym_interpolation_verbatim_start] = ACTIONS(3155),
    [sym_interpolation_raw_start] = ACTIONS(3155),
    [sym_raw_string_start] = ACTIONS(3155),
  },
  [2240] = {
    [sym_preproc_region] = STATE(2240),
    [sym_preproc_endregion] = STATE(2240),
    [sym_preproc_line] = STATE(2240),
    [sym_preproc_pragma] = STATE(2240),
    [sym_preproc_nullable] = STATE(2240),
    [sym_preproc_error] = STATE(2240),
    [sym_preproc_define] = STATE(2240),
    [sym_preproc_undef] = STATE(2240),
    [sym__identifier_token] = ACTIONS(3157),
    [anon_sym_extern] = ACTIONS(3157),
    [anon_sym_alias] = ACTIONS(3157),
    [anon_sym_SEMI] = ACTIONS(3159),
    [anon_sym_global] = ACTIONS(3157),
    [anon_sym_using] = ACTIONS(3157),
    [anon_sym_unsafe] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_LPAREN] = ACTIONS(3159),
    [anon_sym_return] = ACTIONS(3157),
    [anon_sym_namespace] = ACTIONS(3157),
    [anon_sym_class] = ACTIONS(3157),
    [anon_sym_ref] = ACTIONS(3157),
    [anon_sym_struct] = ACTIONS(3157),
    [anon_sym_enum] = ACTIONS(3157),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_interface] = ACTIONS(3157),
    [anon_sym_delegate] = ACTIONS(3157),
    [anon_sym_record] = ACTIONS(3157),
    [anon_sym_abstract] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3157),
    [anon_sym_const] = ACTIONS(3157),
    [anon_sym_file] = ACTIONS(3157),
    [anon_sym_fixed] = ACTIONS(3157),
    [anon_sym_internal] = ACTIONS(3157),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_override] = ACTIONS(3157),
    [anon_sym_partial] = ACTIONS(3157),
    [anon_sym_private] = ACTIONS(3157),
    [anon_sym_protected] = ACTIONS(3157),
    [anon_sym_public] = ACTIONS(3157),
    [anon_sym_readonly] = ACTIONS(3157),
    [anon_sym_required] = ACTIONS(3157),
    [anon_sym_sealed] = ACTIONS(3157),
    [anon_sym_virtual] = ACTIONS(3157),
    [anon_sym_volatile] = ACTIONS(3157),
    [anon_sym_where] = ACTIONS(3157),
    [anon_sym_notnull] = ACTIONS(3157),
    [anon_sym_unmanaged] = ACTIONS(3157),
    [anon_sym_checked] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3159),
    [anon_sym_TILDE] = ACTIONS(3159),
    [anon_sym_PLUS_PLUS] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3159),
    [anon_sym_true] = ACTIONS(3157),
    [anon_sym_false] = ACTIONS(3157),
    [anon_sym_PLUS] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3157),
    [anon_sym_STAR] = ACTIONS(3159),
    [anon_sym_CARET] = ACTIONS(3159),
    [anon_sym_AMP] = ACTIONS(3159),
    [anon_sym_this] = ACTIONS(3157),
    [anon_sym_scoped] = ACTIONS(3157),
    [anon_sym_base] = ACTIONS(3157),
    [anon_sym_var] = ACTIONS(3157),
    [sym_predefined_type] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(3157),
    [anon_sym_unchecked] = ACTIONS(3157),
    [anon_sym_continue] = ACTIONS(3157),
    [anon_sym_do] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(3157),
    [anon_sym_for] = ACTIONS(3157),
    [anon_sym_lock] = ACTIONS(3157),
    [anon_sym_yield] = ACTIONS(3157),
    [anon_sym_switch] = ACTIONS(3157),
    [anon_sym_default] = ACTIONS(3157),
    [anon_sym_throw] = ACTIONS(3157),
    [anon_sym_try] = ACTIONS(3157),
    [anon_sym_when] = ACTIONS(3157),
    [anon_sym_await] = ACTIONS(3157),
    [anon_sym_foreach] = ACTIONS(3157),
    [anon_sym_goto] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_else] = ACTIONS(3157),
    [anon_sym_DOT_DOT] = ACTIONS(3159),
    [anon_sym_from] = ACTIONS(3157),
    [anon_sym_into] = ACTIONS(3157),
    [anon_sym_join] = ACTIONS(3157),
    [anon_sym_on] = ACTIONS(3157),
    [anon_sym_equals] = ACTIONS(3157),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_orderby] = ACTIONS(3157),
    [anon_sym_ascending] = ACTIONS(3157),
    [anon_sym_descending] = ACTIONS(3157),
    [anon_sym_group] = ACTIONS(3157),
    [anon_sym_by] = ACTIONS(3157),
    [anon_sym_select] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [anon_sym_stackalloc] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3157),
    [anon_sym_typeof] = ACTIONS(3157),
    [anon_sym___makeref] = ACTIONS(3157),
    [anon_sym___reftype] = ACTIONS(3157),
    [anon_sym___refvalue] = ACTIONS(3157),
    [sym_null_literal] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3159),
    [sym_integer_literal] = ACTIONS(3157),
    [sym_real_literal] = ACTIONS(3159),
    [sym_verbatim_string_literal] = ACTIONS(3159),
    [aux_sym_preproc_if_token1] = ACTIONS(3159),
    [aux_sym_preproc_if_token3] = ACTIONS(3159),
    [aux_sym_preproc_else_token1] = ACTIONS(3159),
    [aux_sym_preproc_elif_token1] = ACTIONS(3159),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3159),
    [sym_interpolation_verbatim_start] = ACTIONS(3159),
    [sym_interpolation_raw_start] = ACTIONS(3159),
    [sym_raw_string_start] = ACTIONS(3159),
  },
  [2241] = {
    [sym_preproc_region] = STATE(2241),
    [sym_preproc_endregion] = STATE(2241),
    [sym_preproc_line] = STATE(2241),
    [sym_preproc_pragma] = STATE(2241),
    [sym_preproc_nullable] = STATE(2241),
    [sym_preproc_error] = STATE(2241),
    [sym_preproc_define] = STATE(2241),
    [sym_preproc_undef] = STATE(2241),
    [sym__identifier_token] = ACTIONS(3161),
    [anon_sym_extern] = ACTIONS(3161),
    [anon_sym_alias] = ACTIONS(3161),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_global] = ACTIONS(3161),
    [anon_sym_using] = ACTIONS(3161),
    [anon_sym_unsafe] = ACTIONS(3161),
    [anon_sym_static] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3161),
    [anon_sym_namespace] = ACTIONS(3161),
    [anon_sym_class] = ACTIONS(3161),
    [anon_sym_ref] = ACTIONS(3161),
    [anon_sym_struct] = ACTIONS(3161),
    [anon_sym_enum] = ACTIONS(3161),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_interface] = ACTIONS(3161),
    [anon_sym_delegate] = ACTIONS(3161),
    [anon_sym_record] = ACTIONS(3161),
    [anon_sym_abstract] = ACTIONS(3161),
    [anon_sym_async] = ACTIONS(3161),
    [anon_sym_const] = ACTIONS(3161),
    [anon_sym_file] = ACTIONS(3161),
    [anon_sym_fixed] = ACTIONS(3161),
    [anon_sym_internal] = ACTIONS(3161),
    [anon_sym_new] = ACTIONS(3161),
    [anon_sym_override] = ACTIONS(3161),
    [anon_sym_partial] = ACTIONS(3161),
    [anon_sym_private] = ACTIONS(3161),
    [anon_sym_protected] = ACTIONS(3161),
    [anon_sym_public] = ACTIONS(3161),
    [anon_sym_readonly] = ACTIONS(3161),
    [anon_sym_required] = ACTIONS(3161),
    [anon_sym_sealed] = ACTIONS(3161),
    [anon_sym_virtual] = ACTIONS(3161),
    [anon_sym_volatile] = ACTIONS(3161),
    [anon_sym_where] = ACTIONS(3161),
    [anon_sym_notnull] = ACTIONS(3161),
    [anon_sym_unmanaged] = ACTIONS(3161),
    [anon_sym_checked] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [anon_sym_true] = ACTIONS(3161),
    [anon_sym_false] = ACTIONS(3161),
    [anon_sym_PLUS] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3161),
    [anon_sym_STAR] = ACTIONS(3163),
    [anon_sym_CARET] = ACTIONS(3163),
    [anon_sym_AMP] = ACTIONS(3163),
    [anon_sym_this] = ACTIONS(3161),
    [anon_sym_scoped] = ACTIONS(3161),
    [anon_sym_base] = ACTIONS(3161),
    [anon_sym_var] = ACTIONS(3161),
    [sym_predefined_type] = ACTIONS(3161),
    [anon_sym_break] = ACTIONS(3161),
    [anon_sym_unchecked] = ACTIONS(3161),
    [anon_sym_continue] = ACTIONS(3161),
    [anon_sym_do] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(3161),
    [anon_sym_for] = ACTIONS(3161),
    [anon_sym_lock] = ACTIONS(3161),
    [anon_sym_yield] = ACTIONS(3161),
    [anon_sym_switch] = ACTIONS(3161),
    [anon_sym_default] = ACTIONS(3161),
    [anon_sym_throw] = ACTIONS(3161),
    [anon_sym_try] = ACTIONS(3161),
    [anon_sym_when] = ACTIONS(3161),
    [anon_sym_await] = ACTIONS(3161),
    [anon_sym_foreach] = ACTIONS(3161),
    [anon_sym_goto] = ACTIONS(3161),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_else] = ACTIONS(3161),
    [anon_sym_DOT_DOT] = ACTIONS(3163),
    [anon_sym_from] = ACTIONS(3161),
    [anon_sym_into] = ACTIONS(3161),
    [anon_sym_join] = ACTIONS(3161),
    [anon_sym_on] = ACTIONS(3161),
    [anon_sym_equals] = ACTIONS(3161),
    [anon_sym_let] = ACTIONS(3161),
    [anon_sym_orderby] = ACTIONS(3161),
    [anon_sym_ascending] = ACTIONS(3161),
    [anon_sym_descending] = ACTIONS(3161),
    [anon_sym_group] = ACTIONS(3161),
    [anon_sym_by] = ACTIONS(3161),
    [anon_sym_select] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_stackalloc] = ACTIONS(3161),
    [anon_sym_sizeof] = ACTIONS(3161),
    [anon_sym_typeof] = ACTIONS(3161),
    [anon_sym___makeref] = ACTIONS(3161),
    [anon_sym___reftype] = ACTIONS(3161),
    [anon_sym___refvalue] = ACTIONS(3161),
    [sym_null_literal] = ACTIONS(3161),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [sym_integer_literal] = ACTIONS(3161),
    [sym_real_literal] = ACTIONS(3163),
    [sym_verbatim_string_literal] = ACTIONS(3163),
    [aux_sym_preproc_if_token1] = ACTIONS(3163),
    [aux_sym_preproc_if_token3] = ACTIONS(3163),
    [aux_sym_preproc_else_token1] = ACTIONS(3163),
    [aux_sym_preproc_elif_token1] = ACTIONS(3163),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3163),
    [sym_interpolation_verbatim_start] = ACTIONS(3163),
    [sym_interpolation_raw_start] = ACTIONS(3163),
    [sym_raw_string_start] = ACTIONS(3163),
  },
  [2242] = {
    [sym_preproc_region] = STATE(2242),
    [sym_preproc_endregion] = STATE(2242),
    [sym_preproc_line] = STATE(2242),
    [sym_preproc_pragma] = STATE(2242),
    [sym_preproc_nullable] = STATE(2242),
    [sym_preproc_error] = STATE(2242),
    [sym_preproc_define] = STATE(2242),
    [sym_preproc_undef] = STATE(2242),
    [sym__identifier_token] = ACTIONS(3165),
    [anon_sym_extern] = ACTIONS(3165),
    [anon_sym_alias] = ACTIONS(3165),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_global] = ACTIONS(3165),
    [anon_sym_using] = ACTIONS(3165),
    [anon_sym_unsafe] = ACTIONS(3165),
    [anon_sym_static] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3165),
    [anon_sym_namespace] = ACTIONS(3165),
    [anon_sym_class] = ACTIONS(3165),
    [anon_sym_ref] = ACTIONS(3165),
    [anon_sym_struct] = ACTIONS(3165),
    [anon_sym_enum] = ACTIONS(3165),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_interface] = ACTIONS(3165),
    [anon_sym_delegate] = ACTIONS(3165),
    [anon_sym_record] = ACTIONS(3165),
    [anon_sym_abstract] = ACTIONS(3165),
    [anon_sym_async] = ACTIONS(3165),
    [anon_sym_const] = ACTIONS(3165),
    [anon_sym_file] = ACTIONS(3165),
    [anon_sym_fixed] = ACTIONS(3165),
    [anon_sym_internal] = ACTIONS(3165),
    [anon_sym_new] = ACTIONS(3165),
    [anon_sym_override] = ACTIONS(3165),
    [anon_sym_partial] = ACTIONS(3165),
    [anon_sym_private] = ACTIONS(3165),
    [anon_sym_protected] = ACTIONS(3165),
    [anon_sym_public] = ACTIONS(3165),
    [anon_sym_readonly] = ACTIONS(3165),
    [anon_sym_required] = ACTIONS(3165),
    [anon_sym_sealed] = ACTIONS(3165),
    [anon_sym_virtual] = ACTIONS(3165),
    [anon_sym_volatile] = ACTIONS(3165),
    [anon_sym_where] = ACTIONS(3165),
    [anon_sym_notnull] = ACTIONS(3165),
    [anon_sym_unmanaged] = ACTIONS(3165),
    [anon_sym_checked] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [anon_sym_true] = ACTIONS(3165),
    [anon_sym_false] = ACTIONS(3165),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3165),
    [anon_sym_STAR] = ACTIONS(3167),
    [anon_sym_CARET] = ACTIONS(3167),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_this] = ACTIONS(3165),
    [anon_sym_scoped] = ACTIONS(3165),
    [anon_sym_base] = ACTIONS(3165),
    [anon_sym_var] = ACTIONS(3165),
    [sym_predefined_type] = ACTIONS(3165),
    [anon_sym_break] = ACTIONS(3165),
    [anon_sym_unchecked] = ACTIONS(3165),
    [anon_sym_continue] = ACTIONS(3165),
    [anon_sym_do] = ACTIONS(3165),
    [anon_sym_while] = ACTIONS(3165),
    [anon_sym_for] = ACTIONS(3165),
    [anon_sym_lock] = ACTIONS(3165),
    [anon_sym_yield] = ACTIONS(3165),
    [anon_sym_switch] = ACTIONS(3165),
    [anon_sym_default] = ACTIONS(3165),
    [anon_sym_throw] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_when] = ACTIONS(3165),
    [anon_sym_await] = ACTIONS(3165),
    [anon_sym_foreach] = ACTIONS(3165),
    [anon_sym_goto] = ACTIONS(3165),
    [anon_sym_if] = ACTIONS(3165),
    [anon_sym_else] = ACTIONS(3165),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_from] = ACTIONS(3165),
    [anon_sym_into] = ACTIONS(3165),
    [anon_sym_join] = ACTIONS(3165),
    [anon_sym_on] = ACTIONS(3165),
    [anon_sym_equals] = ACTIONS(3165),
    [anon_sym_let] = ACTIONS(3165),
    [anon_sym_orderby] = ACTIONS(3165),
    [anon_sym_ascending] = ACTIONS(3165),
    [anon_sym_descending] = ACTIONS(3165),
    [anon_sym_group] = ACTIONS(3165),
    [anon_sym_by] = ACTIONS(3165),
    [anon_sym_select] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_stackalloc] = ACTIONS(3165),
    [anon_sym_sizeof] = ACTIONS(3165),
    [anon_sym_typeof] = ACTIONS(3165),
    [anon_sym___makeref] = ACTIONS(3165),
    [anon_sym___reftype] = ACTIONS(3165),
    [anon_sym___refvalue] = ACTIONS(3165),
    [sym_null_literal] = ACTIONS(3165),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [sym_integer_literal] = ACTIONS(3165),
    [sym_real_literal] = ACTIONS(3167),
    [sym_verbatim_string_literal] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_if_token3] = ACTIONS(3167),
    [aux_sym_preproc_else_token1] = ACTIONS(3167),
    [aux_sym_preproc_elif_token1] = ACTIONS(3167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3167),
    [sym_interpolation_verbatim_start] = ACTIONS(3167),
    [sym_interpolation_raw_start] = ACTIONS(3167),
    [sym_raw_string_start] = ACTIONS(3167),
  },
  [2243] = {
    [sym_preproc_region] = STATE(2243),
    [sym_preproc_endregion] = STATE(2243),
    [sym_preproc_line] = STATE(2243),
    [sym_preproc_pragma] = STATE(2243),
    [sym_preproc_nullable] = STATE(2243),
    [sym_preproc_error] = STATE(2243),
    [sym_preproc_define] = STATE(2243),
    [sym_preproc_undef] = STATE(2243),
    [sym__identifier_token] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym_alias] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_global] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_unsafe] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_ref] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(3001),
    [anon_sym_delegate] = ACTIONS(3001),
    [anon_sym_record] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(3001),
    [anon_sym_async] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_file] = ACTIONS(3001),
    [anon_sym_fixed] = ACTIONS(3001),
    [anon_sym_internal] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_override] = ACTIONS(3001),
    [anon_sym_partial] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_readonly] = ACTIONS(3001),
    [anon_sym_required] = ACTIONS(3001),
    [anon_sym_sealed] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_where] = ACTIONS(3001),
    [anon_sym_notnull] = ACTIONS(3001),
    [anon_sym_unmanaged] = ACTIONS(3001),
    [anon_sym_checked] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_true] = ACTIONS(3001),
    [anon_sym_false] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_this] = ACTIONS(3001),
    [anon_sym_scoped] = ACTIONS(3001),
    [anon_sym_base] = ACTIONS(3001),
    [anon_sym_var] = ACTIONS(3001),
    [sym_predefined_type] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_unchecked] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_lock] = ACTIONS(3001),
    [anon_sym_yield] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_when] = ACTIONS(3001),
    [anon_sym_await] = ACTIONS(3001),
    [anon_sym_foreach] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_from] = ACTIONS(3001),
    [anon_sym_into] = ACTIONS(3001),
    [anon_sym_join] = ACTIONS(3001),
    [anon_sym_on] = ACTIONS(3001),
    [anon_sym_equals] = ACTIONS(3001),
    [anon_sym_let] = ACTIONS(3001),
    [anon_sym_orderby] = ACTIONS(3001),
    [anon_sym_ascending] = ACTIONS(3001),
    [anon_sym_descending] = ACTIONS(3001),
    [anon_sym_group] = ACTIONS(3001),
    [anon_sym_by] = ACTIONS(3001),
    [anon_sym_select] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [anon_sym_stackalloc] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym_typeof] = ACTIONS(3001),
    [anon_sym___makeref] = ACTIONS(3001),
    [anon_sym___reftype] = ACTIONS(3001),
    [anon_sym___refvalue] = ACTIONS(3001),
    [sym_null_literal] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [sym_integer_literal] = ACTIONS(3001),
    [sym_real_literal] = ACTIONS(3003),
    [sym_verbatim_string_literal] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token3] = ACTIONS(3003),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3003),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3003),
    [sym_interpolation_verbatim_start] = ACTIONS(3003),
    [sym_interpolation_raw_start] = ACTIONS(3003),
    [sym_raw_string_start] = ACTIONS(3003),
  },
  [2244] = {
    [sym_preproc_region] = STATE(2244),
    [sym_preproc_endregion] = STATE(2244),
    [sym_preproc_line] = STATE(2244),
    [sym_preproc_pragma] = STATE(2244),
    [sym_preproc_nullable] = STATE(2244),
    [sym_preproc_error] = STATE(2244),
    [sym_preproc_define] = STATE(2244),
    [sym_preproc_undef] = STATE(2244),
    [sym__identifier_token] = ACTIONS(3169),
    [anon_sym_extern] = ACTIONS(3169),
    [anon_sym_alias] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_global] = ACTIONS(3169),
    [anon_sym_using] = ACTIONS(3169),
    [anon_sym_unsafe] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3169),
    [anon_sym_namespace] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3169),
    [anon_sym_ref] = ACTIONS(3169),
    [anon_sym_struct] = ACTIONS(3169),
    [anon_sym_enum] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_interface] = ACTIONS(3169),
    [anon_sym_delegate] = ACTIONS(3169),
    [anon_sym_record] = ACTIONS(3169),
    [anon_sym_abstract] = ACTIONS(3169),
    [anon_sym_async] = ACTIONS(3169),
    [anon_sym_const] = ACTIONS(3169),
    [anon_sym_file] = ACTIONS(3169),
    [anon_sym_fixed] = ACTIONS(3169),
    [anon_sym_internal] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_override] = ACTIONS(3169),
    [anon_sym_partial] = ACTIONS(3169),
    [anon_sym_private] = ACTIONS(3169),
    [anon_sym_protected] = ACTIONS(3169),
    [anon_sym_public] = ACTIONS(3169),
    [anon_sym_readonly] = ACTIONS(3169),
    [anon_sym_required] = ACTIONS(3169),
    [anon_sym_sealed] = ACTIONS(3169),
    [anon_sym_virtual] = ACTIONS(3169),
    [anon_sym_volatile] = ACTIONS(3169),
    [anon_sym_where] = ACTIONS(3169),
    [anon_sym_notnull] = ACTIONS(3169),
    [anon_sym_unmanaged] = ACTIONS(3169),
    [anon_sym_checked] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_true] = ACTIONS(3169),
    [anon_sym_false] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_this] = ACTIONS(3169),
    [anon_sym_scoped] = ACTIONS(3169),
    [anon_sym_base] = ACTIONS(3169),
    [anon_sym_var] = ACTIONS(3169),
    [sym_predefined_type] = ACTIONS(3169),
    [anon_sym_break] = ACTIONS(3169),
    [anon_sym_unchecked] = ACTIONS(3169),
    [anon_sym_continue] = ACTIONS(3169),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_lock] = ACTIONS(3169),
    [anon_sym_yield] = ACTIONS(3169),
    [anon_sym_switch] = ACTIONS(3169),
    [anon_sym_default] = ACTIONS(3169),
    [anon_sym_throw] = ACTIONS(3169),
    [anon_sym_try] = ACTIONS(3169),
    [anon_sym_when] = ACTIONS(3169),
    [anon_sym_await] = ACTIONS(3169),
    [anon_sym_foreach] = ACTIONS(3169),
    [anon_sym_goto] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_else] = ACTIONS(3169),
    [anon_sym_DOT_DOT] = ACTIONS(3171),
    [anon_sym_from] = ACTIONS(3169),
    [anon_sym_into] = ACTIONS(3169),
    [anon_sym_join] = ACTIONS(3169),
    [anon_sym_on] = ACTIONS(3169),
    [anon_sym_equals] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3169),
    [anon_sym_orderby] = ACTIONS(3169),
    [anon_sym_ascending] = ACTIONS(3169),
    [anon_sym_descending] = ACTIONS(3169),
    [anon_sym_group] = ACTIONS(3169),
    [anon_sym_by] = ACTIONS(3169),
    [anon_sym_select] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [anon_sym_stackalloc] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3169),
    [anon_sym_typeof] = ACTIONS(3169),
    [anon_sym___makeref] = ACTIONS(3169),
    [anon_sym___reftype] = ACTIONS(3169),
    [anon_sym___refvalue] = ACTIONS(3169),
    [sym_null_literal] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [sym_integer_literal] = ACTIONS(3169),
    [sym_real_literal] = ACTIONS(3171),
    [sym_verbatim_string_literal] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_if_token3] = ACTIONS(3171),
    [aux_sym_preproc_else_token1] = ACTIONS(3171),
    [aux_sym_preproc_elif_token1] = ACTIONS(3171),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3171),
    [sym_interpolation_verbatim_start] = ACTIONS(3171),
    [sym_interpolation_raw_start] = ACTIONS(3171),
    [sym_raw_string_start] = ACTIONS(3171),
  },
  [2245] = {
    [sym_preproc_region] = STATE(2245),
    [sym_preproc_endregion] = STATE(2245),
    [sym_preproc_line] = STATE(2245),
    [sym_preproc_pragma] = STATE(2245),
    [sym_preproc_nullable] = STATE(2245),
    [sym_preproc_error] = STATE(2245),
    [sym_preproc_define] = STATE(2245),
    [sym_preproc_undef] = STATE(2245),
    [sym__identifier_token] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym_alias] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym_global] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_unsafe] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_LPAREN] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_ref] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_delegate] = ACTIONS(3173),
    [anon_sym_record] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_file] = ACTIONS(3173),
    [anon_sym_fixed] = ACTIONS(3173),
    [anon_sym_internal] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_partial] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_required] = ACTIONS(3173),
    [anon_sym_sealed] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_where] = ACTIONS(3173),
    [anon_sym_notnull] = ACTIONS(3173),
    [anon_sym_unmanaged] = ACTIONS(3173),
    [anon_sym_checked] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3173),
    [anon_sym_false] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_CARET] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_this] = ACTIONS(3173),
    [anon_sym_scoped] = ACTIONS(3173),
    [anon_sym_base] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [sym_predefined_type] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_unchecked] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_lock] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_when] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_foreach] = ACTIONS(3173),
    [anon_sym_goto] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_DOT_DOT] = ACTIONS(3175),
    [anon_sym_from] = ACTIONS(3173),
    [anon_sym_into] = ACTIONS(3173),
    [anon_sym_join] = ACTIONS(3173),
    [anon_sym_on] = ACTIONS(3173),
    [anon_sym_equals] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_orderby] = ACTIONS(3173),
    [anon_sym_ascending] = ACTIONS(3173),
    [anon_sym_descending] = ACTIONS(3173),
    [anon_sym_group] = ACTIONS(3173),
    [anon_sym_by] = ACTIONS(3173),
    [anon_sym_select] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3175),
    [anon_sym_stackalloc] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym___makeref] = ACTIONS(3173),
    [anon_sym___reftype] = ACTIONS(3173),
    [anon_sym___refvalue] = ACTIONS(3173),
    [sym_null_literal] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3175),
    [sym_integer_literal] = ACTIONS(3173),
    [sym_real_literal] = ACTIONS(3175),
    [sym_verbatim_string_literal] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_if_token3] = ACTIONS(3175),
    [aux_sym_preproc_else_token1] = ACTIONS(3175),
    [aux_sym_preproc_elif_token1] = ACTIONS(3175),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3175),
    [sym_interpolation_verbatim_start] = ACTIONS(3175),
    [sym_interpolation_raw_start] = ACTIONS(3175),
    [sym_raw_string_start] = ACTIONS(3175),
  },
  [2246] = {
    [sym_preproc_region] = STATE(2246),
    [sym_preproc_endregion] = STATE(2246),
    [sym_preproc_line] = STATE(2246),
    [sym_preproc_pragma] = STATE(2246),
    [sym_preproc_nullable] = STATE(2246),
    [sym_preproc_error] = STATE(2246),
    [sym_preproc_define] = STATE(2246),
    [sym_preproc_undef] = STATE(2246),
    [sym__identifier_token] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym_alias] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_global] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_unsafe] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_ref] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_delegate] = ACTIONS(3177),
    [anon_sym_record] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_file] = ACTIONS(3177),
    [anon_sym_fixed] = ACTIONS(3177),
    [anon_sym_internal] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_partial] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_required] = ACTIONS(3177),
    [anon_sym_sealed] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_where] = ACTIONS(3177),
    [anon_sym_notnull] = ACTIONS(3177),
    [anon_sym_unmanaged] = ACTIONS(3177),
    [anon_sym_checked] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_this] = ACTIONS(3177),
    [anon_sym_scoped] = ACTIONS(3177),
    [anon_sym_base] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [sym_predefined_type] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_unchecked] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_lock] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_when] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3177),
    [anon_sym_foreach] = ACTIONS(3177),
    [anon_sym_goto] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_else] = ACTIONS(3177),
    [anon_sym_DOT_DOT] = ACTIONS(3179),
    [anon_sym_from] = ACTIONS(3177),
    [anon_sym_into] = ACTIONS(3177),
    [anon_sym_join] = ACTIONS(3177),
    [anon_sym_on] = ACTIONS(3177),
    [anon_sym_equals] = ACTIONS(3177),
    [anon_sym_let] = ACTIONS(3177),
    [anon_sym_orderby] = ACTIONS(3177),
    [anon_sym_ascending] = ACTIONS(3177),
    [anon_sym_descending] = ACTIONS(3177),
    [anon_sym_group] = ACTIONS(3177),
    [anon_sym_by] = ACTIONS(3177),
    [anon_sym_select] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_stackalloc] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3177),
    [anon_sym___makeref] = ACTIONS(3177),
    [anon_sym___reftype] = ACTIONS(3177),
    [anon_sym___refvalue] = ACTIONS(3177),
    [sym_null_literal] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [sym_integer_literal] = ACTIONS(3177),
    [sym_real_literal] = ACTIONS(3179),
    [sym_verbatim_string_literal] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_if_token3] = ACTIONS(3179),
    [aux_sym_preproc_else_token1] = ACTIONS(3179),
    [aux_sym_preproc_elif_token1] = ACTIONS(3179),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3179),
    [sym_interpolation_verbatim_start] = ACTIONS(3179),
    [sym_interpolation_raw_start] = ACTIONS(3179),
    [sym_raw_string_start] = ACTIONS(3179),
  },
  [2247] = {
    [sym_preproc_region] = STATE(2247),
    [sym_preproc_endregion] = STATE(2247),
    [sym_preproc_line] = STATE(2247),
    [sym_preproc_pragma] = STATE(2247),
    [sym_preproc_nullable] = STATE(2247),
    [sym_preproc_error] = STATE(2247),
    [sym_preproc_define] = STATE(2247),
    [sym_preproc_undef] = STATE(2247),
    [sym__identifier_token] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym_alias] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym_global] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_unsafe] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_LPAREN] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_ref] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_delegate] = ACTIONS(3181),
    [anon_sym_record] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_file] = ACTIONS(3181),
    [anon_sym_fixed] = ACTIONS(3181),
    [anon_sym_internal] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_partial] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_required] = ACTIONS(3181),
    [anon_sym_sealed] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_where] = ACTIONS(3181),
    [anon_sym_notnull] = ACTIONS(3181),
    [anon_sym_unmanaged] = ACTIONS(3181),
    [anon_sym_checked] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_true] = ACTIONS(3181),
    [anon_sym_false] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_CARET] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_this] = ACTIONS(3181),
    [anon_sym_scoped] = ACTIONS(3181),
    [anon_sym_base] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [sym_predefined_type] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_unchecked] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_lock] = ACTIONS(3181),
    [anon_sym_yield] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_when] = ACTIONS(3181),
    [anon_sym_await] = ACTIONS(3181),
    [anon_sym_foreach] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_else] = ACTIONS(3181),
    [anon_sym_DOT_DOT] = ACTIONS(3183),
    [anon_sym_from] = ACTIONS(3181),
    [anon_sym_into] = ACTIONS(3181),
    [anon_sym_join] = ACTIONS(3181),
    [anon_sym_on] = ACTIONS(3181),
    [anon_sym_equals] = ACTIONS(3181),
    [anon_sym_let] = ACTIONS(3181),
    [anon_sym_orderby] = ACTIONS(3181),
    [anon_sym_ascending] = ACTIONS(3181),
    [anon_sym_descending] = ACTIONS(3181),
    [anon_sym_group] = ACTIONS(3181),
    [anon_sym_by] = ACTIONS(3181),
    [anon_sym_select] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [anon_sym_stackalloc] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3181),
    [anon_sym___makeref] = ACTIONS(3181),
    [anon_sym___reftype] = ACTIONS(3181),
    [anon_sym___refvalue] = ACTIONS(3181),
    [sym_null_literal] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [sym_integer_literal] = ACTIONS(3181),
    [sym_real_literal] = ACTIONS(3183),
    [sym_verbatim_string_literal] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_if_token3] = ACTIONS(3183),
    [aux_sym_preproc_else_token1] = ACTIONS(3183),
    [aux_sym_preproc_elif_token1] = ACTIONS(3183),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3183),
    [sym_interpolation_verbatim_start] = ACTIONS(3183),
    [sym_interpolation_raw_start] = ACTIONS(3183),
    [sym_raw_string_start] = ACTIONS(3183),
  },
  [2248] = {
    [sym_preproc_region] = STATE(2248),
    [sym_preproc_endregion] = STATE(2248),
    [sym_preproc_line] = STATE(2248),
    [sym_preproc_pragma] = STATE(2248),
    [sym_preproc_nullable] = STATE(2248),
    [sym_preproc_error] = STATE(2248),
    [sym_preproc_define] = STATE(2248),
    [sym_preproc_undef] = STATE(2248),
    [sym__identifier_token] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym_alias] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_global] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_unsafe] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_ref] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3185),
    [anon_sym_delegate] = ACTIONS(3185),
    [anon_sym_record] = ACTIONS(3185),
    [anon_sym_abstract] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_file] = ACTIONS(3185),
    [anon_sym_fixed] = ACTIONS(3185),
    [anon_sym_internal] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_override] = ACTIONS(3185),
    [anon_sym_partial] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_readonly] = ACTIONS(3185),
    [anon_sym_required] = ACTIONS(3185),
    [anon_sym_sealed] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_where] = ACTIONS(3185),
    [anon_sym_notnull] = ACTIONS(3185),
    [anon_sym_unmanaged] = ACTIONS(3185),
    [anon_sym_checked] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_true] = ACTIONS(3185),
    [anon_sym_false] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_this] = ACTIONS(3185),
    [anon_sym_scoped] = ACTIONS(3185),
    [anon_sym_base] = ACTIONS(3185),
    [anon_sym_var] = ACTIONS(3185),
    [sym_predefined_type] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_unchecked] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_lock] = ACTIONS(3185),
    [anon_sym_yield] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_when] = ACTIONS(3185),
    [anon_sym_await] = ACTIONS(3185),
    [anon_sym_foreach] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_else] = ACTIONS(3185),
    [anon_sym_DOT_DOT] = ACTIONS(3187),
    [anon_sym_from] = ACTIONS(3185),
    [anon_sym_into] = ACTIONS(3185),
    [anon_sym_join] = ACTIONS(3185),
    [anon_sym_on] = ACTIONS(3185),
    [anon_sym_equals] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_orderby] = ACTIONS(3185),
    [anon_sym_ascending] = ACTIONS(3185),
    [anon_sym_descending] = ACTIONS(3185),
    [anon_sym_group] = ACTIONS(3185),
    [anon_sym_by] = ACTIONS(3185),
    [anon_sym_select] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [anon_sym_stackalloc] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3185),
    [anon_sym___makeref] = ACTIONS(3185),
    [anon_sym___reftype] = ACTIONS(3185),
    [anon_sym___refvalue] = ACTIONS(3185),
    [sym_null_literal] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [sym_integer_literal] = ACTIONS(3185),
    [sym_real_literal] = ACTIONS(3187),
    [sym_verbatim_string_literal] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_if_token3] = ACTIONS(3187),
    [aux_sym_preproc_else_token1] = ACTIONS(3187),
    [aux_sym_preproc_elif_token1] = ACTIONS(3187),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3187),
    [sym_interpolation_verbatim_start] = ACTIONS(3187),
    [sym_interpolation_raw_start] = ACTIONS(3187),
    [sym_raw_string_start] = ACTIONS(3187),
  },
  [2249] = {
    [sym_preproc_region] = STATE(2249),
    [sym_preproc_endregion] = STATE(2249),
    [sym_preproc_line] = STATE(2249),
    [sym_preproc_pragma] = STATE(2249),
    [sym_preproc_nullable] = STATE(2249),
    [sym_preproc_error] = STATE(2249),
    [sym_preproc_define] = STATE(2249),
    [sym_preproc_undef] = STATE(2249),
    [sym__identifier_token] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym_alias] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_global] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_unsafe] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_LPAREN] = ACTIONS(3191),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_ref] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_interface] = ACTIONS(3189),
    [anon_sym_delegate] = ACTIONS(3189),
    [anon_sym_record] = ACTIONS(3189),
    [anon_sym_abstract] = ACTIONS(3189),
    [anon_sym_async] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_file] = ACTIONS(3189),
    [anon_sym_fixed] = ACTIONS(3189),
    [anon_sym_internal] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_override] = ACTIONS(3189),
    [anon_sym_partial] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_readonly] = ACTIONS(3189),
    [anon_sym_required] = ACTIONS(3189),
    [anon_sym_sealed] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_where] = ACTIONS(3189),
    [anon_sym_notnull] = ACTIONS(3189),
    [anon_sym_unmanaged] = ACTIONS(3189),
    [anon_sym_checked] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3189),
    [anon_sym_false] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_CARET] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_this] = ACTIONS(3189),
    [anon_sym_scoped] = ACTIONS(3189),
    [anon_sym_base] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3189),
    [sym_predefined_type] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_unchecked] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_lock] = ACTIONS(3189),
    [anon_sym_yield] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_when] = ACTIONS(3189),
    [anon_sym_await] = ACTIONS(3189),
    [anon_sym_foreach] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_else] = ACTIONS(3189),
    [anon_sym_DOT_DOT] = ACTIONS(3191),
    [anon_sym_from] = ACTIONS(3189),
    [anon_sym_into] = ACTIONS(3189),
    [anon_sym_join] = ACTIONS(3189),
    [anon_sym_on] = ACTIONS(3189),
    [anon_sym_equals] = ACTIONS(3189),
    [anon_sym_let] = ACTIONS(3189),
    [anon_sym_orderby] = ACTIONS(3189),
    [anon_sym_ascending] = ACTIONS(3189),
    [anon_sym_descending] = ACTIONS(3189),
    [anon_sym_group] = ACTIONS(3189),
    [anon_sym_by] = ACTIONS(3189),
    [anon_sym_select] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [anon_sym_stackalloc] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3189),
    [anon_sym___makeref] = ACTIONS(3189),
    [anon_sym___reftype] = ACTIONS(3189),
    [anon_sym___refvalue] = ACTIONS(3189),
    [sym_null_literal] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [sym_integer_literal] = ACTIONS(3189),
    [sym_real_literal] = ACTIONS(3191),
    [sym_verbatim_string_literal] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_if_token3] = ACTIONS(3191),
    [aux_sym_preproc_else_token1] = ACTIONS(3191),
    [aux_sym_preproc_elif_token1] = ACTIONS(3191),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3191),
    [sym_interpolation_verbatim_start] = ACTIONS(3191),
    [sym_interpolation_raw_start] = ACTIONS(3191),
    [sym_raw_string_start] = ACTIONS(3191),
  },
  [2250] = {
    [sym_preproc_region] = STATE(2250),
    [sym_preproc_endregion] = STATE(2250),
    [sym_preproc_line] = STATE(2250),
    [sym_preproc_pragma] = STATE(2250),
    [sym_preproc_nullable] = STATE(2250),
    [sym_preproc_error] = STATE(2250),
    [sym_preproc_define] = STATE(2250),
    [sym_preproc_undef] = STATE(2250),
    [sym__identifier_token] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym_alias] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym_global] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_unsafe] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3195),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_ref] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_interface] = ACTIONS(3193),
    [anon_sym_delegate] = ACTIONS(3193),
    [anon_sym_record] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_file] = ACTIONS(3193),
    [anon_sym_fixed] = ACTIONS(3193),
    [anon_sym_internal] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_partial] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_required] = ACTIONS(3193),
    [anon_sym_sealed] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_where] = ACTIONS(3193),
    [anon_sym_notnull] = ACTIONS(3193),
    [anon_sym_unmanaged] = ACTIONS(3193),
    [anon_sym_checked] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_CARET] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_this] = ACTIONS(3193),
    [anon_sym_scoped] = ACTIONS(3193),
    [anon_sym_base] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [sym_predefined_type] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_unchecked] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_lock] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_when] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [anon_sym_foreach] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_DOT_DOT] = ACTIONS(3195),
    [anon_sym_from] = ACTIONS(3193),
    [anon_sym_into] = ACTIONS(3193),
    [anon_sym_join] = ACTIONS(3193),
    [anon_sym_on] = ACTIONS(3193),
    [anon_sym_equals] = ACTIONS(3193),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_orderby] = ACTIONS(3193),
    [anon_sym_ascending] = ACTIONS(3193),
    [anon_sym_descending] = ACTIONS(3193),
    [anon_sym_group] = ACTIONS(3193),
    [anon_sym_by] = ACTIONS(3193),
    [anon_sym_select] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [anon_sym_stackalloc] = ACTIONS(3193),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3193),
    [anon_sym___makeref] = ACTIONS(3193),
    [anon_sym___reftype] = ACTIONS(3193),
    [anon_sym___refvalue] = ACTIONS(3193),
    [sym_null_literal] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [sym_integer_literal] = ACTIONS(3193),
    [sym_real_literal] = ACTIONS(3195),
    [sym_verbatim_string_literal] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_if_token3] = ACTIONS(3195),
    [aux_sym_preproc_else_token1] = ACTIONS(3195),
    [aux_sym_preproc_elif_token1] = ACTIONS(3195),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3195),
    [sym_interpolation_verbatim_start] = ACTIONS(3195),
    [sym_interpolation_raw_start] = ACTIONS(3195),
    [sym_raw_string_start] = ACTIONS(3195),
  },
  [2251] = {
    [sym_preproc_region] = STATE(2251),
    [sym_preproc_endregion] = STATE(2251),
    [sym_preproc_line] = STATE(2251),
    [sym_preproc_pragma] = STATE(2251),
    [sym_preproc_nullable] = STATE(2251),
    [sym_preproc_error] = STATE(2251),
    [sym_preproc_define] = STATE(2251),
    [sym_preproc_undef] = STATE(2251),
    [sym__identifier_token] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym_alias] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_global] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_unsafe] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_ref] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3197),
    [anon_sym_delegate] = ACTIONS(3197),
    [anon_sym_record] = ACTIONS(3197),
    [anon_sym_abstract] = ACTIONS(3197),
    [anon_sym_async] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_file] = ACTIONS(3197),
    [anon_sym_fixed] = ACTIONS(3197),
    [anon_sym_internal] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_override] = ACTIONS(3197),
    [anon_sym_partial] = ACTIONS(3197),
    [anon_sym_private] = ACTIONS(3197),
    [anon_sym_protected] = ACTIONS(3197),
    [anon_sym_public] = ACTIONS(3197),
    [anon_sym_readonly] = ACTIONS(3197),
    [anon_sym_required] = ACTIONS(3197),
    [anon_sym_sealed] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_where] = ACTIONS(3197),
    [anon_sym_notnull] = ACTIONS(3197),
    [anon_sym_unmanaged] = ACTIONS(3197),
    [anon_sym_checked] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_true] = ACTIONS(3197),
    [anon_sym_false] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_this] = ACTIONS(3197),
    [anon_sym_scoped] = ACTIONS(3197),
    [anon_sym_base] = ACTIONS(3197),
    [anon_sym_var] = ACTIONS(3197),
    [sym_predefined_type] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_unchecked] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_lock] = ACTIONS(3197),
    [anon_sym_yield] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_when] = ACTIONS(3197),
    [anon_sym_await] = ACTIONS(3197),
    [anon_sym_foreach] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_else] = ACTIONS(3197),
    [anon_sym_DOT_DOT] = ACTIONS(3199),
    [anon_sym_from] = ACTIONS(3197),
    [anon_sym_into] = ACTIONS(3197),
    [anon_sym_join] = ACTIONS(3197),
    [anon_sym_on] = ACTIONS(3197),
    [anon_sym_equals] = ACTIONS(3197),
    [anon_sym_let] = ACTIONS(3197),
    [anon_sym_orderby] = ACTIONS(3197),
    [anon_sym_ascending] = ACTIONS(3197),
    [anon_sym_descending] = ACTIONS(3197),
    [anon_sym_group] = ACTIONS(3197),
    [anon_sym_by] = ACTIONS(3197),
    [anon_sym_select] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_stackalloc] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym_typeof] = ACTIONS(3197),
    [anon_sym___makeref] = ACTIONS(3197),
    [anon_sym___reftype] = ACTIONS(3197),
    [anon_sym___refvalue] = ACTIONS(3197),
    [sym_null_literal] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [sym_integer_literal] = ACTIONS(3197),
    [sym_real_literal] = ACTIONS(3199),
    [sym_verbatim_string_literal] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token3] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3199),
    [aux_sym_preproc_elif_token1] = ACTIONS(3199),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3199),
    [sym_interpolation_verbatim_start] = ACTIONS(3199),
    [sym_interpolation_raw_start] = ACTIONS(3199),
    [sym_raw_string_start] = ACTIONS(3199),
  },
  [2252] = {
    [sym_preproc_region] = STATE(2252),
    [sym_preproc_endregion] = STATE(2252),
    [sym_preproc_line] = STATE(2252),
    [sym_preproc_pragma] = STATE(2252),
    [sym_preproc_nullable] = STATE(2252),
    [sym_preproc_error] = STATE(2252),
    [sym_preproc_define] = STATE(2252),
    [sym_preproc_undef] = STATE(2252),
    [sym__identifier_token] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym_alias] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_global] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_unsafe] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_ref] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3201),
    [anon_sym_delegate] = ACTIONS(3201),
    [anon_sym_record] = ACTIONS(3201),
    [anon_sym_abstract] = ACTIONS(3201),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_file] = ACTIONS(3201),
    [anon_sym_fixed] = ACTIONS(3201),
    [anon_sym_internal] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_override] = ACTIONS(3201),
    [anon_sym_partial] = ACTIONS(3201),
    [anon_sym_private] = ACTIONS(3201),
    [anon_sym_protected] = ACTIONS(3201),
    [anon_sym_public] = ACTIONS(3201),
    [anon_sym_readonly] = ACTIONS(3201),
    [anon_sym_required] = ACTIONS(3201),
    [anon_sym_sealed] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_where] = ACTIONS(3201),
    [anon_sym_notnull] = ACTIONS(3201),
    [anon_sym_unmanaged] = ACTIONS(3201),
    [anon_sym_checked] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_true] = ACTIONS(3201),
    [anon_sym_false] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_CARET] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_this] = ACTIONS(3201),
    [anon_sym_scoped] = ACTIONS(3201),
    [anon_sym_base] = ACTIONS(3201),
    [anon_sym_var] = ACTIONS(3201),
    [sym_predefined_type] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_unchecked] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_lock] = ACTIONS(3201),
    [anon_sym_yield] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_when] = ACTIONS(3201),
    [anon_sym_await] = ACTIONS(3201),
    [anon_sym_foreach] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_else] = ACTIONS(3201),
    [anon_sym_DOT_DOT] = ACTIONS(3203),
    [anon_sym_from] = ACTIONS(3201),
    [anon_sym_into] = ACTIONS(3201),
    [anon_sym_join] = ACTIONS(3201),
    [anon_sym_on] = ACTIONS(3201),
    [anon_sym_equals] = ACTIONS(3201),
    [anon_sym_let] = ACTIONS(3201),
    [anon_sym_orderby] = ACTIONS(3201),
    [anon_sym_ascending] = ACTIONS(3201),
    [anon_sym_descending] = ACTIONS(3201),
    [anon_sym_group] = ACTIONS(3201),
    [anon_sym_by] = ACTIONS(3201),
    [anon_sym_select] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_stackalloc] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym_typeof] = ACTIONS(3201),
    [anon_sym___makeref] = ACTIONS(3201),
    [anon_sym___reftype] = ACTIONS(3201),
    [anon_sym___refvalue] = ACTIONS(3201),
    [sym_null_literal] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [sym_integer_literal] = ACTIONS(3201),
    [sym_real_literal] = ACTIONS(3203),
    [sym_verbatim_string_literal] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token3] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3203),
    [sym_interpolation_verbatim_start] = ACTIONS(3203),
    [sym_interpolation_raw_start] = ACTIONS(3203),
    [sym_raw_string_start] = ACTIONS(3203),
  },
  [2253] = {
    [sym_preproc_region] = STATE(2253),
    [sym_preproc_endregion] = STATE(2253),
    [sym_preproc_line] = STATE(2253),
    [sym_preproc_pragma] = STATE(2253),
    [sym_preproc_nullable] = STATE(2253),
    [sym_preproc_error] = STATE(2253),
    [sym_preproc_define] = STATE(2253),
    [sym_preproc_undef] = STATE(2253),
    [sym__identifier_token] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_alias] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_global] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_record] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_file] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_required] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_where] = ACTIONS(3205),
    [anon_sym_notnull] = ACTIONS(3205),
    [anon_sym_unmanaged] = ACTIONS(3205),
    [anon_sym_checked] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_true] = ACTIONS(3205),
    [anon_sym_false] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_CARET] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_this] = ACTIONS(3205),
    [anon_sym_scoped] = ACTIONS(3205),
    [anon_sym_base] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [sym_predefined_type] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_unchecked] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_lock] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_when] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_foreach] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_DOT_DOT] = ACTIONS(3207),
    [anon_sym_from] = ACTIONS(3205),
    [anon_sym_into] = ACTIONS(3205),
    [anon_sym_join] = ACTIONS(3205),
    [anon_sym_on] = ACTIONS(3205),
    [anon_sym_equals] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_orderby] = ACTIONS(3205),
    [anon_sym_ascending] = ACTIONS(3205),
    [anon_sym_descending] = ACTIONS(3205),
    [anon_sym_group] = ACTIONS(3205),
    [anon_sym_by] = ACTIONS(3205),
    [anon_sym_select] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_stackalloc] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym___makeref] = ACTIONS(3205),
    [anon_sym___reftype] = ACTIONS(3205),
    [anon_sym___refvalue] = ACTIONS(3205),
    [sym_null_literal] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [sym_integer_literal] = ACTIONS(3205),
    [sym_real_literal] = ACTIONS(3207),
    [sym_verbatim_string_literal] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token3] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3207),
    [sym_interpolation_verbatim_start] = ACTIONS(3207),
    [sym_interpolation_raw_start] = ACTIONS(3207),
    [sym_raw_string_start] = ACTIONS(3207),
  },
  [2254] = {
    [sym_preproc_region] = STATE(2254),
    [sym_preproc_endregion] = STATE(2254),
    [sym_preproc_line] = STATE(2254),
    [sym_preproc_pragma] = STATE(2254),
    [sym_preproc_nullable] = STATE(2254),
    [sym_preproc_error] = STATE(2254),
    [sym_preproc_define] = STATE(2254),
    [sym_preproc_undef] = STATE(2254),
    [sym__identifier_token] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym_alias] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_global] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_unsafe] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_ref] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_delegate] = ACTIONS(3209),
    [anon_sym_record] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_file] = ACTIONS(3209),
    [anon_sym_fixed] = ACTIONS(3209),
    [anon_sym_internal] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_partial] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_required] = ACTIONS(3209),
    [anon_sym_sealed] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_where] = ACTIONS(3209),
    [anon_sym_notnull] = ACTIONS(3209),
    [anon_sym_unmanaged] = ACTIONS(3209),
    [anon_sym_checked] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_true] = ACTIONS(3209),
    [anon_sym_false] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_CARET] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_this] = ACTIONS(3209),
    [anon_sym_scoped] = ACTIONS(3209),
    [anon_sym_base] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [sym_predefined_type] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_unchecked] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_lock] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_when] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_foreach] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_DOT_DOT] = ACTIONS(3211),
    [anon_sym_from] = ACTIONS(3209),
    [anon_sym_into] = ACTIONS(3209),
    [anon_sym_join] = ACTIONS(3209),
    [anon_sym_on] = ACTIONS(3209),
    [anon_sym_equals] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_orderby] = ACTIONS(3209),
    [anon_sym_ascending] = ACTIONS(3209),
    [anon_sym_descending] = ACTIONS(3209),
    [anon_sym_group] = ACTIONS(3209),
    [anon_sym_by] = ACTIONS(3209),
    [anon_sym_select] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_stackalloc] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym___makeref] = ACTIONS(3209),
    [anon_sym___reftype] = ACTIONS(3209),
    [anon_sym___refvalue] = ACTIONS(3209),
    [sym_null_literal] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [sym_integer_literal] = ACTIONS(3209),
    [sym_real_literal] = ACTIONS(3211),
    [sym_verbatim_string_literal] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token3] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3211),
    [sym_interpolation_verbatim_start] = ACTIONS(3211),
    [sym_interpolation_raw_start] = ACTIONS(3211),
    [sym_raw_string_start] = ACTIONS(3211),
  },
  [2255] = {
    [sym_preproc_region] = STATE(2255),
    [sym_preproc_endregion] = STATE(2255),
    [sym_preproc_line] = STATE(2255),
    [sym_preproc_pragma] = STATE(2255),
    [sym_preproc_nullable] = STATE(2255),
    [sym_preproc_error] = STATE(2255),
    [sym_preproc_define] = STATE(2255),
    [sym_preproc_undef] = STATE(2255),
    [sym__identifier_token] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym_alias] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_global] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_unsafe] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_ref] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_delegate] = ACTIONS(3213),
    [anon_sym_record] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_file] = ACTIONS(3213),
    [anon_sym_fixed] = ACTIONS(3213),
    [anon_sym_internal] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_partial] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_required] = ACTIONS(3213),
    [anon_sym_sealed] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_where] = ACTIONS(3213),
    [anon_sym_notnull] = ACTIONS(3213),
    [anon_sym_unmanaged] = ACTIONS(3213),
    [anon_sym_checked] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_true] = ACTIONS(3213),
    [anon_sym_false] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_CARET] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_this] = ACTIONS(3213),
    [anon_sym_scoped] = ACTIONS(3213),
    [anon_sym_base] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [sym_predefined_type] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_unchecked] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_lock] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_when] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_foreach] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3213),
    [anon_sym_DOT_DOT] = ACTIONS(3215),
    [anon_sym_from] = ACTIONS(3213),
    [anon_sym_into] = ACTIONS(3213),
    [anon_sym_join] = ACTIONS(3213),
    [anon_sym_on] = ACTIONS(3213),
    [anon_sym_equals] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_orderby] = ACTIONS(3213),
    [anon_sym_ascending] = ACTIONS(3213),
    [anon_sym_descending] = ACTIONS(3213),
    [anon_sym_group] = ACTIONS(3213),
    [anon_sym_by] = ACTIONS(3213),
    [anon_sym_select] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [anon_sym_stackalloc] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym___makeref] = ACTIONS(3213),
    [anon_sym___reftype] = ACTIONS(3213),
    [anon_sym___refvalue] = ACTIONS(3213),
    [sym_null_literal] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [sym_integer_literal] = ACTIONS(3213),
    [sym_real_literal] = ACTIONS(3215),
    [sym_verbatim_string_literal] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_if_token3] = ACTIONS(3215),
    [aux_sym_preproc_else_token1] = ACTIONS(3215),
    [aux_sym_preproc_elif_token1] = ACTIONS(3215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3215),
    [sym_interpolation_verbatim_start] = ACTIONS(3215),
    [sym_interpolation_raw_start] = ACTIONS(3215),
    [sym_raw_string_start] = ACTIONS(3215),
  },
  [2256] = {
    [sym_preproc_region] = STATE(2256),
    [sym_preproc_endregion] = STATE(2256),
    [sym_preproc_line] = STATE(2256),
    [sym_preproc_pragma] = STATE(2256),
    [sym_preproc_nullable] = STATE(2256),
    [sym_preproc_error] = STATE(2256),
    [sym_preproc_define] = STATE(2256),
    [sym_preproc_undef] = STATE(2256),
    [sym__identifier_token] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym_alias] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_global] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_unsafe] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_ref] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_delegate] = ACTIONS(3217),
    [anon_sym_record] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_file] = ACTIONS(3217),
    [anon_sym_fixed] = ACTIONS(3217),
    [anon_sym_internal] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_partial] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_required] = ACTIONS(3217),
    [anon_sym_sealed] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_where] = ACTIONS(3217),
    [anon_sym_notnull] = ACTIONS(3217),
    [anon_sym_unmanaged] = ACTIONS(3217),
    [anon_sym_checked] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_true] = ACTIONS(3217),
    [anon_sym_false] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_this] = ACTIONS(3217),
    [anon_sym_scoped] = ACTIONS(3217),
    [anon_sym_base] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [sym_predefined_type] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_unchecked] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_lock] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_when] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_foreach] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_DOT_DOT] = ACTIONS(3219),
    [anon_sym_from] = ACTIONS(3217),
    [anon_sym_into] = ACTIONS(3217),
    [anon_sym_join] = ACTIONS(3217),
    [anon_sym_on] = ACTIONS(3217),
    [anon_sym_equals] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_orderby] = ACTIONS(3217),
    [anon_sym_ascending] = ACTIONS(3217),
    [anon_sym_descending] = ACTIONS(3217),
    [anon_sym_group] = ACTIONS(3217),
    [anon_sym_by] = ACTIONS(3217),
    [anon_sym_select] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_stackalloc] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym___makeref] = ACTIONS(3217),
    [anon_sym___reftype] = ACTIONS(3217),
    [anon_sym___refvalue] = ACTIONS(3217),
    [sym_null_literal] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(3217),
    [sym_real_literal] = ACTIONS(3219),
    [sym_verbatim_string_literal] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_if_token3] = ACTIONS(3219),
    [aux_sym_preproc_else_token1] = ACTIONS(3219),
    [aux_sym_preproc_elif_token1] = ACTIONS(3219),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3219),
    [sym_interpolation_verbatim_start] = ACTIONS(3219),
    [sym_interpolation_raw_start] = ACTIONS(3219),
    [sym_raw_string_start] = ACTIONS(3219),
  },
  [2257] = {
    [sym_preproc_region] = STATE(2257),
    [sym_preproc_endregion] = STATE(2257),
    [sym_preproc_line] = STATE(2257),
    [sym_preproc_pragma] = STATE(2257),
    [sym_preproc_nullable] = STATE(2257),
    [sym_preproc_error] = STATE(2257),
    [sym_preproc_define] = STATE(2257),
    [sym_preproc_undef] = STATE(2257),
    [sym__identifier_token] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym_alias] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_global] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_unsafe] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_ref] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_delegate] = ACTIONS(3221),
    [anon_sym_record] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_file] = ACTIONS(3221),
    [anon_sym_fixed] = ACTIONS(3221),
    [anon_sym_internal] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_partial] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_required] = ACTIONS(3221),
    [anon_sym_sealed] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_where] = ACTIONS(3221),
    [anon_sym_notnull] = ACTIONS(3221),
    [anon_sym_unmanaged] = ACTIONS(3221),
    [anon_sym_checked] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_true] = ACTIONS(3221),
    [anon_sym_false] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_CARET] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_this] = ACTIONS(3221),
    [anon_sym_scoped] = ACTIONS(3221),
    [anon_sym_base] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [sym_predefined_type] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_unchecked] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_lock] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_when] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_foreach] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_from] = ACTIONS(3221),
    [anon_sym_into] = ACTIONS(3221),
    [anon_sym_join] = ACTIONS(3221),
    [anon_sym_on] = ACTIONS(3221),
    [anon_sym_equals] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_orderby] = ACTIONS(3221),
    [anon_sym_ascending] = ACTIONS(3221),
    [anon_sym_descending] = ACTIONS(3221),
    [anon_sym_group] = ACTIONS(3221),
    [anon_sym_by] = ACTIONS(3221),
    [anon_sym_select] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_stackalloc] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym___makeref] = ACTIONS(3221),
    [anon_sym___reftype] = ACTIONS(3221),
    [anon_sym___refvalue] = ACTIONS(3221),
    [sym_null_literal] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [sym_integer_literal] = ACTIONS(3221),
    [sym_real_literal] = ACTIONS(3223),
    [sym_verbatim_string_literal] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token3] = ACTIONS(3223),
    [aux_sym_preproc_else_token1] = ACTIONS(3223),
    [aux_sym_preproc_elif_token1] = ACTIONS(3223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3223),
    [sym_interpolation_verbatim_start] = ACTIONS(3223),
    [sym_interpolation_raw_start] = ACTIONS(3223),
    [sym_raw_string_start] = ACTIONS(3223),
  },
  [2258] = {
    [sym_preproc_region] = STATE(2258),
    [sym_preproc_endregion] = STATE(2258),
    [sym_preproc_line] = STATE(2258),
    [sym_preproc_pragma] = STATE(2258),
    [sym_preproc_nullable] = STATE(2258),
    [sym_preproc_error] = STATE(2258),
    [sym_preproc_define] = STATE(2258),
    [sym_preproc_undef] = STATE(2258),
    [sym__identifier_token] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym_alias] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_global] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_unsafe] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_ref] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_delegate] = ACTIONS(3225),
    [anon_sym_record] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_file] = ACTIONS(3225),
    [anon_sym_fixed] = ACTIONS(3225),
    [anon_sym_internal] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_partial] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_required] = ACTIONS(3225),
    [anon_sym_sealed] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_where] = ACTIONS(3225),
    [anon_sym_notnull] = ACTIONS(3225),
    [anon_sym_unmanaged] = ACTIONS(3225),
    [anon_sym_checked] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3225),
    [anon_sym_false] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_CARET] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_this] = ACTIONS(3225),
    [anon_sym_scoped] = ACTIONS(3225),
    [anon_sym_base] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [sym_predefined_type] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_unchecked] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_lock] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_when] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_foreach] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_DOT_DOT] = ACTIONS(3227),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_into] = ACTIONS(3225),
    [anon_sym_join] = ACTIONS(3225),
    [anon_sym_on] = ACTIONS(3225),
    [anon_sym_equals] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_orderby] = ACTIONS(3225),
    [anon_sym_ascending] = ACTIONS(3225),
    [anon_sym_descending] = ACTIONS(3225),
    [anon_sym_group] = ACTIONS(3225),
    [anon_sym_by] = ACTIONS(3225),
    [anon_sym_select] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_stackalloc] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym___makeref] = ACTIONS(3225),
    [anon_sym___reftype] = ACTIONS(3225),
    [anon_sym___refvalue] = ACTIONS(3225),
    [sym_null_literal] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [sym_integer_literal] = ACTIONS(3225),
    [sym_real_literal] = ACTIONS(3227),
    [sym_verbatim_string_literal] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token3] = ACTIONS(3227),
    [aux_sym_preproc_else_token1] = ACTIONS(3227),
    [aux_sym_preproc_elif_token1] = ACTIONS(3227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3227),
    [sym_interpolation_verbatim_start] = ACTIONS(3227),
    [sym_interpolation_raw_start] = ACTIONS(3227),
    [sym_raw_string_start] = ACTIONS(3227),
  },
  [2259] = {
    [sym_preproc_region] = STATE(2259),
    [sym_preproc_endregion] = STATE(2259),
    [sym_preproc_line] = STATE(2259),
    [sym_preproc_pragma] = STATE(2259),
    [sym_preproc_nullable] = STATE(2259),
    [sym_preproc_error] = STATE(2259),
    [sym_preproc_define] = STATE(2259),
    [sym_preproc_undef] = STATE(2259),
    [sym__identifier_token] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym_alias] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_global] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_unsafe] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_ref] = ACTIONS(3229),
    [anon_sym_struct] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_delegate] = ACTIONS(3229),
    [anon_sym_record] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_file] = ACTIONS(3229),
    [anon_sym_fixed] = ACTIONS(3229),
    [anon_sym_internal] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_partial] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_required] = ACTIONS(3229),
    [anon_sym_sealed] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_where] = ACTIONS(3229),
    [anon_sym_notnull] = ACTIONS(3229),
    [anon_sym_unmanaged] = ACTIONS(3229),
    [anon_sym_checked] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_CARET] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_this] = ACTIONS(3229),
    [anon_sym_scoped] = ACTIONS(3229),
    [anon_sym_base] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [sym_predefined_type] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_unchecked] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_lock] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_when] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_foreach] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_DOT_DOT] = ACTIONS(3231),
    [anon_sym_from] = ACTIONS(3229),
    [anon_sym_into] = ACTIONS(3229),
    [anon_sym_join] = ACTIONS(3229),
    [anon_sym_on] = ACTIONS(3229),
    [anon_sym_equals] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_orderby] = ACTIONS(3229),
    [anon_sym_ascending] = ACTIONS(3229),
    [anon_sym_descending] = ACTIONS(3229),
    [anon_sym_group] = ACTIONS(3229),
    [anon_sym_by] = ACTIONS(3229),
    [anon_sym_select] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_stackalloc] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym___makeref] = ACTIONS(3229),
    [anon_sym___reftype] = ACTIONS(3229),
    [anon_sym___refvalue] = ACTIONS(3229),
    [sym_null_literal] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [sym_integer_literal] = ACTIONS(3229),
    [sym_real_literal] = ACTIONS(3231),
    [sym_verbatim_string_literal] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token3] = ACTIONS(3231),
    [aux_sym_preproc_else_token1] = ACTIONS(3231),
    [aux_sym_preproc_elif_token1] = ACTIONS(3231),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3231),
    [sym_interpolation_verbatim_start] = ACTIONS(3231),
    [sym_interpolation_raw_start] = ACTIONS(3231),
    [sym_raw_string_start] = ACTIONS(3231),
  },
  [2260] = {
    [sym_preproc_region] = STATE(2260),
    [sym_preproc_endregion] = STATE(2260),
    [sym_preproc_line] = STATE(2260),
    [sym_preproc_pragma] = STATE(2260),
    [sym_preproc_nullable] = STATE(2260),
    [sym_preproc_error] = STATE(2260),
    [sym_preproc_define] = STATE(2260),
    [sym_preproc_undef] = STATE(2260),
    [sym__identifier_token] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym_alias] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_global] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_unsafe] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_ref] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_delegate] = ACTIONS(3233),
    [anon_sym_record] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_file] = ACTIONS(3233),
    [anon_sym_fixed] = ACTIONS(3233),
    [anon_sym_internal] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_partial] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_required] = ACTIONS(3233),
    [anon_sym_sealed] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_where] = ACTIONS(3233),
    [anon_sym_notnull] = ACTIONS(3233),
    [anon_sym_unmanaged] = ACTIONS(3233),
    [anon_sym_checked] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_true] = ACTIONS(3233),
    [anon_sym_false] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_this] = ACTIONS(3233),
    [anon_sym_scoped] = ACTIONS(3233),
    [anon_sym_base] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [sym_predefined_type] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_unchecked] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_lock] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_when] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_foreach] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_DOT_DOT] = ACTIONS(3235),
    [anon_sym_from] = ACTIONS(3233),
    [anon_sym_into] = ACTIONS(3233),
    [anon_sym_join] = ACTIONS(3233),
    [anon_sym_on] = ACTIONS(3233),
    [anon_sym_equals] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_orderby] = ACTIONS(3233),
    [anon_sym_ascending] = ACTIONS(3233),
    [anon_sym_descending] = ACTIONS(3233),
    [anon_sym_group] = ACTIONS(3233),
    [anon_sym_by] = ACTIONS(3233),
    [anon_sym_select] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_stackalloc] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym___makeref] = ACTIONS(3233),
    [anon_sym___reftype] = ACTIONS(3233),
    [anon_sym___refvalue] = ACTIONS(3233),
    [sym_null_literal] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [sym_integer_literal] = ACTIONS(3233),
    [sym_real_literal] = ACTIONS(3235),
    [sym_verbatim_string_literal] = ACTIONS(3235),
    [aux_sym_preproc_if_token1] = ACTIONS(3235),
    [aux_sym_preproc_if_token3] = ACTIONS(3235),
    [aux_sym_preproc_else_token1] = ACTIONS(3235),
    [aux_sym_preproc_elif_token1] = ACTIONS(3235),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3235),
    [sym_interpolation_verbatim_start] = ACTIONS(3235),
    [sym_interpolation_raw_start] = ACTIONS(3235),
    [sym_raw_string_start] = ACTIONS(3235),
  },
  [2261] = {
    [sym_preproc_region] = STATE(2261),
    [sym_preproc_endregion] = STATE(2261),
    [sym_preproc_line] = STATE(2261),
    [sym_preproc_pragma] = STATE(2261),
    [sym_preproc_nullable] = STATE(2261),
    [sym_preproc_error] = STATE(2261),
    [sym_preproc_define] = STATE(2261),
    [sym_preproc_undef] = STATE(2261),
    [sym__identifier_token] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym_alias] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_global] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_unsafe] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_ref] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_delegate] = ACTIONS(3237),
    [anon_sym_record] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_file] = ACTIONS(3237),
    [anon_sym_fixed] = ACTIONS(3237),
    [anon_sym_internal] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_partial] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_required] = ACTIONS(3237),
    [anon_sym_sealed] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_where] = ACTIONS(3237),
    [anon_sym_notnull] = ACTIONS(3237),
    [anon_sym_unmanaged] = ACTIONS(3237),
    [anon_sym_checked] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_true] = ACTIONS(3237),
    [anon_sym_false] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_CARET] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3239),
    [anon_sym_this] = ACTIONS(3237),
    [anon_sym_scoped] = ACTIONS(3237),
    [anon_sym_base] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [sym_predefined_type] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_unchecked] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_lock] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_when] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_foreach] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_DOT_DOT] = ACTIONS(3239),
    [anon_sym_from] = ACTIONS(3237),
    [anon_sym_into] = ACTIONS(3237),
    [anon_sym_join] = ACTIONS(3237),
    [anon_sym_on] = ACTIONS(3237),
    [anon_sym_equals] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_orderby] = ACTIONS(3237),
    [anon_sym_ascending] = ACTIONS(3237),
    [anon_sym_descending] = ACTIONS(3237),
    [anon_sym_group] = ACTIONS(3237),
    [anon_sym_by] = ACTIONS(3237),
    [anon_sym_select] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_stackalloc] = ACTIONS(3237),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym___makeref] = ACTIONS(3237),
    [anon_sym___reftype] = ACTIONS(3237),
    [anon_sym___refvalue] = ACTIONS(3237),
    [sym_null_literal] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [sym_integer_literal] = ACTIONS(3237),
    [sym_real_literal] = ACTIONS(3239),
    [sym_verbatim_string_literal] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3239),
    [aux_sym_preproc_if_token3] = ACTIONS(3239),
    [aux_sym_preproc_else_token1] = ACTIONS(3239),
    [aux_sym_preproc_elif_token1] = ACTIONS(3239),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3239),
    [sym_interpolation_verbatim_start] = ACTIONS(3239),
    [sym_interpolation_raw_start] = ACTIONS(3239),
    [sym_raw_string_start] = ACTIONS(3239),
  },
  [2262] = {
    [sym_preproc_region] = STATE(2262),
    [sym_preproc_endregion] = STATE(2262),
    [sym_preproc_line] = STATE(2262),
    [sym_preproc_pragma] = STATE(2262),
    [sym_preproc_nullable] = STATE(2262),
    [sym_preproc_error] = STATE(2262),
    [sym_preproc_define] = STATE(2262),
    [sym_preproc_undef] = STATE(2262),
    [sym__identifier_token] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym_alias] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_global] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_unsafe] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_ref] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_delegate] = ACTIONS(3241),
    [anon_sym_record] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_file] = ACTIONS(3241),
    [anon_sym_fixed] = ACTIONS(3241),
    [anon_sym_internal] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_partial] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_required] = ACTIONS(3241),
    [anon_sym_sealed] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_where] = ACTIONS(3241),
    [anon_sym_notnull] = ACTIONS(3241),
    [anon_sym_unmanaged] = ACTIONS(3241),
    [anon_sym_checked] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_true] = ACTIONS(3241),
    [anon_sym_false] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_CARET] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3243),
    [anon_sym_this] = ACTIONS(3241),
    [anon_sym_scoped] = ACTIONS(3241),
    [anon_sym_base] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [sym_predefined_type] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_unchecked] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_lock] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_when] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_foreach] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(3245),
    [anon_sym_DOT_DOT] = ACTIONS(3243),
    [anon_sym_from] = ACTIONS(3241),
    [anon_sym_into] = ACTIONS(3241),
    [anon_sym_join] = ACTIONS(3241),
    [anon_sym_on] = ACTIONS(3241),
    [anon_sym_equals] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_orderby] = ACTIONS(3241),
    [anon_sym_ascending] = ACTIONS(3241),
    [anon_sym_descending] = ACTIONS(3241),
    [anon_sym_group] = ACTIONS(3241),
    [anon_sym_by] = ACTIONS(3241),
    [anon_sym_select] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_stackalloc] = ACTIONS(3241),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym___makeref] = ACTIONS(3241),
    [anon_sym___reftype] = ACTIONS(3241),
    [anon_sym___refvalue] = ACTIONS(3241),
    [sym_null_literal] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [sym_integer_literal] = ACTIONS(3241),
    [sym_real_literal] = ACTIONS(3243),
    [sym_verbatim_string_literal] = ACTIONS(3243),
    [aux_sym_preproc_if_token1] = ACTIONS(3243),
    [aux_sym_preproc_if_token3] = ACTIONS(3243),
    [aux_sym_preproc_else_token1] = ACTIONS(3243),
    [aux_sym_preproc_elif_token1] = ACTIONS(3243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3243),
    [sym_interpolation_verbatim_start] = ACTIONS(3243),
    [sym_interpolation_raw_start] = ACTIONS(3243),
    [sym_raw_string_start] = ACTIONS(3243),
  },
  [2263] = {
    [sym_preproc_region] = STATE(2263),
    [sym_preproc_endregion] = STATE(2263),
    [sym_preproc_line] = STATE(2263),
    [sym_preproc_pragma] = STATE(2263),
    [sym_preproc_nullable] = STATE(2263),
    [sym_preproc_error] = STATE(2263),
    [sym_preproc_define] = STATE(2263),
    [sym_preproc_undef] = STATE(2263),
    [sym__identifier_token] = ACTIONS(3247),
    [anon_sym_extern] = ACTIONS(3247),
    [anon_sym_alias] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_global] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_unsafe] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_ref] = ACTIONS(3247),
    [anon_sym_struct] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_delegate] = ACTIONS(3247),
    [anon_sym_record] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_file] = ACTIONS(3247),
    [anon_sym_fixed] = ACTIONS(3247),
    [anon_sym_internal] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_partial] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_required] = ACTIONS(3247),
    [anon_sym_sealed] = ACTIONS(3247),
    [anon_sym_virtual] = ACTIONS(3247),
    [anon_sym_volatile] = ACTIONS(3247),
    [anon_sym_where] = ACTIONS(3247),
    [anon_sym_notnull] = ACTIONS(3247),
    [anon_sym_unmanaged] = ACTIONS(3247),
    [anon_sym_checked] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_true] = ACTIONS(3247),
    [anon_sym_false] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_CARET] = ACTIONS(3249),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_this] = ACTIONS(3247),
    [anon_sym_scoped] = ACTIONS(3247),
    [anon_sym_base] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [sym_predefined_type] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_unchecked] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_lock] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_default] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_when] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_foreach] = ACTIONS(3247),
    [anon_sym_goto] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_DOT_DOT] = ACTIONS(3249),
    [anon_sym_from] = ACTIONS(3247),
    [anon_sym_into] = ACTIONS(3247),
    [anon_sym_join] = ACTIONS(3247),
    [anon_sym_on] = ACTIONS(3247),
    [anon_sym_equals] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_orderby] = ACTIONS(3247),
    [anon_sym_ascending] = ACTIONS(3247),
    [anon_sym_descending] = ACTIONS(3247),
    [anon_sym_group] = ACTIONS(3247),
    [anon_sym_by] = ACTIONS(3247),
    [anon_sym_select] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_stackalloc] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym___makeref] = ACTIONS(3247),
    [anon_sym___reftype] = ACTIONS(3247),
    [anon_sym___refvalue] = ACTIONS(3247),
    [sym_null_literal] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [sym_integer_literal] = ACTIONS(3247),
    [sym_real_literal] = ACTIONS(3249),
    [sym_verbatim_string_literal] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token3] = ACTIONS(3249),
    [aux_sym_preproc_else_token1] = ACTIONS(3249),
    [aux_sym_preproc_elif_token1] = ACTIONS(3249),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3249),
    [sym_interpolation_verbatim_start] = ACTIONS(3249),
    [sym_interpolation_raw_start] = ACTIONS(3249),
    [sym_raw_string_start] = ACTIONS(3249),
  },
  [2264] = {
    [sym_preproc_region] = STATE(2264),
    [sym_preproc_endregion] = STATE(2264),
    [sym_preproc_line] = STATE(2264),
    [sym_preproc_pragma] = STATE(2264),
    [sym_preproc_nullable] = STATE(2264),
    [sym_preproc_error] = STATE(2264),
    [sym_preproc_define] = STATE(2264),
    [sym_preproc_undef] = STATE(2264),
    [sym__identifier_token] = ACTIONS(3251),
    [anon_sym_extern] = ACTIONS(3251),
    [anon_sym_alias] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_global] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_unsafe] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_ref] = ACTIONS(3251),
    [anon_sym_struct] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_delegate] = ACTIONS(3251),
    [anon_sym_record] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_file] = ACTIONS(3251),
    [anon_sym_fixed] = ACTIONS(3251),
    [anon_sym_internal] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_partial] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_required] = ACTIONS(3251),
    [anon_sym_sealed] = ACTIONS(3251),
    [anon_sym_virtual] = ACTIONS(3251),
    [anon_sym_volatile] = ACTIONS(3251),
    [anon_sym_where] = ACTIONS(3251),
    [anon_sym_notnull] = ACTIONS(3251),
    [anon_sym_unmanaged] = ACTIONS(3251),
    [anon_sym_checked] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_true] = ACTIONS(3251),
    [anon_sym_false] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_STAR] = ACTIONS(3253),
    [anon_sym_CARET] = ACTIONS(3253),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_this] = ACTIONS(3251),
    [anon_sym_scoped] = ACTIONS(3251),
    [anon_sym_base] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [sym_predefined_type] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_unchecked] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_lock] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_default] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_when] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_foreach] = ACTIONS(3251),
    [anon_sym_goto] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_else] = ACTIONS(3251),
    [anon_sym_DOT_DOT] = ACTIONS(3253),
    [anon_sym_from] = ACTIONS(3251),
    [anon_sym_into] = ACTIONS(3251),
    [anon_sym_join] = ACTIONS(3251),
    [anon_sym_on] = ACTIONS(3251),
    [anon_sym_equals] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_orderby] = ACTIONS(3251),
    [anon_sym_ascending] = ACTIONS(3251),
    [anon_sym_descending] = ACTIONS(3251),
    [anon_sym_group] = ACTIONS(3251),
    [anon_sym_by] = ACTIONS(3251),
    [anon_sym_select] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_stackalloc] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym___makeref] = ACTIONS(3251),
    [anon_sym___reftype] = ACTIONS(3251),
    [anon_sym___refvalue] = ACTIONS(3251),
    [sym_null_literal] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [sym_integer_literal] = ACTIONS(3251),
    [sym_real_literal] = ACTIONS(3253),
    [sym_verbatim_string_literal] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token3] = ACTIONS(3253),
    [aux_sym_preproc_else_token1] = ACTIONS(3253),
    [aux_sym_preproc_elif_token1] = ACTIONS(3253),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3253),
    [sym_interpolation_verbatim_start] = ACTIONS(3253),
    [sym_interpolation_raw_start] = ACTIONS(3253),
    [sym_raw_string_start] = ACTIONS(3253),
  },
  [2265] = {
    [sym_preproc_region] = STATE(2265),
    [sym_preproc_endregion] = STATE(2265),
    [sym_preproc_line] = STATE(2265),
    [sym_preproc_pragma] = STATE(2265),
    [sym_preproc_nullable] = STATE(2265),
    [sym_preproc_error] = STATE(2265),
    [sym_preproc_define] = STATE(2265),
    [sym_preproc_undef] = STATE(2265),
    [sym__identifier_token] = ACTIONS(3255),
    [anon_sym_extern] = ACTIONS(3255),
    [anon_sym_alias] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_global] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_unsafe] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_ref] = ACTIONS(3255),
    [anon_sym_struct] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_delegate] = ACTIONS(3255),
    [anon_sym_record] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_file] = ACTIONS(3255),
    [anon_sym_fixed] = ACTIONS(3255),
    [anon_sym_internal] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_partial] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_sealed] = ACTIONS(3255),
    [anon_sym_virtual] = ACTIONS(3255),
    [anon_sym_volatile] = ACTIONS(3255),
    [anon_sym_where] = ACTIONS(3255),
    [anon_sym_notnull] = ACTIONS(3255),
    [anon_sym_unmanaged] = ACTIONS(3255),
    [anon_sym_checked] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3255),
    [anon_sym_false] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_CARET] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym_this] = ACTIONS(3255),
    [anon_sym_scoped] = ACTIONS(3255),
    [anon_sym_base] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [sym_predefined_type] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_unchecked] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_lock] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_when] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_foreach] = ACTIONS(3255),
    [anon_sym_goto] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_DOT_DOT] = ACTIONS(3257),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_into] = ACTIONS(3255),
    [anon_sym_join] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_equals] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_orderby] = ACTIONS(3255),
    [anon_sym_ascending] = ACTIONS(3255),
    [anon_sym_descending] = ACTIONS(3255),
    [anon_sym_group] = ACTIONS(3255),
    [anon_sym_by] = ACTIONS(3255),
    [anon_sym_select] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_stackalloc] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym___makeref] = ACTIONS(3255),
    [anon_sym___reftype] = ACTIONS(3255),
    [anon_sym___refvalue] = ACTIONS(3255),
    [sym_null_literal] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [sym_integer_literal] = ACTIONS(3255),
    [sym_real_literal] = ACTIONS(3257),
    [sym_verbatim_string_literal] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token3] = ACTIONS(3257),
    [aux_sym_preproc_else_token1] = ACTIONS(3257),
    [aux_sym_preproc_elif_token1] = ACTIONS(3257),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3257),
    [sym_interpolation_verbatim_start] = ACTIONS(3257),
    [sym_interpolation_raw_start] = ACTIONS(3257),
    [sym_raw_string_start] = ACTIONS(3257),
  },
  [2266] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_else] = STATE(9058),
    [sym_preproc_elif] = STATE(9058),
    [sym_preproc_region] = STATE(2266),
    [sym_preproc_endregion] = STATE(2266),
    [sym_preproc_line] = STATE(2266),
    [sym_preproc_pragma] = STATE(2266),
    [sym_preproc_nullable] = STATE(2266),
    [sym_preproc_error] = STATE(2266),
    [sym_preproc_define] = STATE(2266),
    [sym_preproc_undef] = STATE(2266),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2361),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token3] = ACTIONS(3259),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2267] = {
    [sym_preproc_region] = STATE(2267),
    [sym_preproc_endregion] = STATE(2267),
    [sym_preproc_line] = STATE(2267),
    [sym_preproc_pragma] = STATE(2267),
    [sym_preproc_nullable] = STATE(2267),
    [sym_preproc_error] = STATE(2267),
    [sym_preproc_define] = STATE(2267),
    [sym_preproc_undef] = STATE(2267),
    [sym__identifier_token] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym_alias] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_global] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_unsafe] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_ref] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_delegate] = ACTIONS(3261),
    [anon_sym_record] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_file] = ACTIONS(3261),
    [anon_sym_fixed] = ACTIONS(3261),
    [anon_sym_internal] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_partial] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_required] = ACTIONS(3261),
    [anon_sym_sealed] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_where] = ACTIONS(3261),
    [anon_sym_notnull] = ACTIONS(3261),
    [anon_sym_unmanaged] = ACTIONS(3261),
    [anon_sym_checked] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_true] = ACTIONS(3261),
    [anon_sym_false] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_this] = ACTIONS(3261),
    [anon_sym_scoped] = ACTIONS(3261),
    [anon_sym_base] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [sym_predefined_type] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_unchecked] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_lock] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_when] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_foreach] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_else] = ACTIONS(3261),
    [anon_sym_DOT_DOT] = ACTIONS(3263),
    [anon_sym_from] = ACTIONS(3261),
    [anon_sym_into] = ACTIONS(3261),
    [anon_sym_join] = ACTIONS(3261),
    [anon_sym_on] = ACTIONS(3261),
    [anon_sym_equals] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_orderby] = ACTIONS(3261),
    [anon_sym_ascending] = ACTIONS(3261),
    [anon_sym_descending] = ACTIONS(3261),
    [anon_sym_group] = ACTIONS(3261),
    [anon_sym_by] = ACTIONS(3261),
    [anon_sym_select] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_stackalloc] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym___makeref] = ACTIONS(3261),
    [anon_sym___reftype] = ACTIONS(3261),
    [anon_sym___refvalue] = ACTIONS(3261),
    [sym_null_literal] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [sym_integer_literal] = ACTIONS(3261),
    [sym_real_literal] = ACTIONS(3263),
    [sym_verbatim_string_literal] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token3] = ACTIONS(3263),
    [aux_sym_preproc_else_token1] = ACTIONS(3263),
    [aux_sym_preproc_elif_token1] = ACTIONS(3263),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3263),
    [sym_interpolation_verbatim_start] = ACTIONS(3263),
    [sym_interpolation_raw_start] = ACTIONS(3263),
    [sym_raw_string_start] = ACTIONS(3263),
  },
  [2268] = {
    [sym_preproc_region] = STATE(2268),
    [sym_preproc_endregion] = STATE(2268),
    [sym_preproc_line] = STATE(2268),
    [sym_preproc_pragma] = STATE(2268),
    [sym_preproc_nullable] = STATE(2268),
    [sym_preproc_error] = STATE(2268),
    [sym_preproc_define] = STATE(2268),
    [sym_preproc_undef] = STATE(2268),
    [sym__identifier_token] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym_alias] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_global] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_unsafe] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_ref] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_delegate] = ACTIONS(3265),
    [anon_sym_record] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_file] = ACTIONS(3265),
    [anon_sym_fixed] = ACTIONS(3265),
    [anon_sym_internal] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_partial] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_required] = ACTIONS(3265),
    [anon_sym_sealed] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_where] = ACTIONS(3265),
    [anon_sym_notnull] = ACTIONS(3265),
    [anon_sym_unmanaged] = ACTIONS(3265),
    [anon_sym_checked] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_true] = ACTIONS(3265),
    [anon_sym_false] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_CARET] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_this] = ACTIONS(3265),
    [anon_sym_scoped] = ACTIONS(3265),
    [anon_sym_base] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [sym_predefined_type] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_unchecked] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_lock] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_when] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_foreach] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_else] = ACTIONS(3265),
    [anon_sym_DOT_DOT] = ACTIONS(3267),
    [anon_sym_from] = ACTIONS(3265),
    [anon_sym_into] = ACTIONS(3265),
    [anon_sym_join] = ACTIONS(3265),
    [anon_sym_on] = ACTIONS(3265),
    [anon_sym_equals] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_orderby] = ACTIONS(3265),
    [anon_sym_ascending] = ACTIONS(3265),
    [anon_sym_descending] = ACTIONS(3265),
    [anon_sym_group] = ACTIONS(3265),
    [anon_sym_by] = ACTIONS(3265),
    [anon_sym_select] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_stackalloc] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym___makeref] = ACTIONS(3265),
    [anon_sym___reftype] = ACTIONS(3265),
    [anon_sym___refvalue] = ACTIONS(3265),
    [sym_null_literal] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [sym_integer_literal] = ACTIONS(3265),
    [sym_real_literal] = ACTIONS(3267),
    [sym_verbatim_string_literal] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token3] = ACTIONS(3267),
    [aux_sym_preproc_else_token1] = ACTIONS(3267),
    [aux_sym_preproc_elif_token1] = ACTIONS(3267),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3267),
    [sym_interpolation_verbatim_start] = ACTIONS(3267),
    [sym_interpolation_raw_start] = ACTIONS(3267),
    [sym_raw_string_start] = ACTIONS(3267),
  },
  [2269] = {
    [sym_preproc_region] = STATE(2269),
    [sym_preproc_endregion] = STATE(2269),
    [sym_preproc_line] = STATE(2269),
    [sym_preproc_pragma] = STATE(2269),
    [sym_preproc_nullable] = STATE(2269),
    [sym_preproc_error] = STATE(2269),
    [sym_preproc_define] = STATE(2269),
    [sym_preproc_undef] = STATE(2269),
    [sym__identifier_token] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym_alias] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_global] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_unsafe] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_ref] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_delegate] = ACTIONS(3269),
    [anon_sym_record] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_file] = ACTIONS(3269),
    [anon_sym_fixed] = ACTIONS(3269),
    [anon_sym_internal] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_partial] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_required] = ACTIONS(3269),
    [anon_sym_sealed] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_notnull] = ACTIONS(3269),
    [anon_sym_unmanaged] = ACTIONS(3269),
    [anon_sym_checked] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_true] = ACTIONS(3269),
    [anon_sym_false] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_CARET] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_this] = ACTIONS(3269),
    [anon_sym_scoped] = ACTIONS(3269),
    [anon_sym_base] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [sym_predefined_type] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_unchecked] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_lock] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_foreach] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_DOT_DOT] = ACTIONS(3271),
    [anon_sym_from] = ACTIONS(3269),
    [anon_sym_into] = ACTIONS(3269),
    [anon_sym_join] = ACTIONS(3269),
    [anon_sym_on] = ACTIONS(3269),
    [anon_sym_equals] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_orderby] = ACTIONS(3269),
    [anon_sym_ascending] = ACTIONS(3269),
    [anon_sym_descending] = ACTIONS(3269),
    [anon_sym_group] = ACTIONS(3269),
    [anon_sym_by] = ACTIONS(3269),
    [anon_sym_select] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_stackalloc] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym___makeref] = ACTIONS(3269),
    [anon_sym___reftype] = ACTIONS(3269),
    [anon_sym___refvalue] = ACTIONS(3269),
    [sym_null_literal] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [sym_integer_literal] = ACTIONS(3269),
    [sym_real_literal] = ACTIONS(3271),
    [sym_verbatim_string_literal] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token3] = ACTIONS(3271),
    [aux_sym_preproc_else_token1] = ACTIONS(3271),
    [aux_sym_preproc_elif_token1] = ACTIONS(3271),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3271),
    [sym_interpolation_verbatim_start] = ACTIONS(3271),
    [sym_interpolation_raw_start] = ACTIONS(3271),
    [sym_raw_string_start] = ACTIONS(3271),
  },
  [2270] = {
    [sym_preproc_region] = STATE(2270),
    [sym_preproc_endregion] = STATE(2270),
    [sym_preproc_line] = STATE(2270),
    [sym_preproc_pragma] = STATE(2270),
    [sym_preproc_nullable] = STATE(2270),
    [sym_preproc_error] = STATE(2270),
    [sym_preproc_define] = STATE(2270),
    [sym_preproc_undef] = STATE(2270),
    [ts_builtin_sym_end] = ACTIONS(3045),
    [sym__identifier_token] = ACTIONS(3043),
    [anon_sym_extern] = ACTIONS(3043),
    [anon_sym_alias] = ACTIONS(3043),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_global] = ACTIONS(3043),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_unsafe] = ACTIONS(3043),
    [anon_sym_static] = ACTIONS(3043),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3043),
    [anon_sym_namespace] = ACTIONS(3043),
    [anon_sym_class] = ACTIONS(3043),
    [anon_sym_ref] = ACTIONS(3043),
    [anon_sym_struct] = ACTIONS(3043),
    [anon_sym_enum] = ACTIONS(3043),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_interface] = ACTIONS(3043),
    [anon_sym_delegate] = ACTIONS(3043),
    [anon_sym_record] = ACTIONS(3043),
    [anon_sym_abstract] = ACTIONS(3043),
    [anon_sym_async] = ACTIONS(3043),
    [anon_sym_const] = ACTIONS(3043),
    [anon_sym_file] = ACTIONS(3043),
    [anon_sym_fixed] = ACTIONS(3043),
    [anon_sym_internal] = ACTIONS(3043),
    [anon_sym_new] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3043),
    [anon_sym_partial] = ACTIONS(3043),
    [anon_sym_private] = ACTIONS(3043),
    [anon_sym_protected] = ACTIONS(3043),
    [anon_sym_public] = ACTIONS(3043),
    [anon_sym_readonly] = ACTIONS(3043),
    [anon_sym_required] = ACTIONS(3043),
    [anon_sym_sealed] = ACTIONS(3043),
    [anon_sym_virtual] = ACTIONS(3043),
    [anon_sym_volatile] = ACTIONS(3043),
    [anon_sym_where] = ACTIONS(3043),
    [anon_sym_notnull] = ACTIONS(3043),
    [anon_sym_unmanaged] = ACTIONS(3043),
    [anon_sym_checked] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3045),
    [anon_sym_TILDE] = ACTIONS(3045),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_true] = ACTIONS(3043),
    [anon_sym_false] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_this] = ACTIONS(3043),
    [anon_sym_scoped] = ACTIONS(3043),
    [anon_sym_base] = ACTIONS(3043),
    [anon_sym_var] = ACTIONS(3043),
    [sym_predefined_type] = ACTIONS(3043),
    [anon_sym_break] = ACTIONS(3043),
    [anon_sym_unchecked] = ACTIONS(3043),
    [anon_sym_continue] = ACTIONS(3043),
    [anon_sym_do] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(3043),
    [anon_sym_for] = ACTIONS(3043),
    [anon_sym_lock] = ACTIONS(3043),
    [anon_sym_yield] = ACTIONS(3043),
    [anon_sym_switch] = ACTIONS(3043),
    [anon_sym_default] = ACTIONS(3043),
    [anon_sym_throw] = ACTIONS(3043),
    [anon_sym_try] = ACTIONS(3043),
    [anon_sym_catch] = ACTIONS(3043),
    [anon_sym_when] = ACTIONS(3043),
    [anon_sym_finally] = ACTIONS(3043),
    [anon_sym_await] = ACTIONS(3043),
    [anon_sym_foreach] = ACTIONS(3043),
    [anon_sym_goto] = ACTIONS(3043),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_else] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_from] = ACTIONS(3043),
    [anon_sym_into] = ACTIONS(3043),
    [anon_sym_join] = ACTIONS(3043),
    [anon_sym_on] = ACTIONS(3043),
    [anon_sym_equals] = ACTIONS(3043),
    [anon_sym_let] = ACTIONS(3043),
    [anon_sym_orderby] = ACTIONS(3043),
    [anon_sym_ascending] = ACTIONS(3043),
    [anon_sym_descending] = ACTIONS(3043),
    [anon_sym_group] = ACTIONS(3043),
    [anon_sym_by] = ACTIONS(3043),
    [anon_sym_select] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3045),
    [anon_sym_stackalloc] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3043),
    [anon_sym___makeref] = ACTIONS(3043),
    [anon_sym___reftype] = ACTIONS(3043),
    [anon_sym___refvalue] = ACTIONS(3043),
    [sym_null_literal] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3045),
    [sym_integer_literal] = ACTIONS(3043),
    [sym_real_literal] = ACTIONS(3045),
    [sym_verbatim_string_literal] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3045),
    [sym_interpolation_verbatim_start] = ACTIONS(3045),
    [sym_interpolation_raw_start] = ACTIONS(3045),
    [sym_raw_string_start] = ACTIONS(3045),
  },
  [2271] = {
    [sym_preproc_region] = STATE(2271),
    [sym_preproc_endregion] = STATE(2271),
    [sym_preproc_line] = STATE(2271),
    [sym_preproc_pragma] = STATE(2271),
    [sym_preproc_nullable] = STATE(2271),
    [sym_preproc_error] = STATE(2271),
    [sym_preproc_define] = STATE(2271),
    [sym_preproc_undef] = STATE(2271),
    [sym__identifier_token] = ACTIONS(3273),
    [anon_sym_extern] = ACTIONS(3273),
    [anon_sym_alias] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_global] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_unsafe] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_ref] = ACTIONS(3273),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_delegate] = ACTIONS(3273),
    [anon_sym_record] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_file] = ACTIONS(3273),
    [anon_sym_fixed] = ACTIONS(3273),
    [anon_sym_internal] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_partial] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_required] = ACTIONS(3273),
    [anon_sym_sealed] = ACTIONS(3273),
    [anon_sym_virtual] = ACTIONS(3273),
    [anon_sym_volatile] = ACTIONS(3273),
    [anon_sym_where] = ACTIONS(3273),
    [anon_sym_notnull] = ACTIONS(3273),
    [anon_sym_unmanaged] = ACTIONS(3273),
    [anon_sym_checked] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [anon_sym_true] = ACTIONS(3273),
    [anon_sym_false] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3275),
    [anon_sym_CARET] = ACTIONS(3275),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym_this] = ACTIONS(3273),
    [anon_sym_scoped] = ACTIONS(3273),
    [anon_sym_base] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [sym_predefined_type] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_unchecked] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_lock] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_when] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_foreach] = ACTIONS(3273),
    [anon_sym_goto] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_from] = ACTIONS(3273),
    [anon_sym_into] = ACTIONS(3273),
    [anon_sym_join] = ACTIONS(3273),
    [anon_sym_on] = ACTIONS(3273),
    [anon_sym_equals] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_orderby] = ACTIONS(3273),
    [anon_sym_ascending] = ACTIONS(3273),
    [anon_sym_descending] = ACTIONS(3273),
    [anon_sym_group] = ACTIONS(3273),
    [anon_sym_by] = ACTIONS(3273),
    [anon_sym_select] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_stackalloc] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym___makeref] = ACTIONS(3273),
    [anon_sym___reftype] = ACTIONS(3273),
    [anon_sym___refvalue] = ACTIONS(3273),
    [sym_null_literal] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [sym_integer_literal] = ACTIONS(3273),
    [sym_real_literal] = ACTIONS(3275),
    [sym_verbatim_string_literal] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token3] = ACTIONS(3275),
    [aux_sym_preproc_else_token1] = ACTIONS(3275),
    [aux_sym_preproc_elif_token1] = ACTIONS(3275),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3275),
    [sym_interpolation_verbatim_start] = ACTIONS(3275),
    [sym_interpolation_raw_start] = ACTIONS(3275),
    [sym_raw_string_start] = ACTIONS(3275),
  },
  [2272] = {
    [sym_preproc_region] = STATE(2272),
    [sym_preproc_endregion] = STATE(2272),
    [sym_preproc_line] = STATE(2272),
    [sym_preproc_pragma] = STATE(2272),
    [sym_preproc_nullable] = STATE(2272),
    [sym_preproc_error] = STATE(2272),
    [sym_preproc_define] = STATE(2272),
    [sym_preproc_undef] = STATE(2272),
    [sym__identifier_token] = ACTIONS(3277),
    [anon_sym_extern] = ACTIONS(3277),
    [anon_sym_alias] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_global] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_unsafe] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_ref] = ACTIONS(3277),
    [anon_sym_struct] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_delegate] = ACTIONS(3277),
    [anon_sym_record] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_file] = ACTIONS(3277),
    [anon_sym_fixed] = ACTIONS(3277),
    [anon_sym_internal] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_partial] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_required] = ACTIONS(3277),
    [anon_sym_sealed] = ACTIONS(3277),
    [anon_sym_virtual] = ACTIONS(3277),
    [anon_sym_volatile] = ACTIONS(3277),
    [anon_sym_where] = ACTIONS(3277),
    [anon_sym_notnull] = ACTIONS(3277),
    [anon_sym_unmanaged] = ACTIONS(3277),
    [anon_sym_checked] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_true] = ACTIONS(3277),
    [anon_sym_false] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_STAR] = ACTIONS(3279),
    [anon_sym_CARET] = ACTIONS(3279),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym_this] = ACTIONS(3277),
    [anon_sym_scoped] = ACTIONS(3277),
    [anon_sym_base] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [sym_predefined_type] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_unchecked] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_lock] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_when] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_foreach] = ACTIONS(3277),
    [anon_sym_goto] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_DOT_DOT] = ACTIONS(3279),
    [anon_sym_from] = ACTIONS(3277),
    [anon_sym_into] = ACTIONS(3277),
    [anon_sym_join] = ACTIONS(3277),
    [anon_sym_on] = ACTIONS(3277),
    [anon_sym_equals] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_orderby] = ACTIONS(3277),
    [anon_sym_ascending] = ACTIONS(3277),
    [anon_sym_descending] = ACTIONS(3277),
    [anon_sym_group] = ACTIONS(3277),
    [anon_sym_by] = ACTIONS(3277),
    [anon_sym_select] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_stackalloc] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym___makeref] = ACTIONS(3277),
    [anon_sym___reftype] = ACTIONS(3277),
    [anon_sym___refvalue] = ACTIONS(3277),
    [sym_null_literal] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [sym_integer_literal] = ACTIONS(3277),
    [sym_real_literal] = ACTIONS(3279),
    [sym_verbatim_string_literal] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token3] = ACTIONS(3279),
    [aux_sym_preproc_else_token1] = ACTIONS(3279),
    [aux_sym_preproc_elif_token1] = ACTIONS(3279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3279),
    [sym_interpolation_verbatim_start] = ACTIONS(3279),
    [sym_interpolation_raw_start] = ACTIONS(3279),
    [sym_raw_string_start] = ACTIONS(3279),
  },
  [2273] = {
    [sym_preproc_region] = STATE(2273),
    [sym_preproc_endregion] = STATE(2273),
    [sym_preproc_line] = STATE(2273),
    [sym_preproc_pragma] = STATE(2273),
    [sym_preproc_nullable] = STATE(2273),
    [sym_preproc_error] = STATE(2273),
    [sym_preproc_define] = STATE(2273),
    [sym_preproc_undef] = STATE(2273),
    [sym__identifier_token] = ACTIONS(3281),
    [anon_sym_extern] = ACTIONS(3281),
    [anon_sym_alias] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_global] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_unsafe] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_ref] = ACTIONS(3281),
    [anon_sym_struct] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_delegate] = ACTIONS(3281),
    [anon_sym_record] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_file] = ACTIONS(3281),
    [anon_sym_fixed] = ACTIONS(3281),
    [anon_sym_internal] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_partial] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_required] = ACTIONS(3281),
    [anon_sym_sealed] = ACTIONS(3281),
    [anon_sym_virtual] = ACTIONS(3281),
    [anon_sym_volatile] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_notnull] = ACTIONS(3281),
    [anon_sym_unmanaged] = ACTIONS(3281),
    [anon_sym_checked] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_true] = ACTIONS(3281),
    [anon_sym_false] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_CARET] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_this] = ACTIONS(3281),
    [anon_sym_scoped] = ACTIONS(3281),
    [anon_sym_base] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [sym_predefined_type] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_unchecked] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_lock] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_foreach] = ACTIONS(3281),
    [anon_sym_goto] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_DOT_DOT] = ACTIONS(3283),
    [anon_sym_from] = ACTIONS(3281),
    [anon_sym_into] = ACTIONS(3281),
    [anon_sym_join] = ACTIONS(3281),
    [anon_sym_on] = ACTIONS(3281),
    [anon_sym_equals] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_orderby] = ACTIONS(3281),
    [anon_sym_ascending] = ACTIONS(3281),
    [anon_sym_descending] = ACTIONS(3281),
    [anon_sym_group] = ACTIONS(3281),
    [anon_sym_by] = ACTIONS(3281),
    [anon_sym_select] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_stackalloc] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym___makeref] = ACTIONS(3281),
    [anon_sym___reftype] = ACTIONS(3281),
    [anon_sym___refvalue] = ACTIONS(3281),
    [sym_null_literal] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [sym_integer_literal] = ACTIONS(3281),
    [sym_real_literal] = ACTIONS(3283),
    [sym_verbatim_string_literal] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token3] = ACTIONS(3283),
    [aux_sym_preproc_else_token1] = ACTIONS(3283),
    [aux_sym_preproc_elif_token1] = ACTIONS(3283),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3283),
    [sym_interpolation_verbatim_start] = ACTIONS(3283),
    [sym_interpolation_raw_start] = ACTIONS(3283),
    [sym_raw_string_start] = ACTIONS(3283),
  },
  [2274] = {
    [sym_preproc_region] = STATE(2274),
    [sym_preproc_endregion] = STATE(2274),
    [sym_preproc_line] = STATE(2274),
    [sym_preproc_pragma] = STATE(2274),
    [sym_preproc_nullable] = STATE(2274),
    [sym_preproc_error] = STATE(2274),
    [sym_preproc_define] = STATE(2274),
    [sym_preproc_undef] = STATE(2274),
    [sym__identifier_token] = ACTIONS(3285),
    [anon_sym_extern] = ACTIONS(3285),
    [anon_sym_alias] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_global] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_unsafe] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_ref] = ACTIONS(3285),
    [anon_sym_struct] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_delegate] = ACTIONS(3285),
    [anon_sym_record] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_file] = ACTIONS(3285),
    [anon_sym_fixed] = ACTIONS(3285),
    [anon_sym_internal] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_partial] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_required] = ACTIONS(3285),
    [anon_sym_sealed] = ACTIONS(3285),
    [anon_sym_virtual] = ACTIONS(3285),
    [anon_sym_volatile] = ACTIONS(3285),
    [anon_sym_where] = ACTIONS(3285),
    [anon_sym_notnull] = ACTIONS(3285),
    [anon_sym_unmanaged] = ACTIONS(3285),
    [anon_sym_checked] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_true] = ACTIONS(3285),
    [anon_sym_false] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_CARET] = ACTIONS(3287),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_this] = ACTIONS(3285),
    [anon_sym_scoped] = ACTIONS(3285),
    [anon_sym_base] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [sym_predefined_type] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_unchecked] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_lock] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_when] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_foreach] = ACTIONS(3285),
    [anon_sym_goto] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_DOT_DOT] = ACTIONS(3287),
    [anon_sym_from] = ACTIONS(3285),
    [anon_sym_into] = ACTIONS(3285),
    [anon_sym_join] = ACTIONS(3285),
    [anon_sym_on] = ACTIONS(3285),
    [anon_sym_equals] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_orderby] = ACTIONS(3285),
    [anon_sym_ascending] = ACTIONS(3285),
    [anon_sym_descending] = ACTIONS(3285),
    [anon_sym_group] = ACTIONS(3285),
    [anon_sym_by] = ACTIONS(3285),
    [anon_sym_select] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_stackalloc] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym___makeref] = ACTIONS(3285),
    [anon_sym___reftype] = ACTIONS(3285),
    [anon_sym___refvalue] = ACTIONS(3285),
    [sym_null_literal] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [sym_integer_literal] = ACTIONS(3285),
    [sym_real_literal] = ACTIONS(3287),
    [sym_verbatim_string_literal] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token3] = ACTIONS(3287),
    [aux_sym_preproc_else_token1] = ACTIONS(3287),
    [aux_sym_preproc_elif_token1] = ACTIONS(3287),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3287),
    [sym_interpolation_verbatim_start] = ACTIONS(3287),
    [sym_interpolation_raw_start] = ACTIONS(3287),
    [sym_raw_string_start] = ACTIONS(3287),
  },
  [2275] = {
    [sym_preproc_region] = STATE(2275),
    [sym_preproc_endregion] = STATE(2275),
    [sym_preproc_line] = STATE(2275),
    [sym_preproc_pragma] = STATE(2275),
    [sym_preproc_nullable] = STATE(2275),
    [sym_preproc_error] = STATE(2275),
    [sym_preproc_define] = STATE(2275),
    [sym_preproc_undef] = STATE(2275),
    [sym__identifier_token] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym_alias] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_global] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_unsafe] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_ref] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_delegate] = ACTIONS(3289),
    [anon_sym_record] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_file] = ACTIONS(3289),
    [anon_sym_fixed] = ACTIONS(3289),
    [anon_sym_internal] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_partial] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_required] = ACTIONS(3289),
    [anon_sym_sealed] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_where] = ACTIONS(3289),
    [anon_sym_notnull] = ACTIONS(3289),
    [anon_sym_unmanaged] = ACTIONS(3289),
    [anon_sym_checked] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_true] = ACTIONS(3289),
    [anon_sym_false] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym_this] = ACTIONS(3289),
    [anon_sym_scoped] = ACTIONS(3289),
    [anon_sym_base] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [sym_predefined_type] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_unchecked] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_lock] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_when] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_foreach] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_DOT_DOT] = ACTIONS(3291),
    [anon_sym_from] = ACTIONS(3289),
    [anon_sym_into] = ACTIONS(3289),
    [anon_sym_join] = ACTIONS(3289),
    [anon_sym_on] = ACTIONS(3289),
    [anon_sym_equals] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_orderby] = ACTIONS(3289),
    [anon_sym_ascending] = ACTIONS(3289),
    [anon_sym_descending] = ACTIONS(3289),
    [anon_sym_group] = ACTIONS(3289),
    [anon_sym_by] = ACTIONS(3289),
    [anon_sym_select] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_stackalloc] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym___makeref] = ACTIONS(3289),
    [anon_sym___reftype] = ACTIONS(3289),
    [anon_sym___refvalue] = ACTIONS(3289),
    [sym_null_literal] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [sym_integer_literal] = ACTIONS(3289),
    [sym_real_literal] = ACTIONS(3291),
    [sym_verbatim_string_literal] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token3] = ACTIONS(3291),
    [aux_sym_preproc_else_token1] = ACTIONS(3291),
    [aux_sym_preproc_elif_token1] = ACTIONS(3291),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3291),
    [sym_interpolation_verbatim_start] = ACTIONS(3291),
    [sym_interpolation_raw_start] = ACTIONS(3291),
    [sym_raw_string_start] = ACTIONS(3291),
  },
  [2276] = {
    [sym_preproc_region] = STATE(2276),
    [sym_preproc_endregion] = STATE(2276),
    [sym_preproc_line] = STATE(2276),
    [sym_preproc_pragma] = STATE(2276),
    [sym_preproc_nullable] = STATE(2276),
    [sym_preproc_error] = STATE(2276),
    [sym_preproc_define] = STATE(2276),
    [sym_preproc_undef] = STATE(2276),
    [sym__identifier_token] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym_alias] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_global] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_unsafe] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_ref] = ACTIONS(3293),
    [anon_sym_struct] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_delegate] = ACTIONS(3293),
    [anon_sym_record] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_file] = ACTIONS(3293),
    [anon_sym_fixed] = ACTIONS(3293),
    [anon_sym_internal] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_partial] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_required] = ACTIONS(3293),
    [anon_sym_sealed] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_where] = ACTIONS(3293),
    [anon_sym_notnull] = ACTIONS(3293),
    [anon_sym_unmanaged] = ACTIONS(3293),
    [anon_sym_checked] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(3293),
    [anon_sym_false] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym_this] = ACTIONS(3293),
    [anon_sym_scoped] = ACTIONS(3293),
    [anon_sym_base] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [sym_predefined_type] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_unchecked] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_lock] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_when] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_foreach] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_DOT_DOT] = ACTIONS(3295),
    [anon_sym_from] = ACTIONS(3293),
    [anon_sym_into] = ACTIONS(3293),
    [anon_sym_join] = ACTIONS(3293),
    [anon_sym_on] = ACTIONS(3293),
    [anon_sym_equals] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_orderby] = ACTIONS(3293),
    [anon_sym_ascending] = ACTIONS(3293),
    [anon_sym_descending] = ACTIONS(3293),
    [anon_sym_group] = ACTIONS(3293),
    [anon_sym_by] = ACTIONS(3293),
    [anon_sym_select] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_stackalloc] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym___makeref] = ACTIONS(3293),
    [anon_sym___reftype] = ACTIONS(3293),
    [anon_sym___refvalue] = ACTIONS(3293),
    [sym_null_literal] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [sym_integer_literal] = ACTIONS(3293),
    [sym_real_literal] = ACTIONS(3295),
    [sym_verbatim_string_literal] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token3] = ACTIONS(3295),
    [aux_sym_preproc_else_token1] = ACTIONS(3295),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3295),
    [sym_interpolation_verbatim_start] = ACTIONS(3295),
    [sym_interpolation_raw_start] = ACTIONS(3295),
    [sym_raw_string_start] = ACTIONS(3295),
  },
  [2277] = {
    [sym_preproc_region] = STATE(2277),
    [sym_preproc_endregion] = STATE(2277),
    [sym_preproc_line] = STATE(2277),
    [sym_preproc_pragma] = STATE(2277),
    [sym_preproc_nullable] = STATE(2277),
    [sym_preproc_error] = STATE(2277),
    [sym_preproc_define] = STATE(2277),
    [sym_preproc_undef] = STATE(2277),
    [sym__identifier_token] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym_alias] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_global] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_unsafe] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_ref] = ACTIONS(3297),
    [anon_sym_struct] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_delegate] = ACTIONS(3297),
    [anon_sym_record] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_file] = ACTIONS(3297),
    [anon_sym_fixed] = ACTIONS(3297),
    [anon_sym_internal] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_partial] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_required] = ACTIONS(3297),
    [anon_sym_sealed] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_where] = ACTIONS(3297),
    [anon_sym_notnull] = ACTIONS(3297),
    [anon_sym_unmanaged] = ACTIONS(3297),
    [anon_sym_checked] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_true] = ACTIONS(3297),
    [anon_sym_false] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym_this] = ACTIONS(3297),
    [anon_sym_scoped] = ACTIONS(3297),
    [anon_sym_base] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [sym_predefined_type] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_unchecked] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_lock] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_when] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_foreach] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_DOT_DOT] = ACTIONS(3299),
    [anon_sym_from] = ACTIONS(3297),
    [anon_sym_into] = ACTIONS(3297),
    [anon_sym_join] = ACTIONS(3297),
    [anon_sym_on] = ACTIONS(3297),
    [anon_sym_equals] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_orderby] = ACTIONS(3297),
    [anon_sym_ascending] = ACTIONS(3297),
    [anon_sym_descending] = ACTIONS(3297),
    [anon_sym_group] = ACTIONS(3297),
    [anon_sym_by] = ACTIONS(3297),
    [anon_sym_select] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_stackalloc] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym___makeref] = ACTIONS(3297),
    [anon_sym___reftype] = ACTIONS(3297),
    [anon_sym___refvalue] = ACTIONS(3297),
    [sym_null_literal] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [sym_integer_literal] = ACTIONS(3297),
    [sym_real_literal] = ACTIONS(3299),
    [sym_verbatim_string_literal] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token3] = ACTIONS(3299),
    [aux_sym_preproc_else_token1] = ACTIONS(3299),
    [aux_sym_preproc_elif_token1] = ACTIONS(3299),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3299),
    [sym_interpolation_verbatim_start] = ACTIONS(3299),
    [sym_interpolation_raw_start] = ACTIONS(3299),
    [sym_raw_string_start] = ACTIONS(3299),
  },
  [2278] = {
    [sym_preproc_region] = STATE(2278),
    [sym_preproc_endregion] = STATE(2278),
    [sym_preproc_line] = STATE(2278),
    [sym_preproc_pragma] = STATE(2278),
    [sym_preproc_nullable] = STATE(2278),
    [sym_preproc_error] = STATE(2278),
    [sym_preproc_define] = STATE(2278),
    [sym_preproc_undef] = STATE(2278),
    [sym__identifier_token] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym_alias] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_global] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_unsafe] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_ref] = ACTIONS(3301),
    [anon_sym_struct] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_delegate] = ACTIONS(3301),
    [anon_sym_record] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_file] = ACTIONS(3301),
    [anon_sym_fixed] = ACTIONS(3301),
    [anon_sym_internal] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_partial] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_required] = ACTIONS(3301),
    [anon_sym_sealed] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_where] = ACTIONS(3301),
    [anon_sym_notnull] = ACTIONS(3301),
    [anon_sym_unmanaged] = ACTIONS(3301),
    [anon_sym_checked] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_true] = ACTIONS(3301),
    [anon_sym_false] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_this] = ACTIONS(3301),
    [anon_sym_scoped] = ACTIONS(3301),
    [anon_sym_base] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [sym_predefined_type] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_unchecked] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_lock] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_when] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_foreach] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_else] = ACTIONS(3301),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_from] = ACTIONS(3301),
    [anon_sym_into] = ACTIONS(3301),
    [anon_sym_join] = ACTIONS(3301),
    [anon_sym_on] = ACTIONS(3301),
    [anon_sym_equals] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_orderby] = ACTIONS(3301),
    [anon_sym_ascending] = ACTIONS(3301),
    [anon_sym_descending] = ACTIONS(3301),
    [anon_sym_group] = ACTIONS(3301),
    [anon_sym_by] = ACTIONS(3301),
    [anon_sym_select] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_stackalloc] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym___makeref] = ACTIONS(3301),
    [anon_sym___reftype] = ACTIONS(3301),
    [anon_sym___refvalue] = ACTIONS(3301),
    [sym_null_literal] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [sym_integer_literal] = ACTIONS(3301),
    [sym_real_literal] = ACTIONS(3303),
    [sym_verbatim_string_literal] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token3] = ACTIONS(3303),
    [aux_sym_preproc_else_token1] = ACTIONS(3303),
    [aux_sym_preproc_elif_token1] = ACTIONS(3303),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3303),
    [sym_interpolation_verbatim_start] = ACTIONS(3303),
    [sym_interpolation_raw_start] = ACTIONS(3303),
    [sym_raw_string_start] = ACTIONS(3303),
  },
  [2279] = {
    [sym_preproc_region] = STATE(2279),
    [sym_preproc_endregion] = STATE(2279),
    [sym_preproc_line] = STATE(2279),
    [sym_preproc_pragma] = STATE(2279),
    [sym_preproc_nullable] = STATE(2279),
    [sym_preproc_error] = STATE(2279),
    [sym_preproc_define] = STATE(2279),
    [sym_preproc_undef] = STATE(2279),
    [sym__identifier_token] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym_alias] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_global] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_unsafe] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_ref] = ACTIONS(3305),
    [anon_sym_struct] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_delegate] = ACTIONS(3305),
    [anon_sym_record] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_file] = ACTIONS(3305),
    [anon_sym_fixed] = ACTIONS(3305),
    [anon_sym_internal] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_partial] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_required] = ACTIONS(3305),
    [anon_sym_sealed] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_where] = ACTIONS(3305),
    [anon_sym_notnull] = ACTIONS(3305),
    [anon_sym_unmanaged] = ACTIONS(3305),
    [anon_sym_checked] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3305),
    [anon_sym_false] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_CARET] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3307),
    [anon_sym_this] = ACTIONS(3305),
    [anon_sym_scoped] = ACTIONS(3305),
    [anon_sym_base] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [sym_predefined_type] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_unchecked] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_lock] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_when] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_foreach] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_else] = ACTIONS(3305),
    [anon_sym_DOT_DOT] = ACTIONS(3307),
    [anon_sym_from] = ACTIONS(3305),
    [anon_sym_into] = ACTIONS(3305),
    [anon_sym_join] = ACTIONS(3305),
    [anon_sym_on] = ACTIONS(3305),
    [anon_sym_equals] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_orderby] = ACTIONS(3305),
    [anon_sym_ascending] = ACTIONS(3305),
    [anon_sym_descending] = ACTIONS(3305),
    [anon_sym_group] = ACTIONS(3305),
    [anon_sym_by] = ACTIONS(3305),
    [anon_sym_select] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_stackalloc] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym___makeref] = ACTIONS(3305),
    [anon_sym___reftype] = ACTIONS(3305),
    [anon_sym___refvalue] = ACTIONS(3305),
    [sym_null_literal] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [sym_integer_literal] = ACTIONS(3305),
    [sym_real_literal] = ACTIONS(3307),
    [sym_verbatim_string_literal] = ACTIONS(3307),
    [aux_sym_preproc_if_token1] = ACTIONS(3307),
    [aux_sym_preproc_if_token3] = ACTIONS(3307),
    [aux_sym_preproc_else_token1] = ACTIONS(3307),
    [aux_sym_preproc_elif_token1] = ACTIONS(3307),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3307),
    [sym_interpolation_verbatim_start] = ACTIONS(3307),
    [sym_interpolation_raw_start] = ACTIONS(3307),
    [sym_raw_string_start] = ACTIONS(3307),
  },
  [2280] = {
    [sym_preproc_region] = STATE(2280),
    [sym_preproc_endregion] = STATE(2280),
    [sym_preproc_line] = STATE(2280),
    [sym_preproc_pragma] = STATE(2280),
    [sym_preproc_nullable] = STATE(2280),
    [sym_preproc_error] = STATE(2280),
    [sym_preproc_define] = STATE(2280),
    [sym_preproc_undef] = STATE(2280),
    [sym__identifier_token] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym_alias] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_global] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_unsafe] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_ref] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_delegate] = ACTIONS(3309),
    [anon_sym_record] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_file] = ACTIONS(3309),
    [anon_sym_fixed] = ACTIONS(3309),
    [anon_sym_internal] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_partial] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_sealed] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_where] = ACTIONS(3309),
    [anon_sym_notnull] = ACTIONS(3309),
    [anon_sym_unmanaged] = ACTIONS(3309),
    [anon_sym_checked] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_CARET] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3311),
    [anon_sym_this] = ACTIONS(3309),
    [anon_sym_scoped] = ACTIONS(3309),
    [anon_sym_base] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [sym_predefined_type] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_unchecked] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_lock] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_when] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_foreach] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_DOT_DOT] = ACTIONS(3311),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_into] = ACTIONS(3309),
    [anon_sym_join] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_equals] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_orderby] = ACTIONS(3309),
    [anon_sym_ascending] = ACTIONS(3309),
    [anon_sym_descending] = ACTIONS(3309),
    [anon_sym_group] = ACTIONS(3309),
    [anon_sym_by] = ACTIONS(3309),
    [anon_sym_select] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_stackalloc] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym___makeref] = ACTIONS(3309),
    [anon_sym___reftype] = ACTIONS(3309),
    [anon_sym___refvalue] = ACTIONS(3309),
    [sym_null_literal] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [sym_integer_literal] = ACTIONS(3309),
    [sym_real_literal] = ACTIONS(3311),
    [sym_verbatim_string_literal] = ACTIONS(3311),
    [aux_sym_preproc_if_token1] = ACTIONS(3311),
    [aux_sym_preproc_if_token3] = ACTIONS(3311),
    [aux_sym_preproc_else_token1] = ACTIONS(3311),
    [aux_sym_preproc_elif_token1] = ACTIONS(3311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3311),
    [sym_interpolation_verbatim_start] = ACTIONS(3311),
    [sym_interpolation_raw_start] = ACTIONS(3311),
    [sym_raw_string_start] = ACTIONS(3311),
  },
  [2281] = {
    [sym_preproc_region] = STATE(2281),
    [sym_preproc_endregion] = STATE(2281),
    [sym_preproc_line] = STATE(2281),
    [sym_preproc_pragma] = STATE(2281),
    [sym_preproc_nullable] = STATE(2281),
    [sym_preproc_error] = STATE(2281),
    [sym_preproc_define] = STATE(2281),
    [sym_preproc_undef] = STATE(2281),
    [sym__identifier_token] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym_alias] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_global] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_unsafe] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_ref] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_delegate] = ACTIONS(3313),
    [anon_sym_record] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_file] = ACTIONS(3313),
    [anon_sym_fixed] = ACTIONS(3313),
    [anon_sym_internal] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_partial] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_required] = ACTIONS(3313),
    [anon_sym_sealed] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_where] = ACTIONS(3313),
    [anon_sym_notnull] = ACTIONS(3313),
    [anon_sym_unmanaged] = ACTIONS(3313),
    [anon_sym_checked] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_true] = ACTIONS(3313),
    [anon_sym_false] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_CARET] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_this] = ACTIONS(3313),
    [anon_sym_scoped] = ACTIONS(3313),
    [anon_sym_base] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [sym_predefined_type] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_unchecked] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_lock] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_when] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_foreach] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_DOT_DOT] = ACTIONS(3315),
    [anon_sym_from] = ACTIONS(3313),
    [anon_sym_into] = ACTIONS(3313),
    [anon_sym_join] = ACTIONS(3313),
    [anon_sym_on] = ACTIONS(3313),
    [anon_sym_equals] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_orderby] = ACTIONS(3313),
    [anon_sym_ascending] = ACTIONS(3313),
    [anon_sym_descending] = ACTIONS(3313),
    [anon_sym_group] = ACTIONS(3313),
    [anon_sym_by] = ACTIONS(3313),
    [anon_sym_select] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_stackalloc] = ACTIONS(3313),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym___makeref] = ACTIONS(3313),
    [anon_sym___reftype] = ACTIONS(3313),
    [anon_sym___refvalue] = ACTIONS(3313),
    [sym_null_literal] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [sym_integer_literal] = ACTIONS(3313),
    [sym_real_literal] = ACTIONS(3315),
    [sym_verbatim_string_literal] = ACTIONS(3315),
    [aux_sym_preproc_if_token1] = ACTIONS(3315),
    [aux_sym_preproc_if_token3] = ACTIONS(3315),
    [aux_sym_preproc_else_token1] = ACTIONS(3315),
    [aux_sym_preproc_elif_token1] = ACTIONS(3315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3315),
    [sym_interpolation_verbatim_start] = ACTIONS(3315),
    [sym_interpolation_raw_start] = ACTIONS(3315),
    [sym_raw_string_start] = ACTIONS(3315),
  },
  [2282] = {
    [sym_preproc_region] = STATE(2282),
    [sym_preproc_endregion] = STATE(2282),
    [sym_preproc_line] = STATE(2282),
    [sym_preproc_pragma] = STATE(2282),
    [sym_preproc_nullable] = STATE(2282),
    [sym_preproc_error] = STATE(2282),
    [sym_preproc_define] = STATE(2282),
    [sym_preproc_undef] = STATE(2282),
    [sym__identifier_token] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym_alias] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_global] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_unsafe] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_ref] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_delegate] = ACTIONS(3317),
    [anon_sym_record] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_file] = ACTIONS(3317),
    [anon_sym_fixed] = ACTIONS(3317),
    [anon_sym_internal] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_partial] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_required] = ACTIONS(3317),
    [anon_sym_sealed] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_where] = ACTIONS(3317),
    [anon_sym_notnull] = ACTIONS(3317),
    [anon_sym_unmanaged] = ACTIONS(3317),
    [anon_sym_checked] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_true] = ACTIONS(3317),
    [anon_sym_false] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3319),
    [anon_sym_this] = ACTIONS(3317),
    [anon_sym_scoped] = ACTIONS(3317),
    [anon_sym_base] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [sym_predefined_type] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_unchecked] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_lock] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_when] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_foreach] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_DOT_DOT] = ACTIONS(3319),
    [anon_sym_from] = ACTIONS(3317),
    [anon_sym_into] = ACTIONS(3317),
    [anon_sym_join] = ACTIONS(3317),
    [anon_sym_on] = ACTIONS(3317),
    [anon_sym_equals] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_orderby] = ACTIONS(3317),
    [anon_sym_ascending] = ACTIONS(3317),
    [anon_sym_descending] = ACTIONS(3317),
    [anon_sym_group] = ACTIONS(3317),
    [anon_sym_by] = ACTIONS(3317),
    [anon_sym_select] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_stackalloc] = ACTIONS(3317),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym___makeref] = ACTIONS(3317),
    [anon_sym___reftype] = ACTIONS(3317),
    [anon_sym___refvalue] = ACTIONS(3317),
    [sym_null_literal] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [sym_integer_literal] = ACTIONS(3317),
    [sym_real_literal] = ACTIONS(3319),
    [sym_verbatim_string_literal] = ACTIONS(3319),
    [aux_sym_preproc_if_token1] = ACTIONS(3319),
    [aux_sym_preproc_if_token3] = ACTIONS(3319),
    [aux_sym_preproc_else_token1] = ACTIONS(3319),
    [aux_sym_preproc_elif_token1] = ACTIONS(3319),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3319),
    [sym_interpolation_verbatim_start] = ACTIONS(3319),
    [sym_interpolation_raw_start] = ACTIONS(3319),
    [sym_raw_string_start] = ACTIONS(3319),
  },
  [2283] = {
    [sym_preproc_region] = STATE(2283),
    [sym_preproc_endregion] = STATE(2283),
    [sym_preproc_line] = STATE(2283),
    [sym_preproc_pragma] = STATE(2283),
    [sym_preproc_nullable] = STATE(2283),
    [sym_preproc_error] = STATE(2283),
    [sym_preproc_define] = STATE(2283),
    [sym_preproc_undef] = STATE(2283),
    [sym__identifier_token] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym_alias] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_global] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_unsafe] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_ref] = ACTIONS(3321),
    [anon_sym_struct] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_delegate] = ACTIONS(3321),
    [anon_sym_record] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_file] = ACTIONS(3321),
    [anon_sym_fixed] = ACTIONS(3321),
    [anon_sym_internal] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_partial] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_required] = ACTIONS(3321),
    [anon_sym_sealed] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_where] = ACTIONS(3321),
    [anon_sym_notnull] = ACTIONS(3321),
    [anon_sym_unmanaged] = ACTIONS(3321),
    [anon_sym_checked] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_true] = ACTIONS(3321),
    [anon_sym_false] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_CARET] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_this] = ACTIONS(3321),
    [anon_sym_scoped] = ACTIONS(3321),
    [anon_sym_base] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [sym_predefined_type] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_unchecked] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_lock] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_when] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_foreach] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_DOT_DOT] = ACTIONS(3323),
    [anon_sym_from] = ACTIONS(3321),
    [anon_sym_into] = ACTIONS(3321),
    [anon_sym_join] = ACTIONS(3321),
    [anon_sym_on] = ACTIONS(3321),
    [anon_sym_equals] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_orderby] = ACTIONS(3321),
    [anon_sym_ascending] = ACTIONS(3321),
    [anon_sym_descending] = ACTIONS(3321),
    [anon_sym_group] = ACTIONS(3321),
    [anon_sym_by] = ACTIONS(3321),
    [anon_sym_select] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_stackalloc] = ACTIONS(3321),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym___makeref] = ACTIONS(3321),
    [anon_sym___reftype] = ACTIONS(3321),
    [anon_sym___refvalue] = ACTIONS(3321),
    [sym_null_literal] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [sym_integer_literal] = ACTIONS(3321),
    [sym_real_literal] = ACTIONS(3323),
    [sym_verbatim_string_literal] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_if_token3] = ACTIONS(3323),
    [aux_sym_preproc_else_token1] = ACTIONS(3323),
    [aux_sym_preproc_elif_token1] = ACTIONS(3323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3323),
    [sym_interpolation_verbatim_start] = ACTIONS(3323),
    [sym_interpolation_raw_start] = ACTIONS(3323),
    [sym_raw_string_start] = ACTIONS(3323),
  },
  [2284] = {
    [sym_preproc_region] = STATE(2284),
    [sym_preproc_endregion] = STATE(2284),
    [sym_preproc_line] = STATE(2284),
    [sym_preproc_pragma] = STATE(2284),
    [sym_preproc_nullable] = STATE(2284),
    [sym_preproc_error] = STATE(2284),
    [sym_preproc_define] = STATE(2284),
    [sym_preproc_undef] = STATE(2284),
    [sym__identifier_token] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym_alias] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_global] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_unsafe] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_ref] = ACTIONS(3325),
    [anon_sym_struct] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_delegate] = ACTIONS(3325),
    [anon_sym_record] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_file] = ACTIONS(3325),
    [anon_sym_fixed] = ACTIONS(3325),
    [anon_sym_internal] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_partial] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_required] = ACTIONS(3325),
    [anon_sym_sealed] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_where] = ACTIONS(3325),
    [anon_sym_notnull] = ACTIONS(3325),
    [anon_sym_unmanaged] = ACTIONS(3325),
    [anon_sym_checked] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_true] = ACTIONS(3325),
    [anon_sym_false] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_CARET] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym_this] = ACTIONS(3325),
    [anon_sym_scoped] = ACTIONS(3325),
    [anon_sym_base] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [sym_predefined_type] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_unchecked] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_lock] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_when] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_foreach] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_DOT_DOT] = ACTIONS(3327),
    [anon_sym_from] = ACTIONS(3325),
    [anon_sym_into] = ACTIONS(3325),
    [anon_sym_join] = ACTIONS(3325),
    [anon_sym_on] = ACTIONS(3325),
    [anon_sym_equals] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_orderby] = ACTIONS(3325),
    [anon_sym_ascending] = ACTIONS(3325),
    [anon_sym_descending] = ACTIONS(3325),
    [anon_sym_group] = ACTIONS(3325),
    [anon_sym_by] = ACTIONS(3325),
    [anon_sym_select] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_stackalloc] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym___makeref] = ACTIONS(3325),
    [anon_sym___reftype] = ACTIONS(3325),
    [anon_sym___refvalue] = ACTIONS(3325),
    [sym_null_literal] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [sym_integer_literal] = ACTIONS(3325),
    [sym_real_literal] = ACTIONS(3327),
    [sym_verbatim_string_literal] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_if_token3] = ACTIONS(3327),
    [aux_sym_preproc_else_token1] = ACTIONS(3327),
    [aux_sym_preproc_elif_token1] = ACTIONS(3327),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3327),
    [sym_interpolation_verbatim_start] = ACTIONS(3327),
    [sym_interpolation_raw_start] = ACTIONS(3327),
    [sym_raw_string_start] = ACTIONS(3327),
  },
  [2285] = {
    [sym_preproc_region] = STATE(2285),
    [sym_preproc_endregion] = STATE(2285),
    [sym_preproc_line] = STATE(2285),
    [sym_preproc_pragma] = STATE(2285),
    [sym_preproc_nullable] = STATE(2285),
    [sym_preproc_error] = STATE(2285),
    [sym_preproc_define] = STATE(2285),
    [sym_preproc_undef] = STATE(2285),
    [sym__identifier_token] = ACTIONS(3329),
    [anon_sym_extern] = ACTIONS(3329),
    [anon_sym_alias] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_global] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_unsafe] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_ref] = ACTIONS(3329),
    [anon_sym_struct] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_delegate] = ACTIONS(3329),
    [anon_sym_record] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_file] = ACTIONS(3329),
    [anon_sym_fixed] = ACTIONS(3329),
    [anon_sym_internal] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_partial] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_required] = ACTIONS(3329),
    [anon_sym_sealed] = ACTIONS(3329),
    [anon_sym_virtual] = ACTIONS(3329),
    [anon_sym_volatile] = ACTIONS(3329),
    [anon_sym_where] = ACTIONS(3329),
    [anon_sym_notnull] = ACTIONS(3329),
    [anon_sym_unmanaged] = ACTIONS(3329),
    [anon_sym_checked] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_true] = ACTIONS(3329),
    [anon_sym_false] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3331),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym_this] = ACTIONS(3329),
    [anon_sym_scoped] = ACTIONS(3329),
    [anon_sym_base] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [sym_predefined_type] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_unchecked] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_lock] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_when] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_foreach] = ACTIONS(3329),
    [anon_sym_goto] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_DOT_DOT] = ACTIONS(3331),
    [anon_sym_from] = ACTIONS(3329),
    [anon_sym_into] = ACTIONS(3329),
    [anon_sym_join] = ACTIONS(3329),
    [anon_sym_on] = ACTIONS(3329),
    [anon_sym_equals] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_orderby] = ACTIONS(3329),
    [anon_sym_ascending] = ACTIONS(3329),
    [anon_sym_descending] = ACTIONS(3329),
    [anon_sym_group] = ACTIONS(3329),
    [anon_sym_by] = ACTIONS(3329),
    [anon_sym_select] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_stackalloc] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym___makeref] = ACTIONS(3329),
    [anon_sym___reftype] = ACTIONS(3329),
    [anon_sym___refvalue] = ACTIONS(3329),
    [sym_null_literal] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [sym_integer_literal] = ACTIONS(3329),
    [sym_real_literal] = ACTIONS(3331),
    [sym_verbatim_string_literal] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_if_token3] = ACTIONS(3331),
    [aux_sym_preproc_else_token1] = ACTIONS(3331),
    [aux_sym_preproc_elif_token1] = ACTIONS(3331),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3331),
    [sym_interpolation_verbatim_start] = ACTIONS(3331),
    [sym_interpolation_raw_start] = ACTIONS(3331),
    [sym_raw_string_start] = ACTIONS(3331),
  },
  [2286] = {
    [sym_preproc_region] = STATE(2286),
    [sym_preproc_endregion] = STATE(2286),
    [sym_preproc_line] = STATE(2286),
    [sym_preproc_pragma] = STATE(2286),
    [sym_preproc_nullable] = STATE(2286),
    [sym_preproc_error] = STATE(2286),
    [sym_preproc_define] = STATE(2286),
    [sym_preproc_undef] = STATE(2286),
    [sym__identifier_token] = ACTIONS(3333),
    [anon_sym_extern] = ACTIONS(3333),
    [anon_sym_alias] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3335),
    [anon_sym_global] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_unsafe] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_ref] = ACTIONS(3333),
    [anon_sym_struct] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_delegate] = ACTIONS(3333),
    [anon_sym_record] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_file] = ACTIONS(3333),
    [anon_sym_fixed] = ACTIONS(3333),
    [anon_sym_internal] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_partial] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_required] = ACTIONS(3333),
    [anon_sym_sealed] = ACTIONS(3333),
    [anon_sym_virtual] = ACTIONS(3333),
    [anon_sym_volatile] = ACTIONS(3333),
    [anon_sym_where] = ACTIONS(3333),
    [anon_sym_notnull] = ACTIONS(3333),
    [anon_sym_unmanaged] = ACTIONS(3333),
    [anon_sym_checked] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_TILDE] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3335),
    [anon_sym_true] = ACTIONS(3333),
    [anon_sym_false] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_STAR] = ACTIONS(3335),
    [anon_sym_CARET] = ACTIONS(3335),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_this] = ACTIONS(3333),
    [anon_sym_scoped] = ACTIONS(3333),
    [anon_sym_base] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [sym_predefined_type] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_unchecked] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_lock] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_when] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_foreach] = ACTIONS(3333),
    [anon_sym_goto] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_DOT_DOT] = ACTIONS(3335),
    [anon_sym_from] = ACTIONS(3333),
    [anon_sym_into] = ACTIONS(3333),
    [anon_sym_join] = ACTIONS(3333),
    [anon_sym_on] = ACTIONS(3333),
    [anon_sym_equals] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_orderby] = ACTIONS(3333),
    [anon_sym_ascending] = ACTIONS(3333),
    [anon_sym_descending] = ACTIONS(3333),
    [anon_sym_group] = ACTIONS(3333),
    [anon_sym_by] = ACTIONS(3333),
    [anon_sym_select] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3335),
    [anon_sym_stackalloc] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym___makeref] = ACTIONS(3333),
    [anon_sym___reftype] = ACTIONS(3333),
    [anon_sym___refvalue] = ACTIONS(3333),
    [sym_null_literal] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3335),
    [sym_integer_literal] = ACTIONS(3333),
    [sym_real_literal] = ACTIONS(3335),
    [sym_verbatim_string_literal] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_if_token3] = ACTIONS(3335),
    [aux_sym_preproc_else_token1] = ACTIONS(3335),
    [aux_sym_preproc_elif_token1] = ACTIONS(3335),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3335),
    [sym_interpolation_verbatim_start] = ACTIONS(3335),
    [sym_interpolation_raw_start] = ACTIONS(3335),
    [sym_raw_string_start] = ACTIONS(3335),
  },
  [2287] = {
    [sym_preproc_region] = STATE(2287),
    [sym_preproc_endregion] = STATE(2287),
    [sym_preproc_line] = STATE(2287),
    [sym_preproc_pragma] = STATE(2287),
    [sym_preproc_nullable] = STATE(2287),
    [sym_preproc_error] = STATE(2287),
    [sym_preproc_define] = STATE(2287),
    [sym_preproc_undef] = STATE(2287),
    [sym__identifier_token] = ACTIONS(3337),
    [anon_sym_extern] = ACTIONS(3337),
    [anon_sym_alias] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_global] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_unsafe] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_ref] = ACTIONS(3337),
    [anon_sym_struct] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_delegate] = ACTIONS(3337),
    [anon_sym_record] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_file] = ACTIONS(3337),
    [anon_sym_fixed] = ACTIONS(3337),
    [anon_sym_internal] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_partial] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_required] = ACTIONS(3337),
    [anon_sym_sealed] = ACTIONS(3337),
    [anon_sym_virtual] = ACTIONS(3337),
    [anon_sym_volatile] = ACTIONS(3337),
    [anon_sym_where] = ACTIONS(3337),
    [anon_sym_notnull] = ACTIONS(3337),
    [anon_sym_unmanaged] = ACTIONS(3337),
    [anon_sym_checked] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [anon_sym_true] = ACTIONS(3337),
    [anon_sym_false] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_STAR] = ACTIONS(3339),
    [anon_sym_CARET] = ACTIONS(3339),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_this] = ACTIONS(3337),
    [anon_sym_scoped] = ACTIONS(3337),
    [anon_sym_base] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [sym_predefined_type] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_unchecked] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_lock] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_when] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_foreach] = ACTIONS(3337),
    [anon_sym_goto] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_DOT_DOT] = ACTIONS(3339),
    [anon_sym_from] = ACTIONS(3337),
    [anon_sym_into] = ACTIONS(3337),
    [anon_sym_join] = ACTIONS(3337),
    [anon_sym_on] = ACTIONS(3337),
    [anon_sym_equals] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_orderby] = ACTIONS(3337),
    [anon_sym_ascending] = ACTIONS(3337),
    [anon_sym_descending] = ACTIONS(3337),
    [anon_sym_group] = ACTIONS(3337),
    [anon_sym_by] = ACTIONS(3337),
    [anon_sym_select] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_stackalloc] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym___makeref] = ACTIONS(3337),
    [anon_sym___reftype] = ACTIONS(3337),
    [anon_sym___refvalue] = ACTIONS(3337),
    [sym_null_literal] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [sym_integer_literal] = ACTIONS(3337),
    [sym_real_literal] = ACTIONS(3339),
    [sym_verbatim_string_literal] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_if_token3] = ACTIONS(3339),
    [aux_sym_preproc_else_token1] = ACTIONS(3339),
    [aux_sym_preproc_elif_token1] = ACTIONS(3339),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3339),
    [sym_interpolation_verbatim_start] = ACTIONS(3339),
    [sym_interpolation_raw_start] = ACTIONS(3339),
    [sym_raw_string_start] = ACTIONS(3339),
  },
  [2288] = {
    [sym_preproc_region] = STATE(2288),
    [sym_preproc_endregion] = STATE(2288),
    [sym_preproc_line] = STATE(2288),
    [sym_preproc_pragma] = STATE(2288),
    [sym_preproc_nullable] = STATE(2288),
    [sym_preproc_error] = STATE(2288),
    [sym_preproc_define] = STATE(2288),
    [sym_preproc_undef] = STATE(2288),
    [sym__identifier_token] = ACTIONS(3341),
    [anon_sym_extern] = ACTIONS(3341),
    [anon_sym_alias] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_global] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_unsafe] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_ref] = ACTIONS(3341),
    [anon_sym_struct] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_delegate] = ACTIONS(3341),
    [anon_sym_record] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_file] = ACTIONS(3341),
    [anon_sym_fixed] = ACTIONS(3341),
    [anon_sym_internal] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_partial] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_required] = ACTIONS(3341),
    [anon_sym_sealed] = ACTIONS(3341),
    [anon_sym_virtual] = ACTIONS(3341),
    [anon_sym_volatile] = ACTIONS(3341),
    [anon_sym_where] = ACTIONS(3341),
    [anon_sym_notnull] = ACTIONS(3341),
    [anon_sym_unmanaged] = ACTIONS(3341),
    [anon_sym_checked] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [anon_sym_true] = ACTIONS(3341),
    [anon_sym_false] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(3343),
    [anon_sym_CARET] = ACTIONS(3343),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_this] = ACTIONS(3341),
    [anon_sym_scoped] = ACTIONS(3341),
    [anon_sym_base] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [sym_predefined_type] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_unchecked] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_lock] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_when] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_foreach] = ACTIONS(3341),
    [anon_sym_goto] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_DOT_DOT] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3341),
    [anon_sym_into] = ACTIONS(3341),
    [anon_sym_join] = ACTIONS(3341),
    [anon_sym_on] = ACTIONS(3341),
    [anon_sym_equals] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_orderby] = ACTIONS(3341),
    [anon_sym_ascending] = ACTIONS(3341),
    [anon_sym_descending] = ACTIONS(3341),
    [anon_sym_group] = ACTIONS(3341),
    [anon_sym_by] = ACTIONS(3341),
    [anon_sym_select] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_stackalloc] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym___makeref] = ACTIONS(3341),
    [anon_sym___reftype] = ACTIONS(3341),
    [anon_sym___refvalue] = ACTIONS(3341),
    [sym_null_literal] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [sym_integer_literal] = ACTIONS(3341),
    [sym_real_literal] = ACTIONS(3343),
    [sym_verbatim_string_literal] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_if_token3] = ACTIONS(3343),
    [aux_sym_preproc_else_token1] = ACTIONS(3343),
    [aux_sym_preproc_elif_token1] = ACTIONS(3343),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3343),
    [sym_interpolation_verbatim_start] = ACTIONS(3343),
    [sym_interpolation_raw_start] = ACTIONS(3343),
    [sym_raw_string_start] = ACTIONS(3343),
  },
  [2289] = {
    [sym_preproc_region] = STATE(2289),
    [sym_preproc_endregion] = STATE(2289),
    [sym_preproc_line] = STATE(2289),
    [sym_preproc_pragma] = STATE(2289),
    [sym_preproc_nullable] = STATE(2289),
    [sym_preproc_error] = STATE(2289),
    [sym_preproc_define] = STATE(2289),
    [sym_preproc_undef] = STATE(2289),
    [sym__identifier_token] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym_alias] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_global] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_unsafe] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_ref] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_delegate] = ACTIONS(3345),
    [anon_sym_record] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_file] = ACTIONS(3345),
    [anon_sym_fixed] = ACTIONS(3345),
    [anon_sym_internal] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_partial] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_required] = ACTIONS(3345),
    [anon_sym_sealed] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_where] = ACTIONS(3345),
    [anon_sym_notnull] = ACTIONS(3345),
    [anon_sym_unmanaged] = ACTIONS(3345),
    [anon_sym_checked] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_true] = ACTIONS(3345),
    [anon_sym_false] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_CARET] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_this] = ACTIONS(3345),
    [anon_sym_scoped] = ACTIONS(3345),
    [anon_sym_base] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [sym_predefined_type] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_unchecked] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_lock] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_when] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_foreach] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_DOT_DOT] = ACTIONS(3347),
    [anon_sym_from] = ACTIONS(3345),
    [anon_sym_into] = ACTIONS(3345),
    [anon_sym_join] = ACTIONS(3345),
    [anon_sym_on] = ACTIONS(3345),
    [anon_sym_equals] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_orderby] = ACTIONS(3345),
    [anon_sym_ascending] = ACTIONS(3345),
    [anon_sym_descending] = ACTIONS(3345),
    [anon_sym_group] = ACTIONS(3345),
    [anon_sym_by] = ACTIONS(3345),
    [anon_sym_select] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_stackalloc] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym___makeref] = ACTIONS(3345),
    [anon_sym___reftype] = ACTIONS(3345),
    [anon_sym___refvalue] = ACTIONS(3345),
    [sym_null_literal] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [sym_integer_literal] = ACTIONS(3345),
    [sym_real_literal] = ACTIONS(3347),
    [sym_verbatim_string_literal] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_if_token3] = ACTIONS(3347),
    [aux_sym_preproc_else_token1] = ACTIONS(3347),
    [aux_sym_preproc_elif_token1] = ACTIONS(3347),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3347),
    [sym_interpolation_verbatim_start] = ACTIONS(3347),
    [sym_interpolation_raw_start] = ACTIONS(3347),
    [sym_raw_string_start] = ACTIONS(3347),
  },
  [2290] = {
    [sym_preproc_region] = STATE(2290),
    [sym_preproc_endregion] = STATE(2290),
    [sym_preproc_line] = STATE(2290),
    [sym_preproc_pragma] = STATE(2290),
    [sym_preproc_nullable] = STATE(2290),
    [sym_preproc_error] = STATE(2290),
    [sym_preproc_define] = STATE(2290),
    [sym_preproc_undef] = STATE(2290),
    [sym__identifier_token] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym_alias] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_global] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_unsafe] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_ref] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_delegate] = ACTIONS(3349),
    [anon_sym_record] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_file] = ACTIONS(3349),
    [anon_sym_fixed] = ACTIONS(3349),
    [anon_sym_internal] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_partial] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_required] = ACTIONS(3349),
    [anon_sym_sealed] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_where] = ACTIONS(3349),
    [anon_sym_notnull] = ACTIONS(3349),
    [anon_sym_unmanaged] = ACTIONS(3349),
    [anon_sym_checked] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_true] = ACTIONS(3349),
    [anon_sym_false] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_CARET] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_this] = ACTIONS(3349),
    [anon_sym_scoped] = ACTIONS(3349),
    [anon_sym_base] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [sym_predefined_type] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_unchecked] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_lock] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_when] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_foreach] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_else] = ACTIONS(3349),
    [anon_sym_DOT_DOT] = ACTIONS(3351),
    [anon_sym_from] = ACTIONS(3349),
    [anon_sym_into] = ACTIONS(3349),
    [anon_sym_join] = ACTIONS(3349),
    [anon_sym_on] = ACTIONS(3349),
    [anon_sym_equals] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_orderby] = ACTIONS(3349),
    [anon_sym_ascending] = ACTIONS(3349),
    [anon_sym_descending] = ACTIONS(3349),
    [anon_sym_group] = ACTIONS(3349),
    [anon_sym_by] = ACTIONS(3349),
    [anon_sym_select] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_stackalloc] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym___makeref] = ACTIONS(3349),
    [anon_sym___reftype] = ACTIONS(3349),
    [anon_sym___refvalue] = ACTIONS(3349),
    [sym_null_literal] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [sym_integer_literal] = ACTIONS(3349),
    [sym_real_literal] = ACTIONS(3351),
    [sym_verbatim_string_literal] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_if_token3] = ACTIONS(3351),
    [aux_sym_preproc_else_token1] = ACTIONS(3351),
    [aux_sym_preproc_elif_token1] = ACTIONS(3351),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3351),
    [sym_interpolation_verbatim_start] = ACTIONS(3351),
    [sym_interpolation_raw_start] = ACTIONS(3351),
    [sym_raw_string_start] = ACTIONS(3351),
  },
  [2291] = {
    [sym_preproc_region] = STATE(2291),
    [sym_preproc_endregion] = STATE(2291),
    [sym_preproc_line] = STATE(2291),
    [sym_preproc_pragma] = STATE(2291),
    [sym_preproc_nullable] = STATE(2291),
    [sym_preproc_error] = STATE(2291),
    [sym_preproc_define] = STATE(2291),
    [sym_preproc_undef] = STATE(2291),
    [sym__identifier_token] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym_alias] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym_global] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_unsafe] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_ref] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_delegate] = ACTIONS(3353),
    [anon_sym_record] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_file] = ACTIONS(3353),
    [anon_sym_fixed] = ACTIONS(3353),
    [anon_sym_internal] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_partial] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_required] = ACTIONS(3353),
    [anon_sym_sealed] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_where] = ACTIONS(3353),
    [anon_sym_notnull] = ACTIONS(3353),
    [anon_sym_unmanaged] = ACTIONS(3353),
    [anon_sym_checked] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_true] = ACTIONS(3353),
    [anon_sym_false] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_this] = ACTIONS(3353),
    [anon_sym_scoped] = ACTIONS(3353),
    [anon_sym_base] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [sym_predefined_type] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_unchecked] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_lock] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_when] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_foreach] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3355),
    [anon_sym_from] = ACTIONS(3353),
    [anon_sym_into] = ACTIONS(3353),
    [anon_sym_join] = ACTIONS(3353),
    [anon_sym_on] = ACTIONS(3353),
    [anon_sym_equals] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_orderby] = ACTIONS(3353),
    [anon_sym_ascending] = ACTIONS(3353),
    [anon_sym_descending] = ACTIONS(3353),
    [anon_sym_group] = ACTIONS(3353),
    [anon_sym_by] = ACTIONS(3353),
    [anon_sym_select] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [anon_sym_stackalloc] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym___makeref] = ACTIONS(3353),
    [anon_sym___reftype] = ACTIONS(3353),
    [anon_sym___refvalue] = ACTIONS(3353),
    [sym_null_literal] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [sym_integer_literal] = ACTIONS(3353),
    [sym_real_literal] = ACTIONS(3355),
    [sym_verbatim_string_literal] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_if_token3] = ACTIONS(3355),
    [aux_sym_preproc_else_token1] = ACTIONS(3355),
    [aux_sym_preproc_elif_token1] = ACTIONS(3355),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3355),
    [sym_interpolation_verbatim_start] = ACTIONS(3355),
    [sym_interpolation_raw_start] = ACTIONS(3355),
    [sym_raw_string_start] = ACTIONS(3355),
  },
  [2292] = {
    [sym_preproc_region] = STATE(2292),
    [sym_preproc_endregion] = STATE(2292),
    [sym_preproc_line] = STATE(2292),
    [sym_preproc_pragma] = STATE(2292),
    [sym_preproc_nullable] = STATE(2292),
    [sym_preproc_error] = STATE(2292),
    [sym_preproc_define] = STATE(2292),
    [sym_preproc_undef] = STATE(2292),
    [sym__identifier_token] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym_alias] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_global] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_unsafe] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_ref] = ACTIONS(3357),
    [anon_sym_struct] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_delegate] = ACTIONS(3357),
    [anon_sym_record] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_file] = ACTIONS(3357),
    [anon_sym_fixed] = ACTIONS(3357),
    [anon_sym_internal] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_partial] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_required] = ACTIONS(3357),
    [anon_sym_sealed] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_where] = ACTIONS(3357),
    [anon_sym_notnull] = ACTIONS(3357),
    [anon_sym_unmanaged] = ACTIONS(3357),
    [anon_sym_checked] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_true] = ACTIONS(3357),
    [anon_sym_false] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_CARET] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_this] = ACTIONS(3357),
    [anon_sym_scoped] = ACTIONS(3357),
    [anon_sym_base] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [sym_predefined_type] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_unchecked] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_lock] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_when] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_foreach] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_DOT_DOT] = ACTIONS(3359),
    [anon_sym_from] = ACTIONS(3357),
    [anon_sym_into] = ACTIONS(3357),
    [anon_sym_join] = ACTIONS(3357),
    [anon_sym_on] = ACTIONS(3357),
    [anon_sym_equals] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_orderby] = ACTIONS(3357),
    [anon_sym_ascending] = ACTIONS(3357),
    [anon_sym_descending] = ACTIONS(3357),
    [anon_sym_group] = ACTIONS(3357),
    [anon_sym_by] = ACTIONS(3357),
    [anon_sym_select] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_stackalloc] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym___makeref] = ACTIONS(3357),
    [anon_sym___reftype] = ACTIONS(3357),
    [anon_sym___refvalue] = ACTIONS(3357),
    [sym_null_literal] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [sym_integer_literal] = ACTIONS(3357),
    [sym_real_literal] = ACTIONS(3359),
    [sym_verbatim_string_literal] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token3] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3359),
    [sym_interpolation_verbatim_start] = ACTIONS(3359),
    [sym_interpolation_raw_start] = ACTIONS(3359),
    [sym_raw_string_start] = ACTIONS(3359),
  },
  [2293] = {
    [sym_preproc_region] = STATE(2293),
    [sym_preproc_endregion] = STATE(2293),
    [sym_preproc_line] = STATE(2293),
    [sym_preproc_pragma] = STATE(2293),
    [sym_preproc_nullable] = STATE(2293),
    [sym_preproc_error] = STATE(2293),
    [sym_preproc_define] = STATE(2293),
    [sym_preproc_undef] = STATE(2293),
    [sym__identifier_token] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym_alias] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_global] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_unsafe] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_ref] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_delegate] = ACTIONS(3361),
    [anon_sym_record] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_file] = ACTIONS(3361),
    [anon_sym_fixed] = ACTIONS(3361),
    [anon_sym_internal] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_partial] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_required] = ACTIONS(3361),
    [anon_sym_sealed] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_where] = ACTIONS(3361),
    [anon_sym_notnull] = ACTIONS(3361),
    [anon_sym_unmanaged] = ACTIONS(3361),
    [anon_sym_checked] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_true] = ACTIONS(3361),
    [anon_sym_false] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_CARET] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_this] = ACTIONS(3361),
    [anon_sym_scoped] = ACTIONS(3361),
    [anon_sym_base] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [sym_predefined_type] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_unchecked] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_lock] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_when] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_foreach] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_else] = ACTIONS(3361),
    [anon_sym_DOT_DOT] = ACTIONS(3363),
    [anon_sym_from] = ACTIONS(3361),
    [anon_sym_into] = ACTIONS(3361),
    [anon_sym_join] = ACTIONS(3361),
    [anon_sym_on] = ACTIONS(3361),
    [anon_sym_equals] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_orderby] = ACTIONS(3361),
    [anon_sym_ascending] = ACTIONS(3361),
    [anon_sym_descending] = ACTIONS(3361),
    [anon_sym_group] = ACTIONS(3361),
    [anon_sym_by] = ACTIONS(3361),
    [anon_sym_select] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_stackalloc] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym___makeref] = ACTIONS(3361),
    [anon_sym___reftype] = ACTIONS(3361),
    [anon_sym___refvalue] = ACTIONS(3361),
    [sym_null_literal] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [sym_integer_literal] = ACTIONS(3361),
    [sym_real_literal] = ACTIONS(3363),
    [sym_verbatim_string_literal] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token3] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3363),
    [sym_interpolation_verbatim_start] = ACTIONS(3363),
    [sym_interpolation_raw_start] = ACTIONS(3363),
    [sym_raw_string_start] = ACTIONS(3363),
  },
  [2294] = {
    [sym_preproc_region] = STATE(2294),
    [sym_preproc_endregion] = STATE(2294),
    [sym_preproc_line] = STATE(2294),
    [sym_preproc_pragma] = STATE(2294),
    [sym_preproc_nullable] = STATE(2294),
    [sym_preproc_error] = STATE(2294),
    [sym_preproc_define] = STATE(2294),
    [sym_preproc_undef] = STATE(2294),
    [sym__identifier_token] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym_alias] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_global] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_unsafe] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_ref] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_delegate] = ACTIONS(3365),
    [anon_sym_record] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_file] = ACTIONS(3365),
    [anon_sym_fixed] = ACTIONS(3365),
    [anon_sym_internal] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_partial] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_required] = ACTIONS(3365),
    [anon_sym_sealed] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_where] = ACTIONS(3365),
    [anon_sym_notnull] = ACTIONS(3365),
    [anon_sym_unmanaged] = ACTIONS(3365),
    [anon_sym_checked] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_true] = ACTIONS(3365),
    [anon_sym_false] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_CARET] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_this] = ACTIONS(3365),
    [anon_sym_scoped] = ACTIONS(3365),
    [anon_sym_base] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [sym_predefined_type] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_unchecked] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_lock] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_when] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_foreach] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_else] = ACTIONS(3365),
    [anon_sym_DOT_DOT] = ACTIONS(3367),
    [anon_sym_from] = ACTIONS(3365),
    [anon_sym_into] = ACTIONS(3365),
    [anon_sym_join] = ACTIONS(3365),
    [anon_sym_on] = ACTIONS(3365),
    [anon_sym_equals] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_orderby] = ACTIONS(3365),
    [anon_sym_ascending] = ACTIONS(3365),
    [anon_sym_descending] = ACTIONS(3365),
    [anon_sym_group] = ACTIONS(3365),
    [anon_sym_by] = ACTIONS(3365),
    [anon_sym_select] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_stackalloc] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym___makeref] = ACTIONS(3365),
    [anon_sym___reftype] = ACTIONS(3365),
    [anon_sym___refvalue] = ACTIONS(3365),
    [sym_null_literal] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [sym_integer_literal] = ACTIONS(3365),
    [sym_real_literal] = ACTIONS(3367),
    [sym_verbatim_string_literal] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token3] = ACTIONS(3367),
    [aux_sym_preproc_else_token1] = ACTIONS(3367),
    [aux_sym_preproc_elif_token1] = ACTIONS(3367),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3367),
    [sym_interpolation_verbatim_start] = ACTIONS(3367),
    [sym_interpolation_raw_start] = ACTIONS(3367),
    [sym_raw_string_start] = ACTIONS(3367),
  },
  [2295] = {
    [sym_preproc_region] = STATE(2295),
    [sym_preproc_endregion] = STATE(2295),
    [sym_preproc_line] = STATE(2295),
    [sym_preproc_pragma] = STATE(2295),
    [sym_preproc_nullable] = STATE(2295),
    [sym_preproc_error] = STATE(2295),
    [sym_preproc_define] = STATE(2295),
    [sym_preproc_undef] = STATE(2295),
    [sym__identifier_token] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym_alias] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_global] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_unsafe] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_ref] = ACTIONS(3369),
    [anon_sym_struct] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_delegate] = ACTIONS(3369),
    [anon_sym_record] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_file] = ACTIONS(3369),
    [anon_sym_fixed] = ACTIONS(3369),
    [anon_sym_internal] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_partial] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_required] = ACTIONS(3369),
    [anon_sym_sealed] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_where] = ACTIONS(3369),
    [anon_sym_notnull] = ACTIONS(3369),
    [anon_sym_unmanaged] = ACTIONS(3369),
    [anon_sym_checked] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_true] = ACTIONS(3369),
    [anon_sym_false] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_CARET] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_this] = ACTIONS(3369),
    [anon_sym_scoped] = ACTIONS(3369),
    [anon_sym_base] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [sym_predefined_type] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_unchecked] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_lock] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_when] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_foreach] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_DOT_DOT] = ACTIONS(3371),
    [anon_sym_from] = ACTIONS(3369),
    [anon_sym_into] = ACTIONS(3369),
    [anon_sym_join] = ACTIONS(3369),
    [anon_sym_on] = ACTIONS(3369),
    [anon_sym_equals] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_orderby] = ACTIONS(3369),
    [anon_sym_ascending] = ACTIONS(3369),
    [anon_sym_descending] = ACTIONS(3369),
    [anon_sym_group] = ACTIONS(3369),
    [anon_sym_by] = ACTIONS(3369),
    [anon_sym_select] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_stackalloc] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym___makeref] = ACTIONS(3369),
    [anon_sym___reftype] = ACTIONS(3369),
    [anon_sym___refvalue] = ACTIONS(3369),
    [sym_null_literal] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [sym_integer_literal] = ACTIONS(3369),
    [sym_real_literal] = ACTIONS(3371),
    [sym_verbatim_string_literal] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token3] = ACTIONS(3371),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3371),
    [sym_interpolation_verbatim_start] = ACTIONS(3371),
    [sym_interpolation_raw_start] = ACTIONS(3371),
    [sym_raw_string_start] = ACTIONS(3371),
  },
  [2296] = {
    [sym_preproc_region] = STATE(2296),
    [sym_preproc_endregion] = STATE(2296),
    [sym_preproc_line] = STATE(2296),
    [sym_preproc_pragma] = STATE(2296),
    [sym_preproc_nullable] = STATE(2296),
    [sym_preproc_error] = STATE(2296),
    [sym_preproc_define] = STATE(2296),
    [sym_preproc_undef] = STATE(2296),
    [sym__identifier_token] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym_alias] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_global] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_unsafe] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_ref] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_delegate] = ACTIONS(3373),
    [anon_sym_record] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_file] = ACTIONS(3373),
    [anon_sym_fixed] = ACTIONS(3373),
    [anon_sym_internal] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_partial] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_required] = ACTIONS(3373),
    [anon_sym_sealed] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_where] = ACTIONS(3373),
    [anon_sym_notnull] = ACTIONS(3373),
    [anon_sym_unmanaged] = ACTIONS(3373),
    [anon_sym_checked] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_true] = ACTIONS(3373),
    [anon_sym_false] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_this] = ACTIONS(3373),
    [anon_sym_scoped] = ACTIONS(3373),
    [anon_sym_base] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [sym_predefined_type] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_unchecked] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_lock] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_when] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_foreach] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_DOT_DOT] = ACTIONS(3375),
    [anon_sym_from] = ACTIONS(3373),
    [anon_sym_into] = ACTIONS(3373),
    [anon_sym_join] = ACTIONS(3373),
    [anon_sym_on] = ACTIONS(3373),
    [anon_sym_equals] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_orderby] = ACTIONS(3373),
    [anon_sym_ascending] = ACTIONS(3373),
    [anon_sym_descending] = ACTIONS(3373),
    [anon_sym_group] = ACTIONS(3373),
    [anon_sym_by] = ACTIONS(3373),
    [anon_sym_select] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_stackalloc] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym___makeref] = ACTIONS(3373),
    [anon_sym___reftype] = ACTIONS(3373),
    [anon_sym___refvalue] = ACTIONS(3373),
    [sym_null_literal] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [sym_integer_literal] = ACTIONS(3373),
    [sym_real_literal] = ACTIONS(3375),
    [sym_verbatim_string_literal] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token3] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3375),
    [sym_interpolation_verbatim_start] = ACTIONS(3375),
    [sym_interpolation_raw_start] = ACTIONS(3375),
    [sym_raw_string_start] = ACTIONS(3375),
  },
  [2297] = {
    [sym_preproc_region] = STATE(2297),
    [sym_preproc_endregion] = STATE(2297),
    [sym_preproc_line] = STATE(2297),
    [sym_preproc_pragma] = STATE(2297),
    [sym_preproc_nullable] = STATE(2297),
    [sym_preproc_error] = STATE(2297),
    [sym_preproc_define] = STATE(2297),
    [sym_preproc_undef] = STATE(2297),
    [sym__identifier_token] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym_alias] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_global] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_unsafe] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_ref] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_delegate] = ACTIONS(3377),
    [anon_sym_record] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_file] = ACTIONS(3377),
    [anon_sym_fixed] = ACTIONS(3377),
    [anon_sym_internal] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_partial] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_required] = ACTIONS(3377),
    [anon_sym_sealed] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_where] = ACTIONS(3377),
    [anon_sym_notnull] = ACTIONS(3377),
    [anon_sym_unmanaged] = ACTIONS(3377),
    [anon_sym_checked] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_true] = ACTIONS(3377),
    [anon_sym_false] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_CARET] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_this] = ACTIONS(3377),
    [anon_sym_scoped] = ACTIONS(3377),
    [anon_sym_base] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [sym_predefined_type] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_unchecked] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_lock] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_when] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_foreach] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_DOT_DOT] = ACTIONS(3379),
    [anon_sym_from] = ACTIONS(3377),
    [anon_sym_into] = ACTIONS(3377),
    [anon_sym_join] = ACTIONS(3377),
    [anon_sym_on] = ACTIONS(3377),
    [anon_sym_equals] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_orderby] = ACTIONS(3377),
    [anon_sym_ascending] = ACTIONS(3377),
    [anon_sym_descending] = ACTIONS(3377),
    [anon_sym_group] = ACTIONS(3377),
    [anon_sym_by] = ACTIONS(3377),
    [anon_sym_select] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_stackalloc] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym___makeref] = ACTIONS(3377),
    [anon_sym___reftype] = ACTIONS(3377),
    [anon_sym___refvalue] = ACTIONS(3377),
    [sym_null_literal] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [sym_integer_literal] = ACTIONS(3377),
    [sym_real_literal] = ACTIONS(3379),
    [sym_verbatim_string_literal] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token3] = ACTIONS(3379),
    [aux_sym_preproc_else_token1] = ACTIONS(3379),
    [aux_sym_preproc_elif_token1] = ACTIONS(3379),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3379),
    [sym_interpolation_verbatim_start] = ACTIONS(3379),
    [sym_interpolation_raw_start] = ACTIONS(3379),
    [sym_raw_string_start] = ACTIONS(3379),
  },
  [2298] = {
    [sym_preproc_region] = STATE(2298),
    [sym_preproc_endregion] = STATE(2298),
    [sym_preproc_line] = STATE(2298),
    [sym_preproc_pragma] = STATE(2298),
    [sym_preproc_nullable] = STATE(2298),
    [sym_preproc_error] = STATE(2298),
    [sym_preproc_define] = STATE(2298),
    [sym_preproc_undef] = STATE(2298),
    [sym__identifier_token] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym_alias] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_global] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_unsafe] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_ref] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_delegate] = ACTIONS(3381),
    [anon_sym_record] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_file] = ACTIONS(3381),
    [anon_sym_fixed] = ACTIONS(3381),
    [anon_sym_internal] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_partial] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_required] = ACTIONS(3381),
    [anon_sym_sealed] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_where] = ACTIONS(3381),
    [anon_sym_notnull] = ACTIONS(3381),
    [anon_sym_unmanaged] = ACTIONS(3381),
    [anon_sym_checked] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_true] = ACTIONS(3381),
    [anon_sym_false] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_CARET] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym_this] = ACTIONS(3381),
    [anon_sym_scoped] = ACTIONS(3381),
    [anon_sym_base] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [sym_predefined_type] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_unchecked] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_lock] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_when] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_foreach] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_else] = ACTIONS(3381),
    [anon_sym_DOT_DOT] = ACTIONS(3383),
    [anon_sym_from] = ACTIONS(3381),
    [anon_sym_into] = ACTIONS(3381),
    [anon_sym_join] = ACTIONS(3381),
    [anon_sym_on] = ACTIONS(3381),
    [anon_sym_equals] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_orderby] = ACTIONS(3381),
    [anon_sym_ascending] = ACTIONS(3381),
    [anon_sym_descending] = ACTIONS(3381),
    [anon_sym_group] = ACTIONS(3381),
    [anon_sym_by] = ACTIONS(3381),
    [anon_sym_select] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_stackalloc] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym___makeref] = ACTIONS(3381),
    [anon_sym___reftype] = ACTIONS(3381),
    [anon_sym___refvalue] = ACTIONS(3381),
    [sym_null_literal] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [sym_integer_literal] = ACTIONS(3381),
    [sym_real_literal] = ACTIONS(3383),
    [sym_verbatim_string_literal] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token3] = ACTIONS(3383),
    [aux_sym_preproc_else_token1] = ACTIONS(3383),
    [aux_sym_preproc_elif_token1] = ACTIONS(3383),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3383),
    [sym_interpolation_verbatim_start] = ACTIONS(3383),
    [sym_interpolation_raw_start] = ACTIONS(3383),
    [sym_raw_string_start] = ACTIONS(3383),
  },
  [2299] = {
    [sym_preproc_region] = STATE(2299),
    [sym_preproc_endregion] = STATE(2299),
    [sym_preproc_line] = STATE(2299),
    [sym_preproc_pragma] = STATE(2299),
    [sym_preproc_nullable] = STATE(2299),
    [sym_preproc_error] = STATE(2299),
    [sym_preproc_define] = STATE(2299),
    [sym_preproc_undef] = STATE(2299),
    [sym__identifier_token] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym_alias] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_global] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_unsafe] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_ref] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3385),
    [anon_sym_delegate] = ACTIONS(3385),
    [anon_sym_record] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_file] = ACTIONS(3385),
    [anon_sym_fixed] = ACTIONS(3385),
    [anon_sym_internal] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_override] = ACTIONS(3385),
    [anon_sym_partial] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_required] = ACTIONS(3385),
    [anon_sym_sealed] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_where] = ACTIONS(3385),
    [anon_sym_notnull] = ACTIONS(3385),
    [anon_sym_unmanaged] = ACTIONS(3385),
    [anon_sym_checked] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_true] = ACTIONS(3385),
    [anon_sym_false] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_CARET] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym_this] = ACTIONS(3385),
    [anon_sym_scoped] = ACTIONS(3385),
    [anon_sym_base] = ACTIONS(3385),
    [anon_sym_var] = ACTIONS(3385),
    [sym_predefined_type] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_unchecked] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_lock] = ACTIONS(3385),
    [anon_sym_yield] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_when] = ACTIONS(3385),
    [anon_sym_await] = ACTIONS(3385),
    [anon_sym_foreach] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_else] = ACTIONS(3385),
    [anon_sym_DOT_DOT] = ACTIONS(3387),
    [anon_sym_from] = ACTIONS(3385),
    [anon_sym_into] = ACTIONS(3385),
    [anon_sym_join] = ACTIONS(3385),
    [anon_sym_on] = ACTIONS(3385),
    [anon_sym_equals] = ACTIONS(3385),
    [anon_sym_let] = ACTIONS(3385),
    [anon_sym_orderby] = ACTIONS(3385),
    [anon_sym_ascending] = ACTIONS(3385),
    [anon_sym_descending] = ACTIONS(3385),
    [anon_sym_group] = ACTIONS(3385),
    [anon_sym_by] = ACTIONS(3385),
    [anon_sym_select] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_stackalloc] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym___makeref] = ACTIONS(3385),
    [anon_sym___reftype] = ACTIONS(3385),
    [anon_sym___refvalue] = ACTIONS(3385),
    [sym_null_literal] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [sym_integer_literal] = ACTIONS(3385),
    [sym_real_literal] = ACTIONS(3387),
    [sym_verbatim_string_literal] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token3] = ACTIONS(3387),
    [aux_sym_preproc_else_token1] = ACTIONS(3387),
    [aux_sym_preproc_elif_token1] = ACTIONS(3387),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3387),
    [sym_interpolation_verbatim_start] = ACTIONS(3387),
    [sym_interpolation_raw_start] = ACTIONS(3387),
    [sym_raw_string_start] = ACTIONS(3387),
  },
  [2300] = {
    [sym_preproc_region] = STATE(2300),
    [sym_preproc_endregion] = STATE(2300),
    [sym_preproc_line] = STATE(2300),
    [sym_preproc_pragma] = STATE(2300),
    [sym_preproc_nullable] = STATE(2300),
    [sym_preproc_error] = STATE(2300),
    [sym_preproc_define] = STATE(2300),
    [sym_preproc_undef] = STATE(2300),
    [sym__identifier_token] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym_alias] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_global] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_unsafe] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_ref] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_delegate] = ACTIONS(3389),
    [anon_sym_record] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_file] = ACTIONS(3389),
    [anon_sym_fixed] = ACTIONS(3389),
    [anon_sym_internal] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_partial] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_required] = ACTIONS(3389),
    [anon_sym_sealed] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_where] = ACTIONS(3389),
    [anon_sym_notnull] = ACTIONS(3389),
    [anon_sym_unmanaged] = ACTIONS(3389),
    [anon_sym_checked] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_true] = ACTIONS(3389),
    [anon_sym_false] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_this] = ACTIONS(3389),
    [anon_sym_scoped] = ACTIONS(3389),
    [anon_sym_base] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [sym_predefined_type] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_unchecked] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_lock] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_when] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_foreach] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_else] = ACTIONS(3389),
    [anon_sym_DOT_DOT] = ACTIONS(3391),
    [anon_sym_from] = ACTIONS(3389),
    [anon_sym_into] = ACTIONS(3389),
    [anon_sym_join] = ACTIONS(3389),
    [anon_sym_on] = ACTIONS(3389),
    [anon_sym_equals] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_orderby] = ACTIONS(3389),
    [anon_sym_ascending] = ACTIONS(3389),
    [anon_sym_descending] = ACTIONS(3389),
    [anon_sym_group] = ACTIONS(3389),
    [anon_sym_by] = ACTIONS(3389),
    [anon_sym_select] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_stackalloc] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym___makeref] = ACTIONS(3389),
    [anon_sym___reftype] = ACTIONS(3389),
    [anon_sym___refvalue] = ACTIONS(3389),
    [sym_null_literal] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [sym_integer_literal] = ACTIONS(3389),
    [sym_real_literal] = ACTIONS(3391),
    [sym_verbatim_string_literal] = ACTIONS(3391),
    [aux_sym_preproc_if_token1] = ACTIONS(3391),
    [aux_sym_preproc_if_token3] = ACTIONS(3391),
    [aux_sym_preproc_else_token1] = ACTIONS(3391),
    [aux_sym_preproc_elif_token1] = ACTIONS(3391),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3391),
    [sym_interpolation_verbatim_start] = ACTIONS(3391),
    [sym_interpolation_raw_start] = ACTIONS(3391),
    [sym_raw_string_start] = ACTIONS(3391),
  },
  [2301] = {
    [sym_preproc_region] = STATE(2301),
    [sym_preproc_endregion] = STATE(2301),
    [sym_preproc_line] = STATE(2301),
    [sym_preproc_pragma] = STATE(2301),
    [sym_preproc_nullable] = STATE(2301),
    [sym_preproc_error] = STATE(2301),
    [sym_preproc_define] = STATE(2301),
    [sym_preproc_undef] = STATE(2301),
    [sym__identifier_token] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym_alias] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_global] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_unsafe] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_ref] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3393),
    [anon_sym_delegate] = ACTIONS(3393),
    [anon_sym_record] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_file] = ACTIONS(3393),
    [anon_sym_fixed] = ACTIONS(3393),
    [anon_sym_internal] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_override] = ACTIONS(3393),
    [anon_sym_partial] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_required] = ACTIONS(3393),
    [anon_sym_sealed] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_where] = ACTIONS(3393),
    [anon_sym_notnull] = ACTIONS(3393),
    [anon_sym_unmanaged] = ACTIONS(3393),
    [anon_sym_checked] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_true] = ACTIONS(3393),
    [anon_sym_false] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_CARET] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3395),
    [anon_sym_this] = ACTIONS(3393),
    [anon_sym_scoped] = ACTIONS(3393),
    [anon_sym_base] = ACTIONS(3393),
    [anon_sym_var] = ACTIONS(3393),
    [sym_predefined_type] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_unchecked] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_lock] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_when] = ACTIONS(3393),
    [anon_sym_await] = ACTIONS(3393),
    [anon_sym_foreach] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_else] = ACTIONS(3393),
    [anon_sym_DOT_DOT] = ACTIONS(3395),
    [anon_sym_from] = ACTIONS(3393),
    [anon_sym_into] = ACTIONS(3393),
    [anon_sym_join] = ACTIONS(3393),
    [anon_sym_on] = ACTIONS(3393),
    [anon_sym_equals] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3393),
    [anon_sym_orderby] = ACTIONS(3393),
    [anon_sym_ascending] = ACTIONS(3393),
    [anon_sym_descending] = ACTIONS(3393),
    [anon_sym_group] = ACTIONS(3393),
    [anon_sym_by] = ACTIONS(3393),
    [anon_sym_select] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_stackalloc] = ACTIONS(3393),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym___makeref] = ACTIONS(3393),
    [anon_sym___reftype] = ACTIONS(3393),
    [anon_sym___refvalue] = ACTIONS(3393),
    [sym_null_literal] = ACTIONS(3393),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [sym_integer_literal] = ACTIONS(3393),
    [sym_real_literal] = ACTIONS(3395),
    [sym_verbatim_string_literal] = ACTIONS(3395),
    [aux_sym_preproc_if_token1] = ACTIONS(3395),
    [aux_sym_preproc_if_token3] = ACTIONS(3395),
    [aux_sym_preproc_else_token1] = ACTIONS(3395),
    [aux_sym_preproc_elif_token1] = ACTIONS(3395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3395),
    [sym_interpolation_verbatim_start] = ACTIONS(3395),
    [sym_interpolation_raw_start] = ACTIONS(3395),
    [sym_raw_string_start] = ACTIONS(3395),
  },
  [2302] = {
    [sym_preproc_region] = STATE(2302),
    [sym_preproc_endregion] = STATE(2302),
    [sym_preproc_line] = STATE(2302),
    [sym_preproc_pragma] = STATE(2302),
    [sym_preproc_nullable] = STATE(2302),
    [sym_preproc_error] = STATE(2302),
    [sym_preproc_define] = STATE(2302),
    [sym_preproc_undef] = STATE(2302),
    [sym__identifier_token] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym_alias] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_global] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_unsafe] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_ref] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_delegate] = ACTIONS(3397),
    [anon_sym_record] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_file] = ACTIONS(3397),
    [anon_sym_fixed] = ACTIONS(3397),
    [anon_sym_internal] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_partial] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_required] = ACTIONS(3397),
    [anon_sym_sealed] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_where] = ACTIONS(3397),
    [anon_sym_notnull] = ACTIONS(3397),
    [anon_sym_unmanaged] = ACTIONS(3397),
    [anon_sym_checked] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_true] = ACTIONS(3397),
    [anon_sym_false] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_CARET] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3399),
    [anon_sym_this] = ACTIONS(3397),
    [anon_sym_scoped] = ACTIONS(3397),
    [anon_sym_base] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [sym_predefined_type] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_unchecked] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_lock] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_when] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_foreach] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_DOT_DOT] = ACTIONS(3399),
    [anon_sym_from] = ACTIONS(3397),
    [anon_sym_into] = ACTIONS(3397),
    [anon_sym_join] = ACTIONS(3397),
    [anon_sym_on] = ACTIONS(3397),
    [anon_sym_equals] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_orderby] = ACTIONS(3397),
    [anon_sym_ascending] = ACTIONS(3397),
    [anon_sym_descending] = ACTIONS(3397),
    [anon_sym_group] = ACTIONS(3397),
    [anon_sym_by] = ACTIONS(3397),
    [anon_sym_select] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_stackalloc] = ACTIONS(3397),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym___makeref] = ACTIONS(3397),
    [anon_sym___reftype] = ACTIONS(3397),
    [anon_sym___refvalue] = ACTIONS(3397),
    [sym_null_literal] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [sym_integer_literal] = ACTIONS(3397),
    [sym_real_literal] = ACTIONS(3399),
    [sym_verbatim_string_literal] = ACTIONS(3399),
    [aux_sym_preproc_if_token1] = ACTIONS(3399),
    [aux_sym_preproc_if_token3] = ACTIONS(3399),
    [aux_sym_preproc_else_token1] = ACTIONS(3399),
    [aux_sym_preproc_elif_token1] = ACTIONS(3399),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3399),
    [sym_interpolation_verbatim_start] = ACTIONS(3399),
    [sym_interpolation_raw_start] = ACTIONS(3399),
    [sym_raw_string_start] = ACTIONS(3399),
  },
  [2303] = {
    [sym_preproc_region] = STATE(2303),
    [sym_preproc_endregion] = STATE(2303),
    [sym_preproc_line] = STATE(2303),
    [sym_preproc_pragma] = STATE(2303),
    [sym_preproc_nullable] = STATE(2303),
    [sym_preproc_error] = STATE(2303),
    [sym_preproc_define] = STATE(2303),
    [sym_preproc_undef] = STATE(2303),
    [ts_builtin_sym_end] = ACTIONS(3037),
    [sym__identifier_token] = ACTIONS(3035),
    [anon_sym_extern] = ACTIONS(3035),
    [anon_sym_alias] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(3037),
    [anon_sym_global] = ACTIONS(3035),
    [anon_sym_using] = ACTIONS(3035),
    [anon_sym_unsafe] = ACTIONS(3035),
    [anon_sym_static] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3035),
    [anon_sym_namespace] = ACTIONS(3035),
    [anon_sym_class] = ACTIONS(3035),
    [anon_sym_ref] = ACTIONS(3035),
    [anon_sym_struct] = ACTIONS(3035),
    [anon_sym_enum] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_interface] = ACTIONS(3035),
    [anon_sym_delegate] = ACTIONS(3035),
    [anon_sym_record] = ACTIONS(3035),
    [anon_sym_abstract] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3035),
    [anon_sym_const] = ACTIONS(3035),
    [anon_sym_file] = ACTIONS(3035),
    [anon_sym_fixed] = ACTIONS(3035),
    [anon_sym_internal] = ACTIONS(3035),
    [anon_sym_new] = ACTIONS(3035),
    [anon_sym_override] = ACTIONS(3035),
    [anon_sym_partial] = ACTIONS(3035),
    [anon_sym_private] = ACTIONS(3035),
    [anon_sym_protected] = ACTIONS(3035),
    [anon_sym_public] = ACTIONS(3035),
    [anon_sym_readonly] = ACTIONS(3035),
    [anon_sym_required] = ACTIONS(3035),
    [anon_sym_sealed] = ACTIONS(3035),
    [anon_sym_virtual] = ACTIONS(3035),
    [anon_sym_volatile] = ACTIONS(3035),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_notnull] = ACTIONS(3035),
    [anon_sym_unmanaged] = ACTIONS(3035),
    [anon_sym_checked] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3037),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_true] = ACTIONS(3035),
    [anon_sym_false] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_this] = ACTIONS(3035),
    [anon_sym_scoped] = ACTIONS(3035),
    [anon_sym_base] = ACTIONS(3035),
    [anon_sym_var] = ACTIONS(3035),
    [sym_predefined_type] = ACTIONS(3035),
    [anon_sym_break] = ACTIONS(3035),
    [anon_sym_unchecked] = ACTIONS(3035),
    [anon_sym_continue] = ACTIONS(3035),
    [anon_sym_do] = ACTIONS(3035),
    [anon_sym_while] = ACTIONS(3035),
    [anon_sym_for] = ACTIONS(3035),
    [anon_sym_lock] = ACTIONS(3035),
    [anon_sym_yield] = ACTIONS(3035),
    [anon_sym_switch] = ACTIONS(3035),
    [anon_sym_default] = ACTIONS(3035),
    [anon_sym_throw] = ACTIONS(3035),
    [anon_sym_try] = ACTIONS(3035),
    [anon_sym_catch] = ACTIONS(3035),
    [anon_sym_when] = ACTIONS(3035),
    [anon_sym_finally] = ACTIONS(3035),
    [anon_sym_await] = ACTIONS(3035),
    [anon_sym_foreach] = ACTIONS(3035),
    [anon_sym_goto] = ACTIONS(3035),
    [anon_sym_if] = ACTIONS(3035),
    [anon_sym_else] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_from] = ACTIONS(3035),
    [anon_sym_into] = ACTIONS(3035),
    [anon_sym_join] = ACTIONS(3035),
    [anon_sym_on] = ACTIONS(3035),
    [anon_sym_equals] = ACTIONS(3035),
    [anon_sym_let] = ACTIONS(3035),
    [anon_sym_orderby] = ACTIONS(3035),
    [anon_sym_ascending] = ACTIONS(3035),
    [anon_sym_descending] = ACTIONS(3035),
    [anon_sym_group] = ACTIONS(3035),
    [anon_sym_by] = ACTIONS(3035),
    [anon_sym_select] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3037),
    [anon_sym_stackalloc] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3035),
    [anon_sym_typeof] = ACTIONS(3035),
    [anon_sym___makeref] = ACTIONS(3035),
    [anon_sym___reftype] = ACTIONS(3035),
    [anon_sym___refvalue] = ACTIONS(3035),
    [sym_null_literal] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3037),
    [sym_integer_literal] = ACTIONS(3035),
    [sym_real_literal] = ACTIONS(3037),
    [sym_verbatim_string_literal] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3037),
    [sym_interpolation_verbatim_start] = ACTIONS(3037),
    [sym_interpolation_raw_start] = ACTIONS(3037),
    [sym_raw_string_start] = ACTIONS(3037),
  },
  [2304] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_else] = STATE(8995),
    [sym_preproc_elif] = STATE(8995),
    [sym_preproc_region] = STATE(2304),
    [sym_preproc_endregion] = STATE(2304),
    [sym_preproc_line] = STATE(2304),
    [sym_preproc_pragma] = STATE(2304),
    [sym_preproc_nullable] = STATE(2304),
    [sym_preproc_error] = STATE(2304),
    [sym_preproc_define] = STATE(2304),
    [sym_preproc_undef] = STATE(2304),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2266),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token3] = ACTIONS(3401),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3101),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2305] = {
    [sym_preproc_region] = STATE(2305),
    [sym_preproc_endregion] = STATE(2305),
    [sym_preproc_line] = STATE(2305),
    [sym_preproc_pragma] = STATE(2305),
    [sym_preproc_nullable] = STATE(2305),
    [sym_preproc_error] = STATE(2305),
    [sym_preproc_define] = STATE(2305),
    [sym_preproc_undef] = STATE(2305),
    [ts_builtin_sym_end] = ACTIONS(3033),
    [sym__identifier_token] = ACTIONS(3031),
    [anon_sym_extern] = ACTIONS(3031),
    [anon_sym_alias] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym_global] = ACTIONS(3031),
    [anon_sym_using] = ACTIONS(3031),
    [anon_sym_unsafe] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3031),
    [anon_sym_namespace] = ACTIONS(3031),
    [anon_sym_class] = ACTIONS(3031),
    [anon_sym_ref] = ACTIONS(3031),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_enum] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_interface] = ACTIONS(3031),
    [anon_sym_delegate] = ACTIONS(3031),
    [anon_sym_record] = ACTIONS(3031),
    [anon_sym_abstract] = ACTIONS(3031),
    [anon_sym_async] = ACTIONS(3031),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_file] = ACTIONS(3031),
    [anon_sym_fixed] = ACTIONS(3031),
    [anon_sym_internal] = ACTIONS(3031),
    [anon_sym_new] = ACTIONS(3031),
    [anon_sym_override] = ACTIONS(3031),
    [anon_sym_partial] = ACTIONS(3031),
    [anon_sym_private] = ACTIONS(3031),
    [anon_sym_protected] = ACTIONS(3031),
    [anon_sym_public] = ACTIONS(3031),
    [anon_sym_readonly] = ACTIONS(3031),
    [anon_sym_required] = ACTIONS(3031),
    [anon_sym_sealed] = ACTIONS(3031),
    [anon_sym_virtual] = ACTIONS(3031),
    [anon_sym_volatile] = ACTIONS(3031),
    [anon_sym_where] = ACTIONS(3031),
    [anon_sym_notnull] = ACTIONS(3031),
    [anon_sym_unmanaged] = ACTIONS(3031),
    [anon_sym_checked] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3033),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_this] = ACTIONS(3031),
    [anon_sym_scoped] = ACTIONS(3031),
    [anon_sym_base] = ACTIONS(3031),
    [anon_sym_var] = ACTIONS(3031),
    [sym_predefined_type] = ACTIONS(3031),
    [anon_sym_break] = ACTIONS(3031),
    [anon_sym_unchecked] = ACTIONS(3031),
    [anon_sym_continue] = ACTIONS(3031),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3031),
    [anon_sym_lock] = ACTIONS(3031),
    [anon_sym_yield] = ACTIONS(3031),
    [anon_sym_switch] = ACTIONS(3031),
    [anon_sym_default] = ACTIONS(3031),
    [anon_sym_throw] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3031),
    [anon_sym_catch] = ACTIONS(3031),
    [anon_sym_when] = ACTIONS(3031),
    [anon_sym_finally] = ACTIONS(3031),
    [anon_sym_await] = ACTIONS(3031),
    [anon_sym_foreach] = ACTIONS(3031),
    [anon_sym_goto] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_else] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_from] = ACTIONS(3031),
    [anon_sym_into] = ACTIONS(3031),
    [anon_sym_join] = ACTIONS(3031),
    [anon_sym_on] = ACTIONS(3031),
    [anon_sym_equals] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3031),
    [anon_sym_orderby] = ACTIONS(3031),
    [anon_sym_ascending] = ACTIONS(3031),
    [anon_sym_descending] = ACTIONS(3031),
    [anon_sym_group] = ACTIONS(3031),
    [anon_sym_by] = ACTIONS(3031),
    [anon_sym_select] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [anon_sym_stackalloc] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3031),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym___makeref] = ACTIONS(3031),
    [anon_sym___reftype] = ACTIONS(3031),
    [anon_sym___refvalue] = ACTIONS(3031),
    [sym_null_literal] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3033),
    [sym_integer_literal] = ACTIONS(3031),
    [sym_real_literal] = ACTIONS(3033),
    [sym_verbatim_string_literal] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3033),
    [sym_interpolation_verbatim_start] = ACTIONS(3033),
    [sym_interpolation_raw_start] = ACTIONS(3033),
    [sym_raw_string_start] = ACTIONS(3033),
  },
  [2306] = {
    [sym_preproc_region] = STATE(2306),
    [sym_preproc_endregion] = STATE(2306),
    [sym_preproc_line] = STATE(2306),
    [sym_preproc_pragma] = STATE(2306),
    [sym_preproc_nullable] = STATE(2306),
    [sym_preproc_error] = STATE(2306),
    [sym_preproc_define] = STATE(2306),
    [sym_preproc_undef] = STATE(2306),
    [ts_builtin_sym_end] = ACTIONS(3041),
    [sym__identifier_token] = ACTIONS(3039),
    [anon_sym_extern] = ACTIONS(3039),
    [anon_sym_alias] = ACTIONS(3039),
    [anon_sym_SEMI] = ACTIONS(3041),
    [anon_sym_global] = ACTIONS(3039),
    [anon_sym_using] = ACTIONS(3039),
    [anon_sym_unsafe] = ACTIONS(3039),
    [anon_sym_static] = ACTIONS(3039),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_LPAREN] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3039),
    [anon_sym_namespace] = ACTIONS(3039),
    [anon_sym_class] = ACTIONS(3039),
    [anon_sym_ref] = ACTIONS(3039),
    [anon_sym_struct] = ACTIONS(3039),
    [anon_sym_enum] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3041),
    [anon_sym_interface] = ACTIONS(3039),
    [anon_sym_delegate] = ACTIONS(3039),
    [anon_sym_record] = ACTIONS(3039),
    [anon_sym_abstract] = ACTIONS(3039),
    [anon_sym_async] = ACTIONS(3039),
    [anon_sym_const] = ACTIONS(3039),
    [anon_sym_file] = ACTIONS(3039),
    [anon_sym_fixed] = ACTIONS(3039),
    [anon_sym_internal] = ACTIONS(3039),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3039),
    [anon_sym_partial] = ACTIONS(3039),
    [anon_sym_private] = ACTIONS(3039),
    [anon_sym_protected] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3039),
    [anon_sym_readonly] = ACTIONS(3039),
    [anon_sym_required] = ACTIONS(3039),
    [anon_sym_sealed] = ACTIONS(3039),
    [anon_sym_virtual] = ACTIONS(3039),
    [anon_sym_volatile] = ACTIONS(3039),
    [anon_sym_where] = ACTIONS(3039),
    [anon_sym_notnull] = ACTIONS(3039),
    [anon_sym_unmanaged] = ACTIONS(3039),
    [anon_sym_checked] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3041),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_PLUS_PLUS] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3041),
    [anon_sym_true] = ACTIONS(3039),
    [anon_sym_false] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_this] = ACTIONS(3039),
    [anon_sym_scoped] = ACTIONS(3039),
    [anon_sym_base] = ACTIONS(3039),
    [anon_sym_var] = ACTIONS(3039),
    [sym_predefined_type] = ACTIONS(3039),
    [anon_sym_break] = ACTIONS(3039),
    [anon_sym_unchecked] = ACTIONS(3039),
    [anon_sym_continue] = ACTIONS(3039),
    [anon_sym_do] = ACTIONS(3039),
    [anon_sym_while] = ACTIONS(3039),
    [anon_sym_for] = ACTIONS(3039),
    [anon_sym_lock] = ACTIONS(3039),
    [anon_sym_yield] = ACTIONS(3039),
    [anon_sym_switch] = ACTIONS(3039),
    [anon_sym_default] = ACTIONS(3039),
    [anon_sym_throw] = ACTIONS(3039),
    [anon_sym_try] = ACTIONS(3039),
    [anon_sym_catch] = ACTIONS(3039),
    [anon_sym_when] = ACTIONS(3039),
    [anon_sym_finally] = ACTIONS(3039),
    [anon_sym_await] = ACTIONS(3039),
    [anon_sym_foreach] = ACTIONS(3039),
    [anon_sym_goto] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3039),
    [anon_sym_else] = ACTIONS(3039),
    [anon_sym_DOT_DOT] = ACTIONS(3041),
    [anon_sym_from] = ACTIONS(3039),
    [anon_sym_into] = ACTIONS(3039),
    [anon_sym_join] = ACTIONS(3039),
    [anon_sym_on] = ACTIONS(3039),
    [anon_sym_equals] = ACTIONS(3039),
    [anon_sym_let] = ACTIONS(3039),
    [anon_sym_orderby] = ACTIONS(3039),
    [anon_sym_ascending] = ACTIONS(3039),
    [anon_sym_descending] = ACTIONS(3039),
    [anon_sym_group] = ACTIONS(3039),
    [anon_sym_by] = ACTIONS(3039),
    [anon_sym_select] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3041),
    [anon_sym_stackalloc] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3039),
    [anon_sym_typeof] = ACTIONS(3039),
    [anon_sym___makeref] = ACTIONS(3039),
    [anon_sym___reftype] = ACTIONS(3039),
    [anon_sym___refvalue] = ACTIONS(3039),
    [sym_null_literal] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3041),
    [sym_integer_literal] = ACTIONS(3039),
    [sym_real_literal] = ACTIONS(3041),
    [sym_verbatim_string_literal] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3041),
    [sym_interpolation_verbatim_start] = ACTIONS(3041),
    [sym_interpolation_raw_start] = ACTIONS(3041),
    [sym_raw_string_start] = ACTIONS(3041),
  },
  [2307] = {
    [sym_preproc_region] = STATE(2307),
    [sym_preproc_endregion] = STATE(2307),
    [sym_preproc_line] = STATE(2307),
    [sym_preproc_pragma] = STATE(2307),
    [sym_preproc_nullable] = STATE(2307),
    [sym_preproc_error] = STATE(2307),
    [sym_preproc_define] = STATE(2307),
    [sym_preproc_undef] = STATE(2307),
    [sym__identifier_token] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3403),
    [anon_sym_alias] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_global] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_unsafe] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_ref] = ACTIONS(3403),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_delegate] = ACTIONS(3403),
    [anon_sym_record] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_file] = ACTIONS(3403),
    [anon_sym_fixed] = ACTIONS(3403),
    [anon_sym_internal] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_partial] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_required] = ACTIONS(3403),
    [anon_sym_sealed] = ACTIONS(3403),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_volatile] = ACTIONS(3403),
    [anon_sym_where] = ACTIONS(3403),
    [anon_sym_notnull] = ACTIONS(3403),
    [anon_sym_unmanaged] = ACTIONS(3403),
    [anon_sym_checked] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [anon_sym_true] = ACTIONS(3403),
    [anon_sym_false] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3405),
    [anon_sym_CARET] = ACTIONS(3405),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_this] = ACTIONS(3403),
    [anon_sym_scoped] = ACTIONS(3403),
    [anon_sym_base] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [sym_predefined_type] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_unchecked] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_lock] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_when] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_foreach] = ACTIONS(3403),
    [anon_sym_goto] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_DOT_DOT] = ACTIONS(3405),
    [anon_sym_from] = ACTIONS(3403),
    [anon_sym_into] = ACTIONS(3403),
    [anon_sym_join] = ACTIONS(3403),
    [anon_sym_on] = ACTIONS(3403),
    [anon_sym_equals] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_orderby] = ACTIONS(3403),
    [anon_sym_ascending] = ACTIONS(3403),
    [anon_sym_descending] = ACTIONS(3403),
    [anon_sym_group] = ACTIONS(3403),
    [anon_sym_by] = ACTIONS(3403),
    [anon_sym_select] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_stackalloc] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym___makeref] = ACTIONS(3403),
    [anon_sym___reftype] = ACTIONS(3403),
    [anon_sym___refvalue] = ACTIONS(3403),
    [sym_null_literal] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [sym_integer_literal] = ACTIONS(3403),
    [sym_real_literal] = ACTIONS(3405),
    [sym_verbatim_string_literal] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token3] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3405),
    [sym_interpolation_verbatim_start] = ACTIONS(3405),
    [sym_interpolation_raw_start] = ACTIONS(3405),
    [sym_raw_string_start] = ACTIONS(3405),
  },
  [2308] = {
    [sym_preproc_region] = STATE(2308),
    [sym_preproc_endregion] = STATE(2308),
    [sym_preproc_line] = STATE(2308),
    [sym_preproc_pragma] = STATE(2308),
    [sym_preproc_nullable] = STATE(2308),
    [sym_preproc_error] = STATE(2308),
    [sym_preproc_define] = STATE(2308),
    [sym_preproc_undef] = STATE(2308),
    [sym__identifier_token] = ACTIONS(3407),
    [anon_sym_extern] = ACTIONS(3407),
    [anon_sym_alias] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_global] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_unsafe] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_ref] = ACTIONS(3407),
    [anon_sym_struct] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_delegate] = ACTIONS(3407),
    [anon_sym_record] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_file] = ACTIONS(3407),
    [anon_sym_fixed] = ACTIONS(3407),
    [anon_sym_internal] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_partial] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_required] = ACTIONS(3407),
    [anon_sym_sealed] = ACTIONS(3407),
    [anon_sym_virtual] = ACTIONS(3407),
    [anon_sym_volatile] = ACTIONS(3407),
    [anon_sym_where] = ACTIONS(3407),
    [anon_sym_notnull] = ACTIONS(3407),
    [anon_sym_unmanaged] = ACTIONS(3407),
    [anon_sym_checked] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [anon_sym_true] = ACTIONS(3407),
    [anon_sym_false] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_STAR] = ACTIONS(3409),
    [anon_sym_CARET] = ACTIONS(3409),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_this] = ACTIONS(3407),
    [anon_sym_scoped] = ACTIONS(3407),
    [anon_sym_base] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [sym_predefined_type] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_unchecked] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_lock] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_when] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_foreach] = ACTIONS(3407),
    [anon_sym_goto] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_DOT_DOT] = ACTIONS(3409),
    [anon_sym_from] = ACTIONS(3407),
    [anon_sym_into] = ACTIONS(3407),
    [anon_sym_join] = ACTIONS(3407),
    [anon_sym_on] = ACTIONS(3407),
    [anon_sym_equals] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_orderby] = ACTIONS(3407),
    [anon_sym_ascending] = ACTIONS(3407),
    [anon_sym_descending] = ACTIONS(3407),
    [anon_sym_group] = ACTIONS(3407),
    [anon_sym_by] = ACTIONS(3407),
    [anon_sym_select] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_stackalloc] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym___makeref] = ACTIONS(3407),
    [anon_sym___reftype] = ACTIONS(3407),
    [anon_sym___refvalue] = ACTIONS(3407),
    [sym_null_literal] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [sym_integer_literal] = ACTIONS(3407),
    [sym_real_literal] = ACTIONS(3409),
    [sym_verbatim_string_literal] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token3] = ACTIONS(3409),
    [aux_sym_preproc_else_token1] = ACTIONS(3409),
    [aux_sym_preproc_elif_token1] = ACTIONS(3409),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3409),
    [sym_interpolation_verbatim_start] = ACTIONS(3409),
    [sym_interpolation_raw_start] = ACTIONS(3409),
    [sym_raw_string_start] = ACTIONS(3409),
  },
  [2309] = {
    [sym_preproc_region] = STATE(2309),
    [sym_preproc_endregion] = STATE(2309),
    [sym_preproc_line] = STATE(2309),
    [sym_preproc_pragma] = STATE(2309),
    [sym_preproc_nullable] = STATE(2309),
    [sym_preproc_error] = STATE(2309),
    [sym_preproc_define] = STATE(2309),
    [sym_preproc_undef] = STATE(2309),
    [sym__identifier_token] = ACTIONS(3411),
    [anon_sym_extern] = ACTIONS(3411),
    [anon_sym_alias] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_global] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_unsafe] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_ref] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_delegate] = ACTIONS(3411),
    [anon_sym_record] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_file] = ACTIONS(3411),
    [anon_sym_fixed] = ACTIONS(3411),
    [anon_sym_internal] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_partial] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_required] = ACTIONS(3411),
    [anon_sym_sealed] = ACTIONS(3411),
    [anon_sym_virtual] = ACTIONS(3411),
    [anon_sym_volatile] = ACTIONS(3411),
    [anon_sym_where] = ACTIONS(3411),
    [anon_sym_notnull] = ACTIONS(3411),
    [anon_sym_unmanaged] = ACTIONS(3411),
    [anon_sym_checked] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [anon_sym_true] = ACTIONS(3411),
    [anon_sym_false] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_STAR] = ACTIONS(3413),
    [anon_sym_CARET] = ACTIONS(3413),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym_this] = ACTIONS(3411),
    [anon_sym_scoped] = ACTIONS(3411),
    [anon_sym_base] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [sym_predefined_type] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_unchecked] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_lock] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_when] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_foreach] = ACTIONS(3411),
    [anon_sym_goto] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_DOT_DOT] = ACTIONS(3413),
    [anon_sym_from] = ACTIONS(3411),
    [anon_sym_into] = ACTIONS(3411),
    [anon_sym_join] = ACTIONS(3411),
    [anon_sym_on] = ACTIONS(3411),
    [anon_sym_equals] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_orderby] = ACTIONS(3411),
    [anon_sym_ascending] = ACTIONS(3411),
    [anon_sym_descending] = ACTIONS(3411),
    [anon_sym_group] = ACTIONS(3411),
    [anon_sym_by] = ACTIONS(3411),
    [anon_sym_select] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_stackalloc] = ACTIONS(3411),
    [anon_sym_sizeof] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym___makeref] = ACTIONS(3411),
    [anon_sym___reftype] = ACTIONS(3411),
    [anon_sym___refvalue] = ACTIONS(3411),
    [sym_null_literal] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [sym_integer_literal] = ACTIONS(3411),
    [sym_real_literal] = ACTIONS(3413),
    [sym_verbatim_string_literal] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token3] = ACTIONS(3413),
    [aux_sym_preproc_else_token1] = ACTIONS(3413),
    [aux_sym_preproc_elif_token1] = ACTIONS(3413),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3413),
    [sym_interpolation_verbatim_start] = ACTIONS(3413),
    [sym_interpolation_raw_start] = ACTIONS(3413),
    [sym_raw_string_start] = ACTIONS(3413),
  },
  [2310] = {
    [sym_preproc_region] = STATE(2310),
    [sym_preproc_endregion] = STATE(2310),
    [sym_preproc_line] = STATE(2310),
    [sym_preproc_pragma] = STATE(2310),
    [sym_preproc_nullable] = STATE(2310),
    [sym_preproc_error] = STATE(2310),
    [sym_preproc_define] = STATE(2310),
    [sym_preproc_undef] = STATE(2310),
    [sym__identifier_token] = ACTIONS(3415),
    [anon_sym_extern] = ACTIONS(3415),
    [anon_sym_alias] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_global] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_unsafe] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_ref] = ACTIONS(3415),
    [anon_sym_struct] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_delegate] = ACTIONS(3415),
    [anon_sym_record] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_file] = ACTIONS(3415),
    [anon_sym_fixed] = ACTIONS(3415),
    [anon_sym_internal] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_partial] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_required] = ACTIONS(3415),
    [anon_sym_sealed] = ACTIONS(3415),
    [anon_sym_virtual] = ACTIONS(3415),
    [anon_sym_volatile] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_notnull] = ACTIONS(3415),
    [anon_sym_unmanaged] = ACTIONS(3415),
    [anon_sym_checked] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_true] = ACTIONS(3415),
    [anon_sym_false] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_this] = ACTIONS(3415),
    [anon_sym_scoped] = ACTIONS(3415),
    [anon_sym_base] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [sym_predefined_type] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_unchecked] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_lock] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_default] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_foreach] = ACTIONS(3415),
    [anon_sym_goto] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_DOT_DOT] = ACTIONS(3417),
    [anon_sym_from] = ACTIONS(3415),
    [anon_sym_into] = ACTIONS(3415),
    [anon_sym_join] = ACTIONS(3415),
    [anon_sym_on] = ACTIONS(3415),
    [anon_sym_equals] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_orderby] = ACTIONS(3415),
    [anon_sym_ascending] = ACTIONS(3415),
    [anon_sym_descending] = ACTIONS(3415),
    [anon_sym_group] = ACTIONS(3415),
    [anon_sym_by] = ACTIONS(3415),
    [anon_sym_select] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_stackalloc] = ACTIONS(3415),
    [anon_sym_sizeof] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym___makeref] = ACTIONS(3415),
    [anon_sym___reftype] = ACTIONS(3415),
    [anon_sym___refvalue] = ACTIONS(3415),
    [sym_null_literal] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [sym_integer_literal] = ACTIONS(3415),
    [sym_real_literal] = ACTIONS(3417),
    [sym_verbatim_string_literal] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token3] = ACTIONS(3417),
    [aux_sym_preproc_else_token1] = ACTIONS(3417),
    [aux_sym_preproc_elif_token1] = ACTIONS(3417),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3417),
    [sym_interpolation_verbatim_start] = ACTIONS(3417),
    [sym_interpolation_raw_start] = ACTIONS(3417),
    [sym_raw_string_start] = ACTIONS(3417),
  },
  [2311] = {
    [sym_preproc_region] = STATE(2311),
    [sym_preproc_endregion] = STATE(2311),
    [sym_preproc_line] = STATE(2311),
    [sym_preproc_pragma] = STATE(2311),
    [sym_preproc_nullable] = STATE(2311),
    [sym_preproc_error] = STATE(2311),
    [sym_preproc_define] = STATE(2311),
    [sym_preproc_undef] = STATE(2311),
    [sym__identifier_token] = ACTIONS(3419),
    [anon_sym_extern] = ACTIONS(3419),
    [anon_sym_alias] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_global] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_unsafe] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_ref] = ACTIONS(3419),
    [anon_sym_struct] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_delegate] = ACTIONS(3419),
    [anon_sym_record] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_file] = ACTIONS(3419),
    [anon_sym_fixed] = ACTIONS(3419),
    [anon_sym_internal] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_partial] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_required] = ACTIONS(3419),
    [anon_sym_sealed] = ACTIONS(3419),
    [anon_sym_virtual] = ACTIONS(3419),
    [anon_sym_volatile] = ACTIONS(3419),
    [anon_sym_where] = ACTIONS(3419),
    [anon_sym_notnull] = ACTIONS(3419),
    [anon_sym_unmanaged] = ACTIONS(3419),
    [anon_sym_checked] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [anon_sym_true] = ACTIONS(3419),
    [anon_sym_false] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_STAR] = ACTIONS(3421),
    [anon_sym_CARET] = ACTIONS(3421),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym_this] = ACTIONS(3419),
    [anon_sym_scoped] = ACTIONS(3419),
    [anon_sym_base] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [sym_predefined_type] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_unchecked] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_lock] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_when] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_foreach] = ACTIONS(3419),
    [anon_sym_goto] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_DOT_DOT] = ACTIONS(3421),
    [anon_sym_from] = ACTIONS(3419),
    [anon_sym_into] = ACTIONS(3419),
    [anon_sym_join] = ACTIONS(3419),
    [anon_sym_on] = ACTIONS(3419),
    [anon_sym_equals] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_orderby] = ACTIONS(3419),
    [anon_sym_ascending] = ACTIONS(3419),
    [anon_sym_descending] = ACTIONS(3419),
    [anon_sym_group] = ACTIONS(3419),
    [anon_sym_by] = ACTIONS(3419),
    [anon_sym_select] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_stackalloc] = ACTIONS(3419),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym___makeref] = ACTIONS(3419),
    [anon_sym___reftype] = ACTIONS(3419),
    [anon_sym___refvalue] = ACTIONS(3419),
    [sym_null_literal] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [sym_integer_literal] = ACTIONS(3419),
    [sym_real_literal] = ACTIONS(3421),
    [sym_verbatim_string_literal] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token3] = ACTIONS(3421),
    [aux_sym_preproc_else_token1] = ACTIONS(3421),
    [aux_sym_preproc_elif_token1] = ACTIONS(3421),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3421),
    [sym_interpolation_verbatim_start] = ACTIONS(3421),
    [sym_interpolation_raw_start] = ACTIONS(3421),
    [sym_raw_string_start] = ACTIONS(3421),
  },
  [2312] = {
    [sym_preproc_region] = STATE(2312),
    [sym_preproc_endregion] = STATE(2312),
    [sym_preproc_line] = STATE(2312),
    [sym_preproc_pragma] = STATE(2312),
    [sym_preproc_nullable] = STATE(2312),
    [sym_preproc_error] = STATE(2312),
    [sym_preproc_define] = STATE(2312),
    [sym_preproc_undef] = STATE(2312),
    [sym__identifier_token] = ACTIONS(3423),
    [anon_sym_extern] = ACTIONS(3423),
    [anon_sym_alias] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_global] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_unsafe] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_ref] = ACTIONS(3423),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_delegate] = ACTIONS(3423),
    [anon_sym_record] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_file] = ACTIONS(3423),
    [anon_sym_fixed] = ACTIONS(3423),
    [anon_sym_internal] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_partial] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_required] = ACTIONS(3423),
    [anon_sym_sealed] = ACTIONS(3423),
    [anon_sym_virtual] = ACTIONS(3423),
    [anon_sym_volatile] = ACTIONS(3423),
    [anon_sym_where] = ACTIONS(3423),
    [anon_sym_notnull] = ACTIONS(3423),
    [anon_sym_unmanaged] = ACTIONS(3423),
    [anon_sym_checked] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [anon_sym_true] = ACTIONS(3423),
    [anon_sym_false] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(3425),
    [anon_sym_CARET] = ACTIONS(3425),
    [anon_sym_AMP] = ACTIONS(3425),
    [anon_sym_this] = ACTIONS(3423),
    [anon_sym_scoped] = ACTIONS(3423),
    [anon_sym_base] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [sym_predefined_type] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_unchecked] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_lock] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_when] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_foreach] = ACTIONS(3423),
    [anon_sym_goto] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3425),
    [anon_sym_from] = ACTIONS(3423),
    [anon_sym_into] = ACTIONS(3423),
    [anon_sym_join] = ACTIONS(3423),
    [anon_sym_on] = ACTIONS(3423),
    [anon_sym_equals] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_orderby] = ACTIONS(3423),
    [anon_sym_ascending] = ACTIONS(3423),
    [anon_sym_descending] = ACTIONS(3423),
    [anon_sym_group] = ACTIONS(3423),
    [anon_sym_by] = ACTIONS(3423),
    [anon_sym_select] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_stackalloc] = ACTIONS(3423),
    [anon_sym_sizeof] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym___makeref] = ACTIONS(3423),
    [anon_sym___reftype] = ACTIONS(3423),
    [anon_sym___refvalue] = ACTIONS(3423),
    [sym_null_literal] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [sym_integer_literal] = ACTIONS(3423),
    [sym_real_literal] = ACTIONS(3425),
    [sym_verbatim_string_literal] = ACTIONS(3425),
    [aux_sym_preproc_if_token1] = ACTIONS(3425),
    [aux_sym_preproc_if_token3] = ACTIONS(3425),
    [aux_sym_preproc_else_token1] = ACTIONS(3425),
    [aux_sym_preproc_elif_token1] = ACTIONS(3425),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3425),
    [sym_interpolation_verbatim_start] = ACTIONS(3425),
    [sym_interpolation_raw_start] = ACTIONS(3425),
    [sym_raw_string_start] = ACTIONS(3425),
  },
  [2313] = {
    [sym_preproc_region] = STATE(2313),
    [sym_preproc_endregion] = STATE(2313),
    [sym_preproc_line] = STATE(2313),
    [sym_preproc_pragma] = STATE(2313),
    [sym_preproc_nullable] = STATE(2313),
    [sym_preproc_error] = STATE(2313),
    [sym_preproc_define] = STATE(2313),
    [sym_preproc_undef] = STATE(2313),
    [sym__identifier_token] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym_alias] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_global] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_unsafe] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_ref] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_delegate] = ACTIONS(3427),
    [anon_sym_record] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_file] = ACTIONS(3427),
    [anon_sym_fixed] = ACTIONS(3427),
    [anon_sym_internal] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_partial] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_required] = ACTIONS(3427),
    [anon_sym_sealed] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_where] = ACTIONS(3427),
    [anon_sym_notnull] = ACTIONS(3427),
    [anon_sym_unmanaged] = ACTIONS(3427),
    [anon_sym_checked] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_true] = ACTIONS(3427),
    [anon_sym_false] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_CARET] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3429),
    [anon_sym_this] = ACTIONS(3427),
    [anon_sym_scoped] = ACTIONS(3427),
    [anon_sym_base] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [sym_predefined_type] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_unchecked] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_lock] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_when] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_foreach] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_DOT_DOT] = ACTIONS(3429),
    [anon_sym_from] = ACTIONS(3427),
    [anon_sym_into] = ACTIONS(3427),
    [anon_sym_join] = ACTIONS(3427),
    [anon_sym_on] = ACTIONS(3427),
    [anon_sym_equals] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_orderby] = ACTIONS(3427),
    [anon_sym_ascending] = ACTIONS(3427),
    [anon_sym_descending] = ACTIONS(3427),
    [anon_sym_group] = ACTIONS(3427),
    [anon_sym_by] = ACTIONS(3427),
    [anon_sym_select] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_stackalloc] = ACTIONS(3427),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym___makeref] = ACTIONS(3427),
    [anon_sym___reftype] = ACTIONS(3427),
    [anon_sym___refvalue] = ACTIONS(3427),
    [sym_null_literal] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [sym_integer_literal] = ACTIONS(3427),
    [sym_real_literal] = ACTIONS(3429),
    [sym_verbatim_string_literal] = ACTIONS(3429),
    [aux_sym_preproc_if_token1] = ACTIONS(3429),
    [aux_sym_preproc_if_token3] = ACTIONS(3429),
    [aux_sym_preproc_else_token1] = ACTIONS(3429),
    [aux_sym_preproc_elif_token1] = ACTIONS(3429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3429),
    [sym_interpolation_verbatim_start] = ACTIONS(3429),
    [sym_interpolation_raw_start] = ACTIONS(3429),
    [sym_raw_string_start] = ACTIONS(3429),
  },
  [2314] = {
    [sym_preproc_region] = STATE(2314),
    [sym_preproc_endregion] = STATE(2314),
    [sym_preproc_line] = STATE(2314),
    [sym_preproc_pragma] = STATE(2314),
    [sym_preproc_nullable] = STATE(2314),
    [sym_preproc_error] = STATE(2314),
    [sym_preproc_define] = STATE(2314),
    [sym_preproc_undef] = STATE(2314),
    [sym__identifier_token] = ACTIONS(3431),
    [anon_sym_extern] = ACTIONS(3431),
    [anon_sym_alias] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_global] = ACTIONS(3431),
    [anon_sym_using] = ACTIONS(3431),
    [anon_sym_unsafe] = ACTIONS(3431),
    [anon_sym_static] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3431),
    [anon_sym_namespace] = ACTIONS(3431),
    [anon_sym_class] = ACTIONS(3431),
    [anon_sym_ref] = ACTIONS(3431),
    [anon_sym_struct] = ACTIONS(3431),
    [anon_sym_enum] = ACTIONS(3431),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3431),
    [anon_sym_delegate] = ACTIONS(3431),
    [anon_sym_record] = ACTIONS(3431),
    [anon_sym_abstract] = ACTIONS(3431),
    [anon_sym_async] = ACTIONS(3431),
    [anon_sym_const] = ACTIONS(3431),
    [anon_sym_file] = ACTIONS(3431),
    [anon_sym_fixed] = ACTIONS(3431),
    [anon_sym_internal] = ACTIONS(3431),
    [anon_sym_new] = ACTIONS(3431),
    [anon_sym_override] = ACTIONS(3431),
    [anon_sym_partial] = ACTIONS(3431),
    [anon_sym_private] = ACTIONS(3431),
    [anon_sym_protected] = ACTIONS(3431),
    [anon_sym_public] = ACTIONS(3431),
    [anon_sym_readonly] = ACTIONS(3431),
    [anon_sym_required] = ACTIONS(3431),
    [anon_sym_sealed] = ACTIONS(3431),
    [anon_sym_virtual] = ACTIONS(3431),
    [anon_sym_volatile] = ACTIONS(3431),
    [anon_sym_where] = ACTIONS(3431),
    [anon_sym_notnull] = ACTIONS(3431),
    [anon_sym_unmanaged] = ACTIONS(3431),
    [anon_sym_checked] = ACTIONS(3431),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_true] = ACTIONS(3431),
    [anon_sym_false] = ACTIONS(3431),
    [anon_sym_PLUS] = ACTIONS(3431),
    [anon_sym_DASH] = ACTIONS(3431),
    [anon_sym_STAR] = ACTIONS(3433),
    [anon_sym_CARET] = ACTIONS(3433),
    [anon_sym_AMP] = ACTIONS(3433),
    [anon_sym_this] = ACTIONS(3431),
    [anon_sym_scoped] = ACTIONS(3431),
    [anon_sym_base] = ACTIONS(3431),
    [anon_sym_var] = ACTIONS(3431),
    [sym_predefined_type] = ACTIONS(3431),
    [anon_sym_break] = ACTIONS(3431),
    [anon_sym_unchecked] = ACTIONS(3431),
    [anon_sym_continue] = ACTIONS(3431),
    [anon_sym_do] = ACTIONS(3431),
    [anon_sym_while] = ACTIONS(3431),
    [anon_sym_for] = ACTIONS(3431),
    [anon_sym_lock] = ACTIONS(3431),
    [anon_sym_yield] = ACTIONS(3431),
    [anon_sym_switch] = ACTIONS(3431),
    [anon_sym_default] = ACTIONS(3431),
    [anon_sym_throw] = ACTIONS(3431),
    [anon_sym_try] = ACTIONS(3431),
    [anon_sym_when] = ACTIONS(3431),
    [anon_sym_await] = ACTIONS(3431),
    [anon_sym_foreach] = ACTIONS(3431),
    [anon_sym_goto] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(3431),
    [anon_sym_DOT_DOT] = ACTIONS(3433),
    [anon_sym_from] = ACTIONS(3431),
    [anon_sym_into] = ACTIONS(3431),
    [anon_sym_join] = ACTIONS(3431),
    [anon_sym_on] = ACTIONS(3431),
    [anon_sym_equals] = ACTIONS(3431),
    [anon_sym_let] = ACTIONS(3431),
    [anon_sym_orderby] = ACTIONS(3431),
    [anon_sym_ascending] = ACTIONS(3431),
    [anon_sym_descending] = ACTIONS(3431),
    [anon_sym_group] = ACTIONS(3431),
    [anon_sym_by] = ACTIONS(3431),
    [anon_sym_select] = ACTIONS(3431),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_stackalloc] = ACTIONS(3431),
    [anon_sym_sizeof] = ACTIONS(3431),
    [anon_sym_typeof] = ACTIONS(3431),
    [anon_sym___makeref] = ACTIONS(3431),
    [anon_sym___reftype] = ACTIONS(3431),
    [anon_sym___refvalue] = ACTIONS(3431),
    [sym_null_literal] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [sym_integer_literal] = ACTIONS(3431),
    [sym_real_literal] = ACTIONS(3433),
    [sym_verbatim_string_literal] = ACTIONS(3433),
    [aux_sym_preproc_if_token1] = ACTIONS(3433),
    [aux_sym_preproc_if_token3] = ACTIONS(3433),
    [aux_sym_preproc_else_token1] = ACTIONS(3433),
    [aux_sym_preproc_elif_token1] = ACTIONS(3433),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3433),
    [sym_interpolation_verbatim_start] = ACTIONS(3433),
    [sym_interpolation_raw_start] = ACTIONS(3433),
    [sym_raw_string_start] = ACTIONS(3433),
  },
  [2315] = {
    [sym_preproc_region] = STATE(2315),
    [sym_preproc_endregion] = STATE(2315),
    [sym_preproc_line] = STATE(2315),
    [sym_preproc_pragma] = STATE(2315),
    [sym_preproc_nullable] = STATE(2315),
    [sym_preproc_error] = STATE(2315),
    [sym_preproc_define] = STATE(2315),
    [sym_preproc_undef] = STATE(2315),
    [sym__identifier_token] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym_alias] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_global] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_unsafe] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_ref] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_delegate] = ACTIONS(3435),
    [anon_sym_record] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_file] = ACTIONS(3435),
    [anon_sym_fixed] = ACTIONS(3435),
    [anon_sym_internal] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_partial] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_required] = ACTIONS(3435),
    [anon_sym_sealed] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_where] = ACTIONS(3435),
    [anon_sym_notnull] = ACTIONS(3435),
    [anon_sym_unmanaged] = ACTIONS(3435),
    [anon_sym_checked] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [anon_sym_true] = ACTIONS(3435),
    [anon_sym_false] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_CARET] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3437),
    [anon_sym_this] = ACTIONS(3435),
    [anon_sym_scoped] = ACTIONS(3435),
    [anon_sym_base] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [sym_predefined_type] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_unchecked] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_lock] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_when] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_foreach] = ACTIONS(3435),
    [anon_sym_goto] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_from] = ACTIONS(3435),
    [anon_sym_into] = ACTIONS(3435),
    [anon_sym_join] = ACTIONS(3435),
    [anon_sym_on] = ACTIONS(3435),
    [anon_sym_equals] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_orderby] = ACTIONS(3435),
    [anon_sym_ascending] = ACTIONS(3435),
    [anon_sym_descending] = ACTIONS(3435),
    [anon_sym_group] = ACTIONS(3435),
    [anon_sym_by] = ACTIONS(3435),
    [anon_sym_select] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_stackalloc] = ACTIONS(3435),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym___makeref] = ACTIONS(3435),
    [anon_sym___reftype] = ACTIONS(3435),
    [anon_sym___refvalue] = ACTIONS(3435),
    [sym_null_literal] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [sym_integer_literal] = ACTIONS(3435),
    [sym_real_literal] = ACTIONS(3437),
    [sym_verbatim_string_literal] = ACTIONS(3437),
    [aux_sym_preproc_if_token1] = ACTIONS(3437),
    [aux_sym_preproc_if_token3] = ACTIONS(3437),
    [aux_sym_preproc_else_token1] = ACTIONS(3437),
    [aux_sym_preproc_elif_token1] = ACTIONS(3437),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3437),
    [sym_interpolation_verbatim_start] = ACTIONS(3437),
    [sym_interpolation_raw_start] = ACTIONS(3437),
    [sym_raw_string_start] = ACTIONS(3437),
  },
  [2316] = {
    [sym_preproc_region] = STATE(2316),
    [sym_preproc_endregion] = STATE(2316),
    [sym_preproc_line] = STATE(2316),
    [sym_preproc_pragma] = STATE(2316),
    [sym_preproc_nullable] = STATE(2316),
    [sym_preproc_error] = STATE(2316),
    [sym_preproc_define] = STATE(2316),
    [sym_preproc_undef] = STATE(2316),
    [sym__identifier_token] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym_alias] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_global] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_unsafe] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_ref] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3439),
    [anon_sym_delegate] = ACTIONS(3439),
    [anon_sym_record] = ACTIONS(3439),
    [anon_sym_abstract] = ACTIONS(3439),
    [anon_sym_async] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_file] = ACTIONS(3439),
    [anon_sym_fixed] = ACTIONS(3439),
    [anon_sym_internal] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_override] = ACTIONS(3439),
    [anon_sym_partial] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_readonly] = ACTIONS(3439),
    [anon_sym_required] = ACTIONS(3439),
    [anon_sym_sealed] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_where] = ACTIONS(3439),
    [anon_sym_notnull] = ACTIONS(3439),
    [anon_sym_unmanaged] = ACTIONS(3439),
    [anon_sym_checked] = ACTIONS(3439),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [anon_sym_true] = ACTIONS(3439),
    [anon_sym_false] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_CARET] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3441),
    [anon_sym_this] = ACTIONS(3439),
    [anon_sym_scoped] = ACTIONS(3439),
    [anon_sym_base] = ACTIONS(3439),
    [anon_sym_var] = ACTIONS(3439),
    [sym_predefined_type] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_unchecked] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_lock] = ACTIONS(3439),
    [anon_sym_yield] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_when] = ACTIONS(3439),
    [anon_sym_await] = ACTIONS(3439),
    [anon_sym_foreach] = ACTIONS(3439),
    [anon_sym_goto] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_DOT_DOT] = ACTIONS(3441),
    [anon_sym_from] = ACTIONS(3439),
    [anon_sym_into] = ACTIONS(3439),
    [anon_sym_join] = ACTIONS(3439),
    [anon_sym_on] = ACTIONS(3439),
    [anon_sym_equals] = ACTIONS(3439),
    [anon_sym_let] = ACTIONS(3439),
    [anon_sym_orderby] = ACTIONS(3439),
    [anon_sym_ascending] = ACTIONS(3439),
    [anon_sym_descending] = ACTIONS(3439),
    [anon_sym_group] = ACTIONS(3439),
    [anon_sym_by] = ACTIONS(3439),
    [anon_sym_select] = ACTIONS(3439),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_stackalloc] = ACTIONS(3439),
    [anon_sym_sizeof] = ACTIONS(3439),
    [anon_sym_typeof] = ACTIONS(3439),
    [anon_sym___makeref] = ACTIONS(3439),
    [anon_sym___reftype] = ACTIONS(3439),
    [anon_sym___refvalue] = ACTIONS(3439),
    [sym_null_literal] = ACTIONS(3439),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [sym_integer_literal] = ACTIONS(3439),
    [sym_real_literal] = ACTIONS(3441),
    [sym_verbatim_string_literal] = ACTIONS(3441),
    [aux_sym_preproc_if_token1] = ACTIONS(3441),
    [aux_sym_preproc_if_token3] = ACTIONS(3441),
    [aux_sym_preproc_else_token1] = ACTIONS(3441),
    [aux_sym_preproc_elif_token1] = ACTIONS(3441),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3441),
    [sym_interpolation_verbatim_start] = ACTIONS(3441),
    [sym_interpolation_raw_start] = ACTIONS(3441),
    [sym_raw_string_start] = ACTIONS(3441),
  },
  [2317] = {
    [sym_preproc_region] = STATE(2317),
    [sym_preproc_endregion] = STATE(2317),
    [sym_preproc_line] = STATE(2317),
    [sym_preproc_pragma] = STATE(2317),
    [sym_preproc_nullable] = STATE(2317),
    [sym_preproc_error] = STATE(2317),
    [sym_preproc_define] = STATE(2317),
    [sym_preproc_undef] = STATE(2317),
    [sym__identifier_token] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym_alias] = ACTIONS(3443),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_global] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_unsafe] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_ref] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3443),
    [anon_sym_delegate] = ACTIONS(3443),
    [anon_sym_record] = ACTIONS(3443),
    [anon_sym_abstract] = ACTIONS(3443),
    [anon_sym_async] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_file] = ACTIONS(3443),
    [anon_sym_fixed] = ACTIONS(3443),
    [anon_sym_internal] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_override] = ACTIONS(3443),
    [anon_sym_partial] = ACTIONS(3443),
    [anon_sym_private] = ACTIONS(3443),
    [anon_sym_protected] = ACTIONS(3443),
    [anon_sym_public] = ACTIONS(3443),
    [anon_sym_readonly] = ACTIONS(3443),
    [anon_sym_required] = ACTIONS(3443),
    [anon_sym_sealed] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_where] = ACTIONS(3443),
    [anon_sym_notnull] = ACTIONS(3443),
    [anon_sym_unmanaged] = ACTIONS(3443),
    [anon_sym_checked] = ACTIONS(3443),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [anon_sym_true] = ACTIONS(3443),
    [anon_sym_false] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_CARET] = ACTIONS(3445),
    [anon_sym_AMP] = ACTIONS(3445),
    [anon_sym_this] = ACTIONS(3443),
    [anon_sym_scoped] = ACTIONS(3443),
    [anon_sym_base] = ACTIONS(3443),
    [anon_sym_var] = ACTIONS(3443),
    [sym_predefined_type] = ACTIONS(3443),
    [anon_sym_break] = ACTIONS(3443),
    [anon_sym_unchecked] = ACTIONS(3443),
    [anon_sym_continue] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_lock] = ACTIONS(3443),
    [anon_sym_yield] = ACTIONS(3443),
    [anon_sym_switch] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_throw] = ACTIONS(3443),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_when] = ACTIONS(3443),
    [anon_sym_await] = ACTIONS(3443),
    [anon_sym_foreach] = ACTIONS(3443),
    [anon_sym_goto] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_DOT_DOT] = ACTIONS(3445),
    [anon_sym_from] = ACTIONS(3443),
    [anon_sym_into] = ACTIONS(3443),
    [anon_sym_join] = ACTIONS(3443),
    [anon_sym_on] = ACTIONS(3443),
    [anon_sym_equals] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3443),
    [anon_sym_orderby] = ACTIONS(3443),
    [anon_sym_ascending] = ACTIONS(3443),
    [anon_sym_descending] = ACTIONS(3443),
    [anon_sym_group] = ACTIONS(3443),
    [anon_sym_by] = ACTIONS(3443),
    [anon_sym_select] = ACTIONS(3443),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_stackalloc] = ACTIONS(3443),
    [anon_sym_sizeof] = ACTIONS(3443),
    [anon_sym_typeof] = ACTIONS(3443),
    [anon_sym___makeref] = ACTIONS(3443),
    [anon_sym___reftype] = ACTIONS(3443),
    [anon_sym___refvalue] = ACTIONS(3443),
    [sym_null_literal] = ACTIONS(3443),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [sym_integer_literal] = ACTIONS(3443),
    [sym_real_literal] = ACTIONS(3445),
    [sym_verbatim_string_literal] = ACTIONS(3445),
    [aux_sym_preproc_if_token1] = ACTIONS(3445),
    [aux_sym_preproc_if_token3] = ACTIONS(3445),
    [aux_sym_preproc_else_token1] = ACTIONS(3445),
    [aux_sym_preproc_elif_token1] = ACTIONS(3445),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3445),
    [sym_interpolation_verbatim_start] = ACTIONS(3445),
    [sym_interpolation_raw_start] = ACTIONS(3445),
    [sym_raw_string_start] = ACTIONS(3445),
  },
  [2318] = {
    [sym_preproc_region] = STATE(2318),
    [sym_preproc_endregion] = STATE(2318),
    [sym_preproc_line] = STATE(2318),
    [sym_preproc_pragma] = STATE(2318),
    [sym_preproc_nullable] = STATE(2318),
    [sym_preproc_error] = STATE(2318),
    [sym_preproc_define] = STATE(2318),
    [sym_preproc_undef] = STATE(2318),
    [sym__identifier_token] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym_alias] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym_global] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_unsafe] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_ref] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_interface] = ACTIONS(3447),
    [anon_sym_delegate] = ACTIONS(3447),
    [anon_sym_record] = ACTIONS(3447),
    [anon_sym_abstract] = ACTIONS(3447),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_file] = ACTIONS(3447),
    [anon_sym_fixed] = ACTIONS(3447),
    [anon_sym_internal] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_override] = ACTIONS(3447),
    [anon_sym_partial] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_readonly] = ACTIONS(3447),
    [anon_sym_required] = ACTIONS(3447),
    [anon_sym_sealed] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_where] = ACTIONS(3447),
    [anon_sym_notnull] = ACTIONS(3447),
    [anon_sym_unmanaged] = ACTIONS(3447),
    [anon_sym_checked] = ACTIONS(3447),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [anon_sym_true] = ACTIONS(3447),
    [anon_sym_false] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_CARET] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_this] = ACTIONS(3447),
    [anon_sym_scoped] = ACTIONS(3447),
    [anon_sym_base] = ACTIONS(3447),
    [anon_sym_var] = ACTIONS(3447),
    [sym_predefined_type] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_unchecked] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_lock] = ACTIONS(3447),
    [anon_sym_yield] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_when] = ACTIONS(3447),
    [anon_sym_await] = ACTIONS(3447),
    [anon_sym_foreach] = ACTIONS(3447),
    [anon_sym_goto] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_DOT_DOT] = ACTIONS(3449),
    [anon_sym_from] = ACTIONS(3447),
    [anon_sym_into] = ACTIONS(3447),
    [anon_sym_join] = ACTIONS(3447),
    [anon_sym_on] = ACTIONS(3447),
    [anon_sym_equals] = ACTIONS(3447),
    [anon_sym_let] = ACTIONS(3447),
    [anon_sym_orderby] = ACTIONS(3447),
    [anon_sym_ascending] = ACTIONS(3447),
    [anon_sym_descending] = ACTIONS(3447),
    [anon_sym_group] = ACTIONS(3447),
    [anon_sym_by] = ACTIONS(3447),
    [anon_sym_select] = ACTIONS(3447),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [anon_sym_stackalloc] = ACTIONS(3447),
    [anon_sym_sizeof] = ACTIONS(3447),
    [anon_sym_typeof] = ACTIONS(3447),
    [anon_sym___makeref] = ACTIONS(3447),
    [anon_sym___reftype] = ACTIONS(3447),
    [anon_sym___refvalue] = ACTIONS(3447),
    [sym_null_literal] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [sym_integer_literal] = ACTIONS(3447),
    [sym_real_literal] = ACTIONS(3449),
    [sym_verbatim_string_literal] = ACTIONS(3449),
    [aux_sym_preproc_if_token1] = ACTIONS(3449),
    [aux_sym_preproc_if_token3] = ACTIONS(3449),
    [aux_sym_preproc_else_token1] = ACTIONS(3449),
    [aux_sym_preproc_elif_token1] = ACTIONS(3449),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3449),
    [sym_interpolation_verbatim_start] = ACTIONS(3449),
    [sym_interpolation_raw_start] = ACTIONS(3449),
    [sym_raw_string_start] = ACTIONS(3449),
  },
  [2319] = {
    [sym_preproc_region] = STATE(2319),
    [sym_preproc_endregion] = STATE(2319),
    [sym_preproc_line] = STATE(2319),
    [sym_preproc_pragma] = STATE(2319),
    [sym_preproc_nullable] = STATE(2319),
    [sym_preproc_error] = STATE(2319),
    [sym_preproc_define] = STATE(2319),
    [sym_preproc_undef] = STATE(2319),
    [sym__identifier_token] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym_alias] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym_global] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_unsafe] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3453),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_ref] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_delegate] = ACTIONS(3451),
    [anon_sym_record] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_file] = ACTIONS(3451),
    [anon_sym_fixed] = ACTIONS(3451),
    [anon_sym_internal] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_partial] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_required] = ACTIONS(3451),
    [anon_sym_sealed] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_where] = ACTIONS(3451),
    [anon_sym_notnull] = ACTIONS(3451),
    [anon_sym_unmanaged] = ACTIONS(3451),
    [anon_sym_checked] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [anon_sym_true] = ACTIONS(3451),
    [anon_sym_false] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_CARET] = ACTIONS(3453),
    [anon_sym_AMP] = ACTIONS(3453),
    [anon_sym_this] = ACTIONS(3451),
    [anon_sym_scoped] = ACTIONS(3451),
    [anon_sym_base] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [sym_predefined_type] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_unchecked] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_lock] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_when] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_foreach] = ACTIONS(3451),
    [anon_sym_goto] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3453),
    [anon_sym_from] = ACTIONS(3451),
    [anon_sym_into] = ACTIONS(3451),
    [anon_sym_join] = ACTIONS(3451),
    [anon_sym_on] = ACTIONS(3451),
    [anon_sym_equals] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_orderby] = ACTIONS(3451),
    [anon_sym_ascending] = ACTIONS(3451),
    [anon_sym_descending] = ACTIONS(3451),
    [anon_sym_group] = ACTIONS(3451),
    [anon_sym_by] = ACTIONS(3451),
    [anon_sym_select] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [anon_sym_stackalloc] = ACTIONS(3451),
    [anon_sym_sizeof] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym___makeref] = ACTIONS(3451),
    [anon_sym___reftype] = ACTIONS(3451),
    [anon_sym___refvalue] = ACTIONS(3451),
    [sym_null_literal] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [sym_integer_literal] = ACTIONS(3451),
    [sym_real_literal] = ACTIONS(3453),
    [sym_verbatim_string_literal] = ACTIONS(3453),
    [aux_sym_preproc_if_token1] = ACTIONS(3453),
    [aux_sym_preproc_if_token3] = ACTIONS(3453),
    [aux_sym_preproc_else_token1] = ACTIONS(3453),
    [aux_sym_preproc_elif_token1] = ACTIONS(3453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3453),
    [sym_interpolation_verbatim_start] = ACTIONS(3453),
    [sym_interpolation_raw_start] = ACTIONS(3453),
    [sym_raw_string_start] = ACTIONS(3453),
  },
  [2320] = {
    [sym_preproc_region] = STATE(2320),
    [sym_preproc_endregion] = STATE(2320),
    [sym_preproc_line] = STATE(2320),
    [sym_preproc_pragma] = STATE(2320),
    [sym_preproc_nullable] = STATE(2320),
    [sym_preproc_error] = STATE(2320),
    [sym_preproc_define] = STATE(2320),
    [sym_preproc_undef] = STATE(2320),
    [sym__identifier_token] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym_alias] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym_global] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_unsafe] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3457),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_ref] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_interface] = ACTIONS(3455),
    [anon_sym_delegate] = ACTIONS(3455),
    [anon_sym_record] = ACTIONS(3455),
    [anon_sym_abstract] = ACTIONS(3455),
    [anon_sym_async] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_file] = ACTIONS(3455),
    [anon_sym_fixed] = ACTIONS(3455),
    [anon_sym_internal] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_override] = ACTIONS(3455),
    [anon_sym_partial] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_readonly] = ACTIONS(3455),
    [anon_sym_required] = ACTIONS(3455),
    [anon_sym_sealed] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_where] = ACTIONS(3455),
    [anon_sym_notnull] = ACTIONS(3455),
    [anon_sym_unmanaged] = ACTIONS(3455),
    [anon_sym_checked] = ACTIONS(3455),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [anon_sym_true] = ACTIONS(3455),
    [anon_sym_false] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_CARET] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3457),
    [anon_sym_this] = ACTIONS(3455),
    [anon_sym_scoped] = ACTIONS(3455),
    [anon_sym_base] = ACTIONS(3455),
    [anon_sym_var] = ACTIONS(3455),
    [sym_predefined_type] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_unchecked] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_lock] = ACTIONS(3455),
    [anon_sym_yield] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_when] = ACTIONS(3455),
    [anon_sym_await] = ACTIONS(3455),
    [anon_sym_foreach] = ACTIONS(3455),
    [anon_sym_goto] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_DOT_DOT] = ACTIONS(3457),
    [anon_sym_from] = ACTIONS(3455),
    [anon_sym_into] = ACTIONS(3455),
    [anon_sym_join] = ACTIONS(3455),
    [anon_sym_on] = ACTIONS(3455),
    [anon_sym_equals] = ACTIONS(3455),
    [anon_sym_let] = ACTIONS(3455),
    [anon_sym_orderby] = ACTIONS(3455),
    [anon_sym_ascending] = ACTIONS(3455),
    [anon_sym_descending] = ACTIONS(3455),
    [anon_sym_group] = ACTIONS(3455),
    [anon_sym_by] = ACTIONS(3455),
    [anon_sym_select] = ACTIONS(3455),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [anon_sym_stackalloc] = ACTIONS(3455),
    [anon_sym_sizeof] = ACTIONS(3455),
    [anon_sym_typeof] = ACTIONS(3455),
    [anon_sym___makeref] = ACTIONS(3455),
    [anon_sym___reftype] = ACTIONS(3455),
    [anon_sym___refvalue] = ACTIONS(3455),
    [sym_null_literal] = ACTIONS(3455),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [sym_integer_literal] = ACTIONS(3455),
    [sym_real_literal] = ACTIONS(3457),
    [sym_verbatim_string_literal] = ACTIONS(3457),
    [aux_sym_preproc_if_token1] = ACTIONS(3457),
    [aux_sym_preproc_if_token3] = ACTIONS(3457),
    [aux_sym_preproc_else_token1] = ACTIONS(3457),
    [aux_sym_preproc_elif_token1] = ACTIONS(3457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3457),
    [sym_interpolation_verbatim_start] = ACTIONS(3457),
    [sym_interpolation_raw_start] = ACTIONS(3457),
    [sym_raw_string_start] = ACTIONS(3457),
  },
  [2321] = {
    [sym_preproc_region] = STATE(2321),
    [sym_preproc_endregion] = STATE(2321),
    [sym_preproc_line] = STATE(2321),
    [sym_preproc_pragma] = STATE(2321),
    [sym_preproc_nullable] = STATE(2321),
    [sym_preproc_error] = STATE(2321),
    [sym_preproc_define] = STATE(2321),
    [sym_preproc_undef] = STATE(2321),
    [sym__identifier_token] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym_alias] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym_global] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_unsafe] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_ref] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_interface] = ACTIONS(3459),
    [anon_sym_delegate] = ACTIONS(3459),
    [anon_sym_record] = ACTIONS(3459),
    [anon_sym_abstract] = ACTIONS(3459),
    [anon_sym_async] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_file] = ACTIONS(3459),
    [anon_sym_fixed] = ACTIONS(3459),
    [anon_sym_internal] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_partial] = ACTIONS(3459),
    [anon_sym_private] = ACTIONS(3459),
    [anon_sym_protected] = ACTIONS(3459),
    [anon_sym_public] = ACTIONS(3459),
    [anon_sym_readonly] = ACTIONS(3459),
    [anon_sym_required] = ACTIONS(3459),
    [anon_sym_sealed] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_where] = ACTIONS(3459),
    [anon_sym_notnull] = ACTIONS(3459),
    [anon_sym_unmanaged] = ACTIONS(3459),
    [anon_sym_checked] = ACTIONS(3459),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [anon_sym_true] = ACTIONS(3459),
    [anon_sym_false] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_CARET] = ACTIONS(3461),
    [anon_sym_AMP] = ACTIONS(3461),
    [anon_sym_this] = ACTIONS(3459),
    [anon_sym_scoped] = ACTIONS(3459),
    [anon_sym_base] = ACTIONS(3459),
    [anon_sym_var] = ACTIONS(3459),
    [sym_predefined_type] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_unchecked] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_lock] = ACTIONS(3459),
    [anon_sym_yield] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_when] = ACTIONS(3459),
    [anon_sym_await] = ACTIONS(3459),
    [anon_sym_foreach] = ACTIONS(3459),
    [anon_sym_goto] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_DOT_DOT] = ACTIONS(3461),
    [anon_sym_from] = ACTIONS(3459),
    [anon_sym_into] = ACTIONS(3459),
    [anon_sym_join] = ACTIONS(3459),
    [anon_sym_on] = ACTIONS(3459),
    [anon_sym_equals] = ACTIONS(3459),
    [anon_sym_let] = ACTIONS(3459),
    [anon_sym_orderby] = ACTIONS(3459),
    [anon_sym_ascending] = ACTIONS(3459),
    [anon_sym_descending] = ACTIONS(3459),
    [anon_sym_group] = ACTIONS(3459),
    [anon_sym_by] = ACTIONS(3459),
    [anon_sym_select] = ACTIONS(3459),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [anon_sym_stackalloc] = ACTIONS(3459),
    [anon_sym_sizeof] = ACTIONS(3459),
    [anon_sym_typeof] = ACTIONS(3459),
    [anon_sym___makeref] = ACTIONS(3459),
    [anon_sym___reftype] = ACTIONS(3459),
    [anon_sym___refvalue] = ACTIONS(3459),
    [sym_null_literal] = ACTIONS(3459),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [sym_integer_literal] = ACTIONS(3459),
    [sym_real_literal] = ACTIONS(3461),
    [sym_verbatim_string_literal] = ACTIONS(3461),
    [aux_sym_preproc_if_token1] = ACTIONS(3461),
    [aux_sym_preproc_if_token3] = ACTIONS(3461),
    [aux_sym_preproc_else_token1] = ACTIONS(3461),
    [aux_sym_preproc_elif_token1] = ACTIONS(3461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3461),
    [sym_interpolation_verbatim_start] = ACTIONS(3461),
    [sym_interpolation_raw_start] = ACTIONS(3461),
    [sym_raw_string_start] = ACTIONS(3461),
  },
  [2322] = {
    [sym_preproc_region] = STATE(2322),
    [sym_preproc_endregion] = STATE(2322),
    [sym_preproc_line] = STATE(2322),
    [sym_preproc_pragma] = STATE(2322),
    [sym_preproc_nullable] = STATE(2322),
    [sym_preproc_error] = STATE(2322),
    [sym_preproc_define] = STATE(2322),
    [sym_preproc_undef] = STATE(2322),
    [sym__identifier_token] = ACTIONS(3463),
    [anon_sym_extern] = ACTIONS(3463),
    [anon_sym_alias] = ACTIONS(3463),
    [anon_sym_SEMI] = ACTIONS(3465),
    [anon_sym_global] = ACTIONS(3463),
    [anon_sym_using] = ACTIONS(3463),
    [anon_sym_unsafe] = ACTIONS(3463),
    [anon_sym_static] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_LPAREN] = ACTIONS(3465),
    [anon_sym_return] = ACTIONS(3463),
    [anon_sym_namespace] = ACTIONS(3463),
    [anon_sym_class] = ACTIONS(3463),
    [anon_sym_ref] = ACTIONS(3463),
    [anon_sym_struct] = ACTIONS(3463),
    [anon_sym_enum] = ACTIONS(3463),
    [anon_sym_LBRACE] = ACTIONS(3465),
    [anon_sym_interface] = ACTIONS(3463),
    [anon_sym_delegate] = ACTIONS(3463),
    [anon_sym_record] = ACTIONS(3463),
    [anon_sym_abstract] = ACTIONS(3463),
    [anon_sym_async] = ACTIONS(3463),
    [anon_sym_const] = ACTIONS(3463),
    [anon_sym_file] = ACTIONS(3463),
    [anon_sym_fixed] = ACTIONS(3463),
    [anon_sym_internal] = ACTIONS(3463),
    [anon_sym_new] = ACTIONS(3463),
    [anon_sym_override] = ACTIONS(3463),
    [anon_sym_partial] = ACTIONS(3463),
    [anon_sym_private] = ACTIONS(3463),
    [anon_sym_protected] = ACTIONS(3463),
    [anon_sym_public] = ACTIONS(3463),
    [anon_sym_readonly] = ACTIONS(3463),
    [anon_sym_required] = ACTIONS(3463),
    [anon_sym_sealed] = ACTIONS(3463),
    [anon_sym_virtual] = ACTIONS(3463),
    [anon_sym_volatile] = ACTIONS(3463),
    [anon_sym_where] = ACTIONS(3463),
    [anon_sym_notnull] = ACTIONS(3463),
    [anon_sym_unmanaged] = ACTIONS(3463),
    [anon_sym_checked] = ACTIONS(3463),
    [anon_sym_BANG] = ACTIONS(3465),
    [anon_sym_TILDE] = ACTIONS(3465),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_true] = ACTIONS(3463),
    [anon_sym_false] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3463),
    [anon_sym_DASH] = ACTIONS(3463),
    [anon_sym_STAR] = ACTIONS(3465),
    [anon_sym_CARET] = ACTIONS(3465),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym_this] = ACTIONS(3463),
    [anon_sym_scoped] = ACTIONS(3463),
    [anon_sym_base] = ACTIONS(3463),
    [anon_sym_var] = ACTIONS(3463),
    [sym_predefined_type] = ACTIONS(3463),
    [anon_sym_break] = ACTIONS(3463),
    [anon_sym_unchecked] = ACTIONS(3463),
    [anon_sym_continue] = ACTIONS(3463),
    [anon_sym_do] = ACTIONS(3463),
    [anon_sym_while] = ACTIONS(3463),
    [anon_sym_for] = ACTIONS(3463),
    [anon_sym_lock] = ACTIONS(3463),
    [anon_sym_yield] = ACTIONS(3463),
    [anon_sym_switch] = ACTIONS(3463),
    [anon_sym_default] = ACTIONS(3463),
    [anon_sym_throw] = ACTIONS(3463),
    [anon_sym_try] = ACTIONS(3463),
    [anon_sym_when] = ACTIONS(3463),
    [anon_sym_await] = ACTIONS(3463),
    [anon_sym_foreach] = ACTIONS(3463),
    [anon_sym_goto] = ACTIONS(3463),
    [anon_sym_if] = ACTIONS(3463),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_from] = ACTIONS(3463),
    [anon_sym_into] = ACTIONS(3463),
    [anon_sym_join] = ACTIONS(3463),
    [anon_sym_on] = ACTIONS(3463),
    [anon_sym_equals] = ACTIONS(3463),
    [anon_sym_let] = ACTIONS(3463),
    [anon_sym_orderby] = ACTIONS(3463),
    [anon_sym_ascending] = ACTIONS(3463),
    [anon_sym_descending] = ACTIONS(3463),
    [anon_sym_group] = ACTIONS(3463),
    [anon_sym_by] = ACTIONS(3463),
    [anon_sym_select] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3465),
    [anon_sym_stackalloc] = ACTIONS(3463),
    [anon_sym_sizeof] = ACTIONS(3463),
    [anon_sym_typeof] = ACTIONS(3463),
    [anon_sym___makeref] = ACTIONS(3463),
    [anon_sym___reftype] = ACTIONS(3463),
    [anon_sym___refvalue] = ACTIONS(3463),
    [sym_null_literal] = ACTIONS(3463),
    [anon_sym_SQUOTE] = ACTIONS(3465),
    [sym_integer_literal] = ACTIONS(3463),
    [sym_real_literal] = ACTIONS(3465),
    [sym_verbatim_string_literal] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token3] = ACTIONS(3465),
    [aux_sym_preproc_else_token1] = ACTIONS(3465),
    [aux_sym_preproc_elif_token1] = ACTIONS(3465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3465),
    [sym_interpolation_verbatim_start] = ACTIONS(3465),
    [sym_interpolation_raw_start] = ACTIONS(3465),
    [sym_raw_string_start] = ACTIONS(3465),
  },
  [2323] = {
    [sym_preproc_region] = STATE(2323),
    [sym_preproc_endregion] = STATE(2323),
    [sym_preproc_line] = STATE(2323),
    [sym_preproc_pragma] = STATE(2323),
    [sym_preproc_nullable] = STATE(2323),
    [sym_preproc_error] = STATE(2323),
    [sym_preproc_define] = STATE(2323),
    [sym_preproc_undef] = STATE(2323),
    [sym__identifier_token] = ACTIONS(3467),
    [anon_sym_extern] = ACTIONS(3467),
    [anon_sym_alias] = ACTIONS(3467),
    [anon_sym_SEMI] = ACTIONS(3469),
    [anon_sym_global] = ACTIONS(3467),
    [anon_sym_using] = ACTIONS(3467),
    [anon_sym_unsafe] = ACTIONS(3467),
    [anon_sym_static] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(3469),
    [anon_sym_LPAREN] = ACTIONS(3469),
    [anon_sym_return] = ACTIONS(3467),
    [anon_sym_namespace] = ACTIONS(3467),
    [anon_sym_class] = ACTIONS(3467),
    [anon_sym_ref] = ACTIONS(3467),
    [anon_sym_struct] = ACTIONS(3467),
    [anon_sym_enum] = ACTIONS(3467),
    [anon_sym_LBRACE] = ACTIONS(3469),
    [anon_sym_interface] = ACTIONS(3467),
    [anon_sym_delegate] = ACTIONS(3467),
    [anon_sym_record] = ACTIONS(3467),
    [anon_sym_abstract] = ACTIONS(3467),
    [anon_sym_async] = ACTIONS(3467),
    [anon_sym_const] = ACTIONS(3467),
    [anon_sym_file] = ACTIONS(3467),
    [anon_sym_fixed] = ACTIONS(3467),
    [anon_sym_internal] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3467),
    [anon_sym_override] = ACTIONS(3467),
    [anon_sym_partial] = ACTIONS(3467),
    [anon_sym_private] = ACTIONS(3467),
    [anon_sym_protected] = ACTIONS(3467),
    [anon_sym_public] = ACTIONS(3467),
    [anon_sym_readonly] = ACTIONS(3467),
    [anon_sym_required] = ACTIONS(3467),
    [anon_sym_sealed] = ACTIONS(3467),
    [anon_sym_virtual] = ACTIONS(3467),
    [anon_sym_volatile] = ACTIONS(3467),
    [anon_sym_where] = ACTIONS(3467),
    [anon_sym_notnull] = ACTIONS(3467),
    [anon_sym_unmanaged] = ACTIONS(3467),
    [anon_sym_checked] = ACTIONS(3467),
    [anon_sym_BANG] = ACTIONS(3469),
    [anon_sym_TILDE] = ACTIONS(3469),
    [anon_sym_PLUS_PLUS] = ACTIONS(3469),
    [anon_sym_DASH_DASH] = ACTIONS(3469),
    [anon_sym_true] = ACTIONS(3467),
    [anon_sym_false] = ACTIONS(3467),
    [anon_sym_PLUS] = ACTIONS(3467),
    [anon_sym_DASH] = ACTIONS(3467),
    [anon_sym_STAR] = ACTIONS(3469),
    [anon_sym_CARET] = ACTIONS(3469),
    [anon_sym_AMP] = ACTIONS(3469),
    [anon_sym_this] = ACTIONS(3467),
    [anon_sym_scoped] = ACTIONS(3467),
    [anon_sym_base] = ACTIONS(3467),
    [anon_sym_var] = ACTIONS(3467),
    [sym_predefined_type] = ACTIONS(3467),
    [anon_sym_break] = ACTIONS(3467),
    [anon_sym_unchecked] = ACTIONS(3467),
    [anon_sym_continue] = ACTIONS(3467),
    [anon_sym_do] = ACTIONS(3467),
    [anon_sym_while] = ACTIONS(3467),
    [anon_sym_for] = ACTIONS(3467),
    [anon_sym_lock] = ACTIONS(3467),
    [anon_sym_yield] = ACTIONS(3467),
    [anon_sym_switch] = ACTIONS(3467),
    [anon_sym_default] = ACTIONS(3467),
    [anon_sym_throw] = ACTIONS(3467),
    [anon_sym_try] = ACTIONS(3467),
    [anon_sym_when] = ACTIONS(3467),
    [anon_sym_await] = ACTIONS(3467),
    [anon_sym_foreach] = ACTIONS(3467),
    [anon_sym_goto] = ACTIONS(3467),
    [anon_sym_if] = ACTIONS(3467),
    [anon_sym_DOT_DOT] = ACTIONS(3469),
    [anon_sym_from] = ACTIONS(3467),
    [anon_sym_into] = ACTIONS(3467),
    [anon_sym_join] = ACTIONS(3467),
    [anon_sym_on] = ACTIONS(3467),
    [anon_sym_equals] = ACTIONS(3467),
    [anon_sym_let] = ACTIONS(3467),
    [anon_sym_orderby] = ACTIONS(3467),
    [anon_sym_ascending] = ACTIONS(3467),
    [anon_sym_descending] = ACTIONS(3467),
    [anon_sym_group] = ACTIONS(3467),
    [anon_sym_by] = ACTIONS(3467),
    [anon_sym_select] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3469),
    [anon_sym_stackalloc] = ACTIONS(3467),
    [anon_sym_sizeof] = ACTIONS(3467),
    [anon_sym_typeof] = ACTIONS(3467),
    [anon_sym___makeref] = ACTIONS(3467),
    [anon_sym___reftype] = ACTIONS(3467),
    [anon_sym___refvalue] = ACTIONS(3467),
    [sym_null_literal] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3469),
    [sym_integer_literal] = ACTIONS(3467),
    [sym_real_literal] = ACTIONS(3469),
    [sym_verbatim_string_literal] = ACTIONS(3469),
    [aux_sym_preproc_if_token1] = ACTIONS(3469),
    [aux_sym_preproc_if_token3] = ACTIONS(3469),
    [aux_sym_preproc_else_token1] = ACTIONS(3469),
    [aux_sym_preproc_elif_token1] = ACTIONS(3469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3469),
    [sym_interpolation_verbatim_start] = ACTIONS(3469),
    [sym_interpolation_raw_start] = ACTIONS(3469),
    [sym_raw_string_start] = ACTIONS(3469),
  },
  [2324] = {
    [sym_preproc_region] = STATE(2324),
    [sym_preproc_endregion] = STATE(2324),
    [sym_preproc_line] = STATE(2324),
    [sym_preproc_pragma] = STATE(2324),
    [sym_preproc_nullable] = STATE(2324),
    [sym_preproc_error] = STATE(2324),
    [sym_preproc_define] = STATE(2324),
    [sym_preproc_undef] = STATE(2324),
    [sym__identifier_token] = ACTIONS(3471),
    [anon_sym_extern] = ACTIONS(3471),
    [anon_sym_alias] = ACTIONS(3471),
    [anon_sym_SEMI] = ACTIONS(3473),
    [anon_sym_global] = ACTIONS(3471),
    [anon_sym_using] = ACTIONS(3471),
    [anon_sym_unsafe] = ACTIONS(3471),
    [anon_sym_static] = ACTIONS(3471),
    [anon_sym_LBRACK] = ACTIONS(3473),
    [anon_sym_LPAREN] = ACTIONS(3473),
    [anon_sym_return] = ACTIONS(3471),
    [anon_sym_namespace] = ACTIONS(3471),
    [anon_sym_class] = ACTIONS(3471),
    [anon_sym_ref] = ACTIONS(3471),
    [anon_sym_struct] = ACTIONS(3471),
    [anon_sym_enum] = ACTIONS(3471),
    [anon_sym_LBRACE] = ACTIONS(3473),
    [anon_sym_interface] = ACTIONS(3471),
    [anon_sym_delegate] = ACTIONS(3471),
    [anon_sym_record] = ACTIONS(3471),
    [anon_sym_abstract] = ACTIONS(3471),
    [anon_sym_async] = ACTIONS(3471),
    [anon_sym_const] = ACTIONS(3471),
    [anon_sym_file] = ACTIONS(3471),
    [anon_sym_fixed] = ACTIONS(3471),
    [anon_sym_internal] = ACTIONS(3471),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_override] = ACTIONS(3471),
    [anon_sym_partial] = ACTIONS(3471),
    [anon_sym_private] = ACTIONS(3471),
    [anon_sym_protected] = ACTIONS(3471),
    [anon_sym_public] = ACTIONS(3471),
    [anon_sym_readonly] = ACTIONS(3471),
    [anon_sym_required] = ACTIONS(3471),
    [anon_sym_sealed] = ACTIONS(3471),
    [anon_sym_virtual] = ACTIONS(3471),
    [anon_sym_volatile] = ACTIONS(3471),
    [anon_sym_where] = ACTIONS(3471),
    [anon_sym_notnull] = ACTIONS(3471),
    [anon_sym_unmanaged] = ACTIONS(3471),
    [anon_sym_checked] = ACTIONS(3471),
    [anon_sym_BANG] = ACTIONS(3473),
    [anon_sym_TILDE] = ACTIONS(3473),
    [anon_sym_PLUS_PLUS] = ACTIONS(3473),
    [anon_sym_DASH_DASH] = ACTIONS(3473),
    [anon_sym_true] = ACTIONS(3471),
    [anon_sym_false] = ACTIONS(3471),
    [anon_sym_PLUS] = ACTIONS(3471),
    [anon_sym_DASH] = ACTIONS(3471),
    [anon_sym_STAR] = ACTIONS(3473),
    [anon_sym_CARET] = ACTIONS(3473),
    [anon_sym_AMP] = ACTIONS(3473),
    [anon_sym_this] = ACTIONS(3471),
    [anon_sym_scoped] = ACTIONS(3471),
    [anon_sym_base] = ACTIONS(3471),
    [anon_sym_var] = ACTIONS(3471),
    [sym_predefined_type] = ACTIONS(3471),
    [anon_sym_break] = ACTIONS(3471),
    [anon_sym_unchecked] = ACTIONS(3471),
    [anon_sym_continue] = ACTIONS(3471),
    [anon_sym_do] = ACTIONS(3471),
    [anon_sym_while] = ACTIONS(3471),
    [anon_sym_for] = ACTIONS(3471),
    [anon_sym_lock] = ACTIONS(3471),
    [anon_sym_yield] = ACTIONS(3471),
    [anon_sym_switch] = ACTIONS(3471),
    [anon_sym_default] = ACTIONS(3471),
    [anon_sym_throw] = ACTIONS(3471),
    [anon_sym_try] = ACTIONS(3471),
    [anon_sym_when] = ACTIONS(3471),
    [anon_sym_await] = ACTIONS(3471),
    [anon_sym_foreach] = ACTIONS(3471),
    [anon_sym_goto] = ACTIONS(3471),
    [anon_sym_if] = ACTIONS(3471),
    [anon_sym_DOT_DOT] = ACTIONS(3473),
    [anon_sym_from] = ACTIONS(3471),
    [anon_sym_into] = ACTIONS(3471),
    [anon_sym_join] = ACTIONS(3471),
    [anon_sym_on] = ACTIONS(3471),
    [anon_sym_equals] = ACTIONS(3471),
    [anon_sym_let] = ACTIONS(3471),
    [anon_sym_orderby] = ACTIONS(3471),
    [anon_sym_ascending] = ACTIONS(3471),
    [anon_sym_descending] = ACTIONS(3471),
    [anon_sym_group] = ACTIONS(3471),
    [anon_sym_by] = ACTIONS(3471),
    [anon_sym_select] = ACTIONS(3471),
    [anon_sym_DQUOTE] = ACTIONS(3473),
    [anon_sym_stackalloc] = ACTIONS(3471),
    [anon_sym_sizeof] = ACTIONS(3471),
    [anon_sym_typeof] = ACTIONS(3471),
    [anon_sym___makeref] = ACTIONS(3471),
    [anon_sym___reftype] = ACTIONS(3471),
    [anon_sym___refvalue] = ACTIONS(3471),
    [sym_null_literal] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3473),
    [sym_integer_literal] = ACTIONS(3471),
    [sym_real_literal] = ACTIONS(3473),
    [sym_verbatim_string_literal] = ACTIONS(3473),
    [aux_sym_preproc_if_token1] = ACTIONS(3473),
    [aux_sym_preproc_if_token3] = ACTIONS(3473),
    [aux_sym_preproc_else_token1] = ACTIONS(3473),
    [aux_sym_preproc_elif_token1] = ACTIONS(3473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3473),
    [sym_interpolation_verbatim_start] = ACTIONS(3473),
    [sym_interpolation_raw_start] = ACTIONS(3473),
    [sym_raw_string_start] = ACTIONS(3473),
  },
  [2325] = {
    [sym_preproc_region] = STATE(2325),
    [sym_preproc_endregion] = STATE(2325),
    [sym_preproc_line] = STATE(2325),
    [sym_preproc_pragma] = STATE(2325),
    [sym_preproc_nullable] = STATE(2325),
    [sym_preproc_error] = STATE(2325),
    [sym_preproc_define] = STATE(2325),
    [sym_preproc_undef] = STATE(2325),
    [sym__identifier_token] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym_alias] = ACTIONS(3475),
    [anon_sym_SEMI] = ACTIONS(3477),
    [anon_sym_global] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_unsafe] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3477),
    [anon_sym_LPAREN] = ACTIONS(3477),
    [anon_sym_return] = ACTIONS(3475),
    [anon_sym_namespace] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_ref] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_interface] = ACTIONS(3475),
    [anon_sym_delegate] = ACTIONS(3475),
    [anon_sym_record] = ACTIONS(3475),
    [anon_sym_abstract] = ACTIONS(3475),
    [anon_sym_async] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_file] = ACTIONS(3475),
    [anon_sym_fixed] = ACTIONS(3475),
    [anon_sym_internal] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3475),
    [anon_sym_override] = ACTIONS(3475),
    [anon_sym_partial] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_readonly] = ACTIONS(3475),
    [anon_sym_required] = ACTIONS(3475),
    [anon_sym_sealed] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_where] = ACTIONS(3475),
    [anon_sym_notnull] = ACTIONS(3475),
    [anon_sym_unmanaged] = ACTIONS(3475),
    [anon_sym_checked] = ACTIONS(3475),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3477),
    [anon_sym_DASH_DASH] = ACTIONS(3477),
    [anon_sym_true] = ACTIONS(3475),
    [anon_sym_false] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(3475),
    [anon_sym_DASH] = ACTIONS(3475),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_CARET] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_this] = ACTIONS(3475),
    [anon_sym_scoped] = ACTIONS(3475),
    [anon_sym_base] = ACTIONS(3475),
    [anon_sym_var] = ACTIONS(3475),
    [sym_predefined_type] = ACTIONS(3475),
    [anon_sym_break] = ACTIONS(3475),
    [anon_sym_unchecked] = ACTIONS(3475),
    [anon_sym_continue] = ACTIONS(3475),
    [anon_sym_do] = ACTIONS(3475),
    [anon_sym_while] = ACTIONS(3475),
    [anon_sym_for] = ACTIONS(3475),
    [anon_sym_lock] = ACTIONS(3475),
    [anon_sym_yield] = ACTIONS(3475),
    [anon_sym_switch] = ACTIONS(3475),
    [anon_sym_default] = ACTIONS(3475),
    [anon_sym_throw] = ACTIONS(3475),
    [anon_sym_try] = ACTIONS(3475),
    [anon_sym_when] = ACTIONS(3475),
    [anon_sym_await] = ACTIONS(3475),
    [anon_sym_foreach] = ACTIONS(3475),
    [anon_sym_goto] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(3475),
    [anon_sym_DOT_DOT] = ACTIONS(3477),
    [anon_sym_from] = ACTIONS(3475),
    [anon_sym_into] = ACTIONS(3475),
    [anon_sym_join] = ACTIONS(3475),
    [anon_sym_on] = ACTIONS(3475),
    [anon_sym_equals] = ACTIONS(3475),
    [anon_sym_let] = ACTIONS(3475),
    [anon_sym_orderby] = ACTIONS(3475),
    [anon_sym_ascending] = ACTIONS(3475),
    [anon_sym_descending] = ACTIONS(3475),
    [anon_sym_group] = ACTIONS(3475),
    [anon_sym_by] = ACTIONS(3475),
    [anon_sym_select] = ACTIONS(3475),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [anon_sym_stackalloc] = ACTIONS(3475),
    [anon_sym_sizeof] = ACTIONS(3475),
    [anon_sym_typeof] = ACTIONS(3475),
    [anon_sym___makeref] = ACTIONS(3475),
    [anon_sym___reftype] = ACTIONS(3475),
    [anon_sym___refvalue] = ACTIONS(3475),
    [sym_null_literal] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3477),
    [sym_integer_literal] = ACTIONS(3475),
    [sym_real_literal] = ACTIONS(3477),
    [sym_verbatim_string_literal] = ACTIONS(3477),
    [aux_sym_preproc_if_token1] = ACTIONS(3477),
    [aux_sym_preproc_if_token3] = ACTIONS(3477),
    [aux_sym_preproc_else_token1] = ACTIONS(3477),
    [aux_sym_preproc_elif_token1] = ACTIONS(3477),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3477),
    [sym_interpolation_verbatim_start] = ACTIONS(3477),
    [sym_interpolation_raw_start] = ACTIONS(3477),
    [sym_raw_string_start] = ACTIONS(3477),
  },
  [2326] = {
    [sym_preproc_region] = STATE(2326),
    [sym_preproc_endregion] = STATE(2326),
    [sym_preproc_line] = STATE(2326),
    [sym_preproc_pragma] = STATE(2326),
    [sym_preproc_nullable] = STATE(2326),
    [sym_preproc_error] = STATE(2326),
    [sym_preproc_define] = STATE(2326),
    [sym_preproc_undef] = STATE(2326),
    [sym__identifier_token] = ACTIONS(3479),
    [anon_sym_extern] = ACTIONS(3479),
    [anon_sym_alias] = ACTIONS(3479),
    [anon_sym_SEMI] = ACTIONS(3481),
    [anon_sym_global] = ACTIONS(3479),
    [anon_sym_using] = ACTIONS(3479),
    [anon_sym_unsafe] = ACTIONS(3479),
    [anon_sym_static] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3481),
    [anon_sym_LPAREN] = ACTIONS(3481),
    [anon_sym_return] = ACTIONS(3479),
    [anon_sym_namespace] = ACTIONS(3479),
    [anon_sym_class] = ACTIONS(3479),
    [anon_sym_ref] = ACTIONS(3479),
    [anon_sym_struct] = ACTIONS(3479),
    [anon_sym_enum] = ACTIONS(3479),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_interface] = ACTIONS(3479),
    [anon_sym_delegate] = ACTIONS(3479),
    [anon_sym_record] = ACTIONS(3479),
    [anon_sym_abstract] = ACTIONS(3479),
    [anon_sym_async] = ACTIONS(3479),
    [anon_sym_const] = ACTIONS(3479),
    [anon_sym_file] = ACTIONS(3479),
    [anon_sym_fixed] = ACTIONS(3479),
    [anon_sym_internal] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3479),
    [anon_sym_override] = ACTIONS(3479),
    [anon_sym_partial] = ACTIONS(3479),
    [anon_sym_private] = ACTIONS(3479),
    [anon_sym_protected] = ACTIONS(3479),
    [anon_sym_public] = ACTIONS(3479),
    [anon_sym_readonly] = ACTIONS(3479),
    [anon_sym_required] = ACTIONS(3479),
    [anon_sym_sealed] = ACTIONS(3479),
    [anon_sym_virtual] = ACTIONS(3479),
    [anon_sym_volatile] = ACTIONS(3479),
    [anon_sym_where] = ACTIONS(3479),
    [anon_sym_notnull] = ACTIONS(3479),
    [anon_sym_unmanaged] = ACTIONS(3479),
    [anon_sym_checked] = ACTIONS(3479),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_TILDE] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [anon_sym_true] = ACTIONS(3479),
    [anon_sym_false] = ACTIONS(3479),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_CARET] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3481),
    [anon_sym_this] = ACTIONS(3479),
    [anon_sym_scoped] = ACTIONS(3479),
    [anon_sym_base] = ACTIONS(3479),
    [anon_sym_var] = ACTIONS(3479),
    [sym_predefined_type] = ACTIONS(3479),
    [anon_sym_break] = ACTIONS(3479),
    [anon_sym_unchecked] = ACTIONS(3479),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_do] = ACTIONS(3479),
    [anon_sym_while] = ACTIONS(3479),
    [anon_sym_for] = ACTIONS(3479),
    [anon_sym_lock] = ACTIONS(3479),
    [anon_sym_yield] = ACTIONS(3479),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_default] = ACTIONS(3479),
    [anon_sym_throw] = ACTIONS(3479),
    [anon_sym_try] = ACTIONS(3479),
    [anon_sym_when] = ACTIONS(3479),
    [anon_sym_await] = ACTIONS(3479),
    [anon_sym_foreach] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(3479),
    [anon_sym_DOT_DOT] = ACTIONS(3481),
    [anon_sym_from] = ACTIONS(3479),
    [anon_sym_into] = ACTIONS(3479),
    [anon_sym_join] = ACTIONS(3479),
    [anon_sym_on] = ACTIONS(3479),
    [anon_sym_equals] = ACTIONS(3479),
    [anon_sym_let] = ACTIONS(3479),
    [anon_sym_orderby] = ACTIONS(3479),
    [anon_sym_ascending] = ACTIONS(3479),
    [anon_sym_descending] = ACTIONS(3479),
    [anon_sym_group] = ACTIONS(3479),
    [anon_sym_by] = ACTIONS(3479),
    [anon_sym_select] = ACTIONS(3479),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [anon_sym_stackalloc] = ACTIONS(3479),
    [anon_sym_sizeof] = ACTIONS(3479),
    [anon_sym_typeof] = ACTIONS(3479),
    [anon_sym___makeref] = ACTIONS(3479),
    [anon_sym___reftype] = ACTIONS(3479),
    [anon_sym___refvalue] = ACTIONS(3479),
    [sym_null_literal] = ACTIONS(3479),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [sym_integer_literal] = ACTIONS(3479),
    [sym_real_literal] = ACTIONS(3481),
    [sym_verbatim_string_literal] = ACTIONS(3481),
    [aux_sym_preproc_if_token1] = ACTIONS(3481),
    [aux_sym_preproc_if_token3] = ACTIONS(3481),
    [aux_sym_preproc_else_token1] = ACTIONS(3481),
    [aux_sym_preproc_elif_token1] = ACTIONS(3481),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3481),
    [sym_interpolation_verbatim_start] = ACTIONS(3481),
    [sym_interpolation_raw_start] = ACTIONS(3481),
    [sym_raw_string_start] = ACTIONS(3481),
  },
  [2327] = {
    [sym_preproc_region] = STATE(2327),
    [sym_preproc_endregion] = STATE(2327),
    [sym_preproc_line] = STATE(2327),
    [sym_preproc_pragma] = STATE(2327),
    [sym_preproc_nullable] = STATE(2327),
    [sym_preproc_error] = STATE(2327),
    [sym_preproc_define] = STATE(2327),
    [sym_preproc_undef] = STATE(2327),
    [sym__identifier_token] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym_alias] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3485),
    [anon_sym_global] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_unsafe] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_LPAREN] = ACTIONS(3485),
    [anon_sym_return] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_ref] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_interface] = ACTIONS(3483),
    [anon_sym_delegate] = ACTIONS(3483),
    [anon_sym_record] = ACTIONS(3483),
    [anon_sym_abstract] = ACTIONS(3483),
    [anon_sym_async] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_file] = ACTIONS(3483),
    [anon_sym_fixed] = ACTIONS(3483),
    [anon_sym_internal] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_override] = ACTIONS(3483),
    [anon_sym_partial] = ACTIONS(3483),
    [anon_sym_private] = ACTIONS(3483),
    [anon_sym_protected] = ACTIONS(3483),
    [anon_sym_public] = ACTIONS(3483),
    [anon_sym_readonly] = ACTIONS(3483),
    [anon_sym_required] = ACTIONS(3483),
    [anon_sym_sealed] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_where] = ACTIONS(3483),
    [anon_sym_notnull] = ACTIONS(3483),
    [anon_sym_unmanaged] = ACTIONS(3483),
    [anon_sym_checked] = ACTIONS(3483),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [anon_sym_true] = ACTIONS(3483),
    [anon_sym_false] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_CARET] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3485),
    [anon_sym_this] = ACTIONS(3483),
    [anon_sym_scoped] = ACTIONS(3483),
    [anon_sym_base] = ACTIONS(3483),
    [anon_sym_var] = ACTIONS(3483),
    [sym_predefined_type] = ACTIONS(3483),
    [anon_sym_break] = ACTIONS(3483),
    [anon_sym_unchecked] = ACTIONS(3483),
    [anon_sym_continue] = ACTIONS(3483),
    [anon_sym_do] = ACTIONS(3483),
    [anon_sym_while] = ACTIONS(3483),
    [anon_sym_for] = ACTIONS(3483),
    [anon_sym_lock] = ACTIONS(3483),
    [anon_sym_yield] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(3483),
    [anon_sym_default] = ACTIONS(3483),
    [anon_sym_throw] = ACTIONS(3483),
    [anon_sym_try] = ACTIONS(3483),
    [anon_sym_when] = ACTIONS(3483),
    [anon_sym_await] = ACTIONS(3483),
    [anon_sym_foreach] = ACTIONS(3483),
    [anon_sym_goto] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(3483),
    [anon_sym_DOT_DOT] = ACTIONS(3485),
    [anon_sym_from] = ACTIONS(3483),
    [anon_sym_into] = ACTIONS(3483),
    [anon_sym_join] = ACTIONS(3483),
    [anon_sym_on] = ACTIONS(3483),
    [anon_sym_equals] = ACTIONS(3483),
    [anon_sym_let] = ACTIONS(3483),
    [anon_sym_orderby] = ACTIONS(3483),
    [anon_sym_ascending] = ACTIONS(3483),
    [anon_sym_descending] = ACTIONS(3483),
    [anon_sym_group] = ACTIONS(3483),
    [anon_sym_by] = ACTIONS(3483),
    [anon_sym_select] = ACTIONS(3483),
    [anon_sym_DQUOTE] = ACTIONS(3485),
    [anon_sym_stackalloc] = ACTIONS(3483),
    [anon_sym_sizeof] = ACTIONS(3483),
    [anon_sym_typeof] = ACTIONS(3483),
    [anon_sym___makeref] = ACTIONS(3483),
    [anon_sym___reftype] = ACTIONS(3483),
    [anon_sym___refvalue] = ACTIONS(3483),
    [sym_null_literal] = ACTIONS(3483),
    [anon_sym_SQUOTE] = ACTIONS(3485),
    [sym_integer_literal] = ACTIONS(3483),
    [sym_real_literal] = ACTIONS(3485),
    [sym_verbatim_string_literal] = ACTIONS(3485),
    [aux_sym_preproc_if_token1] = ACTIONS(3485),
    [aux_sym_preproc_if_token3] = ACTIONS(3485),
    [aux_sym_preproc_else_token1] = ACTIONS(3485),
    [aux_sym_preproc_elif_token1] = ACTIONS(3485),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3485),
    [sym_interpolation_verbatim_start] = ACTIONS(3485),
    [sym_interpolation_raw_start] = ACTIONS(3485),
    [sym_raw_string_start] = ACTIONS(3485),
  },
  [2328] = {
    [sym_preproc_region] = STATE(2328),
    [sym_preproc_endregion] = STATE(2328),
    [sym_preproc_line] = STATE(2328),
    [sym_preproc_pragma] = STATE(2328),
    [sym_preproc_nullable] = STATE(2328),
    [sym_preproc_error] = STATE(2328),
    [sym_preproc_define] = STATE(2328),
    [sym_preproc_undef] = STATE(2328),
    [sym__identifier_token] = ACTIONS(3487),
    [anon_sym_extern] = ACTIONS(3487),
    [anon_sym_alias] = ACTIONS(3487),
    [anon_sym_SEMI] = ACTIONS(3489),
    [anon_sym_global] = ACTIONS(3487),
    [anon_sym_using] = ACTIONS(3487),
    [anon_sym_unsafe] = ACTIONS(3487),
    [anon_sym_static] = ACTIONS(3487),
    [anon_sym_LBRACK] = ACTIONS(3489),
    [anon_sym_LPAREN] = ACTIONS(3489),
    [anon_sym_return] = ACTIONS(3487),
    [anon_sym_namespace] = ACTIONS(3487),
    [anon_sym_class] = ACTIONS(3487),
    [anon_sym_ref] = ACTIONS(3487),
    [anon_sym_struct] = ACTIONS(3487),
    [anon_sym_enum] = ACTIONS(3487),
    [anon_sym_LBRACE] = ACTIONS(3489),
    [anon_sym_interface] = ACTIONS(3487),
    [anon_sym_delegate] = ACTIONS(3487),
    [anon_sym_record] = ACTIONS(3487),
    [anon_sym_abstract] = ACTIONS(3487),
    [anon_sym_async] = ACTIONS(3487),
    [anon_sym_const] = ACTIONS(3487),
    [anon_sym_file] = ACTIONS(3487),
    [anon_sym_fixed] = ACTIONS(3487),
    [anon_sym_internal] = ACTIONS(3487),
    [anon_sym_new] = ACTIONS(3487),
    [anon_sym_override] = ACTIONS(3487),
    [anon_sym_partial] = ACTIONS(3487),
    [anon_sym_private] = ACTIONS(3487),
    [anon_sym_protected] = ACTIONS(3487),
    [anon_sym_public] = ACTIONS(3487),
    [anon_sym_readonly] = ACTIONS(3487),
    [anon_sym_required] = ACTIONS(3487),
    [anon_sym_sealed] = ACTIONS(3487),
    [anon_sym_virtual] = ACTIONS(3487),
    [anon_sym_volatile] = ACTIONS(3487),
    [anon_sym_where] = ACTIONS(3487),
    [anon_sym_notnull] = ACTIONS(3487),
    [anon_sym_unmanaged] = ACTIONS(3487),
    [anon_sym_checked] = ACTIONS(3487),
    [anon_sym_BANG] = ACTIONS(3489),
    [anon_sym_TILDE] = ACTIONS(3489),
    [anon_sym_PLUS_PLUS] = ACTIONS(3489),
    [anon_sym_DASH_DASH] = ACTIONS(3489),
    [anon_sym_true] = ACTIONS(3487),
    [anon_sym_false] = ACTIONS(3487),
    [anon_sym_PLUS] = ACTIONS(3487),
    [anon_sym_DASH] = ACTIONS(3487),
    [anon_sym_STAR] = ACTIONS(3489),
    [anon_sym_CARET] = ACTIONS(3489),
    [anon_sym_AMP] = ACTIONS(3489),
    [anon_sym_this] = ACTIONS(3487),
    [anon_sym_scoped] = ACTIONS(3487),
    [anon_sym_base] = ACTIONS(3487),
    [anon_sym_var] = ACTIONS(3487),
    [sym_predefined_type] = ACTIONS(3487),
    [anon_sym_break] = ACTIONS(3487),
    [anon_sym_unchecked] = ACTIONS(3487),
    [anon_sym_continue] = ACTIONS(3487),
    [anon_sym_do] = ACTIONS(3487),
    [anon_sym_while] = ACTIONS(3487),
    [anon_sym_for] = ACTIONS(3487),
    [anon_sym_lock] = ACTIONS(3487),
    [anon_sym_yield] = ACTIONS(3487),
    [anon_sym_switch] = ACTIONS(3487),
    [anon_sym_default] = ACTIONS(3487),
    [anon_sym_throw] = ACTIONS(3487),
    [anon_sym_try] = ACTIONS(3487),
    [anon_sym_when] = ACTIONS(3487),
    [anon_sym_await] = ACTIONS(3487),
    [anon_sym_foreach] = ACTIONS(3487),
    [anon_sym_goto] = ACTIONS(3487),
    [anon_sym_if] = ACTIONS(3487),
    [anon_sym_DOT_DOT] = ACTIONS(3489),
    [anon_sym_from] = ACTIONS(3487),
    [anon_sym_into] = ACTIONS(3487),
    [anon_sym_join] = ACTIONS(3487),
    [anon_sym_on] = ACTIONS(3487),
    [anon_sym_equals] = ACTIONS(3487),
    [anon_sym_let] = ACTIONS(3487),
    [anon_sym_orderby] = ACTIONS(3487),
    [anon_sym_ascending] = ACTIONS(3487),
    [anon_sym_descending] = ACTIONS(3487),
    [anon_sym_group] = ACTIONS(3487),
    [anon_sym_by] = ACTIONS(3487),
    [anon_sym_select] = ACTIONS(3487),
    [anon_sym_DQUOTE] = ACTIONS(3489),
    [anon_sym_stackalloc] = ACTIONS(3487),
    [anon_sym_sizeof] = ACTIONS(3487),
    [anon_sym_typeof] = ACTIONS(3487),
    [anon_sym___makeref] = ACTIONS(3487),
    [anon_sym___reftype] = ACTIONS(3487),
    [anon_sym___refvalue] = ACTIONS(3487),
    [sym_null_literal] = ACTIONS(3487),
    [anon_sym_SQUOTE] = ACTIONS(3489),
    [sym_integer_literal] = ACTIONS(3487),
    [sym_real_literal] = ACTIONS(3489),
    [sym_verbatim_string_literal] = ACTIONS(3489),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_if_token3] = ACTIONS(3489),
    [aux_sym_preproc_else_token1] = ACTIONS(3489),
    [aux_sym_preproc_elif_token1] = ACTIONS(3489),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3489),
    [sym_interpolation_verbatim_start] = ACTIONS(3489),
    [sym_interpolation_raw_start] = ACTIONS(3489),
    [sym_raw_string_start] = ACTIONS(3489),
  },
  [2329] = {
    [sym_preproc_region] = STATE(2329),
    [sym_preproc_endregion] = STATE(2329),
    [sym_preproc_line] = STATE(2329),
    [sym_preproc_pragma] = STATE(2329),
    [sym_preproc_nullable] = STATE(2329),
    [sym_preproc_error] = STATE(2329),
    [sym_preproc_define] = STATE(2329),
    [sym_preproc_undef] = STATE(2329),
    [sym__identifier_token] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym_alias] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym_global] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_unsafe] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3493),
    [anon_sym_LPAREN] = ACTIONS(3493),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_ref] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_interface] = ACTIONS(3491),
    [anon_sym_delegate] = ACTIONS(3491),
    [anon_sym_record] = ACTIONS(3491),
    [anon_sym_abstract] = ACTIONS(3491),
    [anon_sym_async] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_file] = ACTIONS(3491),
    [anon_sym_fixed] = ACTIONS(3491),
    [anon_sym_internal] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_override] = ACTIONS(3491),
    [anon_sym_partial] = ACTIONS(3491),
    [anon_sym_private] = ACTIONS(3491),
    [anon_sym_protected] = ACTIONS(3491),
    [anon_sym_public] = ACTIONS(3491),
    [anon_sym_readonly] = ACTIONS(3491),
    [anon_sym_required] = ACTIONS(3491),
    [anon_sym_sealed] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_where] = ACTIONS(3491),
    [anon_sym_notnull] = ACTIONS(3491),
    [anon_sym_unmanaged] = ACTIONS(3491),
    [anon_sym_checked] = ACTIONS(3491),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_true] = ACTIONS(3491),
    [anon_sym_false] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_CARET] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3493),
    [anon_sym_this] = ACTIONS(3491),
    [anon_sym_scoped] = ACTIONS(3491),
    [anon_sym_base] = ACTIONS(3491),
    [anon_sym_var] = ACTIONS(3491),
    [sym_predefined_type] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_unchecked] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_lock] = ACTIONS(3491),
    [anon_sym_yield] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_when] = ACTIONS(3491),
    [anon_sym_await] = ACTIONS(3491),
    [anon_sym_foreach] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_DOT_DOT] = ACTIONS(3493),
    [anon_sym_from] = ACTIONS(3491),
    [anon_sym_into] = ACTIONS(3491),
    [anon_sym_join] = ACTIONS(3491),
    [anon_sym_on] = ACTIONS(3491),
    [anon_sym_equals] = ACTIONS(3491),
    [anon_sym_let] = ACTIONS(3491),
    [anon_sym_orderby] = ACTIONS(3491),
    [anon_sym_ascending] = ACTIONS(3491),
    [anon_sym_descending] = ACTIONS(3491),
    [anon_sym_group] = ACTIONS(3491),
    [anon_sym_by] = ACTIONS(3491),
    [anon_sym_select] = ACTIONS(3491),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [anon_sym_stackalloc] = ACTIONS(3491),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym_typeof] = ACTIONS(3491),
    [anon_sym___makeref] = ACTIONS(3491),
    [anon_sym___reftype] = ACTIONS(3491),
    [anon_sym___refvalue] = ACTIONS(3491),
    [sym_null_literal] = ACTIONS(3491),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [sym_integer_literal] = ACTIONS(3491),
    [sym_real_literal] = ACTIONS(3493),
    [sym_verbatim_string_literal] = ACTIONS(3493),
    [aux_sym_preproc_if_token1] = ACTIONS(3493),
    [aux_sym_preproc_if_token3] = ACTIONS(3493),
    [aux_sym_preproc_else_token1] = ACTIONS(3493),
    [aux_sym_preproc_elif_token1] = ACTIONS(3493),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3493),
    [sym_interpolation_verbatim_start] = ACTIONS(3493),
    [sym_interpolation_raw_start] = ACTIONS(3493),
    [sym_raw_string_start] = ACTIONS(3493),
  },
  [2330] = {
    [sym_preproc_region] = STATE(2330),
    [sym_preproc_endregion] = STATE(2330),
    [sym_preproc_line] = STATE(2330),
    [sym_preproc_pragma] = STATE(2330),
    [sym_preproc_nullable] = STATE(2330),
    [sym_preproc_error] = STATE(2330),
    [sym_preproc_define] = STATE(2330),
    [sym_preproc_undef] = STATE(2330),
    [sym__identifier_token] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym_alias] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym_global] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_unsafe] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_LPAREN] = ACTIONS(3497),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_ref] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_interface] = ACTIONS(3495),
    [anon_sym_delegate] = ACTIONS(3495),
    [anon_sym_record] = ACTIONS(3495),
    [anon_sym_abstract] = ACTIONS(3495),
    [anon_sym_async] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_file] = ACTIONS(3495),
    [anon_sym_fixed] = ACTIONS(3495),
    [anon_sym_internal] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_override] = ACTIONS(3495),
    [anon_sym_partial] = ACTIONS(3495),
    [anon_sym_private] = ACTIONS(3495),
    [anon_sym_protected] = ACTIONS(3495),
    [anon_sym_public] = ACTIONS(3495),
    [anon_sym_readonly] = ACTIONS(3495),
    [anon_sym_required] = ACTIONS(3495),
    [anon_sym_sealed] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_where] = ACTIONS(3495),
    [anon_sym_notnull] = ACTIONS(3495),
    [anon_sym_unmanaged] = ACTIONS(3495),
    [anon_sym_checked] = ACTIONS(3495),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_true] = ACTIONS(3495),
    [anon_sym_false] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_CARET] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3497),
    [anon_sym_this] = ACTIONS(3495),
    [anon_sym_scoped] = ACTIONS(3495),
    [anon_sym_base] = ACTIONS(3495),
    [anon_sym_var] = ACTIONS(3495),
    [sym_predefined_type] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_unchecked] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_lock] = ACTIONS(3495),
    [anon_sym_yield] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_when] = ACTIONS(3495),
    [anon_sym_await] = ACTIONS(3495),
    [anon_sym_foreach] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_DOT_DOT] = ACTIONS(3497),
    [anon_sym_from] = ACTIONS(3495),
    [anon_sym_into] = ACTIONS(3495),
    [anon_sym_join] = ACTIONS(3495),
    [anon_sym_on] = ACTIONS(3495),
    [anon_sym_equals] = ACTIONS(3495),
    [anon_sym_let] = ACTIONS(3495),
    [anon_sym_orderby] = ACTIONS(3495),
    [anon_sym_ascending] = ACTIONS(3495),
    [anon_sym_descending] = ACTIONS(3495),
    [anon_sym_group] = ACTIONS(3495),
    [anon_sym_by] = ACTIONS(3495),
    [anon_sym_select] = ACTIONS(3495),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [anon_sym_stackalloc] = ACTIONS(3495),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym_typeof] = ACTIONS(3495),
    [anon_sym___makeref] = ACTIONS(3495),
    [anon_sym___reftype] = ACTIONS(3495),
    [anon_sym___refvalue] = ACTIONS(3495),
    [sym_null_literal] = ACTIONS(3495),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [sym_integer_literal] = ACTIONS(3495),
    [sym_real_literal] = ACTIONS(3497),
    [sym_verbatim_string_literal] = ACTIONS(3497),
    [aux_sym_preproc_if_token1] = ACTIONS(3497),
    [aux_sym_preproc_if_token3] = ACTIONS(3497),
    [aux_sym_preproc_else_token1] = ACTIONS(3497),
    [aux_sym_preproc_elif_token1] = ACTIONS(3497),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3497),
    [sym_interpolation_verbatim_start] = ACTIONS(3497),
    [sym_interpolation_raw_start] = ACTIONS(3497),
    [sym_raw_string_start] = ACTIONS(3497),
  },
  [2331] = {
    [sym_preproc_region] = STATE(2331),
    [sym_preproc_endregion] = STATE(2331),
    [sym_preproc_line] = STATE(2331),
    [sym_preproc_pragma] = STATE(2331),
    [sym_preproc_nullable] = STATE(2331),
    [sym_preproc_error] = STATE(2331),
    [sym_preproc_define] = STATE(2331),
    [sym_preproc_undef] = STATE(2331),
    [sym__identifier_token] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym_alias] = ACTIONS(3499),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym_global] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_unsafe] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_LPAREN] = ACTIONS(3501),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_ref] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_interface] = ACTIONS(3499),
    [anon_sym_delegate] = ACTIONS(3499),
    [anon_sym_record] = ACTIONS(3499),
    [anon_sym_abstract] = ACTIONS(3499),
    [anon_sym_async] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_file] = ACTIONS(3499),
    [anon_sym_fixed] = ACTIONS(3499),
    [anon_sym_internal] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_override] = ACTIONS(3499),
    [anon_sym_partial] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_readonly] = ACTIONS(3499),
    [anon_sym_required] = ACTIONS(3499),
    [anon_sym_sealed] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_where] = ACTIONS(3499),
    [anon_sym_notnull] = ACTIONS(3499),
    [anon_sym_unmanaged] = ACTIONS(3499),
    [anon_sym_checked] = ACTIONS(3499),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [anon_sym_true] = ACTIONS(3499),
    [anon_sym_false] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_CARET] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3501),
    [anon_sym_this] = ACTIONS(3499),
    [anon_sym_scoped] = ACTIONS(3499),
    [anon_sym_base] = ACTIONS(3499),
    [anon_sym_var] = ACTIONS(3499),
    [sym_predefined_type] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_unchecked] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_lock] = ACTIONS(3499),
    [anon_sym_yield] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_when] = ACTIONS(3499),
    [anon_sym_await] = ACTIONS(3499),
    [anon_sym_foreach] = ACTIONS(3499),
    [anon_sym_goto] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_DOT_DOT] = ACTIONS(3501),
    [anon_sym_from] = ACTIONS(3499),
    [anon_sym_into] = ACTIONS(3499),
    [anon_sym_join] = ACTIONS(3499),
    [anon_sym_on] = ACTIONS(3499),
    [anon_sym_equals] = ACTIONS(3499),
    [anon_sym_let] = ACTIONS(3499),
    [anon_sym_orderby] = ACTIONS(3499),
    [anon_sym_ascending] = ACTIONS(3499),
    [anon_sym_descending] = ACTIONS(3499),
    [anon_sym_group] = ACTIONS(3499),
    [anon_sym_by] = ACTIONS(3499),
    [anon_sym_select] = ACTIONS(3499),
    [anon_sym_DQUOTE] = ACTIONS(3501),
    [anon_sym_stackalloc] = ACTIONS(3499),
    [anon_sym_sizeof] = ACTIONS(3499),
    [anon_sym_typeof] = ACTIONS(3499),
    [anon_sym___makeref] = ACTIONS(3499),
    [anon_sym___reftype] = ACTIONS(3499),
    [anon_sym___refvalue] = ACTIONS(3499),
    [sym_null_literal] = ACTIONS(3499),
    [anon_sym_SQUOTE] = ACTIONS(3501),
    [sym_integer_literal] = ACTIONS(3499),
    [sym_real_literal] = ACTIONS(3501),
    [sym_verbatim_string_literal] = ACTIONS(3501),
    [aux_sym_preproc_if_token1] = ACTIONS(3501),
    [aux_sym_preproc_if_token3] = ACTIONS(3501),
    [aux_sym_preproc_else_token1] = ACTIONS(3501),
    [aux_sym_preproc_elif_token1] = ACTIONS(3501),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3501),
    [sym_interpolation_verbatim_start] = ACTIONS(3501),
    [sym_interpolation_raw_start] = ACTIONS(3501),
    [sym_raw_string_start] = ACTIONS(3501),
  },
  [2332] = {
    [sym_preproc_region] = STATE(2332),
    [sym_preproc_endregion] = STATE(2332),
    [sym_preproc_line] = STATE(2332),
    [sym_preproc_pragma] = STATE(2332),
    [sym_preproc_nullable] = STATE(2332),
    [sym_preproc_error] = STATE(2332),
    [sym_preproc_define] = STATE(2332),
    [sym_preproc_undef] = STATE(2332),
    [sym__identifier_token] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym_alias] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_global] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_unsafe] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3505),
    [anon_sym_LPAREN] = ACTIONS(3505),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_ref] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_interface] = ACTIONS(3503),
    [anon_sym_delegate] = ACTIONS(3503),
    [anon_sym_record] = ACTIONS(3503),
    [anon_sym_abstract] = ACTIONS(3503),
    [anon_sym_async] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_file] = ACTIONS(3503),
    [anon_sym_fixed] = ACTIONS(3503),
    [anon_sym_internal] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_override] = ACTIONS(3503),
    [anon_sym_partial] = ACTIONS(3503),
    [anon_sym_private] = ACTIONS(3503),
    [anon_sym_protected] = ACTIONS(3503),
    [anon_sym_public] = ACTIONS(3503),
    [anon_sym_readonly] = ACTIONS(3503),
    [anon_sym_required] = ACTIONS(3503),
    [anon_sym_sealed] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_where] = ACTIONS(3503),
    [anon_sym_notnull] = ACTIONS(3503),
    [anon_sym_unmanaged] = ACTIONS(3503),
    [anon_sym_checked] = ACTIONS(3503),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(3505),
    [anon_sym_true] = ACTIONS(3503),
    [anon_sym_false] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_CARET] = ACTIONS(3505),
    [anon_sym_AMP] = ACTIONS(3505),
    [anon_sym_this] = ACTIONS(3503),
    [anon_sym_scoped] = ACTIONS(3503),
    [anon_sym_base] = ACTIONS(3503),
    [anon_sym_var] = ACTIONS(3503),
    [sym_predefined_type] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_unchecked] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_lock] = ACTIONS(3503),
    [anon_sym_yield] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_when] = ACTIONS(3503),
    [anon_sym_await] = ACTIONS(3503),
    [anon_sym_foreach] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_DOT_DOT] = ACTIONS(3505),
    [anon_sym_from] = ACTIONS(3503),
    [anon_sym_into] = ACTIONS(3503),
    [anon_sym_join] = ACTIONS(3503),
    [anon_sym_on] = ACTIONS(3503),
    [anon_sym_equals] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3503),
    [anon_sym_orderby] = ACTIONS(3503),
    [anon_sym_ascending] = ACTIONS(3503),
    [anon_sym_descending] = ACTIONS(3503),
    [anon_sym_group] = ACTIONS(3503),
    [anon_sym_by] = ACTIONS(3503),
    [anon_sym_select] = ACTIONS(3503),
    [anon_sym_DQUOTE] = ACTIONS(3505),
    [anon_sym_stackalloc] = ACTIONS(3503),
    [anon_sym_sizeof] = ACTIONS(3503),
    [anon_sym_typeof] = ACTIONS(3503),
    [anon_sym___makeref] = ACTIONS(3503),
    [anon_sym___reftype] = ACTIONS(3503),
    [anon_sym___refvalue] = ACTIONS(3503),
    [sym_null_literal] = ACTIONS(3503),
    [anon_sym_SQUOTE] = ACTIONS(3505),
    [sym_integer_literal] = ACTIONS(3503),
    [sym_real_literal] = ACTIONS(3505),
    [sym_verbatim_string_literal] = ACTIONS(3505),
    [aux_sym_preproc_if_token1] = ACTIONS(3505),
    [aux_sym_preproc_if_token3] = ACTIONS(3505),
    [aux_sym_preproc_else_token1] = ACTIONS(3505),
    [aux_sym_preproc_elif_token1] = ACTIONS(3505),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3505),
    [sym_interpolation_verbatim_start] = ACTIONS(3505),
    [sym_interpolation_raw_start] = ACTIONS(3505),
    [sym_raw_string_start] = ACTIONS(3505),
  },
  [2333] = {
    [sym_preproc_region] = STATE(2333),
    [sym_preproc_endregion] = STATE(2333),
    [sym_preproc_line] = STATE(2333),
    [sym_preproc_pragma] = STATE(2333),
    [sym_preproc_nullable] = STATE(2333),
    [sym_preproc_error] = STATE(2333),
    [sym_preproc_define] = STATE(2333),
    [sym_preproc_undef] = STATE(2333),
    [sym__identifier_token] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym_alias] = ACTIONS(3507),
    [anon_sym_SEMI] = ACTIONS(3509),
    [anon_sym_global] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_unsafe] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3509),
    [anon_sym_LPAREN] = ACTIONS(3509),
    [anon_sym_return] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_ref] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_interface] = ACTIONS(3507),
    [anon_sym_delegate] = ACTIONS(3507),
    [anon_sym_record] = ACTIONS(3507),
    [anon_sym_abstract] = ACTIONS(3507),
    [anon_sym_async] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_file] = ACTIONS(3507),
    [anon_sym_fixed] = ACTIONS(3507),
    [anon_sym_internal] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_override] = ACTIONS(3507),
    [anon_sym_partial] = ACTIONS(3507),
    [anon_sym_private] = ACTIONS(3507),
    [anon_sym_protected] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3507),
    [anon_sym_readonly] = ACTIONS(3507),
    [anon_sym_required] = ACTIONS(3507),
    [anon_sym_sealed] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_where] = ACTIONS(3507),
    [anon_sym_notnull] = ACTIONS(3507),
    [anon_sym_unmanaged] = ACTIONS(3507),
    [anon_sym_checked] = ACTIONS(3507),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3509),
    [anon_sym_DASH_DASH] = ACTIONS(3509),
    [anon_sym_true] = ACTIONS(3507),
    [anon_sym_false] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_CARET] = ACTIONS(3509),
    [anon_sym_AMP] = ACTIONS(3509),
    [anon_sym_this] = ACTIONS(3507),
    [anon_sym_scoped] = ACTIONS(3507),
    [anon_sym_base] = ACTIONS(3507),
    [anon_sym_var] = ACTIONS(3507),
    [sym_predefined_type] = ACTIONS(3507),
    [anon_sym_break] = ACTIONS(3507),
    [anon_sym_unchecked] = ACTIONS(3507),
    [anon_sym_continue] = ACTIONS(3507),
    [anon_sym_do] = ACTIONS(3507),
    [anon_sym_while] = ACTIONS(3507),
    [anon_sym_for] = ACTIONS(3507),
    [anon_sym_lock] = ACTIONS(3507),
    [anon_sym_yield] = ACTIONS(3507),
    [anon_sym_switch] = ACTIONS(3507),
    [anon_sym_default] = ACTIONS(3507),
    [anon_sym_throw] = ACTIONS(3507),
    [anon_sym_try] = ACTIONS(3507),
    [anon_sym_when] = ACTIONS(3507),
    [anon_sym_await] = ACTIONS(3507),
    [anon_sym_foreach] = ACTIONS(3507),
    [anon_sym_goto] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(3507),
    [anon_sym_DOT_DOT] = ACTIONS(3509),
    [anon_sym_from] = ACTIONS(3507),
    [anon_sym_into] = ACTIONS(3507),
    [anon_sym_join] = ACTIONS(3507),
    [anon_sym_on] = ACTIONS(3507),
    [anon_sym_equals] = ACTIONS(3507),
    [anon_sym_let] = ACTIONS(3507),
    [anon_sym_orderby] = ACTIONS(3507),
    [anon_sym_ascending] = ACTIONS(3507),
    [anon_sym_descending] = ACTIONS(3507),
    [anon_sym_group] = ACTIONS(3507),
    [anon_sym_by] = ACTIONS(3507),
    [anon_sym_select] = ACTIONS(3507),
    [anon_sym_DQUOTE] = ACTIONS(3509),
    [anon_sym_stackalloc] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(3507),
    [anon_sym_typeof] = ACTIONS(3507),
    [anon_sym___makeref] = ACTIONS(3507),
    [anon_sym___reftype] = ACTIONS(3507),
    [anon_sym___refvalue] = ACTIONS(3507),
    [sym_null_literal] = ACTIONS(3507),
    [anon_sym_SQUOTE] = ACTIONS(3509),
    [sym_integer_literal] = ACTIONS(3507),
    [sym_real_literal] = ACTIONS(3509),
    [sym_verbatim_string_literal] = ACTIONS(3509),
    [aux_sym_preproc_if_token1] = ACTIONS(3509),
    [aux_sym_preproc_if_token3] = ACTIONS(3509),
    [aux_sym_preproc_else_token1] = ACTIONS(3509),
    [aux_sym_preproc_elif_token1] = ACTIONS(3509),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3509),
    [sym_interpolation_verbatim_start] = ACTIONS(3509),
    [sym_interpolation_raw_start] = ACTIONS(3509),
    [sym_raw_string_start] = ACTIONS(3509),
  },
  [2334] = {
    [sym_preproc_region] = STATE(2334),
    [sym_preproc_endregion] = STATE(2334),
    [sym_preproc_line] = STATE(2334),
    [sym_preproc_pragma] = STATE(2334),
    [sym_preproc_nullable] = STATE(2334),
    [sym_preproc_error] = STATE(2334),
    [sym_preproc_define] = STATE(2334),
    [sym_preproc_undef] = STATE(2334),
    [sym__identifier_token] = ACTIONS(3511),
    [anon_sym_extern] = ACTIONS(3511),
    [anon_sym_alias] = ACTIONS(3511),
    [anon_sym_SEMI] = ACTIONS(3513),
    [anon_sym_global] = ACTIONS(3511),
    [anon_sym_using] = ACTIONS(3511),
    [anon_sym_unsafe] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3513),
    [anon_sym_LPAREN] = ACTIONS(3513),
    [anon_sym_return] = ACTIONS(3511),
    [anon_sym_namespace] = ACTIONS(3511),
    [anon_sym_class] = ACTIONS(3511),
    [anon_sym_ref] = ACTIONS(3511),
    [anon_sym_struct] = ACTIONS(3511),
    [anon_sym_enum] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3513),
    [anon_sym_interface] = ACTIONS(3511),
    [anon_sym_delegate] = ACTIONS(3511),
    [anon_sym_record] = ACTIONS(3511),
    [anon_sym_abstract] = ACTIONS(3511),
    [anon_sym_async] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3511),
    [anon_sym_file] = ACTIONS(3511),
    [anon_sym_fixed] = ACTIONS(3511),
    [anon_sym_internal] = ACTIONS(3511),
    [anon_sym_new] = ACTIONS(3511),
    [anon_sym_override] = ACTIONS(3511),
    [anon_sym_partial] = ACTIONS(3511),
    [anon_sym_private] = ACTIONS(3511),
    [anon_sym_protected] = ACTIONS(3511),
    [anon_sym_public] = ACTIONS(3511),
    [anon_sym_readonly] = ACTIONS(3511),
    [anon_sym_required] = ACTIONS(3511),
    [anon_sym_sealed] = ACTIONS(3511),
    [anon_sym_virtual] = ACTIONS(3511),
    [anon_sym_volatile] = ACTIONS(3511),
    [anon_sym_where] = ACTIONS(3511),
    [anon_sym_notnull] = ACTIONS(3511),
    [anon_sym_unmanaged] = ACTIONS(3511),
    [anon_sym_checked] = ACTIONS(3511),
    [anon_sym_BANG] = ACTIONS(3513),
    [anon_sym_TILDE] = ACTIONS(3513),
    [anon_sym_PLUS_PLUS] = ACTIONS(3513),
    [anon_sym_DASH_DASH] = ACTIONS(3513),
    [anon_sym_true] = ACTIONS(3511),
    [anon_sym_false] = ACTIONS(3511),
    [anon_sym_PLUS] = ACTIONS(3511),
    [anon_sym_DASH] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3513),
    [anon_sym_CARET] = ACTIONS(3513),
    [anon_sym_AMP] = ACTIONS(3513),
    [anon_sym_this] = ACTIONS(3511),
    [anon_sym_scoped] = ACTIONS(3511),
    [anon_sym_base] = ACTIONS(3511),
    [anon_sym_var] = ACTIONS(3511),
    [sym_predefined_type] = ACTIONS(3511),
    [anon_sym_break] = ACTIONS(3511),
    [anon_sym_unchecked] = ACTIONS(3511),
    [anon_sym_continue] = ACTIONS(3511),
    [anon_sym_do] = ACTIONS(3511),
    [anon_sym_while] = ACTIONS(3511),
    [anon_sym_for] = ACTIONS(3511),
    [anon_sym_lock] = ACTIONS(3511),
    [anon_sym_yield] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(3511),
    [anon_sym_default] = ACTIONS(3511),
    [anon_sym_throw] = ACTIONS(3511),
    [anon_sym_try] = ACTIONS(3511),
    [anon_sym_when] = ACTIONS(3511),
    [anon_sym_await] = ACTIONS(3511),
    [anon_sym_foreach] = ACTIONS(3511),
    [anon_sym_goto] = ACTIONS(3511),
    [anon_sym_if] = ACTIONS(3511),
    [anon_sym_DOT_DOT] = ACTIONS(3513),
    [anon_sym_from] = ACTIONS(3511),
    [anon_sym_into] = ACTIONS(3511),
    [anon_sym_join] = ACTIONS(3511),
    [anon_sym_on] = ACTIONS(3511),
    [anon_sym_equals] = ACTIONS(3511),
    [anon_sym_let] = ACTIONS(3511),
    [anon_sym_orderby] = ACTIONS(3511),
    [anon_sym_ascending] = ACTIONS(3511),
    [anon_sym_descending] = ACTIONS(3511),
    [anon_sym_group] = ACTIONS(3511),
    [anon_sym_by] = ACTIONS(3511),
    [anon_sym_select] = ACTIONS(3511),
    [anon_sym_DQUOTE] = ACTIONS(3513),
    [anon_sym_stackalloc] = ACTIONS(3511),
    [anon_sym_sizeof] = ACTIONS(3511),
    [anon_sym_typeof] = ACTIONS(3511),
    [anon_sym___makeref] = ACTIONS(3511),
    [anon_sym___reftype] = ACTIONS(3511),
    [anon_sym___refvalue] = ACTIONS(3511),
    [sym_null_literal] = ACTIONS(3511),
    [anon_sym_SQUOTE] = ACTIONS(3513),
    [sym_integer_literal] = ACTIONS(3511),
    [sym_real_literal] = ACTIONS(3513),
    [sym_verbatim_string_literal] = ACTIONS(3513),
    [aux_sym_preproc_if_token1] = ACTIONS(3513),
    [aux_sym_preproc_if_token3] = ACTIONS(3513),
    [aux_sym_preproc_else_token1] = ACTIONS(3513),
    [aux_sym_preproc_elif_token1] = ACTIONS(3513),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3513),
    [sym_interpolation_verbatim_start] = ACTIONS(3513),
    [sym_interpolation_raw_start] = ACTIONS(3513),
    [sym_raw_string_start] = ACTIONS(3513),
  },
  [2335] = {
    [sym_preproc_region] = STATE(2335),
    [sym_preproc_endregion] = STATE(2335),
    [sym_preproc_line] = STATE(2335),
    [sym_preproc_pragma] = STATE(2335),
    [sym_preproc_nullable] = STATE(2335),
    [sym_preproc_error] = STATE(2335),
    [sym_preproc_define] = STATE(2335),
    [sym_preproc_undef] = STATE(2335),
    [sym__identifier_token] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_alias] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_LPAREN] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_interface] = ACTIONS(3109),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_record] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_file] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_required] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_where] = ACTIONS(3109),
    [anon_sym_notnull] = ACTIONS(3109),
    [anon_sym_unmanaged] = ACTIONS(3109),
    [anon_sym_checked] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3109),
    [anon_sym_false] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_CARET] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_this] = ACTIONS(3109),
    [anon_sym_scoped] = ACTIONS(3109),
    [anon_sym_base] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [sym_predefined_type] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_unchecked] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_lock] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_when] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_foreach] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_DOT_DOT] = ACTIONS(3111),
    [anon_sym_from] = ACTIONS(3109),
    [anon_sym_into] = ACTIONS(3109),
    [anon_sym_join] = ACTIONS(3109),
    [anon_sym_on] = ACTIONS(3109),
    [anon_sym_equals] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_orderby] = ACTIONS(3109),
    [anon_sym_ascending] = ACTIONS(3109),
    [anon_sym_descending] = ACTIONS(3109),
    [anon_sym_group] = ACTIONS(3109),
    [anon_sym_by] = ACTIONS(3109),
    [anon_sym_select] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [anon_sym_stackalloc] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym___makeref] = ACTIONS(3109),
    [anon_sym___reftype] = ACTIONS(3109),
    [anon_sym___refvalue] = ACTIONS(3109),
    [sym_null_literal] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [sym_integer_literal] = ACTIONS(3109),
    [sym_real_literal] = ACTIONS(3111),
    [sym_verbatim_string_literal] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token3] = ACTIONS(3111),
    [aux_sym_preproc_else_token1] = ACTIONS(3111),
    [aux_sym_preproc_elif_token1] = ACTIONS(3111),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3111),
    [sym_interpolation_verbatim_start] = ACTIONS(3111),
    [sym_interpolation_raw_start] = ACTIONS(3111),
    [sym_raw_string_start] = ACTIONS(3111),
  },
  [2336] = {
    [sym_preproc_region] = STATE(2336),
    [sym_preproc_endregion] = STATE(2336),
    [sym_preproc_line] = STATE(2336),
    [sym_preproc_pragma] = STATE(2336),
    [sym_preproc_nullable] = STATE(2336),
    [sym_preproc_error] = STATE(2336),
    [sym_preproc_define] = STATE(2336),
    [sym_preproc_undef] = STATE(2336),
    [sym__identifier_token] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym_alias] = ACTIONS(3515),
    [anon_sym_SEMI] = ACTIONS(3517),
    [anon_sym_global] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_unsafe] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3517),
    [anon_sym_LPAREN] = ACTIONS(3517),
    [anon_sym_return] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_ref] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_interface] = ACTIONS(3515),
    [anon_sym_delegate] = ACTIONS(3515),
    [anon_sym_record] = ACTIONS(3515),
    [anon_sym_abstract] = ACTIONS(3515),
    [anon_sym_async] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_file] = ACTIONS(3515),
    [anon_sym_fixed] = ACTIONS(3515),
    [anon_sym_internal] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_override] = ACTIONS(3515),
    [anon_sym_partial] = ACTIONS(3515),
    [anon_sym_private] = ACTIONS(3515),
    [anon_sym_protected] = ACTIONS(3515),
    [anon_sym_public] = ACTIONS(3515),
    [anon_sym_readonly] = ACTIONS(3515),
    [anon_sym_required] = ACTIONS(3515),
    [anon_sym_sealed] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_where] = ACTIONS(3515),
    [anon_sym_notnull] = ACTIONS(3515),
    [anon_sym_unmanaged] = ACTIONS(3515),
    [anon_sym_checked] = ACTIONS(3515),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3517),
    [anon_sym_DASH_DASH] = ACTIONS(3517),
    [anon_sym_true] = ACTIONS(3515),
    [anon_sym_false] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_CARET] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3517),
    [anon_sym_this] = ACTIONS(3515),
    [anon_sym_scoped] = ACTIONS(3515),
    [anon_sym_base] = ACTIONS(3515),
    [anon_sym_var] = ACTIONS(3515),
    [sym_predefined_type] = ACTIONS(3515),
    [anon_sym_break] = ACTIONS(3515),
    [anon_sym_unchecked] = ACTIONS(3515),
    [anon_sym_continue] = ACTIONS(3515),
    [anon_sym_do] = ACTIONS(3515),
    [anon_sym_while] = ACTIONS(3515),
    [anon_sym_for] = ACTIONS(3515),
    [anon_sym_lock] = ACTIONS(3515),
    [anon_sym_yield] = ACTIONS(3515),
    [anon_sym_switch] = ACTIONS(3515),
    [anon_sym_default] = ACTIONS(3515),
    [anon_sym_throw] = ACTIONS(3515),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_when] = ACTIONS(3515),
    [anon_sym_await] = ACTIONS(3515),
    [anon_sym_foreach] = ACTIONS(3515),
    [anon_sym_goto] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(3515),
    [anon_sym_DOT_DOT] = ACTIONS(3517),
    [anon_sym_from] = ACTIONS(3515),
    [anon_sym_into] = ACTIONS(3515),
    [anon_sym_join] = ACTIONS(3515),
    [anon_sym_on] = ACTIONS(3515),
    [anon_sym_equals] = ACTIONS(3515),
    [anon_sym_let] = ACTIONS(3515),
    [anon_sym_orderby] = ACTIONS(3515),
    [anon_sym_ascending] = ACTIONS(3515),
    [anon_sym_descending] = ACTIONS(3515),
    [anon_sym_group] = ACTIONS(3515),
    [anon_sym_by] = ACTIONS(3515),
    [anon_sym_select] = ACTIONS(3515),
    [anon_sym_DQUOTE] = ACTIONS(3517),
    [anon_sym_stackalloc] = ACTIONS(3515),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym_typeof] = ACTIONS(3515),
    [anon_sym___makeref] = ACTIONS(3515),
    [anon_sym___reftype] = ACTIONS(3515),
    [anon_sym___refvalue] = ACTIONS(3515),
    [sym_null_literal] = ACTIONS(3515),
    [anon_sym_SQUOTE] = ACTIONS(3517),
    [sym_integer_literal] = ACTIONS(3515),
    [sym_real_literal] = ACTIONS(3517),
    [sym_verbatim_string_literal] = ACTIONS(3517),
    [aux_sym_preproc_if_token1] = ACTIONS(3517),
    [aux_sym_preproc_if_token3] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3517),
    [aux_sym_preproc_elif_token1] = ACTIONS(3517),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3517),
    [sym_interpolation_verbatim_start] = ACTIONS(3517),
    [sym_interpolation_raw_start] = ACTIONS(3517),
    [sym_raw_string_start] = ACTIONS(3517),
  },
  [2337] = {
    [sym_preproc_region] = STATE(2337),
    [sym_preproc_endregion] = STATE(2337),
    [sym_preproc_line] = STATE(2337),
    [sym_preproc_pragma] = STATE(2337),
    [sym_preproc_nullable] = STATE(2337),
    [sym_preproc_error] = STATE(2337),
    [sym_preproc_define] = STATE(2337),
    [sym_preproc_undef] = STATE(2337),
    [sym__identifier_token] = ACTIONS(3519),
    [anon_sym_extern] = ACTIONS(3519),
    [anon_sym_alias] = ACTIONS(3519),
    [anon_sym_SEMI] = ACTIONS(3521),
    [anon_sym_global] = ACTIONS(3519),
    [anon_sym_using] = ACTIONS(3519),
    [anon_sym_unsafe] = ACTIONS(3519),
    [anon_sym_static] = ACTIONS(3519),
    [anon_sym_LBRACK] = ACTIONS(3521),
    [anon_sym_LPAREN] = ACTIONS(3521),
    [anon_sym_return] = ACTIONS(3519),
    [anon_sym_namespace] = ACTIONS(3519),
    [anon_sym_class] = ACTIONS(3519),
    [anon_sym_ref] = ACTIONS(3519),
    [anon_sym_struct] = ACTIONS(3519),
    [anon_sym_enum] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(3521),
    [anon_sym_interface] = ACTIONS(3519),
    [anon_sym_delegate] = ACTIONS(3519),
    [anon_sym_record] = ACTIONS(3519),
    [anon_sym_abstract] = ACTIONS(3519),
    [anon_sym_async] = ACTIONS(3519),
    [anon_sym_const] = ACTIONS(3519),
    [anon_sym_file] = ACTIONS(3519),
    [anon_sym_fixed] = ACTIONS(3519),
    [anon_sym_internal] = ACTIONS(3519),
    [anon_sym_new] = ACTIONS(3519),
    [anon_sym_override] = ACTIONS(3519),
    [anon_sym_partial] = ACTIONS(3519),
    [anon_sym_private] = ACTIONS(3519),
    [anon_sym_protected] = ACTIONS(3519),
    [anon_sym_public] = ACTIONS(3519),
    [anon_sym_readonly] = ACTIONS(3519),
    [anon_sym_required] = ACTIONS(3519),
    [anon_sym_sealed] = ACTIONS(3519),
    [anon_sym_virtual] = ACTIONS(3519),
    [anon_sym_volatile] = ACTIONS(3519),
    [anon_sym_where] = ACTIONS(3519),
    [anon_sym_notnull] = ACTIONS(3519),
    [anon_sym_unmanaged] = ACTIONS(3519),
    [anon_sym_checked] = ACTIONS(3519),
    [anon_sym_BANG] = ACTIONS(3521),
    [anon_sym_TILDE] = ACTIONS(3521),
    [anon_sym_PLUS_PLUS] = ACTIONS(3521),
    [anon_sym_DASH_DASH] = ACTIONS(3521),
    [anon_sym_true] = ACTIONS(3519),
    [anon_sym_false] = ACTIONS(3519),
    [anon_sym_PLUS] = ACTIONS(3519),
    [anon_sym_DASH] = ACTIONS(3519),
    [anon_sym_STAR] = ACTIONS(3521),
    [anon_sym_CARET] = ACTIONS(3521),
    [anon_sym_AMP] = ACTIONS(3521),
    [anon_sym_this] = ACTIONS(3519),
    [anon_sym_scoped] = ACTIONS(3519),
    [anon_sym_base] = ACTIONS(3519),
    [anon_sym_var] = ACTIONS(3519),
    [sym_predefined_type] = ACTIONS(3519),
    [anon_sym_break] = ACTIONS(3519),
    [anon_sym_unchecked] = ACTIONS(3519),
    [anon_sym_continue] = ACTIONS(3519),
    [anon_sym_do] = ACTIONS(3519),
    [anon_sym_while] = ACTIONS(3519),
    [anon_sym_for] = ACTIONS(3519),
    [anon_sym_lock] = ACTIONS(3519),
    [anon_sym_yield] = ACTIONS(3519),
    [anon_sym_switch] = ACTIONS(3519),
    [anon_sym_default] = ACTIONS(3519),
    [anon_sym_throw] = ACTIONS(3519),
    [anon_sym_try] = ACTIONS(3519),
    [anon_sym_when] = ACTIONS(3519),
    [anon_sym_await] = ACTIONS(3519),
    [anon_sym_foreach] = ACTIONS(3519),
    [anon_sym_goto] = ACTIONS(3519),
    [anon_sym_if] = ACTIONS(3519),
    [anon_sym_DOT_DOT] = ACTIONS(3521),
    [anon_sym_from] = ACTIONS(3519),
    [anon_sym_into] = ACTIONS(3519),
    [anon_sym_join] = ACTIONS(3519),
    [anon_sym_on] = ACTIONS(3519),
    [anon_sym_equals] = ACTIONS(3519),
    [anon_sym_let] = ACTIONS(3519),
    [anon_sym_orderby] = ACTIONS(3519),
    [anon_sym_ascending] = ACTIONS(3519),
    [anon_sym_descending] = ACTIONS(3519),
    [anon_sym_group] = ACTIONS(3519),
    [anon_sym_by] = ACTIONS(3519),
    [anon_sym_select] = ACTIONS(3519),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [anon_sym_stackalloc] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(3519),
    [anon_sym_typeof] = ACTIONS(3519),
    [anon_sym___makeref] = ACTIONS(3519),
    [anon_sym___reftype] = ACTIONS(3519),
    [anon_sym___refvalue] = ACTIONS(3519),
    [sym_null_literal] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [sym_integer_literal] = ACTIONS(3519),
    [sym_real_literal] = ACTIONS(3521),
    [sym_verbatim_string_literal] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token3] = ACTIONS(3521),
    [aux_sym_preproc_else_token1] = ACTIONS(3521),
    [aux_sym_preproc_elif_token1] = ACTIONS(3521),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3521),
    [sym_interpolation_verbatim_start] = ACTIONS(3521),
    [sym_interpolation_raw_start] = ACTIONS(3521),
    [sym_raw_string_start] = ACTIONS(3521),
  },
  [2338] = {
    [sym_preproc_region] = STATE(2338),
    [sym_preproc_endregion] = STATE(2338),
    [sym_preproc_line] = STATE(2338),
    [sym_preproc_pragma] = STATE(2338),
    [sym_preproc_nullable] = STATE(2338),
    [sym_preproc_error] = STATE(2338),
    [sym_preproc_define] = STATE(2338),
    [sym_preproc_undef] = STATE(2338),
    [sym__identifier_token] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(3523),
    [anon_sym_alias] = ACTIONS(3523),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_global] = ACTIONS(3523),
    [anon_sym_using] = ACTIONS(3523),
    [anon_sym_unsafe] = ACTIONS(3523),
    [anon_sym_static] = ACTIONS(3523),
    [anon_sym_LBRACK] = ACTIONS(3525),
    [anon_sym_LPAREN] = ACTIONS(3525),
    [anon_sym_return] = ACTIONS(3523),
    [anon_sym_namespace] = ACTIONS(3523),
    [anon_sym_class] = ACTIONS(3523),
    [anon_sym_ref] = ACTIONS(3523),
    [anon_sym_struct] = ACTIONS(3523),
    [anon_sym_enum] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(3525),
    [anon_sym_interface] = ACTIONS(3523),
    [anon_sym_delegate] = ACTIONS(3523),
    [anon_sym_record] = ACTIONS(3523),
    [anon_sym_abstract] = ACTIONS(3523),
    [anon_sym_async] = ACTIONS(3523),
    [anon_sym_const] = ACTIONS(3523),
    [anon_sym_file] = ACTIONS(3523),
    [anon_sym_fixed] = ACTIONS(3523),
    [anon_sym_internal] = ACTIONS(3523),
    [anon_sym_new] = ACTIONS(3523),
    [anon_sym_override] = ACTIONS(3523),
    [anon_sym_partial] = ACTIONS(3523),
    [anon_sym_private] = ACTIONS(3523),
    [anon_sym_protected] = ACTIONS(3523),
    [anon_sym_public] = ACTIONS(3523),
    [anon_sym_readonly] = ACTIONS(3523),
    [anon_sym_required] = ACTIONS(3523),
    [anon_sym_sealed] = ACTIONS(3523),
    [anon_sym_virtual] = ACTIONS(3523),
    [anon_sym_volatile] = ACTIONS(3523),
    [anon_sym_where] = ACTIONS(3523),
    [anon_sym_notnull] = ACTIONS(3523),
    [anon_sym_unmanaged] = ACTIONS(3523),
    [anon_sym_checked] = ACTIONS(3523),
    [anon_sym_BANG] = ACTIONS(3525),
    [anon_sym_TILDE] = ACTIONS(3525),
    [anon_sym_PLUS_PLUS] = ACTIONS(3525),
    [anon_sym_DASH_DASH] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(3523),
    [anon_sym_false] = ACTIONS(3523),
    [anon_sym_PLUS] = ACTIONS(3523),
    [anon_sym_DASH] = ACTIONS(3523),
    [anon_sym_STAR] = ACTIONS(3525),
    [anon_sym_CARET] = ACTIONS(3525),
    [anon_sym_AMP] = ACTIONS(3525),
    [anon_sym_this] = ACTIONS(3523),
    [anon_sym_scoped] = ACTIONS(3523),
    [anon_sym_base] = ACTIONS(3523),
    [anon_sym_var] = ACTIONS(3523),
    [sym_predefined_type] = ACTIONS(3523),
    [anon_sym_break] = ACTIONS(3523),
    [anon_sym_unchecked] = ACTIONS(3523),
    [anon_sym_continue] = ACTIONS(3523),
    [anon_sym_do] = ACTIONS(3523),
    [anon_sym_while] = ACTIONS(3523),
    [anon_sym_for] = ACTIONS(3523),
    [anon_sym_lock] = ACTIONS(3523),
    [anon_sym_yield] = ACTIONS(3523),
    [anon_sym_switch] = ACTIONS(3523),
    [anon_sym_default] = ACTIONS(3523),
    [anon_sym_throw] = ACTIONS(3523),
    [anon_sym_try] = ACTIONS(3523),
    [anon_sym_when] = ACTIONS(3523),
    [anon_sym_await] = ACTIONS(3523),
    [anon_sym_foreach] = ACTIONS(3523),
    [anon_sym_goto] = ACTIONS(3523),
    [anon_sym_if] = ACTIONS(3523),
    [anon_sym_DOT_DOT] = ACTIONS(3525),
    [anon_sym_from] = ACTIONS(3523),
    [anon_sym_into] = ACTIONS(3523),
    [anon_sym_join] = ACTIONS(3523),
    [anon_sym_on] = ACTIONS(3523),
    [anon_sym_equals] = ACTIONS(3523),
    [anon_sym_let] = ACTIONS(3523),
    [anon_sym_orderby] = ACTIONS(3523),
    [anon_sym_ascending] = ACTIONS(3523),
    [anon_sym_descending] = ACTIONS(3523),
    [anon_sym_group] = ACTIONS(3523),
    [anon_sym_by] = ACTIONS(3523),
    [anon_sym_select] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3525),
    [anon_sym_stackalloc] = ACTIONS(3523),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym_typeof] = ACTIONS(3523),
    [anon_sym___makeref] = ACTIONS(3523),
    [anon_sym___reftype] = ACTIONS(3523),
    [anon_sym___refvalue] = ACTIONS(3523),
    [sym_null_literal] = ACTIONS(3523),
    [anon_sym_SQUOTE] = ACTIONS(3525),
    [sym_integer_literal] = ACTIONS(3523),
    [sym_real_literal] = ACTIONS(3525),
    [sym_verbatim_string_literal] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token3] = ACTIONS(3525),
    [aux_sym_preproc_else_token1] = ACTIONS(3525),
    [aux_sym_preproc_elif_token1] = ACTIONS(3525),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3525),
    [sym_interpolation_verbatim_start] = ACTIONS(3525),
    [sym_interpolation_raw_start] = ACTIONS(3525),
    [sym_raw_string_start] = ACTIONS(3525),
  },
  [2339] = {
    [sym_preproc_region] = STATE(2339),
    [sym_preproc_endregion] = STATE(2339),
    [sym_preproc_line] = STATE(2339),
    [sym_preproc_pragma] = STATE(2339),
    [sym_preproc_nullable] = STATE(2339),
    [sym_preproc_error] = STATE(2339),
    [sym_preproc_define] = STATE(2339),
    [sym_preproc_undef] = STATE(2339),
    [sym__identifier_token] = ACTIONS(3527),
    [anon_sym_extern] = ACTIONS(3527),
    [anon_sym_alias] = ACTIONS(3527),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_global] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(3527),
    [anon_sym_unsafe] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3529),
    [anon_sym_LPAREN] = ACTIONS(3529),
    [anon_sym_return] = ACTIONS(3527),
    [anon_sym_namespace] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_ref] = ACTIONS(3527),
    [anon_sym_struct] = ACTIONS(3527),
    [anon_sym_enum] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(3529),
    [anon_sym_interface] = ACTIONS(3527),
    [anon_sym_delegate] = ACTIONS(3527),
    [anon_sym_record] = ACTIONS(3527),
    [anon_sym_abstract] = ACTIONS(3527),
    [anon_sym_async] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3527),
    [anon_sym_file] = ACTIONS(3527),
    [anon_sym_fixed] = ACTIONS(3527),
    [anon_sym_internal] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3527),
    [anon_sym_override] = ACTIONS(3527),
    [anon_sym_partial] = ACTIONS(3527),
    [anon_sym_private] = ACTIONS(3527),
    [anon_sym_protected] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3527),
    [anon_sym_readonly] = ACTIONS(3527),
    [anon_sym_required] = ACTIONS(3527),
    [anon_sym_sealed] = ACTIONS(3527),
    [anon_sym_virtual] = ACTIONS(3527),
    [anon_sym_volatile] = ACTIONS(3527),
    [anon_sym_where] = ACTIONS(3527),
    [anon_sym_notnull] = ACTIONS(3527),
    [anon_sym_unmanaged] = ACTIONS(3527),
    [anon_sym_checked] = ACTIONS(3527),
    [anon_sym_BANG] = ACTIONS(3529),
    [anon_sym_TILDE] = ACTIONS(3529),
    [anon_sym_PLUS_PLUS] = ACTIONS(3529),
    [anon_sym_DASH_DASH] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(3527),
    [anon_sym_false] = ACTIONS(3527),
    [anon_sym_PLUS] = ACTIONS(3527),
    [anon_sym_DASH] = ACTIONS(3527),
    [anon_sym_STAR] = ACTIONS(3529),
    [anon_sym_CARET] = ACTIONS(3529),
    [anon_sym_AMP] = ACTIONS(3529),
    [anon_sym_this] = ACTIONS(3527),
    [anon_sym_scoped] = ACTIONS(3527),
    [anon_sym_base] = ACTIONS(3527),
    [anon_sym_var] = ACTIONS(3527),
    [sym_predefined_type] = ACTIONS(3527),
    [anon_sym_break] = ACTIONS(3527),
    [anon_sym_unchecked] = ACTIONS(3527),
    [anon_sym_continue] = ACTIONS(3527),
    [anon_sym_do] = ACTIONS(3527),
    [anon_sym_while] = ACTIONS(3527),
    [anon_sym_for] = ACTIONS(3527),
    [anon_sym_lock] = ACTIONS(3527),
    [anon_sym_yield] = ACTIONS(3527),
    [anon_sym_switch] = ACTIONS(3527),
    [anon_sym_default] = ACTIONS(3527),
    [anon_sym_throw] = ACTIONS(3527),
    [anon_sym_try] = ACTIONS(3527),
    [anon_sym_when] = ACTIONS(3527),
    [anon_sym_await] = ACTIONS(3527),
    [anon_sym_foreach] = ACTIONS(3527),
    [anon_sym_goto] = ACTIONS(3527),
    [anon_sym_if] = ACTIONS(3527),
    [anon_sym_DOT_DOT] = ACTIONS(3529),
    [anon_sym_from] = ACTIONS(3527),
    [anon_sym_into] = ACTIONS(3527),
    [anon_sym_join] = ACTIONS(3527),
    [anon_sym_on] = ACTIONS(3527),
    [anon_sym_equals] = ACTIONS(3527),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_orderby] = ACTIONS(3527),
    [anon_sym_ascending] = ACTIONS(3527),
    [anon_sym_descending] = ACTIONS(3527),
    [anon_sym_group] = ACTIONS(3527),
    [anon_sym_by] = ACTIONS(3527),
    [anon_sym_select] = ACTIONS(3527),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [anon_sym_stackalloc] = ACTIONS(3527),
    [anon_sym_sizeof] = ACTIONS(3527),
    [anon_sym_typeof] = ACTIONS(3527),
    [anon_sym___makeref] = ACTIONS(3527),
    [anon_sym___reftype] = ACTIONS(3527),
    [anon_sym___refvalue] = ACTIONS(3527),
    [sym_null_literal] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3529),
    [sym_integer_literal] = ACTIONS(3527),
    [sym_real_literal] = ACTIONS(3529),
    [sym_verbatim_string_literal] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token3] = ACTIONS(3529),
    [aux_sym_preproc_else_token1] = ACTIONS(3529),
    [aux_sym_preproc_elif_token1] = ACTIONS(3529),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3529),
    [sym_interpolation_verbatim_start] = ACTIONS(3529),
    [sym_interpolation_raw_start] = ACTIONS(3529),
    [sym_raw_string_start] = ACTIONS(3529),
  },
  [2340] = {
    [sym_preproc_region] = STATE(2340),
    [sym_preproc_endregion] = STATE(2340),
    [sym_preproc_line] = STATE(2340),
    [sym_preproc_pragma] = STATE(2340),
    [sym_preproc_nullable] = STATE(2340),
    [sym_preproc_error] = STATE(2340),
    [sym_preproc_define] = STATE(2340),
    [sym_preproc_undef] = STATE(2340),
    [sym__identifier_token] = ACTIONS(3531),
    [anon_sym_extern] = ACTIONS(3531),
    [anon_sym_alias] = ACTIONS(3531),
    [anon_sym_SEMI] = ACTIONS(3533),
    [anon_sym_global] = ACTIONS(3531),
    [anon_sym_using] = ACTIONS(3531),
    [anon_sym_unsafe] = ACTIONS(3531),
    [anon_sym_static] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_LPAREN] = ACTIONS(3533),
    [anon_sym_return] = ACTIONS(3531),
    [anon_sym_namespace] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_ref] = ACTIONS(3531),
    [anon_sym_struct] = ACTIONS(3531),
    [anon_sym_enum] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(3533),
    [anon_sym_interface] = ACTIONS(3531),
    [anon_sym_delegate] = ACTIONS(3531),
    [anon_sym_record] = ACTIONS(3531),
    [anon_sym_abstract] = ACTIONS(3531),
    [anon_sym_async] = ACTIONS(3531),
    [anon_sym_const] = ACTIONS(3531),
    [anon_sym_file] = ACTIONS(3531),
    [anon_sym_fixed] = ACTIONS(3531),
    [anon_sym_internal] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(3531),
    [anon_sym_override] = ACTIONS(3531),
    [anon_sym_partial] = ACTIONS(3531),
    [anon_sym_private] = ACTIONS(3531),
    [anon_sym_protected] = ACTIONS(3531),
    [anon_sym_public] = ACTIONS(3531),
    [anon_sym_readonly] = ACTIONS(3531),
    [anon_sym_required] = ACTIONS(3531),
    [anon_sym_sealed] = ACTIONS(3531),
    [anon_sym_virtual] = ACTIONS(3531),
    [anon_sym_volatile] = ACTIONS(3531),
    [anon_sym_where] = ACTIONS(3531),
    [anon_sym_notnull] = ACTIONS(3531),
    [anon_sym_unmanaged] = ACTIONS(3531),
    [anon_sym_checked] = ACTIONS(3531),
    [anon_sym_BANG] = ACTIONS(3533),
    [anon_sym_TILDE] = ACTIONS(3533),
    [anon_sym_PLUS_PLUS] = ACTIONS(3533),
    [anon_sym_DASH_DASH] = ACTIONS(3533),
    [anon_sym_true] = ACTIONS(3531),
    [anon_sym_false] = ACTIONS(3531),
    [anon_sym_PLUS] = ACTIONS(3531),
    [anon_sym_DASH] = ACTIONS(3531),
    [anon_sym_STAR] = ACTIONS(3533),
    [anon_sym_CARET] = ACTIONS(3533),
    [anon_sym_AMP] = ACTIONS(3533),
    [anon_sym_this] = ACTIONS(3531),
    [anon_sym_scoped] = ACTIONS(3531),
    [anon_sym_base] = ACTIONS(3531),
    [anon_sym_var] = ACTIONS(3531),
    [sym_predefined_type] = ACTIONS(3531),
    [anon_sym_break] = ACTIONS(3531),
    [anon_sym_unchecked] = ACTIONS(3531),
    [anon_sym_continue] = ACTIONS(3531),
    [anon_sym_do] = ACTIONS(3531),
    [anon_sym_while] = ACTIONS(3531),
    [anon_sym_for] = ACTIONS(3531),
    [anon_sym_lock] = ACTIONS(3531),
    [anon_sym_yield] = ACTIONS(3531),
    [anon_sym_switch] = ACTIONS(3531),
    [anon_sym_default] = ACTIONS(3531),
    [anon_sym_throw] = ACTIONS(3531),
    [anon_sym_try] = ACTIONS(3531),
    [anon_sym_when] = ACTIONS(3531),
    [anon_sym_await] = ACTIONS(3531),
    [anon_sym_foreach] = ACTIONS(3531),
    [anon_sym_goto] = ACTIONS(3531),
    [anon_sym_if] = ACTIONS(3531),
    [anon_sym_DOT_DOT] = ACTIONS(3533),
    [anon_sym_from] = ACTIONS(3531),
    [anon_sym_into] = ACTIONS(3531),
    [anon_sym_join] = ACTIONS(3531),
    [anon_sym_on] = ACTIONS(3531),
    [anon_sym_equals] = ACTIONS(3531),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_orderby] = ACTIONS(3531),
    [anon_sym_ascending] = ACTIONS(3531),
    [anon_sym_descending] = ACTIONS(3531),
    [anon_sym_group] = ACTIONS(3531),
    [anon_sym_by] = ACTIONS(3531),
    [anon_sym_select] = ACTIONS(3531),
    [anon_sym_DQUOTE] = ACTIONS(3533),
    [anon_sym_stackalloc] = ACTIONS(3531),
    [anon_sym_sizeof] = ACTIONS(3531),
    [anon_sym_typeof] = ACTIONS(3531),
    [anon_sym___makeref] = ACTIONS(3531),
    [anon_sym___reftype] = ACTIONS(3531),
    [anon_sym___refvalue] = ACTIONS(3531),
    [sym_null_literal] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(3533),
    [sym_integer_literal] = ACTIONS(3531),
    [sym_real_literal] = ACTIONS(3533),
    [sym_verbatim_string_literal] = ACTIONS(3533),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_if_token3] = ACTIONS(3533),
    [aux_sym_preproc_else_token1] = ACTIONS(3533),
    [aux_sym_preproc_elif_token1] = ACTIONS(3533),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3533),
    [sym_interpolation_verbatim_start] = ACTIONS(3533),
    [sym_interpolation_raw_start] = ACTIONS(3533),
    [sym_raw_string_start] = ACTIONS(3533),
  },
  [2341] = {
    [sym_preproc_region] = STATE(2341),
    [sym_preproc_endregion] = STATE(2341),
    [sym_preproc_line] = STATE(2341),
    [sym_preproc_pragma] = STATE(2341),
    [sym_preproc_nullable] = STATE(2341),
    [sym_preproc_error] = STATE(2341),
    [sym_preproc_define] = STATE(2341),
    [sym_preproc_undef] = STATE(2341),
    [sym__identifier_token] = ACTIONS(3535),
    [anon_sym_extern] = ACTIONS(3535),
    [anon_sym_alias] = ACTIONS(3535),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym_global] = ACTIONS(3535),
    [anon_sym_using] = ACTIONS(3535),
    [anon_sym_unsafe] = ACTIONS(3535),
    [anon_sym_static] = ACTIONS(3535),
    [anon_sym_LBRACK] = ACTIONS(3537),
    [anon_sym_LPAREN] = ACTIONS(3537),
    [anon_sym_return] = ACTIONS(3535),
    [anon_sym_namespace] = ACTIONS(3535),
    [anon_sym_class] = ACTIONS(3535),
    [anon_sym_ref] = ACTIONS(3535),
    [anon_sym_struct] = ACTIONS(3535),
    [anon_sym_enum] = ACTIONS(3535),
    [anon_sym_LBRACE] = ACTIONS(3537),
    [anon_sym_interface] = ACTIONS(3535),
    [anon_sym_delegate] = ACTIONS(3535),
    [anon_sym_record] = ACTIONS(3535),
    [anon_sym_abstract] = ACTIONS(3535),
    [anon_sym_async] = ACTIONS(3535),
    [anon_sym_const] = ACTIONS(3535),
    [anon_sym_file] = ACTIONS(3535),
    [anon_sym_fixed] = ACTIONS(3535),
    [anon_sym_internal] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(3535),
    [anon_sym_override] = ACTIONS(3535),
    [anon_sym_partial] = ACTIONS(3535),
    [anon_sym_private] = ACTIONS(3535),
    [anon_sym_protected] = ACTIONS(3535),
    [anon_sym_public] = ACTIONS(3535),
    [anon_sym_readonly] = ACTIONS(3535),
    [anon_sym_required] = ACTIONS(3535),
    [anon_sym_sealed] = ACTIONS(3535),
    [anon_sym_virtual] = ACTIONS(3535),
    [anon_sym_volatile] = ACTIONS(3535),
    [anon_sym_where] = ACTIONS(3535),
    [anon_sym_notnull] = ACTIONS(3535),
    [anon_sym_unmanaged] = ACTIONS(3535),
    [anon_sym_checked] = ACTIONS(3535),
    [anon_sym_BANG] = ACTIONS(3537),
    [anon_sym_TILDE] = ACTIONS(3537),
    [anon_sym_PLUS_PLUS] = ACTIONS(3537),
    [anon_sym_DASH_DASH] = ACTIONS(3537),
    [anon_sym_true] = ACTIONS(3535),
    [anon_sym_false] = ACTIONS(3535),
    [anon_sym_PLUS] = ACTIONS(3535),
    [anon_sym_DASH] = ACTIONS(3535),
    [anon_sym_STAR] = ACTIONS(3537),
    [anon_sym_CARET] = ACTIONS(3537),
    [anon_sym_AMP] = ACTIONS(3537),
    [anon_sym_this] = ACTIONS(3535),
    [anon_sym_scoped] = ACTIONS(3535),
    [anon_sym_base] = ACTIONS(3535),
    [anon_sym_var] = ACTIONS(3535),
    [sym_predefined_type] = ACTIONS(3535),
    [anon_sym_break] = ACTIONS(3535),
    [anon_sym_unchecked] = ACTIONS(3535),
    [anon_sym_continue] = ACTIONS(3535),
    [anon_sym_do] = ACTIONS(3535),
    [anon_sym_while] = ACTIONS(3535),
    [anon_sym_for] = ACTIONS(3535),
    [anon_sym_lock] = ACTIONS(3535),
    [anon_sym_yield] = ACTIONS(3535),
    [anon_sym_switch] = ACTIONS(3535),
    [anon_sym_default] = ACTIONS(3535),
    [anon_sym_throw] = ACTIONS(3535),
    [anon_sym_try] = ACTIONS(3535),
    [anon_sym_when] = ACTIONS(3535),
    [anon_sym_await] = ACTIONS(3535),
    [anon_sym_foreach] = ACTIONS(3535),
    [anon_sym_goto] = ACTIONS(3535),
    [anon_sym_if] = ACTIONS(3535),
    [anon_sym_DOT_DOT] = ACTIONS(3537),
    [anon_sym_from] = ACTIONS(3535),
    [anon_sym_into] = ACTIONS(3535),
    [anon_sym_join] = ACTIONS(3535),
    [anon_sym_on] = ACTIONS(3535),
    [anon_sym_equals] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3535),
    [anon_sym_orderby] = ACTIONS(3535),
    [anon_sym_ascending] = ACTIONS(3535),
    [anon_sym_descending] = ACTIONS(3535),
    [anon_sym_group] = ACTIONS(3535),
    [anon_sym_by] = ACTIONS(3535),
    [anon_sym_select] = ACTIONS(3535),
    [anon_sym_DQUOTE] = ACTIONS(3537),
    [anon_sym_stackalloc] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(3535),
    [anon_sym_typeof] = ACTIONS(3535),
    [anon_sym___makeref] = ACTIONS(3535),
    [anon_sym___reftype] = ACTIONS(3535),
    [anon_sym___refvalue] = ACTIONS(3535),
    [sym_null_literal] = ACTIONS(3535),
    [anon_sym_SQUOTE] = ACTIONS(3537),
    [sym_integer_literal] = ACTIONS(3535),
    [sym_real_literal] = ACTIONS(3537),
    [sym_verbatim_string_literal] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token3] = ACTIONS(3537),
    [aux_sym_preproc_else_token1] = ACTIONS(3537),
    [aux_sym_preproc_elif_token1] = ACTIONS(3537),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3537),
    [sym_interpolation_verbatim_start] = ACTIONS(3537),
    [sym_interpolation_raw_start] = ACTIONS(3537),
    [sym_raw_string_start] = ACTIONS(3537),
  },
  [2342] = {
    [sym_preproc_region] = STATE(2342),
    [sym_preproc_endregion] = STATE(2342),
    [sym_preproc_line] = STATE(2342),
    [sym_preproc_pragma] = STATE(2342),
    [sym_preproc_nullable] = STATE(2342),
    [sym_preproc_error] = STATE(2342),
    [sym_preproc_define] = STATE(2342),
    [sym_preproc_undef] = STATE(2342),
    [sym__identifier_token] = ACTIONS(3539),
    [anon_sym_extern] = ACTIONS(3539),
    [anon_sym_alias] = ACTIONS(3539),
    [anon_sym_SEMI] = ACTIONS(3541),
    [anon_sym_global] = ACTIONS(3539),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_unsafe] = ACTIONS(3539),
    [anon_sym_static] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3541),
    [anon_sym_LPAREN] = ACTIONS(3541),
    [anon_sym_return] = ACTIONS(3539),
    [anon_sym_namespace] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_ref] = ACTIONS(3539),
    [anon_sym_struct] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3539),
    [anon_sym_LBRACE] = ACTIONS(3541),
    [anon_sym_interface] = ACTIONS(3539),
    [anon_sym_delegate] = ACTIONS(3539),
    [anon_sym_record] = ACTIONS(3539),
    [anon_sym_abstract] = ACTIONS(3539),
    [anon_sym_async] = ACTIONS(3539),
    [anon_sym_const] = ACTIONS(3539),
    [anon_sym_file] = ACTIONS(3539),
    [anon_sym_fixed] = ACTIONS(3539),
    [anon_sym_internal] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3539),
    [anon_sym_override] = ACTIONS(3539),
    [anon_sym_partial] = ACTIONS(3539),
    [anon_sym_private] = ACTIONS(3539),
    [anon_sym_protected] = ACTIONS(3539),
    [anon_sym_public] = ACTIONS(3539),
    [anon_sym_readonly] = ACTIONS(3539),
    [anon_sym_required] = ACTIONS(3539),
    [anon_sym_sealed] = ACTIONS(3539),
    [anon_sym_virtual] = ACTIONS(3539),
    [anon_sym_volatile] = ACTIONS(3539),
    [anon_sym_where] = ACTIONS(3539),
    [anon_sym_notnull] = ACTIONS(3539),
    [anon_sym_unmanaged] = ACTIONS(3539),
    [anon_sym_checked] = ACTIONS(3539),
    [anon_sym_BANG] = ACTIONS(3541),
    [anon_sym_TILDE] = ACTIONS(3541),
    [anon_sym_PLUS_PLUS] = ACTIONS(3541),
    [anon_sym_DASH_DASH] = ACTIONS(3541),
    [anon_sym_true] = ACTIONS(3539),
    [anon_sym_false] = ACTIONS(3539),
    [anon_sym_PLUS] = ACTIONS(3539),
    [anon_sym_DASH] = ACTIONS(3539),
    [anon_sym_STAR] = ACTIONS(3541),
    [anon_sym_CARET] = ACTIONS(3541),
    [anon_sym_AMP] = ACTIONS(3541),
    [anon_sym_this] = ACTIONS(3539),
    [anon_sym_scoped] = ACTIONS(3539),
    [anon_sym_base] = ACTIONS(3539),
    [anon_sym_var] = ACTIONS(3539),
    [sym_predefined_type] = ACTIONS(3539),
    [anon_sym_break] = ACTIONS(3539),
    [anon_sym_unchecked] = ACTIONS(3539),
    [anon_sym_continue] = ACTIONS(3539),
    [anon_sym_do] = ACTIONS(3539),
    [anon_sym_while] = ACTIONS(3539),
    [anon_sym_for] = ACTIONS(3539),
    [anon_sym_lock] = ACTIONS(3539),
    [anon_sym_yield] = ACTIONS(3539),
    [anon_sym_switch] = ACTIONS(3539),
    [anon_sym_default] = ACTIONS(3539),
    [anon_sym_throw] = ACTIONS(3539),
    [anon_sym_try] = ACTIONS(3539),
    [anon_sym_when] = ACTIONS(3539),
    [anon_sym_await] = ACTIONS(3539),
    [anon_sym_foreach] = ACTIONS(3539),
    [anon_sym_goto] = ACTIONS(3539),
    [anon_sym_if] = ACTIONS(3539),
    [anon_sym_DOT_DOT] = ACTIONS(3541),
    [anon_sym_from] = ACTIONS(3539),
    [anon_sym_into] = ACTIONS(3539),
    [anon_sym_join] = ACTIONS(3539),
    [anon_sym_on] = ACTIONS(3539),
    [anon_sym_equals] = ACTIONS(3539),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_orderby] = ACTIONS(3539),
    [anon_sym_ascending] = ACTIONS(3539),
    [anon_sym_descending] = ACTIONS(3539),
    [anon_sym_group] = ACTIONS(3539),
    [anon_sym_by] = ACTIONS(3539),
    [anon_sym_select] = ACTIONS(3539),
    [anon_sym_DQUOTE] = ACTIONS(3541),
    [anon_sym_stackalloc] = ACTIONS(3539),
    [anon_sym_sizeof] = ACTIONS(3539),
    [anon_sym_typeof] = ACTIONS(3539),
    [anon_sym___makeref] = ACTIONS(3539),
    [anon_sym___reftype] = ACTIONS(3539),
    [anon_sym___refvalue] = ACTIONS(3539),
    [sym_null_literal] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3541),
    [sym_integer_literal] = ACTIONS(3539),
    [sym_real_literal] = ACTIONS(3541),
    [sym_verbatim_string_literal] = ACTIONS(3541),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_if_token3] = ACTIONS(3541),
    [aux_sym_preproc_else_token1] = ACTIONS(3541),
    [aux_sym_preproc_elif_token1] = ACTIONS(3541),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3541),
    [sym_interpolation_verbatim_start] = ACTIONS(3541),
    [sym_interpolation_raw_start] = ACTIONS(3541),
    [sym_raw_string_start] = ACTIONS(3541),
  },
  [2343] = {
    [sym_preproc_region] = STATE(2343),
    [sym_preproc_endregion] = STATE(2343),
    [sym_preproc_line] = STATE(2343),
    [sym_preproc_pragma] = STATE(2343),
    [sym_preproc_nullable] = STATE(2343),
    [sym_preproc_error] = STATE(2343),
    [sym_preproc_define] = STATE(2343),
    [sym_preproc_undef] = STATE(2343),
    [sym__identifier_token] = ACTIONS(3543),
    [anon_sym_extern] = ACTIONS(3543),
    [anon_sym_alias] = ACTIONS(3543),
    [anon_sym_SEMI] = ACTIONS(3545),
    [anon_sym_global] = ACTIONS(3543),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_unsafe] = ACTIONS(3543),
    [anon_sym_static] = ACTIONS(3543),
    [anon_sym_LBRACK] = ACTIONS(3545),
    [anon_sym_LPAREN] = ACTIONS(3545),
    [anon_sym_return] = ACTIONS(3543),
    [anon_sym_namespace] = ACTIONS(3543),
    [anon_sym_class] = ACTIONS(3543),
    [anon_sym_ref] = ACTIONS(3543),
    [anon_sym_struct] = ACTIONS(3543),
    [anon_sym_enum] = ACTIONS(3543),
    [anon_sym_LBRACE] = ACTIONS(3545),
    [anon_sym_interface] = ACTIONS(3543),
    [anon_sym_delegate] = ACTIONS(3543),
    [anon_sym_record] = ACTIONS(3543),
    [anon_sym_abstract] = ACTIONS(3543),
    [anon_sym_async] = ACTIONS(3543),
    [anon_sym_const] = ACTIONS(3543),
    [anon_sym_file] = ACTIONS(3543),
    [anon_sym_fixed] = ACTIONS(3543),
    [anon_sym_internal] = ACTIONS(3543),
    [anon_sym_new] = ACTIONS(3543),
    [anon_sym_override] = ACTIONS(3543),
    [anon_sym_partial] = ACTIONS(3543),
    [anon_sym_private] = ACTIONS(3543),
    [anon_sym_protected] = ACTIONS(3543),
    [anon_sym_public] = ACTIONS(3543),
    [anon_sym_readonly] = ACTIONS(3543),
    [anon_sym_required] = ACTIONS(3543),
    [anon_sym_sealed] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(3543),
    [anon_sym_volatile] = ACTIONS(3543),
    [anon_sym_where] = ACTIONS(3543),
    [anon_sym_notnull] = ACTIONS(3543),
    [anon_sym_unmanaged] = ACTIONS(3543),
    [anon_sym_checked] = ACTIONS(3543),
    [anon_sym_BANG] = ACTIONS(3545),
    [anon_sym_TILDE] = ACTIONS(3545),
    [anon_sym_PLUS_PLUS] = ACTIONS(3545),
    [anon_sym_DASH_DASH] = ACTIONS(3545),
    [anon_sym_true] = ACTIONS(3543),
    [anon_sym_false] = ACTIONS(3543),
    [anon_sym_PLUS] = ACTIONS(3543),
    [anon_sym_DASH] = ACTIONS(3543),
    [anon_sym_STAR] = ACTIONS(3545),
    [anon_sym_CARET] = ACTIONS(3545),
    [anon_sym_AMP] = ACTIONS(3545),
    [anon_sym_this] = ACTIONS(3543),
    [anon_sym_scoped] = ACTIONS(3543),
    [anon_sym_base] = ACTIONS(3543),
    [anon_sym_var] = ACTIONS(3543),
    [sym_predefined_type] = ACTIONS(3543),
    [anon_sym_break] = ACTIONS(3543),
    [anon_sym_unchecked] = ACTIONS(3543),
    [anon_sym_continue] = ACTIONS(3543),
    [anon_sym_do] = ACTIONS(3543),
    [anon_sym_while] = ACTIONS(3543),
    [anon_sym_for] = ACTIONS(3543),
    [anon_sym_lock] = ACTIONS(3543),
    [anon_sym_yield] = ACTIONS(3543),
    [anon_sym_switch] = ACTIONS(3543),
    [anon_sym_default] = ACTIONS(3543),
    [anon_sym_throw] = ACTIONS(3543),
    [anon_sym_try] = ACTIONS(3543),
    [anon_sym_when] = ACTIONS(3543),
    [anon_sym_await] = ACTIONS(3543),
    [anon_sym_foreach] = ACTIONS(3543),
    [anon_sym_goto] = ACTIONS(3543),
    [anon_sym_if] = ACTIONS(3543),
    [anon_sym_DOT_DOT] = ACTIONS(3545),
    [anon_sym_from] = ACTIONS(3543),
    [anon_sym_into] = ACTIONS(3543),
    [anon_sym_join] = ACTIONS(3543),
    [anon_sym_on] = ACTIONS(3543),
    [anon_sym_equals] = ACTIONS(3543),
    [anon_sym_let] = ACTIONS(3543),
    [anon_sym_orderby] = ACTIONS(3543),
    [anon_sym_ascending] = ACTIONS(3543),
    [anon_sym_descending] = ACTIONS(3543),
    [anon_sym_group] = ACTIONS(3543),
    [anon_sym_by] = ACTIONS(3543),
    [anon_sym_select] = ACTIONS(3543),
    [anon_sym_DQUOTE] = ACTIONS(3545),
    [anon_sym_stackalloc] = ACTIONS(3543),
    [anon_sym_sizeof] = ACTIONS(3543),
    [anon_sym_typeof] = ACTIONS(3543),
    [anon_sym___makeref] = ACTIONS(3543),
    [anon_sym___reftype] = ACTIONS(3543),
    [anon_sym___refvalue] = ACTIONS(3543),
    [sym_null_literal] = ACTIONS(3543),
    [anon_sym_SQUOTE] = ACTIONS(3545),
    [sym_integer_literal] = ACTIONS(3543),
    [sym_real_literal] = ACTIONS(3545),
    [sym_verbatim_string_literal] = ACTIONS(3545),
    [aux_sym_preproc_if_token1] = ACTIONS(3545),
    [aux_sym_preproc_if_token3] = ACTIONS(3545),
    [aux_sym_preproc_else_token1] = ACTIONS(3545),
    [aux_sym_preproc_elif_token1] = ACTIONS(3545),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3545),
    [sym_interpolation_verbatim_start] = ACTIONS(3545),
    [sym_interpolation_raw_start] = ACTIONS(3545),
    [sym_raw_string_start] = ACTIONS(3545),
  },
  [2344] = {
    [sym_preproc_region] = STATE(2344),
    [sym_preproc_endregion] = STATE(2344),
    [sym_preproc_line] = STATE(2344),
    [sym_preproc_pragma] = STATE(2344),
    [sym_preproc_nullable] = STATE(2344),
    [sym_preproc_error] = STATE(2344),
    [sym_preproc_define] = STATE(2344),
    [sym_preproc_undef] = STATE(2344),
    [sym__identifier_token] = ACTIONS(3547),
    [anon_sym_extern] = ACTIONS(3547),
    [anon_sym_alias] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3549),
    [anon_sym_global] = ACTIONS(3547),
    [anon_sym_using] = ACTIONS(3547),
    [anon_sym_unsafe] = ACTIONS(3547),
    [anon_sym_static] = ACTIONS(3547),
    [anon_sym_LBRACK] = ACTIONS(3549),
    [anon_sym_LPAREN] = ACTIONS(3549),
    [anon_sym_return] = ACTIONS(3547),
    [anon_sym_namespace] = ACTIONS(3547),
    [anon_sym_class] = ACTIONS(3547),
    [anon_sym_ref] = ACTIONS(3547),
    [anon_sym_struct] = ACTIONS(3547),
    [anon_sym_enum] = ACTIONS(3547),
    [anon_sym_LBRACE] = ACTIONS(3549),
    [anon_sym_interface] = ACTIONS(3547),
    [anon_sym_delegate] = ACTIONS(3547),
    [anon_sym_record] = ACTIONS(3547),
    [anon_sym_abstract] = ACTIONS(3547),
    [anon_sym_async] = ACTIONS(3547),
    [anon_sym_const] = ACTIONS(3547),
    [anon_sym_file] = ACTIONS(3547),
    [anon_sym_fixed] = ACTIONS(3547),
    [anon_sym_internal] = ACTIONS(3547),
    [anon_sym_new] = ACTIONS(3547),
    [anon_sym_override] = ACTIONS(3547),
    [anon_sym_partial] = ACTIONS(3547),
    [anon_sym_private] = ACTIONS(3547),
    [anon_sym_protected] = ACTIONS(3547),
    [anon_sym_public] = ACTIONS(3547),
    [anon_sym_readonly] = ACTIONS(3547),
    [anon_sym_required] = ACTIONS(3547),
    [anon_sym_sealed] = ACTIONS(3547),
    [anon_sym_virtual] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(3547),
    [anon_sym_where] = ACTIONS(3547),
    [anon_sym_notnull] = ACTIONS(3547),
    [anon_sym_unmanaged] = ACTIONS(3547),
    [anon_sym_checked] = ACTIONS(3547),
    [anon_sym_BANG] = ACTIONS(3549),
    [anon_sym_TILDE] = ACTIONS(3549),
    [anon_sym_PLUS_PLUS] = ACTIONS(3549),
    [anon_sym_DASH_DASH] = ACTIONS(3549),
    [anon_sym_true] = ACTIONS(3547),
    [anon_sym_false] = ACTIONS(3547),
    [anon_sym_PLUS] = ACTIONS(3547),
    [anon_sym_DASH] = ACTIONS(3547),
    [anon_sym_STAR] = ACTIONS(3549),
    [anon_sym_CARET] = ACTIONS(3549),
    [anon_sym_AMP] = ACTIONS(3549),
    [anon_sym_this] = ACTIONS(3547),
    [anon_sym_scoped] = ACTIONS(3547),
    [anon_sym_base] = ACTIONS(3547),
    [anon_sym_var] = ACTIONS(3547),
    [sym_predefined_type] = ACTIONS(3547),
    [anon_sym_break] = ACTIONS(3547),
    [anon_sym_unchecked] = ACTIONS(3547),
    [anon_sym_continue] = ACTIONS(3547),
    [anon_sym_do] = ACTIONS(3547),
    [anon_sym_while] = ACTIONS(3547),
    [anon_sym_for] = ACTIONS(3547),
    [anon_sym_lock] = ACTIONS(3547),
    [anon_sym_yield] = ACTIONS(3547),
    [anon_sym_switch] = ACTIONS(3547),
    [anon_sym_default] = ACTIONS(3547),
    [anon_sym_throw] = ACTIONS(3547),
    [anon_sym_try] = ACTIONS(3547),
    [anon_sym_when] = ACTIONS(3547),
    [anon_sym_await] = ACTIONS(3547),
    [anon_sym_foreach] = ACTIONS(3547),
    [anon_sym_goto] = ACTIONS(3547),
    [anon_sym_if] = ACTIONS(3547),
    [anon_sym_DOT_DOT] = ACTIONS(3549),
    [anon_sym_from] = ACTIONS(3547),
    [anon_sym_into] = ACTIONS(3547),
    [anon_sym_join] = ACTIONS(3547),
    [anon_sym_on] = ACTIONS(3547),
    [anon_sym_equals] = ACTIONS(3547),
    [anon_sym_let] = ACTIONS(3547),
    [anon_sym_orderby] = ACTIONS(3547),
    [anon_sym_ascending] = ACTIONS(3547),
    [anon_sym_descending] = ACTIONS(3547),
    [anon_sym_group] = ACTIONS(3547),
    [anon_sym_by] = ACTIONS(3547),
    [anon_sym_select] = ACTIONS(3547),
    [anon_sym_DQUOTE] = ACTIONS(3549),
    [anon_sym_stackalloc] = ACTIONS(3547),
    [anon_sym_sizeof] = ACTIONS(3547),
    [anon_sym_typeof] = ACTIONS(3547),
    [anon_sym___makeref] = ACTIONS(3547),
    [anon_sym___reftype] = ACTIONS(3547),
    [anon_sym___refvalue] = ACTIONS(3547),
    [sym_null_literal] = ACTIONS(3547),
    [anon_sym_SQUOTE] = ACTIONS(3549),
    [sym_integer_literal] = ACTIONS(3547),
    [sym_real_literal] = ACTIONS(3549),
    [sym_verbatim_string_literal] = ACTIONS(3549),
    [aux_sym_preproc_if_token1] = ACTIONS(3549),
    [aux_sym_preproc_if_token3] = ACTIONS(3549),
    [aux_sym_preproc_else_token1] = ACTIONS(3549),
    [aux_sym_preproc_elif_token1] = ACTIONS(3549),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3549),
    [sym_interpolation_verbatim_start] = ACTIONS(3549),
    [sym_interpolation_raw_start] = ACTIONS(3549),
    [sym_raw_string_start] = ACTIONS(3549),
  },
  [2345] = {
    [sym_preproc_region] = STATE(2345),
    [sym_preproc_endregion] = STATE(2345),
    [sym_preproc_line] = STATE(2345),
    [sym_preproc_pragma] = STATE(2345),
    [sym_preproc_nullable] = STATE(2345),
    [sym_preproc_error] = STATE(2345),
    [sym_preproc_define] = STATE(2345),
    [sym_preproc_undef] = STATE(2345),
    [sym__identifier_token] = ACTIONS(3551),
    [anon_sym_extern] = ACTIONS(3551),
    [anon_sym_alias] = ACTIONS(3551),
    [anon_sym_SEMI] = ACTIONS(3553),
    [anon_sym_global] = ACTIONS(3551),
    [anon_sym_using] = ACTIONS(3551),
    [anon_sym_unsafe] = ACTIONS(3551),
    [anon_sym_static] = ACTIONS(3551),
    [anon_sym_LBRACK] = ACTIONS(3553),
    [anon_sym_LPAREN] = ACTIONS(3553),
    [anon_sym_return] = ACTIONS(3551),
    [anon_sym_namespace] = ACTIONS(3551),
    [anon_sym_class] = ACTIONS(3551),
    [anon_sym_ref] = ACTIONS(3551),
    [anon_sym_struct] = ACTIONS(3551),
    [anon_sym_enum] = ACTIONS(3551),
    [anon_sym_LBRACE] = ACTIONS(3553),
    [anon_sym_interface] = ACTIONS(3551),
    [anon_sym_delegate] = ACTIONS(3551),
    [anon_sym_record] = ACTIONS(3551),
    [anon_sym_abstract] = ACTIONS(3551),
    [anon_sym_async] = ACTIONS(3551),
    [anon_sym_const] = ACTIONS(3551),
    [anon_sym_file] = ACTIONS(3551),
    [anon_sym_fixed] = ACTIONS(3551),
    [anon_sym_internal] = ACTIONS(3551),
    [anon_sym_new] = ACTIONS(3551),
    [anon_sym_override] = ACTIONS(3551),
    [anon_sym_partial] = ACTIONS(3551),
    [anon_sym_private] = ACTIONS(3551),
    [anon_sym_protected] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3551),
    [anon_sym_readonly] = ACTIONS(3551),
    [anon_sym_required] = ACTIONS(3551),
    [anon_sym_sealed] = ACTIONS(3551),
    [anon_sym_virtual] = ACTIONS(3551),
    [anon_sym_volatile] = ACTIONS(3551),
    [anon_sym_where] = ACTIONS(3551),
    [anon_sym_notnull] = ACTIONS(3551),
    [anon_sym_unmanaged] = ACTIONS(3551),
    [anon_sym_checked] = ACTIONS(3551),
    [anon_sym_BANG] = ACTIONS(3553),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_PLUS_PLUS] = ACTIONS(3553),
    [anon_sym_DASH_DASH] = ACTIONS(3553),
    [anon_sym_true] = ACTIONS(3551),
    [anon_sym_false] = ACTIONS(3551),
    [anon_sym_PLUS] = ACTIONS(3551),
    [anon_sym_DASH] = ACTIONS(3551),
    [anon_sym_STAR] = ACTIONS(3553),
    [anon_sym_CARET] = ACTIONS(3553),
    [anon_sym_AMP] = ACTIONS(3553),
    [anon_sym_this] = ACTIONS(3551),
    [anon_sym_scoped] = ACTIONS(3551),
    [anon_sym_base] = ACTIONS(3551),
    [anon_sym_var] = ACTIONS(3551),
    [sym_predefined_type] = ACTIONS(3551),
    [anon_sym_break] = ACTIONS(3551),
    [anon_sym_unchecked] = ACTIONS(3551),
    [anon_sym_continue] = ACTIONS(3551),
    [anon_sym_do] = ACTIONS(3551),
    [anon_sym_while] = ACTIONS(3551),
    [anon_sym_for] = ACTIONS(3551),
    [anon_sym_lock] = ACTIONS(3551),
    [anon_sym_yield] = ACTIONS(3551),
    [anon_sym_switch] = ACTIONS(3551),
    [anon_sym_default] = ACTIONS(3551),
    [anon_sym_throw] = ACTIONS(3551),
    [anon_sym_try] = ACTIONS(3551),
    [anon_sym_when] = ACTIONS(3551),
    [anon_sym_await] = ACTIONS(3551),
    [anon_sym_foreach] = ACTIONS(3551),
    [anon_sym_goto] = ACTIONS(3551),
    [anon_sym_if] = ACTIONS(3551),
    [anon_sym_DOT_DOT] = ACTIONS(3553),
    [anon_sym_from] = ACTIONS(3551),
    [anon_sym_into] = ACTIONS(3551),
    [anon_sym_join] = ACTIONS(3551),
    [anon_sym_on] = ACTIONS(3551),
    [anon_sym_equals] = ACTIONS(3551),
    [anon_sym_let] = ACTIONS(3551),
    [anon_sym_orderby] = ACTIONS(3551),
    [anon_sym_ascending] = ACTIONS(3551),
    [anon_sym_descending] = ACTIONS(3551),
    [anon_sym_group] = ACTIONS(3551),
    [anon_sym_by] = ACTIONS(3551),
    [anon_sym_select] = ACTIONS(3551),
    [anon_sym_DQUOTE] = ACTIONS(3553),
    [anon_sym_stackalloc] = ACTIONS(3551),
    [anon_sym_sizeof] = ACTIONS(3551),
    [anon_sym_typeof] = ACTIONS(3551),
    [anon_sym___makeref] = ACTIONS(3551),
    [anon_sym___reftype] = ACTIONS(3551),
    [anon_sym___refvalue] = ACTIONS(3551),
    [sym_null_literal] = ACTIONS(3551),
    [anon_sym_SQUOTE] = ACTIONS(3553),
    [sym_integer_literal] = ACTIONS(3551),
    [sym_real_literal] = ACTIONS(3553),
    [sym_verbatim_string_literal] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token3] = ACTIONS(3553),
    [aux_sym_preproc_else_token1] = ACTIONS(3553),
    [aux_sym_preproc_elif_token1] = ACTIONS(3553),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3553),
    [sym_interpolation_verbatim_start] = ACTIONS(3553),
    [sym_interpolation_raw_start] = ACTIONS(3553),
    [sym_raw_string_start] = ACTIONS(3553),
  },
  [2346] = {
    [sym_preproc_region] = STATE(2346),
    [sym_preproc_endregion] = STATE(2346),
    [sym_preproc_line] = STATE(2346),
    [sym_preproc_pragma] = STATE(2346),
    [sym_preproc_nullable] = STATE(2346),
    [sym_preproc_error] = STATE(2346),
    [sym_preproc_define] = STATE(2346),
    [sym_preproc_undef] = STATE(2346),
    [sym__identifier_token] = ACTIONS(3555),
    [anon_sym_extern] = ACTIONS(3555),
    [anon_sym_alias] = ACTIONS(3555),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym_global] = ACTIONS(3555),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_unsafe] = ACTIONS(3555),
    [anon_sym_static] = ACTIONS(3555),
    [anon_sym_LBRACK] = ACTIONS(3557),
    [anon_sym_LPAREN] = ACTIONS(3557),
    [anon_sym_return] = ACTIONS(3555),
    [anon_sym_namespace] = ACTIONS(3555),
    [anon_sym_class] = ACTIONS(3555),
    [anon_sym_ref] = ACTIONS(3555),
    [anon_sym_struct] = ACTIONS(3555),
    [anon_sym_enum] = ACTIONS(3555),
    [anon_sym_LBRACE] = ACTIONS(3557),
    [anon_sym_interface] = ACTIONS(3555),
    [anon_sym_delegate] = ACTIONS(3555),
    [anon_sym_record] = ACTIONS(3555),
    [anon_sym_abstract] = ACTIONS(3555),
    [anon_sym_async] = ACTIONS(3555),
    [anon_sym_const] = ACTIONS(3555),
    [anon_sym_file] = ACTIONS(3555),
    [anon_sym_fixed] = ACTIONS(3555),
    [anon_sym_internal] = ACTIONS(3555),
    [anon_sym_new] = ACTIONS(3555),
    [anon_sym_override] = ACTIONS(3555),
    [anon_sym_partial] = ACTIONS(3555),
    [anon_sym_private] = ACTIONS(3555),
    [anon_sym_protected] = ACTIONS(3555),
    [anon_sym_public] = ACTIONS(3555),
    [anon_sym_readonly] = ACTIONS(3555),
    [anon_sym_required] = ACTIONS(3555),
    [anon_sym_sealed] = ACTIONS(3555),
    [anon_sym_virtual] = ACTIONS(3555),
    [anon_sym_volatile] = ACTIONS(3555),
    [anon_sym_where] = ACTIONS(3555),
    [anon_sym_notnull] = ACTIONS(3555),
    [anon_sym_unmanaged] = ACTIONS(3555),
    [anon_sym_checked] = ACTIONS(3555),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_PLUS_PLUS] = ACTIONS(3557),
    [anon_sym_DASH_DASH] = ACTIONS(3557),
    [anon_sym_true] = ACTIONS(3555),
    [anon_sym_false] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(3557),
    [anon_sym_CARET] = ACTIONS(3557),
    [anon_sym_AMP] = ACTIONS(3557),
    [anon_sym_this] = ACTIONS(3555),
    [anon_sym_scoped] = ACTIONS(3555),
    [anon_sym_base] = ACTIONS(3555),
    [anon_sym_var] = ACTIONS(3555),
    [sym_predefined_type] = ACTIONS(3555),
    [anon_sym_break] = ACTIONS(3555),
    [anon_sym_unchecked] = ACTIONS(3555),
    [anon_sym_continue] = ACTIONS(3555),
    [anon_sym_do] = ACTIONS(3555),
    [anon_sym_while] = ACTIONS(3555),
    [anon_sym_for] = ACTIONS(3555),
    [anon_sym_lock] = ACTIONS(3555),
    [anon_sym_yield] = ACTIONS(3555),
    [anon_sym_switch] = ACTIONS(3555),
    [anon_sym_default] = ACTIONS(3555),
    [anon_sym_throw] = ACTIONS(3555),
    [anon_sym_try] = ACTIONS(3555),
    [anon_sym_when] = ACTIONS(3555),
    [anon_sym_await] = ACTIONS(3555),
    [anon_sym_foreach] = ACTIONS(3555),
    [anon_sym_goto] = ACTIONS(3555),
    [anon_sym_if] = ACTIONS(3555),
    [anon_sym_DOT_DOT] = ACTIONS(3557),
    [anon_sym_from] = ACTIONS(3555),
    [anon_sym_into] = ACTIONS(3555),
    [anon_sym_join] = ACTIONS(3555),
    [anon_sym_on] = ACTIONS(3555),
    [anon_sym_equals] = ACTIONS(3555),
    [anon_sym_let] = ACTIONS(3555),
    [anon_sym_orderby] = ACTIONS(3555),
    [anon_sym_ascending] = ACTIONS(3555),
    [anon_sym_descending] = ACTIONS(3555),
    [anon_sym_group] = ACTIONS(3555),
    [anon_sym_by] = ACTIONS(3555),
    [anon_sym_select] = ACTIONS(3555),
    [anon_sym_DQUOTE] = ACTIONS(3557),
    [anon_sym_stackalloc] = ACTIONS(3555),
    [anon_sym_sizeof] = ACTIONS(3555),
    [anon_sym_typeof] = ACTIONS(3555),
    [anon_sym___makeref] = ACTIONS(3555),
    [anon_sym___reftype] = ACTIONS(3555),
    [anon_sym___refvalue] = ACTIONS(3555),
    [sym_null_literal] = ACTIONS(3555),
    [anon_sym_SQUOTE] = ACTIONS(3557),
    [sym_integer_literal] = ACTIONS(3555),
    [sym_real_literal] = ACTIONS(3557),
    [sym_verbatim_string_literal] = ACTIONS(3557),
    [aux_sym_preproc_if_token1] = ACTIONS(3557),
    [aux_sym_preproc_if_token3] = ACTIONS(3557),
    [aux_sym_preproc_else_token1] = ACTIONS(3557),
    [aux_sym_preproc_elif_token1] = ACTIONS(3557),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3557),
    [sym_interpolation_verbatim_start] = ACTIONS(3557),
    [sym_interpolation_raw_start] = ACTIONS(3557),
    [sym_raw_string_start] = ACTIONS(3557),
  },
  [2347] = {
    [sym_preproc_region] = STATE(2347),
    [sym_preproc_endregion] = STATE(2347),
    [sym_preproc_line] = STATE(2347),
    [sym_preproc_pragma] = STATE(2347),
    [sym_preproc_nullable] = STATE(2347),
    [sym_preproc_error] = STATE(2347),
    [sym_preproc_define] = STATE(2347),
    [sym_preproc_undef] = STATE(2347),
    [sym__identifier_token] = ACTIONS(3559),
    [anon_sym_extern] = ACTIONS(3559),
    [anon_sym_alias] = ACTIONS(3559),
    [anon_sym_SEMI] = ACTIONS(3561),
    [anon_sym_global] = ACTIONS(3559),
    [anon_sym_using] = ACTIONS(3559),
    [anon_sym_unsafe] = ACTIONS(3559),
    [anon_sym_static] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(3561),
    [anon_sym_LPAREN] = ACTIONS(3561),
    [anon_sym_return] = ACTIONS(3559),
    [anon_sym_namespace] = ACTIONS(3559),
    [anon_sym_class] = ACTIONS(3559),
    [anon_sym_ref] = ACTIONS(3559),
    [anon_sym_struct] = ACTIONS(3559),
    [anon_sym_enum] = ACTIONS(3559),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_interface] = ACTIONS(3559),
    [anon_sym_delegate] = ACTIONS(3559),
    [anon_sym_record] = ACTIONS(3559),
    [anon_sym_abstract] = ACTIONS(3559),
    [anon_sym_async] = ACTIONS(3559),
    [anon_sym_const] = ACTIONS(3559),
    [anon_sym_file] = ACTIONS(3559),
    [anon_sym_fixed] = ACTIONS(3559),
    [anon_sym_internal] = ACTIONS(3559),
    [anon_sym_new] = ACTIONS(3559),
    [anon_sym_override] = ACTIONS(3559),
    [anon_sym_partial] = ACTIONS(3559),
    [anon_sym_private] = ACTIONS(3559),
    [anon_sym_protected] = ACTIONS(3559),
    [anon_sym_public] = ACTIONS(3559),
    [anon_sym_readonly] = ACTIONS(3559),
    [anon_sym_required] = ACTIONS(3559),
    [anon_sym_sealed] = ACTIONS(3559),
    [anon_sym_virtual] = ACTIONS(3559),
    [anon_sym_volatile] = ACTIONS(3559),
    [anon_sym_where] = ACTIONS(3559),
    [anon_sym_notnull] = ACTIONS(3559),
    [anon_sym_unmanaged] = ACTIONS(3559),
    [anon_sym_checked] = ACTIONS(3559),
    [anon_sym_BANG] = ACTIONS(3561),
    [anon_sym_TILDE] = ACTIONS(3561),
    [anon_sym_PLUS_PLUS] = ACTIONS(3561),
    [anon_sym_DASH_DASH] = ACTIONS(3561),
    [anon_sym_true] = ACTIONS(3559),
    [anon_sym_false] = ACTIONS(3559),
    [anon_sym_PLUS] = ACTIONS(3559),
    [anon_sym_DASH] = ACTIONS(3559),
    [anon_sym_STAR] = ACTIONS(3561),
    [anon_sym_CARET] = ACTIONS(3561),
    [anon_sym_AMP] = ACTIONS(3561),
    [anon_sym_this] = ACTIONS(3559),
    [anon_sym_scoped] = ACTIONS(3559),
    [anon_sym_base] = ACTIONS(3559),
    [anon_sym_var] = ACTIONS(3559),
    [sym_predefined_type] = ACTIONS(3559),
    [anon_sym_break] = ACTIONS(3559),
    [anon_sym_unchecked] = ACTIONS(3559),
    [anon_sym_continue] = ACTIONS(3559),
    [anon_sym_do] = ACTIONS(3559),
    [anon_sym_while] = ACTIONS(3559),
    [anon_sym_for] = ACTIONS(3559),
    [anon_sym_lock] = ACTIONS(3559),
    [anon_sym_yield] = ACTIONS(3559),
    [anon_sym_switch] = ACTIONS(3559),
    [anon_sym_default] = ACTIONS(3559),
    [anon_sym_throw] = ACTIONS(3559),
    [anon_sym_try] = ACTIONS(3559),
    [anon_sym_when] = ACTIONS(3559),
    [anon_sym_await] = ACTIONS(3559),
    [anon_sym_foreach] = ACTIONS(3559),
    [anon_sym_goto] = ACTIONS(3559),
    [anon_sym_if] = ACTIONS(3559),
    [anon_sym_DOT_DOT] = ACTIONS(3561),
    [anon_sym_from] = ACTIONS(3559),
    [anon_sym_into] = ACTIONS(3559),
    [anon_sym_join] = ACTIONS(3559),
    [anon_sym_on] = ACTIONS(3559),
    [anon_sym_equals] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3559),
    [anon_sym_orderby] = ACTIONS(3559),
    [anon_sym_ascending] = ACTIONS(3559),
    [anon_sym_descending] = ACTIONS(3559),
    [anon_sym_group] = ACTIONS(3559),
    [anon_sym_by] = ACTIONS(3559),
    [anon_sym_select] = ACTIONS(3559),
    [anon_sym_DQUOTE] = ACTIONS(3561),
    [anon_sym_stackalloc] = ACTIONS(3559),
    [anon_sym_sizeof] = ACTIONS(3559),
    [anon_sym_typeof] = ACTIONS(3559),
    [anon_sym___makeref] = ACTIONS(3559),
    [anon_sym___reftype] = ACTIONS(3559),
    [anon_sym___refvalue] = ACTIONS(3559),
    [sym_null_literal] = ACTIONS(3559),
    [anon_sym_SQUOTE] = ACTIONS(3561),
    [sym_integer_literal] = ACTIONS(3559),
    [sym_real_literal] = ACTIONS(3561),
    [sym_verbatim_string_literal] = ACTIONS(3561),
    [aux_sym_preproc_if_token1] = ACTIONS(3561),
    [aux_sym_preproc_if_token3] = ACTIONS(3561),
    [aux_sym_preproc_else_token1] = ACTIONS(3561),
    [aux_sym_preproc_elif_token1] = ACTIONS(3561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3561),
    [sym_interpolation_verbatim_start] = ACTIONS(3561),
    [sym_interpolation_raw_start] = ACTIONS(3561),
    [sym_raw_string_start] = ACTIONS(3561),
  },
  [2348] = {
    [sym_preproc_region] = STATE(2348),
    [sym_preproc_endregion] = STATE(2348),
    [sym_preproc_line] = STATE(2348),
    [sym_preproc_pragma] = STATE(2348),
    [sym_preproc_nullable] = STATE(2348),
    [sym_preproc_error] = STATE(2348),
    [sym_preproc_define] = STATE(2348),
    [sym_preproc_undef] = STATE(2348),
    [sym__identifier_token] = ACTIONS(3563),
    [anon_sym_extern] = ACTIONS(3563),
    [anon_sym_alias] = ACTIONS(3563),
    [anon_sym_SEMI] = ACTIONS(3565),
    [anon_sym_global] = ACTIONS(3563),
    [anon_sym_using] = ACTIONS(3563),
    [anon_sym_unsafe] = ACTIONS(3563),
    [anon_sym_static] = ACTIONS(3563),
    [anon_sym_LBRACK] = ACTIONS(3565),
    [anon_sym_LPAREN] = ACTIONS(3565),
    [anon_sym_return] = ACTIONS(3563),
    [anon_sym_namespace] = ACTIONS(3563),
    [anon_sym_class] = ACTIONS(3563),
    [anon_sym_ref] = ACTIONS(3563),
    [anon_sym_struct] = ACTIONS(3563),
    [anon_sym_enum] = ACTIONS(3563),
    [anon_sym_LBRACE] = ACTIONS(3565),
    [anon_sym_interface] = ACTIONS(3563),
    [anon_sym_delegate] = ACTIONS(3563),
    [anon_sym_record] = ACTIONS(3563),
    [anon_sym_abstract] = ACTIONS(3563),
    [anon_sym_async] = ACTIONS(3563),
    [anon_sym_const] = ACTIONS(3563),
    [anon_sym_file] = ACTIONS(3563),
    [anon_sym_fixed] = ACTIONS(3563),
    [anon_sym_internal] = ACTIONS(3563),
    [anon_sym_new] = ACTIONS(3563),
    [anon_sym_override] = ACTIONS(3563),
    [anon_sym_partial] = ACTIONS(3563),
    [anon_sym_private] = ACTIONS(3563),
    [anon_sym_protected] = ACTIONS(3563),
    [anon_sym_public] = ACTIONS(3563),
    [anon_sym_readonly] = ACTIONS(3563),
    [anon_sym_required] = ACTIONS(3563),
    [anon_sym_sealed] = ACTIONS(3563),
    [anon_sym_virtual] = ACTIONS(3563),
    [anon_sym_volatile] = ACTIONS(3563),
    [anon_sym_where] = ACTIONS(3563),
    [anon_sym_notnull] = ACTIONS(3563),
    [anon_sym_unmanaged] = ACTIONS(3563),
    [anon_sym_checked] = ACTIONS(3563),
    [anon_sym_BANG] = ACTIONS(3565),
    [anon_sym_TILDE] = ACTIONS(3565),
    [anon_sym_PLUS_PLUS] = ACTIONS(3565),
    [anon_sym_DASH_DASH] = ACTIONS(3565),
    [anon_sym_true] = ACTIONS(3563),
    [anon_sym_false] = ACTIONS(3563),
    [anon_sym_PLUS] = ACTIONS(3563),
    [anon_sym_DASH] = ACTIONS(3563),
    [anon_sym_STAR] = ACTIONS(3565),
    [anon_sym_CARET] = ACTIONS(3565),
    [anon_sym_AMP] = ACTIONS(3565),
    [anon_sym_this] = ACTIONS(3563),
    [anon_sym_scoped] = ACTIONS(3563),
    [anon_sym_base] = ACTIONS(3563),
    [anon_sym_var] = ACTIONS(3563),
    [sym_predefined_type] = ACTIONS(3563),
    [anon_sym_break] = ACTIONS(3563),
    [anon_sym_unchecked] = ACTIONS(3563),
    [anon_sym_continue] = ACTIONS(3563),
    [anon_sym_do] = ACTIONS(3563),
    [anon_sym_while] = ACTIONS(3563),
    [anon_sym_for] = ACTIONS(3563),
    [anon_sym_lock] = ACTIONS(3563),
    [anon_sym_yield] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3563),
    [anon_sym_default] = ACTIONS(3563),
    [anon_sym_throw] = ACTIONS(3563),
    [anon_sym_try] = ACTIONS(3563),
    [anon_sym_when] = ACTIONS(3563),
    [anon_sym_await] = ACTIONS(3563),
    [anon_sym_foreach] = ACTIONS(3563),
    [anon_sym_goto] = ACTIONS(3563),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_DOT_DOT] = ACTIONS(3565),
    [anon_sym_from] = ACTIONS(3563),
    [anon_sym_into] = ACTIONS(3563),
    [anon_sym_join] = ACTIONS(3563),
    [anon_sym_on] = ACTIONS(3563),
    [anon_sym_equals] = ACTIONS(3563),
    [anon_sym_let] = ACTIONS(3563),
    [anon_sym_orderby] = ACTIONS(3563),
    [anon_sym_ascending] = ACTIONS(3563),
    [anon_sym_descending] = ACTIONS(3563),
    [anon_sym_group] = ACTIONS(3563),
    [anon_sym_by] = ACTIONS(3563),
    [anon_sym_select] = ACTIONS(3563),
    [anon_sym_DQUOTE] = ACTIONS(3565),
    [anon_sym_stackalloc] = ACTIONS(3563),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym_typeof] = ACTIONS(3563),
    [anon_sym___makeref] = ACTIONS(3563),
    [anon_sym___reftype] = ACTIONS(3563),
    [anon_sym___refvalue] = ACTIONS(3563),
    [sym_null_literal] = ACTIONS(3563),
    [anon_sym_SQUOTE] = ACTIONS(3565),
    [sym_integer_literal] = ACTIONS(3563),
    [sym_real_literal] = ACTIONS(3565),
    [sym_verbatim_string_literal] = ACTIONS(3565),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_if_token3] = ACTIONS(3565),
    [aux_sym_preproc_else_token1] = ACTIONS(3565),
    [aux_sym_preproc_elif_token1] = ACTIONS(3565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3565),
    [sym_interpolation_verbatim_start] = ACTIONS(3565),
    [sym_interpolation_raw_start] = ACTIONS(3565),
    [sym_raw_string_start] = ACTIONS(3565),
  },
  [2349] = {
    [sym_preproc_region] = STATE(2349),
    [sym_preproc_endregion] = STATE(2349),
    [sym_preproc_line] = STATE(2349),
    [sym_preproc_pragma] = STATE(2349),
    [sym_preproc_nullable] = STATE(2349),
    [sym_preproc_error] = STATE(2349),
    [sym_preproc_define] = STATE(2349),
    [sym_preproc_undef] = STATE(2349),
    [sym__identifier_token] = ACTIONS(3567),
    [anon_sym_extern] = ACTIONS(3567),
    [anon_sym_alias] = ACTIONS(3567),
    [anon_sym_SEMI] = ACTIONS(3569),
    [anon_sym_global] = ACTIONS(3567),
    [anon_sym_using] = ACTIONS(3567),
    [anon_sym_unsafe] = ACTIONS(3567),
    [anon_sym_static] = ACTIONS(3567),
    [anon_sym_LBRACK] = ACTIONS(3569),
    [anon_sym_LPAREN] = ACTIONS(3569),
    [anon_sym_return] = ACTIONS(3567),
    [anon_sym_namespace] = ACTIONS(3567),
    [anon_sym_class] = ACTIONS(3567),
    [anon_sym_ref] = ACTIONS(3567),
    [anon_sym_struct] = ACTIONS(3567),
    [anon_sym_enum] = ACTIONS(3567),
    [anon_sym_LBRACE] = ACTIONS(3569),
    [anon_sym_interface] = ACTIONS(3567),
    [anon_sym_delegate] = ACTIONS(3567),
    [anon_sym_record] = ACTIONS(3567),
    [anon_sym_abstract] = ACTIONS(3567),
    [anon_sym_async] = ACTIONS(3567),
    [anon_sym_const] = ACTIONS(3567),
    [anon_sym_file] = ACTIONS(3567),
    [anon_sym_fixed] = ACTIONS(3567),
    [anon_sym_internal] = ACTIONS(3567),
    [anon_sym_new] = ACTIONS(3567),
    [anon_sym_override] = ACTIONS(3567),
    [anon_sym_partial] = ACTIONS(3567),
    [anon_sym_private] = ACTIONS(3567),
    [anon_sym_protected] = ACTIONS(3567),
    [anon_sym_public] = ACTIONS(3567),
    [anon_sym_readonly] = ACTIONS(3567),
    [anon_sym_required] = ACTIONS(3567),
    [anon_sym_sealed] = ACTIONS(3567),
    [anon_sym_virtual] = ACTIONS(3567),
    [anon_sym_volatile] = ACTIONS(3567),
    [anon_sym_where] = ACTIONS(3567),
    [anon_sym_notnull] = ACTIONS(3567),
    [anon_sym_unmanaged] = ACTIONS(3567),
    [anon_sym_checked] = ACTIONS(3567),
    [anon_sym_BANG] = ACTIONS(3569),
    [anon_sym_TILDE] = ACTIONS(3569),
    [anon_sym_PLUS_PLUS] = ACTIONS(3569),
    [anon_sym_DASH_DASH] = ACTIONS(3569),
    [anon_sym_true] = ACTIONS(3567),
    [anon_sym_false] = ACTIONS(3567),
    [anon_sym_PLUS] = ACTIONS(3567),
    [anon_sym_DASH] = ACTIONS(3567),
    [anon_sym_STAR] = ACTIONS(3569),
    [anon_sym_CARET] = ACTIONS(3569),
    [anon_sym_AMP] = ACTIONS(3569),
    [anon_sym_this] = ACTIONS(3567),
    [anon_sym_scoped] = ACTIONS(3567),
    [anon_sym_base] = ACTIONS(3567),
    [anon_sym_var] = ACTIONS(3567),
    [sym_predefined_type] = ACTIONS(3567),
    [anon_sym_break] = ACTIONS(3567),
    [anon_sym_unchecked] = ACTIONS(3567),
    [anon_sym_continue] = ACTIONS(3567),
    [anon_sym_do] = ACTIONS(3567),
    [anon_sym_while] = ACTIONS(3567),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_lock] = ACTIONS(3567),
    [anon_sym_yield] = ACTIONS(3567),
    [anon_sym_switch] = ACTIONS(3567),
    [anon_sym_default] = ACTIONS(3567),
    [anon_sym_throw] = ACTIONS(3567),
    [anon_sym_try] = ACTIONS(3567),
    [anon_sym_when] = ACTIONS(3567),
    [anon_sym_await] = ACTIONS(3567),
    [anon_sym_foreach] = ACTIONS(3567),
    [anon_sym_goto] = ACTIONS(3567),
    [anon_sym_if] = ACTIONS(3567),
    [anon_sym_DOT_DOT] = ACTIONS(3569),
    [anon_sym_from] = ACTIONS(3567),
    [anon_sym_into] = ACTIONS(3567),
    [anon_sym_join] = ACTIONS(3567),
    [anon_sym_on] = ACTIONS(3567),
    [anon_sym_equals] = ACTIONS(3567),
    [anon_sym_let] = ACTIONS(3567),
    [anon_sym_orderby] = ACTIONS(3567),
    [anon_sym_ascending] = ACTIONS(3567),
    [anon_sym_descending] = ACTIONS(3567),
    [anon_sym_group] = ACTIONS(3567),
    [anon_sym_by] = ACTIONS(3567),
    [anon_sym_select] = ACTIONS(3567),
    [anon_sym_DQUOTE] = ACTIONS(3569),
    [anon_sym_stackalloc] = ACTIONS(3567),
    [anon_sym_sizeof] = ACTIONS(3567),
    [anon_sym_typeof] = ACTIONS(3567),
    [anon_sym___makeref] = ACTIONS(3567),
    [anon_sym___reftype] = ACTIONS(3567),
    [anon_sym___refvalue] = ACTIONS(3567),
    [sym_null_literal] = ACTIONS(3567),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [sym_integer_literal] = ACTIONS(3567),
    [sym_real_literal] = ACTIONS(3569),
    [sym_verbatim_string_literal] = ACTIONS(3569),
    [aux_sym_preproc_if_token1] = ACTIONS(3569),
    [aux_sym_preproc_if_token3] = ACTIONS(3569),
    [aux_sym_preproc_else_token1] = ACTIONS(3569),
    [aux_sym_preproc_elif_token1] = ACTIONS(3569),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3569),
    [sym_interpolation_verbatim_start] = ACTIONS(3569),
    [sym_interpolation_raw_start] = ACTIONS(3569),
    [sym_raw_string_start] = ACTIONS(3569),
  },
  [2350] = {
    [sym_preproc_region] = STATE(2350),
    [sym_preproc_endregion] = STATE(2350),
    [sym_preproc_line] = STATE(2350),
    [sym_preproc_pragma] = STATE(2350),
    [sym_preproc_nullable] = STATE(2350),
    [sym_preproc_error] = STATE(2350),
    [sym_preproc_define] = STATE(2350),
    [sym_preproc_undef] = STATE(2350),
    [sym__identifier_token] = ACTIONS(3571),
    [anon_sym_extern] = ACTIONS(3571),
    [anon_sym_alias] = ACTIONS(3571),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_global] = ACTIONS(3571),
    [anon_sym_using] = ACTIONS(3571),
    [anon_sym_unsafe] = ACTIONS(3571),
    [anon_sym_static] = ACTIONS(3571),
    [anon_sym_LBRACK] = ACTIONS(3573),
    [anon_sym_LPAREN] = ACTIONS(3573),
    [anon_sym_return] = ACTIONS(3571),
    [anon_sym_namespace] = ACTIONS(3571),
    [anon_sym_class] = ACTIONS(3571),
    [anon_sym_ref] = ACTIONS(3571),
    [anon_sym_struct] = ACTIONS(3571),
    [anon_sym_enum] = ACTIONS(3571),
    [anon_sym_LBRACE] = ACTIONS(3573),
    [anon_sym_interface] = ACTIONS(3571),
    [anon_sym_delegate] = ACTIONS(3571),
    [anon_sym_record] = ACTIONS(3571),
    [anon_sym_abstract] = ACTIONS(3571),
    [anon_sym_async] = ACTIONS(3571),
    [anon_sym_const] = ACTIONS(3571),
    [anon_sym_file] = ACTIONS(3571),
    [anon_sym_fixed] = ACTIONS(3571),
    [anon_sym_internal] = ACTIONS(3571),
    [anon_sym_new] = ACTIONS(3571),
    [anon_sym_override] = ACTIONS(3571),
    [anon_sym_partial] = ACTIONS(3571),
    [anon_sym_private] = ACTIONS(3571),
    [anon_sym_protected] = ACTIONS(3571),
    [anon_sym_public] = ACTIONS(3571),
    [anon_sym_readonly] = ACTIONS(3571),
    [anon_sym_required] = ACTIONS(3571),
    [anon_sym_sealed] = ACTIONS(3571),
    [anon_sym_virtual] = ACTIONS(3571),
    [anon_sym_volatile] = ACTIONS(3571),
    [anon_sym_where] = ACTIONS(3571),
    [anon_sym_notnull] = ACTIONS(3571),
    [anon_sym_unmanaged] = ACTIONS(3571),
    [anon_sym_checked] = ACTIONS(3571),
    [anon_sym_BANG] = ACTIONS(3573),
    [anon_sym_TILDE] = ACTIONS(3573),
    [anon_sym_PLUS_PLUS] = ACTIONS(3573),
    [anon_sym_DASH_DASH] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(3571),
    [anon_sym_false] = ACTIONS(3571),
    [anon_sym_PLUS] = ACTIONS(3571),
    [anon_sym_DASH] = ACTIONS(3571),
    [anon_sym_STAR] = ACTIONS(3573),
    [anon_sym_CARET] = ACTIONS(3573),
    [anon_sym_AMP] = ACTIONS(3573),
    [anon_sym_this] = ACTIONS(3571),
    [anon_sym_scoped] = ACTIONS(3571),
    [anon_sym_base] = ACTIONS(3571),
    [anon_sym_var] = ACTIONS(3571),
    [sym_predefined_type] = ACTIONS(3571),
    [anon_sym_break] = ACTIONS(3571),
    [anon_sym_unchecked] = ACTIONS(3571),
    [anon_sym_continue] = ACTIONS(3571),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_while] = ACTIONS(3571),
    [anon_sym_for] = ACTIONS(3571),
    [anon_sym_lock] = ACTIONS(3571),
    [anon_sym_yield] = ACTIONS(3571),
    [anon_sym_switch] = ACTIONS(3571),
    [anon_sym_default] = ACTIONS(3571),
    [anon_sym_throw] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3571),
    [anon_sym_when] = ACTIONS(3571),
    [anon_sym_await] = ACTIONS(3571),
    [anon_sym_foreach] = ACTIONS(3571),
    [anon_sym_goto] = ACTIONS(3571),
    [anon_sym_if] = ACTIONS(3571),
    [anon_sym_DOT_DOT] = ACTIONS(3573),
    [anon_sym_from] = ACTIONS(3571),
    [anon_sym_into] = ACTIONS(3571),
    [anon_sym_join] = ACTIONS(3571),
    [anon_sym_on] = ACTIONS(3571),
    [anon_sym_equals] = ACTIONS(3571),
    [anon_sym_let] = ACTIONS(3571),
    [anon_sym_orderby] = ACTIONS(3571),
    [anon_sym_ascending] = ACTIONS(3571),
    [anon_sym_descending] = ACTIONS(3571),
    [anon_sym_group] = ACTIONS(3571),
    [anon_sym_by] = ACTIONS(3571),
    [anon_sym_select] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3573),
    [anon_sym_stackalloc] = ACTIONS(3571),
    [anon_sym_sizeof] = ACTIONS(3571),
    [anon_sym_typeof] = ACTIONS(3571),
    [anon_sym___makeref] = ACTIONS(3571),
    [anon_sym___reftype] = ACTIONS(3571),
    [anon_sym___refvalue] = ACTIONS(3571),
    [sym_null_literal] = ACTIONS(3571),
    [anon_sym_SQUOTE] = ACTIONS(3573),
    [sym_integer_literal] = ACTIONS(3571),
    [sym_real_literal] = ACTIONS(3573),
    [sym_verbatim_string_literal] = ACTIONS(3573),
    [aux_sym_preproc_if_token1] = ACTIONS(3573),
    [aux_sym_preproc_if_token3] = ACTIONS(3573),
    [aux_sym_preproc_else_token1] = ACTIONS(3573),
    [aux_sym_preproc_elif_token1] = ACTIONS(3573),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3573),
    [sym_interpolation_verbatim_start] = ACTIONS(3573),
    [sym_interpolation_raw_start] = ACTIONS(3573),
    [sym_raw_string_start] = ACTIONS(3573),
  },
  [2351] = {
    [sym_preproc_region] = STATE(2351),
    [sym_preproc_endregion] = STATE(2351),
    [sym_preproc_line] = STATE(2351),
    [sym_preproc_pragma] = STATE(2351),
    [sym_preproc_nullable] = STATE(2351),
    [sym_preproc_error] = STATE(2351),
    [sym_preproc_define] = STATE(2351),
    [sym_preproc_undef] = STATE(2351),
    [sym__identifier_token] = ACTIONS(3575),
    [anon_sym_extern] = ACTIONS(3575),
    [anon_sym_alias] = ACTIONS(3575),
    [anon_sym_SEMI] = ACTIONS(3577),
    [anon_sym_global] = ACTIONS(3575),
    [anon_sym_using] = ACTIONS(3575),
    [anon_sym_unsafe] = ACTIONS(3575),
    [anon_sym_static] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3577),
    [anon_sym_LPAREN] = ACTIONS(3577),
    [anon_sym_return] = ACTIONS(3575),
    [anon_sym_namespace] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_ref] = ACTIONS(3575),
    [anon_sym_struct] = ACTIONS(3575),
    [anon_sym_enum] = ACTIONS(3575),
    [anon_sym_LBRACE] = ACTIONS(3577),
    [anon_sym_interface] = ACTIONS(3575),
    [anon_sym_delegate] = ACTIONS(3575),
    [anon_sym_record] = ACTIONS(3575),
    [anon_sym_abstract] = ACTIONS(3575),
    [anon_sym_async] = ACTIONS(3575),
    [anon_sym_const] = ACTIONS(3575),
    [anon_sym_file] = ACTIONS(3575),
    [anon_sym_fixed] = ACTIONS(3575),
    [anon_sym_internal] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(3575),
    [anon_sym_override] = ACTIONS(3575),
    [anon_sym_partial] = ACTIONS(3575),
    [anon_sym_private] = ACTIONS(3575),
    [anon_sym_protected] = ACTIONS(3575),
    [anon_sym_public] = ACTIONS(3575),
    [anon_sym_readonly] = ACTIONS(3575),
    [anon_sym_required] = ACTIONS(3575),
    [anon_sym_sealed] = ACTIONS(3575),
    [anon_sym_virtual] = ACTIONS(3575),
    [anon_sym_volatile] = ACTIONS(3575),
    [anon_sym_where] = ACTIONS(3575),
    [anon_sym_notnull] = ACTIONS(3575),
    [anon_sym_unmanaged] = ACTIONS(3575),
    [anon_sym_checked] = ACTIONS(3575),
    [anon_sym_BANG] = ACTIONS(3577),
    [anon_sym_TILDE] = ACTIONS(3577),
    [anon_sym_PLUS_PLUS] = ACTIONS(3577),
    [anon_sym_DASH_DASH] = ACTIONS(3577),
    [anon_sym_true] = ACTIONS(3575),
    [anon_sym_false] = ACTIONS(3575),
    [anon_sym_PLUS] = ACTIONS(3575),
    [anon_sym_DASH] = ACTIONS(3575),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_CARET] = ACTIONS(3577),
    [anon_sym_AMP] = ACTIONS(3577),
    [anon_sym_this] = ACTIONS(3575),
    [anon_sym_scoped] = ACTIONS(3575),
    [anon_sym_base] = ACTIONS(3575),
    [anon_sym_var] = ACTIONS(3575),
    [sym_predefined_type] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3575),
    [anon_sym_unchecked] = ACTIONS(3575),
    [anon_sym_continue] = ACTIONS(3575),
    [anon_sym_do] = ACTIONS(3575),
    [anon_sym_while] = ACTIONS(3575),
    [anon_sym_for] = ACTIONS(3575),
    [anon_sym_lock] = ACTIONS(3575),
    [anon_sym_yield] = ACTIONS(3575),
    [anon_sym_switch] = ACTIONS(3575),
    [anon_sym_default] = ACTIONS(3575),
    [anon_sym_throw] = ACTIONS(3575),
    [anon_sym_try] = ACTIONS(3575),
    [anon_sym_when] = ACTIONS(3575),
    [anon_sym_await] = ACTIONS(3575),
    [anon_sym_foreach] = ACTIONS(3575),
    [anon_sym_goto] = ACTIONS(3575),
    [anon_sym_if] = ACTIONS(3575),
    [anon_sym_DOT_DOT] = ACTIONS(3577),
    [anon_sym_from] = ACTIONS(3575),
    [anon_sym_into] = ACTIONS(3575),
    [anon_sym_join] = ACTIONS(3575),
    [anon_sym_on] = ACTIONS(3575),
    [anon_sym_equals] = ACTIONS(3575),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_orderby] = ACTIONS(3575),
    [anon_sym_ascending] = ACTIONS(3575),
    [anon_sym_descending] = ACTIONS(3575),
    [anon_sym_group] = ACTIONS(3575),
    [anon_sym_by] = ACTIONS(3575),
    [anon_sym_select] = ACTIONS(3575),
    [anon_sym_DQUOTE] = ACTIONS(3577),
    [anon_sym_stackalloc] = ACTIONS(3575),
    [anon_sym_sizeof] = ACTIONS(3575),
    [anon_sym_typeof] = ACTIONS(3575),
    [anon_sym___makeref] = ACTIONS(3575),
    [anon_sym___reftype] = ACTIONS(3575),
    [anon_sym___refvalue] = ACTIONS(3575),
    [sym_null_literal] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3577),
    [sym_integer_literal] = ACTIONS(3575),
    [sym_real_literal] = ACTIONS(3577),
    [sym_verbatim_string_literal] = ACTIONS(3577),
    [aux_sym_preproc_if_token1] = ACTIONS(3577),
    [aux_sym_preproc_if_token3] = ACTIONS(3577),
    [aux_sym_preproc_else_token1] = ACTIONS(3577),
    [aux_sym_preproc_elif_token1] = ACTIONS(3577),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3577),
    [sym_interpolation_verbatim_start] = ACTIONS(3577),
    [sym_interpolation_raw_start] = ACTIONS(3577),
    [sym_raw_string_start] = ACTIONS(3577),
  },
  [2352] = {
    [sym_preproc_region] = STATE(2352),
    [sym_preproc_endregion] = STATE(2352),
    [sym_preproc_line] = STATE(2352),
    [sym_preproc_pragma] = STATE(2352),
    [sym_preproc_nullable] = STATE(2352),
    [sym_preproc_error] = STATE(2352),
    [sym_preproc_define] = STATE(2352),
    [sym_preproc_undef] = STATE(2352),
    [sym__identifier_token] = ACTIONS(3579),
    [anon_sym_extern] = ACTIONS(3579),
    [anon_sym_alias] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(3581),
    [anon_sym_global] = ACTIONS(3579),
    [anon_sym_using] = ACTIONS(3579),
    [anon_sym_unsafe] = ACTIONS(3579),
    [anon_sym_static] = ACTIONS(3579),
    [anon_sym_LBRACK] = ACTIONS(3581),
    [anon_sym_LPAREN] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3579),
    [anon_sym_namespace] = ACTIONS(3579),
    [anon_sym_class] = ACTIONS(3579),
    [anon_sym_ref] = ACTIONS(3579),
    [anon_sym_struct] = ACTIONS(3579),
    [anon_sym_enum] = ACTIONS(3579),
    [anon_sym_LBRACE] = ACTIONS(3581),
    [anon_sym_interface] = ACTIONS(3579),
    [anon_sym_delegate] = ACTIONS(3579),
    [anon_sym_record] = ACTIONS(3579),
    [anon_sym_abstract] = ACTIONS(3579),
    [anon_sym_async] = ACTIONS(3579),
    [anon_sym_const] = ACTIONS(3579),
    [anon_sym_file] = ACTIONS(3579),
    [anon_sym_fixed] = ACTIONS(3579),
    [anon_sym_internal] = ACTIONS(3579),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_override] = ACTIONS(3579),
    [anon_sym_partial] = ACTIONS(3579),
    [anon_sym_private] = ACTIONS(3579),
    [anon_sym_protected] = ACTIONS(3579),
    [anon_sym_public] = ACTIONS(3579),
    [anon_sym_readonly] = ACTIONS(3579),
    [anon_sym_required] = ACTIONS(3579),
    [anon_sym_sealed] = ACTIONS(3579),
    [anon_sym_virtual] = ACTIONS(3579),
    [anon_sym_volatile] = ACTIONS(3579),
    [anon_sym_where] = ACTIONS(3579),
    [anon_sym_notnull] = ACTIONS(3579),
    [anon_sym_unmanaged] = ACTIONS(3579),
    [anon_sym_checked] = ACTIONS(3579),
    [anon_sym_BANG] = ACTIONS(3581),
    [anon_sym_TILDE] = ACTIONS(3581),
    [anon_sym_PLUS_PLUS] = ACTIONS(3581),
    [anon_sym_DASH_DASH] = ACTIONS(3581),
    [anon_sym_true] = ACTIONS(3579),
    [anon_sym_false] = ACTIONS(3579),
    [anon_sym_PLUS] = ACTIONS(3579),
    [anon_sym_DASH] = ACTIONS(3579),
    [anon_sym_STAR] = ACTIONS(3581),
    [anon_sym_CARET] = ACTIONS(3581),
    [anon_sym_AMP] = ACTIONS(3581),
    [anon_sym_this] = ACTIONS(3579),
    [anon_sym_scoped] = ACTIONS(3579),
    [anon_sym_base] = ACTIONS(3579),
    [anon_sym_var] = ACTIONS(3579),
    [sym_predefined_type] = ACTIONS(3579),
    [anon_sym_break] = ACTIONS(3579),
    [anon_sym_unchecked] = ACTIONS(3579),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_do] = ACTIONS(3579),
    [anon_sym_while] = ACTIONS(3579),
    [anon_sym_for] = ACTIONS(3579),
    [anon_sym_lock] = ACTIONS(3579),
    [anon_sym_yield] = ACTIONS(3579),
    [anon_sym_switch] = ACTIONS(3579),
    [anon_sym_default] = ACTIONS(3579),
    [anon_sym_throw] = ACTIONS(3579),
    [anon_sym_try] = ACTIONS(3579),
    [anon_sym_when] = ACTIONS(3579),
    [anon_sym_await] = ACTIONS(3579),
    [anon_sym_foreach] = ACTIONS(3579),
    [anon_sym_goto] = ACTIONS(3579),
    [anon_sym_if] = ACTIONS(3579),
    [anon_sym_DOT_DOT] = ACTIONS(3581),
    [anon_sym_from] = ACTIONS(3579),
    [anon_sym_into] = ACTIONS(3579),
    [anon_sym_join] = ACTIONS(3579),
    [anon_sym_on] = ACTIONS(3579),
    [anon_sym_equals] = ACTIONS(3579),
    [anon_sym_let] = ACTIONS(3579),
    [anon_sym_orderby] = ACTIONS(3579),
    [anon_sym_ascending] = ACTIONS(3579),
    [anon_sym_descending] = ACTIONS(3579),
    [anon_sym_group] = ACTIONS(3579),
    [anon_sym_by] = ACTIONS(3579),
    [anon_sym_select] = ACTIONS(3579),
    [anon_sym_DQUOTE] = ACTIONS(3581),
    [anon_sym_stackalloc] = ACTIONS(3579),
    [anon_sym_sizeof] = ACTIONS(3579),
    [anon_sym_typeof] = ACTIONS(3579),
    [anon_sym___makeref] = ACTIONS(3579),
    [anon_sym___reftype] = ACTIONS(3579),
    [anon_sym___refvalue] = ACTIONS(3579),
    [sym_null_literal] = ACTIONS(3579),
    [anon_sym_SQUOTE] = ACTIONS(3581),
    [sym_integer_literal] = ACTIONS(3579),
    [sym_real_literal] = ACTIONS(3581),
    [sym_verbatim_string_literal] = ACTIONS(3581),
    [aux_sym_preproc_if_token1] = ACTIONS(3581),
    [aux_sym_preproc_if_token3] = ACTIONS(3581),
    [aux_sym_preproc_else_token1] = ACTIONS(3581),
    [aux_sym_preproc_elif_token1] = ACTIONS(3581),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3581),
    [sym_interpolation_verbatim_start] = ACTIONS(3581),
    [sym_interpolation_raw_start] = ACTIONS(3581),
    [sym_raw_string_start] = ACTIONS(3581),
  },
  [2353] = {
    [sym_preproc_region] = STATE(2353),
    [sym_preproc_endregion] = STATE(2353),
    [sym_preproc_line] = STATE(2353),
    [sym_preproc_pragma] = STATE(2353),
    [sym_preproc_nullable] = STATE(2353),
    [sym_preproc_error] = STATE(2353),
    [sym_preproc_define] = STATE(2353),
    [sym_preproc_undef] = STATE(2353),
    [sym__identifier_token] = ACTIONS(3583),
    [anon_sym_extern] = ACTIONS(3583),
    [anon_sym_alias] = ACTIONS(3583),
    [anon_sym_SEMI] = ACTIONS(3585),
    [anon_sym_global] = ACTIONS(3583),
    [anon_sym_using] = ACTIONS(3583),
    [anon_sym_unsafe] = ACTIONS(3583),
    [anon_sym_static] = ACTIONS(3583),
    [anon_sym_LBRACK] = ACTIONS(3585),
    [anon_sym_LPAREN] = ACTIONS(3585),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_namespace] = ACTIONS(3583),
    [anon_sym_class] = ACTIONS(3583),
    [anon_sym_ref] = ACTIONS(3583),
    [anon_sym_struct] = ACTIONS(3583),
    [anon_sym_enum] = ACTIONS(3583),
    [anon_sym_LBRACE] = ACTIONS(3585),
    [anon_sym_interface] = ACTIONS(3583),
    [anon_sym_delegate] = ACTIONS(3583),
    [anon_sym_record] = ACTIONS(3583),
    [anon_sym_abstract] = ACTIONS(3583),
    [anon_sym_async] = ACTIONS(3583),
    [anon_sym_const] = ACTIONS(3583),
    [anon_sym_file] = ACTIONS(3583),
    [anon_sym_fixed] = ACTIONS(3583),
    [anon_sym_internal] = ACTIONS(3583),
    [anon_sym_new] = ACTIONS(3583),
    [anon_sym_override] = ACTIONS(3583),
    [anon_sym_partial] = ACTIONS(3583),
    [anon_sym_private] = ACTIONS(3583),
    [anon_sym_protected] = ACTIONS(3583),
    [anon_sym_public] = ACTIONS(3583),
    [anon_sym_readonly] = ACTIONS(3583),
    [anon_sym_required] = ACTIONS(3583),
    [anon_sym_sealed] = ACTIONS(3583),
    [anon_sym_virtual] = ACTIONS(3583),
    [anon_sym_volatile] = ACTIONS(3583),
    [anon_sym_where] = ACTIONS(3583),
    [anon_sym_notnull] = ACTIONS(3583),
    [anon_sym_unmanaged] = ACTIONS(3583),
    [anon_sym_checked] = ACTIONS(3583),
    [anon_sym_BANG] = ACTIONS(3585),
    [anon_sym_TILDE] = ACTIONS(3585),
    [anon_sym_PLUS_PLUS] = ACTIONS(3585),
    [anon_sym_DASH_DASH] = ACTIONS(3585),
    [anon_sym_true] = ACTIONS(3583),
    [anon_sym_false] = ACTIONS(3583),
    [anon_sym_PLUS] = ACTIONS(3583),
    [anon_sym_DASH] = ACTIONS(3583),
    [anon_sym_STAR] = ACTIONS(3585),
    [anon_sym_CARET] = ACTIONS(3585),
    [anon_sym_AMP] = ACTIONS(3585),
    [anon_sym_this] = ACTIONS(3583),
    [anon_sym_scoped] = ACTIONS(3583),
    [anon_sym_base] = ACTIONS(3583),
    [anon_sym_var] = ACTIONS(3583),
    [sym_predefined_type] = ACTIONS(3583),
    [anon_sym_break] = ACTIONS(3583),
    [anon_sym_unchecked] = ACTIONS(3583),
    [anon_sym_continue] = ACTIONS(3583),
    [anon_sym_do] = ACTIONS(3583),
    [anon_sym_while] = ACTIONS(3583),
    [anon_sym_for] = ACTIONS(3583),
    [anon_sym_lock] = ACTIONS(3583),
    [anon_sym_yield] = ACTIONS(3583),
    [anon_sym_switch] = ACTIONS(3583),
    [anon_sym_default] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3583),
    [anon_sym_try] = ACTIONS(3583),
    [anon_sym_when] = ACTIONS(3583),
    [anon_sym_await] = ACTIONS(3583),
    [anon_sym_foreach] = ACTIONS(3583),
    [anon_sym_goto] = ACTIONS(3583),
    [anon_sym_if] = ACTIONS(3583),
    [anon_sym_DOT_DOT] = ACTIONS(3585),
    [anon_sym_from] = ACTIONS(3583),
    [anon_sym_into] = ACTIONS(3583),
    [anon_sym_join] = ACTIONS(3583),
    [anon_sym_on] = ACTIONS(3583),
    [anon_sym_equals] = ACTIONS(3583),
    [anon_sym_let] = ACTIONS(3583),
    [anon_sym_orderby] = ACTIONS(3583),
    [anon_sym_ascending] = ACTIONS(3583),
    [anon_sym_descending] = ACTIONS(3583),
    [anon_sym_group] = ACTIONS(3583),
    [anon_sym_by] = ACTIONS(3583),
    [anon_sym_select] = ACTIONS(3583),
    [anon_sym_DQUOTE] = ACTIONS(3585),
    [anon_sym_stackalloc] = ACTIONS(3583),
    [anon_sym_sizeof] = ACTIONS(3583),
    [anon_sym_typeof] = ACTIONS(3583),
    [anon_sym___makeref] = ACTIONS(3583),
    [anon_sym___reftype] = ACTIONS(3583),
    [anon_sym___refvalue] = ACTIONS(3583),
    [sym_null_literal] = ACTIONS(3583),
    [anon_sym_SQUOTE] = ACTIONS(3585),
    [sym_integer_literal] = ACTIONS(3583),
    [sym_real_literal] = ACTIONS(3585),
    [sym_verbatim_string_literal] = ACTIONS(3585),
    [aux_sym_preproc_if_token1] = ACTIONS(3585),
    [aux_sym_preproc_if_token3] = ACTIONS(3585),
    [aux_sym_preproc_else_token1] = ACTIONS(3585),
    [aux_sym_preproc_elif_token1] = ACTIONS(3585),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3585),
    [sym_interpolation_verbatim_start] = ACTIONS(3585),
    [sym_interpolation_raw_start] = ACTIONS(3585),
    [sym_raw_string_start] = ACTIONS(3585),
  },
  [2354] = {
    [sym_preproc_region] = STATE(2354),
    [sym_preproc_endregion] = STATE(2354),
    [sym_preproc_line] = STATE(2354),
    [sym_preproc_pragma] = STATE(2354),
    [sym_preproc_nullable] = STATE(2354),
    [sym_preproc_error] = STATE(2354),
    [sym_preproc_define] = STATE(2354),
    [sym_preproc_undef] = STATE(2354),
    [sym__identifier_token] = ACTIONS(3587),
    [anon_sym_extern] = ACTIONS(3587),
    [anon_sym_alias] = ACTIONS(3587),
    [anon_sym_SEMI] = ACTIONS(3589),
    [anon_sym_global] = ACTIONS(3587),
    [anon_sym_using] = ACTIONS(3587),
    [anon_sym_unsafe] = ACTIONS(3587),
    [anon_sym_static] = ACTIONS(3587),
    [anon_sym_LBRACK] = ACTIONS(3589),
    [anon_sym_LPAREN] = ACTIONS(3589),
    [anon_sym_return] = ACTIONS(3587),
    [anon_sym_namespace] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3587),
    [anon_sym_ref] = ACTIONS(3587),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_enum] = ACTIONS(3587),
    [anon_sym_LBRACE] = ACTIONS(3589),
    [anon_sym_interface] = ACTIONS(3587),
    [anon_sym_delegate] = ACTIONS(3587),
    [anon_sym_record] = ACTIONS(3587),
    [anon_sym_abstract] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3587),
    [anon_sym_const] = ACTIONS(3587),
    [anon_sym_file] = ACTIONS(3587),
    [anon_sym_fixed] = ACTIONS(3587),
    [anon_sym_internal] = ACTIONS(3587),
    [anon_sym_new] = ACTIONS(3587),
    [anon_sym_override] = ACTIONS(3587),
    [anon_sym_partial] = ACTIONS(3587),
    [anon_sym_private] = ACTIONS(3587),
    [anon_sym_protected] = ACTIONS(3587),
    [anon_sym_public] = ACTIONS(3587),
    [anon_sym_readonly] = ACTIONS(3587),
    [anon_sym_required] = ACTIONS(3587),
    [anon_sym_sealed] = ACTIONS(3587),
    [anon_sym_virtual] = ACTIONS(3587),
    [anon_sym_volatile] = ACTIONS(3587),
    [anon_sym_where] = ACTIONS(3587),
    [anon_sym_notnull] = ACTIONS(3587),
    [anon_sym_unmanaged] = ACTIONS(3587),
    [anon_sym_checked] = ACTIONS(3587),
    [anon_sym_BANG] = ACTIONS(3589),
    [anon_sym_TILDE] = ACTIONS(3589),
    [anon_sym_PLUS_PLUS] = ACTIONS(3589),
    [anon_sym_DASH_DASH] = ACTIONS(3589),
    [anon_sym_true] = ACTIONS(3587),
    [anon_sym_false] = ACTIONS(3587),
    [anon_sym_PLUS] = ACTIONS(3587),
    [anon_sym_DASH] = ACTIONS(3587),
    [anon_sym_STAR] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3589),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_this] = ACTIONS(3587),
    [anon_sym_scoped] = ACTIONS(3587),
    [anon_sym_base] = ACTIONS(3587),
    [anon_sym_var] = ACTIONS(3587),
    [sym_predefined_type] = ACTIONS(3587),
    [anon_sym_break] = ACTIONS(3587),
    [anon_sym_unchecked] = ACTIONS(3587),
    [anon_sym_continue] = ACTIONS(3587),
    [anon_sym_do] = ACTIONS(3587),
    [anon_sym_while] = ACTIONS(3587),
    [anon_sym_for] = ACTIONS(3587),
    [anon_sym_lock] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(3587),
    [anon_sym_switch] = ACTIONS(3587),
    [anon_sym_default] = ACTIONS(3587),
    [anon_sym_throw] = ACTIONS(3587),
    [anon_sym_try] = ACTIONS(3587),
    [anon_sym_when] = ACTIONS(3587),
    [anon_sym_await] = ACTIONS(3587),
    [anon_sym_foreach] = ACTIONS(3587),
    [anon_sym_goto] = ACTIONS(3587),
    [anon_sym_if] = ACTIONS(3587),
    [anon_sym_DOT_DOT] = ACTIONS(3589),
    [anon_sym_from] = ACTIONS(3587),
    [anon_sym_into] = ACTIONS(3587),
    [anon_sym_join] = ACTIONS(3587),
    [anon_sym_on] = ACTIONS(3587),
    [anon_sym_equals] = ACTIONS(3587),
    [anon_sym_let] = ACTIONS(3587),
    [anon_sym_orderby] = ACTIONS(3587),
    [anon_sym_ascending] = ACTIONS(3587),
    [anon_sym_descending] = ACTIONS(3587),
    [anon_sym_group] = ACTIONS(3587),
    [anon_sym_by] = ACTIONS(3587),
    [anon_sym_select] = ACTIONS(3587),
    [anon_sym_DQUOTE] = ACTIONS(3589),
    [anon_sym_stackalloc] = ACTIONS(3587),
    [anon_sym_sizeof] = ACTIONS(3587),
    [anon_sym_typeof] = ACTIONS(3587),
    [anon_sym___makeref] = ACTIONS(3587),
    [anon_sym___reftype] = ACTIONS(3587),
    [anon_sym___refvalue] = ACTIONS(3587),
    [sym_null_literal] = ACTIONS(3587),
    [anon_sym_SQUOTE] = ACTIONS(3589),
    [sym_integer_literal] = ACTIONS(3587),
    [sym_real_literal] = ACTIONS(3589),
    [sym_verbatim_string_literal] = ACTIONS(3589),
    [aux_sym_preproc_if_token1] = ACTIONS(3589),
    [aux_sym_preproc_if_token3] = ACTIONS(3589),
    [aux_sym_preproc_else_token1] = ACTIONS(3589),
    [aux_sym_preproc_elif_token1] = ACTIONS(3589),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3589),
    [sym_interpolation_verbatim_start] = ACTIONS(3589),
    [sym_interpolation_raw_start] = ACTIONS(3589),
    [sym_raw_string_start] = ACTIONS(3589),
  },
  [2355] = {
    [sym_preproc_region] = STATE(2355),
    [sym_preproc_endregion] = STATE(2355),
    [sym_preproc_line] = STATE(2355),
    [sym_preproc_pragma] = STATE(2355),
    [sym_preproc_nullable] = STATE(2355),
    [sym_preproc_error] = STATE(2355),
    [sym_preproc_define] = STATE(2355),
    [sym_preproc_undef] = STATE(2355),
    [sym__identifier_token] = ACTIONS(3591),
    [anon_sym_extern] = ACTIONS(3591),
    [anon_sym_alias] = ACTIONS(3591),
    [anon_sym_SEMI] = ACTIONS(3593),
    [anon_sym_global] = ACTIONS(3591),
    [anon_sym_using] = ACTIONS(3591),
    [anon_sym_unsafe] = ACTIONS(3591),
    [anon_sym_static] = ACTIONS(3591),
    [anon_sym_LBRACK] = ACTIONS(3593),
    [anon_sym_LPAREN] = ACTIONS(3593),
    [anon_sym_return] = ACTIONS(3591),
    [anon_sym_namespace] = ACTIONS(3591),
    [anon_sym_class] = ACTIONS(3591),
    [anon_sym_ref] = ACTIONS(3591),
    [anon_sym_struct] = ACTIONS(3591),
    [anon_sym_enum] = ACTIONS(3591),
    [anon_sym_LBRACE] = ACTIONS(3593),
    [anon_sym_interface] = ACTIONS(3591),
    [anon_sym_delegate] = ACTIONS(3591),
    [anon_sym_record] = ACTIONS(3591),
    [anon_sym_abstract] = ACTIONS(3591),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_const] = ACTIONS(3591),
    [anon_sym_file] = ACTIONS(3591),
    [anon_sym_fixed] = ACTIONS(3591),
    [anon_sym_internal] = ACTIONS(3591),
    [anon_sym_new] = ACTIONS(3591),
    [anon_sym_override] = ACTIONS(3591),
    [anon_sym_partial] = ACTIONS(3591),
    [anon_sym_private] = ACTIONS(3591),
    [anon_sym_protected] = ACTIONS(3591),
    [anon_sym_public] = ACTIONS(3591),
    [anon_sym_readonly] = ACTIONS(3591),
    [anon_sym_required] = ACTIONS(3591),
    [anon_sym_sealed] = ACTIONS(3591),
    [anon_sym_virtual] = ACTIONS(3591),
    [anon_sym_volatile] = ACTIONS(3591),
    [anon_sym_where] = ACTIONS(3591),
    [anon_sym_notnull] = ACTIONS(3591),
    [anon_sym_unmanaged] = ACTIONS(3591),
    [anon_sym_checked] = ACTIONS(3591),
    [anon_sym_BANG] = ACTIONS(3593),
    [anon_sym_TILDE] = ACTIONS(3593),
    [anon_sym_PLUS_PLUS] = ACTIONS(3593),
    [anon_sym_DASH_DASH] = ACTIONS(3593),
    [anon_sym_true] = ACTIONS(3591),
    [anon_sym_false] = ACTIONS(3591),
    [anon_sym_PLUS] = ACTIONS(3591),
    [anon_sym_DASH] = ACTIONS(3591),
    [anon_sym_STAR] = ACTIONS(3593),
    [anon_sym_CARET] = ACTIONS(3593),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_this] = ACTIONS(3591),
    [anon_sym_scoped] = ACTIONS(3591),
    [anon_sym_base] = ACTIONS(3591),
    [anon_sym_var] = ACTIONS(3591),
    [sym_predefined_type] = ACTIONS(3591),
    [anon_sym_break] = ACTIONS(3591),
    [anon_sym_unchecked] = ACTIONS(3591),
    [anon_sym_continue] = ACTIONS(3591),
    [anon_sym_do] = ACTIONS(3591),
    [anon_sym_while] = ACTIONS(3591),
    [anon_sym_for] = ACTIONS(3591),
    [anon_sym_lock] = ACTIONS(3591),
    [anon_sym_yield] = ACTIONS(3591),
    [anon_sym_switch] = ACTIONS(3591),
    [anon_sym_default] = ACTIONS(3591),
    [anon_sym_throw] = ACTIONS(3591),
    [anon_sym_try] = ACTIONS(3591),
    [anon_sym_when] = ACTIONS(3591),
    [anon_sym_await] = ACTIONS(3591),
    [anon_sym_foreach] = ACTIONS(3591),
    [anon_sym_goto] = ACTIONS(3591),
    [anon_sym_if] = ACTIONS(3591),
    [anon_sym_DOT_DOT] = ACTIONS(3593),
    [anon_sym_from] = ACTIONS(3591),
    [anon_sym_into] = ACTIONS(3591),
    [anon_sym_join] = ACTIONS(3591),
    [anon_sym_on] = ACTIONS(3591),
    [anon_sym_equals] = ACTIONS(3591),
    [anon_sym_let] = ACTIONS(3591),
    [anon_sym_orderby] = ACTIONS(3591),
    [anon_sym_ascending] = ACTIONS(3591),
    [anon_sym_descending] = ACTIONS(3591),
    [anon_sym_group] = ACTIONS(3591),
    [anon_sym_by] = ACTIONS(3591),
    [anon_sym_select] = ACTIONS(3591),
    [anon_sym_DQUOTE] = ACTIONS(3593),
    [anon_sym_stackalloc] = ACTIONS(3591),
    [anon_sym_sizeof] = ACTIONS(3591),
    [anon_sym_typeof] = ACTIONS(3591),
    [anon_sym___makeref] = ACTIONS(3591),
    [anon_sym___reftype] = ACTIONS(3591),
    [anon_sym___refvalue] = ACTIONS(3591),
    [sym_null_literal] = ACTIONS(3591),
    [anon_sym_SQUOTE] = ACTIONS(3593),
    [sym_integer_literal] = ACTIONS(3591),
    [sym_real_literal] = ACTIONS(3593),
    [sym_verbatim_string_literal] = ACTIONS(3593),
    [aux_sym_preproc_if_token1] = ACTIONS(3593),
    [aux_sym_preproc_if_token3] = ACTIONS(3593),
    [aux_sym_preproc_else_token1] = ACTIONS(3593),
    [aux_sym_preproc_elif_token1] = ACTIONS(3593),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3593),
    [sym_interpolation_verbatim_start] = ACTIONS(3593),
    [sym_interpolation_raw_start] = ACTIONS(3593),
    [sym_raw_string_start] = ACTIONS(3593),
  },
  [2356] = {
    [sym_preproc_region] = STATE(2356),
    [sym_preproc_endregion] = STATE(2356),
    [sym_preproc_line] = STATE(2356),
    [sym_preproc_pragma] = STATE(2356),
    [sym_preproc_nullable] = STATE(2356),
    [sym_preproc_error] = STATE(2356),
    [sym_preproc_define] = STATE(2356),
    [sym_preproc_undef] = STATE(2356),
    [sym__identifier_token] = ACTIONS(3595),
    [anon_sym_extern] = ACTIONS(3595),
    [anon_sym_alias] = ACTIONS(3595),
    [anon_sym_SEMI] = ACTIONS(3597),
    [anon_sym_global] = ACTIONS(3595),
    [anon_sym_using] = ACTIONS(3595),
    [anon_sym_unsafe] = ACTIONS(3595),
    [anon_sym_static] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_LPAREN] = ACTIONS(3597),
    [anon_sym_return] = ACTIONS(3595),
    [anon_sym_namespace] = ACTIONS(3595),
    [anon_sym_class] = ACTIONS(3595),
    [anon_sym_ref] = ACTIONS(3595),
    [anon_sym_struct] = ACTIONS(3595),
    [anon_sym_enum] = ACTIONS(3595),
    [anon_sym_LBRACE] = ACTIONS(3597),
    [anon_sym_interface] = ACTIONS(3595),
    [anon_sym_delegate] = ACTIONS(3595),
    [anon_sym_record] = ACTIONS(3595),
    [anon_sym_abstract] = ACTIONS(3595),
    [anon_sym_async] = ACTIONS(3595),
    [anon_sym_const] = ACTIONS(3595),
    [anon_sym_file] = ACTIONS(3595),
    [anon_sym_fixed] = ACTIONS(3595),
    [anon_sym_internal] = ACTIONS(3595),
    [anon_sym_new] = ACTIONS(3595),
    [anon_sym_override] = ACTIONS(3595),
    [anon_sym_partial] = ACTIONS(3595),
    [anon_sym_private] = ACTIONS(3595),
    [anon_sym_protected] = ACTIONS(3595),
    [anon_sym_public] = ACTIONS(3595),
    [anon_sym_readonly] = ACTIONS(3595),
    [anon_sym_required] = ACTIONS(3595),
    [anon_sym_sealed] = ACTIONS(3595),
    [anon_sym_virtual] = ACTIONS(3595),
    [anon_sym_volatile] = ACTIONS(3595),
    [anon_sym_where] = ACTIONS(3595),
    [anon_sym_notnull] = ACTIONS(3595),
    [anon_sym_unmanaged] = ACTIONS(3595),
    [anon_sym_checked] = ACTIONS(3595),
    [anon_sym_BANG] = ACTIONS(3597),
    [anon_sym_TILDE] = ACTIONS(3597),
    [anon_sym_PLUS_PLUS] = ACTIONS(3597),
    [anon_sym_DASH_DASH] = ACTIONS(3597),
    [anon_sym_true] = ACTIONS(3595),
    [anon_sym_false] = ACTIONS(3595),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_STAR] = ACTIONS(3597),
    [anon_sym_CARET] = ACTIONS(3597),
    [anon_sym_AMP] = ACTIONS(3597),
    [anon_sym_this] = ACTIONS(3595),
    [anon_sym_scoped] = ACTIONS(3595),
    [anon_sym_base] = ACTIONS(3595),
    [anon_sym_var] = ACTIONS(3595),
    [sym_predefined_type] = ACTIONS(3595),
    [anon_sym_break] = ACTIONS(3595),
    [anon_sym_unchecked] = ACTIONS(3595),
    [anon_sym_continue] = ACTIONS(3595),
    [anon_sym_do] = ACTIONS(3595),
    [anon_sym_while] = ACTIONS(3595),
    [anon_sym_for] = ACTIONS(3595),
    [anon_sym_lock] = ACTIONS(3595),
    [anon_sym_yield] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(3595),
    [anon_sym_default] = ACTIONS(3595),
    [anon_sym_throw] = ACTIONS(3595),
    [anon_sym_try] = ACTIONS(3595),
    [anon_sym_when] = ACTIONS(3595),
    [anon_sym_await] = ACTIONS(3595),
    [anon_sym_foreach] = ACTIONS(3595),
    [anon_sym_goto] = ACTIONS(3595),
    [anon_sym_if] = ACTIONS(3595),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_from] = ACTIONS(3595),
    [anon_sym_into] = ACTIONS(3595),
    [anon_sym_join] = ACTIONS(3595),
    [anon_sym_on] = ACTIONS(3595),
    [anon_sym_equals] = ACTIONS(3595),
    [anon_sym_let] = ACTIONS(3595),
    [anon_sym_orderby] = ACTIONS(3595),
    [anon_sym_ascending] = ACTIONS(3595),
    [anon_sym_descending] = ACTIONS(3595),
    [anon_sym_group] = ACTIONS(3595),
    [anon_sym_by] = ACTIONS(3595),
    [anon_sym_select] = ACTIONS(3595),
    [anon_sym_DQUOTE] = ACTIONS(3597),
    [anon_sym_stackalloc] = ACTIONS(3595),
    [anon_sym_sizeof] = ACTIONS(3595),
    [anon_sym_typeof] = ACTIONS(3595),
    [anon_sym___makeref] = ACTIONS(3595),
    [anon_sym___reftype] = ACTIONS(3595),
    [anon_sym___refvalue] = ACTIONS(3595),
    [sym_null_literal] = ACTIONS(3595),
    [anon_sym_SQUOTE] = ACTIONS(3597),
    [sym_integer_literal] = ACTIONS(3595),
    [sym_real_literal] = ACTIONS(3597),
    [sym_verbatim_string_literal] = ACTIONS(3597),
    [aux_sym_preproc_if_token1] = ACTIONS(3597),
    [aux_sym_preproc_if_token3] = ACTIONS(3597),
    [aux_sym_preproc_else_token1] = ACTIONS(3597),
    [aux_sym_preproc_elif_token1] = ACTIONS(3597),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3597),
    [sym_interpolation_verbatim_start] = ACTIONS(3597),
    [sym_interpolation_raw_start] = ACTIONS(3597),
    [sym_raw_string_start] = ACTIONS(3597),
  },
  [2357] = {
    [sym_preproc_region] = STATE(2357),
    [sym_preproc_endregion] = STATE(2357),
    [sym_preproc_line] = STATE(2357),
    [sym_preproc_pragma] = STATE(2357),
    [sym_preproc_nullable] = STATE(2357),
    [sym_preproc_error] = STATE(2357),
    [sym_preproc_define] = STATE(2357),
    [sym_preproc_undef] = STATE(2357),
    [sym__identifier_token] = ACTIONS(3599),
    [anon_sym_extern] = ACTIONS(3599),
    [anon_sym_alias] = ACTIONS(3599),
    [anon_sym_SEMI] = ACTIONS(3601),
    [anon_sym_global] = ACTIONS(3599),
    [anon_sym_using] = ACTIONS(3599),
    [anon_sym_unsafe] = ACTIONS(3599),
    [anon_sym_static] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(3601),
    [anon_sym_LPAREN] = ACTIONS(3601),
    [anon_sym_return] = ACTIONS(3599),
    [anon_sym_namespace] = ACTIONS(3599),
    [anon_sym_class] = ACTIONS(3599),
    [anon_sym_ref] = ACTIONS(3599),
    [anon_sym_struct] = ACTIONS(3599),
    [anon_sym_enum] = ACTIONS(3599),
    [anon_sym_LBRACE] = ACTIONS(3601),
    [anon_sym_interface] = ACTIONS(3599),
    [anon_sym_delegate] = ACTIONS(3599),
    [anon_sym_record] = ACTIONS(3599),
    [anon_sym_abstract] = ACTIONS(3599),
    [anon_sym_async] = ACTIONS(3599),
    [anon_sym_const] = ACTIONS(3599),
    [anon_sym_file] = ACTIONS(3599),
    [anon_sym_fixed] = ACTIONS(3599),
    [anon_sym_internal] = ACTIONS(3599),
    [anon_sym_new] = ACTIONS(3599),
    [anon_sym_override] = ACTIONS(3599),
    [anon_sym_partial] = ACTIONS(3599),
    [anon_sym_private] = ACTIONS(3599),
    [anon_sym_protected] = ACTIONS(3599),
    [anon_sym_public] = ACTIONS(3599),
    [anon_sym_readonly] = ACTIONS(3599),
    [anon_sym_required] = ACTIONS(3599),
    [anon_sym_sealed] = ACTIONS(3599),
    [anon_sym_virtual] = ACTIONS(3599),
    [anon_sym_volatile] = ACTIONS(3599),
    [anon_sym_where] = ACTIONS(3599),
    [anon_sym_notnull] = ACTIONS(3599),
    [anon_sym_unmanaged] = ACTIONS(3599),
    [anon_sym_checked] = ACTIONS(3599),
    [anon_sym_BANG] = ACTIONS(3601),
    [anon_sym_TILDE] = ACTIONS(3601),
    [anon_sym_PLUS_PLUS] = ACTIONS(3601),
    [anon_sym_DASH_DASH] = ACTIONS(3601),
    [anon_sym_true] = ACTIONS(3599),
    [anon_sym_false] = ACTIONS(3599),
    [anon_sym_PLUS] = ACTIONS(3599),
    [anon_sym_DASH] = ACTIONS(3599),
    [anon_sym_STAR] = ACTIONS(3601),
    [anon_sym_CARET] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3601),
    [anon_sym_this] = ACTIONS(3599),
    [anon_sym_scoped] = ACTIONS(3599),
    [anon_sym_base] = ACTIONS(3599),
    [anon_sym_var] = ACTIONS(3599),
    [sym_predefined_type] = ACTIONS(3599),
    [anon_sym_break] = ACTIONS(3599),
    [anon_sym_unchecked] = ACTIONS(3599),
    [anon_sym_continue] = ACTIONS(3599),
    [anon_sym_do] = ACTIONS(3599),
    [anon_sym_while] = ACTIONS(3599),
    [anon_sym_for] = ACTIONS(3599),
    [anon_sym_lock] = ACTIONS(3599),
    [anon_sym_yield] = ACTIONS(3599),
    [anon_sym_switch] = ACTIONS(3599),
    [anon_sym_default] = ACTIONS(3599),
    [anon_sym_throw] = ACTIONS(3599),
    [anon_sym_try] = ACTIONS(3599),
    [anon_sym_when] = ACTIONS(3599),
    [anon_sym_await] = ACTIONS(3599),
    [anon_sym_foreach] = ACTIONS(3599),
    [anon_sym_goto] = ACTIONS(3599),
    [anon_sym_if] = ACTIONS(3599),
    [anon_sym_DOT_DOT] = ACTIONS(3601),
    [anon_sym_from] = ACTIONS(3599),
    [anon_sym_into] = ACTIONS(3599),
    [anon_sym_join] = ACTIONS(3599),
    [anon_sym_on] = ACTIONS(3599),
    [anon_sym_equals] = ACTIONS(3599),
    [anon_sym_let] = ACTIONS(3599),
    [anon_sym_orderby] = ACTIONS(3599),
    [anon_sym_ascending] = ACTIONS(3599),
    [anon_sym_descending] = ACTIONS(3599),
    [anon_sym_group] = ACTIONS(3599),
    [anon_sym_by] = ACTIONS(3599),
    [anon_sym_select] = ACTIONS(3599),
    [anon_sym_DQUOTE] = ACTIONS(3601),
    [anon_sym_stackalloc] = ACTIONS(3599),
    [anon_sym_sizeof] = ACTIONS(3599),
    [anon_sym_typeof] = ACTIONS(3599),
    [anon_sym___makeref] = ACTIONS(3599),
    [anon_sym___reftype] = ACTIONS(3599),
    [anon_sym___refvalue] = ACTIONS(3599),
    [sym_null_literal] = ACTIONS(3599),
    [anon_sym_SQUOTE] = ACTIONS(3601),
    [sym_integer_literal] = ACTIONS(3599),
    [sym_real_literal] = ACTIONS(3601),
    [sym_verbatim_string_literal] = ACTIONS(3601),
    [aux_sym_preproc_if_token1] = ACTIONS(3601),
    [aux_sym_preproc_if_token3] = ACTIONS(3601),
    [aux_sym_preproc_else_token1] = ACTIONS(3601),
    [aux_sym_preproc_elif_token1] = ACTIONS(3601),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3601),
    [sym_interpolation_verbatim_start] = ACTIONS(3601),
    [sym_interpolation_raw_start] = ACTIONS(3601),
    [sym_raw_string_start] = ACTIONS(3601),
  },
  [2358] = {
    [sym_preproc_region] = STATE(2358),
    [sym_preproc_endregion] = STATE(2358),
    [sym_preproc_line] = STATE(2358),
    [sym_preproc_pragma] = STATE(2358),
    [sym_preproc_nullable] = STATE(2358),
    [sym_preproc_error] = STATE(2358),
    [sym_preproc_define] = STATE(2358),
    [sym_preproc_undef] = STATE(2358),
    [sym__identifier_token] = ACTIONS(3603),
    [anon_sym_extern] = ACTIONS(3603),
    [anon_sym_alias] = ACTIONS(3603),
    [anon_sym_SEMI] = ACTIONS(3605),
    [anon_sym_global] = ACTIONS(3603),
    [anon_sym_using] = ACTIONS(3603),
    [anon_sym_unsafe] = ACTIONS(3603),
    [anon_sym_static] = ACTIONS(3603),
    [anon_sym_LBRACK] = ACTIONS(3605),
    [anon_sym_LPAREN] = ACTIONS(3605),
    [anon_sym_return] = ACTIONS(3603),
    [anon_sym_namespace] = ACTIONS(3603),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_ref] = ACTIONS(3603),
    [anon_sym_struct] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3603),
    [anon_sym_LBRACE] = ACTIONS(3605),
    [anon_sym_interface] = ACTIONS(3603),
    [anon_sym_delegate] = ACTIONS(3603),
    [anon_sym_record] = ACTIONS(3603),
    [anon_sym_abstract] = ACTIONS(3603),
    [anon_sym_async] = ACTIONS(3603),
    [anon_sym_const] = ACTIONS(3603),
    [anon_sym_file] = ACTIONS(3603),
    [anon_sym_fixed] = ACTIONS(3603),
    [anon_sym_internal] = ACTIONS(3603),
    [anon_sym_new] = ACTIONS(3603),
    [anon_sym_override] = ACTIONS(3603),
    [anon_sym_partial] = ACTIONS(3603),
    [anon_sym_private] = ACTIONS(3603),
    [anon_sym_protected] = ACTIONS(3603),
    [anon_sym_public] = ACTIONS(3603),
    [anon_sym_readonly] = ACTIONS(3603),
    [anon_sym_required] = ACTIONS(3603),
    [anon_sym_sealed] = ACTIONS(3603),
    [anon_sym_virtual] = ACTIONS(3603),
    [anon_sym_volatile] = ACTIONS(3603),
    [anon_sym_where] = ACTIONS(3603),
    [anon_sym_notnull] = ACTIONS(3603),
    [anon_sym_unmanaged] = ACTIONS(3603),
    [anon_sym_checked] = ACTIONS(3603),
    [anon_sym_BANG] = ACTIONS(3605),
    [anon_sym_TILDE] = ACTIONS(3605),
    [anon_sym_PLUS_PLUS] = ACTIONS(3605),
    [anon_sym_DASH_DASH] = ACTIONS(3605),
    [anon_sym_true] = ACTIONS(3603),
    [anon_sym_false] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(3603),
    [anon_sym_DASH] = ACTIONS(3603),
    [anon_sym_STAR] = ACTIONS(3605),
    [anon_sym_CARET] = ACTIONS(3605),
    [anon_sym_AMP] = ACTIONS(3605),
    [anon_sym_this] = ACTIONS(3603),
    [anon_sym_scoped] = ACTIONS(3603),
    [anon_sym_base] = ACTIONS(3603),
    [anon_sym_var] = ACTIONS(3603),
    [sym_predefined_type] = ACTIONS(3603),
    [anon_sym_break] = ACTIONS(3603),
    [anon_sym_unchecked] = ACTIONS(3603),
    [anon_sym_continue] = ACTIONS(3603),
    [anon_sym_do] = ACTIONS(3603),
    [anon_sym_while] = ACTIONS(3603),
    [anon_sym_for] = ACTIONS(3603),
    [anon_sym_lock] = ACTIONS(3603),
    [anon_sym_yield] = ACTIONS(3603),
    [anon_sym_switch] = ACTIONS(3603),
    [anon_sym_default] = ACTIONS(3603),
    [anon_sym_throw] = ACTIONS(3603),
    [anon_sym_try] = ACTIONS(3603),
    [anon_sym_when] = ACTIONS(3603),
    [anon_sym_await] = ACTIONS(3603),
    [anon_sym_foreach] = ACTIONS(3603),
    [anon_sym_goto] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(3603),
    [anon_sym_DOT_DOT] = ACTIONS(3605),
    [anon_sym_from] = ACTIONS(3603),
    [anon_sym_into] = ACTIONS(3603),
    [anon_sym_join] = ACTIONS(3603),
    [anon_sym_on] = ACTIONS(3603),
    [anon_sym_equals] = ACTIONS(3603),
    [anon_sym_let] = ACTIONS(3603),
    [anon_sym_orderby] = ACTIONS(3603),
    [anon_sym_ascending] = ACTIONS(3603),
    [anon_sym_descending] = ACTIONS(3603),
    [anon_sym_group] = ACTIONS(3603),
    [anon_sym_by] = ACTIONS(3603),
    [anon_sym_select] = ACTIONS(3603),
    [anon_sym_DQUOTE] = ACTIONS(3605),
    [anon_sym_stackalloc] = ACTIONS(3603),
    [anon_sym_sizeof] = ACTIONS(3603),
    [anon_sym_typeof] = ACTIONS(3603),
    [anon_sym___makeref] = ACTIONS(3603),
    [anon_sym___reftype] = ACTIONS(3603),
    [anon_sym___refvalue] = ACTIONS(3603),
    [sym_null_literal] = ACTIONS(3603),
    [anon_sym_SQUOTE] = ACTIONS(3605),
    [sym_integer_literal] = ACTIONS(3603),
    [sym_real_literal] = ACTIONS(3605),
    [sym_verbatim_string_literal] = ACTIONS(3605),
    [aux_sym_preproc_if_token1] = ACTIONS(3605),
    [aux_sym_preproc_if_token3] = ACTIONS(3605),
    [aux_sym_preproc_else_token1] = ACTIONS(3605),
    [aux_sym_preproc_elif_token1] = ACTIONS(3605),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3605),
    [sym_interpolation_verbatim_start] = ACTIONS(3605),
    [sym_interpolation_raw_start] = ACTIONS(3605),
    [sym_raw_string_start] = ACTIONS(3605),
  },
  [2359] = {
    [sym_preproc_region] = STATE(2359),
    [sym_preproc_endregion] = STATE(2359),
    [sym_preproc_line] = STATE(2359),
    [sym_preproc_pragma] = STATE(2359),
    [sym_preproc_nullable] = STATE(2359),
    [sym_preproc_error] = STATE(2359),
    [sym_preproc_define] = STATE(2359),
    [sym_preproc_undef] = STATE(2359),
    [sym__identifier_token] = ACTIONS(3607),
    [anon_sym_extern] = ACTIONS(3607),
    [anon_sym_alias] = ACTIONS(3607),
    [anon_sym_SEMI] = ACTIONS(3609),
    [anon_sym_global] = ACTIONS(3607),
    [anon_sym_using] = ACTIONS(3607),
    [anon_sym_unsafe] = ACTIONS(3607),
    [anon_sym_static] = ACTIONS(3607),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(3609),
    [anon_sym_return] = ACTIONS(3607),
    [anon_sym_namespace] = ACTIONS(3607),
    [anon_sym_class] = ACTIONS(3607),
    [anon_sym_ref] = ACTIONS(3607),
    [anon_sym_struct] = ACTIONS(3607),
    [anon_sym_enum] = ACTIONS(3607),
    [anon_sym_LBRACE] = ACTIONS(3609),
    [anon_sym_interface] = ACTIONS(3607),
    [anon_sym_delegate] = ACTIONS(3607),
    [anon_sym_record] = ACTIONS(3607),
    [anon_sym_abstract] = ACTIONS(3607),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_const] = ACTIONS(3607),
    [anon_sym_file] = ACTIONS(3607),
    [anon_sym_fixed] = ACTIONS(3607),
    [anon_sym_internal] = ACTIONS(3607),
    [anon_sym_new] = ACTIONS(3607),
    [anon_sym_override] = ACTIONS(3607),
    [anon_sym_partial] = ACTIONS(3607),
    [anon_sym_private] = ACTIONS(3607),
    [anon_sym_protected] = ACTIONS(3607),
    [anon_sym_public] = ACTIONS(3607),
    [anon_sym_readonly] = ACTIONS(3607),
    [anon_sym_required] = ACTIONS(3607),
    [anon_sym_sealed] = ACTIONS(3607),
    [anon_sym_virtual] = ACTIONS(3607),
    [anon_sym_volatile] = ACTIONS(3607),
    [anon_sym_where] = ACTIONS(3607),
    [anon_sym_notnull] = ACTIONS(3607),
    [anon_sym_unmanaged] = ACTIONS(3607),
    [anon_sym_checked] = ACTIONS(3607),
    [anon_sym_BANG] = ACTIONS(3609),
    [anon_sym_TILDE] = ACTIONS(3609),
    [anon_sym_PLUS_PLUS] = ACTIONS(3609),
    [anon_sym_DASH_DASH] = ACTIONS(3609),
    [anon_sym_true] = ACTIONS(3607),
    [anon_sym_false] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3607),
    [anon_sym_DASH] = ACTIONS(3607),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_CARET] = ACTIONS(3609),
    [anon_sym_AMP] = ACTIONS(3609),
    [anon_sym_this] = ACTIONS(3607),
    [anon_sym_scoped] = ACTIONS(3607),
    [anon_sym_base] = ACTIONS(3607),
    [anon_sym_var] = ACTIONS(3607),
    [sym_predefined_type] = ACTIONS(3607),
    [anon_sym_break] = ACTIONS(3607),
    [anon_sym_unchecked] = ACTIONS(3607),
    [anon_sym_continue] = ACTIONS(3607),
    [anon_sym_do] = ACTIONS(3607),
    [anon_sym_while] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_lock] = ACTIONS(3607),
    [anon_sym_yield] = ACTIONS(3607),
    [anon_sym_switch] = ACTIONS(3607),
    [anon_sym_default] = ACTIONS(3607),
    [anon_sym_throw] = ACTIONS(3607),
    [anon_sym_try] = ACTIONS(3607),
    [anon_sym_when] = ACTIONS(3607),
    [anon_sym_await] = ACTIONS(3607),
    [anon_sym_foreach] = ACTIONS(3607),
    [anon_sym_goto] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(3607),
    [anon_sym_DOT_DOT] = ACTIONS(3609),
    [anon_sym_from] = ACTIONS(3607),
    [anon_sym_into] = ACTIONS(3607),
    [anon_sym_join] = ACTIONS(3607),
    [anon_sym_on] = ACTIONS(3607),
    [anon_sym_equals] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3607),
    [anon_sym_orderby] = ACTIONS(3607),
    [anon_sym_ascending] = ACTIONS(3607),
    [anon_sym_descending] = ACTIONS(3607),
    [anon_sym_group] = ACTIONS(3607),
    [anon_sym_by] = ACTIONS(3607),
    [anon_sym_select] = ACTIONS(3607),
    [anon_sym_DQUOTE] = ACTIONS(3609),
    [anon_sym_stackalloc] = ACTIONS(3607),
    [anon_sym_sizeof] = ACTIONS(3607),
    [anon_sym_typeof] = ACTIONS(3607),
    [anon_sym___makeref] = ACTIONS(3607),
    [anon_sym___reftype] = ACTIONS(3607),
    [anon_sym___refvalue] = ACTIONS(3607),
    [sym_null_literal] = ACTIONS(3607),
    [anon_sym_SQUOTE] = ACTIONS(3609),
    [sym_integer_literal] = ACTIONS(3607),
    [sym_real_literal] = ACTIONS(3609),
    [sym_verbatim_string_literal] = ACTIONS(3609),
    [aux_sym_preproc_if_token1] = ACTIONS(3609),
    [aux_sym_preproc_if_token3] = ACTIONS(3609),
    [aux_sym_preproc_else_token1] = ACTIONS(3609),
    [aux_sym_preproc_elif_token1] = ACTIONS(3609),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3609),
    [sym_interpolation_verbatim_start] = ACTIONS(3609),
    [sym_interpolation_raw_start] = ACTIONS(3609),
    [sym_raw_string_start] = ACTIONS(3609),
  },
  [2360] = {
    [sym_preproc_region] = STATE(2360),
    [sym_preproc_endregion] = STATE(2360),
    [sym_preproc_line] = STATE(2360),
    [sym_preproc_pragma] = STATE(2360),
    [sym_preproc_nullable] = STATE(2360),
    [sym_preproc_error] = STATE(2360),
    [sym_preproc_define] = STATE(2360),
    [sym_preproc_undef] = STATE(2360),
    [sym__identifier_token] = ACTIONS(3611),
    [anon_sym_extern] = ACTIONS(3611),
    [anon_sym_alias] = ACTIONS(3611),
    [anon_sym_SEMI] = ACTIONS(3613),
    [anon_sym_global] = ACTIONS(3611),
    [anon_sym_using] = ACTIONS(3611),
    [anon_sym_unsafe] = ACTIONS(3611),
    [anon_sym_static] = ACTIONS(3611),
    [anon_sym_LBRACK] = ACTIONS(3613),
    [anon_sym_LPAREN] = ACTIONS(3613),
    [anon_sym_return] = ACTIONS(3611),
    [anon_sym_namespace] = ACTIONS(3611),
    [anon_sym_class] = ACTIONS(3611),
    [anon_sym_ref] = ACTIONS(3611),
    [anon_sym_struct] = ACTIONS(3611),
    [anon_sym_enum] = ACTIONS(3611),
    [anon_sym_LBRACE] = ACTIONS(3613),
    [anon_sym_interface] = ACTIONS(3611),
    [anon_sym_delegate] = ACTIONS(3611),
    [anon_sym_record] = ACTIONS(3611),
    [anon_sym_abstract] = ACTIONS(3611),
    [anon_sym_async] = ACTIONS(3611),
    [anon_sym_const] = ACTIONS(3611),
    [anon_sym_file] = ACTIONS(3611),
    [anon_sym_fixed] = ACTIONS(3611),
    [anon_sym_internal] = ACTIONS(3611),
    [anon_sym_new] = ACTIONS(3611),
    [anon_sym_override] = ACTIONS(3611),
    [anon_sym_partial] = ACTIONS(3611),
    [anon_sym_private] = ACTIONS(3611),
    [anon_sym_protected] = ACTIONS(3611),
    [anon_sym_public] = ACTIONS(3611),
    [anon_sym_readonly] = ACTIONS(3611),
    [anon_sym_required] = ACTIONS(3611),
    [anon_sym_sealed] = ACTIONS(3611),
    [anon_sym_virtual] = ACTIONS(3611),
    [anon_sym_volatile] = ACTIONS(3611),
    [anon_sym_where] = ACTIONS(3611),
    [anon_sym_notnull] = ACTIONS(3611),
    [anon_sym_unmanaged] = ACTIONS(3611),
    [anon_sym_checked] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3613),
    [anon_sym_TILDE] = ACTIONS(3613),
    [anon_sym_PLUS_PLUS] = ACTIONS(3613),
    [anon_sym_DASH_DASH] = ACTIONS(3613),
    [anon_sym_true] = ACTIONS(3611),
    [anon_sym_false] = ACTIONS(3611),
    [anon_sym_PLUS] = ACTIONS(3611),
    [anon_sym_DASH] = ACTIONS(3611),
    [anon_sym_STAR] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3613),
    [anon_sym_AMP] = ACTIONS(3613),
    [anon_sym_this] = ACTIONS(3611),
    [anon_sym_scoped] = ACTIONS(3611),
    [anon_sym_base] = ACTIONS(3611),
    [anon_sym_var] = ACTIONS(3611),
    [sym_predefined_type] = ACTIONS(3611),
    [anon_sym_break] = ACTIONS(3611),
    [anon_sym_unchecked] = ACTIONS(3611),
    [anon_sym_continue] = ACTIONS(3611),
    [anon_sym_do] = ACTIONS(3611),
    [anon_sym_while] = ACTIONS(3611),
    [anon_sym_for] = ACTIONS(3611),
    [anon_sym_lock] = ACTIONS(3611),
    [anon_sym_yield] = ACTIONS(3611),
    [anon_sym_switch] = ACTIONS(3611),
    [anon_sym_default] = ACTIONS(3611),
    [anon_sym_throw] = ACTIONS(3611),
    [anon_sym_try] = ACTIONS(3611),
    [anon_sym_when] = ACTIONS(3611),
    [anon_sym_await] = ACTIONS(3611),
    [anon_sym_foreach] = ACTIONS(3611),
    [anon_sym_goto] = ACTIONS(3611),
    [anon_sym_if] = ACTIONS(3611),
    [anon_sym_DOT_DOT] = ACTIONS(3613),
    [anon_sym_from] = ACTIONS(3611),
    [anon_sym_into] = ACTIONS(3611),
    [anon_sym_join] = ACTIONS(3611),
    [anon_sym_on] = ACTIONS(3611),
    [anon_sym_equals] = ACTIONS(3611),
    [anon_sym_let] = ACTIONS(3611),
    [anon_sym_orderby] = ACTIONS(3611),
    [anon_sym_ascending] = ACTIONS(3611),
    [anon_sym_descending] = ACTIONS(3611),
    [anon_sym_group] = ACTIONS(3611),
    [anon_sym_by] = ACTIONS(3611),
    [anon_sym_select] = ACTIONS(3611),
    [anon_sym_DQUOTE] = ACTIONS(3613),
    [anon_sym_stackalloc] = ACTIONS(3611),
    [anon_sym_sizeof] = ACTIONS(3611),
    [anon_sym_typeof] = ACTIONS(3611),
    [anon_sym___makeref] = ACTIONS(3611),
    [anon_sym___reftype] = ACTIONS(3611),
    [anon_sym___refvalue] = ACTIONS(3611),
    [sym_null_literal] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3613),
    [sym_integer_literal] = ACTIONS(3611),
    [sym_real_literal] = ACTIONS(3613),
    [sym_verbatim_string_literal] = ACTIONS(3613),
    [aux_sym_preproc_if_token1] = ACTIONS(3613),
    [aux_sym_preproc_if_token3] = ACTIONS(3613),
    [aux_sym_preproc_else_token1] = ACTIONS(3613),
    [aux_sym_preproc_elif_token1] = ACTIONS(3613),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3613),
    [sym_interpolation_verbatim_start] = ACTIONS(3613),
    [sym_interpolation_raw_start] = ACTIONS(3613),
    [sym_raw_string_start] = ACTIONS(3613),
  },
  [2361] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_region] = STATE(2361),
    [sym_preproc_endregion] = STATE(2361),
    [sym_preproc_line] = STATE(2361),
    [sym_preproc_pragma] = STATE(2361),
    [sym_preproc_nullable] = STATE(2361),
    [sym_preproc_error] = STATE(2361),
    [sym_preproc_define] = STATE(2361),
    [sym_preproc_undef] = STATE(2361),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2361),
    [sym__identifier_token] = ACTIONS(3615),
    [anon_sym_extern] = ACTIONS(3618),
    [anon_sym_alias] = ACTIONS(3621),
    [anon_sym_global] = ACTIONS(3624),
    [anon_sym_using] = ACTIONS(3627),
    [anon_sym_unsafe] = ACTIONS(3630),
    [anon_sym_static] = ACTIONS(3630),
    [anon_sym_LBRACK] = ACTIONS(3633),
    [anon_sym_LPAREN] = ACTIONS(3636),
    [anon_sym_event] = ACTIONS(3639),
    [anon_sym_namespace] = ACTIONS(3642),
    [anon_sym_class] = ACTIONS(3645),
    [anon_sym_ref] = ACTIONS(3648),
    [anon_sym_struct] = ACTIONS(3651),
    [anon_sym_enum] = ACTIONS(3654),
    [anon_sym_RBRACE] = ACTIONS(3657),
    [anon_sym_interface] = ACTIONS(3659),
    [anon_sym_delegate] = ACTIONS(3662),
    [anon_sym_record] = ACTIONS(3665),
    [anon_sym_abstract] = ACTIONS(3630),
    [anon_sym_async] = ACTIONS(3630),
    [anon_sym_const] = ACTIONS(3630),
    [anon_sym_file] = ACTIONS(3668),
    [anon_sym_fixed] = ACTIONS(3630),
    [anon_sym_internal] = ACTIONS(3630),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_override] = ACTIONS(3630),
    [anon_sym_partial] = ACTIONS(3630),
    [anon_sym_private] = ACTIONS(3630),
    [anon_sym_protected] = ACTIONS(3630),
    [anon_sym_public] = ACTIONS(3630),
    [anon_sym_readonly] = ACTIONS(3630),
    [anon_sym_required] = ACTIONS(3630),
    [anon_sym_sealed] = ACTIONS(3630),
    [anon_sym_virtual] = ACTIONS(3630),
    [anon_sym_volatile] = ACTIONS(3630),
    [anon_sym_where] = ACTIONS(3621),
    [anon_sym_notnull] = ACTIONS(3621),
    [anon_sym_unmanaged] = ACTIONS(3621),
    [anon_sym_TILDE] = ACTIONS(3671),
    [anon_sym_implicit] = ACTIONS(3674),
    [anon_sym_explicit] = ACTIONS(3674),
    [anon_sym_scoped] = ACTIONS(3677),
    [anon_sym_var] = ACTIONS(3680),
    [sym_predefined_type] = ACTIONS(3683),
    [anon_sym_yield] = ACTIONS(3621),
    [anon_sym_when] = ACTIONS(3621),
    [anon_sym_from] = ACTIONS(3621),
    [anon_sym_into] = ACTIONS(3621),
    [anon_sym_join] = ACTIONS(3621),
    [anon_sym_on] = ACTIONS(3621),
    [anon_sym_equals] = ACTIONS(3621),
    [anon_sym_let] = ACTIONS(3621),
    [anon_sym_orderby] = ACTIONS(3621),
    [anon_sym_ascending] = ACTIONS(3621),
    [anon_sym_descending] = ACTIONS(3621),
    [anon_sym_group] = ACTIONS(3621),
    [anon_sym_by] = ACTIONS(3621),
    [anon_sym_select] = ACTIONS(3621),
    [aux_sym_preproc_if_token1] = ACTIONS(3686),
    [aux_sym_preproc_if_token3] = ACTIONS(3657),
    [aux_sym_preproc_else_token1] = ACTIONS(3657),
    [aux_sym_preproc_elif_token1] = ACTIONS(3657),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2362] = {
    [sym_preproc_region] = STATE(2362),
    [sym_preproc_endregion] = STATE(2362),
    [sym_preproc_line] = STATE(2362),
    [sym_preproc_pragma] = STATE(2362),
    [sym_preproc_nullable] = STATE(2362),
    [sym_preproc_error] = STATE(2362),
    [sym_preproc_define] = STATE(2362),
    [sym_preproc_undef] = STATE(2362),
    [sym__identifier_token] = ACTIONS(3689),
    [anon_sym_extern] = ACTIONS(3689),
    [anon_sym_alias] = ACTIONS(3689),
    [anon_sym_SEMI] = ACTIONS(3691),
    [anon_sym_global] = ACTIONS(3689),
    [anon_sym_using] = ACTIONS(3689),
    [anon_sym_unsafe] = ACTIONS(3689),
    [anon_sym_static] = ACTIONS(3689),
    [anon_sym_LBRACK] = ACTIONS(3691),
    [anon_sym_LPAREN] = ACTIONS(3691),
    [anon_sym_return] = ACTIONS(3689),
    [anon_sym_namespace] = ACTIONS(3689),
    [anon_sym_class] = ACTIONS(3689),
    [anon_sym_ref] = ACTIONS(3689),
    [anon_sym_struct] = ACTIONS(3689),
    [anon_sym_enum] = ACTIONS(3689),
    [anon_sym_LBRACE] = ACTIONS(3691),
    [anon_sym_interface] = ACTIONS(3689),
    [anon_sym_delegate] = ACTIONS(3689),
    [anon_sym_record] = ACTIONS(3689),
    [anon_sym_abstract] = ACTIONS(3689),
    [anon_sym_async] = ACTIONS(3689),
    [anon_sym_const] = ACTIONS(3689),
    [anon_sym_file] = ACTIONS(3689),
    [anon_sym_fixed] = ACTIONS(3689),
    [anon_sym_internal] = ACTIONS(3689),
    [anon_sym_new] = ACTIONS(3689),
    [anon_sym_override] = ACTIONS(3689),
    [anon_sym_partial] = ACTIONS(3689),
    [anon_sym_private] = ACTIONS(3689),
    [anon_sym_protected] = ACTIONS(3689),
    [anon_sym_public] = ACTIONS(3689),
    [anon_sym_readonly] = ACTIONS(3689),
    [anon_sym_required] = ACTIONS(3689),
    [anon_sym_sealed] = ACTIONS(3689),
    [anon_sym_virtual] = ACTIONS(3689),
    [anon_sym_volatile] = ACTIONS(3689),
    [anon_sym_where] = ACTIONS(3689),
    [anon_sym_notnull] = ACTIONS(3689),
    [anon_sym_unmanaged] = ACTIONS(3689),
    [anon_sym_checked] = ACTIONS(3689),
    [anon_sym_BANG] = ACTIONS(3691),
    [anon_sym_TILDE] = ACTIONS(3691),
    [anon_sym_PLUS_PLUS] = ACTIONS(3691),
    [anon_sym_DASH_DASH] = ACTIONS(3691),
    [anon_sym_true] = ACTIONS(3689),
    [anon_sym_false] = ACTIONS(3689),
    [anon_sym_PLUS] = ACTIONS(3689),
    [anon_sym_DASH] = ACTIONS(3689),
    [anon_sym_STAR] = ACTIONS(3691),
    [anon_sym_CARET] = ACTIONS(3691),
    [anon_sym_AMP] = ACTIONS(3691),
    [anon_sym_this] = ACTIONS(3689),
    [anon_sym_scoped] = ACTIONS(3689),
    [anon_sym_base] = ACTIONS(3689),
    [anon_sym_var] = ACTIONS(3689),
    [sym_predefined_type] = ACTIONS(3689),
    [anon_sym_break] = ACTIONS(3689),
    [anon_sym_unchecked] = ACTIONS(3689),
    [anon_sym_continue] = ACTIONS(3689),
    [anon_sym_do] = ACTIONS(3689),
    [anon_sym_while] = ACTIONS(3689),
    [anon_sym_for] = ACTIONS(3689),
    [anon_sym_lock] = ACTIONS(3689),
    [anon_sym_yield] = ACTIONS(3689),
    [anon_sym_switch] = ACTIONS(3689),
    [anon_sym_default] = ACTIONS(3689),
    [anon_sym_throw] = ACTIONS(3689),
    [anon_sym_try] = ACTIONS(3689),
    [anon_sym_when] = ACTIONS(3689),
    [anon_sym_await] = ACTIONS(3689),
    [anon_sym_foreach] = ACTIONS(3689),
    [anon_sym_goto] = ACTIONS(3689),
    [anon_sym_if] = ACTIONS(3689),
    [anon_sym_DOT_DOT] = ACTIONS(3691),
    [anon_sym_from] = ACTIONS(3689),
    [anon_sym_into] = ACTIONS(3689),
    [anon_sym_join] = ACTIONS(3689),
    [anon_sym_on] = ACTIONS(3689),
    [anon_sym_equals] = ACTIONS(3689),
    [anon_sym_let] = ACTIONS(3689),
    [anon_sym_orderby] = ACTIONS(3689),
    [anon_sym_ascending] = ACTIONS(3689),
    [anon_sym_descending] = ACTIONS(3689),
    [anon_sym_group] = ACTIONS(3689),
    [anon_sym_by] = ACTIONS(3689),
    [anon_sym_select] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3691),
    [anon_sym_stackalloc] = ACTIONS(3689),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym_typeof] = ACTIONS(3689),
    [anon_sym___makeref] = ACTIONS(3689),
    [anon_sym___reftype] = ACTIONS(3689),
    [anon_sym___refvalue] = ACTIONS(3689),
    [sym_null_literal] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3691),
    [sym_integer_literal] = ACTIONS(3689),
    [sym_real_literal] = ACTIONS(3691),
    [sym_verbatim_string_literal] = ACTIONS(3691),
    [aux_sym_preproc_if_token1] = ACTIONS(3691),
    [aux_sym_preproc_if_token3] = ACTIONS(3691),
    [aux_sym_preproc_else_token1] = ACTIONS(3691),
    [aux_sym_preproc_elif_token1] = ACTIONS(3691),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3691),
    [sym_interpolation_verbatim_start] = ACTIONS(3691),
    [sym_interpolation_raw_start] = ACTIONS(3691),
    [sym_raw_string_start] = ACTIONS(3691),
  },
  [2363] = {
    [sym_preproc_region] = STATE(2363),
    [sym_preproc_endregion] = STATE(2363),
    [sym_preproc_line] = STATE(2363),
    [sym_preproc_pragma] = STATE(2363),
    [sym_preproc_nullable] = STATE(2363),
    [sym_preproc_error] = STATE(2363),
    [sym_preproc_define] = STATE(2363),
    [sym_preproc_undef] = STATE(2363),
    [sym__identifier_token] = ACTIONS(3693),
    [anon_sym_extern] = ACTIONS(3693),
    [anon_sym_alias] = ACTIONS(3693),
    [anon_sym_SEMI] = ACTIONS(3695),
    [anon_sym_global] = ACTIONS(3693),
    [anon_sym_using] = ACTIONS(3693),
    [anon_sym_unsafe] = ACTIONS(3693),
    [anon_sym_static] = ACTIONS(3693),
    [anon_sym_LBRACK] = ACTIONS(3695),
    [anon_sym_LPAREN] = ACTIONS(3695),
    [anon_sym_return] = ACTIONS(3693),
    [anon_sym_namespace] = ACTIONS(3693),
    [anon_sym_class] = ACTIONS(3693),
    [anon_sym_ref] = ACTIONS(3693),
    [anon_sym_struct] = ACTIONS(3693),
    [anon_sym_enum] = ACTIONS(3693),
    [anon_sym_LBRACE] = ACTIONS(3695),
    [anon_sym_interface] = ACTIONS(3693),
    [anon_sym_delegate] = ACTIONS(3693),
    [anon_sym_record] = ACTIONS(3693),
    [anon_sym_abstract] = ACTIONS(3693),
    [anon_sym_async] = ACTIONS(3693),
    [anon_sym_const] = ACTIONS(3693),
    [anon_sym_file] = ACTIONS(3693),
    [anon_sym_fixed] = ACTIONS(3693),
    [anon_sym_internal] = ACTIONS(3693),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_override] = ACTIONS(3693),
    [anon_sym_partial] = ACTIONS(3693),
    [anon_sym_private] = ACTIONS(3693),
    [anon_sym_protected] = ACTIONS(3693),
    [anon_sym_public] = ACTIONS(3693),
    [anon_sym_readonly] = ACTIONS(3693),
    [anon_sym_required] = ACTIONS(3693),
    [anon_sym_sealed] = ACTIONS(3693),
    [anon_sym_virtual] = ACTIONS(3693),
    [anon_sym_volatile] = ACTIONS(3693),
    [anon_sym_where] = ACTIONS(3693),
    [anon_sym_notnull] = ACTIONS(3693),
    [anon_sym_unmanaged] = ACTIONS(3693),
    [anon_sym_checked] = ACTIONS(3693),
    [anon_sym_BANG] = ACTIONS(3695),
    [anon_sym_TILDE] = ACTIONS(3695),
    [anon_sym_PLUS_PLUS] = ACTIONS(3695),
    [anon_sym_DASH_DASH] = ACTIONS(3695),
    [anon_sym_true] = ACTIONS(3693),
    [anon_sym_false] = ACTIONS(3693),
    [anon_sym_PLUS] = ACTIONS(3693),
    [anon_sym_DASH] = ACTIONS(3693),
    [anon_sym_STAR] = ACTIONS(3695),
    [anon_sym_CARET] = ACTIONS(3695),
    [anon_sym_AMP] = ACTIONS(3695),
    [anon_sym_this] = ACTIONS(3693),
    [anon_sym_scoped] = ACTIONS(3693),
    [anon_sym_base] = ACTIONS(3693),
    [anon_sym_var] = ACTIONS(3693),
    [sym_predefined_type] = ACTIONS(3693),
    [anon_sym_break] = ACTIONS(3693),
    [anon_sym_unchecked] = ACTIONS(3693),
    [anon_sym_continue] = ACTIONS(3693),
    [anon_sym_do] = ACTIONS(3693),
    [anon_sym_while] = ACTIONS(3693),
    [anon_sym_for] = ACTIONS(3693),
    [anon_sym_lock] = ACTIONS(3693),
    [anon_sym_yield] = ACTIONS(3693),
    [anon_sym_switch] = ACTIONS(3693),
    [anon_sym_default] = ACTIONS(3693),
    [anon_sym_throw] = ACTIONS(3693),
    [anon_sym_try] = ACTIONS(3693),
    [anon_sym_when] = ACTIONS(3693),
    [anon_sym_await] = ACTIONS(3693),
    [anon_sym_foreach] = ACTIONS(3693),
    [anon_sym_goto] = ACTIONS(3693),
    [anon_sym_if] = ACTIONS(3693),
    [anon_sym_DOT_DOT] = ACTIONS(3695),
    [anon_sym_from] = ACTIONS(3693),
    [anon_sym_into] = ACTIONS(3693),
    [anon_sym_join] = ACTIONS(3693),
    [anon_sym_on] = ACTIONS(3693),
    [anon_sym_equals] = ACTIONS(3693),
    [anon_sym_let] = ACTIONS(3693),
    [anon_sym_orderby] = ACTIONS(3693),
    [anon_sym_ascending] = ACTIONS(3693),
    [anon_sym_descending] = ACTIONS(3693),
    [anon_sym_group] = ACTIONS(3693),
    [anon_sym_by] = ACTIONS(3693),
    [anon_sym_select] = ACTIONS(3693),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [anon_sym_stackalloc] = ACTIONS(3693),
    [anon_sym_sizeof] = ACTIONS(3693),
    [anon_sym_typeof] = ACTIONS(3693),
    [anon_sym___makeref] = ACTIONS(3693),
    [anon_sym___reftype] = ACTIONS(3693),
    [anon_sym___refvalue] = ACTIONS(3693),
    [sym_null_literal] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3695),
    [sym_integer_literal] = ACTIONS(3693),
    [sym_real_literal] = ACTIONS(3695),
    [sym_verbatim_string_literal] = ACTIONS(3695),
    [aux_sym_preproc_if_token1] = ACTIONS(3695),
    [aux_sym_preproc_if_token3] = ACTIONS(3695),
    [aux_sym_preproc_else_token1] = ACTIONS(3695),
    [aux_sym_preproc_elif_token1] = ACTIONS(3695),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3695),
    [sym_interpolation_verbatim_start] = ACTIONS(3695),
    [sym_interpolation_raw_start] = ACTIONS(3695),
    [sym_raw_string_start] = ACTIONS(3695),
  },
  [2364] = {
    [sym_preproc_region] = STATE(2364),
    [sym_preproc_endregion] = STATE(2364),
    [sym_preproc_line] = STATE(2364),
    [sym_preproc_pragma] = STATE(2364),
    [sym_preproc_nullable] = STATE(2364),
    [sym_preproc_error] = STATE(2364),
    [sym_preproc_define] = STATE(2364),
    [sym_preproc_undef] = STATE(2364),
    [sym__identifier_token] = ACTIONS(3697),
    [anon_sym_extern] = ACTIONS(3697),
    [anon_sym_alias] = ACTIONS(3697),
    [anon_sym_SEMI] = ACTIONS(3699),
    [anon_sym_global] = ACTIONS(3697),
    [anon_sym_using] = ACTIONS(3697),
    [anon_sym_unsafe] = ACTIONS(3697),
    [anon_sym_static] = ACTIONS(3697),
    [anon_sym_LBRACK] = ACTIONS(3699),
    [anon_sym_LPAREN] = ACTIONS(3699),
    [anon_sym_return] = ACTIONS(3697),
    [anon_sym_namespace] = ACTIONS(3697),
    [anon_sym_class] = ACTIONS(3697),
    [anon_sym_ref] = ACTIONS(3697),
    [anon_sym_struct] = ACTIONS(3697),
    [anon_sym_enum] = ACTIONS(3697),
    [anon_sym_LBRACE] = ACTIONS(3699),
    [anon_sym_interface] = ACTIONS(3697),
    [anon_sym_delegate] = ACTIONS(3697),
    [anon_sym_record] = ACTIONS(3697),
    [anon_sym_abstract] = ACTIONS(3697),
    [anon_sym_async] = ACTIONS(3697),
    [anon_sym_const] = ACTIONS(3697),
    [anon_sym_file] = ACTIONS(3697),
    [anon_sym_fixed] = ACTIONS(3697),
    [anon_sym_internal] = ACTIONS(3697),
    [anon_sym_new] = ACTIONS(3697),
    [anon_sym_override] = ACTIONS(3697),
    [anon_sym_partial] = ACTIONS(3697),
    [anon_sym_private] = ACTIONS(3697),
    [anon_sym_protected] = ACTIONS(3697),
    [anon_sym_public] = ACTIONS(3697),
    [anon_sym_readonly] = ACTIONS(3697),
    [anon_sym_required] = ACTIONS(3697),
    [anon_sym_sealed] = ACTIONS(3697),
    [anon_sym_virtual] = ACTIONS(3697),
    [anon_sym_volatile] = ACTIONS(3697),
    [anon_sym_where] = ACTIONS(3697),
    [anon_sym_notnull] = ACTIONS(3697),
    [anon_sym_unmanaged] = ACTIONS(3697),
    [anon_sym_checked] = ACTIONS(3697),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_PLUS_PLUS] = ACTIONS(3699),
    [anon_sym_DASH_DASH] = ACTIONS(3699),
    [anon_sym_true] = ACTIONS(3697),
    [anon_sym_false] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(3699),
    [anon_sym_CARET] = ACTIONS(3699),
    [anon_sym_AMP] = ACTIONS(3699),
    [anon_sym_this] = ACTIONS(3697),
    [anon_sym_scoped] = ACTIONS(3697),
    [anon_sym_base] = ACTIONS(3697),
    [anon_sym_var] = ACTIONS(3697),
    [sym_predefined_type] = ACTIONS(3697),
    [anon_sym_break] = ACTIONS(3697),
    [anon_sym_unchecked] = ACTIONS(3697),
    [anon_sym_continue] = ACTIONS(3697),
    [anon_sym_do] = ACTIONS(3697),
    [anon_sym_while] = ACTIONS(3697),
    [anon_sym_for] = ACTIONS(3697),
    [anon_sym_lock] = ACTIONS(3697),
    [anon_sym_yield] = ACTIONS(3697),
    [anon_sym_switch] = ACTIONS(3697),
    [anon_sym_default] = ACTIONS(3697),
    [anon_sym_throw] = ACTIONS(3697),
    [anon_sym_try] = ACTIONS(3697),
    [anon_sym_when] = ACTIONS(3697),
    [anon_sym_await] = ACTIONS(3697),
    [anon_sym_foreach] = ACTIONS(3697),
    [anon_sym_goto] = ACTIONS(3697),
    [anon_sym_if] = ACTIONS(3697),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_from] = ACTIONS(3697),
    [anon_sym_into] = ACTIONS(3697),
    [anon_sym_join] = ACTIONS(3697),
    [anon_sym_on] = ACTIONS(3697),
    [anon_sym_equals] = ACTIONS(3697),
    [anon_sym_let] = ACTIONS(3697),
    [anon_sym_orderby] = ACTIONS(3697),
    [anon_sym_ascending] = ACTIONS(3697),
    [anon_sym_descending] = ACTIONS(3697),
    [anon_sym_group] = ACTIONS(3697),
    [anon_sym_by] = ACTIONS(3697),
    [anon_sym_select] = ACTIONS(3697),
    [anon_sym_DQUOTE] = ACTIONS(3699),
    [anon_sym_stackalloc] = ACTIONS(3697),
    [anon_sym_sizeof] = ACTIONS(3697),
    [anon_sym_typeof] = ACTIONS(3697),
    [anon_sym___makeref] = ACTIONS(3697),
    [anon_sym___reftype] = ACTIONS(3697),
    [anon_sym___refvalue] = ACTIONS(3697),
    [sym_null_literal] = ACTIONS(3697),
    [anon_sym_SQUOTE] = ACTIONS(3699),
    [sym_integer_literal] = ACTIONS(3697),
    [sym_real_literal] = ACTIONS(3699),
    [sym_verbatim_string_literal] = ACTIONS(3699),
    [aux_sym_preproc_if_token1] = ACTIONS(3699),
    [aux_sym_preproc_if_token3] = ACTIONS(3699),
    [aux_sym_preproc_else_token1] = ACTIONS(3699),
    [aux_sym_preproc_elif_token1] = ACTIONS(3699),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3699),
    [sym_interpolation_verbatim_start] = ACTIONS(3699),
    [sym_interpolation_raw_start] = ACTIONS(3699),
    [sym_raw_string_start] = ACTIONS(3699),
  },
  [2365] = {
    [sym_preproc_region] = STATE(2365),
    [sym_preproc_endregion] = STATE(2365),
    [sym_preproc_line] = STATE(2365),
    [sym_preproc_pragma] = STATE(2365),
    [sym_preproc_nullable] = STATE(2365),
    [sym_preproc_error] = STATE(2365),
    [sym_preproc_define] = STATE(2365),
    [sym_preproc_undef] = STATE(2365),
    [sym__identifier_token] = ACTIONS(3701),
    [anon_sym_extern] = ACTIONS(3701),
    [anon_sym_alias] = ACTIONS(3701),
    [anon_sym_SEMI] = ACTIONS(3703),
    [anon_sym_global] = ACTIONS(3701),
    [anon_sym_using] = ACTIONS(3701),
    [anon_sym_unsafe] = ACTIONS(3701),
    [anon_sym_static] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3703),
    [anon_sym_LPAREN] = ACTIONS(3703),
    [anon_sym_return] = ACTIONS(3701),
    [anon_sym_namespace] = ACTIONS(3701),
    [anon_sym_class] = ACTIONS(3701),
    [anon_sym_ref] = ACTIONS(3701),
    [anon_sym_struct] = ACTIONS(3701),
    [anon_sym_enum] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_interface] = ACTIONS(3701),
    [anon_sym_delegate] = ACTIONS(3701),
    [anon_sym_record] = ACTIONS(3701),
    [anon_sym_abstract] = ACTIONS(3701),
    [anon_sym_async] = ACTIONS(3701),
    [anon_sym_const] = ACTIONS(3701),
    [anon_sym_file] = ACTIONS(3701),
    [anon_sym_fixed] = ACTIONS(3701),
    [anon_sym_internal] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_override] = ACTIONS(3701),
    [anon_sym_partial] = ACTIONS(3701),
    [anon_sym_private] = ACTIONS(3701),
    [anon_sym_protected] = ACTIONS(3701),
    [anon_sym_public] = ACTIONS(3701),
    [anon_sym_readonly] = ACTIONS(3701),
    [anon_sym_required] = ACTIONS(3701),
    [anon_sym_sealed] = ACTIONS(3701),
    [anon_sym_virtual] = ACTIONS(3701),
    [anon_sym_volatile] = ACTIONS(3701),
    [anon_sym_where] = ACTIONS(3701),
    [anon_sym_notnull] = ACTIONS(3701),
    [anon_sym_unmanaged] = ACTIONS(3701),
    [anon_sym_checked] = ACTIONS(3701),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_PLUS_PLUS] = ACTIONS(3703),
    [anon_sym_DASH_DASH] = ACTIONS(3703),
    [anon_sym_true] = ACTIONS(3701),
    [anon_sym_false] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3703),
    [anon_sym_CARET] = ACTIONS(3703),
    [anon_sym_AMP] = ACTIONS(3703),
    [anon_sym_this] = ACTIONS(3701),
    [anon_sym_scoped] = ACTIONS(3701),
    [anon_sym_base] = ACTIONS(3701),
    [anon_sym_var] = ACTIONS(3701),
    [sym_predefined_type] = ACTIONS(3701),
    [anon_sym_break] = ACTIONS(3701),
    [anon_sym_unchecked] = ACTIONS(3701),
    [anon_sym_continue] = ACTIONS(3701),
    [anon_sym_do] = ACTIONS(3701),
    [anon_sym_while] = ACTIONS(3701),
    [anon_sym_for] = ACTIONS(3701),
    [anon_sym_lock] = ACTIONS(3701),
    [anon_sym_yield] = ACTIONS(3701),
    [anon_sym_switch] = ACTIONS(3701),
    [anon_sym_default] = ACTIONS(3701),
    [anon_sym_throw] = ACTIONS(3701),
    [anon_sym_try] = ACTIONS(3701),
    [anon_sym_when] = ACTIONS(3701),
    [anon_sym_await] = ACTIONS(3701),
    [anon_sym_foreach] = ACTIONS(3701),
    [anon_sym_goto] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(3701),
    [anon_sym_DOT_DOT] = ACTIONS(3703),
    [anon_sym_from] = ACTIONS(3701),
    [anon_sym_into] = ACTIONS(3701),
    [anon_sym_join] = ACTIONS(3701),
    [anon_sym_on] = ACTIONS(3701),
    [anon_sym_equals] = ACTIONS(3701),
    [anon_sym_let] = ACTIONS(3701),
    [anon_sym_orderby] = ACTIONS(3701),
    [anon_sym_ascending] = ACTIONS(3701),
    [anon_sym_descending] = ACTIONS(3701),
    [anon_sym_group] = ACTIONS(3701),
    [anon_sym_by] = ACTIONS(3701),
    [anon_sym_select] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(3703),
    [anon_sym_stackalloc] = ACTIONS(3701),
    [anon_sym_sizeof] = ACTIONS(3701),
    [anon_sym_typeof] = ACTIONS(3701),
    [anon_sym___makeref] = ACTIONS(3701),
    [anon_sym___reftype] = ACTIONS(3701),
    [anon_sym___refvalue] = ACTIONS(3701),
    [sym_null_literal] = ACTIONS(3701),
    [anon_sym_SQUOTE] = ACTIONS(3703),
    [sym_integer_literal] = ACTIONS(3701),
    [sym_real_literal] = ACTIONS(3703),
    [sym_verbatim_string_literal] = ACTIONS(3703),
    [aux_sym_preproc_if_token1] = ACTIONS(3703),
    [aux_sym_preproc_if_token3] = ACTIONS(3703),
    [aux_sym_preproc_else_token1] = ACTIONS(3703),
    [aux_sym_preproc_elif_token1] = ACTIONS(3703),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3703),
    [sym_interpolation_verbatim_start] = ACTIONS(3703),
    [sym_interpolation_raw_start] = ACTIONS(3703),
    [sym_raw_string_start] = ACTIONS(3703),
  },
  [2366] = {
    [sym_preproc_region] = STATE(2366),
    [sym_preproc_endregion] = STATE(2366),
    [sym_preproc_line] = STATE(2366),
    [sym_preproc_pragma] = STATE(2366),
    [sym_preproc_nullable] = STATE(2366),
    [sym_preproc_error] = STATE(2366),
    [sym_preproc_define] = STATE(2366),
    [sym_preproc_undef] = STATE(2366),
    [sym__identifier_token] = ACTIONS(3705),
    [anon_sym_extern] = ACTIONS(3705),
    [anon_sym_alias] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_global] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_unsafe] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_ref] = ACTIONS(3705),
    [anon_sym_struct] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_delegate] = ACTIONS(3705),
    [anon_sym_record] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_file] = ACTIONS(3705),
    [anon_sym_fixed] = ACTIONS(3705),
    [anon_sym_internal] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_partial] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_required] = ACTIONS(3705),
    [anon_sym_sealed] = ACTIONS(3705),
    [anon_sym_virtual] = ACTIONS(3705),
    [anon_sym_volatile] = ACTIONS(3705),
    [anon_sym_where] = ACTIONS(3705),
    [anon_sym_notnull] = ACTIONS(3705),
    [anon_sym_unmanaged] = ACTIONS(3705),
    [anon_sym_checked] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [anon_sym_true] = ACTIONS(3705),
    [anon_sym_false] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_STAR] = ACTIONS(3707),
    [anon_sym_CARET] = ACTIONS(3707),
    [anon_sym_AMP] = ACTIONS(3707),
    [anon_sym_this] = ACTIONS(3705),
    [anon_sym_scoped] = ACTIONS(3705),
    [anon_sym_base] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [sym_predefined_type] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_unchecked] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_lock] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_default] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_when] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_foreach] = ACTIONS(3705),
    [anon_sym_goto] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_DOT_DOT] = ACTIONS(3707),
    [anon_sym_from] = ACTIONS(3705),
    [anon_sym_into] = ACTIONS(3705),
    [anon_sym_join] = ACTIONS(3705),
    [anon_sym_on] = ACTIONS(3705),
    [anon_sym_equals] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_orderby] = ACTIONS(3705),
    [anon_sym_ascending] = ACTIONS(3705),
    [anon_sym_descending] = ACTIONS(3705),
    [anon_sym_group] = ACTIONS(3705),
    [anon_sym_by] = ACTIONS(3705),
    [anon_sym_select] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_stackalloc] = ACTIONS(3705),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym___makeref] = ACTIONS(3705),
    [anon_sym___reftype] = ACTIONS(3705),
    [anon_sym___refvalue] = ACTIONS(3705),
    [sym_null_literal] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3707),
    [sym_integer_literal] = ACTIONS(3705),
    [sym_real_literal] = ACTIONS(3707),
    [sym_verbatim_string_literal] = ACTIONS(3707),
    [aux_sym_preproc_if_token1] = ACTIONS(3707),
    [aux_sym_preproc_if_token3] = ACTIONS(3707),
    [aux_sym_preproc_else_token1] = ACTIONS(3707),
    [aux_sym_preproc_elif_token1] = ACTIONS(3707),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3707),
    [sym_interpolation_verbatim_start] = ACTIONS(3707),
    [sym_interpolation_raw_start] = ACTIONS(3707),
    [sym_raw_string_start] = ACTIONS(3707),
  },
  [2367] = {
    [sym_preproc_region] = STATE(2367),
    [sym_preproc_endregion] = STATE(2367),
    [sym_preproc_line] = STATE(2367),
    [sym_preproc_pragma] = STATE(2367),
    [sym_preproc_nullable] = STATE(2367),
    [sym_preproc_error] = STATE(2367),
    [sym_preproc_define] = STATE(2367),
    [sym_preproc_undef] = STATE(2367),
    [sym__identifier_token] = ACTIONS(3709),
    [anon_sym_extern] = ACTIONS(3709),
    [anon_sym_alias] = ACTIONS(3709),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_global] = ACTIONS(3709),
    [anon_sym_using] = ACTIONS(3709),
    [anon_sym_unsafe] = ACTIONS(3709),
    [anon_sym_static] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3711),
    [anon_sym_return] = ACTIONS(3709),
    [anon_sym_namespace] = ACTIONS(3709),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_ref] = ACTIONS(3709),
    [anon_sym_struct] = ACTIONS(3709),
    [anon_sym_enum] = ACTIONS(3709),
    [anon_sym_LBRACE] = ACTIONS(3711),
    [anon_sym_interface] = ACTIONS(3709),
    [anon_sym_delegate] = ACTIONS(3709),
    [anon_sym_record] = ACTIONS(3709),
    [anon_sym_abstract] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3709),
    [anon_sym_file] = ACTIONS(3709),
    [anon_sym_fixed] = ACTIONS(3709),
    [anon_sym_internal] = ACTIONS(3709),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_override] = ACTIONS(3709),
    [anon_sym_partial] = ACTIONS(3709),
    [anon_sym_private] = ACTIONS(3709),
    [anon_sym_protected] = ACTIONS(3709),
    [anon_sym_public] = ACTIONS(3709),
    [anon_sym_readonly] = ACTIONS(3709),
    [anon_sym_required] = ACTIONS(3709),
    [anon_sym_sealed] = ACTIONS(3709),
    [anon_sym_virtual] = ACTIONS(3709),
    [anon_sym_volatile] = ACTIONS(3709),
    [anon_sym_where] = ACTIONS(3709),
    [anon_sym_notnull] = ACTIONS(3709),
    [anon_sym_unmanaged] = ACTIONS(3709),
    [anon_sym_checked] = ACTIONS(3709),
    [anon_sym_BANG] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_PLUS_PLUS] = ACTIONS(3711),
    [anon_sym_DASH_DASH] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(3709),
    [anon_sym_false] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_STAR] = ACTIONS(3711),
    [anon_sym_CARET] = ACTIONS(3711),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_this] = ACTIONS(3709),
    [anon_sym_scoped] = ACTIONS(3709),
    [anon_sym_base] = ACTIONS(3709),
    [anon_sym_var] = ACTIONS(3709),
    [sym_predefined_type] = ACTIONS(3709),
    [anon_sym_break] = ACTIONS(3709),
    [anon_sym_unchecked] = ACTIONS(3709),
    [anon_sym_continue] = ACTIONS(3709),
    [anon_sym_do] = ACTIONS(3709),
    [anon_sym_while] = ACTIONS(3709),
    [anon_sym_for] = ACTIONS(3709),
    [anon_sym_lock] = ACTIONS(3709),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_switch] = ACTIONS(3709),
    [anon_sym_default] = ACTIONS(3709),
    [anon_sym_throw] = ACTIONS(3709),
    [anon_sym_try] = ACTIONS(3709),
    [anon_sym_when] = ACTIONS(3709),
    [anon_sym_await] = ACTIONS(3709),
    [anon_sym_foreach] = ACTIONS(3709),
    [anon_sym_goto] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(3709),
    [anon_sym_DOT_DOT] = ACTIONS(3711),
    [anon_sym_from] = ACTIONS(3709),
    [anon_sym_into] = ACTIONS(3709),
    [anon_sym_join] = ACTIONS(3709),
    [anon_sym_on] = ACTIONS(3709),
    [anon_sym_equals] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_orderby] = ACTIONS(3709),
    [anon_sym_ascending] = ACTIONS(3709),
    [anon_sym_descending] = ACTIONS(3709),
    [anon_sym_group] = ACTIONS(3709),
    [anon_sym_by] = ACTIONS(3709),
    [anon_sym_select] = ACTIONS(3709),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [anon_sym_stackalloc] = ACTIONS(3709),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym___makeref] = ACTIONS(3709),
    [anon_sym___reftype] = ACTIONS(3709),
    [anon_sym___refvalue] = ACTIONS(3709),
    [sym_null_literal] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3711),
    [sym_integer_literal] = ACTIONS(3709),
    [sym_real_literal] = ACTIONS(3711),
    [sym_verbatim_string_literal] = ACTIONS(3711),
    [aux_sym_preproc_if_token1] = ACTIONS(3711),
    [aux_sym_preproc_if_token3] = ACTIONS(3711),
    [aux_sym_preproc_else_token1] = ACTIONS(3711),
    [aux_sym_preproc_elif_token1] = ACTIONS(3711),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3711),
    [sym_interpolation_verbatim_start] = ACTIONS(3711),
    [sym_interpolation_raw_start] = ACTIONS(3711),
    [sym_raw_string_start] = ACTIONS(3711),
  },
  [2368] = {
    [sym_preproc_region] = STATE(2368),
    [sym_preproc_endregion] = STATE(2368),
    [sym_preproc_line] = STATE(2368),
    [sym_preproc_pragma] = STATE(2368),
    [sym_preproc_nullable] = STATE(2368),
    [sym_preproc_error] = STATE(2368),
    [sym_preproc_define] = STATE(2368),
    [sym_preproc_undef] = STATE(2368),
    [sym__identifier_token] = ACTIONS(3713),
    [anon_sym_extern] = ACTIONS(3713),
    [anon_sym_alias] = ACTIONS(3713),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_global] = ACTIONS(3713),
    [anon_sym_using] = ACTIONS(3713),
    [anon_sym_unsafe] = ACTIONS(3713),
    [anon_sym_static] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_LPAREN] = ACTIONS(3715),
    [anon_sym_return] = ACTIONS(3713),
    [anon_sym_namespace] = ACTIONS(3713),
    [anon_sym_class] = ACTIONS(3713),
    [anon_sym_ref] = ACTIONS(3713),
    [anon_sym_struct] = ACTIONS(3713),
    [anon_sym_enum] = ACTIONS(3713),
    [anon_sym_LBRACE] = ACTIONS(3715),
    [anon_sym_interface] = ACTIONS(3713),
    [anon_sym_delegate] = ACTIONS(3713),
    [anon_sym_record] = ACTIONS(3713),
    [anon_sym_abstract] = ACTIONS(3713),
    [anon_sym_async] = ACTIONS(3713),
    [anon_sym_const] = ACTIONS(3713),
    [anon_sym_file] = ACTIONS(3713),
    [anon_sym_fixed] = ACTIONS(3713),
    [anon_sym_internal] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3713),
    [anon_sym_override] = ACTIONS(3713),
    [anon_sym_partial] = ACTIONS(3713),
    [anon_sym_private] = ACTIONS(3713),
    [anon_sym_protected] = ACTIONS(3713),
    [anon_sym_public] = ACTIONS(3713),
    [anon_sym_readonly] = ACTIONS(3713),
    [anon_sym_required] = ACTIONS(3713),
    [anon_sym_sealed] = ACTIONS(3713),
    [anon_sym_virtual] = ACTIONS(3713),
    [anon_sym_volatile] = ACTIONS(3713),
    [anon_sym_where] = ACTIONS(3713),
    [anon_sym_notnull] = ACTIONS(3713),
    [anon_sym_unmanaged] = ACTIONS(3713),
    [anon_sym_checked] = ACTIONS(3713),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_PLUS_PLUS] = ACTIONS(3715),
    [anon_sym_DASH_DASH] = ACTIONS(3715),
    [anon_sym_true] = ACTIONS(3713),
    [anon_sym_false] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3715),
    [anon_sym_CARET] = ACTIONS(3715),
    [anon_sym_AMP] = ACTIONS(3715),
    [anon_sym_this] = ACTIONS(3713),
    [anon_sym_scoped] = ACTIONS(3713),
    [anon_sym_base] = ACTIONS(3713),
    [anon_sym_var] = ACTIONS(3713),
    [sym_predefined_type] = ACTIONS(3713),
    [anon_sym_break] = ACTIONS(3713),
    [anon_sym_unchecked] = ACTIONS(3713),
    [anon_sym_continue] = ACTIONS(3713),
    [anon_sym_do] = ACTIONS(3713),
    [anon_sym_while] = ACTIONS(3713),
    [anon_sym_for] = ACTIONS(3713),
    [anon_sym_lock] = ACTIONS(3713),
    [anon_sym_yield] = ACTIONS(3713),
    [anon_sym_switch] = ACTIONS(3713),
    [anon_sym_default] = ACTIONS(3713),
    [anon_sym_throw] = ACTIONS(3713),
    [anon_sym_try] = ACTIONS(3713),
    [anon_sym_when] = ACTIONS(3713),
    [anon_sym_await] = ACTIONS(3713),
    [anon_sym_foreach] = ACTIONS(3713),
    [anon_sym_goto] = ACTIONS(3713),
    [anon_sym_if] = ACTIONS(3713),
    [anon_sym_DOT_DOT] = ACTIONS(3715),
    [anon_sym_from] = ACTIONS(3713),
    [anon_sym_into] = ACTIONS(3713),
    [anon_sym_join] = ACTIONS(3713),
    [anon_sym_on] = ACTIONS(3713),
    [anon_sym_equals] = ACTIONS(3713),
    [anon_sym_let] = ACTIONS(3713),
    [anon_sym_orderby] = ACTIONS(3713),
    [anon_sym_ascending] = ACTIONS(3713),
    [anon_sym_descending] = ACTIONS(3713),
    [anon_sym_group] = ACTIONS(3713),
    [anon_sym_by] = ACTIONS(3713),
    [anon_sym_select] = ACTIONS(3713),
    [anon_sym_DQUOTE] = ACTIONS(3715),
    [anon_sym_stackalloc] = ACTIONS(3713),
    [anon_sym_sizeof] = ACTIONS(3713),
    [anon_sym_typeof] = ACTIONS(3713),
    [anon_sym___makeref] = ACTIONS(3713),
    [anon_sym___reftype] = ACTIONS(3713),
    [anon_sym___refvalue] = ACTIONS(3713),
    [sym_null_literal] = ACTIONS(3713),
    [anon_sym_SQUOTE] = ACTIONS(3715),
    [sym_integer_literal] = ACTIONS(3713),
    [sym_real_literal] = ACTIONS(3715),
    [sym_verbatim_string_literal] = ACTIONS(3715),
    [aux_sym_preproc_if_token1] = ACTIONS(3715),
    [aux_sym_preproc_if_token3] = ACTIONS(3715),
    [aux_sym_preproc_else_token1] = ACTIONS(3715),
    [aux_sym_preproc_elif_token1] = ACTIONS(3715),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3715),
    [sym_interpolation_verbatim_start] = ACTIONS(3715),
    [sym_interpolation_raw_start] = ACTIONS(3715),
    [sym_raw_string_start] = ACTIONS(3715),
  },
  [2369] = {
    [sym_preproc_region] = STATE(2369),
    [sym_preproc_endregion] = STATE(2369),
    [sym_preproc_line] = STATE(2369),
    [sym_preproc_pragma] = STATE(2369),
    [sym_preproc_nullable] = STATE(2369),
    [sym_preproc_error] = STATE(2369),
    [sym_preproc_define] = STATE(2369),
    [sym_preproc_undef] = STATE(2369),
    [sym__identifier_token] = ACTIONS(3717),
    [anon_sym_extern] = ACTIONS(3717),
    [anon_sym_alias] = ACTIONS(3717),
    [anon_sym_SEMI] = ACTIONS(3719),
    [anon_sym_global] = ACTIONS(3717),
    [anon_sym_using] = ACTIONS(3717),
    [anon_sym_unsafe] = ACTIONS(3717),
    [anon_sym_static] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(3719),
    [anon_sym_LPAREN] = ACTIONS(3719),
    [anon_sym_return] = ACTIONS(3717),
    [anon_sym_namespace] = ACTIONS(3717),
    [anon_sym_class] = ACTIONS(3717),
    [anon_sym_ref] = ACTIONS(3717),
    [anon_sym_struct] = ACTIONS(3717),
    [anon_sym_enum] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_interface] = ACTIONS(3717),
    [anon_sym_delegate] = ACTIONS(3717),
    [anon_sym_record] = ACTIONS(3717),
    [anon_sym_abstract] = ACTIONS(3717),
    [anon_sym_async] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3717),
    [anon_sym_file] = ACTIONS(3717),
    [anon_sym_fixed] = ACTIONS(3717),
    [anon_sym_internal] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_override] = ACTIONS(3717),
    [anon_sym_partial] = ACTIONS(3717),
    [anon_sym_private] = ACTIONS(3717),
    [anon_sym_protected] = ACTIONS(3717),
    [anon_sym_public] = ACTIONS(3717),
    [anon_sym_readonly] = ACTIONS(3717),
    [anon_sym_required] = ACTIONS(3717),
    [anon_sym_sealed] = ACTIONS(3717),
    [anon_sym_virtual] = ACTIONS(3717),
    [anon_sym_volatile] = ACTIONS(3717),
    [anon_sym_where] = ACTIONS(3717),
    [anon_sym_notnull] = ACTIONS(3717),
    [anon_sym_unmanaged] = ACTIONS(3717),
    [anon_sym_checked] = ACTIONS(3717),
    [anon_sym_BANG] = ACTIONS(3719),
    [anon_sym_TILDE] = ACTIONS(3719),
    [anon_sym_PLUS_PLUS] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3719),
    [anon_sym_true] = ACTIONS(3717),
    [anon_sym_false] = ACTIONS(3717),
    [anon_sym_PLUS] = ACTIONS(3717),
    [anon_sym_DASH] = ACTIONS(3717),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_CARET] = ACTIONS(3719),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_this] = ACTIONS(3717),
    [anon_sym_scoped] = ACTIONS(3717),
    [anon_sym_base] = ACTIONS(3717),
    [anon_sym_var] = ACTIONS(3717),
    [sym_predefined_type] = ACTIONS(3717),
    [anon_sym_break] = ACTIONS(3717),
    [anon_sym_unchecked] = ACTIONS(3717),
    [anon_sym_continue] = ACTIONS(3717),
    [anon_sym_do] = ACTIONS(3717),
    [anon_sym_while] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3717),
    [anon_sym_lock] = ACTIONS(3717),
    [anon_sym_yield] = ACTIONS(3717),
    [anon_sym_switch] = ACTIONS(3717),
    [anon_sym_default] = ACTIONS(3717),
    [anon_sym_throw] = ACTIONS(3717),
    [anon_sym_try] = ACTIONS(3717),
    [anon_sym_when] = ACTIONS(3717),
    [anon_sym_await] = ACTIONS(3717),
    [anon_sym_foreach] = ACTIONS(3717),
    [anon_sym_goto] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(3717),
    [anon_sym_DOT_DOT] = ACTIONS(3719),
    [anon_sym_from] = ACTIONS(3717),
    [anon_sym_into] = ACTIONS(3717),
    [anon_sym_join] = ACTIONS(3717),
    [anon_sym_on] = ACTIONS(3717),
    [anon_sym_equals] = ACTIONS(3717),
    [anon_sym_let] = ACTIONS(3717),
    [anon_sym_orderby] = ACTIONS(3717),
    [anon_sym_ascending] = ACTIONS(3717),
    [anon_sym_descending] = ACTIONS(3717),
    [anon_sym_group] = ACTIONS(3717),
    [anon_sym_by] = ACTIONS(3717),
    [anon_sym_select] = ACTIONS(3717),
    [anon_sym_DQUOTE] = ACTIONS(3719),
    [anon_sym_stackalloc] = ACTIONS(3717),
    [anon_sym_sizeof] = ACTIONS(3717),
    [anon_sym_typeof] = ACTIONS(3717),
    [anon_sym___makeref] = ACTIONS(3717),
    [anon_sym___reftype] = ACTIONS(3717),
    [anon_sym___refvalue] = ACTIONS(3717),
    [sym_null_literal] = ACTIONS(3717),
    [anon_sym_SQUOTE] = ACTIONS(3719),
    [sym_integer_literal] = ACTIONS(3717),
    [sym_real_literal] = ACTIONS(3719),
    [sym_verbatim_string_literal] = ACTIONS(3719),
    [aux_sym_preproc_if_token1] = ACTIONS(3719),
    [aux_sym_preproc_if_token3] = ACTIONS(3719),
    [aux_sym_preproc_else_token1] = ACTIONS(3719),
    [aux_sym_preproc_elif_token1] = ACTIONS(3719),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3719),
    [sym_interpolation_verbatim_start] = ACTIONS(3719),
    [sym_interpolation_raw_start] = ACTIONS(3719),
    [sym_raw_string_start] = ACTIONS(3719),
  },
  [2370] = {
    [sym_preproc_region] = STATE(2370),
    [sym_preproc_endregion] = STATE(2370),
    [sym_preproc_line] = STATE(2370),
    [sym_preproc_pragma] = STATE(2370),
    [sym_preproc_nullable] = STATE(2370),
    [sym_preproc_error] = STATE(2370),
    [sym_preproc_define] = STATE(2370),
    [sym_preproc_undef] = STATE(2370),
    [sym__identifier_token] = ACTIONS(3721),
    [anon_sym_extern] = ACTIONS(3721),
    [anon_sym_alias] = ACTIONS(3721),
    [anon_sym_SEMI] = ACTIONS(3723),
    [anon_sym_global] = ACTIONS(3721),
    [anon_sym_using] = ACTIONS(3721),
    [anon_sym_unsafe] = ACTIONS(3721),
    [anon_sym_static] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_return] = ACTIONS(3721),
    [anon_sym_namespace] = ACTIONS(3721),
    [anon_sym_class] = ACTIONS(3721),
    [anon_sym_ref] = ACTIONS(3721),
    [anon_sym_struct] = ACTIONS(3721),
    [anon_sym_enum] = ACTIONS(3721),
    [anon_sym_LBRACE] = ACTIONS(3723),
    [anon_sym_interface] = ACTIONS(3721),
    [anon_sym_delegate] = ACTIONS(3721),
    [anon_sym_record] = ACTIONS(3721),
    [anon_sym_abstract] = ACTIONS(3721),
    [anon_sym_async] = ACTIONS(3721),
    [anon_sym_const] = ACTIONS(3721),
    [anon_sym_file] = ACTIONS(3721),
    [anon_sym_fixed] = ACTIONS(3721),
    [anon_sym_internal] = ACTIONS(3721),
    [anon_sym_new] = ACTIONS(3721),
    [anon_sym_override] = ACTIONS(3721),
    [anon_sym_partial] = ACTIONS(3721),
    [anon_sym_private] = ACTIONS(3721),
    [anon_sym_protected] = ACTIONS(3721),
    [anon_sym_public] = ACTIONS(3721),
    [anon_sym_readonly] = ACTIONS(3721),
    [anon_sym_required] = ACTIONS(3721),
    [anon_sym_sealed] = ACTIONS(3721),
    [anon_sym_virtual] = ACTIONS(3721),
    [anon_sym_volatile] = ACTIONS(3721),
    [anon_sym_where] = ACTIONS(3721),
    [anon_sym_notnull] = ACTIONS(3721),
    [anon_sym_unmanaged] = ACTIONS(3721),
    [anon_sym_checked] = ACTIONS(3721),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_PLUS_PLUS] = ACTIONS(3723),
    [anon_sym_DASH_DASH] = ACTIONS(3723),
    [anon_sym_true] = ACTIONS(3721),
    [anon_sym_false] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3723),
    [anon_sym_CARET] = ACTIONS(3723),
    [anon_sym_AMP] = ACTIONS(3723),
    [anon_sym_this] = ACTIONS(3721),
    [anon_sym_scoped] = ACTIONS(3721),
    [anon_sym_base] = ACTIONS(3721),
    [anon_sym_var] = ACTIONS(3721),
    [sym_predefined_type] = ACTIONS(3721),
    [anon_sym_break] = ACTIONS(3721),
    [anon_sym_unchecked] = ACTIONS(3721),
    [anon_sym_continue] = ACTIONS(3721),
    [anon_sym_do] = ACTIONS(3721),
    [anon_sym_while] = ACTIONS(3721),
    [anon_sym_for] = ACTIONS(3721),
    [anon_sym_lock] = ACTIONS(3721),
    [anon_sym_yield] = ACTIONS(3721),
    [anon_sym_switch] = ACTIONS(3721),
    [anon_sym_default] = ACTIONS(3721),
    [anon_sym_throw] = ACTIONS(3721),
    [anon_sym_try] = ACTIONS(3721),
    [anon_sym_when] = ACTIONS(3721),
    [anon_sym_await] = ACTIONS(3721),
    [anon_sym_foreach] = ACTIONS(3721),
    [anon_sym_goto] = ACTIONS(3721),
    [anon_sym_if] = ACTIONS(3721),
    [anon_sym_DOT_DOT] = ACTIONS(3723),
    [anon_sym_from] = ACTIONS(3721),
    [anon_sym_into] = ACTIONS(3721),
    [anon_sym_join] = ACTIONS(3721),
    [anon_sym_on] = ACTIONS(3721),
    [anon_sym_equals] = ACTIONS(3721),
    [anon_sym_let] = ACTIONS(3721),
    [anon_sym_orderby] = ACTIONS(3721),
    [anon_sym_ascending] = ACTIONS(3721),
    [anon_sym_descending] = ACTIONS(3721),
    [anon_sym_group] = ACTIONS(3721),
    [anon_sym_by] = ACTIONS(3721),
    [anon_sym_select] = ACTIONS(3721),
    [anon_sym_DQUOTE] = ACTIONS(3723),
    [anon_sym_stackalloc] = ACTIONS(3721),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3721),
    [anon_sym___makeref] = ACTIONS(3721),
    [anon_sym___reftype] = ACTIONS(3721),
    [anon_sym___refvalue] = ACTIONS(3721),
    [sym_null_literal] = ACTIONS(3721),
    [anon_sym_SQUOTE] = ACTIONS(3723),
    [sym_integer_literal] = ACTIONS(3721),
    [sym_real_literal] = ACTIONS(3723),
    [sym_verbatim_string_literal] = ACTIONS(3723),
    [aux_sym_preproc_if_token1] = ACTIONS(3723),
    [aux_sym_preproc_if_token3] = ACTIONS(3723),
    [aux_sym_preproc_else_token1] = ACTIONS(3723),
    [aux_sym_preproc_elif_token1] = ACTIONS(3723),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3723),
    [sym_interpolation_verbatim_start] = ACTIONS(3723),
    [sym_interpolation_raw_start] = ACTIONS(3723),
    [sym_raw_string_start] = ACTIONS(3723),
  },
  [2371] = {
    [sym_preproc_region] = STATE(2371),
    [sym_preproc_endregion] = STATE(2371),
    [sym_preproc_line] = STATE(2371),
    [sym_preproc_pragma] = STATE(2371),
    [sym_preproc_nullable] = STATE(2371),
    [sym_preproc_error] = STATE(2371),
    [sym_preproc_define] = STATE(2371),
    [sym_preproc_undef] = STATE(2371),
    [sym__identifier_token] = ACTIONS(3725),
    [anon_sym_extern] = ACTIONS(3725),
    [anon_sym_alias] = ACTIONS(3725),
    [anon_sym_SEMI] = ACTIONS(3727),
    [anon_sym_global] = ACTIONS(3725),
    [anon_sym_using] = ACTIONS(3725),
    [anon_sym_unsafe] = ACTIONS(3725),
    [anon_sym_static] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_namespace] = ACTIONS(3725),
    [anon_sym_class] = ACTIONS(3725),
    [anon_sym_ref] = ACTIONS(3725),
    [anon_sym_struct] = ACTIONS(3725),
    [anon_sym_enum] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3727),
    [anon_sym_interface] = ACTIONS(3725),
    [anon_sym_delegate] = ACTIONS(3725),
    [anon_sym_record] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3725),
    [anon_sym_async] = ACTIONS(3725),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_file] = ACTIONS(3725),
    [anon_sym_fixed] = ACTIONS(3725),
    [anon_sym_internal] = ACTIONS(3725),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_override] = ACTIONS(3725),
    [anon_sym_partial] = ACTIONS(3725),
    [anon_sym_private] = ACTIONS(3725),
    [anon_sym_protected] = ACTIONS(3725),
    [anon_sym_public] = ACTIONS(3725),
    [anon_sym_readonly] = ACTIONS(3725),
    [anon_sym_required] = ACTIONS(3725),
    [anon_sym_sealed] = ACTIONS(3725),
    [anon_sym_virtual] = ACTIONS(3725),
    [anon_sym_volatile] = ACTIONS(3725),
    [anon_sym_where] = ACTIONS(3725),
    [anon_sym_notnull] = ACTIONS(3725),
    [anon_sym_unmanaged] = ACTIONS(3725),
    [anon_sym_checked] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(3727),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_true] = ACTIONS(3725),
    [anon_sym_false] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_STAR] = ACTIONS(3727),
    [anon_sym_CARET] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(3727),
    [anon_sym_this] = ACTIONS(3725),
    [anon_sym_scoped] = ACTIONS(3725),
    [anon_sym_base] = ACTIONS(3725),
    [anon_sym_var] = ACTIONS(3725),
    [sym_predefined_type] = ACTIONS(3725),
    [anon_sym_break] = ACTIONS(3725),
    [anon_sym_unchecked] = ACTIONS(3725),
    [anon_sym_continue] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_lock] = ACTIONS(3725),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_switch] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_throw] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_when] = ACTIONS(3725),
    [anon_sym_await] = ACTIONS(3725),
    [anon_sym_foreach] = ACTIONS(3725),
    [anon_sym_goto] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_DOT_DOT] = ACTIONS(3727),
    [anon_sym_from] = ACTIONS(3725),
    [anon_sym_into] = ACTIONS(3725),
    [anon_sym_join] = ACTIONS(3725),
    [anon_sym_on] = ACTIONS(3725),
    [anon_sym_equals] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_orderby] = ACTIONS(3725),
    [anon_sym_ascending] = ACTIONS(3725),
    [anon_sym_descending] = ACTIONS(3725),
    [anon_sym_group] = ACTIONS(3725),
    [anon_sym_by] = ACTIONS(3725),
    [anon_sym_select] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_stackalloc] = ACTIONS(3725),
    [anon_sym_sizeof] = ACTIONS(3725),
    [anon_sym_typeof] = ACTIONS(3725),
    [anon_sym___makeref] = ACTIONS(3725),
    [anon_sym___reftype] = ACTIONS(3725),
    [anon_sym___refvalue] = ACTIONS(3725),
    [sym_null_literal] = ACTIONS(3725),
    [anon_sym_SQUOTE] = ACTIONS(3727),
    [sym_integer_literal] = ACTIONS(3725),
    [sym_real_literal] = ACTIONS(3727),
    [sym_verbatim_string_literal] = ACTIONS(3727),
    [aux_sym_preproc_if_token1] = ACTIONS(3727),
    [aux_sym_preproc_if_token3] = ACTIONS(3727),
    [aux_sym_preproc_else_token1] = ACTIONS(3727),
    [aux_sym_preproc_elif_token1] = ACTIONS(3727),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3727),
    [sym_interpolation_verbatim_start] = ACTIONS(3727),
    [sym_interpolation_raw_start] = ACTIONS(3727),
    [sym_raw_string_start] = ACTIONS(3727),
  },
  [2372] = {
    [sym_preproc_region] = STATE(2372),
    [sym_preproc_endregion] = STATE(2372),
    [sym_preproc_line] = STATE(2372),
    [sym_preproc_pragma] = STATE(2372),
    [sym_preproc_nullable] = STATE(2372),
    [sym_preproc_error] = STATE(2372),
    [sym_preproc_define] = STATE(2372),
    [sym_preproc_undef] = STATE(2372),
    [sym__identifier_token] = ACTIONS(3729),
    [anon_sym_extern] = ACTIONS(3729),
    [anon_sym_alias] = ACTIONS(3729),
    [anon_sym_SEMI] = ACTIONS(3731),
    [anon_sym_global] = ACTIONS(3729),
    [anon_sym_using] = ACTIONS(3729),
    [anon_sym_unsafe] = ACTIONS(3729),
    [anon_sym_static] = ACTIONS(3729),
    [anon_sym_LBRACK] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_return] = ACTIONS(3729),
    [anon_sym_namespace] = ACTIONS(3729),
    [anon_sym_class] = ACTIONS(3729),
    [anon_sym_ref] = ACTIONS(3729),
    [anon_sym_struct] = ACTIONS(3729),
    [anon_sym_enum] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(3731),
    [anon_sym_interface] = ACTIONS(3729),
    [anon_sym_delegate] = ACTIONS(3729),
    [anon_sym_record] = ACTIONS(3729),
    [anon_sym_abstract] = ACTIONS(3729),
    [anon_sym_async] = ACTIONS(3729),
    [anon_sym_const] = ACTIONS(3729),
    [anon_sym_file] = ACTIONS(3729),
    [anon_sym_fixed] = ACTIONS(3729),
    [anon_sym_internal] = ACTIONS(3729),
    [anon_sym_new] = ACTIONS(3729),
    [anon_sym_override] = ACTIONS(3729),
    [anon_sym_partial] = ACTIONS(3729),
    [anon_sym_private] = ACTIONS(3729),
    [anon_sym_protected] = ACTIONS(3729),
    [anon_sym_public] = ACTIONS(3729),
    [anon_sym_readonly] = ACTIONS(3729),
    [anon_sym_required] = ACTIONS(3729),
    [anon_sym_sealed] = ACTIONS(3729),
    [anon_sym_virtual] = ACTIONS(3729),
    [anon_sym_volatile] = ACTIONS(3729),
    [anon_sym_where] = ACTIONS(3729),
    [anon_sym_notnull] = ACTIONS(3729),
    [anon_sym_unmanaged] = ACTIONS(3729),
    [anon_sym_checked] = ACTIONS(3729),
    [anon_sym_BANG] = ACTIONS(3731),
    [anon_sym_TILDE] = ACTIONS(3731),
    [anon_sym_PLUS_PLUS] = ACTIONS(3731),
    [anon_sym_DASH_DASH] = ACTIONS(3731),
    [anon_sym_true] = ACTIONS(3729),
    [anon_sym_false] = ACTIONS(3729),
    [anon_sym_PLUS] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3729),
    [anon_sym_STAR] = ACTIONS(3731),
    [anon_sym_CARET] = ACTIONS(3731),
    [anon_sym_AMP] = ACTIONS(3731),
    [anon_sym_this] = ACTIONS(3729),
    [anon_sym_scoped] = ACTIONS(3729),
    [anon_sym_base] = ACTIONS(3729),
    [anon_sym_var] = ACTIONS(3729),
    [sym_predefined_type] = ACTIONS(3729),
    [anon_sym_break] = ACTIONS(3729),
    [anon_sym_unchecked] = ACTIONS(3729),
    [anon_sym_continue] = ACTIONS(3729),
    [anon_sym_do] = ACTIONS(3729),
    [anon_sym_while] = ACTIONS(3729),
    [anon_sym_for] = ACTIONS(3729),
    [anon_sym_lock] = ACTIONS(3729),
    [anon_sym_yield] = ACTIONS(3729),
    [anon_sym_switch] = ACTIONS(3729),
    [anon_sym_default] = ACTIONS(3729),
    [anon_sym_throw] = ACTIONS(3729),
    [anon_sym_try] = ACTIONS(3729),
    [anon_sym_when] = ACTIONS(3729),
    [anon_sym_await] = ACTIONS(3729),
    [anon_sym_foreach] = ACTIONS(3729),
    [anon_sym_goto] = ACTIONS(3729),
    [anon_sym_if] = ACTIONS(3729),
    [anon_sym_DOT_DOT] = ACTIONS(3731),
    [anon_sym_from] = ACTIONS(3729),
    [anon_sym_into] = ACTIONS(3729),
    [anon_sym_join] = ACTIONS(3729),
    [anon_sym_on] = ACTIONS(3729),
    [anon_sym_equals] = ACTIONS(3729),
    [anon_sym_let] = ACTIONS(3729),
    [anon_sym_orderby] = ACTIONS(3729),
    [anon_sym_ascending] = ACTIONS(3729),
    [anon_sym_descending] = ACTIONS(3729),
    [anon_sym_group] = ACTIONS(3729),
    [anon_sym_by] = ACTIONS(3729),
    [anon_sym_select] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_stackalloc] = ACTIONS(3729),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym_typeof] = ACTIONS(3729),
    [anon_sym___makeref] = ACTIONS(3729),
    [anon_sym___reftype] = ACTIONS(3729),
    [anon_sym___refvalue] = ACTIONS(3729),
    [sym_null_literal] = ACTIONS(3729),
    [anon_sym_SQUOTE] = ACTIONS(3731),
    [sym_integer_literal] = ACTIONS(3729),
    [sym_real_literal] = ACTIONS(3731),
    [sym_verbatim_string_literal] = ACTIONS(3731),
    [aux_sym_preproc_if_token1] = ACTIONS(3731),
    [aux_sym_preproc_if_token3] = ACTIONS(3731),
    [aux_sym_preproc_else_token1] = ACTIONS(3731),
    [aux_sym_preproc_elif_token1] = ACTIONS(3731),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3731),
    [sym_interpolation_verbatim_start] = ACTIONS(3731),
    [sym_interpolation_raw_start] = ACTIONS(3731),
    [sym_raw_string_start] = ACTIONS(3731),
  },
  [2373] = {
    [sym_preproc_region] = STATE(2373),
    [sym_preproc_endregion] = STATE(2373),
    [sym_preproc_line] = STATE(2373),
    [sym_preproc_pragma] = STATE(2373),
    [sym_preproc_nullable] = STATE(2373),
    [sym_preproc_error] = STATE(2373),
    [sym_preproc_define] = STATE(2373),
    [sym_preproc_undef] = STATE(2373),
    [sym__identifier_token] = ACTIONS(3733),
    [anon_sym_extern] = ACTIONS(3733),
    [anon_sym_alias] = ACTIONS(3733),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_global] = ACTIONS(3733),
    [anon_sym_using] = ACTIONS(3733),
    [anon_sym_unsafe] = ACTIONS(3733),
    [anon_sym_static] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(3735),
    [anon_sym_LPAREN] = ACTIONS(3735),
    [anon_sym_return] = ACTIONS(3733),
    [anon_sym_namespace] = ACTIONS(3733),
    [anon_sym_class] = ACTIONS(3733),
    [anon_sym_ref] = ACTIONS(3733),
    [anon_sym_struct] = ACTIONS(3733),
    [anon_sym_enum] = ACTIONS(3733),
    [anon_sym_LBRACE] = ACTIONS(3735),
    [anon_sym_interface] = ACTIONS(3733),
    [anon_sym_delegate] = ACTIONS(3733),
    [anon_sym_record] = ACTIONS(3733),
    [anon_sym_abstract] = ACTIONS(3733),
    [anon_sym_async] = ACTIONS(3733),
    [anon_sym_const] = ACTIONS(3733),
    [anon_sym_file] = ACTIONS(3733),
    [anon_sym_fixed] = ACTIONS(3733),
    [anon_sym_internal] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3733),
    [anon_sym_override] = ACTIONS(3733),
    [anon_sym_partial] = ACTIONS(3733),
    [anon_sym_private] = ACTIONS(3733),
    [anon_sym_protected] = ACTIONS(3733),
    [anon_sym_public] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3733),
    [anon_sym_required] = ACTIONS(3733),
    [anon_sym_sealed] = ACTIONS(3733),
    [anon_sym_virtual] = ACTIONS(3733),
    [anon_sym_volatile] = ACTIONS(3733),
    [anon_sym_where] = ACTIONS(3733),
    [anon_sym_notnull] = ACTIONS(3733),
    [anon_sym_unmanaged] = ACTIONS(3733),
    [anon_sym_checked] = ACTIONS(3733),
    [anon_sym_BANG] = ACTIONS(3735),
    [anon_sym_TILDE] = ACTIONS(3735),
    [anon_sym_PLUS_PLUS] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(3735),
    [anon_sym_true] = ACTIONS(3733),
    [anon_sym_false] = ACTIONS(3733),
    [anon_sym_PLUS] = ACTIONS(3733),
    [anon_sym_DASH] = ACTIONS(3733),
    [anon_sym_STAR] = ACTIONS(3735),
    [anon_sym_CARET] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3735),
    [anon_sym_this] = ACTIONS(3733),
    [anon_sym_scoped] = ACTIONS(3733),
    [anon_sym_base] = ACTIONS(3733),
    [anon_sym_var] = ACTIONS(3733),
    [sym_predefined_type] = ACTIONS(3733),
    [anon_sym_break] = ACTIONS(3733),
    [anon_sym_unchecked] = ACTIONS(3733),
    [anon_sym_continue] = ACTIONS(3733),
    [anon_sym_do] = ACTIONS(3733),
    [anon_sym_while] = ACTIONS(3733),
    [anon_sym_for] = ACTIONS(3733),
    [anon_sym_lock] = ACTIONS(3733),
    [anon_sym_yield] = ACTIONS(3733),
    [anon_sym_switch] = ACTIONS(3733),
    [anon_sym_default] = ACTIONS(3733),
    [anon_sym_throw] = ACTIONS(3733),
    [anon_sym_try] = ACTIONS(3733),
    [anon_sym_when] = ACTIONS(3733),
    [anon_sym_await] = ACTIONS(3733),
    [anon_sym_foreach] = ACTIONS(3733),
    [anon_sym_goto] = ACTIONS(3733),
    [anon_sym_if] = ACTIONS(3733),
    [anon_sym_DOT_DOT] = ACTIONS(3735),
    [anon_sym_from] = ACTIONS(3733),
    [anon_sym_into] = ACTIONS(3733),
    [anon_sym_join] = ACTIONS(3733),
    [anon_sym_on] = ACTIONS(3733),
    [anon_sym_equals] = ACTIONS(3733),
    [anon_sym_let] = ACTIONS(3733),
    [anon_sym_orderby] = ACTIONS(3733),
    [anon_sym_ascending] = ACTIONS(3733),
    [anon_sym_descending] = ACTIONS(3733),
    [anon_sym_group] = ACTIONS(3733),
    [anon_sym_by] = ACTIONS(3733),
    [anon_sym_select] = ACTIONS(3733),
    [anon_sym_DQUOTE] = ACTIONS(3735),
    [anon_sym_stackalloc] = ACTIONS(3733),
    [anon_sym_sizeof] = ACTIONS(3733),
    [anon_sym_typeof] = ACTIONS(3733),
    [anon_sym___makeref] = ACTIONS(3733),
    [anon_sym___reftype] = ACTIONS(3733),
    [anon_sym___refvalue] = ACTIONS(3733),
    [sym_null_literal] = ACTIONS(3733),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [sym_integer_literal] = ACTIONS(3733),
    [sym_real_literal] = ACTIONS(3735),
    [sym_verbatim_string_literal] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token3] = ACTIONS(3735),
    [aux_sym_preproc_else_token1] = ACTIONS(3735),
    [aux_sym_preproc_elif_token1] = ACTIONS(3735),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3735),
    [sym_interpolation_verbatim_start] = ACTIONS(3735),
    [sym_interpolation_raw_start] = ACTIONS(3735),
    [sym_raw_string_start] = ACTIONS(3735),
  },
  [2374] = {
    [sym_preproc_region] = STATE(2374),
    [sym_preproc_endregion] = STATE(2374),
    [sym_preproc_line] = STATE(2374),
    [sym_preproc_pragma] = STATE(2374),
    [sym_preproc_nullable] = STATE(2374),
    [sym_preproc_error] = STATE(2374),
    [sym_preproc_define] = STATE(2374),
    [sym_preproc_undef] = STATE(2374),
    [sym__identifier_token] = ACTIONS(3737),
    [anon_sym_extern] = ACTIONS(3737),
    [anon_sym_alias] = ACTIONS(3737),
    [anon_sym_SEMI] = ACTIONS(3739),
    [anon_sym_global] = ACTIONS(3737),
    [anon_sym_using] = ACTIONS(3737),
    [anon_sym_unsafe] = ACTIONS(3737),
    [anon_sym_static] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [anon_sym_LPAREN] = ACTIONS(3739),
    [anon_sym_return] = ACTIONS(3737),
    [anon_sym_namespace] = ACTIONS(3737),
    [anon_sym_class] = ACTIONS(3737),
    [anon_sym_ref] = ACTIONS(3737),
    [anon_sym_struct] = ACTIONS(3737),
    [anon_sym_enum] = ACTIONS(3737),
    [anon_sym_LBRACE] = ACTIONS(3739),
    [anon_sym_interface] = ACTIONS(3737),
    [anon_sym_delegate] = ACTIONS(3737),
    [anon_sym_record] = ACTIONS(3737),
    [anon_sym_abstract] = ACTIONS(3737),
    [anon_sym_async] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3737),
    [anon_sym_file] = ACTIONS(3737),
    [anon_sym_fixed] = ACTIONS(3737),
    [anon_sym_internal] = ACTIONS(3737),
    [anon_sym_new] = ACTIONS(3737),
    [anon_sym_override] = ACTIONS(3737),
    [anon_sym_partial] = ACTIONS(3737),
    [anon_sym_private] = ACTIONS(3737),
    [anon_sym_protected] = ACTIONS(3737),
    [anon_sym_public] = ACTIONS(3737),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_required] = ACTIONS(3737),
    [anon_sym_sealed] = ACTIONS(3737),
    [anon_sym_virtual] = ACTIONS(3737),
    [anon_sym_volatile] = ACTIONS(3737),
    [anon_sym_where] = ACTIONS(3737),
    [anon_sym_notnull] = ACTIONS(3737),
    [anon_sym_unmanaged] = ACTIONS(3737),
    [anon_sym_checked] = ACTIONS(3737),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_PLUS_PLUS] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3739),
    [anon_sym_true] = ACTIONS(3737),
    [anon_sym_false] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(3739),
    [anon_sym_CARET] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(3739),
    [anon_sym_this] = ACTIONS(3737),
    [anon_sym_scoped] = ACTIONS(3737),
    [anon_sym_base] = ACTIONS(3737),
    [anon_sym_var] = ACTIONS(3737),
    [sym_predefined_type] = ACTIONS(3737),
    [anon_sym_break] = ACTIONS(3737),
    [anon_sym_unchecked] = ACTIONS(3737),
    [anon_sym_continue] = ACTIONS(3737),
    [anon_sym_do] = ACTIONS(3737),
    [anon_sym_while] = ACTIONS(3737),
    [anon_sym_for] = ACTIONS(3737),
    [anon_sym_lock] = ACTIONS(3737),
    [anon_sym_yield] = ACTIONS(3737),
    [anon_sym_switch] = ACTIONS(3737),
    [anon_sym_default] = ACTIONS(3737),
    [anon_sym_throw] = ACTIONS(3737),
    [anon_sym_try] = ACTIONS(3737),
    [anon_sym_when] = ACTIONS(3737),
    [anon_sym_await] = ACTIONS(3737),
    [anon_sym_foreach] = ACTIONS(3737),
    [anon_sym_goto] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(3737),
    [anon_sym_DOT_DOT] = ACTIONS(3739),
    [anon_sym_from] = ACTIONS(3737),
    [anon_sym_into] = ACTIONS(3737),
    [anon_sym_join] = ACTIONS(3737),
    [anon_sym_on] = ACTIONS(3737),
    [anon_sym_equals] = ACTIONS(3737),
    [anon_sym_let] = ACTIONS(3737),
    [anon_sym_orderby] = ACTIONS(3737),
    [anon_sym_ascending] = ACTIONS(3737),
    [anon_sym_descending] = ACTIONS(3737),
    [anon_sym_group] = ACTIONS(3737),
    [anon_sym_by] = ACTIONS(3737),
    [anon_sym_select] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3739),
    [anon_sym_stackalloc] = ACTIONS(3737),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym_typeof] = ACTIONS(3737),
    [anon_sym___makeref] = ACTIONS(3737),
    [anon_sym___reftype] = ACTIONS(3737),
    [anon_sym___refvalue] = ACTIONS(3737),
    [sym_null_literal] = ACTIONS(3737),
    [anon_sym_SQUOTE] = ACTIONS(3739),
    [sym_integer_literal] = ACTIONS(3737),
    [sym_real_literal] = ACTIONS(3739),
    [sym_verbatim_string_literal] = ACTIONS(3739),
    [aux_sym_preproc_if_token1] = ACTIONS(3739),
    [aux_sym_preproc_if_token3] = ACTIONS(3739),
    [aux_sym_preproc_else_token1] = ACTIONS(3739),
    [aux_sym_preproc_elif_token1] = ACTIONS(3739),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3739),
    [sym_interpolation_verbatim_start] = ACTIONS(3739),
    [sym_interpolation_raw_start] = ACTIONS(3739),
    [sym_raw_string_start] = ACTIONS(3739),
  },
  [2375] = {
    [sym_preproc_region] = STATE(2375),
    [sym_preproc_endregion] = STATE(2375),
    [sym_preproc_line] = STATE(2375),
    [sym_preproc_pragma] = STATE(2375),
    [sym_preproc_nullable] = STATE(2375),
    [sym_preproc_error] = STATE(2375),
    [sym_preproc_define] = STATE(2375),
    [sym_preproc_undef] = STATE(2375),
    [sym__identifier_token] = ACTIONS(3741),
    [anon_sym_extern] = ACTIONS(3741),
    [anon_sym_alias] = ACTIONS(3741),
    [anon_sym_SEMI] = ACTIONS(3743),
    [anon_sym_global] = ACTIONS(3741),
    [anon_sym_using] = ACTIONS(3741),
    [anon_sym_unsafe] = ACTIONS(3741),
    [anon_sym_static] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3743),
    [anon_sym_LPAREN] = ACTIONS(3743),
    [anon_sym_return] = ACTIONS(3741),
    [anon_sym_namespace] = ACTIONS(3741),
    [anon_sym_class] = ACTIONS(3741),
    [anon_sym_ref] = ACTIONS(3741),
    [anon_sym_struct] = ACTIONS(3741),
    [anon_sym_enum] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(3743),
    [anon_sym_interface] = ACTIONS(3741),
    [anon_sym_delegate] = ACTIONS(3741),
    [anon_sym_record] = ACTIONS(3741),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_async] = ACTIONS(3741),
    [anon_sym_const] = ACTIONS(3741),
    [anon_sym_file] = ACTIONS(3741),
    [anon_sym_fixed] = ACTIONS(3741),
    [anon_sym_internal] = ACTIONS(3741),
    [anon_sym_new] = ACTIONS(3741),
    [anon_sym_override] = ACTIONS(3741),
    [anon_sym_partial] = ACTIONS(3741),
    [anon_sym_private] = ACTIONS(3741),
    [anon_sym_protected] = ACTIONS(3741),
    [anon_sym_public] = ACTIONS(3741),
    [anon_sym_readonly] = ACTIONS(3741),
    [anon_sym_required] = ACTIONS(3741),
    [anon_sym_sealed] = ACTIONS(3741),
    [anon_sym_virtual] = ACTIONS(3741),
    [anon_sym_volatile] = ACTIONS(3741),
    [anon_sym_where] = ACTIONS(3741),
    [anon_sym_notnull] = ACTIONS(3741),
    [anon_sym_unmanaged] = ACTIONS(3741),
    [anon_sym_checked] = ACTIONS(3741),
    [anon_sym_BANG] = ACTIONS(3743),
    [anon_sym_TILDE] = ACTIONS(3743),
    [anon_sym_PLUS_PLUS] = ACTIONS(3743),
    [anon_sym_DASH_DASH] = ACTIONS(3743),
    [anon_sym_true] = ACTIONS(3741),
    [anon_sym_false] = ACTIONS(3741),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_STAR] = ACTIONS(3743),
    [anon_sym_CARET] = ACTIONS(3743),
    [anon_sym_AMP] = ACTIONS(3743),
    [anon_sym_this] = ACTIONS(3741),
    [anon_sym_scoped] = ACTIONS(3741),
    [anon_sym_base] = ACTIONS(3741),
    [anon_sym_var] = ACTIONS(3741),
    [sym_predefined_type] = ACTIONS(3741),
    [anon_sym_break] = ACTIONS(3741),
    [anon_sym_unchecked] = ACTIONS(3741),
    [anon_sym_continue] = ACTIONS(3741),
    [anon_sym_do] = ACTIONS(3741),
    [anon_sym_while] = ACTIONS(3741),
    [anon_sym_for] = ACTIONS(3741),
    [anon_sym_lock] = ACTIONS(3741),
    [anon_sym_yield] = ACTIONS(3741),
    [anon_sym_switch] = ACTIONS(3741),
    [anon_sym_default] = ACTIONS(3741),
    [anon_sym_throw] = ACTIONS(3741),
    [anon_sym_try] = ACTIONS(3741),
    [anon_sym_when] = ACTIONS(3741),
    [anon_sym_await] = ACTIONS(3741),
    [anon_sym_foreach] = ACTIONS(3741),
    [anon_sym_goto] = ACTIONS(3741),
    [anon_sym_if] = ACTIONS(3741),
    [anon_sym_DOT_DOT] = ACTIONS(3743),
    [anon_sym_from] = ACTIONS(3741),
    [anon_sym_into] = ACTIONS(3741),
    [anon_sym_join] = ACTIONS(3741),
    [anon_sym_on] = ACTIONS(3741),
    [anon_sym_equals] = ACTIONS(3741),
    [anon_sym_let] = ACTIONS(3741),
    [anon_sym_orderby] = ACTIONS(3741),
    [anon_sym_ascending] = ACTIONS(3741),
    [anon_sym_descending] = ACTIONS(3741),
    [anon_sym_group] = ACTIONS(3741),
    [anon_sym_by] = ACTIONS(3741),
    [anon_sym_select] = ACTIONS(3741),
    [anon_sym_DQUOTE] = ACTIONS(3743),
    [anon_sym_stackalloc] = ACTIONS(3741),
    [anon_sym_sizeof] = ACTIONS(3741),
    [anon_sym_typeof] = ACTIONS(3741),
    [anon_sym___makeref] = ACTIONS(3741),
    [anon_sym___reftype] = ACTIONS(3741),
    [anon_sym___refvalue] = ACTIONS(3741),
    [sym_null_literal] = ACTIONS(3741),
    [anon_sym_SQUOTE] = ACTIONS(3743),
    [sym_integer_literal] = ACTIONS(3741),
    [sym_real_literal] = ACTIONS(3743),
    [sym_verbatim_string_literal] = ACTIONS(3743),
    [aux_sym_preproc_if_token1] = ACTIONS(3743),
    [aux_sym_preproc_if_token3] = ACTIONS(3743),
    [aux_sym_preproc_else_token1] = ACTIONS(3743),
    [aux_sym_preproc_elif_token1] = ACTIONS(3743),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3743),
    [sym_interpolation_verbatim_start] = ACTIONS(3743),
    [sym_interpolation_raw_start] = ACTIONS(3743),
    [sym_raw_string_start] = ACTIONS(3743),
  },
  [2376] = {
    [sym_preproc_region] = STATE(2376),
    [sym_preproc_endregion] = STATE(2376),
    [sym_preproc_line] = STATE(2376),
    [sym_preproc_pragma] = STATE(2376),
    [sym_preproc_nullable] = STATE(2376),
    [sym_preproc_error] = STATE(2376),
    [sym_preproc_define] = STATE(2376),
    [sym_preproc_undef] = STATE(2376),
    [sym__identifier_token] = ACTIONS(3745),
    [anon_sym_extern] = ACTIONS(3745),
    [anon_sym_alias] = ACTIONS(3745),
    [anon_sym_SEMI] = ACTIONS(3747),
    [anon_sym_global] = ACTIONS(3745),
    [anon_sym_using] = ACTIONS(3745),
    [anon_sym_unsafe] = ACTIONS(3745),
    [anon_sym_static] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_return] = ACTIONS(3745),
    [anon_sym_namespace] = ACTIONS(3745),
    [anon_sym_class] = ACTIONS(3745),
    [anon_sym_ref] = ACTIONS(3745),
    [anon_sym_struct] = ACTIONS(3745),
    [anon_sym_enum] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_interface] = ACTIONS(3745),
    [anon_sym_delegate] = ACTIONS(3745),
    [anon_sym_record] = ACTIONS(3745),
    [anon_sym_abstract] = ACTIONS(3745),
    [anon_sym_async] = ACTIONS(3745),
    [anon_sym_const] = ACTIONS(3745),
    [anon_sym_file] = ACTIONS(3745),
    [anon_sym_fixed] = ACTIONS(3745),
    [anon_sym_internal] = ACTIONS(3745),
    [anon_sym_new] = ACTIONS(3745),
    [anon_sym_override] = ACTIONS(3745),
    [anon_sym_partial] = ACTIONS(3745),
    [anon_sym_private] = ACTIONS(3745),
    [anon_sym_protected] = ACTIONS(3745),
    [anon_sym_public] = ACTIONS(3745),
    [anon_sym_readonly] = ACTIONS(3745),
    [anon_sym_required] = ACTIONS(3745),
    [anon_sym_sealed] = ACTIONS(3745),
    [anon_sym_virtual] = ACTIONS(3745),
    [anon_sym_volatile] = ACTIONS(3745),
    [anon_sym_where] = ACTIONS(3745),
    [anon_sym_notnull] = ACTIONS(3745),
    [anon_sym_unmanaged] = ACTIONS(3745),
    [anon_sym_checked] = ACTIONS(3745),
    [anon_sym_BANG] = ACTIONS(3747),
    [anon_sym_TILDE] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_true] = ACTIONS(3745),
    [anon_sym_false] = ACTIONS(3745),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_STAR] = ACTIONS(3747),
    [anon_sym_CARET] = ACTIONS(3747),
    [anon_sym_AMP] = ACTIONS(3747),
    [anon_sym_this] = ACTIONS(3745),
    [anon_sym_scoped] = ACTIONS(3745),
    [anon_sym_base] = ACTIONS(3745),
    [anon_sym_var] = ACTIONS(3745),
    [sym_predefined_type] = ACTIONS(3745),
    [anon_sym_break] = ACTIONS(3745),
    [anon_sym_unchecked] = ACTIONS(3745),
    [anon_sym_continue] = ACTIONS(3745),
    [anon_sym_do] = ACTIONS(3745),
    [anon_sym_while] = ACTIONS(3745),
    [anon_sym_for] = ACTIONS(3745),
    [anon_sym_lock] = ACTIONS(3745),
    [anon_sym_yield] = ACTIONS(3745),
    [anon_sym_switch] = ACTIONS(3745),
    [anon_sym_default] = ACTIONS(3745),
    [anon_sym_throw] = ACTIONS(3745),
    [anon_sym_try] = ACTIONS(3745),
    [anon_sym_when] = ACTIONS(3745),
    [anon_sym_await] = ACTIONS(3745),
    [anon_sym_foreach] = ACTIONS(3745),
    [anon_sym_goto] = ACTIONS(3745),
    [anon_sym_if] = ACTIONS(3745),
    [anon_sym_DOT_DOT] = ACTIONS(3747),
    [anon_sym_from] = ACTIONS(3745),
    [anon_sym_into] = ACTIONS(3745),
    [anon_sym_join] = ACTIONS(3745),
    [anon_sym_on] = ACTIONS(3745),
    [anon_sym_equals] = ACTIONS(3745),
    [anon_sym_let] = ACTIONS(3745),
    [anon_sym_orderby] = ACTIONS(3745),
    [anon_sym_ascending] = ACTIONS(3745),
    [anon_sym_descending] = ACTIONS(3745),
    [anon_sym_group] = ACTIONS(3745),
    [anon_sym_by] = ACTIONS(3745),
    [anon_sym_select] = ACTIONS(3745),
    [anon_sym_DQUOTE] = ACTIONS(3747),
    [anon_sym_stackalloc] = ACTIONS(3745),
    [anon_sym_sizeof] = ACTIONS(3745),
    [anon_sym_typeof] = ACTIONS(3745),
    [anon_sym___makeref] = ACTIONS(3745),
    [anon_sym___reftype] = ACTIONS(3745),
    [anon_sym___refvalue] = ACTIONS(3745),
    [sym_null_literal] = ACTIONS(3745),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [sym_integer_literal] = ACTIONS(3745),
    [sym_real_literal] = ACTIONS(3747),
    [sym_verbatim_string_literal] = ACTIONS(3747),
    [aux_sym_preproc_if_token1] = ACTIONS(3747),
    [aux_sym_preproc_if_token3] = ACTIONS(3747),
    [aux_sym_preproc_else_token1] = ACTIONS(3747),
    [aux_sym_preproc_elif_token1] = ACTIONS(3747),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3747),
    [sym_interpolation_verbatim_start] = ACTIONS(3747),
    [sym_interpolation_raw_start] = ACTIONS(3747),
    [sym_raw_string_start] = ACTIONS(3747),
  },
  [2377] = {
    [sym_preproc_region] = STATE(2377),
    [sym_preproc_endregion] = STATE(2377),
    [sym_preproc_line] = STATE(2377),
    [sym_preproc_pragma] = STATE(2377),
    [sym_preproc_nullable] = STATE(2377),
    [sym_preproc_error] = STATE(2377),
    [sym_preproc_define] = STATE(2377),
    [sym_preproc_undef] = STATE(2377),
    [sym__identifier_token] = ACTIONS(3749),
    [anon_sym_extern] = ACTIONS(3749),
    [anon_sym_alias] = ACTIONS(3749),
    [anon_sym_SEMI] = ACTIONS(3751),
    [anon_sym_global] = ACTIONS(3749),
    [anon_sym_using] = ACTIONS(3749),
    [anon_sym_unsafe] = ACTIONS(3749),
    [anon_sym_static] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_return] = ACTIONS(3749),
    [anon_sym_namespace] = ACTIONS(3749),
    [anon_sym_class] = ACTIONS(3749),
    [anon_sym_ref] = ACTIONS(3749),
    [anon_sym_struct] = ACTIONS(3749),
    [anon_sym_enum] = ACTIONS(3749),
    [anon_sym_LBRACE] = ACTIONS(3751),
    [anon_sym_interface] = ACTIONS(3749),
    [anon_sym_delegate] = ACTIONS(3749),
    [anon_sym_record] = ACTIONS(3749),
    [anon_sym_abstract] = ACTIONS(3749),
    [anon_sym_async] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3749),
    [anon_sym_file] = ACTIONS(3749),
    [anon_sym_fixed] = ACTIONS(3749),
    [anon_sym_internal] = ACTIONS(3749),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_override] = ACTIONS(3749),
    [anon_sym_partial] = ACTIONS(3749),
    [anon_sym_private] = ACTIONS(3749),
    [anon_sym_protected] = ACTIONS(3749),
    [anon_sym_public] = ACTIONS(3749),
    [anon_sym_readonly] = ACTIONS(3749),
    [anon_sym_required] = ACTIONS(3749),
    [anon_sym_sealed] = ACTIONS(3749),
    [anon_sym_virtual] = ACTIONS(3749),
    [anon_sym_volatile] = ACTIONS(3749),
    [anon_sym_where] = ACTIONS(3749),
    [anon_sym_notnull] = ACTIONS(3749),
    [anon_sym_unmanaged] = ACTIONS(3749),
    [anon_sym_checked] = ACTIONS(3749),
    [anon_sym_BANG] = ACTIONS(3751),
    [anon_sym_TILDE] = ACTIONS(3751),
    [anon_sym_PLUS_PLUS] = ACTIONS(3751),
    [anon_sym_DASH_DASH] = ACTIONS(3751),
    [anon_sym_true] = ACTIONS(3749),
    [anon_sym_false] = ACTIONS(3749),
    [anon_sym_PLUS] = ACTIONS(3749),
    [anon_sym_DASH] = ACTIONS(3749),
    [anon_sym_STAR] = ACTIONS(3751),
    [anon_sym_CARET] = ACTIONS(3751),
    [anon_sym_AMP] = ACTIONS(3751),
    [anon_sym_this] = ACTIONS(3749),
    [anon_sym_scoped] = ACTIONS(3749),
    [anon_sym_base] = ACTIONS(3749),
    [anon_sym_var] = ACTIONS(3749),
    [sym_predefined_type] = ACTIONS(3749),
    [anon_sym_break] = ACTIONS(3749),
    [anon_sym_unchecked] = ACTIONS(3749),
    [anon_sym_continue] = ACTIONS(3749),
    [anon_sym_do] = ACTIONS(3749),
    [anon_sym_while] = ACTIONS(3749),
    [anon_sym_for] = ACTIONS(3749),
    [anon_sym_lock] = ACTIONS(3749),
    [anon_sym_yield] = ACTIONS(3749),
    [anon_sym_switch] = ACTIONS(3749),
    [anon_sym_default] = ACTIONS(3749),
    [anon_sym_throw] = ACTIONS(3749),
    [anon_sym_try] = ACTIONS(3749),
    [anon_sym_when] = ACTIONS(3749),
    [anon_sym_await] = ACTIONS(3749),
    [anon_sym_foreach] = ACTIONS(3749),
    [anon_sym_goto] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(3749),
    [anon_sym_DOT_DOT] = ACTIONS(3751),
    [anon_sym_from] = ACTIONS(3749),
    [anon_sym_into] = ACTIONS(3749),
    [anon_sym_join] = ACTIONS(3749),
    [anon_sym_on] = ACTIONS(3749),
    [anon_sym_equals] = ACTIONS(3749),
    [anon_sym_let] = ACTIONS(3749),
    [anon_sym_orderby] = ACTIONS(3749),
    [anon_sym_ascending] = ACTIONS(3749),
    [anon_sym_descending] = ACTIONS(3749),
    [anon_sym_group] = ACTIONS(3749),
    [anon_sym_by] = ACTIONS(3749),
    [anon_sym_select] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [anon_sym_stackalloc] = ACTIONS(3749),
    [anon_sym_sizeof] = ACTIONS(3749),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym___makeref] = ACTIONS(3749),
    [anon_sym___reftype] = ACTIONS(3749),
    [anon_sym___refvalue] = ACTIONS(3749),
    [sym_null_literal] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3751),
    [sym_integer_literal] = ACTIONS(3749),
    [sym_real_literal] = ACTIONS(3751),
    [sym_verbatim_string_literal] = ACTIONS(3751),
    [aux_sym_preproc_if_token1] = ACTIONS(3751),
    [aux_sym_preproc_if_token3] = ACTIONS(3751),
    [aux_sym_preproc_else_token1] = ACTIONS(3751),
    [aux_sym_preproc_elif_token1] = ACTIONS(3751),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3751),
    [sym_interpolation_verbatim_start] = ACTIONS(3751),
    [sym_interpolation_raw_start] = ACTIONS(3751),
    [sym_raw_string_start] = ACTIONS(3751),
  },
  [2378] = {
    [sym_preproc_region] = STATE(2378),
    [sym_preproc_endregion] = STATE(2378),
    [sym_preproc_line] = STATE(2378),
    [sym_preproc_pragma] = STATE(2378),
    [sym_preproc_nullable] = STATE(2378),
    [sym_preproc_error] = STATE(2378),
    [sym_preproc_define] = STATE(2378),
    [sym_preproc_undef] = STATE(2378),
    [sym__identifier_token] = ACTIONS(3753),
    [anon_sym_extern] = ACTIONS(3753),
    [anon_sym_alias] = ACTIONS(3753),
    [anon_sym_SEMI] = ACTIONS(3755),
    [anon_sym_global] = ACTIONS(3753),
    [anon_sym_using] = ACTIONS(3753),
    [anon_sym_unsafe] = ACTIONS(3753),
    [anon_sym_static] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_LPAREN] = ACTIONS(3755),
    [anon_sym_return] = ACTIONS(3753),
    [anon_sym_namespace] = ACTIONS(3753),
    [anon_sym_class] = ACTIONS(3753),
    [anon_sym_ref] = ACTIONS(3753),
    [anon_sym_struct] = ACTIONS(3753),
    [anon_sym_enum] = ACTIONS(3753),
    [anon_sym_LBRACE] = ACTIONS(3755),
    [anon_sym_interface] = ACTIONS(3753),
    [anon_sym_delegate] = ACTIONS(3753),
    [anon_sym_record] = ACTIONS(3753),
    [anon_sym_abstract] = ACTIONS(3753),
    [anon_sym_async] = ACTIONS(3753),
    [anon_sym_const] = ACTIONS(3753),
    [anon_sym_file] = ACTIONS(3753),
    [anon_sym_fixed] = ACTIONS(3753),
    [anon_sym_internal] = ACTIONS(3753),
    [anon_sym_new] = ACTIONS(3753),
    [anon_sym_override] = ACTIONS(3753),
    [anon_sym_partial] = ACTIONS(3753),
    [anon_sym_private] = ACTIONS(3753),
    [anon_sym_protected] = ACTIONS(3753),
    [anon_sym_public] = ACTIONS(3753),
    [anon_sym_readonly] = ACTIONS(3753),
    [anon_sym_required] = ACTIONS(3753),
    [anon_sym_sealed] = ACTIONS(3753),
    [anon_sym_virtual] = ACTIONS(3753),
    [anon_sym_volatile] = ACTIONS(3753),
    [anon_sym_where] = ACTIONS(3753),
    [anon_sym_notnull] = ACTIONS(3753),
    [anon_sym_unmanaged] = ACTIONS(3753),
    [anon_sym_checked] = ACTIONS(3753),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_PLUS_PLUS] = ACTIONS(3755),
    [anon_sym_DASH_DASH] = ACTIONS(3755),
    [anon_sym_true] = ACTIONS(3753),
    [anon_sym_false] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(3755),
    [anon_sym_CARET] = ACTIONS(3755),
    [anon_sym_AMP] = ACTIONS(3755),
    [anon_sym_this] = ACTIONS(3753),
    [anon_sym_scoped] = ACTIONS(3753),
    [anon_sym_base] = ACTIONS(3753),
    [anon_sym_var] = ACTIONS(3753),
    [sym_predefined_type] = ACTIONS(3753),
    [anon_sym_break] = ACTIONS(3753),
    [anon_sym_unchecked] = ACTIONS(3753),
    [anon_sym_continue] = ACTIONS(3753),
    [anon_sym_do] = ACTIONS(3753),
    [anon_sym_while] = ACTIONS(3753),
    [anon_sym_for] = ACTIONS(3753),
    [anon_sym_lock] = ACTIONS(3753),
    [anon_sym_yield] = ACTIONS(3753),
    [anon_sym_switch] = ACTIONS(3753),
    [anon_sym_default] = ACTIONS(3753),
    [anon_sym_throw] = ACTIONS(3753),
    [anon_sym_try] = ACTIONS(3753),
    [anon_sym_when] = ACTIONS(3753),
    [anon_sym_await] = ACTIONS(3753),
    [anon_sym_foreach] = ACTIONS(3753),
    [anon_sym_goto] = ACTIONS(3753),
    [anon_sym_if] = ACTIONS(3753),
    [anon_sym_DOT_DOT] = ACTIONS(3755),
    [anon_sym_from] = ACTIONS(3753),
    [anon_sym_into] = ACTIONS(3753),
    [anon_sym_join] = ACTIONS(3753),
    [anon_sym_on] = ACTIONS(3753),
    [anon_sym_equals] = ACTIONS(3753),
    [anon_sym_let] = ACTIONS(3753),
    [anon_sym_orderby] = ACTIONS(3753),
    [anon_sym_ascending] = ACTIONS(3753),
    [anon_sym_descending] = ACTIONS(3753),
    [anon_sym_group] = ACTIONS(3753),
    [anon_sym_by] = ACTIONS(3753),
    [anon_sym_select] = ACTIONS(3753),
    [anon_sym_DQUOTE] = ACTIONS(3755),
    [anon_sym_stackalloc] = ACTIONS(3753),
    [anon_sym_sizeof] = ACTIONS(3753),
    [anon_sym_typeof] = ACTIONS(3753),
    [anon_sym___makeref] = ACTIONS(3753),
    [anon_sym___reftype] = ACTIONS(3753),
    [anon_sym___refvalue] = ACTIONS(3753),
    [sym_null_literal] = ACTIONS(3753),
    [anon_sym_SQUOTE] = ACTIONS(3755),
    [sym_integer_literal] = ACTIONS(3753),
    [sym_real_literal] = ACTIONS(3755),
    [sym_verbatim_string_literal] = ACTIONS(3755),
    [aux_sym_preproc_if_token1] = ACTIONS(3755),
    [aux_sym_preproc_if_token3] = ACTIONS(3755),
    [aux_sym_preproc_else_token1] = ACTIONS(3755),
    [aux_sym_preproc_elif_token1] = ACTIONS(3755),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3755),
    [sym_interpolation_verbatim_start] = ACTIONS(3755),
    [sym_interpolation_raw_start] = ACTIONS(3755),
    [sym_raw_string_start] = ACTIONS(3755),
  },
  [2379] = {
    [sym_preproc_region] = STATE(2379),
    [sym_preproc_endregion] = STATE(2379),
    [sym_preproc_line] = STATE(2379),
    [sym_preproc_pragma] = STATE(2379),
    [sym_preproc_nullable] = STATE(2379),
    [sym_preproc_error] = STATE(2379),
    [sym_preproc_define] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym__identifier_token] = ACTIONS(3757),
    [anon_sym_extern] = ACTIONS(3757),
    [anon_sym_alias] = ACTIONS(3757),
    [anon_sym_SEMI] = ACTIONS(3759),
    [anon_sym_global] = ACTIONS(3757),
    [anon_sym_using] = ACTIONS(3757),
    [anon_sym_unsafe] = ACTIONS(3757),
    [anon_sym_static] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(3759),
    [anon_sym_return] = ACTIONS(3757),
    [anon_sym_namespace] = ACTIONS(3757),
    [anon_sym_class] = ACTIONS(3757),
    [anon_sym_ref] = ACTIONS(3757),
    [anon_sym_struct] = ACTIONS(3757),
    [anon_sym_enum] = ACTIONS(3757),
    [anon_sym_LBRACE] = ACTIONS(3759),
    [anon_sym_interface] = ACTIONS(3757),
    [anon_sym_delegate] = ACTIONS(3757),
    [anon_sym_record] = ACTIONS(3757),
    [anon_sym_abstract] = ACTIONS(3757),
    [anon_sym_async] = ACTIONS(3757),
    [anon_sym_const] = ACTIONS(3757),
    [anon_sym_file] = ACTIONS(3757),
    [anon_sym_fixed] = ACTIONS(3757),
    [anon_sym_internal] = ACTIONS(3757),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_override] = ACTIONS(3757),
    [anon_sym_partial] = ACTIONS(3757),
    [anon_sym_private] = ACTIONS(3757),
    [anon_sym_protected] = ACTIONS(3757),
    [anon_sym_public] = ACTIONS(3757),
    [anon_sym_readonly] = ACTIONS(3757),
    [anon_sym_required] = ACTIONS(3757),
    [anon_sym_sealed] = ACTIONS(3757),
    [anon_sym_virtual] = ACTIONS(3757),
    [anon_sym_volatile] = ACTIONS(3757),
    [anon_sym_where] = ACTIONS(3757),
    [anon_sym_notnull] = ACTIONS(3757),
    [anon_sym_unmanaged] = ACTIONS(3757),
    [anon_sym_checked] = ACTIONS(3757),
    [anon_sym_BANG] = ACTIONS(3759),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_PLUS_PLUS] = ACTIONS(3759),
    [anon_sym_DASH_DASH] = ACTIONS(3759),
    [anon_sym_true] = ACTIONS(3757),
    [anon_sym_false] = ACTIONS(3757),
    [anon_sym_PLUS] = ACTIONS(3757),
    [anon_sym_DASH] = ACTIONS(3757),
    [anon_sym_STAR] = ACTIONS(3759),
    [anon_sym_CARET] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(3759),
    [anon_sym_this] = ACTIONS(3757),
    [anon_sym_scoped] = ACTIONS(3757),
    [anon_sym_base] = ACTIONS(3757),
    [anon_sym_var] = ACTIONS(3757),
    [sym_predefined_type] = ACTIONS(3757),
    [anon_sym_break] = ACTIONS(3757),
    [anon_sym_unchecked] = ACTIONS(3757),
    [anon_sym_continue] = ACTIONS(3757),
    [anon_sym_do] = ACTIONS(3757),
    [anon_sym_while] = ACTIONS(3757),
    [anon_sym_for] = ACTIONS(3757),
    [anon_sym_lock] = ACTIONS(3757),
    [anon_sym_yield] = ACTIONS(3757),
    [anon_sym_switch] = ACTIONS(3757),
    [anon_sym_default] = ACTIONS(3757),
    [anon_sym_throw] = ACTIONS(3757),
    [anon_sym_try] = ACTIONS(3757),
    [anon_sym_when] = ACTIONS(3757),
    [anon_sym_await] = ACTIONS(3757),
    [anon_sym_foreach] = ACTIONS(3757),
    [anon_sym_goto] = ACTIONS(3757),
    [anon_sym_if] = ACTIONS(3757),
    [anon_sym_DOT_DOT] = ACTIONS(3759),
    [anon_sym_from] = ACTIONS(3757),
    [anon_sym_into] = ACTIONS(3757),
    [anon_sym_join] = ACTIONS(3757),
    [anon_sym_on] = ACTIONS(3757),
    [anon_sym_equals] = ACTIONS(3757),
    [anon_sym_let] = ACTIONS(3757),
    [anon_sym_orderby] = ACTIONS(3757),
    [anon_sym_ascending] = ACTIONS(3757),
    [anon_sym_descending] = ACTIONS(3757),
    [anon_sym_group] = ACTIONS(3757),
    [anon_sym_by] = ACTIONS(3757),
    [anon_sym_select] = ACTIONS(3757),
    [anon_sym_DQUOTE] = ACTIONS(3759),
    [anon_sym_stackalloc] = ACTIONS(3757),
    [anon_sym_sizeof] = ACTIONS(3757),
    [anon_sym_typeof] = ACTIONS(3757),
    [anon_sym___makeref] = ACTIONS(3757),
    [anon_sym___reftype] = ACTIONS(3757),
    [anon_sym___refvalue] = ACTIONS(3757),
    [sym_null_literal] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [sym_integer_literal] = ACTIONS(3757),
    [sym_real_literal] = ACTIONS(3759),
    [sym_verbatim_string_literal] = ACTIONS(3759),
    [aux_sym_preproc_if_token1] = ACTIONS(3759),
    [aux_sym_preproc_if_token3] = ACTIONS(3759),
    [aux_sym_preproc_else_token1] = ACTIONS(3759),
    [aux_sym_preproc_elif_token1] = ACTIONS(3759),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3759),
    [sym_interpolation_verbatim_start] = ACTIONS(3759),
    [sym_interpolation_raw_start] = ACTIONS(3759),
    [sym_raw_string_start] = ACTIONS(3759),
  },
  [2380] = {
    [sym_preproc_region] = STATE(2380),
    [sym_preproc_endregion] = STATE(2380),
    [sym_preproc_line] = STATE(2380),
    [sym_preproc_pragma] = STATE(2380),
    [sym_preproc_nullable] = STATE(2380),
    [sym_preproc_error] = STATE(2380),
    [sym_preproc_define] = STATE(2380),
    [sym_preproc_undef] = STATE(2380),
    [sym__identifier_token] = ACTIONS(3761),
    [anon_sym_extern] = ACTIONS(3761),
    [anon_sym_alias] = ACTIONS(3761),
    [anon_sym_SEMI] = ACTIONS(3763),
    [anon_sym_global] = ACTIONS(3761),
    [anon_sym_using] = ACTIONS(3761),
    [anon_sym_unsafe] = ACTIONS(3761),
    [anon_sym_static] = ACTIONS(3761),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(3763),
    [anon_sym_return] = ACTIONS(3761),
    [anon_sym_namespace] = ACTIONS(3761),
    [anon_sym_class] = ACTIONS(3761),
    [anon_sym_ref] = ACTIONS(3761),
    [anon_sym_struct] = ACTIONS(3761),
    [anon_sym_enum] = ACTIONS(3761),
    [anon_sym_LBRACE] = ACTIONS(3763),
    [anon_sym_interface] = ACTIONS(3761),
    [anon_sym_delegate] = ACTIONS(3761),
    [anon_sym_record] = ACTIONS(3761),
    [anon_sym_abstract] = ACTIONS(3761),
    [anon_sym_async] = ACTIONS(3761),
    [anon_sym_const] = ACTIONS(3761),
    [anon_sym_file] = ACTIONS(3761),
    [anon_sym_fixed] = ACTIONS(3761),
    [anon_sym_internal] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_override] = ACTIONS(3761),
    [anon_sym_partial] = ACTIONS(3761),
    [anon_sym_private] = ACTIONS(3761),
    [anon_sym_protected] = ACTIONS(3761),
    [anon_sym_public] = ACTIONS(3761),
    [anon_sym_readonly] = ACTIONS(3761),
    [anon_sym_required] = ACTIONS(3761),
    [anon_sym_sealed] = ACTIONS(3761),
    [anon_sym_virtual] = ACTIONS(3761),
    [anon_sym_volatile] = ACTIONS(3761),
    [anon_sym_where] = ACTIONS(3761),
    [anon_sym_notnull] = ACTIONS(3761),
    [anon_sym_unmanaged] = ACTIONS(3761),
    [anon_sym_checked] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3763),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_PLUS_PLUS] = ACTIONS(3763),
    [anon_sym_DASH_DASH] = ACTIONS(3763),
    [anon_sym_true] = ACTIONS(3761),
    [anon_sym_false] = ACTIONS(3761),
    [anon_sym_PLUS] = ACTIONS(3761),
    [anon_sym_DASH] = ACTIONS(3761),
    [anon_sym_STAR] = ACTIONS(3763),
    [anon_sym_CARET] = ACTIONS(3763),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_this] = ACTIONS(3761),
    [anon_sym_scoped] = ACTIONS(3761),
    [anon_sym_base] = ACTIONS(3761),
    [anon_sym_var] = ACTIONS(3761),
    [sym_predefined_type] = ACTIONS(3761),
    [anon_sym_break] = ACTIONS(3761),
    [anon_sym_unchecked] = ACTIONS(3761),
    [anon_sym_continue] = ACTIONS(3761),
    [anon_sym_do] = ACTIONS(3761),
    [anon_sym_while] = ACTIONS(3761),
    [anon_sym_for] = ACTIONS(3761),
    [anon_sym_lock] = ACTIONS(3761),
    [anon_sym_yield] = ACTIONS(3761),
    [anon_sym_switch] = ACTIONS(3761),
    [anon_sym_default] = ACTIONS(3761),
    [anon_sym_throw] = ACTIONS(3761),
    [anon_sym_try] = ACTIONS(3761),
    [anon_sym_when] = ACTIONS(3761),
    [anon_sym_await] = ACTIONS(3761),
    [anon_sym_foreach] = ACTIONS(3761),
    [anon_sym_goto] = ACTIONS(3761),
    [anon_sym_if] = ACTIONS(3761),
    [anon_sym_DOT_DOT] = ACTIONS(3763),
    [anon_sym_from] = ACTIONS(3761),
    [anon_sym_into] = ACTIONS(3761),
    [anon_sym_join] = ACTIONS(3761),
    [anon_sym_on] = ACTIONS(3761),
    [anon_sym_equals] = ACTIONS(3761),
    [anon_sym_let] = ACTIONS(3761),
    [anon_sym_orderby] = ACTIONS(3761),
    [anon_sym_ascending] = ACTIONS(3761),
    [anon_sym_descending] = ACTIONS(3761),
    [anon_sym_group] = ACTIONS(3761),
    [anon_sym_by] = ACTIONS(3761),
    [anon_sym_select] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3763),
    [anon_sym_stackalloc] = ACTIONS(3761),
    [anon_sym_sizeof] = ACTIONS(3761),
    [anon_sym_typeof] = ACTIONS(3761),
    [anon_sym___makeref] = ACTIONS(3761),
    [anon_sym___reftype] = ACTIONS(3761),
    [anon_sym___refvalue] = ACTIONS(3761),
    [sym_null_literal] = ACTIONS(3761),
    [anon_sym_SQUOTE] = ACTIONS(3763),
    [sym_integer_literal] = ACTIONS(3761),
    [sym_real_literal] = ACTIONS(3763),
    [sym_verbatim_string_literal] = ACTIONS(3763),
    [aux_sym_preproc_if_token1] = ACTIONS(3763),
    [aux_sym_preproc_if_token3] = ACTIONS(3763),
    [aux_sym_preproc_else_token1] = ACTIONS(3763),
    [aux_sym_preproc_elif_token1] = ACTIONS(3763),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3763),
    [sym_interpolation_verbatim_start] = ACTIONS(3763),
    [sym_interpolation_raw_start] = ACTIONS(3763),
    [sym_raw_string_start] = ACTIONS(3763),
  },
  [2381] = {
    [sym_preproc_region] = STATE(2381),
    [sym_preproc_endregion] = STATE(2381),
    [sym_preproc_line] = STATE(2381),
    [sym_preproc_pragma] = STATE(2381),
    [sym_preproc_nullable] = STATE(2381),
    [sym_preproc_error] = STATE(2381),
    [sym_preproc_define] = STATE(2381),
    [sym_preproc_undef] = STATE(2381),
    [sym__identifier_token] = ACTIONS(3765),
    [anon_sym_extern] = ACTIONS(3765),
    [anon_sym_alias] = ACTIONS(3765),
    [anon_sym_SEMI] = ACTIONS(3767),
    [anon_sym_global] = ACTIONS(3765),
    [anon_sym_using] = ACTIONS(3765),
    [anon_sym_unsafe] = ACTIONS(3765),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3767),
    [anon_sym_LPAREN] = ACTIONS(3767),
    [anon_sym_return] = ACTIONS(3765),
    [anon_sym_namespace] = ACTIONS(3765),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_ref] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3765),
    [anon_sym_enum] = ACTIONS(3765),
    [anon_sym_LBRACE] = ACTIONS(3767),
    [anon_sym_interface] = ACTIONS(3765),
    [anon_sym_delegate] = ACTIONS(3765),
    [anon_sym_record] = ACTIONS(3765),
    [anon_sym_abstract] = ACTIONS(3765),
    [anon_sym_async] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_file] = ACTIONS(3765),
    [anon_sym_fixed] = ACTIONS(3765),
    [anon_sym_internal] = ACTIONS(3765),
    [anon_sym_new] = ACTIONS(3765),
    [anon_sym_override] = ACTIONS(3765),
    [anon_sym_partial] = ACTIONS(3765),
    [anon_sym_private] = ACTIONS(3765),
    [anon_sym_protected] = ACTIONS(3765),
    [anon_sym_public] = ACTIONS(3765),
    [anon_sym_readonly] = ACTIONS(3765),
    [anon_sym_required] = ACTIONS(3765),
    [anon_sym_sealed] = ACTIONS(3765),
    [anon_sym_virtual] = ACTIONS(3765),
    [anon_sym_volatile] = ACTIONS(3765),
    [anon_sym_where] = ACTIONS(3765),
    [anon_sym_notnull] = ACTIONS(3765),
    [anon_sym_unmanaged] = ACTIONS(3765),
    [anon_sym_checked] = ACTIONS(3765),
    [anon_sym_BANG] = ACTIONS(3767),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_PLUS_PLUS] = ACTIONS(3767),
    [anon_sym_DASH_DASH] = ACTIONS(3767),
    [anon_sym_true] = ACTIONS(3765),
    [anon_sym_false] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(3767),
    [anon_sym_CARET] = ACTIONS(3767),
    [anon_sym_AMP] = ACTIONS(3767),
    [anon_sym_this] = ACTIONS(3765),
    [anon_sym_scoped] = ACTIONS(3765),
    [anon_sym_base] = ACTIONS(3765),
    [anon_sym_var] = ACTIONS(3765),
    [sym_predefined_type] = ACTIONS(3765),
    [anon_sym_break] = ACTIONS(3765),
    [anon_sym_unchecked] = ACTIONS(3765),
    [anon_sym_continue] = ACTIONS(3765),
    [anon_sym_do] = ACTIONS(3765),
    [anon_sym_while] = ACTIONS(3765),
    [anon_sym_for] = ACTIONS(3765),
    [anon_sym_lock] = ACTIONS(3765),
    [anon_sym_yield] = ACTIONS(3765),
    [anon_sym_switch] = ACTIONS(3765),
    [anon_sym_default] = ACTIONS(3765),
    [anon_sym_throw] = ACTIONS(3765),
    [anon_sym_try] = ACTIONS(3765),
    [anon_sym_when] = ACTIONS(3765),
    [anon_sym_await] = ACTIONS(3765),
    [anon_sym_foreach] = ACTIONS(3765),
    [anon_sym_goto] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(3765),
    [anon_sym_DOT_DOT] = ACTIONS(3767),
    [anon_sym_from] = ACTIONS(3765),
    [anon_sym_into] = ACTIONS(3765),
    [anon_sym_join] = ACTIONS(3765),
    [anon_sym_on] = ACTIONS(3765),
    [anon_sym_equals] = ACTIONS(3765),
    [anon_sym_let] = ACTIONS(3765),
    [anon_sym_orderby] = ACTIONS(3765),
    [anon_sym_ascending] = ACTIONS(3765),
    [anon_sym_descending] = ACTIONS(3765),
    [anon_sym_group] = ACTIONS(3765),
    [anon_sym_by] = ACTIONS(3765),
    [anon_sym_select] = ACTIONS(3765),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_stackalloc] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3765),
    [anon_sym_typeof] = ACTIONS(3765),
    [anon_sym___makeref] = ACTIONS(3765),
    [anon_sym___reftype] = ACTIONS(3765),
    [anon_sym___refvalue] = ACTIONS(3765),
    [sym_null_literal] = ACTIONS(3765),
    [anon_sym_SQUOTE] = ACTIONS(3767),
    [sym_integer_literal] = ACTIONS(3765),
    [sym_real_literal] = ACTIONS(3767),
    [sym_verbatim_string_literal] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token3] = ACTIONS(3767),
    [aux_sym_preproc_else_token1] = ACTIONS(3767),
    [aux_sym_preproc_elif_token1] = ACTIONS(3767),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3767),
    [sym_interpolation_verbatim_start] = ACTIONS(3767),
    [sym_interpolation_raw_start] = ACTIONS(3767),
    [sym_raw_string_start] = ACTIONS(3767),
  },
  [2382] = {
    [sym_preproc_region] = STATE(2382),
    [sym_preproc_endregion] = STATE(2382),
    [sym_preproc_line] = STATE(2382),
    [sym_preproc_pragma] = STATE(2382),
    [sym_preproc_nullable] = STATE(2382),
    [sym_preproc_error] = STATE(2382),
    [sym_preproc_define] = STATE(2382),
    [sym_preproc_undef] = STATE(2382),
    [sym__identifier_token] = ACTIONS(3769),
    [anon_sym_extern] = ACTIONS(3769),
    [anon_sym_alias] = ACTIONS(3769),
    [anon_sym_SEMI] = ACTIONS(3771),
    [anon_sym_global] = ACTIONS(3769),
    [anon_sym_using] = ACTIONS(3769),
    [anon_sym_unsafe] = ACTIONS(3769),
    [anon_sym_static] = ACTIONS(3769),
    [anon_sym_LBRACK] = ACTIONS(3771),
    [anon_sym_LPAREN] = ACTIONS(3771),
    [anon_sym_return] = ACTIONS(3769),
    [anon_sym_namespace] = ACTIONS(3769),
    [anon_sym_class] = ACTIONS(3769),
    [anon_sym_ref] = ACTIONS(3769),
    [anon_sym_struct] = ACTIONS(3769),
    [anon_sym_enum] = ACTIONS(3769),
    [anon_sym_LBRACE] = ACTIONS(3771),
    [anon_sym_interface] = ACTIONS(3769),
    [anon_sym_delegate] = ACTIONS(3769),
    [anon_sym_record] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3769),
    [anon_sym_async] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3769),
    [anon_sym_file] = ACTIONS(3769),
    [anon_sym_fixed] = ACTIONS(3769),
    [anon_sym_internal] = ACTIONS(3769),
    [anon_sym_new] = ACTIONS(3769),
    [anon_sym_override] = ACTIONS(3769),
    [anon_sym_partial] = ACTIONS(3769),
    [anon_sym_private] = ACTIONS(3769),
    [anon_sym_protected] = ACTIONS(3769),
    [anon_sym_public] = ACTIONS(3769),
    [anon_sym_readonly] = ACTIONS(3769),
    [anon_sym_required] = ACTIONS(3769),
    [anon_sym_sealed] = ACTIONS(3769),
    [anon_sym_virtual] = ACTIONS(3769),
    [anon_sym_volatile] = ACTIONS(3769),
    [anon_sym_where] = ACTIONS(3769),
    [anon_sym_notnull] = ACTIONS(3769),
    [anon_sym_unmanaged] = ACTIONS(3769),
    [anon_sym_checked] = ACTIONS(3769),
    [anon_sym_BANG] = ACTIONS(3771),
    [anon_sym_TILDE] = ACTIONS(3771),
    [anon_sym_PLUS_PLUS] = ACTIONS(3771),
    [anon_sym_DASH_DASH] = ACTIONS(3771),
    [anon_sym_true] = ACTIONS(3769),
    [anon_sym_false] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(3769),
    [anon_sym_DASH] = ACTIONS(3769),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_CARET] = ACTIONS(3771),
    [anon_sym_AMP] = ACTIONS(3771),
    [anon_sym_this] = ACTIONS(3769),
    [anon_sym_scoped] = ACTIONS(3769),
    [anon_sym_base] = ACTIONS(3769),
    [anon_sym_var] = ACTIONS(3769),
    [sym_predefined_type] = ACTIONS(3769),
    [anon_sym_break] = ACTIONS(3769),
    [anon_sym_unchecked] = ACTIONS(3769),
    [anon_sym_continue] = ACTIONS(3769),
    [anon_sym_do] = ACTIONS(3769),
    [anon_sym_while] = ACTIONS(3769),
    [anon_sym_for] = ACTIONS(3769),
    [anon_sym_lock] = ACTIONS(3769),
    [anon_sym_yield] = ACTIONS(3769),
    [anon_sym_switch] = ACTIONS(3769),
    [anon_sym_default] = ACTIONS(3769),
    [anon_sym_throw] = ACTIONS(3769),
    [anon_sym_try] = ACTIONS(3769),
    [anon_sym_when] = ACTIONS(3769),
    [anon_sym_await] = ACTIONS(3769),
    [anon_sym_foreach] = ACTIONS(3769),
    [anon_sym_goto] = ACTIONS(3769),
    [anon_sym_if] = ACTIONS(3769),
    [anon_sym_DOT_DOT] = ACTIONS(3771),
    [anon_sym_from] = ACTIONS(3769),
    [anon_sym_into] = ACTIONS(3769),
    [anon_sym_join] = ACTIONS(3769),
    [anon_sym_on] = ACTIONS(3769),
    [anon_sym_equals] = ACTIONS(3769),
    [anon_sym_let] = ACTIONS(3769),
    [anon_sym_orderby] = ACTIONS(3769),
    [anon_sym_ascending] = ACTIONS(3769),
    [anon_sym_descending] = ACTIONS(3769),
    [anon_sym_group] = ACTIONS(3769),
    [anon_sym_by] = ACTIONS(3769),
    [anon_sym_select] = ACTIONS(3769),
    [anon_sym_DQUOTE] = ACTIONS(3771),
    [anon_sym_stackalloc] = ACTIONS(3769),
    [anon_sym_sizeof] = ACTIONS(3769),
    [anon_sym_typeof] = ACTIONS(3769),
    [anon_sym___makeref] = ACTIONS(3769),
    [anon_sym___reftype] = ACTIONS(3769),
    [anon_sym___refvalue] = ACTIONS(3769),
    [sym_null_literal] = ACTIONS(3769),
    [anon_sym_SQUOTE] = ACTIONS(3771),
    [sym_integer_literal] = ACTIONS(3769),
    [sym_real_literal] = ACTIONS(3771),
    [sym_verbatim_string_literal] = ACTIONS(3771),
    [aux_sym_preproc_if_token1] = ACTIONS(3771),
    [aux_sym_preproc_if_token3] = ACTIONS(3771),
    [aux_sym_preproc_else_token1] = ACTIONS(3771),
    [aux_sym_preproc_elif_token1] = ACTIONS(3771),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3771),
    [sym_interpolation_verbatim_start] = ACTIONS(3771),
    [sym_interpolation_raw_start] = ACTIONS(3771),
    [sym_raw_string_start] = ACTIONS(3771),
  },
  [2383] = {
    [sym_preproc_region] = STATE(2383),
    [sym_preproc_endregion] = STATE(2383),
    [sym_preproc_line] = STATE(2383),
    [sym_preproc_pragma] = STATE(2383),
    [sym_preproc_nullable] = STATE(2383),
    [sym_preproc_error] = STATE(2383),
    [sym_preproc_define] = STATE(2383),
    [sym_preproc_undef] = STATE(2383),
    [sym__identifier_token] = ACTIONS(3773),
    [anon_sym_extern] = ACTIONS(3773),
    [anon_sym_alias] = ACTIONS(3773),
    [anon_sym_SEMI] = ACTIONS(3775),
    [anon_sym_global] = ACTIONS(3773),
    [anon_sym_using] = ACTIONS(3773),
    [anon_sym_unsafe] = ACTIONS(3773),
    [anon_sym_static] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3775),
    [anon_sym_LPAREN] = ACTIONS(3775),
    [anon_sym_return] = ACTIONS(3773),
    [anon_sym_namespace] = ACTIONS(3773),
    [anon_sym_class] = ACTIONS(3773),
    [anon_sym_ref] = ACTIONS(3773),
    [anon_sym_struct] = ACTIONS(3773),
    [anon_sym_enum] = ACTIONS(3773),
    [anon_sym_LBRACE] = ACTIONS(3775),
    [anon_sym_interface] = ACTIONS(3773),
    [anon_sym_delegate] = ACTIONS(3773),
    [anon_sym_record] = ACTIONS(3773),
    [anon_sym_abstract] = ACTIONS(3773),
    [anon_sym_async] = ACTIONS(3773),
    [anon_sym_const] = ACTIONS(3773),
    [anon_sym_file] = ACTIONS(3773),
    [anon_sym_fixed] = ACTIONS(3773),
    [anon_sym_internal] = ACTIONS(3773),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_override] = ACTIONS(3773),
    [anon_sym_partial] = ACTIONS(3773),
    [anon_sym_private] = ACTIONS(3773),
    [anon_sym_protected] = ACTIONS(3773),
    [anon_sym_public] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3773),
    [anon_sym_required] = ACTIONS(3773),
    [anon_sym_sealed] = ACTIONS(3773),
    [anon_sym_virtual] = ACTIONS(3773),
    [anon_sym_volatile] = ACTIONS(3773),
    [anon_sym_where] = ACTIONS(3773),
    [anon_sym_notnull] = ACTIONS(3773),
    [anon_sym_unmanaged] = ACTIONS(3773),
    [anon_sym_checked] = ACTIONS(3773),
    [anon_sym_BANG] = ACTIONS(3775),
    [anon_sym_TILDE] = ACTIONS(3775),
    [anon_sym_PLUS_PLUS] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(3775),
    [anon_sym_true] = ACTIONS(3773),
    [anon_sym_false] = ACTIONS(3773),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_STAR] = ACTIONS(3775),
    [anon_sym_CARET] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3775),
    [anon_sym_this] = ACTIONS(3773),
    [anon_sym_scoped] = ACTIONS(3773),
    [anon_sym_base] = ACTIONS(3773),
    [anon_sym_var] = ACTIONS(3773),
    [sym_predefined_type] = ACTIONS(3773),
    [anon_sym_break] = ACTIONS(3773),
    [anon_sym_unchecked] = ACTIONS(3773),
    [anon_sym_continue] = ACTIONS(3773),
    [anon_sym_do] = ACTIONS(3773),
    [anon_sym_while] = ACTIONS(3773),
    [anon_sym_for] = ACTIONS(3773),
    [anon_sym_lock] = ACTIONS(3773),
    [anon_sym_yield] = ACTIONS(3773),
    [anon_sym_switch] = ACTIONS(3773),
    [anon_sym_default] = ACTIONS(3773),
    [anon_sym_throw] = ACTIONS(3773),
    [anon_sym_try] = ACTIONS(3773),
    [anon_sym_when] = ACTIONS(3773),
    [anon_sym_await] = ACTIONS(3773),
    [anon_sym_foreach] = ACTIONS(3773),
    [anon_sym_goto] = ACTIONS(3773),
    [anon_sym_if] = ACTIONS(3773),
    [anon_sym_DOT_DOT] = ACTIONS(3775),
    [anon_sym_from] = ACTIONS(3773),
    [anon_sym_into] = ACTIONS(3773),
    [anon_sym_join] = ACTIONS(3773),
    [anon_sym_on] = ACTIONS(3773),
    [anon_sym_equals] = ACTIONS(3773),
    [anon_sym_let] = ACTIONS(3773),
    [anon_sym_orderby] = ACTIONS(3773),
    [anon_sym_ascending] = ACTIONS(3773),
    [anon_sym_descending] = ACTIONS(3773),
    [anon_sym_group] = ACTIONS(3773),
    [anon_sym_by] = ACTIONS(3773),
    [anon_sym_select] = ACTIONS(3773),
    [anon_sym_DQUOTE] = ACTIONS(3775),
    [anon_sym_stackalloc] = ACTIONS(3773),
    [anon_sym_sizeof] = ACTIONS(3773),
    [anon_sym_typeof] = ACTIONS(3773),
    [anon_sym___makeref] = ACTIONS(3773),
    [anon_sym___reftype] = ACTIONS(3773),
    [anon_sym___refvalue] = ACTIONS(3773),
    [sym_null_literal] = ACTIONS(3773),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [sym_integer_literal] = ACTIONS(3773),
    [sym_real_literal] = ACTIONS(3775),
    [sym_verbatim_string_literal] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token3] = ACTIONS(3775),
    [aux_sym_preproc_else_token1] = ACTIONS(3775),
    [aux_sym_preproc_elif_token1] = ACTIONS(3775),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3775),
    [sym_interpolation_verbatim_start] = ACTIONS(3775),
    [sym_interpolation_raw_start] = ACTIONS(3775),
    [sym_raw_string_start] = ACTIONS(3775),
  },
  [2384] = {
    [sym_preproc_region] = STATE(2384),
    [sym_preproc_endregion] = STATE(2384),
    [sym_preproc_line] = STATE(2384),
    [sym_preproc_pragma] = STATE(2384),
    [sym_preproc_nullable] = STATE(2384),
    [sym_preproc_error] = STATE(2384),
    [sym_preproc_define] = STATE(2384),
    [sym_preproc_undef] = STATE(2384),
    [sym__identifier_token] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(3777),
    [anon_sym_alias] = ACTIONS(3777),
    [anon_sym_SEMI] = ACTIONS(3779),
    [anon_sym_global] = ACTIONS(3777),
    [anon_sym_using] = ACTIONS(3777),
    [anon_sym_unsafe] = ACTIONS(3777),
    [anon_sym_static] = ACTIONS(3777),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [anon_sym_LPAREN] = ACTIONS(3779),
    [anon_sym_return] = ACTIONS(3777),
    [anon_sym_namespace] = ACTIONS(3777),
    [anon_sym_class] = ACTIONS(3777),
    [anon_sym_ref] = ACTIONS(3777),
    [anon_sym_struct] = ACTIONS(3777),
    [anon_sym_enum] = ACTIONS(3777),
    [anon_sym_LBRACE] = ACTIONS(3779),
    [anon_sym_interface] = ACTIONS(3777),
    [anon_sym_delegate] = ACTIONS(3777),
    [anon_sym_record] = ACTIONS(3777),
    [anon_sym_abstract] = ACTIONS(3777),
    [anon_sym_async] = ACTIONS(3777),
    [anon_sym_const] = ACTIONS(3777),
    [anon_sym_file] = ACTIONS(3777),
    [anon_sym_fixed] = ACTIONS(3777),
    [anon_sym_internal] = ACTIONS(3777),
    [anon_sym_new] = ACTIONS(3777),
    [anon_sym_override] = ACTIONS(3777),
    [anon_sym_partial] = ACTIONS(3777),
    [anon_sym_private] = ACTIONS(3777),
    [anon_sym_protected] = ACTIONS(3777),
    [anon_sym_public] = ACTIONS(3777),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_required] = ACTIONS(3777),
    [anon_sym_sealed] = ACTIONS(3777),
    [anon_sym_virtual] = ACTIONS(3777),
    [anon_sym_volatile] = ACTIONS(3777),
    [anon_sym_where] = ACTIONS(3777),
    [anon_sym_notnull] = ACTIONS(3777),
    [anon_sym_unmanaged] = ACTIONS(3777),
    [anon_sym_checked] = ACTIONS(3777),
    [anon_sym_BANG] = ACTIONS(3779),
    [anon_sym_TILDE] = ACTIONS(3779),
    [anon_sym_PLUS_PLUS] = ACTIONS(3779),
    [anon_sym_DASH_DASH] = ACTIONS(3779),
    [anon_sym_true] = ACTIONS(3777),
    [anon_sym_false] = ACTIONS(3777),
    [anon_sym_PLUS] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3777),
    [anon_sym_STAR] = ACTIONS(3779),
    [anon_sym_CARET] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_this] = ACTIONS(3777),
    [anon_sym_scoped] = ACTIONS(3777),
    [anon_sym_base] = ACTIONS(3777),
    [anon_sym_var] = ACTIONS(3777),
    [sym_predefined_type] = ACTIONS(3777),
    [anon_sym_break] = ACTIONS(3777),
    [anon_sym_unchecked] = ACTIONS(3777),
    [anon_sym_continue] = ACTIONS(3777),
    [anon_sym_do] = ACTIONS(3777),
    [anon_sym_while] = ACTIONS(3777),
    [anon_sym_for] = ACTIONS(3777),
    [anon_sym_lock] = ACTIONS(3777),
    [anon_sym_yield] = ACTIONS(3777),
    [anon_sym_switch] = ACTIONS(3777),
    [anon_sym_default] = ACTIONS(3777),
    [anon_sym_throw] = ACTIONS(3777),
    [anon_sym_try] = ACTIONS(3777),
    [anon_sym_when] = ACTIONS(3777),
    [anon_sym_await] = ACTIONS(3777),
    [anon_sym_foreach] = ACTIONS(3777),
    [anon_sym_goto] = ACTIONS(3777),
    [anon_sym_if] = ACTIONS(3777),
    [anon_sym_DOT_DOT] = ACTIONS(3779),
    [anon_sym_from] = ACTIONS(3777),
    [anon_sym_into] = ACTIONS(3777),
    [anon_sym_join] = ACTIONS(3777),
    [anon_sym_on] = ACTIONS(3777),
    [anon_sym_equals] = ACTIONS(3777),
    [anon_sym_let] = ACTIONS(3777),
    [anon_sym_orderby] = ACTIONS(3777),
    [anon_sym_ascending] = ACTIONS(3777),
    [anon_sym_descending] = ACTIONS(3777),
    [anon_sym_group] = ACTIONS(3777),
    [anon_sym_by] = ACTIONS(3777),
    [anon_sym_select] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3779),
    [anon_sym_stackalloc] = ACTIONS(3777),
    [anon_sym_sizeof] = ACTIONS(3777),
    [anon_sym_typeof] = ACTIONS(3777),
    [anon_sym___makeref] = ACTIONS(3777),
    [anon_sym___reftype] = ACTIONS(3777),
    [anon_sym___refvalue] = ACTIONS(3777),
    [sym_null_literal] = ACTIONS(3777),
    [anon_sym_SQUOTE] = ACTIONS(3779),
    [sym_integer_literal] = ACTIONS(3777),
    [sym_real_literal] = ACTIONS(3779),
    [sym_verbatim_string_literal] = ACTIONS(3779),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_if_token3] = ACTIONS(3779),
    [aux_sym_preproc_else_token1] = ACTIONS(3779),
    [aux_sym_preproc_elif_token1] = ACTIONS(3779),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3779),
    [sym_interpolation_verbatim_start] = ACTIONS(3779),
    [sym_interpolation_raw_start] = ACTIONS(3779),
    [sym_raw_string_start] = ACTIONS(3779),
  },
  [2385] = {
    [sym_preproc_region] = STATE(2385),
    [sym_preproc_endregion] = STATE(2385),
    [sym_preproc_line] = STATE(2385),
    [sym_preproc_pragma] = STATE(2385),
    [sym_preproc_nullable] = STATE(2385),
    [sym_preproc_error] = STATE(2385),
    [sym_preproc_define] = STATE(2385),
    [sym_preproc_undef] = STATE(2385),
    [sym__identifier_token] = ACTIONS(3781),
    [anon_sym_extern] = ACTIONS(3781),
    [anon_sym_alias] = ACTIONS(3781),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym_global] = ACTIONS(3781),
    [anon_sym_using] = ACTIONS(3781),
    [anon_sym_unsafe] = ACTIONS(3781),
    [anon_sym_static] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3783),
    [anon_sym_return] = ACTIONS(3781),
    [anon_sym_namespace] = ACTIONS(3781),
    [anon_sym_class] = ACTIONS(3781),
    [anon_sym_ref] = ACTIONS(3781),
    [anon_sym_struct] = ACTIONS(3781),
    [anon_sym_enum] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(3783),
    [anon_sym_interface] = ACTIONS(3781),
    [anon_sym_delegate] = ACTIONS(3781),
    [anon_sym_record] = ACTIONS(3781),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_async] = ACTIONS(3781),
    [anon_sym_const] = ACTIONS(3781),
    [anon_sym_file] = ACTIONS(3781),
    [anon_sym_fixed] = ACTIONS(3781),
    [anon_sym_internal] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3781),
    [anon_sym_override] = ACTIONS(3781),
    [anon_sym_partial] = ACTIONS(3781),
    [anon_sym_private] = ACTIONS(3781),
    [anon_sym_protected] = ACTIONS(3781),
    [anon_sym_public] = ACTIONS(3781),
    [anon_sym_readonly] = ACTIONS(3781),
    [anon_sym_required] = ACTIONS(3781),
    [anon_sym_sealed] = ACTIONS(3781),
    [anon_sym_virtual] = ACTIONS(3781),
    [anon_sym_volatile] = ACTIONS(3781),
    [anon_sym_where] = ACTIONS(3781),
    [anon_sym_notnull] = ACTIONS(3781),
    [anon_sym_unmanaged] = ACTIONS(3781),
    [anon_sym_checked] = ACTIONS(3781),
    [anon_sym_BANG] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3783),
    [anon_sym_PLUS_PLUS] = ACTIONS(3783),
    [anon_sym_DASH_DASH] = ACTIONS(3783),
    [anon_sym_true] = ACTIONS(3781),
    [anon_sym_false] = ACTIONS(3781),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_STAR] = ACTIONS(3783),
    [anon_sym_CARET] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_this] = ACTIONS(3781),
    [anon_sym_scoped] = ACTIONS(3781),
    [anon_sym_base] = ACTIONS(3781),
    [anon_sym_var] = ACTIONS(3781),
    [sym_predefined_type] = ACTIONS(3781),
    [anon_sym_break] = ACTIONS(3781),
    [anon_sym_unchecked] = ACTIONS(3781),
    [anon_sym_continue] = ACTIONS(3781),
    [anon_sym_do] = ACTIONS(3781),
    [anon_sym_while] = ACTIONS(3781),
    [anon_sym_for] = ACTIONS(3781),
    [anon_sym_lock] = ACTIONS(3781),
    [anon_sym_yield] = ACTIONS(3781),
    [anon_sym_switch] = ACTIONS(3781),
    [anon_sym_default] = ACTIONS(3781),
    [anon_sym_throw] = ACTIONS(3781),
    [anon_sym_try] = ACTIONS(3781),
    [anon_sym_when] = ACTIONS(3781),
    [anon_sym_await] = ACTIONS(3781),
    [anon_sym_foreach] = ACTIONS(3781),
    [anon_sym_goto] = ACTIONS(3781),
    [anon_sym_if] = ACTIONS(3781),
    [anon_sym_DOT_DOT] = ACTIONS(3783),
    [anon_sym_from] = ACTIONS(3781),
    [anon_sym_into] = ACTIONS(3781),
    [anon_sym_join] = ACTIONS(3781),
    [anon_sym_on] = ACTIONS(3781),
    [anon_sym_equals] = ACTIONS(3781),
    [anon_sym_let] = ACTIONS(3781),
    [anon_sym_orderby] = ACTIONS(3781),
    [anon_sym_ascending] = ACTIONS(3781),
    [anon_sym_descending] = ACTIONS(3781),
    [anon_sym_group] = ACTIONS(3781),
    [anon_sym_by] = ACTIONS(3781),
    [anon_sym_select] = ACTIONS(3781),
    [anon_sym_DQUOTE] = ACTIONS(3783),
    [anon_sym_stackalloc] = ACTIONS(3781),
    [anon_sym_sizeof] = ACTIONS(3781),
    [anon_sym_typeof] = ACTIONS(3781),
    [anon_sym___makeref] = ACTIONS(3781),
    [anon_sym___reftype] = ACTIONS(3781),
    [anon_sym___refvalue] = ACTIONS(3781),
    [sym_null_literal] = ACTIONS(3781),
    [anon_sym_SQUOTE] = ACTIONS(3783),
    [sym_integer_literal] = ACTIONS(3781),
    [sym_real_literal] = ACTIONS(3783),
    [sym_verbatim_string_literal] = ACTIONS(3783),
    [aux_sym_preproc_if_token1] = ACTIONS(3783),
    [aux_sym_preproc_if_token3] = ACTIONS(3783),
    [aux_sym_preproc_else_token1] = ACTIONS(3783),
    [aux_sym_preproc_elif_token1] = ACTIONS(3783),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3783),
    [sym_interpolation_verbatim_start] = ACTIONS(3783),
    [sym_interpolation_raw_start] = ACTIONS(3783),
    [sym_raw_string_start] = ACTIONS(3783),
  },
  [2386] = {
    [sym_preproc_region] = STATE(2386),
    [sym_preproc_endregion] = STATE(2386),
    [sym_preproc_line] = STATE(2386),
    [sym_preproc_pragma] = STATE(2386),
    [sym_preproc_nullable] = STATE(2386),
    [sym_preproc_error] = STATE(2386),
    [sym_preproc_define] = STATE(2386),
    [sym_preproc_undef] = STATE(2386),
    [sym__identifier_token] = ACTIONS(3785),
    [anon_sym_extern] = ACTIONS(3785),
    [anon_sym_alias] = ACTIONS(3785),
    [anon_sym_SEMI] = ACTIONS(3787),
    [anon_sym_global] = ACTIONS(3785),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_unsafe] = ACTIONS(3785),
    [anon_sym_static] = ACTIONS(3785),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [anon_sym_LPAREN] = ACTIONS(3787),
    [anon_sym_return] = ACTIONS(3785),
    [anon_sym_namespace] = ACTIONS(3785),
    [anon_sym_class] = ACTIONS(3785),
    [anon_sym_ref] = ACTIONS(3785),
    [anon_sym_struct] = ACTIONS(3785),
    [anon_sym_enum] = ACTIONS(3785),
    [anon_sym_LBRACE] = ACTIONS(3787),
    [anon_sym_interface] = ACTIONS(3785),
    [anon_sym_delegate] = ACTIONS(3785),
    [anon_sym_record] = ACTIONS(3785),
    [anon_sym_abstract] = ACTIONS(3785),
    [anon_sym_async] = ACTIONS(3785),
    [anon_sym_const] = ACTIONS(3785),
    [anon_sym_file] = ACTIONS(3785),
    [anon_sym_fixed] = ACTIONS(3785),
    [anon_sym_internal] = ACTIONS(3785),
    [anon_sym_new] = ACTIONS(3785),
    [anon_sym_override] = ACTIONS(3785),
    [anon_sym_partial] = ACTIONS(3785),
    [anon_sym_private] = ACTIONS(3785),
    [anon_sym_protected] = ACTIONS(3785),
    [anon_sym_public] = ACTIONS(3785),
    [anon_sym_readonly] = ACTIONS(3785),
    [anon_sym_required] = ACTIONS(3785),
    [anon_sym_sealed] = ACTIONS(3785),
    [anon_sym_virtual] = ACTIONS(3785),
    [anon_sym_volatile] = ACTIONS(3785),
    [anon_sym_where] = ACTIONS(3785),
    [anon_sym_notnull] = ACTIONS(3785),
    [anon_sym_unmanaged] = ACTIONS(3785),
    [anon_sym_checked] = ACTIONS(3785),
    [anon_sym_BANG] = ACTIONS(3787),
    [anon_sym_TILDE] = ACTIONS(3787),
    [anon_sym_PLUS_PLUS] = ACTIONS(3787),
    [anon_sym_DASH_DASH] = ACTIONS(3787),
    [anon_sym_true] = ACTIONS(3785),
    [anon_sym_false] = ACTIONS(3785),
    [anon_sym_PLUS] = ACTIONS(3785),
    [anon_sym_DASH] = ACTIONS(3785),
    [anon_sym_STAR] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3787),
    [anon_sym_this] = ACTIONS(3785),
    [anon_sym_scoped] = ACTIONS(3785),
    [anon_sym_base] = ACTIONS(3785),
    [anon_sym_var] = ACTIONS(3785),
    [sym_predefined_type] = ACTIONS(3785),
    [anon_sym_break] = ACTIONS(3785),
    [anon_sym_unchecked] = ACTIONS(3785),
    [anon_sym_continue] = ACTIONS(3785),
    [anon_sym_do] = ACTIONS(3785),
    [anon_sym_while] = ACTIONS(3785),
    [anon_sym_for] = ACTIONS(3785),
    [anon_sym_lock] = ACTIONS(3785),
    [anon_sym_yield] = ACTIONS(3785),
    [anon_sym_switch] = ACTIONS(3785),
    [anon_sym_default] = ACTIONS(3785),
    [anon_sym_throw] = ACTIONS(3785),
    [anon_sym_try] = ACTIONS(3785),
    [anon_sym_when] = ACTIONS(3785),
    [anon_sym_await] = ACTIONS(3785),
    [anon_sym_foreach] = ACTIONS(3785),
    [anon_sym_goto] = ACTIONS(3785),
    [anon_sym_if] = ACTIONS(3785),
    [anon_sym_DOT_DOT] = ACTIONS(3787),
    [anon_sym_from] = ACTIONS(3785),
    [anon_sym_into] = ACTIONS(3785),
    [anon_sym_join] = ACTIONS(3785),
    [anon_sym_on] = ACTIONS(3785),
    [anon_sym_equals] = ACTIONS(3785),
    [anon_sym_let] = ACTIONS(3785),
    [anon_sym_orderby] = ACTIONS(3785),
    [anon_sym_ascending] = ACTIONS(3785),
    [anon_sym_descending] = ACTIONS(3785),
    [anon_sym_group] = ACTIONS(3785),
    [anon_sym_by] = ACTIONS(3785),
    [anon_sym_select] = ACTIONS(3785),
    [anon_sym_DQUOTE] = ACTIONS(3787),
    [anon_sym_stackalloc] = ACTIONS(3785),
    [anon_sym_sizeof] = ACTIONS(3785),
    [anon_sym_typeof] = ACTIONS(3785),
    [anon_sym___makeref] = ACTIONS(3785),
    [anon_sym___reftype] = ACTIONS(3785),
    [anon_sym___refvalue] = ACTIONS(3785),
    [sym_null_literal] = ACTIONS(3785),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [sym_integer_literal] = ACTIONS(3785),
    [sym_real_literal] = ACTIONS(3787),
    [sym_verbatim_string_literal] = ACTIONS(3787),
    [aux_sym_preproc_if_token1] = ACTIONS(3787),
    [aux_sym_preproc_if_token3] = ACTIONS(3787),
    [aux_sym_preproc_else_token1] = ACTIONS(3787),
    [aux_sym_preproc_elif_token1] = ACTIONS(3787),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3787),
    [sym_interpolation_verbatim_start] = ACTIONS(3787),
    [sym_interpolation_raw_start] = ACTIONS(3787),
    [sym_raw_string_start] = ACTIONS(3787),
  },
  [2387] = {
    [sym_preproc_region] = STATE(2387),
    [sym_preproc_endregion] = STATE(2387),
    [sym_preproc_line] = STATE(2387),
    [sym_preproc_pragma] = STATE(2387),
    [sym_preproc_nullable] = STATE(2387),
    [sym_preproc_error] = STATE(2387),
    [sym_preproc_define] = STATE(2387),
    [sym_preproc_undef] = STATE(2387),
    [sym__identifier_token] = ACTIONS(3789),
    [anon_sym_extern] = ACTIONS(3789),
    [anon_sym_alias] = ACTIONS(3789),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_global] = ACTIONS(3789),
    [anon_sym_using] = ACTIONS(3789),
    [anon_sym_unsafe] = ACTIONS(3789),
    [anon_sym_static] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(3791),
    [anon_sym_LPAREN] = ACTIONS(3791),
    [anon_sym_return] = ACTIONS(3789),
    [anon_sym_namespace] = ACTIONS(3789),
    [anon_sym_class] = ACTIONS(3789),
    [anon_sym_ref] = ACTIONS(3789),
    [anon_sym_struct] = ACTIONS(3789),
    [anon_sym_enum] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3791),
    [anon_sym_interface] = ACTIONS(3789),
    [anon_sym_delegate] = ACTIONS(3789),
    [anon_sym_record] = ACTIONS(3789),
    [anon_sym_abstract] = ACTIONS(3789),
    [anon_sym_async] = ACTIONS(3789),
    [anon_sym_const] = ACTIONS(3789),
    [anon_sym_file] = ACTIONS(3789),
    [anon_sym_fixed] = ACTIONS(3789),
    [anon_sym_internal] = ACTIONS(3789),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_override] = ACTIONS(3789),
    [anon_sym_partial] = ACTIONS(3789),
    [anon_sym_private] = ACTIONS(3789),
    [anon_sym_protected] = ACTIONS(3789),
    [anon_sym_public] = ACTIONS(3789),
    [anon_sym_readonly] = ACTIONS(3789),
    [anon_sym_required] = ACTIONS(3789),
    [anon_sym_sealed] = ACTIONS(3789),
    [anon_sym_virtual] = ACTIONS(3789),
    [anon_sym_volatile] = ACTIONS(3789),
    [anon_sym_where] = ACTIONS(3789),
    [anon_sym_notnull] = ACTIONS(3789),
    [anon_sym_unmanaged] = ACTIONS(3789),
    [anon_sym_checked] = ACTIONS(3789),
    [anon_sym_BANG] = ACTIONS(3791),
    [anon_sym_TILDE] = ACTIONS(3791),
    [anon_sym_PLUS_PLUS] = ACTIONS(3791),
    [anon_sym_DASH_DASH] = ACTIONS(3791),
    [anon_sym_true] = ACTIONS(3789),
    [anon_sym_false] = ACTIONS(3789),
    [anon_sym_PLUS] = ACTIONS(3789),
    [anon_sym_DASH] = ACTIONS(3789),
    [anon_sym_STAR] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_this] = ACTIONS(3789),
    [anon_sym_scoped] = ACTIONS(3789),
    [anon_sym_base] = ACTIONS(3789),
    [anon_sym_var] = ACTIONS(3789),
    [sym_predefined_type] = ACTIONS(3789),
    [anon_sym_break] = ACTIONS(3789),
    [anon_sym_unchecked] = ACTIONS(3789),
    [anon_sym_continue] = ACTIONS(3789),
    [anon_sym_do] = ACTIONS(3789),
    [anon_sym_while] = ACTIONS(3789),
    [anon_sym_for] = ACTIONS(3789),
    [anon_sym_lock] = ACTIONS(3789),
    [anon_sym_yield] = ACTIONS(3789),
    [anon_sym_switch] = ACTIONS(3789),
    [anon_sym_default] = ACTIONS(3789),
    [anon_sym_throw] = ACTIONS(3789),
    [anon_sym_try] = ACTIONS(3789),
    [anon_sym_when] = ACTIONS(3789),
    [anon_sym_await] = ACTIONS(3789),
    [anon_sym_foreach] = ACTIONS(3789),
    [anon_sym_goto] = ACTIONS(3789),
    [anon_sym_if] = ACTIONS(3789),
    [anon_sym_DOT_DOT] = ACTIONS(3791),
    [anon_sym_from] = ACTIONS(3789),
    [anon_sym_into] = ACTIONS(3789),
    [anon_sym_join] = ACTIONS(3789),
    [anon_sym_on] = ACTIONS(3789),
    [anon_sym_equals] = ACTIONS(3789),
    [anon_sym_let] = ACTIONS(3789),
    [anon_sym_orderby] = ACTIONS(3789),
    [anon_sym_ascending] = ACTIONS(3789),
    [anon_sym_descending] = ACTIONS(3789),
    [anon_sym_group] = ACTIONS(3789),
    [anon_sym_by] = ACTIONS(3789),
    [anon_sym_select] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3791),
    [anon_sym_stackalloc] = ACTIONS(3789),
    [anon_sym_sizeof] = ACTIONS(3789),
    [anon_sym_typeof] = ACTIONS(3789),
    [anon_sym___makeref] = ACTIONS(3789),
    [anon_sym___reftype] = ACTIONS(3789),
    [anon_sym___refvalue] = ACTIONS(3789),
    [sym_null_literal] = ACTIONS(3789),
    [anon_sym_SQUOTE] = ACTIONS(3791),
    [sym_integer_literal] = ACTIONS(3789),
    [sym_real_literal] = ACTIONS(3791),
    [sym_verbatim_string_literal] = ACTIONS(3791),
    [aux_sym_preproc_if_token1] = ACTIONS(3791),
    [aux_sym_preproc_if_token3] = ACTIONS(3791),
    [aux_sym_preproc_else_token1] = ACTIONS(3791),
    [aux_sym_preproc_elif_token1] = ACTIONS(3791),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3791),
    [sym_interpolation_verbatim_start] = ACTIONS(3791),
    [sym_interpolation_raw_start] = ACTIONS(3791),
    [sym_raw_string_start] = ACTIONS(3791),
  },
  [2388] = {
    [sym_preproc_region] = STATE(2388),
    [sym_preproc_endregion] = STATE(2388),
    [sym_preproc_line] = STATE(2388),
    [sym_preproc_pragma] = STATE(2388),
    [sym_preproc_nullable] = STATE(2388),
    [sym_preproc_error] = STATE(2388),
    [sym_preproc_define] = STATE(2388),
    [sym_preproc_undef] = STATE(2388),
    [sym__identifier_token] = ACTIONS(3793),
    [anon_sym_extern] = ACTIONS(3793),
    [anon_sym_alias] = ACTIONS(3793),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_global] = ACTIONS(3793),
    [anon_sym_using] = ACTIONS(3793),
    [anon_sym_unsafe] = ACTIONS(3793),
    [anon_sym_static] = ACTIONS(3793),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [anon_sym_LPAREN] = ACTIONS(3795),
    [anon_sym_return] = ACTIONS(3793),
    [anon_sym_namespace] = ACTIONS(3793),
    [anon_sym_class] = ACTIONS(3793),
    [anon_sym_ref] = ACTIONS(3793),
    [anon_sym_struct] = ACTIONS(3793),
    [anon_sym_enum] = ACTIONS(3793),
    [anon_sym_LBRACE] = ACTIONS(3795),
    [anon_sym_interface] = ACTIONS(3793),
    [anon_sym_delegate] = ACTIONS(3793),
    [anon_sym_record] = ACTIONS(3793),
    [anon_sym_abstract] = ACTIONS(3793),
    [anon_sym_async] = ACTIONS(3793),
    [anon_sym_const] = ACTIONS(3793),
    [anon_sym_file] = ACTIONS(3793),
    [anon_sym_fixed] = ACTIONS(3793),
    [anon_sym_internal] = ACTIONS(3793),
    [anon_sym_new] = ACTIONS(3793),
    [anon_sym_override] = ACTIONS(3793),
    [anon_sym_partial] = ACTIONS(3793),
    [anon_sym_private] = ACTIONS(3793),
    [anon_sym_protected] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3793),
    [anon_sym_readonly] = ACTIONS(3793),
    [anon_sym_required] = ACTIONS(3793),
    [anon_sym_sealed] = ACTIONS(3793),
    [anon_sym_virtual] = ACTIONS(3793),
    [anon_sym_volatile] = ACTIONS(3793),
    [anon_sym_where] = ACTIONS(3793),
    [anon_sym_notnull] = ACTIONS(3793),
    [anon_sym_unmanaged] = ACTIONS(3793),
    [anon_sym_checked] = ACTIONS(3793),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_PLUS_PLUS] = ACTIONS(3795),
    [anon_sym_DASH_DASH] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(3793),
    [anon_sym_false] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(3795),
    [anon_sym_CARET] = ACTIONS(3795),
    [anon_sym_AMP] = ACTIONS(3795),
    [anon_sym_this] = ACTIONS(3793),
    [anon_sym_scoped] = ACTIONS(3793),
    [anon_sym_base] = ACTIONS(3793),
    [anon_sym_var] = ACTIONS(3793),
    [sym_predefined_type] = ACTIONS(3793),
    [anon_sym_break] = ACTIONS(3793),
    [anon_sym_unchecked] = ACTIONS(3793),
    [anon_sym_continue] = ACTIONS(3793),
    [anon_sym_do] = ACTIONS(3793),
    [anon_sym_while] = ACTIONS(3793),
    [anon_sym_for] = ACTIONS(3793),
    [anon_sym_lock] = ACTIONS(3793),
    [anon_sym_yield] = ACTIONS(3793),
    [anon_sym_switch] = ACTIONS(3793),
    [anon_sym_default] = ACTIONS(3793),
    [anon_sym_throw] = ACTIONS(3793),
    [anon_sym_try] = ACTIONS(3793),
    [anon_sym_when] = ACTIONS(3793),
    [anon_sym_await] = ACTIONS(3793),
    [anon_sym_foreach] = ACTIONS(3793),
    [anon_sym_goto] = ACTIONS(3793),
    [anon_sym_if] = ACTIONS(3793),
    [anon_sym_DOT_DOT] = ACTIONS(3795),
    [anon_sym_from] = ACTIONS(3793),
    [anon_sym_into] = ACTIONS(3793),
    [anon_sym_join] = ACTIONS(3793),
    [anon_sym_on] = ACTIONS(3793),
    [anon_sym_equals] = ACTIONS(3793),
    [anon_sym_let] = ACTIONS(3793),
    [anon_sym_orderby] = ACTIONS(3793),
    [anon_sym_ascending] = ACTIONS(3793),
    [anon_sym_descending] = ACTIONS(3793),
    [anon_sym_group] = ACTIONS(3793),
    [anon_sym_by] = ACTIONS(3793),
    [anon_sym_select] = ACTIONS(3793),
    [anon_sym_DQUOTE] = ACTIONS(3795),
    [anon_sym_stackalloc] = ACTIONS(3793),
    [anon_sym_sizeof] = ACTIONS(3793),
    [anon_sym_typeof] = ACTIONS(3793),
    [anon_sym___makeref] = ACTIONS(3793),
    [anon_sym___reftype] = ACTIONS(3793),
    [anon_sym___refvalue] = ACTIONS(3793),
    [sym_null_literal] = ACTIONS(3793),
    [anon_sym_SQUOTE] = ACTIONS(3795),
    [sym_integer_literal] = ACTIONS(3793),
    [sym_real_literal] = ACTIONS(3795),
    [sym_verbatim_string_literal] = ACTIONS(3795),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_if_token3] = ACTIONS(3795),
    [aux_sym_preproc_else_token1] = ACTIONS(3795),
    [aux_sym_preproc_elif_token1] = ACTIONS(3795),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3795),
    [sym_interpolation_verbatim_start] = ACTIONS(3795),
    [sym_interpolation_raw_start] = ACTIONS(3795),
    [sym_raw_string_start] = ACTIONS(3795),
  },
  [2389] = {
    [sym_preproc_region] = STATE(2389),
    [sym_preproc_endregion] = STATE(2389),
    [sym_preproc_line] = STATE(2389),
    [sym_preproc_pragma] = STATE(2389),
    [sym_preproc_nullable] = STATE(2389),
    [sym_preproc_error] = STATE(2389),
    [sym_preproc_define] = STATE(2389),
    [sym_preproc_undef] = STATE(2389),
    [sym__identifier_token] = ACTIONS(3797),
    [anon_sym_extern] = ACTIONS(3797),
    [anon_sym_alias] = ACTIONS(3797),
    [anon_sym_SEMI] = ACTIONS(3799),
    [anon_sym_global] = ACTIONS(3797),
    [anon_sym_using] = ACTIONS(3797),
    [anon_sym_unsafe] = ACTIONS(3797),
    [anon_sym_static] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(3799),
    [anon_sym_LPAREN] = ACTIONS(3799),
    [anon_sym_return] = ACTIONS(3797),
    [anon_sym_namespace] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_ref] = ACTIONS(3797),
    [anon_sym_struct] = ACTIONS(3797),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3799),
    [anon_sym_interface] = ACTIONS(3797),
    [anon_sym_delegate] = ACTIONS(3797),
    [anon_sym_record] = ACTIONS(3797),
    [anon_sym_abstract] = ACTIONS(3797),
    [anon_sym_async] = ACTIONS(3797),
    [anon_sym_const] = ACTIONS(3797),
    [anon_sym_file] = ACTIONS(3797),
    [anon_sym_fixed] = ACTIONS(3797),
    [anon_sym_internal] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(3797),
    [anon_sym_override] = ACTIONS(3797),
    [anon_sym_partial] = ACTIONS(3797),
    [anon_sym_private] = ACTIONS(3797),
    [anon_sym_protected] = ACTIONS(3797),
    [anon_sym_public] = ACTIONS(3797),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_required] = ACTIONS(3797),
    [anon_sym_sealed] = ACTIONS(3797),
    [anon_sym_virtual] = ACTIONS(3797),
    [anon_sym_volatile] = ACTIONS(3797),
    [anon_sym_where] = ACTIONS(3797),
    [anon_sym_notnull] = ACTIONS(3797),
    [anon_sym_unmanaged] = ACTIONS(3797),
    [anon_sym_checked] = ACTIONS(3797),
    [anon_sym_BANG] = ACTIONS(3799),
    [anon_sym_TILDE] = ACTIONS(3799),
    [anon_sym_PLUS_PLUS] = ACTIONS(3799),
    [anon_sym_DASH_DASH] = ACTIONS(3799),
    [anon_sym_true] = ACTIONS(3797),
    [anon_sym_false] = ACTIONS(3797),
    [anon_sym_PLUS] = ACTIONS(3797),
    [anon_sym_DASH] = ACTIONS(3797),
    [anon_sym_STAR] = ACTIONS(3799),
    [anon_sym_CARET] = ACTIONS(3799),
    [anon_sym_AMP] = ACTIONS(3799),
    [anon_sym_this] = ACTIONS(3797),
    [anon_sym_scoped] = ACTIONS(3797),
    [anon_sym_base] = ACTIONS(3797),
    [anon_sym_var] = ACTIONS(3797),
    [sym_predefined_type] = ACTIONS(3797),
    [anon_sym_break] = ACTIONS(3797),
    [anon_sym_unchecked] = ACTIONS(3797),
    [anon_sym_continue] = ACTIONS(3797),
    [anon_sym_do] = ACTIONS(3797),
    [anon_sym_while] = ACTIONS(3797),
    [anon_sym_for] = ACTIONS(3797),
    [anon_sym_lock] = ACTIONS(3797),
    [anon_sym_yield] = ACTIONS(3797),
    [anon_sym_switch] = ACTIONS(3797),
    [anon_sym_default] = ACTIONS(3797),
    [anon_sym_throw] = ACTIONS(3797),
    [anon_sym_try] = ACTIONS(3797),
    [anon_sym_when] = ACTIONS(3797),
    [anon_sym_await] = ACTIONS(3797),
    [anon_sym_foreach] = ACTIONS(3797),
    [anon_sym_goto] = ACTIONS(3797),
    [anon_sym_if] = ACTIONS(3797),
    [anon_sym_DOT_DOT] = ACTIONS(3799),
    [anon_sym_from] = ACTIONS(3797),
    [anon_sym_into] = ACTIONS(3797),
    [anon_sym_join] = ACTIONS(3797),
    [anon_sym_on] = ACTIONS(3797),
    [anon_sym_equals] = ACTIONS(3797),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_orderby] = ACTIONS(3797),
    [anon_sym_ascending] = ACTIONS(3797),
    [anon_sym_descending] = ACTIONS(3797),
    [anon_sym_group] = ACTIONS(3797),
    [anon_sym_by] = ACTIONS(3797),
    [anon_sym_select] = ACTIONS(3797),
    [anon_sym_DQUOTE] = ACTIONS(3799),
    [anon_sym_stackalloc] = ACTIONS(3797),
    [anon_sym_sizeof] = ACTIONS(3797),
    [anon_sym_typeof] = ACTIONS(3797),
    [anon_sym___makeref] = ACTIONS(3797),
    [anon_sym___reftype] = ACTIONS(3797),
    [anon_sym___refvalue] = ACTIONS(3797),
    [sym_null_literal] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(3799),
    [sym_integer_literal] = ACTIONS(3797),
    [sym_real_literal] = ACTIONS(3799),
    [sym_verbatim_string_literal] = ACTIONS(3799),
    [aux_sym_preproc_if_token1] = ACTIONS(3799),
    [aux_sym_preproc_if_token3] = ACTIONS(3799),
    [aux_sym_preproc_else_token1] = ACTIONS(3799),
    [aux_sym_preproc_elif_token1] = ACTIONS(3799),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3799),
    [sym_interpolation_verbatim_start] = ACTIONS(3799),
    [sym_interpolation_raw_start] = ACTIONS(3799),
    [sym_raw_string_start] = ACTIONS(3799),
  },
  [2390] = {
    [sym_preproc_region] = STATE(2390),
    [sym_preproc_endregion] = STATE(2390),
    [sym_preproc_line] = STATE(2390),
    [sym_preproc_pragma] = STATE(2390),
    [sym_preproc_nullable] = STATE(2390),
    [sym_preproc_error] = STATE(2390),
    [sym_preproc_define] = STATE(2390),
    [sym_preproc_undef] = STATE(2390),
    [sym__identifier_token] = ACTIONS(3801),
    [anon_sym_extern] = ACTIONS(3801),
    [anon_sym_alias] = ACTIONS(3801),
    [anon_sym_SEMI] = ACTIONS(3803),
    [anon_sym_global] = ACTIONS(3801),
    [anon_sym_using] = ACTIONS(3801),
    [anon_sym_unsafe] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(3801),
    [anon_sym_LBRACK] = ACTIONS(3803),
    [anon_sym_LPAREN] = ACTIONS(3803),
    [anon_sym_return] = ACTIONS(3801),
    [anon_sym_namespace] = ACTIONS(3801),
    [anon_sym_class] = ACTIONS(3801),
    [anon_sym_ref] = ACTIONS(3801),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_enum] = ACTIONS(3801),
    [anon_sym_LBRACE] = ACTIONS(3803),
    [anon_sym_interface] = ACTIONS(3801),
    [anon_sym_delegate] = ACTIONS(3801),
    [anon_sym_record] = ACTIONS(3801),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_async] = ACTIONS(3801),
    [anon_sym_const] = ACTIONS(3801),
    [anon_sym_file] = ACTIONS(3801),
    [anon_sym_fixed] = ACTIONS(3801),
    [anon_sym_internal] = ACTIONS(3801),
    [anon_sym_new] = ACTIONS(3801),
    [anon_sym_override] = ACTIONS(3801),
    [anon_sym_partial] = ACTIONS(3801),
    [anon_sym_private] = ACTIONS(3801),
    [anon_sym_protected] = ACTIONS(3801),
    [anon_sym_public] = ACTIONS(3801),
    [anon_sym_readonly] = ACTIONS(3801),
    [anon_sym_required] = ACTIONS(3801),
    [anon_sym_sealed] = ACTIONS(3801),
    [anon_sym_virtual] = ACTIONS(3801),
    [anon_sym_volatile] = ACTIONS(3801),
    [anon_sym_where] = ACTIONS(3801),
    [anon_sym_notnull] = ACTIONS(3801),
    [anon_sym_unmanaged] = ACTIONS(3801),
    [anon_sym_checked] = ACTIONS(3801),
    [anon_sym_BANG] = ACTIONS(3803),
    [anon_sym_TILDE] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3803),
    [anon_sym_DASH_DASH] = ACTIONS(3803),
    [anon_sym_true] = ACTIONS(3801),
    [anon_sym_false] = ACTIONS(3801),
    [anon_sym_PLUS] = ACTIONS(3801),
    [anon_sym_DASH] = ACTIONS(3801),
    [anon_sym_STAR] = ACTIONS(3803),
    [anon_sym_CARET] = ACTIONS(3803),
    [anon_sym_AMP] = ACTIONS(3803),
    [anon_sym_this] = ACTIONS(3801),
    [anon_sym_scoped] = ACTIONS(3801),
    [anon_sym_base] = ACTIONS(3801),
    [anon_sym_var] = ACTIONS(3801),
    [sym_predefined_type] = ACTIONS(3801),
    [anon_sym_break] = ACTIONS(3801),
    [anon_sym_unchecked] = ACTIONS(3801),
    [anon_sym_continue] = ACTIONS(3801),
    [anon_sym_do] = ACTIONS(3801),
    [anon_sym_while] = ACTIONS(3801),
    [anon_sym_for] = ACTIONS(3801),
    [anon_sym_lock] = ACTIONS(3801),
    [anon_sym_yield] = ACTIONS(3801),
    [anon_sym_switch] = ACTIONS(3801),
    [anon_sym_default] = ACTIONS(3801),
    [anon_sym_throw] = ACTIONS(3801),
    [anon_sym_try] = ACTIONS(3801),
    [anon_sym_when] = ACTIONS(3801),
    [anon_sym_await] = ACTIONS(3801),
    [anon_sym_foreach] = ACTIONS(3801),
    [anon_sym_goto] = ACTIONS(3801),
    [anon_sym_if] = ACTIONS(3801),
    [anon_sym_DOT_DOT] = ACTIONS(3803),
    [anon_sym_from] = ACTIONS(3801),
    [anon_sym_into] = ACTIONS(3801),
    [anon_sym_join] = ACTIONS(3801),
    [anon_sym_on] = ACTIONS(3801),
    [anon_sym_equals] = ACTIONS(3801),
    [anon_sym_let] = ACTIONS(3801),
    [anon_sym_orderby] = ACTIONS(3801),
    [anon_sym_ascending] = ACTIONS(3801),
    [anon_sym_descending] = ACTIONS(3801),
    [anon_sym_group] = ACTIONS(3801),
    [anon_sym_by] = ACTIONS(3801),
    [anon_sym_select] = ACTIONS(3801),
    [anon_sym_DQUOTE] = ACTIONS(3803),
    [anon_sym_stackalloc] = ACTIONS(3801),
    [anon_sym_sizeof] = ACTIONS(3801),
    [anon_sym_typeof] = ACTIONS(3801),
    [anon_sym___makeref] = ACTIONS(3801),
    [anon_sym___reftype] = ACTIONS(3801),
    [anon_sym___refvalue] = ACTIONS(3801),
    [sym_null_literal] = ACTIONS(3801),
    [anon_sym_SQUOTE] = ACTIONS(3803),
    [sym_integer_literal] = ACTIONS(3801),
    [sym_real_literal] = ACTIONS(3803),
    [sym_verbatim_string_literal] = ACTIONS(3803),
    [aux_sym_preproc_if_token1] = ACTIONS(3803),
    [aux_sym_preproc_if_token3] = ACTIONS(3803),
    [aux_sym_preproc_else_token1] = ACTIONS(3803),
    [aux_sym_preproc_elif_token1] = ACTIONS(3803),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3803),
    [sym_interpolation_verbatim_start] = ACTIONS(3803),
    [sym_interpolation_raw_start] = ACTIONS(3803),
    [sym_raw_string_start] = ACTIONS(3803),
  },
  [2391] = {
    [sym_preproc_region] = STATE(2391),
    [sym_preproc_endregion] = STATE(2391),
    [sym_preproc_line] = STATE(2391),
    [sym_preproc_pragma] = STATE(2391),
    [sym_preproc_nullable] = STATE(2391),
    [sym_preproc_error] = STATE(2391),
    [sym_preproc_define] = STATE(2391),
    [sym_preproc_undef] = STATE(2391),
    [sym__identifier_token] = ACTIONS(3805),
    [anon_sym_extern] = ACTIONS(3805),
    [anon_sym_alias] = ACTIONS(3805),
    [anon_sym_SEMI] = ACTIONS(3807),
    [anon_sym_global] = ACTIONS(3805),
    [anon_sym_using] = ACTIONS(3805),
    [anon_sym_unsafe] = ACTIONS(3805),
    [anon_sym_static] = ACTIONS(3805),
    [anon_sym_LBRACK] = ACTIONS(3807),
    [anon_sym_LPAREN] = ACTIONS(3807),
    [anon_sym_return] = ACTIONS(3805),
    [anon_sym_namespace] = ACTIONS(3805),
    [anon_sym_class] = ACTIONS(3805),
    [anon_sym_ref] = ACTIONS(3805),
    [anon_sym_struct] = ACTIONS(3805),
    [anon_sym_enum] = ACTIONS(3805),
    [anon_sym_LBRACE] = ACTIONS(3807),
    [anon_sym_interface] = ACTIONS(3805),
    [anon_sym_delegate] = ACTIONS(3805),
    [anon_sym_record] = ACTIONS(3805),
    [anon_sym_abstract] = ACTIONS(3805),
    [anon_sym_async] = ACTIONS(3805),
    [anon_sym_const] = ACTIONS(3805),
    [anon_sym_file] = ACTIONS(3805),
    [anon_sym_fixed] = ACTIONS(3805),
    [anon_sym_internal] = ACTIONS(3805),
    [anon_sym_new] = ACTIONS(3805),
    [anon_sym_override] = ACTIONS(3805),
    [anon_sym_partial] = ACTIONS(3805),
    [anon_sym_private] = ACTIONS(3805),
    [anon_sym_protected] = ACTIONS(3805),
    [anon_sym_public] = ACTIONS(3805),
    [anon_sym_readonly] = ACTIONS(3805),
    [anon_sym_required] = ACTIONS(3805),
    [anon_sym_sealed] = ACTIONS(3805),
    [anon_sym_virtual] = ACTIONS(3805),
    [anon_sym_volatile] = ACTIONS(3805),
    [anon_sym_where] = ACTIONS(3805),
    [anon_sym_notnull] = ACTIONS(3805),
    [anon_sym_unmanaged] = ACTIONS(3805),
    [anon_sym_checked] = ACTIONS(3805),
    [anon_sym_BANG] = ACTIONS(3807),
    [anon_sym_TILDE] = ACTIONS(3807),
    [anon_sym_PLUS_PLUS] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(3807),
    [anon_sym_true] = ACTIONS(3805),
    [anon_sym_false] = ACTIONS(3805),
    [anon_sym_PLUS] = ACTIONS(3805),
    [anon_sym_DASH] = ACTIONS(3805),
    [anon_sym_STAR] = ACTIONS(3807),
    [anon_sym_CARET] = ACTIONS(3807),
    [anon_sym_AMP] = ACTIONS(3807),
    [anon_sym_this] = ACTIONS(3805),
    [anon_sym_scoped] = ACTIONS(3805),
    [anon_sym_base] = ACTIONS(3805),
    [anon_sym_var] = ACTIONS(3805),
    [sym_predefined_type] = ACTIONS(3805),
    [anon_sym_break] = ACTIONS(3805),
    [anon_sym_unchecked] = ACTIONS(3805),
    [anon_sym_continue] = ACTIONS(3805),
    [anon_sym_do] = ACTIONS(3805),
    [anon_sym_while] = ACTIONS(3805),
    [anon_sym_for] = ACTIONS(3805),
    [anon_sym_lock] = ACTIONS(3805),
    [anon_sym_yield] = ACTIONS(3805),
    [anon_sym_switch] = ACTIONS(3805),
    [anon_sym_default] = ACTIONS(3805),
    [anon_sym_throw] = ACTIONS(3805),
    [anon_sym_try] = ACTIONS(3805),
    [anon_sym_when] = ACTIONS(3805),
    [anon_sym_await] = ACTIONS(3805),
    [anon_sym_foreach] = ACTIONS(3805),
    [anon_sym_goto] = ACTIONS(3805),
    [anon_sym_if] = ACTIONS(3805),
    [anon_sym_DOT_DOT] = ACTIONS(3807),
    [anon_sym_from] = ACTIONS(3805),
    [anon_sym_into] = ACTIONS(3805),
    [anon_sym_join] = ACTIONS(3805),
    [anon_sym_on] = ACTIONS(3805),
    [anon_sym_equals] = ACTIONS(3805),
    [anon_sym_let] = ACTIONS(3805),
    [anon_sym_orderby] = ACTIONS(3805),
    [anon_sym_ascending] = ACTIONS(3805),
    [anon_sym_descending] = ACTIONS(3805),
    [anon_sym_group] = ACTIONS(3805),
    [anon_sym_by] = ACTIONS(3805),
    [anon_sym_select] = ACTIONS(3805),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [anon_sym_stackalloc] = ACTIONS(3805),
    [anon_sym_sizeof] = ACTIONS(3805),
    [anon_sym_typeof] = ACTIONS(3805),
    [anon_sym___makeref] = ACTIONS(3805),
    [anon_sym___reftype] = ACTIONS(3805),
    [anon_sym___refvalue] = ACTIONS(3805),
    [sym_null_literal] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3807),
    [sym_integer_literal] = ACTIONS(3805),
    [sym_real_literal] = ACTIONS(3807),
    [sym_verbatim_string_literal] = ACTIONS(3807),
    [aux_sym_preproc_if_token1] = ACTIONS(3807),
    [aux_sym_preproc_if_token3] = ACTIONS(3807),
    [aux_sym_preproc_else_token1] = ACTIONS(3807),
    [aux_sym_preproc_elif_token1] = ACTIONS(3807),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3807),
    [sym_interpolation_verbatim_start] = ACTIONS(3807),
    [sym_interpolation_raw_start] = ACTIONS(3807),
    [sym_raw_string_start] = ACTIONS(3807),
  },
  [2392] = {
    [sym_preproc_region] = STATE(2392),
    [sym_preproc_endregion] = STATE(2392),
    [sym_preproc_line] = STATE(2392),
    [sym_preproc_pragma] = STATE(2392),
    [sym_preproc_nullable] = STATE(2392),
    [sym_preproc_error] = STATE(2392),
    [sym_preproc_define] = STATE(2392),
    [sym_preproc_undef] = STATE(2392),
    [sym__identifier_token] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym_alias] = ACTIONS(3809),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym_global] = ACTIONS(3809),
    [anon_sym_using] = ACTIONS(3809),
    [anon_sym_unsafe] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3811),
    [anon_sym_LPAREN] = ACTIONS(3811),
    [anon_sym_return] = ACTIONS(3809),
    [anon_sym_namespace] = ACTIONS(3809),
    [anon_sym_class] = ACTIONS(3809),
    [anon_sym_ref] = ACTIONS(3809),
    [anon_sym_struct] = ACTIONS(3809),
    [anon_sym_enum] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_interface] = ACTIONS(3809),
    [anon_sym_delegate] = ACTIONS(3809),
    [anon_sym_record] = ACTIONS(3809),
    [anon_sym_abstract] = ACTIONS(3809),
    [anon_sym_async] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_file] = ACTIONS(3809),
    [anon_sym_fixed] = ACTIONS(3809),
    [anon_sym_internal] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_override] = ACTIONS(3809),
    [anon_sym_partial] = ACTIONS(3809),
    [anon_sym_private] = ACTIONS(3809),
    [anon_sym_protected] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3809),
    [anon_sym_readonly] = ACTIONS(3809),
    [anon_sym_required] = ACTIONS(3809),
    [anon_sym_sealed] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_where] = ACTIONS(3809),
    [anon_sym_notnull] = ACTIONS(3809),
    [anon_sym_unmanaged] = ACTIONS(3809),
    [anon_sym_checked] = ACTIONS(3809),
    [anon_sym_BANG] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_true] = ACTIONS(3809),
    [anon_sym_false] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_CARET] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_this] = ACTIONS(3809),
    [anon_sym_scoped] = ACTIONS(3809),
    [anon_sym_base] = ACTIONS(3809),
    [anon_sym_var] = ACTIONS(3809),
    [sym_predefined_type] = ACTIONS(3809),
    [anon_sym_break] = ACTIONS(3809),
    [anon_sym_unchecked] = ACTIONS(3809),
    [anon_sym_continue] = ACTIONS(3809),
    [anon_sym_do] = ACTIONS(3809),
    [anon_sym_while] = ACTIONS(3809),
    [anon_sym_for] = ACTIONS(3809),
    [anon_sym_lock] = ACTIONS(3809),
    [anon_sym_yield] = ACTIONS(3809),
    [anon_sym_switch] = ACTIONS(3809),
    [anon_sym_default] = ACTIONS(3809),
    [anon_sym_throw] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_when] = ACTIONS(3809),
    [anon_sym_await] = ACTIONS(3809),
    [anon_sym_foreach] = ACTIONS(3809),
    [anon_sym_goto] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(3809),
    [anon_sym_DOT_DOT] = ACTIONS(3811),
    [anon_sym_from] = ACTIONS(3809),
    [anon_sym_into] = ACTIONS(3809),
    [anon_sym_join] = ACTIONS(3809),
    [anon_sym_on] = ACTIONS(3809),
    [anon_sym_equals] = ACTIONS(3809),
    [anon_sym_let] = ACTIONS(3809),
    [anon_sym_orderby] = ACTIONS(3809),
    [anon_sym_ascending] = ACTIONS(3809),
    [anon_sym_descending] = ACTIONS(3809),
    [anon_sym_group] = ACTIONS(3809),
    [anon_sym_by] = ACTIONS(3809),
    [anon_sym_select] = ACTIONS(3809),
    [anon_sym_DQUOTE] = ACTIONS(3811),
    [anon_sym_stackalloc] = ACTIONS(3809),
    [anon_sym_sizeof] = ACTIONS(3809),
    [anon_sym_typeof] = ACTIONS(3809),
    [anon_sym___makeref] = ACTIONS(3809),
    [anon_sym___reftype] = ACTIONS(3809),
    [anon_sym___refvalue] = ACTIONS(3809),
    [sym_null_literal] = ACTIONS(3809),
    [anon_sym_SQUOTE] = ACTIONS(3811),
    [sym_integer_literal] = ACTIONS(3809),
    [sym_real_literal] = ACTIONS(3811),
    [sym_verbatim_string_literal] = ACTIONS(3811),
    [aux_sym_preproc_if_token1] = ACTIONS(3811),
    [aux_sym_preproc_if_token3] = ACTIONS(3811),
    [aux_sym_preproc_else_token1] = ACTIONS(3811),
    [aux_sym_preproc_elif_token1] = ACTIONS(3811),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3811),
    [sym_interpolation_verbatim_start] = ACTIONS(3811),
    [sym_interpolation_raw_start] = ACTIONS(3811),
    [sym_raw_string_start] = ACTIONS(3811),
  },
  [2393] = {
    [sym_preproc_region] = STATE(2393),
    [sym_preproc_endregion] = STATE(2393),
    [sym_preproc_line] = STATE(2393),
    [sym_preproc_pragma] = STATE(2393),
    [sym_preproc_nullable] = STATE(2393),
    [sym_preproc_error] = STATE(2393),
    [sym_preproc_define] = STATE(2393),
    [sym_preproc_undef] = STATE(2393),
    [sym__identifier_token] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym_alias] = ACTIONS(3813),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym_global] = ACTIONS(3813),
    [anon_sym_using] = ACTIONS(3813),
    [anon_sym_unsafe] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(3815),
    [anon_sym_return] = ACTIONS(3813),
    [anon_sym_namespace] = ACTIONS(3813),
    [anon_sym_class] = ACTIONS(3813),
    [anon_sym_ref] = ACTIONS(3813),
    [anon_sym_struct] = ACTIONS(3813),
    [anon_sym_enum] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_interface] = ACTIONS(3813),
    [anon_sym_delegate] = ACTIONS(3813),
    [anon_sym_record] = ACTIONS(3813),
    [anon_sym_abstract] = ACTIONS(3813),
    [anon_sym_async] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_file] = ACTIONS(3813),
    [anon_sym_fixed] = ACTIONS(3813),
    [anon_sym_internal] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3813),
    [anon_sym_override] = ACTIONS(3813),
    [anon_sym_partial] = ACTIONS(3813),
    [anon_sym_private] = ACTIONS(3813),
    [anon_sym_protected] = ACTIONS(3813),
    [anon_sym_public] = ACTIONS(3813),
    [anon_sym_readonly] = ACTIONS(3813),
    [anon_sym_required] = ACTIONS(3813),
    [anon_sym_sealed] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_where] = ACTIONS(3813),
    [anon_sym_notnull] = ACTIONS(3813),
    [anon_sym_unmanaged] = ACTIONS(3813),
    [anon_sym_checked] = ACTIONS(3813),
    [anon_sym_BANG] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_PLUS_PLUS] = ACTIONS(3815),
    [anon_sym_DASH_DASH] = ACTIONS(3815),
    [anon_sym_true] = ACTIONS(3813),
    [anon_sym_false] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_CARET] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3815),
    [anon_sym_this] = ACTIONS(3813),
    [anon_sym_scoped] = ACTIONS(3813),
    [anon_sym_base] = ACTIONS(3813),
    [anon_sym_var] = ACTIONS(3813),
    [sym_predefined_type] = ACTIONS(3813),
    [anon_sym_break] = ACTIONS(3813),
    [anon_sym_unchecked] = ACTIONS(3813),
    [anon_sym_continue] = ACTIONS(3813),
    [anon_sym_do] = ACTIONS(3813),
    [anon_sym_while] = ACTIONS(3813),
    [anon_sym_for] = ACTIONS(3813),
    [anon_sym_lock] = ACTIONS(3813),
    [anon_sym_yield] = ACTIONS(3813),
    [anon_sym_switch] = ACTIONS(3813),
    [anon_sym_default] = ACTIONS(3813),
    [anon_sym_throw] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_when] = ACTIONS(3813),
    [anon_sym_await] = ACTIONS(3813),
    [anon_sym_foreach] = ACTIONS(3813),
    [anon_sym_goto] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(3813),
    [anon_sym_DOT_DOT] = ACTIONS(3815),
    [anon_sym_from] = ACTIONS(3813),
    [anon_sym_into] = ACTIONS(3813),
    [anon_sym_join] = ACTIONS(3813),
    [anon_sym_on] = ACTIONS(3813),
    [anon_sym_equals] = ACTIONS(3813),
    [anon_sym_let] = ACTIONS(3813),
    [anon_sym_orderby] = ACTIONS(3813),
    [anon_sym_ascending] = ACTIONS(3813),
    [anon_sym_descending] = ACTIONS(3813),
    [anon_sym_group] = ACTIONS(3813),
    [anon_sym_by] = ACTIONS(3813),
    [anon_sym_select] = ACTIONS(3813),
    [anon_sym_DQUOTE] = ACTIONS(3815),
    [anon_sym_stackalloc] = ACTIONS(3813),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym_typeof] = ACTIONS(3813),
    [anon_sym___makeref] = ACTIONS(3813),
    [anon_sym___reftype] = ACTIONS(3813),
    [anon_sym___refvalue] = ACTIONS(3813),
    [sym_null_literal] = ACTIONS(3813),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [sym_integer_literal] = ACTIONS(3813),
    [sym_real_literal] = ACTIONS(3815),
    [sym_verbatim_string_literal] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token3] = ACTIONS(3815),
    [aux_sym_preproc_else_token1] = ACTIONS(3815),
    [aux_sym_preproc_elif_token1] = ACTIONS(3815),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3815),
    [sym_interpolation_verbatim_start] = ACTIONS(3815),
    [sym_interpolation_raw_start] = ACTIONS(3815),
    [sym_raw_string_start] = ACTIONS(3815),
  },
  [2394] = {
    [sym_preproc_region] = STATE(2394),
    [sym_preproc_endregion] = STATE(2394),
    [sym_preproc_line] = STATE(2394),
    [sym_preproc_pragma] = STATE(2394),
    [sym_preproc_nullable] = STATE(2394),
    [sym_preproc_error] = STATE(2394),
    [sym_preproc_define] = STATE(2394),
    [sym_preproc_undef] = STATE(2394),
    [sym__identifier_token] = ACTIONS(3817),
    [anon_sym_extern] = ACTIONS(3817),
    [anon_sym_alias] = ACTIONS(3817),
    [anon_sym_SEMI] = ACTIONS(3819),
    [anon_sym_global] = ACTIONS(3817),
    [anon_sym_using] = ACTIONS(3817),
    [anon_sym_unsafe] = ACTIONS(3817),
    [anon_sym_static] = ACTIONS(3817),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_LPAREN] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3817),
    [anon_sym_namespace] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3817),
    [anon_sym_ref] = ACTIONS(3817),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_enum] = ACTIONS(3817),
    [anon_sym_LBRACE] = ACTIONS(3819),
    [anon_sym_interface] = ACTIONS(3817),
    [anon_sym_delegate] = ACTIONS(3817),
    [anon_sym_record] = ACTIONS(3817),
    [anon_sym_abstract] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3817),
    [anon_sym_const] = ACTIONS(3817),
    [anon_sym_file] = ACTIONS(3817),
    [anon_sym_fixed] = ACTIONS(3817),
    [anon_sym_internal] = ACTIONS(3817),
    [anon_sym_new] = ACTIONS(3817),
    [anon_sym_override] = ACTIONS(3817),
    [anon_sym_partial] = ACTIONS(3817),
    [anon_sym_private] = ACTIONS(3817),
    [anon_sym_protected] = ACTIONS(3817),
    [anon_sym_public] = ACTIONS(3817),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_required] = ACTIONS(3817),
    [anon_sym_sealed] = ACTIONS(3817),
    [anon_sym_virtual] = ACTIONS(3817),
    [anon_sym_volatile] = ACTIONS(3817),
    [anon_sym_where] = ACTIONS(3817),
    [anon_sym_notnull] = ACTIONS(3817),
    [anon_sym_unmanaged] = ACTIONS(3817),
    [anon_sym_checked] = ACTIONS(3817),
    [anon_sym_BANG] = ACTIONS(3819),
    [anon_sym_TILDE] = ACTIONS(3819),
    [anon_sym_PLUS_PLUS] = ACTIONS(3819),
    [anon_sym_DASH_DASH] = ACTIONS(3819),
    [anon_sym_true] = ACTIONS(3817),
    [anon_sym_false] = ACTIONS(3817),
    [anon_sym_PLUS] = ACTIONS(3817),
    [anon_sym_DASH] = ACTIONS(3817),
    [anon_sym_STAR] = ACTIONS(3819),
    [anon_sym_CARET] = ACTIONS(3819),
    [anon_sym_AMP] = ACTIONS(3819),
    [anon_sym_this] = ACTIONS(3817),
    [anon_sym_scoped] = ACTIONS(3817),
    [anon_sym_base] = ACTIONS(3817),
    [anon_sym_var] = ACTIONS(3817),
    [sym_predefined_type] = ACTIONS(3817),
    [anon_sym_break] = ACTIONS(3817),
    [anon_sym_unchecked] = ACTIONS(3817),
    [anon_sym_continue] = ACTIONS(3817),
    [anon_sym_do] = ACTIONS(3817),
    [anon_sym_while] = ACTIONS(3817),
    [anon_sym_for] = ACTIONS(3817),
    [anon_sym_lock] = ACTIONS(3817),
    [anon_sym_yield] = ACTIONS(3817),
    [anon_sym_switch] = ACTIONS(3817),
    [anon_sym_default] = ACTIONS(3817),
    [anon_sym_throw] = ACTIONS(3817),
    [anon_sym_try] = ACTIONS(3817),
    [anon_sym_when] = ACTIONS(3817),
    [anon_sym_await] = ACTIONS(3817),
    [anon_sym_foreach] = ACTIONS(3817),
    [anon_sym_goto] = ACTIONS(3817),
    [anon_sym_if] = ACTIONS(3817),
    [anon_sym_DOT_DOT] = ACTIONS(3819),
    [anon_sym_from] = ACTIONS(3817),
    [anon_sym_into] = ACTIONS(3817),
    [anon_sym_join] = ACTIONS(3817),
    [anon_sym_on] = ACTIONS(3817),
    [anon_sym_equals] = ACTIONS(3817),
    [anon_sym_let] = ACTIONS(3817),
    [anon_sym_orderby] = ACTIONS(3817),
    [anon_sym_ascending] = ACTIONS(3817),
    [anon_sym_descending] = ACTIONS(3817),
    [anon_sym_group] = ACTIONS(3817),
    [anon_sym_by] = ACTIONS(3817),
    [anon_sym_select] = ACTIONS(3817),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [anon_sym_stackalloc] = ACTIONS(3817),
    [anon_sym_sizeof] = ACTIONS(3817),
    [anon_sym_typeof] = ACTIONS(3817),
    [anon_sym___makeref] = ACTIONS(3817),
    [anon_sym___reftype] = ACTIONS(3817),
    [anon_sym___refvalue] = ACTIONS(3817),
    [sym_null_literal] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3819),
    [sym_integer_literal] = ACTIONS(3817),
    [sym_real_literal] = ACTIONS(3819),
    [sym_verbatim_string_literal] = ACTIONS(3819),
    [aux_sym_preproc_if_token1] = ACTIONS(3819),
    [aux_sym_preproc_if_token3] = ACTIONS(3819),
    [aux_sym_preproc_else_token1] = ACTIONS(3819),
    [aux_sym_preproc_elif_token1] = ACTIONS(3819),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3819),
    [sym_interpolation_verbatim_start] = ACTIONS(3819),
    [sym_interpolation_raw_start] = ACTIONS(3819),
    [sym_raw_string_start] = ACTIONS(3819),
  },
  [2395] = {
    [sym_preproc_region] = STATE(2395),
    [sym_preproc_endregion] = STATE(2395),
    [sym_preproc_line] = STATE(2395),
    [sym_preproc_pragma] = STATE(2395),
    [sym_preproc_nullable] = STATE(2395),
    [sym_preproc_error] = STATE(2395),
    [sym_preproc_define] = STATE(2395),
    [sym_preproc_undef] = STATE(2395),
    [sym__identifier_token] = ACTIONS(3821),
    [anon_sym_extern] = ACTIONS(3821),
    [anon_sym_alias] = ACTIONS(3821),
    [anon_sym_SEMI] = ACTIONS(3823),
    [anon_sym_global] = ACTIONS(3821),
    [anon_sym_using] = ACTIONS(3821),
    [anon_sym_unsafe] = ACTIONS(3821),
    [anon_sym_static] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_LPAREN] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3821),
    [anon_sym_namespace] = ACTIONS(3821),
    [anon_sym_class] = ACTIONS(3821),
    [anon_sym_ref] = ACTIONS(3821),
    [anon_sym_struct] = ACTIONS(3821),
    [anon_sym_enum] = ACTIONS(3821),
    [anon_sym_LBRACE] = ACTIONS(3823),
    [anon_sym_interface] = ACTIONS(3821),
    [anon_sym_delegate] = ACTIONS(3821),
    [anon_sym_record] = ACTIONS(3821),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_async] = ACTIONS(3821),
    [anon_sym_const] = ACTIONS(3821),
    [anon_sym_file] = ACTIONS(3821),
    [anon_sym_fixed] = ACTIONS(3821),
    [anon_sym_internal] = ACTIONS(3821),
    [anon_sym_new] = ACTIONS(3821),
    [anon_sym_override] = ACTIONS(3821),
    [anon_sym_partial] = ACTIONS(3821),
    [anon_sym_private] = ACTIONS(3821),
    [anon_sym_protected] = ACTIONS(3821),
    [anon_sym_public] = ACTIONS(3821),
    [anon_sym_readonly] = ACTIONS(3821),
    [anon_sym_required] = ACTIONS(3821),
    [anon_sym_sealed] = ACTIONS(3821),
    [anon_sym_virtual] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(3821),
    [anon_sym_where] = ACTIONS(3821),
    [anon_sym_notnull] = ACTIONS(3821),
    [anon_sym_unmanaged] = ACTIONS(3821),
    [anon_sym_checked] = ACTIONS(3821),
    [anon_sym_BANG] = ACTIONS(3823),
    [anon_sym_TILDE] = ACTIONS(3823),
    [anon_sym_PLUS_PLUS] = ACTIONS(3823),
    [anon_sym_DASH_DASH] = ACTIONS(3823),
    [anon_sym_true] = ACTIONS(3821),
    [anon_sym_false] = ACTIONS(3821),
    [anon_sym_PLUS] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3821),
    [anon_sym_STAR] = ACTIONS(3823),
    [anon_sym_CARET] = ACTIONS(3823),
    [anon_sym_AMP] = ACTIONS(3823),
    [anon_sym_this] = ACTIONS(3821),
    [anon_sym_scoped] = ACTIONS(3821),
    [anon_sym_base] = ACTIONS(3821),
    [anon_sym_var] = ACTIONS(3821),
    [sym_predefined_type] = ACTIONS(3821),
    [anon_sym_break] = ACTIONS(3821),
    [anon_sym_unchecked] = ACTIONS(3821),
    [anon_sym_continue] = ACTIONS(3821),
    [anon_sym_do] = ACTIONS(3821),
    [anon_sym_while] = ACTIONS(3821),
    [anon_sym_for] = ACTIONS(3821),
    [anon_sym_lock] = ACTIONS(3821),
    [anon_sym_yield] = ACTIONS(3821),
    [anon_sym_switch] = ACTIONS(3821),
    [anon_sym_default] = ACTIONS(3821),
    [anon_sym_throw] = ACTIONS(3821),
    [anon_sym_try] = ACTIONS(3821),
    [anon_sym_when] = ACTIONS(3821),
    [anon_sym_await] = ACTIONS(3821),
    [anon_sym_foreach] = ACTIONS(3821),
    [anon_sym_goto] = ACTIONS(3821),
    [anon_sym_if] = ACTIONS(3821),
    [anon_sym_DOT_DOT] = ACTIONS(3823),
    [anon_sym_from] = ACTIONS(3821),
    [anon_sym_into] = ACTIONS(3821),
    [anon_sym_join] = ACTIONS(3821),
    [anon_sym_on] = ACTIONS(3821),
    [anon_sym_equals] = ACTIONS(3821),
    [anon_sym_let] = ACTIONS(3821),
    [anon_sym_orderby] = ACTIONS(3821),
    [anon_sym_ascending] = ACTIONS(3821),
    [anon_sym_descending] = ACTIONS(3821),
    [anon_sym_group] = ACTIONS(3821),
    [anon_sym_by] = ACTIONS(3821),
    [anon_sym_select] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3823),
    [anon_sym_stackalloc] = ACTIONS(3821),
    [anon_sym_sizeof] = ACTIONS(3821),
    [anon_sym_typeof] = ACTIONS(3821),
    [anon_sym___makeref] = ACTIONS(3821),
    [anon_sym___reftype] = ACTIONS(3821),
    [anon_sym___refvalue] = ACTIONS(3821),
    [sym_null_literal] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3823),
    [sym_integer_literal] = ACTIONS(3821),
    [sym_real_literal] = ACTIONS(3823),
    [sym_verbatim_string_literal] = ACTIONS(3823),
    [aux_sym_preproc_if_token1] = ACTIONS(3823),
    [aux_sym_preproc_if_token3] = ACTIONS(3823),
    [aux_sym_preproc_else_token1] = ACTIONS(3823),
    [aux_sym_preproc_elif_token1] = ACTIONS(3823),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3823),
    [sym_interpolation_verbatim_start] = ACTIONS(3823),
    [sym_interpolation_raw_start] = ACTIONS(3823),
    [sym_raw_string_start] = ACTIONS(3823),
  },
  [2396] = {
    [sym_preproc_region] = STATE(2396),
    [sym_preproc_endregion] = STATE(2396),
    [sym_preproc_line] = STATE(2396),
    [sym_preproc_pragma] = STATE(2396),
    [sym_preproc_nullable] = STATE(2396),
    [sym_preproc_error] = STATE(2396),
    [sym_preproc_define] = STATE(2396),
    [sym_preproc_undef] = STATE(2396),
    [sym__identifier_token] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(3825),
    [anon_sym_alias] = ACTIONS(3825),
    [anon_sym_SEMI] = ACTIONS(3827),
    [anon_sym_global] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3825),
    [anon_sym_unsafe] = ACTIONS(3825),
    [anon_sym_static] = ACTIONS(3825),
    [anon_sym_LBRACK] = ACTIONS(3827),
    [anon_sym_LPAREN] = ACTIONS(3827),
    [anon_sym_return] = ACTIONS(3825),
    [anon_sym_namespace] = ACTIONS(3825),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_ref] = ACTIONS(3825),
    [anon_sym_struct] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3825),
    [anon_sym_LBRACE] = ACTIONS(3827),
    [anon_sym_interface] = ACTIONS(3825),
    [anon_sym_delegate] = ACTIONS(3825),
    [anon_sym_record] = ACTIONS(3825),
    [anon_sym_abstract] = ACTIONS(3825),
    [anon_sym_async] = ACTIONS(3825),
    [anon_sym_const] = ACTIONS(3825),
    [anon_sym_file] = ACTIONS(3825),
    [anon_sym_fixed] = ACTIONS(3825),
    [anon_sym_internal] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(3825),
    [anon_sym_override] = ACTIONS(3825),
    [anon_sym_partial] = ACTIONS(3825),
    [anon_sym_private] = ACTIONS(3825),
    [anon_sym_protected] = ACTIONS(3825),
    [anon_sym_public] = ACTIONS(3825),
    [anon_sym_readonly] = ACTIONS(3825),
    [anon_sym_required] = ACTIONS(3825),
    [anon_sym_sealed] = ACTIONS(3825),
    [anon_sym_virtual] = ACTIONS(3825),
    [anon_sym_volatile] = ACTIONS(3825),
    [anon_sym_where] = ACTIONS(3825),
    [anon_sym_notnull] = ACTIONS(3825),
    [anon_sym_unmanaged] = ACTIONS(3825),
    [anon_sym_checked] = ACTIONS(3825),
    [anon_sym_BANG] = ACTIONS(3827),
    [anon_sym_TILDE] = ACTIONS(3827),
    [anon_sym_PLUS_PLUS] = ACTIONS(3827),
    [anon_sym_DASH_DASH] = ACTIONS(3827),
    [anon_sym_true] = ACTIONS(3825),
    [anon_sym_false] = ACTIONS(3825),
    [anon_sym_PLUS] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3825),
    [anon_sym_STAR] = ACTIONS(3827),
    [anon_sym_CARET] = ACTIONS(3827),
    [anon_sym_AMP] = ACTIONS(3827),
    [anon_sym_this] = ACTIONS(3825),
    [anon_sym_scoped] = ACTIONS(3825),
    [anon_sym_base] = ACTIONS(3825),
    [anon_sym_var] = ACTIONS(3825),
    [sym_predefined_type] = ACTIONS(3825),
    [anon_sym_break] = ACTIONS(3825),
    [anon_sym_unchecked] = ACTIONS(3825),
    [anon_sym_continue] = ACTIONS(3825),
    [anon_sym_do] = ACTIONS(3825),
    [anon_sym_while] = ACTIONS(3825),
    [anon_sym_for] = ACTIONS(3825),
    [anon_sym_lock] = ACTIONS(3825),
    [anon_sym_yield] = ACTIONS(3825),
    [anon_sym_switch] = ACTIONS(3825),
    [anon_sym_default] = ACTIONS(3825),
    [anon_sym_throw] = ACTIONS(3825),
    [anon_sym_try] = ACTIONS(3825),
    [anon_sym_when] = ACTIONS(3825),
    [anon_sym_await] = ACTIONS(3825),
    [anon_sym_foreach] = ACTIONS(3825),
    [anon_sym_goto] = ACTIONS(3825),
    [anon_sym_if] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3827),
    [anon_sym_from] = ACTIONS(3825),
    [anon_sym_into] = ACTIONS(3825),
    [anon_sym_join] = ACTIONS(3825),
    [anon_sym_on] = ACTIONS(3825),
    [anon_sym_equals] = ACTIONS(3825),
    [anon_sym_let] = ACTIONS(3825),
    [anon_sym_orderby] = ACTIONS(3825),
    [anon_sym_ascending] = ACTIONS(3825),
    [anon_sym_descending] = ACTIONS(3825),
    [anon_sym_group] = ACTIONS(3825),
    [anon_sym_by] = ACTIONS(3825),
    [anon_sym_select] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3827),
    [anon_sym_stackalloc] = ACTIONS(3825),
    [anon_sym_sizeof] = ACTIONS(3825),
    [anon_sym_typeof] = ACTIONS(3825),
    [anon_sym___makeref] = ACTIONS(3825),
    [anon_sym___reftype] = ACTIONS(3825),
    [anon_sym___refvalue] = ACTIONS(3825),
    [sym_null_literal] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3827),
    [sym_integer_literal] = ACTIONS(3825),
    [sym_real_literal] = ACTIONS(3827),
    [sym_verbatim_string_literal] = ACTIONS(3827),
    [aux_sym_preproc_if_token1] = ACTIONS(3827),
    [aux_sym_preproc_if_token3] = ACTIONS(3827),
    [aux_sym_preproc_else_token1] = ACTIONS(3827),
    [aux_sym_preproc_elif_token1] = ACTIONS(3827),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3827),
    [sym_interpolation_verbatim_start] = ACTIONS(3827),
    [sym_interpolation_raw_start] = ACTIONS(3827),
    [sym_raw_string_start] = ACTIONS(3827),
  },
  [2397] = {
    [sym_preproc_region] = STATE(2397),
    [sym_preproc_endregion] = STATE(2397),
    [sym_preproc_line] = STATE(2397),
    [sym_preproc_pragma] = STATE(2397),
    [sym_preproc_nullable] = STATE(2397),
    [sym_preproc_error] = STATE(2397),
    [sym_preproc_define] = STATE(2397),
    [sym_preproc_undef] = STATE(2397),
    [sym__identifier_token] = ACTIONS(3829),
    [anon_sym_extern] = ACTIONS(3829),
    [anon_sym_alias] = ACTIONS(3829),
    [anon_sym_SEMI] = ACTIONS(3831),
    [anon_sym_global] = ACTIONS(3829),
    [anon_sym_using] = ACTIONS(3829),
    [anon_sym_unsafe] = ACTIONS(3829),
    [anon_sym_static] = ACTIONS(3829),
    [anon_sym_LBRACK] = ACTIONS(3831),
    [anon_sym_LPAREN] = ACTIONS(3831),
    [anon_sym_return] = ACTIONS(3829),
    [anon_sym_namespace] = ACTIONS(3829),
    [anon_sym_class] = ACTIONS(3829),
    [anon_sym_ref] = ACTIONS(3829),
    [anon_sym_struct] = ACTIONS(3829),
    [anon_sym_enum] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_interface] = ACTIONS(3829),
    [anon_sym_delegate] = ACTIONS(3829),
    [anon_sym_record] = ACTIONS(3829),
    [anon_sym_abstract] = ACTIONS(3829),
    [anon_sym_async] = ACTIONS(3829),
    [anon_sym_const] = ACTIONS(3829),
    [anon_sym_file] = ACTIONS(3829),
    [anon_sym_fixed] = ACTIONS(3829),
    [anon_sym_internal] = ACTIONS(3829),
    [anon_sym_new] = ACTIONS(3829),
    [anon_sym_override] = ACTIONS(3829),
    [anon_sym_partial] = ACTIONS(3829),
    [anon_sym_private] = ACTIONS(3829),
    [anon_sym_protected] = ACTIONS(3829),
    [anon_sym_public] = ACTIONS(3829),
    [anon_sym_readonly] = ACTIONS(3829),
    [anon_sym_required] = ACTIONS(3829),
    [anon_sym_sealed] = ACTIONS(3829),
    [anon_sym_virtual] = ACTIONS(3829),
    [anon_sym_volatile] = ACTIONS(3829),
    [anon_sym_where] = ACTIONS(3829),
    [anon_sym_notnull] = ACTIONS(3829),
    [anon_sym_unmanaged] = ACTIONS(3829),
    [anon_sym_checked] = ACTIONS(3829),
    [anon_sym_BANG] = ACTIONS(3831),
    [anon_sym_TILDE] = ACTIONS(3831),
    [anon_sym_PLUS_PLUS] = ACTIONS(3831),
    [anon_sym_DASH_DASH] = ACTIONS(3831),
    [anon_sym_true] = ACTIONS(3829),
    [anon_sym_false] = ACTIONS(3829),
    [anon_sym_PLUS] = ACTIONS(3829),
    [anon_sym_DASH] = ACTIONS(3829),
    [anon_sym_STAR] = ACTIONS(3831),
    [anon_sym_CARET] = ACTIONS(3831),
    [anon_sym_AMP] = ACTIONS(3831),
    [anon_sym_this] = ACTIONS(3829),
    [anon_sym_scoped] = ACTIONS(3829),
    [anon_sym_base] = ACTIONS(3829),
    [anon_sym_var] = ACTIONS(3829),
    [sym_predefined_type] = ACTIONS(3829),
    [anon_sym_break] = ACTIONS(3829),
    [anon_sym_unchecked] = ACTIONS(3829),
    [anon_sym_continue] = ACTIONS(3829),
    [anon_sym_do] = ACTIONS(3829),
    [anon_sym_while] = ACTIONS(3829),
    [anon_sym_for] = ACTIONS(3829),
    [anon_sym_lock] = ACTIONS(3829),
    [anon_sym_yield] = ACTIONS(3829),
    [anon_sym_switch] = ACTIONS(3829),
    [anon_sym_default] = ACTIONS(3829),
    [anon_sym_throw] = ACTIONS(3829),
    [anon_sym_try] = ACTIONS(3829),
    [anon_sym_when] = ACTIONS(3829),
    [anon_sym_await] = ACTIONS(3829),
    [anon_sym_foreach] = ACTIONS(3829),
    [anon_sym_goto] = ACTIONS(3829),
    [anon_sym_if] = ACTIONS(3829),
    [anon_sym_DOT_DOT] = ACTIONS(3831),
    [anon_sym_from] = ACTIONS(3829),
    [anon_sym_into] = ACTIONS(3829),
    [anon_sym_join] = ACTIONS(3829),
    [anon_sym_on] = ACTIONS(3829),
    [anon_sym_equals] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3829),
    [anon_sym_orderby] = ACTIONS(3829),
    [anon_sym_ascending] = ACTIONS(3829),
    [anon_sym_descending] = ACTIONS(3829),
    [anon_sym_group] = ACTIONS(3829),
    [anon_sym_by] = ACTIONS(3829),
    [anon_sym_select] = ACTIONS(3829),
    [anon_sym_DQUOTE] = ACTIONS(3831),
    [anon_sym_stackalloc] = ACTIONS(3829),
    [anon_sym_sizeof] = ACTIONS(3829),
    [anon_sym_typeof] = ACTIONS(3829),
    [anon_sym___makeref] = ACTIONS(3829),
    [anon_sym___reftype] = ACTIONS(3829),
    [anon_sym___refvalue] = ACTIONS(3829),
    [sym_null_literal] = ACTIONS(3829),
    [anon_sym_SQUOTE] = ACTIONS(3831),
    [sym_integer_literal] = ACTIONS(3829),
    [sym_real_literal] = ACTIONS(3831),
    [sym_verbatim_string_literal] = ACTIONS(3831),
    [aux_sym_preproc_if_token1] = ACTIONS(3831),
    [aux_sym_preproc_if_token3] = ACTIONS(3831),
    [aux_sym_preproc_else_token1] = ACTIONS(3831),
    [aux_sym_preproc_elif_token1] = ACTIONS(3831),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3831),
    [sym_interpolation_verbatim_start] = ACTIONS(3831),
    [sym_interpolation_raw_start] = ACTIONS(3831),
    [sym_raw_string_start] = ACTIONS(3831),
  },
  [2398] = {
    [sym_preproc_region] = STATE(2398),
    [sym_preproc_endregion] = STATE(2398),
    [sym_preproc_line] = STATE(2398),
    [sym_preproc_pragma] = STATE(2398),
    [sym_preproc_nullable] = STATE(2398),
    [sym_preproc_error] = STATE(2398),
    [sym_preproc_define] = STATE(2398),
    [sym_preproc_undef] = STATE(2398),
    [sym__identifier_token] = ACTIONS(3833),
    [anon_sym_extern] = ACTIONS(3833),
    [anon_sym_alias] = ACTIONS(3833),
    [anon_sym_SEMI] = ACTIONS(3835),
    [anon_sym_global] = ACTIONS(3833),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_unsafe] = ACTIONS(3833),
    [anon_sym_static] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3835),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_return] = ACTIONS(3833),
    [anon_sym_namespace] = ACTIONS(3833),
    [anon_sym_class] = ACTIONS(3833),
    [anon_sym_ref] = ACTIONS(3833),
    [anon_sym_struct] = ACTIONS(3833),
    [anon_sym_enum] = ACTIONS(3833),
    [anon_sym_LBRACE] = ACTIONS(3835),
    [anon_sym_interface] = ACTIONS(3833),
    [anon_sym_delegate] = ACTIONS(3833),
    [anon_sym_record] = ACTIONS(3833),
    [anon_sym_abstract] = ACTIONS(3833),
    [anon_sym_async] = ACTIONS(3833),
    [anon_sym_const] = ACTIONS(3833),
    [anon_sym_file] = ACTIONS(3833),
    [anon_sym_fixed] = ACTIONS(3833),
    [anon_sym_internal] = ACTIONS(3833),
    [anon_sym_new] = ACTIONS(3833),
    [anon_sym_override] = ACTIONS(3833),
    [anon_sym_partial] = ACTIONS(3833),
    [anon_sym_private] = ACTIONS(3833),
    [anon_sym_protected] = ACTIONS(3833),
    [anon_sym_public] = ACTIONS(3833),
    [anon_sym_readonly] = ACTIONS(3833),
    [anon_sym_required] = ACTIONS(3833),
    [anon_sym_sealed] = ACTIONS(3833),
    [anon_sym_virtual] = ACTIONS(3833),
    [anon_sym_volatile] = ACTIONS(3833),
    [anon_sym_where] = ACTIONS(3833),
    [anon_sym_notnull] = ACTIONS(3833),
    [anon_sym_unmanaged] = ACTIONS(3833),
    [anon_sym_checked] = ACTIONS(3833),
    [anon_sym_BANG] = ACTIONS(3835),
    [anon_sym_TILDE] = ACTIONS(3835),
    [anon_sym_PLUS_PLUS] = ACTIONS(3835),
    [anon_sym_DASH_DASH] = ACTIONS(3835),
    [anon_sym_true] = ACTIONS(3833),
    [anon_sym_false] = ACTIONS(3833),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_STAR] = ACTIONS(3835),
    [anon_sym_CARET] = ACTIONS(3835),
    [anon_sym_AMP] = ACTIONS(3835),
    [anon_sym_this] = ACTIONS(3833),
    [anon_sym_scoped] = ACTIONS(3833),
    [anon_sym_base] = ACTIONS(3833),
    [anon_sym_var] = ACTIONS(3833),
    [sym_predefined_type] = ACTIONS(3833),
    [anon_sym_break] = ACTIONS(3833),
    [anon_sym_unchecked] = ACTIONS(3833),
    [anon_sym_continue] = ACTIONS(3833),
    [anon_sym_do] = ACTIONS(3833),
    [anon_sym_while] = ACTIONS(3833),
    [anon_sym_for] = ACTIONS(3833),
    [anon_sym_lock] = ACTIONS(3833),
    [anon_sym_yield] = ACTIONS(3833),
    [anon_sym_switch] = ACTIONS(3833),
    [anon_sym_default] = ACTIONS(3833),
    [anon_sym_throw] = ACTIONS(3833),
    [anon_sym_try] = ACTIONS(3833),
    [anon_sym_when] = ACTIONS(3833),
    [anon_sym_await] = ACTIONS(3833),
    [anon_sym_foreach] = ACTIONS(3833),
    [anon_sym_goto] = ACTIONS(3833),
    [anon_sym_if] = ACTIONS(3833),
    [anon_sym_DOT_DOT] = ACTIONS(3835),
    [anon_sym_from] = ACTIONS(3833),
    [anon_sym_into] = ACTIONS(3833),
    [anon_sym_join] = ACTIONS(3833),
    [anon_sym_on] = ACTIONS(3833),
    [anon_sym_equals] = ACTIONS(3833),
    [anon_sym_let] = ACTIONS(3833),
    [anon_sym_orderby] = ACTIONS(3833),
    [anon_sym_ascending] = ACTIONS(3833),
    [anon_sym_descending] = ACTIONS(3833),
    [anon_sym_group] = ACTIONS(3833),
    [anon_sym_by] = ACTIONS(3833),
    [anon_sym_select] = ACTIONS(3833),
    [anon_sym_DQUOTE] = ACTIONS(3835),
    [anon_sym_stackalloc] = ACTIONS(3833),
    [anon_sym_sizeof] = ACTIONS(3833),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym___makeref] = ACTIONS(3833),
    [anon_sym___reftype] = ACTIONS(3833),
    [anon_sym___refvalue] = ACTIONS(3833),
    [sym_null_literal] = ACTIONS(3833),
    [anon_sym_SQUOTE] = ACTIONS(3835),
    [sym_integer_literal] = ACTIONS(3833),
    [sym_real_literal] = ACTIONS(3835),
    [sym_verbatim_string_literal] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token3] = ACTIONS(3835),
    [aux_sym_preproc_else_token1] = ACTIONS(3835),
    [aux_sym_preproc_elif_token1] = ACTIONS(3835),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3835),
    [sym_interpolation_verbatim_start] = ACTIONS(3835),
    [sym_interpolation_raw_start] = ACTIONS(3835),
    [sym_raw_string_start] = ACTIONS(3835),
  },
  [2399] = {
    [sym_preproc_region] = STATE(2399),
    [sym_preproc_endregion] = STATE(2399),
    [sym_preproc_line] = STATE(2399),
    [sym_preproc_pragma] = STATE(2399),
    [sym_preproc_nullable] = STATE(2399),
    [sym_preproc_error] = STATE(2399),
    [sym_preproc_define] = STATE(2399),
    [sym_preproc_undef] = STATE(2399),
    [sym__identifier_token] = ACTIONS(3837),
    [anon_sym_extern] = ACTIONS(3837),
    [anon_sym_alias] = ACTIONS(3837),
    [anon_sym_SEMI] = ACTIONS(3839),
    [anon_sym_global] = ACTIONS(3837),
    [anon_sym_using] = ACTIONS(3837),
    [anon_sym_unsafe] = ACTIONS(3837),
    [anon_sym_static] = ACTIONS(3837),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_LPAREN] = ACTIONS(3839),
    [anon_sym_return] = ACTIONS(3837),
    [anon_sym_namespace] = ACTIONS(3837),
    [anon_sym_class] = ACTIONS(3837),
    [anon_sym_ref] = ACTIONS(3837),
    [anon_sym_struct] = ACTIONS(3837),
    [anon_sym_enum] = ACTIONS(3837),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [anon_sym_interface] = ACTIONS(3837),
    [anon_sym_delegate] = ACTIONS(3837),
    [anon_sym_record] = ACTIONS(3837),
    [anon_sym_abstract] = ACTIONS(3837),
    [anon_sym_async] = ACTIONS(3837),
    [anon_sym_const] = ACTIONS(3837),
    [anon_sym_file] = ACTIONS(3837),
    [anon_sym_fixed] = ACTIONS(3837),
    [anon_sym_internal] = ACTIONS(3837),
    [anon_sym_new] = ACTIONS(3837),
    [anon_sym_override] = ACTIONS(3837),
    [anon_sym_partial] = ACTIONS(3837),
    [anon_sym_private] = ACTIONS(3837),
    [anon_sym_protected] = ACTIONS(3837),
    [anon_sym_public] = ACTIONS(3837),
    [anon_sym_readonly] = ACTIONS(3837),
    [anon_sym_required] = ACTIONS(3837),
    [anon_sym_sealed] = ACTIONS(3837),
    [anon_sym_virtual] = ACTIONS(3837),
    [anon_sym_volatile] = ACTIONS(3837),
    [anon_sym_where] = ACTIONS(3837),
    [anon_sym_notnull] = ACTIONS(3837),
    [anon_sym_unmanaged] = ACTIONS(3837),
    [anon_sym_checked] = ACTIONS(3837),
    [anon_sym_BANG] = ACTIONS(3839),
    [anon_sym_TILDE] = ACTIONS(3839),
    [anon_sym_PLUS_PLUS] = ACTIONS(3839),
    [anon_sym_DASH_DASH] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(3837),
    [anon_sym_false] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3837),
    [anon_sym_DASH] = ACTIONS(3837),
    [anon_sym_STAR] = ACTIONS(3839),
    [anon_sym_CARET] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym_this] = ACTIONS(3837),
    [anon_sym_scoped] = ACTIONS(3837),
    [anon_sym_base] = ACTIONS(3837),
    [anon_sym_var] = ACTIONS(3837),
    [sym_predefined_type] = ACTIONS(3837),
    [anon_sym_break] = ACTIONS(3837),
    [anon_sym_unchecked] = ACTIONS(3837),
    [anon_sym_continue] = ACTIONS(3837),
    [anon_sym_do] = ACTIONS(3837),
    [anon_sym_while] = ACTIONS(3837),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_lock] = ACTIONS(3837),
    [anon_sym_yield] = ACTIONS(3837),
    [anon_sym_switch] = ACTIONS(3837),
    [anon_sym_default] = ACTIONS(3837),
    [anon_sym_throw] = ACTIONS(3837),
    [anon_sym_try] = ACTIONS(3837),
    [anon_sym_when] = ACTIONS(3837),
    [anon_sym_await] = ACTIONS(3837),
    [anon_sym_foreach] = ACTIONS(3837),
    [anon_sym_goto] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(3837),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_from] = ACTIONS(3837),
    [anon_sym_into] = ACTIONS(3837),
    [anon_sym_join] = ACTIONS(3837),
    [anon_sym_on] = ACTIONS(3837),
    [anon_sym_equals] = ACTIONS(3837),
    [anon_sym_let] = ACTIONS(3837),
    [anon_sym_orderby] = ACTIONS(3837),
    [anon_sym_ascending] = ACTIONS(3837),
    [anon_sym_descending] = ACTIONS(3837),
    [anon_sym_group] = ACTIONS(3837),
    [anon_sym_by] = ACTIONS(3837),
    [anon_sym_select] = ACTIONS(3837),
    [anon_sym_DQUOTE] = ACTIONS(3839),
    [anon_sym_stackalloc] = ACTIONS(3837),
    [anon_sym_sizeof] = ACTIONS(3837),
    [anon_sym_typeof] = ACTIONS(3837),
    [anon_sym___makeref] = ACTIONS(3837),
    [anon_sym___reftype] = ACTIONS(3837),
    [anon_sym___refvalue] = ACTIONS(3837),
    [sym_null_literal] = ACTIONS(3837),
    [anon_sym_SQUOTE] = ACTIONS(3839),
    [sym_integer_literal] = ACTIONS(3837),
    [sym_real_literal] = ACTIONS(3839),
    [sym_verbatim_string_literal] = ACTIONS(3839),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token3] = ACTIONS(3839),
    [aux_sym_preproc_else_token1] = ACTIONS(3839),
    [aux_sym_preproc_elif_token1] = ACTIONS(3839),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3839),
    [sym_interpolation_verbatim_start] = ACTIONS(3839),
    [sym_interpolation_raw_start] = ACTIONS(3839),
    [sym_raw_string_start] = ACTIONS(3839),
  },
  [2400] = {
    [sym_preproc_region] = STATE(2400),
    [sym_preproc_endregion] = STATE(2400),
    [sym_preproc_line] = STATE(2400),
    [sym_preproc_pragma] = STATE(2400),
    [sym_preproc_nullable] = STATE(2400),
    [sym_preproc_error] = STATE(2400),
    [sym_preproc_define] = STATE(2400),
    [sym_preproc_undef] = STATE(2400),
    [sym__identifier_token] = ACTIONS(3841),
    [anon_sym_extern] = ACTIONS(3841),
    [anon_sym_alias] = ACTIONS(3841),
    [anon_sym_SEMI] = ACTIONS(3843),
    [anon_sym_global] = ACTIONS(3841),
    [anon_sym_using] = ACTIONS(3841),
    [anon_sym_unsafe] = ACTIONS(3841),
    [anon_sym_static] = ACTIONS(3841),
    [anon_sym_LBRACK] = ACTIONS(3843),
    [anon_sym_LPAREN] = ACTIONS(3843),
    [anon_sym_return] = ACTIONS(3841),
    [anon_sym_namespace] = ACTIONS(3841),
    [anon_sym_class] = ACTIONS(3841),
    [anon_sym_ref] = ACTIONS(3841),
    [anon_sym_struct] = ACTIONS(3841),
    [anon_sym_enum] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_interface] = ACTIONS(3841),
    [anon_sym_delegate] = ACTIONS(3841),
    [anon_sym_record] = ACTIONS(3841),
    [anon_sym_abstract] = ACTIONS(3841),
    [anon_sym_async] = ACTIONS(3841),
    [anon_sym_const] = ACTIONS(3841),
    [anon_sym_file] = ACTIONS(3841),
    [anon_sym_fixed] = ACTIONS(3841),
    [anon_sym_internal] = ACTIONS(3841),
    [anon_sym_new] = ACTIONS(3841),
    [anon_sym_override] = ACTIONS(3841),
    [anon_sym_partial] = ACTIONS(3841),
    [anon_sym_private] = ACTIONS(3841),
    [anon_sym_protected] = ACTIONS(3841),
    [anon_sym_public] = ACTIONS(3841),
    [anon_sym_readonly] = ACTIONS(3841),
    [anon_sym_required] = ACTIONS(3841),
    [anon_sym_sealed] = ACTIONS(3841),
    [anon_sym_virtual] = ACTIONS(3841),
    [anon_sym_volatile] = ACTIONS(3841),
    [anon_sym_where] = ACTIONS(3841),
    [anon_sym_notnull] = ACTIONS(3841),
    [anon_sym_unmanaged] = ACTIONS(3841),
    [anon_sym_checked] = ACTIONS(3841),
    [anon_sym_BANG] = ACTIONS(3843),
    [anon_sym_TILDE] = ACTIONS(3843),
    [anon_sym_PLUS_PLUS] = ACTIONS(3843),
    [anon_sym_DASH_DASH] = ACTIONS(3843),
    [anon_sym_true] = ACTIONS(3841),
    [anon_sym_false] = ACTIONS(3841),
    [anon_sym_PLUS] = ACTIONS(3841),
    [anon_sym_DASH] = ACTIONS(3841),
    [anon_sym_STAR] = ACTIONS(3843),
    [anon_sym_CARET] = ACTIONS(3843),
    [anon_sym_AMP] = ACTIONS(3843),
    [anon_sym_this] = ACTIONS(3841),
    [anon_sym_scoped] = ACTIONS(3841),
    [anon_sym_base] = ACTIONS(3841),
    [anon_sym_var] = ACTIONS(3841),
    [sym_predefined_type] = ACTIONS(3841),
    [anon_sym_break] = ACTIONS(3841),
    [anon_sym_unchecked] = ACTIONS(3841),
    [anon_sym_continue] = ACTIONS(3841),
    [anon_sym_do] = ACTIONS(3841),
    [anon_sym_while] = ACTIONS(3841),
    [anon_sym_for] = ACTIONS(3841),
    [anon_sym_lock] = ACTIONS(3841),
    [anon_sym_yield] = ACTIONS(3841),
    [anon_sym_switch] = ACTIONS(3841),
    [anon_sym_default] = ACTIONS(3841),
    [anon_sym_throw] = ACTIONS(3841),
    [anon_sym_try] = ACTIONS(3841),
    [anon_sym_when] = ACTIONS(3841),
    [anon_sym_await] = ACTIONS(3841),
    [anon_sym_foreach] = ACTIONS(3841),
    [anon_sym_goto] = ACTIONS(3841),
    [anon_sym_if] = ACTIONS(3841),
    [anon_sym_DOT_DOT] = ACTIONS(3843),
    [anon_sym_from] = ACTIONS(3841),
    [anon_sym_into] = ACTIONS(3841),
    [anon_sym_join] = ACTIONS(3841),
    [anon_sym_on] = ACTIONS(3841),
    [anon_sym_equals] = ACTIONS(3841),
    [anon_sym_let] = ACTIONS(3841),
    [anon_sym_orderby] = ACTIONS(3841),
    [anon_sym_ascending] = ACTIONS(3841),
    [anon_sym_descending] = ACTIONS(3841),
    [anon_sym_group] = ACTIONS(3841),
    [anon_sym_by] = ACTIONS(3841),
    [anon_sym_select] = ACTIONS(3841),
    [anon_sym_DQUOTE] = ACTIONS(3843),
    [anon_sym_stackalloc] = ACTIONS(3841),
    [anon_sym_sizeof] = ACTIONS(3841),
    [anon_sym_typeof] = ACTIONS(3841),
    [anon_sym___makeref] = ACTIONS(3841),
    [anon_sym___reftype] = ACTIONS(3841),
    [anon_sym___refvalue] = ACTIONS(3841),
    [sym_null_literal] = ACTIONS(3841),
    [anon_sym_SQUOTE] = ACTIONS(3843),
    [sym_integer_literal] = ACTIONS(3841),
    [sym_real_literal] = ACTIONS(3843),
    [sym_verbatim_string_literal] = ACTIONS(3843),
    [aux_sym_preproc_if_token1] = ACTIONS(3843),
    [aux_sym_preproc_if_token3] = ACTIONS(3843),
    [aux_sym_preproc_else_token1] = ACTIONS(3843),
    [aux_sym_preproc_elif_token1] = ACTIONS(3843),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3843),
    [sym_interpolation_verbatim_start] = ACTIONS(3843),
    [sym_interpolation_raw_start] = ACTIONS(3843),
    [sym_raw_string_start] = ACTIONS(3843),
  },
  [2401] = {
    [sym_preproc_region] = STATE(2401),
    [sym_preproc_endregion] = STATE(2401),
    [sym_preproc_line] = STATE(2401),
    [sym_preproc_pragma] = STATE(2401),
    [sym_preproc_nullable] = STATE(2401),
    [sym_preproc_error] = STATE(2401),
    [sym_preproc_define] = STATE(2401),
    [sym_preproc_undef] = STATE(2401),
    [sym__identifier_token] = ACTIONS(3845),
    [anon_sym_extern] = ACTIONS(3845),
    [anon_sym_alias] = ACTIONS(3845),
    [anon_sym_SEMI] = ACTIONS(3847),
    [anon_sym_global] = ACTIONS(3845),
    [anon_sym_using] = ACTIONS(3845),
    [anon_sym_unsafe] = ACTIONS(3845),
    [anon_sym_static] = ACTIONS(3845),
    [anon_sym_LBRACK] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3847),
    [anon_sym_return] = ACTIONS(3845),
    [anon_sym_namespace] = ACTIONS(3845),
    [anon_sym_class] = ACTIONS(3845),
    [anon_sym_ref] = ACTIONS(3845),
    [anon_sym_struct] = ACTIONS(3845),
    [anon_sym_enum] = ACTIONS(3845),
    [anon_sym_LBRACE] = ACTIONS(3847),
    [anon_sym_interface] = ACTIONS(3845),
    [anon_sym_delegate] = ACTIONS(3845),
    [anon_sym_record] = ACTIONS(3845),
    [anon_sym_abstract] = ACTIONS(3845),
    [anon_sym_async] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_file] = ACTIONS(3845),
    [anon_sym_fixed] = ACTIONS(3845),
    [anon_sym_internal] = ACTIONS(3845),
    [anon_sym_new] = ACTIONS(3845),
    [anon_sym_override] = ACTIONS(3845),
    [anon_sym_partial] = ACTIONS(3845),
    [anon_sym_private] = ACTIONS(3845),
    [anon_sym_protected] = ACTIONS(3845),
    [anon_sym_public] = ACTIONS(3845),
    [anon_sym_readonly] = ACTIONS(3845),
    [anon_sym_required] = ACTIONS(3845),
    [anon_sym_sealed] = ACTIONS(3845),
    [anon_sym_virtual] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_where] = ACTIONS(3845),
    [anon_sym_notnull] = ACTIONS(3845),
    [anon_sym_unmanaged] = ACTIONS(3845),
    [anon_sym_checked] = ACTIONS(3845),
    [anon_sym_BANG] = ACTIONS(3847),
    [anon_sym_TILDE] = ACTIONS(3847),
    [anon_sym_PLUS_PLUS] = ACTIONS(3847),
    [anon_sym_DASH_DASH] = ACTIONS(3847),
    [anon_sym_true] = ACTIONS(3845),
    [anon_sym_false] = ACTIONS(3845),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_STAR] = ACTIONS(3847),
    [anon_sym_CARET] = ACTIONS(3847),
    [anon_sym_AMP] = ACTIONS(3847),
    [anon_sym_this] = ACTIONS(3845),
    [anon_sym_scoped] = ACTIONS(3845),
    [anon_sym_base] = ACTIONS(3845),
    [anon_sym_var] = ACTIONS(3845),
    [sym_predefined_type] = ACTIONS(3845),
    [anon_sym_break] = ACTIONS(3845),
    [anon_sym_unchecked] = ACTIONS(3845),
    [anon_sym_continue] = ACTIONS(3845),
    [anon_sym_do] = ACTIONS(3845),
    [anon_sym_while] = ACTIONS(3845),
    [anon_sym_for] = ACTIONS(3845),
    [anon_sym_lock] = ACTIONS(3845),
    [anon_sym_yield] = ACTIONS(3845),
    [anon_sym_switch] = ACTIONS(3845),
    [anon_sym_default] = ACTIONS(3845),
    [anon_sym_throw] = ACTIONS(3845),
    [anon_sym_try] = ACTIONS(3845),
    [anon_sym_when] = ACTIONS(3845),
    [anon_sym_await] = ACTIONS(3845),
    [anon_sym_foreach] = ACTIONS(3845),
    [anon_sym_goto] = ACTIONS(3845),
    [anon_sym_if] = ACTIONS(3845),
    [anon_sym_DOT_DOT] = ACTIONS(3847),
    [anon_sym_from] = ACTIONS(3845),
    [anon_sym_into] = ACTIONS(3845),
    [anon_sym_join] = ACTIONS(3845),
    [anon_sym_on] = ACTIONS(3845),
    [anon_sym_equals] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3845),
    [anon_sym_orderby] = ACTIONS(3845),
    [anon_sym_ascending] = ACTIONS(3845),
    [anon_sym_descending] = ACTIONS(3845),
    [anon_sym_group] = ACTIONS(3845),
    [anon_sym_by] = ACTIONS(3845),
    [anon_sym_select] = ACTIONS(3845),
    [anon_sym_DQUOTE] = ACTIONS(3847),
    [anon_sym_stackalloc] = ACTIONS(3845),
    [anon_sym_sizeof] = ACTIONS(3845),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym___makeref] = ACTIONS(3845),
    [anon_sym___reftype] = ACTIONS(3845),
    [anon_sym___refvalue] = ACTIONS(3845),
    [sym_null_literal] = ACTIONS(3845),
    [anon_sym_SQUOTE] = ACTIONS(3847),
    [sym_integer_literal] = ACTIONS(3845),
    [sym_real_literal] = ACTIONS(3847),
    [sym_verbatim_string_literal] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token3] = ACTIONS(3847),
    [aux_sym_preproc_else_token1] = ACTIONS(3847),
    [aux_sym_preproc_elif_token1] = ACTIONS(3847),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3847),
    [sym_interpolation_verbatim_start] = ACTIONS(3847),
    [sym_interpolation_raw_start] = ACTIONS(3847),
    [sym_raw_string_start] = ACTIONS(3847),
  },
  [2402] = {
    [sym_preproc_region] = STATE(2402),
    [sym_preproc_endregion] = STATE(2402),
    [sym_preproc_line] = STATE(2402),
    [sym_preproc_pragma] = STATE(2402),
    [sym_preproc_nullable] = STATE(2402),
    [sym_preproc_error] = STATE(2402),
    [sym_preproc_define] = STATE(2402),
    [sym_preproc_undef] = STATE(2402),
    [sym__identifier_token] = ACTIONS(3849),
    [anon_sym_extern] = ACTIONS(3849),
    [anon_sym_alias] = ACTIONS(3849),
    [anon_sym_SEMI] = ACTIONS(3851),
    [anon_sym_global] = ACTIONS(3849),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_unsafe] = ACTIONS(3849),
    [anon_sym_static] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_LPAREN] = ACTIONS(3851),
    [anon_sym_return] = ACTIONS(3849),
    [anon_sym_namespace] = ACTIONS(3849),
    [anon_sym_class] = ACTIONS(3849),
    [anon_sym_ref] = ACTIONS(3849),
    [anon_sym_struct] = ACTIONS(3849),
    [anon_sym_enum] = ACTIONS(3849),
    [anon_sym_LBRACE] = ACTIONS(3851),
    [anon_sym_interface] = ACTIONS(3849),
    [anon_sym_delegate] = ACTIONS(3849),
    [anon_sym_record] = ACTIONS(3849),
    [anon_sym_abstract] = ACTIONS(3849),
    [anon_sym_async] = ACTIONS(3849),
    [anon_sym_const] = ACTIONS(3849),
    [anon_sym_file] = ACTIONS(3849),
    [anon_sym_fixed] = ACTIONS(3849),
    [anon_sym_internal] = ACTIONS(3849),
    [anon_sym_new] = ACTIONS(3849),
    [anon_sym_override] = ACTIONS(3849),
    [anon_sym_partial] = ACTIONS(3849),
    [anon_sym_private] = ACTIONS(3849),
    [anon_sym_protected] = ACTIONS(3849),
    [anon_sym_public] = ACTIONS(3849),
    [anon_sym_readonly] = ACTIONS(3849),
    [anon_sym_required] = ACTIONS(3849),
    [anon_sym_sealed] = ACTIONS(3849),
    [anon_sym_virtual] = ACTIONS(3849),
    [anon_sym_volatile] = ACTIONS(3849),
    [anon_sym_where] = ACTIONS(3849),
    [anon_sym_notnull] = ACTIONS(3849),
    [anon_sym_unmanaged] = ACTIONS(3849),
    [anon_sym_checked] = ACTIONS(3849),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_PLUS_PLUS] = ACTIONS(3851),
    [anon_sym_DASH_DASH] = ACTIONS(3851),
    [anon_sym_true] = ACTIONS(3849),
    [anon_sym_false] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(3851),
    [anon_sym_CARET] = ACTIONS(3851),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_this] = ACTIONS(3849),
    [anon_sym_scoped] = ACTIONS(3849),
    [anon_sym_base] = ACTIONS(3849),
    [anon_sym_var] = ACTIONS(3849),
    [sym_predefined_type] = ACTIONS(3849),
    [anon_sym_break] = ACTIONS(3849),
    [anon_sym_unchecked] = ACTIONS(3849),
    [anon_sym_continue] = ACTIONS(3849),
    [anon_sym_do] = ACTIONS(3849),
    [anon_sym_while] = ACTIONS(3849),
    [anon_sym_for] = ACTIONS(3849),
    [anon_sym_lock] = ACTIONS(3849),
    [anon_sym_yield] = ACTIONS(3849),
    [anon_sym_switch] = ACTIONS(3849),
    [anon_sym_default] = ACTIONS(3849),
    [anon_sym_throw] = ACTIONS(3849),
    [anon_sym_try] = ACTIONS(3849),
    [anon_sym_when] = ACTIONS(3849),
    [anon_sym_await] = ACTIONS(3849),
    [anon_sym_foreach] = ACTIONS(3849),
    [anon_sym_goto] = ACTIONS(3849),
    [anon_sym_if] = ACTIONS(3849),
    [anon_sym_DOT_DOT] = ACTIONS(3851),
    [anon_sym_from] = ACTIONS(3849),
    [anon_sym_into] = ACTIONS(3849),
    [anon_sym_join] = ACTIONS(3849),
    [anon_sym_on] = ACTIONS(3849),
    [anon_sym_equals] = ACTIONS(3849),
    [anon_sym_let] = ACTIONS(3849),
    [anon_sym_orderby] = ACTIONS(3849),
    [anon_sym_ascending] = ACTIONS(3849),
    [anon_sym_descending] = ACTIONS(3849),
    [anon_sym_group] = ACTIONS(3849),
    [anon_sym_by] = ACTIONS(3849),
    [anon_sym_select] = ACTIONS(3849),
    [anon_sym_DQUOTE] = ACTIONS(3851),
    [anon_sym_stackalloc] = ACTIONS(3849),
    [anon_sym_sizeof] = ACTIONS(3849),
    [anon_sym_typeof] = ACTIONS(3849),
    [anon_sym___makeref] = ACTIONS(3849),
    [anon_sym___reftype] = ACTIONS(3849),
    [anon_sym___refvalue] = ACTIONS(3849),
    [sym_null_literal] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_integer_literal] = ACTIONS(3849),
    [sym_real_literal] = ACTIONS(3851),
    [sym_verbatim_string_literal] = ACTIONS(3851),
    [aux_sym_preproc_if_token1] = ACTIONS(3851),
    [aux_sym_preproc_if_token3] = ACTIONS(3851),
    [aux_sym_preproc_else_token1] = ACTIONS(3851),
    [aux_sym_preproc_elif_token1] = ACTIONS(3851),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3851),
    [sym_interpolation_verbatim_start] = ACTIONS(3851),
    [sym_interpolation_raw_start] = ACTIONS(3851),
    [sym_raw_string_start] = ACTIONS(3851),
  },
  [2403] = {
    [sym_preproc_region] = STATE(2403),
    [sym_preproc_endregion] = STATE(2403),
    [sym_preproc_line] = STATE(2403),
    [sym_preproc_pragma] = STATE(2403),
    [sym_preproc_nullable] = STATE(2403),
    [sym_preproc_error] = STATE(2403),
    [sym_preproc_define] = STATE(2403),
    [sym_preproc_undef] = STATE(2403),
    [sym__identifier_token] = ACTIONS(3853),
    [anon_sym_extern] = ACTIONS(3853),
    [anon_sym_alias] = ACTIONS(3853),
    [anon_sym_SEMI] = ACTIONS(3855),
    [anon_sym_global] = ACTIONS(3853),
    [anon_sym_using] = ACTIONS(3853),
    [anon_sym_unsafe] = ACTIONS(3853),
    [anon_sym_static] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3855),
    [anon_sym_LPAREN] = ACTIONS(3855),
    [anon_sym_return] = ACTIONS(3853),
    [anon_sym_namespace] = ACTIONS(3853),
    [anon_sym_class] = ACTIONS(3853),
    [anon_sym_ref] = ACTIONS(3853),
    [anon_sym_struct] = ACTIONS(3853),
    [anon_sym_enum] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3855),
    [anon_sym_interface] = ACTIONS(3853),
    [anon_sym_delegate] = ACTIONS(3853),
    [anon_sym_record] = ACTIONS(3853),
    [anon_sym_abstract] = ACTIONS(3853),
    [anon_sym_async] = ACTIONS(3853),
    [anon_sym_const] = ACTIONS(3853),
    [anon_sym_file] = ACTIONS(3853),
    [anon_sym_fixed] = ACTIONS(3853),
    [anon_sym_internal] = ACTIONS(3853),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_override] = ACTIONS(3853),
    [anon_sym_partial] = ACTIONS(3853),
    [anon_sym_private] = ACTIONS(3853),
    [anon_sym_protected] = ACTIONS(3853),
    [anon_sym_public] = ACTIONS(3853),
    [anon_sym_readonly] = ACTIONS(3853),
    [anon_sym_required] = ACTIONS(3853),
    [anon_sym_sealed] = ACTIONS(3853),
    [anon_sym_virtual] = ACTIONS(3853),
    [anon_sym_volatile] = ACTIONS(3853),
    [anon_sym_where] = ACTIONS(3853),
    [anon_sym_notnull] = ACTIONS(3853),
    [anon_sym_unmanaged] = ACTIONS(3853),
    [anon_sym_checked] = ACTIONS(3853),
    [anon_sym_BANG] = ACTIONS(3855),
    [anon_sym_TILDE] = ACTIONS(3855),
    [anon_sym_PLUS_PLUS] = ACTIONS(3855),
    [anon_sym_DASH_DASH] = ACTIONS(3855),
    [anon_sym_true] = ACTIONS(3853),
    [anon_sym_false] = ACTIONS(3853),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3855),
    [anon_sym_CARET] = ACTIONS(3855),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_this] = ACTIONS(3853),
    [anon_sym_scoped] = ACTIONS(3853),
    [anon_sym_base] = ACTIONS(3853),
    [anon_sym_var] = ACTIONS(3853),
    [sym_predefined_type] = ACTIONS(3853),
    [anon_sym_break] = ACTIONS(3853),
    [anon_sym_unchecked] = ACTIONS(3853),
    [anon_sym_continue] = ACTIONS(3853),
    [anon_sym_do] = ACTIONS(3853),
    [anon_sym_while] = ACTIONS(3853),
    [anon_sym_for] = ACTIONS(3853),
    [anon_sym_lock] = ACTIONS(3853),
    [anon_sym_yield] = ACTIONS(3853),
    [anon_sym_switch] = ACTIONS(3853),
    [anon_sym_default] = ACTIONS(3853),
    [anon_sym_throw] = ACTIONS(3853),
    [anon_sym_try] = ACTIONS(3853),
    [anon_sym_when] = ACTIONS(3853),
    [anon_sym_await] = ACTIONS(3853),
    [anon_sym_foreach] = ACTIONS(3853),
    [anon_sym_goto] = ACTIONS(3853),
    [anon_sym_if] = ACTIONS(3853),
    [anon_sym_DOT_DOT] = ACTIONS(3855),
    [anon_sym_from] = ACTIONS(3853),
    [anon_sym_into] = ACTIONS(3853),
    [anon_sym_join] = ACTIONS(3853),
    [anon_sym_on] = ACTIONS(3853),
    [anon_sym_equals] = ACTIONS(3853),
    [anon_sym_let] = ACTIONS(3853),
    [anon_sym_orderby] = ACTIONS(3853),
    [anon_sym_ascending] = ACTIONS(3853),
    [anon_sym_descending] = ACTIONS(3853),
    [anon_sym_group] = ACTIONS(3853),
    [anon_sym_by] = ACTIONS(3853),
    [anon_sym_select] = ACTIONS(3853),
    [anon_sym_DQUOTE] = ACTIONS(3855),
    [anon_sym_stackalloc] = ACTIONS(3853),
    [anon_sym_sizeof] = ACTIONS(3853),
    [anon_sym_typeof] = ACTIONS(3853),
    [anon_sym___makeref] = ACTIONS(3853),
    [anon_sym___reftype] = ACTIONS(3853),
    [anon_sym___refvalue] = ACTIONS(3853),
    [sym_null_literal] = ACTIONS(3853),
    [anon_sym_SQUOTE] = ACTIONS(3855),
    [sym_integer_literal] = ACTIONS(3853),
    [sym_real_literal] = ACTIONS(3855),
    [sym_verbatim_string_literal] = ACTIONS(3855),
    [aux_sym_preproc_if_token1] = ACTIONS(3855),
    [aux_sym_preproc_if_token3] = ACTIONS(3855),
    [aux_sym_preproc_else_token1] = ACTIONS(3855),
    [aux_sym_preproc_elif_token1] = ACTIONS(3855),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3855),
    [sym_interpolation_verbatim_start] = ACTIONS(3855),
    [sym_interpolation_raw_start] = ACTIONS(3855),
    [sym_raw_string_start] = ACTIONS(3855),
  },
  [2404] = {
    [sym_preproc_region] = STATE(2404),
    [sym_preproc_endregion] = STATE(2404),
    [sym_preproc_line] = STATE(2404),
    [sym_preproc_pragma] = STATE(2404),
    [sym_preproc_nullable] = STATE(2404),
    [sym_preproc_error] = STATE(2404),
    [sym_preproc_define] = STATE(2404),
    [sym_preproc_undef] = STATE(2404),
    [sym__identifier_token] = ACTIONS(3857),
    [anon_sym_extern] = ACTIONS(3857),
    [anon_sym_alias] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3859),
    [anon_sym_global] = ACTIONS(3857),
    [anon_sym_using] = ACTIONS(3857),
    [anon_sym_unsafe] = ACTIONS(3857),
    [anon_sym_static] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3859),
    [anon_sym_return] = ACTIONS(3857),
    [anon_sym_namespace] = ACTIONS(3857),
    [anon_sym_class] = ACTIONS(3857),
    [anon_sym_ref] = ACTIONS(3857),
    [anon_sym_struct] = ACTIONS(3857),
    [anon_sym_enum] = ACTIONS(3857),
    [anon_sym_LBRACE] = ACTIONS(3859),
    [anon_sym_interface] = ACTIONS(3857),
    [anon_sym_delegate] = ACTIONS(3857),
    [anon_sym_record] = ACTIONS(3857),
    [anon_sym_abstract] = ACTIONS(3857),
    [anon_sym_async] = ACTIONS(3857),
    [anon_sym_const] = ACTIONS(3857),
    [anon_sym_file] = ACTIONS(3857),
    [anon_sym_fixed] = ACTIONS(3857),
    [anon_sym_internal] = ACTIONS(3857),
    [anon_sym_new] = ACTIONS(3857),
    [anon_sym_override] = ACTIONS(3857),
    [anon_sym_partial] = ACTIONS(3857),
    [anon_sym_private] = ACTIONS(3857),
    [anon_sym_protected] = ACTIONS(3857),
    [anon_sym_public] = ACTIONS(3857),
    [anon_sym_readonly] = ACTIONS(3857),
    [anon_sym_required] = ACTIONS(3857),
    [anon_sym_sealed] = ACTIONS(3857),
    [anon_sym_virtual] = ACTIONS(3857),
    [anon_sym_volatile] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_notnull] = ACTIONS(3857),
    [anon_sym_unmanaged] = ACTIONS(3857),
    [anon_sym_checked] = ACTIONS(3857),
    [anon_sym_BANG] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_PLUS_PLUS] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(3859),
    [anon_sym_true] = ACTIONS(3857),
    [anon_sym_false] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3857),
    [anon_sym_DASH] = ACTIONS(3857),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_CARET] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_this] = ACTIONS(3857),
    [anon_sym_scoped] = ACTIONS(3857),
    [anon_sym_base] = ACTIONS(3857),
    [anon_sym_var] = ACTIONS(3857),
    [sym_predefined_type] = ACTIONS(3857),
    [anon_sym_break] = ACTIONS(3857),
    [anon_sym_unchecked] = ACTIONS(3857),
    [anon_sym_continue] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_while] = ACTIONS(3857),
    [anon_sym_for] = ACTIONS(3857),
    [anon_sym_lock] = ACTIONS(3857),
    [anon_sym_yield] = ACTIONS(3857),
    [anon_sym_switch] = ACTIONS(3857),
    [anon_sym_default] = ACTIONS(3857),
    [anon_sym_throw] = ACTIONS(3857),
    [anon_sym_try] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_await] = ACTIONS(3857),
    [anon_sym_foreach] = ACTIONS(3857),
    [anon_sym_goto] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3859),
    [anon_sym_from] = ACTIONS(3857),
    [anon_sym_into] = ACTIONS(3857),
    [anon_sym_join] = ACTIONS(3857),
    [anon_sym_on] = ACTIONS(3857),
    [anon_sym_equals] = ACTIONS(3857),
    [anon_sym_let] = ACTIONS(3857),
    [anon_sym_orderby] = ACTIONS(3857),
    [anon_sym_ascending] = ACTIONS(3857),
    [anon_sym_descending] = ACTIONS(3857),
    [anon_sym_group] = ACTIONS(3857),
    [anon_sym_by] = ACTIONS(3857),
    [anon_sym_select] = ACTIONS(3857),
    [anon_sym_DQUOTE] = ACTIONS(3859),
    [anon_sym_stackalloc] = ACTIONS(3857),
    [anon_sym_sizeof] = ACTIONS(3857),
    [anon_sym_typeof] = ACTIONS(3857),
    [anon_sym___makeref] = ACTIONS(3857),
    [anon_sym___reftype] = ACTIONS(3857),
    [anon_sym___refvalue] = ACTIONS(3857),
    [sym_null_literal] = ACTIONS(3857),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [sym_integer_literal] = ACTIONS(3857),
    [sym_real_literal] = ACTIONS(3859),
    [sym_verbatim_string_literal] = ACTIONS(3859),
    [aux_sym_preproc_if_token1] = ACTIONS(3859),
    [aux_sym_preproc_if_token3] = ACTIONS(3859),
    [aux_sym_preproc_else_token1] = ACTIONS(3859),
    [aux_sym_preproc_elif_token1] = ACTIONS(3859),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3859),
    [sym_interpolation_verbatim_start] = ACTIONS(3859),
    [sym_interpolation_raw_start] = ACTIONS(3859),
    [sym_raw_string_start] = ACTIONS(3859),
  },
  [2405] = {
    [sym_preproc_region] = STATE(2405),
    [sym_preproc_endregion] = STATE(2405),
    [sym_preproc_line] = STATE(2405),
    [sym_preproc_pragma] = STATE(2405),
    [sym_preproc_nullable] = STATE(2405),
    [sym_preproc_error] = STATE(2405),
    [sym_preproc_define] = STATE(2405),
    [sym_preproc_undef] = STATE(2405),
    [sym__identifier_token] = ACTIONS(3861),
    [anon_sym_extern] = ACTIONS(3861),
    [anon_sym_alias] = ACTIONS(3861),
    [anon_sym_SEMI] = ACTIONS(3863),
    [anon_sym_global] = ACTIONS(3861),
    [anon_sym_using] = ACTIONS(3861),
    [anon_sym_unsafe] = ACTIONS(3861),
    [anon_sym_static] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3863),
    [anon_sym_LPAREN] = ACTIONS(3863),
    [anon_sym_return] = ACTIONS(3861),
    [anon_sym_namespace] = ACTIONS(3861),
    [anon_sym_class] = ACTIONS(3861),
    [anon_sym_ref] = ACTIONS(3861),
    [anon_sym_struct] = ACTIONS(3861),
    [anon_sym_enum] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_interface] = ACTIONS(3861),
    [anon_sym_delegate] = ACTIONS(3861),
    [anon_sym_record] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3861),
    [anon_sym_async] = ACTIONS(3861),
    [anon_sym_const] = ACTIONS(3861),
    [anon_sym_file] = ACTIONS(3861),
    [anon_sym_fixed] = ACTIONS(3861),
    [anon_sym_internal] = ACTIONS(3861),
    [anon_sym_new] = ACTIONS(3861),
    [anon_sym_override] = ACTIONS(3861),
    [anon_sym_partial] = ACTIONS(3861),
    [anon_sym_private] = ACTIONS(3861),
    [anon_sym_protected] = ACTIONS(3861),
    [anon_sym_public] = ACTIONS(3861),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_required] = ACTIONS(3861),
    [anon_sym_sealed] = ACTIONS(3861),
    [anon_sym_virtual] = ACTIONS(3861),
    [anon_sym_volatile] = ACTIONS(3861),
    [anon_sym_where] = ACTIONS(3861),
    [anon_sym_notnull] = ACTIONS(3861),
    [anon_sym_unmanaged] = ACTIONS(3861),
    [anon_sym_checked] = ACTIONS(3861),
    [anon_sym_BANG] = ACTIONS(3863),
    [anon_sym_TILDE] = ACTIONS(3863),
    [anon_sym_PLUS_PLUS] = ACTIONS(3863),
    [anon_sym_DASH_DASH] = ACTIONS(3863),
    [anon_sym_true] = ACTIONS(3861),
    [anon_sym_false] = ACTIONS(3861),
    [anon_sym_PLUS] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3861),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_CARET] = ACTIONS(3863),
    [anon_sym_AMP] = ACTIONS(3863),
    [anon_sym_this] = ACTIONS(3861),
    [anon_sym_scoped] = ACTIONS(3861),
    [anon_sym_base] = ACTIONS(3861),
    [anon_sym_var] = ACTIONS(3861),
    [sym_predefined_type] = ACTIONS(3861),
    [anon_sym_break] = ACTIONS(3861),
    [anon_sym_unchecked] = ACTIONS(3861),
    [anon_sym_continue] = ACTIONS(3861),
    [anon_sym_do] = ACTIONS(3861),
    [anon_sym_while] = ACTIONS(3861),
    [anon_sym_for] = ACTIONS(3861),
    [anon_sym_lock] = ACTIONS(3861),
    [anon_sym_yield] = ACTIONS(3861),
    [anon_sym_switch] = ACTIONS(3861),
    [anon_sym_default] = ACTIONS(3861),
    [anon_sym_throw] = ACTIONS(3861),
    [anon_sym_try] = ACTIONS(3861),
    [anon_sym_when] = ACTIONS(3861),
    [anon_sym_await] = ACTIONS(3861),
    [anon_sym_foreach] = ACTIONS(3861),
    [anon_sym_goto] = ACTIONS(3861),
    [anon_sym_if] = ACTIONS(3861),
    [anon_sym_DOT_DOT] = ACTIONS(3863),
    [anon_sym_from] = ACTIONS(3861),
    [anon_sym_into] = ACTIONS(3861),
    [anon_sym_join] = ACTIONS(3861),
    [anon_sym_on] = ACTIONS(3861),
    [anon_sym_equals] = ACTIONS(3861),
    [anon_sym_let] = ACTIONS(3861),
    [anon_sym_orderby] = ACTIONS(3861),
    [anon_sym_ascending] = ACTIONS(3861),
    [anon_sym_descending] = ACTIONS(3861),
    [anon_sym_group] = ACTIONS(3861),
    [anon_sym_by] = ACTIONS(3861),
    [anon_sym_select] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3863),
    [anon_sym_stackalloc] = ACTIONS(3861),
    [anon_sym_sizeof] = ACTIONS(3861),
    [anon_sym_typeof] = ACTIONS(3861),
    [anon_sym___makeref] = ACTIONS(3861),
    [anon_sym___reftype] = ACTIONS(3861),
    [anon_sym___refvalue] = ACTIONS(3861),
    [sym_null_literal] = ACTIONS(3861),
    [anon_sym_SQUOTE] = ACTIONS(3863),
    [sym_integer_literal] = ACTIONS(3861),
    [sym_real_literal] = ACTIONS(3863),
    [sym_verbatim_string_literal] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token3] = ACTIONS(3863),
    [aux_sym_preproc_else_token1] = ACTIONS(3863),
    [aux_sym_preproc_elif_token1] = ACTIONS(3863),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3863),
    [sym_interpolation_verbatim_start] = ACTIONS(3863),
    [sym_interpolation_raw_start] = ACTIONS(3863),
    [sym_raw_string_start] = ACTIONS(3863),
  },
  [2406] = {
    [sym_preproc_region] = STATE(2406),
    [sym_preproc_endregion] = STATE(2406),
    [sym_preproc_line] = STATE(2406),
    [sym_preproc_pragma] = STATE(2406),
    [sym_preproc_nullable] = STATE(2406),
    [sym_preproc_error] = STATE(2406),
    [sym_preproc_define] = STATE(2406),
    [sym_preproc_undef] = STATE(2406),
    [sym__identifier_token] = ACTIONS(3865),
    [anon_sym_extern] = ACTIONS(3865),
    [anon_sym_alias] = ACTIONS(3865),
    [anon_sym_SEMI] = ACTIONS(3867),
    [anon_sym_global] = ACTIONS(3865),
    [anon_sym_using] = ACTIONS(3865),
    [anon_sym_unsafe] = ACTIONS(3865),
    [anon_sym_static] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3867),
    [anon_sym_return] = ACTIONS(3865),
    [anon_sym_namespace] = ACTIONS(3865),
    [anon_sym_class] = ACTIONS(3865),
    [anon_sym_ref] = ACTIONS(3865),
    [anon_sym_struct] = ACTIONS(3865),
    [anon_sym_enum] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(3867),
    [anon_sym_interface] = ACTIONS(3865),
    [anon_sym_delegate] = ACTIONS(3865),
    [anon_sym_record] = ACTIONS(3865),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_async] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3865),
    [anon_sym_file] = ACTIONS(3865),
    [anon_sym_fixed] = ACTIONS(3865),
    [anon_sym_internal] = ACTIONS(3865),
    [anon_sym_new] = ACTIONS(3865),
    [anon_sym_override] = ACTIONS(3865),
    [anon_sym_partial] = ACTIONS(3865),
    [anon_sym_private] = ACTIONS(3865),
    [anon_sym_protected] = ACTIONS(3865),
    [anon_sym_public] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3865),
    [anon_sym_required] = ACTIONS(3865),
    [anon_sym_sealed] = ACTIONS(3865),
    [anon_sym_virtual] = ACTIONS(3865),
    [anon_sym_volatile] = ACTIONS(3865),
    [anon_sym_where] = ACTIONS(3865),
    [anon_sym_notnull] = ACTIONS(3865),
    [anon_sym_unmanaged] = ACTIONS(3865),
    [anon_sym_checked] = ACTIONS(3865),
    [anon_sym_BANG] = ACTIONS(3867),
    [anon_sym_TILDE] = ACTIONS(3867),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_true] = ACTIONS(3865),
    [anon_sym_false] = ACTIONS(3865),
    [anon_sym_PLUS] = ACTIONS(3865),
    [anon_sym_DASH] = ACTIONS(3865),
    [anon_sym_STAR] = ACTIONS(3867),
    [anon_sym_CARET] = ACTIONS(3867),
    [anon_sym_AMP] = ACTIONS(3867),
    [anon_sym_this] = ACTIONS(3865),
    [anon_sym_scoped] = ACTIONS(3865),
    [anon_sym_base] = ACTIONS(3865),
    [anon_sym_var] = ACTIONS(3865),
    [sym_predefined_type] = ACTIONS(3865),
    [anon_sym_break] = ACTIONS(3865),
    [anon_sym_unchecked] = ACTIONS(3865),
    [anon_sym_continue] = ACTIONS(3865),
    [anon_sym_do] = ACTIONS(3865),
    [anon_sym_while] = ACTIONS(3865),
    [anon_sym_for] = ACTIONS(3865),
    [anon_sym_lock] = ACTIONS(3865),
    [anon_sym_yield] = ACTIONS(3865),
    [anon_sym_switch] = ACTIONS(3865),
    [anon_sym_default] = ACTIONS(3865),
    [anon_sym_throw] = ACTIONS(3865),
    [anon_sym_try] = ACTIONS(3865),
    [anon_sym_when] = ACTIONS(3865),
    [anon_sym_await] = ACTIONS(3865),
    [anon_sym_foreach] = ACTIONS(3865),
    [anon_sym_goto] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(3865),
    [anon_sym_DOT_DOT] = ACTIONS(3867),
    [anon_sym_from] = ACTIONS(3865),
    [anon_sym_into] = ACTIONS(3865),
    [anon_sym_join] = ACTIONS(3865),
    [anon_sym_on] = ACTIONS(3865),
    [anon_sym_equals] = ACTIONS(3865),
    [anon_sym_let] = ACTIONS(3865),
    [anon_sym_orderby] = ACTIONS(3865),
    [anon_sym_ascending] = ACTIONS(3865),
    [anon_sym_descending] = ACTIONS(3865),
    [anon_sym_group] = ACTIONS(3865),
    [anon_sym_by] = ACTIONS(3865),
    [anon_sym_select] = ACTIONS(3865),
    [anon_sym_DQUOTE] = ACTIONS(3867),
    [anon_sym_stackalloc] = ACTIONS(3865),
    [anon_sym_sizeof] = ACTIONS(3865),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym___makeref] = ACTIONS(3865),
    [anon_sym___reftype] = ACTIONS(3865),
    [anon_sym___refvalue] = ACTIONS(3865),
    [sym_null_literal] = ACTIONS(3865),
    [anon_sym_SQUOTE] = ACTIONS(3867),
    [sym_integer_literal] = ACTIONS(3865),
    [sym_real_literal] = ACTIONS(3867),
    [sym_verbatim_string_literal] = ACTIONS(3867),
    [aux_sym_preproc_if_token1] = ACTIONS(3867),
    [aux_sym_preproc_if_token3] = ACTIONS(3867),
    [aux_sym_preproc_else_token1] = ACTIONS(3867),
    [aux_sym_preproc_elif_token1] = ACTIONS(3867),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3867),
    [sym_interpolation_verbatim_start] = ACTIONS(3867),
    [sym_interpolation_raw_start] = ACTIONS(3867),
    [sym_raw_string_start] = ACTIONS(3867),
  },
  [2407] = {
    [sym_preproc_region] = STATE(2407),
    [sym_preproc_endregion] = STATE(2407),
    [sym_preproc_line] = STATE(2407),
    [sym_preproc_pragma] = STATE(2407),
    [sym_preproc_nullable] = STATE(2407),
    [sym_preproc_error] = STATE(2407),
    [sym_preproc_define] = STATE(2407),
    [sym_preproc_undef] = STATE(2407),
    [sym__identifier_token] = ACTIONS(3869),
    [anon_sym_extern] = ACTIONS(3869),
    [anon_sym_alias] = ACTIONS(3869),
    [anon_sym_SEMI] = ACTIONS(3871),
    [anon_sym_global] = ACTIONS(3869),
    [anon_sym_using] = ACTIONS(3869),
    [anon_sym_unsafe] = ACTIONS(3869),
    [anon_sym_static] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_LPAREN] = ACTIONS(3871),
    [anon_sym_return] = ACTIONS(3869),
    [anon_sym_namespace] = ACTIONS(3869),
    [anon_sym_class] = ACTIONS(3869),
    [anon_sym_ref] = ACTIONS(3869),
    [anon_sym_struct] = ACTIONS(3869),
    [anon_sym_enum] = ACTIONS(3869),
    [anon_sym_LBRACE] = ACTIONS(3871),
    [anon_sym_interface] = ACTIONS(3869),
    [anon_sym_delegate] = ACTIONS(3869),
    [anon_sym_record] = ACTIONS(3869),
    [anon_sym_abstract] = ACTIONS(3869),
    [anon_sym_async] = ACTIONS(3869),
    [anon_sym_const] = ACTIONS(3869),
    [anon_sym_file] = ACTIONS(3869),
    [anon_sym_fixed] = ACTIONS(3869),
    [anon_sym_internal] = ACTIONS(3869),
    [anon_sym_new] = ACTIONS(3869),
    [anon_sym_override] = ACTIONS(3869),
    [anon_sym_partial] = ACTIONS(3869),
    [anon_sym_private] = ACTIONS(3869),
    [anon_sym_protected] = ACTIONS(3869),
    [anon_sym_public] = ACTIONS(3869),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_required] = ACTIONS(3869),
    [anon_sym_sealed] = ACTIONS(3869),
    [anon_sym_virtual] = ACTIONS(3869),
    [anon_sym_volatile] = ACTIONS(3869),
    [anon_sym_where] = ACTIONS(3869),
    [anon_sym_notnull] = ACTIONS(3869),
    [anon_sym_unmanaged] = ACTIONS(3869),
    [anon_sym_checked] = ACTIONS(3869),
    [anon_sym_BANG] = ACTIONS(3871),
    [anon_sym_TILDE] = ACTIONS(3871),
    [anon_sym_PLUS_PLUS] = ACTIONS(3871),
    [anon_sym_DASH_DASH] = ACTIONS(3871),
    [anon_sym_true] = ACTIONS(3869),
    [anon_sym_false] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3869),
    [anon_sym_DASH] = ACTIONS(3869),
    [anon_sym_STAR] = ACTIONS(3871),
    [anon_sym_CARET] = ACTIONS(3871),
    [anon_sym_AMP] = ACTIONS(3871),
    [anon_sym_this] = ACTIONS(3869),
    [anon_sym_scoped] = ACTIONS(3869),
    [anon_sym_base] = ACTIONS(3869),
    [anon_sym_var] = ACTIONS(3869),
    [sym_predefined_type] = ACTIONS(3869),
    [anon_sym_break] = ACTIONS(3869),
    [anon_sym_unchecked] = ACTIONS(3869),
    [anon_sym_continue] = ACTIONS(3869),
    [anon_sym_do] = ACTIONS(3869),
    [anon_sym_while] = ACTIONS(3869),
    [anon_sym_for] = ACTIONS(3869),
    [anon_sym_lock] = ACTIONS(3869),
    [anon_sym_yield] = ACTIONS(3869),
    [anon_sym_switch] = ACTIONS(3869),
    [anon_sym_default] = ACTIONS(3869),
    [anon_sym_throw] = ACTIONS(3869),
    [anon_sym_try] = ACTIONS(3869),
    [anon_sym_when] = ACTIONS(3869),
    [anon_sym_await] = ACTIONS(3869),
    [anon_sym_foreach] = ACTIONS(3869),
    [anon_sym_goto] = ACTIONS(3869),
    [anon_sym_if] = ACTIONS(3869),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_from] = ACTIONS(3869),
    [anon_sym_into] = ACTIONS(3869),
    [anon_sym_join] = ACTIONS(3869),
    [anon_sym_on] = ACTIONS(3869),
    [anon_sym_equals] = ACTIONS(3869),
    [anon_sym_let] = ACTIONS(3869),
    [anon_sym_orderby] = ACTIONS(3869),
    [anon_sym_ascending] = ACTIONS(3869),
    [anon_sym_descending] = ACTIONS(3869),
    [anon_sym_group] = ACTIONS(3869),
    [anon_sym_by] = ACTIONS(3869),
    [anon_sym_select] = ACTIONS(3869),
    [anon_sym_DQUOTE] = ACTIONS(3871),
    [anon_sym_stackalloc] = ACTIONS(3869),
    [anon_sym_sizeof] = ACTIONS(3869),
    [anon_sym_typeof] = ACTIONS(3869),
    [anon_sym___makeref] = ACTIONS(3869),
    [anon_sym___reftype] = ACTIONS(3869),
    [anon_sym___refvalue] = ACTIONS(3869),
    [sym_null_literal] = ACTIONS(3869),
    [anon_sym_SQUOTE] = ACTIONS(3871),
    [sym_integer_literal] = ACTIONS(3869),
    [sym_real_literal] = ACTIONS(3871),
    [sym_verbatim_string_literal] = ACTIONS(3871),
    [aux_sym_preproc_if_token1] = ACTIONS(3871),
    [aux_sym_preproc_if_token3] = ACTIONS(3871),
    [aux_sym_preproc_else_token1] = ACTIONS(3871),
    [aux_sym_preproc_elif_token1] = ACTIONS(3871),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3871),
    [sym_interpolation_verbatim_start] = ACTIONS(3871),
    [sym_interpolation_raw_start] = ACTIONS(3871),
    [sym_raw_string_start] = ACTIONS(3871),
  },
  [2408] = {
    [sym_preproc_region] = STATE(2408),
    [sym_preproc_endregion] = STATE(2408),
    [sym_preproc_line] = STATE(2408),
    [sym_preproc_pragma] = STATE(2408),
    [sym_preproc_nullable] = STATE(2408),
    [sym_preproc_error] = STATE(2408),
    [sym_preproc_define] = STATE(2408),
    [sym_preproc_undef] = STATE(2408),
    [sym__identifier_token] = ACTIONS(3873),
    [anon_sym_extern] = ACTIONS(3873),
    [anon_sym_alias] = ACTIONS(3873),
    [anon_sym_SEMI] = ACTIONS(3875),
    [anon_sym_global] = ACTIONS(3873),
    [anon_sym_using] = ACTIONS(3873),
    [anon_sym_unsafe] = ACTIONS(3873),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_LBRACK] = ACTIONS(3875),
    [anon_sym_LPAREN] = ACTIONS(3875),
    [anon_sym_return] = ACTIONS(3873),
    [anon_sym_namespace] = ACTIONS(3873),
    [anon_sym_class] = ACTIONS(3873),
    [anon_sym_ref] = ACTIONS(3873),
    [anon_sym_struct] = ACTIONS(3873),
    [anon_sym_enum] = ACTIONS(3873),
    [anon_sym_LBRACE] = ACTIONS(3875),
    [anon_sym_interface] = ACTIONS(3873),
    [anon_sym_delegate] = ACTIONS(3873),
    [anon_sym_record] = ACTIONS(3873),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_async] = ACTIONS(3873),
    [anon_sym_const] = ACTIONS(3873),
    [anon_sym_file] = ACTIONS(3873),
    [anon_sym_fixed] = ACTIONS(3873),
    [anon_sym_internal] = ACTIONS(3873),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_override] = ACTIONS(3873),
    [anon_sym_partial] = ACTIONS(3873),
    [anon_sym_private] = ACTIONS(3873),
    [anon_sym_protected] = ACTIONS(3873),
    [anon_sym_public] = ACTIONS(3873),
    [anon_sym_readonly] = ACTIONS(3873),
    [anon_sym_required] = ACTIONS(3873),
    [anon_sym_sealed] = ACTIONS(3873),
    [anon_sym_virtual] = ACTIONS(3873),
    [anon_sym_volatile] = ACTIONS(3873),
    [anon_sym_where] = ACTIONS(3873),
    [anon_sym_notnull] = ACTIONS(3873),
    [anon_sym_unmanaged] = ACTIONS(3873),
    [anon_sym_checked] = ACTIONS(3873),
    [anon_sym_BANG] = ACTIONS(3875),
    [anon_sym_TILDE] = ACTIONS(3875),
    [anon_sym_PLUS_PLUS] = ACTIONS(3875),
    [anon_sym_DASH_DASH] = ACTIONS(3875),
    [anon_sym_true] = ACTIONS(3873),
    [anon_sym_false] = ACTIONS(3873),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_STAR] = ACTIONS(3875),
    [anon_sym_CARET] = ACTIONS(3875),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_this] = ACTIONS(3873),
    [anon_sym_scoped] = ACTIONS(3873),
    [anon_sym_base] = ACTIONS(3873),
    [anon_sym_var] = ACTIONS(3873),
    [sym_predefined_type] = ACTIONS(3873),
    [anon_sym_break] = ACTIONS(3873),
    [anon_sym_unchecked] = ACTIONS(3873),
    [anon_sym_continue] = ACTIONS(3873),
    [anon_sym_do] = ACTIONS(3873),
    [anon_sym_while] = ACTIONS(3873),
    [anon_sym_for] = ACTIONS(3873),
    [anon_sym_lock] = ACTIONS(3873),
    [anon_sym_yield] = ACTIONS(3873),
    [anon_sym_switch] = ACTIONS(3873),
    [anon_sym_default] = ACTIONS(3873),
    [anon_sym_throw] = ACTIONS(3873),
    [anon_sym_try] = ACTIONS(3873),
    [anon_sym_when] = ACTIONS(3873),
    [anon_sym_await] = ACTIONS(3873),
    [anon_sym_foreach] = ACTIONS(3873),
    [anon_sym_goto] = ACTIONS(3873),
    [anon_sym_if] = ACTIONS(3873),
    [anon_sym_DOT_DOT] = ACTIONS(3875),
    [anon_sym_from] = ACTIONS(3873),
    [anon_sym_into] = ACTIONS(3873),
    [anon_sym_join] = ACTIONS(3873),
    [anon_sym_on] = ACTIONS(3873),
    [anon_sym_equals] = ACTIONS(3873),
    [anon_sym_let] = ACTIONS(3873),
    [anon_sym_orderby] = ACTIONS(3873),
    [anon_sym_ascending] = ACTIONS(3873),
    [anon_sym_descending] = ACTIONS(3873),
    [anon_sym_group] = ACTIONS(3873),
    [anon_sym_by] = ACTIONS(3873),
    [anon_sym_select] = ACTIONS(3873),
    [anon_sym_DQUOTE] = ACTIONS(3875),
    [anon_sym_stackalloc] = ACTIONS(3873),
    [anon_sym_sizeof] = ACTIONS(3873),
    [anon_sym_typeof] = ACTIONS(3873),
    [anon_sym___makeref] = ACTIONS(3873),
    [anon_sym___reftype] = ACTIONS(3873),
    [anon_sym___refvalue] = ACTIONS(3873),
    [sym_null_literal] = ACTIONS(3873),
    [anon_sym_SQUOTE] = ACTIONS(3875),
    [sym_integer_literal] = ACTIONS(3873),
    [sym_real_literal] = ACTIONS(3875),
    [sym_verbatim_string_literal] = ACTIONS(3875),
    [aux_sym_preproc_if_token1] = ACTIONS(3875),
    [aux_sym_preproc_if_token3] = ACTIONS(3875),
    [aux_sym_preproc_else_token1] = ACTIONS(3875),
    [aux_sym_preproc_elif_token1] = ACTIONS(3875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3875),
    [sym_interpolation_verbatim_start] = ACTIONS(3875),
    [sym_interpolation_raw_start] = ACTIONS(3875),
    [sym_raw_string_start] = ACTIONS(3875),
  },
  [2409] = {
    [sym_preproc_region] = STATE(2409),
    [sym_preproc_endregion] = STATE(2409),
    [sym_preproc_line] = STATE(2409),
    [sym_preproc_pragma] = STATE(2409),
    [sym_preproc_nullable] = STATE(2409),
    [sym_preproc_error] = STATE(2409),
    [sym_preproc_define] = STATE(2409),
    [sym_preproc_undef] = STATE(2409),
    [sym__identifier_token] = ACTIONS(3877),
    [anon_sym_extern] = ACTIONS(3877),
    [anon_sym_alias] = ACTIONS(3877),
    [anon_sym_SEMI] = ACTIONS(3879),
    [anon_sym_global] = ACTIONS(3877),
    [anon_sym_using] = ACTIONS(3877),
    [anon_sym_unsafe] = ACTIONS(3877),
    [anon_sym_static] = ACTIONS(3877),
    [anon_sym_LBRACK] = ACTIONS(3879),
    [anon_sym_LPAREN] = ACTIONS(3879),
    [anon_sym_return] = ACTIONS(3877),
    [anon_sym_namespace] = ACTIONS(3877),
    [anon_sym_class] = ACTIONS(3877),
    [anon_sym_ref] = ACTIONS(3877),
    [anon_sym_struct] = ACTIONS(3877),
    [anon_sym_enum] = ACTIONS(3877),
    [anon_sym_LBRACE] = ACTIONS(3879),
    [anon_sym_interface] = ACTIONS(3877),
    [anon_sym_delegate] = ACTIONS(3877),
    [anon_sym_record] = ACTIONS(3877),
    [anon_sym_abstract] = ACTIONS(3877),
    [anon_sym_async] = ACTIONS(3877),
    [anon_sym_const] = ACTIONS(3877),
    [anon_sym_file] = ACTIONS(3877),
    [anon_sym_fixed] = ACTIONS(3877),
    [anon_sym_internal] = ACTIONS(3877),
    [anon_sym_new] = ACTIONS(3877),
    [anon_sym_override] = ACTIONS(3877),
    [anon_sym_partial] = ACTIONS(3877),
    [anon_sym_private] = ACTIONS(3877),
    [anon_sym_protected] = ACTIONS(3877),
    [anon_sym_public] = ACTIONS(3877),
    [anon_sym_readonly] = ACTIONS(3877),
    [anon_sym_required] = ACTIONS(3877),
    [anon_sym_sealed] = ACTIONS(3877),
    [anon_sym_virtual] = ACTIONS(3877),
    [anon_sym_volatile] = ACTIONS(3877),
    [anon_sym_where] = ACTIONS(3877),
    [anon_sym_notnull] = ACTIONS(3877),
    [anon_sym_unmanaged] = ACTIONS(3877),
    [anon_sym_checked] = ACTIONS(3877),
    [anon_sym_BANG] = ACTIONS(3879),
    [anon_sym_TILDE] = ACTIONS(3879),
    [anon_sym_PLUS_PLUS] = ACTIONS(3879),
    [anon_sym_DASH_DASH] = ACTIONS(3879),
    [anon_sym_true] = ACTIONS(3877),
    [anon_sym_false] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3877),
    [anon_sym_DASH] = ACTIONS(3877),
    [anon_sym_STAR] = ACTIONS(3879),
    [anon_sym_CARET] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(3879),
    [anon_sym_this] = ACTIONS(3877),
    [anon_sym_scoped] = ACTIONS(3877),
    [anon_sym_base] = ACTIONS(3877),
    [anon_sym_var] = ACTIONS(3877),
    [sym_predefined_type] = ACTIONS(3877),
    [anon_sym_break] = ACTIONS(3877),
    [anon_sym_unchecked] = ACTIONS(3877),
    [anon_sym_continue] = ACTIONS(3877),
    [anon_sym_do] = ACTIONS(3877),
    [anon_sym_while] = ACTIONS(3877),
    [anon_sym_for] = ACTIONS(3877),
    [anon_sym_lock] = ACTIONS(3877),
    [anon_sym_yield] = ACTIONS(3877),
    [anon_sym_switch] = ACTIONS(3877),
    [anon_sym_default] = ACTIONS(3877),
    [anon_sym_throw] = ACTIONS(3877),
    [anon_sym_try] = ACTIONS(3877),
    [anon_sym_when] = ACTIONS(3877),
    [anon_sym_await] = ACTIONS(3877),
    [anon_sym_foreach] = ACTIONS(3877),
    [anon_sym_goto] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(3877),
    [anon_sym_DOT_DOT] = ACTIONS(3879),
    [anon_sym_from] = ACTIONS(3877),
    [anon_sym_into] = ACTIONS(3877),
    [anon_sym_join] = ACTIONS(3877),
    [anon_sym_on] = ACTIONS(3877),
    [anon_sym_equals] = ACTIONS(3877),
    [anon_sym_let] = ACTIONS(3877),
    [anon_sym_orderby] = ACTIONS(3877),
    [anon_sym_ascending] = ACTIONS(3877),
    [anon_sym_descending] = ACTIONS(3877),
    [anon_sym_group] = ACTIONS(3877),
    [anon_sym_by] = ACTIONS(3877),
    [anon_sym_select] = ACTIONS(3877),
    [anon_sym_DQUOTE] = ACTIONS(3879),
    [anon_sym_stackalloc] = ACTIONS(3877),
    [anon_sym_sizeof] = ACTIONS(3877),
    [anon_sym_typeof] = ACTIONS(3877),
    [anon_sym___makeref] = ACTIONS(3877),
    [anon_sym___reftype] = ACTIONS(3877),
    [anon_sym___refvalue] = ACTIONS(3877),
    [sym_null_literal] = ACTIONS(3877),
    [anon_sym_SQUOTE] = ACTIONS(3879),
    [sym_integer_literal] = ACTIONS(3877),
    [sym_real_literal] = ACTIONS(3879),
    [sym_verbatim_string_literal] = ACTIONS(3879),
    [aux_sym_preproc_if_token1] = ACTIONS(3879),
    [aux_sym_preproc_if_token3] = ACTIONS(3879),
    [aux_sym_preproc_else_token1] = ACTIONS(3879),
    [aux_sym_preproc_elif_token1] = ACTIONS(3879),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3879),
    [sym_interpolation_verbatim_start] = ACTIONS(3879),
    [sym_interpolation_raw_start] = ACTIONS(3879),
    [sym_raw_string_start] = ACTIONS(3879),
  },
  [2410] = {
    [sym_preproc_region] = STATE(2410),
    [sym_preproc_endregion] = STATE(2410),
    [sym_preproc_line] = STATE(2410),
    [sym_preproc_pragma] = STATE(2410),
    [sym_preproc_nullable] = STATE(2410),
    [sym_preproc_error] = STATE(2410),
    [sym_preproc_define] = STATE(2410),
    [sym_preproc_undef] = STATE(2410),
    [sym__identifier_token] = ACTIONS(3881),
    [anon_sym_extern] = ACTIONS(3881),
    [anon_sym_alias] = ACTIONS(3881),
    [anon_sym_SEMI] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3881),
    [anon_sym_using] = ACTIONS(3881),
    [anon_sym_unsafe] = ACTIONS(3881),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_LBRACK] = ACTIONS(3883),
    [anon_sym_LPAREN] = ACTIONS(3883),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_namespace] = ACTIONS(3881),
    [anon_sym_class] = ACTIONS(3881),
    [anon_sym_ref] = ACTIONS(3881),
    [anon_sym_struct] = ACTIONS(3881),
    [anon_sym_enum] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_interface] = ACTIONS(3881),
    [anon_sym_delegate] = ACTIONS(3881),
    [anon_sym_record] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3881),
    [anon_sym_async] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3881),
    [anon_sym_file] = ACTIONS(3881),
    [anon_sym_fixed] = ACTIONS(3881),
    [anon_sym_internal] = ACTIONS(3881),
    [anon_sym_new] = ACTIONS(3881),
    [anon_sym_override] = ACTIONS(3881),
    [anon_sym_partial] = ACTIONS(3881),
    [anon_sym_private] = ACTIONS(3881),
    [anon_sym_protected] = ACTIONS(3881),
    [anon_sym_public] = ACTIONS(3881),
    [anon_sym_readonly] = ACTIONS(3881),
    [anon_sym_required] = ACTIONS(3881),
    [anon_sym_sealed] = ACTIONS(3881),
    [anon_sym_virtual] = ACTIONS(3881),
    [anon_sym_volatile] = ACTIONS(3881),
    [anon_sym_where] = ACTIONS(3881),
    [anon_sym_notnull] = ACTIONS(3881),
    [anon_sym_unmanaged] = ACTIONS(3881),
    [anon_sym_checked] = ACTIONS(3881),
    [anon_sym_BANG] = ACTIONS(3883),
    [anon_sym_TILDE] = ACTIONS(3883),
    [anon_sym_PLUS_PLUS] = ACTIONS(3883),
    [anon_sym_DASH_DASH] = ACTIONS(3883),
    [anon_sym_true] = ACTIONS(3881),
    [anon_sym_false] = ACTIONS(3881),
    [anon_sym_PLUS] = ACTIONS(3881),
    [anon_sym_DASH] = ACTIONS(3881),
    [anon_sym_STAR] = ACTIONS(3883),
    [anon_sym_CARET] = ACTIONS(3883),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_this] = ACTIONS(3881),
    [anon_sym_scoped] = ACTIONS(3881),
    [anon_sym_base] = ACTIONS(3881),
    [anon_sym_var] = ACTIONS(3881),
    [sym_predefined_type] = ACTIONS(3881),
    [anon_sym_break] = ACTIONS(3881),
    [anon_sym_unchecked] = ACTIONS(3881),
    [anon_sym_continue] = ACTIONS(3881),
    [anon_sym_do] = ACTIONS(3881),
    [anon_sym_while] = ACTIONS(3881),
    [anon_sym_for] = ACTIONS(3881),
    [anon_sym_lock] = ACTIONS(3881),
    [anon_sym_yield] = ACTIONS(3881),
    [anon_sym_switch] = ACTIONS(3881),
    [anon_sym_default] = ACTIONS(3881),
    [anon_sym_throw] = ACTIONS(3881),
    [anon_sym_try] = ACTIONS(3881),
    [anon_sym_when] = ACTIONS(3881),
    [anon_sym_await] = ACTIONS(3881),
    [anon_sym_foreach] = ACTIONS(3881),
    [anon_sym_goto] = ACTIONS(3881),
    [anon_sym_if] = ACTIONS(3881),
    [anon_sym_DOT_DOT] = ACTIONS(3883),
    [anon_sym_from] = ACTIONS(3881),
    [anon_sym_into] = ACTIONS(3881),
    [anon_sym_join] = ACTIONS(3881),
    [anon_sym_on] = ACTIONS(3881),
    [anon_sym_equals] = ACTIONS(3881),
    [anon_sym_let] = ACTIONS(3881),
    [anon_sym_orderby] = ACTIONS(3881),
    [anon_sym_ascending] = ACTIONS(3881),
    [anon_sym_descending] = ACTIONS(3881),
    [anon_sym_group] = ACTIONS(3881),
    [anon_sym_by] = ACTIONS(3881),
    [anon_sym_select] = ACTIONS(3881),
    [anon_sym_DQUOTE] = ACTIONS(3883),
    [anon_sym_stackalloc] = ACTIONS(3881),
    [anon_sym_sizeof] = ACTIONS(3881),
    [anon_sym_typeof] = ACTIONS(3881),
    [anon_sym___makeref] = ACTIONS(3881),
    [anon_sym___reftype] = ACTIONS(3881),
    [anon_sym___refvalue] = ACTIONS(3881),
    [sym_null_literal] = ACTIONS(3881),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [sym_integer_literal] = ACTIONS(3881),
    [sym_real_literal] = ACTIONS(3883),
    [sym_verbatim_string_literal] = ACTIONS(3883),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_if_token3] = ACTIONS(3883),
    [aux_sym_preproc_else_token1] = ACTIONS(3883),
    [aux_sym_preproc_elif_token1] = ACTIONS(3883),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3883),
    [sym_interpolation_verbatim_start] = ACTIONS(3883),
    [sym_interpolation_raw_start] = ACTIONS(3883),
    [sym_raw_string_start] = ACTIONS(3883),
  },
  [2411] = {
    [sym_preproc_region] = STATE(2411),
    [sym_preproc_endregion] = STATE(2411),
    [sym_preproc_line] = STATE(2411),
    [sym_preproc_pragma] = STATE(2411),
    [sym_preproc_nullable] = STATE(2411),
    [sym_preproc_error] = STATE(2411),
    [sym_preproc_define] = STATE(2411),
    [sym_preproc_undef] = STATE(2411),
    [sym__identifier_token] = ACTIONS(3885),
    [anon_sym_extern] = ACTIONS(3885),
    [anon_sym_alias] = ACTIONS(3885),
    [anon_sym_SEMI] = ACTIONS(3887),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_using] = ACTIONS(3885),
    [anon_sym_unsafe] = ACTIONS(3885),
    [anon_sym_static] = ACTIONS(3885),
    [anon_sym_LBRACK] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3887),
    [anon_sym_return] = ACTIONS(3885),
    [anon_sym_namespace] = ACTIONS(3885),
    [anon_sym_class] = ACTIONS(3885),
    [anon_sym_ref] = ACTIONS(3885),
    [anon_sym_struct] = ACTIONS(3885),
    [anon_sym_enum] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_interface] = ACTIONS(3885),
    [anon_sym_delegate] = ACTIONS(3885),
    [anon_sym_record] = ACTIONS(3885),
    [anon_sym_abstract] = ACTIONS(3885),
    [anon_sym_async] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3885),
    [anon_sym_file] = ACTIONS(3885),
    [anon_sym_fixed] = ACTIONS(3885),
    [anon_sym_internal] = ACTIONS(3885),
    [anon_sym_new] = ACTIONS(3885),
    [anon_sym_override] = ACTIONS(3885),
    [anon_sym_partial] = ACTIONS(3885),
    [anon_sym_private] = ACTIONS(3885),
    [anon_sym_protected] = ACTIONS(3885),
    [anon_sym_public] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3885),
    [anon_sym_required] = ACTIONS(3885),
    [anon_sym_sealed] = ACTIONS(3885),
    [anon_sym_virtual] = ACTIONS(3885),
    [anon_sym_volatile] = ACTIONS(3885),
    [anon_sym_where] = ACTIONS(3885),
    [anon_sym_notnull] = ACTIONS(3885),
    [anon_sym_unmanaged] = ACTIONS(3885),
    [anon_sym_checked] = ACTIONS(3885),
    [anon_sym_BANG] = ACTIONS(3887),
    [anon_sym_TILDE] = ACTIONS(3887),
    [anon_sym_PLUS_PLUS] = ACTIONS(3887),
    [anon_sym_DASH_DASH] = ACTIONS(3887),
    [anon_sym_true] = ACTIONS(3885),
    [anon_sym_false] = ACTIONS(3885),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_STAR] = ACTIONS(3887),
    [anon_sym_CARET] = ACTIONS(3887),
    [anon_sym_AMP] = ACTIONS(3887),
    [anon_sym_this] = ACTIONS(3885),
    [anon_sym_scoped] = ACTIONS(3885),
    [anon_sym_base] = ACTIONS(3885),
    [anon_sym_var] = ACTIONS(3885),
    [sym_predefined_type] = ACTIONS(3885),
    [anon_sym_break] = ACTIONS(3885),
    [anon_sym_unchecked] = ACTIONS(3885),
    [anon_sym_continue] = ACTIONS(3885),
    [anon_sym_do] = ACTIONS(3885),
    [anon_sym_while] = ACTIONS(3885),
    [anon_sym_for] = ACTIONS(3885),
    [anon_sym_lock] = ACTIONS(3885),
    [anon_sym_yield] = ACTIONS(3885),
    [anon_sym_switch] = ACTIONS(3885),
    [anon_sym_default] = ACTIONS(3885),
    [anon_sym_throw] = ACTIONS(3885),
    [anon_sym_try] = ACTIONS(3885),
    [anon_sym_when] = ACTIONS(3885),
    [anon_sym_await] = ACTIONS(3885),
    [anon_sym_foreach] = ACTIONS(3885),
    [anon_sym_goto] = ACTIONS(3885),
    [anon_sym_if] = ACTIONS(3885),
    [anon_sym_DOT_DOT] = ACTIONS(3887),
    [anon_sym_from] = ACTIONS(3885),
    [anon_sym_into] = ACTIONS(3885),
    [anon_sym_join] = ACTIONS(3885),
    [anon_sym_on] = ACTIONS(3885),
    [anon_sym_equals] = ACTIONS(3885),
    [anon_sym_let] = ACTIONS(3885),
    [anon_sym_orderby] = ACTIONS(3885),
    [anon_sym_ascending] = ACTIONS(3885),
    [anon_sym_descending] = ACTIONS(3885),
    [anon_sym_group] = ACTIONS(3885),
    [anon_sym_by] = ACTIONS(3885),
    [anon_sym_select] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3887),
    [anon_sym_stackalloc] = ACTIONS(3885),
    [anon_sym_sizeof] = ACTIONS(3885),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym___makeref] = ACTIONS(3885),
    [anon_sym___reftype] = ACTIONS(3885),
    [anon_sym___refvalue] = ACTIONS(3885),
    [sym_null_literal] = ACTIONS(3885),
    [anon_sym_SQUOTE] = ACTIONS(3887),
    [sym_integer_literal] = ACTIONS(3885),
    [sym_real_literal] = ACTIONS(3887),
    [sym_verbatim_string_literal] = ACTIONS(3887),
    [aux_sym_preproc_if_token1] = ACTIONS(3887),
    [aux_sym_preproc_if_token3] = ACTIONS(3887),
    [aux_sym_preproc_else_token1] = ACTIONS(3887),
    [aux_sym_preproc_elif_token1] = ACTIONS(3887),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3887),
    [sym_interpolation_verbatim_start] = ACTIONS(3887),
    [sym_interpolation_raw_start] = ACTIONS(3887),
    [sym_raw_string_start] = ACTIONS(3887),
  },
  [2412] = {
    [sym_preproc_region] = STATE(2412),
    [sym_preproc_endregion] = STATE(2412),
    [sym_preproc_line] = STATE(2412),
    [sym_preproc_pragma] = STATE(2412),
    [sym_preproc_nullable] = STATE(2412),
    [sym_preproc_error] = STATE(2412),
    [sym_preproc_define] = STATE(2412),
    [sym_preproc_undef] = STATE(2412),
    [sym__identifier_token] = ACTIONS(3889),
    [anon_sym_extern] = ACTIONS(3889),
    [anon_sym_alias] = ACTIONS(3889),
    [anon_sym_SEMI] = ACTIONS(3891),
    [anon_sym_global] = ACTIONS(3889),
    [anon_sym_using] = ACTIONS(3889),
    [anon_sym_unsafe] = ACTIONS(3889),
    [anon_sym_static] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3891),
    [anon_sym_return] = ACTIONS(3889),
    [anon_sym_namespace] = ACTIONS(3889),
    [anon_sym_class] = ACTIONS(3889),
    [anon_sym_ref] = ACTIONS(3889),
    [anon_sym_struct] = ACTIONS(3889),
    [anon_sym_enum] = ACTIONS(3889),
    [anon_sym_LBRACE] = ACTIONS(3891),
    [anon_sym_interface] = ACTIONS(3889),
    [anon_sym_delegate] = ACTIONS(3889),
    [anon_sym_record] = ACTIONS(3889),
    [anon_sym_abstract] = ACTIONS(3889),
    [anon_sym_async] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3889),
    [anon_sym_file] = ACTIONS(3889),
    [anon_sym_fixed] = ACTIONS(3889),
    [anon_sym_internal] = ACTIONS(3889),
    [anon_sym_new] = ACTIONS(3889),
    [anon_sym_override] = ACTIONS(3889),
    [anon_sym_partial] = ACTIONS(3889),
    [anon_sym_private] = ACTIONS(3889),
    [anon_sym_protected] = ACTIONS(3889),
    [anon_sym_public] = ACTIONS(3889),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_required] = ACTIONS(3889),
    [anon_sym_sealed] = ACTIONS(3889),
    [anon_sym_virtual] = ACTIONS(3889),
    [anon_sym_volatile] = ACTIONS(3889),
    [anon_sym_where] = ACTIONS(3889),
    [anon_sym_notnull] = ACTIONS(3889),
    [anon_sym_unmanaged] = ACTIONS(3889),
    [anon_sym_checked] = ACTIONS(3889),
    [anon_sym_BANG] = ACTIONS(3891),
    [anon_sym_TILDE] = ACTIONS(3891),
    [anon_sym_PLUS_PLUS] = ACTIONS(3891),
    [anon_sym_DASH_DASH] = ACTIONS(3891),
    [anon_sym_true] = ACTIONS(3889),
    [anon_sym_false] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3889),
    [anon_sym_DASH] = ACTIONS(3889),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_CARET] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_this] = ACTIONS(3889),
    [anon_sym_scoped] = ACTIONS(3889),
    [anon_sym_base] = ACTIONS(3889),
    [anon_sym_var] = ACTIONS(3889),
    [sym_predefined_type] = ACTIONS(3889),
    [anon_sym_break] = ACTIONS(3889),
    [anon_sym_unchecked] = ACTIONS(3889),
    [anon_sym_continue] = ACTIONS(3889),
    [anon_sym_do] = ACTIONS(3889),
    [anon_sym_while] = ACTIONS(3889),
    [anon_sym_for] = ACTIONS(3889),
    [anon_sym_lock] = ACTIONS(3889),
    [anon_sym_yield] = ACTIONS(3889),
    [anon_sym_switch] = ACTIONS(3889),
    [anon_sym_default] = ACTIONS(3889),
    [anon_sym_throw] = ACTIONS(3889),
    [anon_sym_try] = ACTIONS(3889),
    [anon_sym_when] = ACTIONS(3889),
    [anon_sym_await] = ACTIONS(3889),
    [anon_sym_foreach] = ACTIONS(3889),
    [anon_sym_goto] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3889),
    [anon_sym_DOT_DOT] = ACTIONS(3891),
    [anon_sym_from] = ACTIONS(3889),
    [anon_sym_into] = ACTIONS(3889),
    [anon_sym_join] = ACTIONS(3889),
    [anon_sym_on] = ACTIONS(3889),
    [anon_sym_equals] = ACTIONS(3889),
    [anon_sym_let] = ACTIONS(3889),
    [anon_sym_orderby] = ACTIONS(3889),
    [anon_sym_ascending] = ACTIONS(3889),
    [anon_sym_descending] = ACTIONS(3889),
    [anon_sym_group] = ACTIONS(3889),
    [anon_sym_by] = ACTIONS(3889),
    [anon_sym_select] = ACTIONS(3889),
    [anon_sym_DQUOTE] = ACTIONS(3891),
    [anon_sym_stackalloc] = ACTIONS(3889),
    [anon_sym_sizeof] = ACTIONS(3889),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym___makeref] = ACTIONS(3889),
    [anon_sym___reftype] = ACTIONS(3889),
    [anon_sym___refvalue] = ACTIONS(3889),
    [sym_null_literal] = ACTIONS(3889),
    [anon_sym_SQUOTE] = ACTIONS(3891),
    [sym_integer_literal] = ACTIONS(3889),
    [sym_real_literal] = ACTIONS(3891),
    [sym_verbatim_string_literal] = ACTIONS(3891),
    [aux_sym_preproc_if_token1] = ACTIONS(3891),
    [aux_sym_preproc_if_token3] = ACTIONS(3891),
    [aux_sym_preproc_else_token1] = ACTIONS(3891),
    [aux_sym_preproc_elif_token1] = ACTIONS(3891),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3891),
    [sym_interpolation_verbatim_start] = ACTIONS(3891),
    [sym_interpolation_raw_start] = ACTIONS(3891),
    [sym_raw_string_start] = ACTIONS(3891),
  },
  [2413] = {
    [sym_preproc_region] = STATE(2413),
    [sym_preproc_endregion] = STATE(2413),
    [sym_preproc_line] = STATE(2413),
    [sym_preproc_pragma] = STATE(2413),
    [sym_preproc_nullable] = STATE(2413),
    [sym_preproc_error] = STATE(2413),
    [sym_preproc_define] = STATE(2413),
    [sym_preproc_undef] = STATE(2413),
    [sym__identifier_token] = ACTIONS(3893),
    [anon_sym_extern] = ACTIONS(3893),
    [anon_sym_alias] = ACTIONS(3893),
    [anon_sym_SEMI] = ACTIONS(3895),
    [anon_sym_global] = ACTIONS(3893),
    [anon_sym_using] = ACTIONS(3893),
    [anon_sym_unsafe] = ACTIONS(3893),
    [anon_sym_static] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(3895),
    [anon_sym_return] = ACTIONS(3893),
    [anon_sym_namespace] = ACTIONS(3893),
    [anon_sym_class] = ACTIONS(3893),
    [anon_sym_ref] = ACTIONS(3893),
    [anon_sym_struct] = ACTIONS(3893),
    [anon_sym_enum] = ACTIONS(3893),
    [anon_sym_LBRACE] = ACTIONS(3895),
    [anon_sym_interface] = ACTIONS(3893),
    [anon_sym_delegate] = ACTIONS(3893),
    [anon_sym_record] = ACTIONS(3893),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_async] = ACTIONS(3893),
    [anon_sym_const] = ACTIONS(3893),
    [anon_sym_file] = ACTIONS(3893),
    [anon_sym_fixed] = ACTIONS(3893),
    [anon_sym_internal] = ACTIONS(3893),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_override] = ACTIONS(3893),
    [anon_sym_partial] = ACTIONS(3893),
    [anon_sym_private] = ACTIONS(3893),
    [anon_sym_protected] = ACTIONS(3893),
    [anon_sym_public] = ACTIONS(3893),
    [anon_sym_readonly] = ACTIONS(3893),
    [anon_sym_required] = ACTIONS(3893),
    [anon_sym_sealed] = ACTIONS(3893),
    [anon_sym_virtual] = ACTIONS(3893),
    [anon_sym_volatile] = ACTIONS(3893),
    [anon_sym_where] = ACTIONS(3893),
    [anon_sym_notnull] = ACTIONS(3893),
    [anon_sym_unmanaged] = ACTIONS(3893),
    [anon_sym_checked] = ACTIONS(3893),
    [anon_sym_BANG] = ACTIONS(3895),
    [anon_sym_TILDE] = ACTIONS(3895),
    [anon_sym_PLUS_PLUS] = ACTIONS(3895),
    [anon_sym_DASH_DASH] = ACTIONS(3895),
    [anon_sym_true] = ACTIONS(3893),
    [anon_sym_false] = ACTIONS(3893),
    [anon_sym_PLUS] = ACTIONS(3893),
    [anon_sym_DASH] = ACTIONS(3893),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_CARET] = ACTIONS(3895),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_this] = ACTIONS(3893),
    [anon_sym_scoped] = ACTIONS(3893),
    [anon_sym_base] = ACTIONS(3893),
    [anon_sym_var] = ACTIONS(3893),
    [sym_predefined_type] = ACTIONS(3893),
    [anon_sym_break] = ACTIONS(3893),
    [anon_sym_unchecked] = ACTIONS(3893),
    [anon_sym_continue] = ACTIONS(3893),
    [anon_sym_do] = ACTIONS(3893),
    [anon_sym_while] = ACTIONS(3893),
    [anon_sym_for] = ACTIONS(3893),
    [anon_sym_lock] = ACTIONS(3893),
    [anon_sym_yield] = ACTIONS(3893),
    [anon_sym_switch] = ACTIONS(3893),
    [anon_sym_default] = ACTIONS(3893),
    [anon_sym_throw] = ACTIONS(3893),
    [anon_sym_try] = ACTIONS(3893),
    [anon_sym_when] = ACTIONS(3893),
    [anon_sym_await] = ACTIONS(3893),
    [anon_sym_foreach] = ACTIONS(3893),
    [anon_sym_goto] = ACTIONS(3893),
    [anon_sym_if] = ACTIONS(3893),
    [anon_sym_DOT_DOT] = ACTIONS(3895),
    [anon_sym_from] = ACTIONS(3893),
    [anon_sym_into] = ACTIONS(3893),
    [anon_sym_join] = ACTIONS(3893),
    [anon_sym_on] = ACTIONS(3893),
    [anon_sym_equals] = ACTIONS(3893),
    [anon_sym_let] = ACTIONS(3893),
    [anon_sym_orderby] = ACTIONS(3893),
    [anon_sym_ascending] = ACTIONS(3893),
    [anon_sym_descending] = ACTIONS(3893),
    [anon_sym_group] = ACTIONS(3893),
    [anon_sym_by] = ACTIONS(3893),
    [anon_sym_select] = ACTIONS(3893),
    [anon_sym_DQUOTE] = ACTIONS(3895),
    [anon_sym_stackalloc] = ACTIONS(3893),
    [anon_sym_sizeof] = ACTIONS(3893),
    [anon_sym_typeof] = ACTIONS(3893),
    [anon_sym___makeref] = ACTIONS(3893),
    [anon_sym___reftype] = ACTIONS(3893),
    [anon_sym___refvalue] = ACTIONS(3893),
    [sym_null_literal] = ACTIONS(3893),
    [anon_sym_SQUOTE] = ACTIONS(3895),
    [sym_integer_literal] = ACTIONS(3893),
    [sym_real_literal] = ACTIONS(3895),
    [sym_verbatim_string_literal] = ACTIONS(3895),
    [aux_sym_preproc_if_token1] = ACTIONS(3895),
    [aux_sym_preproc_if_token3] = ACTIONS(3895),
    [aux_sym_preproc_else_token1] = ACTIONS(3895),
    [aux_sym_preproc_elif_token1] = ACTIONS(3895),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3895),
    [sym_interpolation_verbatim_start] = ACTIONS(3895),
    [sym_interpolation_raw_start] = ACTIONS(3895),
    [sym_raw_string_start] = ACTIONS(3895),
  },
  [2414] = {
    [sym_preproc_region] = STATE(2414),
    [sym_preproc_endregion] = STATE(2414),
    [sym_preproc_line] = STATE(2414),
    [sym_preproc_pragma] = STATE(2414),
    [sym_preproc_nullable] = STATE(2414),
    [sym_preproc_error] = STATE(2414),
    [sym_preproc_define] = STATE(2414),
    [sym_preproc_undef] = STATE(2414),
    [sym__identifier_token] = ACTIONS(3897),
    [anon_sym_extern] = ACTIONS(3897),
    [anon_sym_alias] = ACTIONS(3897),
    [anon_sym_SEMI] = ACTIONS(3899),
    [anon_sym_global] = ACTIONS(3897),
    [anon_sym_using] = ACTIONS(3897),
    [anon_sym_unsafe] = ACTIONS(3897),
    [anon_sym_static] = ACTIONS(3897),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_LPAREN] = ACTIONS(3899),
    [anon_sym_return] = ACTIONS(3897),
    [anon_sym_namespace] = ACTIONS(3897),
    [anon_sym_class] = ACTIONS(3897),
    [anon_sym_ref] = ACTIONS(3897),
    [anon_sym_struct] = ACTIONS(3897),
    [anon_sym_enum] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_interface] = ACTIONS(3897),
    [anon_sym_delegate] = ACTIONS(3897),
    [anon_sym_record] = ACTIONS(3897),
    [anon_sym_abstract] = ACTIONS(3897),
    [anon_sym_async] = ACTIONS(3897),
    [anon_sym_const] = ACTIONS(3897),
    [anon_sym_file] = ACTIONS(3897),
    [anon_sym_fixed] = ACTIONS(3897),
    [anon_sym_internal] = ACTIONS(3897),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_override] = ACTIONS(3897),
    [anon_sym_partial] = ACTIONS(3897),
    [anon_sym_private] = ACTIONS(3897),
    [anon_sym_protected] = ACTIONS(3897),
    [anon_sym_public] = ACTIONS(3897),
    [anon_sym_readonly] = ACTIONS(3897),
    [anon_sym_required] = ACTIONS(3897),
    [anon_sym_sealed] = ACTIONS(3897),
    [anon_sym_virtual] = ACTIONS(3897),
    [anon_sym_volatile] = ACTIONS(3897),
    [anon_sym_where] = ACTIONS(3897),
    [anon_sym_notnull] = ACTIONS(3897),
    [anon_sym_unmanaged] = ACTIONS(3897),
    [anon_sym_checked] = ACTIONS(3897),
    [anon_sym_BANG] = ACTIONS(3899),
    [anon_sym_TILDE] = ACTIONS(3899),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_true] = ACTIONS(3897),
    [anon_sym_false] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_STAR] = ACTIONS(3899),
    [anon_sym_CARET] = ACTIONS(3899),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_this] = ACTIONS(3897),
    [anon_sym_scoped] = ACTIONS(3897),
    [anon_sym_base] = ACTIONS(3897),
    [anon_sym_var] = ACTIONS(3897),
    [sym_predefined_type] = ACTIONS(3897),
    [anon_sym_break] = ACTIONS(3897),
    [anon_sym_unchecked] = ACTIONS(3897),
    [anon_sym_continue] = ACTIONS(3897),
    [anon_sym_do] = ACTIONS(3897),
    [anon_sym_while] = ACTIONS(3897),
    [anon_sym_for] = ACTIONS(3897),
    [anon_sym_lock] = ACTIONS(3897),
    [anon_sym_yield] = ACTIONS(3897),
    [anon_sym_switch] = ACTIONS(3897),
    [anon_sym_default] = ACTIONS(3897),
    [anon_sym_throw] = ACTIONS(3897),
    [anon_sym_try] = ACTIONS(3897),
    [anon_sym_when] = ACTIONS(3897),
    [anon_sym_await] = ACTIONS(3897),
    [anon_sym_foreach] = ACTIONS(3897),
    [anon_sym_goto] = ACTIONS(3897),
    [anon_sym_if] = ACTIONS(3897),
    [anon_sym_DOT_DOT] = ACTIONS(3899),
    [anon_sym_from] = ACTIONS(3897),
    [anon_sym_into] = ACTIONS(3897),
    [anon_sym_join] = ACTIONS(3897),
    [anon_sym_on] = ACTIONS(3897),
    [anon_sym_equals] = ACTIONS(3897),
    [anon_sym_let] = ACTIONS(3897),
    [anon_sym_orderby] = ACTIONS(3897),
    [anon_sym_ascending] = ACTIONS(3897),
    [anon_sym_descending] = ACTIONS(3897),
    [anon_sym_group] = ACTIONS(3897),
    [anon_sym_by] = ACTIONS(3897),
    [anon_sym_select] = ACTIONS(3897),
    [anon_sym_DQUOTE] = ACTIONS(3899),
    [anon_sym_stackalloc] = ACTIONS(3897),
    [anon_sym_sizeof] = ACTIONS(3897),
    [anon_sym_typeof] = ACTIONS(3897),
    [anon_sym___makeref] = ACTIONS(3897),
    [anon_sym___reftype] = ACTIONS(3897),
    [anon_sym___refvalue] = ACTIONS(3897),
    [sym_null_literal] = ACTIONS(3897),
    [anon_sym_SQUOTE] = ACTIONS(3899),
    [sym_integer_literal] = ACTIONS(3897),
    [sym_real_literal] = ACTIONS(3899),
    [sym_verbatim_string_literal] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token3] = ACTIONS(3899),
    [aux_sym_preproc_else_token1] = ACTIONS(3899),
    [aux_sym_preproc_elif_token1] = ACTIONS(3899),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3899),
    [sym_interpolation_verbatim_start] = ACTIONS(3899),
    [sym_interpolation_raw_start] = ACTIONS(3899),
    [sym_raw_string_start] = ACTIONS(3899),
  },
  [2415] = {
    [sym_preproc_region] = STATE(2415),
    [sym_preproc_endregion] = STATE(2415),
    [sym_preproc_line] = STATE(2415),
    [sym_preproc_pragma] = STATE(2415),
    [sym_preproc_nullable] = STATE(2415),
    [sym_preproc_error] = STATE(2415),
    [sym_preproc_define] = STATE(2415),
    [sym_preproc_undef] = STATE(2415),
    [sym__identifier_token] = ACTIONS(3901),
    [anon_sym_extern] = ACTIONS(3901),
    [anon_sym_alias] = ACTIONS(3901),
    [anon_sym_SEMI] = ACTIONS(3903),
    [anon_sym_global] = ACTIONS(3901),
    [anon_sym_using] = ACTIONS(3901),
    [anon_sym_unsafe] = ACTIONS(3901),
    [anon_sym_static] = ACTIONS(3901),
    [anon_sym_LBRACK] = ACTIONS(3903),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_return] = ACTIONS(3901),
    [anon_sym_namespace] = ACTIONS(3901),
    [anon_sym_class] = ACTIONS(3901),
    [anon_sym_ref] = ACTIONS(3901),
    [anon_sym_struct] = ACTIONS(3901),
    [anon_sym_enum] = ACTIONS(3901),
    [anon_sym_LBRACE] = ACTIONS(3903),
    [anon_sym_interface] = ACTIONS(3901),
    [anon_sym_delegate] = ACTIONS(3901),
    [anon_sym_record] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3901),
    [anon_sym_async] = ACTIONS(3901),
    [anon_sym_const] = ACTIONS(3901),
    [anon_sym_file] = ACTIONS(3901),
    [anon_sym_fixed] = ACTIONS(3901),
    [anon_sym_internal] = ACTIONS(3901),
    [anon_sym_new] = ACTIONS(3901),
    [anon_sym_override] = ACTIONS(3901),
    [anon_sym_partial] = ACTIONS(3901),
    [anon_sym_private] = ACTIONS(3901),
    [anon_sym_protected] = ACTIONS(3901),
    [anon_sym_public] = ACTIONS(3901),
    [anon_sym_readonly] = ACTIONS(3901),
    [anon_sym_required] = ACTIONS(3901),
    [anon_sym_sealed] = ACTIONS(3901),
    [anon_sym_virtual] = ACTIONS(3901),
    [anon_sym_volatile] = ACTIONS(3901),
    [anon_sym_where] = ACTIONS(3901),
    [anon_sym_notnull] = ACTIONS(3901),
    [anon_sym_unmanaged] = ACTIONS(3901),
    [anon_sym_checked] = ACTIONS(3901),
    [anon_sym_BANG] = ACTIONS(3903),
    [anon_sym_TILDE] = ACTIONS(3903),
    [anon_sym_PLUS_PLUS] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(3903),
    [anon_sym_true] = ACTIONS(3901),
    [anon_sym_false] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3901),
    [anon_sym_DASH] = ACTIONS(3901),
    [anon_sym_STAR] = ACTIONS(3903),
    [anon_sym_CARET] = ACTIONS(3903),
    [anon_sym_AMP] = ACTIONS(3903),
    [anon_sym_this] = ACTIONS(3901),
    [anon_sym_scoped] = ACTIONS(3901),
    [anon_sym_base] = ACTIONS(3901),
    [anon_sym_var] = ACTIONS(3901),
    [sym_predefined_type] = ACTIONS(3901),
    [anon_sym_break] = ACTIONS(3901),
    [anon_sym_unchecked] = ACTIONS(3901),
    [anon_sym_continue] = ACTIONS(3901),
    [anon_sym_do] = ACTIONS(3901),
    [anon_sym_while] = ACTIONS(3901),
    [anon_sym_for] = ACTIONS(3901),
    [anon_sym_lock] = ACTIONS(3901),
    [anon_sym_yield] = ACTIONS(3901),
    [anon_sym_switch] = ACTIONS(3901),
    [anon_sym_default] = ACTIONS(3901),
    [anon_sym_throw] = ACTIONS(3901),
    [anon_sym_try] = ACTIONS(3901),
    [anon_sym_when] = ACTIONS(3901),
    [anon_sym_await] = ACTIONS(3901),
    [anon_sym_foreach] = ACTIONS(3901),
    [anon_sym_goto] = ACTIONS(3901),
    [anon_sym_if] = ACTIONS(3901),
    [anon_sym_DOT_DOT] = ACTIONS(3903),
    [anon_sym_from] = ACTIONS(3901),
    [anon_sym_into] = ACTIONS(3901),
    [anon_sym_join] = ACTIONS(3901),
    [anon_sym_on] = ACTIONS(3901),
    [anon_sym_equals] = ACTIONS(3901),
    [anon_sym_let] = ACTIONS(3901),
    [anon_sym_orderby] = ACTIONS(3901),
    [anon_sym_ascending] = ACTIONS(3901),
    [anon_sym_descending] = ACTIONS(3901),
    [anon_sym_group] = ACTIONS(3901),
    [anon_sym_by] = ACTIONS(3901),
    [anon_sym_select] = ACTIONS(3901),
    [anon_sym_DQUOTE] = ACTIONS(3903),
    [anon_sym_stackalloc] = ACTIONS(3901),
    [anon_sym_sizeof] = ACTIONS(3901),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym___makeref] = ACTIONS(3901),
    [anon_sym___reftype] = ACTIONS(3901),
    [anon_sym___refvalue] = ACTIONS(3901),
    [sym_null_literal] = ACTIONS(3901),
    [anon_sym_SQUOTE] = ACTIONS(3903),
    [sym_integer_literal] = ACTIONS(3901),
    [sym_real_literal] = ACTIONS(3903),
    [sym_verbatim_string_literal] = ACTIONS(3903),
    [aux_sym_preproc_if_token1] = ACTIONS(3903),
    [aux_sym_preproc_if_token3] = ACTIONS(3903),
    [aux_sym_preproc_else_token1] = ACTIONS(3903),
    [aux_sym_preproc_elif_token1] = ACTIONS(3903),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3903),
    [sym_interpolation_verbatim_start] = ACTIONS(3903),
    [sym_interpolation_raw_start] = ACTIONS(3903),
    [sym_raw_string_start] = ACTIONS(3903),
  },
  [2416] = {
    [sym_preproc_region] = STATE(2416),
    [sym_preproc_endregion] = STATE(2416),
    [sym_preproc_line] = STATE(2416),
    [sym_preproc_pragma] = STATE(2416),
    [sym_preproc_nullable] = STATE(2416),
    [sym_preproc_error] = STATE(2416),
    [sym_preproc_define] = STATE(2416),
    [sym_preproc_undef] = STATE(2416),
    [sym__identifier_token] = ACTIONS(3905),
    [anon_sym_extern] = ACTIONS(3905),
    [anon_sym_alias] = ACTIONS(3905),
    [anon_sym_SEMI] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3905),
    [anon_sym_using] = ACTIONS(3905),
    [anon_sym_unsafe] = ACTIONS(3905),
    [anon_sym_static] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(3907),
    [anon_sym_LPAREN] = ACTIONS(3907),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_namespace] = ACTIONS(3905),
    [anon_sym_class] = ACTIONS(3905),
    [anon_sym_ref] = ACTIONS(3905),
    [anon_sym_struct] = ACTIONS(3905),
    [anon_sym_enum] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_interface] = ACTIONS(3905),
    [anon_sym_delegate] = ACTIONS(3905),
    [anon_sym_record] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3905),
    [anon_sym_async] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3905),
    [anon_sym_file] = ACTIONS(3905),
    [anon_sym_fixed] = ACTIONS(3905),
    [anon_sym_internal] = ACTIONS(3905),
    [anon_sym_new] = ACTIONS(3905),
    [anon_sym_override] = ACTIONS(3905),
    [anon_sym_partial] = ACTIONS(3905),
    [anon_sym_private] = ACTIONS(3905),
    [anon_sym_protected] = ACTIONS(3905),
    [anon_sym_public] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3905),
    [anon_sym_required] = ACTIONS(3905),
    [anon_sym_sealed] = ACTIONS(3905),
    [anon_sym_virtual] = ACTIONS(3905),
    [anon_sym_volatile] = ACTIONS(3905),
    [anon_sym_where] = ACTIONS(3905),
    [anon_sym_notnull] = ACTIONS(3905),
    [anon_sym_unmanaged] = ACTIONS(3905),
    [anon_sym_checked] = ACTIONS(3905),
    [anon_sym_BANG] = ACTIONS(3907),
    [anon_sym_TILDE] = ACTIONS(3907),
    [anon_sym_PLUS_PLUS] = ACTIONS(3907),
    [anon_sym_DASH_DASH] = ACTIONS(3907),
    [anon_sym_true] = ACTIONS(3905),
    [anon_sym_false] = ACTIONS(3905),
    [anon_sym_PLUS] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3905),
    [anon_sym_STAR] = ACTIONS(3907),
    [anon_sym_CARET] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3907),
    [anon_sym_this] = ACTIONS(3905),
    [anon_sym_scoped] = ACTIONS(3905),
    [anon_sym_base] = ACTIONS(3905),
    [anon_sym_var] = ACTIONS(3905),
    [sym_predefined_type] = ACTIONS(3905),
    [anon_sym_break] = ACTIONS(3905),
    [anon_sym_unchecked] = ACTIONS(3905),
    [anon_sym_continue] = ACTIONS(3905),
    [anon_sym_do] = ACTIONS(3905),
    [anon_sym_while] = ACTIONS(3905),
    [anon_sym_for] = ACTIONS(3905),
    [anon_sym_lock] = ACTIONS(3905),
    [anon_sym_yield] = ACTIONS(3905),
    [anon_sym_switch] = ACTIONS(3905),
    [anon_sym_default] = ACTIONS(3905),
    [anon_sym_throw] = ACTIONS(3905),
    [anon_sym_try] = ACTIONS(3905),
    [anon_sym_when] = ACTIONS(3905),
    [anon_sym_await] = ACTIONS(3905),
    [anon_sym_foreach] = ACTIONS(3905),
    [anon_sym_goto] = ACTIONS(3905),
    [anon_sym_if] = ACTIONS(3905),
    [anon_sym_DOT_DOT] = ACTIONS(3907),
    [anon_sym_from] = ACTIONS(3905),
    [anon_sym_into] = ACTIONS(3905),
    [anon_sym_join] = ACTIONS(3905),
    [anon_sym_on] = ACTIONS(3905),
    [anon_sym_equals] = ACTIONS(3905),
    [anon_sym_let] = ACTIONS(3905),
    [anon_sym_orderby] = ACTIONS(3905),
    [anon_sym_ascending] = ACTIONS(3905),
    [anon_sym_descending] = ACTIONS(3905),
    [anon_sym_group] = ACTIONS(3905),
    [anon_sym_by] = ACTIONS(3905),
    [anon_sym_select] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(3907),
    [anon_sym_stackalloc] = ACTIONS(3905),
    [anon_sym_sizeof] = ACTIONS(3905),
    [anon_sym_typeof] = ACTIONS(3905),
    [anon_sym___makeref] = ACTIONS(3905),
    [anon_sym___reftype] = ACTIONS(3905),
    [anon_sym___refvalue] = ACTIONS(3905),
    [sym_null_literal] = ACTIONS(3905),
    [anon_sym_SQUOTE] = ACTIONS(3907),
    [sym_integer_literal] = ACTIONS(3905),
    [sym_real_literal] = ACTIONS(3907),
    [sym_verbatim_string_literal] = ACTIONS(3907),
    [aux_sym_preproc_if_token1] = ACTIONS(3907),
    [aux_sym_preproc_if_token3] = ACTIONS(3907),
    [aux_sym_preproc_else_token1] = ACTIONS(3907),
    [aux_sym_preproc_elif_token1] = ACTIONS(3907),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3907),
    [sym_interpolation_verbatim_start] = ACTIONS(3907),
    [sym_interpolation_raw_start] = ACTIONS(3907),
    [sym_raw_string_start] = ACTIONS(3907),
  },
  [2417] = {
    [sym_preproc_region] = STATE(2417),
    [sym_preproc_endregion] = STATE(2417),
    [sym_preproc_line] = STATE(2417),
    [sym_preproc_pragma] = STATE(2417),
    [sym_preproc_nullable] = STATE(2417),
    [sym_preproc_error] = STATE(2417),
    [sym_preproc_define] = STATE(2417),
    [sym_preproc_undef] = STATE(2417),
    [sym__identifier_token] = ACTIONS(3909),
    [anon_sym_extern] = ACTIONS(3909),
    [anon_sym_alias] = ACTIONS(3909),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_using] = ACTIONS(3909),
    [anon_sym_unsafe] = ACTIONS(3909),
    [anon_sym_static] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3911),
    [anon_sym_return] = ACTIONS(3909),
    [anon_sym_namespace] = ACTIONS(3909),
    [anon_sym_class] = ACTIONS(3909),
    [anon_sym_ref] = ACTIONS(3909),
    [anon_sym_struct] = ACTIONS(3909),
    [anon_sym_enum] = ACTIONS(3909),
    [anon_sym_LBRACE] = ACTIONS(3911),
    [anon_sym_interface] = ACTIONS(3909),
    [anon_sym_delegate] = ACTIONS(3909),
    [anon_sym_record] = ACTIONS(3909),
    [anon_sym_abstract] = ACTIONS(3909),
    [anon_sym_async] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3909),
    [anon_sym_file] = ACTIONS(3909),
    [anon_sym_fixed] = ACTIONS(3909),
    [anon_sym_internal] = ACTIONS(3909),
    [anon_sym_new] = ACTIONS(3909),
    [anon_sym_override] = ACTIONS(3909),
    [anon_sym_partial] = ACTIONS(3909),
    [anon_sym_private] = ACTIONS(3909),
    [anon_sym_protected] = ACTIONS(3909),
    [anon_sym_public] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_required] = ACTIONS(3909),
    [anon_sym_sealed] = ACTIONS(3909),
    [anon_sym_virtual] = ACTIONS(3909),
    [anon_sym_volatile] = ACTIONS(3909),
    [anon_sym_where] = ACTIONS(3909),
    [anon_sym_notnull] = ACTIONS(3909),
    [anon_sym_unmanaged] = ACTIONS(3909),
    [anon_sym_checked] = ACTIONS(3909),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_PLUS_PLUS] = ACTIONS(3911),
    [anon_sym_DASH_DASH] = ACTIONS(3911),
    [anon_sym_true] = ACTIONS(3909),
    [anon_sym_false] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(3911),
    [anon_sym_CARET] = ACTIONS(3911),
    [anon_sym_AMP] = ACTIONS(3911),
    [anon_sym_this] = ACTIONS(3909),
    [anon_sym_scoped] = ACTIONS(3909),
    [anon_sym_base] = ACTIONS(3909),
    [anon_sym_var] = ACTIONS(3909),
    [sym_predefined_type] = ACTIONS(3909),
    [anon_sym_break] = ACTIONS(3909),
    [anon_sym_unchecked] = ACTIONS(3909),
    [anon_sym_continue] = ACTIONS(3909),
    [anon_sym_do] = ACTIONS(3909),
    [anon_sym_while] = ACTIONS(3909),
    [anon_sym_for] = ACTIONS(3909),
    [anon_sym_lock] = ACTIONS(3909),
    [anon_sym_yield] = ACTIONS(3909),
    [anon_sym_switch] = ACTIONS(3909),
    [anon_sym_default] = ACTIONS(3909),
    [anon_sym_throw] = ACTIONS(3909),
    [anon_sym_try] = ACTIONS(3909),
    [anon_sym_when] = ACTIONS(3909),
    [anon_sym_await] = ACTIONS(3909),
    [anon_sym_foreach] = ACTIONS(3909),
    [anon_sym_goto] = ACTIONS(3909),
    [anon_sym_if] = ACTIONS(3909),
    [anon_sym_DOT_DOT] = ACTIONS(3911),
    [anon_sym_from] = ACTIONS(3909),
    [anon_sym_into] = ACTIONS(3909),
    [anon_sym_join] = ACTIONS(3909),
    [anon_sym_on] = ACTIONS(3909),
    [anon_sym_equals] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3909),
    [anon_sym_orderby] = ACTIONS(3909),
    [anon_sym_ascending] = ACTIONS(3909),
    [anon_sym_descending] = ACTIONS(3909),
    [anon_sym_group] = ACTIONS(3909),
    [anon_sym_by] = ACTIONS(3909),
    [anon_sym_select] = ACTIONS(3909),
    [anon_sym_DQUOTE] = ACTIONS(3911),
    [anon_sym_stackalloc] = ACTIONS(3909),
    [anon_sym_sizeof] = ACTIONS(3909),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym___makeref] = ACTIONS(3909),
    [anon_sym___reftype] = ACTIONS(3909),
    [anon_sym___refvalue] = ACTIONS(3909),
    [sym_null_literal] = ACTIONS(3909),
    [anon_sym_SQUOTE] = ACTIONS(3911),
    [sym_integer_literal] = ACTIONS(3909),
    [sym_real_literal] = ACTIONS(3911),
    [sym_verbatim_string_literal] = ACTIONS(3911),
    [aux_sym_preproc_if_token1] = ACTIONS(3911),
    [aux_sym_preproc_if_token3] = ACTIONS(3911),
    [aux_sym_preproc_else_token1] = ACTIONS(3911),
    [aux_sym_preproc_elif_token1] = ACTIONS(3911),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3911),
    [sym_interpolation_verbatim_start] = ACTIONS(3911),
    [sym_interpolation_raw_start] = ACTIONS(3911),
    [sym_raw_string_start] = ACTIONS(3911),
  },
  [2418] = {
    [sym_preproc_region] = STATE(2418),
    [sym_preproc_endregion] = STATE(2418),
    [sym_preproc_line] = STATE(2418),
    [sym_preproc_pragma] = STATE(2418),
    [sym_preproc_nullable] = STATE(2418),
    [sym_preproc_error] = STATE(2418),
    [sym_preproc_define] = STATE(2418),
    [sym_preproc_undef] = STATE(2418),
    [sym__identifier_token] = ACTIONS(3913),
    [anon_sym_extern] = ACTIONS(3913),
    [anon_sym_alias] = ACTIONS(3913),
    [anon_sym_SEMI] = ACTIONS(3915),
    [anon_sym_global] = ACTIONS(3913),
    [anon_sym_using] = ACTIONS(3913),
    [anon_sym_unsafe] = ACTIONS(3913),
    [anon_sym_static] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_LPAREN] = ACTIONS(3915),
    [anon_sym_return] = ACTIONS(3913),
    [anon_sym_namespace] = ACTIONS(3913),
    [anon_sym_class] = ACTIONS(3913),
    [anon_sym_ref] = ACTIONS(3913),
    [anon_sym_struct] = ACTIONS(3913),
    [anon_sym_enum] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3915),
    [anon_sym_interface] = ACTIONS(3913),
    [anon_sym_delegate] = ACTIONS(3913),
    [anon_sym_record] = ACTIONS(3913),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_async] = ACTIONS(3913),
    [anon_sym_const] = ACTIONS(3913),
    [anon_sym_file] = ACTIONS(3913),
    [anon_sym_fixed] = ACTIONS(3913),
    [anon_sym_internal] = ACTIONS(3913),
    [anon_sym_new] = ACTIONS(3913),
    [anon_sym_override] = ACTIONS(3913),
    [anon_sym_partial] = ACTIONS(3913),
    [anon_sym_private] = ACTIONS(3913),
    [anon_sym_protected] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3913),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_required] = ACTIONS(3913),
    [anon_sym_sealed] = ACTIONS(3913),
    [anon_sym_virtual] = ACTIONS(3913),
    [anon_sym_volatile] = ACTIONS(3913),
    [anon_sym_where] = ACTIONS(3913),
    [anon_sym_notnull] = ACTIONS(3913),
    [anon_sym_unmanaged] = ACTIONS(3913),
    [anon_sym_checked] = ACTIONS(3913),
    [anon_sym_BANG] = ACTIONS(3915),
    [anon_sym_TILDE] = ACTIONS(3915),
    [anon_sym_PLUS_PLUS] = ACTIONS(3915),
    [anon_sym_DASH_DASH] = ACTIONS(3915),
    [anon_sym_true] = ACTIONS(3913),
    [anon_sym_false] = ACTIONS(3913),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_STAR] = ACTIONS(3915),
    [anon_sym_CARET] = ACTIONS(3915),
    [anon_sym_AMP] = ACTIONS(3915),
    [anon_sym_this] = ACTIONS(3913),
    [anon_sym_scoped] = ACTIONS(3913),
    [anon_sym_base] = ACTIONS(3913),
    [anon_sym_var] = ACTIONS(3913),
    [sym_predefined_type] = ACTIONS(3913),
    [anon_sym_break] = ACTIONS(3913),
    [anon_sym_unchecked] = ACTIONS(3913),
    [anon_sym_continue] = ACTIONS(3913),
    [anon_sym_do] = ACTIONS(3913),
    [anon_sym_while] = ACTIONS(3913),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_lock] = ACTIONS(3913),
    [anon_sym_yield] = ACTIONS(3913),
    [anon_sym_switch] = ACTIONS(3913),
    [anon_sym_default] = ACTIONS(3913),
    [anon_sym_throw] = ACTIONS(3913),
    [anon_sym_try] = ACTIONS(3913),
    [anon_sym_when] = ACTIONS(3913),
    [anon_sym_await] = ACTIONS(3913),
    [anon_sym_foreach] = ACTIONS(3913),
    [anon_sym_goto] = ACTIONS(3913),
    [anon_sym_if] = ACTIONS(3913),
    [anon_sym_DOT_DOT] = ACTIONS(3915),
    [anon_sym_from] = ACTIONS(3913),
    [anon_sym_into] = ACTIONS(3913),
    [anon_sym_join] = ACTIONS(3913),
    [anon_sym_on] = ACTIONS(3913),
    [anon_sym_equals] = ACTIONS(3913),
    [anon_sym_let] = ACTIONS(3913),
    [anon_sym_orderby] = ACTIONS(3913),
    [anon_sym_ascending] = ACTIONS(3913),
    [anon_sym_descending] = ACTIONS(3913),
    [anon_sym_group] = ACTIONS(3913),
    [anon_sym_by] = ACTIONS(3913),
    [anon_sym_select] = ACTIONS(3913),
    [anon_sym_DQUOTE] = ACTIONS(3915),
    [anon_sym_stackalloc] = ACTIONS(3913),
    [anon_sym_sizeof] = ACTIONS(3913),
    [anon_sym_typeof] = ACTIONS(3913),
    [anon_sym___makeref] = ACTIONS(3913),
    [anon_sym___reftype] = ACTIONS(3913),
    [anon_sym___refvalue] = ACTIONS(3913),
    [sym_null_literal] = ACTIONS(3913),
    [anon_sym_SQUOTE] = ACTIONS(3915),
    [sym_integer_literal] = ACTIONS(3913),
    [sym_real_literal] = ACTIONS(3915),
    [sym_verbatim_string_literal] = ACTIONS(3915),
    [aux_sym_preproc_if_token1] = ACTIONS(3915),
    [aux_sym_preproc_if_token3] = ACTIONS(3915),
    [aux_sym_preproc_else_token1] = ACTIONS(3915),
    [aux_sym_preproc_elif_token1] = ACTIONS(3915),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3915),
    [sym_interpolation_verbatim_start] = ACTIONS(3915),
    [sym_interpolation_raw_start] = ACTIONS(3915),
    [sym_raw_string_start] = ACTIONS(3915),
  },
  [2419] = {
    [sym_preproc_region] = STATE(2419),
    [sym_preproc_endregion] = STATE(2419),
    [sym_preproc_line] = STATE(2419),
    [sym_preproc_pragma] = STATE(2419),
    [sym_preproc_nullable] = STATE(2419),
    [sym_preproc_error] = STATE(2419),
    [sym_preproc_define] = STATE(2419),
    [sym_preproc_undef] = STATE(2419),
    [sym__identifier_token] = ACTIONS(3917),
    [anon_sym_extern] = ACTIONS(3917),
    [anon_sym_alias] = ACTIONS(3917),
    [anon_sym_SEMI] = ACTIONS(3919),
    [anon_sym_global] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3917),
    [anon_sym_unsafe] = ACTIONS(3917),
    [anon_sym_static] = ACTIONS(3917),
    [anon_sym_LBRACK] = ACTIONS(3919),
    [anon_sym_LPAREN] = ACTIONS(3919),
    [anon_sym_return] = ACTIONS(3917),
    [anon_sym_namespace] = ACTIONS(3917),
    [anon_sym_class] = ACTIONS(3917),
    [anon_sym_ref] = ACTIONS(3917),
    [anon_sym_struct] = ACTIONS(3917),
    [anon_sym_enum] = ACTIONS(3917),
    [anon_sym_LBRACE] = ACTIONS(3919),
    [anon_sym_interface] = ACTIONS(3917),
    [anon_sym_delegate] = ACTIONS(3917),
    [anon_sym_record] = ACTIONS(3917),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_async] = ACTIONS(3917),
    [anon_sym_const] = ACTIONS(3917),
    [anon_sym_file] = ACTIONS(3917),
    [anon_sym_fixed] = ACTIONS(3917),
    [anon_sym_internal] = ACTIONS(3917),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_override] = ACTIONS(3917),
    [anon_sym_partial] = ACTIONS(3917),
    [anon_sym_private] = ACTIONS(3917),
    [anon_sym_protected] = ACTIONS(3917),
    [anon_sym_public] = ACTIONS(3917),
    [anon_sym_readonly] = ACTIONS(3917),
    [anon_sym_required] = ACTIONS(3917),
    [anon_sym_sealed] = ACTIONS(3917),
    [anon_sym_virtual] = ACTIONS(3917),
    [anon_sym_volatile] = ACTIONS(3917),
    [anon_sym_where] = ACTIONS(3917),
    [anon_sym_notnull] = ACTIONS(3917),
    [anon_sym_unmanaged] = ACTIONS(3917),
    [anon_sym_checked] = ACTIONS(3917),
    [anon_sym_BANG] = ACTIONS(3919),
    [anon_sym_TILDE] = ACTIONS(3919),
    [anon_sym_PLUS_PLUS] = ACTIONS(3919),
    [anon_sym_DASH_DASH] = ACTIONS(3919),
    [anon_sym_true] = ACTIONS(3917),
    [anon_sym_false] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3917),
    [anon_sym_DASH] = ACTIONS(3917),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_CARET] = ACTIONS(3919),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_this] = ACTIONS(3917),
    [anon_sym_scoped] = ACTIONS(3917),
    [anon_sym_base] = ACTIONS(3917),
    [anon_sym_var] = ACTIONS(3917),
    [sym_predefined_type] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(3917),
    [anon_sym_unchecked] = ACTIONS(3917),
    [anon_sym_continue] = ACTIONS(3917),
    [anon_sym_do] = ACTIONS(3917),
    [anon_sym_while] = ACTIONS(3917),
    [anon_sym_for] = ACTIONS(3917),
    [anon_sym_lock] = ACTIONS(3917),
    [anon_sym_yield] = ACTIONS(3917),
    [anon_sym_switch] = ACTIONS(3917),
    [anon_sym_default] = ACTIONS(3917),
    [anon_sym_throw] = ACTIONS(3917),
    [anon_sym_try] = ACTIONS(3917),
    [anon_sym_when] = ACTIONS(3917),
    [anon_sym_await] = ACTIONS(3917),
    [anon_sym_foreach] = ACTIONS(3917),
    [anon_sym_goto] = ACTIONS(3917),
    [anon_sym_if] = ACTIONS(3917),
    [anon_sym_DOT_DOT] = ACTIONS(3919),
    [anon_sym_from] = ACTIONS(3917),
    [anon_sym_into] = ACTIONS(3917),
    [anon_sym_join] = ACTIONS(3917),
    [anon_sym_on] = ACTIONS(3917),
    [anon_sym_equals] = ACTIONS(3917),
    [anon_sym_let] = ACTIONS(3917),
    [anon_sym_orderby] = ACTIONS(3917),
    [anon_sym_ascending] = ACTIONS(3917),
    [anon_sym_descending] = ACTIONS(3917),
    [anon_sym_group] = ACTIONS(3917),
    [anon_sym_by] = ACTIONS(3917),
    [anon_sym_select] = ACTIONS(3917),
    [anon_sym_DQUOTE] = ACTIONS(3919),
    [anon_sym_stackalloc] = ACTIONS(3917),
    [anon_sym_sizeof] = ACTIONS(3917),
    [anon_sym_typeof] = ACTIONS(3917),
    [anon_sym___makeref] = ACTIONS(3917),
    [anon_sym___reftype] = ACTIONS(3917),
    [anon_sym___refvalue] = ACTIONS(3917),
    [sym_null_literal] = ACTIONS(3917),
    [anon_sym_SQUOTE] = ACTIONS(3919),
    [sym_integer_literal] = ACTIONS(3917),
    [sym_real_literal] = ACTIONS(3919),
    [sym_verbatim_string_literal] = ACTIONS(3919),
    [aux_sym_preproc_if_token1] = ACTIONS(3919),
    [aux_sym_preproc_if_token3] = ACTIONS(3919),
    [aux_sym_preproc_else_token1] = ACTIONS(3919),
    [aux_sym_preproc_elif_token1] = ACTIONS(3919),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3919),
    [sym_interpolation_verbatim_start] = ACTIONS(3919),
    [sym_interpolation_raw_start] = ACTIONS(3919),
    [sym_raw_string_start] = ACTIONS(3919),
  },
  [2420] = {
    [sym_preproc_region] = STATE(2420),
    [sym_preproc_endregion] = STATE(2420),
    [sym_preproc_line] = STATE(2420),
    [sym_preproc_pragma] = STATE(2420),
    [sym_preproc_nullable] = STATE(2420),
    [sym_preproc_error] = STATE(2420),
    [sym_preproc_define] = STATE(2420),
    [sym_preproc_undef] = STATE(2420),
    [sym__identifier_token] = ACTIONS(3921),
    [anon_sym_extern] = ACTIONS(3921),
    [anon_sym_alias] = ACTIONS(3921),
    [anon_sym_SEMI] = ACTIONS(3923),
    [anon_sym_global] = ACTIONS(3921),
    [anon_sym_using] = ACTIONS(3921),
    [anon_sym_unsafe] = ACTIONS(3921),
    [anon_sym_static] = ACTIONS(3921),
    [anon_sym_LBRACK] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(3923),
    [anon_sym_return] = ACTIONS(3921),
    [anon_sym_namespace] = ACTIONS(3921),
    [anon_sym_class] = ACTIONS(3921),
    [anon_sym_ref] = ACTIONS(3921),
    [anon_sym_struct] = ACTIONS(3921),
    [anon_sym_enum] = ACTIONS(3921),
    [anon_sym_LBRACE] = ACTIONS(3923),
    [anon_sym_interface] = ACTIONS(3921),
    [anon_sym_delegate] = ACTIONS(3921),
    [anon_sym_record] = ACTIONS(3921),
    [anon_sym_abstract] = ACTIONS(3921),
    [anon_sym_async] = ACTIONS(3921),
    [anon_sym_const] = ACTIONS(3921),
    [anon_sym_file] = ACTIONS(3921),
    [anon_sym_fixed] = ACTIONS(3921),
    [anon_sym_internal] = ACTIONS(3921),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_override] = ACTIONS(3921),
    [anon_sym_partial] = ACTIONS(3921),
    [anon_sym_private] = ACTIONS(3921),
    [anon_sym_protected] = ACTIONS(3921),
    [anon_sym_public] = ACTIONS(3921),
    [anon_sym_readonly] = ACTIONS(3921),
    [anon_sym_required] = ACTIONS(3921),
    [anon_sym_sealed] = ACTIONS(3921),
    [anon_sym_virtual] = ACTIONS(3921),
    [anon_sym_volatile] = ACTIONS(3921),
    [anon_sym_where] = ACTIONS(3921),
    [anon_sym_notnull] = ACTIONS(3921),
    [anon_sym_unmanaged] = ACTIONS(3921),
    [anon_sym_checked] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3923),
    [anon_sym_TILDE] = ACTIONS(3923),
    [anon_sym_PLUS_PLUS] = ACTIONS(3923),
    [anon_sym_DASH_DASH] = ACTIONS(3923),
    [anon_sym_true] = ACTIONS(3921),
    [anon_sym_false] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3921),
    [anon_sym_DASH] = ACTIONS(3921),
    [anon_sym_STAR] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3923),
    [anon_sym_AMP] = ACTIONS(3923),
    [anon_sym_this] = ACTIONS(3921),
    [anon_sym_scoped] = ACTIONS(3921),
    [anon_sym_base] = ACTIONS(3921),
    [anon_sym_var] = ACTIONS(3921),
    [sym_predefined_type] = ACTIONS(3921),
    [anon_sym_break] = ACTIONS(3921),
    [anon_sym_unchecked] = ACTIONS(3921),
    [anon_sym_continue] = ACTIONS(3921),
    [anon_sym_do] = ACTIONS(3921),
    [anon_sym_while] = ACTIONS(3921),
    [anon_sym_for] = ACTIONS(3921),
    [anon_sym_lock] = ACTIONS(3921),
    [anon_sym_yield] = ACTIONS(3921),
    [anon_sym_switch] = ACTIONS(3921),
    [anon_sym_default] = ACTIONS(3921),
    [anon_sym_throw] = ACTIONS(3921),
    [anon_sym_try] = ACTIONS(3921),
    [anon_sym_when] = ACTIONS(3921),
    [anon_sym_await] = ACTIONS(3921),
    [anon_sym_foreach] = ACTIONS(3921),
    [anon_sym_goto] = ACTIONS(3921),
    [anon_sym_if] = ACTIONS(3921),
    [anon_sym_DOT_DOT] = ACTIONS(3923),
    [anon_sym_from] = ACTIONS(3921),
    [anon_sym_into] = ACTIONS(3921),
    [anon_sym_join] = ACTIONS(3921),
    [anon_sym_on] = ACTIONS(3921),
    [anon_sym_equals] = ACTIONS(3921),
    [anon_sym_let] = ACTIONS(3921),
    [anon_sym_orderby] = ACTIONS(3921),
    [anon_sym_ascending] = ACTIONS(3921),
    [anon_sym_descending] = ACTIONS(3921),
    [anon_sym_group] = ACTIONS(3921),
    [anon_sym_by] = ACTIONS(3921),
    [anon_sym_select] = ACTIONS(3921),
    [anon_sym_DQUOTE] = ACTIONS(3923),
    [anon_sym_stackalloc] = ACTIONS(3921),
    [anon_sym_sizeof] = ACTIONS(3921),
    [anon_sym_typeof] = ACTIONS(3921),
    [anon_sym___makeref] = ACTIONS(3921),
    [anon_sym___reftype] = ACTIONS(3921),
    [anon_sym___refvalue] = ACTIONS(3921),
    [sym_null_literal] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3923),
    [sym_integer_literal] = ACTIONS(3921),
    [sym_real_literal] = ACTIONS(3923),
    [sym_verbatim_string_literal] = ACTIONS(3923),
    [aux_sym_preproc_if_token1] = ACTIONS(3923),
    [aux_sym_preproc_if_token3] = ACTIONS(3923),
    [aux_sym_preproc_else_token1] = ACTIONS(3923),
    [aux_sym_preproc_elif_token1] = ACTIONS(3923),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3923),
    [sym_interpolation_verbatim_start] = ACTIONS(3923),
    [sym_interpolation_raw_start] = ACTIONS(3923),
    [sym_raw_string_start] = ACTIONS(3923),
  },
  [2421] = {
    [sym_preproc_region] = STATE(2421),
    [sym_preproc_endregion] = STATE(2421),
    [sym_preproc_line] = STATE(2421),
    [sym_preproc_pragma] = STATE(2421),
    [sym_preproc_nullable] = STATE(2421),
    [sym_preproc_error] = STATE(2421),
    [sym_preproc_define] = STATE(2421),
    [sym_preproc_undef] = STATE(2421),
    [sym__identifier_token] = ACTIONS(3925),
    [anon_sym_extern] = ACTIONS(3925),
    [anon_sym_alias] = ACTIONS(3925),
    [anon_sym_SEMI] = ACTIONS(3927),
    [anon_sym_global] = ACTIONS(3925),
    [anon_sym_using] = ACTIONS(3925),
    [anon_sym_unsafe] = ACTIONS(3925),
    [anon_sym_static] = ACTIONS(3925),
    [anon_sym_LBRACK] = ACTIONS(3927),
    [anon_sym_LPAREN] = ACTIONS(3927),
    [anon_sym_return] = ACTIONS(3925),
    [anon_sym_namespace] = ACTIONS(3925),
    [anon_sym_class] = ACTIONS(3925),
    [anon_sym_ref] = ACTIONS(3925),
    [anon_sym_struct] = ACTIONS(3925),
    [anon_sym_enum] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_interface] = ACTIONS(3925),
    [anon_sym_delegate] = ACTIONS(3925),
    [anon_sym_record] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3925),
    [anon_sym_async] = ACTIONS(3925),
    [anon_sym_const] = ACTIONS(3925),
    [anon_sym_file] = ACTIONS(3925),
    [anon_sym_fixed] = ACTIONS(3925),
    [anon_sym_internal] = ACTIONS(3925),
    [anon_sym_new] = ACTIONS(3925),
    [anon_sym_override] = ACTIONS(3925),
    [anon_sym_partial] = ACTIONS(3925),
    [anon_sym_private] = ACTIONS(3925),
    [anon_sym_protected] = ACTIONS(3925),
    [anon_sym_public] = ACTIONS(3925),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_required] = ACTIONS(3925),
    [anon_sym_sealed] = ACTIONS(3925),
    [anon_sym_virtual] = ACTIONS(3925),
    [anon_sym_volatile] = ACTIONS(3925),
    [anon_sym_where] = ACTIONS(3925),
    [anon_sym_notnull] = ACTIONS(3925),
    [anon_sym_unmanaged] = ACTIONS(3925),
    [anon_sym_checked] = ACTIONS(3925),
    [anon_sym_BANG] = ACTIONS(3927),
    [anon_sym_TILDE] = ACTIONS(3927),
    [anon_sym_PLUS_PLUS] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(3927),
    [anon_sym_true] = ACTIONS(3925),
    [anon_sym_false] = ACTIONS(3925),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_CARET] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(3927),
    [anon_sym_this] = ACTIONS(3925),
    [anon_sym_scoped] = ACTIONS(3925),
    [anon_sym_base] = ACTIONS(3925),
    [anon_sym_var] = ACTIONS(3925),
    [sym_predefined_type] = ACTIONS(3925),
    [anon_sym_break] = ACTIONS(3925),
    [anon_sym_unchecked] = ACTIONS(3925),
    [anon_sym_continue] = ACTIONS(3925),
    [anon_sym_do] = ACTIONS(3925),
    [anon_sym_while] = ACTIONS(3925),
    [anon_sym_for] = ACTIONS(3925),
    [anon_sym_lock] = ACTIONS(3925),
    [anon_sym_yield] = ACTIONS(3925),
    [anon_sym_switch] = ACTIONS(3925),
    [anon_sym_default] = ACTIONS(3925),
    [anon_sym_throw] = ACTIONS(3925),
    [anon_sym_try] = ACTIONS(3925),
    [anon_sym_when] = ACTIONS(3925),
    [anon_sym_await] = ACTIONS(3925),
    [anon_sym_foreach] = ACTIONS(3925),
    [anon_sym_goto] = ACTIONS(3925),
    [anon_sym_if] = ACTIONS(3925),
    [anon_sym_DOT_DOT] = ACTIONS(3927),
    [anon_sym_from] = ACTIONS(3925),
    [anon_sym_into] = ACTIONS(3925),
    [anon_sym_join] = ACTIONS(3925),
    [anon_sym_on] = ACTIONS(3925),
    [anon_sym_equals] = ACTIONS(3925),
    [anon_sym_let] = ACTIONS(3925),
    [anon_sym_orderby] = ACTIONS(3925),
    [anon_sym_ascending] = ACTIONS(3925),
    [anon_sym_descending] = ACTIONS(3925),
    [anon_sym_group] = ACTIONS(3925),
    [anon_sym_by] = ACTIONS(3925),
    [anon_sym_select] = ACTIONS(3925),
    [anon_sym_DQUOTE] = ACTIONS(3927),
    [anon_sym_stackalloc] = ACTIONS(3925),
    [anon_sym_sizeof] = ACTIONS(3925),
    [anon_sym_typeof] = ACTIONS(3925),
    [anon_sym___makeref] = ACTIONS(3925),
    [anon_sym___reftype] = ACTIONS(3925),
    [anon_sym___refvalue] = ACTIONS(3925),
    [sym_null_literal] = ACTIONS(3925),
    [anon_sym_SQUOTE] = ACTIONS(3927),
    [sym_integer_literal] = ACTIONS(3925),
    [sym_real_literal] = ACTIONS(3927),
    [sym_verbatim_string_literal] = ACTIONS(3927),
    [aux_sym_preproc_if_token1] = ACTIONS(3927),
    [aux_sym_preproc_if_token3] = ACTIONS(3927),
    [aux_sym_preproc_else_token1] = ACTIONS(3927),
    [aux_sym_preproc_elif_token1] = ACTIONS(3927),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3927),
    [sym_interpolation_verbatim_start] = ACTIONS(3927),
    [sym_interpolation_raw_start] = ACTIONS(3927),
    [sym_raw_string_start] = ACTIONS(3927),
  },
  [2422] = {
    [sym_preproc_region] = STATE(2422),
    [sym_preproc_endregion] = STATE(2422),
    [sym_preproc_line] = STATE(2422),
    [sym_preproc_pragma] = STATE(2422),
    [sym_preproc_nullable] = STATE(2422),
    [sym_preproc_error] = STATE(2422),
    [sym_preproc_define] = STATE(2422),
    [sym_preproc_undef] = STATE(2422),
    [sym__identifier_token] = ACTIONS(3929),
    [anon_sym_extern] = ACTIONS(3929),
    [anon_sym_alias] = ACTIONS(3929),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_global] = ACTIONS(3929),
    [anon_sym_using] = ACTIONS(3929),
    [anon_sym_unsafe] = ACTIONS(3929),
    [anon_sym_static] = ACTIONS(3929),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_return] = ACTIONS(3929),
    [anon_sym_namespace] = ACTIONS(3929),
    [anon_sym_class] = ACTIONS(3929),
    [anon_sym_ref] = ACTIONS(3929),
    [anon_sym_struct] = ACTIONS(3929),
    [anon_sym_enum] = ACTIONS(3929),
    [anon_sym_LBRACE] = ACTIONS(3931),
    [anon_sym_interface] = ACTIONS(3929),
    [anon_sym_delegate] = ACTIONS(3929),
    [anon_sym_record] = ACTIONS(3929),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_async] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3929),
    [anon_sym_file] = ACTIONS(3929),
    [anon_sym_fixed] = ACTIONS(3929),
    [anon_sym_internal] = ACTIONS(3929),
    [anon_sym_new] = ACTIONS(3929),
    [anon_sym_override] = ACTIONS(3929),
    [anon_sym_partial] = ACTIONS(3929),
    [anon_sym_private] = ACTIONS(3929),
    [anon_sym_protected] = ACTIONS(3929),
    [anon_sym_public] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3929),
    [anon_sym_required] = ACTIONS(3929),
    [anon_sym_sealed] = ACTIONS(3929),
    [anon_sym_virtual] = ACTIONS(3929),
    [anon_sym_volatile] = ACTIONS(3929),
    [anon_sym_where] = ACTIONS(3929),
    [anon_sym_notnull] = ACTIONS(3929),
    [anon_sym_unmanaged] = ACTIONS(3929),
    [anon_sym_checked] = ACTIONS(3929),
    [anon_sym_BANG] = ACTIONS(3931),
    [anon_sym_TILDE] = ACTIONS(3931),
    [anon_sym_PLUS_PLUS] = ACTIONS(3931),
    [anon_sym_DASH_DASH] = ACTIONS(3931),
    [anon_sym_true] = ACTIONS(3929),
    [anon_sym_false] = ACTIONS(3929),
    [anon_sym_PLUS] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3929),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_CARET] = ACTIONS(3931),
    [anon_sym_AMP] = ACTIONS(3931),
    [anon_sym_this] = ACTIONS(3929),
    [anon_sym_scoped] = ACTIONS(3929),
    [anon_sym_base] = ACTIONS(3929),
    [anon_sym_var] = ACTIONS(3929),
    [sym_predefined_type] = ACTIONS(3929),
    [anon_sym_break] = ACTIONS(3929),
    [anon_sym_unchecked] = ACTIONS(3929),
    [anon_sym_continue] = ACTIONS(3929),
    [anon_sym_do] = ACTIONS(3929),
    [anon_sym_while] = ACTIONS(3929),
    [anon_sym_for] = ACTIONS(3929),
    [anon_sym_lock] = ACTIONS(3929),
    [anon_sym_yield] = ACTIONS(3929),
    [anon_sym_switch] = ACTIONS(3929),
    [anon_sym_default] = ACTIONS(3929),
    [anon_sym_throw] = ACTIONS(3929),
    [anon_sym_try] = ACTIONS(3929),
    [anon_sym_when] = ACTIONS(3929),
    [anon_sym_await] = ACTIONS(3929),
    [anon_sym_foreach] = ACTIONS(3929),
    [anon_sym_goto] = ACTIONS(3929),
    [anon_sym_if] = ACTIONS(3929),
    [anon_sym_DOT_DOT] = ACTIONS(3931),
    [anon_sym_from] = ACTIONS(3929),
    [anon_sym_into] = ACTIONS(3929),
    [anon_sym_join] = ACTIONS(3929),
    [anon_sym_on] = ACTIONS(3929),
    [anon_sym_equals] = ACTIONS(3929),
    [anon_sym_let] = ACTIONS(3929),
    [anon_sym_orderby] = ACTIONS(3929),
    [anon_sym_ascending] = ACTIONS(3929),
    [anon_sym_descending] = ACTIONS(3929),
    [anon_sym_group] = ACTIONS(3929),
    [anon_sym_by] = ACTIONS(3929),
    [anon_sym_select] = ACTIONS(3929),
    [anon_sym_DQUOTE] = ACTIONS(3931),
    [anon_sym_stackalloc] = ACTIONS(3929),
    [anon_sym_sizeof] = ACTIONS(3929),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym___makeref] = ACTIONS(3929),
    [anon_sym___reftype] = ACTIONS(3929),
    [anon_sym___refvalue] = ACTIONS(3929),
    [sym_null_literal] = ACTIONS(3929),
    [anon_sym_SQUOTE] = ACTIONS(3931),
    [sym_integer_literal] = ACTIONS(3929),
    [sym_real_literal] = ACTIONS(3931),
    [sym_verbatim_string_literal] = ACTIONS(3931),
    [aux_sym_preproc_if_token1] = ACTIONS(3931),
    [aux_sym_preproc_if_token3] = ACTIONS(3931),
    [aux_sym_preproc_else_token1] = ACTIONS(3931),
    [aux_sym_preproc_elif_token1] = ACTIONS(3931),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3931),
    [sym_interpolation_verbatim_start] = ACTIONS(3931),
    [sym_interpolation_raw_start] = ACTIONS(3931),
    [sym_raw_string_start] = ACTIONS(3931),
  },
  [2423] = {
    [sym_preproc_region] = STATE(2423),
    [sym_preproc_endregion] = STATE(2423),
    [sym_preproc_line] = STATE(2423),
    [sym_preproc_pragma] = STATE(2423),
    [sym_preproc_nullable] = STATE(2423),
    [sym_preproc_error] = STATE(2423),
    [sym_preproc_define] = STATE(2423),
    [sym_preproc_undef] = STATE(2423),
    [sym__identifier_token] = ACTIONS(3933),
    [anon_sym_extern] = ACTIONS(3933),
    [anon_sym_alias] = ACTIONS(3933),
    [anon_sym_SEMI] = ACTIONS(3935),
    [anon_sym_global] = ACTIONS(3933),
    [anon_sym_using] = ACTIONS(3933),
    [anon_sym_unsafe] = ACTIONS(3933),
    [anon_sym_static] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3935),
    [anon_sym_return] = ACTIONS(3933),
    [anon_sym_namespace] = ACTIONS(3933),
    [anon_sym_class] = ACTIONS(3933),
    [anon_sym_ref] = ACTIONS(3933),
    [anon_sym_struct] = ACTIONS(3933),
    [anon_sym_enum] = ACTIONS(3933),
    [anon_sym_LBRACE] = ACTIONS(3935),
    [anon_sym_interface] = ACTIONS(3933),
    [anon_sym_delegate] = ACTIONS(3933),
    [anon_sym_record] = ACTIONS(3933),
    [anon_sym_abstract] = ACTIONS(3933),
    [anon_sym_async] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3933),
    [anon_sym_file] = ACTIONS(3933),
    [anon_sym_fixed] = ACTIONS(3933),
    [anon_sym_internal] = ACTIONS(3933),
    [anon_sym_new] = ACTIONS(3933),
    [anon_sym_override] = ACTIONS(3933),
    [anon_sym_partial] = ACTIONS(3933),
    [anon_sym_private] = ACTIONS(3933),
    [anon_sym_protected] = ACTIONS(3933),
    [anon_sym_public] = ACTIONS(3933),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_required] = ACTIONS(3933),
    [anon_sym_sealed] = ACTIONS(3933),
    [anon_sym_virtual] = ACTIONS(3933),
    [anon_sym_volatile] = ACTIONS(3933),
    [anon_sym_where] = ACTIONS(3933),
    [anon_sym_notnull] = ACTIONS(3933),
    [anon_sym_unmanaged] = ACTIONS(3933),
    [anon_sym_checked] = ACTIONS(3933),
    [anon_sym_BANG] = ACTIONS(3935),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_PLUS_PLUS] = ACTIONS(3935),
    [anon_sym_DASH_DASH] = ACTIONS(3935),
    [anon_sym_true] = ACTIONS(3933),
    [anon_sym_false] = ACTIONS(3933),
    [anon_sym_PLUS] = ACTIONS(3933),
    [anon_sym_DASH] = ACTIONS(3933),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_CARET] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(3935),
    [anon_sym_this] = ACTIONS(3933),
    [anon_sym_scoped] = ACTIONS(3933),
    [anon_sym_base] = ACTIONS(3933),
    [anon_sym_var] = ACTIONS(3933),
    [sym_predefined_type] = ACTIONS(3933),
    [anon_sym_break] = ACTIONS(3933),
    [anon_sym_unchecked] = ACTIONS(3933),
    [anon_sym_continue] = ACTIONS(3933),
    [anon_sym_do] = ACTIONS(3933),
    [anon_sym_while] = ACTIONS(3933),
    [anon_sym_for] = ACTIONS(3933),
    [anon_sym_lock] = ACTIONS(3933),
    [anon_sym_yield] = ACTIONS(3933),
    [anon_sym_switch] = ACTIONS(3933),
    [anon_sym_default] = ACTIONS(3933),
    [anon_sym_throw] = ACTIONS(3933),
    [anon_sym_try] = ACTIONS(3933),
    [anon_sym_when] = ACTIONS(3933),
    [anon_sym_await] = ACTIONS(3933),
    [anon_sym_foreach] = ACTIONS(3933),
    [anon_sym_goto] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3933),
    [anon_sym_DOT_DOT] = ACTIONS(3935),
    [anon_sym_from] = ACTIONS(3933),
    [anon_sym_into] = ACTIONS(3933),
    [anon_sym_join] = ACTIONS(3933),
    [anon_sym_on] = ACTIONS(3933),
    [anon_sym_equals] = ACTIONS(3933),
    [anon_sym_let] = ACTIONS(3933),
    [anon_sym_orderby] = ACTIONS(3933),
    [anon_sym_ascending] = ACTIONS(3933),
    [anon_sym_descending] = ACTIONS(3933),
    [anon_sym_group] = ACTIONS(3933),
    [anon_sym_by] = ACTIONS(3933),
    [anon_sym_select] = ACTIONS(3933),
    [anon_sym_DQUOTE] = ACTIONS(3935),
    [anon_sym_stackalloc] = ACTIONS(3933),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym_typeof] = ACTIONS(3933),
    [anon_sym___makeref] = ACTIONS(3933),
    [anon_sym___reftype] = ACTIONS(3933),
    [anon_sym___refvalue] = ACTIONS(3933),
    [sym_null_literal] = ACTIONS(3933),
    [anon_sym_SQUOTE] = ACTIONS(3935),
    [sym_integer_literal] = ACTIONS(3933),
    [sym_real_literal] = ACTIONS(3935),
    [sym_verbatim_string_literal] = ACTIONS(3935),
    [aux_sym_preproc_if_token1] = ACTIONS(3935),
    [aux_sym_preproc_if_token3] = ACTIONS(3935),
    [aux_sym_preproc_else_token1] = ACTIONS(3935),
    [aux_sym_preproc_elif_token1] = ACTIONS(3935),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3935),
    [sym_interpolation_verbatim_start] = ACTIONS(3935),
    [sym_interpolation_raw_start] = ACTIONS(3935),
    [sym_raw_string_start] = ACTIONS(3935),
  },
  [2424] = {
    [sym_preproc_region] = STATE(2424),
    [sym_preproc_endregion] = STATE(2424),
    [sym_preproc_line] = STATE(2424),
    [sym_preproc_pragma] = STATE(2424),
    [sym_preproc_nullable] = STATE(2424),
    [sym_preproc_error] = STATE(2424),
    [sym_preproc_define] = STATE(2424),
    [sym_preproc_undef] = STATE(2424),
    [sym__identifier_token] = ACTIONS(3937),
    [anon_sym_extern] = ACTIONS(3937),
    [anon_sym_alias] = ACTIONS(3937),
    [anon_sym_SEMI] = ACTIONS(3939),
    [anon_sym_global] = ACTIONS(3937),
    [anon_sym_using] = ACTIONS(3937),
    [anon_sym_unsafe] = ACTIONS(3937),
    [anon_sym_static] = ACTIONS(3937),
    [anon_sym_LBRACK] = ACTIONS(3939),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_return] = ACTIONS(3937),
    [anon_sym_namespace] = ACTIONS(3937),
    [anon_sym_class] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3937),
    [anon_sym_struct] = ACTIONS(3937),
    [anon_sym_enum] = ACTIONS(3937),
    [anon_sym_LBRACE] = ACTIONS(3939),
    [anon_sym_interface] = ACTIONS(3937),
    [anon_sym_delegate] = ACTIONS(3937),
    [anon_sym_record] = ACTIONS(3937),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_async] = ACTIONS(3937),
    [anon_sym_const] = ACTIONS(3937),
    [anon_sym_file] = ACTIONS(3937),
    [anon_sym_fixed] = ACTIONS(3937),
    [anon_sym_internal] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_override] = ACTIONS(3937),
    [anon_sym_partial] = ACTIONS(3937),
    [anon_sym_private] = ACTIONS(3937),
    [anon_sym_protected] = ACTIONS(3937),
    [anon_sym_public] = ACTIONS(3937),
    [anon_sym_readonly] = ACTIONS(3937),
    [anon_sym_required] = ACTIONS(3937),
    [anon_sym_sealed] = ACTIONS(3937),
    [anon_sym_virtual] = ACTIONS(3937),
    [anon_sym_volatile] = ACTIONS(3937),
    [anon_sym_where] = ACTIONS(3937),
    [anon_sym_notnull] = ACTIONS(3937),
    [anon_sym_unmanaged] = ACTIONS(3937),
    [anon_sym_checked] = ACTIONS(3937),
    [anon_sym_BANG] = ACTIONS(3939),
    [anon_sym_TILDE] = ACTIONS(3939),
    [anon_sym_PLUS_PLUS] = ACTIONS(3939),
    [anon_sym_DASH_DASH] = ACTIONS(3939),
    [anon_sym_true] = ACTIONS(3937),
    [anon_sym_false] = ACTIONS(3937),
    [anon_sym_PLUS] = ACTIONS(3937),
    [anon_sym_DASH] = ACTIONS(3937),
    [anon_sym_STAR] = ACTIONS(3939),
    [anon_sym_CARET] = ACTIONS(3939),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3937),
    [anon_sym_scoped] = ACTIONS(3937),
    [anon_sym_base] = ACTIONS(3937),
    [anon_sym_var] = ACTIONS(3937),
    [sym_predefined_type] = ACTIONS(3937),
    [anon_sym_break] = ACTIONS(3937),
    [anon_sym_unchecked] = ACTIONS(3937),
    [anon_sym_continue] = ACTIONS(3937),
    [anon_sym_do] = ACTIONS(3937),
    [anon_sym_while] = ACTIONS(3937),
    [anon_sym_for] = ACTIONS(3937),
    [anon_sym_lock] = ACTIONS(3937),
    [anon_sym_yield] = ACTIONS(3937),
    [anon_sym_switch] = ACTIONS(3937),
    [anon_sym_default] = ACTIONS(3937),
    [anon_sym_throw] = ACTIONS(3937),
    [anon_sym_try] = ACTIONS(3937),
    [anon_sym_when] = ACTIONS(3937),
    [anon_sym_await] = ACTIONS(3937),
    [anon_sym_foreach] = ACTIONS(3937),
    [anon_sym_goto] = ACTIONS(3937),
    [anon_sym_if] = ACTIONS(3937),
    [anon_sym_DOT_DOT] = ACTIONS(3939),
    [anon_sym_from] = ACTIONS(3937),
    [anon_sym_into] = ACTIONS(3937),
    [anon_sym_join] = ACTIONS(3937),
    [anon_sym_on] = ACTIONS(3937),
    [anon_sym_equals] = ACTIONS(3937),
    [anon_sym_let] = ACTIONS(3937),
    [anon_sym_orderby] = ACTIONS(3937),
    [anon_sym_ascending] = ACTIONS(3937),
    [anon_sym_descending] = ACTIONS(3937),
    [anon_sym_group] = ACTIONS(3937),
    [anon_sym_by] = ACTIONS(3937),
    [anon_sym_select] = ACTIONS(3937),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [anon_sym_stackalloc] = ACTIONS(3937),
    [anon_sym_sizeof] = ACTIONS(3937),
    [anon_sym_typeof] = ACTIONS(3937),
    [anon_sym___makeref] = ACTIONS(3937),
    [anon_sym___reftype] = ACTIONS(3937),
    [anon_sym___refvalue] = ACTIONS(3937),
    [sym_null_literal] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3939),
    [sym_integer_literal] = ACTIONS(3937),
    [sym_real_literal] = ACTIONS(3939),
    [sym_verbatim_string_literal] = ACTIONS(3939),
    [aux_sym_preproc_if_token1] = ACTIONS(3939),
    [aux_sym_preproc_if_token3] = ACTIONS(3939),
    [aux_sym_preproc_else_token1] = ACTIONS(3939),
    [aux_sym_preproc_elif_token1] = ACTIONS(3939),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3939),
    [sym_interpolation_verbatim_start] = ACTIONS(3939),
    [sym_interpolation_raw_start] = ACTIONS(3939),
    [sym_raw_string_start] = ACTIONS(3939),
  },
  [2425] = {
    [sym_preproc_region] = STATE(2425),
    [sym_preproc_endregion] = STATE(2425),
    [sym_preproc_line] = STATE(2425),
    [sym_preproc_pragma] = STATE(2425),
    [sym_preproc_nullable] = STATE(2425),
    [sym_preproc_error] = STATE(2425),
    [sym_preproc_define] = STATE(2425),
    [sym_preproc_undef] = STATE(2425),
    [sym__identifier_token] = ACTIONS(3941),
    [anon_sym_extern] = ACTIONS(3941),
    [anon_sym_alias] = ACTIONS(3941),
    [anon_sym_SEMI] = ACTIONS(3943),
    [anon_sym_global] = ACTIONS(3941),
    [anon_sym_using] = ACTIONS(3941),
    [anon_sym_unsafe] = ACTIONS(3941),
    [anon_sym_static] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_LPAREN] = ACTIONS(3943),
    [anon_sym_return] = ACTIONS(3941),
    [anon_sym_namespace] = ACTIONS(3941),
    [anon_sym_class] = ACTIONS(3941),
    [anon_sym_ref] = ACTIONS(3941),
    [anon_sym_struct] = ACTIONS(3941),
    [anon_sym_enum] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_interface] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(3941),
    [anon_sym_record] = ACTIONS(3941),
    [anon_sym_abstract] = ACTIONS(3941),
    [anon_sym_async] = ACTIONS(3941),
    [anon_sym_const] = ACTIONS(3941),
    [anon_sym_file] = ACTIONS(3941),
    [anon_sym_fixed] = ACTIONS(3941),
    [anon_sym_internal] = ACTIONS(3941),
    [anon_sym_new] = ACTIONS(3941),
    [anon_sym_override] = ACTIONS(3941),
    [anon_sym_partial] = ACTIONS(3941),
    [anon_sym_private] = ACTIONS(3941),
    [anon_sym_protected] = ACTIONS(3941),
    [anon_sym_public] = ACTIONS(3941),
    [anon_sym_readonly] = ACTIONS(3941),
    [anon_sym_required] = ACTIONS(3941),
    [anon_sym_sealed] = ACTIONS(3941),
    [anon_sym_virtual] = ACTIONS(3941),
    [anon_sym_volatile] = ACTIONS(3941),
    [anon_sym_where] = ACTIONS(3941),
    [anon_sym_notnull] = ACTIONS(3941),
    [anon_sym_unmanaged] = ACTIONS(3941),
    [anon_sym_checked] = ACTIONS(3941),
    [anon_sym_BANG] = ACTIONS(3943),
    [anon_sym_TILDE] = ACTIONS(3943),
    [anon_sym_PLUS_PLUS] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3943),
    [anon_sym_true] = ACTIONS(3941),
    [anon_sym_false] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(3943),
    [anon_sym_CARET] = ACTIONS(3943),
    [anon_sym_AMP] = ACTIONS(3943),
    [anon_sym_this] = ACTIONS(3941),
    [anon_sym_scoped] = ACTIONS(3941),
    [anon_sym_base] = ACTIONS(3941),
    [anon_sym_var] = ACTIONS(3941),
    [sym_predefined_type] = ACTIONS(3941),
    [anon_sym_break] = ACTIONS(3941),
    [anon_sym_unchecked] = ACTIONS(3941),
    [anon_sym_continue] = ACTIONS(3941),
    [anon_sym_do] = ACTIONS(3941),
    [anon_sym_while] = ACTIONS(3941),
    [anon_sym_for] = ACTIONS(3941),
    [anon_sym_lock] = ACTIONS(3941),
    [anon_sym_yield] = ACTIONS(3941),
    [anon_sym_switch] = ACTIONS(3941),
    [anon_sym_default] = ACTIONS(3941),
    [anon_sym_throw] = ACTIONS(3941),
    [anon_sym_try] = ACTIONS(3941),
    [anon_sym_when] = ACTIONS(3941),
    [anon_sym_await] = ACTIONS(3941),
    [anon_sym_foreach] = ACTIONS(3941),
    [anon_sym_goto] = ACTIONS(3941),
    [anon_sym_if] = ACTIONS(3941),
    [anon_sym_DOT_DOT] = ACTIONS(3943),
    [anon_sym_from] = ACTIONS(3941),
    [anon_sym_into] = ACTIONS(3941),
    [anon_sym_join] = ACTIONS(3941),
    [anon_sym_on] = ACTIONS(3941),
    [anon_sym_equals] = ACTIONS(3941),
    [anon_sym_let] = ACTIONS(3941),
    [anon_sym_orderby] = ACTIONS(3941),
    [anon_sym_ascending] = ACTIONS(3941),
    [anon_sym_descending] = ACTIONS(3941),
    [anon_sym_group] = ACTIONS(3941),
    [anon_sym_by] = ACTIONS(3941),
    [anon_sym_select] = ACTIONS(3941),
    [anon_sym_DQUOTE] = ACTIONS(3943),
    [anon_sym_stackalloc] = ACTIONS(3941),
    [anon_sym_sizeof] = ACTIONS(3941),
    [anon_sym_typeof] = ACTIONS(3941),
    [anon_sym___makeref] = ACTIONS(3941),
    [anon_sym___reftype] = ACTIONS(3941),
    [anon_sym___refvalue] = ACTIONS(3941),
    [sym_null_literal] = ACTIONS(3941),
    [anon_sym_SQUOTE] = ACTIONS(3943),
    [sym_integer_literal] = ACTIONS(3941),
    [sym_real_literal] = ACTIONS(3943),
    [sym_verbatim_string_literal] = ACTIONS(3943),
    [aux_sym_preproc_if_token1] = ACTIONS(3943),
    [aux_sym_preproc_if_token3] = ACTIONS(3943),
    [aux_sym_preproc_else_token1] = ACTIONS(3943),
    [aux_sym_preproc_elif_token1] = ACTIONS(3943),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3943),
    [sym_interpolation_verbatim_start] = ACTIONS(3943),
    [sym_interpolation_raw_start] = ACTIONS(3943),
    [sym_raw_string_start] = ACTIONS(3943),
  },
  [2426] = {
    [sym_preproc_region] = STATE(2426),
    [sym_preproc_endregion] = STATE(2426),
    [sym_preproc_line] = STATE(2426),
    [sym_preproc_pragma] = STATE(2426),
    [sym_preproc_nullable] = STATE(2426),
    [sym_preproc_error] = STATE(2426),
    [sym_preproc_define] = STATE(2426),
    [sym_preproc_undef] = STATE(2426),
    [sym__identifier_token] = ACTIONS(3945),
    [anon_sym_extern] = ACTIONS(3945),
    [anon_sym_alias] = ACTIONS(3945),
    [anon_sym_SEMI] = ACTIONS(3947),
    [anon_sym_global] = ACTIONS(3945),
    [anon_sym_using] = ACTIONS(3945),
    [anon_sym_unsafe] = ACTIONS(3945),
    [anon_sym_static] = ACTIONS(3945),
    [anon_sym_LBRACK] = ACTIONS(3947),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_return] = ACTIONS(3945),
    [anon_sym_namespace] = ACTIONS(3945),
    [anon_sym_class] = ACTIONS(3945),
    [anon_sym_ref] = ACTIONS(3945),
    [anon_sym_struct] = ACTIONS(3945),
    [anon_sym_enum] = ACTIONS(3945),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_interface] = ACTIONS(3945),
    [anon_sym_delegate] = ACTIONS(3945),
    [anon_sym_record] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3945),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3945),
    [anon_sym_file] = ACTIONS(3945),
    [anon_sym_fixed] = ACTIONS(3945),
    [anon_sym_internal] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_override] = ACTIONS(3945),
    [anon_sym_partial] = ACTIONS(3945),
    [anon_sym_private] = ACTIONS(3945),
    [anon_sym_protected] = ACTIONS(3945),
    [anon_sym_public] = ACTIONS(3945),
    [anon_sym_readonly] = ACTIONS(3945),
    [anon_sym_required] = ACTIONS(3945),
    [anon_sym_sealed] = ACTIONS(3945),
    [anon_sym_virtual] = ACTIONS(3945),
    [anon_sym_volatile] = ACTIONS(3945),
    [anon_sym_where] = ACTIONS(3945),
    [anon_sym_notnull] = ACTIONS(3945),
    [anon_sym_unmanaged] = ACTIONS(3945),
    [anon_sym_checked] = ACTIONS(3945),
    [anon_sym_BANG] = ACTIONS(3947),
    [anon_sym_TILDE] = ACTIONS(3947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3947),
    [anon_sym_DASH_DASH] = ACTIONS(3947),
    [anon_sym_true] = ACTIONS(3945),
    [anon_sym_false] = ACTIONS(3945),
    [anon_sym_PLUS] = ACTIONS(3945),
    [anon_sym_DASH] = ACTIONS(3945),
    [anon_sym_STAR] = ACTIONS(3947),
    [anon_sym_CARET] = ACTIONS(3947),
    [anon_sym_AMP] = ACTIONS(3947),
    [anon_sym_this] = ACTIONS(3945),
    [anon_sym_scoped] = ACTIONS(3945),
    [anon_sym_base] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(3945),
    [sym_predefined_type] = ACTIONS(3945),
    [anon_sym_break] = ACTIONS(3945),
    [anon_sym_unchecked] = ACTIONS(3945),
    [anon_sym_continue] = ACTIONS(3945),
    [anon_sym_do] = ACTIONS(3945),
    [anon_sym_while] = ACTIONS(3945),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_lock] = ACTIONS(3945),
    [anon_sym_yield] = ACTIONS(3945),
    [anon_sym_switch] = ACTIONS(3945),
    [anon_sym_default] = ACTIONS(3945),
    [anon_sym_throw] = ACTIONS(3945),
    [anon_sym_try] = ACTIONS(3945),
    [anon_sym_when] = ACTIONS(3945),
    [anon_sym_await] = ACTIONS(3945),
    [anon_sym_foreach] = ACTIONS(3945),
    [anon_sym_goto] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_DOT_DOT] = ACTIONS(3947),
    [anon_sym_from] = ACTIONS(3945),
    [anon_sym_into] = ACTIONS(3945),
    [anon_sym_join] = ACTIONS(3945),
    [anon_sym_on] = ACTIONS(3945),
    [anon_sym_equals] = ACTIONS(3945),
    [anon_sym_let] = ACTIONS(3945),
    [anon_sym_orderby] = ACTIONS(3945),
    [anon_sym_ascending] = ACTIONS(3945),
    [anon_sym_descending] = ACTIONS(3945),
    [anon_sym_group] = ACTIONS(3945),
    [anon_sym_by] = ACTIONS(3945),
    [anon_sym_select] = ACTIONS(3945),
    [anon_sym_DQUOTE] = ACTIONS(3947),
    [anon_sym_stackalloc] = ACTIONS(3945),
    [anon_sym_sizeof] = ACTIONS(3945),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym___makeref] = ACTIONS(3945),
    [anon_sym___reftype] = ACTIONS(3945),
    [anon_sym___refvalue] = ACTIONS(3945),
    [sym_null_literal] = ACTIONS(3945),
    [anon_sym_SQUOTE] = ACTIONS(3947),
    [sym_integer_literal] = ACTIONS(3945),
    [sym_real_literal] = ACTIONS(3947),
    [sym_verbatim_string_literal] = ACTIONS(3947),
    [aux_sym_preproc_if_token1] = ACTIONS(3947),
    [aux_sym_preproc_if_token3] = ACTIONS(3947),
    [aux_sym_preproc_else_token1] = ACTIONS(3947),
    [aux_sym_preproc_elif_token1] = ACTIONS(3947),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3947),
    [sym_interpolation_verbatim_start] = ACTIONS(3947),
    [sym_interpolation_raw_start] = ACTIONS(3947),
    [sym_raw_string_start] = ACTIONS(3947),
  },
  [2427] = {
    [sym_preproc_region] = STATE(2427),
    [sym_preproc_endregion] = STATE(2427),
    [sym_preproc_line] = STATE(2427),
    [sym_preproc_pragma] = STATE(2427),
    [sym_preproc_nullable] = STATE(2427),
    [sym_preproc_error] = STATE(2427),
    [sym_preproc_define] = STATE(2427),
    [sym_preproc_undef] = STATE(2427),
    [sym__identifier_token] = ACTIONS(3949),
    [anon_sym_extern] = ACTIONS(3949),
    [anon_sym_alias] = ACTIONS(3949),
    [anon_sym_SEMI] = ACTIONS(3951),
    [anon_sym_global] = ACTIONS(3949),
    [anon_sym_using] = ACTIONS(3949),
    [anon_sym_unsafe] = ACTIONS(3949),
    [anon_sym_static] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3951),
    [anon_sym_LPAREN] = ACTIONS(3951),
    [anon_sym_return] = ACTIONS(3949),
    [anon_sym_namespace] = ACTIONS(3949),
    [anon_sym_class] = ACTIONS(3949),
    [anon_sym_ref] = ACTIONS(3949),
    [anon_sym_struct] = ACTIONS(3949),
    [anon_sym_enum] = ACTIONS(3949),
    [anon_sym_LBRACE] = ACTIONS(3951),
    [anon_sym_interface] = ACTIONS(3949),
    [anon_sym_delegate] = ACTIONS(3949),
    [anon_sym_record] = ACTIONS(3949),
    [anon_sym_abstract] = ACTIONS(3949),
    [anon_sym_async] = ACTIONS(3949),
    [anon_sym_const] = ACTIONS(3949),
    [anon_sym_file] = ACTIONS(3949),
    [anon_sym_fixed] = ACTIONS(3949),
    [anon_sym_internal] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3949),
    [anon_sym_override] = ACTIONS(3949),
    [anon_sym_partial] = ACTIONS(3949),
    [anon_sym_private] = ACTIONS(3949),
    [anon_sym_protected] = ACTIONS(3949),
    [anon_sym_public] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3949),
    [anon_sym_required] = ACTIONS(3949),
    [anon_sym_sealed] = ACTIONS(3949),
    [anon_sym_virtual] = ACTIONS(3949),
    [anon_sym_volatile] = ACTIONS(3949),
    [anon_sym_where] = ACTIONS(3949),
    [anon_sym_notnull] = ACTIONS(3949),
    [anon_sym_unmanaged] = ACTIONS(3949),
    [anon_sym_checked] = ACTIONS(3949),
    [anon_sym_BANG] = ACTIONS(3951),
    [anon_sym_TILDE] = ACTIONS(3951),
    [anon_sym_PLUS_PLUS] = ACTIONS(3951),
    [anon_sym_DASH_DASH] = ACTIONS(3951),
    [anon_sym_true] = ACTIONS(3949),
    [anon_sym_false] = ACTIONS(3949),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3951),
    [anon_sym_this] = ACTIONS(3949),
    [anon_sym_scoped] = ACTIONS(3949),
    [anon_sym_base] = ACTIONS(3949),
    [anon_sym_var] = ACTIONS(3949),
    [sym_predefined_type] = ACTIONS(3949),
    [anon_sym_break] = ACTIONS(3949),
    [anon_sym_unchecked] = ACTIONS(3949),
    [anon_sym_continue] = ACTIONS(3949),
    [anon_sym_do] = ACTIONS(3949),
    [anon_sym_while] = ACTIONS(3949),
    [anon_sym_for] = ACTIONS(3949),
    [anon_sym_lock] = ACTIONS(3949),
    [anon_sym_yield] = ACTIONS(3949),
    [anon_sym_switch] = ACTIONS(3949),
    [anon_sym_default] = ACTIONS(3949),
    [anon_sym_throw] = ACTIONS(3949),
    [anon_sym_try] = ACTIONS(3949),
    [anon_sym_when] = ACTIONS(3949),
    [anon_sym_await] = ACTIONS(3949),
    [anon_sym_foreach] = ACTIONS(3949),
    [anon_sym_goto] = ACTIONS(3949),
    [anon_sym_if] = ACTIONS(3949),
    [anon_sym_DOT_DOT] = ACTIONS(3951),
    [anon_sym_from] = ACTIONS(3949),
    [anon_sym_into] = ACTIONS(3949),
    [anon_sym_join] = ACTIONS(3949),
    [anon_sym_on] = ACTIONS(3949),
    [anon_sym_equals] = ACTIONS(3949),
    [anon_sym_let] = ACTIONS(3949),
    [anon_sym_orderby] = ACTIONS(3949),
    [anon_sym_ascending] = ACTIONS(3949),
    [anon_sym_descending] = ACTIONS(3949),
    [anon_sym_group] = ACTIONS(3949),
    [anon_sym_by] = ACTIONS(3949),
    [anon_sym_select] = ACTIONS(3949),
    [anon_sym_DQUOTE] = ACTIONS(3951),
    [anon_sym_stackalloc] = ACTIONS(3949),
    [anon_sym_sizeof] = ACTIONS(3949),
    [anon_sym_typeof] = ACTIONS(3949),
    [anon_sym___makeref] = ACTIONS(3949),
    [anon_sym___reftype] = ACTIONS(3949),
    [anon_sym___refvalue] = ACTIONS(3949),
    [sym_null_literal] = ACTIONS(3949),
    [anon_sym_SQUOTE] = ACTIONS(3951),
    [sym_integer_literal] = ACTIONS(3949),
    [sym_real_literal] = ACTIONS(3951),
    [sym_verbatim_string_literal] = ACTIONS(3951),
    [aux_sym_preproc_if_token1] = ACTIONS(3951),
    [aux_sym_preproc_if_token3] = ACTIONS(3951),
    [aux_sym_preproc_else_token1] = ACTIONS(3951),
    [aux_sym_preproc_elif_token1] = ACTIONS(3951),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3951),
    [sym_interpolation_verbatim_start] = ACTIONS(3951),
    [sym_interpolation_raw_start] = ACTIONS(3951),
    [sym_raw_string_start] = ACTIONS(3951),
  },
  [2428] = {
    [sym_preproc_region] = STATE(2428),
    [sym_preproc_endregion] = STATE(2428),
    [sym_preproc_line] = STATE(2428),
    [sym_preproc_pragma] = STATE(2428),
    [sym_preproc_nullable] = STATE(2428),
    [sym_preproc_error] = STATE(2428),
    [sym_preproc_define] = STATE(2428),
    [sym_preproc_undef] = STATE(2428),
    [sym__identifier_token] = ACTIONS(3953),
    [anon_sym_extern] = ACTIONS(3953),
    [anon_sym_alias] = ACTIONS(3953),
    [anon_sym_SEMI] = ACTIONS(3955),
    [anon_sym_global] = ACTIONS(3953),
    [anon_sym_using] = ACTIONS(3953),
    [anon_sym_unsafe] = ACTIONS(3953),
    [anon_sym_static] = ACTIONS(3953),
    [anon_sym_LBRACK] = ACTIONS(3955),
    [anon_sym_LPAREN] = ACTIONS(3955),
    [anon_sym_return] = ACTIONS(3953),
    [anon_sym_namespace] = ACTIONS(3953),
    [anon_sym_class] = ACTIONS(3953),
    [anon_sym_ref] = ACTIONS(3953),
    [anon_sym_struct] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3953),
    [anon_sym_LBRACE] = ACTIONS(3955),
    [anon_sym_interface] = ACTIONS(3953),
    [anon_sym_delegate] = ACTIONS(3953),
    [anon_sym_record] = ACTIONS(3953),
    [anon_sym_abstract] = ACTIONS(3953),
    [anon_sym_async] = ACTIONS(3953),
    [anon_sym_const] = ACTIONS(3953),
    [anon_sym_file] = ACTIONS(3953),
    [anon_sym_fixed] = ACTIONS(3953),
    [anon_sym_internal] = ACTIONS(3953),
    [anon_sym_new] = ACTIONS(3953),
    [anon_sym_override] = ACTIONS(3953),
    [anon_sym_partial] = ACTIONS(3953),
    [anon_sym_private] = ACTIONS(3953),
    [anon_sym_protected] = ACTIONS(3953),
    [anon_sym_public] = ACTIONS(3953),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_required] = ACTIONS(3953),
    [anon_sym_sealed] = ACTIONS(3953),
    [anon_sym_virtual] = ACTIONS(3953),
    [anon_sym_volatile] = ACTIONS(3953),
    [anon_sym_where] = ACTIONS(3953),
    [anon_sym_notnull] = ACTIONS(3953),
    [anon_sym_unmanaged] = ACTIONS(3953),
    [anon_sym_checked] = ACTIONS(3953),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3955),
    [anon_sym_PLUS_PLUS] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3955),
    [anon_sym_true] = ACTIONS(3953),
    [anon_sym_false] = ACTIONS(3953),
    [anon_sym_PLUS] = ACTIONS(3953),
    [anon_sym_DASH] = ACTIONS(3953),
    [anon_sym_STAR] = ACTIONS(3955),
    [anon_sym_CARET] = ACTIONS(3955),
    [anon_sym_AMP] = ACTIONS(3955),
    [anon_sym_this] = ACTIONS(3953),
    [anon_sym_scoped] = ACTIONS(3953),
    [anon_sym_base] = ACTIONS(3953),
    [anon_sym_var] = ACTIONS(3953),
    [sym_predefined_type] = ACTIONS(3953),
    [anon_sym_break] = ACTIONS(3953),
    [anon_sym_unchecked] = ACTIONS(3953),
    [anon_sym_continue] = ACTIONS(3953),
    [anon_sym_do] = ACTIONS(3953),
    [anon_sym_while] = ACTIONS(3953),
    [anon_sym_for] = ACTIONS(3953),
    [anon_sym_lock] = ACTIONS(3953),
    [anon_sym_yield] = ACTIONS(3953),
    [anon_sym_switch] = ACTIONS(3953),
    [anon_sym_default] = ACTIONS(3953),
    [anon_sym_throw] = ACTIONS(3953),
    [anon_sym_try] = ACTIONS(3953),
    [anon_sym_when] = ACTIONS(3953),
    [anon_sym_await] = ACTIONS(3953),
    [anon_sym_foreach] = ACTIONS(3953),
    [anon_sym_goto] = ACTIONS(3953),
    [anon_sym_if] = ACTIONS(3953),
    [anon_sym_DOT_DOT] = ACTIONS(3955),
    [anon_sym_from] = ACTIONS(3953),
    [anon_sym_into] = ACTIONS(3953),
    [anon_sym_join] = ACTIONS(3953),
    [anon_sym_on] = ACTIONS(3953),
    [anon_sym_equals] = ACTIONS(3953),
    [anon_sym_let] = ACTIONS(3953),
    [anon_sym_orderby] = ACTIONS(3953),
    [anon_sym_ascending] = ACTIONS(3953),
    [anon_sym_descending] = ACTIONS(3953),
    [anon_sym_group] = ACTIONS(3953),
    [anon_sym_by] = ACTIONS(3953),
    [anon_sym_select] = ACTIONS(3953),
    [anon_sym_DQUOTE] = ACTIONS(3955),
    [anon_sym_stackalloc] = ACTIONS(3953),
    [anon_sym_sizeof] = ACTIONS(3953),
    [anon_sym_typeof] = ACTIONS(3953),
    [anon_sym___makeref] = ACTIONS(3953),
    [anon_sym___reftype] = ACTIONS(3953),
    [anon_sym___refvalue] = ACTIONS(3953),
    [sym_null_literal] = ACTIONS(3953),
    [anon_sym_SQUOTE] = ACTIONS(3955),
    [sym_integer_literal] = ACTIONS(3953),
    [sym_real_literal] = ACTIONS(3955),
    [sym_verbatim_string_literal] = ACTIONS(3955),
    [aux_sym_preproc_if_token1] = ACTIONS(3955),
    [aux_sym_preproc_if_token3] = ACTIONS(3955),
    [aux_sym_preproc_else_token1] = ACTIONS(3955),
    [aux_sym_preproc_elif_token1] = ACTIONS(3955),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3955),
    [sym_interpolation_verbatim_start] = ACTIONS(3955),
    [sym_interpolation_raw_start] = ACTIONS(3955),
    [sym_raw_string_start] = ACTIONS(3955),
  },
  [2429] = {
    [sym_preproc_region] = STATE(2429),
    [sym_preproc_endregion] = STATE(2429),
    [sym_preproc_line] = STATE(2429),
    [sym_preproc_pragma] = STATE(2429),
    [sym_preproc_nullable] = STATE(2429),
    [sym_preproc_error] = STATE(2429),
    [sym_preproc_define] = STATE(2429),
    [sym_preproc_undef] = STATE(2429),
    [sym__identifier_token] = ACTIONS(3957),
    [anon_sym_extern] = ACTIONS(3957),
    [anon_sym_alias] = ACTIONS(3957),
    [anon_sym_SEMI] = ACTIONS(3959),
    [anon_sym_global] = ACTIONS(3957),
    [anon_sym_using] = ACTIONS(3957),
    [anon_sym_unsafe] = ACTIONS(3957),
    [anon_sym_static] = ACTIONS(3957),
    [anon_sym_LBRACK] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_return] = ACTIONS(3957),
    [anon_sym_namespace] = ACTIONS(3957),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_ref] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3957),
    [anon_sym_enum] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3959),
    [anon_sym_interface] = ACTIONS(3957),
    [anon_sym_delegate] = ACTIONS(3957),
    [anon_sym_record] = ACTIONS(3957),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_async] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_file] = ACTIONS(3957),
    [anon_sym_fixed] = ACTIONS(3957),
    [anon_sym_internal] = ACTIONS(3957),
    [anon_sym_new] = ACTIONS(3957),
    [anon_sym_override] = ACTIONS(3957),
    [anon_sym_partial] = ACTIONS(3957),
    [anon_sym_private] = ACTIONS(3957),
    [anon_sym_protected] = ACTIONS(3957),
    [anon_sym_public] = ACTIONS(3957),
    [anon_sym_readonly] = ACTIONS(3957),
    [anon_sym_required] = ACTIONS(3957),
    [anon_sym_sealed] = ACTIONS(3957),
    [anon_sym_virtual] = ACTIONS(3957),
    [anon_sym_volatile] = ACTIONS(3957),
    [anon_sym_where] = ACTIONS(3957),
    [anon_sym_notnull] = ACTIONS(3957),
    [anon_sym_unmanaged] = ACTIONS(3957),
    [anon_sym_checked] = ACTIONS(3957),
    [anon_sym_BANG] = ACTIONS(3959),
    [anon_sym_TILDE] = ACTIONS(3959),
    [anon_sym_PLUS_PLUS] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3959),
    [anon_sym_true] = ACTIONS(3957),
    [anon_sym_false] = ACTIONS(3957),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_STAR] = ACTIONS(3959),
    [anon_sym_CARET] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(3959),
    [anon_sym_this] = ACTIONS(3957),
    [anon_sym_scoped] = ACTIONS(3957),
    [anon_sym_base] = ACTIONS(3957),
    [anon_sym_var] = ACTIONS(3957),
    [sym_predefined_type] = ACTIONS(3957),
    [anon_sym_break] = ACTIONS(3957),
    [anon_sym_unchecked] = ACTIONS(3957),
    [anon_sym_continue] = ACTIONS(3957),
    [anon_sym_do] = ACTIONS(3957),
    [anon_sym_while] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3957),
    [anon_sym_lock] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3957),
    [anon_sym_switch] = ACTIONS(3957),
    [anon_sym_default] = ACTIONS(3957),
    [anon_sym_throw] = ACTIONS(3957),
    [anon_sym_try] = ACTIONS(3957),
    [anon_sym_when] = ACTIONS(3957),
    [anon_sym_await] = ACTIONS(3957),
    [anon_sym_foreach] = ACTIONS(3957),
    [anon_sym_goto] = ACTIONS(3957),
    [anon_sym_if] = ACTIONS(3957),
    [anon_sym_DOT_DOT] = ACTIONS(3959),
    [anon_sym_from] = ACTIONS(3957),
    [anon_sym_into] = ACTIONS(3957),
    [anon_sym_join] = ACTIONS(3957),
    [anon_sym_on] = ACTIONS(3957),
    [anon_sym_equals] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3957),
    [anon_sym_orderby] = ACTIONS(3957),
    [anon_sym_ascending] = ACTIONS(3957),
    [anon_sym_descending] = ACTIONS(3957),
    [anon_sym_group] = ACTIONS(3957),
    [anon_sym_by] = ACTIONS(3957),
    [anon_sym_select] = ACTIONS(3957),
    [anon_sym_DQUOTE] = ACTIONS(3959),
    [anon_sym_stackalloc] = ACTIONS(3957),
    [anon_sym_sizeof] = ACTIONS(3957),
    [anon_sym_typeof] = ACTIONS(3957),
    [anon_sym___makeref] = ACTIONS(3957),
    [anon_sym___reftype] = ACTIONS(3957),
    [anon_sym___refvalue] = ACTIONS(3957),
    [sym_null_literal] = ACTIONS(3957),
    [anon_sym_SQUOTE] = ACTIONS(3959),
    [sym_integer_literal] = ACTIONS(3957),
    [sym_real_literal] = ACTIONS(3959),
    [sym_verbatim_string_literal] = ACTIONS(3959),
    [aux_sym_preproc_if_token1] = ACTIONS(3959),
    [aux_sym_preproc_if_token3] = ACTIONS(3959),
    [aux_sym_preproc_else_token1] = ACTIONS(3959),
    [aux_sym_preproc_elif_token1] = ACTIONS(3959),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3959),
    [sym_interpolation_verbatim_start] = ACTIONS(3959),
    [sym_interpolation_raw_start] = ACTIONS(3959),
    [sym_raw_string_start] = ACTIONS(3959),
  },
  [2430] = {
    [sym_preproc_region] = STATE(2430),
    [sym_preproc_endregion] = STATE(2430),
    [sym_preproc_line] = STATE(2430),
    [sym_preproc_pragma] = STATE(2430),
    [sym_preproc_nullable] = STATE(2430),
    [sym_preproc_error] = STATE(2430),
    [sym_preproc_define] = STATE(2430),
    [sym_preproc_undef] = STATE(2430),
    [sym__identifier_token] = ACTIONS(3961),
    [anon_sym_extern] = ACTIONS(3961),
    [anon_sym_alias] = ACTIONS(3961),
    [anon_sym_SEMI] = ACTIONS(3963),
    [anon_sym_global] = ACTIONS(3961),
    [anon_sym_using] = ACTIONS(3961),
    [anon_sym_unsafe] = ACTIONS(3961),
    [anon_sym_static] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3961),
    [anon_sym_namespace] = ACTIONS(3961),
    [anon_sym_class] = ACTIONS(3961),
    [anon_sym_ref] = ACTIONS(3961),
    [anon_sym_struct] = ACTIONS(3961),
    [anon_sym_enum] = ACTIONS(3961),
    [anon_sym_LBRACE] = ACTIONS(3963),
    [anon_sym_interface] = ACTIONS(3961),
    [anon_sym_delegate] = ACTIONS(3961),
    [anon_sym_record] = ACTIONS(3961),
    [anon_sym_abstract] = ACTIONS(3961),
    [anon_sym_async] = ACTIONS(3961),
    [anon_sym_const] = ACTIONS(3961),
    [anon_sym_file] = ACTIONS(3961),
    [anon_sym_fixed] = ACTIONS(3961),
    [anon_sym_internal] = ACTIONS(3961),
    [anon_sym_new] = ACTIONS(3961),
    [anon_sym_override] = ACTIONS(3961),
    [anon_sym_partial] = ACTIONS(3961),
    [anon_sym_private] = ACTIONS(3961),
    [anon_sym_protected] = ACTIONS(3961),
    [anon_sym_public] = ACTIONS(3961),
    [anon_sym_readonly] = ACTIONS(3961),
    [anon_sym_required] = ACTIONS(3961),
    [anon_sym_sealed] = ACTIONS(3961),
    [anon_sym_virtual] = ACTIONS(3961),
    [anon_sym_volatile] = ACTIONS(3961),
    [anon_sym_where] = ACTIONS(3961),
    [anon_sym_notnull] = ACTIONS(3961),
    [anon_sym_unmanaged] = ACTIONS(3961),
    [anon_sym_checked] = ACTIONS(3961),
    [anon_sym_BANG] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_true] = ACTIONS(3961),
    [anon_sym_false] = ACTIONS(3961),
    [anon_sym_PLUS] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3961),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_CARET] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(3963),
    [anon_sym_this] = ACTIONS(3961),
    [anon_sym_scoped] = ACTIONS(3961),
    [anon_sym_base] = ACTIONS(3961),
    [anon_sym_var] = ACTIONS(3961),
    [sym_predefined_type] = ACTIONS(3961),
    [anon_sym_break] = ACTIONS(3961),
    [anon_sym_unchecked] = ACTIONS(3961),
    [anon_sym_continue] = ACTIONS(3961),
    [anon_sym_do] = ACTIONS(3961),
    [anon_sym_while] = ACTIONS(3961),
    [anon_sym_for] = ACTIONS(3961),
    [anon_sym_lock] = ACTIONS(3961),
    [anon_sym_yield] = ACTIONS(3961),
    [anon_sym_switch] = ACTIONS(3961),
    [anon_sym_default] = ACTIONS(3961),
    [anon_sym_throw] = ACTIONS(3961),
    [anon_sym_try] = ACTIONS(3961),
    [anon_sym_when] = ACTIONS(3961),
    [anon_sym_await] = ACTIONS(3961),
    [anon_sym_foreach] = ACTIONS(3961),
    [anon_sym_goto] = ACTIONS(3961),
    [anon_sym_if] = ACTIONS(3961),
    [anon_sym_DOT_DOT] = ACTIONS(3963),
    [anon_sym_from] = ACTIONS(3961),
    [anon_sym_into] = ACTIONS(3961),
    [anon_sym_join] = ACTIONS(3961),
    [anon_sym_on] = ACTIONS(3961),
    [anon_sym_equals] = ACTIONS(3961),
    [anon_sym_let] = ACTIONS(3961),
    [anon_sym_orderby] = ACTIONS(3961),
    [anon_sym_ascending] = ACTIONS(3961),
    [anon_sym_descending] = ACTIONS(3961),
    [anon_sym_group] = ACTIONS(3961),
    [anon_sym_by] = ACTIONS(3961),
    [anon_sym_select] = ACTIONS(3961),
    [anon_sym_DQUOTE] = ACTIONS(3963),
    [anon_sym_stackalloc] = ACTIONS(3961),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym_typeof] = ACTIONS(3961),
    [anon_sym___makeref] = ACTIONS(3961),
    [anon_sym___reftype] = ACTIONS(3961),
    [anon_sym___refvalue] = ACTIONS(3961),
    [sym_null_literal] = ACTIONS(3961),
    [anon_sym_SQUOTE] = ACTIONS(3963),
    [sym_integer_literal] = ACTIONS(3961),
    [sym_real_literal] = ACTIONS(3963),
    [sym_verbatim_string_literal] = ACTIONS(3963),
    [aux_sym_preproc_if_token1] = ACTIONS(3963),
    [aux_sym_preproc_if_token3] = ACTIONS(3963),
    [aux_sym_preproc_else_token1] = ACTIONS(3963),
    [aux_sym_preproc_elif_token1] = ACTIONS(3963),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3963),
    [sym_interpolation_verbatim_start] = ACTIONS(3963),
    [sym_interpolation_raw_start] = ACTIONS(3963),
    [sym_raw_string_start] = ACTIONS(3963),
  },
  [2431] = {
    [sym_preproc_region] = STATE(2431),
    [sym_preproc_endregion] = STATE(2431),
    [sym_preproc_line] = STATE(2431),
    [sym_preproc_pragma] = STATE(2431),
    [sym_preproc_nullable] = STATE(2431),
    [sym_preproc_error] = STATE(2431),
    [sym_preproc_define] = STATE(2431),
    [sym_preproc_undef] = STATE(2431),
    [sym__identifier_token] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym_alias] = ACTIONS(3965),
    [anon_sym_SEMI] = ACTIONS(3967),
    [anon_sym_global] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_unsafe] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3967),
    [anon_sym_return] = ACTIONS(3965),
    [anon_sym_namespace] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_ref] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_LBRACE] = ACTIONS(3967),
    [anon_sym_interface] = ACTIONS(3965),
    [anon_sym_delegate] = ACTIONS(3965),
    [anon_sym_record] = ACTIONS(3965),
    [anon_sym_abstract] = ACTIONS(3965),
    [anon_sym_async] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_file] = ACTIONS(3965),
    [anon_sym_fixed] = ACTIONS(3965),
    [anon_sym_internal] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3965),
    [anon_sym_override] = ACTIONS(3965),
    [anon_sym_partial] = ACTIONS(3965),
    [anon_sym_private] = ACTIONS(3965),
    [anon_sym_protected] = ACTIONS(3965),
    [anon_sym_public] = ACTIONS(3965),
    [anon_sym_readonly] = ACTIONS(3965),
    [anon_sym_required] = ACTIONS(3965),
    [anon_sym_sealed] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_where] = ACTIONS(3965),
    [anon_sym_notnull] = ACTIONS(3965),
    [anon_sym_unmanaged] = ACTIONS(3965),
    [anon_sym_checked] = ACTIONS(3965),
    [anon_sym_BANG] = ACTIONS(3967),
    [anon_sym_TILDE] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3967),
    [anon_sym_DASH_DASH] = ACTIONS(3967),
    [anon_sym_true] = ACTIONS(3965),
    [anon_sym_false] = ACTIONS(3965),
    [anon_sym_PLUS] = ACTIONS(3965),
    [anon_sym_DASH] = ACTIONS(3965),
    [anon_sym_STAR] = ACTIONS(3967),
    [anon_sym_CARET] = ACTIONS(3967),
    [anon_sym_AMP] = ACTIONS(3967),
    [anon_sym_this] = ACTIONS(3965),
    [anon_sym_scoped] = ACTIONS(3965),
    [anon_sym_base] = ACTIONS(3965),
    [anon_sym_var] = ACTIONS(3965),
    [sym_predefined_type] = ACTIONS(3965),
    [anon_sym_break] = ACTIONS(3965),
    [anon_sym_unchecked] = ACTIONS(3965),
    [anon_sym_continue] = ACTIONS(3965),
    [anon_sym_do] = ACTIONS(3965),
    [anon_sym_while] = ACTIONS(3965),
    [anon_sym_for] = ACTIONS(3965),
    [anon_sym_lock] = ACTIONS(3965),
    [anon_sym_yield] = ACTIONS(3965),
    [anon_sym_switch] = ACTIONS(3965),
    [anon_sym_default] = ACTIONS(3965),
    [anon_sym_throw] = ACTIONS(3965),
    [anon_sym_try] = ACTIONS(3965),
    [anon_sym_when] = ACTIONS(3965),
    [anon_sym_await] = ACTIONS(3965),
    [anon_sym_foreach] = ACTIONS(3965),
    [anon_sym_goto] = ACTIONS(3965),
    [anon_sym_if] = ACTIONS(3965),
    [anon_sym_DOT_DOT] = ACTIONS(3967),
    [anon_sym_from] = ACTIONS(3965),
    [anon_sym_into] = ACTIONS(3965),
    [anon_sym_join] = ACTIONS(3965),
    [anon_sym_on] = ACTIONS(3965),
    [anon_sym_equals] = ACTIONS(3965),
    [anon_sym_let] = ACTIONS(3965),
    [anon_sym_orderby] = ACTIONS(3965),
    [anon_sym_ascending] = ACTIONS(3965),
    [anon_sym_descending] = ACTIONS(3965),
    [anon_sym_group] = ACTIONS(3965),
    [anon_sym_by] = ACTIONS(3965),
    [anon_sym_select] = ACTIONS(3965),
    [anon_sym_DQUOTE] = ACTIONS(3967),
    [anon_sym_stackalloc] = ACTIONS(3965),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym_typeof] = ACTIONS(3965),
    [anon_sym___makeref] = ACTIONS(3965),
    [anon_sym___reftype] = ACTIONS(3965),
    [anon_sym___refvalue] = ACTIONS(3965),
    [sym_null_literal] = ACTIONS(3965),
    [anon_sym_SQUOTE] = ACTIONS(3967),
    [sym_integer_literal] = ACTIONS(3965),
    [sym_real_literal] = ACTIONS(3967),
    [sym_verbatim_string_literal] = ACTIONS(3967),
    [aux_sym_preproc_if_token1] = ACTIONS(3967),
    [aux_sym_preproc_if_token3] = ACTIONS(3967),
    [aux_sym_preproc_else_token1] = ACTIONS(3967),
    [aux_sym_preproc_elif_token1] = ACTIONS(3967),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3967),
    [sym_interpolation_verbatim_start] = ACTIONS(3967),
    [sym_interpolation_raw_start] = ACTIONS(3967),
    [sym_raw_string_start] = ACTIONS(3967),
  },
  [2432] = {
    [sym_preproc_region] = STATE(2432),
    [sym_preproc_endregion] = STATE(2432),
    [sym_preproc_line] = STATE(2432),
    [sym_preproc_pragma] = STATE(2432),
    [sym_preproc_nullable] = STATE(2432),
    [sym_preproc_error] = STATE(2432),
    [sym_preproc_define] = STATE(2432),
    [sym_preproc_undef] = STATE(2432),
    [sym__identifier_token] = ACTIONS(3969),
    [anon_sym_extern] = ACTIONS(3969),
    [anon_sym_alias] = ACTIONS(3969),
    [anon_sym_SEMI] = ACTIONS(3971),
    [anon_sym_global] = ACTIONS(3969),
    [anon_sym_using] = ACTIONS(3969),
    [anon_sym_unsafe] = ACTIONS(3969),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_LBRACK] = ACTIONS(3971),
    [anon_sym_LPAREN] = ACTIONS(3971),
    [anon_sym_return] = ACTIONS(3969),
    [anon_sym_namespace] = ACTIONS(3969),
    [anon_sym_class] = ACTIONS(3969),
    [anon_sym_ref] = ACTIONS(3969),
    [anon_sym_struct] = ACTIONS(3969),
    [anon_sym_enum] = ACTIONS(3969),
    [anon_sym_LBRACE] = ACTIONS(3971),
    [anon_sym_interface] = ACTIONS(3969),
    [anon_sym_delegate] = ACTIONS(3969),
    [anon_sym_record] = ACTIONS(3969),
    [anon_sym_abstract] = ACTIONS(3969),
    [anon_sym_async] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_file] = ACTIONS(3969),
    [anon_sym_fixed] = ACTIONS(3969),
    [anon_sym_internal] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3969),
    [anon_sym_override] = ACTIONS(3969),
    [anon_sym_partial] = ACTIONS(3969),
    [anon_sym_private] = ACTIONS(3969),
    [anon_sym_protected] = ACTIONS(3969),
    [anon_sym_public] = ACTIONS(3969),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_required] = ACTIONS(3969),
    [anon_sym_sealed] = ACTIONS(3969),
    [anon_sym_virtual] = ACTIONS(3969),
    [anon_sym_volatile] = ACTIONS(3969),
    [anon_sym_where] = ACTIONS(3969),
    [anon_sym_notnull] = ACTIONS(3969),
    [anon_sym_unmanaged] = ACTIONS(3969),
    [anon_sym_checked] = ACTIONS(3969),
    [anon_sym_BANG] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(3971),
    [anon_sym_PLUS_PLUS] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(3971),
    [anon_sym_true] = ACTIONS(3969),
    [anon_sym_false] = ACTIONS(3969),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_CARET] = ACTIONS(3971),
    [anon_sym_AMP] = ACTIONS(3971),
    [anon_sym_this] = ACTIONS(3969),
    [anon_sym_scoped] = ACTIONS(3969),
    [anon_sym_base] = ACTIONS(3969),
    [anon_sym_var] = ACTIONS(3969),
    [sym_predefined_type] = ACTIONS(3969),
    [anon_sym_break] = ACTIONS(3969),
    [anon_sym_unchecked] = ACTIONS(3969),
    [anon_sym_continue] = ACTIONS(3969),
    [anon_sym_do] = ACTIONS(3969),
    [anon_sym_while] = ACTIONS(3969),
    [anon_sym_for] = ACTIONS(3969),
    [anon_sym_lock] = ACTIONS(3969),
    [anon_sym_yield] = ACTIONS(3969),
    [anon_sym_switch] = ACTIONS(3969),
    [anon_sym_default] = ACTIONS(3969),
    [anon_sym_throw] = ACTIONS(3969),
    [anon_sym_try] = ACTIONS(3969),
    [anon_sym_when] = ACTIONS(3969),
    [anon_sym_await] = ACTIONS(3969),
    [anon_sym_foreach] = ACTIONS(3969),
    [anon_sym_goto] = ACTIONS(3969),
    [anon_sym_if] = ACTIONS(3969),
    [anon_sym_DOT_DOT] = ACTIONS(3971),
    [anon_sym_from] = ACTIONS(3969),
    [anon_sym_into] = ACTIONS(3969),
    [anon_sym_join] = ACTIONS(3969),
    [anon_sym_on] = ACTIONS(3969),
    [anon_sym_equals] = ACTIONS(3969),
    [anon_sym_let] = ACTIONS(3969),
    [anon_sym_orderby] = ACTIONS(3969),
    [anon_sym_ascending] = ACTIONS(3969),
    [anon_sym_descending] = ACTIONS(3969),
    [anon_sym_group] = ACTIONS(3969),
    [anon_sym_by] = ACTIONS(3969),
    [anon_sym_select] = ACTIONS(3969),
    [anon_sym_DQUOTE] = ACTIONS(3971),
    [anon_sym_stackalloc] = ACTIONS(3969),
    [anon_sym_sizeof] = ACTIONS(3969),
    [anon_sym_typeof] = ACTIONS(3969),
    [anon_sym___makeref] = ACTIONS(3969),
    [anon_sym___reftype] = ACTIONS(3969),
    [anon_sym___refvalue] = ACTIONS(3969),
    [sym_null_literal] = ACTIONS(3969),
    [anon_sym_SQUOTE] = ACTIONS(3971),
    [sym_integer_literal] = ACTIONS(3969),
    [sym_real_literal] = ACTIONS(3971),
    [sym_verbatim_string_literal] = ACTIONS(3971),
    [aux_sym_preproc_if_token1] = ACTIONS(3971),
    [aux_sym_preproc_if_token3] = ACTIONS(3971),
    [aux_sym_preproc_else_token1] = ACTIONS(3971),
    [aux_sym_preproc_elif_token1] = ACTIONS(3971),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3971),
    [sym_interpolation_verbatim_start] = ACTIONS(3971),
    [sym_interpolation_raw_start] = ACTIONS(3971),
    [sym_raw_string_start] = ACTIONS(3971),
  },
  [2433] = {
    [sym_preproc_region] = STATE(2433),
    [sym_preproc_endregion] = STATE(2433),
    [sym_preproc_line] = STATE(2433),
    [sym_preproc_pragma] = STATE(2433),
    [sym_preproc_nullable] = STATE(2433),
    [sym_preproc_error] = STATE(2433),
    [sym_preproc_define] = STATE(2433),
    [sym_preproc_undef] = STATE(2433),
    [sym__identifier_token] = ACTIONS(3973),
    [anon_sym_extern] = ACTIONS(3973),
    [anon_sym_alias] = ACTIONS(3973),
    [anon_sym_SEMI] = ACTIONS(3975),
    [anon_sym_global] = ACTIONS(3973),
    [anon_sym_using] = ACTIONS(3973),
    [anon_sym_unsafe] = ACTIONS(3973),
    [anon_sym_static] = ACTIONS(3973),
    [anon_sym_LBRACK] = ACTIONS(3975),
    [anon_sym_LPAREN] = ACTIONS(3975),
    [anon_sym_return] = ACTIONS(3973),
    [anon_sym_namespace] = ACTIONS(3973),
    [anon_sym_class] = ACTIONS(3973),
    [anon_sym_ref] = ACTIONS(3973),
    [anon_sym_struct] = ACTIONS(3973),
    [anon_sym_enum] = ACTIONS(3973),
    [anon_sym_LBRACE] = ACTIONS(3975),
    [anon_sym_interface] = ACTIONS(3973),
    [anon_sym_delegate] = ACTIONS(3973),
    [anon_sym_record] = ACTIONS(3973),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_async] = ACTIONS(3973),
    [anon_sym_const] = ACTIONS(3973),
    [anon_sym_file] = ACTIONS(3973),
    [anon_sym_fixed] = ACTIONS(3973),
    [anon_sym_internal] = ACTIONS(3973),
    [anon_sym_new] = ACTIONS(3973),
    [anon_sym_override] = ACTIONS(3973),
    [anon_sym_partial] = ACTIONS(3973),
    [anon_sym_private] = ACTIONS(3973),
    [anon_sym_protected] = ACTIONS(3973),
    [anon_sym_public] = ACTIONS(3973),
    [anon_sym_readonly] = ACTIONS(3973),
    [anon_sym_required] = ACTIONS(3973),
    [anon_sym_sealed] = ACTIONS(3973),
    [anon_sym_virtual] = ACTIONS(3973),
    [anon_sym_volatile] = ACTIONS(3973),
    [anon_sym_where] = ACTIONS(3973),
    [anon_sym_notnull] = ACTIONS(3973),
    [anon_sym_unmanaged] = ACTIONS(3973),
    [anon_sym_checked] = ACTIONS(3973),
    [anon_sym_BANG] = ACTIONS(3975),
    [anon_sym_TILDE] = ACTIONS(3975),
    [anon_sym_PLUS_PLUS] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(3975),
    [anon_sym_true] = ACTIONS(3973),
    [anon_sym_false] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3973),
    [anon_sym_STAR] = ACTIONS(3975),
    [anon_sym_CARET] = ACTIONS(3975),
    [anon_sym_AMP] = ACTIONS(3975),
    [anon_sym_this] = ACTIONS(3973),
    [anon_sym_scoped] = ACTIONS(3973),
    [anon_sym_base] = ACTIONS(3973),
    [anon_sym_var] = ACTIONS(3973),
    [sym_predefined_type] = ACTIONS(3973),
    [anon_sym_break] = ACTIONS(3973),
    [anon_sym_unchecked] = ACTIONS(3973),
    [anon_sym_continue] = ACTIONS(3973),
    [anon_sym_do] = ACTIONS(3973),
    [anon_sym_while] = ACTIONS(3973),
    [anon_sym_for] = ACTIONS(3973),
    [anon_sym_lock] = ACTIONS(3973),
    [anon_sym_yield] = ACTIONS(3973),
    [anon_sym_switch] = ACTIONS(3973),
    [anon_sym_default] = ACTIONS(3973),
    [anon_sym_throw] = ACTIONS(3973),
    [anon_sym_try] = ACTIONS(3973),
    [anon_sym_when] = ACTIONS(3973),
    [anon_sym_await] = ACTIONS(3973),
    [anon_sym_foreach] = ACTIONS(3973),
    [anon_sym_goto] = ACTIONS(3973),
    [anon_sym_if] = ACTIONS(3973),
    [anon_sym_DOT_DOT] = ACTIONS(3975),
    [anon_sym_from] = ACTIONS(3973),
    [anon_sym_into] = ACTIONS(3973),
    [anon_sym_join] = ACTIONS(3973),
    [anon_sym_on] = ACTIONS(3973),
    [anon_sym_equals] = ACTIONS(3973),
    [anon_sym_let] = ACTIONS(3973),
    [anon_sym_orderby] = ACTIONS(3973),
    [anon_sym_ascending] = ACTIONS(3973),
    [anon_sym_descending] = ACTIONS(3973),
    [anon_sym_group] = ACTIONS(3973),
    [anon_sym_by] = ACTIONS(3973),
    [anon_sym_select] = ACTIONS(3973),
    [anon_sym_DQUOTE] = ACTIONS(3975),
    [anon_sym_stackalloc] = ACTIONS(3973),
    [anon_sym_sizeof] = ACTIONS(3973),
    [anon_sym_typeof] = ACTIONS(3973),
    [anon_sym___makeref] = ACTIONS(3973),
    [anon_sym___reftype] = ACTIONS(3973),
    [anon_sym___refvalue] = ACTIONS(3973),
    [sym_null_literal] = ACTIONS(3973),
    [anon_sym_SQUOTE] = ACTIONS(3975),
    [sym_integer_literal] = ACTIONS(3973),
    [sym_real_literal] = ACTIONS(3975),
    [sym_verbatim_string_literal] = ACTIONS(3975),
    [aux_sym_preproc_if_token1] = ACTIONS(3975),
    [aux_sym_preproc_if_token3] = ACTIONS(3975),
    [aux_sym_preproc_else_token1] = ACTIONS(3975),
    [aux_sym_preproc_elif_token1] = ACTIONS(3975),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3975),
    [sym_interpolation_verbatim_start] = ACTIONS(3975),
    [sym_interpolation_raw_start] = ACTIONS(3975),
    [sym_raw_string_start] = ACTIONS(3975),
  },
  [2434] = {
    [sym_preproc_region] = STATE(2434),
    [sym_preproc_endregion] = STATE(2434),
    [sym_preproc_line] = STATE(2434),
    [sym_preproc_pragma] = STATE(2434),
    [sym_preproc_nullable] = STATE(2434),
    [sym_preproc_error] = STATE(2434),
    [sym_preproc_define] = STATE(2434),
    [sym_preproc_undef] = STATE(2434),
    [sym__identifier_token] = ACTIONS(3977),
    [anon_sym_extern] = ACTIONS(3977),
    [anon_sym_alias] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3979),
    [anon_sym_global] = ACTIONS(3977),
    [anon_sym_using] = ACTIONS(3977),
    [anon_sym_unsafe] = ACTIONS(3977),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_LBRACK] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_return] = ACTIONS(3977),
    [anon_sym_namespace] = ACTIONS(3977),
    [anon_sym_class] = ACTIONS(3977),
    [anon_sym_ref] = ACTIONS(3977),
    [anon_sym_struct] = ACTIONS(3977),
    [anon_sym_enum] = ACTIONS(3977),
    [anon_sym_LBRACE] = ACTIONS(3979),
    [anon_sym_interface] = ACTIONS(3977),
    [anon_sym_delegate] = ACTIONS(3977),
    [anon_sym_record] = ACTIONS(3977),
    [anon_sym_abstract] = ACTIONS(3977),
    [anon_sym_async] = ACTIONS(3977),
    [anon_sym_const] = ACTIONS(3977),
    [anon_sym_file] = ACTIONS(3977),
    [anon_sym_fixed] = ACTIONS(3977),
    [anon_sym_internal] = ACTIONS(3977),
    [anon_sym_new] = ACTIONS(3977),
    [anon_sym_override] = ACTIONS(3977),
    [anon_sym_partial] = ACTIONS(3977),
    [anon_sym_private] = ACTIONS(3977),
    [anon_sym_protected] = ACTIONS(3977),
    [anon_sym_public] = ACTIONS(3977),
    [anon_sym_readonly] = ACTIONS(3977),
    [anon_sym_required] = ACTIONS(3977),
    [anon_sym_sealed] = ACTIONS(3977),
    [anon_sym_virtual] = ACTIONS(3977),
    [anon_sym_volatile] = ACTIONS(3977),
    [anon_sym_where] = ACTIONS(3977),
    [anon_sym_notnull] = ACTIONS(3977),
    [anon_sym_unmanaged] = ACTIONS(3977),
    [anon_sym_checked] = ACTIONS(3977),
    [anon_sym_BANG] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_PLUS_PLUS] = ACTIONS(3979),
    [anon_sym_DASH_DASH] = ACTIONS(3979),
    [anon_sym_true] = ACTIONS(3977),
    [anon_sym_false] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3977),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_this] = ACTIONS(3977),
    [anon_sym_scoped] = ACTIONS(3977),
    [anon_sym_base] = ACTIONS(3977),
    [anon_sym_var] = ACTIONS(3977),
    [sym_predefined_type] = ACTIONS(3977),
    [anon_sym_break] = ACTIONS(3977),
    [anon_sym_unchecked] = ACTIONS(3977),
    [anon_sym_continue] = ACTIONS(3977),
    [anon_sym_do] = ACTIONS(3977),
    [anon_sym_while] = ACTIONS(3977),
    [anon_sym_for] = ACTIONS(3977),
    [anon_sym_lock] = ACTIONS(3977),
    [anon_sym_yield] = ACTIONS(3977),
    [anon_sym_switch] = ACTIONS(3977),
    [anon_sym_default] = ACTIONS(3977),
    [anon_sym_throw] = ACTIONS(3977),
    [anon_sym_try] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_await] = ACTIONS(3977),
    [anon_sym_foreach] = ACTIONS(3977),
    [anon_sym_goto] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_DOT_DOT] = ACTIONS(3979),
    [anon_sym_from] = ACTIONS(3977),
    [anon_sym_into] = ACTIONS(3977),
    [anon_sym_join] = ACTIONS(3977),
    [anon_sym_on] = ACTIONS(3977),
    [anon_sym_equals] = ACTIONS(3977),
    [anon_sym_let] = ACTIONS(3977),
    [anon_sym_orderby] = ACTIONS(3977),
    [anon_sym_ascending] = ACTIONS(3977),
    [anon_sym_descending] = ACTIONS(3977),
    [anon_sym_group] = ACTIONS(3977),
    [anon_sym_by] = ACTIONS(3977),
    [anon_sym_select] = ACTIONS(3977),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [anon_sym_stackalloc] = ACTIONS(3977),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym_typeof] = ACTIONS(3977),
    [anon_sym___makeref] = ACTIONS(3977),
    [anon_sym___reftype] = ACTIONS(3977),
    [anon_sym___refvalue] = ACTIONS(3977),
    [sym_null_literal] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3979),
    [sym_integer_literal] = ACTIONS(3977),
    [sym_real_literal] = ACTIONS(3979),
    [sym_verbatim_string_literal] = ACTIONS(3979),
    [aux_sym_preproc_if_token1] = ACTIONS(3979),
    [aux_sym_preproc_if_token3] = ACTIONS(3979),
    [aux_sym_preproc_else_token1] = ACTIONS(3979),
    [aux_sym_preproc_elif_token1] = ACTIONS(3979),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3979),
    [sym_interpolation_verbatim_start] = ACTIONS(3979),
    [sym_interpolation_raw_start] = ACTIONS(3979),
    [sym_raw_string_start] = ACTIONS(3979),
  },
  [2435] = {
    [sym_preproc_region] = STATE(2435),
    [sym_preproc_endregion] = STATE(2435),
    [sym_preproc_line] = STATE(2435),
    [sym_preproc_pragma] = STATE(2435),
    [sym_preproc_nullable] = STATE(2435),
    [sym_preproc_error] = STATE(2435),
    [sym_preproc_define] = STATE(2435),
    [sym_preproc_undef] = STATE(2435),
    [sym__identifier_token] = ACTIONS(3981),
    [anon_sym_extern] = ACTIONS(3981),
    [anon_sym_alias] = ACTIONS(3981),
    [anon_sym_SEMI] = ACTIONS(3983),
    [anon_sym_global] = ACTIONS(3981),
    [anon_sym_using] = ACTIONS(3981),
    [anon_sym_unsafe] = ACTIONS(3981),
    [anon_sym_static] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_LPAREN] = ACTIONS(3983),
    [anon_sym_return] = ACTIONS(3981),
    [anon_sym_namespace] = ACTIONS(3981),
    [anon_sym_class] = ACTIONS(3981),
    [anon_sym_ref] = ACTIONS(3981),
    [anon_sym_struct] = ACTIONS(3981),
    [anon_sym_enum] = ACTIONS(3981),
    [anon_sym_LBRACE] = ACTIONS(3983),
    [anon_sym_interface] = ACTIONS(3981),
    [anon_sym_delegate] = ACTIONS(3981),
    [anon_sym_record] = ACTIONS(3981),
    [anon_sym_abstract] = ACTIONS(3981),
    [anon_sym_async] = ACTIONS(3981),
    [anon_sym_const] = ACTIONS(3981),
    [anon_sym_file] = ACTIONS(3981),
    [anon_sym_fixed] = ACTIONS(3981),
    [anon_sym_internal] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3981),
    [anon_sym_override] = ACTIONS(3981),
    [anon_sym_partial] = ACTIONS(3981),
    [anon_sym_private] = ACTIONS(3981),
    [anon_sym_protected] = ACTIONS(3981),
    [anon_sym_public] = ACTIONS(3981),
    [anon_sym_readonly] = ACTIONS(3981),
    [anon_sym_required] = ACTIONS(3981),
    [anon_sym_sealed] = ACTIONS(3981),
    [anon_sym_virtual] = ACTIONS(3981),
    [anon_sym_volatile] = ACTIONS(3981),
    [anon_sym_where] = ACTIONS(3981),
    [anon_sym_notnull] = ACTIONS(3981),
    [anon_sym_unmanaged] = ACTIONS(3981),
    [anon_sym_checked] = ACTIONS(3981),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_PLUS_PLUS] = ACTIONS(3983),
    [anon_sym_DASH_DASH] = ACTIONS(3983),
    [anon_sym_true] = ACTIONS(3981),
    [anon_sym_false] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(3983),
    [anon_sym_CARET] = ACTIONS(3983),
    [anon_sym_AMP] = ACTIONS(3983),
    [anon_sym_this] = ACTIONS(3981),
    [anon_sym_scoped] = ACTIONS(3981),
    [anon_sym_base] = ACTIONS(3981),
    [anon_sym_var] = ACTIONS(3981),
    [sym_predefined_type] = ACTIONS(3981),
    [anon_sym_break] = ACTIONS(3981),
    [anon_sym_unchecked] = ACTIONS(3981),
    [anon_sym_continue] = ACTIONS(3981),
    [anon_sym_do] = ACTIONS(3981),
    [anon_sym_while] = ACTIONS(3981),
    [anon_sym_for] = ACTIONS(3981),
    [anon_sym_lock] = ACTIONS(3981),
    [anon_sym_yield] = ACTIONS(3981),
    [anon_sym_switch] = ACTIONS(3981),
    [anon_sym_default] = ACTIONS(3981),
    [anon_sym_throw] = ACTIONS(3981),
    [anon_sym_try] = ACTIONS(3981),
    [anon_sym_when] = ACTIONS(3981),
    [anon_sym_await] = ACTIONS(3981),
    [anon_sym_foreach] = ACTIONS(3981),
    [anon_sym_goto] = ACTIONS(3981),
    [anon_sym_if] = ACTIONS(3981),
    [anon_sym_DOT_DOT] = ACTIONS(3983),
    [anon_sym_from] = ACTIONS(3981),
    [anon_sym_into] = ACTIONS(3981),
    [anon_sym_join] = ACTIONS(3981),
    [anon_sym_on] = ACTIONS(3981),
    [anon_sym_equals] = ACTIONS(3981),
    [anon_sym_let] = ACTIONS(3981),
    [anon_sym_orderby] = ACTIONS(3981),
    [anon_sym_ascending] = ACTIONS(3981),
    [anon_sym_descending] = ACTIONS(3981),
    [anon_sym_group] = ACTIONS(3981),
    [anon_sym_by] = ACTIONS(3981),
    [anon_sym_select] = ACTIONS(3981),
    [anon_sym_DQUOTE] = ACTIONS(3983),
    [anon_sym_stackalloc] = ACTIONS(3981),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym_typeof] = ACTIONS(3981),
    [anon_sym___makeref] = ACTIONS(3981),
    [anon_sym___reftype] = ACTIONS(3981),
    [anon_sym___refvalue] = ACTIONS(3981),
    [sym_null_literal] = ACTIONS(3981),
    [anon_sym_SQUOTE] = ACTIONS(3983),
    [sym_integer_literal] = ACTIONS(3981),
    [sym_real_literal] = ACTIONS(3983),
    [sym_verbatim_string_literal] = ACTIONS(3983),
    [aux_sym_preproc_if_token1] = ACTIONS(3983),
    [aux_sym_preproc_if_token3] = ACTIONS(3983),
    [aux_sym_preproc_else_token1] = ACTIONS(3983),
    [aux_sym_preproc_elif_token1] = ACTIONS(3983),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3983),
    [sym_interpolation_verbatim_start] = ACTIONS(3983),
    [sym_interpolation_raw_start] = ACTIONS(3983),
    [sym_raw_string_start] = ACTIONS(3983),
  },
  [2436] = {
    [sym_preproc_region] = STATE(2436),
    [sym_preproc_endregion] = STATE(2436),
    [sym_preproc_line] = STATE(2436),
    [sym_preproc_pragma] = STATE(2436),
    [sym_preproc_nullable] = STATE(2436),
    [sym_preproc_error] = STATE(2436),
    [sym_preproc_define] = STATE(2436),
    [sym_preproc_undef] = STATE(2436),
    [ts_builtin_sym_end] = ACTIONS(3375),
    [sym__identifier_token] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym_alias] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_global] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_unsafe] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_ref] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_interface] = ACTIONS(3373),
    [anon_sym_delegate] = ACTIONS(3373),
    [anon_sym_record] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_file] = ACTIONS(3373),
    [anon_sym_fixed] = ACTIONS(3373),
    [anon_sym_internal] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_partial] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_required] = ACTIONS(3373),
    [anon_sym_sealed] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_where] = ACTIONS(3373),
    [anon_sym_notnull] = ACTIONS(3373),
    [anon_sym_unmanaged] = ACTIONS(3373),
    [anon_sym_checked] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_true] = ACTIONS(3373),
    [anon_sym_false] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_this] = ACTIONS(3373),
    [anon_sym_scoped] = ACTIONS(3373),
    [anon_sym_base] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [sym_predefined_type] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_unchecked] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_lock] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_when] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_foreach] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_DOT_DOT] = ACTIONS(3375),
    [anon_sym_from] = ACTIONS(3373),
    [anon_sym_into] = ACTIONS(3373),
    [anon_sym_join] = ACTIONS(3373),
    [anon_sym_on] = ACTIONS(3373),
    [anon_sym_equals] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_orderby] = ACTIONS(3373),
    [anon_sym_ascending] = ACTIONS(3373),
    [anon_sym_descending] = ACTIONS(3373),
    [anon_sym_group] = ACTIONS(3373),
    [anon_sym_by] = ACTIONS(3373),
    [anon_sym_select] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_stackalloc] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym___makeref] = ACTIONS(3373),
    [anon_sym___reftype] = ACTIONS(3373),
    [anon_sym___refvalue] = ACTIONS(3373),
    [sym_null_literal] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [sym_integer_literal] = ACTIONS(3373),
    [sym_real_literal] = ACTIONS(3375),
    [sym_verbatim_string_literal] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3375),
    [sym_interpolation_verbatim_start] = ACTIONS(3375),
    [sym_interpolation_raw_start] = ACTIONS(3375),
    [sym_raw_string_start] = ACTIONS(3375),
  },
  [2437] = {
    [sym_catch_clause] = STATE(2650),
    [sym_finally_clause] = STATE(2702),
    [sym_preproc_region] = STATE(2437),
    [sym_preproc_endregion] = STATE(2437),
    [sym_preproc_line] = STATE(2437),
    [sym_preproc_pragma] = STATE(2437),
    [sym_preproc_nullable] = STATE(2437),
    [sym_preproc_error] = STATE(2437),
    [sym_preproc_define] = STATE(2437),
    [sym_preproc_undef] = STATE(2437),
    [aux_sym_try_statement_repeat1] = STATE(2514),
    [sym__identifier_token] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym_alias] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym_global] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_unsafe] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3011),
    [anon_sym_LPAREN] = ACTIONS(3011),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_ref] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_delegate] = ACTIONS(3009),
    [anon_sym_abstract] = ACTIONS(3009),
    [anon_sym_async] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_file] = ACTIONS(3009),
    [anon_sym_fixed] = ACTIONS(3009),
    [anon_sym_internal] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_override] = ACTIONS(3009),
    [anon_sym_partial] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_required] = ACTIONS(3009),
    [anon_sym_sealed] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_where] = ACTIONS(3009),
    [anon_sym_notnull] = ACTIONS(3009),
    [anon_sym_unmanaged] = ACTIONS(3009),
    [anon_sym_checked] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_CARET] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3011),
    [anon_sym_this] = ACTIONS(3009),
    [anon_sym_scoped] = ACTIONS(3009),
    [anon_sym_base] = ACTIONS(3009),
    [anon_sym_var] = ACTIONS(3009),
    [sym_predefined_type] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_unchecked] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_lock] = ACTIONS(3009),
    [anon_sym_yield] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_catch] = ACTIONS(3985),
    [anon_sym_when] = ACTIONS(3009),
    [anon_sym_finally] = ACTIONS(3987),
    [anon_sym_await] = ACTIONS(3009),
    [anon_sym_foreach] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_else] = ACTIONS(3009),
    [anon_sym_DOT_DOT] = ACTIONS(3011),
    [anon_sym_from] = ACTIONS(3009),
    [anon_sym_into] = ACTIONS(3009),
    [anon_sym_join] = ACTIONS(3009),
    [anon_sym_on] = ACTIONS(3009),
    [anon_sym_equals] = ACTIONS(3009),
    [anon_sym_let] = ACTIONS(3009),
    [anon_sym_orderby] = ACTIONS(3009),
    [anon_sym_ascending] = ACTIONS(3009),
    [anon_sym_descending] = ACTIONS(3009),
    [anon_sym_group] = ACTIONS(3009),
    [anon_sym_by] = ACTIONS(3009),
    [anon_sym_select] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [anon_sym_stackalloc] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym_typeof] = ACTIONS(3009),
    [anon_sym___makeref] = ACTIONS(3009),
    [anon_sym___reftype] = ACTIONS(3009),
    [anon_sym___refvalue] = ACTIONS(3009),
    [sym_null_literal] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [sym_integer_literal] = ACTIONS(3009),
    [sym_real_literal] = ACTIONS(3011),
    [sym_verbatim_string_literal] = ACTIONS(3011),
    [aux_sym_preproc_if_token1] = ACTIONS(3011),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3011),
    [sym_interpolation_verbatim_start] = ACTIONS(3011),
    [sym_interpolation_raw_start] = ACTIONS(3011),
    [sym_raw_string_start] = ACTIONS(3011),
  },
  [2438] = {
    [sym_preproc_region] = STATE(2438),
    [sym_preproc_endregion] = STATE(2438),
    [sym_preproc_line] = STATE(2438),
    [sym_preproc_pragma] = STATE(2438),
    [sym_preproc_nullable] = STATE(2438),
    [sym_preproc_error] = STATE(2438),
    [sym_preproc_define] = STATE(2438),
    [sym_preproc_undef] = STATE(2438),
    [ts_builtin_sym_end] = ACTIONS(3299),
    [sym__identifier_token] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym_alias] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_global] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_unsafe] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_namespace] = ACTIONS(3297),
    [anon_sym_class] = ACTIONS(3297),
    [anon_sym_ref] = ACTIONS(3297),
    [anon_sym_struct] = ACTIONS(3297),
    [anon_sym_enum] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_interface] = ACTIONS(3297),
    [anon_sym_delegate] = ACTIONS(3297),
    [anon_sym_record] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_file] = ACTIONS(3297),
    [anon_sym_fixed] = ACTIONS(3297),
    [anon_sym_internal] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_partial] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_required] = ACTIONS(3297),
    [anon_sym_sealed] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_where] = ACTIONS(3297),
    [anon_sym_notnull] = ACTIONS(3297),
    [anon_sym_unmanaged] = ACTIONS(3297),
    [anon_sym_checked] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_true] = ACTIONS(3297),
    [anon_sym_false] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym_this] = ACTIONS(3297),
    [anon_sym_scoped] = ACTIONS(3297),
    [anon_sym_base] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [sym_predefined_type] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_unchecked] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_lock] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_when] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_foreach] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_DOT_DOT] = ACTIONS(3299),
    [anon_sym_from] = ACTIONS(3297),
    [anon_sym_into] = ACTIONS(3297),
    [anon_sym_join] = ACTIONS(3297),
    [anon_sym_on] = ACTIONS(3297),
    [anon_sym_equals] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_orderby] = ACTIONS(3297),
    [anon_sym_ascending] = ACTIONS(3297),
    [anon_sym_descending] = ACTIONS(3297),
    [anon_sym_group] = ACTIONS(3297),
    [anon_sym_by] = ACTIONS(3297),
    [anon_sym_select] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_stackalloc] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym___makeref] = ACTIONS(3297),
    [anon_sym___reftype] = ACTIONS(3297),
    [anon_sym___refvalue] = ACTIONS(3297),
    [sym_null_literal] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [sym_integer_literal] = ACTIONS(3297),
    [sym_real_literal] = ACTIONS(3299),
    [sym_verbatim_string_literal] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3299),
    [sym_interpolation_verbatim_start] = ACTIONS(3299),
    [sym_interpolation_raw_start] = ACTIONS(3299),
    [sym_raw_string_start] = ACTIONS(3299),
  },
  [2439] = {
    [sym_preproc_region] = STATE(2439),
    [sym_preproc_endregion] = STATE(2439),
    [sym_preproc_line] = STATE(2439),
    [sym_preproc_pragma] = STATE(2439),
    [sym_preproc_nullable] = STATE(2439),
    [sym_preproc_error] = STATE(2439),
    [sym_preproc_define] = STATE(2439),
    [sym_preproc_undef] = STATE(2439),
    [ts_builtin_sym_end] = ACTIONS(3303),
    [sym__identifier_token] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym_alias] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_global] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_unsafe] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_namespace] = ACTIONS(3301),
    [anon_sym_class] = ACTIONS(3301),
    [anon_sym_ref] = ACTIONS(3301),
    [anon_sym_struct] = ACTIONS(3301),
    [anon_sym_enum] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_interface] = ACTIONS(3301),
    [anon_sym_delegate] = ACTIONS(3301),
    [anon_sym_record] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_file] = ACTIONS(3301),
    [anon_sym_fixed] = ACTIONS(3301),
    [anon_sym_internal] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_partial] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_required] = ACTIONS(3301),
    [anon_sym_sealed] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_where] = ACTIONS(3301),
    [anon_sym_notnull] = ACTIONS(3301),
    [anon_sym_unmanaged] = ACTIONS(3301),
    [anon_sym_checked] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_true] = ACTIONS(3301),
    [anon_sym_false] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_this] = ACTIONS(3301),
    [anon_sym_scoped] = ACTIONS(3301),
    [anon_sym_base] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [sym_predefined_type] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_unchecked] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_lock] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_when] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_foreach] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_else] = ACTIONS(3301),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_from] = ACTIONS(3301),
    [anon_sym_into] = ACTIONS(3301),
    [anon_sym_join] = ACTIONS(3301),
    [anon_sym_on] = ACTIONS(3301),
    [anon_sym_equals] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_orderby] = ACTIONS(3301),
    [anon_sym_ascending] = ACTIONS(3301),
    [anon_sym_descending] = ACTIONS(3301),
    [anon_sym_group] = ACTIONS(3301),
    [anon_sym_by] = ACTIONS(3301),
    [anon_sym_select] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_stackalloc] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym___makeref] = ACTIONS(3301),
    [anon_sym___reftype] = ACTIONS(3301),
    [anon_sym___refvalue] = ACTIONS(3301),
    [sym_null_literal] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [sym_integer_literal] = ACTIONS(3301),
    [sym_real_literal] = ACTIONS(3303),
    [sym_verbatim_string_literal] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3303),
    [sym_interpolation_verbatim_start] = ACTIONS(3303),
    [sym_interpolation_raw_start] = ACTIONS(3303),
    [sym_raw_string_start] = ACTIONS(3303),
  },
  [2440] = {
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7359),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6816),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2440),
    [sym_preproc_endregion] = STATE(2440),
    [sym_preproc_line] = STATE(2440),
    [sym_preproc_pragma] = STATE(2440),
    [sym_preproc_nullable] = STATE(2440),
    [sym_preproc_error] = STATE(2440),
    [sym_preproc_define] = STATE(2440),
    [sym_preproc_undef] = STATE(2440),
    [sym__identifier_token] = ACTIONS(3989),
    [anon_sym_alias] = ACTIONS(3992),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(3992),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3999),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3992),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3992),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3992),
    [anon_sym_unmanaged] = ACTIONS(3992),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4006),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4009),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3992),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3992),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3992),
    [anon_sym_into] = ACTIONS(3992),
    [anon_sym_join] = ACTIONS(3992),
    [anon_sym_on] = ACTIONS(3992),
    [anon_sym_equals] = ACTIONS(3992),
    [anon_sym_let] = ACTIONS(3992),
    [anon_sym_orderby] = ACTIONS(3992),
    [anon_sym_ascending] = ACTIONS(3992),
    [anon_sym_descending] = ACTIONS(3992),
    [anon_sym_group] = ACTIONS(3992),
    [anon_sym_by] = ACTIONS(3992),
    [anon_sym_select] = ACTIONS(3992),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2441] = {
    [sym_preproc_region] = STATE(2441),
    [sym_preproc_endregion] = STATE(2441),
    [sym_preproc_line] = STATE(2441),
    [sym_preproc_pragma] = STATE(2441),
    [sym_preproc_nullable] = STATE(2441),
    [sym_preproc_error] = STATE(2441),
    [sym_preproc_define] = STATE(2441),
    [sym_preproc_undef] = STATE(2441),
    [ts_builtin_sym_end] = ACTIONS(3151),
    [sym__identifier_token] = ACTIONS(3149),
    [anon_sym_extern] = ACTIONS(3149),
    [anon_sym_alias] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3151),
    [anon_sym_global] = ACTIONS(3149),
    [anon_sym_using] = ACTIONS(3149),
    [anon_sym_unsafe] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3149),
    [anon_sym_namespace] = ACTIONS(3149),
    [anon_sym_class] = ACTIONS(3149),
    [anon_sym_ref] = ACTIONS(3149),
    [anon_sym_struct] = ACTIONS(3149),
    [anon_sym_enum] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_interface] = ACTIONS(3149),
    [anon_sym_delegate] = ACTIONS(3149),
    [anon_sym_record] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_const] = ACTIONS(3149),
    [anon_sym_file] = ACTIONS(3149),
    [anon_sym_fixed] = ACTIONS(3149),
    [anon_sym_internal] = ACTIONS(3149),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_override] = ACTIONS(3149),
    [anon_sym_partial] = ACTIONS(3149),
    [anon_sym_private] = ACTIONS(3149),
    [anon_sym_protected] = ACTIONS(3149),
    [anon_sym_public] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_required] = ACTIONS(3149),
    [anon_sym_sealed] = ACTIONS(3149),
    [anon_sym_virtual] = ACTIONS(3149),
    [anon_sym_volatile] = ACTIONS(3149),
    [anon_sym_where] = ACTIONS(3149),
    [anon_sym_notnull] = ACTIONS(3149),
    [anon_sym_unmanaged] = ACTIONS(3149),
    [anon_sym_checked] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3151),
    [anon_sym_TILDE] = ACTIONS(3151),
    [anon_sym_PLUS_PLUS] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3151),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3151),
    [anon_sym_CARET] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_this] = ACTIONS(3149),
    [anon_sym_scoped] = ACTIONS(3149),
    [anon_sym_base] = ACTIONS(3149),
    [anon_sym_var] = ACTIONS(3149),
    [sym_predefined_type] = ACTIONS(3149),
    [anon_sym_break] = ACTIONS(3149),
    [anon_sym_unchecked] = ACTIONS(3149),
    [anon_sym_continue] = ACTIONS(3149),
    [anon_sym_do] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(3149),
    [anon_sym_for] = ACTIONS(3149),
    [anon_sym_lock] = ACTIONS(3149),
    [anon_sym_yield] = ACTIONS(3149),
    [anon_sym_switch] = ACTIONS(3149),
    [anon_sym_default] = ACTIONS(3149),
    [anon_sym_throw] = ACTIONS(3149),
    [anon_sym_try] = ACTIONS(3149),
    [anon_sym_when] = ACTIONS(3149),
    [anon_sym_await] = ACTIONS(3149),
    [anon_sym_foreach] = ACTIONS(3149),
    [anon_sym_goto] = ACTIONS(3149),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_else] = ACTIONS(3149),
    [anon_sym_DOT_DOT] = ACTIONS(3151),
    [anon_sym_from] = ACTIONS(3149),
    [anon_sym_into] = ACTIONS(3149),
    [anon_sym_join] = ACTIONS(3149),
    [anon_sym_on] = ACTIONS(3149),
    [anon_sym_equals] = ACTIONS(3149),
    [anon_sym_let] = ACTIONS(3149),
    [anon_sym_orderby] = ACTIONS(3149),
    [anon_sym_ascending] = ACTIONS(3149),
    [anon_sym_descending] = ACTIONS(3149),
    [anon_sym_group] = ACTIONS(3149),
    [anon_sym_by] = ACTIONS(3149),
    [anon_sym_select] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3151),
    [anon_sym_stackalloc] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3149),
    [anon_sym_typeof] = ACTIONS(3149),
    [anon_sym___makeref] = ACTIONS(3149),
    [anon_sym___reftype] = ACTIONS(3149),
    [anon_sym___refvalue] = ACTIONS(3149),
    [sym_null_literal] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3151),
    [sym_integer_literal] = ACTIONS(3149),
    [sym_real_literal] = ACTIONS(3151),
    [sym_verbatim_string_literal] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3151),
    [sym_interpolation_verbatim_start] = ACTIONS(3151),
    [sym_interpolation_raw_start] = ACTIONS(3151),
    [sym_raw_string_start] = ACTIONS(3151),
  },
  [2442] = {
    [sym_preproc_region] = STATE(2442),
    [sym_preproc_endregion] = STATE(2442),
    [sym_preproc_line] = STATE(2442),
    [sym_preproc_pragma] = STATE(2442),
    [sym_preproc_nullable] = STATE(2442),
    [sym_preproc_error] = STATE(2442),
    [sym_preproc_define] = STATE(2442),
    [sym_preproc_undef] = STATE(2442),
    [ts_builtin_sym_end] = ACTIONS(3307),
    [sym__identifier_token] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym_alias] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_global] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_unsafe] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_namespace] = ACTIONS(3305),
    [anon_sym_class] = ACTIONS(3305),
    [anon_sym_ref] = ACTIONS(3305),
    [anon_sym_struct] = ACTIONS(3305),
    [anon_sym_enum] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_interface] = ACTIONS(3305),
    [anon_sym_delegate] = ACTIONS(3305),
    [anon_sym_record] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_file] = ACTIONS(3305),
    [anon_sym_fixed] = ACTIONS(3305),
    [anon_sym_internal] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_partial] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_required] = ACTIONS(3305),
    [anon_sym_sealed] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_where] = ACTIONS(3305),
    [anon_sym_notnull] = ACTIONS(3305),
    [anon_sym_unmanaged] = ACTIONS(3305),
    [anon_sym_checked] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3305),
    [anon_sym_false] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_CARET] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3307),
    [anon_sym_this] = ACTIONS(3305),
    [anon_sym_scoped] = ACTIONS(3305),
    [anon_sym_base] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [sym_predefined_type] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_unchecked] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_lock] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_when] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_foreach] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_else] = ACTIONS(3305),
    [anon_sym_DOT_DOT] = ACTIONS(3307),
    [anon_sym_from] = ACTIONS(3305),
    [anon_sym_into] = ACTIONS(3305),
    [anon_sym_join] = ACTIONS(3305),
    [anon_sym_on] = ACTIONS(3305),
    [anon_sym_equals] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_orderby] = ACTIONS(3305),
    [anon_sym_ascending] = ACTIONS(3305),
    [anon_sym_descending] = ACTIONS(3305),
    [anon_sym_group] = ACTIONS(3305),
    [anon_sym_by] = ACTIONS(3305),
    [anon_sym_select] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_stackalloc] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym___makeref] = ACTIONS(3305),
    [anon_sym___reftype] = ACTIONS(3305),
    [anon_sym___refvalue] = ACTIONS(3305),
    [sym_null_literal] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [sym_integer_literal] = ACTIONS(3305),
    [sym_real_literal] = ACTIONS(3307),
    [sym_verbatim_string_literal] = ACTIONS(3307),
    [aux_sym_preproc_if_token1] = ACTIONS(3307),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3307),
    [sym_interpolation_verbatim_start] = ACTIONS(3307),
    [sym_interpolation_raw_start] = ACTIONS(3307),
    [sym_raw_string_start] = ACTIONS(3307),
  },
  [2443] = {
    [sym_preproc_region] = STATE(2443),
    [sym_preproc_endregion] = STATE(2443),
    [sym_preproc_line] = STATE(2443),
    [sym_preproc_pragma] = STATE(2443),
    [sym_preproc_nullable] = STATE(2443),
    [sym_preproc_error] = STATE(2443),
    [sym_preproc_define] = STATE(2443),
    [sym_preproc_undef] = STATE(2443),
    [ts_builtin_sym_end] = ACTIONS(3311),
    [sym__identifier_token] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym_alias] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_global] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_unsafe] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_ref] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_interface] = ACTIONS(3309),
    [anon_sym_delegate] = ACTIONS(3309),
    [anon_sym_record] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_file] = ACTIONS(3309),
    [anon_sym_fixed] = ACTIONS(3309),
    [anon_sym_internal] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_partial] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_sealed] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_where] = ACTIONS(3309),
    [anon_sym_notnull] = ACTIONS(3309),
    [anon_sym_unmanaged] = ACTIONS(3309),
    [anon_sym_checked] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_CARET] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3311),
    [anon_sym_this] = ACTIONS(3309),
    [anon_sym_scoped] = ACTIONS(3309),
    [anon_sym_base] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [sym_predefined_type] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_unchecked] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_lock] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_when] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_foreach] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_DOT_DOT] = ACTIONS(3311),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_into] = ACTIONS(3309),
    [anon_sym_join] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_equals] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_orderby] = ACTIONS(3309),
    [anon_sym_ascending] = ACTIONS(3309),
    [anon_sym_descending] = ACTIONS(3309),
    [anon_sym_group] = ACTIONS(3309),
    [anon_sym_by] = ACTIONS(3309),
    [anon_sym_select] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_stackalloc] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym___makeref] = ACTIONS(3309),
    [anon_sym___reftype] = ACTIONS(3309),
    [anon_sym___refvalue] = ACTIONS(3309),
    [sym_null_literal] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [sym_integer_literal] = ACTIONS(3309),
    [sym_real_literal] = ACTIONS(3311),
    [sym_verbatim_string_literal] = ACTIONS(3311),
    [aux_sym_preproc_if_token1] = ACTIONS(3311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3311),
    [sym_interpolation_verbatim_start] = ACTIONS(3311),
    [sym_interpolation_raw_start] = ACTIONS(3311),
    [sym_raw_string_start] = ACTIONS(3311),
  },
  [2444] = {
    [sym_preproc_region] = STATE(2444),
    [sym_preproc_endregion] = STATE(2444),
    [sym_preproc_line] = STATE(2444),
    [sym_preproc_pragma] = STATE(2444),
    [sym_preproc_nullable] = STATE(2444),
    [sym_preproc_error] = STATE(2444),
    [sym_preproc_define] = STATE(2444),
    [sym_preproc_undef] = STATE(2444),
    [ts_builtin_sym_end] = ACTIONS(3115),
    [sym__identifier_token] = ACTIONS(3113),
    [anon_sym_extern] = ACTIONS(3113),
    [anon_sym_alias] = ACTIONS(3113),
    [anon_sym_SEMI] = ACTIONS(3115),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_using] = ACTIONS(3113),
    [anon_sym_unsafe] = ACTIONS(3113),
    [anon_sym_static] = ACTIONS(3113),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3113),
    [anon_sym_namespace] = ACTIONS(3113),
    [anon_sym_class] = ACTIONS(3113),
    [anon_sym_ref] = ACTIONS(3113),
    [anon_sym_struct] = ACTIONS(3113),
    [anon_sym_enum] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_interface] = ACTIONS(3113),
    [anon_sym_delegate] = ACTIONS(3113),
    [anon_sym_record] = ACTIONS(3113),
    [anon_sym_abstract] = ACTIONS(3113),
    [anon_sym_async] = ACTIONS(3113),
    [anon_sym_const] = ACTIONS(3113),
    [anon_sym_file] = ACTIONS(3113),
    [anon_sym_fixed] = ACTIONS(3113),
    [anon_sym_internal] = ACTIONS(3113),
    [anon_sym_new] = ACTIONS(3113),
    [anon_sym_override] = ACTIONS(3113),
    [anon_sym_partial] = ACTIONS(3113),
    [anon_sym_private] = ACTIONS(3113),
    [anon_sym_protected] = ACTIONS(3113),
    [anon_sym_public] = ACTIONS(3113),
    [anon_sym_readonly] = ACTIONS(3113),
    [anon_sym_required] = ACTIONS(3113),
    [anon_sym_sealed] = ACTIONS(3113),
    [anon_sym_virtual] = ACTIONS(3113),
    [anon_sym_volatile] = ACTIONS(3113),
    [anon_sym_where] = ACTIONS(3113),
    [anon_sym_notnull] = ACTIONS(3113),
    [anon_sym_unmanaged] = ACTIONS(3113),
    [anon_sym_checked] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3115),
    [anon_sym_TILDE] = ACTIONS(3115),
    [anon_sym_PLUS_PLUS] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3115),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3113),
    [anon_sym_STAR] = ACTIONS(3115),
    [anon_sym_CARET] = ACTIONS(3115),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_this] = ACTIONS(3113),
    [anon_sym_scoped] = ACTIONS(3113),
    [anon_sym_base] = ACTIONS(3113),
    [anon_sym_var] = ACTIONS(3113),
    [sym_predefined_type] = ACTIONS(3113),
    [anon_sym_break] = ACTIONS(3113),
    [anon_sym_unchecked] = ACTIONS(3113),
    [anon_sym_continue] = ACTIONS(3113),
    [anon_sym_do] = ACTIONS(3113),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3113),
    [anon_sym_lock] = ACTIONS(3113),
    [anon_sym_yield] = ACTIONS(3113),
    [anon_sym_switch] = ACTIONS(3113),
    [anon_sym_default] = ACTIONS(3113),
    [anon_sym_throw] = ACTIONS(3113),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_when] = ACTIONS(3113),
    [anon_sym_await] = ACTIONS(3113),
    [anon_sym_foreach] = ACTIONS(3113),
    [anon_sym_goto] = ACTIONS(3113),
    [anon_sym_if] = ACTIONS(3113),
    [anon_sym_else] = ACTIONS(3113),
    [anon_sym_DOT_DOT] = ACTIONS(3115),
    [anon_sym_from] = ACTIONS(3113),
    [anon_sym_into] = ACTIONS(3113),
    [anon_sym_join] = ACTIONS(3113),
    [anon_sym_on] = ACTIONS(3113),
    [anon_sym_equals] = ACTIONS(3113),
    [anon_sym_let] = ACTIONS(3113),
    [anon_sym_orderby] = ACTIONS(3113),
    [anon_sym_ascending] = ACTIONS(3113),
    [anon_sym_descending] = ACTIONS(3113),
    [anon_sym_group] = ACTIONS(3113),
    [anon_sym_by] = ACTIONS(3113),
    [anon_sym_select] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3115),
    [anon_sym_stackalloc] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3113),
    [anon_sym_typeof] = ACTIONS(3113),
    [anon_sym___makeref] = ACTIONS(3113),
    [anon_sym___reftype] = ACTIONS(3113),
    [anon_sym___refvalue] = ACTIONS(3113),
    [sym_null_literal] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [sym_integer_literal] = ACTIONS(3113),
    [sym_real_literal] = ACTIONS(3115),
    [sym_verbatim_string_literal] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3115),
    [sym_interpolation_verbatim_start] = ACTIONS(3115),
    [sym_interpolation_raw_start] = ACTIONS(3115),
    [sym_raw_string_start] = ACTIONS(3115),
  },
  [2445] = {
    [sym_preproc_region] = STATE(2445),
    [sym_preproc_endregion] = STATE(2445),
    [sym_preproc_line] = STATE(2445),
    [sym_preproc_pragma] = STATE(2445),
    [sym_preproc_nullable] = STATE(2445),
    [sym_preproc_error] = STATE(2445),
    [sym_preproc_define] = STATE(2445),
    [sym_preproc_undef] = STATE(2445),
    [ts_builtin_sym_end] = ACTIONS(3107),
    [sym__identifier_token] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3105),
    [anon_sym_alias] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_global] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_unsafe] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_namespace] = ACTIONS(3105),
    [anon_sym_class] = ACTIONS(3105),
    [anon_sym_ref] = ACTIONS(3105),
    [anon_sym_struct] = ACTIONS(3105),
    [anon_sym_enum] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_interface] = ACTIONS(3105),
    [anon_sym_delegate] = ACTIONS(3105),
    [anon_sym_record] = ACTIONS(3105),
    [anon_sym_abstract] = ACTIONS(3105),
    [anon_sym_async] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_file] = ACTIONS(3105),
    [anon_sym_fixed] = ACTIONS(3105),
    [anon_sym_internal] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_override] = ACTIONS(3105),
    [anon_sym_partial] = ACTIONS(3105),
    [anon_sym_private] = ACTIONS(3105),
    [anon_sym_protected] = ACTIONS(3105),
    [anon_sym_public] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3105),
    [anon_sym_required] = ACTIONS(3105),
    [anon_sym_sealed] = ACTIONS(3105),
    [anon_sym_virtual] = ACTIONS(3105),
    [anon_sym_volatile] = ACTIONS(3105),
    [anon_sym_where] = ACTIONS(3105),
    [anon_sym_notnull] = ACTIONS(3105),
    [anon_sym_unmanaged] = ACTIONS(3105),
    [anon_sym_checked] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_true] = ACTIONS(3105),
    [anon_sym_false] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_this] = ACTIONS(3105),
    [anon_sym_scoped] = ACTIONS(3105),
    [anon_sym_base] = ACTIONS(3105),
    [anon_sym_var] = ACTIONS(3105),
    [sym_predefined_type] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_unchecked] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_lock] = ACTIONS(3105),
    [anon_sym_yield] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_when] = ACTIONS(3105),
    [anon_sym_await] = ACTIONS(3105),
    [anon_sym_foreach] = ACTIONS(3105),
    [anon_sym_goto] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_else] = ACTIONS(3105),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_from] = ACTIONS(3105),
    [anon_sym_into] = ACTIONS(3105),
    [anon_sym_join] = ACTIONS(3105),
    [anon_sym_on] = ACTIONS(3105),
    [anon_sym_equals] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3105),
    [anon_sym_orderby] = ACTIONS(3105),
    [anon_sym_ascending] = ACTIONS(3105),
    [anon_sym_descending] = ACTIONS(3105),
    [anon_sym_group] = ACTIONS(3105),
    [anon_sym_by] = ACTIONS(3105),
    [anon_sym_select] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_stackalloc] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3105),
    [anon_sym_typeof] = ACTIONS(3105),
    [anon_sym___makeref] = ACTIONS(3105),
    [anon_sym___reftype] = ACTIONS(3105),
    [anon_sym___refvalue] = ACTIONS(3105),
    [sym_null_literal] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(3105),
    [sym_real_literal] = ACTIONS(3107),
    [sym_verbatim_string_literal] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3107),
    [sym_interpolation_verbatim_start] = ACTIONS(3107),
    [sym_interpolation_raw_start] = ACTIONS(3107),
    [sym_raw_string_start] = ACTIONS(3107),
  },
  [2446] = {
    [sym_preproc_region] = STATE(2446),
    [sym_preproc_endregion] = STATE(2446),
    [sym_preproc_line] = STATE(2446),
    [sym_preproc_pragma] = STATE(2446),
    [sym_preproc_nullable] = STATE(2446),
    [sym_preproc_error] = STATE(2446),
    [sym_preproc_define] = STATE(2446),
    [sym_preproc_undef] = STATE(2446),
    [ts_builtin_sym_end] = ACTIONS(3049),
    [sym__identifier_token] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym_alias] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym_global] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_unsafe] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_ref] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_interface] = ACTIONS(3047),
    [anon_sym_delegate] = ACTIONS(3047),
    [anon_sym_record] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3047),
    [anon_sym_async] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_file] = ACTIONS(3047),
    [anon_sym_fixed] = ACTIONS(3047),
    [anon_sym_internal] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_override] = ACTIONS(3047),
    [anon_sym_partial] = ACTIONS(3047),
    [anon_sym_private] = ACTIONS(3047),
    [anon_sym_protected] = ACTIONS(3047),
    [anon_sym_public] = ACTIONS(3047),
    [anon_sym_readonly] = ACTIONS(3047),
    [anon_sym_required] = ACTIONS(3047),
    [anon_sym_sealed] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_where] = ACTIONS(3047),
    [anon_sym_notnull] = ACTIONS(3047),
    [anon_sym_unmanaged] = ACTIONS(3047),
    [anon_sym_checked] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_true] = ACTIONS(3047),
    [anon_sym_false] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_this] = ACTIONS(3047),
    [anon_sym_scoped] = ACTIONS(3047),
    [anon_sym_base] = ACTIONS(3047),
    [anon_sym_var] = ACTIONS(3047),
    [sym_predefined_type] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_unchecked] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_lock] = ACTIONS(3047),
    [anon_sym_yield] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_when] = ACTIONS(3047),
    [anon_sym_await] = ACTIONS(3047),
    [anon_sym_foreach] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_else] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_from] = ACTIONS(3047),
    [anon_sym_into] = ACTIONS(3047),
    [anon_sym_join] = ACTIONS(3047),
    [anon_sym_on] = ACTIONS(3047),
    [anon_sym_equals] = ACTIONS(3047),
    [anon_sym_let] = ACTIONS(3047),
    [anon_sym_orderby] = ACTIONS(3047),
    [anon_sym_ascending] = ACTIONS(3047),
    [anon_sym_descending] = ACTIONS(3047),
    [anon_sym_group] = ACTIONS(3047),
    [anon_sym_by] = ACTIONS(3047),
    [anon_sym_select] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [anon_sym_stackalloc] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym_typeof] = ACTIONS(3047),
    [anon_sym___makeref] = ACTIONS(3047),
    [anon_sym___reftype] = ACTIONS(3047),
    [anon_sym___refvalue] = ACTIONS(3047),
    [sym_null_literal] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [sym_integer_literal] = ACTIONS(3047),
    [sym_real_literal] = ACTIONS(3049),
    [sym_verbatim_string_literal] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3049),
    [sym_interpolation_verbatim_start] = ACTIONS(3049),
    [sym_interpolation_raw_start] = ACTIONS(3049),
    [sym_raw_string_start] = ACTIONS(3049),
  },
  [2447] = {
    [sym_preproc_region] = STATE(2447),
    [sym_preproc_endregion] = STATE(2447),
    [sym_preproc_line] = STATE(2447),
    [sym_preproc_pragma] = STATE(2447),
    [sym_preproc_nullable] = STATE(2447),
    [sym_preproc_error] = STATE(2447),
    [sym_preproc_define] = STATE(2447),
    [sym_preproc_undef] = STATE(2447),
    [ts_builtin_sym_end] = ACTIONS(3315),
    [sym__identifier_token] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym_alias] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_global] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_unsafe] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_ref] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_interface] = ACTIONS(3313),
    [anon_sym_delegate] = ACTIONS(3313),
    [anon_sym_record] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_file] = ACTIONS(3313),
    [anon_sym_fixed] = ACTIONS(3313),
    [anon_sym_internal] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_partial] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_required] = ACTIONS(3313),
    [anon_sym_sealed] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_where] = ACTIONS(3313),
    [anon_sym_notnull] = ACTIONS(3313),
    [anon_sym_unmanaged] = ACTIONS(3313),
    [anon_sym_checked] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_true] = ACTIONS(3313),
    [anon_sym_false] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_CARET] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_this] = ACTIONS(3313),
    [anon_sym_scoped] = ACTIONS(3313),
    [anon_sym_base] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [sym_predefined_type] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_unchecked] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_lock] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_when] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_foreach] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_DOT_DOT] = ACTIONS(3315),
    [anon_sym_from] = ACTIONS(3313),
    [anon_sym_into] = ACTIONS(3313),
    [anon_sym_join] = ACTIONS(3313),
    [anon_sym_on] = ACTIONS(3313),
    [anon_sym_equals] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_orderby] = ACTIONS(3313),
    [anon_sym_ascending] = ACTIONS(3313),
    [anon_sym_descending] = ACTIONS(3313),
    [anon_sym_group] = ACTIONS(3313),
    [anon_sym_by] = ACTIONS(3313),
    [anon_sym_select] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_stackalloc] = ACTIONS(3313),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym___makeref] = ACTIONS(3313),
    [anon_sym___reftype] = ACTIONS(3313),
    [anon_sym___refvalue] = ACTIONS(3313),
    [sym_null_literal] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [sym_integer_literal] = ACTIONS(3313),
    [sym_real_literal] = ACTIONS(3315),
    [sym_verbatim_string_literal] = ACTIONS(3315),
    [aux_sym_preproc_if_token1] = ACTIONS(3315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3315),
    [sym_interpolation_verbatim_start] = ACTIONS(3315),
    [sym_interpolation_raw_start] = ACTIONS(3315),
    [sym_raw_string_start] = ACTIONS(3315),
  },
  [2448] = {
    [sym_preproc_region] = STATE(2448),
    [sym_preproc_endregion] = STATE(2448),
    [sym_preproc_line] = STATE(2448),
    [sym_preproc_pragma] = STATE(2448),
    [sym_preproc_nullable] = STATE(2448),
    [sym_preproc_error] = STATE(2448),
    [sym_preproc_define] = STATE(2448),
    [sym_preproc_undef] = STATE(2448),
    [ts_builtin_sym_end] = ACTIONS(3175),
    [sym__identifier_token] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym_alias] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym_global] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_unsafe] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_LPAREN] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_namespace] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3173),
    [anon_sym_ref] = ACTIONS(3173),
    [anon_sym_struct] = ACTIONS(3173),
    [anon_sym_enum] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_interface] = ACTIONS(3173),
    [anon_sym_delegate] = ACTIONS(3173),
    [anon_sym_record] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_file] = ACTIONS(3173),
    [anon_sym_fixed] = ACTIONS(3173),
    [anon_sym_internal] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_partial] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_required] = ACTIONS(3173),
    [anon_sym_sealed] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_where] = ACTIONS(3173),
    [anon_sym_notnull] = ACTIONS(3173),
    [anon_sym_unmanaged] = ACTIONS(3173),
    [anon_sym_checked] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3173),
    [anon_sym_false] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_CARET] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_this] = ACTIONS(3173),
    [anon_sym_scoped] = ACTIONS(3173),
    [anon_sym_base] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [sym_predefined_type] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_unchecked] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_lock] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_when] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_foreach] = ACTIONS(3173),
    [anon_sym_goto] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_DOT_DOT] = ACTIONS(3175),
    [anon_sym_from] = ACTIONS(3173),
    [anon_sym_into] = ACTIONS(3173),
    [anon_sym_join] = ACTIONS(3173),
    [anon_sym_on] = ACTIONS(3173),
    [anon_sym_equals] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_orderby] = ACTIONS(3173),
    [anon_sym_ascending] = ACTIONS(3173),
    [anon_sym_descending] = ACTIONS(3173),
    [anon_sym_group] = ACTIONS(3173),
    [anon_sym_by] = ACTIONS(3173),
    [anon_sym_select] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3175),
    [anon_sym_stackalloc] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym___makeref] = ACTIONS(3173),
    [anon_sym___reftype] = ACTIONS(3173),
    [anon_sym___refvalue] = ACTIONS(3173),
    [sym_null_literal] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3175),
    [sym_integer_literal] = ACTIONS(3173),
    [sym_real_literal] = ACTIONS(3175),
    [sym_verbatim_string_literal] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3175),
    [sym_interpolation_verbatim_start] = ACTIONS(3175),
    [sym_interpolation_raw_start] = ACTIONS(3175),
    [sym_raw_string_start] = ACTIONS(3175),
  },
  [2449] = {
    [sym_preproc_region] = STATE(2449),
    [sym_preproc_endregion] = STATE(2449),
    [sym_preproc_line] = STATE(2449),
    [sym_preproc_pragma] = STATE(2449),
    [sym_preproc_nullable] = STATE(2449),
    [sym_preproc_error] = STATE(2449),
    [sym_preproc_define] = STATE(2449),
    [sym_preproc_undef] = STATE(2449),
    [ts_builtin_sym_end] = ACTIONS(3267),
    [sym__identifier_token] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym_alias] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_global] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_unsafe] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_ref] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_interface] = ACTIONS(3265),
    [anon_sym_delegate] = ACTIONS(3265),
    [anon_sym_record] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_file] = ACTIONS(3265),
    [anon_sym_fixed] = ACTIONS(3265),
    [anon_sym_internal] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_partial] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_required] = ACTIONS(3265),
    [anon_sym_sealed] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_where] = ACTIONS(3265),
    [anon_sym_notnull] = ACTIONS(3265),
    [anon_sym_unmanaged] = ACTIONS(3265),
    [anon_sym_checked] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_true] = ACTIONS(3265),
    [anon_sym_false] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_CARET] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_this] = ACTIONS(3265),
    [anon_sym_scoped] = ACTIONS(3265),
    [anon_sym_base] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [sym_predefined_type] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_unchecked] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_lock] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_when] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_foreach] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_else] = ACTIONS(3265),
    [anon_sym_DOT_DOT] = ACTIONS(3267),
    [anon_sym_from] = ACTIONS(3265),
    [anon_sym_into] = ACTIONS(3265),
    [anon_sym_join] = ACTIONS(3265),
    [anon_sym_on] = ACTIONS(3265),
    [anon_sym_equals] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_orderby] = ACTIONS(3265),
    [anon_sym_ascending] = ACTIONS(3265),
    [anon_sym_descending] = ACTIONS(3265),
    [anon_sym_group] = ACTIONS(3265),
    [anon_sym_by] = ACTIONS(3265),
    [anon_sym_select] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_stackalloc] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym___makeref] = ACTIONS(3265),
    [anon_sym___reftype] = ACTIONS(3265),
    [anon_sym___refvalue] = ACTIONS(3265),
    [sym_null_literal] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [sym_integer_literal] = ACTIONS(3265),
    [sym_real_literal] = ACTIONS(3267),
    [sym_verbatim_string_literal] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3267),
    [sym_interpolation_verbatim_start] = ACTIONS(3267),
    [sym_interpolation_raw_start] = ACTIONS(3267),
    [sym_raw_string_start] = ACTIONS(3267),
  },
  [2450] = {
    [sym_preproc_region] = STATE(2450),
    [sym_preproc_endregion] = STATE(2450),
    [sym_preproc_line] = STATE(2450),
    [sym_preproc_pragma] = STATE(2450),
    [sym_preproc_nullable] = STATE(2450),
    [sym_preproc_error] = STATE(2450),
    [sym_preproc_define] = STATE(2450),
    [sym_preproc_undef] = STATE(2450),
    [ts_builtin_sym_end] = ACTIONS(3155),
    [sym__identifier_token] = ACTIONS(3153),
    [anon_sym_extern] = ACTIONS(3153),
    [anon_sym_alias] = ACTIONS(3153),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_global] = ACTIONS(3153),
    [anon_sym_using] = ACTIONS(3153),
    [anon_sym_unsafe] = ACTIONS(3153),
    [anon_sym_static] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3153),
    [anon_sym_namespace] = ACTIONS(3153),
    [anon_sym_class] = ACTIONS(3153),
    [anon_sym_ref] = ACTIONS(3153),
    [anon_sym_struct] = ACTIONS(3153),
    [anon_sym_enum] = ACTIONS(3153),
    [anon_sym_LBRACE] = ACTIONS(3155),
    [anon_sym_interface] = ACTIONS(3153),
    [anon_sym_delegate] = ACTIONS(3153),
    [anon_sym_record] = ACTIONS(3153),
    [anon_sym_abstract] = ACTIONS(3153),
    [anon_sym_async] = ACTIONS(3153),
    [anon_sym_const] = ACTIONS(3153),
    [anon_sym_file] = ACTIONS(3153),
    [anon_sym_fixed] = ACTIONS(3153),
    [anon_sym_internal] = ACTIONS(3153),
    [anon_sym_new] = ACTIONS(3153),
    [anon_sym_override] = ACTIONS(3153),
    [anon_sym_partial] = ACTIONS(3153),
    [anon_sym_private] = ACTIONS(3153),
    [anon_sym_protected] = ACTIONS(3153),
    [anon_sym_public] = ACTIONS(3153),
    [anon_sym_readonly] = ACTIONS(3153),
    [anon_sym_required] = ACTIONS(3153),
    [anon_sym_sealed] = ACTIONS(3153),
    [anon_sym_virtual] = ACTIONS(3153),
    [anon_sym_volatile] = ACTIONS(3153),
    [anon_sym_where] = ACTIONS(3153),
    [anon_sym_notnull] = ACTIONS(3153),
    [anon_sym_unmanaged] = ACTIONS(3153),
    [anon_sym_checked] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3155),
    [anon_sym_TILDE] = ACTIONS(3155),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [anon_sym_true] = ACTIONS(3153),
    [anon_sym_false] = ACTIONS(3153),
    [anon_sym_PLUS] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3155),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_this] = ACTIONS(3153),
    [anon_sym_scoped] = ACTIONS(3153),
    [anon_sym_base] = ACTIONS(3153),
    [anon_sym_var] = ACTIONS(3153),
    [sym_predefined_type] = ACTIONS(3153),
    [anon_sym_break] = ACTIONS(3153),
    [anon_sym_unchecked] = ACTIONS(3153),
    [anon_sym_continue] = ACTIONS(3153),
    [anon_sym_do] = ACTIONS(3153),
    [anon_sym_while] = ACTIONS(3153),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_lock] = ACTIONS(3153),
    [anon_sym_yield] = ACTIONS(3153),
    [anon_sym_switch] = ACTIONS(3153),
    [anon_sym_default] = ACTIONS(3153),
    [anon_sym_throw] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3153),
    [anon_sym_when] = ACTIONS(3153),
    [anon_sym_await] = ACTIONS(3153),
    [anon_sym_foreach] = ACTIONS(3153),
    [anon_sym_goto] = ACTIONS(3153),
    [anon_sym_if] = ACTIONS(3153),
    [anon_sym_else] = ACTIONS(3153),
    [anon_sym_DOT_DOT] = ACTIONS(3155),
    [anon_sym_from] = ACTIONS(3153),
    [anon_sym_into] = ACTIONS(3153),
    [anon_sym_join] = ACTIONS(3153),
    [anon_sym_on] = ACTIONS(3153),
    [anon_sym_equals] = ACTIONS(3153),
    [anon_sym_let] = ACTIONS(3153),
    [anon_sym_orderby] = ACTIONS(3153),
    [anon_sym_ascending] = ACTIONS(3153),
    [anon_sym_descending] = ACTIONS(3153),
    [anon_sym_group] = ACTIONS(3153),
    [anon_sym_by] = ACTIONS(3153),
    [anon_sym_select] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_stackalloc] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3153),
    [anon_sym_typeof] = ACTIONS(3153),
    [anon_sym___makeref] = ACTIONS(3153),
    [anon_sym___reftype] = ACTIONS(3153),
    [anon_sym___refvalue] = ACTIONS(3153),
    [sym_null_literal] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [sym_integer_literal] = ACTIONS(3153),
    [sym_real_literal] = ACTIONS(3155),
    [sym_verbatim_string_literal] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3155),
    [sym_interpolation_verbatim_start] = ACTIONS(3155),
    [sym_interpolation_raw_start] = ACTIONS(3155),
    [sym_raw_string_start] = ACTIONS(3155),
  },
  [2451] = {
    [sym_preproc_region] = STATE(2451),
    [sym_preproc_endregion] = STATE(2451),
    [sym_preproc_line] = STATE(2451),
    [sym_preproc_pragma] = STATE(2451),
    [sym_preproc_nullable] = STATE(2451),
    [sym_preproc_error] = STATE(2451),
    [sym_preproc_define] = STATE(2451),
    [sym_preproc_undef] = STATE(2451),
    [ts_builtin_sym_end] = ACTIONS(3179),
    [sym__identifier_token] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym_alias] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_global] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_unsafe] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_namespace] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3177),
    [anon_sym_ref] = ACTIONS(3177),
    [anon_sym_struct] = ACTIONS(3177),
    [anon_sym_enum] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_interface] = ACTIONS(3177),
    [anon_sym_delegate] = ACTIONS(3177),
    [anon_sym_record] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_file] = ACTIONS(3177),
    [anon_sym_fixed] = ACTIONS(3177),
    [anon_sym_internal] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_partial] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_required] = ACTIONS(3177),
    [anon_sym_sealed] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_where] = ACTIONS(3177),
    [anon_sym_notnull] = ACTIONS(3177),
    [anon_sym_unmanaged] = ACTIONS(3177),
    [anon_sym_checked] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_this] = ACTIONS(3177),
    [anon_sym_scoped] = ACTIONS(3177),
    [anon_sym_base] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [sym_predefined_type] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_unchecked] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_lock] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_when] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3177),
    [anon_sym_foreach] = ACTIONS(3177),
    [anon_sym_goto] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_else] = ACTIONS(3177),
    [anon_sym_DOT_DOT] = ACTIONS(3179),
    [anon_sym_from] = ACTIONS(3177),
    [anon_sym_into] = ACTIONS(3177),
    [anon_sym_join] = ACTIONS(3177),
    [anon_sym_on] = ACTIONS(3177),
    [anon_sym_equals] = ACTIONS(3177),
    [anon_sym_let] = ACTIONS(3177),
    [anon_sym_orderby] = ACTIONS(3177),
    [anon_sym_ascending] = ACTIONS(3177),
    [anon_sym_descending] = ACTIONS(3177),
    [anon_sym_group] = ACTIONS(3177),
    [anon_sym_by] = ACTIONS(3177),
    [anon_sym_select] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_stackalloc] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3177),
    [anon_sym___makeref] = ACTIONS(3177),
    [anon_sym___reftype] = ACTIONS(3177),
    [anon_sym___refvalue] = ACTIONS(3177),
    [sym_null_literal] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [sym_integer_literal] = ACTIONS(3177),
    [sym_real_literal] = ACTIONS(3179),
    [sym_verbatim_string_literal] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3179),
    [sym_interpolation_verbatim_start] = ACTIONS(3179),
    [sym_interpolation_raw_start] = ACTIONS(3179),
    [sym_raw_string_start] = ACTIONS(3179),
  },
  [2452] = {
    [sym_preproc_region] = STATE(2452),
    [sym_preproc_endregion] = STATE(2452),
    [sym_preproc_line] = STATE(2452),
    [sym_preproc_pragma] = STATE(2452),
    [sym_preproc_nullable] = STATE(2452),
    [sym_preproc_error] = STATE(2452),
    [sym_preproc_define] = STATE(2452),
    [sym_preproc_undef] = STATE(2452),
    [ts_builtin_sym_end] = ACTIONS(3139),
    [sym__identifier_token] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym_alias] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym_global] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_unsafe] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_LPAREN] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3137),
    [anon_sym_namespace] = ACTIONS(3137),
    [anon_sym_class] = ACTIONS(3137),
    [anon_sym_ref] = ACTIONS(3137),
    [anon_sym_struct] = ACTIONS(3137),
    [anon_sym_enum] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_interface] = ACTIONS(3137),
    [anon_sym_delegate] = ACTIONS(3137),
    [anon_sym_record] = ACTIONS(3137),
    [anon_sym_abstract] = ACTIONS(3137),
    [anon_sym_async] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_file] = ACTIONS(3137),
    [anon_sym_fixed] = ACTIONS(3137),
    [anon_sym_internal] = ACTIONS(3137),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_override] = ACTIONS(3137),
    [anon_sym_partial] = ACTIONS(3137),
    [anon_sym_private] = ACTIONS(3137),
    [anon_sym_protected] = ACTIONS(3137),
    [anon_sym_public] = ACTIONS(3137),
    [anon_sym_readonly] = ACTIONS(3137),
    [anon_sym_required] = ACTIONS(3137),
    [anon_sym_sealed] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_where] = ACTIONS(3137),
    [anon_sym_notnull] = ACTIONS(3137),
    [anon_sym_unmanaged] = ACTIONS(3137),
    [anon_sym_checked] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_true] = ACTIONS(3137),
    [anon_sym_false] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_CARET] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_this] = ACTIONS(3137),
    [anon_sym_scoped] = ACTIONS(3137),
    [anon_sym_base] = ACTIONS(3137),
    [anon_sym_var] = ACTIONS(3137),
    [sym_predefined_type] = ACTIONS(3137),
    [anon_sym_break] = ACTIONS(3137),
    [anon_sym_unchecked] = ACTIONS(3137),
    [anon_sym_continue] = ACTIONS(3137),
    [anon_sym_do] = ACTIONS(3137),
    [anon_sym_while] = ACTIONS(3137),
    [anon_sym_for] = ACTIONS(3137),
    [anon_sym_lock] = ACTIONS(3137),
    [anon_sym_yield] = ACTIONS(3137),
    [anon_sym_switch] = ACTIONS(3137),
    [anon_sym_default] = ACTIONS(3137),
    [anon_sym_throw] = ACTIONS(3137),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_when] = ACTIONS(3137),
    [anon_sym_await] = ACTIONS(3137),
    [anon_sym_foreach] = ACTIONS(3137),
    [anon_sym_goto] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3137),
    [anon_sym_else] = ACTIONS(3137),
    [anon_sym_DOT_DOT] = ACTIONS(3139),
    [anon_sym_from] = ACTIONS(3137),
    [anon_sym_into] = ACTIONS(3137),
    [anon_sym_join] = ACTIONS(3137),
    [anon_sym_on] = ACTIONS(3137),
    [anon_sym_equals] = ACTIONS(3137),
    [anon_sym_let] = ACTIONS(3137),
    [anon_sym_orderby] = ACTIONS(3137),
    [anon_sym_ascending] = ACTIONS(3137),
    [anon_sym_descending] = ACTIONS(3137),
    [anon_sym_group] = ACTIONS(3137),
    [anon_sym_by] = ACTIONS(3137),
    [anon_sym_select] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [anon_sym_stackalloc] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3137),
    [anon_sym_typeof] = ACTIONS(3137),
    [anon_sym___makeref] = ACTIONS(3137),
    [anon_sym___reftype] = ACTIONS(3137),
    [anon_sym___refvalue] = ACTIONS(3137),
    [sym_null_literal] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [sym_integer_literal] = ACTIONS(3137),
    [sym_real_literal] = ACTIONS(3139),
    [sym_verbatim_string_literal] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3139),
    [sym_interpolation_verbatim_start] = ACTIONS(3139),
    [sym_interpolation_raw_start] = ACTIONS(3139),
    [sym_raw_string_start] = ACTIONS(3139),
  },
  [2453] = {
    [sym_preproc_region] = STATE(2453),
    [sym_preproc_endregion] = STATE(2453),
    [sym_preproc_line] = STATE(2453),
    [sym_preproc_pragma] = STATE(2453),
    [sym_preproc_nullable] = STATE(2453),
    [sym_preproc_error] = STATE(2453),
    [sym_preproc_define] = STATE(2453),
    [sym_preproc_undef] = STATE(2453),
    [ts_builtin_sym_end] = ACTIONS(3171),
    [sym__identifier_token] = ACTIONS(3169),
    [anon_sym_extern] = ACTIONS(3169),
    [anon_sym_alias] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_global] = ACTIONS(3169),
    [anon_sym_using] = ACTIONS(3169),
    [anon_sym_unsafe] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3169),
    [anon_sym_namespace] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3169),
    [anon_sym_ref] = ACTIONS(3169),
    [anon_sym_struct] = ACTIONS(3169),
    [anon_sym_enum] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_interface] = ACTIONS(3169),
    [anon_sym_delegate] = ACTIONS(3169),
    [anon_sym_record] = ACTIONS(3169),
    [anon_sym_abstract] = ACTIONS(3169),
    [anon_sym_async] = ACTIONS(3169),
    [anon_sym_const] = ACTIONS(3169),
    [anon_sym_file] = ACTIONS(3169),
    [anon_sym_fixed] = ACTIONS(3169),
    [anon_sym_internal] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_override] = ACTIONS(3169),
    [anon_sym_partial] = ACTIONS(3169),
    [anon_sym_private] = ACTIONS(3169),
    [anon_sym_protected] = ACTIONS(3169),
    [anon_sym_public] = ACTIONS(3169),
    [anon_sym_readonly] = ACTIONS(3169),
    [anon_sym_required] = ACTIONS(3169),
    [anon_sym_sealed] = ACTIONS(3169),
    [anon_sym_virtual] = ACTIONS(3169),
    [anon_sym_volatile] = ACTIONS(3169),
    [anon_sym_where] = ACTIONS(3169),
    [anon_sym_notnull] = ACTIONS(3169),
    [anon_sym_unmanaged] = ACTIONS(3169),
    [anon_sym_checked] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_true] = ACTIONS(3169),
    [anon_sym_false] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_this] = ACTIONS(3169),
    [anon_sym_scoped] = ACTIONS(3169),
    [anon_sym_base] = ACTIONS(3169),
    [anon_sym_var] = ACTIONS(3169),
    [sym_predefined_type] = ACTIONS(3169),
    [anon_sym_break] = ACTIONS(3169),
    [anon_sym_unchecked] = ACTIONS(3169),
    [anon_sym_continue] = ACTIONS(3169),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_lock] = ACTIONS(3169),
    [anon_sym_yield] = ACTIONS(3169),
    [anon_sym_switch] = ACTIONS(3169),
    [anon_sym_default] = ACTIONS(3169),
    [anon_sym_throw] = ACTIONS(3169),
    [anon_sym_try] = ACTIONS(3169),
    [anon_sym_when] = ACTIONS(3169),
    [anon_sym_await] = ACTIONS(3169),
    [anon_sym_foreach] = ACTIONS(3169),
    [anon_sym_goto] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_else] = ACTIONS(3169),
    [anon_sym_DOT_DOT] = ACTIONS(3171),
    [anon_sym_from] = ACTIONS(3169),
    [anon_sym_into] = ACTIONS(3169),
    [anon_sym_join] = ACTIONS(3169),
    [anon_sym_on] = ACTIONS(3169),
    [anon_sym_equals] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3169),
    [anon_sym_orderby] = ACTIONS(3169),
    [anon_sym_ascending] = ACTIONS(3169),
    [anon_sym_descending] = ACTIONS(3169),
    [anon_sym_group] = ACTIONS(3169),
    [anon_sym_by] = ACTIONS(3169),
    [anon_sym_select] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [anon_sym_stackalloc] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3169),
    [anon_sym_typeof] = ACTIONS(3169),
    [anon_sym___makeref] = ACTIONS(3169),
    [anon_sym___reftype] = ACTIONS(3169),
    [anon_sym___refvalue] = ACTIONS(3169),
    [sym_null_literal] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [sym_integer_literal] = ACTIONS(3169),
    [sym_real_literal] = ACTIONS(3171),
    [sym_verbatim_string_literal] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3171),
    [sym_interpolation_verbatim_start] = ACTIONS(3171),
    [sym_interpolation_raw_start] = ACTIONS(3171),
    [sym_raw_string_start] = ACTIONS(3171),
  },
  [2454] = {
    [sym_preproc_region] = STATE(2454),
    [sym_preproc_endregion] = STATE(2454),
    [sym_preproc_line] = STATE(2454),
    [sym_preproc_pragma] = STATE(2454),
    [sym_preproc_nullable] = STATE(2454),
    [sym_preproc_error] = STATE(2454),
    [sym_preproc_define] = STATE(2454),
    [sym_preproc_undef] = STATE(2454),
    [ts_builtin_sym_end] = ACTIONS(3111),
    [sym__identifier_token] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_alias] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_LPAREN] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_namespace] = ACTIONS(3109),
    [anon_sym_class] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_struct] = ACTIONS(3109),
    [anon_sym_enum] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_interface] = ACTIONS(3109),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_record] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_file] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_required] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_where] = ACTIONS(3109),
    [anon_sym_notnull] = ACTIONS(3109),
    [anon_sym_unmanaged] = ACTIONS(3109),
    [anon_sym_checked] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3109),
    [anon_sym_false] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_CARET] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_this] = ACTIONS(3109),
    [anon_sym_scoped] = ACTIONS(3109),
    [anon_sym_base] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [sym_predefined_type] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_unchecked] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_lock] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_when] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_foreach] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_else] = ACTIONS(3109),
    [anon_sym_DOT_DOT] = ACTIONS(3111),
    [anon_sym_from] = ACTIONS(3109),
    [anon_sym_into] = ACTIONS(3109),
    [anon_sym_join] = ACTIONS(3109),
    [anon_sym_on] = ACTIONS(3109),
    [anon_sym_equals] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_orderby] = ACTIONS(3109),
    [anon_sym_ascending] = ACTIONS(3109),
    [anon_sym_descending] = ACTIONS(3109),
    [anon_sym_group] = ACTIONS(3109),
    [anon_sym_by] = ACTIONS(3109),
    [anon_sym_select] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [anon_sym_stackalloc] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym___makeref] = ACTIONS(3109),
    [anon_sym___reftype] = ACTIONS(3109),
    [anon_sym___refvalue] = ACTIONS(3109),
    [sym_null_literal] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [sym_integer_literal] = ACTIONS(3109),
    [sym_real_literal] = ACTIONS(3111),
    [sym_verbatim_string_literal] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3111),
    [sym_interpolation_verbatim_start] = ACTIONS(3111),
    [sym_interpolation_raw_start] = ACTIONS(3111),
    [sym_raw_string_start] = ACTIONS(3111),
  },
  [2455] = {
    [sym_preproc_region] = STATE(2455),
    [sym_preproc_endregion] = STATE(2455),
    [sym_preproc_line] = STATE(2455),
    [sym_preproc_pragma] = STATE(2455),
    [sym_preproc_nullable] = STATE(2455),
    [sym_preproc_error] = STATE(2455),
    [sym_preproc_define] = STATE(2455),
    [sym_preproc_undef] = STATE(2455),
    [ts_builtin_sym_end] = ACTIONS(3319),
    [sym__identifier_token] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym_alias] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_global] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_unsafe] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_ref] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_interface] = ACTIONS(3317),
    [anon_sym_delegate] = ACTIONS(3317),
    [anon_sym_record] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_file] = ACTIONS(3317),
    [anon_sym_fixed] = ACTIONS(3317),
    [anon_sym_internal] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_partial] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_required] = ACTIONS(3317),
    [anon_sym_sealed] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_where] = ACTIONS(3317),
    [anon_sym_notnull] = ACTIONS(3317),
    [anon_sym_unmanaged] = ACTIONS(3317),
    [anon_sym_checked] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_true] = ACTIONS(3317),
    [anon_sym_false] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3319),
    [anon_sym_this] = ACTIONS(3317),
    [anon_sym_scoped] = ACTIONS(3317),
    [anon_sym_base] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [sym_predefined_type] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_unchecked] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_lock] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_when] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_foreach] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_DOT_DOT] = ACTIONS(3319),
    [anon_sym_from] = ACTIONS(3317),
    [anon_sym_into] = ACTIONS(3317),
    [anon_sym_join] = ACTIONS(3317),
    [anon_sym_on] = ACTIONS(3317),
    [anon_sym_equals] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_orderby] = ACTIONS(3317),
    [anon_sym_ascending] = ACTIONS(3317),
    [anon_sym_descending] = ACTIONS(3317),
    [anon_sym_group] = ACTIONS(3317),
    [anon_sym_by] = ACTIONS(3317),
    [anon_sym_select] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_stackalloc] = ACTIONS(3317),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym___makeref] = ACTIONS(3317),
    [anon_sym___reftype] = ACTIONS(3317),
    [anon_sym___refvalue] = ACTIONS(3317),
    [sym_null_literal] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [sym_integer_literal] = ACTIONS(3317),
    [sym_real_literal] = ACTIONS(3319),
    [sym_verbatim_string_literal] = ACTIONS(3319),
    [aux_sym_preproc_if_token1] = ACTIONS(3319),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3319),
    [sym_interpolation_verbatim_start] = ACTIONS(3319),
    [sym_interpolation_raw_start] = ACTIONS(3319),
    [sym_raw_string_start] = ACTIONS(3319),
  },
  [2456] = {
    [sym_preproc_region] = STATE(2456),
    [sym_preproc_endregion] = STATE(2456),
    [sym_preproc_line] = STATE(2456),
    [sym_preproc_pragma] = STATE(2456),
    [sym_preproc_nullable] = STATE(2456),
    [sym_preproc_error] = STATE(2456),
    [sym_preproc_define] = STATE(2456),
    [sym_preproc_undef] = STATE(2456),
    [ts_builtin_sym_end] = ACTIONS(3287),
    [sym__identifier_token] = ACTIONS(3285),
    [anon_sym_extern] = ACTIONS(3285),
    [anon_sym_alias] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_global] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_unsafe] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_namespace] = ACTIONS(3285),
    [anon_sym_class] = ACTIONS(3285),
    [anon_sym_ref] = ACTIONS(3285),
    [anon_sym_struct] = ACTIONS(3285),
    [anon_sym_enum] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_interface] = ACTIONS(3285),
    [anon_sym_delegate] = ACTIONS(3285),
    [anon_sym_record] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_file] = ACTIONS(3285),
    [anon_sym_fixed] = ACTIONS(3285),
    [anon_sym_internal] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_partial] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_required] = ACTIONS(3285),
    [anon_sym_sealed] = ACTIONS(3285),
    [anon_sym_virtual] = ACTIONS(3285),
    [anon_sym_volatile] = ACTIONS(3285),
    [anon_sym_where] = ACTIONS(3285),
    [anon_sym_notnull] = ACTIONS(3285),
    [anon_sym_unmanaged] = ACTIONS(3285),
    [anon_sym_checked] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_true] = ACTIONS(3285),
    [anon_sym_false] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_CARET] = ACTIONS(3287),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_this] = ACTIONS(3285),
    [anon_sym_scoped] = ACTIONS(3285),
    [anon_sym_base] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [sym_predefined_type] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_unchecked] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_lock] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_when] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_foreach] = ACTIONS(3285),
    [anon_sym_goto] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_DOT_DOT] = ACTIONS(3287),
    [anon_sym_from] = ACTIONS(3285),
    [anon_sym_into] = ACTIONS(3285),
    [anon_sym_join] = ACTIONS(3285),
    [anon_sym_on] = ACTIONS(3285),
    [anon_sym_equals] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_orderby] = ACTIONS(3285),
    [anon_sym_ascending] = ACTIONS(3285),
    [anon_sym_descending] = ACTIONS(3285),
    [anon_sym_group] = ACTIONS(3285),
    [anon_sym_by] = ACTIONS(3285),
    [anon_sym_select] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_stackalloc] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym___makeref] = ACTIONS(3285),
    [anon_sym___reftype] = ACTIONS(3285),
    [anon_sym___refvalue] = ACTIONS(3285),
    [sym_null_literal] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [sym_integer_literal] = ACTIONS(3285),
    [sym_real_literal] = ACTIONS(3287),
    [sym_verbatim_string_literal] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3287),
    [sym_interpolation_verbatim_start] = ACTIONS(3287),
    [sym_interpolation_raw_start] = ACTIONS(3287),
    [sym_raw_string_start] = ACTIONS(3287),
  },
  [2457] = {
    [sym_preproc_region] = STATE(2457),
    [sym_preproc_endregion] = STATE(2457),
    [sym_preproc_line] = STATE(2457),
    [sym_preproc_pragma] = STATE(2457),
    [sym_preproc_nullable] = STATE(2457),
    [sym_preproc_error] = STATE(2457),
    [sym_preproc_define] = STATE(2457),
    [sym_preproc_undef] = STATE(2457),
    [ts_builtin_sym_end] = ACTIONS(3323),
    [sym__identifier_token] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym_alias] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_global] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_unsafe] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_ref] = ACTIONS(3321),
    [anon_sym_struct] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_interface] = ACTIONS(3321),
    [anon_sym_delegate] = ACTIONS(3321),
    [anon_sym_record] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_file] = ACTIONS(3321),
    [anon_sym_fixed] = ACTIONS(3321),
    [anon_sym_internal] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_partial] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_required] = ACTIONS(3321),
    [anon_sym_sealed] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_where] = ACTIONS(3321),
    [anon_sym_notnull] = ACTIONS(3321),
    [anon_sym_unmanaged] = ACTIONS(3321),
    [anon_sym_checked] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_true] = ACTIONS(3321),
    [anon_sym_false] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_CARET] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_this] = ACTIONS(3321),
    [anon_sym_scoped] = ACTIONS(3321),
    [anon_sym_base] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [sym_predefined_type] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_unchecked] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_lock] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_when] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_foreach] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_DOT_DOT] = ACTIONS(3323),
    [anon_sym_from] = ACTIONS(3321),
    [anon_sym_into] = ACTIONS(3321),
    [anon_sym_join] = ACTIONS(3321),
    [anon_sym_on] = ACTIONS(3321),
    [anon_sym_equals] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_orderby] = ACTIONS(3321),
    [anon_sym_ascending] = ACTIONS(3321),
    [anon_sym_descending] = ACTIONS(3321),
    [anon_sym_group] = ACTIONS(3321),
    [anon_sym_by] = ACTIONS(3321),
    [anon_sym_select] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_stackalloc] = ACTIONS(3321),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym___makeref] = ACTIONS(3321),
    [anon_sym___reftype] = ACTIONS(3321),
    [anon_sym___refvalue] = ACTIONS(3321),
    [sym_null_literal] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [sym_integer_literal] = ACTIONS(3321),
    [sym_real_literal] = ACTIONS(3323),
    [sym_verbatim_string_literal] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3323),
    [sym_interpolation_verbatim_start] = ACTIONS(3323),
    [sym_interpolation_raw_start] = ACTIONS(3323),
    [sym_raw_string_start] = ACTIONS(3323),
  },
  [2458] = {
    [sym_preproc_region] = STATE(2458),
    [sym_preproc_endregion] = STATE(2458),
    [sym_preproc_line] = STATE(2458),
    [sym_preproc_pragma] = STATE(2458),
    [sym_preproc_nullable] = STATE(2458),
    [sym_preproc_error] = STATE(2458),
    [sym_preproc_define] = STATE(2458),
    [sym_preproc_undef] = STATE(2458),
    [ts_builtin_sym_end] = ACTIONS(3291),
    [sym__identifier_token] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym_alias] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_global] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_unsafe] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_namespace] = ACTIONS(3289),
    [anon_sym_class] = ACTIONS(3289),
    [anon_sym_ref] = ACTIONS(3289),
    [anon_sym_struct] = ACTIONS(3289),
    [anon_sym_enum] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_interface] = ACTIONS(3289),
    [anon_sym_delegate] = ACTIONS(3289),
    [anon_sym_record] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_file] = ACTIONS(3289),
    [anon_sym_fixed] = ACTIONS(3289),
    [anon_sym_internal] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_partial] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_required] = ACTIONS(3289),
    [anon_sym_sealed] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_where] = ACTIONS(3289),
    [anon_sym_notnull] = ACTIONS(3289),
    [anon_sym_unmanaged] = ACTIONS(3289),
    [anon_sym_checked] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_true] = ACTIONS(3289),
    [anon_sym_false] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym_this] = ACTIONS(3289),
    [anon_sym_scoped] = ACTIONS(3289),
    [anon_sym_base] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [sym_predefined_type] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_unchecked] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_lock] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_when] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_foreach] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_DOT_DOT] = ACTIONS(3291),
    [anon_sym_from] = ACTIONS(3289),
    [anon_sym_into] = ACTIONS(3289),
    [anon_sym_join] = ACTIONS(3289),
    [anon_sym_on] = ACTIONS(3289),
    [anon_sym_equals] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_orderby] = ACTIONS(3289),
    [anon_sym_ascending] = ACTIONS(3289),
    [anon_sym_descending] = ACTIONS(3289),
    [anon_sym_group] = ACTIONS(3289),
    [anon_sym_by] = ACTIONS(3289),
    [anon_sym_select] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_stackalloc] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym___makeref] = ACTIONS(3289),
    [anon_sym___reftype] = ACTIONS(3289),
    [anon_sym___refvalue] = ACTIONS(3289),
    [sym_null_literal] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [sym_integer_literal] = ACTIONS(3289),
    [sym_real_literal] = ACTIONS(3291),
    [sym_verbatim_string_literal] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3291),
    [sym_interpolation_verbatim_start] = ACTIONS(3291),
    [sym_interpolation_raw_start] = ACTIONS(3291),
    [sym_raw_string_start] = ACTIONS(3291),
  },
  [2459] = {
    [sym_preproc_region] = STATE(2459),
    [sym_preproc_endregion] = STATE(2459),
    [sym_preproc_line] = STATE(2459),
    [sym_preproc_pragma] = STATE(2459),
    [sym_preproc_nullable] = STATE(2459),
    [sym_preproc_error] = STATE(2459),
    [sym_preproc_define] = STATE(2459),
    [sym_preproc_undef] = STATE(2459),
    [ts_builtin_sym_end] = ACTIONS(3327),
    [sym__identifier_token] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym_alias] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_global] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_unsafe] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_ref] = ACTIONS(3325),
    [anon_sym_struct] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_interface] = ACTIONS(3325),
    [anon_sym_delegate] = ACTIONS(3325),
    [anon_sym_record] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_file] = ACTIONS(3325),
    [anon_sym_fixed] = ACTIONS(3325),
    [anon_sym_internal] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_partial] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_required] = ACTIONS(3325),
    [anon_sym_sealed] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_where] = ACTIONS(3325),
    [anon_sym_notnull] = ACTIONS(3325),
    [anon_sym_unmanaged] = ACTIONS(3325),
    [anon_sym_checked] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_true] = ACTIONS(3325),
    [anon_sym_false] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_CARET] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym_this] = ACTIONS(3325),
    [anon_sym_scoped] = ACTIONS(3325),
    [anon_sym_base] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [sym_predefined_type] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_unchecked] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_lock] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_when] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_foreach] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_DOT_DOT] = ACTIONS(3327),
    [anon_sym_from] = ACTIONS(3325),
    [anon_sym_into] = ACTIONS(3325),
    [anon_sym_join] = ACTIONS(3325),
    [anon_sym_on] = ACTIONS(3325),
    [anon_sym_equals] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_orderby] = ACTIONS(3325),
    [anon_sym_ascending] = ACTIONS(3325),
    [anon_sym_descending] = ACTIONS(3325),
    [anon_sym_group] = ACTIONS(3325),
    [anon_sym_by] = ACTIONS(3325),
    [anon_sym_select] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_stackalloc] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym___makeref] = ACTIONS(3325),
    [anon_sym___reftype] = ACTIONS(3325),
    [anon_sym___refvalue] = ACTIONS(3325),
    [sym_null_literal] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [sym_integer_literal] = ACTIONS(3325),
    [sym_real_literal] = ACTIONS(3327),
    [sym_verbatim_string_literal] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3327),
    [sym_interpolation_verbatim_start] = ACTIONS(3327),
    [sym_interpolation_raw_start] = ACTIONS(3327),
    [sym_raw_string_start] = ACTIONS(3327),
  },
  [2460] = {
    [sym_preproc_region] = STATE(2460),
    [sym_preproc_endregion] = STATE(2460),
    [sym_preproc_line] = STATE(2460),
    [sym_preproc_pragma] = STATE(2460),
    [sym_preproc_nullable] = STATE(2460),
    [sym_preproc_error] = STATE(2460),
    [sym_preproc_define] = STATE(2460),
    [sym_preproc_undef] = STATE(2460),
    [ts_builtin_sym_end] = ACTIONS(3215),
    [sym__identifier_token] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym_alias] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_global] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_unsafe] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_ref] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_interface] = ACTIONS(3213),
    [anon_sym_delegate] = ACTIONS(3213),
    [anon_sym_record] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_file] = ACTIONS(3213),
    [anon_sym_fixed] = ACTIONS(3213),
    [anon_sym_internal] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_partial] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_required] = ACTIONS(3213),
    [anon_sym_sealed] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_where] = ACTIONS(3213),
    [anon_sym_notnull] = ACTIONS(3213),
    [anon_sym_unmanaged] = ACTIONS(3213),
    [anon_sym_checked] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_true] = ACTIONS(3213),
    [anon_sym_false] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_CARET] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_this] = ACTIONS(3213),
    [anon_sym_scoped] = ACTIONS(3213),
    [anon_sym_base] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [sym_predefined_type] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_unchecked] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_lock] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_when] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_foreach] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3213),
    [anon_sym_DOT_DOT] = ACTIONS(3215),
    [anon_sym_from] = ACTIONS(3213),
    [anon_sym_into] = ACTIONS(3213),
    [anon_sym_join] = ACTIONS(3213),
    [anon_sym_on] = ACTIONS(3213),
    [anon_sym_equals] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_orderby] = ACTIONS(3213),
    [anon_sym_ascending] = ACTIONS(3213),
    [anon_sym_descending] = ACTIONS(3213),
    [anon_sym_group] = ACTIONS(3213),
    [anon_sym_by] = ACTIONS(3213),
    [anon_sym_select] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [anon_sym_stackalloc] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym___makeref] = ACTIONS(3213),
    [anon_sym___reftype] = ACTIONS(3213),
    [anon_sym___refvalue] = ACTIONS(3213),
    [sym_null_literal] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [sym_integer_literal] = ACTIONS(3213),
    [sym_real_literal] = ACTIONS(3215),
    [sym_verbatim_string_literal] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3215),
    [sym_interpolation_verbatim_start] = ACTIONS(3215),
    [sym_interpolation_raw_start] = ACTIONS(3215),
    [sym_raw_string_start] = ACTIONS(3215),
  },
  [2461] = {
    [sym_preproc_region] = STATE(2461),
    [sym_preproc_endregion] = STATE(2461),
    [sym_preproc_line] = STATE(2461),
    [sym_preproc_pragma] = STATE(2461),
    [sym_preproc_nullable] = STATE(2461),
    [sym_preproc_error] = STATE(2461),
    [sym_preproc_define] = STATE(2461),
    [sym_preproc_undef] = STATE(2461),
    [ts_builtin_sym_end] = ACTIONS(3207),
    [sym__identifier_token] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_alias] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_global] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_record] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_file] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_required] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_where] = ACTIONS(3205),
    [anon_sym_notnull] = ACTIONS(3205),
    [anon_sym_unmanaged] = ACTIONS(3205),
    [anon_sym_checked] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_true] = ACTIONS(3205),
    [anon_sym_false] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_CARET] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_this] = ACTIONS(3205),
    [anon_sym_scoped] = ACTIONS(3205),
    [anon_sym_base] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [sym_predefined_type] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_unchecked] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_lock] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_when] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_foreach] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_DOT_DOT] = ACTIONS(3207),
    [anon_sym_from] = ACTIONS(3205),
    [anon_sym_into] = ACTIONS(3205),
    [anon_sym_join] = ACTIONS(3205),
    [anon_sym_on] = ACTIONS(3205),
    [anon_sym_equals] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_orderby] = ACTIONS(3205),
    [anon_sym_ascending] = ACTIONS(3205),
    [anon_sym_descending] = ACTIONS(3205),
    [anon_sym_group] = ACTIONS(3205),
    [anon_sym_by] = ACTIONS(3205),
    [anon_sym_select] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_stackalloc] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym___makeref] = ACTIONS(3205),
    [anon_sym___reftype] = ACTIONS(3205),
    [anon_sym___refvalue] = ACTIONS(3205),
    [sym_null_literal] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [sym_integer_literal] = ACTIONS(3205),
    [sym_real_literal] = ACTIONS(3207),
    [sym_verbatim_string_literal] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3207),
    [sym_interpolation_verbatim_start] = ACTIONS(3207),
    [sym_interpolation_raw_start] = ACTIONS(3207),
    [sym_raw_string_start] = ACTIONS(3207),
  },
  [2462] = {
    [sym_preproc_region] = STATE(2462),
    [sym_preproc_endregion] = STATE(2462),
    [sym_preproc_line] = STATE(2462),
    [sym_preproc_pragma] = STATE(2462),
    [sym_preproc_nullable] = STATE(2462),
    [sym_preproc_error] = STATE(2462),
    [sym_preproc_define] = STATE(2462),
    [sym_preproc_undef] = STATE(2462),
    [ts_builtin_sym_end] = ACTIONS(3211),
    [sym__identifier_token] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym_alias] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_global] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_unsafe] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_ref] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_interface] = ACTIONS(3209),
    [anon_sym_delegate] = ACTIONS(3209),
    [anon_sym_record] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_file] = ACTIONS(3209),
    [anon_sym_fixed] = ACTIONS(3209),
    [anon_sym_internal] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_partial] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_required] = ACTIONS(3209),
    [anon_sym_sealed] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_where] = ACTIONS(3209),
    [anon_sym_notnull] = ACTIONS(3209),
    [anon_sym_unmanaged] = ACTIONS(3209),
    [anon_sym_checked] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_true] = ACTIONS(3209),
    [anon_sym_false] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_CARET] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_this] = ACTIONS(3209),
    [anon_sym_scoped] = ACTIONS(3209),
    [anon_sym_base] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [sym_predefined_type] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_unchecked] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_lock] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_when] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_foreach] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_DOT_DOT] = ACTIONS(3211),
    [anon_sym_from] = ACTIONS(3209),
    [anon_sym_into] = ACTIONS(3209),
    [anon_sym_join] = ACTIONS(3209),
    [anon_sym_on] = ACTIONS(3209),
    [anon_sym_equals] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_orderby] = ACTIONS(3209),
    [anon_sym_ascending] = ACTIONS(3209),
    [anon_sym_descending] = ACTIONS(3209),
    [anon_sym_group] = ACTIONS(3209),
    [anon_sym_by] = ACTIONS(3209),
    [anon_sym_select] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_stackalloc] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym___makeref] = ACTIONS(3209),
    [anon_sym___reftype] = ACTIONS(3209),
    [anon_sym___refvalue] = ACTIONS(3209),
    [sym_null_literal] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [sym_integer_literal] = ACTIONS(3209),
    [sym_real_literal] = ACTIONS(3211),
    [sym_verbatim_string_literal] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3211),
    [sym_interpolation_verbatim_start] = ACTIONS(3211),
    [sym_interpolation_raw_start] = ACTIONS(3211),
    [sym_raw_string_start] = ACTIONS(3211),
  },
  [2463] = {
    [sym_preproc_region] = STATE(2463),
    [sym_preproc_endregion] = STATE(2463),
    [sym_preproc_line] = STATE(2463),
    [sym_preproc_pragma] = STATE(2463),
    [sym_preproc_nullable] = STATE(2463),
    [sym_preproc_error] = STATE(2463),
    [sym_preproc_define] = STATE(2463),
    [sym_preproc_undef] = STATE(2463),
    [ts_builtin_sym_end] = ACTIONS(3295),
    [sym__identifier_token] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym_alias] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_global] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_unsafe] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_namespace] = ACTIONS(3293),
    [anon_sym_class] = ACTIONS(3293),
    [anon_sym_ref] = ACTIONS(3293),
    [anon_sym_struct] = ACTIONS(3293),
    [anon_sym_enum] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_interface] = ACTIONS(3293),
    [anon_sym_delegate] = ACTIONS(3293),
    [anon_sym_record] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_file] = ACTIONS(3293),
    [anon_sym_fixed] = ACTIONS(3293),
    [anon_sym_internal] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_partial] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_required] = ACTIONS(3293),
    [anon_sym_sealed] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_where] = ACTIONS(3293),
    [anon_sym_notnull] = ACTIONS(3293),
    [anon_sym_unmanaged] = ACTIONS(3293),
    [anon_sym_checked] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(3293),
    [anon_sym_false] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym_this] = ACTIONS(3293),
    [anon_sym_scoped] = ACTIONS(3293),
    [anon_sym_base] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [sym_predefined_type] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_unchecked] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_lock] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_when] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_foreach] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_DOT_DOT] = ACTIONS(3295),
    [anon_sym_from] = ACTIONS(3293),
    [anon_sym_into] = ACTIONS(3293),
    [anon_sym_join] = ACTIONS(3293),
    [anon_sym_on] = ACTIONS(3293),
    [anon_sym_equals] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_orderby] = ACTIONS(3293),
    [anon_sym_ascending] = ACTIONS(3293),
    [anon_sym_descending] = ACTIONS(3293),
    [anon_sym_group] = ACTIONS(3293),
    [anon_sym_by] = ACTIONS(3293),
    [anon_sym_select] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_stackalloc] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym___makeref] = ACTIONS(3293),
    [anon_sym___reftype] = ACTIONS(3293),
    [anon_sym___refvalue] = ACTIONS(3293),
    [sym_null_literal] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [sym_integer_literal] = ACTIONS(3293),
    [sym_real_literal] = ACTIONS(3295),
    [sym_verbatim_string_literal] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3295),
    [sym_interpolation_verbatim_start] = ACTIONS(3295),
    [sym_interpolation_raw_start] = ACTIONS(3295),
    [sym_raw_string_start] = ACTIONS(3295),
  },
  [2464] = {
    [sym_preproc_region] = STATE(2464),
    [sym_preproc_endregion] = STATE(2464),
    [sym_preproc_line] = STATE(2464),
    [sym_preproc_pragma] = STATE(2464),
    [sym_preproc_nullable] = STATE(2464),
    [sym_preproc_error] = STATE(2464),
    [sym_preproc_define] = STATE(2464),
    [sym_preproc_undef] = STATE(2464),
    [ts_builtin_sym_end] = ACTIONS(3331),
    [sym__identifier_token] = ACTIONS(3329),
    [anon_sym_extern] = ACTIONS(3329),
    [anon_sym_alias] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_global] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_unsafe] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_namespace] = ACTIONS(3329),
    [anon_sym_class] = ACTIONS(3329),
    [anon_sym_ref] = ACTIONS(3329),
    [anon_sym_struct] = ACTIONS(3329),
    [anon_sym_enum] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_interface] = ACTIONS(3329),
    [anon_sym_delegate] = ACTIONS(3329),
    [anon_sym_record] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_file] = ACTIONS(3329),
    [anon_sym_fixed] = ACTIONS(3329),
    [anon_sym_internal] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_partial] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_required] = ACTIONS(3329),
    [anon_sym_sealed] = ACTIONS(3329),
    [anon_sym_virtual] = ACTIONS(3329),
    [anon_sym_volatile] = ACTIONS(3329),
    [anon_sym_where] = ACTIONS(3329),
    [anon_sym_notnull] = ACTIONS(3329),
    [anon_sym_unmanaged] = ACTIONS(3329),
    [anon_sym_checked] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_true] = ACTIONS(3329),
    [anon_sym_false] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3331),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym_this] = ACTIONS(3329),
    [anon_sym_scoped] = ACTIONS(3329),
    [anon_sym_base] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [sym_predefined_type] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_unchecked] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_lock] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_when] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_foreach] = ACTIONS(3329),
    [anon_sym_goto] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_DOT_DOT] = ACTIONS(3331),
    [anon_sym_from] = ACTIONS(3329),
    [anon_sym_into] = ACTIONS(3329),
    [anon_sym_join] = ACTIONS(3329),
    [anon_sym_on] = ACTIONS(3329),
    [anon_sym_equals] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_orderby] = ACTIONS(3329),
    [anon_sym_ascending] = ACTIONS(3329),
    [anon_sym_descending] = ACTIONS(3329),
    [anon_sym_group] = ACTIONS(3329),
    [anon_sym_by] = ACTIONS(3329),
    [anon_sym_select] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_stackalloc] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym___makeref] = ACTIONS(3329),
    [anon_sym___reftype] = ACTIONS(3329),
    [anon_sym___refvalue] = ACTIONS(3329),
    [sym_null_literal] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [sym_integer_literal] = ACTIONS(3329),
    [sym_real_literal] = ACTIONS(3331),
    [sym_verbatim_string_literal] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3331),
    [sym_interpolation_verbatim_start] = ACTIONS(3331),
    [sym_interpolation_raw_start] = ACTIONS(3331),
    [sym_raw_string_start] = ACTIONS(3331),
  },
  [2465] = {
    [sym_preproc_region] = STATE(2465),
    [sym_preproc_endregion] = STATE(2465),
    [sym_preproc_line] = STATE(2465),
    [sym_preproc_pragma] = STATE(2465),
    [sym_preproc_nullable] = STATE(2465),
    [sym_preproc_error] = STATE(2465),
    [sym_preproc_define] = STATE(2465),
    [sym_preproc_undef] = STATE(2465),
    [ts_builtin_sym_end] = ACTIONS(3335),
    [sym__identifier_token] = ACTIONS(3333),
    [anon_sym_extern] = ACTIONS(3333),
    [anon_sym_alias] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3335),
    [anon_sym_global] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_unsafe] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_namespace] = ACTIONS(3333),
    [anon_sym_class] = ACTIONS(3333),
    [anon_sym_ref] = ACTIONS(3333),
    [anon_sym_struct] = ACTIONS(3333),
    [anon_sym_enum] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_interface] = ACTIONS(3333),
    [anon_sym_delegate] = ACTIONS(3333),
    [anon_sym_record] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_file] = ACTIONS(3333),
    [anon_sym_fixed] = ACTIONS(3333),
    [anon_sym_internal] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_partial] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_required] = ACTIONS(3333),
    [anon_sym_sealed] = ACTIONS(3333),
    [anon_sym_virtual] = ACTIONS(3333),
    [anon_sym_volatile] = ACTIONS(3333),
    [anon_sym_where] = ACTIONS(3333),
    [anon_sym_notnull] = ACTIONS(3333),
    [anon_sym_unmanaged] = ACTIONS(3333),
    [anon_sym_checked] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_TILDE] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3335),
    [anon_sym_true] = ACTIONS(3333),
    [anon_sym_false] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_STAR] = ACTIONS(3335),
    [anon_sym_CARET] = ACTIONS(3335),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_this] = ACTIONS(3333),
    [anon_sym_scoped] = ACTIONS(3333),
    [anon_sym_base] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [sym_predefined_type] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_unchecked] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_lock] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_when] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_foreach] = ACTIONS(3333),
    [anon_sym_goto] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_DOT_DOT] = ACTIONS(3335),
    [anon_sym_from] = ACTIONS(3333),
    [anon_sym_into] = ACTIONS(3333),
    [anon_sym_join] = ACTIONS(3333),
    [anon_sym_on] = ACTIONS(3333),
    [anon_sym_equals] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_orderby] = ACTIONS(3333),
    [anon_sym_ascending] = ACTIONS(3333),
    [anon_sym_descending] = ACTIONS(3333),
    [anon_sym_group] = ACTIONS(3333),
    [anon_sym_by] = ACTIONS(3333),
    [anon_sym_select] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3335),
    [anon_sym_stackalloc] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym___makeref] = ACTIONS(3333),
    [anon_sym___reftype] = ACTIONS(3333),
    [anon_sym___refvalue] = ACTIONS(3333),
    [sym_null_literal] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3335),
    [sym_integer_literal] = ACTIONS(3333),
    [sym_real_literal] = ACTIONS(3335),
    [sym_verbatim_string_literal] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3335),
    [sym_interpolation_verbatim_start] = ACTIONS(3335),
    [sym_interpolation_raw_start] = ACTIONS(3335),
    [sym_raw_string_start] = ACTIONS(3335),
  },
  [2466] = {
    [sym_preproc_region] = STATE(2466),
    [sym_preproc_endregion] = STATE(2466),
    [sym_preproc_line] = STATE(2466),
    [sym_preproc_pragma] = STATE(2466),
    [sym_preproc_nullable] = STATE(2466),
    [sym_preproc_error] = STATE(2466),
    [sym_preproc_define] = STATE(2466),
    [sym_preproc_undef] = STATE(2466),
    [ts_builtin_sym_end] = ACTIONS(3339),
    [sym__identifier_token] = ACTIONS(3337),
    [anon_sym_extern] = ACTIONS(3337),
    [anon_sym_alias] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_global] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_unsafe] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_namespace] = ACTIONS(3337),
    [anon_sym_class] = ACTIONS(3337),
    [anon_sym_ref] = ACTIONS(3337),
    [anon_sym_struct] = ACTIONS(3337),
    [anon_sym_enum] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_interface] = ACTIONS(3337),
    [anon_sym_delegate] = ACTIONS(3337),
    [anon_sym_record] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_file] = ACTIONS(3337),
    [anon_sym_fixed] = ACTIONS(3337),
    [anon_sym_internal] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_partial] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_required] = ACTIONS(3337),
    [anon_sym_sealed] = ACTIONS(3337),
    [anon_sym_virtual] = ACTIONS(3337),
    [anon_sym_volatile] = ACTIONS(3337),
    [anon_sym_where] = ACTIONS(3337),
    [anon_sym_notnull] = ACTIONS(3337),
    [anon_sym_unmanaged] = ACTIONS(3337),
    [anon_sym_checked] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [anon_sym_true] = ACTIONS(3337),
    [anon_sym_false] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_STAR] = ACTIONS(3339),
    [anon_sym_CARET] = ACTIONS(3339),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_this] = ACTIONS(3337),
    [anon_sym_scoped] = ACTIONS(3337),
    [anon_sym_base] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [sym_predefined_type] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_unchecked] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_lock] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_when] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_foreach] = ACTIONS(3337),
    [anon_sym_goto] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_DOT_DOT] = ACTIONS(3339),
    [anon_sym_from] = ACTIONS(3337),
    [anon_sym_into] = ACTIONS(3337),
    [anon_sym_join] = ACTIONS(3337),
    [anon_sym_on] = ACTIONS(3337),
    [anon_sym_equals] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_orderby] = ACTIONS(3337),
    [anon_sym_ascending] = ACTIONS(3337),
    [anon_sym_descending] = ACTIONS(3337),
    [anon_sym_group] = ACTIONS(3337),
    [anon_sym_by] = ACTIONS(3337),
    [anon_sym_select] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_stackalloc] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym___makeref] = ACTIONS(3337),
    [anon_sym___reftype] = ACTIONS(3337),
    [anon_sym___refvalue] = ACTIONS(3337),
    [sym_null_literal] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [sym_integer_literal] = ACTIONS(3337),
    [sym_real_literal] = ACTIONS(3339),
    [sym_verbatim_string_literal] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3339),
    [sym_interpolation_verbatim_start] = ACTIONS(3339),
    [sym_interpolation_raw_start] = ACTIONS(3339),
    [sym_raw_string_start] = ACTIONS(3339),
  },
  [2467] = {
    [sym_preproc_region] = STATE(2467),
    [sym_preproc_endregion] = STATE(2467),
    [sym_preproc_line] = STATE(2467),
    [sym_preproc_pragma] = STATE(2467),
    [sym_preproc_nullable] = STATE(2467),
    [sym_preproc_error] = STATE(2467),
    [sym_preproc_define] = STATE(2467),
    [sym_preproc_undef] = STATE(2467),
    [ts_builtin_sym_end] = ACTIONS(3343),
    [sym__identifier_token] = ACTIONS(3341),
    [anon_sym_extern] = ACTIONS(3341),
    [anon_sym_alias] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_global] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_unsafe] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_namespace] = ACTIONS(3341),
    [anon_sym_class] = ACTIONS(3341),
    [anon_sym_ref] = ACTIONS(3341),
    [anon_sym_struct] = ACTIONS(3341),
    [anon_sym_enum] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_interface] = ACTIONS(3341),
    [anon_sym_delegate] = ACTIONS(3341),
    [anon_sym_record] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_file] = ACTIONS(3341),
    [anon_sym_fixed] = ACTIONS(3341),
    [anon_sym_internal] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_partial] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_required] = ACTIONS(3341),
    [anon_sym_sealed] = ACTIONS(3341),
    [anon_sym_virtual] = ACTIONS(3341),
    [anon_sym_volatile] = ACTIONS(3341),
    [anon_sym_where] = ACTIONS(3341),
    [anon_sym_notnull] = ACTIONS(3341),
    [anon_sym_unmanaged] = ACTIONS(3341),
    [anon_sym_checked] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [anon_sym_true] = ACTIONS(3341),
    [anon_sym_false] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(3343),
    [anon_sym_CARET] = ACTIONS(3343),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_this] = ACTIONS(3341),
    [anon_sym_scoped] = ACTIONS(3341),
    [anon_sym_base] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [sym_predefined_type] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_unchecked] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_lock] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_when] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_foreach] = ACTIONS(3341),
    [anon_sym_goto] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_DOT_DOT] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3341),
    [anon_sym_into] = ACTIONS(3341),
    [anon_sym_join] = ACTIONS(3341),
    [anon_sym_on] = ACTIONS(3341),
    [anon_sym_equals] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_orderby] = ACTIONS(3341),
    [anon_sym_ascending] = ACTIONS(3341),
    [anon_sym_descending] = ACTIONS(3341),
    [anon_sym_group] = ACTIONS(3341),
    [anon_sym_by] = ACTIONS(3341),
    [anon_sym_select] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_stackalloc] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym___makeref] = ACTIONS(3341),
    [anon_sym___reftype] = ACTIONS(3341),
    [anon_sym___refvalue] = ACTIONS(3341),
    [sym_null_literal] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [sym_integer_literal] = ACTIONS(3341),
    [sym_real_literal] = ACTIONS(3343),
    [sym_verbatim_string_literal] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3343),
    [sym_interpolation_verbatim_start] = ACTIONS(3343),
    [sym_interpolation_raw_start] = ACTIONS(3343),
    [sym_raw_string_start] = ACTIONS(3343),
  },
  [2468] = {
    [sym_preproc_region] = STATE(2468),
    [sym_preproc_endregion] = STATE(2468),
    [sym_preproc_line] = STATE(2468),
    [sym_preproc_pragma] = STATE(2468),
    [sym_preproc_nullable] = STATE(2468),
    [sym_preproc_error] = STATE(2468),
    [sym_preproc_define] = STATE(2468),
    [sym_preproc_undef] = STATE(2468),
    [ts_builtin_sym_end] = ACTIONS(3347),
    [sym__identifier_token] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym_alias] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_global] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_unsafe] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_ref] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_interface] = ACTIONS(3345),
    [anon_sym_delegate] = ACTIONS(3345),
    [anon_sym_record] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_file] = ACTIONS(3345),
    [anon_sym_fixed] = ACTIONS(3345),
    [anon_sym_internal] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_partial] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_required] = ACTIONS(3345),
    [anon_sym_sealed] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_where] = ACTIONS(3345),
    [anon_sym_notnull] = ACTIONS(3345),
    [anon_sym_unmanaged] = ACTIONS(3345),
    [anon_sym_checked] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_true] = ACTIONS(3345),
    [anon_sym_false] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_CARET] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_this] = ACTIONS(3345),
    [anon_sym_scoped] = ACTIONS(3345),
    [anon_sym_base] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [sym_predefined_type] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_unchecked] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_lock] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_when] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_foreach] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_DOT_DOT] = ACTIONS(3347),
    [anon_sym_from] = ACTIONS(3345),
    [anon_sym_into] = ACTIONS(3345),
    [anon_sym_join] = ACTIONS(3345),
    [anon_sym_on] = ACTIONS(3345),
    [anon_sym_equals] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_orderby] = ACTIONS(3345),
    [anon_sym_ascending] = ACTIONS(3345),
    [anon_sym_descending] = ACTIONS(3345),
    [anon_sym_group] = ACTIONS(3345),
    [anon_sym_by] = ACTIONS(3345),
    [anon_sym_select] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_stackalloc] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym___makeref] = ACTIONS(3345),
    [anon_sym___reftype] = ACTIONS(3345),
    [anon_sym___refvalue] = ACTIONS(3345),
    [sym_null_literal] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [sym_integer_literal] = ACTIONS(3345),
    [sym_real_literal] = ACTIONS(3347),
    [sym_verbatim_string_literal] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3347),
    [sym_interpolation_verbatim_start] = ACTIONS(3347),
    [sym_interpolation_raw_start] = ACTIONS(3347),
    [sym_raw_string_start] = ACTIONS(3347),
  },
  [2469] = {
    [sym_preproc_region] = STATE(2469),
    [sym_preproc_endregion] = STATE(2469),
    [sym_preproc_line] = STATE(2469),
    [sym_preproc_pragma] = STATE(2469),
    [sym_preproc_nullable] = STATE(2469),
    [sym_preproc_error] = STATE(2469),
    [sym_preproc_define] = STATE(2469),
    [sym_preproc_undef] = STATE(2469),
    [ts_builtin_sym_end] = ACTIONS(3159),
    [sym__identifier_token] = ACTIONS(3157),
    [anon_sym_extern] = ACTIONS(3157),
    [anon_sym_alias] = ACTIONS(3157),
    [anon_sym_SEMI] = ACTIONS(3159),
    [anon_sym_global] = ACTIONS(3157),
    [anon_sym_using] = ACTIONS(3157),
    [anon_sym_unsafe] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_LPAREN] = ACTIONS(3159),
    [anon_sym_return] = ACTIONS(3157),
    [anon_sym_namespace] = ACTIONS(3157),
    [anon_sym_class] = ACTIONS(3157),
    [anon_sym_ref] = ACTIONS(3157),
    [anon_sym_struct] = ACTIONS(3157),
    [anon_sym_enum] = ACTIONS(3157),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_interface] = ACTIONS(3157),
    [anon_sym_delegate] = ACTIONS(3157),
    [anon_sym_record] = ACTIONS(3157),
    [anon_sym_abstract] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3157),
    [anon_sym_const] = ACTIONS(3157),
    [anon_sym_file] = ACTIONS(3157),
    [anon_sym_fixed] = ACTIONS(3157),
    [anon_sym_internal] = ACTIONS(3157),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_override] = ACTIONS(3157),
    [anon_sym_partial] = ACTIONS(3157),
    [anon_sym_private] = ACTIONS(3157),
    [anon_sym_protected] = ACTIONS(3157),
    [anon_sym_public] = ACTIONS(3157),
    [anon_sym_readonly] = ACTIONS(3157),
    [anon_sym_required] = ACTIONS(3157),
    [anon_sym_sealed] = ACTIONS(3157),
    [anon_sym_virtual] = ACTIONS(3157),
    [anon_sym_volatile] = ACTIONS(3157),
    [anon_sym_where] = ACTIONS(3157),
    [anon_sym_notnull] = ACTIONS(3157),
    [anon_sym_unmanaged] = ACTIONS(3157),
    [anon_sym_checked] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3159),
    [anon_sym_TILDE] = ACTIONS(3159),
    [anon_sym_PLUS_PLUS] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3159),
    [anon_sym_true] = ACTIONS(3157),
    [anon_sym_false] = ACTIONS(3157),
    [anon_sym_PLUS] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3157),
    [anon_sym_STAR] = ACTIONS(3159),
    [anon_sym_CARET] = ACTIONS(3159),
    [anon_sym_AMP] = ACTIONS(3159),
    [anon_sym_this] = ACTIONS(3157),
    [anon_sym_scoped] = ACTIONS(3157),
    [anon_sym_base] = ACTIONS(3157),
    [anon_sym_var] = ACTIONS(3157),
    [sym_predefined_type] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(3157),
    [anon_sym_unchecked] = ACTIONS(3157),
    [anon_sym_continue] = ACTIONS(3157),
    [anon_sym_do] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(3157),
    [anon_sym_for] = ACTIONS(3157),
    [anon_sym_lock] = ACTIONS(3157),
    [anon_sym_yield] = ACTIONS(3157),
    [anon_sym_switch] = ACTIONS(3157),
    [anon_sym_default] = ACTIONS(3157),
    [anon_sym_throw] = ACTIONS(3157),
    [anon_sym_try] = ACTIONS(3157),
    [anon_sym_when] = ACTIONS(3157),
    [anon_sym_await] = ACTIONS(3157),
    [anon_sym_foreach] = ACTIONS(3157),
    [anon_sym_goto] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_else] = ACTIONS(3157),
    [anon_sym_DOT_DOT] = ACTIONS(3159),
    [anon_sym_from] = ACTIONS(3157),
    [anon_sym_into] = ACTIONS(3157),
    [anon_sym_join] = ACTIONS(3157),
    [anon_sym_on] = ACTIONS(3157),
    [anon_sym_equals] = ACTIONS(3157),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_orderby] = ACTIONS(3157),
    [anon_sym_ascending] = ACTIONS(3157),
    [anon_sym_descending] = ACTIONS(3157),
    [anon_sym_group] = ACTIONS(3157),
    [anon_sym_by] = ACTIONS(3157),
    [anon_sym_select] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [anon_sym_stackalloc] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3157),
    [anon_sym_typeof] = ACTIONS(3157),
    [anon_sym___makeref] = ACTIONS(3157),
    [anon_sym___reftype] = ACTIONS(3157),
    [anon_sym___refvalue] = ACTIONS(3157),
    [sym_null_literal] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3159),
    [sym_integer_literal] = ACTIONS(3157),
    [sym_real_literal] = ACTIONS(3159),
    [sym_verbatim_string_literal] = ACTIONS(3159),
    [aux_sym_preproc_if_token1] = ACTIONS(3159),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3159),
    [sym_interpolation_verbatim_start] = ACTIONS(3159),
    [sym_interpolation_raw_start] = ACTIONS(3159),
    [sym_raw_string_start] = ACTIONS(3159),
  },
  [2470] = {
    [sym_preproc_region] = STATE(2470),
    [sym_preproc_endregion] = STATE(2470),
    [sym_preproc_line] = STATE(2470),
    [sym_preproc_pragma] = STATE(2470),
    [sym_preproc_nullable] = STATE(2470),
    [sym_preproc_error] = STATE(2470),
    [sym_preproc_define] = STATE(2470),
    [sym_preproc_undef] = STATE(2470),
    [ts_builtin_sym_end] = ACTIONS(3351),
    [sym__identifier_token] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym_alias] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_global] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_unsafe] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_ref] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_interface] = ACTIONS(3349),
    [anon_sym_delegate] = ACTIONS(3349),
    [anon_sym_record] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_file] = ACTIONS(3349),
    [anon_sym_fixed] = ACTIONS(3349),
    [anon_sym_internal] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_partial] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_required] = ACTIONS(3349),
    [anon_sym_sealed] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_where] = ACTIONS(3349),
    [anon_sym_notnull] = ACTIONS(3349),
    [anon_sym_unmanaged] = ACTIONS(3349),
    [anon_sym_checked] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_true] = ACTIONS(3349),
    [anon_sym_false] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_CARET] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_this] = ACTIONS(3349),
    [anon_sym_scoped] = ACTIONS(3349),
    [anon_sym_base] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [sym_predefined_type] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_unchecked] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_lock] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_when] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_foreach] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_else] = ACTIONS(3349),
    [anon_sym_DOT_DOT] = ACTIONS(3351),
    [anon_sym_from] = ACTIONS(3349),
    [anon_sym_into] = ACTIONS(3349),
    [anon_sym_join] = ACTIONS(3349),
    [anon_sym_on] = ACTIONS(3349),
    [anon_sym_equals] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_orderby] = ACTIONS(3349),
    [anon_sym_ascending] = ACTIONS(3349),
    [anon_sym_descending] = ACTIONS(3349),
    [anon_sym_group] = ACTIONS(3349),
    [anon_sym_by] = ACTIONS(3349),
    [anon_sym_select] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_stackalloc] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym___makeref] = ACTIONS(3349),
    [anon_sym___reftype] = ACTIONS(3349),
    [anon_sym___refvalue] = ACTIONS(3349),
    [sym_null_literal] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [sym_integer_literal] = ACTIONS(3349),
    [sym_real_literal] = ACTIONS(3351),
    [sym_verbatim_string_literal] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3351),
    [sym_interpolation_verbatim_start] = ACTIONS(3351),
    [sym_interpolation_raw_start] = ACTIONS(3351),
    [sym_raw_string_start] = ACTIONS(3351),
  },
  [2471] = {
    [sym_preproc_region] = STATE(2471),
    [sym_preproc_endregion] = STATE(2471),
    [sym_preproc_line] = STATE(2471),
    [sym_preproc_pragma] = STATE(2471),
    [sym_preproc_nullable] = STATE(2471),
    [sym_preproc_error] = STATE(2471),
    [sym_preproc_define] = STATE(2471),
    [sym_preproc_undef] = STATE(2471),
    [ts_builtin_sym_end] = ACTIONS(3279),
    [sym__identifier_token] = ACTIONS(3277),
    [anon_sym_extern] = ACTIONS(3277),
    [anon_sym_alias] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_global] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_unsafe] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_class] = ACTIONS(3277),
    [anon_sym_ref] = ACTIONS(3277),
    [anon_sym_struct] = ACTIONS(3277),
    [anon_sym_enum] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_interface] = ACTIONS(3277),
    [anon_sym_delegate] = ACTIONS(3277),
    [anon_sym_record] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_file] = ACTIONS(3277),
    [anon_sym_fixed] = ACTIONS(3277),
    [anon_sym_internal] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_partial] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_required] = ACTIONS(3277),
    [anon_sym_sealed] = ACTIONS(3277),
    [anon_sym_virtual] = ACTIONS(3277),
    [anon_sym_volatile] = ACTIONS(3277),
    [anon_sym_where] = ACTIONS(3277),
    [anon_sym_notnull] = ACTIONS(3277),
    [anon_sym_unmanaged] = ACTIONS(3277),
    [anon_sym_checked] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_true] = ACTIONS(3277),
    [anon_sym_false] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_STAR] = ACTIONS(3279),
    [anon_sym_CARET] = ACTIONS(3279),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym_this] = ACTIONS(3277),
    [anon_sym_scoped] = ACTIONS(3277),
    [anon_sym_base] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [sym_predefined_type] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_unchecked] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_lock] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_when] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_foreach] = ACTIONS(3277),
    [anon_sym_goto] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_DOT_DOT] = ACTIONS(3279),
    [anon_sym_from] = ACTIONS(3277),
    [anon_sym_into] = ACTIONS(3277),
    [anon_sym_join] = ACTIONS(3277),
    [anon_sym_on] = ACTIONS(3277),
    [anon_sym_equals] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_orderby] = ACTIONS(3277),
    [anon_sym_ascending] = ACTIONS(3277),
    [anon_sym_descending] = ACTIONS(3277),
    [anon_sym_group] = ACTIONS(3277),
    [anon_sym_by] = ACTIONS(3277),
    [anon_sym_select] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_stackalloc] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym___makeref] = ACTIONS(3277),
    [anon_sym___reftype] = ACTIONS(3277),
    [anon_sym___refvalue] = ACTIONS(3277),
    [sym_null_literal] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [sym_integer_literal] = ACTIONS(3277),
    [sym_real_literal] = ACTIONS(3279),
    [sym_verbatim_string_literal] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3279),
    [sym_interpolation_verbatim_start] = ACTIONS(3279),
    [sym_interpolation_raw_start] = ACTIONS(3279),
    [sym_raw_string_start] = ACTIONS(3279),
  },
  [2472] = {
    [sym_preproc_region] = STATE(2472),
    [sym_preproc_endregion] = STATE(2472),
    [sym_preproc_line] = STATE(2472),
    [sym_preproc_pragma] = STATE(2472),
    [sym_preproc_nullable] = STATE(2472),
    [sym_preproc_error] = STATE(2472),
    [sym_preproc_define] = STATE(2472),
    [sym_preproc_undef] = STATE(2472),
    [ts_builtin_sym_end] = ACTIONS(3355),
    [sym__identifier_token] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym_alias] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym_global] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_unsafe] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_ref] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_interface] = ACTIONS(3353),
    [anon_sym_delegate] = ACTIONS(3353),
    [anon_sym_record] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_file] = ACTIONS(3353),
    [anon_sym_fixed] = ACTIONS(3353),
    [anon_sym_internal] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_partial] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_required] = ACTIONS(3353),
    [anon_sym_sealed] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_where] = ACTIONS(3353),
    [anon_sym_notnull] = ACTIONS(3353),
    [anon_sym_unmanaged] = ACTIONS(3353),
    [anon_sym_checked] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_true] = ACTIONS(3353),
    [anon_sym_false] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_this] = ACTIONS(3353),
    [anon_sym_scoped] = ACTIONS(3353),
    [anon_sym_base] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [sym_predefined_type] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_unchecked] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_lock] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_when] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_foreach] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3355),
    [anon_sym_from] = ACTIONS(3353),
    [anon_sym_into] = ACTIONS(3353),
    [anon_sym_join] = ACTIONS(3353),
    [anon_sym_on] = ACTIONS(3353),
    [anon_sym_equals] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_orderby] = ACTIONS(3353),
    [anon_sym_ascending] = ACTIONS(3353),
    [anon_sym_descending] = ACTIONS(3353),
    [anon_sym_group] = ACTIONS(3353),
    [anon_sym_by] = ACTIONS(3353),
    [anon_sym_select] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [anon_sym_stackalloc] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym___makeref] = ACTIONS(3353),
    [anon_sym___reftype] = ACTIONS(3353),
    [anon_sym___refvalue] = ACTIONS(3353),
    [sym_null_literal] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [sym_integer_literal] = ACTIONS(3353),
    [sym_real_literal] = ACTIONS(3355),
    [sym_verbatim_string_literal] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3355),
    [sym_interpolation_verbatim_start] = ACTIONS(3355),
    [sym_interpolation_raw_start] = ACTIONS(3355),
    [sym_raw_string_start] = ACTIONS(3355),
  },
  [2473] = {
    [sym_preproc_region] = STATE(2473),
    [sym_preproc_endregion] = STATE(2473),
    [sym_preproc_line] = STATE(2473),
    [sym_preproc_pragma] = STATE(2473),
    [sym_preproc_nullable] = STATE(2473),
    [sym_preproc_error] = STATE(2473),
    [sym_preproc_define] = STATE(2473),
    [sym_preproc_undef] = STATE(2473),
    [ts_builtin_sym_end] = ACTIONS(3123),
    [sym__identifier_token] = ACTIONS(3121),
    [anon_sym_extern] = ACTIONS(3121),
    [anon_sym_alias] = ACTIONS(3121),
    [anon_sym_SEMI] = ACTIONS(3123),
    [anon_sym_global] = ACTIONS(3121),
    [anon_sym_using] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(3121),
    [anon_sym_static] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3121),
    [anon_sym_namespace] = ACTIONS(3121),
    [anon_sym_class] = ACTIONS(3121),
    [anon_sym_ref] = ACTIONS(3121),
    [anon_sym_struct] = ACTIONS(3121),
    [anon_sym_enum] = ACTIONS(3121),
    [anon_sym_LBRACE] = ACTIONS(3123),
    [anon_sym_interface] = ACTIONS(3121),
    [anon_sym_delegate] = ACTIONS(3121),
    [anon_sym_record] = ACTIONS(3121),
    [anon_sym_abstract] = ACTIONS(3121),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_const] = ACTIONS(3121),
    [anon_sym_file] = ACTIONS(3121),
    [anon_sym_fixed] = ACTIONS(3121),
    [anon_sym_internal] = ACTIONS(3121),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_partial] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_required] = ACTIONS(3121),
    [anon_sym_sealed] = ACTIONS(3121),
    [anon_sym_virtual] = ACTIONS(3121),
    [anon_sym_volatile] = ACTIONS(3121),
    [anon_sym_where] = ACTIONS(3121),
    [anon_sym_notnull] = ACTIONS(3121),
    [anon_sym_unmanaged] = ACTIONS(3121),
    [anon_sym_checked] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3123),
    [anon_sym_TILDE] = ACTIONS(3123),
    [anon_sym_PLUS_PLUS] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3121),
    [anon_sym_false] = ACTIONS(3121),
    [anon_sym_PLUS] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3123),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_this] = ACTIONS(3121),
    [anon_sym_scoped] = ACTIONS(3121),
    [anon_sym_base] = ACTIONS(3121),
    [anon_sym_var] = ACTIONS(3121),
    [sym_predefined_type] = ACTIONS(3121),
    [anon_sym_break] = ACTIONS(3121),
    [anon_sym_unchecked] = ACTIONS(3121),
    [anon_sym_continue] = ACTIONS(3121),
    [anon_sym_do] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(3121),
    [anon_sym_for] = ACTIONS(3121),
    [anon_sym_lock] = ACTIONS(3121),
    [anon_sym_yield] = ACTIONS(3121),
    [anon_sym_switch] = ACTIONS(3121),
    [anon_sym_default] = ACTIONS(3121),
    [anon_sym_throw] = ACTIONS(3121),
    [anon_sym_try] = ACTIONS(3121),
    [anon_sym_when] = ACTIONS(3121),
    [anon_sym_await] = ACTIONS(3121),
    [anon_sym_foreach] = ACTIONS(3121),
    [anon_sym_goto] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_else] = ACTIONS(3121),
    [anon_sym_DOT_DOT] = ACTIONS(3123),
    [anon_sym_from] = ACTIONS(3121),
    [anon_sym_into] = ACTIONS(3121),
    [anon_sym_join] = ACTIONS(3121),
    [anon_sym_on] = ACTIONS(3121),
    [anon_sym_equals] = ACTIONS(3121),
    [anon_sym_let] = ACTIONS(3121),
    [anon_sym_orderby] = ACTIONS(3121),
    [anon_sym_ascending] = ACTIONS(3121),
    [anon_sym_descending] = ACTIONS(3121),
    [anon_sym_group] = ACTIONS(3121),
    [anon_sym_by] = ACTIONS(3121),
    [anon_sym_select] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3123),
    [anon_sym_stackalloc] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3121),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym___makeref] = ACTIONS(3121),
    [anon_sym___reftype] = ACTIONS(3121),
    [anon_sym___refvalue] = ACTIONS(3121),
    [sym_null_literal] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3123),
    [sym_integer_literal] = ACTIONS(3121),
    [sym_real_literal] = ACTIONS(3123),
    [sym_verbatim_string_literal] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3123),
    [sym_interpolation_verbatim_start] = ACTIONS(3123),
    [sym_interpolation_raw_start] = ACTIONS(3123),
    [sym_raw_string_start] = ACTIONS(3123),
  },
  [2474] = {
    [sym_preproc_region] = STATE(2474),
    [sym_preproc_endregion] = STATE(2474),
    [sym_preproc_line] = STATE(2474),
    [sym_preproc_pragma] = STATE(2474),
    [sym_preproc_nullable] = STATE(2474),
    [sym_preproc_error] = STATE(2474),
    [sym_preproc_define] = STATE(2474),
    [sym_preproc_undef] = STATE(2474),
    [ts_builtin_sym_end] = ACTIONS(3283),
    [sym__identifier_token] = ACTIONS(3281),
    [anon_sym_extern] = ACTIONS(3281),
    [anon_sym_alias] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_global] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_unsafe] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_namespace] = ACTIONS(3281),
    [anon_sym_class] = ACTIONS(3281),
    [anon_sym_ref] = ACTIONS(3281),
    [anon_sym_struct] = ACTIONS(3281),
    [anon_sym_enum] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_interface] = ACTIONS(3281),
    [anon_sym_delegate] = ACTIONS(3281),
    [anon_sym_record] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_file] = ACTIONS(3281),
    [anon_sym_fixed] = ACTIONS(3281),
    [anon_sym_internal] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_partial] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_required] = ACTIONS(3281),
    [anon_sym_sealed] = ACTIONS(3281),
    [anon_sym_virtual] = ACTIONS(3281),
    [anon_sym_volatile] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_notnull] = ACTIONS(3281),
    [anon_sym_unmanaged] = ACTIONS(3281),
    [anon_sym_checked] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_true] = ACTIONS(3281),
    [anon_sym_false] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_CARET] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_this] = ACTIONS(3281),
    [anon_sym_scoped] = ACTIONS(3281),
    [anon_sym_base] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [sym_predefined_type] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_unchecked] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_lock] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_foreach] = ACTIONS(3281),
    [anon_sym_goto] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_DOT_DOT] = ACTIONS(3283),
    [anon_sym_from] = ACTIONS(3281),
    [anon_sym_into] = ACTIONS(3281),
    [anon_sym_join] = ACTIONS(3281),
    [anon_sym_on] = ACTIONS(3281),
    [anon_sym_equals] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_orderby] = ACTIONS(3281),
    [anon_sym_ascending] = ACTIONS(3281),
    [anon_sym_descending] = ACTIONS(3281),
    [anon_sym_group] = ACTIONS(3281),
    [anon_sym_by] = ACTIONS(3281),
    [anon_sym_select] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_stackalloc] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym___makeref] = ACTIONS(3281),
    [anon_sym___reftype] = ACTIONS(3281),
    [anon_sym___refvalue] = ACTIONS(3281),
    [sym_null_literal] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [sym_integer_literal] = ACTIONS(3281),
    [sym_real_literal] = ACTIONS(3283),
    [sym_verbatim_string_literal] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3283),
    [sym_interpolation_verbatim_start] = ACTIONS(3283),
    [sym_interpolation_raw_start] = ACTIONS(3283),
    [sym_raw_string_start] = ACTIONS(3283),
  },
  [2475] = {
    [sym_preproc_region] = STATE(2475),
    [sym_preproc_endregion] = STATE(2475),
    [sym_preproc_line] = STATE(2475),
    [sym_preproc_pragma] = STATE(2475),
    [sym_preproc_nullable] = STATE(2475),
    [sym_preproc_error] = STATE(2475),
    [sym_preproc_define] = STATE(2475),
    [sym_preproc_undef] = STATE(2475),
    [ts_builtin_sym_end] = ACTIONS(3219),
    [sym__identifier_token] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym_alias] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_global] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_unsafe] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_ref] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_interface] = ACTIONS(3217),
    [anon_sym_delegate] = ACTIONS(3217),
    [anon_sym_record] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_file] = ACTIONS(3217),
    [anon_sym_fixed] = ACTIONS(3217),
    [anon_sym_internal] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_partial] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_required] = ACTIONS(3217),
    [anon_sym_sealed] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_where] = ACTIONS(3217),
    [anon_sym_notnull] = ACTIONS(3217),
    [anon_sym_unmanaged] = ACTIONS(3217),
    [anon_sym_checked] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_true] = ACTIONS(3217),
    [anon_sym_false] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_this] = ACTIONS(3217),
    [anon_sym_scoped] = ACTIONS(3217),
    [anon_sym_base] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [sym_predefined_type] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_unchecked] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_lock] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_when] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_foreach] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_DOT_DOT] = ACTIONS(3219),
    [anon_sym_from] = ACTIONS(3217),
    [anon_sym_into] = ACTIONS(3217),
    [anon_sym_join] = ACTIONS(3217),
    [anon_sym_on] = ACTIONS(3217),
    [anon_sym_equals] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_orderby] = ACTIONS(3217),
    [anon_sym_ascending] = ACTIONS(3217),
    [anon_sym_descending] = ACTIONS(3217),
    [anon_sym_group] = ACTIONS(3217),
    [anon_sym_by] = ACTIONS(3217),
    [anon_sym_select] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_stackalloc] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym___makeref] = ACTIONS(3217),
    [anon_sym___reftype] = ACTIONS(3217),
    [anon_sym___refvalue] = ACTIONS(3217),
    [sym_null_literal] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(3217),
    [sym_real_literal] = ACTIONS(3219),
    [sym_verbatim_string_literal] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3219),
    [sym_interpolation_verbatim_start] = ACTIONS(3219),
    [sym_interpolation_raw_start] = ACTIONS(3219),
    [sym_raw_string_start] = ACTIONS(3219),
  },
  [2476] = {
    [sym_preproc_region] = STATE(2476),
    [sym_preproc_endregion] = STATE(2476),
    [sym_preproc_line] = STATE(2476),
    [sym_preproc_pragma] = STATE(2476),
    [sym_preproc_nullable] = STATE(2476),
    [sym_preproc_error] = STATE(2476),
    [sym_preproc_define] = STATE(2476),
    [sym_preproc_undef] = STATE(2476),
    [ts_builtin_sym_end] = ACTIONS(3119),
    [sym__identifier_token] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym_alias] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym_global] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_unsafe] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_ref] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_interface] = ACTIONS(3117),
    [anon_sym_delegate] = ACTIONS(3117),
    [anon_sym_record] = ACTIONS(3117),
    [anon_sym_abstract] = ACTIONS(3117),
    [anon_sym_async] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_file] = ACTIONS(3117),
    [anon_sym_fixed] = ACTIONS(3117),
    [anon_sym_internal] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_override] = ACTIONS(3117),
    [anon_sym_partial] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_readonly] = ACTIONS(3117),
    [anon_sym_required] = ACTIONS(3117),
    [anon_sym_sealed] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_where] = ACTIONS(3117),
    [anon_sym_notnull] = ACTIONS(3117),
    [anon_sym_unmanaged] = ACTIONS(3117),
    [anon_sym_checked] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_true] = ACTIONS(3117),
    [anon_sym_false] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_CARET] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_this] = ACTIONS(3117),
    [anon_sym_scoped] = ACTIONS(3117),
    [anon_sym_base] = ACTIONS(3117),
    [anon_sym_var] = ACTIONS(3117),
    [sym_predefined_type] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_unchecked] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_lock] = ACTIONS(3117),
    [anon_sym_yield] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_when] = ACTIONS(3117),
    [anon_sym_await] = ACTIONS(3117),
    [anon_sym_foreach] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_else] = ACTIONS(3117),
    [anon_sym_DOT_DOT] = ACTIONS(3119),
    [anon_sym_from] = ACTIONS(3117),
    [anon_sym_into] = ACTIONS(3117),
    [anon_sym_join] = ACTIONS(3117),
    [anon_sym_on] = ACTIONS(3117),
    [anon_sym_equals] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_orderby] = ACTIONS(3117),
    [anon_sym_ascending] = ACTIONS(3117),
    [anon_sym_descending] = ACTIONS(3117),
    [anon_sym_group] = ACTIONS(3117),
    [anon_sym_by] = ACTIONS(3117),
    [anon_sym_select] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [anon_sym_stackalloc] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym_typeof] = ACTIONS(3117),
    [anon_sym___makeref] = ACTIONS(3117),
    [anon_sym___reftype] = ACTIONS(3117),
    [anon_sym___refvalue] = ACTIONS(3117),
    [sym_null_literal] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [sym_integer_literal] = ACTIONS(3117),
    [sym_real_literal] = ACTIONS(3119),
    [sym_verbatim_string_literal] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3119),
    [sym_interpolation_verbatim_start] = ACTIONS(3119),
    [sym_interpolation_raw_start] = ACTIONS(3119),
    [sym_raw_string_start] = ACTIONS(3119),
  },
  [2477] = {
    [sym_preproc_region] = STATE(2477),
    [sym_preproc_endregion] = STATE(2477),
    [sym_preproc_line] = STATE(2477),
    [sym_preproc_pragma] = STATE(2477),
    [sym_preproc_nullable] = STATE(2477),
    [sym_preproc_error] = STATE(2477),
    [sym_preproc_define] = STATE(2477),
    [sym_preproc_undef] = STATE(2477),
    [ts_builtin_sym_end] = ACTIONS(3223),
    [sym__identifier_token] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym_alias] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_global] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_unsafe] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_ref] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_interface] = ACTIONS(3221),
    [anon_sym_delegate] = ACTIONS(3221),
    [anon_sym_record] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_file] = ACTIONS(3221),
    [anon_sym_fixed] = ACTIONS(3221),
    [anon_sym_internal] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_partial] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_required] = ACTIONS(3221),
    [anon_sym_sealed] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_where] = ACTIONS(3221),
    [anon_sym_notnull] = ACTIONS(3221),
    [anon_sym_unmanaged] = ACTIONS(3221),
    [anon_sym_checked] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_true] = ACTIONS(3221),
    [anon_sym_false] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_CARET] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_this] = ACTIONS(3221),
    [anon_sym_scoped] = ACTIONS(3221),
    [anon_sym_base] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [sym_predefined_type] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_unchecked] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_lock] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_when] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_foreach] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_from] = ACTIONS(3221),
    [anon_sym_into] = ACTIONS(3221),
    [anon_sym_join] = ACTIONS(3221),
    [anon_sym_on] = ACTIONS(3221),
    [anon_sym_equals] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_orderby] = ACTIONS(3221),
    [anon_sym_ascending] = ACTIONS(3221),
    [anon_sym_descending] = ACTIONS(3221),
    [anon_sym_group] = ACTIONS(3221),
    [anon_sym_by] = ACTIONS(3221),
    [anon_sym_select] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_stackalloc] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym___makeref] = ACTIONS(3221),
    [anon_sym___reftype] = ACTIONS(3221),
    [anon_sym___refvalue] = ACTIONS(3221),
    [sym_null_literal] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [sym_integer_literal] = ACTIONS(3221),
    [sym_real_literal] = ACTIONS(3223),
    [sym_verbatim_string_literal] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3223),
    [sym_interpolation_verbatim_start] = ACTIONS(3223),
    [sym_interpolation_raw_start] = ACTIONS(3223),
    [sym_raw_string_start] = ACTIONS(3223),
  },
  [2478] = {
    [sym_preproc_region] = STATE(2478),
    [sym_preproc_endregion] = STATE(2478),
    [sym_preproc_line] = STATE(2478),
    [sym_preproc_pragma] = STATE(2478),
    [sym_preproc_nullable] = STATE(2478),
    [sym_preproc_error] = STATE(2478),
    [sym_preproc_define] = STATE(2478),
    [sym_preproc_undef] = STATE(2478),
    [ts_builtin_sym_end] = ACTIONS(3203),
    [sym__identifier_token] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym_alias] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_global] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_unsafe] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_ref] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3201),
    [anon_sym_delegate] = ACTIONS(3201),
    [anon_sym_record] = ACTIONS(3201),
    [anon_sym_abstract] = ACTIONS(3201),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_file] = ACTIONS(3201),
    [anon_sym_fixed] = ACTIONS(3201),
    [anon_sym_internal] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_override] = ACTIONS(3201),
    [anon_sym_partial] = ACTIONS(3201),
    [anon_sym_private] = ACTIONS(3201),
    [anon_sym_protected] = ACTIONS(3201),
    [anon_sym_public] = ACTIONS(3201),
    [anon_sym_readonly] = ACTIONS(3201),
    [anon_sym_required] = ACTIONS(3201),
    [anon_sym_sealed] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_where] = ACTIONS(3201),
    [anon_sym_notnull] = ACTIONS(3201),
    [anon_sym_unmanaged] = ACTIONS(3201),
    [anon_sym_checked] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_true] = ACTIONS(3201),
    [anon_sym_false] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_CARET] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_this] = ACTIONS(3201),
    [anon_sym_scoped] = ACTIONS(3201),
    [anon_sym_base] = ACTIONS(3201),
    [anon_sym_var] = ACTIONS(3201),
    [sym_predefined_type] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_unchecked] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_lock] = ACTIONS(3201),
    [anon_sym_yield] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_when] = ACTIONS(3201),
    [anon_sym_await] = ACTIONS(3201),
    [anon_sym_foreach] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_else] = ACTIONS(3201),
    [anon_sym_DOT_DOT] = ACTIONS(3203),
    [anon_sym_from] = ACTIONS(3201),
    [anon_sym_into] = ACTIONS(3201),
    [anon_sym_join] = ACTIONS(3201),
    [anon_sym_on] = ACTIONS(3201),
    [anon_sym_equals] = ACTIONS(3201),
    [anon_sym_let] = ACTIONS(3201),
    [anon_sym_orderby] = ACTIONS(3201),
    [anon_sym_ascending] = ACTIONS(3201),
    [anon_sym_descending] = ACTIONS(3201),
    [anon_sym_group] = ACTIONS(3201),
    [anon_sym_by] = ACTIONS(3201),
    [anon_sym_select] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_stackalloc] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym_typeof] = ACTIONS(3201),
    [anon_sym___makeref] = ACTIONS(3201),
    [anon_sym___reftype] = ACTIONS(3201),
    [anon_sym___refvalue] = ACTIONS(3201),
    [sym_null_literal] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [sym_integer_literal] = ACTIONS(3201),
    [sym_real_literal] = ACTIONS(3203),
    [sym_verbatim_string_literal] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3203),
    [sym_interpolation_verbatim_start] = ACTIONS(3203),
    [sym_interpolation_raw_start] = ACTIONS(3203),
    [sym_raw_string_start] = ACTIONS(3203),
  },
  [2479] = {
    [sym_preproc_region] = STATE(2479),
    [sym_preproc_endregion] = STATE(2479),
    [sym_preproc_line] = STATE(2479),
    [sym_preproc_pragma] = STATE(2479),
    [sym_preproc_nullable] = STATE(2479),
    [sym_preproc_error] = STATE(2479),
    [sym_preproc_define] = STATE(2479),
    [sym_preproc_undef] = STATE(2479),
    [ts_builtin_sym_end] = ACTIONS(3143),
    [sym__identifier_token] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym_alias] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_global] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_unsafe] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3141),
    [anon_sym_namespace] = ACTIONS(3141),
    [anon_sym_class] = ACTIONS(3141),
    [anon_sym_ref] = ACTIONS(3141),
    [anon_sym_struct] = ACTIONS(3141),
    [anon_sym_enum] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_interface] = ACTIONS(3141),
    [anon_sym_delegate] = ACTIONS(3141),
    [anon_sym_record] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3141),
    [anon_sym_async] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_file] = ACTIONS(3141),
    [anon_sym_fixed] = ACTIONS(3141),
    [anon_sym_internal] = ACTIONS(3141),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_override] = ACTIONS(3141),
    [anon_sym_partial] = ACTIONS(3141),
    [anon_sym_private] = ACTIONS(3141),
    [anon_sym_protected] = ACTIONS(3141),
    [anon_sym_public] = ACTIONS(3141),
    [anon_sym_readonly] = ACTIONS(3141),
    [anon_sym_required] = ACTIONS(3141),
    [anon_sym_sealed] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_where] = ACTIONS(3141),
    [anon_sym_notnull] = ACTIONS(3141),
    [anon_sym_unmanaged] = ACTIONS(3141),
    [anon_sym_checked] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_true] = ACTIONS(3141),
    [anon_sym_false] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_CARET] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_this] = ACTIONS(3141),
    [anon_sym_scoped] = ACTIONS(3141),
    [anon_sym_base] = ACTIONS(3141),
    [anon_sym_var] = ACTIONS(3141),
    [sym_predefined_type] = ACTIONS(3141),
    [anon_sym_break] = ACTIONS(3141),
    [anon_sym_unchecked] = ACTIONS(3141),
    [anon_sym_continue] = ACTIONS(3141),
    [anon_sym_do] = ACTIONS(3141),
    [anon_sym_while] = ACTIONS(3141),
    [anon_sym_for] = ACTIONS(3141),
    [anon_sym_lock] = ACTIONS(3141),
    [anon_sym_yield] = ACTIONS(3141),
    [anon_sym_switch] = ACTIONS(3141),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_throw] = ACTIONS(3141),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_when] = ACTIONS(3141),
    [anon_sym_await] = ACTIONS(3141),
    [anon_sym_foreach] = ACTIONS(3141),
    [anon_sym_goto] = ACTIONS(3141),
    [anon_sym_if] = ACTIONS(3141),
    [anon_sym_else] = ACTIONS(3141),
    [anon_sym_DOT_DOT] = ACTIONS(3143),
    [anon_sym_from] = ACTIONS(3141),
    [anon_sym_into] = ACTIONS(3141),
    [anon_sym_join] = ACTIONS(3141),
    [anon_sym_on] = ACTIONS(3141),
    [anon_sym_equals] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3141),
    [anon_sym_orderby] = ACTIONS(3141),
    [anon_sym_ascending] = ACTIONS(3141),
    [anon_sym_descending] = ACTIONS(3141),
    [anon_sym_group] = ACTIONS(3141),
    [anon_sym_by] = ACTIONS(3141),
    [anon_sym_select] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_stackalloc] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3141),
    [anon_sym_typeof] = ACTIONS(3141),
    [anon_sym___makeref] = ACTIONS(3141),
    [anon_sym___reftype] = ACTIONS(3141),
    [anon_sym___refvalue] = ACTIONS(3141),
    [sym_null_literal] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [sym_integer_literal] = ACTIONS(3141),
    [sym_real_literal] = ACTIONS(3143),
    [sym_verbatim_string_literal] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3143),
    [sym_interpolation_verbatim_start] = ACTIONS(3143),
    [sym_interpolation_raw_start] = ACTIONS(3143),
    [sym_raw_string_start] = ACTIONS(3143),
  },
  [2480] = {
    [sym_preproc_region] = STATE(2480),
    [sym_preproc_endregion] = STATE(2480),
    [sym_preproc_line] = STATE(2480),
    [sym_preproc_pragma] = STATE(2480),
    [sym_preproc_nullable] = STATE(2480),
    [sym_preproc_error] = STATE(2480),
    [sym_preproc_define] = STATE(2480),
    [sym_preproc_undef] = STATE(2480),
    [ts_builtin_sym_end] = ACTIONS(3227),
    [sym__identifier_token] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym_alias] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_global] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_unsafe] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_ref] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_interface] = ACTIONS(3225),
    [anon_sym_delegate] = ACTIONS(3225),
    [anon_sym_record] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_file] = ACTIONS(3225),
    [anon_sym_fixed] = ACTIONS(3225),
    [anon_sym_internal] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_partial] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_required] = ACTIONS(3225),
    [anon_sym_sealed] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_where] = ACTIONS(3225),
    [anon_sym_notnull] = ACTIONS(3225),
    [anon_sym_unmanaged] = ACTIONS(3225),
    [anon_sym_checked] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3225),
    [anon_sym_false] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_CARET] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_this] = ACTIONS(3225),
    [anon_sym_scoped] = ACTIONS(3225),
    [anon_sym_base] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [sym_predefined_type] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_unchecked] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_lock] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_when] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_foreach] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_DOT_DOT] = ACTIONS(3227),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_into] = ACTIONS(3225),
    [anon_sym_join] = ACTIONS(3225),
    [anon_sym_on] = ACTIONS(3225),
    [anon_sym_equals] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_orderby] = ACTIONS(3225),
    [anon_sym_ascending] = ACTIONS(3225),
    [anon_sym_descending] = ACTIONS(3225),
    [anon_sym_group] = ACTIONS(3225),
    [anon_sym_by] = ACTIONS(3225),
    [anon_sym_select] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_stackalloc] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym___makeref] = ACTIONS(3225),
    [anon_sym___reftype] = ACTIONS(3225),
    [anon_sym___refvalue] = ACTIONS(3225),
    [sym_null_literal] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [sym_integer_literal] = ACTIONS(3225),
    [sym_real_literal] = ACTIONS(3227),
    [sym_verbatim_string_literal] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3227),
    [sym_interpolation_verbatim_start] = ACTIONS(3227),
    [sym_interpolation_raw_start] = ACTIONS(3227),
    [sym_raw_string_start] = ACTIONS(3227),
  },
  [2481] = {
    [sym_preproc_region] = STATE(2481),
    [sym_preproc_endregion] = STATE(2481),
    [sym_preproc_line] = STATE(2481),
    [sym_preproc_pragma] = STATE(2481),
    [sym_preproc_nullable] = STATE(2481),
    [sym_preproc_error] = STATE(2481),
    [sym_preproc_define] = STATE(2481),
    [sym_preproc_undef] = STATE(2481),
    [ts_builtin_sym_end] = ACTIONS(3231),
    [sym__identifier_token] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym_alias] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_global] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_unsafe] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_ref] = ACTIONS(3229),
    [anon_sym_struct] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_interface] = ACTIONS(3229),
    [anon_sym_delegate] = ACTIONS(3229),
    [anon_sym_record] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_file] = ACTIONS(3229),
    [anon_sym_fixed] = ACTIONS(3229),
    [anon_sym_internal] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_partial] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_required] = ACTIONS(3229),
    [anon_sym_sealed] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_where] = ACTIONS(3229),
    [anon_sym_notnull] = ACTIONS(3229),
    [anon_sym_unmanaged] = ACTIONS(3229),
    [anon_sym_checked] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_CARET] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_this] = ACTIONS(3229),
    [anon_sym_scoped] = ACTIONS(3229),
    [anon_sym_base] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [sym_predefined_type] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_unchecked] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_lock] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_when] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_foreach] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_DOT_DOT] = ACTIONS(3231),
    [anon_sym_from] = ACTIONS(3229),
    [anon_sym_into] = ACTIONS(3229),
    [anon_sym_join] = ACTIONS(3229),
    [anon_sym_on] = ACTIONS(3229),
    [anon_sym_equals] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_orderby] = ACTIONS(3229),
    [anon_sym_ascending] = ACTIONS(3229),
    [anon_sym_descending] = ACTIONS(3229),
    [anon_sym_group] = ACTIONS(3229),
    [anon_sym_by] = ACTIONS(3229),
    [anon_sym_select] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_stackalloc] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym___makeref] = ACTIONS(3229),
    [anon_sym___reftype] = ACTIONS(3229),
    [anon_sym___refvalue] = ACTIONS(3229),
    [sym_null_literal] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [sym_integer_literal] = ACTIONS(3229),
    [sym_real_literal] = ACTIONS(3231),
    [sym_verbatim_string_literal] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3231),
    [sym_interpolation_verbatim_start] = ACTIONS(3231),
    [sym_interpolation_raw_start] = ACTIONS(3231),
    [sym_raw_string_start] = ACTIONS(3231),
  },
  [2482] = {
    [sym_preproc_region] = STATE(2482),
    [sym_preproc_endregion] = STATE(2482),
    [sym_preproc_line] = STATE(2482),
    [sym_preproc_pragma] = STATE(2482),
    [sym_preproc_nullable] = STATE(2482),
    [sym_preproc_error] = STATE(2482),
    [sym_preproc_define] = STATE(2482),
    [sym_preproc_undef] = STATE(2482),
    [ts_builtin_sym_end] = ACTIONS(3235),
    [sym__identifier_token] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym_alias] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_global] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_unsafe] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_ref] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_interface] = ACTIONS(3233),
    [anon_sym_delegate] = ACTIONS(3233),
    [anon_sym_record] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_file] = ACTIONS(3233),
    [anon_sym_fixed] = ACTIONS(3233),
    [anon_sym_internal] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_partial] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_required] = ACTIONS(3233),
    [anon_sym_sealed] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_where] = ACTIONS(3233),
    [anon_sym_notnull] = ACTIONS(3233),
    [anon_sym_unmanaged] = ACTIONS(3233),
    [anon_sym_checked] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_true] = ACTIONS(3233),
    [anon_sym_false] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_this] = ACTIONS(3233),
    [anon_sym_scoped] = ACTIONS(3233),
    [anon_sym_base] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [sym_predefined_type] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_unchecked] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_lock] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_when] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_foreach] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_DOT_DOT] = ACTIONS(3235),
    [anon_sym_from] = ACTIONS(3233),
    [anon_sym_into] = ACTIONS(3233),
    [anon_sym_join] = ACTIONS(3233),
    [anon_sym_on] = ACTIONS(3233),
    [anon_sym_equals] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_orderby] = ACTIONS(3233),
    [anon_sym_ascending] = ACTIONS(3233),
    [anon_sym_descending] = ACTIONS(3233),
    [anon_sym_group] = ACTIONS(3233),
    [anon_sym_by] = ACTIONS(3233),
    [anon_sym_select] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_stackalloc] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym___makeref] = ACTIONS(3233),
    [anon_sym___reftype] = ACTIONS(3233),
    [anon_sym___refvalue] = ACTIONS(3233),
    [sym_null_literal] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [sym_integer_literal] = ACTIONS(3233),
    [sym_real_literal] = ACTIONS(3235),
    [sym_verbatim_string_literal] = ACTIONS(3235),
    [aux_sym_preproc_if_token1] = ACTIONS(3235),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3235),
    [sym_interpolation_verbatim_start] = ACTIONS(3235),
    [sym_interpolation_raw_start] = ACTIONS(3235),
    [sym_raw_string_start] = ACTIONS(3235),
  },
  [2483] = {
    [sym_preproc_region] = STATE(2483),
    [sym_preproc_endregion] = STATE(2483),
    [sym_preproc_line] = STATE(2483),
    [sym_preproc_pragma] = STATE(2483),
    [sym_preproc_nullable] = STATE(2483),
    [sym_preproc_error] = STATE(2483),
    [sym_preproc_define] = STATE(2483),
    [sym_preproc_undef] = STATE(2483),
    [ts_builtin_sym_end] = ACTIONS(3359),
    [sym__identifier_token] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym_alias] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_global] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_unsafe] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_namespace] = ACTIONS(3357),
    [anon_sym_class] = ACTIONS(3357),
    [anon_sym_ref] = ACTIONS(3357),
    [anon_sym_struct] = ACTIONS(3357),
    [anon_sym_enum] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_interface] = ACTIONS(3357),
    [anon_sym_delegate] = ACTIONS(3357),
    [anon_sym_record] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_file] = ACTIONS(3357),
    [anon_sym_fixed] = ACTIONS(3357),
    [anon_sym_internal] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_partial] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_required] = ACTIONS(3357),
    [anon_sym_sealed] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_where] = ACTIONS(3357),
    [anon_sym_notnull] = ACTIONS(3357),
    [anon_sym_unmanaged] = ACTIONS(3357),
    [anon_sym_checked] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_true] = ACTIONS(3357),
    [anon_sym_false] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_CARET] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_this] = ACTIONS(3357),
    [anon_sym_scoped] = ACTIONS(3357),
    [anon_sym_base] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [sym_predefined_type] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_unchecked] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_lock] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_when] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_foreach] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_DOT_DOT] = ACTIONS(3359),
    [anon_sym_from] = ACTIONS(3357),
    [anon_sym_into] = ACTIONS(3357),
    [anon_sym_join] = ACTIONS(3357),
    [anon_sym_on] = ACTIONS(3357),
    [anon_sym_equals] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_orderby] = ACTIONS(3357),
    [anon_sym_ascending] = ACTIONS(3357),
    [anon_sym_descending] = ACTIONS(3357),
    [anon_sym_group] = ACTIONS(3357),
    [anon_sym_by] = ACTIONS(3357),
    [anon_sym_select] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_stackalloc] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym___makeref] = ACTIONS(3357),
    [anon_sym___reftype] = ACTIONS(3357),
    [anon_sym___refvalue] = ACTIONS(3357),
    [sym_null_literal] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [sym_integer_literal] = ACTIONS(3357),
    [sym_real_literal] = ACTIONS(3359),
    [sym_verbatim_string_literal] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3359),
    [sym_interpolation_verbatim_start] = ACTIONS(3359),
    [sym_interpolation_raw_start] = ACTIONS(3359),
    [sym_raw_string_start] = ACTIONS(3359),
  },
  [2484] = {
    [sym_preproc_region] = STATE(2484),
    [sym_preproc_endregion] = STATE(2484),
    [sym_preproc_line] = STATE(2484),
    [sym_preproc_pragma] = STATE(2484),
    [sym_preproc_nullable] = STATE(2484),
    [sym_preproc_error] = STATE(2484),
    [sym_preproc_define] = STATE(2484),
    [sym_preproc_undef] = STATE(2484),
    [ts_builtin_sym_end] = ACTIONS(3275),
    [sym__identifier_token] = ACTIONS(3273),
    [anon_sym_extern] = ACTIONS(3273),
    [anon_sym_alias] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_global] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_unsafe] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_namespace] = ACTIONS(3273),
    [anon_sym_class] = ACTIONS(3273),
    [anon_sym_ref] = ACTIONS(3273),
    [anon_sym_struct] = ACTIONS(3273),
    [anon_sym_enum] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_interface] = ACTIONS(3273),
    [anon_sym_delegate] = ACTIONS(3273),
    [anon_sym_record] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_file] = ACTIONS(3273),
    [anon_sym_fixed] = ACTIONS(3273),
    [anon_sym_internal] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_partial] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_required] = ACTIONS(3273),
    [anon_sym_sealed] = ACTIONS(3273),
    [anon_sym_virtual] = ACTIONS(3273),
    [anon_sym_volatile] = ACTIONS(3273),
    [anon_sym_where] = ACTIONS(3273),
    [anon_sym_notnull] = ACTIONS(3273),
    [anon_sym_unmanaged] = ACTIONS(3273),
    [anon_sym_checked] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [anon_sym_true] = ACTIONS(3273),
    [anon_sym_false] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3275),
    [anon_sym_CARET] = ACTIONS(3275),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym_this] = ACTIONS(3273),
    [anon_sym_scoped] = ACTIONS(3273),
    [anon_sym_base] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [sym_predefined_type] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_unchecked] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_lock] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_when] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_foreach] = ACTIONS(3273),
    [anon_sym_goto] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_from] = ACTIONS(3273),
    [anon_sym_into] = ACTIONS(3273),
    [anon_sym_join] = ACTIONS(3273),
    [anon_sym_on] = ACTIONS(3273),
    [anon_sym_equals] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_orderby] = ACTIONS(3273),
    [anon_sym_ascending] = ACTIONS(3273),
    [anon_sym_descending] = ACTIONS(3273),
    [anon_sym_group] = ACTIONS(3273),
    [anon_sym_by] = ACTIONS(3273),
    [anon_sym_select] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_stackalloc] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym___makeref] = ACTIONS(3273),
    [anon_sym___reftype] = ACTIONS(3273),
    [anon_sym___refvalue] = ACTIONS(3273),
    [sym_null_literal] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [sym_integer_literal] = ACTIONS(3273),
    [sym_real_literal] = ACTIONS(3275),
    [sym_verbatim_string_literal] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3275),
    [sym_interpolation_verbatim_start] = ACTIONS(3275),
    [sym_interpolation_raw_start] = ACTIONS(3275),
    [sym_raw_string_start] = ACTIONS(3275),
  },
  [2485] = {
    [sym_preproc_region] = STATE(2485),
    [sym_preproc_endregion] = STATE(2485),
    [sym_preproc_line] = STATE(2485),
    [sym_preproc_pragma] = STATE(2485),
    [sym_preproc_nullable] = STATE(2485),
    [sym_preproc_error] = STATE(2485),
    [sym_preproc_define] = STATE(2485),
    [sym_preproc_undef] = STATE(2485),
    [ts_builtin_sym_end] = ACTIONS(3239),
    [sym__identifier_token] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym_alias] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_global] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_unsafe] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_ref] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_interface] = ACTIONS(3237),
    [anon_sym_delegate] = ACTIONS(3237),
    [anon_sym_record] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_file] = ACTIONS(3237),
    [anon_sym_fixed] = ACTIONS(3237),
    [anon_sym_internal] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_partial] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_required] = ACTIONS(3237),
    [anon_sym_sealed] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_where] = ACTIONS(3237),
    [anon_sym_notnull] = ACTIONS(3237),
    [anon_sym_unmanaged] = ACTIONS(3237),
    [anon_sym_checked] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_true] = ACTIONS(3237),
    [anon_sym_false] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_CARET] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3239),
    [anon_sym_this] = ACTIONS(3237),
    [anon_sym_scoped] = ACTIONS(3237),
    [anon_sym_base] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [sym_predefined_type] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_unchecked] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_lock] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_when] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_foreach] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_DOT_DOT] = ACTIONS(3239),
    [anon_sym_from] = ACTIONS(3237),
    [anon_sym_into] = ACTIONS(3237),
    [anon_sym_join] = ACTIONS(3237),
    [anon_sym_on] = ACTIONS(3237),
    [anon_sym_equals] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_orderby] = ACTIONS(3237),
    [anon_sym_ascending] = ACTIONS(3237),
    [anon_sym_descending] = ACTIONS(3237),
    [anon_sym_group] = ACTIONS(3237),
    [anon_sym_by] = ACTIONS(3237),
    [anon_sym_select] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_stackalloc] = ACTIONS(3237),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym___makeref] = ACTIONS(3237),
    [anon_sym___reftype] = ACTIONS(3237),
    [anon_sym___refvalue] = ACTIONS(3237),
    [sym_null_literal] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [sym_integer_literal] = ACTIONS(3237),
    [sym_real_literal] = ACTIONS(3239),
    [sym_verbatim_string_literal] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3239),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3239),
    [sym_interpolation_verbatim_start] = ACTIONS(3239),
    [sym_interpolation_raw_start] = ACTIONS(3239),
    [sym_raw_string_start] = ACTIONS(3239),
  },
  [2486] = {
    [sym_preproc_region] = STATE(2486),
    [sym_preproc_endregion] = STATE(2486),
    [sym_preproc_line] = STATE(2486),
    [sym_preproc_pragma] = STATE(2486),
    [sym_preproc_nullable] = STATE(2486),
    [sym_preproc_error] = STATE(2486),
    [sym_preproc_define] = STATE(2486),
    [sym_preproc_undef] = STATE(2486),
    [ts_builtin_sym_end] = ACTIONS(3363),
    [sym__identifier_token] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym_alias] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_global] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_unsafe] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_namespace] = ACTIONS(3361),
    [anon_sym_class] = ACTIONS(3361),
    [anon_sym_ref] = ACTIONS(3361),
    [anon_sym_struct] = ACTIONS(3361),
    [anon_sym_enum] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_interface] = ACTIONS(3361),
    [anon_sym_delegate] = ACTIONS(3361),
    [anon_sym_record] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_file] = ACTIONS(3361),
    [anon_sym_fixed] = ACTIONS(3361),
    [anon_sym_internal] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_partial] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_required] = ACTIONS(3361),
    [anon_sym_sealed] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_where] = ACTIONS(3361),
    [anon_sym_notnull] = ACTIONS(3361),
    [anon_sym_unmanaged] = ACTIONS(3361),
    [anon_sym_checked] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_true] = ACTIONS(3361),
    [anon_sym_false] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_CARET] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_this] = ACTIONS(3361),
    [anon_sym_scoped] = ACTIONS(3361),
    [anon_sym_base] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [sym_predefined_type] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_unchecked] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_lock] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_when] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_foreach] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_else] = ACTIONS(3361),
    [anon_sym_DOT_DOT] = ACTIONS(3363),
    [anon_sym_from] = ACTIONS(3361),
    [anon_sym_into] = ACTIONS(3361),
    [anon_sym_join] = ACTIONS(3361),
    [anon_sym_on] = ACTIONS(3361),
    [anon_sym_equals] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_orderby] = ACTIONS(3361),
    [anon_sym_ascending] = ACTIONS(3361),
    [anon_sym_descending] = ACTIONS(3361),
    [anon_sym_group] = ACTIONS(3361),
    [anon_sym_by] = ACTIONS(3361),
    [anon_sym_select] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_stackalloc] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym___makeref] = ACTIONS(3361),
    [anon_sym___reftype] = ACTIONS(3361),
    [anon_sym___refvalue] = ACTIONS(3361),
    [sym_null_literal] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [sym_integer_literal] = ACTIONS(3361),
    [sym_real_literal] = ACTIONS(3363),
    [sym_verbatim_string_literal] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3363),
    [sym_interpolation_verbatim_start] = ACTIONS(3363),
    [sym_interpolation_raw_start] = ACTIONS(3363),
    [sym_raw_string_start] = ACTIONS(3363),
  },
  [2487] = {
    [sym_preproc_region] = STATE(2487),
    [sym_preproc_endregion] = STATE(2487),
    [sym_preproc_line] = STATE(2487),
    [sym_preproc_pragma] = STATE(2487),
    [sym_preproc_nullable] = STATE(2487),
    [sym_preproc_error] = STATE(2487),
    [sym_preproc_define] = STATE(2487),
    [sym_preproc_undef] = STATE(2487),
    [ts_builtin_sym_end] = ACTIONS(3367),
    [sym__identifier_token] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym_alias] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_global] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_unsafe] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_namespace] = ACTIONS(3365),
    [anon_sym_class] = ACTIONS(3365),
    [anon_sym_ref] = ACTIONS(3365),
    [anon_sym_struct] = ACTIONS(3365),
    [anon_sym_enum] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_interface] = ACTIONS(3365),
    [anon_sym_delegate] = ACTIONS(3365),
    [anon_sym_record] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_file] = ACTIONS(3365),
    [anon_sym_fixed] = ACTIONS(3365),
    [anon_sym_internal] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_partial] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_required] = ACTIONS(3365),
    [anon_sym_sealed] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_where] = ACTIONS(3365),
    [anon_sym_notnull] = ACTIONS(3365),
    [anon_sym_unmanaged] = ACTIONS(3365),
    [anon_sym_checked] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_true] = ACTIONS(3365),
    [anon_sym_false] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_CARET] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_this] = ACTIONS(3365),
    [anon_sym_scoped] = ACTIONS(3365),
    [anon_sym_base] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [sym_predefined_type] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_unchecked] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_lock] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_when] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_foreach] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_else] = ACTIONS(3365),
    [anon_sym_DOT_DOT] = ACTIONS(3367),
    [anon_sym_from] = ACTIONS(3365),
    [anon_sym_into] = ACTIONS(3365),
    [anon_sym_join] = ACTIONS(3365),
    [anon_sym_on] = ACTIONS(3365),
    [anon_sym_equals] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_orderby] = ACTIONS(3365),
    [anon_sym_ascending] = ACTIONS(3365),
    [anon_sym_descending] = ACTIONS(3365),
    [anon_sym_group] = ACTIONS(3365),
    [anon_sym_by] = ACTIONS(3365),
    [anon_sym_select] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_stackalloc] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym___makeref] = ACTIONS(3365),
    [anon_sym___reftype] = ACTIONS(3365),
    [anon_sym___refvalue] = ACTIONS(3365),
    [sym_null_literal] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [sym_integer_literal] = ACTIONS(3365),
    [sym_real_literal] = ACTIONS(3367),
    [sym_verbatim_string_literal] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3367),
    [sym_interpolation_verbatim_start] = ACTIONS(3367),
    [sym_interpolation_raw_start] = ACTIONS(3367),
    [sym_raw_string_start] = ACTIONS(3367),
  },
  [2488] = {
    [sym_preproc_region] = STATE(2488),
    [sym_preproc_endregion] = STATE(2488),
    [sym_preproc_line] = STATE(2488),
    [sym_preproc_pragma] = STATE(2488),
    [sym_preproc_nullable] = STATE(2488),
    [sym_preproc_error] = STATE(2488),
    [sym_preproc_define] = STATE(2488),
    [sym_preproc_undef] = STATE(2488),
    [ts_builtin_sym_end] = ACTIONS(3371),
    [sym__identifier_token] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym_alias] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_global] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_unsafe] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_namespace] = ACTIONS(3369),
    [anon_sym_class] = ACTIONS(3369),
    [anon_sym_ref] = ACTIONS(3369),
    [anon_sym_struct] = ACTIONS(3369),
    [anon_sym_enum] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_interface] = ACTIONS(3369),
    [anon_sym_delegate] = ACTIONS(3369),
    [anon_sym_record] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_file] = ACTIONS(3369),
    [anon_sym_fixed] = ACTIONS(3369),
    [anon_sym_internal] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_partial] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_required] = ACTIONS(3369),
    [anon_sym_sealed] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_where] = ACTIONS(3369),
    [anon_sym_notnull] = ACTIONS(3369),
    [anon_sym_unmanaged] = ACTIONS(3369),
    [anon_sym_checked] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_true] = ACTIONS(3369),
    [anon_sym_false] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_CARET] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_this] = ACTIONS(3369),
    [anon_sym_scoped] = ACTIONS(3369),
    [anon_sym_base] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [sym_predefined_type] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_unchecked] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_lock] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_when] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_foreach] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_DOT_DOT] = ACTIONS(3371),
    [anon_sym_from] = ACTIONS(3369),
    [anon_sym_into] = ACTIONS(3369),
    [anon_sym_join] = ACTIONS(3369),
    [anon_sym_on] = ACTIONS(3369),
    [anon_sym_equals] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_orderby] = ACTIONS(3369),
    [anon_sym_ascending] = ACTIONS(3369),
    [anon_sym_descending] = ACTIONS(3369),
    [anon_sym_group] = ACTIONS(3369),
    [anon_sym_by] = ACTIONS(3369),
    [anon_sym_select] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_stackalloc] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym___makeref] = ACTIONS(3369),
    [anon_sym___reftype] = ACTIONS(3369),
    [anon_sym___refvalue] = ACTIONS(3369),
    [sym_null_literal] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [sym_integer_literal] = ACTIONS(3369),
    [sym_real_literal] = ACTIONS(3371),
    [sym_verbatim_string_literal] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3371),
    [sym_interpolation_verbatim_start] = ACTIONS(3371),
    [sym_interpolation_raw_start] = ACTIONS(3371),
    [sym_raw_string_start] = ACTIONS(3371),
  },
  [2489] = {
    [sym_preproc_region] = STATE(2489),
    [sym_preproc_endregion] = STATE(2489),
    [sym_preproc_line] = STATE(2489),
    [sym_preproc_pragma] = STATE(2489),
    [sym_preproc_nullable] = STATE(2489),
    [sym_preproc_error] = STATE(2489),
    [sym_preproc_define] = STATE(2489),
    [sym_preproc_undef] = STATE(2489),
    [ts_builtin_sym_end] = ACTIONS(3127),
    [sym__identifier_token] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym_alias] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym_global] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_unsafe] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3125),
    [anon_sym_namespace] = ACTIONS(3125),
    [anon_sym_class] = ACTIONS(3125),
    [anon_sym_ref] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(3125),
    [anon_sym_enum] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_interface] = ACTIONS(3125),
    [anon_sym_delegate] = ACTIONS(3125),
    [anon_sym_record] = ACTIONS(3125),
    [anon_sym_abstract] = ACTIONS(3125),
    [anon_sym_async] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_file] = ACTIONS(3125),
    [anon_sym_fixed] = ACTIONS(3125),
    [anon_sym_internal] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3125),
    [anon_sym_override] = ACTIONS(3125),
    [anon_sym_partial] = ACTIONS(3125),
    [anon_sym_private] = ACTIONS(3125),
    [anon_sym_protected] = ACTIONS(3125),
    [anon_sym_public] = ACTIONS(3125),
    [anon_sym_readonly] = ACTIONS(3125),
    [anon_sym_required] = ACTIONS(3125),
    [anon_sym_sealed] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_where] = ACTIONS(3125),
    [anon_sym_notnull] = ACTIONS(3125),
    [anon_sym_unmanaged] = ACTIONS(3125),
    [anon_sym_checked] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3127),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_CARET] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_this] = ACTIONS(3125),
    [anon_sym_scoped] = ACTIONS(3125),
    [anon_sym_base] = ACTIONS(3125),
    [anon_sym_var] = ACTIONS(3125),
    [sym_predefined_type] = ACTIONS(3125),
    [anon_sym_break] = ACTIONS(3125),
    [anon_sym_unchecked] = ACTIONS(3125),
    [anon_sym_continue] = ACTIONS(3125),
    [anon_sym_do] = ACTIONS(3125),
    [anon_sym_while] = ACTIONS(3125),
    [anon_sym_for] = ACTIONS(3125),
    [anon_sym_lock] = ACTIONS(3125),
    [anon_sym_yield] = ACTIONS(3125),
    [anon_sym_switch] = ACTIONS(3125),
    [anon_sym_default] = ACTIONS(3125),
    [anon_sym_throw] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3125),
    [anon_sym_when] = ACTIONS(3125),
    [anon_sym_await] = ACTIONS(3125),
    [anon_sym_foreach] = ACTIONS(3125),
    [anon_sym_goto] = ACTIONS(3125),
    [anon_sym_if] = ACTIONS(3125),
    [anon_sym_else] = ACTIONS(3125),
    [anon_sym_DOT_DOT] = ACTIONS(3127),
    [anon_sym_from] = ACTIONS(3125),
    [anon_sym_into] = ACTIONS(3125),
    [anon_sym_join] = ACTIONS(3125),
    [anon_sym_on] = ACTIONS(3125),
    [anon_sym_equals] = ACTIONS(3125),
    [anon_sym_let] = ACTIONS(3125),
    [anon_sym_orderby] = ACTIONS(3125),
    [anon_sym_ascending] = ACTIONS(3125),
    [anon_sym_descending] = ACTIONS(3125),
    [anon_sym_group] = ACTIONS(3125),
    [anon_sym_by] = ACTIONS(3125),
    [anon_sym_select] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3127),
    [anon_sym_stackalloc] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3125),
    [anon_sym_typeof] = ACTIONS(3125),
    [anon_sym___makeref] = ACTIONS(3125),
    [anon_sym___reftype] = ACTIONS(3125),
    [anon_sym___refvalue] = ACTIONS(3125),
    [sym_null_literal] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3127),
    [sym_integer_literal] = ACTIONS(3125),
    [sym_real_literal] = ACTIONS(3127),
    [sym_verbatim_string_literal] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3127),
    [sym_interpolation_verbatim_start] = ACTIONS(3127),
    [sym_interpolation_raw_start] = ACTIONS(3127),
    [sym_raw_string_start] = ACTIONS(3127),
  },
  [2490] = {
    [sym_preproc_region] = STATE(2490),
    [sym_preproc_endregion] = STATE(2490),
    [sym_preproc_line] = STATE(2490),
    [sym_preproc_pragma] = STATE(2490),
    [sym_preproc_nullable] = STATE(2490),
    [sym_preproc_error] = STATE(2490),
    [sym_preproc_define] = STATE(2490),
    [sym_preproc_undef] = STATE(2490),
    [ts_builtin_sym_end] = ACTIONS(3183),
    [sym__identifier_token] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym_alias] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym_global] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_unsafe] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_LPAREN] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_ref] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_interface] = ACTIONS(3181),
    [anon_sym_delegate] = ACTIONS(3181),
    [anon_sym_record] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_file] = ACTIONS(3181),
    [anon_sym_fixed] = ACTIONS(3181),
    [anon_sym_internal] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_partial] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_required] = ACTIONS(3181),
    [anon_sym_sealed] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_where] = ACTIONS(3181),
    [anon_sym_notnull] = ACTIONS(3181),
    [anon_sym_unmanaged] = ACTIONS(3181),
    [anon_sym_checked] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_true] = ACTIONS(3181),
    [anon_sym_false] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_CARET] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_this] = ACTIONS(3181),
    [anon_sym_scoped] = ACTIONS(3181),
    [anon_sym_base] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [sym_predefined_type] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_unchecked] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_lock] = ACTIONS(3181),
    [anon_sym_yield] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_when] = ACTIONS(3181),
    [anon_sym_await] = ACTIONS(3181),
    [anon_sym_foreach] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_else] = ACTIONS(3181),
    [anon_sym_DOT_DOT] = ACTIONS(3183),
    [anon_sym_from] = ACTIONS(3181),
    [anon_sym_into] = ACTIONS(3181),
    [anon_sym_join] = ACTIONS(3181),
    [anon_sym_on] = ACTIONS(3181),
    [anon_sym_equals] = ACTIONS(3181),
    [anon_sym_let] = ACTIONS(3181),
    [anon_sym_orderby] = ACTIONS(3181),
    [anon_sym_ascending] = ACTIONS(3181),
    [anon_sym_descending] = ACTIONS(3181),
    [anon_sym_group] = ACTIONS(3181),
    [anon_sym_by] = ACTIONS(3181),
    [anon_sym_select] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [anon_sym_stackalloc] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3181),
    [anon_sym___makeref] = ACTIONS(3181),
    [anon_sym___reftype] = ACTIONS(3181),
    [anon_sym___refvalue] = ACTIONS(3181),
    [sym_null_literal] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [sym_integer_literal] = ACTIONS(3181),
    [sym_real_literal] = ACTIONS(3183),
    [sym_verbatim_string_literal] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3183),
    [sym_interpolation_verbatim_start] = ACTIONS(3183),
    [sym_interpolation_raw_start] = ACTIONS(3183),
    [sym_raw_string_start] = ACTIONS(3183),
  },
  [2491] = {
    [sym_preproc_region] = STATE(2491),
    [sym_preproc_endregion] = STATE(2491),
    [sym_preproc_line] = STATE(2491),
    [sym_preproc_pragma] = STATE(2491),
    [sym_preproc_nullable] = STATE(2491),
    [sym_preproc_error] = STATE(2491),
    [sym_preproc_define] = STATE(2491),
    [sym_preproc_undef] = STATE(2491),
    [ts_builtin_sym_end] = ACTIONS(3187),
    [sym__identifier_token] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym_alias] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_global] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_unsafe] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_ref] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_interface] = ACTIONS(3185),
    [anon_sym_delegate] = ACTIONS(3185),
    [anon_sym_record] = ACTIONS(3185),
    [anon_sym_abstract] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_file] = ACTIONS(3185),
    [anon_sym_fixed] = ACTIONS(3185),
    [anon_sym_internal] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_override] = ACTIONS(3185),
    [anon_sym_partial] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_readonly] = ACTIONS(3185),
    [anon_sym_required] = ACTIONS(3185),
    [anon_sym_sealed] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_where] = ACTIONS(3185),
    [anon_sym_notnull] = ACTIONS(3185),
    [anon_sym_unmanaged] = ACTIONS(3185),
    [anon_sym_checked] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_true] = ACTIONS(3185),
    [anon_sym_false] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_this] = ACTIONS(3185),
    [anon_sym_scoped] = ACTIONS(3185),
    [anon_sym_base] = ACTIONS(3185),
    [anon_sym_var] = ACTIONS(3185),
    [sym_predefined_type] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_unchecked] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_lock] = ACTIONS(3185),
    [anon_sym_yield] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_when] = ACTIONS(3185),
    [anon_sym_await] = ACTIONS(3185),
    [anon_sym_foreach] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_else] = ACTIONS(3185),
    [anon_sym_DOT_DOT] = ACTIONS(3187),
    [anon_sym_from] = ACTIONS(3185),
    [anon_sym_into] = ACTIONS(3185),
    [anon_sym_join] = ACTIONS(3185),
    [anon_sym_on] = ACTIONS(3185),
    [anon_sym_equals] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_orderby] = ACTIONS(3185),
    [anon_sym_ascending] = ACTIONS(3185),
    [anon_sym_descending] = ACTIONS(3185),
    [anon_sym_group] = ACTIONS(3185),
    [anon_sym_by] = ACTIONS(3185),
    [anon_sym_select] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [anon_sym_stackalloc] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3185),
    [anon_sym___makeref] = ACTIONS(3185),
    [anon_sym___reftype] = ACTIONS(3185),
    [anon_sym___refvalue] = ACTIONS(3185),
    [sym_null_literal] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [sym_integer_literal] = ACTIONS(3185),
    [sym_real_literal] = ACTIONS(3187),
    [sym_verbatim_string_literal] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3187),
    [sym_interpolation_verbatim_start] = ACTIONS(3187),
    [sym_interpolation_raw_start] = ACTIONS(3187),
    [sym_raw_string_start] = ACTIONS(3187),
  },
  [2492] = {
    [sym_preproc_region] = STATE(2492),
    [sym_preproc_endregion] = STATE(2492),
    [sym_preproc_line] = STATE(2492),
    [sym_preproc_pragma] = STATE(2492),
    [sym_preproc_nullable] = STATE(2492),
    [sym_preproc_error] = STATE(2492),
    [sym_preproc_define] = STATE(2492),
    [sym_preproc_undef] = STATE(2492),
    [ts_builtin_sym_end] = ACTIONS(3131),
    [sym__identifier_token] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym_alias] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym_global] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_unsafe] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_LPAREN] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3129),
    [anon_sym_namespace] = ACTIONS(3129),
    [anon_sym_class] = ACTIONS(3129),
    [anon_sym_ref] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(3131),
    [anon_sym_interface] = ACTIONS(3129),
    [anon_sym_delegate] = ACTIONS(3129),
    [anon_sym_record] = ACTIONS(3129),
    [anon_sym_abstract] = ACTIONS(3129),
    [anon_sym_async] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_file] = ACTIONS(3129),
    [anon_sym_fixed] = ACTIONS(3129),
    [anon_sym_internal] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_override] = ACTIONS(3129),
    [anon_sym_partial] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_readonly] = ACTIONS(3129),
    [anon_sym_required] = ACTIONS(3129),
    [anon_sym_sealed] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_where] = ACTIONS(3129),
    [anon_sym_notnull] = ACTIONS(3129),
    [anon_sym_unmanaged] = ACTIONS(3129),
    [anon_sym_checked] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3131),
    [anon_sym_true] = ACTIONS(3129),
    [anon_sym_false] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_CARET] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_this] = ACTIONS(3129),
    [anon_sym_scoped] = ACTIONS(3129),
    [anon_sym_base] = ACTIONS(3129),
    [anon_sym_var] = ACTIONS(3129),
    [sym_predefined_type] = ACTIONS(3129),
    [anon_sym_break] = ACTIONS(3129),
    [anon_sym_unchecked] = ACTIONS(3129),
    [anon_sym_continue] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3129),
    [anon_sym_while] = ACTIONS(3129),
    [anon_sym_for] = ACTIONS(3129),
    [anon_sym_lock] = ACTIONS(3129),
    [anon_sym_yield] = ACTIONS(3129),
    [anon_sym_switch] = ACTIONS(3129),
    [anon_sym_default] = ACTIONS(3129),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_when] = ACTIONS(3129),
    [anon_sym_await] = ACTIONS(3129),
    [anon_sym_foreach] = ACTIONS(3129),
    [anon_sym_goto] = ACTIONS(3129),
    [anon_sym_if] = ACTIONS(3129),
    [anon_sym_else] = ACTIONS(3129),
    [anon_sym_DOT_DOT] = ACTIONS(3131),
    [anon_sym_from] = ACTIONS(3129),
    [anon_sym_into] = ACTIONS(3129),
    [anon_sym_join] = ACTIONS(3129),
    [anon_sym_on] = ACTIONS(3129),
    [anon_sym_equals] = ACTIONS(3129),
    [anon_sym_let] = ACTIONS(3129),
    [anon_sym_orderby] = ACTIONS(3129),
    [anon_sym_ascending] = ACTIONS(3129),
    [anon_sym_descending] = ACTIONS(3129),
    [anon_sym_group] = ACTIONS(3129),
    [anon_sym_by] = ACTIONS(3129),
    [anon_sym_select] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3131),
    [anon_sym_stackalloc] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3129),
    [anon_sym_typeof] = ACTIONS(3129),
    [anon_sym___makeref] = ACTIONS(3129),
    [anon_sym___reftype] = ACTIONS(3129),
    [anon_sym___refvalue] = ACTIONS(3129),
    [sym_null_literal] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [sym_integer_literal] = ACTIONS(3129),
    [sym_real_literal] = ACTIONS(3131),
    [sym_verbatim_string_literal] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3131),
    [sym_interpolation_verbatim_start] = ACTIONS(3131),
    [sym_interpolation_raw_start] = ACTIONS(3131),
    [sym_raw_string_start] = ACTIONS(3131),
  },
  [2493] = {
    [sym_preproc_region] = STATE(2493),
    [sym_preproc_endregion] = STATE(2493),
    [sym_preproc_line] = STATE(2493),
    [sym_preproc_pragma] = STATE(2493),
    [sym_preproc_nullable] = STATE(2493),
    [sym_preproc_error] = STATE(2493),
    [sym_preproc_define] = STATE(2493),
    [sym_preproc_undef] = STATE(2493),
    [ts_builtin_sym_end] = ACTIONS(3243),
    [sym__identifier_token] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym_alias] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_global] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_unsafe] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_ref] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_interface] = ACTIONS(3241),
    [anon_sym_delegate] = ACTIONS(3241),
    [anon_sym_record] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_file] = ACTIONS(3241),
    [anon_sym_fixed] = ACTIONS(3241),
    [anon_sym_internal] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_partial] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_required] = ACTIONS(3241),
    [anon_sym_sealed] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_where] = ACTIONS(3241),
    [anon_sym_notnull] = ACTIONS(3241),
    [anon_sym_unmanaged] = ACTIONS(3241),
    [anon_sym_checked] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_true] = ACTIONS(3241),
    [anon_sym_false] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_CARET] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3243),
    [anon_sym_this] = ACTIONS(3241),
    [anon_sym_scoped] = ACTIONS(3241),
    [anon_sym_base] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [sym_predefined_type] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_unchecked] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_lock] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_when] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_foreach] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(4012),
    [anon_sym_DOT_DOT] = ACTIONS(3243),
    [anon_sym_from] = ACTIONS(3241),
    [anon_sym_into] = ACTIONS(3241),
    [anon_sym_join] = ACTIONS(3241),
    [anon_sym_on] = ACTIONS(3241),
    [anon_sym_equals] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_orderby] = ACTIONS(3241),
    [anon_sym_ascending] = ACTIONS(3241),
    [anon_sym_descending] = ACTIONS(3241),
    [anon_sym_group] = ACTIONS(3241),
    [anon_sym_by] = ACTIONS(3241),
    [anon_sym_select] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_stackalloc] = ACTIONS(3241),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym___makeref] = ACTIONS(3241),
    [anon_sym___reftype] = ACTIONS(3241),
    [anon_sym___refvalue] = ACTIONS(3241),
    [sym_null_literal] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [sym_integer_literal] = ACTIONS(3241),
    [sym_real_literal] = ACTIONS(3243),
    [sym_verbatim_string_literal] = ACTIONS(3243),
    [aux_sym_preproc_if_token1] = ACTIONS(3243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3243),
    [sym_interpolation_verbatim_start] = ACTIONS(3243),
    [sym_interpolation_raw_start] = ACTIONS(3243),
    [sym_raw_string_start] = ACTIONS(3243),
  },
  [2494] = {
    [sym_preproc_region] = STATE(2494),
    [sym_preproc_endregion] = STATE(2494),
    [sym_preproc_line] = STATE(2494),
    [sym_preproc_pragma] = STATE(2494),
    [sym_preproc_nullable] = STATE(2494),
    [sym_preproc_error] = STATE(2494),
    [sym_preproc_define] = STATE(2494),
    [sym_preproc_undef] = STATE(2494),
    [ts_builtin_sym_end] = ACTIONS(3163),
    [sym__identifier_token] = ACTIONS(3161),
    [anon_sym_extern] = ACTIONS(3161),
    [anon_sym_alias] = ACTIONS(3161),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_global] = ACTIONS(3161),
    [anon_sym_using] = ACTIONS(3161),
    [anon_sym_unsafe] = ACTIONS(3161),
    [anon_sym_static] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3161),
    [anon_sym_namespace] = ACTIONS(3161),
    [anon_sym_class] = ACTIONS(3161),
    [anon_sym_ref] = ACTIONS(3161),
    [anon_sym_struct] = ACTIONS(3161),
    [anon_sym_enum] = ACTIONS(3161),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_interface] = ACTIONS(3161),
    [anon_sym_delegate] = ACTIONS(3161),
    [anon_sym_record] = ACTIONS(3161),
    [anon_sym_abstract] = ACTIONS(3161),
    [anon_sym_async] = ACTIONS(3161),
    [anon_sym_const] = ACTIONS(3161),
    [anon_sym_file] = ACTIONS(3161),
    [anon_sym_fixed] = ACTIONS(3161),
    [anon_sym_internal] = ACTIONS(3161),
    [anon_sym_new] = ACTIONS(3161),
    [anon_sym_override] = ACTIONS(3161),
    [anon_sym_partial] = ACTIONS(3161),
    [anon_sym_private] = ACTIONS(3161),
    [anon_sym_protected] = ACTIONS(3161),
    [anon_sym_public] = ACTIONS(3161),
    [anon_sym_readonly] = ACTIONS(3161),
    [anon_sym_required] = ACTIONS(3161),
    [anon_sym_sealed] = ACTIONS(3161),
    [anon_sym_virtual] = ACTIONS(3161),
    [anon_sym_volatile] = ACTIONS(3161),
    [anon_sym_where] = ACTIONS(3161),
    [anon_sym_notnull] = ACTIONS(3161),
    [anon_sym_unmanaged] = ACTIONS(3161),
    [anon_sym_checked] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [anon_sym_true] = ACTIONS(3161),
    [anon_sym_false] = ACTIONS(3161),
    [anon_sym_PLUS] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3161),
    [anon_sym_STAR] = ACTIONS(3163),
    [anon_sym_CARET] = ACTIONS(3163),
    [anon_sym_AMP] = ACTIONS(3163),
    [anon_sym_this] = ACTIONS(3161),
    [anon_sym_scoped] = ACTIONS(3161),
    [anon_sym_base] = ACTIONS(3161),
    [anon_sym_var] = ACTIONS(3161),
    [sym_predefined_type] = ACTIONS(3161),
    [anon_sym_break] = ACTIONS(3161),
    [anon_sym_unchecked] = ACTIONS(3161),
    [anon_sym_continue] = ACTIONS(3161),
    [anon_sym_do] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(3161),
    [anon_sym_for] = ACTIONS(3161),
    [anon_sym_lock] = ACTIONS(3161),
    [anon_sym_yield] = ACTIONS(3161),
    [anon_sym_switch] = ACTIONS(3161),
    [anon_sym_default] = ACTIONS(3161),
    [anon_sym_throw] = ACTIONS(3161),
    [anon_sym_try] = ACTIONS(3161),
    [anon_sym_when] = ACTIONS(3161),
    [anon_sym_await] = ACTIONS(3161),
    [anon_sym_foreach] = ACTIONS(3161),
    [anon_sym_goto] = ACTIONS(3161),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_else] = ACTIONS(3161),
    [anon_sym_DOT_DOT] = ACTIONS(3163),
    [anon_sym_from] = ACTIONS(3161),
    [anon_sym_into] = ACTIONS(3161),
    [anon_sym_join] = ACTIONS(3161),
    [anon_sym_on] = ACTIONS(3161),
    [anon_sym_equals] = ACTIONS(3161),
    [anon_sym_let] = ACTIONS(3161),
    [anon_sym_orderby] = ACTIONS(3161),
    [anon_sym_ascending] = ACTIONS(3161),
    [anon_sym_descending] = ACTIONS(3161),
    [anon_sym_group] = ACTIONS(3161),
    [anon_sym_by] = ACTIONS(3161),
    [anon_sym_select] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_stackalloc] = ACTIONS(3161),
    [anon_sym_sizeof] = ACTIONS(3161),
    [anon_sym_typeof] = ACTIONS(3161),
    [anon_sym___makeref] = ACTIONS(3161),
    [anon_sym___reftype] = ACTIONS(3161),
    [anon_sym___refvalue] = ACTIONS(3161),
    [sym_null_literal] = ACTIONS(3161),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [sym_integer_literal] = ACTIONS(3161),
    [sym_real_literal] = ACTIONS(3163),
    [sym_verbatim_string_literal] = ACTIONS(3163),
    [aux_sym_preproc_if_token1] = ACTIONS(3163),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3163),
    [sym_interpolation_verbatim_start] = ACTIONS(3163),
    [sym_interpolation_raw_start] = ACTIONS(3163),
    [sym_raw_string_start] = ACTIONS(3163),
  },
  [2495] = {
    [sym_preproc_region] = STATE(2495),
    [sym_preproc_endregion] = STATE(2495),
    [sym_preproc_line] = STATE(2495),
    [sym_preproc_pragma] = STATE(2495),
    [sym_preproc_nullable] = STATE(2495),
    [sym_preproc_error] = STATE(2495),
    [sym_preproc_define] = STATE(2495),
    [sym_preproc_undef] = STATE(2495),
    [ts_builtin_sym_end] = ACTIONS(3147),
    [sym__identifier_token] = ACTIONS(3145),
    [anon_sym_extern] = ACTIONS(3145),
    [anon_sym_alias] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3147),
    [anon_sym_global] = ACTIONS(3145),
    [anon_sym_using] = ACTIONS(3145),
    [anon_sym_unsafe] = ACTIONS(3145),
    [anon_sym_static] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3145),
    [anon_sym_namespace] = ACTIONS(3145),
    [anon_sym_class] = ACTIONS(3145),
    [anon_sym_ref] = ACTIONS(3145),
    [anon_sym_struct] = ACTIONS(3145),
    [anon_sym_enum] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3147),
    [anon_sym_interface] = ACTIONS(3145),
    [anon_sym_delegate] = ACTIONS(3145),
    [anon_sym_record] = ACTIONS(3145),
    [anon_sym_abstract] = ACTIONS(3145),
    [anon_sym_async] = ACTIONS(3145),
    [anon_sym_const] = ACTIONS(3145),
    [anon_sym_file] = ACTIONS(3145),
    [anon_sym_fixed] = ACTIONS(3145),
    [anon_sym_internal] = ACTIONS(3145),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_override] = ACTIONS(3145),
    [anon_sym_partial] = ACTIONS(3145),
    [anon_sym_private] = ACTIONS(3145),
    [anon_sym_protected] = ACTIONS(3145),
    [anon_sym_public] = ACTIONS(3145),
    [anon_sym_readonly] = ACTIONS(3145),
    [anon_sym_required] = ACTIONS(3145),
    [anon_sym_sealed] = ACTIONS(3145),
    [anon_sym_virtual] = ACTIONS(3145),
    [anon_sym_volatile] = ACTIONS(3145),
    [anon_sym_where] = ACTIONS(3145),
    [anon_sym_notnull] = ACTIONS(3145),
    [anon_sym_unmanaged] = ACTIONS(3145),
    [anon_sym_checked] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3147),
    [anon_sym_TILDE] = ACTIONS(3147),
    [anon_sym_PLUS_PLUS] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3145),
    [anon_sym_false] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_CARET] = ACTIONS(3147),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_this] = ACTIONS(3145),
    [anon_sym_scoped] = ACTIONS(3145),
    [anon_sym_base] = ACTIONS(3145),
    [anon_sym_var] = ACTIONS(3145),
    [sym_predefined_type] = ACTIONS(3145),
    [anon_sym_break] = ACTIONS(3145),
    [anon_sym_unchecked] = ACTIONS(3145),
    [anon_sym_continue] = ACTIONS(3145),
    [anon_sym_do] = ACTIONS(3145),
    [anon_sym_while] = ACTIONS(3145),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_lock] = ACTIONS(3145),
    [anon_sym_yield] = ACTIONS(3145),
    [anon_sym_switch] = ACTIONS(3145),
    [anon_sym_default] = ACTIONS(3145),
    [anon_sym_throw] = ACTIONS(3145),
    [anon_sym_try] = ACTIONS(3145),
    [anon_sym_when] = ACTIONS(3145),
    [anon_sym_await] = ACTIONS(3145),
    [anon_sym_foreach] = ACTIONS(3145),
    [anon_sym_goto] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3145),
    [anon_sym_else] = ACTIONS(3145),
    [anon_sym_DOT_DOT] = ACTIONS(3147),
    [anon_sym_from] = ACTIONS(3145),
    [anon_sym_into] = ACTIONS(3145),
    [anon_sym_join] = ACTIONS(3145),
    [anon_sym_on] = ACTIONS(3145),
    [anon_sym_equals] = ACTIONS(3145),
    [anon_sym_let] = ACTIONS(3145),
    [anon_sym_orderby] = ACTIONS(3145),
    [anon_sym_ascending] = ACTIONS(3145),
    [anon_sym_descending] = ACTIONS(3145),
    [anon_sym_group] = ACTIONS(3145),
    [anon_sym_by] = ACTIONS(3145),
    [anon_sym_select] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [anon_sym_stackalloc] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3145),
    [anon_sym_typeof] = ACTIONS(3145),
    [anon_sym___makeref] = ACTIONS(3145),
    [anon_sym___reftype] = ACTIONS(3145),
    [anon_sym___refvalue] = ACTIONS(3145),
    [sym_null_literal] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3147),
    [sym_integer_literal] = ACTIONS(3145),
    [sym_real_literal] = ACTIONS(3147),
    [sym_verbatim_string_literal] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3147),
    [sym_interpolation_verbatim_start] = ACTIONS(3147),
    [sym_interpolation_raw_start] = ACTIONS(3147),
    [sym_raw_string_start] = ACTIONS(3147),
  },
  [2496] = {
    [sym_preproc_region] = STATE(2496),
    [sym_preproc_endregion] = STATE(2496),
    [sym_preproc_line] = STATE(2496),
    [sym_preproc_pragma] = STATE(2496),
    [sym_preproc_nullable] = STATE(2496),
    [sym_preproc_error] = STATE(2496),
    [sym_preproc_define] = STATE(2496),
    [sym_preproc_undef] = STATE(2496),
    [ts_builtin_sym_end] = ACTIONS(3167),
    [sym__identifier_token] = ACTIONS(3165),
    [anon_sym_extern] = ACTIONS(3165),
    [anon_sym_alias] = ACTIONS(3165),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_global] = ACTIONS(3165),
    [anon_sym_using] = ACTIONS(3165),
    [anon_sym_unsafe] = ACTIONS(3165),
    [anon_sym_static] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3165),
    [anon_sym_namespace] = ACTIONS(3165),
    [anon_sym_class] = ACTIONS(3165),
    [anon_sym_ref] = ACTIONS(3165),
    [anon_sym_struct] = ACTIONS(3165),
    [anon_sym_enum] = ACTIONS(3165),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_interface] = ACTIONS(3165),
    [anon_sym_delegate] = ACTIONS(3165),
    [anon_sym_record] = ACTIONS(3165),
    [anon_sym_abstract] = ACTIONS(3165),
    [anon_sym_async] = ACTIONS(3165),
    [anon_sym_const] = ACTIONS(3165),
    [anon_sym_file] = ACTIONS(3165),
    [anon_sym_fixed] = ACTIONS(3165),
    [anon_sym_internal] = ACTIONS(3165),
    [anon_sym_new] = ACTIONS(3165),
    [anon_sym_override] = ACTIONS(3165),
    [anon_sym_partial] = ACTIONS(3165),
    [anon_sym_private] = ACTIONS(3165),
    [anon_sym_protected] = ACTIONS(3165),
    [anon_sym_public] = ACTIONS(3165),
    [anon_sym_readonly] = ACTIONS(3165),
    [anon_sym_required] = ACTIONS(3165),
    [anon_sym_sealed] = ACTIONS(3165),
    [anon_sym_virtual] = ACTIONS(3165),
    [anon_sym_volatile] = ACTIONS(3165),
    [anon_sym_where] = ACTIONS(3165),
    [anon_sym_notnull] = ACTIONS(3165),
    [anon_sym_unmanaged] = ACTIONS(3165),
    [anon_sym_checked] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [anon_sym_true] = ACTIONS(3165),
    [anon_sym_false] = ACTIONS(3165),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3165),
    [anon_sym_STAR] = ACTIONS(3167),
    [anon_sym_CARET] = ACTIONS(3167),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_this] = ACTIONS(3165),
    [anon_sym_scoped] = ACTIONS(3165),
    [anon_sym_base] = ACTIONS(3165),
    [anon_sym_var] = ACTIONS(3165),
    [sym_predefined_type] = ACTIONS(3165),
    [anon_sym_break] = ACTIONS(3165),
    [anon_sym_unchecked] = ACTIONS(3165),
    [anon_sym_continue] = ACTIONS(3165),
    [anon_sym_do] = ACTIONS(3165),
    [anon_sym_while] = ACTIONS(3165),
    [anon_sym_for] = ACTIONS(3165),
    [anon_sym_lock] = ACTIONS(3165),
    [anon_sym_yield] = ACTIONS(3165),
    [anon_sym_switch] = ACTIONS(3165),
    [anon_sym_default] = ACTIONS(3165),
    [anon_sym_throw] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_when] = ACTIONS(3165),
    [anon_sym_await] = ACTIONS(3165),
    [anon_sym_foreach] = ACTIONS(3165),
    [anon_sym_goto] = ACTIONS(3165),
    [anon_sym_if] = ACTIONS(3165),
    [anon_sym_else] = ACTIONS(3165),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_from] = ACTIONS(3165),
    [anon_sym_into] = ACTIONS(3165),
    [anon_sym_join] = ACTIONS(3165),
    [anon_sym_on] = ACTIONS(3165),
    [anon_sym_equals] = ACTIONS(3165),
    [anon_sym_let] = ACTIONS(3165),
    [anon_sym_orderby] = ACTIONS(3165),
    [anon_sym_ascending] = ACTIONS(3165),
    [anon_sym_descending] = ACTIONS(3165),
    [anon_sym_group] = ACTIONS(3165),
    [anon_sym_by] = ACTIONS(3165),
    [anon_sym_select] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_stackalloc] = ACTIONS(3165),
    [anon_sym_sizeof] = ACTIONS(3165),
    [anon_sym_typeof] = ACTIONS(3165),
    [anon_sym___makeref] = ACTIONS(3165),
    [anon_sym___reftype] = ACTIONS(3165),
    [anon_sym___refvalue] = ACTIONS(3165),
    [sym_null_literal] = ACTIONS(3165),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [sym_integer_literal] = ACTIONS(3165),
    [sym_real_literal] = ACTIONS(3167),
    [sym_verbatim_string_literal] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3167),
    [sym_interpolation_verbatim_start] = ACTIONS(3167),
    [sym_interpolation_raw_start] = ACTIONS(3167),
    [sym_raw_string_start] = ACTIONS(3167),
  },
  [2497] = {
    [sym_preproc_region] = STATE(2497),
    [sym_preproc_endregion] = STATE(2497),
    [sym_preproc_line] = STATE(2497),
    [sym_preproc_pragma] = STATE(2497),
    [sym_preproc_nullable] = STATE(2497),
    [sym_preproc_error] = STATE(2497),
    [sym_preproc_define] = STATE(2497),
    [sym_preproc_undef] = STATE(2497),
    [ts_builtin_sym_end] = ACTIONS(3379),
    [sym__identifier_token] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym_alias] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_global] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_unsafe] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_ref] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_interface] = ACTIONS(3377),
    [anon_sym_delegate] = ACTIONS(3377),
    [anon_sym_record] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_file] = ACTIONS(3377),
    [anon_sym_fixed] = ACTIONS(3377),
    [anon_sym_internal] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_partial] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_required] = ACTIONS(3377),
    [anon_sym_sealed] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_where] = ACTIONS(3377),
    [anon_sym_notnull] = ACTIONS(3377),
    [anon_sym_unmanaged] = ACTIONS(3377),
    [anon_sym_checked] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_true] = ACTIONS(3377),
    [anon_sym_false] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_CARET] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_this] = ACTIONS(3377),
    [anon_sym_scoped] = ACTIONS(3377),
    [anon_sym_base] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [sym_predefined_type] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_unchecked] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_lock] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_when] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_foreach] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_DOT_DOT] = ACTIONS(3379),
    [anon_sym_from] = ACTIONS(3377),
    [anon_sym_into] = ACTIONS(3377),
    [anon_sym_join] = ACTIONS(3377),
    [anon_sym_on] = ACTIONS(3377),
    [anon_sym_equals] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_orderby] = ACTIONS(3377),
    [anon_sym_ascending] = ACTIONS(3377),
    [anon_sym_descending] = ACTIONS(3377),
    [anon_sym_group] = ACTIONS(3377),
    [anon_sym_by] = ACTIONS(3377),
    [anon_sym_select] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_stackalloc] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym___makeref] = ACTIONS(3377),
    [anon_sym___reftype] = ACTIONS(3377),
    [anon_sym___refvalue] = ACTIONS(3377),
    [sym_null_literal] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [sym_integer_literal] = ACTIONS(3377),
    [sym_real_literal] = ACTIONS(3379),
    [sym_verbatim_string_literal] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3379),
    [sym_interpolation_verbatim_start] = ACTIONS(3379),
    [sym_interpolation_raw_start] = ACTIONS(3379),
    [sym_raw_string_start] = ACTIONS(3379),
  },
  [2498] = {
    [sym_preproc_region] = STATE(2498),
    [sym_preproc_endregion] = STATE(2498),
    [sym_preproc_line] = STATE(2498),
    [sym_preproc_pragma] = STATE(2498),
    [sym_preproc_nullable] = STATE(2498),
    [sym_preproc_error] = STATE(2498),
    [sym_preproc_define] = STATE(2498),
    [sym_preproc_undef] = STATE(2498),
    [ts_builtin_sym_end] = ACTIONS(3383),
    [sym__identifier_token] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym_alias] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_global] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_unsafe] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_ref] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_interface] = ACTIONS(3381),
    [anon_sym_delegate] = ACTIONS(3381),
    [anon_sym_record] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_file] = ACTIONS(3381),
    [anon_sym_fixed] = ACTIONS(3381),
    [anon_sym_internal] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_partial] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_required] = ACTIONS(3381),
    [anon_sym_sealed] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_where] = ACTIONS(3381),
    [anon_sym_notnull] = ACTIONS(3381),
    [anon_sym_unmanaged] = ACTIONS(3381),
    [anon_sym_checked] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_true] = ACTIONS(3381),
    [anon_sym_false] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_CARET] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym_this] = ACTIONS(3381),
    [anon_sym_scoped] = ACTIONS(3381),
    [anon_sym_base] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [sym_predefined_type] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_unchecked] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_lock] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_when] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_foreach] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_else] = ACTIONS(3381),
    [anon_sym_DOT_DOT] = ACTIONS(3383),
    [anon_sym_from] = ACTIONS(3381),
    [anon_sym_into] = ACTIONS(3381),
    [anon_sym_join] = ACTIONS(3381),
    [anon_sym_on] = ACTIONS(3381),
    [anon_sym_equals] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_orderby] = ACTIONS(3381),
    [anon_sym_ascending] = ACTIONS(3381),
    [anon_sym_descending] = ACTIONS(3381),
    [anon_sym_group] = ACTIONS(3381),
    [anon_sym_by] = ACTIONS(3381),
    [anon_sym_select] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_stackalloc] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym___makeref] = ACTIONS(3381),
    [anon_sym___reftype] = ACTIONS(3381),
    [anon_sym___refvalue] = ACTIONS(3381),
    [sym_null_literal] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [sym_integer_literal] = ACTIONS(3381),
    [sym_real_literal] = ACTIONS(3383),
    [sym_verbatim_string_literal] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3383),
    [sym_interpolation_verbatim_start] = ACTIONS(3383),
    [sym_interpolation_raw_start] = ACTIONS(3383),
    [sym_raw_string_start] = ACTIONS(3383),
  },
  [2499] = {
    [sym_preproc_region] = STATE(2499),
    [sym_preproc_endregion] = STATE(2499),
    [sym_preproc_line] = STATE(2499),
    [sym_preproc_pragma] = STATE(2499),
    [sym_preproc_nullable] = STATE(2499),
    [sym_preproc_error] = STATE(2499),
    [sym_preproc_define] = STATE(2499),
    [sym_preproc_undef] = STATE(2499),
    [ts_builtin_sym_end] = ACTIONS(3191),
    [sym__identifier_token] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym_alias] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_global] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_unsafe] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_LPAREN] = ACTIONS(3191),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_ref] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_interface] = ACTIONS(3189),
    [anon_sym_delegate] = ACTIONS(3189),
    [anon_sym_record] = ACTIONS(3189),
    [anon_sym_abstract] = ACTIONS(3189),
    [anon_sym_async] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_file] = ACTIONS(3189),
    [anon_sym_fixed] = ACTIONS(3189),
    [anon_sym_internal] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_override] = ACTIONS(3189),
    [anon_sym_partial] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_readonly] = ACTIONS(3189),
    [anon_sym_required] = ACTIONS(3189),
    [anon_sym_sealed] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_where] = ACTIONS(3189),
    [anon_sym_notnull] = ACTIONS(3189),
    [anon_sym_unmanaged] = ACTIONS(3189),
    [anon_sym_checked] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3189),
    [anon_sym_false] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_CARET] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_this] = ACTIONS(3189),
    [anon_sym_scoped] = ACTIONS(3189),
    [anon_sym_base] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3189),
    [sym_predefined_type] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_unchecked] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_lock] = ACTIONS(3189),
    [anon_sym_yield] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_when] = ACTIONS(3189),
    [anon_sym_await] = ACTIONS(3189),
    [anon_sym_foreach] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_else] = ACTIONS(3189),
    [anon_sym_DOT_DOT] = ACTIONS(3191),
    [anon_sym_from] = ACTIONS(3189),
    [anon_sym_into] = ACTIONS(3189),
    [anon_sym_join] = ACTIONS(3189),
    [anon_sym_on] = ACTIONS(3189),
    [anon_sym_equals] = ACTIONS(3189),
    [anon_sym_let] = ACTIONS(3189),
    [anon_sym_orderby] = ACTIONS(3189),
    [anon_sym_ascending] = ACTIONS(3189),
    [anon_sym_descending] = ACTIONS(3189),
    [anon_sym_group] = ACTIONS(3189),
    [anon_sym_by] = ACTIONS(3189),
    [anon_sym_select] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [anon_sym_stackalloc] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3189),
    [anon_sym___makeref] = ACTIONS(3189),
    [anon_sym___reftype] = ACTIONS(3189),
    [anon_sym___refvalue] = ACTIONS(3189),
    [sym_null_literal] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [sym_integer_literal] = ACTIONS(3189),
    [sym_real_literal] = ACTIONS(3191),
    [sym_verbatim_string_literal] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3191),
    [sym_interpolation_verbatim_start] = ACTIONS(3191),
    [sym_interpolation_raw_start] = ACTIONS(3191),
    [sym_raw_string_start] = ACTIONS(3191),
  },
  [2500] = {
    [sym_preproc_region] = STATE(2500),
    [sym_preproc_endregion] = STATE(2500),
    [sym_preproc_line] = STATE(2500),
    [sym_preproc_pragma] = STATE(2500),
    [sym_preproc_nullable] = STATE(2500),
    [sym_preproc_error] = STATE(2500),
    [sym_preproc_define] = STATE(2500),
    [sym_preproc_undef] = STATE(2500),
    [ts_builtin_sym_end] = ACTIONS(3249),
    [sym__identifier_token] = ACTIONS(3247),
    [anon_sym_extern] = ACTIONS(3247),
    [anon_sym_alias] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_global] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_unsafe] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_namespace] = ACTIONS(3247),
    [anon_sym_class] = ACTIONS(3247),
    [anon_sym_ref] = ACTIONS(3247),
    [anon_sym_struct] = ACTIONS(3247),
    [anon_sym_enum] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_interface] = ACTIONS(3247),
    [anon_sym_delegate] = ACTIONS(3247),
    [anon_sym_record] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_file] = ACTIONS(3247),
    [anon_sym_fixed] = ACTIONS(3247),
    [anon_sym_internal] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_partial] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_required] = ACTIONS(3247),
    [anon_sym_sealed] = ACTIONS(3247),
    [anon_sym_virtual] = ACTIONS(3247),
    [anon_sym_volatile] = ACTIONS(3247),
    [anon_sym_where] = ACTIONS(3247),
    [anon_sym_notnull] = ACTIONS(3247),
    [anon_sym_unmanaged] = ACTIONS(3247),
    [anon_sym_checked] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_true] = ACTIONS(3247),
    [anon_sym_false] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_CARET] = ACTIONS(3249),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_this] = ACTIONS(3247),
    [anon_sym_scoped] = ACTIONS(3247),
    [anon_sym_base] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [sym_predefined_type] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_unchecked] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_lock] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_default] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_when] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_foreach] = ACTIONS(3247),
    [anon_sym_goto] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_DOT_DOT] = ACTIONS(3249),
    [anon_sym_from] = ACTIONS(3247),
    [anon_sym_into] = ACTIONS(3247),
    [anon_sym_join] = ACTIONS(3247),
    [anon_sym_on] = ACTIONS(3247),
    [anon_sym_equals] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_orderby] = ACTIONS(3247),
    [anon_sym_ascending] = ACTIONS(3247),
    [anon_sym_descending] = ACTIONS(3247),
    [anon_sym_group] = ACTIONS(3247),
    [anon_sym_by] = ACTIONS(3247),
    [anon_sym_select] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_stackalloc] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym___makeref] = ACTIONS(3247),
    [anon_sym___reftype] = ACTIONS(3247),
    [anon_sym___refvalue] = ACTIONS(3247),
    [sym_null_literal] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [sym_integer_literal] = ACTIONS(3247),
    [sym_real_literal] = ACTIONS(3249),
    [sym_verbatim_string_literal] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3249),
    [sym_interpolation_verbatim_start] = ACTIONS(3249),
    [sym_interpolation_raw_start] = ACTIONS(3249),
    [sym_raw_string_start] = ACTIONS(3249),
  },
  [2501] = {
    [sym_preproc_region] = STATE(2501),
    [sym_preproc_endregion] = STATE(2501),
    [sym_preproc_line] = STATE(2501),
    [sym_preproc_pragma] = STATE(2501),
    [sym_preproc_nullable] = STATE(2501),
    [sym_preproc_error] = STATE(2501),
    [sym_preproc_define] = STATE(2501),
    [sym_preproc_undef] = STATE(2501),
    [ts_builtin_sym_end] = ACTIONS(3253),
    [sym__identifier_token] = ACTIONS(3251),
    [anon_sym_extern] = ACTIONS(3251),
    [anon_sym_alias] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_global] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_unsafe] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_namespace] = ACTIONS(3251),
    [anon_sym_class] = ACTIONS(3251),
    [anon_sym_ref] = ACTIONS(3251),
    [anon_sym_struct] = ACTIONS(3251),
    [anon_sym_enum] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_interface] = ACTIONS(3251),
    [anon_sym_delegate] = ACTIONS(3251),
    [anon_sym_record] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_file] = ACTIONS(3251),
    [anon_sym_fixed] = ACTIONS(3251),
    [anon_sym_internal] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_partial] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_required] = ACTIONS(3251),
    [anon_sym_sealed] = ACTIONS(3251),
    [anon_sym_virtual] = ACTIONS(3251),
    [anon_sym_volatile] = ACTIONS(3251),
    [anon_sym_where] = ACTIONS(3251),
    [anon_sym_notnull] = ACTIONS(3251),
    [anon_sym_unmanaged] = ACTIONS(3251),
    [anon_sym_checked] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_true] = ACTIONS(3251),
    [anon_sym_false] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_STAR] = ACTIONS(3253),
    [anon_sym_CARET] = ACTIONS(3253),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_this] = ACTIONS(3251),
    [anon_sym_scoped] = ACTIONS(3251),
    [anon_sym_base] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [sym_predefined_type] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_unchecked] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_lock] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_default] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_when] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_foreach] = ACTIONS(3251),
    [anon_sym_goto] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_else] = ACTIONS(3251),
    [anon_sym_DOT_DOT] = ACTIONS(3253),
    [anon_sym_from] = ACTIONS(3251),
    [anon_sym_into] = ACTIONS(3251),
    [anon_sym_join] = ACTIONS(3251),
    [anon_sym_on] = ACTIONS(3251),
    [anon_sym_equals] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_orderby] = ACTIONS(3251),
    [anon_sym_ascending] = ACTIONS(3251),
    [anon_sym_descending] = ACTIONS(3251),
    [anon_sym_group] = ACTIONS(3251),
    [anon_sym_by] = ACTIONS(3251),
    [anon_sym_select] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_stackalloc] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym___makeref] = ACTIONS(3251),
    [anon_sym___reftype] = ACTIONS(3251),
    [anon_sym___refvalue] = ACTIONS(3251),
    [sym_null_literal] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [sym_integer_literal] = ACTIONS(3251),
    [sym_real_literal] = ACTIONS(3253),
    [sym_verbatim_string_literal] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3253),
    [sym_interpolation_verbatim_start] = ACTIONS(3253),
    [sym_interpolation_raw_start] = ACTIONS(3253),
    [sym_raw_string_start] = ACTIONS(3253),
  },
  [2502] = {
    [sym_preproc_region] = STATE(2502),
    [sym_preproc_endregion] = STATE(2502),
    [sym_preproc_line] = STATE(2502),
    [sym_preproc_pragma] = STATE(2502),
    [sym_preproc_nullable] = STATE(2502),
    [sym_preproc_error] = STATE(2502),
    [sym_preproc_define] = STATE(2502),
    [sym_preproc_undef] = STATE(2502),
    [ts_builtin_sym_end] = ACTIONS(3195),
    [sym__identifier_token] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym_alias] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym_global] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_unsafe] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3195),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_ref] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_interface] = ACTIONS(3193),
    [anon_sym_delegate] = ACTIONS(3193),
    [anon_sym_record] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_file] = ACTIONS(3193),
    [anon_sym_fixed] = ACTIONS(3193),
    [anon_sym_internal] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_partial] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_required] = ACTIONS(3193),
    [anon_sym_sealed] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_where] = ACTIONS(3193),
    [anon_sym_notnull] = ACTIONS(3193),
    [anon_sym_unmanaged] = ACTIONS(3193),
    [anon_sym_checked] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_CARET] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_this] = ACTIONS(3193),
    [anon_sym_scoped] = ACTIONS(3193),
    [anon_sym_base] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [sym_predefined_type] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_unchecked] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_lock] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_when] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [anon_sym_foreach] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_DOT_DOT] = ACTIONS(3195),
    [anon_sym_from] = ACTIONS(3193),
    [anon_sym_into] = ACTIONS(3193),
    [anon_sym_join] = ACTIONS(3193),
    [anon_sym_on] = ACTIONS(3193),
    [anon_sym_equals] = ACTIONS(3193),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_orderby] = ACTIONS(3193),
    [anon_sym_ascending] = ACTIONS(3193),
    [anon_sym_descending] = ACTIONS(3193),
    [anon_sym_group] = ACTIONS(3193),
    [anon_sym_by] = ACTIONS(3193),
    [anon_sym_select] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [anon_sym_stackalloc] = ACTIONS(3193),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3193),
    [anon_sym___makeref] = ACTIONS(3193),
    [anon_sym___reftype] = ACTIONS(3193),
    [anon_sym___refvalue] = ACTIONS(3193),
    [sym_null_literal] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [sym_integer_literal] = ACTIONS(3193),
    [sym_real_literal] = ACTIONS(3195),
    [sym_verbatim_string_literal] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3195),
    [sym_interpolation_verbatim_start] = ACTIONS(3195),
    [sym_interpolation_raw_start] = ACTIONS(3195),
    [sym_raw_string_start] = ACTIONS(3195),
  },
  [2503] = {
    [sym_preproc_region] = STATE(2503),
    [sym_preproc_endregion] = STATE(2503),
    [sym_preproc_line] = STATE(2503),
    [sym_preproc_pragma] = STATE(2503),
    [sym_preproc_nullable] = STATE(2503),
    [sym_preproc_error] = STATE(2503),
    [sym_preproc_define] = STATE(2503),
    [sym_preproc_undef] = STATE(2503),
    [ts_builtin_sym_end] = ACTIONS(3257),
    [sym__identifier_token] = ACTIONS(3255),
    [anon_sym_extern] = ACTIONS(3255),
    [anon_sym_alias] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_global] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_unsafe] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_namespace] = ACTIONS(3255),
    [anon_sym_class] = ACTIONS(3255),
    [anon_sym_ref] = ACTIONS(3255),
    [anon_sym_struct] = ACTIONS(3255),
    [anon_sym_enum] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_interface] = ACTIONS(3255),
    [anon_sym_delegate] = ACTIONS(3255),
    [anon_sym_record] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_file] = ACTIONS(3255),
    [anon_sym_fixed] = ACTIONS(3255),
    [anon_sym_internal] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_partial] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_sealed] = ACTIONS(3255),
    [anon_sym_virtual] = ACTIONS(3255),
    [anon_sym_volatile] = ACTIONS(3255),
    [anon_sym_where] = ACTIONS(3255),
    [anon_sym_notnull] = ACTIONS(3255),
    [anon_sym_unmanaged] = ACTIONS(3255),
    [anon_sym_checked] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3255),
    [anon_sym_false] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_CARET] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym_this] = ACTIONS(3255),
    [anon_sym_scoped] = ACTIONS(3255),
    [anon_sym_base] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [sym_predefined_type] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_unchecked] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_lock] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_when] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_foreach] = ACTIONS(3255),
    [anon_sym_goto] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_DOT_DOT] = ACTIONS(3257),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_into] = ACTIONS(3255),
    [anon_sym_join] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_equals] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_orderby] = ACTIONS(3255),
    [anon_sym_ascending] = ACTIONS(3255),
    [anon_sym_descending] = ACTIONS(3255),
    [anon_sym_group] = ACTIONS(3255),
    [anon_sym_by] = ACTIONS(3255),
    [anon_sym_select] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_stackalloc] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym___makeref] = ACTIONS(3255),
    [anon_sym___reftype] = ACTIONS(3255),
    [anon_sym___refvalue] = ACTIONS(3255),
    [sym_null_literal] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [sym_integer_literal] = ACTIONS(3255),
    [sym_real_literal] = ACTIONS(3257),
    [sym_verbatim_string_literal] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3257),
    [sym_interpolation_verbatim_start] = ACTIONS(3257),
    [sym_interpolation_raw_start] = ACTIONS(3257),
    [sym_raw_string_start] = ACTIONS(3257),
  },
  [2504] = {
    [sym_preproc_region] = STATE(2504),
    [sym_preproc_endregion] = STATE(2504),
    [sym_preproc_line] = STATE(2504),
    [sym_preproc_pragma] = STATE(2504),
    [sym_preproc_nullable] = STATE(2504),
    [sym_preproc_error] = STATE(2504),
    [sym_preproc_define] = STATE(2504),
    [sym_preproc_undef] = STATE(2504),
    [ts_builtin_sym_end] = ACTIONS(3387),
    [sym__identifier_token] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym_alias] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_global] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_unsafe] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_ref] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_interface] = ACTIONS(3385),
    [anon_sym_delegate] = ACTIONS(3385),
    [anon_sym_record] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_file] = ACTIONS(3385),
    [anon_sym_fixed] = ACTIONS(3385),
    [anon_sym_internal] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_override] = ACTIONS(3385),
    [anon_sym_partial] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_required] = ACTIONS(3385),
    [anon_sym_sealed] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_where] = ACTIONS(3385),
    [anon_sym_notnull] = ACTIONS(3385),
    [anon_sym_unmanaged] = ACTIONS(3385),
    [anon_sym_checked] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_true] = ACTIONS(3385),
    [anon_sym_false] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_CARET] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym_this] = ACTIONS(3385),
    [anon_sym_scoped] = ACTIONS(3385),
    [anon_sym_base] = ACTIONS(3385),
    [anon_sym_var] = ACTIONS(3385),
    [sym_predefined_type] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_unchecked] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_lock] = ACTIONS(3385),
    [anon_sym_yield] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_when] = ACTIONS(3385),
    [anon_sym_await] = ACTIONS(3385),
    [anon_sym_foreach] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_else] = ACTIONS(3385),
    [anon_sym_DOT_DOT] = ACTIONS(3387),
    [anon_sym_from] = ACTIONS(3385),
    [anon_sym_into] = ACTIONS(3385),
    [anon_sym_join] = ACTIONS(3385),
    [anon_sym_on] = ACTIONS(3385),
    [anon_sym_equals] = ACTIONS(3385),
    [anon_sym_let] = ACTIONS(3385),
    [anon_sym_orderby] = ACTIONS(3385),
    [anon_sym_ascending] = ACTIONS(3385),
    [anon_sym_descending] = ACTIONS(3385),
    [anon_sym_group] = ACTIONS(3385),
    [anon_sym_by] = ACTIONS(3385),
    [anon_sym_select] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_stackalloc] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym___makeref] = ACTIONS(3385),
    [anon_sym___reftype] = ACTIONS(3385),
    [anon_sym___refvalue] = ACTIONS(3385),
    [sym_null_literal] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [sym_integer_literal] = ACTIONS(3385),
    [sym_real_literal] = ACTIONS(3387),
    [sym_verbatim_string_literal] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3387),
    [sym_interpolation_verbatim_start] = ACTIONS(3387),
    [sym_interpolation_raw_start] = ACTIONS(3387),
    [sym_raw_string_start] = ACTIONS(3387),
  },
  [2505] = {
    [sym_preproc_region] = STATE(2505),
    [sym_preproc_endregion] = STATE(2505),
    [sym_preproc_line] = STATE(2505),
    [sym_preproc_pragma] = STATE(2505),
    [sym_preproc_nullable] = STATE(2505),
    [sym_preproc_error] = STATE(2505),
    [sym_preproc_define] = STATE(2505),
    [sym_preproc_undef] = STATE(2505),
    [ts_builtin_sym_end] = ACTIONS(3405),
    [sym__identifier_token] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3403),
    [anon_sym_alias] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_global] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_unsafe] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_ref] = ACTIONS(3403),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_delegate] = ACTIONS(3403),
    [anon_sym_record] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_file] = ACTIONS(3403),
    [anon_sym_fixed] = ACTIONS(3403),
    [anon_sym_internal] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_partial] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_required] = ACTIONS(3403),
    [anon_sym_sealed] = ACTIONS(3403),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_volatile] = ACTIONS(3403),
    [anon_sym_where] = ACTIONS(3403),
    [anon_sym_notnull] = ACTIONS(3403),
    [anon_sym_unmanaged] = ACTIONS(3403),
    [anon_sym_checked] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [anon_sym_true] = ACTIONS(3403),
    [anon_sym_false] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3405),
    [anon_sym_CARET] = ACTIONS(3405),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_this] = ACTIONS(3403),
    [anon_sym_scoped] = ACTIONS(3403),
    [anon_sym_base] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [sym_predefined_type] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_unchecked] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_lock] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_when] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_foreach] = ACTIONS(3403),
    [anon_sym_goto] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_DOT_DOT] = ACTIONS(3405),
    [anon_sym_from] = ACTIONS(3403),
    [anon_sym_into] = ACTIONS(3403),
    [anon_sym_join] = ACTIONS(3403),
    [anon_sym_on] = ACTIONS(3403),
    [anon_sym_equals] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_orderby] = ACTIONS(3403),
    [anon_sym_ascending] = ACTIONS(3403),
    [anon_sym_descending] = ACTIONS(3403),
    [anon_sym_group] = ACTIONS(3403),
    [anon_sym_by] = ACTIONS(3403),
    [anon_sym_select] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_stackalloc] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym___makeref] = ACTIONS(3403),
    [anon_sym___reftype] = ACTIONS(3403),
    [anon_sym___refvalue] = ACTIONS(3403),
    [sym_null_literal] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [sym_integer_literal] = ACTIONS(3403),
    [sym_real_literal] = ACTIONS(3405),
    [sym_verbatim_string_literal] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3405),
    [sym_interpolation_verbatim_start] = ACTIONS(3405),
    [sym_interpolation_raw_start] = ACTIONS(3405),
    [sym_raw_string_start] = ACTIONS(3405),
  },
  [2506] = {
    [sym_preproc_region] = STATE(2506),
    [sym_preproc_endregion] = STATE(2506),
    [sym_preproc_line] = STATE(2506),
    [sym_preproc_pragma] = STATE(2506),
    [sym_preproc_nullable] = STATE(2506),
    [sym_preproc_error] = STATE(2506),
    [sym_preproc_define] = STATE(2506),
    [sym_preproc_undef] = STATE(2506),
    [ts_builtin_sym_end] = ACTIONS(3391),
    [sym__identifier_token] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym_alias] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_global] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_unsafe] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_ref] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_interface] = ACTIONS(3389),
    [anon_sym_delegate] = ACTIONS(3389),
    [anon_sym_record] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_file] = ACTIONS(3389),
    [anon_sym_fixed] = ACTIONS(3389),
    [anon_sym_internal] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_partial] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_required] = ACTIONS(3389),
    [anon_sym_sealed] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_where] = ACTIONS(3389),
    [anon_sym_notnull] = ACTIONS(3389),
    [anon_sym_unmanaged] = ACTIONS(3389),
    [anon_sym_checked] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_true] = ACTIONS(3389),
    [anon_sym_false] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_this] = ACTIONS(3389),
    [anon_sym_scoped] = ACTIONS(3389),
    [anon_sym_base] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [sym_predefined_type] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_unchecked] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_lock] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_when] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_foreach] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_else] = ACTIONS(3389),
    [anon_sym_DOT_DOT] = ACTIONS(3391),
    [anon_sym_from] = ACTIONS(3389),
    [anon_sym_into] = ACTIONS(3389),
    [anon_sym_join] = ACTIONS(3389),
    [anon_sym_on] = ACTIONS(3389),
    [anon_sym_equals] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_orderby] = ACTIONS(3389),
    [anon_sym_ascending] = ACTIONS(3389),
    [anon_sym_descending] = ACTIONS(3389),
    [anon_sym_group] = ACTIONS(3389),
    [anon_sym_by] = ACTIONS(3389),
    [anon_sym_select] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_stackalloc] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym___makeref] = ACTIONS(3389),
    [anon_sym___reftype] = ACTIONS(3389),
    [anon_sym___refvalue] = ACTIONS(3389),
    [sym_null_literal] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [sym_integer_literal] = ACTIONS(3389),
    [sym_real_literal] = ACTIONS(3391),
    [sym_verbatim_string_literal] = ACTIONS(3391),
    [aux_sym_preproc_if_token1] = ACTIONS(3391),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3391),
    [sym_interpolation_verbatim_start] = ACTIONS(3391),
    [sym_interpolation_raw_start] = ACTIONS(3391),
    [sym_raw_string_start] = ACTIONS(3391),
  },
  [2507] = {
    [sym_preproc_region] = STATE(2507),
    [sym_preproc_endregion] = STATE(2507),
    [sym_preproc_line] = STATE(2507),
    [sym_preproc_pragma] = STATE(2507),
    [sym_preproc_nullable] = STATE(2507),
    [sym_preproc_error] = STATE(2507),
    [sym_preproc_define] = STATE(2507),
    [sym_preproc_undef] = STATE(2507),
    [ts_builtin_sym_end] = ACTIONS(3263),
    [sym__identifier_token] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym_alias] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_global] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_unsafe] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_ref] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_interface] = ACTIONS(3261),
    [anon_sym_delegate] = ACTIONS(3261),
    [anon_sym_record] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_file] = ACTIONS(3261),
    [anon_sym_fixed] = ACTIONS(3261),
    [anon_sym_internal] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_partial] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_required] = ACTIONS(3261),
    [anon_sym_sealed] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_where] = ACTIONS(3261),
    [anon_sym_notnull] = ACTIONS(3261),
    [anon_sym_unmanaged] = ACTIONS(3261),
    [anon_sym_checked] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_true] = ACTIONS(3261),
    [anon_sym_false] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_this] = ACTIONS(3261),
    [anon_sym_scoped] = ACTIONS(3261),
    [anon_sym_base] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [sym_predefined_type] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_unchecked] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_lock] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_when] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_foreach] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_else] = ACTIONS(3261),
    [anon_sym_DOT_DOT] = ACTIONS(3263),
    [anon_sym_from] = ACTIONS(3261),
    [anon_sym_into] = ACTIONS(3261),
    [anon_sym_join] = ACTIONS(3261),
    [anon_sym_on] = ACTIONS(3261),
    [anon_sym_equals] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_orderby] = ACTIONS(3261),
    [anon_sym_ascending] = ACTIONS(3261),
    [anon_sym_descending] = ACTIONS(3261),
    [anon_sym_group] = ACTIONS(3261),
    [anon_sym_by] = ACTIONS(3261),
    [anon_sym_select] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_stackalloc] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym___makeref] = ACTIONS(3261),
    [anon_sym___reftype] = ACTIONS(3261),
    [anon_sym___refvalue] = ACTIONS(3261),
    [sym_null_literal] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [sym_integer_literal] = ACTIONS(3261),
    [sym_real_literal] = ACTIONS(3263),
    [sym_verbatim_string_literal] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3263),
    [sym_interpolation_verbatim_start] = ACTIONS(3263),
    [sym_interpolation_raw_start] = ACTIONS(3263),
    [sym_raw_string_start] = ACTIONS(3263),
  },
  [2508] = {
    [sym_preproc_region] = STATE(2508),
    [sym_preproc_endregion] = STATE(2508),
    [sym_preproc_line] = STATE(2508),
    [sym_preproc_pragma] = STATE(2508),
    [sym_preproc_nullable] = STATE(2508),
    [sym_preproc_error] = STATE(2508),
    [sym_preproc_define] = STATE(2508),
    [sym_preproc_undef] = STATE(2508),
    [ts_builtin_sym_end] = ACTIONS(3395),
    [sym__identifier_token] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym_alias] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_global] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_unsafe] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_ref] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_interface] = ACTIONS(3393),
    [anon_sym_delegate] = ACTIONS(3393),
    [anon_sym_record] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_file] = ACTIONS(3393),
    [anon_sym_fixed] = ACTIONS(3393),
    [anon_sym_internal] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_override] = ACTIONS(3393),
    [anon_sym_partial] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_required] = ACTIONS(3393),
    [anon_sym_sealed] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_where] = ACTIONS(3393),
    [anon_sym_notnull] = ACTIONS(3393),
    [anon_sym_unmanaged] = ACTIONS(3393),
    [anon_sym_checked] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_true] = ACTIONS(3393),
    [anon_sym_false] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_CARET] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3395),
    [anon_sym_this] = ACTIONS(3393),
    [anon_sym_scoped] = ACTIONS(3393),
    [anon_sym_base] = ACTIONS(3393),
    [anon_sym_var] = ACTIONS(3393),
    [sym_predefined_type] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_unchecked] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_lock] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_when] = ACTIONS(3393),
    [anon_sym_await] = ACTIONS(3393),
    [anon_sym_foreach] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_else] = ACTIONS(3393),
    [anon_sym_DOT_DOT] = ACTIONS(3395),
    [anon_sym_from] = ACTIONS(3393),
    [anon_sym_into] = ACTIONS(3393),
    [anon_sym_join] = ACTIONS(3393),
    [anon_sym_on] = ACTIONS(3393),
    [anon_sym_equals] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3393),
    [anon_sym_orderby] = ACTIONS(3393),
    [anon_sym_ascending] = ACTIONS(3393),
    [anon_sym_descending] = ACTIONS(3393),
    [anon_sym_group] = ACTIONS(3393),
    [anon_sym_by] = ACTIONS(3393),
    [anon_sym_select] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_stackalloc] = ACTIONS(3393),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym___makeref] = ACTIONS(3393),
    [anon_sym___reftype] = ACTIONS(3393),
    [anon_sym___refvalue] = ACTIONS(3393),
    [sym_null_literal] = ACTIONS(3393),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [sym_integer_literal] = ACTIONS(3393),
    [sym_real_literal] = ACTIONS(3395),
    [sym_verbatim_string_literal] = ACTIONS(3395),
    [aux_sym_preproc_if_token1] = ACTIONS(3395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3395),
    [sym_interpolation_verbatim_start] = ACTIONS(3395),
    [sym_interpolation_raw_start] = ACTIONS(3395),
    [sym_raw_string_start] = ACTIONS(3395),
  },
  [2509] = {
    [sym_preproc_region] = STATE(2509),
    [sym_preproc_endregion] = STATE(2509),
    [sym_preproc_line] = STATE(2509),
    [sym_preproc_pragma] = STATE(2509),
    [sym_preproc_nullable] = STATE(2509),
    [sym_preproc_error] = STATE(2509),
    [sym_preproc_define] = STATE(2509),
    [sym_preproc_undef] = STATE(2509),
    [ts_builtin_sym_end] = ACTIONS(3003),
    [sym__identifier_token] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym_alias] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_global] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_unsafe] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_namespace] = ACTIONS(3001),
    [anon_sym_class] = ACTIONS(3001),
    [anon_sym_ref] = ACTIONS(3001),
    [anon_sym_struct] = ACTIONS(3001),
    [anon_sym_enum] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_interface] = ACTIONS(3001),
    [anon_sym_delegate] = ACTIONS(3001),
    [anon_sym_record] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(3001),
    [anon_sym_async] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_file] = ACTIONS(3001),
    [anon_sym_fixed] = ACTIONS(3001),
    [anon_sym_internal] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_override] = ACTIONS(3001),
    [anon_sym_partial] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_readonly] = ACTIONS(3001),
    [anon_sym_required] = ACTIONS(3001),
    [anon_sym_sealed] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_where] = ACTIONS(3001),
    [anon_sym_notnull] = ACTIONS(3001),
    [anon_sym_unmanaged] = ACTIONS(3001),
    [anon_sym_checked] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_true] = ACTIONS(3001),
    [anon_sym_false] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_this] = ACTIONS(3001),
    [anon_sym_scoped] = ACTIONS(3001),
    [anon_sym_base] = ACTIONS(3001),
    [anon_sym_var] = ACTIONS(3001),
    [sym_predefined_type] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_unchecked] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_lock] = ACTIONS(3001),
    [anon_sym_yield] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_when] = ACTIONS(3001),
    [anon_sym_await] = ACTIONS(3001),
    [anon_sym_foreach] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_from] = ACTIONS(3001),
    [anon_sym_into] = ACTIONS(3001),
    [anon_sym_join] = ACTIONS(3001),
    [anon_sym_on] = ACTIONS(3001),
    [anon_sym_equals] = ACTIONS(3001),
    [anon_sym_let] = ACTIONS(3001),
    [anon_sym_orderby] = ACTIONS(3001),
    [anon_sym_ascending] = ACTIONS(3001),
    [anon_sym_descending] = ACTIONS(3001),
    [anon_sym_group] = ACTIONS(3001),
    [anon_sym_by] = ACTIONS(3001),
    [anon_sym_select] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [anon_sym_stackalloc] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym_typeof] = ACTIONS(3001),
    [anon_sym___makeref] = ACTIONS(3001),
    [anon_sym___reftype] = ACTIONS(3001),
    [anon_sym___refvalue] = ACTIONS(3001),
    [sym_null_literal] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [sym_integer_literal] = ACTIONS(3001),
    [sym_real_literal] = ACTIONS(3003),
    [sym_verbatim_string_literal] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3003),
    [sym_interpolation_verbatim_start] = ACTIONS(3003),
    [sym_interpolation_raw_start] = ACTIONS(3003),
    [sym_raw_string_start] = ACTIONS(3003),
  },
  [2510] = {
    [sym_preproc_region] = STATE(2510),
    [sym_preproc_endregion] = STATE(2510),
    [sym_preproc_line] = STATE(2510),
    [sym_preproc_pragma] = STATE(2510),
    [sym_preproc_nullable] = STATE(2510),
    [sym_preproc_error] = STATE(2510),
    [sym_preproc_define] = STATE(2510),
    [sym_preproc_undef] = STATE(2510),
    [ts_builtin_sym_end] = ACTIONS(3135),
    [sym__identifier_token] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym_alias] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_global] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_unsafe] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3133),
    [anon_sym_namespace] = ACTIONS(3133),
    [anon_sym_class] = ACTIONS(3133),
    [anon_sym_ref] = ACTIONS(3133),
    [anon_sym_struct] = ACTIONS(3133),
    [anon_sym_enum] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_interface] = ACTIONS(3133),
    [anon_sym_delegate] = ACTIONS(3133),
    [anon_sym_record] = ACTIONS(3133),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_async] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_file] = ACTIONS(3133),
    [anon_sym_fixed] = ACTIONS(3133),
    [anon_sym_internal] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_override] = ACTIONS(3133),
    [anon_sym_partial] = ACTIONS(3133),
    [anon_sym_private] = ACTIONS(3133),
    [anon_sym_protected] = ACTIONS(3133),
    [anon_sym_public] = ACTIONS(3133),
    [anon_sym_readonly] = ACTIONS(3133),
    [anon_sym_required] = ACTIONS(3133),
    [anon_sym_sealed] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_where] = ACTIONS(3133),
    [anon_sym_notnull] = ACTIONS(3133),
    [anon_sym_unmanaged] = ACTIONS(3133),
    [anon_sym_checked] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_true] = ACTIONS(3133),
    [anon_sym_false] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_CARET] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_this] = ACTIONS(3133),
    [anon_sym_scoped] = ACTIONS(3133),
    [anon_sym_base] = ACTIONS(3133),
    [anon_sym_var] = ACTIONS(3133),
    [sym_predefined_type] = ACTIONS(3133),
    [anon_sym_break] = ACTIONS(3133),
    [anon_sym_unchecked] = ACTIONS(3133),
    [anon_sym_continue] = ACTIONS(3133),
    [anon_sym_do] = ACTIONS(3133),
    [anon_sym_while] = ACTIONS(3133),
    [anon_sym_for] = ACTIONS(3133),
    [anon_sym_lock] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3133),
    [anon_sym_switch] = ACTIONS(3133),
    [anon_sym_default] = ACTIONS(3133),
    [anon_sym_throw] = ACTIONS(3133),
    [anon_sym_try] = ACTIONS(3133),
    [anon_sym_when] = ACTIONS(3133),
    [anon_sym_await] = ACTIONS(3133),
    [anon_sym_foreach] = ACTIONS(3133),
    [anon_sym_goto] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3133),
    [anon_sym_else] = ACTIONS(3133),
    [anon_sym_DOT_DOT] = ACTIONS(3135),
    [anon_sym_from] = ACTIONS(3133),
    [anon_sym_into] = ACTIONS(3133),
    [anon_sym_join] = ACTIONS(3133),
    [anon_sym_on] = ACTIONS(3133),
    [anon_sym_equals] = ACTIONS(3133),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_orderby] = ACTIONS(3133),
    [anon_sym_ascending] = ACTIONS(3133),
    [anon_sym_descending] = ACTIONS(3133),
    [anon_sym_group] = ACTIONS(3133),
    [anon_sym_by] = ACTIONS(3133),
    [anon_sym_select] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_stackalloc] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3133),
    [anon_sym_typeof] = ACTIONS(3133),
    [anon_sym___makeref] = ACTIONS(3133),
    [anon_sym___reftype] = ACTIONS(3133),
    [anon_sym___refvalue] = ACTIONS(3133),
    [sym_null_literal] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [sym_integer_literal] = ACTIONS(3133),
    [sym_real_literal] = ACTIONS(3135),
    [sym_verbatim_string_literal] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3135),
    [sym_interpolation_verbatim_start] = ACTIONS(3135),
    [sym_interpolation_raw_start] = ACTIONS(3135),
    [sym_raw_string_start] = ACTIONS(3135),
  },
  [2511] = {
    [sym_preproc_region] = STATE(2511),
    [sym_preproc_endregion] = STATE(2511),
    [sym_preproc_line] = STATE(2511),
    [sym_preproc_pragma] = STATE(2511),
    [sym_preproc_nullable] = STATE(2511),
    [sym_preproc_error] = STATE(2511),
    [sym_preproc_define] = STATE(2511),
    [sym_preproc_undef] = STATE(2511),
    [ts_builtin_sym_end] = ACTIONS(3271),
    [sym__identifier_token] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym_alias] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_global] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_unsafe] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_ref] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_interface] = ACTIONS(3269),
    [anon_sym_delegate] = ACTIONS(3269),
    [anon_sym_record] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_file] = ACTIONS(3269),
    [anon_sym_fixed] = ACTIONS(3269),
    [anon_sym_internal] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_partial] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_required] = ACTIONS(3269),
    [anon_sym_sealed] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_notnull] = ACTIONS(3269),
    [anon_sym_unmanaged] = ACTIONS(3269),
    [anon_sym_checked] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_true] = ACTIONS(3269),
    [anon_sym_false] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_CARET] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_this] = ACTIONS(3269),
    [anon_sym_scoped] = ACTIONS(3269),
    [anon_sym_base] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [sym_predefined_type] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_unchecked] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_lock] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_foreach] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_DOT_DOT] = ACTIONS(3271),
    [anon_sym_from] = ACTIONS(3269),
    [anon_sym_into] = ACTIONS(3269),
    [anon_sym_join] = ACTIONS(3269),
    [anon_sym_on] = ACTIONS(3269),
    [anon_sym_equals] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_orderby] = ACTIONS(3269),
    [anon_sym_ascending] = ACTIONS(3269),
    [anon_sym_descending] = ACTIONS(3269),
    [anon_sym_group] = ACTIONS(3269),
    [anon_sym_by] = ACTIONS(3269),
    [anon_sym_select] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_stackalloc] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym___makeref] = ACTIONS(3269),
    [anon_sym___reftype] = ACTIONS(3269),
    [anon_sym___refvalue] = ACTIONS(3269),
    [sym_null_literal] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [sym_integer_literal] = ACTIONS(3269),
    [sym_real_literal] = ACTIONS(3271),
    [sym_verbatim_string_literal] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3271),
    [sym_interpolation_verbatim_start] = ACTIONS(3271),
    [sym_interpolation_raw_start] = ACTIONS(3271),
    [sym_raw_string_start] = ACTIONS(3271),
  },
  [2512] = {
    [sym_preproc_region] = STATE(2512),
    [sym_preproc_endregion] = STATE(2512),
    [sym_preproc_line] = STATE(2512),
    [sym_preproc_pragma] = STATE(2512),
    [sym_preproc_nullable] = STATE(2512),
    [sym_preproc_error] = STATE(2512),
    [sym_preproc_define] = STATE(2512),
    [sym_preproc_undef] = STATE(2512),
    [ts_builtin_sym_end] = ACTIONS(3199),
    [sym__identifier_token] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym_alias] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_global] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_unsafe] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_ref] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_interface] = ACTIONS(3197),
    [anon_sym_delegate] = ACTIONS(3197),
    [anon_sym_record] = ACTIONS(3197),
    [anon_sym_abstract] = ACTIONS(3197),
    [anon_sym_async] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_file] = ACTIONS(3197),
    [anon_sym_fixed] = ACTIONS(3197),
    [anon_sym_internal] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_override] = ACTIONS(3197),
    [anon_sym_partial] = ACTIONS(3197),
    [anon_sym_private] = ACTIONS(3197),
    [anon_sym_protected] = ACTIONS(3197),
    [anon_sym_public] = ACTIONS(3197),
    [anon_sym_readonly] = ACTIONS(3197),
    [anon_sym_required] = ACTIONS(3197),
    [anon_sym_sealed] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_where] = ACTIONS(3197),
    [anon_sym_notnull] = ACTIONS(3197),
    [anon_sym_unmanaged] = ACTIONS(3197),
    [anon_sym_checked] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_true] = ACTIONS(3197),
    [anon_sym_false] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_this] = ACTIONS(3197),
    [anon_sym_scoped] = ACTIONS(3197),
    [anon_sym_base] = ACTIONS(3197),
    [anon_sym_var] = ACTIONS(3197),
    [sym_predefined_type] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_unchecked] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_lock] = ACTIONS(3197),
    [anon_sym_yield] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_when] = ACTIONS(3197),
    [anon_sym_await] = ACTIONS(3197),
    [anon_sym_foreach] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_else] = ACTIONS(3197),
    [anon_sym_DOT_DOT] = ACTIONS(3199),
    [anon_sym_from] = ACTIONS(3197),
    [anon_sym_into] = ACTIONS(3197),
    [anon_sym_join] = ACTIONS(3197),
    [anon_sym_on] = ACTIONS(3197),
    [anon_sym_equals] = ACTIONS(3197),
    [anon_sym_let] = ACTIONS(3197),
    [anon_sym_orderby] = ACTIONS(3197),
    [anon_sym_ascending] = ACTIONS(3197),
    [anon_sym_descending] = ACTIONS(3197),
    [anon_sym_group] = ACTIONS(3197),
    [anon_sym_by] = ACTIONS(3197),
    [anon_sym_select] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_stackalloc] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym_typeof] = ACTIONS(3197),
    [anon_sym___makeref] = ACTIONS(3197),
    [anon_sym___reftype] = ACTIONS(3197),
    [anon_sym___refvalue] = ACTIONS(3197),
    [sym_null_literal] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [sym_integer_literal] = ACTIONS(3197),
    [sym_real_literal] = ACTIONS(3199),
    [sym_verbatim_string_literal] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3199),
    [sym_interpolation_verbatim_start] = ACTIONS(3199),
    [sym_interpolation_raw_start] = ACTIONS(3199),
    [sym_raw_string_start] = ACTIONS(3199),
  },
  [2513] = {
    [sym_preproc_region] = STATE(2513),
    [sym_preproc_endregion] = STATE(2513),
    [sym_preproc_line] = STATE(2513),
    [sym_preproc_pragma] = STATE(2513),
    [sym_preproc_nullable] = STATE(2513),
    [sym_preproc_error] = STATE(2513),
    [sym_preproc_define] = STATE(2513),
    [sym_preproc_undef] = STATE(2513),
    [ts_builtin_sym_end] = ACTIONS(3399),
    [sym__identifier_token] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym_alias] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_global] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_unsafe] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_ref] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_interface] = ACTIONS(3397),
    [anon_sym_delegate] = ACTIONS(3397),
    [anon_sym_record] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_file] = ACTIONS(3397),
    [anon_sym_fixed] = ACTIONS(3397),
    [anon_sym_internal] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_partial] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_required] = ACTIONS(3397),
    [anon_sym_sealed] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_where] = ACTIONS(3397),
    [anon_sym_notnull] = ACTIONS(3397),
    [anon_sym_unmanaged] = ACTIONS(3397),
    [anon_sym_checked] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_true] = ACTIONS(3397),
    [anon_sym_false] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_CARET] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3399),
    [anon_sym_this] = ACTIONS(3397),
    [anon_sym_scoped] = ACTIONS(3397),
    [anon_sym_base] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [sym_predefined_type] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_unchecked] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_lock] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_when] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_foreach] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_DOT_DOT] = ACTIONS(3399),
    [anon_sym_from] = ACTIONS(3397),
    [anon_sym_into] = ACTIONS(3397),
    [anon_sym_join] = ACTIONS(3397),
    [anon_sym_on] = ACTIONS(3397),
    [anon_sym_equals] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_orderby] = ACTIONS(3397),
    [anon_sym_ascending] = ACTIONS(3397),
    [anon_sym_descending] = ACTIONS(3397),
    [anon_sym_group] = ACTIONS(3397),
    [anon_sym_by] = ACTIONS(3397),
    [anon_sym_select] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_stackalloc] = ACTIONS(3397),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym___makeref] = ACTIONS(3397),
    [anon_sym___reftype] = ACTIONS(3397),
    [anon_sym___refvalue] = ACTIONS(3397),
    [sym_null_literal] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [sym_integer_literal] = ACTIONS(3397),
    [sym_real_literal] = ACTIONS(3399),
    [sym_verbatim_string_literal] = ACTIONS(3399),
    [aux_sym_preproc_if_token1] = ACTIONS(3399),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3399),
    [sym_interpolation_verbatim_start] = ACTIONS(3399),
    [sym_interpolation_raw_start] = ACTIONS(3399),
    [sym_raw_string_start] = ACTIONS(3399),
  },
  [2514] = {
    [sym_catch_clause] = STATE(2650),
    [sym_finally_clause] = STATE(2728),
    [sym_preproc_region] = STATE(2514),
    [sym_preproc_endregion] = STATE(2514),
    [sym_preproc_line] = STATE(2514),
    [sym_preproc_pragma] = STATE(2514),
    [sym_preproc_nullable] = STATE(2514),
    [sym_preproc_error] = STATE(2514),
    [sym_preproc_define] = STATE(2514),
    [sym_preproc_undef] = STATE(2514),
    [aux_sym_try_statement_repeat1] = STATE(2630),
    [sym__identifier_token] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym_alias] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_global] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_unsafe] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_ref] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_delegate] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(3001),
    [anon_sym_async] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_file] = ACTIONS(3001),
    [anon_sym_fixed] = ACTIONS(3001),
    [anon_sym_internal] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_override] = ACTIONS(3001),
    [anon_sym_partial] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_readonly] = ACTIONS(3001),
    [anon_sym_required] = ACTIONS(3001),
    [anon_sym_sealed] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_where] = ACTIONS(3001),
    [anon_sym_notnull] = ACTIONS(3001),
    [anon_sym_unmanaged] = ACTIONS(3001),
    [anon_sym_checked] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_true] = ACTIONS(3001),
    [anon_sym_false] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_this] = ACTIONS(3001),
    [anon_sym_scoped] = ACTIONS(3001),
    [anon_sym_base] = ACTIONS(3001),
    [anon_sym_var] = ACTIONS(3001),
    [sym_predefined_type] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_unchecked] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_lock] = ACTIONS(3001),
    [anon_sym_yield] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_catch] = ACTIONS(3985),
    [anon_sym_when] = ACTIONS(3001),
    [anon_sym_finally] = ACTIONS(3987),
    [anon_sym_await] = ACTIONS(3001),
    [anon_sym_foreach] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_from] = ACTIONS(3001),
    [anon_sym_into] = ACTIONS(3001),
    [anon_sym_join] = ACTIONS(3001),
    [anon_sym_on] = ACTIONS(3001),
    [anon_sym_equals] = ACTIONS(3001),
    [anon_sym_let] = ACTIONS(3001),
    [anon_sym_orderby] = ACTIONS(3001),
    [anon_sym_ascending] = ACTIONS(3001),
    [anon_sym_descending] = ACTIONS(3001),
    [anon_sym_group] = ACTIONS(3001),
    [anon_sym_by] = ACTIONS(3001),
    [anon_sym_select] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [anon_sym_stackalloc] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym_typeof] = ACTIONS(3001),
    [anon_sym___makeref] = ACTIONS(3001),
    [anon_sym___reftype] = ACTIONS(3001),
    [anon_sym___refvalue] = ACTIONS(3001),
    [sym_null_literal] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [sym_integer_literal] = ACTIONS(3001),
    [sym_real_literal] = ACTIONS(3003),
    [sym_verbatim_string_literal] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3003),
    [sym_interpolation_verbatim_start] = ACTIONS(3003),
    [sym_interpolation_raw_start] = ACTIONS(3003),
    [sym_raw_string_start] = ACTIONS(3003),
  },
  [2515] = {
    [sym_preproc_region] = STATE(2515),
    [sym_preproc_endregion] = STATE(2515),
    [sym_preproc_line] = STATE(2515),
    [sym_preproc_pragma] = STATE(2515),
    [sym_preproc_nullable] = STATE(2515),
    [sym_preproc_error] = STATE(2515),
    [sym_preproc_define] = STATE(2515),
    [sym_preproc_undef] = STATE(2515),
    [ts_builtin_sym_end] = ACTIONS(4014),
    [sym__identifier_token] = ACTIONS(4016),
    [anon_sym_extern] = ACTIONS(4016),
    [anon_sym_alias] = ACTIONS(4016),
    [anon_sym_SEMI] = ACTIONS(4014),
    [anon_sym_global] = ACTIONS(4016),
    [anon_sym_using] = ACTIONS(4016),
    [anon_sym_unsafe] = ACTIONS(4016),
    [anon_sym_static] = ACTIONS(4016),
    [anon_sym_LBRACK] = ACTIONS(4014),
    [anon_sym_LPAREN] = ACTIONS(4014),
    [anon_sym_return] = ACTIONS(4016),
    [anon_sym_namespace] = ACTIONS(4016),
    [anon_sym_class] = ACTIONS(4016),
    [anon_sym_ref] = ACTIONS(4016),
    [anon_sym_struct] = ACTIONS(4016),
    [anon_sym_enum] = ACTIONS(4016),
    [anon_sym_LBRACE] = ACTIONS(4014),
    [anon_sym_interface] = ACTIONS(4016),
    [anon_sym_delegate] = ACTIONS(4016),
    [anon_sym_record] = ACTIONS(4016),
    [anon_sym_abstract] = ACTIONS(4016),
    [anon_sym_async] = ACTIONS(4016),
    [anon_sym_const] = ACTIONS(4016),
    [anon_sym_file] = ACTIONS(4016),
    [anon_sym_fixed] = ACTIONS(4016),
    [anon_sym_internal] = ACTIONS(4016),
    [anon_sym_new] = ACTIONS(4016),
    [anon_sym_override] = ACTIONS(4016),
    [anon_sym_partial] = ACTIONS(4016),
    [anon_sym_private] = ACTIONS(4016),
    [anon_sym_protected] = ACTIONS(4016),
    [anon_sym_public] = ACTIONS(4016),
    [anon_sym_readonly] = ACTIONS(4016),
    [anon_sym_required] = ACTIONS(4016),
    [anon_sym_sealed] = ACTIONS(4016),
    [anon_sym_virtual] = ACTIONS(4016),
    [anon_sym_volatile] = ACTIONS(4016),
    [anon_sym_where] = ACTIONS(4016),
    [anon_sym_notnull] = ACTIONS(4016),
    [anon_sym_unmanaged] = ACTIONS(4016),
    [anon_sym_checked] = ACTIONS(4016),
    [anon_sym_BANG] = ACTIONS(4014),
    [anon_sym_TILDE] = ACTIONS(4014),
    [anon_sym_PLUS_PLUS] = ACTIONS(4014),
    [anon_sym_DASH_DASH] = ACTIONS(4014),
    [anon_sym_true] = ACTIONS(4016),
    [anon_sym_false] = ACTIONS(4016),
    [anon_sym_PLUS] = ACTIONS(4016),
    [anon_sym_DASH] = ACTIONS(4016),
    [anon_sym_STAR] = ACTIONS(4014),
    [anon_sym_CARET] = ACTIONS(4014),
    [anon_sym_AMP] = ACTIONS(4014),
    [anon_sym_this] = ACTIONS(4016),
    [anon_sym_scoped] = ACTIONS(4016),
    [anon_sym_base] = ACTIONS(4016),
    [anon_sym_var] = ACTIONS(4016),
    [sym_predefined_type] = ACTIONS(4016),
    [anon_sym_break] = ACTIONS(4016),
    [anon_sym_unchecked] = ACTIONS(4016),
    [anon_sym_continue] = ACTIONS(4016),
    [anon_sym_do] = ACTIONS(4016),
    [anon_sym_while] = ACTIONS(4016),
    [anon_sym_for] = ACTIONS(4016),
    [anon_sym_lock] = ACTIONS(4016),
    [anon_sym_yield] = ACTIONS(4016),
    [anon_sym_switch] = ACTIONS(4016),
    [anon_sym_default] = ACTIONS(4016),
    [anon_sym_throw] = ACTIONS(4016),
    [anon_sym_try] = ACTIONS(4016),
    [anon_sym_when] = ACTIONS(4016),
    [anon_sym_await] = ACTIONS(4016),
    [anon_sym_foreach] = ACTIONS(4016),
    [anon_sym_goto] = ACTIONS(4016),
    [anon_sym_if] = ACTIONS(4016),
    [anon_sym_DOT_DOT] = ACTIONS(4014),
    [anon_sym_from] = ACTIONS(4016),
    [anon_sym_into] = ACTIONS(4016),
    [anon_sym_join] = ACTIONS(4016),
    [anon_sym_on] = ACTIONS(4016),
    [anon_sym_equals] = ACTIONS(4016),
    [anon_sym_let] = ACTIONS(4016),
    [anon_sym_orderby] = ACTIONS(4016),
    [anon_sym_ascending] = ACTIONS(4016),
    [anon_sym_descending] = ACTIONS(4016),
    [anon_sym_group] = ACTIONS(4016),
    [anon_sym_by] = ACTIONS(4016),
    [anon_sym_select] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4014),
    [anon_sym_stackalloc] = ACTIONS(4016),
    [anon_sym_sizeof] = ACTIONS(4016),
    [anon_sym_typeof] = ACTIONS(4016),
    [anon_sym___makeref] = ACTIONS(4016),
    [anon_sym___reftype] = ACTIONS(4016),
    [anon_sym___refvalue] = ACTIONS(4016),
    [sym_null_literal] = ACTIONS(4016),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [sym_integer_literal] = ACTIONS(4016),
    [sym_real_literal] = ACTIONS(4014),
    [sym_verbatim_string_literal] = ACTIONS(4014),
    [aux_sym_preproc_if_token1] = ACTIONS(4014),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(4014),
    [sym_interpolation_verbatim_start] = ACTIONS(4014),
    [sym_interpolation_raw_start] = ACTIONS(4014),
    [sym_raw_string_start] = ACTIONS(4014),
  },
  [2516] = {
    [sym_preproc_region] = STATE(2516),
    [sym_preproc_endregion] = STATE(2516),
    [sym_preproc_line] = STATE(2516),
    [sym_preproc_pragma] = STATE(2516),
    [sym_preproc_nullable] = STATE(2516),
    [sym_preproc_error] = STATE(2516),
    [sym_preproc_define] = STATE(2516),
    [sym_preproc_undef] = STATE(2516),
    [ts_builtin_sym_end] = ACTIONS(3593),
    [sym__identifier_token] = ACTIONS(3591),
    [anon_sym_extern] = ACTIONS(3591),
    [anon_sym_alias] = ACTIONS(3591),
    [anon_sym_SEMI] = ACTIONS(3593),
    [anon_sym_global] = ACTIONS(3591),
    [anon_sym_using] = ACTIONS(3591),
    [anon_sym_unsafe] = ACTIONS(3591),
    [anon_sym_static] = ACTIONS(3591),
    [anon_sym_LBRACK] = ACTIONS(3593),
    [anon_sym_LPAREN] = ACTIONS(3593),
    [anon_sym_return] = ACTIONS(3591),
    [anon_sym_namespace] = ACTIONS(3591),
    [anon_sym_class] = ACTIONS(3591),
    [anon_sym_ref] = ACTIONS(3591),
    [anon_sym_struct] = ACTIONS(3591),
    [anon_sym_enum] = ACTIONS(3591),
    [anon_sym_LBRACE] = ACTIONS(3593),
    [anon_sym_interface] = ACTIONS(3591),
    [anon_sym_delegate] = ACTIONS(3591),
    [anon_sym_record] = ACTIONS(3591),
    [anon_sym_abstract] = ACTIONS(3591),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_const] = ACTIONS(3591),
    [anon_sym_file] = ACTIONS(3591),
    [anon_sym_fixed] = ACTIONS(3591),
    [anon_sym_internal] = ACTIONS(3591),
    [anon_sym_new] = ACTIONS(3591),
    [anon_sym_override] = ACTIONS(3591),
    [anon_sym_partial] = ACTIONS(3591),
    [anon_sym_private] = ACTIONS(3591),
    [anon_sym_protected] = ACTIONS(3591),
    [anon_sym_public] = ACTIONS(3591),
    [anon_sym_readonly] = ACTIONS(3591),
    [anon_sym_required] = ACTIONS(3591),
    [anon_sym_sealed] = ACTIONS(3591),
    [anon_sym_virtual] = ACTIONS(3591),
    [anon_sym_volatile] = ACTIONS(3591),
    [anon_sym_where] = ACTIONS(3591),
    [anon_sym_notnull] = ACTIONS(3591),
    [anon_sym_unmanaged] = ACTIONS(3591),
    [anon_sym_checked] = ACTIONS(3591),
    [anon_sym_BANG] = ACTIONS(3593),
    [anon_sym_TILDE] = ACTIONS(3593),
    [anon_sym_PLUS_PLUS] = ACTIONS(3593),
    [anon_sym_DASH_DASH] = ACTIONS(3593),
    [anon_sym_true] = ACTIONS(3591),
    [anon_sym_false] = ACTIONS(3591),
    [anon_sym_PLUS] = ACTIONS(3591),
    [anon_sym_DASH] = ACTIONS(3591),
    [anon_sym_STAR] = ACTIONS(3593),
    [anon_sym_CARET] = ACTIONS(3593),
    [anon_sym_AMP] = ACTIONS(3593),
    [anon_sym_this] = ACTIONS(3591),
    [anon_sym_scoped] = ACTIONS(3591),
    [anon_sym_base] = ACTIONS(3591),
    [anon_sym_var] = ACTIONS(3591),
    [sym_predefined_type] = ACTIONS(3591),
    [anon_sym_break] = ACTIONS(3591),
    [anon_sym_unchecked] = ACTIONS(3591),
    [anon_sym_continue] = ACTIONS(3591),
    [anon_sym_do] = ACTIONS(3591),
    [anon_sym_while] = ACTIONS(3591),
    [anon_sym_for] = ACTIONS(3591),
    [anon_sym_lock] = ACTIONS(3591),
    [anon_sym_yield] = ACTIONS(3591),
    [anon_sym_switch] = ACTIONS(3591),
    [anon_sym_default] = ACTIONS(3591),
    [anon_sym_throw] = ACTIONS(3591),
    [anon_sym_try] = ACTIONS(3591),
    [anon_sym_when] = ACTIONS(3591),
    [anon_sym_await] = ACTIONS(3591),
    [anon_sym_foreach] = ACTIONS(3591),
    [anon_sym_goto] = ACTIONS(3591),
    [anon_sym_if] = ACTIONS(3591),
    [anon_sym_DOT_DOT] = ACTIONS(3593),
    [anon_sym_from] = ACTIONS(3591),
    [anon_sym_into] = ACTIONS(3591),
    [anon_sym_join] = ACTIONS(3591),
    [anon_sym_on] = ACTIONS(3591),
    [anon_sym_equals] = ACTIONS(3591),
    [anon_sym_let] = ACTIONS(3591),
    [anon_sym_orderby] = ACTIONS(3591),
    [anon_sym_ascending] = ACTIONS(3591),
    [anon_sym_descending] = ACTIONS(3591),
    [anon_sym_group] = ACTIONS(3591),
    [anon_sym_by] = ACTIONS(3591),
    [anon_sym_select] = ACTIONS(3591),
    [anon_sym_DQUOTE] = ACTIONS(3593),
    [anon_sym_stackalloc] = ACTIONS(3591),
    [anon_sym_sizeof] = ACTIONS(3591),
    [anon_sym_typeof] = ACTIONS(3591),
    [anon_sym___makeref] = ACTIONS(3591),
    [anon_sym___reftype] = ACTIONS(3591),
    [anon_sym___refvalue] = ACTIONS(3591),
    [sym_null_literal] = ACTIONS(3591),
    [anon_sym_SQUOTE] = ACTIONS(3593),
    [sym_integer_literal] = ACTIONS(3591),
    [sym_real_literal] = ACTIONS(3593),
    [sym_verbatim_string_literal] = ACTIONS(3593),
    [aux_sym_preproc_if_token1] = ACTIONS(3593),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3593),
    [sym_interpolation_verbatim_start] = ACTIONS(3593),
    [sym_interpolation_raw_start] = ACTIONS(3593),
    [sym_raw_string_start] = ACTIONS(3593),
  },
  [2517] = {
    [sym_preproc_region] = STATE(2517),
    [sym_preproc_endregion] = STATE(2517),
    [sym_preproc_line] = STATE(2517),
    [sym_preproc_pragma] = STATE(2517),
    [sym_preproc_nullable] = STATE(2517),
    [sym_preproc_error] = STATE(2517),
    [sym_preproc_define] = STATE(2517),
    [sym_preproc_undef] = STATE(2517),
    [ts_builtin_sym_end] = ACTIONS(3597),
    [sym__identifier_token] = ACTIONS(3595),
    [anon_sym_extern] = ACTIONS(3595),
    [anon_sym_alias] = ACTIONS(3595),
    [anon_sym_SEMI] = ACTIONS(3597),
    [anon_sym_global] = ACTIONS(3595),
    [anon_sym_using] = ACTIONS(3595),
    [anon_sym_unsafe] = ACTIONS(3595),
    [anon_sym_static] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_LPAREN] = ACTIONS(3597),
    [anon_sym_return] = ACTIONS(3595),
    [anon_sym_namespace] = ACTIONS(3595),
    [anon_sym_class] = ACTIONS(3595),
    [anon_sym_ref] = ACTIONS(3595),
    [anon_sym_struct] = ACTIONS(3595),
    [anon_sym_enum] = ACTIONS(3595),
    [anon_sym_LBRACE] = ACTIONS(3597),
    [anon_sym_interface] = ACTIONS(3595),
    [anon_sym_delegate] = ACTIONS(3595),
    [anon_sym_record] = ACTIONS(3595),
    [anon_sym_abstract] = ACTIONS(3595),
    [anon_sym_async] = ACTIONS(3595),
    [anon_sym_const] = ACTIONS(3595),
    [anon_sym_file] = ACTIONS(3595),
    [anon_sym_fixed] = ACTIONS(3595),
    [anon_sym_internal] = ACTIONS(3595),
    [anon_sym_new] = ACTIONS(3595),
    [anon_sym_override] = ACTIONS(3595),
    [anon_sym_partial] = ACTIONS(3595),
    [anon_sym_private] = ACTIONS(3595),
    [anon_sym_protected] = ACTIONS(3595),
    [anon_sym_public] = ACTIONS(3595),
    [anon_sym_readonly] = ACTIONS(3595),
    [anon_sym_required] = ACTIONS(3595),
    [anon_sym_sealed] = ACTIONS(3595),
    [anon_sym_virtual] = ACTIONS(3595),
    [anon_sym_volatile] = ACTIONS(3595),
    [anon_sym_where] = ACTIONS(3595),
    [anon_sym_notnull] = ACTIONS(3595),
    [anon_sym_unmanaged] = ACTIONS(3595),
    [anon_sym_checked] = ACTIONS(3595),
    [anon_sym_BANG] = ACTIONS(3597),
    [anon_sym_TILDE] = ACTIONS(3597),
    [anon_sym_PLUS_PLUS] = ACTIONS(3597),
    [anon_sym_DASH_DASH] = ACTIONS(3597),
    [anon_sym_true] = ACTIONS(3595),
    [anon_sym_false] = ACTIONS(3595),
    [anon_sym_PLUS] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3595),
    [anon_sym_STAR] = ACTIONS(3597),
    [anon_sym_CARET] = ACTIONS(3597),
    [anon_sym_AMP] = ACTIONS(3597),
    [anon_sym_this] = ACTIONS(3595),
    [anon_sym_scoped] = ACTIONS(3595),
    [anon_sym_base] = ACTIONS(3595),
    [anon_sym_var] = ACTIONS(3595),
    [sym_predefined_type] = ACTIONS(3595),
    [anon_sym_break] = ACTIONS(3595),
    [anon_sym_unchecked] = ACTIONS(3595),
    [anon_sym_continue] = ACTIONS(3595),
    [anon_sym_do] = ACTIONS(3595),
    [anon_sym_while] = ACTIONS(3595),
    [anon_sym_for] = ACTIONS(3595),
    [anon_sym_lock] = ACTIONS(3595),
    [anon_sym_yield] = ACTIONS(3595),
    [anon_sym_switch] = ACTIONS(3595),
    [anon_sym_default] = ACTIONS(3595),
    [anon_sym_throw] = ACTIONS(3595),
    [anon_sym_try] = ACTIONS(3595),
    [anon_sym_when] = ACTIONS(3595),
    [anon_sym_await] = ACTIONS(3595),
    [anon_sym_foreach] = ACTIONS(3595),
    [anon_sym_goto] = ACTIONS(3595),
    [anon_sym_if] = ACTIONS(3595),
    [anon_sym_DOT_DOT] = ACTIONS(3597),
    [anon_sym_from] = ACTIONS(3595),
    [anon_sym_into] = ACTIONS(3595),
    [anon_sym_join] = ACTIONS(3595),
    [anon_sym_on] = ACTIONS(3595),
    [anon_sym_equals] = ACTIONS(3595),
    [anon_sym_let] = ACTIONS(3595),
    [anon_sym_orderby] = ACTIONS(3595),
    [anon_sym_ascending] = ACTIONS(3595),
    [anon_sym_descending] = ACTIONS(3595),
    [anon_sym_group] = ACTIONS(3595),
    [anon_sym_by] = ACTIONS(3595),
    [anon_sym_select] = ACTIONS(3595),
    [anon_sym_DQUOTE] = ACTIONS(3597),
    [anon_sym_stackalloc] = ACTIONS(3595),
    [anon_sym_sizeof] = ACTIONS(3595),
    [anon_sym_typeof] = ACTIONS(3595),
    [anon_sym___makeref] = ACTIONS(3595),
    [anon_sym___reftype] = ACTIONS(3595),
    [anon_sym___refvalue] = ACTIONS(3595),
    [sym_null_literal] = ACTIONS(3595),
    [anon_sym_SQUOTE] = ACTIONS(3597),
    [sym_integer_literal] = ACTIONS(3595),
    [sym_real_literal] = ACTIONS(3597),
    [sym_verbatim_string_literal] = ACTIONS(3597),
    [aux_sym_preproc_if_token1] = ACTIONS(3597),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3597),
    [sym_interpolation_verbatim_start] = ACTIONS(3597),
    [sym_interpolation_raw_start] = ACTIONS(3597),
    [sym_raw_string_start] = ACTIONS(3597),
  },
  [2518] = {
    [sym_preproc_region] = STATE(2518),
    [sym_preproc_endregion] = STATE(2518),
    [sym_preproc_line] = STATE(2518),
    [sym_preproc_pragma] = STATE(2518),
    [sym_preproc_nullable] = STATE(2518),
    [sym_preproc_error] = STATE(2518),
    [sym_preproc_define] = STATE(2518),
    [sym_preproc_undef] = STATE(2518),
    [ts_builtin_sym_end] = ACTIONS(3601),
    [sym__identifier_token] = ACTIONS(3599),
    [anon_sym_extern] = ACTIONS(3599),
    [anon_sym_alias] = ACTIONS(3599),
    [anon_sym_SEMI] = ACTIONS(3601),
    [anon_sym_global] = ACTIONS(3599),
    [anon_sym_using] = ACTIONS(3599),
    [anon_sym_unsafe] = ACTIONS(3599),
    [anon_sym_static] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(3601),
    [anon_sym_LPAREN] = ACTIONS(3601),
    [anon_sym_return] = ACTIONS(3599),
    [anon_sym_namespace] = ACTIONS(3599),
    [anon_sym_class] = ACTIONS(3599),
    [anon_sym_ref] = ACTIONS(3599),
    [anon_sym_struct] = ACTIONS(3599),
    [anon_sym_enum] = ACTIONS(3599),
    [anon_sym_LBRACE] = ACTIONS(3601),
    [anon_sym_interface] = ACTIONS(3599),
    [anon_sym_delegate] = ACTIONS(3599),
    [anon_sym_record] = ACTIONS(3599),
    [anon_sym_abstract] = ACTIONS(3599),
    [anon_sym_async] = ACTIONS(3599),
    [anon_sym_const] = ACTIONS(3599),
    [anon_sym_file] = ACTIONS(3599),
    [anon_sym_fixed] = ACTIONS(3599),
    [anon_sym_internal] = ACTIONS(3599),
    [anon_sym_new] = ACTIONS(3599),
    [anon_sym_override] = ACTIONS(3599),
    [anon_sym_partial] = ACTIONS(3599),
    [anon_sym_private] = ACTIONS(3599),
    [anon_sym_protected] = ACTIONS(3599),
    [anon_sym_public] = ACTIONS(3599),
    [anon_sym_readonly] = ACTIONS(3599),
    [anon_sym_required] = ACTIONS(3599),
    [anon_sym_sealed] = ACTIONS(3599),
    [anon_sym_virtual] = ACTIONS(3599),
    [anon_sym_volatile] = ACTIONS(3599),
    [anon_sym_where] = ACTIONS(3599),
    [anon_sym_notnull] = ACTIONS(3599),
    [anon_sym_unmanaged] = ACTIONS(3599),
    [anon_sym_checked] = ACTIONS(3599),
    [anon_sym_BANG] = ACTIONS(3601),
    [anon_sym_TILDE] = ACTIONS(3601),
    [anon_sym_PLUS_PLUS] = ACTIONS(3601),
    [anon_sym_DASH_DASH] = ACTIONS(3601),
    [anon_sym_true] = ACTIONS(3599),
    [anon_sym_false] = ACTIONS(3599),
    [anon_sym_PLUS] = ACTIONS(3599),
    [anon_sym_DASH] = ACTIONS(3599),
    [anon_sym_STAR] = ACTIONS(3601),
    [anon_sym_CARET] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3601),
    [anon_sym_this] = ACTIONS(3599),
    [anon_sym_scoped] = ACTIONS(3599),
    [anon_sym_base] = ACTIONS(3599),
    [anon_sym_var] = ACTIONS(3599),
    [sym_predefined_type] = ACTIONS(3599),
    [anon_sym_break] = ACTIONS(3599),
    [anon_sym_unchecked] = ACTIONS(3599),
    [anon_sym_continue] = ACTIONS(3599),
    [anon_sym_do] = ACTIONS(3599),
    [anon_sym_while] = ACTIONS(3599),
    [anon_sym_for] = ACTIONS(3599),
    [anon_sym_lock] = ACTIONS(3599),
    [anon_sym_yield] = ACTIONS(3599),
    [anon_sym_switch] = ACTIONS(3599),
    [anon_sym_default] = ACTIONS(3599),
    [anon_sym_throw] = ACTIONS(3599),
    [anon_sym_try] = ACTIONS(3599),
    [anon_sym_when] = ACTIONS(3599),
    [anon_sym_await] = ACTIONS(3599),
    [anon_sym_foreach] = ACTIONS(3599),
    [anon_sym_goto] = ACTIONS(3599),
    [anon_sym_if] = ACTIONS(3599),
    [anon_sym_DOT_DOT] = ACTIONS(3601),
    [anon_sym_from] = ACTIONS(3599),
    [anon_sym_into] = ACTIONS(3599),
    [anon_sym_join] = ACTIONS(3599),
    [anon_sym_on] = ACTIONS(3599),
    [anon_sym_equals] = ACTIONS(3599),
    [anon_sym_let] = ACTIONS(3599),
    [anon_sym_orderby] = ACTIONS(3599),
    [anon_sym_ascending] = ACTIONS(3599),
    [anon_sym_descending] = ACTIONS(3599),
    [anon_sym_group] = ACTIONS(3599),
    [anon_sym_by] = ACTIONS(3599),
    [anon_sym_select] = ACTIONS(3599),
    [anon_sym_DQUOTE] = ACTIONS(3601),
    [anon_sym_stackalloc] = ACTIONS(3599),
    [anon_sym_sizeof] = ACTIONS(3599),
    [anon_sym_typeof] = ACTIONS(3599),
    [anon_sym___makeref] = ACTIONS(3599),
    [anon_sym___reftype] = ACTIONS(3599),
    [anon_sym___refvalue] = ACTIONS(3599),
    [sym_null_literal] = ACTIONS(3599),
    [anon_sym_SQUOTE] = ACTIONS(3601),
    [sym_integer_literal] = ACTIONS(3599),
    [sym_real_literal] = ACTIONS(3601),
    [sym_verbatim_string_literal] = ACTIONS(3601),
    [aux_sym_preproc_if_token1] = ACTIONS(3601),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3601),
    [sym_interpolation_verbatim_start] = ACTIONS(3601),
    [sym_interpolation_raw_start] = ACTIONS(3601),
    [sym_raw_string_start] = ACTIONS(3601),
  },
  [2519] = {
    [sym_preproc_region] = STATE(2519),
    [sym_preproc_endregion] = STATE(2519),
    [sym_preproc_line] = STATE(2519),
    [sym_preproc_pragma] = STATE(2519),
    [sym_preproc_nullable] = STATE(2519),
    [sym_preproc_error] = STATE(2519),
    [sym_preproc_define] = STATE(2519),
    [sym_preproc_undef] = STATE(2519),
    [ts_builtin_sym_end] = ACTIONS(3727),
    [sym__identifier_token] = ACTIONS(3725),
    [anon_sym_extern] = ACTIONS(3725),
    [anon_sym_alias] = ACTIONS(3725),
    [anon_sym_SEMI] = ACTIONS(3727),
    [anon_sym_global] = ACTIONS(3725),
    [anon_sym_using] = ACTIONS(3725),
    [anon_sym_unsafe] = ACTIONS(3725),
    [anon_sym_static] = ACTIONS(3725),
    [anon_sym_LBRACK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(3727),
    [anon_sym_return] = ACTIONS(3725),
    [anon_sym_namespace] = ACTIONS(3725),
    [anon_sym_class] = ACTIONS(3725),
    [anon_sym_ref] = ACTIONS(3725),
    [anon_sym_struct] = ACTIONS(3725),
    [anon_sym_enum] = ACTIONS(3725),
    [anon_sym_LBRACE] = ACTIONS(3727),
    [anon_sym_interface] = ACTIONS(3725),
    [anon_sym_delegate] = ACTIONS(3725),
    [anon_sym_record] = ACTIONS(3725),
    [anon_sym_abstract] = ACTIONS(3725),
    [anon_sym_async] = ACTIONS(3725),
    [anon_sym_const] = ACTIONS(3725),
    [anon_sym_file] = ACTIONS(3725),
    [anon_sym_fixed] = ACTIONS(3725),
    [anon_sym_internal] = ACTIONS(3725),
    [anon_sym_new] = ACTIONS(3725),
    [anon_sym_override] = ACTIONS(3725),
    [anon_sym_partial] = ACTIONS(3725),
    [anon_sym_private] = ACTIONS(3725),
    [anon_sym_protected] = ACTIONS(3725),
    [anon_sym_public] = ACTIONS(3725),
    [anon_sym_readonly] = ACTIONS(3725),
    [anon_sym_required] = ACTIONS(3725),
    [anon_sym_sealed] = ACTIONS(3725),
    [anon_sym_virtual] = ACTIONS(3725),
    [anon_sym_volatile] = ACTIONS(3725),
    [anon_sym_where] = ACTIONS(3725),
    [anon_sym_notnull] = ACTIONS(3725),
    [anon_sym_unmanaged] = ACTIONS(3725),
    [anon_sym_checked] = ACTIONS(3725),
    [anon_sym_BANG] = ACTIONS(3727),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_true] = ACTIONS(3725),
    [anon_sym_false] = ACTIONS(3725),
    [anon_sym_PLUS] = ACTIONS(3725),
    [anon_sym_DASH] = ACTIONS(3725),
    [anon_sym_STAR] = ACTIONS(3727),
    [anon_sym_CARET] = ACTIONS(3727),
    [anon_sym_AMP] = ACTIONS(3727),
    [anon_sym_this] = ACTIONS(3725),
    [anon_sym_scoped] = ACTIONS(3725),
    [anon_sym_base] = ACTIONS(3725),
    [anon_sym_var] = ACTIONS(3725),
    [sym_predefined_type] = ACTIONS(3725),
    [anon_sym_break] = ACTIONS(3725),
    [anon_sym_unchecked] = ACTIONS(3725),
    [anon_sym_continue] = ACTIONS(3725),
    [anon_sym_do] = ACTIONS(3725),
    [anon_sym_while] = ACTIONS(3725),
    [anon_sym_for] = ACTIONS(3725),
    [anon_sym_lock] = ACTIONS(3725),
    [anon_sym_yield] = ACTIONS(3725),
    [anon_sym_switch] = ACTIONS(3725),
    [anon_sym_default] = ACTIONS(3725),
    [anon_sym_throw] = ACTIONS(3725),
    [anon_sym_try] = ACTIONS(3725),
    [anon_sym_when] = ACTIONS(3725),
    [anon_sym_await] = ACTIONS(3725),
    [anon_sym_foreach] = ACTIONS(3725),
    [anon_sym_goto] = ACTIONS(3725),
    [anon_sym_if] = ACTIONS(3725),
    [anon_sym_DOT_DOT] = ACTIONS(3727),
    [anon_sym_from] = ACTIONS(3725),
    [anon_sym_into] = ACTIONS(3725),
    [anon_sym_join] = ACTIONS(3725),
    [anon_sym_on] = ACTIONS(3725),
    [anon_sym_equals] = ACTIONS(3725),
    [anon_sym_let] = ACTIONS(3725),
    [anon_sym_orderby] = ACTIONS(3725),
    [anon_sym_ascending] = ACTIONS(3725),
    [anon_sym_descending] = ACTIONS(3725),
    [anon_sym_group] = ACTIONS(3725),
    [anon_sym_by] = ACTIONS(3725),
    [anon_sym_select] = ACTIONS(3725),
    [anon_sym_DQUOTE] = ACTIONS(3727),
    [anon_sym_stackalloc] = ACTIONS(3725),
    [anon_sym_sizeof] = ACTIONS(3725),
    [anon_sym_typeof] = ACTIONS(3725),
    [anon_sym___makeref] = ACTIONS(3725),
    [anon_sym___reftype] = ACTIONS(3725),
    [anon_sym___refvalue] = ACTIONS(3725),
    [sym_null_literal] = ACTIONS(3725),
    [anon_sym_SQUOTE] = ACTIONS(3727),
    [sym_integer_literal] = ACTIONS(3725),
    [sym_real_literal] = ACTIONS(3727),
    [sym_verbatim_string_literal] = ACTIONS(3727),
    [aux_sym_preproc_if_token1] = ACTIONS(3727),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3727),
    [sym_interpolation_verbatim_start] = ACTIONS(3727),
    [sym_interpolation_raw_start] = ACTIONS(3727),
    [sym_raw_string_start] = ACTIONS(3727),
  },
  [2520] = {
    [sym_preproc_region] = STATE(2520),
    [sym_preproc_endregion] = STATE(2520),
    [sym_preproc_line] = STATE(2520),
    [sym_preproc_pragma] = STATE(2520),
    [sym_preproc_nullable] = STATE(2520),
    [sym_preproc_error] = STATE(2520),
    [sym_preproc_define] = STATE(2520),
    [sym_preproc_undef] = STATE(2520),
    [ts_builtin_sym_end] = ACTIONS(3461),
    [sym__identifier_token] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym_alias] = ACTIONS(3459),
    [anon_sym_SEMI] = ACTIONS(3461),
    [anon_sym_global] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_unsafe] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3461),
    [anon_sym_return] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_ref] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_LBRACE] = ACTIONS(3461),
    [anon_sym_interface] = ACTIONS(3459),
    [anon_sym_delegate] = ACTIONS(3459),
    [anon_sym_record] = ACTIONS(3459),
    [anon_sym_abstract] = ACTIONS(3459),
    [anon_sym_async] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_file] = ACTIONS(3459),
    [anon_sym_fixed] = ACTIONS(3459),
    [anon_sym_internal] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_partial] = ACTIONS(3459),
    [anon_sym_private] = ACTIONS(3459),
    [anon_sym_protected] = ACTIONS(3459),
    [anon_sym_public] = ACTIONS(3459),
    [anon_sym_readonly] = ACTIONS(3459),
    [anon_sym_required] = ACTIONS(3459),
    [anon_sym_sealed] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_where] = ACTIONS(3459),
    [anon_sym_notnull] = ACTIONS(3459),
    [anon_sym_unmanaged] = ACTIONS(3459),
    [anon_sym_checked] = ACTIONS(3459),
    [anon_sym_BANG] = ACTIONS(3461),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_PLUS_PLUS] = ACTIONS(3461),
    [anon_sym_DASH_DASH] = ACTIONS(3461),
    [anon_sym_true] = ACTIONS(3459),
    [anon_sym_false] = ACTIONS(3459),
    [anon_sym_PLUS] = ACTIONS(3459),
    [anon_sym_DASH] = ACTIONS(3459),
    [anon_sym_STAR] = ACTIONS(3461),
    [anon_sym_CARET] = ACTIONS(3461),
    [anon_sym_AMP] = ACTIONS(3461),
    [anon_sym_this] = ACTIONS(3459),
    [anon_sym_scoped] = ACTIONS(3459),
    [anon_sym_base] = ACTIONS(3459),
    [anon_sym_var] = ACTIONS(3459),
    [sym_predefined_type] = ACTIONS(3459),
    [anon_sym_break] = ACTIONS(3459),
    [anon_sym_unchecked] = ACTIONS(3459),
    [anon_sym_continue] = ACTIONS(3459),
    [anon_sym_do] = ACTIONS(3459),
    [anon_sym_while] = ACTIONS(3459),
    [anon_sym_for] = ACTIONS(3459),
    [anon_sym_lock] = ACTIONS(3459),
    [anon_sym_yield] = ACTIONS(3459),
    [anon_sym_switch] = ACTIONS(3459),
    [anon_sym_default] = ACTIONS(3459),
    [anon_sym_throw] = ACTIONS(3459),
    [anon_sym_try] = ACTIONS(3459),
    [anon_sym_when] = ACTIONS(3459),
    [anon_sym_await] = ACTIONS(3459),
    [anon_sym_foreach] = ACTIONS(3459),
    [anon_sym_goto] = ACTIONS(3459),
    [anon_sym_if] = ACTIONS(3459),
    [anon_sym_DOT_DOT] = ACTIONS(3461),
    [anon_sym_from] = ACTIONS(3459),
    [anon_sym_into] = ACTIONS(3459),
    [anon_sym_join] = ACTIONS(3459),
    [anon_sym_on] = ACTIONS(3459),
    [anon_sym_equals] = ACTIONS(3459),
    [anon_sym_let] = ACTIONS(3459),
    [anon_sym_orderby] = ACTIONS(3459),
    [anon_sym_ascending] = ACTIONS(3459),
    [anon_sym_descending] = ACTIONS(3459),
    [anon_sym_group] = ACTIONS(3459),
    [anon_sym_by] = ACTIONS(3459),
    [anon_sym_select] = ACTIONS(3459),
    [anon_sym_DQUOTE] = ACTIONS(3461),
    [anon_sym_stackalloc] = ACTIONS(3459),
    [anon_sym_sizeof] = ACTIONS(3459),
    [anon_sym_typeof] = ACTIONS(3459),
    [anon_sym___makeref] = ACTIONS(3459),
    [anon_sym___reftype] = ACTIONS(3459),
    [anon_sym___refvalue] = ACTIONS(3459),
    [sym_null_literal] = ACTIONS(3459),
    [anon_sym_SQUOTE] = ACTIONS(3461),
    [sym_integer_literal] = ACTIONS(3459),
    [sym_real_literal] = ACTIONS(3461),
    [sym_verbatim_string_literal] = ACTIONS(3461),
    [aux_sym_preproc_if_token1] = ACTIONS(3461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3461),
    [sym_interpolation_verbatim_start] = ACTIONS(3461),
    [sym_interpolation_raw_start] = ACTIONS(3461),
    [sym_raw_string_start] = ACTIONS(3461),
  },
  [2521] = {
    [sym_preproc_region] = STATE(2521),
    [sym_preproc_endregion] = STATE(2521),
    [sym_preproc_line] = STATE(2521),
    [sym_preproc_pragma] = STATE(2521),
    [sym_preproc_nullable] = STATE(2521),
    [sym_preproc_error] = STATE(2521),
    [sym_preproc_define] = STATE(2521),
    [sym_preproc_undef] = STATE(2521),
    [ts_builtin_sym_end] = ACTIONS(3605),
    [sym__identifier_token] = ACTIONS(3603),
    [anon_sym_extern] = ACTIONS(3603),
    [anon_sym_alias] = ACTIONS(3603),
    [anon_sym_SEMI] = ACTIONS(3605),
    [anon_sym_global] = ACTIONS(3603),
    [anon_sym_using] = ACTIONS(3603),
    [anon_sym_unsafe] = ACTIONS(3603),
    [anon_sym_static] = ACTIONS(3603),
    [anon_sym_LBRACK] = ACTIONS(3605),
    [anon_sym_LPAREN] = ACTIONS(3605),
    [anon_sym_return] = ACTIONS(3603),
    [anon_sym_namespace] = ACTIONS(3603),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_ref] = ACTIONS(3603),
    [anon_sym_struct] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3603),
    [anon_sym_LBRACE] = ACTIONS(3605),
    [anon_sym_interface] = ACTIONS(3603),
    [anon_sym_delegate] = ACTIONS(3603),
    [anon_sym_record] = ACTIONS(3603),
    [anon_sym_abstract] = ACTIONS(3603),
    [anon_sym_async] = ACTIONS(3603),
    [anon_sym_const] = ACTIONS(3603),
    [anon_sym_file] = ACTIONS(3603),
    [anon_sym_fixed] = ACTIONS(3603),
    [anon_sym_internal] = ACTIONS(3603),
    [anon_sym_new] = ACTIONS(3603),
    [anon_sym_override] = ACTIONS(3603),
    [anon_sym_partial] = ACTIONS(3603),
    [anon_sym_private] = ACTIONS(3603),
    [anon_sym_protected] = ACTIONS(3603),
    [anon_sym_public] = ACTIONS(3603),
    [anon_sym_readonly] = ACTIONS(3603),
    [anon_sym_required] = ACTIONS(3603),
    [anon_sym_sealed] = ACTIONS(3603),
    [anon_sym_virtual] = ACTIONS(3603),
    [anon_sym_volatile] = ACTIONS(3603),
    [anon_sym_where] = ACTIONS(3603),
    [anon_sym_notnull] = ACTIONS(3603),
    [anon_sym_unmanaged] = ACTIONS(3603),
    [anon_sym_checked] = ACTIONS(3603),
    [anon_sym_BANG] = ACTIONS(3605),
    [anon_sym_TILDE] = ACTIONS(3605),
    [anon_sym_PLUS_PLUS] = ACTIONS(3605),
    [anon_sym_DASH_DASH] = ACTIONS(3605),
    [anon_sym_true] = ACTIONS(3603),
    [anon_sym_false] = ACTIONS(3603),
    [anon_sym_PLUS] = ACTIONS(3603),
    [anon_sym_DASH] = ACTIONS(3603),
    [anon_sym_STAR] = ACTIONS(3605),
    [anon_sym_CARET] = ACTIONS(3605),
    [anon_sym_AMP] = ACTIONS(3605),
    [anon_sym_this] = ACTIONS(3603),
    [anon_sym_scoped] = ACTIONS(3603),
    [anon_sym_base] = ACTIONS(3603),
    [anon_sym_var] = ACTIONS(3603),
    [sym_predefined_type] = ACTIONS(3603),
    [anon_sym_break] = ACTIONS(3603),
    [anon_sym_unchecked] = ACTIONS(3603),
    [anon_sym_continue] = ACTIONS(3603),
    [anon_sym_do] = ACTIONS(3603),
    [anon_sym_while] = ACTIONS(3603),
    [anon_sym_for] = ACTIONS(3603),
    [anon_sym_lock] = ACTIONS(3603),
    [anon_sym_yield] = ACTIONS(3603),
    [anon_sym_switch] = ACTIONS(3603),
    [anon_sym_default] = ACTIONS(3603),
    [anon_sym_throw] = ACTIONS(3603),
    [anon_sym_try] = ACTIONS(3603),
    [anon_sym_when] = ACTIONS(3603),
    [anon_sym_await] = ACTIONS(3603),
    [anon_sym_foreach] = ACTIONS(3603),
    [anon_sym_goto] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(3603),
    [anon_sym_DOT_DOT] = ACTIONS(3605),
    [anon_sym_from] = ACTIONS(3603),
    [anon_sym_into] = ACTIONS(3603),
    [anon_sym_join] = ACTIONS(3603),
    [anon_sym_on] = ACTIONS(3603),
    [anon_sym_equals] = ACTIONS(3603),
    [anon_sym_let] = ACTIONS(3603),
    [anon_sym_orderby] = ACTIONS(3603),
    [anon_sym_ascending] = ACTIONS(3603),
    [anon_sym_descending] = ACTIONS(3603),
    [anon_sym_group] = ACTIONS(3603),
    [anon_sym_by] = ACTIONS(3603),
    [anon_sym_select] = ACTIONS(3603),
    [anon_sym_DQUOTE] = ACTIONS(3605),
    [anon_sym_stackalloc] = ACTIONS(3603),
    [anon_sym_sizeof] = ACTIONS(3603),
    [anon_sym_typeof] = ACTIONS(3603),
    [anon_sym___makeref] = ACTIONS(3603),
    [anon_sym___reftype] = ACTIONS(3603),
    [anon_sym___refvalue] = ACTIONS(3603),
    [sym_null_literal] = ACTIONS(3603),
    [anon_sym_SQUOTE] = ACTIONS(3605),
    [sym_integer_literal] = ACTIONS(3603),
    [sym_real_literal] = ACTIONS(3605),
    [sym_verbatim_string_literal] = ACTIONS(3605),
    [aux_sym_preproc_if_token1] = ACTIONS(3605),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3605),
    [sym_interpolation_verbatim_start] = ACTIONS(3605),
    [sym_interpolation_raw_start] = ACTIONS(3605),
    [sym_raw_string_start] = ACTIONS(3605),
  },
  [2522] = {
    [sym_preproc_region] = STATE(2522),
    [sym_preproc_endregion] = STATE(2522),
    [sym_preproc_line] = STATE(2522),
    [sym_preproc_pragma] = STATE(2522),
    [sym_preproc_nullable] = STATE(2522),
    [sym_preproc_error] = STATE(2522),
    [sym_preproc_define] = STATE(2522),
    [sym_preproc_undef] = STATE(2522),
    [ts_builtin_sym_end] = ACTIONS(3481),
    [sym__identifier_token] = ACTIONS(3479),
    [anon_sym_extern] = ACTIONS(3479),
    [anon_sym_alias] = ACTIONS(3479),
    [anon_sym_SEMI] = ACTIONS(3481),
    [anon_sym_global] = ACTIONS(3479),
    [anon_sym_using] = ACTIONS(3479),
    [anon_sym_unsafe] = ACTIONS(3479),
    [anon_sym_static] = ACTIONS(3479),
    [anon_sym_LBRACK] = ACTIONS(3481),
    [anon_sym_LPAREN] = ACTIONS(3481),
    [anon_sym_return] = ACTIONS(3479),
    [anon_sym_namespace] = ACTIONS(3479),
    [anon_sym_class] = ACTIONS(3479),
    [anon_sym_ref] = ACTIONS(3479),
    [anon_sym_struct] = ACTIONS(3479),
    [anon_sym_enum] = ACTIONS(3479),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_interface] = ACTIONS(3479),
    [anon_sym_delegate] = ACTIONS(3479),
    [anon_sym_record] = ACTIONS(3479),
    [anon_sym_abstract] = ACTIONS(3479),
    [anon_sym_async] = ACTIONS(3479),
    [anon_sym_const] = ACTIONS(3479),
    [anon_sym_file] = ACTIONS(3479),
    [anon_sym_fixed] = ACTIONS(3479),
    [anon_sym_internal] = ACTIONS(3479),
    [anon_sym_new] = ACTIONS(3479),
    [anon_sym_override] = ACTIONS(3479),
    [anon_sym_partial] = ACTIONS(3479),
    [anon_sym_private] = ACTIONS(3479),
    [anon_sym_protected] = ACTIONS(3479),
    [anon_sym_public] = ACTIONS(3479),
    [anon_sym_readonly] = ACTIONS(3479),
    [anon_sym_required] = ACTIONS(3479),
    [anon_sym_sealed] = ACTIONS(3479),
    [anon_sym_virtual] = ACTIONS(3479),
    [anon_sym_volatile] = ACTIONS(3479),
    [anon_sym_where] = ACTIONS(3479),
    [anon_sym_notnull] = ACTIONS(3479),
    [anon_sym_unmanaged] = ACTIONS(3479),
    [anon_sym_checked] = ACTIONS(3479),
    [anon_sym_BANG] = ACTIONS(3481),
    [anon_sym_TILDE] = ACTIONS(3481),
    [anon_sym_PLUS_PLUS] = ACTIONS(3481),
    [anon_sym_DASH_DASH] = ACTIONS(3481),
    [anon_sym_true] = ACTIONS(3479),
    [anon_sym_false] = ACTIONS(3479),
    [anon_sym_PLUS] = ACTIONS(3479),
    [anon_sym_DASH] = ACTIONS(3479),
    [anon_sym_STAR] = ACTIONS(3481),
    [anon_sym_CARET] = ACTIONS(3481),
    [anon_sym_AMP] = ACTIONS(3481),
    [anon_sym_this] = ACTIONS(3479),
    [anon_sym_scoped] = ACTIONS(3479),
    [anon_sym_base] = ACTIONS(3479),
    [anon_sym_var] = ACTIONS(3479),
    [sym_predefined_type] = ACTIONS(3479),
    [anon_sym_break] = ACTIONS(3479),
    [anon_sym_unchecked] = ACTIONS(3479),
    [anon_sym_continue] = ACTIONS(3479),
    [anon_sym_do] = ACTIONS(3479),
    [anon_sym_while] = ACTIONS(3479),
    [anon_sym_for] = ACTIONS(3479),
    [anon_sym_lock] = ACTIONS(3479),
    [anon_sym_yield] = ACTIONS(3479),
    [anon_sym_switch] = ACTIONS(3479),
    [anon_sym_default] = ACTIONS(3479),
    [anon_sym_throw] = ACTIONS(3479),
    [anon_sym_try] = ACTIONS(3479),
    [anon_sym_when] = ACTIONS(3479),
    [anon_sym_await] = ACTIONS(3479),
    [anon_sym_foreach] = ACTIONS(3479),
    [anon_sym_goto] = ACTIONS(3479),
    [anon_sym_if] = ACTIONS(3479),
    [anon_sym_DOT_DOT] = ACTIONS(3481),
    [anon_sym_from] = ACTIONS(3479),
    [anon_sym_into] = ACTIONS(3479),
    [anon_sym_join] = ACTIONS(3479),
    [anon_sym_on] = ACTIONS(3479),
    [anon_sym_equals] = ACTIONS(3479),
    [anon_sym_let] = ACTIONS(3479),
    [anon_sym_orderby] = ACTIONS(3479),
    [anon_sym_ascending] = ACTIONS(3479),
    [anon_sym_descending] = ACTIONS(3479),
    [anon_sym_group] = ACTIONS(3479),
    [anon_sym_by] = ACTIONS(3479),
    [anon_sym_select] = ACTIONS(3479),
    [anon_sym_DQUOTE] = ACTIONS(3481),
    [anon_sym_stackalloc] = ACTIONS(3479),
    [anon_sym_sizeof] = ACTIONS(3479),
    [anon_sym_typeof] = ACTIONS(3479),
    [anon_sym___makeref] = ACTIONS(3479),
    [anon_sym___reftype] = ACTIONS(3479),
    [anon_sym___refvalue] = ACTIONS(3479),
    [sym_null_literal] = ACTIONS(3479),
    [anon_sym_SQUOTE] = ACTIONS(3481),
    [sym_integer_literal] = ACTIONS(3479),
    [sym_real_literal] = ACTIONS(3481),
    [sym_verbatim_string_literal] = ACTIONS(3481),
    [aux_sym_preproc_if_token1] = ACTIONS(3481),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3481),
    [sym_interpolation_verbatim_start] = ACTIONS(3481),
    [sym_interpolation_raw_start] = ACTIONS(3481),
    [sym_raw_string_start] = ACTIONS(3481),
  },
  [2523] = {
    [sym_preproc_region] = STATE(2523),
    [sym_preproc_endregion] = STATE(2523),
    [sym_preproc_line] = STATE(2523),
    [sym_preproc_pragma] = STATE(2523),
    [sym_preproc_nullable] = STATE(2523),
    [sym_preproc_error] = STATE(2523),
    [sym_preproc_define] = STATE(2523),
    [sym_preproc_undef] = STATE(2523),
    [ts_builtin_sym_end] = ACTIONS(3509),
    [sym__identifier_token] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym_alias] = ACTIONS(3507),
    [anon_sym_SEMI] = ACTIONS(3509),
    [anon_sym_global] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_unsafe] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3509),
    [anon_sym_LPAREN] = ACTIONS(3509),
    [anon_sym_return] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_ref] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_LBRACE] = ACTIONS(3509),
    [anon_sym_interface] = ACTIONS(3507),
    [anon_sym_delegate] = ACTIONS(3507),
    [anon_sym_record] = ACTIONS(3507),
    [anon_sym_abstract] = ACTIONS(3507),
    [anon_sym_async] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_file] = ACTIONS(3507),
    [anon_sym_fixed] = ACTIONS(3507),
    [anon_sym_internal] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_override] = ACTIONS(3507),
    [anon_sym_partial] = ACTIONS(3507),
    [anon_sym_private] = ACTIONS(3507),
    [anon_sym_protected] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3507),
    [anon_sym_readonly] = ACTIONS(3507),
    [anon_sym_required] = ACTIONS(3507),
    [anon_sym_sealed] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_where] = ACTIONS(3507),
    [anon_sym_notnull] = ACTIONS(3507),
    [anon_sym_unmanaged] = ACTIONS(3507),
    [anon_sym_checked] = ACTIONS(3507),
    [anon_sym_BANG] = ACTIONS(3509),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_PLUS_PLUS] = ACTIONS(3509),
    [anon_sym_DASH_DASH] = ACTIONS(3509),
    [anon_sym_true] = ACTIONS(3507),
    [anon_sym_false] = ACTIONS(3507),
    [anon_sym_PLUS] = ACTIONS(3507),
    [anon_sym_DASH] = ACTIONS(3507),
    [anon_sym_STAR] = ACTIONS(3509),
    [anon_sym_CARET] = ACTIONS(3509),
    [anon_sym_AMP] = ACTIONS(3509),
    [anon_sym_this] = ACTIONS(3507),
    [anon_sym_scoped] = ACTIONS(3507),
    [anon_sym_base] = ACTIONS(3507),
    [anon_sym_var] = ACTIONS(3507),
    [sym_predefined_type] = ACTIONS(3507),
    [anon_sym_break] = ACTIONS(3507),
    [anon_sym_unchecked] = ACTIONS(3507),
    [anon_sym_continue] = ACTIONS(3507),
    [anon_sym_do] = ACTIONS(3507),
    [anon_sym_while] = ACTIONS(3507),
    [anon_sym_for] = ACTIONS(3507),
    [anon_sym_lock] = ACTIONS(3507),
    [anon_sym_yield] = ACTIONS(3507),
    [anon_sym_switch] = ACTIONS(3507),
    [anon_sym_default] = ACTIONS(3507),
    [anon_sym_throw] = ACTIONS(3507),
    [anon_sym_try] = ACTIONS(3507),
    [anon_sym_when] = ACTIONS(3507),
    [anon_sym_await] = ACTIONS(3507),
    [anon_sym_foreach] = ACTIONS(3507),
    [anon_sym_goto] = ACTIONS(3507),
    [anon_sym_if] = ACTIONS(3507),
    [anon_sym_DOT_DOT] = ACTIONS(3509),
    [anon_sym_from] = ACTIONS(3507),
    [anon_sym_into] = ACTIONS(3507),
    [anon_sym_join] = ACTIONS(3507),
    [anon_sym_on] = ACTIONS(3507),
    [anon_sym_equals] = ACTIONS(3507),
    [anon_sym_let] = ACTIONS(3507),
    [anon_sym_orderby] = ACTIONS(3507),
    [anon_sym_ascending] = ACTIONS(3507),
    [anon_sym_descending] = ACTIONS(3507),
    [anon_sym_group] = ACTIONS(3507),
    [anon_sym_by] = ACTIONS(3507),
    [anon_sym_select] = ACTIONS(3507),
    [anon_sym_DQUOTE] = ACTIONS(3509),
    [anon_sym_stackalloc] = ACTIONS(3507),
    [anon_sym_sizeof] = ACTIONS(3507),
    [anon_sym_typeof] = ACTIONS(3507),
    [anon_sym___makeref] = ACTIONS(3507),
    [anon_sym___reftype] = ACTIONS(3507),
    [anon_sym___refvalue] = ACTIONS(3507),
    [sym_null_literal] = ACTIONS(3507),
    [anon_sym_SQUOTE] = ACTIONS(3509),
    [sym_integer_literal] = ACTIONS(3507),
    [sym_real_literal] = ACTIONS(3509),
    [sym_verbatim_string_literal] = ACTIONS(3509),
    [aux_sym_preproc_if_token1] = ACTIONS(3509),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3509),
    [sym_interpolation_verbatim_start] = ACTIONS(3509),
    [sym_interpolation_raw_start] = ACTIONS(3509),
    [sym_raw_string_start] = ACTIONS(3509),
  },
  [2524] = {
    [sym_preproc_region] = STATE(2524),
    [sym_preproc_endregion] = STATE(2524),
    [sym_preproc_line] = STATE(2524),
    [sym_preproc_pragma] = STATE(2524),
    [sym_preproc_nullable] = STATE(2524),
    [sym_preproc_error] = STATE(2524),
    [sym_preproc_define] = STATE(2524),
    [sym_preproc_undef] = STATE(2524),
    [ts_builtin_sym_end] = ACTIONS(3851),
    [sym__identifier_token] = ACTIONS(3849),
    [anon_sym_extern] = ACTIONS(3849),
    [anon_sym_alias] = ACTIONS(3849),
    [anon_sym_SEMI] = ACTIONS(3851),
    [anon_sym_global] = ACTIONS(3849),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_unsafe] = ACTIONS(3849),
    [anon_sym_static] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_LPAREN] = ACTIONS(3851),
    [anon_sym_return] = ACTIONS(3849),
    [anon_sym_namespace] = ACTIONS(3849),
    [anon_sym_class] = ACTIONS(3849),
    [anon_sym_ref] = ACTIONS(3849),
    [anon_sym_struct] = ACTIONS(3849),
    [anon_sym_enum] = ACTIONS(3849),
    [anon_sym_LBRACE] = ACTIONS(3851),
    [anon_sym_interface] = ACTIONS(3849),
    [anon_sym_delegate] = ACTIONS(3849),
    [anon_sym_record] = ACTIONS(3849),
    [anon_sym_abstract] = ACTIONS(3849),
    [anon_sym_async] = ACTIONS(3849),
    [anon_sym_const] = ACTIONS(3849),
    [anon_sym_file] = ACTIONS(3849),
    [anon_sym_fixed] = ACTIONS(3849),
    [anon_sym_internal] = ACTIONS(3849),
    [anon_sym_new] = ACTIONS(3849),
    [anon_sym_override] = ACTIONS(3849),
    [anon_sym_partial] = ACTIONS(3849),
    [anon_sym_private] = ACTIONS(3849),
    [anon_sym_protected] = ACTIONS(3849),
    [anon_sym_public] = ACTIONS(3849),
    [anon_sym_readonly] = ACTIONS(3849),
    [anon_sym_required] = ACTIONS(3849),
    [anon_sym_sealed] = ACTIONS(3849),
    [anon_sym_virtual] = ACTIONS(3849),
    [anon_sym_volatile] = ACTIONS(3849),
    [anon_sym_where] = ACTIONS(3849),
    [anon_sym_notnull] = ACTIONS(3849),
    [anon_sym_unmanaged] = ACTIONS(3849),
    [anon_sym_checked] = ACTIONS(3849),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_PLUS_PLUS] = ACTIONS(3851),
    [anon_sym_DASH_DASH] = ACTIONS(3851),
    [anon_sym_true] = ACTIONS(3849),
    [anon_sym_false] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(3851),
    [anon_sym_CARET] = ACTIONS(3851),
    [anon_sym_AMP] = ACTIONS(3851),
    [anon_sym_this] = ACTIONS(3849),
    [anon_sym_scoped] = ACTIONS(3849),
    [anon_sym_base] = ACTIONS(3849),
    [anon_sym_var] = ACTIONS(3849),
    [sym_predefined_type] = ACTIONS(3849),
    [anon_sym_break] = ACTIONS(3849),
    [anon_sym_unchecked] = ACTIONS(3849),
    [anon_sym_continue] = ACTIONS(3849),
    [anon_sym_do] = ACTIONS(3849),
    [anon_sym_while] = ACTIONS(3849),
    [anon_sym_for] = ACTIONS(3849),
    [anon_sym_lock] = ACTIONS(3849),
    [anon_sym_yield] = ACTIONS(3849),
    [anon_sym_switch] = ACTIONS(3849),
    [anon_sym_default] = ACTIONS(3849),
    [anon_sym_throw] = ACTIONS(3849),
    [anon_sym_try] = ACTIONS(3849),
    [anon_sym_when] = ACTIONS(3849),
    [anon_sym_await] = ACTIONS(3849),
    [anon_sym_foreach] = ACTIONS(3849),
    [anon_sym_goto] = ACTIONS(3849),
    [anon_sym_if] = ACTIONS(3849),
    [anon_sym_DOT_DOT] = ACTIONS(3851),
    [anon_sym_from] = ACTIONS(3849),
    [anon_sym_into] = ACTIONS(3849),
    [anon_sym_join] = ACTIONS(3849),
    [anon_sym_on] = ACTIONS(3849),
    [anon_sym_equals] = ACTIONS(3849),
    [anon_sym_let] = ACTIONS(3849),
    [anon_sym_orderby] = ACTIONS(3849),
    [anon_sym_ascending] = ACTIONS(3849),
    [anon_sym_descending] = ACTIONS(3849),
    [anon_sym_group] = ACTIONS(3849),
    [anon_sym_by] = ACTIONS(3849),
    [anon_sym_select] = ACTIONS(3849),
    [anon_sym_DQUOTE] = ACTIONS(3851),
    [anon_sym_stackalloc] = ACTIONS(3849),
    [anon_sym_sizeof] = ACTIONS(3849),
    [anon_sym_typeof] = ACTIONS(3849),
    [anon_sym___makeref] = ACTIONS(3849),
    [anon_sym___reftype] = ACTIONS(3849),
    [anon_sym___refvalue] = ACTIONS(3849),
    [sym_null_literal] = ACTIONS(3849),
    [anon_sym_SQUOTE] = ACTIONS(3851),
    [sym_integer_literal] = ACTIONS(3849),
    [sym_real_literal] = ACTIONS(3851),
    [sym_verbatim_string_literal] = ACTIONS(3851),
    [aux_sym_preproc_if_token1] = ACTIONS(3851),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3851),
    [sym_interpolation_verbatim_start] = ACTIONS(3851),
    [sym_interpolation_raw_start] = ACTIONS(3851),
    [sym_raw_string_start] = ACTIONS(3851),
  },
  [2525] = {
    [sym_preproc_region] = STATE(2525),
    [sym_preproc_endregion] = STATE(2525),
    [sym_preproc_line] = STATE(2525),
    [sym_preproc_pragma] = STATE(2525),
    [sym_preproc_nullable] = STATE(2525),
    [sym_preproc_error] = STATE(2525),
    [sym_preproc_define] = STATE(2525),
    [sym_preproc_undef] = STATE(2525),
    [ts_builtin_sym_end] = ACTIONS(3425),
    [sym__identifier_token] = ACTIONS(3423),
    [anon_sym_extern] = ACTIONS(3423),
    [anon_sym_alias] = ACTIONS(3423),
    [anon_sym_SEMI] = ACTIONS(3425),
    [anon_sym_global] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_unsafe] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_return] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_ref] = ACTIONS(3423),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_delegate] = ACTIONS(3423),
    [anon_sym_record] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_file] = ACTIONS(3423),
    [anon_sym_fixed] = ACTIONS(3423),
    [anon_sym_internal] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_partial] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_required] = ACTIONS(3423),
    [anon_sym_sealed] = ACTIONS(3423),
    [anon_sym_virtual] = ACTIONS(3423),
    [anon_sym_volatile] = ACTIONS(3423),
    [anon_sym_where] = ACTIONS(3423),
    [anon_sym_notnull] = ACTIONS(3423),
    [anon_sym_unmanaged] = ACTIONS(3423),
    [anon_sym_checked] = ACTIONS(3423),
    [anon_sym_BANG] = ACTIONS(3425),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_PLUS_PLUS] = ACTIONS(3425),
    [anon_sym_DASH_DASH] = ACTIONS(3425),
    [anon_sym_true] = ACTIONS(3423),
    [anon_sym_false] = ACTIONS(3423),
    [anon_sym_PLUS] = ACTIONS(3423),
    [anon_sym_DASH] = ACTIONS(3423),
    [anon_sym_STAR] = ACTIONS(3425),
    [anon_sym_CARET] = ACTIONS(3425),
    [anon_sym_AMP] = ACTIONS(3425),
    [anon_sym_this] = ACTIONS(3423),
    [anon_sym_scoped] = ACTIONS(3423),
    [anon_sym_base] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [sym_predefined_type] = ACTIONS(3423),
    [anon_sym_break] = ACTIONS(3423),
    [anon_sym_unchecked] = ACTIONS(3423),
    [anon_sym_continue] = ACTIONS(3423),
    [anon_sym_do] = ACTIONS(3423),
    [anon_sym_while] = ACTIONS(3423),
    [anon_sym_for] = ACTIONS(3423),
    [anon_sym_lock] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_switch] = ACTIONS(3423),
    [anon_sym_default] = ACTIONS(3423),
    [anon_sym_throw] = ACTIONS(3423),
    [anon_sym_try] = ACTIONS(3423),
    [anon_sym_when] = ACTIONS(3423),
    [anon_sym_await] = ACTIONS(3423),
    [anon_sym_foreach] = ACTIONS(3423),
    [anon_sym_goto] = ACTIONS(3423),
    [anon_sym_if] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3425),
    [anon_sym_from] = ACTIONS(3423),
    [anon_sym_into] = ACTIONS(3423),
    [anon_sym_join] = ACTIONS(3423),
    [anon_sym_on] = ACTIONS(3423),
    [anon_sym_equals] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_orderby] = ACTIONS(3423),
    [anon_sym_ascending] = ACTIONS(3423),
    [anon_sym_descending] = ACTIONS(3423),
    [anon_sym_group] = ACTIONS(3423),
    [anon_sym_by] = ACTIONS(3423),
    [anon_sym_select] = ACTIONS(3423),
    [anon_sym_DQUOTE] = ACTIONS(3425),
    [anon_sym_stackalloc] = ACTIONS(3423),
    [anon_sym_sizeof] = ACTIONS(3423),
    [anon_sym_typeof] = ACTIONS(3423),
    [anon_sym___makeref] = ACTIONS(3423),
    [anon_sym___reftype] = ACTIONS(3423),
    [anon_sym___refvalue] = ACTIONS(3423),
    [sym_null_literal] = ACTIONS(3423),
    [anon_sym_SQUOTE] = ACTIONS(3425),
    [sym_integer_literal] = ACTIONS(3423),
    [sym_real_literal] = ACTIONS(3425),
    [sym_verbatim_string_literal] = ACTIONS(3425),
    [aux_sym_preproc_if_token1] = ACTIONS(3425),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3425),
    [sym_interpolation_verbatim_start] = ACTIONS(3425),
    [sym_interpolation_raw_start] = ACTIONS(3425),
    [sym_raw_string_start] = ACTIONS(3425),
  },
  [2526] = {
    [sym_preproc_region] = STATE(2526),
    [sym_preproc_endregion] = STATE(2526),
    [sym_preproc_line] = STATE(2526),
    [sym_preproc_pragma] = STATE(2526),
    [sym_preproc_nullable] = STATE(2526),
    [sym_preproc_error] = STATE(2526),
    [sym_preproc_define] = STATE(2526),
    [sym_preproc_undef] = STATE(2526),
    [ts_builtin_sym_end] = ACTIONS(3429),
    [sym__identifier_token] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym_alias] = ACTIONS(3427),
    [anon_sym_SEMI] = ACTIONS(3429),
    [anon_sym_global] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_unsafe] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_return] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_ref] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_LBRACE] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_delegate] = ACTIONS(3427),
    [anon_sym_record] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_file] = ACTIONS(3427),
    [anon_sym_fixed] = ACTIONS(3427),
    [anon_sym_internal] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_partial] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_required] = ACTIONS(3427),
    [anon_sym_sealed] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_where] = ACTIONS(3427),
    [anon_sym_notnull] = ACTIONS(3427),
    [anon_sym_unmanaged] = ACTIONS(3427),
    [anon_sym_checked] = ACTIONS(3427),
    [anon_sym_BANG] = ACTIONS(3429),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_PLUS_PLUS] = ACTIONS(3429),
    [anon_sym_DASH_DASH] = ACTIONS(3429),
    [anon_sym_true] = ACTIONS(3427),
    [anon_sym_false] = ACTIONS(3427),
    [anon_sym_PLUS] = ACTIONS(3427),
    [anon_sym_DASH] = ACTIONS(3427),
    [anon_sym_STAR] = ACTIONS(3429),
    [anon_sym_CARET] = ACTIONS(3429),
    [anon_sym_AMP] = ACTIONS(3429),
    [anon_sym_this] = ACTIONS(3427),
    [anon_sym_scoped] = ACTIONS(3427),
    [anon_sym_base] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [sym_predefined_type] = ACTIONS(3427),
    [anon_sym_break] = ACTIONS(3427),
    [anon_sym_unchecked] = ACTIONS(3427),
    [anon_sym_continue] = ACTIONS(3427),
    [anon_sym_do] = ACTIONS(3427),
    [anon_sym_while] = ACTIONS(3427),
    [anon_sym_for] = ACTIONS(3427),
    [anon_sym_lock] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_switch] = ACTIONS(3427),
    [anon_sym_default] = ACTIONS(3427),
    [anon_sym_throw] = ACTIONS(3427),
    [anon_sym_try] = ACTIONS(3427),
    [anon_sym_when] = ACTIONS(3427),
    [anon_sym_await] = ACTIONS(3427),
    [anon_sym_foreach] = ACTIONS(3427),
    [anon_sym_goto] = ACTIONS(3427),
    [anon_sym_if] = ACTIONS(3427),
    [anon_sym_DOT_DOT] = ACTIONS(3429),
    [anon_sym_from] = ACTIONS(3427),
    [anon_sym_into] = ACTIONS(3427),
    [anon_sym_join] = ACTIONS(3427),
    [anon_sym_on] = ACTIONS(3427),
    [anon_sym_equals] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_orderby] = ACTIONS(3427),
    [anon_sym_ascending] = ACTIONS(3427),
    [anon_sym_descending] = ACTIONS(3427),
    [anon_sym_group] = ACTIONS(3427),
    [anon_sym_by] = ACTIONS(3427),
    [anon_sym_select] = ACTIONS(3427),
    [anon_sym_DQUOTE] = ACTIONS(3429),
    [anon_sym_stackalloc] = ACTIONS(3427),
    [anon_sym_sizeof] = ACTIONS(3427),
    [anon_sym_typeof] = ACTIONS(3427),
    [anon_sym___makeref] = ACTIONS(3427),
    [anon_sym___reftype] = ACTIONS(3427),
    [anon_sym___refvalue] = ACTIONS(3427),
    [sym_null_literal] = ACTIONS(3427),
    [anon_sym_SQUOTE] = ACTIONS(3429),
    [sym_integer_literal] = ACTIONS(3427),
    [sym_real_literal] = ACTIONS(3429),
    [sym_verbatim_string_literal] = ACTIONS(3429),
    [aux_sym_preproc_if_token1] = ACTIONS(3429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3429),
    [sym_interpolation_verbatim_start] = ACTIONS(3429),
    [sym_interpolation_raw_start] = ACTIONS(3429),
    [sym_raw_string_start] = ACTIONS(3429),
  },
  [2527] = {
    [sym_preproc_region] = STATE(2527),
    [sym_preproc_endregion] = STATE(2527),
    [sym_preproc_line] = STATE(2527),
    [sym_preproc_pragma] = STATE(2527),
    [sym_preproc_nullable] = STATE(2527),
    [sym_preproc_error] = STATE(2527),
    [sym_preproc_define] = STATE(2527),
    [sym_preproc_undef] = STATE(2527),
    [ts_builtin_sym_end] = ACTIONS(3839),
    [sym__identifier_token] = ACTIONS(3837),
    [anon_sym_extern] = ACTIONS(3837),
    [anon_sym_alias] = ACTIONS(3837),
    [anon_sym_SEMI] = ACTIONS(3839),
    [anon_sym_global] = ACTIONS(3837),
    [anon_sym_using] = ACTIONS(3837),
    [anon_sym_unsafe] = ACTIONS(3837),
    [anon_sym_static] = ACTIONS(3837),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_LPAREN] = ACTIONS(3839),
    [anon_sym_return] = ACTIONS(3837),
    [anon_sym_namespace] = ACTIONS(3837),
    [anon_sym_class] = ACTIONS(3837),
    [anon_sym_ref] = ACTIONS(3837),
    [anon_sym_struct] = ACTIONS(3837),
    [anon_sym_enum] = ACTIONS(3837),
    [anon_sym_LBRACE] = ACTIONS(3839),
    [anon_sym_interface] = ACTIONS(3837),
    [anon_sym_delegate] = ACTIONS(3837),
    [anon_sym_record] = ACTIONS(3837),
    [anon_sym_abstract] = ACTIONS(3837),
    [anon_sym_async] = ACTIONS(3837),
    [anon_sym_const] = ACTIONS(3837),
    [anon_sym_file] = ACTIONS(3837),
    [anon_sym_fixed] = ACTIONS(3837),
    [anon_sym_internal] = ACTIONS(3837),
    [anon_sym_new] = ACTIONS(3837),
    [anon_sym_override] = ACTIONS(3837),
    [anon_sym_partial] = ACTIONS(3837),
    [anon_sym_private] = ACTIONS(3837),
    [anon_sym_protected] = ACTIONS(3837),
    [anon_sym_public] = ACTIONS(3837),
    [anon_sym_readonly] = ACTIONS(3837),
    [anon_sym_required] = ACTIONS(3837),
    [anon_sym_sealed] = ACTIONS(3837),
    [anon_sym_virtual] = ACTIONS(3837),
    [anon_sym_volatile] = ACTIONS(3837),
    [anon_sym_where] = ACTIONS(3837),
    [anon_sym_notnull] = ACTIONS(3837),
    [anon_sym_unmanaged] = ACTIONS(3837),
    [anon_sym_checked] = ACTIONS(3837),
    [anon_sym_BANG] = ACTIONS(3839),
    [anon_sym_TILDE] = ACTIONS(3839),
    [anon_sym_PLUS_PLUS] = ACTIONS(3839),
    [anon_sym_DASH_DASH] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(3837),
    [anon_sym_false] = ACTIONS(3837),
    [anon_sym_PLUS] = ACTIONS(3837),
    [anon_sym_DASH] = ACTIONS(3837),
    [anon_sym_STAR] = ACTIONS(3839),
    [anon_sym_CARET] = ACTIONS(3839),
    [anon_sym_AMP] = ACTIONS(3839),
    [anon_sym_this] = ACTIONS(3837),
    [anon_sym_scoped] = ACTIONS(3837),
    [anon_sym_base] = ACTIONS(3837),
    [anon_sym_var] = ACTIONS(3837),
    [sym_predefined_type] = ACTIONS(3837),
    [anon_sym_break] = ACTIONS(3837),
    [anon_sym_unchecked] = ACTIONS(3837),
    [anon_sym_continue] = ACTIONS(3837),
    [anon_sym_do] = ACTIONS(3837),
    [anon_sym_while] = ACTIONS(3837),
    [anon_sym_for] = ACTIONS(3837),
    [anon_sym_lock] = ACTIONS(3837),
    [anon_sym_yield] = ACTIONS(3837),
    [anon_sym_switch] = ACTIONS(3837),
    [anon_sym_default] = ACTIONS(3837),
    [anon_sym_throw] = ACTIONS(3837),
    [anon_sym_try] = ACTIONS(3837),
    [anon_sym_when] = ACTIONS(3837),
    [anon_sym_await] = ACTIONS(3837),
    [anon_sym_foreach] = ACTIONS(3837),
    [anon_sym_goto] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(3837),
    [anon_sym_DOT_DOT] = ACTIONS(3839),
    [anon_sym_from] = ACTIONS(3837),
    [anon_sym_into] = ACTIONS(3837),
    [anon_sym_join] = ACTIONS(3837),
    [anon_sym_on] = ACTIONS(3837),
    [anon_sym_equals] = ACTIONS(3837),
    [anon_sym_let] = ACTIONS(3837),
    [anon_sym_orderby] = ACTIONS(3837),
    [anon_sym_ascending] = ACTIONS(3837),
    [anon_sym_descending] = ACTIONS(3837),
    [anon_sym_group] = ACTIONS(3837),
    [anon_sym_by] = ACTIONS(3837),
    [anon_sym_select] = ACTIONS(3837),
    [anon_sym_DQUOTE] = ACTIONS(3839),
    [anon_sym_stackalloc] = ACTIONS(3837),
    [anon_sym_sizeof] = ACTIONS(3837),
    [anon_sym_typeof] = ACTIONS(3837),
    [anon_sym___makeref] = ACTIONS(3837),
    [anon_sym___reftype] = ACTIONS(3837),
    [anon_sym___refvalue] = ACTIONS(3837),
    [sym_null_literal] = ACTIONS(3837),
    [anon_sym_SQUOTE] = ACTIONS(3839),
    [sym_integer_literal] = ACTIONS(3837),
    [sym_real_literal] = ACTIONS(3839),
    [sym_verbatim_string_literal] = ACTIONS(3839),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3839),
    [sym_interpolation_verbatim_start] = ACTIONS(3839),
    [sym_interpolation_raw_start] = ACTIONS(3839),
    [sym_raw_string_start] = ACTIONS(3839),
  },
  [2528] = {
    [sym_preproc_region] = STATE(2528),
    [sym_preproc_endregion] = STATE(2528),
    [sym_preproc_line] = STATE(2528),
    [sym_preproc_pragma] = STATE(2528),
    [sym_preproc_nullable] = STATE(2528),
    [sym_preproc_error] = STATE(2528),
    [sym_preproc_define] = STATE(2528),
    [sym_preproc_undef] = STATE(2528),
    [ts_builtin_sym_end] = ACTIONS(3441),
    [sym__identifier_token] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym_alias] = ACTIONS(3439),
    [anon_sym_SEMI] = ACTIONS(3441),
    [anon_sym_global] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_unsafe] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_return] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_ref] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_LBRACE] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3439),
    [anon_sym_delegate] = ACTIONS(3439),
    [anon_sym_record] = ACTIONS(3439),
    [anon_sym_abstract] = ACTIONS(3439),
    [anon_sym_async] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_file] = ACTIONS(3439),
    [anon_sym_fixed] = ACTIONS(3439),
    [anon_sym_internal] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_override] = ACTIONS(3439),
    [anon_sym_partial] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_readonly] = ACTIONS(3439),
    [anon_sym_required] = ACTIONS(3439),
    [anon_sym_sealed] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_where] = ACTIONS(3439),
    [anon_sym_notnull] = ACTIONS(3439),
    [anon_sym_unmanaged] = ACTIONS(3439),
    [anon_sym_checked] = ACTIONS(3439),
    [anon_sym_BANG] = ACTIONS(3441),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_PLUS_PLUS] = ACTIONS(3441),
    [anon_sym_DASH_DASH] = ACTIONS(3441),
    [anon_sym_true] = ACTIONS(3439),
    [anon_sym_false] = ACTIONS(3439),
    [anon_sym_PLUS] = ACTIONS(3439),
    [anon_sym_DASH] = ACTIONS(3439),
    [anon_sym_STAR] = ACTIONS(3441),
    [anon_sym_CARET] = ACTIONS(3441),
    [anon_sym_AMP] = ACTIONS(3441),
    [anon_sym_this] = ACTIONS(3439),
    [anon_sym_scoped] = ACTIONS(3439),
    [anon_sym_base] = ACTIONS(3439),
    [anon_sym_var] = ACTIONS(3439),
    [sym_predefined_type] = ACTIONS(3439),
    [anon_sym_break] = ACTIONS(3439),
    [anon_sym_unchecked] = ACTIONS(3439),
    [anon_sym_continue] = ACTIONS(3439),
    [anon_sym_do] = ACTIONS(3439),
    [anon_sym_while] = ACTIONS(3439),
    [anon_sym_for] = ACTIONS(3439),
    [anon_sym_lock] = ACTIONS(3439),
    [anon_sym_yield] = ACTIONS(3439),
    [anon_sym_switch] = ACTIONS(3439),
    [anon_sym_default] = ACTIONS(3439),
    [anon_sym_throw] = ACTIONS(3439),
    [anon_sym_try] = ACTIONS(3439),
    [anon_sym_when] = ACTIONS(3439),
    [anon_sym_await] = ACTIONS(3439),
    [anon_sym_foreach] = ACTIONS(3439),
    [anon_sym_goto] = ACTIONS(3439),
    [anon_sym_if] = ACTIONS(3439),
    [anon_sym_DOT_DOT] = ACTIONS(3441),
    [anon_sym_from] = ACTIONS(3439),
    [anon_sym_into] = ACTIONS(3439),
    [anon_sym_join] = ACTIONS(3439),
    [anon_sym_on] = ACTIONS(3439),
    [anon_sym_equals] = ACTIONS(3439),
    [anon_sym_let] = ACTIONS(3439),
    [anon_sym_orderby] = ACTIONS(3439),
    [anon_sym_ascending] = ACTIONS(3439),
    [anon_sym_descending] = ACTIONS(3439),
    [anon_sym_group] = ACTIONS(3439),
    [anon_sym_by] = ACTIONS(3439),
    [anon_sym_select] = ACTIONS(3439),
    [anon_sym_DQUOTE] = ACTIONS(3441),
    [anon_sym_stackalloc] = ACTIONS(3439),
    [anon_sym_sizeof] = ACTIONS(3439),
    [anon_sym_typeof] = ACTIONS(3439),
    [anon_sym___makeref] = ACTIONS(3439),
    [anon_sym___reftype] = ACTIONS(3439),
    [anon_sym___refvalue] = ACTIONS(3439),
    [sym_null_literal] = ACTIONS(3439),
    [anon_sym_SQUOTE] = ACTIONS(3441),
    [sym_integer_literal] = ACTIONS(3439),
    [sym_real_literal] = ACTIONS(3441),
    [sym_verbatim_string_literal] = ACTIONS(3441),
    [aux_sym_preproc_if_token1] = ACTIONS(3441),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3441),
    [sym_interpolation_verbatim_start] = ACTIONS(3441),
    [sym_interpolation_raw_start] = ACTIONS(3441),
    [sym_raw_string_start] = ACTIONS(3441),
  },
  [2529] = {
    [sym_preproc_region] = STATE(2529),
    [sym_preproc_endregion] = STATE(2529),
    [sym_preproc_line] = STATE(2529),
    [sym_preproc_pragma] = STATE(2529),
    [sym_preproc_nullable] = STATE(2529),
    [sym_preproc_error] = STATE(2529),
    [sym_preproc_define] = STATE(2529),
    [sym_preproc_undef] = STATE(2529),
    [ts_builtin_sym_end] = ACTIONS(3517),
    [sym__identifier_token] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym_alias] = ACTIONS(3515),
    [anon_sym_SEMI] = ACTIONS(3517),
    [anon_sym_global] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_unsafe] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3517),
    [anon_sym_LPAREN] = ACTIONS(3517),
    [anon_sym_return] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_ref] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_LBRACE] = ACTIONS(3517),
    [anon_sym_interface] = ACTIONS(3515),
    [anon_sym_delegate] = ACTIONS(3515),
    [anon_sym_record] = ACTIONS(3515),
    [anon_sym_abstract] = ACTIONS(3515),
    [anon_sym_async] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_file] = ACTIONS(3515),
    [anon_sym_fixed] = ACTIONS(3515),
    [anon_sym_internal] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_override] = ACTIONS(3515),
    [anon_sym_partial] = ACTIONS(3515),
    [anon_sym_private] = ACTIONS(3515),
    [anon_sym_protected] = ACTIONS(3515),
    [anon_sym_public] = ACTIONS(3515),
    [anon_sym_readonly] = ACTIONS(3515),
    [anon_sym_required] = ACTIONS(3515),
    [anon_sym_sealed] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_where] = ACTIONS(3515),
    [anon_sym_notnull] = ACTIONS(3515),
    [anon_sym_unmanaged] = ACTIONS(3515),
    [anon_sym_checked] = ACTIONS(3515),
    [anon_sym_BANG] = ACTIONS(3517),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_PLUS_PLUS] = ACTIONS(3517),
    [anon_sym_DASH_DASH] = ACTIONS(3517),
    [anon_sym_true] = ACTIONS(3515),
    [anon_sym_false] = ACTIONS(3515),
    [anon_sym_PLUS] = ACTIONS(3515),
    [anon_sym_DASH] = ACTIONS(3515),
    [anon_sym_STAR] = ACTIONS(3517),
    [anon_sym_CARET] = ACTIONS(3517),
    [anon_sym_AMP] = ACTIONS(3517),
    [anon_sym_this] = ACTIONS(3515),
    [anon_sym_scoped] = ACTIONS(3515),
    [anon_sym_base] = ACTIONS(3515),
    [anon_sym_var] = ACTIONS(3515),
    [sym_predefined_type] = ACTIONS(3515),
    [anon_sym_break] = ACTIONS(3515),
    [anon_sym_unchecked] = ACTIONS(3515),
    [anon_sym_continue] = ACTIONS(3515),
    [anon_sym_do] = ACTIONS(3515),
    [anon_sym_while] = ACTIONS(3515),
    [anon_sym_for] = ACTIONS(3515),
    [anon_sym_lock] = ACTIONS(3515),
    [anon_sym_yield] = ACTIONS(3515),
    [anon_sym_switch] = ACTIONS(3515),
    [anon_sym_default] = ACTIONS(3515),
    [anon_sym_throw] = ACTIONS(3515),
    [anon_sym_try] = ACTIONS(3515),
    [anon_sym_when] = ACTIONS(3515),
    [anon_sym_await] = ACTIONS(3515),
    [anon_sym_foreach] = ACTIONS(3515),
    [anon_sym_goto] = ACTIONS(3515),
    [anon_sym_if] = ACTIONS(3515),
    [anon_sym_DOT_DOT] = ACTIONS(3517),
    [anon_sym_from] = ACTIONS(3515),
    [anon_sym_into] = ACTIONS(3515),
    [anon_sym_join] = ACTIONS(3515),
    [anon_sym_on] = ACTIONS(3515),
    [anon_sym_equals] = ACTIONS(3515),
    [anon_sym_let] = ACTIONS(3515),
    [anon_sym_orderby] = ACTIONS(3515),
    [anon_sym_ascending] = ACTIONS(3515),
    [anon_sym_descending] = ACTIONS(3515),
    [anon_sym_group] = ACTIONS(3515),
    [anon_sym_by] = ACTIONS(3515),
    [anon_sym_select] = ACTIONS(3515),
    [anon_sym_DQUOTE] = ACTIONS(3517),
    [anon_sym_stackalloc] = ACTIONS(3515),
    [anon_sym_sizeof] = ACTIONS(3515),
    [anon_sym_typeof] = ACTIONS(3515),
    [anon_sym___makeref] = ACTIONS(3515),
    [anon_sym___reftype] = ACTIONS(3515),
    [anon_sym___refvalue] = ACTIONS(3515),
    [sym_null_literal] = ACTIONS(3515),
    [anon_sym_SQUOTE] = ACTIONS(3517),
    [sym_integer_literal] = ACTIONS(3515),
    [sym_real_literal] = ACTIONS(3517),
    [sym_verbatim_string_literal] = ACTIONS(3517),
    [aux_sym_preproc_if_token1] = ACTIONS(3517),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3517),
    [sym_interpolation_verbatim_start] = ACTIONS(3517),
    [sym_interpolation_raw_start] = ACTIONS(3517),
    [sym_raw_string_start] = ACTIONS(3517),
  },
  [2530] = {
    [sym_preproc_region] = STATE(2530),
    [sym_preproc_endregion] = STATE(2530),
    [sym_preproc_line] = STATE(2530),
    [sym_preproc_pragma] = STATE(2530),
    [sym_preproc_nullable] = STATE(2530),
    [sym_preproc_error] = STATE(2530),
    [sym_preproc_define] = STATE(2530),
    [sym_preproc_undef] = STATE(2530),
    [ts_builtin_sym_end] = ACTIONS(4018),
    [sym__identifier_token] = ACTIONS(4020),
    [anon_sym_extern] = ACTIONS(4020),
    [anon_sym_alias] = ACTIONS(4020),
    [anon_sym_SEMI] = ACTIONS(4018),
    [anon_sym_global] = ACTIONS(4020),
    [anon_sym_using] = ACTIONS(4020),
    [anon_sym_unsafe] = ACTIONS(4020),
    [anon_sym_static] = ACTIONS(4020),
    [anon_sym_LBRACK] = ACTIONS(4018),
    [anon_sym_LPAREN] = ACTIONS(4018),
    [anon_sym_return] = ACTIONS(4020),
    [anon_sym_namespace] = ACTIONS(4020),
    [anon_sym_class] = ACTIONS(4020),
    [anon_sym_ref] = ACTIONS(4020),
    [anon_sym_struct] = ACTIONS(4020),
    [anon_sym_enum] = ACTIONS(4020),
    [anon_sym_LBRACE] = ACTIONS(4018),
    [anon_sym_interface] = ACTIONS(4020),
    [anon_sym_delegate] = ACTIONS(4020),
    [anon_sym_record] = ACTIONS(4020),
    [anon_sym_abstract] = ACTIONS(4020),
    [anon_sym_async] = ACTIONS(4020),
    [anon_sym_const] = ACTIONS(4020),
    [anon_sym_file] = ACTIONS(4020),
    [anon_sym_fixed] = ACTIONS(4020),
    [anon_sym_internal] = ACTIONS(4020),
    [anon_sym_new] = ACTIONS(4020),
    [anon_sym_override] = ACTIONS(4020),
    [anon_sym_partial] = ACTIONS(4020),
    [anon_sym_private] = ACTIONS(4020),
    [anon_sym_protected] = ACTIONS(4020),
    [anon_sym_public] = ACTIONS(4020),
    [anon_sym_readonly] = ACTIONS(4020),
    [anon_sym_required] = ACTIONS(4020),
    [anon_sym_sealed] = ACTIONS(4020),
    [anon_sym_virtual] = ACTIONS(4020),
    [anon_sym_volatile] = ACTIONS(4020),
    [anon_sym_where] = ACTIONS(4020),
    [anon_sym_notnull] = ACTIONS(4020),
    [anon_sym_unmanaged] = ACTIONS(4020),
    [anon_sym_checked] = ACTIONS(4020),
    [anon_sym_BANG] = ACTIONS(4018),
    [anon_sym_TILDE] = ACTIONS(4018),
    [anon_sym_PLUS_PLUS] = ACTIONS(4018),
    [anon_sym_DASH_DASH] = ACTIONS(4018),
    [anon_sym_true] = ACTIONS(4020),
    [anon_sym_false] = ACTIONS(4020),
    [anon_sym_PLUS] = ACTIONS(4020),
    [anon_sym_DASH] = ACTIONS(4020),
    [anon_sym_STAR] = ACTIONS(4018),
    [anon_sym_CARET] = ACTIONS(4018),
    [anon_sym_AMP] = ACTIONS(4018),
    [anon_sym_this] = ACTIONS(4020),
    [anon_sym_scoped] = ACTIONS(4020),
    [anon_sym_base] = ACTIONS(4020),
    [anon_sym_var] = ACTIONS(4020),
    [sym_predefined_type] = ACTIONS(4020),
    [anon_sym_break] = ACTIONS(4020),
    [anon_sym_unchecked] = ACTIONS(4020),
    [anon_sym_continue] = ACTIONS(4020),
    [anon_sym_do] = ACTIONS(4020),
    [anon_sym_while] = ACTIONS(4020),
    [anon_sym_for] = ACTIONS(4020),
    [anon_sym_lock] = ACTIONS(4020),
    [anon_sym_yield] = ACTIONS(4020),
    [anon_sym_switch] = ACTIONS(4020),
    [anon_sym_default] = ACTIONS(4020),
    [anon_sym_throw] = ACTIONS(4020),
    [anon_sym_try] = ACTIONS(4020),
    [anon_sym_when] = ACTIONS(4020),
    [anon_sym_await] = ACTIONS(4020),
    [anon_sym_foreach] = ACTIONS(4020),
    [anon_sym_goto] = ACTIONS(4020),
    [anon_sym_if] = ACTIONS(4020),
    [anon_sym_DOT_DOT] = ACTIONS(4018),
    [anon_sym_from] = ACTIONS(4020),
    [anon_sym_into] = ACTIONS(4020),
    [anon_sym_join] = ACTIONS(4020),
    [anon_sym_on] = ACTIONS(4020),
    [anon_sym_equals] = ACTIONS(4020),
    [anon_sym_let] = ACTIONS(4020),
    [anon_sym_orderby] = ACTIONS(4020),
    [anon_sym_ascending] = ACTIONS(4020),
    [anon_sym_descending] = ACTIONS(4020),
    [anon_sym_group] = ACTIONS(4020),
    [anon_sym_by] = ACTIONS(4020),
    [anon_sym_select] = ACTIONS(4020),
    [anon_sym_DQUOTE] = ACTIONS(4018),
    [anon_sym_stackalloc] = ACTIONS(4020),
    [anon_sym_sizeof] = ACTIONS(4020),
    [anon_sym_typeof] = ACTIONS(4020),
    [anon_sym___makeref] = ACTIONS(4020),
    [anon_sym___reftype] = ACTIONS(4020),
    [anon_sym___refvalue] = ACTIONS(4020),
    [sym_null_literal] = ACTIONS(4020),
    [anon_sym_SQUOTE] = ACTIONS(4018),
    [sym_integer_literal] = ACTIONS(4020),
    [sym_real_literal] = ACTIONS(4018),
    [sym_verbatim_string_literal] = ACTIONS(4018),
    [aux_sym_preproc_if_token1] = ACTIONS(4018),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(4018),
    [sym_interpolation_verbatim_start] = ACTIONS(4018),
    [sym_interpolation_raw_start] = ACTIONS(4018),
    [sym_raw_string_start] = ACTIONS(4018),
  },
  [2531] = {
    [sym_preproc_region] = STATE(2531),
    [sym_preproc_endregion] = STATE(2531),
    [sym_preproc_line] = STATE(2531),
    [sym_preproc_pragma] = STATE(2531),
    [sym_preproc_nullable] = STATE(2531),
    [sym_preproc_error] = STATE(2531),
    [sym_preproc_define] = STATE(2531),
    [sym_preproc_undef] = STATE(2531),
    [ts_builtin_sym_end] = ACTIONS(3843),
    [sym__identifier_token] = ACTIONS(3841),
    [anon_sym_extern] = ACTIONS(3841),
    [anon_sym_alias] = ACTIONS(3841),
    [anon_sym_SEMI] = ACTIONS(3843),
    [anon_sym_global] = ACTIONS(3841),
    [anon_sym_using] = ACTIONS(3841),
    [anon_sym_unsafe] = ACTIONS(3841),
    [anon_sym_static] = ACTIONS(3841),
    [anon_sym_LBRACK] = ACTIONS(3843),
    [anon_sym_LPAREN] = ACTIONS(3843),
    [anon_sym_return] = ACTIONS(3841),
    [anon_sym_namespace] = ACTIONS(3841),
    [anon_sym_class] = ACTIONS(3841),
    [anon_sym_ref] = ACTIONS(3841),
    [anon_sym_struct] = ACTIONS(3841),
    [anon_sym_enum] = ACTIONS(3841),
    [anon_sym_LBRACE] = ACTIONS(3843),
    [anon_sym_interface] = ACTIONS(3841),
    [anon_sym_delegate] = ACTIONS(3841),
    [anon_sym_record] = ACTIONS(3841),
    [anon_sym_abstract] = ACTIONS(3841),
    [anon_sym_async] = ACTIONS(3841),
    [anon_sym_const] = ACTIONS(3841),
    [anon_sym_file] = ACTIONS(3841),
    [anon_sym_fixed] = ACTIONS(3841),
    [anon_sym_internal] = ACTIONS(3841),
    [anon_sym_new] = ACTIONS(3841),
    [anon_sym_override] = ACTIONS(3841),
    [anon_sym_partial] = ACTIONS(3841),
    [anon_sym_private] = ACTIONS(3841),
    [anon_sym_protected] = ACTIONS(3841),
    [anon_sym_public] = ACTIONS(3841),
    [anon_sym_readonly] = ACTIONS(3841),
    [anon_sym_required] = ACTIONS(3841),
    [anon_sym_sealed] = ACTIONS(3841),
    [anon_sym_virtual] = ACTIONS(3841),
    [anon_sym_volatile] = ACTIONS(3841),
    [anon_sym_where] = ACTIONS(3841),
    [anon_sym_notnull] = ACTIONS(3841),
    [anon_sym_unmanaged] = ACTIONS(3841),
    [anon_sym_checked] = ACTIONS(3841),
    [anon_sym_BANG] = ACTIONS(3843),
    [anon_sym_TILDE] = ACTIONS(3843),
    [anon_sym_PLUS_PLUS] = ACTIONS(3843),
    [anon_sym_DASH_DASH] = ACTIONS(3843),
    [anon_sym_true] = ACTIONS(3841),
    [anon_sym_false] = ACTIONS(3841),
    [anon_sym_PLUS] = ACTIONS(3841),
    [anon_sym_DASH] = ACTIONS(3841),
    [anon_sym_STAR] = ACTIONS(3843),
    [anon_sym_CARET] = ACTIONS(3843),
    [anon_sym_AMP] = ACTIONS(3843),
    [anon_sym_this] = ACTIONS(3841),
    [anon_sym_scoped] = ACTIONS(3841),
    [anon_sym_base] = ACTIONS(3841),
    [anon_sym_var] = ACTIONS(3841),
    [sym_predefined_type] = ACTIONS(3841),
    [anon_sym_break] = ACTIONS(3841),
    [anon_sym_unchecked] = ACTIONS(3841),
    [anon_sym_continue] = ACTIONS(3841),
    [anon_sym_do] = ACTIONS(3841),
    [anon_sym_while] = ACTIONS(3841),
    [anon_sym_for] = ACTIONS(3841),
    [anon_sym_lock] = ACTIONS(3841),
    [anon_sym_yield] = ACTIONS(3841),
    [anon_sym_switch] = ACTIONS(3841),
    [anon_sym_default] = ACTIONS(3841),
    [anon_sym_throw] = ACTIONS(3841),
    [anon_sym_try] = ACTIONS(3841),
    [anon_sym_when] = ACTIONS(3841),
    [anon_sym_await] = ACTIONS(3841),
    [anon_sym_foreach] = ACTIONS(3841),
    [anon_sym_goto] = ACTIONS(3841),
    [anon_sym_if] = ACTIONS(3841),
    [anon_sym_DOT_DOT] = ACTIONS(3843),
    [anon_sym_from] = ACTIONS(3841),
    [anon_sym_into] = ACTIONS(3841),
    [anon_sym_join] = ACTIONS(3841),
    [anon_sym_on] = ACTIONS(3841),
    [anon_sym_equals] = ACTIONS(3841),
    [anon_sym_let] = ACTIONS(3841),
    [anon_sym_orderby] = ACTIONS(3841),
    [anon_sym_ascending] = ACTIONS(3841),
    [anon_sym_descending] = ACTIONS(3841),
    [anon_sym_group] = ACTIONS(3841),
    [anon_sym_by] = ACTIONS(3841),
    [anon_sym_select] = ACTIONS(3841),
    [anon_sym_DQUOTE] = ACTIONS(3843),
    [anon_sym_stackalloc] = ACTIONS(3841),
    [anon_sym_sizeof] = ACTIONS(3841),
    [anon_sym_typeof] = ACTIONS(3841),
    [anon_sym___makeref] = ACTIONS(3841),
    [anon_sym___reftype] = ACTIONS(3841),
    [anon_sym___refvalue] = ACTIONS(3841),
    [sym_null_literal] = ACTIONS(3841),
    [anon_sym_SQUOTE] = ACTIONS(3843),
    [sym_integer_literal] = ACTIONS(3841),
    [sym_real_literal] = ACTIONS(3843),
    [sym_verbatim_string_literal] = ACTIONS(3843),
    [aux_sym_preproc_if_token1] = ACTIONS(3843),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3843),
    [sym_interpolation_verbatim_start] = ACTIONS(3843),
    [sym_interpolation_raw_start] = ACTIONS(3843),
    [sym_raw_string_start] = ACTIONS(3843),
  },
  [2532] = {
    [sym_preproc_region] = STATE(2532),
    [sym_preproc_endregion] = STATE(2532),
    [sym_preproc_line] = STATE(2532),
    [sym_preproc_pragma] = STATE(2532),
    [sym_preproc_nullable] = STATE(2532),
    [sym_preproc_error] = STATE(2532),
    [sym_preproc_define] = STATE(2532),
    [sym_preproc_undef] = STATE(2532),
    [ts_builtin_sym_end] = ACTIONS(3847),
    [sym__identifier_token] = ACTIONS(3845),
    [anon_sym_extern] = ACTIONS(3845),
    [anon_sym_alias] = ACTIONS(3845),
    [anon_sym_SEMI] = ACTIONS(3847),
    [anon_sym_global] = ACTIONS(3845),
    [anon_sym_using] = ACTIONS(3845),
    [anon_sym_unsafe] = ACTIONS(3845),
    [anon_sym_static] = ACTIONS(3845),
    [anon_sym_LBRACK] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3847),
    [anon_sym_return] = ACTIONS(3845),
    [anon_sym_namespace] = ACTIONS(3845),
    [anon_sym_class] = ACTIONS(3845),
    [anon_sym_ref] = ACTIONS(3845),
    [anon_sym_struct] = ACTIONS(3845),
    [anon_sym_enum] = ACTIONS(3845),
    [anon_sym_LBRACE] = ACTIONS(3847),
    [anon_sym_interface] = ACTIONS(3845),
    [anon_sym_delegate] = ACTIONS(3845),
    [anon_sym_record] = ACTIONS(3845),
    [anon_sym_abstract] = ACTIONS(3845),
    [anon_sym_async] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_file] = ACTIONS(3845),
    [anon_sym_fixed] = ACTIONS(3845),
    [anon_sym_internal] = ACTIONS(3845),
    [anon_sym_new] = ACTIONS(3845),
    [anon_sym_override] = ACTIONS(3845),
    [anon_sym_partial] = ACTIONS(3845),
    [anon_sym_private] = ACTIONS(3845),
    [anon_sym_protected] = ACTIONS(3845),
    [anon_sym_public] = ACTIONS(3845),
    [anon_sym_readonly] = ACTIONS(3845),
    [anon_sym_required] = ACTIONS(3845),
    [anon_sym_sealed] = ACTIONS(3845),
    [anon_sym_virtual] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_where] = ACTIONS(3845),
    [anon_sym_notnull] = ACTIONS(3845),
    [anon_sym_unmanaged] = ACTIONS(3845),
    [anon_sym_checked] = ACTIONS(3845),
    [anon_sym_BANG] = ACTIONS(3847),
    [anon_sym_TILDE] = ACTIONS(3847),
    [anon_sym_PLUS_PLUS] = ACTIONS(3847),
    [anon_sym_DASH_DASH] = ACTIONS(3847),
    [anon_sym_true] = ACTIONS(3845),
    [anon_sym_false] = ACTIONS(3845),
    [anon_sym_PLUS] = ACTIONS(3845),
    [anon_sym_DASH] = ACTIONS(3845),
    [anon_sym_STAR] = ACTIONS(3847),
    [anon_sym_CARET] = ACTIONS(3847),
    [anon_sym_AMP] = ACTIONS(3847),
    [anon_sym_this] = ACTIONS(3845),
    [anon_sym_scoped] = ACTIONS(3845),
    [anon_sym_base] = ACTIONS(3845),
    [anon_sym_var] = ACTIONS(3845),
    [sym_predefined_type] = ACTIONS(3845),
    [anon_sym_break] = ACTIONS(3845),
    [anon_sym_unchecked] = ACTIONS(3845),
    [anon_sym_continue] = ACTIONS(3845),
    [anon_sym_do] = ACTIONS(3845),
    [anon_sym_while] = ACTIONS(3845),
    [anon_sym_for] = ACTIONS(3845),
    [anon_sym_lock] = ACTIONS(3845),
    [anon_sym_yield] = ACTIONS(3845),
    [anon_sym_switch] = ACTIONS(3845),
    [anon_sym_default] = ACTIONS(3845),
    [anon_sym_throw] = ACTIONS(3845),
    [anon_sym_try] = ACTIONS(3845),
    [anon_sym_when] = ACTIONS(3845),
    [anon_sym_await] = ACTIONS(3845),
    [anon_sym_foreach] = ACTIONS(3845),
    [anon_sym_goto] = ACTIONS(3845),
    [anon_sym_if] = ACTIONS(3845),
    [anon_sym_DOT_DOT] = ACTIONS(3847),
    [anon_sym_from] = ACTIONS(3845),
    [anon_sym_into] = ACTIONS(3845),
    [anon_sym_join] = ACTIONS(3845),
    [anon_sym_on] = ACTIONS(3845),
    [anon_sym_equals] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3845),
    [anon_sym_orderby] = ACTIONS(3845),
    [anon_sym_ascending] = ACTIONS(3845),
    [anon_sym_descending] = ACTIONS(3845),
    [anon_sym_group] = ACTIONS(3845),
    [anon_sym_by] = ACTIONS(3845),
    [anon_sym_select] = ACTIONS(3845),
    [anon_sym_DQUOTE] = ACTIONS(3847),
    [anon_sym_stackalloc] = ACTIONS(3845),
    [anon_sym_sizeof] = ACTIONS(3845),
    [anon_sym_typeof] = ACTIONS(3845),
    [anon_sym___makeref] = ACTIONS(3845),
    [anon_sym___reftype] = ACTIONS(3845),
    [anon_sym___refvalue] = ACTIONS(3845),
    [sym_null_literal] = ACTIONS(3845),
    [anon_sym_SQUOTE] = ACTIONS(3847),
    [sym_integer_literal] = ACTIONS(3845),
    [sym_real_literal] = ACTIONS(3847),
    [sym_verbatim_string_literal] = ACTIONS(3847),
    [aux_sym_preproc_if_token1] = ACTIONS(3847),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3847),
    [sym_interpolation_verbatim_start] = ACTIONS(3847),
    [sym_interpolation_raw_start] = ACTIONS(3847),
    [sym_raw_string_start] = ACTIONS(3847),
  },
  [2533] = {
    [sym_preproc_region] = STATE(2533),
    [sym_preproc_endregion] = STATE(2533),
    [sym_preproc_line] = STATE(2533),
    [sym_preproc_pragma] = STATE(2533),
    [sym_preproc_nullable] = STATE(2533),
    [sym_preproc_error] = STATE(2533),
    [sym_preproc_define] = STATE(2533),
    [sym_preproc_undef] = STATE(2533),
    [ts_builtin_sym_end] = ACTIONS(3465),
    [sym__identifier_token] = ACTIONS(3463),
    [anon_sym_extern] = ACTIONS(3463),
    [anon_sym_alias] = ACTIONS(3463),
    [anon_sym_SEMI] = ACTIONS(3465),
    [anon_sym_global] = ACTIONS(3463),
    [anon_sym_using] = ACTIONS(3463),
    [anon_sym_unsafe] = ACTIONS(3463),
    [anon_sym_static] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_LPAREN] = ACTIONS(3465),
    [anon_sym_return] = ACTIONS(3463),
    [anon_sym_namespace] = ACTIONS(3463),
    [anon_sym_class] = ACTIONS(3463),
    [anon_sym_ref] = ACTIONS(3463),
    [anon_sym_struct] = ACTIONS(3463),
    [anon_sym_enum] = ACTIONS(3463),
    [anon_sym_LBRACE] = ACTIONS(3465),
    [anon_sym_interface] = ACTIONS(3463),
    [anon_sym_delegate] = ACTIONS(3463),
    [anon_sym_record] = ACTIONS(3463),
    [anon_sym_abstract] = ACTIONS(3463),
    [anon_sym_async] = ACTIONS(3463),
    [anon_sym_const] = ACTIONS(3463),
    [anon_sym_file] = ACTIONS(3463),
    [anon_sym_fixed] = ACTIONS(3463),
    [anon_sym_internal] = ACTIONS(3463),
    [anon_sym_new] = ACTIONS(3463),
    [anon_sym_override] = ACTIONS(3463),
    [anon_sym_partial] = ACTIONS(3463),
    [anon_sym_private] = ACTIONS(3463),
    [anon_sym_protected] = ACTIONS(3463),
    [anon_sym_public] = ACTIONS(3463),
    [anon_sym_readonly] = ACTIONS(3463),
    [anon_sym_required] = ACTIONS(3463),
    [anon_sym_sealed] = ACTIONS(3463),
    [anon_sym_virtual] = ACTIONS(3463),
    [anon_sym_volatile] = ACTIONS(3463),
    [anon_sym_where] = ACTIONS(3463),
    [anon_sym_notnull] = ACTIONS(3463),
    [anon_sym_unmanaged] = ACTIONS(3463),
    [anon_sym_checked] = ACTIONS(3463),
    [anon_sym_BANG] = ACTIONS(3465),
    [anon_sym_TILDE] = ACTIONS(3465),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_true] = ACTIONS(3463),
    [anon_sym_false] = ACTIONS(3463),
    [anon_sym_PLUS] = ACTIONS(3463),
    [anon_sym_DASH] = ACTIONS(3463),
    [anon_sym_STAR] = ACTIONS(3465),
    [anon_sym_CARET] = ACTIONS(3465),
    [anon_sym_AMP] = ACTIONS(3465),
    [anon_sym_this] = ACTIONS(3463),
    [anon_sym_scoped] = ACTIONS(3463),
    [anon_sym_base] = ACTIONS(3463),
    [anon_sym_var] = ACTIONS(3463),
    [sym_predefined_type] = ACTIONS(3463),
    [anon_sym_break] = ACTIONS(3463),
    [anon_sym_unchecked] = ACTIONS(3463),
    [anon_sym_continue] = ACTIONS(3463),
    [anon_sym_do] = ACTIONS(3463),
    [anon_sym_while] = ACTIONS(3463),
    [anon_sym_for] = ACTIONS(3463),
    [anon_sym_lock] = ACTIONS(3463),
    [anon_sym_yield] = ACTIONS(3463),
    [anon_sym_switch] = ACTIONS(3463),
    [anon_sym_default] = ACTIONS(3463),
    [anon_sym_throw] = ACTIONS(3463),
    [anon_sym_try] = ACTIONS(3463),
    [anon_sym_when] = ACTIONS(3463),
    [anon_sym_await] = ACTIONS(3463),
    [anon_sym_foreach] = ACTIONS(3463),
    [anon_sym_goto] = ACTIONS(3463),
    [anon_sym_if] = ACTIONS(3463),
    [anon_sym_DOT_DOT] = ACTIONS(3465),
    [anon_sym_from] = ACTIONS(3463),
    [anon_sym_into] = ACTIONS(3463),
    [anon_sym_join] = ACTIONS(3463),
    [anon_sym_on] = ACTIONS(3463),
    [anon_sym_equals] = ACTIONS(3463),
    [anon_sym_let] = ACTIONS(3463),
    [anon_sym_orderby] = ACTIONS(3463),
    [anon_sym_ascending] = ACTIONS(3463),
    [anon_sym_descending] = ACTIONS(3463),
    [anon_sym_group] = ACTIONS(3463),
    [anon_sym_by] = ACTIONS(3463),
    [anon_sym_select] = ACTIONS(3463),
    [anon_sym_DQUOTE] = ACTIONS(3465),
    [anon_sym_stackalloc] = ACTIONS(3463),
    [anon_sym_sizeof] = ACTIONS(3463),
    [anon_sym_typeof] = ACTIONS(3463),
    [anon_sym___makeref] = ACTIONS(3463),
    [anon_sym___reftype] = ACTIONS(3463),
    [anon_sym___refvalue] = ACTIONS(3463),
    [sym_null_literal] = ACTIONS(3463),
    [anon_sym_SQUOTE] = ACTIONS(3465),
    [sym_integer_literal] = ACTIONS(3463),
    [sym_real_literal] = ACTIONS(3465),
    [sym_verbatim_string_literal] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3465),
    [sym_interpolation_verbatim_start] = ACTIONS(3465),
    [sym_interpolation_raw_start] = ACTIONS(3465),
    [sym_raw_string_start] = ACTIONS(3465),
  },
  [2534] = {
    [sym_preproc_region] = STATE(2534),
    [sym_preproc_endregion] = STATE(2534),
    [sym_preproc_line] = STATE(2534),
    [sym_preproc_pragma] = STATE(2534),
    [sym_preproc_nullable] = STATE(2534),
    [sym_preproc_error] = STATE(2534),
    [sym_preproc_define] = STATE(2534),
    [sym_preproc_undef] = STATE(2534),
    [ts_builtin_sym_end] = ACTIONS(3521),
    [sym__identifier_token] = ACTIONS(3519),
    [anon_sym_extern] = ACTIONS(3519),
    [anon_sym_alias] = ACTIONS(3519),
    [anon_sym_SEMI] = ACTIONS(3521),
    [anon_sym_global] = ACTIONS(3519),
    [anon_sym_using] = ACTIONS(3519),
    [anon_sym_unsafe] = ACTIONS(3519),
    [anon_sym_static] = ACTIONS(3519),
    [anon_sym_LBRACK] = ACTIONS(3521),
    [anon_sym_LPAREN] = ACTIONS(3521),
    [anon_sym_return] = ACTIONS(3519),
    [anon_sym_namespace] = ACTIONS(3519),
    [anon_sym_class] = ACTIONS(3519),
    [anon_sym_ref] = ACTIONS(3519),
    [anon_sym_struct] = ACTIONS(3519),
    [anon_sym_enum] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(3521),
    [anon_sym_interface] = ACTIONS(3519),
    [anon_sym_delegate] = ACTIONS(3519),
    [anon_sym_record] = ACTIONS(3519),
    [anon_sym_abstract] = ACTIONS(3519),
    [anon_sym_async] = ACTIONS(3519),
    [anon_sym_const] = ACTIONS(3519),
    [anon_sym_file] = ACTIONS(3519),
    [anon_sym_fixed] = ACTIONS(3519),
    [anon_sym_internal] = ACTIONS(3519),
    [anon_sym_new] = ACTIONS(3519),
    [anon_sym_override] = ACTIONS(3519),
    [anon_sym_partial] = ACTIONS(3519),
    [anon_sym_private] = ACTIONS(3519),
    [anon_sym_protected] = ACTIONS(3519),
    [anon_sym_public] = ACTIONS(3519),
    [anon_sym_readonly] = ACTIONS(3519),
    [anon_sym_required] = ACTIONS(3519),
    [anon_sym_sealed] = ACTIONS(3519),
    [anon_sym_virtual] = ACTIONS(3519),
    [anon_sym_volatile] = ACTIONS(3519),
    [anon_sym_where] = ACTIONS(3519),
    [anon_sym_notnull] = ACTIONS(3519),
    [anon_sym_unmanaged] = ACTIONS(3519),
    [anon_sym_checked] = ACTIONS(3519),
    [anon_sym_BANG] = ACTIONS(3521),
    [anon_sym_TILDE] = ACTIONS(3521),
    [anon_sym_PLUS_PLUS] = ACTIONS(3521),
    [anon_sym_DASH_DASH] = ACTIONS(3521),
    [anon_sym_true] = ACTIONS(3519),
    [anon_sym_false] = ACTIONS(3519),
    [anon_sym_PLUS] = ACTIONS(3519),
    [anon_sym_DASH] = ACTIONS(3519),
    [anon_sym_STAR] = ACTIONS(3521),
    [anon_sym_CARET] = ACTIONS(3521),
    [anon_sym_AMP] = ACTIONS(3521),
    [anon_sym_this] = ACTIONS(3519),
    [anon_sym_scoped] = ACTIONS(3519),
    [anon_sym_base] = ACTIONS(3519),
    [anon_sym_var] = ACTIONS(3519),
    [sym_predefined_type] = ACTIONS(3519),
    [anon_sym_break] = ACTIONS(3519),
    [anon_sym_unchecked] = ACTIONS(3519),
    [anon_sym_continue] = ACTIONS(3519),
    [anon_sym_do] = ACTIONS(3519),
    [anon_sym_while] = ACTIONS(3519),
    [anon_sym_for] = ACTIONS(3519),
    [anon_sym_lock] = ACTIONS(3519),
    [anon_sym_yield] = ACTIONS(3519),
    [anon_sym_switch] = ACTIONS(3519),
    [anon_sym_default] = ACTIONS(3519),
    [anon_sym_throw] = ACTIONS(3519),
    [anon_sym_try] = ACTIONS(3519),
    [anon_sym_when] = ACTIONS(3519),
    [anon_sym_await] = ACTIONS(3519),
    [anon_sym_foreach] = ACTIONS(3519),
    [anon_sym_goto] = ACTIONS(3519),
    [anon_sym_if] = ACTIONS(3519),
    [anon_sym_DOT_DOT] = ACTIONS(3521),
    [anon_sym_from] = ACTIONS(3519),
    [anon_sym_into] = ACTIONS(3519),
    [anon_sym_join] = ACTIONS(3519),
    [anon_sym_on] = ACTIONS(3519),
    [anon_sym_equals] = ACTIONS(3519),
    [anon_sym_let] = ACTIONS(3519),
    [anon_sym_orderby] = ACTIONS(3519),
    [anon_sym_ascending] = ACTIONS(3519),
    [anon_sym_descending] = ACTIONS(3519),
    [anon_sym_group] = ACTIONS(3519),
    [anon_sym_by] = ACTIONS(3519),
    [anon_sym_select] = ACTIONS(3519),
    [anon_sym_DQUOTE] = ACTIONS(3521),
    [anon_sym_stackalloc] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(3519),
    [anon_sym_typeof] = ACTIONS(3519),
    [anon_sym___makeref] = ACTIONS(3519),
    [anon_sym___reftype] = ACTIONS(3519),
    [anon_sym___refvalue] = ACTIONS(3519),
    [sym_null_literal] = ACTIONS(3519),
    [anon_sym_SQUOTE] = ACTIONS(3521),
    [sym_integer_literal] = ACTIONS(3519),
    [sym_real_literal] = ACTIONS(3521),
    [sym_verbatim_string_literal] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3521),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3521),
    [sym_interpolation_verbatim_start] = ACTIONS(3521),
    [sym_interpolation_raw_start] = ACTIONS(3521),
    [sym_raw_string_start] = ACTIONS(3521),
  },
  [2535] = {
    [sym_preproc_region] = STATE(2535),
    [sym_preproc_endregion] = STATE(2535),
    [sym_preproc_line] = STATE(2535),
    [sym_preproc_pragma] = STATE(2535),
    [sym_preproc_nullable] = STATE(2535),
    [sym_preproc_error] = STATE(2535),
    [sym_preproc_define] = STATE(2535),
    [sym_preproc_undef] = STATE(2535),
    [ts_builtin_sym_end] = ACTIONS(3469),
    [sym__identifier_token] = ACTIONS(3467),
    [anon_sym_extern] = ACTIONS(3467),
    [anon_sym_alias] = ACTIONS(3467),
    [anon_sym_SEMI] = ACTIONS(3469),
    [anon_sym_global] = ACTIONS(3467),
    [anon_sym_using] = ACTIONS(3467),
    [anon_sym_unsafe] = ACTIONS(3467),
    [anon_sym_static] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(3469),
    [anon_sym_LPAREN] = ACTIONS(3469),
    [anon_sym_return] = ACTIONS(3467),
    [anon_sym_namespace] = ACTIONS(3467),
    [anon_sym_class] = ACTIONS(3467),
    [anon_sym_ref] = ACTIONS(3467),
    [anon_sym_struct] = ACTIONS(3467),
    [anon_sym_enum] = ACTIONS(3467),
    [anon_sym_LBRACE] = ACTIONS(3469),
    [anon_sym_interface] = ACTIONS(3467),
    [anon_sym_delegate] = ACTIONS(3467),
    [anon_sym_record] = ACTIONS(3467),
    [anon_sym_abstract] = ACTIONS(3467),
    [anon_sym_async] = ACTIONS(3467),
    [anon_sym_const] = ACTIONS(3467),
    [anon_sym_file] = ACTIONS(3467),
    [anon_sym_fixed] = ACTIONS(3467),
    [anon_sym_internal] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3467),
    [anon_sym_override] = ACTIONS(3467),
    [anon_sym_partial] = ACTIONS(3467),
    [anon_sym_private] = ACTIONS(3467),
    [anon_sym_protected] = ACTIONS(3467),
    [anon_sym_public] = ACTIONS(3467),
    [anon_sym_readonly] = ACTIONS(3467),
    [anon_sym_required] = ACTIONS(3467),
    [anon_sym_sealed] = ACTIONS(3467),
    [anon_sym_virtual] = ACTIONS(3467),
    [anon_sym_volatile] = ACTIONS(3467),
    [anon_sym_where] = ACTIONS(3467),
    [anon_sym_notnull] = ACTIONS(3467),
    [anon_sym_unmanaged] = ACTIONS(3467),
    [anon_sym_checked] = ACTIONS(3467),
    [anon_sym_BANG] = ACTIONS(3469),
    [anon_sym_TILDE] = ACTIONS(3469),
    [anon_sym_PLUS_PLUS] = ACTIONS(3469),
    [anon_sym_DASH_DASH] = ACTIONS(3469),
    [anon_sym_true] = ACTIONS(3467),
    [anon_sym_false] = ACTIONS(3467),
    [anon_sym_PLUS] = ACTIONS(3467),
    [anon_sym_DASH] = ACTIONS(3467),
    [anon_sym_STAR] = ACTIONS(3469),
    [anon_sym_CARET] = ACTIONS(3469),
    [anon_sym_AMP] = ACTIONS(3469),
    [anon_sym_this] = ACTIONS(3467),
    [anon_sym_scoped] = ACTIONS(3467),
    [anon_sym_base] = ACTIONS(3467),
    [anon_sym_var] = ACTIONS(3467),
    [sym_predefined_type] = ACTIONS(3467),
    [anon_sym_break] = ACTIONS(3467),
    [anon_sym_unchecked] = ACTIONS(3467),
    [anon_sym_continue] = ACTIONS(3467),
    [anon_sym_do] = ACTIONS(3467),
    [anon_sym_while] = ACTIONS(3467),
    [anon_sym_for] = ACTIONS(3467),
    [anon_sym_lock] = ACTIONS(3467),
    [anon_sym_yield] = ACTIONS(3467),
    [anon_sym_switch] = ACTIONS(3467),
    [anon_sym_default] = ACTIONS(3467),
    [anon_sym_throw] = ACTIONS(3467),
    [anon_sym_try] = ACTIONS(3467),
    [anon_sym_when] = ACTIONS(3467),
    [anon_sym_await] = ACTIONS(3467),
    [anon_sym_foreach] = ACTIONS(3467),
    [anon_sym_goto] = ACTIONS(3467),
    [anon_sym_if] = ACTIONS(3467),
    [anon_sym_DOT_DOT] = ACTIONS(3469),
    [anon_sym_from] = ACTIONS(3467),
    [anon_sym_into] = ACTIONS(3467),
    [anon_sym_join] = ACTIONS(3467),
    [anon_sym_on] = ACTIONS(3467),
    [anon_sym_equals] = ACTIONS(3467),
    [anon_sym_let] = ACTIONS(3467),
    [anon_sym_orderby] = ACTIONS(3467),
    [anon_sym_ascending] = ACTIONS(3467),
    [anon_sym_descending] = ACTIONS(3467),
    [anon_sym_group] = ACTIONS(3467),
    [anon_sym_by] = ACTIONS(3467),
    [anon_sym_select] = ACTIONS(3467),
    [anon_sym_DQUOTE] = ACTIONS(3469),
    [anon_sym_stackalloc] = ACTIONS(3467),
    [anon_sym_sizeof] = ACTIONS(3467),
    [anon_sym_typeof] = ACTIONS(3467),
    [anon_sym___makeref] = ACTIONS(3467),
    [anon_sym___reftype] = ACTIONS(3467),
    [anon_sym___refvalue] = ACTIONS(3467),
    [sym_null_literal] = ACTIONS(3467),
    [anon_sym_SQUOTE] = ACTIONS(3469),
    [sym_integer_literal] = ACTIONS(3467),
    [sym_real_literal] = ACTIONS(3469),
    [sym_verbatim_string_literal] = ACTIONS(3469),
    [aux_sym_preproc_if_token1] = ACTIONS(3469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3469),
    [sym_interpolation_verbatim_start] = ACTIONS(3469),
    [sym_interpolation_raw_start] = ACTIONS(3469),
    [sym_raw_string_start] = ACTIONS(3469),
  },
  [2536] = {
    [sym_preproc_region] = STATE(2536),
    [sym_preproc_endregion] = STATE(2536),
    [sym_preproc_line] = STATE(2536),
    [sym_preproc_pragma] = STATE(2536),
    [sym_preproc_nullable] = STATE(2536),
    [sym_preproc_error] = STATE(2536),
    [sym_preproc_define] = STATE(2536),
    [sym_preproc_undef] = STATE(2536),
    [ts_builtin_sym_end] = ACTIONS(3473),
    [sym__identifier_token] = ACTIONS(3471),
    [anon_sym_extern] = ACTIONS(3471),
    [anon_sym_alias] = ACTIONS(3471),
    [anon_sym_SEMI] = ACTIONS(3473),
    [anon_sym_global] = ACTIONS(3471),
    [anon_sym_using] = ACTIONS(3471),
    [anon_sym_unsafe] = ACTIONS(3471),
    [anon_sym_static] = ACTIONS(3471),
    [anon_sym_LBRACK] = ACTIONS(3473),
    [anon_sym_LPAREN] = ACTIONS(3473),
    [anon_sym_return] = ACTIONS(3471),
    [anon_sym_namespace] = ACTIONS(3471),
    [anon_sym_class] = ACTIONS(3471),
    [anon_sym_ref] = ACTIONS(3471),
    [anon_sym_struct] = ACTIONS(3471),
    [anon_sym_enum] = ACTIONS(3471),
    [anon_sym_LBRACE] = ACTIONS(3473),
    [anon_sym_interface] = ACTIONS(3471),
    [anon_sym_delegate] = ACTIONS(3471),
    [anon_sym_record] = ACTIONS(3471),
    [anon_sym_abstract] = ACTIONS(3471),
    [anon_sym_async] = ACTIONS(3471),
    [anon_sym_const] = ACTIONS(3471),
    [anon_sym_file] = ACTIONS(3471),
    [anon_sym_fixed] = ACTIONS(3471),
    [anon_sym_internal] = ACTIONS(3471),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_override] = ACTIONS(3471),
    [anon_sym_partial] = ACTIONS(3471),
    [anon_sym_private] = ACTIONS(3471),
    [anon_sym_protected] = ACTIONS(3471),
    [anon_sym_public] = ACTIONS(3471),
    [anon_sym_readonly] = ACTIONS(3471),
    [anon_sym_required] = ACTIONS(3471),
    [anon_sym_sealed] = ACTIONS(3471),
    [anon_sym_virtual] = ACTIONS(3471),
    [anon_sym_volatile] = ACTIONS(3471),
    [anon_sym_where] = ACTIONS(3471),
    [anon_sym_notnull] = ACTIONS(3471),
    [anon_sym_unmanaged] = ACTIONS(3471),
    [anon_sym_checked] = ACTIONS(3471),
    [anon_sym_BANG] = ACTIONS(3473),
    [anon_sym_TILDE] = ACTIONS(3473),
    [anon_sym_PLUS_PLUS] = ACTIONS(3473),
    [anon_sym_DASH_DASH] = ACTIONS(3473),
    [anon_sym_true] = ACTIONS(3471),
    [anon_sym_false] = ACTIONS(3471),
    [anon_sym_PLUS] = ACTIONS(3471),
    [anon_sym_DASH] = ACTIONS(3471),
    [anon_sym_STAR] = ACTIONS(3473),
    [anon_sym_CARET] = ACTIONS(3473),
    [anon_sym_AMP] = ACTIONS(3473),
    [anon_sym_this] = ACTIONS(3471),
    [anon_sym_scoped] = ACTIONS(3471),
    [anon_sym_base] = ACTIONS(3471),
    [anon_sym_var] = ACTIONS(3471),
    [sym_predefined_type] = ACTIONS(3471),
    [anon_sym_break] = ACTIONS(3471),
    [anon_sym_unchecked] = ACTIONS(3471),
    [anon_sym_continue] = ACTIONS(3471),
    [anon_sym_do] = ACTIONS(3471),
    [anon_sym_while] = ACTIONS(3471),
    [anon_sym_for] = ACTIONS(3471),
    [anon_sym_lock] = ACTIONS(3471),
    [anon_sym_yield] = ACTIONS(3471),
    [anon_sym_switch] = ACTIONS(3471),
    [anon_sym_default] = ACTIONS(3471),
    [anon_sym_throw] = ACTIONS(3471),
    [anon_sym_try] = ACTIONS(3471),
    [anon_sym_when] = ACTIONS(3471),
    [anon_sym_await] = ACTIONS(3471),
    [anon_sym_foreach] = ACTIONS(3471),
    [anon_sym_goto] = ACTIONS(3471),
    [anon_sym_if] = ACTIONS(3471),
    [anon_sym_DOT_DOT] = ACTIONS(3473),
    [anon_sym_from] = ACTIONS(3471),
    [anon_sym_into] = ACTIONS(3471),
    [anon_sym_join] = ACTIONS(3471),
    [anon_sym_on] = ACTIONS(3471),
    [anon_sym_equals] = ACTIONS(3471),
    [anon_sym_let] = ACTIONS(3471),
    [anon_sym_orderby] = ACTIONS(3471),
    [anon_sym_ascending] = ACTIONS(3471),
    [anon_sym_descending] = ACTIONS(3471),
    [anon_sym_group] = ACTIONS(3471),
    [anon_sym_by] = ACTIONS(3471),
    [anon_sym_select] = ACTIONS(3471),
    [anon_sym_DQUOTE] = ACTIONS(3473),
    [anon_sym_stackalloc] = ACTIONS(3471),
    [anon_sym_sizeof] = ACTIONS(3471),
    [anon_sym_typeof] = ACTIONS(3471),
    [anon_sym___makeref] = ACTIONS(3471),
    [anon_sym___reftype] = ACTIONS(3471),
    [anon_sym___refvalue] = ACTIONS(3471),
    [sym_null_literal] = ACTIONS(3471),
    [anon_sym_SQUOTE] = ACTIONS(3473),
    [sym_integer_literal] = ACTIONS(3471),
    [sym_real_literal] = ACTIONS(3473),
    [sym_verbatim_string_literal] = ACTIONS(3473),
    [aux_sym_preproc_if_token1] = ACTIONS(3473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3473),
    [sym_interpolation_verbatim_start] = ACTIONS(3473),
    [sym_interpolation_raw_start] = ACTIONS(3473),
    [sym_raw_string_start] = ACTIONS(3473),
  },
  [2537] = {
    [sym_preproc_region] = STATE(2537),
    [sym_preproc_endregion] = STATE(2537),
    [sym_preproc_line] = STATE(2537),
    [sym_preproc_pragma] = STATE(2537),
    [sym_preproc_nullable] = STATE(2537),
    [sym_preproc_error] = STATE(2537),
    [sym_preproc_define] = STATE(2537),
    [sym_preproc_undef] = STATE(2537),
    [ts_builtin_sym_end] = ACTIONS(3931),
    [sym__identifier_token] = ACTIONS(3929),
    [anon_sym_extern] = ACTIONS(3929),
    [anon_sym_alias] = ACTIONS(3929),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_global] = ACTIONS(3929),
    [anon_sym_using] = ACTIONS(3929),
    [anon_sym_unsafe] = ACTIONS(3929),
    [anon_sym_static] = ACTIONS(3929),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_return] = ACTIONS(3929),
    [anon_sym_namespace] = ACTIONS(3929),
    [anon_sym_class] = ACTIONS(3929),
    [anon_sym_ref] = ACTIONS(3929),
    [anon_sym_struct] = ACTIONS(3929),
    [anon_sym_enum] = ACTIONS(3929),
    [anon_sym_LBRACE] = ACTIONS(3931),
    [anon_sym_interface] = ACTIONS(3929),
    [anon_sym_delegate] = ACTIONS(3929),
    [anon_sym_record] = ACTIONS(3929),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_async] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3929),
    [anon_sym_file] = ACTIONS(3929),
    [anon_sym_fixed] = ACTIONS(3929),
    [anon_sym_internal] = ACTIONS(3929),
    [anon_sym_new] = ACTIONS(3929),
    [anon_sym_override] = ACTIONS(3929),
    [anon_sym_partial] = ACTIONS(3929),
    [anon_sym_private] = ACTIONS(3929),
    [anon_sym_protected] = ACTIONS(3929),
    [anon_sym_public] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3929),
    [anon_sym_required] = ACTIONS(3929),
    [anon_sym_sealed] = ACTIONS(3929),
    [anon_sym_virtual] = ACTIONS(3929),
    [anon_sym_volatile] = ACTIONS(3929),
    [anon_sym_where] = ACTIONS(3929),
    [anon_sym_notnull] = ACTIONS(3929),
    [anon_sym_unmanaged] = ACTIONS(3929),
    [anon_sym_checked] = ACTIONS(3929),
    [anon_sym_BANG] = ACTIONS(3931),
    [anon_sym_TILDE] = ACTIONS(3931),
    [anon_sym_PLUS_PLUS] = ACTIONS(3931),
    [anon_sym_DASH_DASH] = ACTIONS(3931),
    [anon_sym_true] = ACTIONS(3929),
    [anon_sym_false] = ACTIONS(3929),
    [anon_sym_PLUS] = ACTIONS(3929),
    [anon_sym_DASH] = ACTIONS(3929),
    [anon_sym_STAR] = ACTIONS(3931),
    [anon_sym_CARET] = ACTIONS(3931),
    [anon_sym_AMP] = ACTIONS(3931),
    [anon_sym_this] = ACTIONS(3929),
    [anon_sym_scoped] = ACTIONS(3929),
    [anon_sym_base] = ACTIONS(3929),
    [anon_sym_var] = ACTIONS(3929),
    [sym_predefined_type] = ACTIONS(3929),
    [anon_sym_break] = ACTIONS(3929),
    [anon_sym_unchecked] = ACTIONS(3929),
    [anon_sym_continue] = ACTIONS(3929),
    [anon_sym_do] = ACTIONS(3929),
    [anon_sym_while] = ACTIONS(3929),
    [anon_sym_for] = ACTIONS(3929),
    [anon_sym_lock] = ACTIONS(3929),
    [anon_sym_yield] = ACTIONS(3929),
    [anon_sym_switch] = ACTIONS(3929),
    [anon_sym_default] = ACTIONS(3929),
    [anon_sym_throw] = ACTIONS(3929),
    [anon_sym_try] = ACTIONS(3929),
    [anon_sym_when] = ACTIONS(3929),
    [anon_sym_await] = ACTIONS(3929),
    [anon_sym_foreach] = ACTIONS(3929),
    [anon_sym_goto] = ACTIONS(3929),
    [anon_sym_if] = ACTIONS(3929),
    [anon_sym_DOT_DOT] = ACTIONS(3931),
    [anon_sym_from] = ACTIONS(3929),
    [anon_sym_into] = ACTIONS(3929),
    [anon_sym_join] = ACTIONS(3929),
    [anon_sym_on] = ACTIONS(3929),
    [anon_sym_equals] = ACTIONS(3929),
    [anon_sym_let] = ACTIONS(3929),
    [anon_sym_orderby] = ACTIONS(3929),
    [anon_sym_ascending] = ACTIONS(3929),
    [anon_sym_descending] = ACTIONS(3929),
    [anon_sym_group] = ACTIONS(3929),
    [anon_sym_by] = ACTIONS(3929),
    [anon_sym_select] = ACTIONS(3929),
    [anon_sym_DQUOTE] = ACTIONS(3931),
    [anon_sym_stackalloc] = ACTIONS(3929),
    [anon_sym_sizeof] = ACTIONS(3929),
    [anon_sym_typeof] = ACTIONS(3929),
    [anon_sym___makeref] = ACTIONS(3929),
    [anon_sym___reftype] = ACTIONS(3929),
    [anon_sym___refvalue] = ACTIONS(3929),
    [sym_null_literal] = ACTIONS(3929),
    [anon_sym_SQUOTE] = ACTIONS(3931),
    [sym_integer_literal] = ACTIONS(3929),
    [sym_real_literal] = ACTIONS(3931),
    [sym_verbatim_string_literal] = ACTIONS(3931),
    [aux_sym_preproc_if_token1] = ACTIONS(3931),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3931),
    [sym_interpolation_verbatim_start] = ACTIONS(3931),
    [sym_interpolation_raw_start] = ACTIONS(3931),
    [sym_raw_string_start] = ACTIONS(3931),
  },
  [2538] = {
    [sym_preproc_region] = STATE(2538),
    [sym_preproc_endregion] = STATE(2538),
    [sym_preproc_line] = STATE(2538),
    [sym_preproc_pragma] = STATE(2538),
    [sym_preproc_nullable] = STATE(2538),
    [sym_preproc_error] = STATE(2538),
    [sym_preproc_define] = STATE(2538),
    [sym_preproc_undef] = STATE(2538),
    [ts_builtin_sym_end] = ACTIONS(3867),
    [sym__identifier_token] = ACTIONS(3865),
    [anon_sym_extern] = ACTIONS(3865),
    [anon_sym_alias] = ACTIONS(3865),
    [anon_sym_SEMI] = ACTIONS(3867),
    [anon_sym_global] = ACTIONS(3865),
    [anon_sym_using] = ACTIONS(3865),
    [anon_sym_unsafe] = ACTIONS(3865),
    [anon_sym_static] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3867),
    [anon_sym_return] = ACTIONS(3865),
    [anon_sym_namespace] = ACTIONS(3865),
    [anon_sym_class] = ACTIONS(3865),
    [anon_sym_ref] = ACTIONS(3865),
    [anon_sym_struct] = ACTIONS(3865),
    [anon_sym_enum] = ACTIONS(3865),
    [anon_sym_LBRACE] = ACTIONS(3867),
    [anon_sym_interface] = ACTIONS(3865),
    [anon_sym_delegate] = ACTIONS(3865),
    [anon_sym_record] = ACTIONS(3865),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_async] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3865),
    [anon_sym_file] = ACTIONS(3865),
    [anon_sym_fixed] = ACTIONS(3865),
    [anon_sym_internal] = ACTIONS(3865),
    [anon_sym_new] = ACTIONS(3865),
    [anon_sym_override] = ACTIONS(3865),
    [anon_sym_partial] = ACTIONS(3865),
    [anon_sym_private] = ACTIONS(3865),
    [anon_sym_protected] = ACTIONS(3865),
    [anon_sym_public] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3865),
    [anon_sym_required] = ACTIONS(3865),
    [anon_sym_sealed] = ACTIONS(3865),
    [anon_sym_virtual] = ACTIONS(3865),
    [anon_sym_volatile] = ACTIONS(3865),
    [anon_sym_where] = ACTIONS(3865),
    [anon_sym_notnull] = ACTIONS(3865),
    [anon_sym_unmanaged] = ACTIONS(3865),
    [anon_sym_checked] = ACTIONS(3865),
    [anon_sym_BANG] = ACTIONS(3867),
    [anon_sym_TILDE] = ACTIONS(3867),
    [anon_sym_PLUS_PLUS] = ACTIONS(3867),
    [anon_sym_DASH_DASH] = ACTIONS(3867),
    [anon_sym_true] = ACTIONS(3865),
    [anon_sym_false] = ACTIONS(3865),
    [anon_sym_PLUS] = ACTIONS(3865),
    [anon_sym_DASH] = ACTIONS(3865),
    [anon_sym_STAR] = ACTIONS(3867),
    [anon_sym_CARET] = ACTIONS(3867),
    [anon_sym_AMP] = ACTIONS(3867),
    [anon_sym_this] = ACTIONS(3865),
    [anon_sym_scoped] = ACTIONS(3865),
    [anon_sym_base] = ACTIONS(3865),
    [anon_sym_var] = ACTIONS(3865),
    [sym_predefined_type] = ACTIONS(3865),
    [anon_sym_break] = ACTIONS(3865),
    [anon_sym_unchecked] = ACTIONS(3865),
    [anon_sym_continue] = ACTIONS(3865),
    [anon_sym_do] = ACTIONS(3865),
    [anon_sym_while] = ACTIONS(3865),
    [anon_sym_for] = ACTIONS(3865),
    [anon_sym_lock] = ACTIONS(3865),
    [anon_sym_yield] = ACTIONS(3865),
    [anon_sym_switch] = ACTIONS(3865),
    [anon_sym_default] = ACTIONS(3865),
    [anon_sym_throw] = ACTIONS(3865),
    [anon_sym_try] = ACTIONS(3865),
    [anon_sym_when] = ACTIONS(3865),
    [anon_sym_await] = ACTIONS(3865),
    [anon_sym_foreach] = ACTIONS(3865),
    [anon_sym_goto] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(3865),
    [anon_sym_DOT_DOT] = ACTIONS(3867),
    [anon_sym_from] = ACTIONS(3865),
    [anon_sym_into] = ACTIONS(3865),
    [anon_sym_join] = ACTIONS(3865),
    [anon_sym_on] = ACTIONS(3865),
    [anon_sym_equals] = ACTIONS(3865),
    [anon_sym_let] = ACTIONS(3865),
    [anon_sym_orderby] = ACTIONS(3865),
    [anon_sym_ascending] = ACTIONS(3865),
    [anon_sym_descending] = ACTIONS(3865),
    [anon_sym_group] = ACTIONS(3865),
    [anon_sym_by] = ACTIONS(3865),
    [anon_sym_select] = ACTIONS(3865),
    [anon_sym_DQUOTE] = ACTIONS(3867),
    [anon_sym_stackalloc] = ACTIONS(3865),
    [anon_sym_sizeof] = ACTIONS(3865),
    [anon_sym_typeof] = ACTIONS(3865),
    [anon_sym___makeref] = ACTIONS(3865),
    [anon_sym___reftype] = ACTIONS(3865),
    [anon_sym___refvalue] = ACTIONS(3865),
    [sym_null_literal] = ACTIONS(3865),
    [anon_sym_SQUOTE] = ACTIONS(3867),
    [sym_integer_literal] = ACTIONS(3865),
    [sym_real_literal] = ACTIONS(3867),
    [sym_verbatim_string_literal] = ACTIONS(3867),
    [aux_sym_preproc_if_token1] = ACTIONS(3867),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3867),
    [sym_interpolation_verbatim_start] = ACTIONS(3867),
    [sym_interpolation_raw_start] = ACTIONS(3867),
    [sym_raw_string_start] = ACTIONS(3867),
  },
  [2539] = {
    [sym_preproc_region] = STATE(2539),
    [sym_preproc_endregion] = STATE(2539),
    [sym_preproc_line] = STATE(2539),
    [sym_preproc_pragma] = STATE(2539),
    [sym_preproc_nullable] = STATE(2539),
    [sym_preproc_error] = STATE(2539),
    [sym_preproc_define] = STATE(2539),
    [sym_preproc_undef] = STATE(2539),
    [ts_builtin_sym_end] = ACTIONS(3875),
    [sym__identifier_token] = ACTIONS(3873),
    [anon_sym_extern] = ACTIONS(3873),
    [anon_sym_alias] = ACTIONS(3873),
    [anon_sym_SEMI] = ACTIONS(3875),
    [anon_sym_global] = ACTIONS(3873),
    [anon_sym_using] = ACTIONS(3873),
    [anon_sym_unsafe] = ACTIONS(3873),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_LBRACK] = ACTIONS(3875),
    [anon_sym_LPAREN] = ACTIONS(3875),
    [anon_sym_return] = ACTIONS(3873),
    [anon_sym_namespace] = ACTIONS(3873),
    [anon_sym_class] = ACTIONS(3873),
    [anon_sym_ref] = ACTIONS(3873),
    [anon_sym_struct] = ACTIONS(3873),
    [anon_sym_enum] = ACTIONS(3873),
    [anon_sym_LBRACE] = ACTIONS(3875),
    [anon_sym_interface] = ACTIONS(3873),
    [anon_sym_delegate] = ACTIONS(3873),
    [anon_sym_record] = ACTIONS(3873),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_async] = ACTIONS(3873),
    [anon_sym_const] = ACTIONS(3873),
    [anon_sym_file] = ACTIONS(3873),
    [anon_sym_fixed] = ACTIONS(3873),
    [anon_sym_internal] = ACTIONS(3873),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_override] = ACTIONS(3873),
    [anon_sym_partial] = ACTIONS(3873),
    [anon_sym_private] = ACTIONS(3873),
    [anon_sym_protected] = ACTIONS(3873),
    [anon_sym_public] = ACTIONS(3873),
    [anon_sym_readonly] = ACTIONS(3873),
    [anon_sym_required] = ACTIONS(3873),
    [anon_sym_sealed] = ACTIONS(3873),
    [anon_sym_virtual] = ACTIONS(3873),
    [anon_sym_volatile] = ACTIONS(3873),
    [anon_sym_where] = ACTIONS(3873),
    [anon_sym_notnull] = ACTIONS(3873),
    [anon_sym_unmanaged] = ACTIONS(3873),
    [anon_sym_checked] = ACTIONS(3873),
    [anon_sym_BANG] = ACTIONS(3875),
    [anon_sym_TILDE] = ACTIONS(3875),
    [anon_sym_PLUS_PLUS] = ACTIONS(3875),
    [anon_sym_DASH_DASH] = ACTIONS(3875),
    [anon_sym_true] = ACTIONS(3873),
    [anon_sym_false] = ACTIONS(3873),
    [anon_sym_PLUS] = ACTIONS(3873),
    [anon_sym_DASH] = ACTIONS(3873),
    [anon_sym_STAR] = ACTIONS(3875),
    [anon_sym_CARET] = ACTIONS(3875),
    [anon_sym_AMP] = ACTIONS(3875),
    [anon_sym_this] = ACTIONS(3873),
    [anon_sym_scoped] = ACTIONS(3873),
    [anon_sym_base] = ACTIONS(3873),
    [anon_sym_var] = ACTIONS(3873),
    [sym_predefined_type] = ACTIONS(3873),
    [anon_sym_break] = ACTIONS(3873),
    [anon_sym_unchecked] = ACTIONS(3873),
    [anon_sym_continue] = ACTIONS(3873),
    [anon_sym_do] = ACTIONS(3873),
    [anon_sym_while] = ACTIONS(3873),
    [anon_sym_for] = ACTIONS(3873),
    [anon_sym_lock] = ACTIONS(3873),
    [anon_sym_yield] = ACTIONS(3873),
    [anon_sym_switch] = ACTIONS(3873),
    [anon_sym_default] = ACTIONS(3873),
    [anon_sym_throw] = ACTIONS(3873),
    [anon_sym_try] = ACTIONS(3873),
    [anon_sym_when] = ACTIONS(3873),
    [anon_sym_await] = ACTIONS(3873),
    [anon_sym_foreach] = ACTIONS(3873),
    [anon_sym_goto] = ACTIONS(3873),
    [anon_sym_if] = ACTIONS(3873),
    [anon_sym_DOT_DOT] = ACTIONS(3875),
    [anon_sym_from] = ACTIONS(3873),
    [anon_sym_into] = ACTIONS(3873),
    [anon_sym_join] = ACTIONS(3873),
    [anon_sym_on] = ACTIONS(3873),
    [anon_sym_equals] = ACTIONS(3873),
    [anon_sym_let] = ACTIONS(3873),
    [anon_sym_orderby] = ACTIONS(3873),
    [anon_sym_ascending] = ACTIONS(3873),
    [anon_sym_descending] = ACTIONS(3873),
    [anon_sym_group] = ACTIONS(3873),
    [anon_sym_by] = ACTIONS(3873),
    [anon_sym_select] = ACTIONS(3873),
    [anon_sym_DQUOTE] = ACTIONS(3875),
    [anon_sym_stackalloc] = ACTIONS(3873),
    [anon_sym_sizeof] = ACTIONS(3873),
    [anon_sym_typeof] = ACTIONS(3873),
    [anon_sym___makeref] = ACTIONS(3873),
    [anon_sym___reftype] = ACTIONS(3873),
    [anon_sym___refvalue] = ACTIONS(3873),
    [sym_null_literal] = ACTIONS(3873),
    [anon_sym_SQUOTE] = ACTIONS(3875),
    [sym_integer_literal] = ACTIONS(3873),
    [sym_real_literal] = ACTIONS(3875),
    [sym_verbatim_string_literal] = ACTIONS(3875),
    [aux_sym_preproc_if_token1] = ACTIONS(3875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3875),
    [sym_interpolation_verbatim_start] = ACTIONS(3875),
    [sym_interpolation_raw_start] = ACTIONS(3875),
    [sym_raw_string_start] = ACTIONS(3875),
  },
  [2540] = {
    [sym_preproc_region] = STATE(2540),
    [sym_preproc_endregion] = STATE(2540),
    [sym_preproc_line] = STATE(2540),
    [sym_preproc_pragma] = STATE(2540),
    [sym_preproc_nullable] = STATE(2540),
    [sym_preproc_error] = STATE(2540),
    [sym_preproc_define] = STATE(2540),
    [sym_preproc_undef] = STATE(2540),
    [ts_builtin_sym_end] = ACTIONS(3613),
    [sym__identifier_token] = ACTIONS(3611),
    [anon_sym_extern] = ACTIONS(3611),
    [anon_sym_alias] = ACTIONS(3611),
    [anon_sym_SEMI] = ACTIONS(3613),
    [anon_sym_global] = ACTIONS(3611),
    [anon_sym_using] = ACTIONS(3611),
    [anon_sym_unsafe] = ACTIONS(3611),
    [anon_sym_static] = ACTIONS(3611),
    [anon_sym_LBRACK] = ACTIONS(3613),
    [anon_sym_LPAREN] = ACTIONS(3613),
    [anon_sym_return] = ACTIONS(3611),
    [anon_sym_namespace] = ACTIONS(3611),
    [anon_sym_class] = ACTIONS(3611),
    [anon_sym_ref] = ACTIONS(3611),
    [anon_sym_struct] = ACTIONS(3611),
    [anon_sym_enum] = ACTIONS(3611),
    [anon_sym_LBRACE] = ACTIONS(3613),
    [anon_sym_interface] = ACTIONS(3611),
    [anon_sym_delegate] = ACTIONS(3611),
    [anon_sym_record] = ACTIONS(3611),
    [anon_sym_abstract] = ACTIONS(3611),
    [anon_sym_async] = ACTIONS(3611),
    [anon_sym_const] = ACTIONS(3611),
    [anon_sym_file] = ACTIONS(3611),
    [anon_sym_fixed] = ACTIONS(3611),
    [anon_sym_internal] = ACTIONS(3611),
    [anon_sym_new] = ACTIONS(3611),
    [anon_sym_override] = ACTIONS(3611),
    [anon_sym_partial] = ACTIONS(3611),
    [anon_sym_private] = ACTIONS(3611),
    [anon_sym_protected] = ACTIONS(3611),
    [anon_sym_public] = ACTIONS(3611),
    [anon_sym_readonly] = ACTIONS(3611),
    [anon_sym_required] = ACTIONS(3611),
    [anon_sym_sealed] = ACTIONS(3611),
    [anon_sym_virtual] = ACTIONS(3611),
    [anon_sym_volatile] = ACTIONS(3611),
    [anon_sym_where] = ACTIONS(3611),
    [anon_sym_notnull] = ACTIONS(3611),
    [anon_sym_unmanaged] = ACTIONS(3611),
    [anon_sym_checked] = ACTIONS(3611),
    [anon_sym_BANG] = ACTIONS(3613),
    [anon_sym_TILDE] = ACTIONS(3613),
    [anon_sym_PLUS_PLUS] = ACTIONS(3613),
    [anon_sym_DASH_DASH] = ACTIONS(3613),
    [anon_sym_true] = ACTIONS(3611),
    [anon_sym_false] = ACTIONS(3611),
    [anon_sym_PLUS] = ACTIONS(3611),
    [anon_sym_DASH] = ACTIONS(3611),
    [anon_sym_STAR] = ACTIONS(3613),
    [anon_sym_CARET] = ACTIONS(3613),
    [anon_sym_AMP] = ACTIONS(3613),
    [anon_sym_this] = ACTIONS(3611),
    [anon_sym_scoped] = ACTIONS(3611),
    [anon_sym_base] = ACTIONS(3611),
    [anon_sym_var] = ACTIONS(3611),
    [sym_predefined_type] = ACTIONS(3611),
    [anon_sym_break] = ACTIONS(3611),
    [anon_sym_unchecked] = ACTIONS(3611),
    [anon_sym_continue] = ACTIONS(3611),
    [anon_sym_do] = ACTIONS(3611),
    [anon_sym_while] = ACTIONS(3611),
    [anon_sym_for] = ACTIONS(3611),
    [anon_sym_lock] = ACTIONS(3611),
    [anon_sym_yield] = ACTIONS(3611),
    [anon_sym_switch] = ACTIONS(3611),
    [anon_sym_default] = ACTIONS(3611),
    [anon_sym_throw] = ACTIONS(3611),
    [anon_sym_try] = ACTIONS(3611),
    [anon_sym_when] = ACTIONS(3611),
    [anon_sym_await] = ACTIONS(3611),
    [anon_sym_foreach] = ACTIONS(3611),
    [anon_sym_goto] = ACTIONS(3611),
    [anon_sym_if] = ACTIONS(3611),
    [anon_sym_DOT_DOT] = ACTIONS(3613),
    [anon_sym_from] = ACTIONS(3611),
    [anon_sym_into] = ACTIONS(3611),
    [anon_sym_join] = ACTIONS(3611),
    [anon_sym_on] = ACTIONS(3611),
    [anon_sym_equals] = ACTIONS(3611),
    [anon_sym_let] = ACTIONS(3611),
    [anon_sym_orderby] = ACTIONS(3611),
    [anon_sym_ascending] = ACTIONS(3611),
    [anon_sym_descending] = ACTIONS(3611),
    [anon_sym_group] = ACTIONS(3611),
    [anon_sym_by] = ACTIONS(3611),
    [anon_sym_select] = ACTIONS(3611),
    [anon_sym_DQUOTE] = ACTIONS(3613),
    [anon_sym_stackalloc] = ACTIONS(3611),
    [anon_sym_sizeof] = ACTIONS(3611),
    [anon_sym_typeof] = ACTIONS(3611),
    [anon_sym___makeref] = ACTIONS(3611),
    [anon_sym___reftype] = ACTIONS(3611),
    [anon_sym___refvalue] = ACTIONS(3611),
    [sym_null_literal] = ACTIONS(3611),
    [anon_sym_SQUOTE] = ACTIONS(3613),
    [sym_integer_literal] = ACTIONS(3611),
    [sym_real_literal] = ACTIONS(3613),
    [sym_verbatim_string_literal] = ACTIONS(3613),
    [aux_sym_preproc_if_token1] = ACTIONS(3613),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3613),
    [sym_interpolation_verbatim_start] = ACTIONS(3613),
    [sym_interpolation_raw_start] = ACTIONS(3613),
    [sym_raw_string_start] = ACTIONS(3613),
  },
  [2541] = {
    [sym_preproc_region] = STATE(2541),
    [sym_preproc_endregion] = STATE(2541),
    [sym_preproc_line] = STATE(2541),
    [sym_preproc_pragma] = STATE(2541),
    [sym_preproc_nullable] = STATE(2541),
    [sym_preproc_error] = STATE(2541),
    [sym_preproc_define] = STATE(2541),
    [sym_preproc_undef] = STATE(2541),
    [ts_builtin_sym_end] = ACTIONS(3525),
    [sym__identifier_token] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(3523),
    [anon_sym_alias] = ACTIONS(3523),
    [anon_sym_SEMI] = ACTIONS(3525),
    [anon_sym_global] = ACTIONS(3523),
    [anon_sym_using] = ACTIONS(3523),
    [anon_sym_unsafe] = ACTIONS(3523),
    [anon_sym_static] = ACTIONS(3523),
    [anon_sym_LBRACK] = ACTIONS(3525),
    [anon_sym_LPAREN] = ACTIONS(3525),
    [anon_sym_return] = ACTIONS(3523),
    [anon_sym_namespace] = ACTIONS(3523),
    [anon_sym_class] = ACTIONS(3523),
    [anon_sym_ref] = ACTIONS(3523),
    [anon_sym_struct] = ACTIONS(3523),
    [anon_sym_enum] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(3525),
    [anon_sym_interface] = ACTIONS(3523),
    [anon_sym_delegate] = ACTIONS(3523),
    [anon_sym_record] = ACTIONS(3523),
    [anon_sym_abstract] = ACTIONS(3523),
    [anon_sym_async] = ACTIONS(3523),
    [anon_sym_const] = ACTIONS(3523),
    [anon_sym_file] = ACTIONS(3523),
    [anon_sym_fixed] = ACTIONS(3523),
    [anon_sym_internal] = ACTIONS(3523),
    [anon_sym_new] = ACTIONS(3523),
    [anon_sym_override] = ACTIONS(3523),
    [anon_sym_partial] = ACTIONS(3523),
    [anon_sym_private] = ACTIONS(3523),
    [anon_sym_protected] = ACTIONS(3523),
    [anon_sym_public] = ACTIONS(3523),
    [anon_sym_readonly] = ACTIONS(3523),
    [anon_sym_required] = ACTIONS(3523),
    [anon_sym_sealed] = ACTIONS(3523),
    [anon_sym_virtual] = ACTIONS(3523),
    [anon_sym_volatile] = ACTIONS(3523),
    [anon_sym_where] = ACTIONS(3523),
    [anon_sym_notnull] = ACTIONS(3523),
    [anon_sym_unmanaged] = ACTIONS(3523),
    [anon_sym_checked] = ACTIONS(3523),
    [anon_sym_BANG] = ACTIONS(3525),
    [anon_sym_TILDE] = ACTIONS(3525),
    [anon_sym_PLUS_PLUS] = ACTIONS(3525),
    [anon_sym_DASH_DASH] = ACTIONS(3525),
    [anon_sym_true] = ACTIONS(3523),
    [anon_sym_false] = ACTIONS(3523),
    [anon_sym_PLUS] = ACTIONS(3523),
    [anon_sym_DASH] = ACTIONS(3523),
    [anon_sym_STAR] = ACTIONS(3525),
    [anon_sym_CARET] = ACTIONS(3525),
    [anon_sym_AMP] = ACTIONS(3525),
    [anon_sym_this] = ACTIONS(3523),
    [anon_sym_scoped] = ACTIONS(3523),
    [anon_sym_base] = ACTIONS(3523),
    [anon_sym_var] = ACTIONS(3523),
    [sym_predefined_type] = ACTIONS(3523),
    [anon_sym_break] = ACTIONS(3523),
    [anon_sym_unchecked] = ACTIONS(3523),
    [anon_sym_continue] = ACTIONS(3523),
    [anon_sym_do] = ACTIONS(3523),
    [anon_sym_while] = ACTIONS(3523),
    [anon_sym_for] = ACTIONS(3523),
    [anon_sym_lock] = ACTIONS(3523),
    [anon_sym_yield] = ACTIONS(3523),
    [anon_sym_switch] = ACTIONS(3523),
    [anon_sym_default] = ACTIONS(3523),
    [anon_sym_throw] = ACTIONS(3523),
    [anon_sym_try] = ACTIONS(3523),
    [anon_sym_when] = ACTIONS(3523),
    [anon_sym_await] = ACTIONS(3523),
    [anon_sym_foreach] = ACTIONS(3523),
    [anon_sym_goto] = ACTIONS(3523),
    [anon_sym_if] = ACTIONS(3523),
    [anon_sym_DOT_DOT] = ACTIONS(3525),
    [anon_sym_from] = ACTIONS(3523),
    [anon_sym_into] = ACTIONS(3523),
    [anon_sym_join] = ACTIONS(3523),
    [anon_sym_on] = ACTIONS(3523),
    [anon_sym_equals] = ACTIONS(3523),
    [anon_sym_let] = ACTIONS(3523),
    [anon_sym_orderby] = ACTIONS(3523),
    [anon_sym_ascending] = ACTIONS(3523),
    [anon_sym_descending] = ACTIONS(3523),
    [anon_sym_group] = ACTIONS(3523),
    [anon_sym_by] = ACTIONS(3523),
    [anon_sym_select] = ACTIONS(3523),
    [anon_sym_DQUOTE] = ACTIONS(3525),
    [anon_sym_stackalloc] = ACTIONS(3523),
    [anon_sym_sizeof] = ACTIONS(3523),
    [anon_sym_typeof] = ACTIONS(3523),
    [anon_sym___makeref] = ACTIONS(3523),
    [anon_sym___reftype] = ACTIONS(3523),
    [anon_sym___refvalue] = ACTIONS(3523),
    [sym_null_literal] = ACTIONS(3523),
    [anon_sym_SQUOTE] = ACTIONS(3525),
    [sym_integer_literal] = ACTIONS(3523),
    [sym_real_literal] = ACTIONS(3525),
    [sym_verbatim_string_literal] = ACTIONS(3525),
    [aux_sym_preproc_if_token1] = ACTIONS(3525),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3525),
    [sym_interpolation_verbatim_start] = ACTIONS(3525),
    [sym_interpolation_raw_start] = ACTIONS(3525),
    [sym_raw_string_start] = ACTIONS(3525),
  },
  [2542] = {
    [sym_preproc_region] = STATE(2542),
    [sym_preproc_endregion] = STATE(2542),
    [sym_preproc_line] = STATE(2542),
    [sym_preproc_pragma] = STATE(2542),
    [sym_preproc_nullable] = STATE(2542),
    [sym_preproc_error] = STATE(2542),
    [sym_preproc_define] = STATE(2542),
    [sym_preproc_undef] = STATE(2542),
    [ts_builtin_sym_end] = ACTIONS(3691),
    [sym__identifier_token] = ACTIONS(3689),
    [anon_sym_extern] = ACTIONS(3689),
    [anon_sym_alias] = ACTIONS(3689),
    [anon_sym_SEMI] = ACTIONS(3691),
    [anon_sym_global] = ACTIONS(3689),
    [anon_sym_using] = ACTIONS(3689),
    [anon_sym_unsafe] = ACTIONS(3689),
    [anon_sym_static] = ACTIONS(3689),
    [anon_sym_LBRACK] = ACTIONS(3691),
    [anon_sym_LPAREN] = ACTIONS(3691),
    [anon_sym_return] = ACTIONS(3689),
    [anon_sym_namespace] = ACTIONS(3689),
    [anon_sym_class] = ACTIONS(3689),
    [anon_sym_ref] = ACTIONS(3689),
    [anon_sym_struct] = ACTIONS(3689),
    [anon_sym_enum] = ACTIONS(3689),
    [anon_sym_LBRACE] = ACTIONS(3691),
    [anon_sym_interface] = ACTIONS(3689),
    [anon_sym_delegate] = ACTIONS(3689),
    [anon_sym_record] = ACTIONS(3689),
    [anon_sym_abstract] = ACTIONS(3689),
    [anon_sym_async] = ACTIONS(3689),
    [anon_sym_const] = ACTIONS(3689),
    [anon_sym_file] = ACTIONS(3689),
    [anon_sym_fixed] = ACTIONS(3689),
    [anon_sym_internal] = ACTIONS(3689),
    [anon_sym_new] = ACTIONS(3689),
    [anon_sym_override] = ACTIONS(3689),
    [anon_sym_partial] = ACTIONS(3689),
    [anon_sym_private] = ACTIONS(3689),
    [anon_sym_protected] = ACTIONS(3689),
    [anon_sym_public] = ACTIONS(3689),
    [anon_sym_readonly] = ACTIONS(3689),
    [anon_sym_required] = ACTIONS(3689),
    [anon_sym_sealed] = ACTIONS(3689),
    [anon_sym_virtual] = ACTIONS(3689),
    [anon_sym_volatile] = ACTIONS(3689),
    [anon_sym_where] = ACTIONS(3689),
    [anon_sym_notnull] = ACTIONS(3689),
    [anon_sym_unmanaged] = ACTIONS(3689),
    [anon_sym_checked] = ACTIONS(3689),
    [anon_sym_BANG] = ACTIONS(3691),
    [anon_sym_TILDE] = ACTIONS(3691),
    [anon_sym_PLUS_PLUS] = ACTIONS(3691),
    [anon_sym_DASH_DASH] = ACTIONS(3691),
    [anon_sym_true] = ACTIONS(3689),
    [anon_sym_false] = ACTIONS(3689),
    [anon_sym_PLUS] = ACTIONS(3689),
    [anon_sym_DASH] = ACTIONS(3689),
    [anon_sym_STAR] = ACTIONS(3691),
    [anon_sym_CARET] = ACTIONS(3691),
    [anon_sym_AMP] = ACTIONS(3691),
    [anon_sym_this] = ACTIONS(3689),
    [anon_sym_scoped] = ACTIONS(3689),
    [anon_sym_base] = ACTIONS(3689),
    [anon_sym_var] = ACTIONS(3689),
    [sym_predefined_type] = ACTIONS(3689),
    [anon_sym_break] = ACTIONS(3689),
    [anon_sym_unchecked] = ACTIONS(3689),
    [anon_sym_continue] = ACTIONS(3689),
    [anon_sym_do] = ACTIONS(3689),
    [anon_sym_while] = ACTIONS(3689),
    [anon_sym_for] = ACTIONS(3689),
    [anon_sym_lock] = ACTIONS(3689),
    [anon_sym_yield] = ACTIONS(3689),
    [anon_sym_switch] = ACTIONS(3689),
    [anon_sym_default] = ACTIONS(3689),
    [anon_sym_throw] = ACTIONS(3689),
    [anon_sym_try] = ACTIONS(3689),
    [anon_sym_when] = ACTIONS(3689),
    [anon_sym_await] = ACTIONS(3689),
    [anon_sym_foreach] = ACTIONS(3689),
    [anon_sym_goto] = ACTIONS(3689),
    [anon_sym_if] = ACTIONS(3689),
    [anon_sym_DOT_DOT] = ACTIONS(3691),
    [anon_sym_from] = ACTIONS(3689),
    [anon_sym_into] = ACTIONS(3689),
    [anon_sym_join] = ACTIONS(3689),
    [anon_sym_on] = ACTIONS(3689),
    [anon_sym_equals] = ACTIONS(3689),
    [anon_sym_let] = ACTIONS(3689),
    [anon_sym_orderby] = ACTIONS(3689),
    [anon_sym_ascending] = ACTIONS(3689),
    [anon_sym_descending] = ACTIONS(3689),
    [anon_sym_group] = ACTIONS(3689),
    [anon_sym_by] = ACTIONS(3689),
    [anon_sym_select] = ACTIONS(3689),
    [anon_sym_DQUOTE] = ACTIONS(3691),
    [anon_sym_stackalloc] = ACTIONS(3689),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym_typeof] = ACTIONS(3689),
    [anon_sym___makeref] = ACTIONS(3689),
    [anon_sym___reftype] = ACTIONS(3689),
    [anon_sym___refvalue] = ACTIONS(3689),
    [sym_null_literal] = ACTIONS(3689),
    [anon_sym_SQUOTE] = ACTIONS(3691),
    [sym_integer_literal] = ACTIONS(3689),
    [sym_real_literal] = ACTIONS(3691),
    [sym_verbatim_string_literal] = ACTIONS(3691),
    [aux_sym_preproc_if_token1] = ACTIONS(3691),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3691),
    [sym_interpolation_verbatim_start] = ACTIONS(3691),
    [sym_interpolation_raw_start] = ACTIONS(3691),
    [sym_raw_string_start] = ACTIONS(3691),
  },
  [2543] = {
    [sym_preproc_region] = STATE(2543),
    [sym_preproc_endregion] = STATE(2543),
    [sym_preproc_line] = STATE(2543),
    [sym_preproc_pragma] = STATE(2543),
    [sym_preproc_nullable] = STATE(2543),
    [sym_preproc_error] = STATE(2543),
    [sym_preproc_define] = STATE(2543),
    [sym_preproc_undef] = STATE(2543),
    [ts_builtin_sym_end] = ACTIONS(3879),
    [sym__identifier_token] = ACTIONS(3877),
    [anon_sym_extern] = ACTIONS(3877),
    [anon_sym_alias] = ACTIONS(3877),
    [anon_sym_SEMI] = ACTIONS(3879),
    [anon_sym_global] = ACTIONS(3877),
    [anon_sym_using] = ACTIONS(3877),
    [anon_sym_unsafe] = ACTIONS(3877),
    [anon_sym_static] = ACTIONS(3877),
    [anon_sym_LBRACK] = ACTIONS(3879),
    [anon_sym_LPAREN] = ACTIONS(3879),
    [anon_sym_return] = ACTIONS(3877),
    [anon_sym_namespace] = ACTIONS(3877),
    [anon_sym_class] = ACTIONS(3877),
    [anon_sym_ref] = ACTIONS(3877),
    [anon_sym_struct] = ACTIONS(3877),
    [anon_sym_enum] = ACTIONS(3877),
    [anon_sym_LBRACE] = ACTIONS(3879),
    [anon_sym_interface] = ACTIONS(3877),
    [anon_sym_delegate] = ACTIONS(3877),
    [anon_sym_record] = ACTIONS(3877),
    [anon_sym_abstract] = ACTIONS(3877),
    [anon_sym_async] = ACTIONS(3877),
    [anon_sym_const] = ACTIONS(3877),
    [anon_sym_file] = ACTIONS(3877),
    [anon_sym_fixed] = ACTIONS(3877),
    [anon_sym_internal] = ACTIONS(3877),
    [anon_sym_new] = ACTIONS(3877),
    [anon_sym_override] = ACTIONS(3877),
    [anon_sym_partial] = ACTIONS(3877),
    [anon_sym_private] = ACTIONS(3877),
    [anon_sym_protected] = ACTIONS(3877),
    [anon_sym_public] = ACTIONS(3877),
    [anon_sym_readonly] = ACTIONS(3877),
    [anon_sym_required] = ACTIONS(3877),
    [anon_sym_sealed] = ACTIONS(3877),
    [anon_sym_virtual] = ACTIONS(3877),
    [anon_sym_volatile] = ACTIONS(3877),
    [anon_sym_where] = ACTIONS(3877),
    [anon_sym_notnull] = ACTIONS(3877),
    [anon_sym_unmanaged] = ACTIONS(3877),
    [anon_sym_checked] = ACTIONS(3877),
    [anon_sym_BANG] = ACTIONS(3879),
    [anon_sym_TILDE] = ACTIONS(3879),
    [anon_sym_PLUS_PLUS] = ACTIONS(3879),
    [anon_sym_DASH_DASH] = ACTIONS(3879),
    [anon_sym_true] = ACTIONS(3877),
    [anon_sym_false] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(3877),
    [anon_sym_DASH] = ACTIONS(3877),
    [anon_sym_STAR] = ACTIONS(3879),
    [anon_sym_CARET] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(3879),
    [anon_sym_this] = ACTIONS(3877),
    [anon_sym_scoped] = ACTIONS(3877),
    [anon_sym_base] = ACTIONS(3877),
    [anon_sym_var] = ACTIONS(3877),
    [sym_predefined_type] = ACTIONS(3877),
    [anon_sym_break] = ACTIONS(3877),
    [anon_sym_unchecked] = ACTIONS(3877),
    [anon_sym_continue] = ACTIONS(3877),
    [anon_sym_do] = ACTIONS(3877),
    [anon_sym_while] = ACTIONS(3877),
    [anon_sym_for] = ACTIONS(3877),
    [anon_sym_lock] = ACTIONS(3877),
    [anon_sym_yield] = ACTIONS(3877),
    [anon_sym_switch] = ACTIONS(3877),
    [anon_sym_default] = ACTIONS(3877),
    [anon_sym_throw] = ACTIONS(3877),
    [anon_sym_try] = ACTIONS(3877),
    [anon_sym_when] = ACTIONS(3877),
    [anon_sym_await] = ACTIONS(3877),
    [anon_sym_foreach] = ACTIONS(3877),
    [anon_sym_goto] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(3877),
    [anon_sym_DOT_DOT] = ACTIONS(3879),
    [anon_sym_from] = ACTIONS(3877),
    [anon_sym_into] = ACTIONS(3877),
    [anon_sym_join] = ACTIONS(3877),
    [anon_sym_on] = ACTIONS(3877),
    [anon_sym_equals] = ACTIONS(3877),
    [anon_sym_let] = ACTIONS(3877),
    [anon_sym_orderby] = ACTIONS(3877),
    [anon_sym_ascending] = ACTIONS(3877),
    [anon_sym_descending] = ACTIONS(3877),
    [anon_sym_group] = ACTIONS(3877),
    [anon_sym_by] = ACTIONS(3877),
    [anon_sym_select] = ACTIONS(3877),
    [anon_sym_DQUOTE] = ACTIONS(3879),
    [anon_sym_stackalloc] = ACTIONS(3877),
    [anon_sym_sizeof] = ACTIONS(3877),
    [anon_sym_typeof] = ACTIONS(3877),
    [anon_sym___makeref] = ACTIONS(3877),
    [anon_sym___reftype] = ACTIONS(3877),
    [anon_sym___refvalue] = ACTIONS(3877),
    [sym_null_literal] = ACTIONS(3877),
    [anon_sym_SQUOTE] = ACTIONS(3879),
    [sym_integer_literal] = ACTIONS(3877),
    [sym_real_literal] = ACTIONS(3879),
    [sym_verbatim_string_literal] = ACTIONS(3879),
    [aux_sym_preproc_if_token1] = ACTIONS(3879),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3879),
    [sym_interpolation_verbatim_start] = ACTIONS(3879),
    [sym_interpolation_raw_start] = ACTIONS(3879),
    [sym_raw_string_start] = ACTIONS(3879),
  },
  [2544] = {
    [sym_preproc_region] = STATE(2544),
    [sym_preproc_endregion] = STATE(2544),
    [sym_preproc_line] = STATE(2544),
    [sym_preproc_pragma] = STATE(2544),
    [sym_preproc_nullable] = STATE(2544),
    [sym_preproc_error] = STATE(2544),
    [sym_preproc_define] = STATE(2544),
    [sym_preproc_undef] = STATE(2544),
    [ts_builtin_sym_end] = ACTIONS(3883),
    [sym__identifier_token] = ACTIONS(3881),
    [anon_sym_extern] = ACTIONS(3881),
    [anon_sym_alias] = ACTIONS(3881),
    [anon_sym_SEMI] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3881),
    [anon_sym_using] = ACTIONS(3881),
    [anon_sym_unsafe] = ACTIONS(3881),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_LBRACK] = ACTIONS(3883),
    [anon_sym_LPAREN] = ACTIONS(3883),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_namespace] = ACTIONS(3881),
    [anon_sym_class] = ACTIONS(3881),
    [anon_sym_ref] = ACTIONS(3881),
    [anon_sym_struct] = ACTIONS(3881),
    [anon_sym_enum] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3883),
    [anon_sym_interface] = ACTIONS(3881),
    [anon_sym_delegate] = ACTIONS(3881),
    [anon_sym_record] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3881),
    [anon_sym_async] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3881),
    [anon_sym_file] = ACTIONS(3881),
    [anon_sym_fixed] = ACTIONS(3881),
    [anon_sym_internal] = ACTIONS(3881),
    [anon_sym_new] = ACTIONS(3881),
    [anon_sym_override] = ACTIONS(3881),
    [anon_sym_partial] = ACTIONS(3881),
    [anon_sym_private] = ACTIONS(3881),
    [anon_sym_protected] = ACTIONS(3881),
    [anon_sym_public] = ACTIONS(3881),
    [anon_sym_readonly] = ACTIONS(3881),
    [anon_sym_required] = ACTIONS(3881),
    [anon_sym_sealed] = ACTIONS(3881),
    [anon_sym_virtual] = ACTIONS(3881),
    [anon_sym_volatile] = ACTIONS(3881),
    [anon_sym_where] = ACTIONS(3881),
    [anon_sym_notnull] = ACTIONS(3881),
    [anon_sym_unmanaged] = ACTIONS(3881),
    [anon_sym_checked] = ACTIONS(3881),
    [anon_sym_BANG] = ACTIONS(3883),
    [anon_sym_TILDE] = ACTIONS(3883),
    [anon_sym_PLUS_PLUS] = ACTIONS(3883),
    [anon_sym_DASH_DASH] = ACTIONS(3883),
    [anon_sym_true] = ACTIONS(3881),
    [anon_sym_false] = ACTIONS(3881),
    [anon_sym_PLUS] = ACTIONS(3881),
    [anon_sym_DASH] = ACTIONS(3881),
    [anon_sym_STAR] = ACTIONS(3883),
    [anon_sym_CARET] = ACTIONS(3883),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_this] = ACTIONS(3881),
    [anon_sym_scoped] = ACTIONS(3881),
    [anon_sym_base] = ACTIONS(3881),
    [anon_sym_var] = ACTIONS(3881),
    [sym_predefined_type] = ACTIONS(3881),
    [anon_sym_break] = ACTIONS(3881),
    [anon_sym_unchecked] = ACTIONS(3881),
    [anon_sym_continue] = ACTIONS(3881),
    [anon_sym_do] = ACTIONS(3881),
    [anon_sym_while] = ACTIONS(3881),
    [anon_sym_for] = ACTIONS(3881),
    [anon_sym_lock] = ACTIONS(3881),
    [anon_sym_yield] = ACTIONS(3881),
    [anon_sym_switch] = ACTIONS(3881),
    [anon_sym_default] = ACTIONS(3881),
    [anon_sym_throw] = ACTIONS(3881),
    [anon_sym_try] = ACTIONS(3881),
    [anon_sym_when] = ACTIONS(3881),
    [anon_sym_await] = ACTIONS(3881),
    [anon_sym_foreach] = ACTIONS(3881),
    [anon_sym_goto] = ACTIONS(3881),
    [anon_sym_if] = ACTIONS(3881),
    [anon_sym_DOT_DOT] = ACTIONS(3883),
    [anon_sym_from] = ACTIONS(3881),
    [anon_sym_into] = ACTIONS(3881),
    [anon_sym_join] = ACTIONS(3881),
    [anon_sym_on] = ACTIONS(3881),
    [anon_sym_equals] = ACTIONS(3881),
    [anon_sym_let] = ACTIONS(3881),
    [anon_sym_orderby] = ACTIONS(3881),
    [anon_sym_ascending] = ACTIONS(3881),
    [anon_sym_descending] = ACTIONS(3881),
    [anon_sym_group] = ACTIONS(3881),
    [anon_sym_by] = ACTIONS(3881),
    [anon_sym_select] = ACTIONS(3881),
    [anon_sym_DQUOTE] = ACTIONS(3883),
    [anon_sym_stackalloc] = ACTIONS(3881),
    [anon_sym_sizeof] = ACTIONS(3881),
    [anon_sym_typeof] = ACTIONS(3881),
    [anon_sym___makeref] = ACTIONS(3881),
    [anon_sym___reftype] = ACTIONS(3881),
    [anon_sym___refvalue] = ACTIONS(3881),
    [sym_null_literal] = ACTIONS(3881),
    [anon_sym_SQUOTE] = ACTIONS(3883),
    [sym_integer_literal] = ACTIONS(3881),
    [sym_real_literal] = ACTIONS(3883),
    [sym_verbatim_string_literal] = ACTIONS(3883),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3883),
    [sym_interpolation_verbatim_start] = ACTIONS(3883),
    [sym_interpolation_raw_start] = ACTIONS(3883),
    [sym_raw_string_start] = ACTIONS(3883),
  },
  [2545] = {
    [sym_preproc_region] = STATE(2545),
    [sym_preproc_endregion] = STATE(2545),
    [sym_preproc_line] = STATE(2545),
    [sym_preproc_pragma] = STATE(2545),
    [sym_preproc_nullable] = STATE(2545),
    [sym_preproc_error] = STATE(2545),
    [sym_preproc_define] = STATE(2545),
    [sym_preproc_undef] = STATE(2545),
    [ts_builtin_sym_end] = ACTIONS(3887),
    [sym__identifier_token] = ACTIONS(3885),
    [anon_sym_extern] = ACTIONS(3885),
    [anon_sym_alias] = ACTIONS(3885),
    [anon_sym_SEMI] = ACTIONS(3887),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_using] = ACTIONS(3885),
    [anon_sym_unsafe] = ACTIONS(3885),
    [anon_sym_static] = ACTIONS(3885),
    [anon_sym_LBRACK] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3887),
    [anon_sym_return] = ACTIONS(3885),
    [anon_sym_namespace] = ACTIONS(3885),
    [anon_sym_class] = ACTIONS(3885),
    [anon_sym_ref] = ACTIONS(3885),
    [anon_sym_struct] = ACTIONS(3885),
    [anon_sym_enum] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3887),
    [anon_sym_interface] = ACTIONS(3885),
    [anon_sym_delegate] = ACTIONS(3885),
    [anon_sym_record] = ACTIONS(3885),
    [anon_sym_abstract] = ACTIONS(3885),
    [anon_sym_async] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3885),
    [anon_sym_file] = ACTIONS(3885),
    [anon_sym_fixed] = ACTIONS(3885),
    [anon_sym_internal] = ACTIONS(3885),
    [anon_sym_new] = ACTIONS(3885),
    [anon_sym_override] = ACTIONS(3885),
    [anon_sym_partial] = ACTIONS(3885),
    [anon_sym_private] = ACTIONS(3885),
    [anon_sym_protected] = ACTIONS(3885),
    [anon_sym_public] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3885),
    [anon_sym_required] = ACTIONS(3885),
    [anon_sym_sealed] = ACTIONS(3885),
    [anon_sym_virtual] = ACTIONS(3885),
    [anon_sym_volatile] = ACTIONS(3885),
    [anon_sym_where] = ACTIONS(3885),
    [anon_sym_notnull] = ACTIONS(3885),
    [anon_sym_unmanaged] = ACTIONS(3885),
    [anon_sym_checked] = ACTIONS(3885),
    [anon_sym_BANG] = ACTIONS(3887),
    [anon_sym_TILDE] = ACTIONS(3887),
    [anon_sym_PLUS_PLUS] = ACTIONS(3887),
    [anon_sym_DASH_DASH] = ACTIONS(3887),
    [anon_sym_true] = ACTIONS(3885),
    [anon_sym_false] = ACTIONS(3885),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_STAR] = ACTIONS(3887),
    [anon_sym_CARET] = ACTIONS(3887),
    [anon_sym_AMP] = ACTIONS(3887),
    [anon_sym_this] = ACTIONS(3885),
    [anon_sym_scoped] = ACTIONS(3885),
    [anon_sym_base] = ACTIONS(3885),
    [anon_sym_var] = ACTIONS(3885),
    [sym_predefined_type] = ACTIONS(3885),
    [anon_sym_break] = ACTIONS(3885),
    [anon_sym_unchecked] = ACTIONS(3885),
    [anon_sym_continue] = ACTIONS(3885),
    [anon_sym_do] = ACTIONS(3885),
    [anon_sym_while] = ACTIONS(3885),
    [anon_sym_for] = ACTIONS(3885),
    [anon_sym_lock] = ACTIONS(3885),
    [anon_sym_yield] = ACTIONS(3885),
    [anon_sym_switch] = ACTIONS(3885),
    [anon_sym_default] = ACTIONS(3885),
    [anon_sym_throw] = ACTIONS(3885),
    [anon_sym_try] = ACTIONS(3885),
    [anon_sym_when] = ACTIONS(3885),
    [anon_sym_await] = ACTIONS(3885),
    [anon_sym_foreach] = ACTIONS(3885),
    [anon_sym_goto] = ACTIONS(3885),
    [anon_sym_if] = ACTIONS(3885),
    [anon_sym_DOT_DOT] = ACTIONS(3887),
    [anon_sym_from] = ACTIONS(3885),
    [anon_sym_into] = ACTIONS(3885),
    [anon_sym_join] = ACTIONS(3885),
    [anon_sym_on] = ACTIONS(3885),
    [anon_sym_equals] = ACTIONS(3885),
    [anon_sym_let] = ACTIONS(3885),
    [anon_sym_orderby] = ACTIONS(3885),
    [anon_sym_ascending] = ACTIONS(3885),
    [anon_sym_descending] = ACTIONS(3885),
    [anon_sym_group] = ACTIONS(3885),
    [anon_sym_by] = ACTIONS(3885),
    [anon_sym_select] = ACTIONS(3885),
    [anon_sym_DQUOTE] = ACTIONS(3887),
    [anon_sym_stackalloc] = ACTIONS(3885),
    [anon_sym_sizeof] = ACTIONS(3885),
    [anon_sym_typeof] = ACTIONS(3885),
    [anon_sym___makeref] = ACTIONS(3885),
    [anon_sym___reftype] = ACTIONS(3885),
    [anon_sym___refvalue] = ACTIONS(3885),
    [sym_null_literal] = ACTIONS(3885),
    [anon_sym_SQUOTE] = ACTIONS(3887),
    [sym_integer_literal] = ACTIONS(3885),
    [sym_real_literal] = ACTIONS(3887),
    [sym_verbatim_string_literal] = ACTIONS(3887),
    [aux_sym_preproc_if_token1] = ACTIONS(3887),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3887),
    [sym_interpolation_verbatim_start] = ACTIONS(3887),
    [sym_interpolation_raw_start] = ACTIONS(3887),
    [sym_raw_string_start] = ACTIONS(3887),
  },
  [2546] = {
    [sym_preproc_region] = STATE(2546),
    [sym_preproc_endregion] = STATE(2546),
    [sym_preproc_line] = STATE(2546),
    [sym_preproc_pragma] = STATE(2546),
    [sym_preproc_nullable] = STATE(2546),
    [sym_preproc_error] = STATE(2546),
    [sym_preproc_define] = STATE(2546),
    [sym_preproc_undef] = STATE(2546),
    [ts_builtin_sym_end] = ACTIONS(3891),
    [sym__identifier_token] = ACTIONS(3889),
    [anon_sym_extern] = ACTIONS(3889),
    [anon_sym_alias] = ACTIONS(3889),
    [anon_sym_SEMI] = ACTIONS(3891),
    [anon_sym_global] = ACTIONS(3889),
    [anon_sym_using] = ACTIONS(3889),
    [anon_sym_unsafe] = ACTIONS(3889),
    [anon_sym_static] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3891),
    [anon_sym_return] = ACTIONS(3889),
    [anon_sym_namespace] = ACTIONS(3889),
    [anon_sym_class] = ACTIONS(3889),
    [anon_sym_ref] = ACTIONS(3889),
    [anon_sym_struct] = ACTIONS(3889),
    [anon_sym_enum] = ACTIONS(3889),
    [anon_sym_LBRACE] = ACTIONS(3891),
    [anon_sym_interface] = ACTIONS(3889),
    [anon_sym_delegate] = ACTIONS(3889),
    [anon_sym_record] = ACTIONS(3889),
    [anon_sym_abstract] = ACTIONS(3889),
    [anon_sym_async] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3889),
    [anon_sym_file] = ACTIONS(3889),
    [anon_sym_fixed] = ACTIONS(3889),
    [anon_sym_internal] = ACTIONS(3889),
    [anon_sym_new] = ACTIONS(3889),
    [anon_sym_override] = ACTIONS(3889),
    [anon_sym_partial] = ACTIONS(3889),
    [anon_sym_private] = ACTIONS(3889),
    [anon_sym_protected] = ACTIONS(3889),
    [anon_sym_public] = ACTIONS(3889),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_required] = ACTIONS(3889),
    [anon_sym_sealed] = ACTIONS(3889),
    [anon_sym_virtual] = ACTIONS(3889),
    [anon_sym_volatile] = ACTIONS(3889),
    [anon_sym_where] = ACTIONS(3889),
    [anon_sym_notnull] = ACTIONS(3889),
    [anon_sym_unmanaged] = ACTIONS(3889),
    [anon_sym_checked] = ACTIONS(3889),
    [anon_sym_BANG] = ACTIONS(3891),
    [anon_sym_TILDE] = ACTIONS(3891),
    [anon_sym_PLUS_PLUS] = ACTIONS(3891),
    [anon_sym_DASH_DASH] = ACTIONS(3891),
    [anon_sym_true] = ACTIONS(3889),
    [anon_sym_false] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3889),
    [anon_sym_DASH] = ACTIONS(3889),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_CARET] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_this] = ACTIONS(3889),
    [anon_sym_scoped] = ACTIONS(3889),
    [anon_sym_base] = ACTIONS(3889),
    [anon_sym_var] = ACTIONS(3889),
    [sym_predefined_type] = ACTIONS(3889),
    [anon_sym_break] = ACTIONS(3889),
    [anon_sym_unchecked] = ACTIONS(3889),
    [anon_sym_continue] = ACTIONS(3889),
    [anon_sym_do] = ACTIONS(3889),
    [anon_sym_while] = ACTIONS(3889),
    [anon_sym_for] = ACTIONS(3889),
    [anon_sym_lock] = ACTIONS(3889),
    [anon_sym_yield] = ACTIONS(3889),
    [anon_sym_switch] = ACTIONS(3889),
    [anon_sym_default] = ACTIONS(3889),
    [anon_sym_throw] = ACTIONS(3889),
    [anon_sym_try] = ACTIONS(3889),
    [anon_sym_when] = ACTIONS(3889),
    [anon_sym_await] = ACTIONS(3889),
    [anon_sym_foreach] = ACTIONS(3889),
    [anon_sym_goto] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3889),
    [anon_sym_DOT_DOT] = ACTIONS(3891),
    [anon_sym_from] = ACTIONS(3889),
    [anon_sym_into] = ACTIONS(3889),
    [anon_sym_join] = ACTIONS(3889),
    [anon_sym_on] = ACTIONS(3889),
    [anon_sym_equals] = ACTIONS(3889),
    [anon_sym_let] = ACTIONS(3889),
    [anon_sym_orderby] = ACTIONS(3889),
    [anon_sym_ascending] = ACTIONS(3889),
    [anon_sym_descending] = ACTIONS(3889),
    [anon_sym_group] = ACTIONS(3889),
    [anon_sym_by] = ACTIONS(3889),
    [anon_sym_select] = ACTIONS(3889),
    [anon_sym_DQUOTE] = ACTIONS(3891),
    [anon_sym_stackalloc] = ACTIONS(3889),
    [anon_sym_sizeof] = ACTIONS(3889),
    [anon_sym_typeof] = ACTIONS(3889),
    [anon_sym___makeref] = ACTIONS(3889),
    [anon_sym___reftype] = ACTIONS(3889),
    [anon_sym___refvalue] = ACTIONS(3889),
    [sym_null_literal] = ACTIONS(3889),
    [anon_sym_SQUOTE] = ACTIONS(3891),
    [sym_integer_literal] = ACTIONS(3889),
    [sym_real_literal] = ACTIONS(3891),
    [sym_verbatim_string_literal] = ACTIONS(3891),
    [aux_sym_preproc_if_token1] = ACTIONS(3891),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3891),
    [sym_interpolation_verbatim_start] = ACTIONS(3891),
    [sym_interpolation_raw_start] = ACTIONS(3891),
    [sym_raw_string_start] = ACTIONS(3891),
  },
  [2547] = {
    [sym_preproc_region] = STATE(2547),
    [sym_preproc_endregion] = STATE(2547),
    [sym_preproc_line] = STATE(2547),
    [sym_preproc_pragma] = STATE(2547),
    [sym_preproc_nullable] = STATE(2547),
    [sym_preproc_error] = STATE(2547),
    [sym_preproc_define] = STATE(2547),
    [sym_preproc_undef] = STATE(2547),
    [ts_builtin_sym_end] = ACTIONS(3695),
    [sym__identifier_token] = ACTIONS(3693),
    [anon_sym_extern] = ACTIONS(3693),
    [anon_sym_alias] = ACTIONS(3693),
    [anon_sym_SEMI] = ACTIONS(3695),
    [anon_sym_global] = ACTIONS(3693),
    [anon_sym_using] = ACTIONS(3693),
    [anon_sym_unsafe] = ACTIONS(3693),
    [anon_sym_static] = ACTIONS(3693),
    [anon_sym_LBRACK] = ACTIONS(3695),
    [anon_sym_LPAREN] = ACTIONS(3695),
    [anon_sym_return] = ACTIONS(3693),
    [anon_sym_namespace] = ACTIONS(3693),
    [anon_sym_class] = ACTIONS(3693),
    [anon_sym_ref] = ACTIONS(3693),
    [anon_sym_struct] = ACTIONS(3693),
    [anon_sym_enum] = ACTIONS(3693),
    [anon_sym_LBRACE] = ACTIONS(3695),
    [anon_sym_interface] = ACTIONS(3693),
    [anon_sym_delegate] = ACTIONS(3693),
    [anon_sym_record] = ACTIONS(3693),
    [anon_sym_abstract] = ACTIONS(3693),
    [anon_sym_async] = ACTIONS(3693),
    [anon_sym_const] = ACTIONS(3693),
    [anon_sym_file] = ACTIONS(3693),
    [anon_sym_fixed] = ACTIONS(3693),
    [anon_sym_internal] = ACTIONS(3693),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_override] = ACTIONS(3693),
    [anon_sym_partial] = ACTIONS(3693),
    [anon_sym_private] = ACTIONS(3693),
    [anon_sym_protected] = ACTIONS(3693),
    [anon_sym_public] = ACTIONS(3693),
    [anon_sym_readonly] = ACTIONS(3693),
    [anon_sym_required] = ACTIONS(3693),
    [anon_sym_sealed] = ACTIONS(3693),
    [anon_sym_virtual] = ACTIONS(3693),
    [anon_sym_volatile] = ACTIONS(3693),
    [anon_sym_where] = ACTIONS(3693),
    [anon_sym_notnull] = ACTIONS(3693),
    [anon_sym_unmanaged] = ACTIONS(3693),
    [anon_sym_checked] = ACTIONS(3693),
    [anon_sym_BANG] = ACTIONS(3695),
    [anon_sym_TILDE] = ACTIONS(3695),
    [anon_sym_PLUS_PLUS] = ACTIONS(3695),
    [anon_sym_DASH_DASH] = ACTIONS(3695),
    [anon_sym_true] = ACTIONS(3693),
    [anon_sym_false] = ACTIONS(3693),
    [anon_sym_PLUS] = ACTIONS(3693),
    [anon_sym_DASH] = ACTIONS(3693),
    [anon_sym_STAR] = ACTIONS(3695),
    [anon_sym_CARET] = ACTIONS(3695),
    [anon_sym_AMP] = ACTIONS(3695),
    [anon_sym_this] = ACTIONS(3693),
    [anon_sym_scoped] = ACTIONS(3693),
    [anon_sym_base] = ACTIONS(3693),
    [anon_sym_var] = ACTIONS(3693),
    [sym_predefined_type] = ACTIONS(3693),
    [anon_sym_break] = ACTIONS(3693),
    [anon_sym_unchecked] = ACTIONS(3693),
    [anon_sym_continue] = ACTIONS(3693),
    [anon_sym_do] = ACTIONS(3693),
    [anon_sym_while] = ACTIONS(3693),
    [anon_sym_for] = ACTIONS(3693),
    [anon_sym_lock] = ACTIONS(3693),
    [anon_sym_yield] = ACTIONS(3693),
    [anon_sym_switch] = ACTIONS(3693),
    [anon_sym_default] = ACTIONS(3693),
    [anon_sym_throw] = ACTIONS(3693),
    [anon_sym_try] = ACTIONS(3693),
    [anon_sym_when] = ACTIONS(3693),
    [anon_sym_await] = ACTIONS(3693),
    [anon_sym_foreach] = ACTIONS(3693),
    [anon_sym_goto] = ACTIONS(3693),
    [anon_sym_if] = ACTIONS(3693),
    [anon_sym_DOT_DOT] = ACTIONS(3695),
    [anon_sym_from] = ACTIONS(3693),
    [anon_sym_into] = ACTIONS(3693),
    [anon_sym_join] = ACTIONS(3693),
    [anon_sym_on] = ACTIONS(3693),
    [anon_sym_equals] = ACTIONS(3693),
    [anon_sym_let] = ACTIONS(3693),
    [anon_sym_orderby] = ACTIONS(3693),
    [anon_sym_ascending] = ACTIONS(3693),
    [anon_sym_descending] = ACTIONS(3693),
    [anon_sym_group] = ACTIONS(3693),
    [anon_sym_by] = ACTIONS(3693),
    [anon_sym_select] = ACTIONS(3693),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [anon_sym_stackalloc] = ACTIONS(3693),
    [anon_sym_sizeof] = ACTIONS(3693),
    [anon_sym_typeof] = ACTIONS(3693),
    [anon_sym___makeref] = ACTIONS(3693),
    [anon_sym___reftype] = ACTIONS(3693),
    [anon_sym___refvalue] = ACTIONS(3693),
    [sym_null_literal] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3695),
    [sym_integer_literal] = ACTIONS(3693),
    [sym_real_literal] = ACTIONS(3695),
    [sym_verbatim_string_literal] = ACTIONS(3695),
    [aux_sym_preproc_if_token1] = ACTIONS(3695),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3695),
    [sym_interpolation_verbatim_start] = ACTIONS(3695),
    [sym_interpolation_raw_start] = ACTIONS(3695),
    [sym_raw_string_start] = ACTIONS(3695),
  },
  [2548] = {
    [sym_preproc_region] = STATE(2548),
    [sym_preproc_endregion] = STATE(2548),
    [sym_preproc_line] = STATE(2548),
    [sym_preproc_pragma] = STATE(2548),
    [sym_preproc_nullable] = STATE(2548),
    [sym_preproc_error] = STATE(2548),
    [sym_preproc_define] = STATE(2548),
    [sym_preproc_undef] = STATE(2548),
    [ts_builtin_sym_end] = ACTIONS(3529),
    [sym__identifier_token] = ACTIONS(3527),
    [anon_sym_extern] = ACTIONS(3527),
    [anon_sym_alias] = ACTIONS(3527),
    [anon_sym_SEMI] = ACTIONS(3529),
    [anon_sym_global] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(3527),
    [anon_sym_unsafe] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3529),
    [anon_sym_LPAREN] = ACTIONS(3529),
    [anon_sym_return] = ACTIONS(3527),
    [anon_sym_namespace] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_ref] = ACTIONS(3527),
    [anon_sym_struct] = ACTIONS(3527),
    [anon_sym_enum] = ACTIONS(3527),
    [anon_sym_LBRACE] = ACTIONS(3529),
    [anon_sym_interface] = ACTIONS(3527),
    [anon_sym_delegate] = ACTIONS(3527),
    [anon_sym_record] = ACTIONS(3527),
    [anon_sym_abstract] = ACTIONS(3527),
    [anon_sym_async] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3527),
    [anon_sym_file] = ACTIONS(3527),
    [anon_sym_fixed] = ACTIONS(3527),
    [anon_sym_internal] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3527),
    [anon_sym_override] = ACTIONS(3527),
    [anon_sym_partial] = ACTIONS(3527),
    [anon_sym_private] = ACTIONS(3527),
    [anon_sym_protected] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3527),
    [anon_sym_readonly] = ACTIONS(3527),
    [anon_sym_required] = ACTIONS(3527),
    [anon_sym_sealed] = ACTIONS(3527),
    [anon_sym_virtual] = ACTIONS(3527),
    [anon_sym_volatile] = ACTIONS(3527),
    [anon_sym_where] = ACTIONS(3527),
    [anon_sym_notnull] = ACTIONS(3527),
    [anon_sym_unmanaged] = ACTIONS(3527),
    [anon_sym_checked] = ACTIONS(3527),
    [anon_sym_BANG] = ACTIONS(3529),
    [anon_sym_TILDE] = ACTIONS(3529),
    [anon_sym_PLUS_PLUS] = ACTIONS(3529),
    [anon_sym_DASH_DASH] = ACTIONS(3529),
    [anon_sym_true] = ACTIONS(3527),
    [anon_sym_false] = ACTIONS(3527),
    [anon_sym_PLUS] = ACTIONS(3527),
    [anon_sym_DASH] = ACTIONS(3527),
    [anon_sym_STAR] = ACTIONS(3529),
    [anon_sym_CARET] = ACTIONS(3529),
    [anon_sym_AMP] = ACTIONS(3529),
    [anon_sym_this] = ACTIONS(3527),
    [anon_sym_scoped] = ACTIONS(3527),
    [anon_sym_base] = ACTIONS(3527),
    [anon_sym_var] = ACTIONS(3527),
    [sym_predefined_type] = ACTIONS(3527),
    [anon_sym_break] = ACTIONS(3527),
    [anon_sym_unchecked] = ACTIONS(3527),
    [anon_sym_continue] = ACTIONS(3527),
    [anon_sym_do] = ACTIONS(3527),
    [anon_sym_while] = ACTIONS(3527),
    [anon_sym_for] = ACTIONS(3527),
    [anon_sym_lock] = ACTIONS(3527),
    [anon_sym_yield] = ACTIONS(3527),
    [anon_sym_switch] = ACTIONS(3527),
    [anon_sym_default] = ACTIONS(3527),
    [anon_sym_throw] = ACTIONS(3527),
    [anon_sym_try] = ACTIONS(3527),
    [anon_sym_when] = ACTIONS(3527),
    [anon_sym_await] = ACTIONS(3527),
    [anon_sym_foreach] = ACTIONS(3527),
    [anon_sym_goto] = ACTIONS(3527),
    [anon_sym_if] = ACTIONS(3527),
    [anon_sym_DOT_DOT] = ACTIONS(3529),
    [anon_sym_from] = ACTIONS(3527),
    [anon_sym_into] = ACTIONS(3527),
    [anon_sym_join] = ACTIONS(3527),
    [anon_sym_on] = ACTIONS(3527),
    [anon_sym_equals] = ACTIONS(3527),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_orderby] = ACTIONS(3527),
    [anon_sym_ascending] = ACTIONS(3527),
    [anon_sym_descending] = ACTIONS(3527),
    [anon_sym_group] = ACTIONS(3527),
    [anon_sym_by] = ACTIONS(3527),
    [anon_sym_select] = ACTIONS(3527),
    [anon_sym_DQUOTE] = ACTIONS(3529),
    [anon_sym_stackalloc] = ACTIONS(3527),
    [anon_sym_sizeof] = ACTIONS(3527),
    [anon_sym_typeof] = ACTIONS(3527),
    [anon_sym___makeref] = ACTIONS(3527),
    [anon_sym___reftype] = ACTIONS(3527),
    [anon_sym___refvalue] = ACTIONS(3527),
    [sym_null_literal] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3529),
    [sym_integer_literal] = ACTIONS(3527),
    [sym_real_literal] = ACTIONS(3529),
    [sym_verbatim_string_literal] = ACTIONS(3529),
    [aux_sym_preproc_if_token1] = ACTIONS(3529),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3529),
    [sym_interpolation_verbatim_start] = ACTIONS(3529),
    [sym_interpolation_raw_start] = ACTIONS(3529),
    [sym_raw_string_start] = ACTIONS(3529),
  },
  [2549] = {
    [sym_preproc_region] = STATE(2549),
    [sym_preproc_endregion] = STATE(2549),
    [sym_preproc_line] = STATE(2549),
    [sym_preproc_pragma] = STATE(2549),
    [sym_preproc_nullable] = STATE(2549),
    [sym_preproc_error] = STATE(2549),
    [sym_preproc_define] = STATE(2549),
    [sym_preproc_undef] = STATE(2549),
    [ts_builtin_sym_end] = ACTIONS(3919),
    [sym__identifier_token] = ACTIONS(3917),
    [anon_sym_extern] = ACTIONS(3917),
    [anon_sym_alias] = ACTIONS(3917),
    [anon_sym_SEMI] = ACTIONS(3919),
    [anon_sym_global] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3917),
    [anon_sym_unsafe] = ACTIONS(3917),
    [anon_sym_static] = ACTIONS(3917),
    [anon_sym_LBRACK] = ACTIONS(3919),
    [anon_sym_LPAREN] = ACTIONS(3919),
    [anon_sym_return] = ACTIONS(3917),
    [anon_sym_namespace] = ACTIONS(3917),
    [anon_sym_class] = ACTIONS(3917),
    [anon_sym_ref] = ACTIONS(3917),
    [anon_sym_struct] = ACTIONS(3917),
    [anon_sym_enum] = ACTIONS(3917),
    [anon_sym_LBRACE] = ACTIONS(3919),
    [anon_sym_interface] = ACTIONS(3917),
    [anon_sym_delegate] = ACTIONS(3917),
    [anon_sym_record] = ACTIONS(3917),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_async] = ACTIONS(3917),
    [anon_sym_const] = ACTIONS(3917),
    [anon_sym_file] = ACTIONS(3917),
    [anon_sym_fixed] = ACTIONS(3917),
    [anon_sym_internal] = ACTIONS(3917),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_override] = ACTIONS(3917),
    [anon_sym_partial] = ACTIONS(3917),
    [anon_sym_private] = ACTIONS(3917),
    [anon_sym_protected] = ACTIONS(3917),
    [anon_sym_public] = ACTIONS(3917),
    [anon_sym_readonly] = ACTIONS(3917),
    [anon_sym_required] = ACTIONS(3917),
    [anon_sym_sealed] = ACTIONS(3917),
    [anon_sym_virtual] = ACTIONS(3917),
    [anon_sym_volatile] = ACTIONS(3917),
    [anon_sym_where] = ACTIONS(3917),
    [anon_sym_notnull] = ACTIONS(3917),
    [anon_sym_unmanaged] = ACTIONS(3917),
    [anon_sym_checked] = ACTIONS(3917),
    [anon_sym_BANG] = ACTIONS(3919),
    [anon_sym_TILDE] = ACTIONS(3919),
    [anon_sym_PLUS_PLUS] = ACTIONS(3919),
    [anon_sym_DASH_DASH] = ACTIONS(3919),
    [anon_sym_true] = ACTIONS(3917),
    [anon_sym_false] = ACTIONS(3917),
    [anon_sym_PLUS] = ACTIONS(3917),
    [anon_sym_DASH] = ACTIONS(3917),
    [anon_sym_STAR] = ACTIONS(3919),
    [anon_sym_CARET] = ACTIONS(3919),
    [anon_sym_AMP] = ACTIONS(3919),
    [anon_sym_this] = ACTIONS(3917),
    [anon_sym_scoped] = ACTIONS(3917),
    [anon_sym_base] = ACTIONS(3917),
    [anon_sym_var] = ACTIONS(3917),
    [sym_predefined_type] = ACTIONS(3917),
    [anon_sym_break] = ACTIONS(3917),
    [anon_sym_unchecked] = ACTIONS(3917),
    [anon_sym_continue] = ACTIONS(3917),
    [anon_sym_do] = ACTIONS(3917),
    [anon_sym_while] = ACTIONS(3917),
    [anon_sym_for] = ACTIONS(3917),
    [anon_sym_lock] = ACTIONS(3917),
    [anon_sym_yield] = ACTIONS(3917),
    [anon_sym_switch] = ACTIONS(3917),
    [anon_sym_default] = ACTIONS(3917),
    [anon_sym_throw] = ACTIONS(3917),
    [anon_sym_try] = ACTIONS(3917),
    [anon_sym_when] = ACTIONS(3917),
    [anon_sym_await] = ACTIONS(3917),
    [anon_sym_foreach] = ACTIONS(3917),
    [anon_sym_goto] = ACTIONS(3917),
    [anon_sym_if] = ACTIONS(3917),
    [anon_sym_DOT_DOT] = ACTIONS(3919),
    [anon_sym_from] = ACTIONS(3917),
    [anon_sym_into] = ACTIONS(3917),
    [anon_sym_join] = ACTIONS(3917),
    [anon_sym_on] = ACTIONS(3917),
    [anon_sym_equals] = ACTIONS(3917),
    [anon_sym_let] = ACTIONS(3917),
    [anon_sym_orderby] = ACTIONS(3917),
    [anon_sym_ascending] = ACTIONS(3917),
    [anon_sym_descending] = ACTIONS(3917),
    [anon_sym_group] = ACTIONS(3917),
    [anon_sym_by] = ACTIONS(3917),
    [anon_sym_select] = ACTIONS(3917),
    [anon_sym_DQUOTE] = ACTIONS(3919),
    [anon_sym_stackalloc] = ACTIONS(3917),
    [anon_sym_sizeof] = ACTIONS(3917),
    [anon_sym_typeof] = ACTIONS(3917),
    [anon_sym___makeref] = ACTIONS(3917),
    [anon_sym___reftype] = ACTIONS(3917),
    [anon_sym___refvalue] = ACTIONS(3917),
    [sym_null_literal] = ACTIONS(3917),
    [anon_sym_SQUOTE] = ACTIONS(3919),
    [sym_integer_literal] = ACTIONS(3917),
    [sym_real_literal] = ACTIONS(3919),
    [sym_verbatim_string_literal] = ACTIONS(3919),
    [aux_sym_preproc_if_token1] = ACTIONS(3919),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3919),
    [sym_interpolation_verbatim_start] = ACTIONS(3919),
    [sym_interpolation_raw_start] = ACTIONS(3919),
    [sym_raw_string_start] = ACTIONS(3919),
  },
  [2550] = {
    [sym_preproc_region] = STATE(2550),
    [sym_preproc_endregion] = STATE(2550),
    [sym_preproc_line] = STATE(2550),
    [sym_preproc_pragma] = STATE(2550),
    [sym_preproc_nullable] = STATE(2550),
    [sym_preproc_error] = STATE(2550),
    [sym_preproc_define] = STATE(2550),
    [sym_preproc_undef] = STATE(2550),
    [ts_builtin_sym_end] = ACTIONS(3417),
    [sym__identifier_token] = ACTIONS(3415),
    [anon_sym_extern] = ACTIONS(3415),
    [anon_sym_alias] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3417),
    [anon_sym_global] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_unsafe] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_return] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_ref] = ACTIONS(3415),
    [anon_sym_struct] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [anon_sym_LBRACE] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_delegate] = ACTIONS(3415),
    [anon_sym_record] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_file] = ACTIONS(3415),
    [anon_sym_fixed] = ACTIONS(3415),
    [anon_sym_internal] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_partial] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_required] = ACTIONS(3415),
    [anon_sym_sealed] = ACTIONS(3415),
    [anon_sym_virtual] = ACTIONS(3415),
    [anon_sym_volatile] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_notnull] = ACTIONS(3415),
    [anon_sym_unmanaged] = ACTIONS(3415),
    [anon_sym_checked] = ACTIONS(3415),
    [anon_sym_BANG] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_true] = ACTIONS(3415),
    [anon_sym_false] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_this] = ACTIONS(3415),
    [anon_sym_scoped] = ACTIONS(3415),
    [anon_sym_base] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [sym_predefined_type] = ACTIONS(3415),
    [anon_sym_break] = ACTIONS(3415),
    [anon_sym_unchecked] = ACTIONS(3415),
    [anon_sym_continue] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_while] = ACTIONS(3415),
    [anon_sym_for] = ACTIONS(3415),
    [anon_sym_lock] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_switch] = ACTIONS(3415),
    [anon_sym_default] = ACTIONS(3415),
    [anon_sym_throw] = ACTIONS(3415),
    [anon_sym_try] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_await] = ACTIONS(3415),
    [anon_sym_foreach] = ACTIONS(3415),
    [anon_sym_goto] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_DOT_DOT] = ACTIONS(3417),
    [anon_sym_from] = ACTIONS(3415),
    [anon_sym_into] = ACTIONS(3415),
    [anon_sym_join] = ACTIONS(3415),
    [anon_sym_on] = ACTIONS(3415),
    [anon_sym_equals] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_orderby] = ACTIONS(3415),
    [anon_sym_ascending] = ACTIONS(3415),
    [anon_sym_descending] = ACTIONS(3415),
    [anon_sym_group] = ACTIONS(3415),
    [anon_sym_by] = ACTIONS(3415),
    [anon_sym_select] = ACTIONS(3415),
    [anon_sym_DQUOTE] = ACTIONS(3417),
    [anon_sym_stackalloc] = ACTIONS(3415),
    [anon_sym_sizeof] = ACTIONS(3415),
    [anon_sym_typeof] = ACTIONS(3415),
    [anon_sym___makeref] = ACTIONS(3415),
    [anon_sym___reftype] = ACTIONS(3415),
    [anon_sym___refvalue] = ACTIONS(3415),
    [sym_null_literal] = ACTIONS(3415),
    [anon_sym_SQUOTE] = ACTIONS(3417),
    [sym_integer_literal] = ACTIONS(3415),
    [sym_real_literal] = ACTIONS(3417),
    [sym_verbatim_string_literal] = ACTIONS(3417),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3417),
    [sym_interpolation_verbatim_start] = ACTIONS(3417),
    [sym_interpolation_raw_start] = ACTIONS(3417),
    [sym_raw_string_start] = ACTIONS(3417),
  },
  [2551] = {
    [sym_preproc_region] = STATE(2551),
    [sym_preproc_endregion] = STATE(2551),
    [sym_preproc_line] = STATE(2551),
    [sym_preproc_pragma] = STATE(2551),
    [sym_preproc_nullable] = STATE(2551),
    [sym_preproc_error] = STATE(2551),
    [sym_preproc_define] = STATE(2551),
    [sym_preproc_undef] = STATE(2551),
    [ts_builtin_sym_end] = ACTIONS(3485),
    [sym__identifier_token] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym_alias] = ACTIONS(3483),
    [anon_sym_SEMI] = ACTIONS(3485),
    [anon_sym_global] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_unsafe] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_LPAREN] = ACTIONS(3485),
    [anon_sym_return] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_ref] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_LBRACE] = ACTIONS(3485),
    [anon_sym_interface] = ACTIONS(3483),
    [anon_sym_delegate] = ACTIONS(3483),
    [anon_sym_record] = ACTIONS(3483),
    [anon_sym_abstract] = ACTIONS(3483),
    [anon_sym_async] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_file] = ACTIONS(3483),
    [anon_sym_fixed] = ACTIONS(3483),
    [anon_sym_internal] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_override] = ACTIONS(3483),
    [anon_sym_partial] = ACTIONS(3483),
    [anon_sym_private] = ACTIONS(3483),
    [anon_sym_protected] = ACTIONS(3483),
    [anon_sym_public] = ACTIONS(3483),
    [anon_sym_readonly] = ACTIONS(3483),
    [anon_sym_required] = ACTIONS(3483),
    [anon_sym_sealed] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_where] = ACTIONS(3483),
    [anon_sym_notnull] = ACTIONS(3483),
    [anon_sym_unmanaged] = ACTIONS(3483),
    [anon_sym_checked] = ACTIONS(3483),
    [anon_sym_BANG] = ACTIONS(3485),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_PLUS_PLUS] = ACTIONS(3485),
    [anon_sym_DASH_DASH] = ACTIONS(3485),
    [anon_sym_true] = ACTIONS(3483),
    [anon_sym_false] = ACTIONS(3483),
    [anon_sym_PLUS] = ACTIONS(3483),
    [anon_sym_DASH] = ACTIONS(3483),
    [anon_sym_STAR] = ACTIONS(3485),
    [anon_sym_CARET] = ACTIONS(3485),
    [anon_sym_AMP] = ACTIONS(3485),
    [anon_sym_this] = ACTIONS(3483),
    [anon_sym_scoped] = ACTIONS(3483),
    [anon_sym_base] = ACTIONS(3483),
    [anon_sym_var] = ACTIONS(3483),
    [sym_predefined_type] = ACTIONS(3483),
    [anon_sym_break] = ACTIONS(3483),
    [anon_sym_unchecked] = ACTIONS(3483),
    [anon_sym_continue] = ACTIONS(3483),
    [anon_sym_do] = ACTIONS(3483),
    [anon_sym_while] = ACTIONS(3483),
    [anon_sym_for] = ACTIONS(3483),
    [anon_sym_lock] = ACTIONS(3483),
    [anon_sym_yield] = ACTIONS(3483),
    [anon_sym_switch] = ACTIONS(3483),
    [anon_sym_default] = ACTIONS(3483),
    [anon_sym_throw] = ACTIONS(3483),
    [anon_sym_try] = ACTIONS(3483),
    [anon_sym_when] = ACTIONS(3483),
    [anon_sym_await] = ACTIONS(3483),
    [anon_sym_foreach] = ACTIONS(3483),
    [anon_sym_goto] = ACTIONS(3483),
    [anon_sym_if] = ACTIONS(3483),
    [anon_sym_DOT_DOT] = ACTIONS(3485),
    [anon_sym_from] = ACTIONS(3483),
    [anon_sym_into] = ACTIONS(3483),
    [anon_sym_join] = ACTIONS(3483),
    [anon_sym_on] = ACTIONS(3483),
    [anon_sym_equals] = ACTIONS(3483),
    [anon_sym_let] = ACTIONS(3483),
    [anon_sym_orderby] = ACTIONS(3483),
    [anon_sym_ascending] = ACTIONS(3483),
    [anon_sym_descending] = ACTIONS(3483),
    [anon_sym_group] = ACTIONS(3483),
    [anon_sym_by] = ACTIONS(3483),
    [anon_sym_select] = ACTIONS(3483),
    [anon_sym_DQUOTE] = ACTIONS(3485),
    [anon_sym_stackalloc] = ACTIONS(3483),
    [anon_sym_sizeof] = ACTIONS(3483),
    [anon_sym_typeof] = ACTIONS(3483),
    [anon_sym___makeref] = ACTIONS(3483),
    [anon_sym___reftype] = ACTIONS(3483),
    [anon_sym___refvalue] = ACTIONS(3483),
    [sym_null_literal] = ACTIONS(3483),
    [anon_sym_SQUOTE] = ACTIONS(3485),
    [sym_integer_literal] = ACTIONS(3483),
    [sym_real_literal] = ACTIONS(3485),
    [sym_verbatim_string_literal] = ACTIONS(3485),
    [aux_sym_preproc_if_token1] = ACTIONS(3485),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3485),
    [sym_interpolation_verbatim_start] = ACTIONS(3485),
    [sym_interpolation_raw_start] = ACTIONS(3485),
    [sym_raw_string_start] = ACTIONS(3485),
  },
  [2552] = {
    [sym_preproc_region] = STATE(2552),
    [sym_preproc_endregion] = STATE(2552),
    [sym_preproc_line] = STATE(2552),
    [sym_preproc_pragma] = STATE(2552),
    [sym_preproc_nullable] = STATE(2552),
    [sym_preproc_error] = STATE(2552),
    [sym_preproc_define] = STATE(2552),
    [sym_preproc_undef] = STATE(2552),
    [ts_builtin_sym_end] = ACTIONS(3895),
    [sym__identifier_token] = ACTIONS(3893),
    [anon_sym_extern] = ACTIONS(3893),
    [anon_sym_alias] = ACTIONS(3893),
    [anon_sym_SEMI] = ACTIONS(3895),
    [anon_sym_global] = ACTIONS(3893),
    [anon_sym_using] = ACTIONS(3893),
    [anon_sym_unsafe] = ACTIONS(3893),
    [anon_sym_static] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(3895),
    [anon_sym_return] = ACTIONS(3893),
    [anon_sym_namespace] = ACTIONS(3893),
    [anon_sym_class] = ACTIONS(3893),
    [anon_sym_ref] = ACTIONS(3893),
    [anon_sym_struct] = ACTIONS(3893),
    [anon_sym_enum] = ACTIONS(3893),
    [anon_sym_LBRACE] = ACTIONS(3895),
    [anon_sym_interface] = ACTIONS(3893),
    [anon_sym_delegate] = ACTIONS(3893),
    [anon_sym_record] = ACTIONS(3893),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_async] = ACTIONS(3893),
    [anon_sym_const] = ACTIONS(3893),
    [anon_sym_file] = ACTIONS(3893),
    [anon_sym_fixed] = ACTIONS(3893),
    [anon_sym_internal] = ACTIONS(3893),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_override] = ACTIONS(3893),
    [anon_sym_partial] = ACTIONS(3893),
    [anon_sym_private] = ACTIONS(3893),
    [anon_sym_protected] = ACTIONS(3893),
    [anon_sym_public] = ACTIONS(3893),
    [anon_sym_readonly] = ACTIONS(3893),
    [anon_sym_required] = ACTIONS(3893),
    [anon_sym_sealed] = ACTIONS(3893),
    [anon_sym_virtual] = ACTIONS(3893),
    [anon_sym_volatile] = ACTIONS(3893),
    [anon_sym_where] = ACTIONS(3893),
    [anon_sym_notnull] = ACTIONS(3893),
    [anon_sym_unmanaged] = ACTIONS(3893),
    [anon_sym_checked] = ACTIONS(3893),
    [anon_sym_BANG] = ACTIONS(3895),
    [anon_sym_TILDE] = ACTIONS(3895),
    [anon_sym_PLUS_PLUS] = ACTIONS(3895),
    [anon_sym_DASH_DASH] = ACTIONS(3895),
    [anon_sym_true] = ACTIONS(3893),
    [anon_sym_false] = ACTIONS(3893),
    [anon_sym_PLUS] = ACTIONS(3893),
    [anon_sym_DASH] = ACTIONS(3893),
    [anon_sym_STAR] = ACTIONS(3895),
    [anon_sym_CARET] = ACTIONS(3895),
    [anon_sym_AMP] = ACTIONS(3895),
    [anon_sym_this] = ACTIONS(3893),
    [anon_sym_scoped] = ACTIONS(3893),
    [anon_sym_base] = ACTIONS(3893),
    [anon_sym_var] = ACTIONS(3893),
    [sym_predefined_type] = ACTIONS(3893),
    [anon_sym_break] = ACTIONS(3893),
    [anon_sym_unchecked] = ACTIONS(3893),
    [anon_sym_continue] = ACTIONS(3893),
    [anon_sym_do] = ACTIONS(3893),
    [anon_sym_while] = ACTIONS(3893),
    [anon_sym_for] = ACTIONS(3893),
    [anon_sym_lock] = ACTIONS(3893),
    [anon_sym_yield] = ACTIONS(3893),
    [anon_sym_switch] = ACTIONS(3893),
    [anon_sym_default] = ACTIONS(3893),
    [anon_sym_throw] = ACTIONS(3893),
    [anon_sym_try] = ACTIONS(3893),
    [anon_sym_when] = ACTIONS(3893),
    [anon_sym_await] = ACTIONS(3893),
    [anon_sym_foreach] = ACTIONS(3893),
    [anon_sym_goto] = ACTIONS(3893),
    [anon_sym_if] = ACTIONS(3893),
    [anon_sym_DOT_DOT] = ACTIONS(3895),
    [anon_sym_from] = ACTIONS(3893),
    [anon_sym_into] = ACTIONS(3893),
    [anon_sym_join] = ACTIONS(3893),
    [anon_sym_on] = ACTIONS(3893),
    [anon_sym_equals] = ACTIONS(3893),
    [anon_sym_let] = ACTIONS(3893),
    [anon_sym_orderby] = ACTIONS(3893),
    [anon_sym_ascending] = ACTIONS(3893),
    [anon_sym_descending] = ACTIONS(3893),
    [anon_sym_group] = ACTIONS(3893),
    [anon_sym_by] = ACTIONS(3893),
    [anon_sym_select] = ACTIONS(3893),
    [anon_sym_DQUOTE] = ACTIONS(3895),
    [anon_sym_stackalloc] = ACTIONS(3893),
    [anon_sym_sizeof] = ACTIONS(3893),
    [anon_sym_typeof] = ACTIONS(3893),
    [anon_sym___makeref] = ACTIONS(3893),
    [anon_sym___reftype] = ACTIONS(3893),
    [anon_sym___refvalue] = ACTIONS(3893),
    [sym_null_literal] = ACTIONS(3893),
    [anon_sym_SQUOTE] = ACTIONS(3895),
    [sym_integer_literal] = ACTIONS(3893),
    [sym_real_literal] = ACTIONS(3895),
    [sym_verbatim_string_literal] = ACTIONS(3895),
    [aux_sym_preproc_if_token1] = ACTIONS(3895),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3895),
    [sym_interpolation_verbatim_start] = ACTIONS(3895),
    [sym_interpolation_raw_start] = ACTIONS(3895),
    [sym_raw_string_start] = ACTIONS(3895),
  },
  [2553] = {
    [sym_preproc_region] = STATE(2553),
    [sym_preproc_endregion] = STATE(2553),
    [sym_preproc_line] = STATE(2553),
    [sym_preproc_pragma] = STATE(2553),
    [sym_preproc_nullable] = STATE(2553),
    [sym_preproc_error] = STATE(2553),
    [sym_preproc_define] = STATE(2553),
    [sym_preproc_undef] = STATE(2553),
    [ts_builtin_sym_end] = ACTIONS(3699),
    [sym__identifier_token] = ACTIONS(3697),
    [anon_sym_extern] = ACTIONS(3697),
    [anon_sym_alias] = ACTIONS(3697),
    [anon_sym_SEMI] = ACTIONS(3699),
    [anon_sym_global] = ACTIONS(3697),
    [anon_sym_using] = ACTIONS(3697),
    [anon_sym_unsafe] = ACTIONS(3697),
    [anon_sym_static] = ACTIONS(3697),
    [anon_sym_LBRACK] = ACTIONS(3699),
    [anon_sym_LPAREN] = ACTIONS(3699),
    [anon_sym_return] = ACTIONS(3697),
    [anon_sym_namespace] = ACTIONS(3697),
    [anon_sym_class] = ACTIONS(3697),
    [anon_sym_ref] = ACTIONS(3697),
    [anon_sym_struct] = ACTIONS(3697),
    [anon_sym_enum] = ACTIONS(3697),
    [anon_sym_LBRACE] = ACTIONS(3699),
    [anon_sym_interface] = ACTIONS(3697),
    [anon_sym_delegate] = ACTIONS(3697),
    [anon_sym_record] = ACTIONS(3697),
    [anon_sym_abstract] = ACTIONS(3697),
    [anon_sym_async] = ACTIONS(3697),
    [anon_sym_const] = ACTIONS(3697),
    [anon_sym_file] = ACTIONS(3697),
    [anon_sym_fixed] = ACTIONS(3697),
    [anon_sym_internal] = ACTIONS(3697),
    [anon_sym_new] = ACTIONS(3697),
    [anon_sym_override] = ACTIONS(3697),
    [anon_sym_partial] = ACTIONS(3697),
    [anon_sym_private] = ACTIONS(3697),
    [anon_sym_protected] = ACTIONS(3697),
    [anon_sym_public] = ACTIONS(3697),
    [anon_sym_readonly] = ACTIONS(3697),
    [anon_sym_required] = ACTIONS(3697),
    [anon_sym_sealed] = ACTIONS(3697),
    [anon_sym_virtual] = ACTIONS(3697),
    [anon_sym_volatile] = ACTIONS(3697),
    [anon_sym_where] = ACTIONS(3697),
    [anon_sym_notnull] = ACTIONS(3697),
    [anon_sym_unmanaged] = ACTIONS(3697),
    [anon_sym_checked] = ACTIONS(3697),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_PLUS_PLUS] = ACTIONS(3699),
    [anon_sym_DASH_DASH] = ACTIONS(3699),
    [anon_sym_true] = ACTIONS(3697),
    [anon_sym_false] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(3699),
    [anon_sym_CARET] = ACTIONS(3699),
    [anon_sym_AMP] = ACTIONS(3699),
    [anon_sym_this] = ACTIONS(3697),
    [anon_sym_scoped] = ACTIONS(3697),
    [anon_sym_base] = ACTIONS(3697),
    [anon_sym_var] = ACTIONS(3697),
    [sym_predefined_type] = ACTIONS(3697),
    [anon_sym_break] = ACTIONS(3697),
    [anon_sym_unchecked] = ACTIONS(3697),
    [anon_sym_continue] = ACTIONS(3697),
    [anon_sym_do] = ACTIONS(3697),
    [anon_sym_while] = ACTIONS(3697),
    [anon_sym_for] = ACTIONS(3697),
    [anon_sym_lock] = ACTIONS(3697),
    [anon_sym_yield] = ACTIONS(3697),
    [anon_sym_switch] = ACTIONS(3697),
    [anon_sym_default] = ACTIONS(3697),
    [anon_sym_throw] = ACTIONS(3697),
    [anon_sym_try] = ACTIONS(3697),
    [anon_sym_when] = ACTIONS(3697),
    [anon_sym_await] = ACTIONS(3697),
    [anon_sym_foreach] = ACTIONS(3697),
    [anon_sym_goto] = ACTIONS(3697),
    [anon_sym_if] = ACTIONS(3697),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_from] = ACTIONS(3697),
    [anon_sym_into] = ACTIONS(3697),
    [anon_sym_join] = ACTIONS(3697),
    [anon_sym_on] = ACTIONS(3697),
    [anon_sym_equals] = ACTIONS(3697),
    [anon_sym_let] = ACTIONS(3697),
    [anon_sym_orderby] = ACTIONS(3697),
    [anon_sym_ascending] = ACTIONS(3697),
    [anon_sym_descending] = ACTIONS(3697),
    [anon_sym_group] = ACTIONS(3697),
    [anon_sym_by] = ACTIONS(3697),
    [anon_sym_select] = ACTIONS(3697),
    [anon_sym_DQUOTE] = ACTIONS(3699),
    [anon_sym_stackalloc] = ACTIONS(3697),
    [anon_sym_sizeof] = ACTIONS(3697),
    [anon_sym_typeof] = ACTIONS(3697),
    [anon_sym___makeref] = ACTIONS(3697),
    [anon_sym___reftype] = ACTIONS(3697),
    [anon_sym___refvalue] = ACTIONS(3697),
    [sym_null_literal] = ACTIONS(3697),
    [anon_sym_SQUOTE] = ACTIONS(3699),
    [sym_integer_literal] = ACTIONS(3697),
    [sym_real_literal] = ACTIONS(3699),
    [sym_verbatim_string_literal] = ACTIONS(3699),
    [aux_sym_preproc_if_token1] = ACTIONS(3699),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3699),
    [sym_interpolation_verbatim_start] = ACTIONS(3699),
    [sym_interpolation_raw_start] = ACTIONS(3699),
    [sym_raw_string_start] = ACTIONS(3699),
  },
  [2554] = {
    [sym_preproc_region] = STATE(2554),
    [sym_preproc_endregion] = STATE(2554),
    [sym_preproc_line] = STATE(2554),
    [sym_preproc_pragma] = STATE(2554),
    [sym_preproc_nullable] = STATE(2554),
    [sym_preproc_error] = STATE(2554),
    [sym_preproc_define] = STATE(2554),
    [sym_preproc_undef] = STATE(2554),
    [ts_builtin_sym_end] = ACTIONS(3899),
    [sym__identifier_token] = ACTIONS(3897),
    [anon_sym_extern] = ACTIONS(3897),
    [anon_sym_alias] = ACTIONS(3897),
    [anon_sym_SEMI] = ACTIONS(3899),
    [anon_sym_global] = ACTIONS(3897),
    [anon_sym_using] = ACTIONS(3897),
    [anon_sym_unsafe] = ACTIONS(3897),
    [anon_sym_static] = ACTIONS(3897),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_LPAREN] = ACTIONS(3899),
    [anon_sym_return] = ACTIONS(3897),
    [anon_sym_namespace] = ACTIONS(3897),
    [anon_sym_class] = ACTIONS(3897),
    [anon_sym_ref] = ACTIONS(3897),
    [anon_sym_struct] = ACTIONS(3897),
    [anon_sym_enum] = ACTIONS(3897),
    [anon_sym_LBRACE] = ACTIONS(3899),
    [anon_sym_interface] = ACTIONS(3897),
    [anon_sym_delegate] = ACTIONS(3897),
    [anon_sym_record] = ACTIONS(3897),
    [anon_sym_abstract] = ACTIONS(3897),
    [anon_sym_async] = ACTIONS(3897),
    [anon_sym_const] = ACTIONS(3897),
    [anon_sym_file] = ACTIONS(3897),
    [anon_sym_fixed] = ACTIONS(3897),
    [anon_sym_internal] = ACTIONS(3897),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_override] = ACTIONS(3897),
    [anon_sym_partial] = ACTIONS(3897),
    [anon_sym_private] = ACTIONS(3897),
    [anon_sym_protected] = ACTIONS(3897),
    [anon_sym_public] = ACTIONS(3897),
    [anon_sym_readonly] = ACTIONS(3897),
    [anon_sym_required] = ACTIONS(3897),
    [anon_sym_sealed] = ACTIONS(3897),
    [anon_sym_virtual] = ACTIONS(3897),
    [anon_sym_volatile] = ACTIONS(3897),
    [anon_sym_where] = ACTIONS(3897),
    [anon_sym_notnull] = ACTIONS(3897),
    [anon_sym_unmanaged] = ACTIONS(3897),
    [anon_sym_checked] = ACTIONS(3897),
    [anon_sym_BANG] = ACTIONS(3899),
    [anon_sym_TILDE] = ACTIONS(3899),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_true] = ACTIONS(3897),
    [anon_sym_false] = ACTIONS(3897),
    [anon_sym_PLUS] = ACTIONS(3897),
    [anon_sym_DASH] = ACTIONS(3897),
    [anon_sym_STAR] = ACTIONS(3899),
    [anon_sym_CARET] = ACTIONS(3899),
    [anon_sym_AMP] = ACTIONS(3899),
    [anon_sym_this] = ACTIONS(3897),
    [anon_sym_scoped] = ACTIONS(3897),
    [anon_sym_base] = ACTIONS(3897),
    [anon_sym_var] = ACTIONS(3897),
    [sym_predefined_type] = ACTIONS(3897),
    [anon_sym_break] = ACTIONS(3897),
    [anon_sym_unchecked] = ACTIONS(3897),
    [anon_sym_continue] = ACTIONS(3897),
    [anon_sym_do] = ACTIONS(3897),
    [anon_sym_while] = ACTIONS(3897),
    [anon_sym_for] = ACTIONS(3897),
    [anon_sym_lock] = ACTIONS(3897),
    [anon_sym_yield] = ACTIONS(3897),
    [anon_sym_switch] = ACTIONS(3897),
    [anon_sym_default] = ACTIONS(3897),
    [anon_sym_throw] = ACTIONS(3897),
    [anon_sym_try] = ACTIONS(3897),
    [anon_sym_when] = ACTIONS(3897),
    [anon_sym_await] = ACTIONS(3897),
    [anon_sym_foreach] = ACTIONS(3897),
    [anon_sym_goto] = ACTIONS(3897),
    [anon_sym_if] = ACTIONS(3897),
    [anon_sym_DOT_DOT] = ACTIONS(3899),
    [anon_sym_from] = ACTIONS(3897),
    [anon_sym_into] = ACTIONS(3897),
    [anon_sym_join] = ACTIONS(3897),
    [anon_sym_on] = ACTIONS(3897),
    [anon_sym_equals] = ACTIONS(3897),
    [anon_sym_let] = ACTIONS(3897),
    [anon_sym_orderby] = ACTIONS(3897),
    [anon_sym_ascending] = ACTIONS(3897),
    [anon_sym_descending] = ACTIONS(3897),
    [anon_sym_group] = ACTIONS(3897),
    [anon_sym_by] = ACTIONS(3897),
    [anon_sym_select] = ACTIONS(3897),
    [anon_sym_DQUOTE] = ACTIONS(3899),
    [anon_sym_stackalloc] = ACTIONS(3897),
    [anon_sym_sizeof] = ACTIONS(3897),
    [anon_sym_typeof] = ACTIONS(3897),
    [anon_sym___makeref] = ACTIONS(3897),
    [anon_sym___reftype] = ACTIONS(3897),
    [anon_sym___refvalue] = ACTIONS(3897),
    [sym_null_literal] = ACTIONS(3897),
    [anon_sym_SQUOTE] = ACTIONS(3899),
    [sym_integer_literal] = ACTIONS(3897),
    [sym_real_literal] = ACTIONS(3899),
    [sym_verbatim_string_literal] = ACTIONS(3899),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3899),
    [sym_interpolation_verbatim_start] = ACTIONS(3899),
    [sym_interpolation_raw_start] = ACTIONS(3899),
    [sym_raw_string_start] = ACTIONS(3899),
  },
  [2555] = {
    [sym_preproc_region] = STATE(2555),
    [sym_preproc_endregion] = STATE(2555),
    [sym_preproc_line] = STATE(2555),
    [sym_preproc_pragma] = STATE(2555),
    [sym_preproc_nullable] = STATE(2555),
    [sym_preproc_error] = STATE(2555),
    [sym_preproc_define] = STATE(2555),
    [sym_preproc_undef] = STATE(2555),
    [ts_builtin_sym_end] = ACTIONS(3903),
    [sym__identifier_token] = ACTIONS(3901),
    [anon_sym_extern] = ACTIONS(3901),
    [anon_sym_alias] = ACTIONS(3901),
    [anon_sym_SEMI] = ACTIONS(3903),
    [anon_sym_global] = ACTIONS(3901),
    [anon_sym_using] = ACTIONS(3901),
    [anon_sym_unsafe] = ACTIONS(3901),
    [anon_sym_static] = ACTIONS(3901),
    [anon_sym_LBRACK] = ACTIONS(3903),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_return] = ACTIONS(3901),
    [anon_sym_namespace] = ACTIONS(3901),
    [anon_sym_class] = ACTIONS(3901),
    [anon_sym_ref] = ACTIONS(3901),
    [anon_sym_struct] = ACTIONS(3901),
    [anon_sym_enum] = ACTIONS(3901),
    [anon_sym_LBRACE] = ACTIONS(3903),
    [anon_sym_interface] = ACTIONS(3901),
    [anon_sym_delegate] = ACTIONS(3901),
    [anon_sym_record] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3901),
    [anon_sym_async] = ACTIONS(3901),
    [anon_sym_const] = ACTIONS(3901),
    [anon_sym_file] = ACTIONS(3901),
    [anon_sym_fixed] = ACTIONS(3901),
    [anon_sym_internal] = ACTIONS(3901),
    [anon_sym_new] = ACTIONS(3901),
    [anon_sym_override] = ACTIONS(3901),
    [anon_sym_partial] = ACTIONS(3901),
    [anon_sym_private] = ACTIONS(3901),
    [anon_sym_protected] = ACTIONS(3901),
    [anon_sym_public] = ACTIONS(3901),
    [anon_sym_readonly] = ACTIONS(3901),
    [anon_sym_required] = ACTIONS(3901),
    [anon_sym_sealed] = ACTIONS(3901),
    [anon_sym_virtual] = ACTIONS(3901),
    [anon_sym_volatile] = ACTIONS(3901),
    [anon_sym_where] = ACTIONS(3901),
    [anon_sym_notnull] = ACTIONS(3901),
    [anon_sym_unmanaged] = ACTIONS(3901),
    [anon_sym_checked] = ACTIONS(3901),
    [anon_sym_BANG] = ACTIONS(3903),
    [anon_sym_TILDE] = ACTIONS(3903),
    [anon_sym_PLUS_PLUS] = ACTIONS(3903),
    [anon_sym_DASH_DASH] = ACTIONS(3903),
    [anon_sym_true] = ACTIONS(3901),
    [anon_sym_false] = ACTIONS(3901),
    [anon_sym_PLUS] = ACTIONS(3901),
    [anon_sym_DASH] = ACTIONS(3901),
    [anon_sym_STAR] = ACTIONS(3903),
    [anon_sym_CARET] = ACTIONS(3903),
    [anon_sym_AMP] = ACTIONS(3903),
    [anon_sym_this] = ACTIONS(3901),
    [anon_sym_scoped] = ACTIONS(3901),
    [anon_sym_base] = ACTIONS(3901),
    [anon_sym_var] = ACTIONS(3901),
    [sym_predefined_type] = ACTIONS(3901),
    [anon_sym_break] = ACTIONS(3901),
    [anon_sym_unchecked] = ACTIONS(3901),
    [anon_sym_continue] = ACTIONS(3901),
    [anon_sym_do] = ACTIONS(3901),
    [anon_sym_while] = ACTIONS(3901),
    [anon_sym_for] = ACTIONS(3901),
    [anon_sym_lock] = ACTIONS(3901),
    [anon_sym_yield] = ACTIONS(3901),
    [anon_sym_switch] = ACTIONS(3901),
    [anon_sym_default] = ACTIONS(3901),
    [anon_sym_throw] = ACTIONS(3901),
    [anon_sym_try] = ACTIONS(3901),
    [anon_sym_when] = ACTIONS(3901),
    [anon_sym_await] = ACTIONS(3901),
    [anon_sym_foreach] = ACTIONS(3901),
    [anon_sym_goto] = ACTIONS(3901),
    [anon_sym_if] = ACTIONS(3901),
    [anon_sym_DOT_DOT] = ACTIONS(3903),
    [anon_sym_from] = ACTIONS(3901),
    [anon_sym_into] = ACTIONS(3901),
    [anon_sym_join] = ACTIONS(3901),
    [anon_sym_on] = ACTIONS(3901),
    [anon_sym_equals] = ACTIONS(3901),
    [anon_sym_let] = ACTIONS(3901),
    [anon_sym_orderby] = ACTIONS(3901),
    [anon_sym_ascending] = ACTIONS(3901),
    [anon_sym_descending] = ACTIONS(3901),
    [anon_sym_group] = ACTIONS(3901),
    [anon_sym_by] = ACTIONS(3901),
    [anon_sym_select] = ACTIONS(3901),
    [anon_sym_DQUOTE] = ACTIONS(3903),
    [anon_sym_stackalloc] = ACTIONS(3901),
    [anon_sym_sizeof] = ACTIONS(3901),
    [anon_sym_typeof] = ACTIONS(3901),
    [anon_sym___makeref] = ACTIONS(3901),
    [anon_sym___reftype] = ACTIONS(3901),
    [anon_sym___refvalue] = ACTIONS(3901),
    [sym_null_literal] = ACTIONS(3901),
    [anon_sym_SQUOTE] = ACTIONS(3903),
    [sym_integer_literal] = ACTIONS(3901),
    [sym_real_literal] = ACTIONS(3903),
    [sym_verbatim_string_literal] = ACTIONS(3903),
    [aux_sym_preproc_if_token1] = ACTIONS(3903),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3903),
    [sym_interpolation_verbatim_start] = ACTIONS(3903),
    [sym_interpolation_raw_start] = ACTIONS(3903),
    [sym_raw_string_start] = ACTIONS(3903),
  },
  [2556] = {
    [sym_preproc_region] = STATE(2556),
    [sym_preproc_endregion] = STATE(2556),
    [sym_preproc_line] = STATE(2556),
    [sym_preproc_pragma] = STATE(2556),
    [sym_preproc_nullable] = STATE(2556),
    [sym_preproc_error] = STATE(2556),
    [sym_preproc_define] = STATE(2556),
    [sym_preproc_undef] = STATE(2556),
    [ts_builtin_sym_end] = ACTIONS(3409),
    [sym__identifier_token] = ACTIONS(3407),
    [anon_sym_extern] = ACTIONS(3407),
    [anon_sym_alias] = ACTIONS(3407),
    [anon_sym_SEMI] = ACTIONS(3409),
    [anon_sym_global] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_unsafe] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_return] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_ref] = ACTIONS(3407),
    [anon_sym_struct] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [anon_sym_LBRACE] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_delegate] = ACTIONS(3407),
    [anon_sym_record] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_file] = ACTIONS(3407),
    [anon_sym_fixed] = ACTIONS(3407),
    [anon_sym_internal] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_partial] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_required] = ACTIONS(3407),
    [anon_sym_sealed] = ACTIONS(3407),
    [anon_sym_virtual] = ACTIONS(3407),
    [anon_sym_volatile] = ACTIONS(3407),
    [anon_sym_where] = ACTIONS(3407),
    [anon_sym_notnull] = ACTIONS(3407),
    [anon_sym_unmanaged] = ACTIONS(3407),
    [anon_sym_checked] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3409),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_PLUS_PLUS] = ACTIONS(3409),
    [anon_sym_DASH_DASH] = ACTIONS(3409),
    [anon_sym_true] = ACTIONS(3407),
    [anon_sym_false] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3407),
    [anon_sym_STAR] = ACTIONS(3409),
    [anon_sym_CARET] = ACTIONS(3409),
    [anon_sym_AMP] = ACTIONS(3409),
    [anon_sym_this] = ACTIONS(3407),
    [anon_sym_scoped] = ACTIONS(3407),
    [anon_sym_base] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [sym_predefined_type] = ACTIONS(3407),
    [anon_sym_break] = ACTIONS(3407),
    [anon_sym_unchecked] = ACTIONS(3407),
    [anon_sym_continue] = ACTIONS(3407),
    [anon_sym_do] = ACTIONS(3407),
    [anon_sym_while] = ACTIONS(3407),
    [anon_sym_for] = ACTIONS(3407),
    [anon_sym_lock] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_switch] = ACTIONS(3407),
    [anon_sym_default] = ACTIONS(3407),
    [anon_sym_throw] = ACTIONS(3407),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_when] = ACTIONS(3407),
    [anon_sym_await] = ACTIONS(3407),
    [anon_sym_foreach] = ACTIONS(3407),
    [anon_sym_goto] = ACTIONS(3407),
    [anon_sym_if] = ACTIONS(3407),
    [anon_sym_DOT_DOT] = ACTIONS(3409),
    [anon_sym_from] = ACTIONS(3407),
    [anon_sym_into] = ACTIONS(3407),
    [anon_sym_join] = ACTIONS(3407),
    [anon_sym_on] = ACTIONS(3407),
    [anon_sym_equals] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_orderby] = ACTIONS(3407),
    [anon_sym_ascending] = ACTIONS(3407),
    [anon_sym_descending] = ACTIONS(3407),
    [anon_sym_group] = ACTIONS(3407),
    [anon_sym_by] = ACTIONS(3407),
    [anon_sym_select] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3409),
    [anon_sym_stackalloc] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3407),
    [anon_sym_typeof] = ACTIONS(3407),
    [anon_sym___makeref] = ACTIONS(3407),
    [anon_sym___reftype] = ACTIONS(3407),
    [anon_sym___refvalue] = ACTIONS(3407),
    [sym_null_literal] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3409),
    [sym_integer_literal] = ACTIONS(3407),
    [sym_real_literal] = ACTIONS(3409),
    [sym_verbatim_string_literal] = ACTIONS(3409),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3409),
    [sym_interpolation_verbatim_start] = ACTIONS(3409),
    [sym_interpolation_raw_start] = ACTIONS(3409),
    [sym_raw_string_start] = ACTIONS(3409),
  },
  [2557] = {
    [sym_preproc_region] = STATE(2557),
    [sym_preproc_endregion] = STATE(2557),
    [sym_preproc_line] = STATE(2557),
    [sym_preproc_pragma] = STATE(2557),
    [sym_preproc_nullable] = STATE(2557),
    [sym_preproc_error] = STATE(2557),
    [sym_preproc_define] = STATE(2557),
    [sym_preproc_undef] = STATE(2557),
    [ts_builtin_sym_end] = ACTIONS(3911),
    [sym__identifier_token] = ACTIONS(3909),
    [anon_sym_extern] = ACTIONS(3909),
    [anon_sym_alias] = ACTIONS(3909),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_using] = ACTIONS(3909),
    [anon_sym_unsafe] = ACTIONS(3909),
    [anon_sym_static] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3911),
    [anon_sym_return] = ACTIONS(3909),
    [anon_sym_namespace] = ACTIONS(3909),
    [anon_sym_class] = ACTIONS(3909),
    [anon_sym_ref] = ACTIONS(3909),
    [anon_sym_struct] = ACTIONS(3909),
    [anon_sym_enum] = ACTIONS(3909),
    [anon_sym_LBRACE] = ACTIONS(3911),
    [anon_sym_interface] = ACTIONS(3909),
    [anon_sym_delegate] = ACTIONS(3909),
    [anon_sym_record] = ACTIONS(3909),
    [anon_sym_abstract] = ACTIONS(3909),
    [anon_sym_async] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3909),
    [anon_sym_file] = ACTIONS(3909),
    [anon_sym_fixed] = ACTIONS(3909),
    [anon_sym_internal] = ACTIONS(3909),
    [anon_sym_new] = ACTIONS(3909),
    [anon_sym_override] = ACTIONS(3909),
    [anon_sym_partial] = ACTIONS(3909),
    [anon_sym_private] = ACTIONS(3909),
    [anon_sym_protected] = ACTIONS(3909),
    [anon_sym_public] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_required] = ACTIONS(3909),
    [anon_sym_sealed] = ACTIONS(3909),
    [anon_sym_virtual] = ACTIONS(3909),
    [anon_sym_volatile] = ACTIONS(3909),
    [anon_sym_where] = ACTIONS(3909),
    [anon_sym_notnull] = ACTIONS(3909),
    [anon_sym_unmanaged] = ACTIONS(3909),
    [anon_sym_checked] = ACTIONS(3909),
    [anon_sym_BANG] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_PLUS_PLUS] = ACTIONS(3911),
    [anon_sym_DASH_DASH] = ACTIONS(3911),
    [anon_sym_true] = ACTIONS(3909),
    [anon_sym_false] = ACTIONS(3909),
    [anon_sym_PLUS] = ACTIONS(3909),
    [anon_sym_DASH] = ACTIONS(3909),
    [anon_sym_STAR] = ACTIONS(3911),
    [anon_sym_CARET] = ACTIONS(3911),
    [anon_sym_AMP] = ACTIONS(3911),
    [anon_sym_this] = ACTIONS(3909),
    [anon_sym_scoped] = ACTIONS(3909),
    [anon_sym_base] = ACTIONS(3909),
    [anon_sym_var] = ACTIONS(3909),
    [sym_predefined_type] = ACTIONS(3909),
    [anon_sym_break] = ACTIONS(3909),
    [anon_sym_unchecked] = ACTIONS(3909),
    [anon_sym_continue] = ACTIONS(3909),
    [anon_sym_do] = ACTIONS(3909),
    [anon_sym_while] = ACTIONS(3909),
    [anon_sym_for] = ACTIONS(3909),
    [anon_sym_lock] = ACTIONS(3909),
    [anon_sym_yield] = ACTIONS(3909),
    [anon_sym_switch] = ACTIONS(3909),
    [anon_sym_default] = ACTIONS(3909),
    [anon_sym_throw] = ACTIONS(3909),
    [anon_sym_try] = ACTIONS(3909),
    [anon_sym_when] = ACTIONS(3909),
    [anon_sym_await] = ACTIONS(3909),
    [anon_sym_foreach] = ACTIONS(3909),
    [anon_sym_goto] = ACTIONS(3909),
    [anon_sym_if] = ACTIONS(3909),
    [anon_sym_DOT_DOT] = ACTIONS(3911),
    [anon_sym_from] = ACTIONS(3909),
    [anon_sym_into] = ACTIONS(3909),
    [anon_sym_join] = ACTIONS(3909),
    [anon_sym_on] = ACTIONS(3909),
    [anon_sym_equals] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3909),
    [anon_sym_orderby] = ACTIONS(3909),
    [anon_sym_ascending] = ACTIONS(3909),
    [anon_sym_descending] = ACTIONS(3909),
    [anon_sym_group] = ACTIONS(3909),
    [anon_sym_by] = ACTIONS(3909),
    [anon_sym_select] = ACTIONS(3909),
    [anon_sym_DQUOTE] = ACTIONS(3911),
    [anon_sym_stackalloc] = ACTIONS(3909),
    [anon_sym_sizeof] = ACTIONS(3909),
    [anon_sym_typeof] = ACTIONS(3909),
    [anon_sym___makeref] = ACTIONS(3909),
    [anon_sym___reftype] = ACTIONS(3909),
    [anon_sym___refvalue] = ACTIONS(3909),
    [sym_null_literal] = ACTIONS(3909),
    [anon_sym_SQUOTE] = ACTIONS(3911),
    [sym_integer_literal] = ACTIONS(3909),
    [sym_real_literal] = ACTIONS(3911),
    [sym_verbatim_string_literal] = ACTIONS(3911),
    [aux_sym_preproc_if_token1] = ACTIONS(3911),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3911),
    [sym_interpolation_verbatim_start] = ACTIONS(3911),
    [sym_interpolation_raw_start] = ACTIONS(3911),
    [sym_raw_string_start] = ACTIONS(3911),
  },
  [2558] = {
    [sym_preproc_region] = STATE(2558),
    [sym_preproc_endregion] = STATE(2558),
    [sym_preproc_line] = STATE(2558),
    [sym_preproc_pragma] = STATE(2558),
    [sym_preproc_nullable] = STATE(2558),
    [sym_preproc_error] = STATE(2558),
    [sym_preproc_define] = STATE(2558),
    [sym_preproc_undef] = STATE(2558),
    [ts_builtin_sym_end] = ACTIONS(3703),
    [sym__identifier_token] = ACTIONS(3701),
    [anon_sym_extern] = ACTIONS(3701),
    [anon_sym_alias] = ACTIONS(3701),
    [anon_sym_SEMI] = ACTIONS(3703),
    [anon_sym_global] = ACTIONS(3701),
    [anon_sym_using] = ACTIONS(3701),
    [anon_sym_unsafe] = ACTIONS(3701),
    [anon_sym_static] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3703),
    [anon_sym_LPAREN] = ACTIONS(3703),
    [anon_sym_return] = ACTIONS(3701),
    [anon_sym_namespace] = ACTIONS(3701),
    [anon_sym_class] = ACTIONS(3701),
    [anon_sym_ref] = ACTIONS(3701),
    [anon_sym_struct] = ACTIONS(3701),
    [anon_sym_enum] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_interface] = ACTIONS(3701),
    [anon_sym_delegate] = ACTIONS(3701),
    [anon_sym_record] = ACTIONS(3701),
    [anon_sym_abstract] = ACTIONS(3701),
    [anon_sym_async] = ACTIONS(3701),
    [anon_sym_const] = ACTIONS(3701),
    [anon_sym_file] = ACTIONS(3701),
    [anon_sym_fixed] = ACTIONS(3701),
    [anon_sym_internal] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_override] = ACTIONS(3701),
    [anon_sym_partial] = ACTIONS(3701),
    [anon_sym_private] = ACTIONS(3701),
    [anon_sym_protected] = ACTIONS(3701),
    [anon_sym_public] = ACTIONS(3701),
    [anon_sym_readonly] = ACTIONS(3701),
    [anon_sym_required] = ACTIONS(3701),
    [anon_sym_sealed] = ACTIONS(3701),
    [anon_sym_virtual] = ACTIONS(3701),
    [anon_sym_volatile] = ACTIONS(3701),
    [anon_sym_where] = ACTIONS(3701),
    [anon_sym_notnull] = ACTIONS(3701),
    [anon_sym_unmanaged] = ACTIONS(3701),
    [anon_sym_checked] = ACTIONS(3701),
    [anon_sym_BANG] = ACTIONS(3703),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_PLUS_PLUS] = ACTIONS(3703),
    [anon_sym_DASH_DASH] = ACTIONS(3703),
    [anon_sym_true] = ACTIONS(3701),
    [anon_sym_false] = ACTIONS(3701),
    [anon_sym_PLUS] = ACTIONS(3701),
    [anon_sym_DASH] = ACTIONS(3701),
    [anon_sym_STAR] = ACTIONS(3703),
    [anon_sym_CARET] = ACTIONS(3703),
    [anon_sym_AMP] = ACTIONS(3703),
    [anon_sym_this] = ACTIONS(3701),
    [anon_sym_scoped] = ACTIONS(3701),
    [anon_sym_base] = ACTIONS(3701),
    [anon_sym_var] = ACTIONS(3701),
    [sym_predefined_type] = ACTIONS(3701),
    [anon_sym_break] = ACTIONS(3701),
    [anon_sym_unchecked] = ACTIONS(3701),
    [anon_sym_continue] = ACTIONS(3701),
    [anon_sym_do] = ACTIONS(3701),
    [anon_sym_while] = ACTIONS(3701),
    [anon_sym_for] = ACTIONS(3701),
    [anon_sym_lock] = ACTIONS(3701),
    [anon_sym_yield] = ACTIONS(3701),
    [anon_sym_switch] = ACTIONS(3701),
    [anon_sym_default] = ACTIONS(3701),
    [anon_sym_throw] = ACTIONS(3701),
    [anon_sym_try] = ACTIONS(3701),
    [anon_sym_when] = ACTIONS(3701),
    [anon_sym_await] = ACTIONS(3701),
    [anon_sym_foreach] = ACTIONS(3701),
    [anon_sym_goto] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(3701),
    [anon_sym_DOT_DOT] = ACTIONS(3703),
    [anon_sym_from] = ACTIONS(3701),
    [anon_sym_into] = ACTIONS(3701),
    [anon_sym_join] = ACTIONS(3701),
    [anon_sym_on] = ACTIONS(3701),
    [anon_sym_equals] = ACTIONS(3701),
    [anon_sym_let] = ACTIONS(3701),
    [anon_sym_orderby] = ACTIONS(3701),
    [anon_sym_ascending] = ACTIONS(3701),
    [anon_sym_descending] = ACTIONS(3701),
    [anon_sym_group] = ACTIONS(3701),
    [anon_sym_by] = ACTIONS(3701),
    [anon_sym_select] = ACTIONS(3701),
    [anon_sym_DQUOTE] = ACTIONS(3703),
    [anon_sym_stackalloc] = ACTIONS(3701),
    [anon_sym_sizeof] = ACTIONS(3701),
    [anon_sym_typeof] = ACTIONS(3701),
    [anon_sym___makeref] = ACTIONS(3701),
    [anon_sym___reftype] = ACTIONS(3701),
    [anon_sym___refvalue] = ACTIONS(3701),
    [sym_null_literal] = ACTIONS(3701),
    [anon_sym_SQUOTE] = ACTIONS(3703),
    [sym_integer_literal] = ACTIONS(3701),
    [sym_real_literal] = ACTIONS(3703),
    [sym_verbatim_string_literal] = ACTIONS(3703),
    [aux_sym_preproc_if_token1] = ACTIONS(3703),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3703),
    [sym_interpolation_verbatim_start] = ACTIONS(3703),
    [sym_interpolation_raw_start] = ACTIONS(3703),
    [sym_raw_string_start] = ACTIONS(3703),
  },
  [2559] = {
    [sym_preproc_region] = STATE(2559),
    [sym_preproc_endregion] = STATE(2559),
    [sym_preproc_line] = STATE(2559),
    [sym_preproc_pragma] = STATE(2559),
    [sym_preproc_nullable] = STATE(2559),
    [sym_preproc_error] = STATE(2559),
    [sym_preproc_define] = STATE(2559),
    [sym_preproc_undef] = STATE(2559),
    [ts_builtin_sym_end] = ACTIONS(3707),
    [sym__identifier_token] = ACTIONS(3705),
    [anon_sym_extern] = ACTIONS(3705),
    [anon_sym_alias] = ACTIONS(3705),
    [anon_sym_SEMI] = ACTIONS(3707),
    [anon_sym_global] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_unsafe] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_return] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_ref] = ACTIONS(3705),
    [anon_sym_struct] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [anon_sym_LBRACE] = ACTIONS(3707),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_delegate] = ACTIONS(3705),
    [anon_sym_record] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_file] = ACTIONS(3705),
    [anon_sym_fixed] = ACTIONS(3705),
    [anon_sym_internal] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_partial] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_required] = ACTIONS(3705),
    [anon_sym_sealed] = ACTIONS(3705),
    [anon_sym_virtual] = ACTIONS(3705),
    [anon_sym_volatile] = ACTIONS(3705),
    [anon_sym_where] = ACTIONS(3705),
    [anon_sym_notnull] = ACTIONS(3705),
    [anon_sym_unmanaged] = ACTIONS(3705),
    [anon_sym_checked] = ACTIONS(3705),
    [anon_sym_BANG] = ACTIONS(3707),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_PLUS_PLUS] = ACTIONS(3707),
    [anon_sym_DASH_DASH] = ACTIONS(3707),
    [anon_sym_true] = ACTIONS(3705),
    [anon_sym_false] = ACTIONS(3705),
    [anon_sym_PLUS] = ACTIONS(3705),
    [anon_sym_DASH] = ACTIONS(3705),
    [anon_sym_STAR] = ACTIONS(3707),
    [anon_sym_CARET] = ACTIONS(3707),
    [anon_sym_AMP] = ACTIONS(3707),
    [anon_sym_this] = ACTIONS(3705),
    [anon_sym_scoped] = ACTIONS(3705),
    [anon_sym_base] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [sym_predefined_type] = ACTIONS(3705),
    [anon_sym_break] = ACTIONS(3705),
    [anon_sym_unchecked] = ACTIONS(3705),
    [anon_sym_continue] = ACTIONS(3705),
    [anon_sym_do] = ACTIONS(3705),
    [anon_sym_while] = ACTIONS(3705),
    [anon_sym_for] = ACTIONS(3705),
    [anon_sym_lock] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_switch] = ACTIONS(3705),
    [anon_sym_default] = ACTIONS(3705),
    [anon_sym_throw] = ACTIONS(3705),
    [anon_sym_try] = ACTIONS(3705),
    [anon_sym_when] = ACTIONS(3705),
    [anon_sym_await] = ACTIONS(3705),
    [anon_sym_foreach] = ACTIONS(3705),
    [anon_sym_goto] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(3705),
    [anon_sym_DOT_DOT] = ACTIONS(3707),
    [anon_sym_from] = ACTIONS(3705),
    [anon_sym_into] = ACTIONS(3705),
    [anon_sym_join] = ACTIONS(3705),
    [anon_sym_on] = ACTIONS(3705),
    [anon_sym_equals] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_orderby] = ACTIONS(3705),
    [anon_sym_ascending] = ACTIONS(3705),
    [anon_sym_descending] = ACTIONS(3705),
    [anon_sym_group] = ACTIONS(3705),
    [anon_sym_by] = ACTIONS(3705),
    [anon_sym_select] = ACTIONS(3705),
    [anon_sym_DQUOTE] = ACTIONS(3707),
    [anon_sym_stackalloc] = ACTIONS(3705),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym_typeof] = ACTIONS(3705),
    [anon_sym___makeref] = ACTIONS(3705),
    [anon_sym___reftype] = ACTIONS(3705),
    [anon_sym___refvalue] = ACTIONS(3705),
    [sym_null_literal] = ACTIONS(3705),
    [anon_sym_SQUOTE] = ACTIONS(3707),
    [sym_integer_literal] = ACTIONS(3705),
    [sym_real_literal] = ACTIONS(3707),
    [sym_verbatim_string_literal] = ACTIONS(3707),
    [aux_sym_preproc_if_token1] = ACTIONS(3707),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3707),
    [sym_interpolation_verbatim_start] = ACTIONS(3707),
    [sym_interpolation_raw_start] = ACTIONS(3707),
    [sym_raw_string_start] = ACTIONS(3707),
  },
  [2560] = {
    [sym_preproc_region] = STATE(2560),
    [sym_preproc_endregion] = STATE(2560),
    [sym_preproc_line] = STATE(2560),
    [sym_preproc_pragma] = STATE(2560),
    [sym_preproc_nullable] = STATE(2560),
    [sym_preproc_error] = STATE(2560),
    [sym_preproc_define] = STATE(2560),
    [sym_preproc_undef] = STATE(2560),
    [ts_builtin_sym_end] = ACTIONS(3715),
    [sym__identifier_token] = ACTIONS(3713),
    [anon_sym_extern] = ACTIONS(3713),
    [anon_sym_alias] = ACTIONS(3713),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_global] = ACTIONS(3713),
    [anon_sym_using] = ACTIONS(3713),
    [anon_sym_unsafe] = ACTIONS(3713),
    [anon_sym_static] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_LPAREN] = ACTIONS(3715),
    [anon_sym_return] = ACTIONS(3713),
    [anon_sym_namespace] = ACTIONS(3713),
    [anon_sym_class] = ACTIONS(3713),
    [anon_sym_ref] = ACTIONS(3713),
    [anon_sym_struct] = ACTIONS(3713),
    [anon_sym_enum] = ACTIONS(3713),
    [anon_sym_LBRACE] = ACTIONS(3715),
    [anon_sym_interface] = ACTIONS(3713),
    [anon_sym_delegate] = ACTIONS(3713),
    [anon_sym_record] = ACTIONS(3713),
    [anon_sym_abstract] = ACTIONS(3713),
    [anon_sym_async] = ACTIONS(3713),
    [anon_sym_const] = ACTIONS(3713),
    [anon_sym_file] = ACTIONS(3713),
    [anon_sym_fixed] = ACTIONS(3713),
    [anon_sym_internal] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3713),
    [anon_sym_override] = ACTIONS(3713),
    [anon_sym_partial] = ACTIONS(3713),
    [anon_sym_private] = ACTIONS(3713),
    [anon_sym_protected] = ACTIONS(3713),
    [anon_sym_public] = ACTIONS(3713),
    [anon_sym_readonly] = ACTIONS(3713),
    [anon_sym_required] = ACTIONS(3713),
    [anon_sym_sealed] = ACTIONS(3713),
    [anon_sym_virtual] = ACTIONS(3713),
    [anon_sym_volatile] = ACTIONS(3713),
    [anon_sym_where] = ACTIONS(3713),
    [anon_sym_notnull] = ACTIONS(3713),
    [anon_sym_unmanaged] = ACTIONS(3713),
    [anon_sym_checked] = ACTIONS(3713),
    [anon_sym_BANG] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_PLUS_PLUS] = ACTIONS(3715),
    [anon_sym_DASH_DASH] = ACTIONS(3715),
    [anon_sym_true] = ACTIONS(3713),
    [anon_sym_false] = ACTIONS(3713),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3715),
    [anon_sym_CARET] = ACTIONS(3715),
    [anon_sym_AMP] = ACTIONS(3715),
    [anon_sym_this] = ACTIONS(3713),
    [anon_sym_scoped] = ACTIONS(3713),
    [anon_sym_base] = ACTIONS(3713),
    [anon_sym_var] = ACTIONS(3713),
    [sym_predefined_type] = ACTIONS(3713),
    [anon_sym_break] = ACTIONS(3713),
    [anon_sym_unchecked] = ACTIONS(3713),
    [anon_sym_continue] = ACTIONS(3713),
    [anon_sym_do] = ACTIONS(3713),
    [anon_sym_while] = ACTIONS(3713),
    [anon_sym_for] = ACTIONS(3713),
    [anon_sym_lock] = ACTIONS(3713),
    [anon_sym_yield] = ACTIONS(3713),
    [anon_sym_switch] = ACTIONS(3713),
    [anon_sym_default] = ACTIONS(3713),
    [anon_sym_throw] = ACTIONS(3713),
    [anon_sym_try] = ACTIONS(3713),
    [anon_sym_when] = ACTIONS(3713),
    [anon_sym_await] = ACTIONS(3713),
    [anon_sym_foreach] = ACTIONS(3713),
    [anon_sym_goto] = ACTIONS(3713),
    [anon_sym_if] = ACTIONS(3713),
    [anon_sym_DOT_DOT] = ACTIONS(3715),
    [anon_sym_from] = ACTIONS(3713),
    [anon_sym_into] = ACTIONS(3713),
    [anon_sym_join] = ACTIONS(3713),
    [anon_sym_on] = ACTIONS(3713),
    [anon_sym_equals] = ACTIONS(3713),
    [anon_sym_let] = ACTIONS(3713),
    [anon_sym_orderby] = ACTIONS(3713),
    [anon_sym_ascending] = ACTIONS(3713),
    [anon_sym_descending] = ACTIONS(3713),
    [anon_sym_group] = ACTIONS(3713),
    [anon_sym_by] = ACTIONS(3713),
    [anon_sym_select] = ACTIONS(3713),
    [anon_sym_DQUOTE] = ACTIONS(3715),
    [anon_sym_stackalloc] = ACTIONS(3713),
    [anon_sym_sizeof] = ACTIONS(3713),
    [anon_sym_typeof] = ACTIONS(3713),
    [anon_sym___makeref] = ACTIONS(3713),
    [anon_sym___reftype] = ACTIONS(3713),
    [anon_sym___refvalue] = ACTIONS(3713),
    [sym_null_literal] = ACTIONS(3713),
    [anon_sym_SQUOTE] = ACTIONS(3715),
    [sym_integer_literal] = ACTIONS(3713),
    [sym_real_literal] = ACTIONS(3715),
    [sym_verbatim_string_literal] = ACTIONS(3715),
    [aux_sym_preproc_if_token1] = ACTIONS(3715),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3715),
    [sym_interpolation_verbatim_start] = ACTIONS(3715),
    [sym_interpolation_raw_start] = ACTIONS(3715),
    [sym_raw_string_start] = ACTIONS(3715),
  },
  [2561] = {
    [sym_preproc_region] = STATE(2561),
    [sym_preproc_endregion] = STATE(2561),
    [sym_preproc_line] = STATE(2561),
    [sym_preproc_pragma] = STATE(2561),
    [sym_preproc_nullable] = STATE(2561),
    [sym_preproc_error] = STATE(2561),
    [sym_preproc_define] = STATE(2561),
    [sym_preproc_undef] = STATE(2561),
    [ts_builtin_sym_end] = ACTIONS(3719),
    [sym__identifier_token] = ACTIONS(3717),
    [anon_sym_extern] = ACTIONS(3717),
    [anon_sym_alias] = ACTIONS(3717),
    [anon_sym_SEMI] = ACTIONS(3719),
    [anon_sym_global] = ACTIONS(3717),
    [anon_sym_using] = ACTIONS(3717),
    [anon_sym_unsafe] = ACTIONS(3717),
    [anon_sym_static] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(3719),
    [anon_sym_LPAREN] = ACTIONS(3719),
    [anon_sym_return] = ACTIONS(3717),
    [anon_sym_namespace] = ACTIONS(3717),
    [anon_sym_class] = ACTIONS(3717),
    [anon_sym_ref] = ACTIONS(3717),
    [anon_sym_struct] = ACTIONS(3717),
    [anon_sym_enum] = ACTIONS(3717),
    [anon_sym_LBRACE] = ACTIONS(3719),
    [anon_sym_interface] = ACTIONS(3717),
    [anon_sym_delegate] = ACTIONS(3717),
    [anon_sym_record] = ACTIONS(3717),
    [anon_sym_abstract] = ACTIONS(3717),
    [anon_sym_async] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3717),
    [anon_sym_file] = ACTIONS(3717),
    [anon_sym_fixed] = ACTIONS(3717),
    [anon_sym_internal] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_override] = ACTIONS(3717),
    [anon_sym_partial] = ACTIONS(3717),
    [anon_sym_private] = ACTIONS(3717),
    [anon_sym_protected] = ACTIONS(3717),
    [anon_sym_public] = ACTIONS(3717),
    [anon_sym_readonly] = ACTIONS(3717),
    [anon_sym_required] = ACTIONS(3717),
    [anon_sym_sealed] = ACTIONS(3717),
    [anon_sym_virtual] = ACTIONS(3717),
    [anon_sym_volatile] = ACTIONS(3717),
    [anon_sym_where] = ACTIONS(3717),
    [anon_sym_notnull] = ACTIONS(3717),
    [anon_sym_unmanaged] = ACTIONS(3717),
    [anon_sym_checked] = ACTIONS(3717),
    [anon_sym_BANG] = ACTIONS(3719),
    [anon_sym_TILDE] = ACTIONS(3719),
    [anon_sym_PLUS_PLUS] = ACTIONS(3719),
    [anon_sym_DASH_DASH] = ACTIONS(3719),
    [anon_sym_true] = ACTIONS(3717),
    [anon_sym_false] = ACTIONS(3717),
    [anon_sym_PLUS] = ACTIONS(3717),
    [anon_sym_DASH] = ACTIONS(3717),
    [anon_sym_STAR] = ACTIONS(3719),
    [anon_sym_CARET] = ACTIONS(3719),
    [anon_sym_AMP] = ACTIONS(3719),
    [anon_sym_this] = ACTIONS(3717),
    [anon_sym_scoped] = ACTIONS(3717),
    [anon_sym_base] = ACTIONS(3717),
    [anon_sym_var] = ACTIONS(3717),
    [sym_predefined_type] = ACTIONS(3717),
    [anon_sym_break] = ACTIONS(3717),
    [anon_sym_unchecked] = ACTIONS(3717),
    [anon_sym_continue] = ACTIONS(3717),
    [anon_sym_do] = ACTIONS(3717),
    [anon_sym_while] = ACTIONS(3717),
    [anon_sym_for] = ACTIONS(3717),
    [anon_sym_lock] = ACTIONS(3717),
    [anon_sym_yield] = ACTIONS(3717),
    [anon_sym_switch] = ACTIONS(3717),
    [anon_sym_default] = ACTIONS(3717),
    [anon_sym_throw] = ACTIONS(3717),
    [anon_sym_try] = ACTIONS(3717),
    [anon_sym_when] = ACTIONS(3717),
    [anon_sym_await] = ACTIONS(3717),
    [anon_sym_foreach] = ACTIONS(3717),
    [anon_sym_goto] = ACTIONS(3717),
    [anon_sym_if] = ACTIONS(3717),
    [anon_sym_DOT_DOT] = ACTIONS(3719),
    [anon_sym_from] = ACTIONS(3717),
    [anon_sym_into] = ACTIONS(3717),
    [anon_sym_join] = ACTIONS(3717),
    [anon_sym_on] = ACTIONS(3717),
    [anon_sym_equals] = ACTIONS(3717),
    [anon_sym_let] = ACTIONS(3717),
    [anon_sym_orderby] = ACTIONS(3717),
    [anon_sym_ascending] = ACTIONS(3717),
    [anon_sym_descending] = ACTIONS(3717),
    [anon_sym_group] = ACTIONS(3717),
    [anon_sym_by] = ACTIONS(3717),
    [anon_sym_select] = ACTIONS(3717),
    [anon_sym_DQUOTE] = ACTIONS(3719),
    [anon_sym_stackalloc] = ACTIONS(3717),
    [anon_sym_sizeof] = ACTIONS(3717),
    [anon_sym_typeof] = ACTIONS(3717),
    [anon_sym___makeref] = ACTIONS(3717),
    [anon_sym___reftype] = ACTIONS(3717),
    [anon_sym___refvalue] = ACTIONS(3717),
    [sym_null_literal] = ACTIONS(3717),
    [anon_sym_SQUOTE] = ACTIONS(3719),
    [sym_integer_literal] = ACTIONS(3717),
    [sym_real_literal] = ACTIONS(3719),
    [sym_verbatim_string_literal] = ACTIONS(3719),
    [aux_sym_preproc_if_token1] = ACTIONS(3719),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3719),
    [sym_interpolation_verbatim_start] = ACTIONS(3719),
    [sym_interpolation_raw_start] = ACTIONS(3719),
    [sym_raw_string_start] = ACTIONS(3719),
  },
  [2562] = {
    [sym_preproc_region] = STATE(2562),
    [sym_preproc_endregion] = STATE(2562),
    [sym_preproc_line] = STATE(2562),
    [sym_preproc_pragma] = STATE(2562),
    [sym_preproc_nullable] = STATE(2562),
    [sym_preproc_error] = STATE(2562),
    [sym_preproc_define] = STATE(2562),
    [sym_preproc_undef] = STATE(2562),
    [ts_builtin_sym_end] = ACTIONS(3723),
    [sym__identifier_token] = ACTIONS(3721),
    [anon_sym_extern] = ACTIONS(3721),
    [anon_sym_alias] = ACTIONS(3721),
    [anon_sym_SEMI] = ACTIONS(3723),
    [anon_sym_global] = ACTIONS(3721),
    [anon_sym_using] = ACTIONS(3721),
    [anon_sym_unsafe] = ACTIONS(3721),
    [anon_sym_static] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_return] = ACTIONS(3721),
    [anon_sym_namespace] = ACTIONS(3721),
    [anon_sym_class] = ACTIONS(3721),
    [anon_sym_ref] = ACTIONS(3721),
    [anon_sym_struct] = ACTIONS(3721),
    [anon_sym_enum] = ACTIONS(3721),
    [anon_sym_LBRACE] = ACTIONS(3723),
    [anon_sym_interface] = ACTIONS(3721),
    [anon_sym_delegate] = ACTIONS(3721),
    [anon_sym_record] = ACTIONS(3721),
    [anon_sym_abstract] = ACTIONS(3721),
    [anon_sym_async] = ACTIONS(3721),
    [anon_sym_const] = ACTIONS(3721),
    [anon_sym_file] = ACTIONS(3721),
    [anon_sym_fixed] = ACTIONS(3721),
    [anon_sym_internal] = ACTIONS(3721),
    [anon_sym_new] = ACTIONS(3721),
    [anon_sym_override] = ACTIONS(3721),
    [anon_sym_partial] = ACTIONS(3721),
    [anon_sym_private] = ACTIONS(3721),
    [anon_sym_protected] = ACTIONS(3721),
    [anon_sym_public] = ACTIONS(3721),
    [anon_sym_readonly] = ACTIONS(3721),
    [anon_sym_required] = ACTIONS(3721),
    [anon_sym_sealed] = ACTIONS(3721),
    [anon_sym_virtual] = ACTIONS(3721),
    [anon_sym_volatile] = ACTIONS(3721),
    [anon_sym_where] = ACTIONS(3721),
    [anon_sym_notnull] = ACTIONS(3721),
    [anon_sym_unmanaged] = ACTIONS(3721),
    [anon_sym_checked] = ACTIONS(3721),
    [anon_sym_BANG] = ACTIONS(3723),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_PLUS_PLUS] = ACTIONS(3723),
    [anon_sym_DASH_DASH] = ACTIONS(3723),
    [anon_sym_true] = ACTIONS(3721),
    [anon_sym_false] = ACTIONS(3721),
    [anon_sym_PLUS] = ACTIONS(3721),
    [anon_sym_DASH] = ACTIONS(3721),
    [anon_sym_STAR] = ACTIONS(3723),
    [anon_sym_CARET] = ACTIONS(3723),
    [anon_sym_AMP] = ACTIONS(3723),
    [anon_sym_this] = ACTIONS(3721),
    [anon_sym_scoped] = ACTIONS(3721),
    [anon_sym_base] = ACTIONS(3721),
    [anon_sym_var] = ACTIONS(3721),
    [sym_predefined_type] = ACTIONS(3721),
    [anon_sym_break] = ACTIONS(3721),
    [anon_sym_unchecked] = ACTIONS(3721),
    [anon_sym_continue] = ACTIONS(3721),
    [anon_sym_do] = ACTIONS(3721),
    [anon_sym_while] = ACTIONS(3721),
    [anon_sym_for] = ACTIONS(3721),
    [anon_sym_lock] = ACTIONS(3721),
    [anon_sym_yield] = ACTIONS(3721),
    [anon_sym_switch] = ACTIONS(3721),
    [anon_sym_default] = ACTIONS(3721),
    [anon_sym_throw] = ACTIONS(3721),
    [anon_sym_try] = ACTIONS(3721),
    [anon_sym_when] = ACTIONS(3721),
    [anon_sym_await] = ACTIONS(3721),
    [anon_sym_foreach] = ACTIONS(3721),
    [anon_sym_goto] = ACTIONS(3721),
    [anon_sym_if] = ACTIONS(3721),
    [anon_sym_DOT_DOT] = ACTIONS(3723),
    [anon_sym_from] = ACTIONS(3721),
    [anon_sym_into] = ACTIONS(3721),
    [anon_sym_join] = ACTIONS(3721),
    [anon_sym_on] = ACTIONS(3721),
    [anon_sym_equals] = ACTIONS(3721),
    [anon_sym_let] = ACTIONS(3721),
    [anon_sym_orderby] = ACTIONS(3721),
    [anon_sym_ascending] = ACTIONS(3721),
    [anon_sym_descending] = ACTIONS(3721),
    [anon_sym_group] = ACTIONS(3721),
    [anon_sym_by] = ACTIONS(3721),
    [anon_sym_select] = ACTIONS(3721),
    [anon_sym_DQUOTE] = ACTIONS(3723),
    [anon_sym_stackalloc] = ACTIONS(3721),
    [anon_sym_sizeof] = ACTIONS(3721),
    [anon_sym_typeof] = ACTIONS(3721),
    [anon_sym___makeref] = ACTIONS(3721),
    [anon_sym___reftype] = ACTIONS(3721),
    [anon_sym___refvalue] = ACTIONS(3721),
    [sym_null_literal] = ACTIONS(3721),
    [anon_sym_SQUOTE] = ACTIONS(3723),
    [sym_integer_literal] = ACTIONS(3721),
    [sym_real_literal] = ACTIONS(3723),
    [sym_verbatim_string_literal] = ACTIONS(3723),
    [aux_sym_preproc_if_token1] = ACTIONS(3723),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3723),
    [sym_interpolation_verbatim_start] = ACTIONS(3723),
    [sym_interpolation_raw_start] = ACTIONS(3723),
    [sym_raw_string_start] = ACTIONS(3723),
  },
  [2563] = {
    [sym_preproc_region] = STATE(2563),
    [sym_preproc_endregion] = STATE(2563),
    [sym_preproc_line] = STATE(2563),
    [sym_preproc_pragma] = STATE(2563),
    [sym_preproc_nullable] = STATE(2563),
    [sym_preproc_error] = STATE(2563),
    [sym_preproc_define] = STATE(2563),
    [sym_preproc_undef] = STATE(2563),
    [ts_builtin_sym_end] = ACTIONS(3983),
    [sym__identifier_token] = ACTIONS(3981),
    [anon_sym_extern] = ACTIONS(3981),
    [anon_sym_alias] = ACTIONS(3981),
    [anon_sym_SEMI] = ACTIONS(3983),
    [anon_sym_global] = ACTIONS(3981),
    [anon_sym_using] = ACTIONS(3981),
    [anon_sym_unsafe] = ACTIONS(3981),
    [anon_sym_static] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_LPAREN] = ACTIONS(3983),
    [anon_sym_return] = ACTIONS(3981),
    [anon_sym_namespace] = ACTIONS(3981),
    [anon_sym_class] = ACTIONS(3981),
    [anon_sym_ref] = ACTIONS(3981),
    [anon_sym_struct] = ACTIONS(3981),
    [anon_sym_enum] = ACTIONS(3981),
    [anon_sym_LBRACE] = ACTIONS(3983),
    [anon_sym_interface] = ACTIONS(3981),
    [anon_sym_delegate] = ACTIONS(3981),
    [anon_sym_record] = ACTIONS(3981),
    [anon_sym_abstract] = ACTIONS(3981),
    [anon_sym_async] = ACTIONS(3981),
    [anon_sym_const] = ACTIONS(3981),
    [anon_sym_file] = ACTIONS(3981),
    [anon_sym_fixed] = ACTIONS(3981),
    [anon_sym_internal] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3981),
    [anon_sym_override] = ACTIONS(3981),
    [anon_sym_partial] = ACTIONS(3981),
    [anon_sym_private] = ACTIONS(3981),
    [anon_sym_protected] = ACTIONS(3981),
    [anon_sym_public] = ACTIONS(3981),
    [anon_sym_readonly] = ACTIONS(3981),
    [anon_sym_required] = ACTIONS(3981),
    [anon_sym_sealed] = ACTIONS(3981),
    [anon_sym_virtual] = ACTIONS(3981),
    [anon_sym_volatile] = ACTIONS(3981),
    [anon_sym_where] = ACTIONS(3981),
    [anon_sym_notnull] = ACTIONS(3981),
    [anon_sym_unmanaged] = ACTIONS(3981),
    [anon_sym_checked] = ACTIONS(3981),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_PLUS_PLUS] = ACTIONS(3983),
    [anon_sym_DASH_DASH] = ACTIONS(3983),
    [anon_sym_true] = ACTIONS(3981),
    [anon_sym_false] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(3983),
    [anon_sym_CARET] = ACTIONS(3983),
    [anon_sym_AMP] = ACTIONS(3983),
    [anon_sym_this] = ACTIONS(3981),
    [anon_sym_scoped] = ACTIONS(3981),
    [anon_sym_base] = ACTIONS(3981),
    [anon_sym_var] = ACTIONS(3981),
    [sym_predefined_type] = ACTIONS(3981),
    [anon_sym_break] = ACTIONS(3981),
    [anon_sym_unchecked] = ACTIONS(3981),
    [anon_sym_continue] = ACTIONS(3981),
    [anon_sym_do] = ACTIONS(3981),
    [anon_sym_while] = ACTIONS(3981),
    [anon_sym_for] = ACTIONS(3981),
    [anon_sym_lock] = ACTIONS(3981),
    [anon_sym_yield] = ACTIONS(3981),
    [anon_sym_switch] = ACTIONS(3981),
    [anon_sym_default] = ACTIONS(3981),
    [anon_sym_throw] = ACTIONS(3981),
    [anon_sym_try] = ACTIONS(3981),
    [anon_sym_when] = ACTIONS(3981),
    [anon_sym_await] = ACTIONS(3981),
    [anon_sym_foreach] = ACTIONS(3981),
    [anon_sym_goto] = ACTIONS(3981),
    [anon_sym_if] = ACTIONS(3981),
    [anon_sym_DOT_DOT] = ACTIONS(3983),
    [anon_sym_from] = ACTIONS(3981),
    [anon_sym_into] = ACTIONS(3981),
    [anon_sym_join] = ACTIONS(3981),
    [anon_sym_on] = ACTIONS(3981),
    [anon_sym_equals] = ACTIONS(3981),
    [anon_sym_let] = ACTIONS(3981),
    [anon_sym_orderby] = ACTIONS(3981),
    [anon_sym_ascending] = ACTIONS(3981),
    [anon_sym_descending] = ACTIONS(3981),
    [anon_sym_group] = ACTIONS(3981),
    [anon_sym_by] = ACTIONS(3981),
    [anon_sym_select] = ACTIONS(3981),
    [anon_sym_DQUOTE] = ACTIONS(3983),
    [anon_sym_stackalloc] = ACTIONS(3981),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym_typeof] = ACTIONS(3981),
    [anon_sym___makeref] = ACTIONS(3981),
    [anon_sym___reftype] = ACTIONS(3981),
    [anon_sym___refvalue] = ACTIONS(3981),
    [sym_null_literal] = ACTIONS(3981),
    [anon_sym_SQUOTE] = ACTIONS(3983),
    [sym_integer_literal] = ACTIONS(3981),
    [sym_real_literal] = ACTIONS(3983),
    [sym_verbatim_string_literal] = ACTIONS(3983),
    [aux_sym_preproc_if_token1] = ACTIONS(3983),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3983),
    [sym_interpolation_verbatim_start] = ACTIONS(3983),
    [sym_interpolation_raw_start] = ACTIONS(3983),
    [sym_raw_string_start] = ACTIONS(3983),
  },
  [2564] = {
    [sym_preproc_region] = STATE(2564),
    [sym_preproc_endregion] = STATE(2564),
    [sym_preproc_line] = STATE(2564),
    [sym_preproc_pragma] = STATE(2564),
    [sym_preproc_nullable] = STATE(2564),
    [sym_preproc_error] = STATE(2564),
    [sym_preproc_define] = STATE(2564),
    [sym_preproc_undef] = STATE(2564),
    [ts_builtin_sym_end] = ACTIONS(3533),
    [sym__identifier_token] = ACTIONS(3531),
    [anon_sym_extern] = ACTIONS(3531),
    [anon_sym_alias] = ACTIONS(3531),
    [anon_sym_SEMI] = ACTIONS(3533),
    [anon_sym_global] = ACTIONS(3531),
    [anon_sym_using] = ACTIONS(3531),
    [anon_sym_unsafe] = ACTIONS(3531),
    [anon_sym_static] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_LPAREN] = ACTIONS(3533),
    [anon_sym_return] = ACTIONS(3531),
    [anon_sym_namespace] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_ref] = ACTIONS(3531),
    [anon_sym_struct] = ACTIONS(3531),
    [anon_sym_enum] = ACTIONS(3531),
    [anon_sym_LBRACE] = ACTIONS(3533),
    [anon_sym_interface] = ACTIONS(3531),
    [anon_sym_delegate] = ACTIONS(3531),
    [anon_sym_record] = ACTIONS(3531),
    [anon_sym_abstract] = ACTIONS(3531),
    [anon_sym_async] = ACTIONS(3531),
    [anon_sym_const] = ACTIONS(3531),
    [anon_sym_file] = ACTIONS(3531),
    [anon_sym_fixed] = ACTIONS(3531),
    [anon_sym_internal] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(3531),
    [anon_sym_override] = ACTIONS(3531),
    [anon_sym_partial] = ACTIONS(3531),
    [anon_sym_private] = ACTIONS(3531),
    [anon_sym_protected] = ACTIONS(3531),
    [anon_sym_public] = ACTIONS(3531),
    [anon_sym_readonly] = ACTIONS(3531),
    [anon_sym_required] = ACTIONS(3531),
    [anon_sym_sealed] = ACTIONS(3531),
    [anon_sym_virtual] = ACTIONS(3531),
    [anon_sym_volatile] = ACTIONS(3531),
    [anon_sym_where] = ACTIONS(3531),
    [anon_sym_notnull] = ACTIONS(3531),
    [anon_sym_unmanaged] = ACTIONS(3531),
    [anon_sym_checked] = ACTIONS(3531),
    [anon_sym_BANG] = ACTIONS(3533),
    [anon_sym_TILDE] = ACTIONS(3533),
    [anon_sym_PLUS_PLUS] = ACTIONS(3533),
    [anon_sym_DASH_DASH] = ACTIONS(3533),
    [anon_sym_true] = ACTIONS(3531),
    [anon_sym_false] = ACTIONS(3531),
    [anon_sym_PLUS] = ACTIONS(3531),
    [anon_sym_DASH] = ACTIONS(3531),
    [anon_sym_STAR] = ACTIONS(3533),
    [anon_sym_CARET] = ACTIONS(3533),
    [anon_sym_AMP] = ACTIONS(3533),
    [anon_sym_this] = ACTIONS(3531),
    [anon_sym_scoped] = ACTIONS(3531),
    [anon_sym_base] = ACTIONS(3531),
    [anon_sym_var] = ACTIONS(3531),
    [sym_predefined_type] = ACTIONS(3531),
    [anon_sym_break] = ACTIONS(3531),
    [anon_sym_unchecked] = ACTIONS(3531),
    [anon_sym_continue] = ACTIONS(3531),
    [anon_sym_do] = ACTIONS(3531),
    [anon_sym_while] = ACTIONS(3531),
    [anon_sym_for] = ACTIONS(3531),
    [anon_sym_lock] = ACTIONS(3531),
    [anon_sym_yield] = ACTIONS(3531),
    [anon_sym_switch] = ACTIONS(3531),
    [anon_sym_default] = ACTIONS(3531),
    [anon_sym_throw] = ACTIONS(3531),
    [anon_sym_try] = ACTIONS(3531),
    [anon_sym_when] = ACTIONS(3531),
    [anon_sym_await] = ACTIONS(3531),
    [anon_sym_foreach] = ACTIONS(3531),
    [anon_sym_goto] = ACTIONS(3531),
    [anon_sym_if] = ACTIONS(3531),
    [anon_sym_DOT_DOT] = ACTIONS(3533),
    [anon_sym_from] = ACTIONS(3531),
    [anon_sym_into] = ACTIONS(3531),
    [anon_sym_join] = ACTIONS(3531),
    [anon_sym_on] = ACTIONS(3531),
    [anon_sym_equals] = ACTIONS(3531),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_orderby] = ACTIONS(3531),
    [anon_sym_ascending] = ACTIONS(3531),
    [anon_sym_descending] = ACTIONS(3531),
    [anon_sym_group] = ACTIONS(3531),
    [anon_sym_by] = ACTIONS(3531),
    [anon_sym_select] = ACTIONS(3531),
    [anon_sym_DQUOTE] = ACTIONS(3533),
    [anon_sym_stackalloc] = ACTIONS(3531),
    [anon_sym_sizeof] = ACTIONS(3531),
    [anon_sym_typeof] = ACTIONS(3531),
    [anon_sym___makeref] = ACTIONS(3531),
    [anon_sym___reftype] = ACTIONS(3531),
    [anon_sym___refvalue] = ACTIONS(3531),
    [sym_null_literal] = ACTIONS(3531),
    [anon_sym_SQUOTE] = ACTIONS(3533),
    [sym_integer_literal] = ACTIONS(3531),
    [sym_real_literal] = ACTIONS(3533),
    [sym_verbatim_string_literal] = ACTIONS(3533),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3533),
    [sym_interpolation_verbatim_start] = ACTIONS(3533),
    [sym_interpolation_raw_start] = ACTIONS(3533),
    [sym_raw_string_start] = ACTIONS(3533),
  },
  [2565] = {
    [sym_preproc_region] = STATE(2565),
    [sym_preproc_endregion] = STATE(2565),
    [sym_preproc_line] = STATE(2565),
    [sym_preproc_pragma] = STATE(2565),
    [sym_preproc_nullable] = STATE(2565),
    [sym_preproc_error] = STATE(2565),
    [sym_preproc_define] = STATE(2565),
    [sym_preproc_undef] = STATE(2565),
    [ts_builtin_sym_end] = ACTIONS(3735),
    [sym__identifier_token] = ACTIONS(3733),
    [anon_sym_extern] = ACTIONS(3733),
    [anon_sym_alias] = ACTIONS(3733),
    [anon_sym_SEMI] = ACTIONS(3735),
    [anon_sym_global] = ACTIONS(3733),
    [anon_sym_using] = ACTIONS(3733),
    [anon_sym_unsafe] = ACTIONS(3733),
    [anon_sym_static] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(3735),
    [anon_sym_LPAREN] = ACTIONS(3735),
    [anon_sym_return] = ACTIONS(3733),
    [anon_sym_namespace] = ACTIONS(3733),
    [anon_sym_class] = ACTIONS(3733),
    [anon_sym_ref] = ACTIONS(3733),
    [anon_sym_struct] = ACTIONS(3733),
    [anon_sym_enum] = ACTIONS(3733),
    [anon_sym_LBRACE] = ACTIONS(3735),
    [anon_sym_interface] = ACTIONS(3733),
    [anon_sym_delegate] = ACTIONS(3733),
    [anon_sym_record] = ACTIONS(3733),
    [anon_sym_abstract] = ACTIONS(3733),
    [anon_sym_async] = ACTIONS(3733),
    [anon_sym_const] = ACTIONS(3733),
    [anon_sym_file] = ACTIONS(3733),
    [anon_sym_fixed] = ACTIONS(3733),
    [anon_sym_internal] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3733),
    [anon_sym_override] = ACTIONS(3733),
    [anon_sym_partial] = ACTIONS(3733),
    [anon_sym_private] = ACTIONS(3733),
    [anon_sym_protected] = ACTIONS(3733),
    [anon_sym_public] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3733),
    [anon_sym_required] = ACTIONS(3733),
    [anon_sym_sealed] = ACTIONS(3733),
    [anon_sym_virtual] = ACTIONS(3733),
    [anon_sym_volatile] = ACTIONS(3733),
    [anon_sym_where] = ACTIONS(3733),
    [anon_sym_notnull] = ACTIONS(3733),
    [anon_sym_unmanaged] = ACTIONS(3733),
    [anon_sym_checked] = ACTIONS(3733),
    [anon_sym_BANG] = ACTIONS(3735),
    [anon_sym_TILDE] = ACTIONS(3735),
    [anon_sym_PLUS_PLUS] = ACTIONS(3735),
    [anon_sym_DASH_DASH] = ACTIONS(3735),
    [anon_sym_true] = ACTIONS(3733),
    [anon_sym_false] = ACTIONS(3733),
    [anon_sym_PLUS] = ACTIONS(3733),
    [anon_sym_DASH] = ACTIONS(3733),
    [anon_sym_STAR] = ACTIONS(3735),
    [anon_sym_CARET] = ACTIONS(3735),
    [anon_sym_AMP] = ACTIONS(3735),
    [anon_sym_this] = ACTIONS(3733),
    [anon_sym_scoped] = ACTIONS(3733),
    [anon_sym_base] = ACTIONS(3733),
    [anon_sym_var] = ACTIONS(3733),
    [sym_predefined_type] = ACTIONS(3733),
    [anon_sym_break] = ACTIONS(3733),
    [anon_sym_unchecked] = ACTIONS(3733),
    [anon_sym_continue] = ACTIONS(3733),
    [anon_sym_do] = ACTIONS(3733),
    [anon_sym_while] = ACTIONS(3733),
    [anon_sym_for] = ACTIONS(3733),
    [anon_sym_lock] = ACTIONS(3733),
    [anon_sym_yield] = ACTIONS(3733),
    [anon_sym_switch] = ACTIONS(3733),
    [anon_sym_default] = ACTIONS(3733),
    [anon_sym_throw] = ACTIONS(3733),
    [anon_sym_try] = ACTIONS(3733),
    [anon_sym_when] = ACTIONS(3733),
    [anon_sym_await] = ACTIONS(3733),
    [anon_sym_foreach] = ACTIONS(3733),
    [anon_sym_goto] = ACTIONS(3733),
    [anon_sym_if] = ACTIONS(3733),
    [anon_sym_DOT_DOT] = ACTIONS(3735),
    [anon_sym_from] = ACTIONS(3733),
    [anon_sym_into] = ACTIONS(3733),
    [anon_sym_join] = ACTIONS(3733),
    [anon_sym_on] = ACTIONS(3733),
    [anon_sym_equals] = ACTIONS(3733),
    [anon_sym_let] = ACTIONS(3733),
    [anon_sym_orderby] = ACTIONS(3733),
    [anon_sym_ascending] = ACTIONS(3733),
    [anon_sym_descending] = ACTIONS(3733),
    [anon_sym_group] = ACTIONS(3733),
    [anon_sym_by] = ACTIONS(3733),
    [anon_sym_select] = ACTIONS(3733),
    [anon_sym_DQUOTE] = ACTIONS(3735),
    [anon_sym_stackalloc] = ACTIONS(3733),
    [anon_sym_sizeof] = ACTIONS(3733),
    [anon_sym_typeof] = ACTIONS(3733),
    [anon_sym___makeref] = ACTIONS(3733),
    [anon_sym___reftype] = ACTIONS(3733),
    [anon_sym___refvalue] = ACTIONS(3733),
    [sym_null_literal] = ACTIONS(3733),
    [anon_sym_SQUOTE] = ACTIONS(3735),
    [sym_integer_literal] = ACTIONS(3733),
    [sym_real_literal] = ACTIONS(3735),
    [sym_verbatim_string_literal] = ACTIONS(3735),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3735),
    [sym_interpolation_verbatim_start] = ACTIONS(3735),
    [sym_interpolation_raw_start] = ACTIONS(3735),
    [sym_raw_string_start] = ACTIONS(3735),
  },
  [2566] = {
    [sym_preproc_region] = STATE(2566),
    [sym_preproc_endregion] = STATE(2566),
    [sym_preproc_line] = STATE(2566),
    [sym_preproc_pragma] = STATE(2566),
    [sym_preproc_nullable] = STATE(2566),
    [sym_preproc_error] = STATE(2566),
    [sym_preproc_define] = STATE(2566),
    [sym_preproc_undef] = STATE(2566),
    [ts_builtin_sym_end] = ACTIONS(3537),
    [sym__identifier_token] = ACTIONS(3535),
    [anon_sym_extern] = ACTIONS(3535),
    [anon_sym_alias] = ACTIONS(3535),
    [anon_sym_SEMI] = ACTIONS(3537),
    [anon_sym_global] = ACTIONS(3535),
    [anon_sym_using] = ACTIONS(3535),
    [anon_sym_unsafe] = ACTIONS(3535),
    [anon_sym_static] = ACTIONS(3535),
    [anon_sym_LBRACK] = ACTIONS(3537),
    [anon_sym_LPAREN] = ACTIONS(3537),
    [anon_sym_return] = ACTIONS(3535),
    [anon_sym_namespace] = ACTIONS(3535),
    [anon_sym_class] = ACTIONS(3535),
    [anon_sym_ref] = ACTIONS(3535),
    [anon_sym_struct] = ACTIONS(3535),
    [anon_sym_enum] = ACTIONS(3535),
    [anon_sym_LBRACE] = ACTIONS(3537),
    [anon_sym_interface] = ACTIONS(3535),
    [anon_sym_delegate] = ACTIONS(3535),
    [anon_sym_record] = ACTIONS(3535),
    [anon_sym_abstract] = ACTIONS(3535),
    [anon_sym_async] = ACTIONS(3535),
    [anon_sym_const] = ACTIONS(3535),
    [anon_sym_file] = ACTIONS(3535),
    [anon_sym_fixed] = ACTIONS(3535),
    [anon_sym_internal] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(3535),
    [anon_sym_override] = ACTIONS(3535),
    [anon_sym_partial] = ACTIONS(3535),
    [anon_sym_private] = ACTIONS(3535),
    [anon_sym_protected] = ACTIONS(3535),
    [anon_sym_public] = ACTIONS(3535),
    [anon_sym_readonly] = ACTIONS(3535),
    [anon_sym_required] = ACTIONS(3535),
    [anon_sym_sealed] = ACTIONS(3535),
    [anon_sym_virtual] = ACTIONS(3535),
    [anon_sym_volatile] = ACTIONS(3535),
    [anon_sym_where] = ACTIONS(3535),
    [anon_sym_notnull] = ACTIONS(3535),
    [anon_sym_unmanaged] = ACTIONS(3535),
    [anon_sym_checked] = ACTIONS(3535),
    [anon_sym_BANG] = ACTIONS(3537),
    [anon_sym_TILDE] = ACTIONS(3537),
    [anon_sym_PLUS_PLUS] = ACTIONS(3537),
    [anon_sym_DASH_DASH] = ACTIONS(3537),
    [anon_sym_true] = ACTIONS(3535),
    [anon_sym_false] = ACTIONS(3535),
    [anon_sym_PLUS] = ACTIONS(3535),
    [anon_sym_DASH] = ACTIONS(3535),
    [anon_sym_STAR] = ACTIONS(3537),
    [anon_sym_CARET] = ACTIONS(3537),
    [anon_sym_AMP] = ACTIONS(3537),
    [anon_sym_this] = ACTIONS(3535),
    [anon_sym_scoped] = ACTIONS(3535),
    [anon_sym_base] = ACTIONS(3535),
    [anon_sym_var] = ACTIONS(3535),
    [sym_predefined_type] = ACTIONS(3535),
    [anon_sym_break] = ACTIONS(3535),
    [anon_sym_unchecked] = ACTIONS(3535),
    [anon_sym_continue] = ACTIONS(3535),
    [anon_sym_do] = ACTIONS(3535),
    [anon_sym_while] = ACTIONS(3535),
    [anon_sym_for] = ACTIONS(3535),
    [anon_sym_lock] = ACTIONS(3535),
    [anon_sym_yield] = ACTIONS(3535),
    [anon_sym_switch] = ACTIONS(3535),
    [anon_sym_default] = ACTIONS(3535),
    [anon_sym_throw] = ACTIONS(3535),
    [anon_sym_try] = ACTIONS(3535),
    [anon_sym_when] = ACTIONS(3535),
    [anon_sym_await] = ACTIONS(3535),
    [anon_sym_foreach] = ACTIONS(3535),
    [anon_sym_goto] = ACTIONS(3535),
    [anon_sym_if] = ACTIONS(3535),
    [anon_sym_DOT_DOT] = ACTIONS(3537),
    [anon_sym_from] = ACTIONS(3535),
    [anon_sym_into] = ACTIONS(3535),
    [anon_sym_join] = ACTIONS(3535),
    [anon_sym_on] = ACTIONS(3535),
    [anon_sym_equals] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3535),
    [anon_sym_orderby] = ACTIONS(3535),
    [anon_sym_ascending] = ACTIONS(3535),
    [anon_sym_descending] = ACTIONS(3535),
    [anon_sym_group] = ACTIONS(3535),
    [anon_sym_by] = ACTIONS(3535),
    [anon_sym_select] = ACTIONS(3535),
    [anon_sym_DQUOTE] = ACTIONS(3537),
    [anon_sym_stackalloc] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(3535),
    [anon_sym_typeof] = ACTIONS(3535),
    [anon_sym___makeref] = ACTIONS(3535),
    [anon_sym___reftype] = ACTIONS(3535),
    [anon_sym___refvalue] = ACTIONS(3535),
    [sym_null_literal] = ACTIONS(3535),
    [anon_sym_SQUOTE] = ACTIONS(3537),
    [sym_integer_literal] = ACTIONS(3535),
    [sym_real_literal] = ACTIONS(3537),
    [sym_verbatim_string_literal] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3537),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3537),
    [sym_interpolation_verbatim_start] = ACTIONS(3537),
    [sym_interpolation_raw_start] = ACTIONS(3537),
    [sym_raw_string_start] = ACTIONS(3537),
  },
  [2567] = {
    [sym_preproc_region] = STATE(2567),
    [sym_preproc_endregion] = STATE(2567),
    [sym_preproc_line] = STATE(2567),
    [sym_preproc_pragma] = STATE(2567),
    [sym_preproc_nullable] = STATE(2567),
    [sym_preproc_error] = STATE(2567),
    [sym_preproc_define] = STATE(2567),
    [sym_preproc_undef] = STATE(2567),
    [ts_builtin_sym_end] = ACTIONS(3541),
    [sym__identifier_token] = ACTIONS(3539),
    [anon_sym_extern] = ACTIONS(3539),
    [anon_sym_alias] = ACTIONS(3539),
    [anon_sym_SEMI] = ACTIONS(3541),
    [anon_sym_global] = ACTIONS(3539),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_unsafe] = ACTIONS(3539),
    [anon_sym_static] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3541),
    [anon_sym_LPAREN] = ACTIONS(3541),
    [anon_sym_return] = ACTIONS(3539),
    [anon_sym_namespace] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_ref] = ACTIONS(3539),
    [anon_sym_struct] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3539),
    [anon_sym_LBRACE] = ACTIONS(3541),
    [anon_sym_interface] = ACTIONS(3539),
    [anon_sym_delegate] = ACTIONS(3539),
    [anon_sym_record] = ACTIONS(3539),
    [anon_sym_abstract] = ACTIONS(3539),
    [anon_sym_async] = ACTIONS(3539),
    [anon_sym_const] = ACTIONS(3539),
    [anon_sym_file] = ACTIONS(3539),
    [anon_sym_fixed] = ACTIONS(3539),
    [anon_sym_internal] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3539),
    [anon_sym_override] = ACTIONS(3539),
    [anon_sym_partial] = ACTIONS(3539),
    [anon_sym_private] = ACTIONS(3539),
    [anon_sym_protected] = ACTIONS(3539),
    [anon_sym_public] = ACTIONS(3539),
    [anon_sym_readonly] = ACTIONS(3539),
    [anon_sym_required] = ACTIONS(3539),
    [anon_sym_sealed] = ACTIONS(3539),
    [anon_sym_virtual] = ACTIONS(3539),
    [anon_sym_volatile] = ACTIONS(3539),
    [anon_sym_where] = ACTIONS(3539),
    [anon_sym_notnull] = ACTIONS(3539),
    [anon_sym_unmanaged] = ACTIONS(3539),
    [anon_sym_checked] = ACTIONS(3539),
    [anon_sym_BANG] = ACTIONS(3541),
    [anon_sym_TILDE] = ACTIONS(3541),
    [anon_sym_PLUS_PLUS] = ACTIONS(3541),
    [anon_sym_DASH_DASH] = ACTIONS(3541),
    [anon_sym_true] = ACTIONS(3539),
    [anon_sym_false] = ACTIONS(3539),
    [anon_sym_PLUS] = ACTIONS(3539),
    [anon_sym_DASH] = ACTIONS(3539),
    [anon_sym_STAR] = ACTIONS(3541),
    [anon_sym_CARET] = ACTIONS(3541),
    [anon_sym_AMP] = ACTIONS(3541),
    [anon_sym_this] = ACTIONS(3539),
    [anon_sym_scoped] = ACTIONS(3539),
    [anon_sym_base] = ACTIONS(3539),
    [anon_sym_var] = ACTIONS(3539),
    [sym_predefined_type] = ACTIONS(3539),
    [anon_sym_break] = ACTIONS(3539),
    [anon_sym_unchecked] = ACTIONS(3539),
    [anon_sym_continue] = ACTIONS(3539),
    [anon_sym_do] = ACTIONS(3539),
    [anon_sym_while] = ACTIONS(3539),
    [anon_sym_for] = ACTIONS(3539),
    [anon_sym_lock] = ACTIONS(3539),
    [anon_sym_yield] = ACTIONS(3539),
    [anon_sym_switch] = ACTIONS(3539),
    [anon_sym_default] = ACTIONS(3539),
    [anon_sym_throw] = ACTIONS(3539),
    [anon_sym_try] = ACTIONS(3539),
    [anon_sym_when] = ACTIONS(3539),
    [anon_sym_await] = ACTIONS(3539),
    [anon_sym_foreach] = ACTIONS(3539),
    [anon_sym_goto] = ACTIONS(3539),
    [anon_sym_if] = ACTIONS(3539),
    [anon_sym_DOT_DOT] = ACTIONS(3541),
    [anon_sym_from] = ACTIONS(3539),
    [anon_sym_into] = ACTIONS(3539),
    [anon_sym_join] = ACTIONS(3539),
    [anon_sym_on] = ACTIONS(3539),
    [anon_sym_equals] = ACTIONS(3539),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_orderby] = ACTIONS(3539),
    [anon_sym_ascending] = ACTIONS(3539),
    [anon_sym_descending] = ACTIONS(3539),
    [anon_sym_group] = ACTIONS(3539),
    [anon_sym_by] = ACTIONS(3539),
    [anon_sym_select] = ACTIONS(3539),
    [anon_sym_DQUOTE] = ACTIONS(3541),
    [anon_sym_stackalloc] = ACTIONS(3539),
    [anon_sym_sizeof] = ACTIONS(3539),
    [anon_sym_typeof] = ACTIONS(3539),
    [anon_sym___makeref] = ACTIONS(3539),
    [anon_sym___reftype] = ACTIONS(3539),
    [anon_sym___refvalue] = ACTIONS(3539),
    [sym_null_literal] = ACTIONS(3539),
    [anon_sym_SQUOTE] = ACTIONS(3541),
    [sym_integer_literal] = ACTIONS(3539),
    [sym_real_literal] = ACTIONS(3541),
    [sym_verbatim_string_literal] = ACTIONS(3541),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3541),
    [sym_interpolation_verbatim_start] = ACTIONS(3541),
    [sym_interpolation_raw_start] = ACTIONS(3541),
    [sym_raw_string_start] = ACTIONS(3541),
  },
  [2568] = {
    [sym_preproc_region] = STATE(2568),
    [sym_preproc_endregion] = STATE(2568),
    [sym_preproc_line] = STATE(2568),
    [sym_preproc_pragma] = STATE(2568),
    [sym_preproc_nullable] = STATE(2568),
    [sym_preproc_error] = STATE(2568),
    [sym_preproc_define] = STATE(2568),
    [sym_preproc_undef] = STATE(2568),
    [ts_builtin_sym_end] = ACTIONS(3739),
    [sym__identifier_token] = ACTIONS(3737),
    [anon_sym_extern] = ACTIONS(3737),
    [anon_sym_alias] = ACTIONS(3737),
    [anon_sym_SEMI] = ACTIONS(3739),
    [anon_sym_global] = ACTIONS(3737),
    [anon_sym_using] = ACTIONS(3737),
    [anon_sym_unsafe] = ACTIONS(3737),
    [anon_sym_static] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [anon_sym_LPAREN] = ACTIONS(3739),
    [anon_sym_return] = ACTIONS(3737),
    [anon_sym_namespace] = ACTIONS(3737),
    [anon_sym_class] = ACTIONS(3737),
    [anon_sym_ref] = ACTIONS(3737),
    [anon_sym_struct] = ACTIONS(3737),
    [anon_sym_enum] = ACTIONS(3737),
    [anon_sym_LBRACE] = ACTIONS(3739),
    [anon_sym_interface] = ACTIONS(3737),
    [anon_sym_delegate] = ACTIONS(3737),
    [anon_sym_record] = ACTIONS(3737),
    [anon_sym_abstract] = ACTIONS(3737),
    [anon_sym_async] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3737),
    [anon_sym_file] = ACTIONS(3737),
    [anon_sym_fixed] = ACTIONS(3737),
    [anon_sym_internal] = ACTIONS(3737),
    [anon_sym_new] = ACTIONS(3737),
    [anon_sym_override] = ACTIONS(3737),
    [anon_sym_partial] = ACTIONS(3737),
    [anon_sym_private] = ACTIONS(3737),
    [anon_sym_protected] = ACTIONS(3737),
    [anon_sym_public] = ACTIONS(3737),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_required] = ACTIONS(3737),
    [anon_sym_sealed] = ACTIONS(3737),
    [anon_sym_virtual] = ACTIONS(3737),
    [anon_sym_volatile] = ACTIONS(3737),
    [anon_sym_where] = ACTIONS(3737),
    [anon_sym_notnull] = ACTIONS(3737),
    [anon_sym_unmanaged] = ACTIONS(3737),
    [anon_sym_checked] = ACTIONS(3737),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_PLUS_PLUS] = ACTIONS(3739),
    [anon_sym_DASH_DASH] = ACTIONS(3739),
    [anon_sym_true] = ACTIONS(3737),
    [anon_sym_false] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(3739),
    [anon_sym_CARET] = ACTIONS(3739),
    [anon_sym_AMP] = ACTIONS(3739),
    [anon_sym_this] = ACTIONS(3737),
    [anon_sym_scoped] = ACTIONS(3737),
    [anon_sym_base] = ACTIONS(3737),
    [anon_sym_var] = ACTIONS(3737),
    [sym_predefined_type] = ACTIONS(3737),
    [anon_sym_break] = ACTIONS(3737),
    [anon_sym_unchecked] = ACTIONS(3737),
    [anon_sym_continue] = ACTIONS(3737),
    [anon_sym_do] = ACTIONS(3737),
    [anon_sym_while] = ACTIONS(3737),
    [anon_sym_for] = ACTIONS(3737),
    [anon_sym_lock] = ACTIONS(3737),
    [anon_sym_yield] = ACTIONS(3737),
    [anon_sym_switch] = ACTIONS(3737),
    [anon_sym_default] = ACTIONS(3737),
    [anon_sym_throw] = ACTIONS(3737),
    [anon_sym_try] = ACTIONS(3737),
    [anon_sym_when] = ACTIONS(3737),
    [anon_sym_await] = ACTIONS(3737),
    [anon_sym_foreach] = ACTIONS(3737),
    [anon_sym_goto] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(3737),
    [anon_sym_DOT_DOT] = ACTIONS(3739),
    [anon_sym_from] = ACTIONS(3737),
    [anon_sym_into] = ACTIONS(3737),
    [anon_sym_join] = ACTIONS(3737),
    [anon_sym_on] = ACTIONS(3737),
    [anon_sym_equals] = ACTIONS(3737),
    [anon_sym_let] = ACTIONS(3737),
    [anon_sym_orderby] = ACTIONS(3737),
    [anon_sym_ascending] = ACTIONS(3737),
    [anon_sym_descending] = ACTIONS(3737),
    [anon_sym_group] = ACTIONS(3737),
    [anon_sym_by] = ACTIONS(3737),
    [anon_sym_select] = ACTIONS(3737),
    [anon_sym_DQUOTE] = ACTIONS(3739),
    [anon_sym_stackalloc] = ACTIONS(3737),
    [anon_sym_sizeof] = ACTIONS(3737),
    [anon_sym_typeof] = ACTIONS(3737),
    [anon_sym___makeref] = ACTIONS(3737),
    [anon_sym___reftype] = ACTIONS(3737),
    [anon_sym___refvalue] = ACTIONS(3737),
    [sym_null_literal] = ACTIONS(3737),
    [anon_sym_SQUOTE] = ACTIONS(3739),
    [sym_integer_literal] = ACTIONS(3737),
    [sym_real_literal] = ACTIONS(3739),
    [sym_verbatim_string_literal] = ACTIONS(3739),
    [aux_sym_preproc_if_token1] = ACTIONS(3739),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3739),
    [sym_interpolation_verbatim_start] = ACTIONS(3739),
    [sym_interpolation_raw_start] = ACTIONS(3739),
    [sym_raw_string_start] = ACTIONS(3739),
  },
  [2569] = {
    [sym_preproc_region] = STATE(2569),
    [sym_preproc_endregion] = STATE(2569),
    [sym_preproc_line] = STATE(2569),
    [sym_preproc_pragma] = STATE(2569),
    [sym_preproc_nullable] = STATE(2569),
    [sym_preproc_error] = STATE(2569),
    [sym_preproc_define] = STATE(2569),
    [sym_preproc_undef] = STATE(2569),
    [ts_builtin_sym_end] = ACTIONS(3743),
    [sym__identifier_token] = ACTIONS(3741),
    [anon_sym_extern] = ACTIONS(3741),
    [anon_sym_alias] = ACTIONS(3741),
    [anon_sym_SEMI] = ACTIONS(3743),
    [anon_sym_global] = ACTIONS(3741),
    [anon_sym_using] = ACTIONS(3741),
    [anon_sym_unsafe] = ACTIONS(3741),
    [anon_sym_static] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3743),
    [anon_sym_LPAREN] = ACTIONS(3743),
    [anon_sym_return] = ACTIONS(3741),
    [anon_sym_namespace] = ACTIONS(3741),
    [anon_sym_class] = ACTIONS(3741),
    [anon_sym_ref] = ACTIONS(3741),
    [anon_sym_struct] = ACTIONS(3741),
    [anon_sym_enum] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(3743),
    [anon_sym_interface] = ACTIONS(3741),
    [anon_sym_delegate] = ACTIONS(3741),
    [anon_sym_record] = ACTIONS(3741),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_async] = ACTIONS(3741),
    [anon_sym_const] = ACTIONS(3741),
    [anon_sym_file] = ACTIONS(3741),
    [anon_sym_fixed] = ACTIONS(3741),
    [anon_sym_internal] = ACTIONS(3741),
    [anon_sym_new] = ACTIONS(3741),
    [anon_sym_override] = ACTIONS(3741),
    [anon_sym_partial] = ACTIONS(3741),
    [anon_sym_private] = ACTIONS(3741),
    [anon_sym_protected] = ACTIONS(3741),
    [anon_sym_public] = ACTIONS(3741),
    [anon_sym_readonly] = ACTIONS(3741),
    [anon_sym_required] = ACTIONS(3741),
    [anon_sym_sealed] = ACTIONS(3741),
    [anon_sym_virtual] = ACTIONS(3741),
    [anon_sym_volatile] = ACTIONS(3741),
    [anon_sym_where] = ACTIONS(3741),
    [anon_sym_notnull] = ACTIONS(3741),
    [anon_sym_unmanaged] = ACTIONS(3741),
    [anon_sym_checked] = ACTIONS(3741),
    [anon_sym_BANG] = ACTIONS(3743),
    [anon_sym_TILDE] = ACTIONS(3743),
    [anon_sym_PLUS_PLUS] = ACTIONS(3743),
    [anon_sym_DASH_DASH] = ACTIONS(3743),
    [anon_sym_true] = ACTIONS(3741),
    [anon_sym_false] = ACTIONS(3741),
    [anon_sym_PLUS] = ACTIONS(3741),
    [anon_sym_DASH] = ACTIONS(3741),
    [anon_sym_STAR] = ACTIONS(3743),
    [anon_sym_CARET] = ACTIONS(3743),
    [anon_sym_AMP] = ACTIONS(3743),
    [anon_sym_this] = ACTIONS(3741),
    [anon_sym_scoped] = ACTIONS(3741),
    [anon_sym_base] = ACTIONS(3741),
    [anon_sym_var] = ACTIONS(3741),
    [sym_predefined_type] = ACTIONS(3741),
    [anon_sym_break] = ACTIONS(3741),
    [anon_sym_unchecked] = ACTIONS(3741),
    [anon_sym_continue] = ACTIONS(3741),
    [anon_sym_do] = ACTIONS(3741),
    [anon_sym_while] = ACTIONS(3741),
    [anon_sym_for] = ACTIONS(3741),
    [anon_sym_lock] = ACTIONS(3741),
    [anon_sym_yield] = ACTIONS(3741),
    [anon_sym_switch] = ACTIONS(3741),
    [anon_sym_default] = ACTIONS(3741),
    [anon_sym_throw] = ACTIONS(3741),
    [anon_sym_try] = ACTIONS(3741),
    [anon_sym_when] = ACTIONS(3741),
    [anon_sym_await] = ACTIONS(3741),
    [anon_sym_foreach] = ACTIONS(3741),
    [anon_sym_goto] = ACTIONS(3741),
    [anon_sym_if] = ACTIONS(3741),
    [anon_sym_DOT_DOT] = ACTIONS(3743),
    [anon_sym_from] = ACTIONS(3741),
    [anon_sym_into] = ACTIONS(3741),
    [anon_sym_join] = ACTIONS(3741),
    [anon_sym_on] = ACTIONS(3741),
    [anon_sym_equals] = ACTIONS(3741),
    [anon_sym_let] = ACTIONS(3741),
    [anon_sym_orderby] = ACTIONS(3741),
    [anon_sym_ascending] = ACTIONS(3741),
    [anon_sym_descending] = ACTIONS(3741),
    [anon_sym_group] = ACTIONS(3741),
    [anon_sym_by] = ACTIONS(3741),
    [anon_sym_select] = ACTIONS(3741),
    [anon_sym_DQUOTE] = ACTIONS(3743),
    [anon_sym_stackalloc] = ACTIONS(3741),
    [anon_sym_sizeof] = ACTIONS(3741),
    [anon_sym_typeof] = ACTIONS(3741),
    [anon_sym___makeref] = ACTIONS(3741),
    [anon_sym___reftype] = ACTIONS(3741),
    [anon_sym___refvalue] = ACTIONS(3741),
    [sym_null_literal] = ACTIONS(3741),
    [anon_sym_SQUOTE] = ACTIONS(3743),
    [sym_integer_literal] = ACTIONS(3741),
    [sym_real_literal] = ACTIONS(3743),
    [sym_verbatim_string_literal] = ACTIONS(3743),
    [aux_sym_preproc_if_token1] = ACTIONS(3743),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3743),
    [sym_interpolation_verbatim_start] = ACTIONS(3743),
    [sym_interpolation_raw_start] = ACTIONS(3743),
    [sym_raw_string_start] = ACTIONS(3743),
  },
  [2570] = {
    [sym_preproc_region] = STATE(2570),
    [sym_preproc_endregion] = STATE(2570),
    [sym_preproc_line] = STATE(2570),
    [sym_preproc_pragma] = STATE(2570),
    [sym_preproc_nullable] = STATE(2570),
    [sym_preproc_error] = STATE(2570),
    [sym_preproc_define] = STATE(2570),
    [sym_preproc_undef] = STATE(2570),
    [ts_builtin_sym_end] = ACTIONS(3939),
    [sym__identifier_token] = ACTIONS(3937),
    [anon_sym_extern] = ACTIONS(3937),
    [anon_sym_alias] = ACTIONS(3937),
    [anon_sym_SEMI] = ACTIONS(3939),
    [anon_sym_global] = ACTIONS(3937),
    [anon_sym_using] = ACTIONS(3937),
    [anon_sym_unsafe] = ACTIONS(3937),
    [anon_sym_static] = ACTIONS(3937),
    [anon_sym_LBRACK] = ACTIONS(3939),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_return] = ACTIONS(3937),
    [anon_sym_namespace] = ACTIONS(3937),
    [anon_sym_class] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3937),
    [anon_sym_struct] = ACTIONS(3937),
    [anon_sym_enum] = ACTIONS(3937),
    [anon_sym_LBRACE] = ACTIONS(3939),
    [anon_sym_interface] = ACTIONS(3937),
    [anon_sym_delegate] = ACTIONS(3937),
    [anon_sym_record] = ACTIONS(3937),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_async] = ACTIONS(3937),
    [anon_sym_const] = ACTIONS(3937),
    [anon_sym_file] = ACTIONS(3937),
    [anon_sym_fixed] = ACTIONS(3937),
    [anon_sym_internal] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_override] = ACTIONS(3937),
    [anon_sym_partial] = ACTIONS(3937),
    [anon_sym_private] = ACTIONS(3937),
    [anon_sym_protected] = ACTIONS(3937),
    [anon_sym_public] = ACTIONS(3937),
    [anon_sym_readonly] = ACTIONS(3937),
    [anon_sym_required] = ACTIONS(3937),
    [anon_sym_sealed] = ACTIONS(3937),
    [anon_sym_virtual] = ACTIONS(3937),
    [anon_sym_volatile] = ACTIONS(3937),
    [anon_sym_where] = ACTIONS(3937),
    [anon_sym_notnull] = ACTIONS(3937),
    [anon_sym_unmanaged] = ACTIONS(3937),
    [anon_sym_checked] = ACTIONS(3937),
    [anon_sym_BANG] = ACTIONS(3939),
    [anon_sym_TILDE] = ACTIONS(3939),
    [anon_sym_PLUS_PLUS] = ACTIONS(3939),
    [anon_sym_DASH_DASH] = ACTIONS(3939),
    [anon_sym_true] = ACTIONS(3937),
    [anon_sym_false] = ACTIONS(3937),
    [anon_sym_PLUS] = ACTIONS(3937),
    [anon_sym_DASH] = ACTIONS(3937),
    [anon_sym_STAR] = ACTIONS(3939),
    [anon_sym_CARET] = ACTIONS(3939),
    [anon_sym_AMP] = ACTIONS(3939),
    [anon_sym_this] = ACTIONS(3937),
    [anon_sym_scoped] = ACTIONS(3937),
    [anon_sym_base] = ACTIONS(3937),
    [anon_sym_var] = ACTIONS(3937),
    [sym_predefined_type] = ACTIONS(3937),
    [anon_sym_break] = ACTIONS(3937),
    [anon_sym_unchecked] = ACTIONS(3937),
    [anon_sym_continue] = ACTIONS(3937),
    [anon_sym_do] = ACTIONS(3937),
    [anon_sym_while] = ACTIONS(3937),
    [anon_sym_for] = ACTIONS(3937),
    [anon_sym_lock] = ACTIONS(3937),
    [anon_sym_yield] = ACTIONS(3937),
    [anon_sym_switch] = ACTIONS(3937),
    [anon_sym_default] = ACTIONS(3937),
    [anon_sym_throw] = ACTIONS(3937),
    [anon_sym_try] = ACTIONS(3937),
    [anon_sym_when] = ACTIONS(3937),
    [anon_sym_await] = ACTIONS(3937),
    [anon_sym_foreach] = ACTIONS(3937),
    [anon_sym_goto] = ACTIONS(3937),
    [anon_sym_if] = ACTIONS(3937),
    [anon_sym_DOT_DOT] = ACTIONS(3939),
    [anon_sym_from] = ACTIONS(3937),
    [anon_sym_into] = ACTIONS(3937),
    [anon_sym_join] = ACTIONS(3937),
    [anon_sym_on] = ACTIONS(3937),
    [anon_sym_equals] = ACTIONS(3937),
    [anon_sym_let] = ACTIONS(3937),
    [anon_sym_orderby] = ACTIONS(3937),
    [anon_sym_ascending] = ACTIONS(3937),
    [anon_sym_descending] = ACTIONS(3937),
    [anon_sym_group] = ACTIONS(3937),
    [anon_sym_by] = ACTIONS(3937),
    [anon_sym_select] = ACTIONS(3937),
    [anon_sym_DQUOTE] = ACTIONS(3939),
    [anon_sym_stackalloc] = ACTIONS(3937),
    [anon_sym_sizeof] = ACTIONS(3937),
    [anon_sym_typeof] = ACTIONS(3937),
    [anon_sym___makeref] = ACTIONS(3937),
    [anon_sym___reftype] = ACTIONS(3937),
    [anon_sym___refvalue] = ACTIONS(3937),
    [sym_null_literal] = ACTIONS(3937),
    [anon_sym_SQUOTE] = ACTIONS(3939),
    [sym_integer_literal] = ACTIONS(3937),
    [sym_real_literal] = ACTIONS(3939),
    [sym_verbatim_string_literal] = ACTIONS(3939),
    [aux_sym_preproc_if_token1] = ACTIONS(3939),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3939),
    [sym_interpolation_verbatim_start] = ACTIONS(3939),
    [sym_interpolation_raw_start] = ACTIONS(3939),
    [sym_raw_string_start] = ACTIONS(3939),
  },
  [2571] = {
    [sym_preproc_region] = STATE(2571),
    [sym_preproc_endregion] = STATE(2571),
    [sym_preproc_line] = STATE(2571),
    [sym_preproc_pragma] = STATE(2571),
    [sym_preproc_nullable] = STATE(2571),
    [sym_preproc_error] = STATE(2571),
    [sym_preproc_define] = STATE(2571),
    [sym_preproc_undef] = STATE(2571),
    [ts_builtin_sym_end] = ACTIONS(3437),
    [sym__identifier_token] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym_alias] = ACTIONS(3435),
    [anon_sym_SEMI] = ACTIONS(3437),
    [anon_sym_global] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_unsafe] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_return] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_ref] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_LBRACE] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_delegate] = ACTIONS(3435),
    [anon_sym_record] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_file] = ACTIONS(3435),
    [anon_sym_fixed] = ACTIONS(3435),
    [anon_sym_internal] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_partial] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_required] = ACTIONS(3435),
    [anon_sym_sealed] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_where] = ACTIONS(3435),
    [anon_sym_notnull] = ACTIONS(3435),
    [anon_sym_unmanaged] = ACTIONS(3435),
    [anon_sym_checked] = ACTIONS(3435),
    [anon_sym_BANG] = ACTIONS(3437),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_PLUS_PLUS] = ACTIONS(3437),
    [anon_sym_DASH_DASH] = ACTIONS(3437),
    [anon_sym_true] = ACTIONS(3435),
    [anon_sym_false] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3435),
    [anon_sym_DASH] = ACTIONS(3435),
    [anon_sym_STAR] = ACTIONS(3437),
    [anon_sym_CARET] = ACTIONS(3437),
    [anon_sym_AMP] = ACTIONS(3437),
    [anon_sym_this] = ACTIONS(3435),
    [anon_sym_scoped] = ACTIONS(3435),
    [anon_sym_base] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [sym_predefined_type] = ACTIONS(3435),
    [anon_sym_break] = ACTIONS(3435),
    [anon_sym_unchecked] = ACTIONS(3435),
    [anon_sym_continue] = ACTIONS(3435),
    [anon_sym_do] = ACTIONS(3435),
    [anon_sym_while] = ACTIONS(3435),
    [anon_sym_for] = ACTIONS(3435),
    [anon_sym_lock] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_switch] = ACTIONS(3435),
    [anon_sym_default] = ACTIONS(3435),
    [anon_sym_throw] = ACTIONS(3435),
    [anon_sym_try] = ACTIONS(3435),
    [anon_sym_when] = ACTIONS(3435),
    [anon_sym_await] = ACTIONS(3435),
    [anon_sym_foreach] = ACTIONS(3435),
    [anon_sym_goto] = ACTIONS(3435),
    [anon_sym_if] = ACTIONS(3435),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_from] = ACTIONS(3435),
    [anon_sym_into] = ACTIONS(3435),
    [anon_sym_join] = ACTIONS(3435),
    [anon_sym_on] = ACTIONS(3435),
    [anon_sym_equals] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_orderby] = ACTIONS(3435),
    [anon_sym_ascending] = ACTIONS(3435),
    [anon_sym_descending] = ACTIONS(3435),
    [anon_sym_group] = ACTIONS(3435),
    [anon_sym_by] = ACTIONS(3435),
    [anon_sym_select] = ACTIONS(3435),
    [anon_sym_DQUOTE] = ACTIONS(3437),
    [anon_sym_stackalloc] = ACTIONS(3435),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym_typeof] = ACTIONS(3435),
    [anon_sym___makeref] = ACTIONS(3435),
    [anon_sym___reftype] = ACTIONS(3435),
    [anon_sym___refvalue] = ACTIONS(3435),
    [sym_null_literal] = ACTIONS(3435),
    [anon_sym_SQUOTE] = ACTIONS(3437),
    [sym_integer_literal] = ACTIONS(3435),
    [sym_real_literal] = ACTIONS(3437),
    [sym_verbatim_string_literal] = ACTIONS(3437),
    [aux_sym_preproc_if_token1] = ACTIONS(3437),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3437),
    [sym_interpolation_verbatim_start] = ACTIONS(3437),
    [sym_interpolation_raw_start] = ACTIONS(3437),
    [sym_raw_string_start] = ACTIONS(3437),
  },
  [2572] = {
    [sym_preproc_region] = STATE(2572),
    [sym_preproc_endregion] = STATE(2572),
    [sym_preproc_line] = STATE(2572),
    [sym_preproc_pragma] = STATE(2572),
    [sym_preproc_nullable] = STATE(2572),
    [sym_preproc_error] = STATE(2572),
    [sym_preproc_define] = STATE(2572),
    [sym_preproc_undef] = STATE(2572),
    [ts_builtin_sym_end] = ACTIONS(3923),
    [sym__identifier_token] = ACTIONS(3921),
    [anon_sym_extern] = ACTIONS(3921),
    [anon_sym_alias] = ACTIONS(3921),
    [anon_sym_SEMI] = ACTIONS(3923),
    [anon_sym_global] = ACTIONS(3921),
    [anon_sym_using] = ACTIONS(3921),
    [anon_sym_unsafe] = ACTIONS(3921),
    [anon_sym_static] = ACTIONS(3921),
    [anon_sym_LBRACK] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(3923),
    [anon_sym_return] = ACTIONS(3921),
    [anon_sym_namespace] = ACTIONS(3921),
    [anon_sym_class] = ACTIONS(3921),
    [anon_sym_ref] = ACTIONS(3921),
    [anon_sym_struct] = ACTIONS(3921),
    [anon_sym_enum] = ACTIONS(3921),
    [anon_sym_LBRACE] = ACTIONS(3923),
    [anon_sym_interface] = ACTIONS(3921),
    [anon_sym_delegate] = ACTIONS(3921),
    [anon_sym_record] = ACTIONS(3921),
    [anon_sym_abstract] = ACTIONS(3921),
    [anon_sym_async] = ACTIONS(3921),
    [anon_sym_const] = ACTIONS(3921),
    [anon_sym_file] = ACTIONS(3921),
    [anon_sym_fixed] = ACTIONS(3921),
    [anon_sym_internal] = ACTIONS(3921),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_override] = ACTIONS(3921),
    [anon_sym_partial] = ACTIONS(3921),
    [anon_sym_private] = ACTIONS(3921),
    [anon_sym_protected] = ACTIONS(3921),
    [anon_sym_public] = ACTIONS(3921),
    [anon_sym_readonly] = ACTIONS(3921),
    [anon_sym_required] = ACTIONS(3921),
    [anon_sym_sealed] = ACTIONS(3921),
    [anon_sym_virtual] = ACTIONS(3921),
    [anon_sym_volatile] = ACTIONS(3921),
    [anon_sym_where] = ACTIONS(3921),
    [anon_sym_notnull] = ACTIONS(3921),
    [anon_sym_unmanaged] = ACTIONS(3921),
    [anon_sym_checked] = ACTIONS(3921),
    [anon_sym_BANG] = ACTIONS(3923),
    [anon_sym_TILDE] = ACTIONS(3923),
    [anon_sym_PLUS_PLUS] = ACTIONS(3923),
    [anon_sym_DASH_DASH] = ACTIONS(3923),
    [anon_sym_true] = ACTIONS(3921),
    [anon_sym_false] = ACTIONS(3921),
    [anon_sym_PLUS] = ACTIONS(3921),
    [anon_sym_DASH] = ACTIONS(3921),
    [anon_sym_STAR] = ACTIONS(3923),
    [anon_sym_CARET] = ACTIONS(3923),
    [anon_sym_AMP] = ACTIONS(3923),
    [anon_sym_this] = ACTIONS(3921),
    [anon_sym_scoped] = ACTIONS(3921),
    [anon_sym_base] = ACTIONS(3921),
    [anon_sym_var] = ACTIONS(3921),
    [sym_predefined_type] = ACTIONS(3921),
    [anon_sym_break] = ACTIONS(3921),
    [anon_sym_unchecked] = ACTIONS(3921),
    [anon_sym_continue] = ACTIONS(3921),
    [anon_sym_do] = ACTIONS(3921),
    [anon_sym_while] = ACTIONS(3921),
    [anon_sym_for] = ACTIONS(3921),
    [anon_sym_lock] = ACTIONS(3921),
    [anon_sym_yield] = ACTIONS(3921),
    [anon_sym_switch] = ACTIONS(3921),
    [anon_sym_default] = ACTIONS(3921),
    [anon_sym_throw] = ACTIONS(3921),
    [anon_sym_try] = ACTIONS(3921),
    [anon_sym_when] = ACTIONS(3921),
    [anon_sym_await] = ACTIONS(3921),
    [anon_sym_foreach] = ACTIONS(3921),
    [anon_sym_goto] = ACTIONS(3921),
    [anon_sym_if] = ACTIONS(3921),
    [anon_sym_DOT_DOT] = ACTIONS(3923),
    [anon_sym_from] = ACTIONS(3921),
    [anon_sym_into] = ACTIONS(3921),
    [anon_sym_join] = ACTIONS(3921),
    [anon_sym_on] = ACTIONS(3921),
    [anon_sym_equals] = ACTIONS(3921),
    [anon_sym_let] = ACTIONS(3921),
    [anon_sym_orderby] = ACTIONS(3921),
    [anon_sym_ascending] = ACTIONS(3921),
    [anon_sym_descending] = ACTIONS(3921),
    [anon_sym_group] = ACTIONS(3921),
    [anon_sym_by] = ACTIONS(3921),
    [anon_sym_select] = ACTIONS(3921),
    [anon_sym_DQUOTE] = ACTIONS(3923),
    [anon_sym_stackalloc] = ACTIONS(3921),
    [anon_sym_sizeof] = ACTIONS(3921),
    [anon_sym_typeof] = ACTIONS(3921),
    [anon_sym___makeref] = ACTIONS(3921),
    [anon_sym___reftype] = ACTIONS(3921),
    [anon_sym___refvalue] = ACTIONS(3921),
    [sym_null_literal] = ACTIONS(3921),
    [anon_sym_SQUOTE] = ACTIONS(3923),
    [sym_integer_literal] = ACTIONS(3921),
    [sym_real_literal] = ACTIONS(3923),
    [sym_verbatim_string_literal] = ACTIONS(3923),
    [aux_sym_preproc_if_token1] = ACTIONS(3923),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3923),
    [sym_interpolation_verbatim_start] = ACTIONS(3923),
    [sym_interpolation_raw_start] = ACTIONS(3923),
    [sym_raw_string_start] = ACTIONS(3923),
  },
  [2573] = {
    [sym_preproc_region] = STATE(2573),
    [sym_preproc_endregion] = STATE(2573),
    [sym_preproc_line] = STATE(2573),
    [sym_preproc_pragma] = STATE(2573),
    [sym_preproc_nullable] = STATE(2573),
    [sym_preproc_error] = STATE(2573),
    [sym_preproc_define] = STATE(2573),
    [sym_preproc_undef] = STATE(2573),
    [ts_builtin_sym_end] = ACTIONS(3477),
    [sym__identifier_token] = ACTIONS(3475),
    [anon_sym_extern] = ACTIONS(3475),
    [anon_sym_alias] = ACTIONS(3475),
    [anon_sym_SEMI] = ACTIONS(3477),
    [anon_sym_global] = ACTIONS(3475),
    [anon_sym_using] = ACTIONS(3475),
    [anon_sym_unsafe] = ACTIONS(3475),
    [anon_sym_static] = ACTIONS(3475),
    [anon_sym_LBRACK] = ACTIONS(3477),
    [anon_sym_LPAREN] = ACTIONS(3477),
    [anon_sym_return] = ACTIONS(3475),
    [anon_sym_namespace] = ACTIONS(3475),
    [anon_sym_class] = ACTIONS(3475),
    [anon_sym_ref] = ACTIONS(3475),
    [anon_sym_struct] = ACTIONS(3475),
    [anon_sym_enum] = ACTIONS(3475),
    [anon_sym_LBRACE] = ACTIONS(3477),
    [anon_sym_interface] = ACTIONS(3475),
    [anon_sym_delegate] = ACTIONS(3475),
    [anon_sym_record] = ACTIONS(3475),
    [anon_sym_abstract] = ACTIONS(3475),
    [anon_sym_async] = ACTIONS(3475),
    [anon_sym_const] = ACTIONS(3475),
    [anon_sym_file] = ACTIONS(3475),
    [anon_sym_fixed] = ACTIONS(3475),
    [anon_sym_internal] = ACTIONS(3475),
    [anon_sym_new] = ACTIONS(3475),
    [anon_sym_override] = ACTIONS(3475),
    [anon_sym_partial] = ACTIONS(3475),
    [anon_sym_private] = ACTIONS(3475),
    [anon_sym_protected] = ACTIONS(3475),
    [anon_sym_public] = ACTIONS(3475),
    [anon_sym_readonly] = ACTIONS(3475),
    [anon_sym_required] = ACTIONS(3475),
    [anon_sym_sealed] = ACTIONS(3475),
    [anon_sym_virtual] = ACTIONS(3475),
    [anon_sym_volatile] = ACTIONS(3475),
    [anon_sym_where] = ACTIONS(3475),
    [anon_sym_notnull] = ACTIONS(3475),
    [anon_sym_unmanaged] = ACTIONS(3475),
    [anon_sym_checked] = ACTIONS(3475),
    [anon_sym_BANG] = ACTIONS(3477),
    [anon_sym_TILDE] = ACTIONS(3477),
    [anon_sym_PLUS_PLUS] = ACTIONS(3477),
    [anon_sym_DASH_DASH] = ACTIONS(3477),
    [anon_sym_true] = ACTIONS(3475),
    [anon_sym_false] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(3475),
    [anon_sym_DASH] = ACTIONS(3475),
    [anon_sym_STAR] = ACTIONS(3477),
    [anon_sym_CARET] = ACTIONS(3477),
    [anon_sym_AMP] = ACTIONS(3477),
    [anon_sym_this] = ACTIONS(3475),
    [anon_sym_scoped] = ACTIONS(3475),
    [anon_sym_base] = ACTIONS(3475),
    [anon_sym_var] = ACTIONS(3475),
    [sym_predefined_type] = ACTIONS(3475),
    [anon_sym_break] = ACTIONS(3475),
    [anon_sym_unchecked] = ACTIONS(3475),
    [anon_sym_continue] = ACTIONS(3475),
    [anon_sym_do] = ACTIONS(3475),
    [anon_sym_while] = ACTIONS(3475),
    [anon_sym_for] = ACTIONS(3475),
    [anon_sym_lock] = ACTIONS(3475),
    [anon_sym_yield] = ACTIONS(3475),
    [anon_sym_switch] = ACTIONS(3475),
    [anon_sym_default] = ACTIONS(3475),
    [anon_sym_throw] = ACTIONS(3475),
    [anon_sym_try] = ACTIONS(3475),
    [anon_sym_when] = ACTIONS(3475),
    [anon_sym_await] = ACTIONS(3475),
    [anon_sym_foreach] = ACTIONS(3475),
    [anon_sym_goto] = ACTIONS(3475),
    [anon_sym_if] = ACTIONS(3475),
    [anon_sym_DOT_DOT] = ACTIONS(3477),
    [anon_sym_from] = ACTIONS(3475),
    [anon_sym_into] = ACTIONS(3475),
    [anon_sym_join] = ACTIONS(3475),
    [anon_sym_on] = ACTIONS(3475),
    [anon_sym_equals] = ACTIONS(3475),
    [anon_sym_let] = ACTIONS(3475),
    [anon_sym_orderby] = ACTIONS(3475),
    [anon_sym_ascending] = ACTIONS(3475),
    [anon_sym_descending] = ACTIONS(3475),
    [anon_sym_group] = ACTIONS(3475),
    [anon_sym_by] = ACTIONS(3475),
    [anon_sym_select] = ACTIONS(3475),
    [anon_sym_DQUOTE] = ACTIONS(3477),
    [anon_sym_stackalloc] = ACTIONS(3475),
    [anon_sym_sizeof] = ACTIONS(3475),
    [anon_sym_typeof] = ACTIONS(3475),
    [anon_sym___makeref] = ACTIONS(3475),
    [anon_sym___reftype] = ACTIONS(3475),
    [anon_sym___refvalue] = ACTIONS(3475),
    [sym_null_literal] = ACTIONS(3475),
    [anon_sym_SQUOTE] = ACTIONS(3477),
    [sym_integer_literal] = ACTIONS(3475),
    [sym_real_literal] = ACTIONS(3477),
    [sym_verbatim_string_literal] = ACTIONS(3477),
    [aux_sym_preproc_if_token1] = ACTIONS(3477),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3477),
    [sym_interpolation_verbatim_start] = ACTIONS(3477),
    [sym_interpolation_raw_start] = ACTIONS(3477),
    [sym_raw_string_start] = ACTIONS(3477),
  },
  [2574] = {
    [sym_preproc_region] = STATE(2574),
    [sym_preproc_endregion] = STATE(2574),
    [sym_preproc_line] = STATE(2574),
    [sym_preproc_pragma] = STATE(2574),
    [sym_preproc_nullable] = STATE(2574),
    [sym_preproc_error] = STATE(2574),
    [sym_preproc_define] = STATE(2574),
    [sym_preproc_undef] = STATE(2574),
    [ts_builtin_sym_end] = ACTIONS(3767),
    [sym__identifier_token] = ACTIONS(3765),
    [anon_sym_extern] = ACTIONS(3765),
    [anon_sym_alias] = ACTIONS(3765),
    [anon_sym_SEMI] = ACTIONS(3767),
    [anon_sym_global] = ACTIONS(3765),
    [anon_sym_using] = ACTIONS(3765),
    [anon_sym_unsafe] = ACTIONS(3765),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3767),
    [anon_sym_LPAREN] = ACTIONS(3767),
    [anon_sym_return] = ACTIONS(3765),
    [anon_sym_namespace] = ACTIONS(3765),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_ref] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3765),
    [anon_sym_enum] = ACTIONS(3765),
    [anon_sym_LBRACE] = ACTIONS(3767),
    [anon_sym_interface] = ACTIONS(3765),
    [anon_sym_delegate] = ACTIONS(3765),
    [anon_sym_record] = ACTIONS(3765),
    [anon_sym_abstract] = ACTIONS(3765),
    [anon_sym_async] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_file] = ACTIONS(3765),
    [anon_sym_fixed] = ACTIONS(3765),
    [anon_sym_internal] = ACTIONS(3765),
    [anon_sym_new] = ACTIONS(3765),
    [anon_sym_override] = ACTIONS(3765),
    [anon_sym_partial] = ACTIONS(3765),
    [anon_sym_private] = ACTIONS(3765),
    [anon_sym_protected] = ACTIONS(3765),
    [anon_sym_public] = ACTIONS(3765),
    [anon_sym_readonly] = ACTIONS(3765),
    [anon_sym_required] = ACTIONS(3765),
    [anon_sym_sealed] = ACTIONS(3765),
    [anon_sym_virtual] = ACTIONS(3765),
    [anon_sym_volatile] = ACTIONS(3765),
    [anon_sym_where] = ACTIONS(3765),
    [anon_sym_notnull] = ACTIONS(3765),
    [anon_sym_unmanaged] = ACTIONS(3765),
    [anon_sym_checked] = ACTIONS(3765),
    [anon_sym_BANG] = ACTIONS(3767),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_PLUS_PLUS] = ACTIONS(3767),
    [anon_sym_DASH_DASH] = ACTIONS(3767),
    [anon_sym_true] = ACTIONS(3765),
    [anon_sym_false] = ACTIONS(3765),
    [anon_sym_PLUS] = ACTIONS(3765),
    [anon_sym_DASH] = ACTIONS(3765),
    [anon_sym_STAR] = ACTIONS(3767),
    [anon_sym_CARET] = ACTIONS(3767),
    [anon_sym_AMP] = ACTIONS(3767),
    [anon_sym_this] = ACTIONS(3765),
    [anon_sym_scoped] = ACTIONS(3765),
    [anon_sym_base] = ACTIONS(3765),
    [anon_sym_var] = ACTIONS(3765),
    [sym_predefined_type] = ACTIONS(3765),
    [anon_sym_break] = ACTIONS(3765),
    [anon_sym_unchecked] = ACTIONS(3765),
    [anon_sym_continue] = ACTIONS(3765),
    [anon_sym_do] = ACTIONS(3765),
    [anon_sym_while] = ACTIONS(3765),
    [anon_sym_for] = ACTIONS(3765),
    [anon_sym_lock] = ACTIONS(3765),
    [anon_sym_yield] = ACTIONS(3765),
    [anon_sym_switch] = ACTIONS(3765),
    [anon_sym_default] = ACTIONS(3765),
    [anon_sym_throw] = ACTIONS(3765),
    [anon_sym_try] = ACTIONS(3765),
    [anon_sym_when] = ACTIONS(3765),
    [anon_sym_await] = ACTIONS(3765),
    [anon_sym_foreach] = ACTIONS(3765),
    [anon_sym_goto] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(3765),
    [anon_sym_DOT_DOT] = ACTIONS(3767),
    [anon_sym_from] = ACTIONS(3765),
    [anon_sym_into] = ACTIONS(3765),
    [anon_sym_join] = ACTIONS(3765),
    [anon_sym_on] = ACTIONS(3765),
    [anon_sym_equals] = ACTIONS(3765),
    [anon_sym_let] = ACTIONS(3765),
    [anon_sym_orderby] = ACTIONS(3765),
    [anon_sym_ascending] = ACTIONS(3765),
    [anon_sym_descending] = ACTIONS(3765),
    [anon_sym_group] = ACTIONS(3765),
    [anon_sym_by] = ACTIONS(3765),
    [anon_sym_select] = ACTIONS(3765),
    [anon_sym_DQUOTE] = ACTIONS(3767),
    [anon_sym_stackalloc] = ACTIONS(3765),
    [anon_sym_sizeof] = ACTIONS(3765),
    [anon_sym_typeof] = ACTIONS(3765),
    [anon_sym___makeref] = ACTIONS(3765),
    [anon_sym___reftype] = ACTIONS(3765),
    [anon_sym___refvalue] = ACTIONS(3765),
    [sym_null_literal] = ACTIONS(3765),
    [anon_sym_SQUOTE] = ACTIONS(3767),
    [sym_integer_literal] = ACTIONS(3765),
    [sym_real_literal] = ACTIONS(3767),
    [sym_verbatim_string_literal] = ACTIONS(3767),
    [aux_sym_preproc_if_token1] = ACTIONS(3767),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3767),
    [sym_interpolation_verbatim_start] = ACTIONS(3767),
    [sym_interpolation_raw_start] = ACTIONS(3767),
    [sym_raw_string_start] = ACTIONS(3767),
  },
  [2575] = {
    [sym_preproc_region] = STATE(2575),
    [sym_preproc_endregion] = STATE(2575),
    [sym_preproc_line] = STATE(2575),
    [sym_preproc_pragma] = STATE(2575),
    [sym_preproc_nullable] = STATE(2575),
    [sym_preproc_error] = STATE(2575),
    [sym_preproc_define] = STATE(2575),
    [sym_preproc_undef] = STATE(2575),
    [ts_builtin_sym_end] = ACTIONS(3747),
    [sym__identifier_token] = ACTIONS(3745),
    [anon_sym_extern] = ACTIONS(3745),
    [anon_sym_alias] = ACTIONS(3745),
    [anon_sym_SEMI] = ACTIONS(3747),
    [anon_sym_global] = ACTIONS(3745),
    [anon_sym_using] = ACTIONS(3745),
    [anon_sym_unsafe] = ACTIONS(3745),
    [anon_sym_static] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_return] = ACTIONS(3745),
    [anon_sym_namespace] = ACTIONS(3745),
    [anon_sym_class] = ACTIONS(3745),
    [anon_sym_ref] = ACTIONS(3745),
    [anon_sym_struct] = ACTIONS(3745),
    [anon_sym_enum] = ACTIONS(3745),
    [anon_sym_LBRACE] = ACTIONS(3747),
    [anon_sym_interface] = ACTIONS(3745),
    [anon_sym_delegate] = ACTIONS(3745),
    [anon_sym_record] = ACTIONS(3745),
    [anon_sym_abstract] = ACTIONS(3745),
    [anon_sym_async] = ACTIONS(3745),
    [anon_sym_const] = ACTIONS(3745),
    [anon_sym_file] = ACTIONS(3745),
    [anon_sym_fixed] = ACTIONS(3745),
    [anon_sym_internal] = ACTIONS(3745),
    [anon_sym_new] = ACTIONS(3745),
    [anon_sym_override] = ACTIONS(3745),
    [anon_sym_partial] = ACTIONS(3745),
    [anon_sym_private] = ACTIONS(3745),
    [anon_sym_protected] = ACTIONS(3745),
    [anon_sym_public] = ACTIONS(3745),
    [anon_sym_readonly] = ACTIONS(3745),
    [anon_sym_required] = ACTIONS(3745),
    [anon_sym_sealed] = ACTIONS(3745),
    [anon_sym_virtual] = ACTIONS(3745),
    [anon_sym_volatile] = ACTIONS(3745),
    [anon_sym_where] = ACTIONS(3745),
    [anon_sym_notnull] = ACTIONS(3745),
    [anon_sym_unmanaged] = ACTIONS(3745),
    [anon_sym_checked] = ACTIONS(3745),
    [anon_sym_BANG] = ACTIONS(3747),
    [anon_sym_TILDE] = ACTIONS(3747),
    [anon_sym_PLUS_PLUS] = ACTIONS(3747),
    [anon_sym_DASH_DASH] = ACTIONS(3747),
    [anon_sym_true] = ACTIONS(3745),
    [anon_sym_false] = ACTIONS(3745),
    [anon_sym_PLUS] = ACTIONS(3745),
    [anon_sym_DASH] = ACTIONS(3745),
    [anon_sym_STAR] = ACTIONS(3747),
    [anon_sym_CARET] = ACTIONS(3747),
    [anon_sym_AMP] = ACTIONS(3747),
    [anon_sym_this] = ACTIONS(3745),
    [anon_sym_scoped] = ACTIONS(3745),
    [anon_sym_base] = ACTIONS(3745),
    [anon_sym_var] = ACTIONS(3745),
    [sym_predefined_type] = ACTIONS(3745),
    [anon_sym_break] = ACTIONS(3745),
    [anon_sym_unchecked] = ACTIONS(3745),
    [anon_sym_continue] = ACTIONS(3745),
    [anon_sym_do] = ACTIONS(3745),
    [anon_sym_while] = ACTIONS(3745),
    [anon_sym_for] = ACTIONS(3745),
    [anon_sym_lock] = ACTIONS(3745),
    [anon_sym_yield] = ACTIONS(3745),
    [anon_sym_switch] = ACTIONS(3745),
    [anon_sym_default] = ACTIONS(3745),
    [anon_sym_throw] = ACTIONS(3745),
    [anon_sym_try] = ACTIONS(3745),
    [anon_sym_when] = ACTIONS(3745),
    [anon_sym_await] = ACTIONS(3745),
    [anon_sym_foreach] = ACTIONS(3745),
    [anon_sym_goto] = ACTIONS(3745),
    [anon_sym_if] = ACTIONS(3745),
    [anon_sym_DOT_DOT] = ACTIONS(3747),
    [anon_sym_from] = ACTIONS(3745),
    [anon_sym_into] = ACTIONS(3745),
    [anon_sym_join] = ACTIONS(3745),
    [anon_sym_on] = ACTIONS(3745),
    [anon_sym_equals] = ACTIONS(3745),
    [anon_sym_let] = ACTIONS(3745),
    [anon_sym_orderby] = ACTIONS(3745),
    [anon_sym_ascending] = ACTIONS(3745),
    [anon_sym_descending] = ACTIONS(3745),
    [anon_sym_group] = ACTIONS(3745),
    [anon_sym_by] = ACTIONS(3745),
    [anon_sym_select] = ACTIONS(3745),
    [anon_sym_DQUOTE] = ACTIONS(3747),
    [anon_sym_stackalloc] = ACTIONS(3745),
    [anon_sym_sizeof] = ACTIONS(3745),
    [anon_sym_typeof] = ACTIONS(3745),
    [anon_sym___makeref] = ACTIONS(3745),
    [anon_sym___reftype] = ACTIONS(3745),
    [anon_sym___refvalue] = ACTIONS(3745),
    [sym_null_literal] = ACTIONS(3745),
    [anon_sym_SQUOTE] = ACTIONS(3747),
    [sym_integer_literal] = ACTIONS(3745),
    [sym_real_literal] = ACTIONS(3747),
    [sym_verbatim_string_literal] = ACTIONS(3747),
    [aux_sym_preproc_if_token1] = ACTIONS(3747),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3747),
    [sym_interpolation_verbatim_start] = ACTIONS(3747),
    [sym_interpolation_raw_start] = ACTIONS(3747),
    [sym_raw_string_start] = ACTIONS(3747),
  },
  [2576] = {
    [sym_preproc_region] = STATE(2576),
    [sym_preproc_endregion] = STATE(2576),
    [sym_preproc_line] = STATE(2576),
    [sym_preproc_pragma] = STATE(2576),
    [sym_preproc_nullable] = STATE(2576),
    [sym_preproc_error] = STATE(2576),
    [sym_preproc_define] = STATE(2576),
    [sym_preproc_undef] = STATE(2576),
    [ts_builtin_sym_end] = ACTIONS(3943),
    [sym__identifier_token] = ACTIONS(3941),
    [anon_sym_extern] = ACTIONS(3941),
    [anon_sym_alias] = ACTIONS(3941),
    [anon_sym_SEMI] = ACTIONS(3943),
    [anon_sym_global] = ACTIONS(3941),
    [anon_sym_using] = ACTIONS(3941),
    [anon_sym_unsafe] = ACTIONS(3941),
    [anon_sym_static] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_LPAREN] = ACTIONS(3943),
    [anon_sym_return] = ACTIONS(3941),
    [anon_sym_namespace] = ACTIONS(3941),
    [anon_sym_class] = ACTIONS(3941),
    [anon_sym_ref] = ACTIONS(3941),
    [anon_sym_struct] = ACTIONS(3941),
    [anon_sym_enum] = ACTIONS(3941),
    [anon_sym_LBRACE] = ACTIONS(3943),
    [anon_sym_interface] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(3941),
    [anon_sym_record] = ACTIONS(3941),
    [anon_sym_abstract] = ACTIONS(3941),
    [anon_sym_async] = ACTIONS(3941),
    [anon_sym_const] = ACTIONS(3941),
    [anon_sym_file] = ACTIONS(3941),
    [anon_sym_fixed] = ACTIONS(3941),
    [anon_sym_internal] = ACTIONS(3941),
    [anon_sym_new] = ACTIONS(3941),
    [anon_sym_override] = ACTIONS(3941),
    [anon_sym_partial] = ACTIONS(3941),
    [anon_sym_private] = ACTIONS(3941),
    [anon_sym_protected] = ACTIONS(3941),
    [anon_sym_public] = ACTIONS(3941),
    [anon_sym_readonly] = ACTIONS(3941),
    [anon_sym_required] = ACTIONS(3941),
    [anon_sym_sealed] = ACTIONS(3941),
    [anon_sym_virtual] = ACTIONS(3941),
    [anon_sym_volatile] = ACTIONS(3941),
    [anon_sym_where] = ACTIONS(3941),
    [anon_sym_notnull] = ACTIONS(3941),
    [anon_sym_unmanaged] = ACTIONS(3941),
    [anon_sym_checked] = ACTIONS(3941),
    [anon_sym_BANG] = ACTIONS(3943),
    [anon_sym_TILDE] = ACTIONS(3943),
    [anon_sym_PLUS_PLUS] = ACTIONS(3943),
    [anon_sym_DASH_DASH] = ACTIONS(3943),
    [anon_sym_true] = ACTIONS(3941),
    [anon_sym_false] = ACTIONS(3941),
    [anon_sym_PLUS] = ACTIONS(3941),
    [anon_sym_DASH] = ACTIONS(3941),
    [anon_sym_STAR] = ACTIONS(3943),
    [anon_sym_CARET] = ACTIONS(3943),
    [anon_sym_AMP] = ACTIONS(3943),
    [anon_sym_this] = ACTIONS(3941),
    [anon_sym_scoped] = ACTIONS(3941),
    [anon_sym_base] = ACTIONS(3941),
    [anon_sym_var] = ACTIONS(3941),
    [sym_predefined_type] = ACTIONS(3941),
    [anon_sym_break] = ACTIONS(3941),
    [anon_sym_unchecked] = ACTIONS(3941),
    [anon_sym_continue] = ACTIONS(3941),
    [anon_sym_do] = ACTIONS(3941),
    [anon_sym_while] = ACTIONS(3941),
    [anon_sym_for] = ACTIONS(3941),
    [anon_sym_lock] = ACTIONS(3941),
    [anon_sym_yield] = ACTIONS(3941),
    [anon_sym_switch] = ACTIONS(3941),
    [anon_sym_default] = ACTIONS(3941),
    [anon_sym_throw] = ACTIONS(3941),
    [anon_sym_try] = ACTIONS(3941),
    [anon_sym_when] = ACTIONS(3941),
    [anon_sym_await] = ACTIONS(3941),
    [anon_sym_foreach] = ACTIONS(3941),
    [anon_sym_goto] = ACTIONS(3941),
    [anon_sym_if] = ACTIONS(3941),
    [anon_sym_DOT_DOT] = ACTIONS(3943),
    [anon_sym_from] = ACTIONS(3941),
    [anon_sym_into] = ACTIONS(3941),
    [anon_sym_join] = ACTIONS(3941),
    [anon_sym_on] = ACTIONS(3941),
    [anon_sym_equals] = ACTIONS(3941),
    [anon_sym_let] = ACTIONS(3941),
    [anon_sym_orderby] = ACTIONS(3941),
    [anon_sym_ascending] = ACTIONS(3941),
    [anon_sym_descending] = ACTIONS(3941),
    [anon_sym_group] = ACTIONS(3941),
    [anon_sym_by] = ACTIONS(3941),
    [anon_sym_select] = ACTIONS(3941),
    [anon_sym_DQUOTE] = ACTIONS(3943),
    [anon_sym_stackalloc] = ACTIONS(3941),
    [anon_sym_sizeof] = ACTIONS(3941),
    [anon_sym_typeof] = ACTIONS(3941),
    [anon_sym___makeref] = ACTIONS(3941),
    [anon_sym___reftype] = ACTIONS(3941),
    [anon_sym___refvalue] = ACTIONS(3941),
    [sym_null_literal] = ACTIONS(3941),
    [anon_sym_SQUOTE] = ACTIONS(3943),
    [sym_integer_literal] = ACTIONS(3941),
    [sym_real_literal] = ACTIONS(3943),
    [sym_verbatim_string_literal] = ACTIONS(3943),
    [aux_sym_preproc_if_token1] = ACTIONS(3943),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3943),
    [sym_interpolation_verbatim_start] = ACTIONS(3943),
    [sym_interpolation_raw_start] = ACTIONS(3943),
    [sym_raw_string_start] = ACTIONS(3943),
  },
  [2577] = {
    [sym_preproc_region] = STATE(2577),
    [sym_preproc_endregion] = STATE(2577),
    [sym_preproc_line] = STATE(2577),
    [sym_preproc_pragma] = STATE(2577),
    [sym_preproc_nullable] = STATE(2577),
    [sym_preproc_error] = STATE(2577),
    [sym_preproc_define] = STATE(2577),
    [sym_preproc_undef] = STATE(2577),
    [ts_builtin_sym_end] = ACTIONS(3545),
    [sym__identifier_token] = ACTIONS(3543),
    [anon_sym_extern] = ACTIONS(3543),
    [anon_sym_alias] = ACTIONS(3543),
    [anon_sym_SEMI] = ACTIONS(3545),
    [anon_sym_global] = ACTIONS(3543),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_unsafe] = ACTIONS(3543),
    [anon_sym_static] = ACTIONS(3543),
    [anon_sym_LBRACK] = ACTIONS(3545),
    [anon_sym_LPAREN] = ACTIONS(3545),
    [anon_sym_return] = ACTIONS(3543),
    [anon_sym_namespace] = ACTIONS(3543),
    [anon_sym_class] = ACTIONS(3543),
    [anon_sym_ref] = ACTIONS(3543),
    [anon_sym_struct] = ACTIONS(3543),
    [anon_sym_enum] = ACTIONS(3543),
    [anon_sym_LBRACE] = ACTIONS(3545),
    [anon_sym_interface] = ACTIONS(3543),
    [anon_sym_delegate] = ACTIONS(3543),
    [anon_sym_record] = ACTIONS(3543),
    [anon_sym_abstract] = ACTIONS(3543),
    [anon_sym_async] = ACTIONS(3543),
    [anon_sym_const] = ACTIONS(3543),
    [anon_sym_file] = ACTIONS(3543),
    [anon_sym_fixed] = ACTIONS(3543),
    [anon_sym_internal] = ACTIONS(3543),
    [anon_sym_new] = ACTIONS(3543),
    [anon_sym_override] = ACTIONS(3543),
    [anon_sym_partial] = ACTIONS(3543),
    [anon_sym_private] = ACTIONS(3543),
    [anon_sym_protected] = ACTIONS(3543),
    [anon_sym_public] = ACTIONS(3543),
    [anon_sym_readonly] = ACTIONS(3543),
    [anon_sym_required] = ACTIONS(3543),
    [anon_sym_sealed] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(3543),
    [anon_sym_volatile] = ACTIONS(3543),
    [anon_sym_where] = ACTIONS(3543),
    [anon_sym_notnull] = ACTIONS(3543),
    [anon_sym_unmanaged] = ACTIONS(3543),
    [anon_sym_checked] = ACTIONS(3543),
    [anon_sym_BANG] = ACTIONS(3545),
    [anon_sym_TILDE] = ACTIONS(3545),
    [anon_sym_PLUS_PLUS] = ACTIONS(3545),
    [anon_sym_DASH_DASH] = ACTIONS(3545),
    [anon_sym_true] = ACTIONS(3543),
    [anon_sym_false] = ACTIONS(3543),
    [anon_sym_PLUS] = ACTIONS(3543),
    [anon_sym_DASH] = ACTIONS(3543),
    [anon_sym_STAR] = ACTIONS(3545),
    [anon_sym_CARET] = ACTIONS(3545),
    [anon_sym_AMP] = ACTIONS(3545),
    [anon_sym_this] = ACTIONS(3543),
    [anon_sym_scoped] = ACTIONS(3543),
    [anon_sym_base] = ACTIONS(3543),
    [anon_sym_var] = ACTIONS(3543),
    [sym_predefined_type] = ACTIONS(3543),
    [anon_sym_break] = ACTIONS(3543),
    [anon_sym_unchecked] = ACTIONS(3543),
    [anon_sym_continue] = ACTIONS(3543),
    [anon_sym_do] = ACTIONS(3543),
    [anon_sym_while] = ACTIONS(3543),
    [anon_sym_for] = ACTIONS(3543),
    [anon_sym_lock] = ACTIONS(3543),
    [anon_sym_yield] = ACTIONS(3543),
    [anon_sym_switch] = ACTIONS(3543),
    [anon_sym_default] = ACTIONS(3543),
    [anon_sym_throw] = ACTIONS(3543),
    [anon_sym_try] = ACTIONS(3543),
    [anon_sym_when] = ACTIONS(3543),
    [anon_sym_await] = ACTIONS(3543),
    [anon_sym_foreach] = ACTIONS(3543),
    [anon_sym_goto] = ACTIONS(3543),
    [anon_sym_if] = ACTIONS(3543),
    [anon_sym_DOT_DOT] = ACTIONS(3545),
    [anon_sym_from] = ACTIONS(3543),
    [anon_sym_into] = ACTIONS(3543),
    [anon_sym_join] = ACTIONS(3543),
    [anon_sym_on] = ACTIONS(3543),
    [anon_sym_equals] = ACTIONS(3543),
    [anon_sym_let] = ACTIONS(3543),
    [anon_sym_orderby] = ACTIONS(3543),
    [anon_sym_ascending] = ACTIONS(3543),
    [anon_sym_descending] = ACTIONS(3543),
    [anon_sym_group] = ACTIONS(3543),
    [anon_sym_by] = ACTIONS(3543),
    [anon_sym_select] = ACTIONS(3543),
    [anon_sym_DQUOTE] = ACTIONS(3545),
    [anon_sym_stackalloc] = ACTIONS(3543),
    [anon_sym_sizeof] = ACTIONS(3543),
    [anon_sym_typeof] = ACTIONS(3543),
    [anon_sym___makeref] = ACTIONS(3543),
    [anon_sym___reftype] = ACTIONS(3543),
    [anon_sym___refvalue] = ACTIONS(3543),
    [sym_null_literal] = ACTIONS(3543),
    [anon_sym_SQUOTE] = ACTIONS(3545),
    [sym_integer_literal] = ACTIONS(3543),
    [sym_real_literal] = ACTIONS(3545),
    [sym_verbatim_string_literal] = ACTIONS(3545),
    [aux_sym_preproc_if_token1] = ACTIONS(3545),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3545),
    [sym_interpolation_verbatim_start] = ACTIONS(3545),
    [sym_interpolation_raw_start] = ACTIONS(3545),
    [sym_raw_string_start] = ACTIONS(3545),
  },
  [2578] = {
    [sym_preproc_region] = STATE(2578),
    [sym_preproc_endregion] = STATE(2578),
    [sym_preproc_line] = STATE(2578),
    [sym_preproc_pragma] = STATE(2578),
    [sym_preproc_nullable] = STATE(2578),
    [sym_preproc_error] = STATE(2578),
    [sym_preproc_define] = STATE(2578),
    [sym_preproc_undef] = STATE(2578),
    [ts_builtin_sym_end] = ACTIONS(3493),
    [sym__identifier_token] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym_alias] = ACTIONS(3491),
    [anon_sym_SEMI] = ACTIONS(3493),
    [anon_sym_global] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_unsafe] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3493),
    [anon_sym_LPAREN] = ACTIONS(3493),
    [anon_sym_return] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_ref] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_LBRACE] = ACTIONS(3493),
    [anon_sym_interface] = ACTIONS(3491),
    [anon_sym_delegate] = ACTIONS(3491),
    [anon_sym_record] = ACTIONS(3491),
    [anon_sym_abstract] = ACTIONS(3491),
    [anon_sym_async] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_file] = ACTIONS(3491),
    [anon_sym_fixed] = ACTIONS(3491),
    [anon_sym_internal] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_override] = ACTIONS(3491),
    [anon_sym_partial] = ACTIONS(3491),
    [anon_sym_private] = ACTIONS(3491),
    [anon_sym_protected] = ACTIONS(3491),
    [anon_sym_public] = ACTIONS(3491),
    [anon_sym_readonly] = ACTIONS(3491),
    [anon_sym_required] = ACTIONS(3491),
    [anon_sym_sealed] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_where] = ACTIONS(3491),
    [anon_sym_notnull] = ACTIONS(3491),
    [anon_sym_unmanaged] = ACTIONS(3491),
    [anon_sym_checked] = ACTIONS(3491),
    [anon_sym_BANG] = ACTIONS(3493),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_PLUS_PLUS] = ACTIONS(3493),
    [anon_sym_DASH_DASH] = ACTIONS(3493),
    [anon_sym_true] = ACTIONS(3491),
    [anon_sym_false] = ACTIONS(3491),
    [anon_sym_PLUS] = ACTIONS(3491),
    [anon_sym_DASH] = ACTIONS(3491),
    [anon_sym_STAR] = ACTIONS(3493),
    [anon_sym_CARET] = ACTIONS(3493),
    [anon_sym_AMP] = ACTIONS(3493),
    [anon_sym_this] = ACTIONS(3491),
    [anon_sym_scoped] = ACTIONS(3491),
    [anon_sym_base] = ACTIONS(3491),
    [anon_sym_var] = ACTIONS(3491),
    [sym_predefined_type] = ACTIONS(3491),
    [anon_sym_break] = ACTIONS(3491),
    [anon_sym_unchecked] = ACTIONS(3491),
    [anon_sym_continue] = ACTIONS(3491),
    [anon_sym_do] = ACTIONS(3491),
    [anon_sym_while] = ACTIONS(3491),
    [anon_sym_for] = ACTIONS(3491),
    [anon_sym_lock] = ACTIONS(3491),
    [anon_sym_yield] = ACTIONS(3491),
    [anon_sym_switch] = ACTIONS(3491),
    [anon_sym_default] = ACTIONS(3491),
    [anon_sym_throw] = ACTIONS(3491),
    [anon_sym_try] = ACTIONS(3491),
    [anon_sym_when] = ACTIONS(3491),
    [anon_sym_await] = ACTIONS(3491),
    [anon_sym_foreach] = ACTIONS(3491),
    [anon_sym_goto] = ACTIONS(3491),
    [anon_sym_if] = ACTIONS(3491),
    [anon_sym_DOT_DOT] = ACTIONS(3493),
    [anon_sym_from] = ACTIONS(3491),
    [anon_sym_into] = ACTIONS(3491),
    [anon_sym_join] = ACTIONS(3491),
    [anon_sym_on] = ACTIONS(3491),
    [anon_sym_equals] = ACTIONS(3491),
    [anon_sym_let] = ACTIONS(3491),
    [anon_sym_orderby] = ACTIONS(3491),
    [anon_sym_ascending] = ACTIONS(3491),
    [anon_sym_descending] = ACTIONS(3491),
    [anon_sym_group] = ACTIONS(3491),
    [anon_sym_by] = ACTIONS(3491),
    [anon_sym_select] = ACTIONS(3491),
    [anon_sym_DQUOTE] = ACTIONS(3493),
    [anon_sym_stackalloc] = ACTIONS(3491),
    [anon_sym_sizeof] = ACTIONS(3491),
    [anon_sym_typeof] = ACTIONS(3491),
    [anon_sym___makeref] = ACTIONS(3491),
    [anon_sym___reftype] = ACTIONS(3491),
    [anon_sym___refvalue] = ACTIONS(3491),
    [sym_null_literal] = ACTIONS(3491),
    [anon_sym_SQUOTE] = ACTIONS(3493),
    [sym_integer_literal] = ACTIONS(3491),
    [sym_real_literal] = ACTIONS(3493),
    [sym_verbatim_string_literal] = ACTIONS(3493),
    [aux_sym_preproc_if_token1] = ACTIONS(3493),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3493),
    [sym_interpolation_verbatim_start] = ACTIONS(3493),
    [sym_interpolation_raw_start] = ACTIONS(3493),
    [sym_raw_string_start] = ACTIONS(3493),
  },
  [2579] = {
    [sym_preproc_region] = STATE(2579),
    [sym_preproc_endregion] = STATE(2579),
    [sym_preproc_line] = STATE(2579),
    [sym_preproc_pragma] = STATE(2579),
    [sym_preproc_nullable] = STATE(2579),
    [sym_preproc_error] = STATE(2579),
    [sym_preproc_define] = STATE(2579),
    [sym_preproc_undef] = STATE(2579),
    [ts_builtin_sym_end] = ACTIONS(3445),
    [sym__identifier_token] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym_alias] = ACTIONS(3443),
    [anon_sym_SEMI] = ACTIONS(3445),
    [anon_sym_global] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_unsafe] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_return] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_ref] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_LBRACE] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3443),
    [anon_sym_delegate] = ACTIONS(3443),
    [anon_sym_record] = ACTIONS(3443),
    [anon_sym_abstract] = ACTIONS(3443),
    [anon_sym_async] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_file] = ACTIONS(3443),
    [anon_sym_fixed] = ACTIONS(3443),
    [anon_sym_internal] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_override] = ACTIONS(3443),
    [anon_sym_partial] = ACTIONS(3443),
    [anon_sym_private] = ACTIONS(3443),
    [anon_sym_protected] = ACTIONS(3443),
    [anon_sym_public] = ACTIONS(3443),
    [anon_sym_readonly] = ACTIONS(3443),
    [anon_sym_required] = ACTIONS(3443),
    [anon_sym_sealed] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_where] = ACTIONS(3443),
    [anon_sym_notnull] = ACTIONS(3443),
    [anon_sym_unmanaged] = ACTIONS(3443),
    [anon_sym_checked] = ACTIONS(3443),
    [anon_sym_BANG] = ACTIONS(3445),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_PLUS_PLUS] = ACTIONS(3445),
    [anon_sym_DASH_DASH] = ACTIONS(3445),
    [anon_sym_true] = ACTIONS(3443),
    [anon_sym_false] = ACTIONS(3443),
    [anon_sym_PLUS] = ACTIONS(3443),
    [anon_sym_DASH] = ACTIONS(3443),
    [anon_sym_STAR] = ACTIONS(3445),
    [anon_sym_CARET] = ACTIONS(3445),
    [anon_sym_AMP] = ACTIONS(3445),
    [anon_sym_this] = ACTIONS(3443),
    [anon_sym_scoped] = ACTIONS(3443),
    [anon_sym_base] = ACTIONS(3443),
    [anon_sym_var] = ACTIONS(3443),
    [sym_predefined_type] = ACTIONS(3443),
    [anon_sym_break] = ACTIONS(3443),
    [anon_sym_unchecked] = ACTIONS(3443),
    [anon_sym_continue] = ACTIONS(3443),
    [anon_sym_do] = ACTIONS(3443),
    [anon_sym_while] = ACTIONS(3443),
    [anon_sym_for] = ACTIONS(3443),
    [anon_sym_lock] = ACTIONS(3443),
    [anon_sym_yield] = ACTIONS(3443),
    [anon_sym_switch] = ACTIONS(3443),
    [anon_sym_default] = ACTIONS(3443),
    [anon_sym_throw] = ACTIONS(3443),
    [anon_sym_try] = ACTIONS(3443),
    [anon_sym_when] = ACTIONS(3443),
    [anon_sym_await] = ACTIONS(3443),
    [anon_sym_foreach] = ACTIONS(3443),
    [anon_sym_goto] = ACTIONS(3443),
    [anon_sym_if] = ACTIONS(3443),
    [anon_sym_DOT_DOT] = ACTIONS(3445),
    [anon_sym_from] = ACTIONS(3443),
    [anon_sym_into] = ACTIONS(3443),
    [anon_sym_join] = ACTIONS(3443),
    [anon_sym_on] = ACTIONS(3443),
    [anon_sym_equals] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3443),
    [anon_sym_orderby] = ACTIONS(3443),
    [anon_sym_ascending] = ACTIONS(3443),
    [anon_sym_descending] = ACTIONS(3443),
    [anon_sym_group] = ACTIONS(3443),
    [anon_sym_by] = ACTIONS(3443),
    [anon_sym_select] = ACTIONS(3443),
    [anon_sym_DQUOTE] = ACTIONS(3445),
    [anon_sym_stackalloc] = ACTIONS(3443),
    [anon_sym_sizeof] = ACTIONS(3443),
    [anon_sym_typeof] = ACTIONS(3443),
    [anon_sym___makeref] = ACTIONS(3443),
    [anon_sym___reftype] = ACTIONS(3443),
    [anon_sym___refvalue] = ACTIONS(3443),
    [sym_null_literal] = ACTIONS(3443),
    [anon_sym_SQUOTE] = ACTIONS(3445),
    [sym_integer_literal] = ACTIONS(3443),
    [sym_real_literal] = ACTIONS(3445),
    [sym_verbatim_string_literal] = ACTIONS(3445),
    [aux_sym_preproc_if_token1] = ACTIONS(3445),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3445),
    [sym_interpolation_verbatim_start] = ACTIONS(3445),
    [sym_interpolation_raw_start] = ACTIONS(3445),
    [sym_raw_string_start] = ACTIONS(3445),
  },
  [2580] = {
    [sym_preproc_region] = STATE(2580),
    [sym_preproc_endregion] = STATE(2580),
    [sym_preproc_line] = STATE(2580),
    [sym_preproc_pragma] = STATE(2580),
    [sym_preproc_nullable] = STATE(2580),
    [sym_preproc_error] = STATE(2580),
    [sym_preproc_define] = STATE(2580),
    [sym_preproc_undef] = STATE(2580),
    [ts_builtin_sym_end] = ACTIONS(3497),
    [sym__identifier_token] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym_alias] = ACTIONS(3495),
    [anon_sym_SEMI] = ACTIONS(3497),
    [anon_sym_global] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_unsafe] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_LPAREN] = ACTIONS(3497),
    [anon_sym_return] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_ref] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_LBRACE] = ACTIONS(3497),
    [anon_sym_interface] = ACTIONS(3495),
    [anon_sym_delegate] = ACTIONS(3495),
    [anon_sym_record] = ACTIONS(3495),
    [anon_sym_abstract] = ACTIONS(3495),
    [anon_sym_async] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_file] = ACTIONS(3495),
    [anon_sym_fixed] = ACTIONS(3495),
    [anon_sym_internal] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_override] = ACTIONS(3495),
    [anon_sym_partial] = ACTIONS(3495),
    [anon_sym_private] = ACTIONS(3495),
    [anon_sym_protected] = ACTIONS(3495),
    [anon_sym_public] = ACTIONS(3495),
    [anon_sym_readonly] = ACTIONS(3495),
    [anon_sym_required] = ACTIONS(3495),
    [anon_sym_sealed] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_where] = ACTIONS(3495),
    [anon_sym_notnull] = ACTIONS(3495),
    [anon_sym_unmanaged] = ACTIONS(3495),
    [anon_sym_checked] = ACTIONS(3495),
    [anon_sym_BANG] = ACTIONS(3497),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_PLUS_PLUS] = ACTIONS(3497),
    [anon_sym_DASH_DASH] = ACTIONS(3497),
    [anon_sym_true] = ACTIONS(3495),
    [anon_sym_false] = ACTIONS(3495),
    [anon_sym_PLUS] = ACTIONS(3495),
    [anon_sym_DASH] = ACTIONS(3495),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_CARET] = ACTIONS(3497),
    [anon_sym_AMP] = ACTIONS(3497),
    [anon_sym_this] = ACTIONS(3495),
    [anon_sym_scoped] = ACTIONS(3495),
    [anon_sym_base] = ACTIONS(3495),
    [anon_sym_var] = ACTIONS(3495),
    [sym_predefined_type] = ACTIONS(3495),
    [anon_sym_break] = ACTIONS(3495),
    [anon_sym_unchecked] = ACTIONS(3495),
    [anon_sym_continue] = ACTIONS(3495),
    [anon_sym_do] = ACTIONS(3495),
    [anon_sym_while] = ACTIONS(3495),
    [anon_sym_for] = ACTIONS(3495),
    [anon_sym_lock] = ACTIONS(3495),
    [anon_sym_yield] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(3495),
    [anon_sym_default] = ACTIONS(3495),
    [anon_sym_throw] = ACTIONS(3495),
    [anon_sym_try] = ACTIONS(3495),
    [anon_sym_when] = ACTIONS(3495),
    [anon_sym_await] = ACTIONS(3495),
    [anon_sym_foreach] = ACTIONS(3495),
    [anon_sym_goto] = ACTIONS(3495),
    [anon_sym_if] = ACTIONS(3495),
    [anon_sym_DOT_DOT] = ACTIONS(3497),
    [anon_sym_from] = ACTIONS(3495),
    [anon_sym_into] = ACTIONS(3495),
    [anon_sym_join] = ACTIONS(3495),
    [anon_sym_on] = ACTIONS(3495),
    [anon_sym_equals] = ACTIONS(3495),
    [anon_sym_let] = ACTIONS(3495),
    [anon_sym_orderby] = ACTIONS(3495),
    [anon_sym_ascending] = ACTIONS(3495),
    [anon_sym_descending] = ACTIONS(3495),
    [anon_sym_group] = ACTIONS(3495),
    [anon_sym_by] = ACTIONS(3495),
    [anon_sym_select] = ACTIONS(3495),
    [anon_sym_DQUOTE] = ACTIONS(3497),
    [anon_sym_stackalloc] = ACTIONS(3495),
    [anon_sym_sizeof] = ACTIONS(3495),
    [anon_sym_typeof] = ACTIONS(3495),
    [anon_sym___makeref] = ACTIONS(3495),
    [anon_sym___reftype] = ACTIONS(3495),
    [anon_sym___refvalue] = ACTIONS(3495),
    [sym_null_literal] = ACTIONS(3495),
    [anon_sym_SQUOTE] = ACTIONS(3497),
    [sym_integer_literal] = ACTIONS(3495),
    [sym_real_literal] = ACTIONS(3497),
    [sym_verbatim_string_literal] = ACTIONS(3497),
    [aux_sym_preproc_if_token1] = ACTIONS(3497),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3497),
    [sym_interpolation_verbatim_start] = ACTIONS(3497),
    [sym_interpolation_raw_start] = ACTIONS(3497),
    [sym_raw_string_start] = ACTIONS(3497),
  },
  [2581] = {
    [sym_preproc_region] = STATE(2581),
    [sym_preproc_endregion] = STATE(2581),
    [sym_preproc_line] = STATE(2581),
    [sym_preproc_pragma] = STATE(2581),
    [sym_preproc_nullable] = STATE(2581),
    [sym_preproc_error] = STATE(2581),
    [sym_preproc_define] = STATE(2581),
    [sym_preproc_undef] = STATE(2581),
    [ts_builtin_sym_end] = ACTIONS(3951),
    [sym__identifier_token] = ACTIONS(3949),
    [anon_sym_extern] = ACTIONS(3949),
    [anon_sym_alias] = ACTIONS(3949),
    [anon_sym_SEMI] = ACTIONS(3951),
    [anon_sym_global] = ACTIONS(3949),
    [anon_sym_using] = ACTIONS(3949),
    [anon_sym_unsafe] = ACTIONS(3949),
    [anon_sym_static] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3951),
    [anon_sym_LPAREN] = ACTIONS(3951),
    [anon_sym_return] = ACTIONS(3949),
    [anon_sym_namespace] = ACTIONS(3949),
    [anon_sym_class] = ACTIONS(3949),
    [anon_sym_ref] = ACTIONS(3949),
    [anon_sym_struct] = ACTIONS(3949),
    [anon_sym_enum] = ACTIONS(3949),
    [anon_sym_LBRACE] = ACTIONS(3951),
    [anon_sym_interface] = ACTIONS(3949),
    [anon_sym_delegate] = ACTIONS(3949),
    [anon_sym_record] = ACTIONS(3949),
    [anon_sym_abstract] = ACTIONS(3949),
    [anon_sym_async] = ACTIONS(3949),
    [anon_sym_const] = ACTIONS(3949),
    [anon_sym_file] = ACTIONS(3949),
    [anon_sym_fixed] = ACTIONS(3949),
    [anon_sym_internal] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3949),
    [anon_sym_override] = ACTIONS(3949),
    [anon_sym_partial] = ACTIONS(3949),
    [anon_sym_private] = ACTIONS(3949),
    [anon_sym_protected] = ACTIONS(3949),
    [anon_sym_public] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3949),
    [anon_sym_required] = ACTIONS(3949),
    [anon_sym_sealed] = ACTIONS(3949),
    [anon_sym_virtual] = ACTIONS(3949),
    [anon_sym_volatile] = ACTIONS(3949),
    [anon_sym_where] = ACTIONS(3949),
    [anon_sym_notnull] = ACTIONS(3949),
    [anon_sym_unmanaged] = ACTIONS(3949),
    [anon_sym_checked] = ACTIONS(3949),
    [anon_sym_BANG] = ACTIONS(3951),
    [anon_sym_TILDE] = ACTIONS(3951),
    [anon_sym_PLUS_PLUS] = ACTIONS(3951),
    [anon_sym_DASH_DASH] = ACTIONS(3951),
    [anon_sym_true] = ACTIONS(3949),
    [anon_sym_false] = ACTIONS(3949),
    [anon_sym_PLUS] = ACTIONS(3949),
    [anon_sym_DASH] = ACTIONS(3949),
    [anon_sym_STAR] = ACTIONS(3951),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_AMP] = ACTIONS(3951),
    [anon_sym_this] = ACTIONS(3949),
    [anon_sym_scoped] = ACTIONS(3949),
    [anon_sym_base] = ACTIONS(3949),
    [anon_sym_var] = ACTIONS(3949),
    [sym_predefined_type] = ACTIONS(3949),
    [anon_sym_break] = ACTIONS(3949),
    [anon_sym_unchecked] = ACTIONS(3949),
    [anon_sym_continue] = ACTIONS(3949),
    [anon_sym_do] = ACTIONS(3949),
    [anon_sym_while] = ACTIONS(3949),
    [anon_sym_for] = ACTIONS(3949),
    [anon_sym_lock] = ACTIONS(3949),
    [anon_sym_yield] = ACTIONS(3949),
    [anon_sym_switch] = ACTIONS(3949),
    [anon_sym_default] = ACTIONS(3949),
    [anon_sym_throw] = ACTIONS(3949),
    [anon_sym_try] = ACTIONS(3949),
    [anon_sym_when] = ACTIONS(3949),
    [anon_sym_await] = ACTIONS(3949),
    [anon_sym_foreach] = ACTIONS(3949),
    [anon_sym_goto] = ACTIONS(3949),
    [anon_sym_if] = ACTIONS(3949),
    [anon_sym_DOT_DOT] = ACTIONS(3951),
    [anon_sym_from] = ACTIONS(3949),
    [anon_sym_into] = ACTIONS(3949),
    [anon_sym_join] = ACTIONS(3949),
    [anon_sym_on] = ACTIONS(3949),
    [anon_sym_equals] = ACTIONS(3949),
    [anon_sym_let] = ACTIONS(3949),
    [anon_sym_orderby] = ACTIONS(3949),
    [anon_sym_ascending] = ACTIONS(3949),
    [anon_sym_descending] = ACTIONS(3949),
    [anon_sym_group] = ACTIONS(3949),
    [anon_sym_by] = ACTIONS(3949),
    [anon_sym_select] = ACTIONS(3949),
    [anon_sym_DQUOTE] = ACTIONS(3951),
    [anon_sym_stackalloc] = ACTIONS(3949),
    [anon_sym_sizeof] = ACTIONS(3949),
    [anon_sym_typeof] = ACTIONS(3949),
    [anon_sym___makeref] = ACTIONS(3949),
    [anon_sym___reftype] = ACTIONS(3949),
    [anon_sym___refvalue] = ACTIONS(3949),
    [sym_null_literal] = ACTIONS(3949),
    [anon_sym_SQUOTE] = ACTIONS(3951),
    [sym_integer_literal] = ACTIONS(3949),
    [sym_real_literal] = ACTIONS(3951),
    [sym_verbatim_string_literal] = ACTIONS(3951),
    [aux_sym_preproc_if_token1] = ACTIONS(3951),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3951),
    [sym_interpolation_verbatim_start] = ACTIONS(3951),
    [sym_interpolation_raw_start] = ACTIONS(3951),
    [sym_raw_string_start] = ACTIONS(3951),
  },
  [2582] = {
    [sym_preproc_region] = STATE(2582),
    [sym_preproc_endregion] = STATE(2582),
    [sym_preproc_line] = STATE(2582),
    [sym_preproc_pragma] = STATE(2582),
    [sym_preproc_nullable] = STATE(2582),
    [sym_preproc_error] = STATE(2582),
    [sym_preproc_define] = STATE(2582),
    [sym_preproc_undef] = STATE(2582),
    [ts_builtin_sym_end] = ACTIONS(3751),
    [sym__identifier_token] = ACTIONS(3749),
    [anon_sym_extern] = ACTIONS(3749),
    [anon_sym_alias] = ACTIONS(3749),
    [anon_sym_SEMI] = ACTIONS(3751),
    [anon_sym_global] = ACTIONS(3749),
    [anon_sym_using] = ACTIONS(3749),
    [anon_sym_unsafe] = ACTIONS(3749),
    [anon_sym_static] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_return] = ACTIONS(3749),
    [anon_sym_namespace] = ACTIONS(3749),
    [anon_sym_class] = ACTIONS(3749),
    [anon_sym_ref] = ACTIONS(3749),
    [anon_sym_struct] = ACTIONS(3749),
    [anon_sym_enum] = ACTIONS(3749),
    [anon_sym_LBRACE] = ACTIONS(3751),
    [anon_sym_interface] = ACTIONS(3749),
    [anon_sym_delegate] = ACTIONS(3749),
    [anon_sym_record] = ACTIONS(3749),
    [anon_sym_abstract] = ACTIONS(3749),
    [anon_sym_async] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3749),
    [anon_sym_file] = ACTIONS(3749),
    [anon_sym_fixed] = ACTIONS(3749),
    [anon_sym_internal] = ACTIONS(3749),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_override] = ACTIONS(3749),
    [anon_sym_partial] = ACTIONS(3749),
    [anon_sym_private] = ACTIONS(3749),
    [anon_sym_protected] = ACTIONS(3749),
    [anon_sym_public] = ACTIONS(3749),
    [anon_sym_readonly] = ACTIONS(3749),
    [anon_sym_required] = ACTIONS(3749),
    [anon_sym_sealed] = ACTIONS(3749),
    [anon_sym_virtual] = ACTIONS(3749),
    [anon_sym_volatile] = ACTIONS(3749),
    [anon_sym_where] = ACTIONS(3749),
    [anon_sym_notnull] = ACTIONS(3749),
    [anon_sym_unmanaged] = ACTIONS(3749),
    [anon_sym_checked] = ACTIONS(3749),
    [anon_sym_BANG] = ACTIONS(3751),
    [anon_sym_TILDE] = ACTIONS(3751),
    [anon_sym_PLUS_PLUS] = ACTIONS(3751),
    [anon_sym_DASH_DASH] = ACTIONS(3751),
    [anon_sym_true] = ACTIONS(3749),
    [anon_sym_false] = ACTIONS(3749),
    [anon_sym_PLUS] = ACTIONS(3749),
    [anon_sym_DASH] = ACTIONS(3749),
    [anon_sym_STAR] = ACTIONS(3751),
    [anon_sym_CARET] = ACTIONS(3751),
    [anon_sym_AMP] = ACTIONS(3751),
    [anon_sym_this] = ACTIONS(3749),
    [anon_sym_scoped] = ACTIONS(3749),
    [anon_sym_base] = ACTIONS(3749),
    [anon_sym_var] = ACTIONS(3749),
    [sym_predefined_type] = ACTIONS(3749),
    [anon_sym_break] = ACTIONS(3749),
    [anon_sym_unchecked] = ACTIONS(3749),
    [anon_sym_continue] = ACTIONS(3749),
    [anon_sym_do] = ACTIONS(3749),
    [anon_sym_while] = ACTIONS(3749),
    [anon_sym_for] = ACTIONS(3749),
    [anon_sym_lock] = ACTIONS(3749),
    [anon_sym_yield] = ACTIONS(3749),
    [anon_sym_switch] = ACTIONS(3749),
    [anon_sym_default] = ACTIONS(3749),
    [anon_sym_throw] = ACTIONS(3749),
    [anon_sym_try] = ACTIONS(3749),
    [anon_sym_when] = ACTIONS(3749),
    [anon_sym_await] = ACTIONS(3749),
    [anon_sym_foreach] = ACTIONS(3749),
    [anon_sym_goto] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(3749),
    [anon_sym_DOT_DOT] = ACTIONS(3751),
    [anon_sym_from] = ACTIONS(3749),
    [anon_sym_into] = ACTIONS(3749),
    [anon_sym_join] = ACTIONS(3749),
    [anon_sym_on] = ACTIONS(3749),
    [anon_sym_equals] = ACTIONS(3749),
    [anon_sym_let] = ACTIONS(3749),
    [anon_sym_orderby] = ACTIONS(3749),
    [anon_sym_ascending] = ACTIONS(3749),
    [anon_sym_descending] = ACTIONS(3749),
    [anon_sym_group] = ACTIONS(3749),
    [anon_sym_by] = ACTIONS(3749),
    [anon_sym_select] = ACTIONS(3749),
    [anon_sym_DQUOTE] = ACTIONS(3751),
    [anon_sym_stackalloc] = ACTIONS(3749),
    [anon_sym_sizeof] = ACTIONS(3749),
    [anon_sym_typeof] = ACTIONS(3749),
    [anon_sym___makeref] = ACTIONS(3749),
    [anon_sym___reftype] = ACTIONS(3749),
    [anon_sym___refvalue] = ACTIONS(3749),
    [sym_null_literal] = ACTIONS(3749),
    [anon_sym_SQUOTE] = ACTIONS(3751),
    [sym_integer_literal] = ACTIONS(3749),
    [sym_real_literal] = ACTIONS(3751),
    [sym_verbatim_string_literal] = ACTIONS(3751),
    [aux_sym_preproc_if_token1] = ACTIONS(3751),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3751),
    [sym_interpolation_verbatim_start] = ACTIONS(3751),
    [sym_interpolation_raw_start] = ACTIONS(3751),
    [sym_raw_string_start] = ACTIONS(3751),
  },
  [2583] = {
    [sym_preproc_region] = STATE(2583),
    [sym_preproc_endregion] = STATE(2583),
    [sym_preproc_line] = STATE(2583),
    [sym_preproc_pragma] = STATE(2583),
    [sym_preproc_nullable] = STATE(2583),
    [sym_preproc_error] = STATE(2583),
    [sym_preproc_define] = STATE(2583),
    [sym_preproc_undef] = STATE(2583),
    [ts_builtin_sym_end] = ACTIONS(3755),
    [sym__identifier_token] = ACTIONS(3753),
    [anon_sym_extern] = ACTIONS(3753),
    [anon_sym_alias] = ACTIONS(3753),
    [anon_sym_SEMI] = ACTIONS(3755),
    [anon_sym_global] = ACTIONS(3753),
    [anon_sym_using] = ACTIONS(3753),
    [anon_sym_unsafe] = ACTIONS(3753),
    [anon_sym_static] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_LPAREN] = ACTIONS(3755),
    [anon_sym_return] = ACTIONS(3753),
    [anon_sym_namespace] = ACTIONS(3753),
    [anon_sym_class] = ACTIONS(3753),
    [anon_sym_ref] = ACTIONS(3753),
    [anon_sym_struct] = ACTIONS(3753),
    [anon_sym_enum] = ACTIONS(3753),
    [anon_sym_LBRACE] = ACTIONS(3755),
    [anon_sym_interface] = ACTIONS(3753),
    [anon_sym_delegate] = ACTIONS(3753),
    [anon_sym_record] = ACTIONS(3753),
    [anon_sym_abstract] = ACTIONS(3753),
    [anon_sym_async] = ACTIONS(3753),
    [anon_sym_const] = ACTIONS(3753),
    [anon_sym_file] = ACTIONS(3753),
    [anon_sym_fixed] = ACTIONS(3753),
    [anon_sym_internal] = ACTIONS(3753),
    [anon_sym_new] = ACTIONS(3753),
    [anon_sym_override] = ACTIONS(3753),
    [anon_sym_partial] = ACTIONS(3753),
    [anon_sym_private] = ACTIONS(3753),
    [anon_sym_protected] = ACTIONS(3753),
    [anon_sym_public] = ACTIONS(3753),
    [anon_sym_readonly] = ACTIONS(3753),
    [anon_sym_required] = ACTIONS(3753),
    [anon_sym_sealed] = ACTIONS(3753),
    [anon_sym_virtual] = ACTIONS(3753),
    [anon_sym_volatile] = ACTIONS(3753),
    [anon_sym_where] = ACTIONS(3753),
    [anon_sym_notnull] = ACTIONS(3753),
    [anon_sym_unmanaged] = ACTIONS(3753),
    [anon_sym_checked] = ACTIONS(3753),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_PLUS_PLUS] = ACTIONS(3755),
    [anon_sym_DASH_DASH] = ACTIONS(3755),
    [anon_sym_true] = ACTIONS(3753),
    [anon_sym_false] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(3755),
    [anon_sym_CARET] = ACTIONS(3755),
    [anon_sym_AMP] = ACTIONS(3755),
    [anon_sym_this] = ACTIONS(3753),
    [anon_sym_scoped] = ACTIONS(3753),
    [anon_sym_base] = ACTIONS(3753),
    [anon_sym_var] = ACTIONS(3753),
    [sym_predefined_type] = ACTIONS(3753),
    [anon_sym_break] = ACTIONS(3753),
    [anon_sym_unchecked] = ACTIONS(3753),
    [anon_sym_continue] = ACTIONS(3753),
    [anon_sym_do] = ACTIONS(3753),
    [anon_sym_while] = ACTIONS(3753),
    [anon_sym_for] = ACTIONS(3753),
    [anon_sym_lock] = ACTIONS(3753),
    [anon_sym_yield] = ACTIONS(3753),
    [anon_sym_switch] = ACTIONS(3753),
    [anon_sym_default] = ACTIONS(3753),
    [anon_sym_throw] = ACTIONS(3753),
    [anon_sym_try] = ACTIONS(3753),
    [anon_sym_when] = ACTIONS(3753),
    [anon_sym_await] = ACTIONS(3753),
    [anon_sym_foreach] = ACTIONS(3753),
    [anon_sym_goto] = ACTIONS(3753),
    [anon_sym_if] = ACTIONS(3753),
    [anon_sym_DOT_DOT] = ACTIONS(3755),
    [anon_sym_from] = ACTIONS(3753),
    [anon_sym_into] = ACTIONS(3753),
    [anon_sym_join] = ACTIONS(3753),
    [anon_sym_on] = ACTIONS(3753),
    [anon_sym_equals] = ACTIONS(3753),
    [anon_sym_let] = ACTIONS(3753),
    [anon_sym_orderby] = ACTIONS(3753),
    [anon_sym_ascending] = ACTIONS(3753),
    [anon_sym_descending] = ACTIONS(3753),
    [anon_sym_group] = ACTIONS(3753),
    [anon_sym_by] = ACTIONS(3753),
    [anon_sym_select] = ACTIONS(3753),
    [anon_sym_DQUOTE] = ACTIONS(3755),
    [anon_sym_stackalloc] = ACTIONS(3753),
    [anon_sym_sizeof] = ACTIONS(3753),
    [anon_sym_typeof] = ACTIONS(3753),
    [anon_sym___makeref] = ACTIONS(3753),
    [anon_sym___reftype] = ACTIONS(3753),
    [anon_sym___refvalue] = ACTIONS(3753),
    [sym_null_literal] = ACTIONS(3753),
    [anon_sym_SQUOTE] = ACTIONS(3755),
    [sym_integer_literal] = ACTIONS(3753),
    [sym_real_literal] = ACTIONS(3755),
    [sym_verbatim_string_literal] = ACTIONS(3755),
    [aux_sym_preproc_if_token1] = ACTIONS(3755),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3755),
    [sym_interpolation_verbatim_start] = ACTIONS(3755),
    [sym_interpolation_raw_start] = ACTIONS(3755),
    [sym_raw_string_start] = ACTIONS(3755),
  },
  [2584] = {
    [sym_preproc_region] = STATE(2584),
    [sym_preproc_endregion] = STATE(2584),
    [sym_preproc_line] = STATE(2584),
    [sym_preproc_pragma] = STATE(2584),
    [sym_preproc_nullable] = STATE(2584),
    [sym_preproc_error] = STATE(2584),
    [sym_preproc_define] = STATE(2584),
    [sym_preproc_undef] = STATE(2584),
    [ts_builtin_sym_end] = ACTIONS(3589),
    [sym__identifier_token] = ACTIONS(3587),
    [anon_sym_extern] = ACTIONS(3587),
    [anon_sym_alias] = ACTIONS(3587),
    [anon_sym_SEMI] = ACTIONS(3589),
    [anon_sym_global] = ACTIONS(3587),
    [anon_sym_using] = ACTIONS(3587),
    [anon_sym_unsafe] = ACTIONS(3587),
    [anon_sym_static] = ACTIONS(3587),
    [anon_sym_LBRACK] = ACTIONS(3589),
    [anon_sym_LPAREN] = ACTIONS(3589),
    [anon_sym_return] = ACTIONS(3587),
    [anon_sym_namespace] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3587),
    [anon_sym_ref] = ACTIONS(3587),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_enum] = ACTIONS(3587),
    [anon_sym_LBRACE] = ACTIONS(3589),
    [anon_sym_interface] = ACTIONS(3587),
    [anon_sym_delegate] = ACTIONS(3587),
    [anon_sym_record] = ACTIONS(3587),
    [anon_sym_abstract] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3587),
    [anon_sym_const] = ACTIONS(3587),
    [anon_sym_file] = ACTIONS(3587),
    [anon_sym_fixed] = ACTIONS(3587),
    [anon_sym_internal] = ACTIONS(3587),
    [anon_sym_new] = ACTIONS(3587),
    [anon_sym_override] = ACTIONS(3587),
    [anon_sym_partial] = ACTIONS(3587),
    [anon_sym_private] = ACTIONS(3587),
    [anon_sym_protected] = ACTIONS(3587),
    [anon_sym_public] = ACTIONS(3587),
    [anon_sym_readonly] = ACTIONS(3587),
    [anon_sym_required] = ACTIONS(3587),
    [anon_sym_sealed] = ACTIONS(3587),
    [anon_sym_virtual] = ACTIONS(3587),
    [anon_sym_volatile] = ACTIONS(3587),
    [anon_sym_where] = ACTIONS(3587),
    [anon_sym_notnull] = ACTIONS(3587),
    [anon_sym_unmanaged] = ACTIONS(3587),
    [anon_sym_checked] = ACTIONS(3587),
    [anon_sym_BANG] = ACTIONS(3589),
    [anon_sym_TILDE] = ACTIONS(3589),
    [anon_sym_PLUS_PLUS] = ACTIONS(3589),
    [anon_sym_DASH_DASH] = ACTIONS(3589),
    [anon_sym_true] = ACTIONS(3587),
    [anon_sym_false] = ACTIONS(3587),
    [anon_sym_PLUS] = ACTIONS(3587),
    [anon_sym_DASH] = ACTIONS(3587),
    [anon_sym_STAR] = ACTIONS(3589),
    [anon_sym_CARET] = ACTIONS(3589),
    [anon_sym_AMP] = ACTIONS(3589),
    [anon_sym_this] = ACTIONS(3587),
    [anon_sym_scoped] = ACTIONS(3587),
    [anon_sym_base] = ACTIONS(3587),
    [anon_sym_var] = ACTIONS(3587),
    [sym_predefined_type] = ACTIONS(3587),
    [anon_sym_break] = ACTIONS(3587),
    [anon_sym_unchecked] = ACTIONS(3587),
    [anon_sym_continue] = ACTIONS(3587),
    [anon_sym_do] = ACTIONS(3587),
    [anon_sym_while] = ACTIONS(3587),
    [anon_sym_for] = ACTIONS(3587),
    [anon_sym_lock] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(3587),
    [anon_sym_switch] = ACTIONS(3587),
    [anon_sym_default] = ACTIONS(3587),
    [anon_sym_throw] = ACTIONS(3587),
    [anon_sym_try] = ACTIONS(3587),
    [anon_sym_when] = ACTIONS(3587),
    [anon_sym_await] = ACTIONS(3587),
    [anon_sym_foreach] = ACTIONS(3587),
    [anon_sym_goto] = ACTIONS(3587),
    [anon_sym_if] = ACTIONS(3587),
    [anon_sym_DOT_DOT] = ACTIONS(3589),
    [anon_sym_from] = ACTIONS(3587),
    [anon_sym_into] = ACTIONS(3587),
    [anon_sym_join] = ACTIONS(3587),
    [anon_sym_on] = ACTIONS(3587),
    [anon_sym_equals] = ACTIONS(3587),
    [anon_sym_let] = ACTIONS(3587),
    [anon_sym_orderby] = ACTIONS(3587),
    [anon_sym_ascending] = ACTIONS(3587),
    [anon_sym_descending] = ACTIONS(3587),
    [anon_sym_group] = ACTIONS(3587),
    [anon_sym_by] = ACTIONS(3587),
    [anon_sym_select] = ACTIONS(3587),
    [anon_sym_DQUOTE] = ACTIONS(3589),
    [anon_sym_stackalloc] = ACTIONS(3587),
    [anon_sym_sizeof] = ACTIONS(3587),
    [anon_sym_typeof] = ACTIONS(3587),
    [anon_sym___makeref] = ACTIONS(3587),
    [anon_sym___reftype] = ACTIONS(3587),
    [anon_sym___refvalue] = ACTIONS(3587),
    [sym_null_literal] = ACTIONS(3587),
    [anon_sym_SQUOTE] = ACTIONS(3589),
    [sym_integer_literal] = ACTIONS(3587),
    [sym_real_literal] = ACTIONS(3589),
    [sym_verbatim_string_literal] = ACTIONS(3589),
    [aux_sym_preproc_if_token1] = ACTIONS(3589),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3589),
    [sym_interpolation_verbatim_start] = ACTIONS(3589),
    [sym_interpolation_raw_start] = ACTIONS(3589),
    [sym_raw_string_start] = ACTIONS(3589),
  },
  [2585] = {
    [sym_preproc_region] = STATE(2585),
    [sym_preproc_endregion] = STATE(2585),
    [sym_preproc_line] = STATE(2585),
    [sym_preproc_pragma] = STATE(2585),
    [sym_preproc_nullable] = STATE(2585),
    [sym_preproc_error] = STATE(2585),
    [sym_preproc_define] = STATE(2585),
    [sym_preproc_undef] = STATE(2585),
    [ts_builtin_sym_end] = ACTIONS(3549),
    [sym__identifier_token] = ACTIONS(3547),
    [anon_sym_extern] = ACTIONS(3547),
    [anon_sym_alias] = ACTIONS(3547),
    [anon_sym_SEMI] = ACTIONS(3549),
    [anon_sym_global] = ACTIONS(3547),
    [anon_sym_using] = ACTIONS(3547),
    [anon_sym_unsafe] = ACTIONS(3547),
    [anon_sym_static] = ACTIONS(3547),
    [anon_sym_LBRACK] = ACTIONS(3549),
    [anon_sym_LPAREN] = ACTIONS(3549),
    [anon_sym_return] = ACTIONS(3547),
    [anon_sym_namespace] = ACTIONS(3547),
    [anon_sym_class] = ACTIONS(3547),
    [anon_sym_ref] = ACTIONS(3547),
    [anon_sym_struct] = ACTIONS(3547),
    [anon_sym_enum] = ACTIONS(3547),
    [anon_sym_LBRACE] = ACTIONS(3549),
    [anon_sym_interface] = ACTIONS(3547),
    [anon_sym_delegate] = ACTIONS(3547),
    [anon_sym_record] = ACTIONS(3547),
    [anon_sym_abstract] = ACTIONS(3547),
    [anon_sym_async] = ACTIONS(3547),
    [anon_sym_const] = ACTIONS(3547),
    [anon_sym_file] = ACTIONS(3547),
    [anon_sym_fixed] = ACTIONS(3547),
    [anon_sym_internal] = ACTIONS(3547),
    [anon_sym_new] = ACTIONS(3547),
    [anon_sym_override] = ACTIONS(3547),
    [anon_sym_partial] = ACTIONS(3547),
    [anon_sym_private] = ACTIONS(3547),
    [anon_sym_protected] = ACTIONS(3547),
    [anon_sym_public] = ACTIONS(3547),
    [anon_sym_readonly] = ACTIONS(3547),
    [anon_sym_required] = ACTIONS(3547),
    [anon_sym_sealed] = ACTIONS(3547),
    [anon_sym_virtual] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(3547),
    [anon_sym_where] = ACTIONS(3547),
    [anon_sym_notnull] = ACTIONS(3547),
    [anon_sym_unmanaged] = ACTIONS(3547),
    [anon_sym_checked] = ACTIONS(3547),
    [anon_sym_BANG] = ACTIONS(3549),
    [anon_sym_TILDE] = ACTIONS(3549),
    [anon_sym_PLUS_PLUS] = ACTIONS(3549),
    [anon_sym_DASH_DASH] = ACTIONS(3549),
    [anon_sym_true] = ACTIONS(3547),
    [anon_sym_false] = ACTIONS(3547),
    [anon_sym_PLUS] = ACTIONS(3547),
    [anon_sym_DASH] = ACTIONS(3547),
    [anon_sym_STAR] = ACTIONS(3549),
    [anon_sym_CARET] = ACTIONS(3549),
    [anon_sym_AMP] = ACTIONS(3549),
    [anon_sym_this] = ACTIONS(3547),
    [anon_sym_scoped] = ACTIONS(3547),
    [anon_sym_base] = ACTIONS(3547),
    [anon_sym_var] = ACTIONS(3547),
    [sym_predefined_type] = ACTIONS(3547),
    [anon_sym_break] = ACTIONS(3547),
    [anon_sym_unchecked] = ACTIONS(3547),
    [anon_sym_continue] = ACTIONS(3547),
    [anon_sym_do] = ACTIONS(3547),
    [anon_sym_while] = ACTIONS(3547),
    [anon_sym_for] = ACTIONS(3547),
    [anon_sym_lock] = ACTIONS(3547),
    [anon_sym_yield] = ACTIONS(3547),
    [anon_sym_switch] = ACTIONS(3547),
    [anon_sym_default] = ACTIONS(3547),
    [anon_sym_throw] = ACTIONS(3547),
    [anon_sym_try] = ACTIONS(3547),
    [anon_sym_when] = ACTIONS(3547),
    [anon_sym_await] = ACTIONS(3547),
    [anon_sym_foreach] = ACTIONS(3547),
    [anon_sym_goto] = ACTIONS(3547),
    [anon_sym_if] = ACTIONS(3547),
    [anon_sym_DOT_DOT] = ACTIONS(3549),
    [anon_sym_from] = ACTIONS(3547),
    [anon_sym_into] = ACTIONS(3547),
    [anon_sym_join] = ACTIONS(3547),
    [anon_sym_on] = ACTIONS(3547),
    [anon_sym_equals] = ACTIONS(3547),
    [anon_sym_let] = ACTIONS(3547),
    [anon_sym_orderby] = ACTIONS(3547),
    [anon_sym_ascending] = ACTIONS(3547),
    [anon_sym_descending] = ACTIONS(3547),
    [anon_sym_group] = ACTIONS(3547),
    [anon_sym_by] = ACTIONS(3547),
    [anon_sym_select] = ACTIONS(3547),
    [anon_sym_DQUOTE] = ACTIONS(3549),
    [anon_sym_stackalloc] = ACTIONS(3547),
    [anon_sym_sizeof] = ACTIONS(3547),
    [anon_sym_typeof] = ACTIONS(3547),
    [anon_sym___makeref] = ACTIONS(3547),
    [anon_sym___reftype] = ACTIONS(3547),
    [anon_sym___refvalue] = ACTIONS(3547),
    [sym_null_literal] = ACTIONS(3547),
    [anon_sym_SQUOTE] = ACTIONS(3549),
    [sym_integer_literal] = ACTIONS(3547),
    [sym_real_literal] = ACTIONS(3549),
    [sym_verbatim_string_literal] = ACTIONS(3549),
    [aux_sym_preproc_if_token1] = ACTIONS(3549),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3549),
    [sym_interpolation_verbatim_start] = ACTIONS(3549),
    [sym_interpolation_raw_start] = ACTIONS(3549),
    [sym_raw_string_start] = ACTIONS(3549),
  },
  [2586] = {
    [sym_preproc_region] = STATE(2586),
    [sym_preproc_endregion] = STATE(2586),
    [sym_preproc_line] = STATE(2586),
    [sym_preproc_pragma] = STATE(2586),
    [sym_preproc_nullable] = STATE(2586),
    [sym_preproc_error] = STATE(2586),
    [sym_preproc_define] = STATE(2586),
    [sym_preproc_undef] = STATE(2586),
    [ts_builtin_sym_end] = ACTIONS(3553),
    [sym__identifier_token] = ACTIONS(3551),
    [anon_sym_extern] = ACTIONS(3551),
    [anon_sym_alias] = ACTIONS(3551),
    [anon_sym_SEMI] = ACTIONS(3553),
    [anon_sym_global] = ACTIONS(3551),
    [anon_sym_using] = ACTIONS(3551),
    [anon_sym_unsafe] = ACTIONS(3551),
    [anon_sym_static] = ACTIONS(3551),
    [anon_sym_LBRACK] = ACTIONS(3553),
    [anon_sym_LPAREN] = ACTIONS(3553),
    [anon_sym_return] = ACTIONS(3551),
    [anon_sym_namespace] = ACTIONS(3551),
    [anon_sym_class] = ACTIONS(3551),
    [anon_sym_ref] = ACTIONS(3551),
    [anon_sym_struct] = ACTIONS(3551),
    [anon_sym_enum] = ACTIONS(3551),
    [anon_sym_LBRACE] = ACTIONS(3553),
    [anon_sym_interface] = ACTIONS(3551),
    [anon_sym_delegate] = ACTIONS(3551),
    [anon_sym_record] = ACTIONS(3551),
    [anon_sym_abstract] = ACTIONS(3551),
    [anon_sym_async] = ACTIONS(3551),
    [anon_sym_const] = ACTIONS(3551),
    [anon_sym_file] = ACTIONS(3551),
    [anon_sym_fixed] = ACTIONS(3551),
    [anon_sym_internal] = ACTIONS(3551),
    [anon_sym_new] = ACTIONS(3551),
    [anon_sym_override] = ACTIONS(3551),
    [anon_sym_partial] = ACTIONS(3551),
    [anon_sym_private] = ACTIONS(3551),
    [anon_sym_protected] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3551),
    [anon_sym_readonly] = ACTIONS(3551),
    [anon_sym_required] = ACTIONS(3551),
    [anon_sym_sealed] = ACTIONS(3551),
    [anon_sym_virtual] = ACTIONS(3551),
    [anon_sym_volatile] = ACTIONS(3551),
    [anon_sym_where] = ACTIONS(3551),
    [anon_sym_notnull] = ACTIONS(3551),
    [anon_sym_unmanaged] = ACTIONS(3551),
    [anon_sym_checked] = ACTIONS(3551),
    [anon_sym_BANG] = ACTIONS(3553),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_PLUS_PLUS] = ACTIONS(3553),
    [anon_sym_DASH_DASH] = ACTIONS(3553),
    [anon_sym_true] = ACTIONS(3551),
    [anon_sym_false] = ACTIONS(3551),
    [anon_sym_PLUS] = ACTIONS(3551),
    [anon_sym_DASH] = ACTIONS(3551),
    [anon_sym_STAR] = ACTIONS(3553),
    [anon_sym_CARET] = ACTIONS(3553),
    [anon_sym_AMP] = ACTIONS(3553),
    [anon_sym_this] = ACTIONS(3551),
    [anon_sym_scoped] = ACTIONS(3551),
    [anon_sym_base] = ACTIONS(3551),
    [anon_sym_var] = ACTIONS(3551),
    [sym_predefined_type] = ACTIONS(3551),
    [anon_sym_break] = ACTIONS(3551),
    [anon_sym_unchecked] = ACTIONS(3551),
    [anon_sym_continue] = ACTIONS(3551),
    [anon_sym_do] = ACTIONS(3551),
    [anon_sym_while] = ACTIONS(3551),
    [anon_sym_for] = ACTIONS(3551),
    [anon_sym_lock] = ACTIONS(3551),
    [anon_sym_yield] = ACTIONS(3551),
    [anon_sym_switch] = ACTIONS(3551),
    [anon_sym_default] = ACTIONS(3551),
    [anon_sym_throw] = ACTIONS(3551),
    [anon_sym_try] = ACTIONS(3551),
    [anon_sym_when] = ACTIONS(3551),
    [anon_sym_await] = ACTIONS(3551),
    [anon_sym_foreach] = ACTIONS(3551),
    [anon_sym_goto] = ACTIONS(3551),
    [anon_sym_if] = ACTIONS(3551),
    [anon_sym_DOT_DOT] = ACTIONS(3553),
    [anon_sym_from] = ACTIONS(3551),
    [anon_sym_into] = ACTIONS(3551),
    [anon_sym_join] = ACTIONS(3551),
    [anon_sym_on] = ACTIONS(3551),
    [anon_sym_equals] = ACTIONS(3551),
    [anon_sym_let] = ACTIONS(3551),
    [anon_sym_orderby] = ACTIONS(3551),
    [anon_sym_ascending] = ACTIONS(3551),
    [anon_sym_descending] = ACTIONS(3551),
    [anon_sym_group] = ACTIONS(3551),
    [anon_sym_by] = ACTIONS(3551),
    [anon_sym_select] = ACTIONS(3551),
    [anon_sym_DQUOTE] = ACTIONS(3553),
    [anon_sym_stackalloc] = ACTIONS(3551),
    [anon_sym_sizeof] = ACTIONS(3551),
    [anon_sym_typeof] = ACTIONS(3551),
    [anon_sym___makeref] = ACTIONS(3551),
    [anon_sym___reftype] = ACTIONS(3551),
    [anon_sym___refvalue] = ACTIONS(3551),
    [sym_null_literal] = ACTIONS(3551),
    [anon_sym_SQUOTE] = ACTIONS(3553),
    [sym_integer_literal] = ACTIONS(3551),
    [sym_real_literal] = ACTIONS(3553),
    [sym_verbatim_string_literal] = ACTIONS(3553),
    [aux_sym_preproc_if_token1] = ACTIONS(3553),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3553),
    [sym_interpolation_verbatim_start] = ACTIONS(3553),
    [sym_interpolation_raw_start] = ACTIONS(3553),
    [sym_raw_string_start] = ACTIONS(3553),
  },
  [2587] = {
    [sym_preproc_region] = STATE(2587),
    [sym_preproc_endregion] = STATE(2587),
    [sym_preproc_line] = STATE(2587),
    [sym_preproc_pragma] = STATE(2587),
    [sym_preproc_nullable] = STATE(2587),
    [sym_preproc_error] = STATE(2587),
    [sym_preproc_define] = STATE(2587),
    [sym_preproc_undef] = STATE(2587),
    [ts_builtin_sym_end] = ACTIONS(3557),
    [sym__identifier_token] = ACTIONS(3555),
    [anon_sym_extern] = ACTIONS(3555),
    [anon_sym_alias] = ACTIONS(3555),
    [anon_sym_SEMI] = ACTIONS(3557),
    [anon_sym_global] = ACTIONS(3555),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_unsafe] = ACTIONS(3555),
    [anon_sym_static] = ACTIONS(3555),
    [anon_sym_LBRACK] = ACTIONS(3557),
    [anon_sym_LPAREN] = ACTIONS(3557),
    [anon_sym_return] = ACTIONS(3555),
    [anon_sym_namespace] = ACTIONS(3555),
    [anon_sym_class] = ACTIONS(3555),
    [anon_sym_ref] = ACTIONS(3555),
    [anon_sym_struct] = ACTIONS(3555),
    [anon_sym_enum] = ACTIONS(3555),
    [anon_sym_LBRACE] = ACTIONS(3557),
    [anon_sym_interface] = ACTIONS(3555),
    [anon_sym_delegate] = ACTIONS(3555),
    [anon_sym_record] = ACTIONS(3555),
    [anon_sym_abstract] = ACTIONS(3555),
    [anon_sym_async] = ACTIONS(3555),
    [anon_sym_const] = ACTIONS(3555),
    [anon_sym_file] = ACTIONS(3555),
    [anon_sym_fixed] = ACTIONS(3555),
    [anon_sym_internal] = ACTIONS(3555),
    [anon_sym_new] = ACTIONS(3555),
    [anon_sym_override] = ACTIONS(3555),
    [anon_sym_partial] = ACTIONS(3555),
    [anon_sym_private] = ACTIONS(3555),
    [anon_sym_protected] = ACTIONS(3555),
    [anon_sym_public] = ACTIONS(3555),
    [anon_sym_readonly] = ACTIONS(3555),
    [anon_sym_required] = ACTIONS(3555),
    [anon_sym_sealed] = ACTIONS(3555),
    [anon_sym_virtual] = ACTIONS(3555),
    [anon_sym_volatile] = ACTIONS(3555),
    [anon_sym_where] = ACTIONS(3555),
    [anon_sym_notnull] = ACTIONS(3555),
    [anon_sym_unmanaged] = ACTIONS(3555),
    [anon_sym_checked] = ACTIONS(3555),
    [anon_sym_BANG] = ACTIONS(3557),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_PLUS_PLUS] = ACTIONS(3557),
    [anon_sym_DASH_DASH] = ACTIONS(3557),
    [anon_sym_true] = ACTIONS(3555),
    [anon_sym_false] = ACTIONS(3555),
    [anon_sym_PLUS] = ACTIONS(3555),
    [anon_sym_DASH] = ACTIONS(3555),
    [anon_sym_STAR] = ACTIONS(3557),
    [anon_sym_CARET] = ACTIONS(3557),
    [anon_sym_AMP] = ACTIONS(3557),
    [anon_sym_this] = ACTIONS(3555),
    [anon_sym_scoped] = ACTIONS(3555),
    [anon_sym_base] = ACTIONS(3555),
    [anon_sym_var] = ACTIONS(3555),
    [sym_predefined_type] = ACTIONS(3555),
    [anon_sym_break] = ACTIONS(3555),
    [anon_sym_unchecked] = ACTIONS(3555),
    [anon_sym_continue] = ACTIONS(3555),
    [anon_sym_do] = ACTIONS(3555),
    [anon_sym_while] = ACTIONS(3555),
    [anon_sym_for] = ACTIONS(3555),
    [anon_sym_lock] = ACTIONS(3555),
    [anon_sym_yield] = ACTIONS(3555),
    [anon_sym_switch] = ACTIONS(3555),
    [anon_sym_default] = ACTIONS(3555),
    [anon_sym_throw] = ACTIONS(3555),
    [anon_sym_try] = ACTIONS(3555),
    [anon_sym_when] = ACTIONS(3555),
    [anon_sym_await] = ACTIONS(3555),
    [anon_sym_foreach] = ACTIONS(3555),
    [anon_sym_goto] = ACTIONS(3555),
    [anon_sym_if] = ACTIONS(3555),
    [anon_sym_DOT_DOT] = ACTIONS(3557),
    [anon_sym_from] = ACTIONS(3555),
    [anon_sym_into] = ACTIONS(3555),
    [anon_sym_join] = ACTIONS(3555),
    [anon_sym_on] = ACTIONS(3555),
    [anon_sym_equals] = ACTIONS(3555),
    [anon_sym_let] = ACTIONS(3555),
    [anon_sym_orderby] = ACTIONS(3555),
    [anon_sym_ascending] = ACTIONS(3555),
    [anon_sym_descending] = ACTIONS(3555),
    [anon_sym_group] = ACTIONS(3555),
    [anon_sym_by] = ACTIONS(3555),
    [anon_sym_select] = ACTIONS(3555),
    [anon_sym_DQUOTE] = ACTIONS(3557),
    [anon_sym_stackalloc] = ACTIONS(3555),
    [anon_sym_sizeof] = ACTIONS(3555),
    [anon_sym_typeof] = ACTIONS(3555),
    [anon_sym___makeref] = ACTIONS(3555),
    [anon_sym___reftype] = ACTIONS(3555),
    [anon_sym___refvalue] = ACTIONS(3555),
    [sym_null_literal] = ACTIONS(3555),
    [anon_sym_SQUOTE] = ACTIONS(3557),
    [sym_integer_literal] = ACTIONS(3555),
    [sym_real_literal] = ACTIONS(3557),
    [sym_verbatim_string_literal] = ACTIONS(3557),
    [aux_sym_preproc_if_token1] = ACTIONS(3557),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3557),
    [sym_interpolation_verbatim_start] = ACTIONS(3557),
    [sym_interpolation_raw_start] = ACTIONS(3557),
    [sym_raw_string_start] = ACTIONS(3557),
  },
  [2588] = {
    [sym_preproc_region] = STATE(2588),
    [sym_preproc_endregion] = STATE(2588),
    [sym_preproc_line] = STATE(2588),
    [sym_preproc_pragma] = STATE(2588),
    [sym_preproc_nullable] = STATE(2588),
    [sym_preproc_error] = STATE(2588),
    [sym_preproc_define] = STATE(2588),
    [sym_preproc_undef] = STATE(2588),
    [ts_builtin_sym_end] = ACTIONS(3561),
    [sym__identifier_token] = ACTIONS(3559),
    [anon_sym_extern] = ACTIONS(3559),
    [anon_sym_alias] = ACTIONS(3559),
    [anon_sym_SEMI] = ACTIONS(3561),
    [anon_sym_global] = ACTIONS(3559),
    [anon_sym_using] = ACTIONS(3559),
    [anon_sym_unsafe] = ACTIONS(3559),
    [anon_sym_static] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(3561),
    [anon_sym_LPAREN] = ACTIONS(3561),
    [anon_sym_return] = ACTIONS(3559),
    [anon_sym_namespace] = ACTIONS(3559),
    [anon_sym_class] = ACTIONS(3559),
    [anon_sym_ref] = ACTIONS(3559),
    [anon_sym_struct] = ACTIONS(3559),
    [anon_sym_enum] = ACTIONS(3559),
    [anon_sym_LBRACE] = ACTIONS(3561),
    [anon_sym_interface] = ACTIONS(3559),
    [anon_sym_delegate] = ACTIONS(3559),
    [anon_sym_record] = ACTIONS(3559),
    [anon_sym_abstract] = ACTIONS(3559),
    [anon_sym_async] = ACTIONS(3559),
    [anon_sym_const] = ACTIONS(3559),
    [anon_sym_file] = ACTIONS(3559),
    [anon_sym_fixed] = ACTIONS(3559),
    [anon_sym_internal] = ACTIONS(3559),
    [anon_sym_new] = ACTIONS(3559),
    [anon_sym_override] = ACTIONS(3559),
    [anon_sym_partial] = ACTIONS(3559),
    [anon_sym_private] = ACTIONS(3559),
    [anon_sym_protected] = ACTIONS(3559),
    [anon_sym_public] = ACTIONS(3559),
    [anon_sym_readonly] = ACTIONS(3559),
    [anon_sym_required] = ACTIONS(3559),
    [anon_sym_sealed] = ACTIONS(3559),
    [anon_sym_virtual] = ACTIONS(3559),
    [anon_sym_volatile] = ACTIONS(3559),
    [anon_sym_where] = ACTIONS(3559),
    [anon_sym_notnull] = ACTIONS(3559),
    [anon_sym_unmanaged] = ACTIONS(3559),
    [anon_sym_checked] = ACTIONS(3559),
    [anon_sym_BANG] = ACTIONS(3561),
    [anon_sym_TILDE] = ACTIONS(3561),
    [anon_sym_PLUS_PLUS] = ACTIONS(3561),
    [anon_sym_DASH_DASH] = ACTIONS(3561),
    [anon_sym_true] = ACTIONS(3559),
    [anon_sym_false] = ACTIONS(3559),
    [anon_sym_PLUS] = ACTIONS(3559),
    [anon_sym_DASH] = ACTIONS(3559),
    [anon_sym_STAR] = ACTIONS(3561),
    [anon_sym_CARET] = ACTIONS(3561),
    [anon_sym_AMP] = ACTIONS(3561),
    [anon_sym_this] = ACTIONS(3559),
    [anon_sym_scoped] = ACTIONS(3559),
    [anon_sym_base] = ACTIONS(3559),
    [anon_sym_var] = ACTIONS(3559),
    [sym_predefined_type] = ACTIONS(3559),
    [anon_sym_break] = ACTIONS(3559),
    [anon_sym_unchecked] = ACTIONS(3559),
    [anon_sym_continue] = ACTIONS(3559),
    [anon_sym_do] = ACTIONS(3559),
    [anon_sym_while] = ACTIONS(3559),
    [anon_sym_for] = ACTIONS(3559),
    [anon_sym_lock] = ACTIONS(3559),
    [anon_sym_yield] = ACTIONS(3559),
    [anon_sym_switch] = ACTIONS(3559),
    [anon_sym_default] = ACTIONS(3559),
    [anon_sym_throw] = ACTIONS(3559),
    [anon_sym_try] = ACTIONS(3559),
    [anon_sym_when] = ACTIONS(3559),
    [anon_sym_await] = ACTIONS(3559),
    [anon_sym_foreach] = ACTIONS(3559),
    [anon_sym_goto] = ACTIONS(3559),
    [anon_sym_if] = ACTIONS(3559),
    [anon_sym_DOT_DOT] = ACTIONS(3561),
    [anon_sym_from] = ACTIONS(3559),
    [anon_sym_into] = ACTIONS(3559),
    [anon_sym_join] = ACTIONS(3559),
    [anon_sym_on] = ACTIONS(3559),
    [anon_sym_equals] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3559),
    [anon_sym_orderby] = ACTIONS(3559),
    [anon_sym_ascending] = ACTIONS(3559),
    [anon_sym_descending] = ACTIONS(3559),
    [anon_sym_group] = ACTIONS(3559),
    [anon_sym_by] = ACTIONS(3559),
    [anon_sym_select] = ACTIONS(3559),
    [anon_sym_DQUOTE] = ACTIONS(3561),
    [anon_sym_stackalloc] = ACTIONS(3559),
    [anon_sym_sizeof] = ACTIONS(3559),
    [anon_sym_typeof] = ACTIONS(3559),
    [anon_sym___makeref] = ACTIONS(3559),
    [anon_sym___reftype] = ACTIONS(3559),
    [anon_sym___refvalue] = ACTIONS(3559),
    [sym_null_literal] = ACTIONS(3559),
    [anon_sym_SQUOTE] = ACTIONS(3561),
    [sym_integer_literal] = ACTIONS(3559),
    [sym_real_literal] = ACTIONS(3561),
    [sym_verbatim_string_literal] = ACTIONS(3561),
    [aux_sym_preproc_if_token1] = ACTIONS(3561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3561),
    [sym_interpolation_verbatim_start] = ACTIONS(3561),
    [sym_interpolation_raw_start] = ACTIONS(3561),
    [sym_raw_string_start] = ACTIONS(3561),
  },
  [2589] = {
    [sym_preproc_region] = STATE(2589),
    [sym_preproc_endregion] = STATE(2589),
    [sym_preproc_line] = STATE(2589),
    [sym_preproc_pragma] = STATE(2589),
    [sym_preproc_nullable] = STATE(2589),
    [sym_preproc_error] = STATE(2589),
    [sym_preproc_define] = STATE(2589),
    [sym_preproc_undef] = STATE(2589),
    [ts_builtin_sym_end] = ACTIONS(3565),
    [sym__identifier_token] = ACTIONS(3563),
    [anon_sym_extern] = ACTIONS(3563),
    [anon_sym_alias] = ACTIONS(3563),
    [anon_sym_SEMI] = ACTIONS(3565),
    [anon_sym_global] = ACTIONS(3563),
    [anon_sym_using] = ACTIONS(3563),
    [anon_sym_unsafe] = ACTIONS(3563),
    [anon_sym_static] = ACTIONS(3563),
    [anon_sym_LBRACK] = ACTIONS(3565),
    [anon_sym_LPAREN] = ACTIONS(3565),
    [anon_sym_return] = ACTIONS(3563),
    [anon_sym_namespace] = ACTIONS(3563),
    [anon_sym_class] = ACTIONS(3563),
    [anon_sym_ref] = ACTIONS(3563),
    [anon_sym_struct] = ACTIONS(3563),
    [anon_sym_enum] = ACTIONS(3563),
    [anon_sym_LBRACE] = ACTIONS(3565),
    [anon_sym_interface] = ACTIONS(3563),
    [anon_sym_delegate] = ACTIONS(3563),
    [anon_sym_record] = ACTIONS(3563),
    [anon_sym_abstract] = ACTIONS(3563),
    [anon_sym_async] = ACTIONS(3563),
    [anon_sym_const] = ACTIONS(3563),
    [anon_sym_file] = ACTIONS(3563),
    [anon_sym_fixed] = ACTIONS(3563),
    [anon_sym_internal] = ACTIONS(3563),
    [anon_sym_new] = ACTIONS(3563),
    [anon_sym_override] = ACTIONS(3563),
    [anon_sym_partial] = ACTIONS(3563),
    [anon_sym_private] = ACTIONS(3563),
    [anon_sym_protected] = ACTIONS(3563),
    [anon_sym_public] = ACTIONS(3563),
    [anon_sym_readonly] = ACTIONS(3563),
    [anon_sym_required] = ACTIONS(3563),
    [anon_sym_sealed] = ACTIONS(3563),
    [anon_sym_virtual] = ACTIONS(3563),
    [anon_sym_volatile] = ACTIONS(3563),
    [anon_sym_where] = ACTIONS(3563),
    [anon_sym_notnull] = ACTIONS(3563),
    [anon_sym_unmanaged] = ACTIONS(3563),
    [anon_sym_checked] = ACTIONS(3563),
    [anon_sym_BANG] = ACTIONS(3565),
    [anon_sym_TILDE] = ACTIONS(3565),
    [anon_sym_PLUS_PLUS] = ACTIONS(3565),
    [anon_sym_DASH_DASH] = ACTIONS(3565),
    [anon_sym_true] = ACTIONS(3563),
    [anon_sym_false] = ACTIONS(3563),
    [anon_sym_PLUS] = ACTIONS(3563),
    [anon_sym_DASH] = ACTIONS(3563),
    [anon_sym_STAR] = ACTIONS(3565),
    [anon_sym_CARET] = ACTIONS(3565),
    [anon_sym_AMP] = ACTIONS(3565),
    [anon_sym_this] = ACTIONS(3563),
    [anon_sym_scoped] = ACTIONS(3563),
    [anon_sym_base] = ACTIONS(3563),
    [anon_sym_var] = ACTIONS(3563),
    [sym_predefined_type] = ACTIONS(3563),
    [anon_sym_break] = ACTIONS(3563),
    [anon_sym_unchecked] = ACTIONS(3563),
    [anon_sym_continue] = ACTIONS(3563),
    [anon_sym_do] = ACTIONS(3563),
    [anon_sym_while] = ACTIONS(3563),
    [anon_sym_for] = ACTIONS(3563),
    [anon_sym_lock] = ACTIONS(3563),
    [anon_sym_yield] = ACTIONS(3563),
    [anon_sym_switch] = ACTIONS(3563),
    [anon_sym_default] = ACTIONS(3563),
    [anon_sym_throw] = ACTIONS(3563),
    [anon_sym_try] = ACTIONS(3563),
    [anon_sym_when] = ACTIONS(3563),
    [anon_sym_await] = ACTIONS(3563),
    [anon_sym_foreach] = ACTIONS(3563),
    [anon_sym_goto] = ACTIONS(3563),
    [anon_sym_if] = ACTIONS(3563),
    [anon_sym_DOT_DOT] = ACTIONS(3565),
    [anon_sym_from] = ACTIONS(3563),
    [anon_sym_into] = ACTIONS(3563),
    [anon_sym_join] = ACTIONS(3563),
    [anon_sym_on] = ACTIONS(3563),
    [anon_sym_equals] = ACTIONS(3563),
    [anon_sym_let] = ACTIONS(3563),
    [anon_sym_orderby] = ACTIONS(3563),
    [anon_sym_ascending] = ACTIONS(3563),
    [anon_sym_descending] = ACTIONS(3563),
    [anon_sym_group] = ACTIONS(3563),
    [anon_sym_by] = ACTIONS(3563),
    [anon_sym_select] = ACTIONS(3563),
    [anon_sym_DQUOTE] = ACTIONS(3565),
    [anon_sym_stackalloc] = ACTIONS(3563),
    [anon_sym_sizeof] = ACTIONS(3563),
    [anon_sym_typeof] = ACTIONS(3563),
    [anon_sym___makeref] = ACTIONS(3563),
    [anon_sym___reftype] = ACTIONS(3563),
    [anon_sym___refvalue] = ACTIONS(3563),
    [sym_null_literal] = ACTIONS(3563),
    [anon_sym_SQUOTE] = ACTIONS(3565),
    [sym_integer_literal] = ACTIONS(3563),
    [sym_real_literal] = ACTIONS(3565),
    [sym_verbatim_string_literal] = ACTIONS(3565),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3565),
    [sym_interpolation_verbatim_start] = ACTIONS(3565),
    [sym_interpolation_raw_start] = ACTIONS(3565),
    [sym_raw_string_start] = ACTIONS(3565),
  },
  [2590] = {
    [sym_preproc_region] = STATE(2590),
    [sym_preproc_endregion] = STATE(2590),
    [sym_preproc_line] = STATE(2590),
    [sym_preproc_pragma] = STATE(2590),
    [sym_preproc_nullable] = STATE(2590),
    [sym_preproc_error] = STATE(2590),
    [sym_preproc_define] = STATE(2590),
    [sym_preproc_undef] = STATE(2590),
    [ts_builtin_sym_end] = ACTIONS(3569),
    [sym__identifier_token] = ACTIONS(3567),
    [anon_sym_extern] = ACTIONS(3567),
    [anon_sym_alias] = ACTIONS(3567),
    [anon_sym_SEMI] = ACTIONS(3569),
    [anon_sym_global] = ACTIONS(3567),
    [anon_sym_using] = ACTIONS(3567),
    [anon_sym_unsafe] = ACTIONS(3567),
    [anon_sym_static] = ACTIONS(3567),
    [anon_sym_LBRACK] = ACTIONS(3569),
    [anon_sym_LPAREN] = ACTIONS(3569),
    [anon_sym_return] = ACTIONS(3567),
    [anon_sym_namespace] = ACTIONS(3567),
    [anon_sym_class] = ACTIONS(3567),
    [anon_sym_ref] = ACTIONS(3567),
    [anon_sym_struct] = ACTIONS(3567),
    [anon_sym_enum] = ACTIONS(3567),
    [anon_sym_LBRACE] = ACTIONS(3569),
    [anon_sym_interface] = ACTIONS(3567),
    [anon_sym_delegate] = ACTIONS(3567),
    [anon_sym_record] = ACTIONS(3567),
    [anon_sym_abstract] = ACTIONS(3567),
    [anon_sym_async] = ACTIONS(3567),
    [anon_sym_const] = ACTIONS(3567),
    [anon_sym_file] = ACTIONS(3567),
    [anon_sym_fixed] = ACTIONS(3567),
    [anon_sym_internal] = ACTIONS(3567),
    [anon_sym_new] = ACTIONS(3567),
    [anon_sym_override] = ACTIONS(3567),
    [anon_sym_partial] = ACTIONS(3567),
    [anon_sym_private] = ACTIONS(3567),
    [anon_sym_protected] = ACTIONS(3567),
    [anon_sym_public] = ACTIONS(3567),
    [anon_sym_readonly] = ACTIONS(3567),
    [anon_sym_required] = ACTIONS(3567),
    [anon_sym_sealed] = ACTIONS(3567),
    [anon_sym_virtual] = ACTIONS(3567),
    [anon_sym_volatile] = ACTIONS(3567),
    [anon_sym_where] = ACTIONS(3567),
    [anon_sym_notnull] = ACTIONS(3567),
    [anon_sym_unmanaged] = ACTIONS(3567),
    [anon_sym_checked] = ACTIONS(3567),
    [anon_sym_BANG] = ACTIONS(3569),
    [anon_sym_TILDE] = ACTIONS(3569),
    [anon_sym_PLUS_PLUS] = ACTIONS(3569),
    [anon_sym_DASH_DASH] = ACTIONS(3569),
    [anon_sym_true] = ACTIONS(3567),
    [anon_sym_false] = ACTIONS(3567),
    [anon_sym_PLUS] = ACTIONS(3567),
    [anon_sym_DASH] = ACTIONS(3567),
    [anon_sym_STAR] = ACTIONS(3569),
    [anon_sym_CARET] = ACTIONS(3569),
    [anon_sym_AMP] = ACTIONS(3569),
    [anon_sym_this] = ACTIONS(3567),
    [anon_sym_scoped] = ACTIONS(3567),
    [anon_sym_base] = ACTIONS(3567),
    [anon_sym_var] = ACTIONS(3567),
    [sym_predefined_type] = ACTIONS(3567),
    [anon_sym_break] = ACTIONS(3567),
    [anon_sym_unchecked] = ACTIONS(3567),
    [anon_sym_continue] = ACTIONS(3567),
    [anon_sym_do] = ACTIONS(3567),
    [anon_sym_while] = ACTIONS(3567),
    [anon_sym_for] = ACTIONS(3567),
    [anon_sym_lock] = ACTIONS(3567),
    [anon_sym_yield] = ACTIONS(3567),
    [anon_sym_switch] = ACTIONS(3567),
    [anon_sym_default] = ACTIONS(3567),
    [anon_sym_throw] = ACTIONS(3567),
    [anon_sym_try] = ACTIONS(3567),
    [anon_sym_when] = ACTIONS(3567),
    [anon_sym_await] = ACTIONS(3567),
    [anon_sym_foreach] = ACTIONS(3567),
    [anon_sym_goto] = ACTIONS(3567),
    [anon_sym_if] = ACTIONS(3567),
    [anon_sym_DOT_DOT] = ACTIONS(3569),
    [anon_sym_from] = ACTIONS(3567),
    [anon_sym_into] = ACTIONS(3567),
    [anon_sym_join] = ACTIONS(3567),
    [anon_sym_on] = ACTIONS(3567),
    [anon_sym_equals] = ACTIONS(3567),
    [anon_sym_let] = ACTIONS(3567),
    [anon_sym_orderby] = ACTIONS(3567),
    [anon_sym_ascending] = ACTIONS(3567),
    [anon_sym_descending] = ACTIONS(3567),
    [anon_sym_group] = ACTIONS(3567),
    [anon_sym_by] = ACTIONS(3567),
    [anon_sym_select] = ACTIONS(3567),
    [anon_sym_DQUOTE] = ACTIONS(3569),
    [anon_sym_stackalloc] = ACTIONS(3567),
    [anon_sym_sizeof] = ACTIONS(3567),
    [anon_sym_typeof] = ACTIONS(3567),
    [anon_sym___makeref] = ACTIONS(3567),
    [anon_sym___reftype] = ACTIONS(3567),
    [anon_sym___refvalue] = ACTIONS(3567),
    [sym_null_literal] = ACTIONS(3567),
    [anon_sym_SQUOTE] = ACTIONS(3569),
    [sym_integer_literal] = ACTIONS(3567),
    [sym_real_literal] = ACTIONS(3569),
    [sym_verbatim_string_literal] = ACTIONS(3569),
    [aux_sym_preproc_if_token1] = ACTIONS(3569),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3569),
    [sym_interpolation_verbatim_start] = ACTIONS(3569),
    [sym_interpolation_raw_start] = ACTIONS(3569),
    [sym_raw_string_start] = ACTIONS(3569),
  },
  [2591] = {
    [sym_preproc_region] = STATE(2591),
    [sym_preproc_endregion] = STATE(2591),
    [sym_preproc_line] = STATE(2591),
    [sym_preproc_pragma] = STATE(2591),
    [sym_preproc_nullable] = STATE(2591),
    [sym_preproc_error] = STATE(2591),
    [sym_preproc_define] = STATE(2591),
    [sym_preproc_undef] = STATE(2591),
    [ts_builtin_sym_end] = ACTIONS(4022),
    [sym__identifier_token] = ACTIONS(4024),
    [anon_sym_extern] = ACTIONS(4024),
    [anon_sym_alias] = ACTIONS(4024),
    [anon_sym_SEMI] = ACTIONS(4022),
    [anon_sym_global] = ACTIONS(4024),
    [anon_sym_using] = ACTIONS(4024),
    [anon_sym_unsafe] = ACTIONS(4024),
    [anon_sym_static] = ACTIONS(4024),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_LPAREN] = ACTIONS(4022),
    [anon_sym_return] = ACTIONS(4024),
    [anon_sym_namespace] = ACTIONS(4024),
    [anon_sym_class] = ACTIONS(4024),
    [anon_sym_ref] = ACTIONS(4024),
    [anon_sym_struct] = ACTIONS(4024),
    [anon_sym_enum] = ACTIONS(4024),
    [anon_sym_LBRACE] = ACTIONS(4022),
    [anon_sym_interface] = ACTIONS(4024),
    [anon_sym_delegate] = ACTIONS(4024),
    [anon_sym_record] = ACTIONS(4024),
    [anon_sym_abstract] = ACTIONS(4024),
    [anon_sym_async] = ACTIONS(4024),
    [anon_sym_const] = ACTIONS(4024),
    [anon_sym_file] = ACTIONS(4024),
    [anon_sym_fixed] = ACTIONS(4024),
    [anon_sym_internal] = ACTIONS(4024),
    [anon_sym_new] = ACTIONS(4024),
    [anon_sym_override] = ACTIONS(4024),
    [anon_sym_partial] = ACTIONS(4024),
    [anon_sym_private] = ACTIONS(4024),
    [anon_sym_protected] = ACTIONS(4024),
    [anon_sym_public] = ACTIONS(4024),
    [anon_sym_readonly] = ACTIONS(4024),
    [anon_sym_required] = ACTIONS(4024),
    [anon_sym_sealed] = ACTIONS(4024),
    [anon_sym_virtual] = ACTIONS(4024),
    [anon_sym_volatile] = ACTIONS(4024),
    [anon_sym_where] = ACTIONS(4024),
    [anon_sym_notnull] = ACTIONS(4024),
    [anon_sym_unmanaged] = ACTIONS(4024),
    [anon_sym_checked] = ACTIONS(4024),
    [anon_sym_BANG] = ACTIONS(4022),
    [anon_sym_TILDE] = ACTIONS(4022),
    [anon_sym_PLUS_PLUS] = ACTIONS(4022),
    [anon_sym_DASH_DASH] = ACTIONS(4022),
    [anon_sym_true] = ACTIONS(4024),
    [anon_sym_false] = ACTIONS(4024),
    [anon_sym_PLUS] = ACTIONS(4024),
    [anon_sym_DASH] = ACTIONS(4024),
    [anon_sym_STAR] = ACTIONS(4022),
    [anon_sym_CARET] = ACTIONS(4022),
    [anon_sym_AMP] = ACTIONS(4022),
    [anon_sym_this] = ACTIONS(4024),
    [anon_sym_scoped] = ACTIONS(4024),
    [anon_sym_base] = ACTIONS(4024),
    [anon_sym_var] = ACTIONS(4024),
    [sym_predefined_type] = ACTIONS(4024),
    [anon_sym_break] = ACTIONS(4024),
    [anon_sym_unchecked] = ACTIONS(4024),
    [anon_sym_continue] = ACTIONS(4024),
    [anon_sym_do] = ACTIONS(4024),
    [anon_sym_while] = ACTIONS(4024),
    [anon_sym_for] = ACTIONS(4024),
    [anon_sym_lock] = ACTIONS(4024),
    [anon_sym_yield] = ACTIONS(4024),
    [anon_sym_switch] = ACTIONS(4024),
    [anon_sym_default] = ACTIONS(4024),
    [anon_sym_throw] = ACTIONS(4024),
    [anon_sym_try] = ACTIONS(4024),
    [anon_sym_when] = ACTIONS(4024),
    [anon_sym_await] = ACTIONS(4024),
    [anon_sym_foreach] = ACTIONS(4024),
    [anon_sym_goto] = ACTIONS(4024),
    [anon_sym_if] = ACTIONS(4024),
    [anon_sym_DOT_DOT] = ACTIONS(4022),
    [anon_sym_from] = ACTIONS(4024),
    [anon_sym_into] = ACTIONS(4024),
    [anon_sym_join] = ACTIONS(4024),
    [anon_sym_on] = ACTIONS(4024),
    [anon_sym_equals] = ACTIONS(4024),
    [anon_sym_let] = ACTIONS(4024),
    [anon_sym_orderby] = ACTIONS(4024),
    [anon_sym_ascending] = ACTIONS(4024),
    [anon_sym_descending] = ACTIONS(4024),
    [anon_sym_group] = ACTIONS(4024),
    [anon_sym_by] = ACTIONS(4024),
    [anon_sym_select] = ACTIONS(4024),
    [anon_sym_DQUOTE] = ACTIONS(4022),
    [anon_sym_stackalloc] = ACTIONS(4024),
    [anon_sym_sizeof] = ACTIONS(4024),
    [anon_sym_typeof] = ACTIONS(4024),
    [anon_sym___makeref] = ACTIONS(4024),
    [anon_sym___reftype] = ACTIONS(4024),
    [anon_sym___refvalue] = ACTIONS(4024),
    [sym_null_literal] = ACTIONS(4024),
    [anon_sym_SQUOTE] = ACTIONS(4022),
    [sym_integer_literal] = ACTIONS(4024),
    [sym_real_literal] = ACTIONS(4022),
    [sym_verbatim_string_literal] = ACTIONS(4022),
    [aux_sym_preproc_if_token1] = ACTIONS(4022),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(4022),
    [sym_interpolation_verbatim_start] = ACTIONS(4022),
    [sym_interpolation_raw_start] = ACTIONS(4022),
    [sym_raw_string_start] = ACTIONS(4022),
  },
  [2592] = {
    [sym_preproc_region] = STATE(2592),
    [sym_preproc_endregion] = STATE(2592),
    [sym_preproc_line] = STATE(2592),
    [sym_preproc_pragma] = STATE(2592),
    [sym_preproc_nullable] = STATE(2592),
    [sym_preproc_error] = STATE(2592),
    [sym_preproc_define] = STATE(2592),
    [sym_preproc_undef] = STATE(2592),
    [ts_builtin_sym_end] = ACTIONS(3955),
    [sym__identifier_token] = ACTIONS(3953),
    [anon_sym_extern] = ACTIONS(3953),
    [anon_sym_alias] = ACTIONS(3953),
    [anon_sym_SEMI] = ACTIONS(3955),
    [anon_sym_global] = ACTIONS(3953),
    [anon_sym_using] = ACTIONS(3953),
    [anon_sym_unsafe] = ACTIONS(3953),
    [anon_sym_static] = ACTIONS(3953),
    [anon_sym_LBRACK] = ACTIONS(3955),
    [anon_sym_LPAREN] = ACTIONS(3955),
    [anon_sym_return] = ACTIONS(3953),
    [anon_sym_namespace] = ACTIONS(3953),
    [anon_sym_class] = ACTIONS(3953),
    [anon_sym_ref] = ACTIONS(3953),
    [anon_sym_struct] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3953),
    [anon_sym_LBRACE] = ACTIONS(3955),
    [anon_sym_interface] = ACTIONS(3953),
    [anon_sym_delegate] = ACTIONS(3953),
    [anon_sym_record] = ACTIONS(3953),
    [anon_sym_abstract] = ACTIONS(3953),
    [anon_sym_async] = ACTIONS(3953),
    [anon_sym_const] = ACTIONS(3953),
    [anon_sym_file] = ACTIONS(3953),
    [anon_sym_fixed] = ACTIONS(3953),
    [anon_sym_internal] = ACTIONS(3953),
    [anon_sym_new] = ACTIONS(3953),
    [anon_sym_override] = ACTIONS(3953),
    [anon_sym_partial] = ACTIONS(3953),
    [anon_sym_private] = ACTIONS(3953),
    [anon_sym_protected] = ACTIONS(3953),
    [anon_sym_public] = ACTIONS(3953),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_required] = ACTIONS(3953),
    [anon_sym_sealed] = ACTIONS(3953),
    [anon_sym_virtual] = ACTIONS(3953),
    [anon_sym_volatile] = ACTIONS(3953),
    [anon_sym_where] = ACTIONS(3953),
    [anon_sym_notnull] = ACTIONS(3953),
    [anon_sym_unmanaged] = ACTIONS(3953),
    [anon_sym_checked] = ACTIONS(3953),
    [anon_sym_BANG] = ACTIONS(3955),
    [anon_sym_TILDE] = ACTIONS(3955),
    [anon_sym_PLUS_PLUS] = ACTIONS(3955),
    [anon_sym_DASH_DASH] = ACTIONS(3955),
    [anon_sym_true] = ACTIONS(3953),
    [anon_sym_false] = ACTIONS(3953),
    [anon_sym_PLUS] = ACTIONS(3953),
    [anon_sym_DASH] = ACTIONS(3953),
    [anon_sym_STAR] = ACTIONS(3955),
    [anon_sym_CARET] = ACTIONS(3955),
    [anon_sym_AMP] = ACTIONS(3955),
    [anon_sym_this] = ACTIONS(3953),
    [anon_sym_scoped] = ACTIONS(3953),
    [anon_sym_base] = ACTIONS(3953),
    [anon_sym_var] = ACTIONS(3953),
    [sym_predefined_type] = ACTIONS(3953),
    [anon_sym_break] = ACTIONS(3953),
    [anon_sym_unchecked] = ACTIONS(3953),
    [anon_sym_continue] = ACTIONS(3953),
    [anon_sym_do] = ACTIONS(3953),
    [anon_sym_while] = ACTIONS(3953),
    [anon_sym_for] = ACTIONS(3953),
    [anon_sym_lock] = ACTIONS(3953),
    [anon_sym_yield] = ACTIONS(3953),
    [anon_sym_switch] = ACTIONS(3953),
    [anon_sym_default] = ACTIONS(3953),
    [anon_sym_throw] = ACTIONS(3953),
    [anon_sym_try] = ACTIONS(3953),
    [anon_sym_when] = ACTIONS(3953),
    [anon_sym_await] = ACTIONS(3953),
    [anon_sym_foreach] = ACTIONS(3953),
    [anon_sym_goto] = ACTIONS(3953),
    [anon_sym_if] = ACTIONS(3953),
    [anon_sym_DOT_DOT] = ACTIONS(3955),
    [anon_sym_from] = ACTIONS(3953),
    [anon_sym_into] = ACTIONS(3953),
    [anon_sym_join] = ACTIONS(3953),
    [anon_sym_on] = ACTIONS(3953),
    [anon_sym_equals] = ACTIONS(3953),
    [anon_sym_let] = ACTIONS(3953),
    [anon_sym_orderby] = ACTIONS(3953),
    [anon_sym_ascending] = ACTIONS(3953),
    [anon_sym_descending] = ACTIONS(3953),
    [anon_sym_group] = ACTIONS(3953),
    [anon_sym_by] = ACTIONS(3953),
    [anon_sym_select] = ACTIONS(3953),
    [anon_sym_DQUOTE] = ACTIONS(3955),
    [anon_sym_stackalloc] = ACTIONS(3953),
    [anon_sym_sizeof] = ACTIONS(3953),
    [anon_sym_typeof] = ACTIONS(3953),
    [anon_sym___makeref] = ACTIONS(3953),
    [anon_sym___reftype] = ACTIONS(3953),
    [anon_sym___refvalue] = ACTIONS(3953),
    [sym_null_literal] = ACTIONS(3953),
    [anon_sym_SQUOTE] = ACTIONS(3955),
    [sym_integer_literal] = ACTIONS(3953),
    [sym_real_literal] = ACTIONS(3955),
    [sym_verbatim_string_literal] = ACTIONS(3955),
    [aux_sym_preproc_if_token1] = ACTIONS(3955),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3955),
    [sym_interpolation_verbatim_start] = ACTIONS(3955),
    [sym_interpolation_raw_start] = ACTIONS(3955),
    [sym_raw_string_start] = ACTIONS(3955),
  },
  [2593] = {
    [sym_preproc_region] = STATE(2593),
    [sym_preproc_endregion] = STATE(2593),
    [sym_preproc_line] = STATE(2593),
    [sym_preproc_pragma] = STATE(2593),
    [sym_preproc_nullable] = STATE(2593),
    [sym_preproc_error] = STATE(2593),
    [sym_preproc_define] = STATE(2593),
    [sym_preproc_undef] = STATE(2593),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym__identifier_token] = ACTIONS(3571),
    [anon_sym_extern] = ACTIONS(3571),
    [anon_sym_alias] = ACTIONS(3571),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_global] = ACTIONS(3571),
    [anon_sym_using] = ACTIONS(3571),
    [anon_sym_unsafe] = ACTIONS(3571),
    [anon_sym_static] = ACTIONS(3571),
    [anon_sym_LBRACK] = ACTIONS(3573),
    [anon_sym_LPAREN] = ACTIONS(3573),
    [anon_sym_return] = ACTIONS(3571),
    [anon_sym_namespace] = ACTIONS(3571),
    [anon_sym_class] = ACTIONS(3571),
    [anon_sym_ref] = ACTIONS(3571),
    [anon_sym_struct] = ACTIONS(3571),
    [anon_sym_enum] = ACTIONS(3571),
    [anon_sym_LBRACE] = ACTIONS(3573),
    [anon_sym_interface] = ACTIONS(3571),
    [anon_sym_delegate] = ACTIONS(3571),
    [anon_sym_record] = ACTIONS(3571),
    [anon_sym_abstract] = ACTIONS(3571),
    [anon_sym_async] = ACTIONS(3571),
    [anon_sym_const] = ACTIONS(3571),
    [anon_sym_file] = ACTIONS(3571),
    [anon_sym_fixed] = ACTIONS(3571),
    [anon_sym_internal] = ACTIONS(3571),
    [anon_sym_new] = ACTIONS(3571),
    [anon_sym_override] = ACTIONS(3571),
    [anon_sym_partial] = ACTIONS(3571),
    [anon_sym_private] = ACTIONS(3571),
    [anon_sym_protected] = ACTIONS(3571),
    [anon_sym_public] = ACTIONS(3571),
    [anon_sym_readonly] = ACTIONS(3571),
    [anon_sym_required] = ACTIONS(3571),
    [anon_sym_sealed] = ACTIONS(3571),
    [anon_sym_virtual] = ACTIONS(3571),
    [anon_sym_volatile] = ACTIONS(3571),
    [anon_sym_where] = ACTIONS(3571),
    [anon_sym_notnull] = ACTIONS(3571),
    [anon_sym_unmanaged] = ACTIONS(3571),
    [anon_sym_checked] = ACTIONS(3571),
    [anon_sym_BANG] = ACTIONS(3573),
    [anon_sym_TILDE] = ACTIONS(3573),
    [anon_sym_PLUS_PLUS] = ACTIONS(3573),
    [anon_sym_DASH_DASH] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(3571),
    [anon_sym_false] = ACTIONS(3571),
    [anon_sym_PLUS] = ACTIONS(3571),
    [anon_sym_DASH] = ACTIONS(3571),
    [anon_sym_STAR] = ACTIONS(3573),
    [anon_sym_CARET] = ACTIONS(3573),
    [anon_sym_AMP] = ACTIONS(3573),
    [anon_sym_this] = ACTIONS(3571),
    [anon_sym_scoped] = ACTIONS(3571),
    [anon_sym_base] = ACTIONS(3571),
    [anon_sym_var] = ACTIONS(3571),
    [sym_predefined_type] = ACTIONS(3571),
    [anon_sym_break] = ACTIONS(3571),
    [anon_sym_unchecked] = ACTIONS(3571),
    [anon_sym_continue] = ACTIONS(3571),
    [anon_sym_do] = ACTIONS(3571),
    [anon_sym_while] = ACTIONS(3571),
    [anon_sym_for] = ACTIONS(3571),
    [anon_sym_lock] = ACTIONS(3571),
    [anon_sym_yield] = ACTIONS(3571),
    [anon_sym_switch] = ACTIONS(3571),
    [anon_sym_default] = ACTIONS(3571),
    [anon_sym_throw] = ACTIONS(3571),
    [anon_sym_try] = ACTIONS(3571),
    [anon_sym_when] = ACTIONS(3571),
    [anon_sym_await] = ACTIONS(3571),
    [anon_sym_foreach] = ACTIONS(3571),
    [anon_sym_goto] = ACTIONS(3571),
    [anon_sym_if] = ACTIONS(3571),
    [anon_sym_DOT_DOT] = ACTIONS(3573),
    [anon_sym_from] = ACTIONS(3571),
    [anon_sym_into] = ACTIONS(3571),
    [anon_sym_join] = ACTIONS(3571),
    [anon_sym_on] = ACTIONS(3571),
    [anon_sym_equals] = ACTIONS(3571),
    [anon_sym_let] = ACTIONS(3571),
    [anon_sym_orderby] = ACTIONS(3571),
    [anon_sym_ascending] = ACTIONS(3571),
    [anon_sym_descending] = ACTIONS(3571),
    [anon_sym_group] = ACTIONS(3571),
    [anon_sym_by] = ACTIONS(3571),
    [anon_sym_select] = ACTIONS(3571),
    [anon_sym_DQUOTE] = ACTIONS(3573),
    [anon_sym_stackalloc] = ACTIONS(3571),
    [anon_sym_sizeof] = ACTIONS(3571),
    [anon_sym_typeof] = ACTIONS(3571),
    [anon_sym___makeref] = ACTIONS(3571),
    [anon_sym___reftype] = ACTIONS(3571),
    [anon_sym___refvalue] = ACTIONS(3571),
    [sym_null_literal] = ACTIONS(3571),
    [anon_sym_SQUOTE] = ACTIONS(3573),
    [sym_integer_literal] = ACTIONS(3571),
    [sym_real_literal] = ACTIONS(3573),
    [sym_verbatim_string_literal] = ACTIONS(3573),
    [aux_sym_preproc_if_token1] = ACTIONS(3573),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3573),
    [sym_interpolation_verbatim_start] = ACTIONS(3573),
    [sym_interpolation_raw_start] = ACTIONS(3573),
    [sym_raw_string_start] = ACTIONS(3573),
  },
  [2594] = {
    [sym_preproc_region] = STATE(2594),
    [sym_preproc_endregion] = STATE(2594),
    [sym_preproc_line] = STATE(2594),
    [sym_preproc_pragma] = STATE(2594),
    [sym_preproc_nullable] = STATE(2594),
    [sym_preproc_error] = STATE(2594),
    [sym_preproc_define] = STATE(2594),
    [sym_preproc_undef] = STATE(2594),
    [ts_builtin_sym_end] = ACTIONS(3577),
    [sym__identifier_token] = ACTIONS(3575),
    [anon_sym_extern] = ACTIONS(3575),
    [anon_sym_alias] = ACTIONS(3575),
    [anon_sym_SEMI] = ACTIONS(3577),
    [anon_sym_global] = ACTIONS(3575),
    [anon_sym_using] = ACTIONS(3575),
    [anon_sym_unsafe] = ACTIONS(3575),
    [anon_sym_static] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3577),
    [anon_sym_LPAREN] = ACTIONS(3577),
    [anon_sym_return] = ACTIONS(3575),
    [anon_sym_namespace] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_ref] = ACTIONS(3575),
    [anon_sym_struct] = ACTIONS(3575),
    [anon_sym_enum] = ACTIONS(3575),
    [anon_sym_LBRACE] = ACTIONS(3577),
    [anon_sym_interface] = ACTIONS(3575),
    [anon_sym_delegate] = ACTIONS(3575),
    [anon_sym_record] = ACTIONS(3575),
    [anon_sym_abstract] = ACTIONS(3575),
    [anon_sym_async] = ACTIONS(3575),
    [anon_sym_const] = ACTIONS(3575),
    [anon_sym_file] = ACTIONS(3575),
    [anon_sym_fixed] = ACTIONS(3575),
    [anon_sym_internal] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(3575),
    [anon_sym_override] = ACTIONS(3575),
    [anon_sym_partial] = ACTIONS(3575),
    [anon_sym_private] = ACTIONS(3575),
    [anon_sym_protected] = ACTIONS(3575),
    [anon_sym_public] = ACTIONS(3575),
    [anon_sym_readonly] = ACTIONS(3575),
    [anon_sym_required] = ACTIONS(3575),
    [anon_sym_sealed] = ACTIONS(3575),
    [anon_sym_virtual] = ACTIONS(3575),
    [anon_sym_volatile] = ACTIONS(3575),
    [anon_sym_where] = ACTIONS(3575),
    [anon_sym_notnull] = ACTIONS(3575),
    [anon_sym_unmanaged] = ACTIONS(3575),
    [anon_sym_checked] = ACTIONS(3575),
    [anon_sym_BANG] = ACTIONS(3577),
    [anon_sym_TILDE] = ACTIONS(3577),
    [anon_sym_PLUS_PLUS] = ACTIONS(3577),
    [anon_sym_DASH_DASH] = ACTIONS(3577),
    [anon_sym_true] = ACTIONS(3575),
    [anon_sym_false] = ACTIONS(3575),
    [anon_sym_PLUS] = ACTIONS(3575),
    [anon_sym_DASH] = ACTIONS(3575),
    [anon_sym_STAR] = ACTIONS(3577),
    [anon_sym_CARET] = ACTIONS(3577),
    [anon_sym_AMP] = ACTIONS(3577),
    [anon_sym_this] = ACTIONS(3575),
    [anon_sym_scoped] = ACTIONS(3575),
    [anon_sym_base] = ACTIONS(3575),
    [anon_sym_var] = ACTIONS(3575),
    [sym_predefined_type] = ACTIONS(3575),
    [anon_sym_break] = ACTIONS(3575),
    [anon_sym_unchecked] = ACTIONS(3575),
    [anon_sym_continue] = ACTIONS(3575),
    [anon_sym_do] = ACTIONS(3575),
    [anon_sym_while] = ACTIONS(3575),
    [anon_sym_for] = ACTIONS(3575),
    [anon_sym_lock] = ACTIONS(3575),
    [anon_sym_yield] = ACTIONS(3575),
    [anon_sym_switch] = ACTIONS(3575),
    [anon_sym_default] = ACTIONS(3575),
    [anon_sym_throw] = ACTIONS(3575),
    [anon_sym_try] = ACTIONS(3575),
    [anon_sym_when] = ACTIONS(3575),
    [anon_sym_await] = ACTIONS(3575),
    [anon_sym_foreach] = ACTIONS(3575),
    [anon_sym_goto] = ACTIONS(3575),
    [anon_sym_if] = ACTIONS(3575),
    [anon_sym_DOT_DOT] = ACTIONS(3577),
    [anon_sym_from] = ACTIONS(3575),
    [anon_sym_into] = ACTIONS(3575),
    [anon_sym_join] = ACTIONS(3575),
    [anon_sym_on] = ACTIONS(3575),
    [anon_sym_equals] = ACTIONS(3575),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_orderby] = ACTIONS(3575),
    [anon_sym_ascending] = ACTIONS(3575),
    [anon_sym_descending] = ACTIONS(3575),
    [anon_sym_group] = ACTIONS(3575),
    [anon_sym_by] = ACTIONS(3575),
    [anon_sym_select] = ACTIONS(3575),
    [anon_sym_DQUOTE] = ACTIONS(3577),
    [anon_sym_stackalloc] = ACTIONS(3575),
    [anon_sym_sizeof] = ACTIONS(3575),
    [anon_sym_typeof] = ACTIONS(3575),
    [anon_sym___makeref] = ACTIONS(3575),
    [anon_sym___reftype] = ACTIONS(3575),
    [anon_sym___refvalue] = ACTIONS(3575),
    [sym_null_literal] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3577),
    [sym_integer_literal] = ACTIONS(3575),
    [sym_real_literal] = ACTIONS(3577),
    [sym_verbatim_string_literal] = ACTIONS(3577),
    [aux_sym_preproc_if_token1] = ACTIONS(3577),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3577),
    [sym_interpolation_verbatim_start] = ACTIONS(3577),
    [sym_interpolation_raw_start] = ACTIONS(3577),
    [sym_raw_string_start] = ACTIONS(3577),
  },
  [2595] = {
    [sym_preproc_region] = STATE(2595),
    [sym_preproc_endregion] = STATE(2595),
    [sym_preproc_line] = STATE(2595),
    [sym_preproc_pragma] = STATE(2595),
    [sym_preproc_nullable] = STATE(2595),
    [sym_preproc_error] = STATE(2595),
    [sym_preproc_define] = STATE(2595),
    [sym_preproc_undef] = STATE(2595),
    [ts_builtin_sym_end] = ACTIONS(3609),
    [sym__identifier_token] = ACTIONS(3607),
    [anon_sym_extern] = ACTIONS(3607),
    [anon_sym_alias] = ACTIONS(3607),
    [anon_sym_SEMI] = ACTIONS(3609),
    [anon_sym_global] = ACTIONS(3607),
    [anon_sym_using] = ACTIONS(3607),
    [anon_sym_unsafe] = ACTIONS(3607),
    [anon_sym_static] = ACTIONS(3607),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(3609),
    [anon_sym_return] = ACTIONS(3607),
    [anon_sym_namespace] = ACTIONS(3607),
    [anon_sym_class] = ACTIONS(3607),
    [anon_sym_ref] = ACTIONS(3607),
    [anon_sym_struct] = ACTIONS(3607),
    [anon_sym_enum] = ACTIONS(3607),
    [anon_sym_LBRACE] = ACTIONS(3609),
    [anon_sym_interface] = ACTIONS(3607),
    [anon_sym_delegate] = ACTIONS(3607),
    [anon_sym_record] = ACTIONS(3607),
    [anon_sym_abstract] = ACTIONS(3607),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_const] = ACTIONS(3607),
    [anon_sym_file] = ACTIONS(3607),
    [anon_sym_fixed] = ACTIONS(3607),
    [anon_sym_internal] = ACTIONS(3607),
    [anon_sym_new] = ACTIONS(3607),
    [anon_sym_override] = ACTIONS(3607),
    [anon_sym_partial] = ACTIONS(3607),
    [anon_sym_private] = ACTIONS(3607),
    [anon_sym_protected] = ACTIONS(3607),
    [anon_sym_public] = ACTIONS(3607),
    [anon_sym_readonly] = ACTIONS(3607),
    [anon_sym_required] = ACTIONS(3607),
    [anon_sym_sealed] = ACTIONS(3607),
    [anon_sym_virtual] = ACTIONS(3607),
    [anon_sym_volatile] = ACTIONS(3607),
    [anon_sym_where] = ACTIONS(3607),
    [anon_sym_notnull] = ACTIONS(3607),
    [anon_sym_unmanaged] = ACTIONS(3607),
    [anon_sym_checked] = ACTIONS(3607),
    [anon_sym_BANG] = ACTIONS(3609),
    [anon_sym_TILDE] = ACTIONS(3609),
    [anon_sym_PLUS_PLUS] = ACTIONS(3609),
    [anon_sym_DASH_DASH] = ACTIONS(3609),
    [anon_sym_true] = ACTIONS(3607),
    [anon_sym_false] = ACTIONS(3607),
    [anon_sym_PLUS] = ACTIONS(3607),
    [anon_sym_DASH] = ACTIONS(3607),
    [anon_sym_STAR] = ACTIONS(3609),
    [anon_sym_CARET] = ACTIONS(3609),
    [anon_sym_AMP] = ACTIONS(3609),
    [anon_sym_this] = ACTIONS(3607),
    [anon_sym_scoped] = ACTIONS(3607),
    [anon_sym_base] = ACTIONS(3607),
    [anon_sym_var] = ACTIONS(3607),
    [sym_predefined_type] = ACTIONS(3607),
    [anon_sym_break] = ACTIONS(3607),
    [anon_sym_unchecked] = ACTIONS(3607),
    [anon_sym_continue] = ACTIONS(3607),
    [anon_sym_do] = ACTIONS(3607),
    [anon_sym_while] = ACTIONS(3607),
    [anon_sym_for] = ACTIONS(3607),
    [anon_sym_lock] = ACTIONS(3607),
    [anon_sym_yield] = ACTIONS(3607),
    [anon_sym_switch] = ACTIONS(3607),
    [anon_sym_default] = ACTIONS(3607),
    [anon_sym_throw] = ACTIONS(3607),
    [anon_sym_try] = ACTIONS(3607),
    [anon_sym_when] = ACTIONS(3607),
    [anon_sym_await] = ACTIONS(3607),
    [anon_sym_foreach] = ACTIONS(3607),
    [anon_sym_goto] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(3607),
    [anon_sym_DOT_DOT] = ACTIONS(3609),
    [anon_sym_from] = ACTIONS(3607),
    [anon_sym_into] = ACTIONS(3607),
    [anon_sym_join] = ACTIONS(3607),
    [anon_sym_on] = ACTIONS(3607),
    [anon_sym_equals] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3607),
    [anon_sym_orderby] = ACTIONS(3607),
    [anon_sym_ascending] = ACTIONS(3607),
    [anon_sym_descending] = ACTIONS(3607),
    [anon_sym_group] = ACTIONS(3607),
    [anon_sym_by] = ACTIONS(3607),
    [anon_sym_select] = ACTIONS(3607),
    [anon_sym_DQUOTE] = ACTIONS(3609),
    [anon_sym_stackalloc] = ACTIONS(3607),
    [anon_sym_sizeof] = ACTIONS(3607),
    [anon_sym_typeof] = ACTIONS(3607),
    [anon_sym___makeref] = ACTIONS(3607),
    [anon_sym___reftype] = ACTIONS(3607),
    [anon_sym___refvalue] = ACTIONS(3607),
    [sym_null_literal] = ACTIONS(3607),
    [anon_sym_SQUOTE] = ACTIONS(3609),
    [sym_integer_literal] = ACTIONS(3607),
    [sym_real_literal] = ACTIONS(3609),
    [sym_verbatim_string_literal] = ACTIONS(3609),
    [aux_sym_preproc_if_token1] = ACTIONS(3609),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3609),
    [sym_interpolation_verbatim_start] = ACTIONS(3609),
    [sym_interpolation_raw_start] = ACTIONS(3609),
    [sym_raw_string_start] = ACTIONS(3609),
  },
  [2596] = {
    [sym_preproc_region] = STATE(2596),
    [sym_preproc_endregion] = STATE(2596),
    [sym_preproc_line] = STATE(2596),
    [sym_preproc_pragma] = STATE(2596),
    [sym_preproc_nullable] = STATE(2596),
    [sym_preproc_error] = STATE(2596),
    [sym_preproc_define] = STATE(2596),
    [sym_preproc_undef] = STATE(2596),
    [ts_builtin_sym_end] = ACTIONS(3947),
    [sym__identifier_token] = ACTIONS(3945),
    [anon_sym_extern] = ACTIONS(3945),
    [anon_sym_alias] = ACTIONS(3945),
    [anon_sym_SEMI] = ACTIONS(3947),
    [anon_sym_global] = ACTIONS(3945),
    [anon_sym_using] = ACTIONS(3945),
    [anon_sym_unsafe] = ACTIONS(3945),
    [anon_sym_static] = ACTIONS(3945),
    [anon_sym_LBRACK] = ACTIONS(3947),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_return] = ACTIONS(3945),
    [anon_sym_namespace] = ACTIONS(3945),
    [anon_sym_class] = ACTIONS(3945),
    [anon_sym_ref] = ACTIONS(3945),
    [anon_sym_struct] = ACTIONS(3945),
    [anon_sym_enum] = ACTIONS(3945),
    [anon_sym_LBRACE] = ACTIONS(3947),
    [anon_sym_interface] = ACTIONS(3945),
    [anon_sym_delegate] = ACTIONS(3945),
    [anon_sym_record] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3945),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3945),
    [anon_sym_file] = ACTIONS(3945),
    [anon_sym_fixed] = ACTIONS(3945),
    [anon_sym_internal] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_override] = ACTIONS(3945),
    [anon_sym_partial] = ACTIONS(3945),
    [anon_sym_private] = ACTIONS(3945),
    [anon_sym_protected] = ACTIONS(3945),
    [anon_sym_public] = ACTIONS(3945),
    [anon_sym_readonly] = ACTIONS(3945),
    [anon_sym_required] = ACTIONS(3945),
    [anon_sym_sealed] = ACTIONS(3945),
    [anon_sym_virtual] = ACTIONS(3945),
    [anon_sym_volatile] = ACTIONS(3945),
    [anon_sym_where] = ACTIONS(3945),
    [anon_sym_notnull] = ACTIONS(3945),
    [anon_sym_unmanaged] = ACTIONS(3945),
    [anon_sym_checked] = ACTIONS(3945),
    [anon_sym_BANG] = ACTIONS(3947),
    [anon_sym_TILDE] = ACTIONS(3947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3947),
    [anon_sym_DASH_DASH] = ACTIONS(3947),
    [anon_sym_true] = ACTIONS(3945),
    [anon_sym_false] = ACTIONS(3945),
    [anon_sym_PLUS] = ACTIONS(3945),
    [anon_sym_DASH] = ACTIONS(3945),
    [anon_sym_STAR] = ACTIONS(3947),
    [anon_sym_CARET] = ACTIONS(3947),
    [anon_sym_AMP] = ACTIONS(3947),
    [anon_sym_this] = ACTIONS(3945),
    [anon_sym_scoped] = ACTIONS(3945),
    [anon_sym_base] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(3945),
    [sym_predefined_type] = ACTIONS(3945),
    [anon_sym_break] = ACTIONS(3945),
    [anon_sym_unchecked] = ACTIONS(3945),
    [anon_sym_continue] = ACTIONS(3945),
    [anon_sym_do] = ACTIONS(3945),
    [anon_sym_while] = ACTIONS(3945),
    [anon_sym_for] = ACTIONS(3945),
    [anon_sym_lock] = ACTIONS(3945),
    [anon_sym_yield] = ACTIONS(3945),
    [anon_sym_switch] = ACTIONS(3945),
    [anon_sym_default] = ACTIONS(3945),
    [anon_sym_throw] = ACTIONS(3945),
    [anon_sym_try] = ACTIONS(3945),
    [anon_sym_when] = ACTIONS(3945),
    [anon_sym_await] = ACTIONS(3945),
    [anon_sym_foreach] = ACTIONS(3945),
    [anon_sym_goto] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3945),
    [anon_sym_DOT_DOT] = ACTIONS(3947),
    [anon_sym_from] = ACTIONS(3945),
    [anon_sym_into] = ACTIONS(3945),
    [anon_sym_join] = ACTIONS(3945),
    [anon_sym_on] = ACTIONS(3945),
    [anon_sym_equals] = ACTIONS(3945),
    [anon_sym_let] = ACTIONS(3945),
    [anon_sym_orderby] = ACTIONS(3945),
    [anon_sym_ascending] = ACTIONS(3945),
    [anon_sym_descending] = ACTIONS(3945),
    [anon_sym_group] = ACTIONS(3945),
    [anon_sym_by] = ACTIONS(3945),
    [anon_sym_select] = ACTIONS(3945),
    [anon_sym_DQUOTE] = ACTIONS(3947),
    [anon_sym_stackalloc] = ACTIONS(3945),
    [anon_sym_sizeof] = ACTIONS(3945),
    [anon_sym_typeof] = ACTIONS(3945),
    [anon_sym___makeref] = ACTIONS(3945),
    [anon_sym___reftype] = ACTIONS(3945),
    [anon_sym___refvalue] = ACTIONS(3945),
    [sym_null_literal] = ACTIONS(3945),
    [anon_sym_SQUOTE] = ACTIONS(3947),
    [sym_integer_literal] = ACTIONS(3945),
    [sym_real_literal] = ACTIONS(3947),
    [sym_verbatim_string_literal] = ACTIONS(3947),
    [aux_sym_preproc_if_token1] = ACTIONS(3947),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3947),
    [sym_interpolation_verbatim_start] = ACTIONS(3947),
    [sym_interpolation_raw_start] = ACTIONS(3947),
    [sym_raw_string_start] = ACTIONS(3947),
  },
  [2597] = {
    [sym_preproc_region] = STATE(2597),
    [sym_preproc_endregion] = STATE(2597),
    [sym_preproc_line] = STATE(2597),
    [sym_preproc_pragma] = STATE(2597),
    [sym_preproc_nullable] = STATE(2597),
    [sym_preproc_error] = STATE(2597),
    [sym_preproc_define] = STATE(2597),
    [sym_preproc_undef] = STATE(2597),
    [ts_builtin_sym_end] = ACTIONS(3775),
    [sym__identifier_token] = ACTIONS(3773),
    [anon_sym_extern] = ACTIONS(3773),
    [anon_sym_alias] = ACTIONS(3773),
    [anon_sym_SEMI] = ACTIONS(3775),
    [anon_sym_global] = ACTIONS(3773),
    [anon_sym_using] = ACTIONS(3773),
    [anon_sym_unsafe] = ACTIONS(3773),
    [anon_sym_static] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3775),
    [anon_sym_LPAREN] = ACTIONS(3775),
    [anon_sym_return] = ACTIONS(3773),
    [anon_sym_namespace] = ACTIONS(3773),
    [anon_sym_class] = ACTIONS(3773),
    [anon_sym_ref] = ACTIONS(3773),
    [anon_sym_struct] = ACTIONS(3773),
    [anon_sym_enum] = ACTIONS(3773),
    [anon_sym_LBRACE] = ACTIONS(3775),
    [anon_sym_interface] = ACTIONS(3773),
    [anon_sym_delegate] = ACTIONS(3773),
    [anon_sym_record] = ACTIONS(3773),
    [anon_sym_abstract] = ACTIONS(3773),
    [anon_sym_async] = ACTIONS(3773),
    [anon_sym_const] = ACTIONS(3773),
    [anon_sym_file] = ACTIONS(3773),
    [anon_sym_fixed] = ACTIONS(3773),
    [anon_sym_internal] = ACTIONS(3773),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_override] = ACTIONS(3773),
    [anon_sym_partial] = ACTIONS(3773),
    [anon_sym_private] = ACTIONS(3773),
    [anon_sym_protected] = ACTIONS(3773),
    [anon_sym_public] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3773),
    [anon_sym_required] = ACTIONS(3773),
    [anon_sym_sealed] = ACTIONS(3773),
    [anon_sym_virtual] = ACTIONS(3773),
    [anon_sym_volatile] = ACTIONS(3773),
    [anon_sym_where] = ACTIONS(3773),
    [anon_sym_notnull] = ACTIONS(3773),
    [anon_sym_unmanaged] = ACTIONS(3773),
    [anon_sym_checked] = ACTIONS(3773),
    [anon_sym_BANG] = ACTIONS(3775),
    [anon_sym_TILDE] = ACTIONS(3775),
    [anon_sym_PLUS_PLUS] = ACTIONS(3775),
    [anon_sym_DASH_DASH] = ACTIONS(3775),
    [anon_sym_true] = ACTIONS(3773),
    [anon_sym_false] = ACTIONS(3773),
    [anon_sym_PLUS] = ACTIONS(3773),
    [anon_sym_DASH] = ACTIONS(3773),
    [anon_sym_STAR] = ACTIONS(3775),
    [anon_sym_CARET] = ACTIONS(3775),
    [anon_sym_AMP] = ACTIONS(3775),
    [anon_sym_this] = ACTIONS(3773),
    [anon_sym_scoped] = ACTIONS(3773),
    [anon_sym_base] = ACTIONS(3773),
    [anon_sym_var] = ACTIONS(3773),
    [sym_predefined_type] = ACTIONS(3773),
    [anon_sym_break] = ACTIONS(3773),
    [anon_sym_unchecked] = ACTIONS(3773),
    [anon_sym_continue] = ACTIONS(3773),
    [anon_sym_do] = ACTIONS(3773),
    [anon_sym_while] = ACTIONS(3773),
    [anon_sym_for] = ACTIONS(3773),
    [anon_sym_lock] = ACTIONS(3773),
    [anon_sym_yield] = ACTIONS(3773),
    [anon_sym_switch] = ACTIONS(3773),
    [anon_sym_default] = ACTIONS(3773),
    [anon_sym_throw] = ACTIONS(3773),
    [anon_sym_try] = ACTIONS(3773),
    [anon_sym_when] = ACTIONS(3773),
    [anon_sym_await] = ACTIONS(3773),
    [anon_sym_foreach] = ACTIONS(3773),
    [anon_sym_goto] = ACTIONS(3773),
    [anon_sym_if] = ACTIONS(3773),
    [anon_sym_DOT_DOT] = ACTIONS(3775),
    [anon_sym_from] = ACTIONS(3773),
    [anon_sym_into] = ACTIONS(3773),
    [anon_sym_join] = ACTIONS(3773),
    [anon_sym_on] = ACTIONS(3773),
    [anon_sym_equals] = ACTIONS(3773),
    [anon_sym_let] = ACTIONS(3773),
    [anon_sym_orderby] = ACTIONS(3773),
    [anon_sym_ascending] = ACTIONS(3773),
    [anon_sym_descending] = ACTIONS(3773),
    [anon_sym_group] = ACTIONS(3773),
    [anon_sym_by] = ACTIONS(3773),
    [anon_sym_select] = ACTIONS(3773),
    [anon_sym_DQUOTE] = ACTIONS(3775),
    [anon_sym_stackalloc] = ACTIONS(3773),
    [anon_sym_sizeof] = ACTIONS(3773),
    [anon_sym_typeof] = ACTIONS(3773),
    [anon_sym___makeref] = ACTIONS(3773),
    [anon_sym___reftype] = ACTIONS(3773),
    [anon_sym___refvalue] = ACTIONS(3773),
    [sym_null_literal] = ACTIONS(3773),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [sym_integer_literal] = ACTIONS(3773),
    [sym_real_literal] = ACTIONS(3775),
    [sym_verbatim_string_literal] = ACTIONS(3775),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3775),
    [sym_interpolation_verbatim_start] = ACTIONS(3775),
    [sym_interpolation_raw_start] = ACTIONS(3775),
    [sym_raw_string_start] = ACTIONS(3775),
  },
  [2598] = {
    [sym_preproc_region] = STATE(2598),
    [sym_preproc_endregion] = STATE(2598),
    [sym_preproc_line] = STATE(2598),
    [sym_preproc_pragma] = STATE(2598),
    [sym_preproc_nullable] = STATE(2598),
    [sym_preproc_error] = STATE(2598),
    [sym_preproc_define] = STATE(2598),
    [sym_preproc_undef] = STATE(2598),
    [ts_builtin_sym_end] = ACTIONS(3927),
    [sym__identifier_token] = ACTIONS(3925),
    [anon_sym_extern] = ACTIONS(3925),
    [anon_sym_alias] = ACTIONS(3925),
    [anon_sym_SEMI] = ACTIONS(3927),
    [anon_sym_global] = ACTIONS(3925),
    [anon_sym_using] = ACTIONS(3925),
    [anon_sym_unsafe] = ACTIONS(3925),
    [anon_sym_static] = ACTIONS(3925),
    [anon_sym_LBRACK] = ACTIONS(3927),
    [anon_sym_LPAREN] = ACTIONS(3927),
    [anon_sym_return] = ACTIONS(3925),
    [anon_sym_namespace] = ACTIONS(3925),
    [anon_sym_class] = ACTIONS(3925),
    [anon_sym_ref] = ACTIONS(3925),
    [anon_sym_struct] = ACTIONS(3925),
    [anon_sym_enum] = ACTIONS(3925),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_interface] = ACTIONS(3925),
    [anon_sym_delegate] = ACTIONS(3925),
    [anon_sym_record] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3925),
    [anon_sym_async] = ACTIONS(3925),
    [anon_sym_const] = ACTIONS(3925),
    [anon_sym_file] = ACTIONS(3925),
    [anon_sym_fixed] = ACTIONS(3925),
    [anon_sym_internal] = ACTIONS(3925),
    [anon_sym_new] = ACTIONS(3925),
    [anon_sym_override] = ACTIONS(3925),
    [anon_sym_partial] = ACTIONS(3925),
    [anon_sym_private] = ACTIONS(3925),
    [anon_sym_protected] = ACTIONS(3925),
    [anon_sym_public] = ACTIONS(3925),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_required] = ACTIONS(3925),
    [anon_sym_sealed] = ACTIONS(3925),
    [anon_sym_virtual] = ACTIONS(3925),
    [anon_sym_volatile] = ACTIONS(3925),
    [anon_sym_where] = ACTIONS(3925),
    [anon_sym_notnull] = ACTIONS(3925),
    [anon_sym_unmanaged] = ACTIONS(3925),
    [anon_sym_checked] = ACTIONS(3925),
    [anon_sym_BANG] = ACTIONS(3927),
    [anon_sym_TILDE] = ACTIONS(3927),
    [anon_sym_PLUS_PLUS] = ACTIONS(3927),
    [anon_sym_DASH_DASH] = ACTIONS(3927),
    [anon_sym_true] = ACTIONS(3925),
    [anon_sym_false] = ACTIONS(3925),
    [anon_sym_PLUS] = ACTIONS(3925),
    [anon_sym_DASH] = ACTIONS(3925),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_CARET] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(3927),
    [anon_sym_this] = ACTIONS(3925),
    [anon_sym_scoped] = ACTIONS(3925),
    [anon_sym_base] = ACTIONS(3925),
    [anon_sym_var] = ACTIONS(3925),
    [sym_predefined_type] = ACTIONS(3925),
    [anon_sym_break] = ACTIONS(3925),
    [anon_sym_unchecked] = ACTIONS(3925),
    [anon_sym_continue] = ACTIONS(3925),
    [anon_sym_do] = ACTIONS(3925),
    [anon_sym_while] = ACTIONS(3925),
    [anon_sym_for] = ACTIONS(3925),
    [anon_sym_lock] = ACTIONS(3925),
    [anon_sym_yield] = ACTIONS(3925),
    [anon_sym_switch] = ACTIONS(3925),
    [anon_sym_default] = ACTIONS(3925),
    [anon_sym_throw] = ACTIONS(3925),
    [anon_sym_try] = ACTIONS(3925),
    [anon_sym_when] = ACTIONS(3925),
    [anon_sym_await] = ACTIONS(3925),
    [anon_sym_foreach] = ACTIONS(3925),
    [anon_sym_goto] = ACTIONS(3925),
    [anon_sym_if] = ACTIONS(3925),
    [anon_sym_DOT_DOT] = ACTIONS(3927),
    [anon_sym_from] = ACTIONS(3925),
    [anon_sym_into] = ACTIONS(3925),
    [anon_sym_join] = ACTIONS(3925),
    [anon_sym_on] = ACTIONS(3925),
    [anon_sym_equals] = ACTIONS(3925),
    [anon_sym_let] = ACTIONS(3925),
    [anon_sym_orderby] = ACTIONS(3925),
    [anon_sym_ascending] = ACTIONS(3925),
    [anon_sym_descending] = ACTIONS(3925),
    [anon_sym_group] = ACTIONS(3925),
    [anon_sym_by] = ACTIONS(3925),
    [anon_sym_select] = ACTIONS(3925),
    [anon_sym_DQUOTE] = ACTIONS(3927),
    [anon_sym_stackalloc] = ACTIONS(3925),
    [anon_sym_sizeof] = ACTIONS(3925),
    [anon_sym_typeof] = ACTIONS(3925),
    [anon_sym___makeref] = ACTIONS(3925),
    [anon_sym___reftype] = ACTIONS(3925),
    [anon_sym___refvalue] = ACTIONS(3925),
    [sym_null_literal] = ACTIONS(3925),
    [anon_sym_SQUOTE] = ACTIONS(3927),
    [sym_integer_literal] = ACTIONS(3925),
    [sym_real_literal] = ACTIONS(3927),
    [sym_verbatim_string_literal] = ACTIONS(3927),
    [aux_sym_preproc_if_token1] = ACTIONS(3927),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3927),
    [sym_interpolation_verbatim_start] = ACTIONS(3927),
    [sym_interpolation_raw_start] = ACTIONS(3927),
    [sym_raw_string_start] = ACTIONS(3927),
  },
  [2599] = {
    [sym_preproc_region] = STATE(2599),
    [sym_preproc_endregion] = STATE(2599),
    [sym_preproc_line] = STATE(2599),
    [sym_preproc_pragma] = STATE(2599),
    [sym_preproc_nullable] = STATE(2599),
    [sym_preproc_error] = STATE(2599),
    [sym_preproc_define] = STATE(2599),
    [sym_preproc_undef] = STATE(2599),
    [ts_builtin_sym_end] = ACTIONS(3501),
    [sym__identifier_token] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym_alias] = ACTIONS(3499),
    [anon_sym_SEMI] = ACTIONS(3501),
    [anon_sym_global] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_unsafe] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_LPAREN] = ACTIONS(3501),
    [anon_sym_return] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_ref] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_LBRACE] = ACTIONS(3501),
    [anon_sym_interface] = ACTIONS(3499),
    [anon_sym_delegate] = ACTIONS(3499),
    [anon_sym_record] = ACTIONS(3499),
    [anon_sym_abstract] = ACTIONS(3499),
    [anon_sym_async] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_file] = ACTIONS(3499),
    [anon_sym_fixed] = ACTIONS(3499),
    [anon_sym_internal] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_override] = ACTIONS(3499),
    [anon_sym_partial] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_readonly] = ACTIONS(3499),
    [anon_sym_required] = ACTIONS(3499),
    [anon_sym_sealed] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_where] = ACTIONS(3499),
    [anon_sym_notnull] = ACTIONS(3499),
    [anon_sym_unmanaged] = ACTIONS(3499),
    [anon_sym_checked] = ACTIONS(3499),
    [anon_sym_BANG] = ACTIONS(3501),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_PLUS_PLUS] = ACTIONS(3501),
    [anon_sym_DASH_DASH] = ACTIONS(3501),
    [anon_sym_true] = ACTIONS(3499),
    [anon_sym_false] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(3499),
    [anon_sym_DASH] = ACTIONS(3499),
    [anon_sym_STAR] = ACTIONS(3501),
    [anon_sym_CARET] = ACTIONS(3501),
    [anon_sym_AMP] = ACTIONS(3501),
    [anon_sym_this] = ACTIONS(3499),
    [anon_sym_scoped] = ACTIONS(3499),
    [anon_sym_base] = ACTIONS(3499),
    [anon_sym_var] = ACTIONS(3499),
    [sym_predefined_type] = ACTIONS(3499),
    [anon_sym_break] = ACTIONS(3499),
    [anon_sym_unchecked] = ACTIONS(3499),
    [anon_sym_continue] = ACTIONS(3499),
    [anon_sym_do] = ACTIONS(3499),
    [anon_sym_while] = ACTIONS(3499),
    [anon_sym_for] = ACTIONS(3499),
    [anon_sym_lock] = ACTIONS(3499),
    [anon_sym_yield] = ACTIONS(3499),
    [anon_sym_switch] = ACTIONS(3499),
    [anon_sym_default] = ACTIONS(3499),
    [anon_sym_throw] = ACTIONS(3499),
    [anon_sym_try] = ACTIONS(3499),
    [anon_sym_when] = ACTIONS(3499),
    [anon_sym_await] = ACTIONS(3499),
    [anon_sym_foreach] = ACTIONS(3499),
    [anon_sym_goto] = ACTIONS(3499),
    [anon_sym_if] = ACTIONS(3499),
    [anon_sym_DOT_DOT] = ACTIONS(3501),
    [anon_sym_from] = ACTIONS(3499),
    [anon_sym_into] = ACTIONS(3499),
    [anon_sym_join] = ACTIONS(3499),
    [anon_sym_on] = ACTIONS(3499),
    [anon_sym_equals] = ACTIONS(3499),
    [anon_sym_let] = ACTIONS(3499),
    [anon_sym_orderby] = ACTIONS(3499),
    [anon_sym_ascending] = ACTIONS(3499),
    [anon_sym_descending] = ACTIONS(3499),
    [anon_sym_group] = ACTIONS(3499),
    [anon_sym_by] = ACTIONS(3499),
    [anon_sym_select] = ACTIONS(3499),
    [anon_sym_DQUOTE] = ACTIONS(3501),
    [anon_sym_stackalloc] = ACTIONS(3499),
    [anon_sym_sizeof] = ACTIONS(3499),
    [anon_sym_typeof] = ACTIONS(3499),
    [anon_sym___makeref] = ACTIONS(3499),
    [anon_sym___reftype] = ACTIONS(3499),
    [anon_sym___refvalue] = ACTIONS(3499),
    [sym_null_literal] = ACTIONS(3499),
    [anon_sym_SQUOTE] = ACTIONS(3501),
    [sym_integer_literal] = ACTIONS(3499),
    [sym_real_literal] = ACTIONS(3501),
    [sym_verbatim_string_literal] = ACTIONS(3501),
    [aux_sym_preproc_if_token1] = ACTIONS(3501),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3501),
    [sym_interpolation_verbatim_start] = ACTIONS(3501),
    [sym_interpolation_raw_start] = ACTIONS(3501),
    [sym_raw_string_start] = ACTIONS(3501),
  },
  [2600] = {
    [sym_preproc_region] = STATE(2600),
    [sym_preproc_endregion] = STATE(2600),
    [sym_preproc_line] = STATE(2600),
    [sym_preproc_pragma] = STATE(2600),
    [sym_preproc_nullable] = STATE(2600),
    [sym_preproc_error] = STATE(2600),
    [sym_preproc_define] = STATE(2600),
    [sym_preproc_undef] = STATE(2600),
    [ts_builtin_sym_end] = ACTIONS(3771),
    [sym__identifier_token] = ACTIONS(3769),
    [anon_sym_extern] = ACTIONS(3769),
    [anon_sym_alias] = ACTIONS(3769),
    [anon_sym_SEMI] = ACTIONS(3771),
    [anon_sym_global] = ACTIONS(3769),
    [anon_sym_using] = ACTIONS(3769),
    [anon_sym_unsafe] = ACTIONS(3769),
    [anon_sym_static] = ACTIONS(3769),
    [anon_sym_LBRACK] = ACTIONS(3771),
    [anon_sym_LPAREN] = ACTIONS(3771),
    [anon_sym_return] = ACTIONS(3769),
    [anon_sym_namespace] = ACTIONS(3769),
    [anon_sym_class] = ACTIONS(3769),
    [anon_sym_ref] = ACTIONS(3769),
    [anon_sym_struct] = ACTIONS(3769),
    [anon_sym_enum] = ACTIONS(3769),
    [anon_sym_LBRACE] = ACTIONS(3771),
    [anon_sym_interface] = ACTIONS(3769),
    [anon_sym_delegate] = ACTIONS(3769),
    [anon_sym_record] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3769),
    [anon_sym_async] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3769),
    [anon_sym_file] = ACTIONS(3769),
    [anon_sym_fixed] = ACTIONS(3769),
    [anon_sym_internal] = ACTIONS(3769),
    [anon_sym_new] = ACTIONS(3769),
    [anon_sym_override] = ACTIONS(3769),
    [anon_sym_partial] = ACTIONS(3769),
    [anon_sym_private] = ACTIONS(3769),
    [anon_sym_protected] = ACTIONS(3769),
    [anon_sym_public] = ACTIONS(3769),
    [anon_sym_readonly] = ACTIONS(3769),
    [anon_sym_required] = ACTIONS(3769),
    [anon_sym_sealed] = ACTIONS(3769),
    [anon_sym_virtual] = ACTIONS(3769),
    [anon_sym_volatile] = ACTIONS(3769),
    [anon_sym_where] = ACTIONS(3769),
    [anon_sym_notnull] = ACTIONS(3769),
    [anon_sym_unmanaged] = ACTIONS(3769),
    [anon_sym_checked] = ACTIONS(3769),
    [anon_sym_BANG] = ACTIONS(3771),
    [anon_sym_TILDE] = ACTIONS(3771),
    [anon_sym_PLUS_PLUS] = ACTIONS(3771),
    [anon_sym_DASH_DASH] = ACTIONS(3771),
    [anon_sym_true] = ACTIONS(3769),
    [anon_sym_false] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(3769),
    [anon_sym_DASH] = ACTIONS(3769),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_CARET] = ACTIONS(3771),
    [anon_sym_AMP] = ACTIONS(3771),
    [anon_sym_this] = ACTIONS(3769),
    [anon_sym_scoped] = ACTIONS(3769),
    [anon_sym_base] = ACTIONS(3769),
    [anon_sym_var] = ACTIONS(3769),
    [sym_predefined_type] = ACTIONS(3769),
    [anon_sym_break] = ACTIONS(3769),
    [anon_sym_unchecked] = ACTIONS(3769),
    [anon_sym_continue] = ACTIONS(3769),
    [anon_sym_do] = ACTIONS(3769),
    [anon_sym_while] = ACTIONS(3769),
    [anon_sym_for] = ACTIONS(3769),
    [anon_sym_lock] = ACTIONS(3769),
    [anon_sym_yield] = ACTIONS(3769),
    [anon_sym_switch] = ACTIONS(3769),
    [anon_sym_default] = ACTIONS(3769),
    [anon_sym_throw] = ACTIONS(3769),
    [anon_sym_try] = ACTIONS(3769),
    [anon_sym_when] = ACTIONS(3769),
    [anon_sym_await] = ACTIONS(3769),
    [anon_sym_foreach] = ACTIONS(3769),
    [anon_sym_goto] = ACTIONS(3769),
    [anon_sym_if] = ACTIONS(3769),
    [anon_sym_DOT_DOT] = ACTIONS(3771),
    [anon_sym_from] = ACTIONS(3769),
    [anon_sym_into] = ACTIONS(3769),
    [anon_sym_join] = ACTIONS(3769),
    [anon_sym_on] = ACTIONS(3769),
    [anon_sym_equals] = ACTIONS(3769),
    [anon_sym_let] = ACTIONS(3769),
    [anon_sym_orderby] = ACTIONS(3769),
    [anon_sym_ascending] = ACTIONS(3769),
    [anon_sym_descending] = ACTIONS(3769),
    [anon_sym_group] = ACTIONS(3769),
    [anon_sym_by] = ACTIONS(3769),
    [anon_sym_select] = ACTIONS(3769),
    [anon_sym_DQUOTE] = ACTIONS(3771),
    [anon_sym_stackalloc] = ACTIONS(3769),
    [anon_sym_sizeof] = ACTIONS(3769),
    [anon_sym_typeof] = ACTIONS(3769),
    [anon_sym___makeref] = ACTIONS(3769),
    [anon_sym___reftype] = ACTIONS(3769),
    [anon_sym___refvalue] = ACTIONS(3769),
    [sym_null_literal] = ACTIONS(3769),
    [anon_sym_SQUOTE] = ACTIONS(3771),
    [sym_integer_literal] = ACTIONS(3769),
    [sym_real_literal] = ACTIONS(3771),
    [sym_verbatim_string_literal] = ACTIONS(3771),
    [aux_sym_preproc_if_token1] = ACTIONS(3771),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3771),
    [sym_interpolation_verbatim_start] = ACTIONS(3771),
    [sym_interpolation_raw_start] = ACTIONS(3771),
    [sym_raw_string_start] = ACTIONS(3771),
  },
  [2601] = {
    [sym_preproc_region] = STATE(2601),
    [sym_preproc_endregion] = STATE(2601),
    [sym_preproc_line] = STATE(2601),
    [sym_preproc_pragma] = STATE(2601),
    [sym_preproc_nullable] = STATE(2601),
    [sym_preproc_error] = STATE(2601),
    [sym_preproc_define] = STATE(2601),
    [sym_preproc_undef] = STATE(2601),
    [ts_builtin_sym_end] = ACTIONS(3779),
    [sym__identifier_token] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(3777),
    [anon_sym_alias] = ACTIONS(3777),
    [anon_sym_SEMI] = ACTIONS(3779),
    [anon_sym_global] = ACTIONS(3777),
    [anon_sym_using] = ACTIONS(3777),
    [anon_sym_unsafe] = ACTIONS(3777),
    [anon_sym_static] = ACTIONS(3777),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [anon_sym_LPAREN] = ACTIONS(3779),
    [anon_sym_return] = ACTIONS(3777),
    [anon_sym_namespace] = ACTIONS(3777),
    [anon_sym_class] = ACTIONS(3777),
    [anon_sym_ref] = ACTIONS(3777),
    [anon_sym_struct] = ACTIONS(3777),
    [anon_sym_enum] = ACTIONS(3777),
    [anon_sym_LBRACE] = ACTIONS(3779),
    [anon_sym_interface] = ACTIONS(3777),
    [anon_sym_delegate] = ACTIONS(3777),
    [anon_sym_record] = ACTIONS(3777),
    [anon_sym_abstract] = ACTIONS(3777),
    [anon_sym_async] = ACTIONS(3777),
    [anon_sym_const] = ACTIONS(3777),
    [anon_sym_file] = ACTIONS(3777),
    [anon_sym_fixed] = ACTIONS(3777),
    [anon_sym_internal] = ACTIONS(3777),
    [anon_sym_new] = ACTIONS(3777),
    [anon_sym_override] = ACTIONS(3777),
    [anon_sym_partial] = ACTIONS(3777),
    [anon_sym_private] = ACTIONS(3777),
    [anon_sym_protected] = ACTIONS(3777),
    [anon_sym_public] = ACTIONS(3777),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_required] = ACTIONS(3777),
    [anon_sym_sealed] = ACTIONS(3777),
    [anon_sym_virtual] = ACTIONS(3777),
    [anon_sym_volatile] = ACTIONS(3777),
    [anon_sym_where] = ACTIONS(3777),
    [anon_sym_notnull] = ACTIONS(3777),
    [anon_sym_unmanaged] = ACTIONS(3777),
    [anon_sym_checked] = ACTIONS(3777),
    [anon_sym_BANG] = ACTIONS(3779),
    [anon_sym_TILDE] = ACTIONS(3779),
    [anon_sym_PLUS_PLUS] = ACTIONS(3779),
    [anon_sym_DASH_DASH] = ACTIONS(3779),
    [anon_sym_true] = ACTIONS(3777),
    [anon_sym_false] = ACTIONS(3777),
    [anon_sym_PLUS] = ACTIONS(3777),
    [anon_sym_DASH] = ACTIONS(3777),
    [anon_sym_STAR] = ACTIONS(3779),
    [anon_sym_CARET] = ACTIONS(3779),
    [anon_sym_AMP] = ACTIONS(3779),
    [anon_sym_this] = ACTIONS(3777),
    [anon_sym_scoped] = ACTIONS(3777),
    [anon_sym_base] = ACTIONS(3777),
    [anon_sym_var] = ACTIONS(3777),
    [sym_predefined_type] = ACTIONS(3777),
    [anon_sym_break] = ACTIONS(3777),
    [anon_sym_unchecked] = ACTIONS(3777),
    [anon_sym_continue] = ACTIONS(3777),
    [anon_sym_do] = ACTIONS(3777),
    [anon_sym_while] = ACTIONS(3777),
    [anon_sym_for] = ACTIONS(3777),
    [anon_sym_lock] = ACTIONS(3777),
    [anon_sym_yield] = ACTIONS(3777),
    [anon_sym_switch] = ACTIONS(3777),
    [anon_sym_default] = ACTIONS(3777),
    [anon_sym_throw] = ACTIONS(3777),
    [anon_sym_try] = ACTIONS(3777),
    [anon_sym_when] = ACTIONS(3777),
    [anon_sym_await] = ACTIONS(3777),
    [anon_sym_foreach] = ACTIONS(3777),
    [anon_sym_goto] = ACTIONS(3777),
    [anon_sym_if] = ACTIONS(3777),
    [anon_sym_DOT_DOT] = ACTIONS(3779),
    [anon_sym_from] = ACTIONS(3777),
    [anon_sym_into] = ACTIONS(3777),
    [anon_sym_join] = ACTIONS(3777),
    [anon_sym_on] = ACTIONS(3777),
    [anon_sym_equals] = ACTIONS(3777),
    [anon_sym_let] = ACTIONS(3777),
    [anon_sym_orderby] = ACTIONS(3777),
    [anon_sym_ascending] = ACTIONS(3777),
    [anon_sym_descending] = ACTIONS(3777),
    [anon_sym_group] = ACTIONS(3777),
    [anon_sym_by] = ACTIONS(3777),
    [anon_sym_select] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3779),
    [anon_sym_stackalloc] = ACTIONS(3777),
    [anon_sym_sizeof] = ACTIONS(3777),
    [anon_sym_typeof] = ACTIONS(3777),
    [anon_sym___makeref] = ACTIONS(3777),
    [anon_sym___reftype] = ACTIONS(3777),
    [anon_sym___refvalue] = ACTIONS(3777),
    [sym_null_literal] = ACTIONS(3777),
    [anon_sym_SQUOTE] = ACTIONS(3779),
    [sym_integer_literal] = ACTIONS(3777),
    [sym_real_literal] = ACTIONS(3779),
    [sym_verbatim_string_literal] = ACTIONS(3779),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3779),
    [sym_interpolation_verbatim_start] = ACTIONS(3779),
    [sym_interpolation_raw_start] = ACTIONS(3779),
    [sym_raw_string_start] = ACTIONS(3779),
  },
  [2602] = {
    [sym_preproc_region] = STATE(2602),
    [sym_preproc_endregion] = STATE(2602),
    [sym_preproc_line] = STATE(2602),
    [sym_preproc_pragma] = STATE(2602),
    [sym_preproc_nullable] = STATE(2602),
    [sym_preproc_error] = STATE(2602),
    [sym_preproc_define] = STATE(2602),
    [sym_preproc_undef] = STATE(2602),
    [ts_builtin_sym_end] = ACTIONS(3489),
    [sym__identifier_token] = ACTIONS(3487),
    [anon_sym_extern] = ACTIONS(3487),
    [anon_sym_alias] = ACTIONS(3487),
    [anon_sym_SEMI] = ACTIONS(3489),
    [anon_sym_global] = ACTIONS(3487),
    [anon_sym_using] = ACTIONS(3487),
    [anon_sym_unsafe] = ACTIONS(3487),
    [anon_sym_static] = ACTIONS(3487),
    [anon_sym_LBRACK] = ACTIONS(3489),
    [anon_sym_LPAREN] = ACTIONS(3489),
    [anon_sym_return] = ACTIONS(3487),
    [anon_sym_namespace] = ACTIONS(3487),
    [anon_sym_class] = ACTIONS(3487),
    [anon_sym_ref] = ACTIONS(3487),
    [anon_sym_struct] = ACTIONS(3487),
    [anon_sym_enum] = ACTIONS(3487),
    [anon_sym_LBRACE] = ACTIONS(3489),
    [anon_sym_interface] = ACTIONS(3487),
    [anon_sym_delegate] = ACTIONS(3487),
    [anon_sym_record] = ACTIONS(3487),
    [anon_sym_abstract] = ACTIONS(3487),
    [anon_sym_async] = ACTIONS(3487),
    [anon_sym_const] = ACTIONS(3487),
    [anon_sym_file] = ACTIONS(3487),
    [anon_sym_fixed] = ACTIONS(3487),
    [anon_sym_internal] = ACTIONS(3487),
    [anon_sym_new] = ACTIONS(3487),
    [anon_sym_override] = ACTIONS(3487),
    [anon_sym_partial] = ACTIONS(3487),
    [anon_sym_private] = ACTIONS(3487),
    [anon_sym_protected] = ACTIONS(3487),
    [anon_sym_public] = ACTIONS(3487),
    [anon_sym_readonly] = ACTIONS(3487),
    [anon_sym_required] = ACTIONS(3487),
    [anon_sym_sealed] = ACTIONS(3487),
    [anon_sym_virtual] = ACTIONS(3487),
    [anon_sym_volatile] = ACTIONS(3487),
    [anon_sym_where] = ACTIONS(3487),
    [anon_sym_notnull] = ACTIONS(3487),
    [anon_sym_unmanaged] = ACTIONS(3487),
    [anon_sym_checked] = ACTIONS(3487),
    [anon_sym_BANG] = ACTIONS(3489),
    [anon_sym_TILDE] = ACTIONS(3489),
    [anon_sym_PLUS_PLUS] = ACTIONS(3489),
    [anon_sym_DASH_DASH] = ACTIONS(3489),
    [anon_sym_true] = ACTIONS(3487),
    [anon_sym_false] = ACTIONS(3487),
    [anon_sym_PLUS] = ACTIONS(3487),
    [anon_sym_DASH] = ACTIONS(3487),
    [anon_sym_STAR] = ACTIONS(3489),
    [anon_sym_CARET] = ACTIONS(3489),
    [anon_sym_AMP] = ACTIONS(3489),
    [anon_sym_this] = ACTIONS(3487),
    [anon_sym_scoped] = ACTIONS(3487),
    [anon_sym_base] = ACTIONS(3487),
    [anon_sym_var] = ACTIONS(3487),
    [sym_predefined_type] = ACTIONS(3487),
    [anon_sym_break] = ACTIONS(3487),
    [anon_sym_unchecked] = ACTIONS(3487),
    [anon_sym_continue] = ACTIONS(3487),
    [anon_sym_do] = ACTIONS(3487),
    [anon_sym_while] = ACTIONS(3487),
    [anon_sym_for] = ACTIONS(3487),
    [anon_sym_lock] = ACTIONS(3487),
    [anon_sym_yield] = ACTIONS(3487),
    [anon_sym_switch] = ACTIONS(3487),
    [anon_sym_default] = ACTIONS(3487),
    [anon_sym_throw] = ACTIONS(3487),
    [anon_sym_try] = ACTIONS(3487),
    [anon_sym_when] = ACTIONS(3487),
    [anon_sym_await] = ACTIONS(3487),
    [anon_sym_foreach] = ACTIONS(3487),
    [anon_sym_goto] = ACTIONS(3487),
    [anon_sym_if] = ACTIONS(3487),
    [anon_sym_DOT_DOT] = ACTIONS(3489),
    [anon_sym_from] = ACTIONS(3487),
    [anon_sym_into] = ACTIONS(3487),
    [anon_sym_join] = ACTIONS(3487),
    [anon_sym_on] = ACTIONS(3487),
    [anon_sym_equals] = ACTIONS(3487),
    [anon_sym_let] = ACTIONS(3487),
    [anon_sym_orderby] = ACTIONS(3487),
    [anon_sym_ascending] = ACTIONS(3487),
    [anon_sym_descending] = ACTIONS(3487),
    [anon_sym_group] = ACTIONS(3487),
    [anon_sym_by] = ACTIONS(3487),
    [anon_sym_select] = ACTIONS(3487),
    [anon_sym_DQUOTE] = ACTIONS(3489),
    [anon_sym_stackalloc] = ACTIONS(3487),
    [anon_sym_sizeof] = ACTIONS(3487),
    [anon_sym_typeof] = ACTIONS(3487),
    [anon_sym___makeref] = ACTIONS(3487),
    [anon_sym___reftype] = ACTIONS(3487),
    [anon_sym___refvalue] = ACTIONS(3487),
    [sym_null_literal] = ACTIONS(3487),
    [anon_sym_SQUOTE] = ACTIONS(3489),
    [sym_integer_literal] = ACTIONS(3487),
    [sym_real_literal] = ACTIONS(3489),
    [sym_verbatim_string_literal] = ACTIONS(3489),
    [aux_sym_preproc_if_token1] = ACTIONS(3489),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3489),
    [sym_interpolation_verbatim_start] = ACTIONS(3489),
    [sym_interpolation_raw_start] = ACTIONS(3489),
    [sym_raw_string_start] = ACTIONS(3489),
  },
  [2603] = {
    [sym_preproc_region] = STATE(2603),
    [sym_preproc_endregion] = STATE(2603),
    [sym_preproc_line] = STATE(2603),
    [sym_preproc_pragma] = STATE(2603),
    [sym_preproc_nullable] = STATE(2603),
    [sym_preproc_error] = STATE(2603),
    [sym_preproc_define] = STATE(2603),
    [sym_preproc_undef] = STATE(2603),
    [ts_builtin_sym_end] = ACTIONS(3959),
    [sym__identifier_token] = ACTIONS(3957),
    [anon_sym_extern] = ACTIONS(3957),
    [anon_sym_alias] = ACTIONS(3957),
    [anon_sym_SEMI] = ACTIONS(3959),
    [anon_sym_global] = ACTIONS(3957),
    [anon_sym_using] = ACTIONS(3957),
    [anon_sym_unsafe] = ACTIONS(3957),
    [anon_sym_static] = ACTIONS(3957),
    [anon_sym_LBRACK] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_return] = ACTIONS(3957),
    [anon_sym_namespace] = ACTIONS(3957),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_ref] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3957),
    [anon_sym_enum] = ACTIONS(3957),
    [anon_sym_LBRACE] = ACTIONS(3959),
    [anon_sym_interface] = ACTIONS(3957),
    [anon_sym_delegate] = ACTIONS(3957),
    [anon_sym_record] = ACTIONS(3957),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_async] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_file] = ACTIONS(3957),
    [anon_sym_fixed] = ACTIONS(3957),
    [anon_sym_internal] = ACTIONS(3957),
    [anon_sym_new] = ACTIONS(3957),
    [anon_sym_override] = ACTIONS(3957),
    [anon_sym_partial] = ACTIONS(3957),
    [anon_sym_private] = ACTIONS(3957),
    [anon_sym_protected] = ACTIONS(3957),
    [anon_sym_public] = ACTIONS(3957),
    [anon_sym_readonly] = ACTIONS(3957),
    [anon_sym_required] = ACTIONS(3957),
    [anon_sym_sealed] = ACTIONS(3957),
    [anon_sym_virtual] = ACTIONS(3957),
    [anon_sym_volatile] = ACTIONS(3957),
    [anon_sym_where] = ACTIONS(3957),
    [anon_sym_notnull] = ACTIONS(3957),
    [anon_sym_unmanaged] = ACTIONS(3957),
    [anon_sym_checked] = ACTIONS(3957),
    [anon_sym_BANG] = ACTIONS(3959),
    [anon_sym_TILDE] = ACTIONS(3959),
    [anon_sym_PLUS_PLUS] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3959),
    [anon_sym_true] = ACTIONS(3957),
    [anon_sym_false] = ACTIONS(3957),
    [anon_sym_PLUS] = ACTIONS(3957),
    [anon_sym_DASH] = ACTIONS(3957),
    [anon_sym_STAR] = ACTIONS(3959),
    [anon_sym_CARET] = ACTIONS(3959),
    [anon_sym_AMP] = ACTIONS(3959),
    [anon_sym_this] = ACTIONS(3957),
    [anon_sym_scoped] = ACTIONS(3957),
    [anon_sym_base] = ACTIONS(3957),
    [anon_sym_var] = ACTIONS(3957),
    [sym_predefined_type] = ACTIONS(3957),
    [anon_sym_break] = ACTIONS(3957),
    [anon_sym_unchecked] = ACTIONS(3957),
    [anon_sym_continue] = ACTIONS(3957),
    [anon_sym_do] = ACTIONS(3957),
    [anon_sym_while] = ACTIONS(3957),
    [anon_sym_for] = ACTIONS(3957),
    [anon_sym_lock] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3957),
    [anon_sym_switch] = ACTIONS(3957),
    [anon_sym_default] = ACTIONS(3957),
    [anon_sym_throw] = ACTIONS(3957),
    [anon_sym_try] = ACTIONS(3957),
    [anon_sym_when] = ACTIONS(3957),
    [anon_sym_await] = ACTIONS(3957),
    [anon_sym_foreach] = ACTIONS(3957),
    [anon_sym_goto] = ACTIONS(3957),
    [anon_sym_if] = ACTIONS(3957),
    [anon_sym_DOT_DOT] = ACTIONS(3959),
    [anon_sym_from] = ACTIONS(3957),
    [anon_sym_into] = ACTIONS(3957),
    [anon_sym_join] = ACTIONS(3957),
    [anon_sym_on] = ACTIONS(3957),
    [anon_sym_equals] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3957),
    [anon_sym_orderby] = ACTIONS(3957),
    [anon_sym_ascending] = ACTIONS(3957),
    [anon_sym_descending] = ACTIONS(3957),
    [anon_sym_group] = ACTIONS(3957),
    [anon_sym_by] = ACTIONS(3957),
    [anon_sym_select] = ACTIONS(3957),
    [anon_sym_DQUOTE] = ACTIONS(3959),
    [anon_sym_stackalloc] = ACTIONS(3957),
    [anon_sym_sizeof] = ACTIONS(3957),
    [anon_sym_typeof] = ACTIONS(3957),
    [anon_sym___makeref] = ACTIONS(3957),
    [anon_sym___reftype] = ACTIONS(3957),
    [anon_sym___refvalue] = ACTIONS(3957),
    [sym_null_literal] = ACTIONS(3957),
    [anon_sym_SQUOTE] = ACTIONS(3959),
    [sym_integer_literal] = ACTIONS(3957),
    [sym_real_literal] = ACTIONS(3959),
    [sym_verbatim_string_literal] = ACTIONS(3959),
    [aux_sym_preproc_if_token1] = ACTIONS(3959),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3959),
    [sym_interpolation_verbatim_start] = ACTIONS(3959),
    [sym_interpolation_raw_start] = ACTIONS(3959),
    [sym_raw_string_start] = ACTIONS(3959),
  },
  [2604] = {
    [sym_preproc_region] = STATE(2604),
    [sym_preproc_endregion] = STATE(2604),
    [sym_preproc_line] = STATE(2604),
    [sym_preproc_pragma] = STATE(2604),
    [sym_preproc_nullable] = STATE(2604),
    [sym_preproc_error] = STATE(2604),
    [sym_preproc_define] = STATE(2604),
    [sym_preproc_undef] = STATE(2604),
    [ts_builtin_sym_end] = ACTIONS(3787),
    [sym__identifier_token] = ACTIONS(3785),
    [anon_sym_extern] = ACTIONS(3785),
    [anon_sym_alias] = ACTIONS(3785),
    [anon_sym_SEMI] = ACTIONS(3787),
    [anon_sym_global] = ACTIONS(3785),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_unsafe] = ACTIONS(3785),
    [anon_sym_static] = ACTIONS(3785),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [anon_sym_LPAREN] = ACTIONS(3787),
    [anon_sym_return] = ACTIONS(3785),
    [anon_sym_namespace] = ACTIONS(3785),
    [anon_sym_class] = ACTIONS(3785),
    [anon_sym_ref] = ACTIONS(3785),
    [anon_sym_struct] = ACTIONS(3785),
    [anon_sym_enum] = ACTIONS(3785),
    [anon_sym_LBRACE] = ACTIONS(3787),
    [anon_sym_interface] = ACTIONS(3785),
    [anon_sym_delegate] = ACTIONS(3785),
    [anon_sym_record] = ACTIONS(3785),
    [anon_sym_abstract] = ACTIONS(3785),
    [anon_sym_async] = ACTIONS(3785),
    [anon_sym_const] = ACTIONS(3785),
    [anon_sym_file] = ACTIONS(3785),
    [anon_sym_fixed] = ACTIONS(3785),
    [anon_sym_internal] = ACTIONS(3785),
    [anon_sym_new] = ACTIONS(3785),
    [anon_sym_override] = ACTIONS(3785),
    [anon_sym_partial] = ACTIONS(3785),
    [anon_sym_private] = ACTIONS(3785),
    [anon_sym_protected] = ACTIONS(3785),
    [anon_sym_public] = ACTIONS(3785),
    [anon_sym_readonly] = ACTIONS(3785),
    [anon_sym_required] = ACTIONS(3785),
    [anon_sym_sealed] = ACTIONS(3785),
    [anon_sym_virtual] = ACTIONS(3785),
    [anon_sym_volatile] = ACTIONS(3785),
    [anon_sym_where] = ACTIONS(3785),
    [anon_sym_notnull] = ACTIONS(3785),
    [anon_sym_unmanaged] = ACTIONS(3785),
    [anon_sym_checked] = ACTIONS(3785),
    [anon_sym_BANG] = ACTIONS(3787),
    [anon_sym_TILDE] = ACTIONS(3787),
    [anon_sym_PLUS_PLUS] = ACTIONS(3787),
    [anon_sym_DASH_DASH] = ACTIONS(3787),
    [anon_sym_true] = ACTIONS(3785),
    [anon_sym_false] = ACTIONS(3785),
    [anon_sym_PLUS] = ACTIONS(3785),
    [anon_sym_DASH] = ACTIONS(3785),
    [anon_sym_STAR] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3787),
    [anon_sym_this] = ACTIONS(3785),
    [anon_sym_scoped] = ACTIONS(3785),
    [anon_sym_base] = ACTIONS(3785),
    [anon_sym_var] = ACTIONS(3785),
    [sym_predefined_type] = ACTIONS(3785),
    [anon_sym_break] = ACTIONS(3785),
    [anon_sym_unchecked] = ACTIONS(3785),
    [anon_sym_continue] = ACTIONS(3785),
    [anon_sym_do] = ACTIONS(3785),
    [anon_sym_while] = ACTIONS(3785),
    [anon_sym_for] = ACTIONS(3785),
    [anon_sym_lock] = ACTIONS(3785),
    [anon_sym_yield] = ACTIONS(3785),
    [anon_sym_switch] = ACTIONS(3785),
    [anon_sym_default] = ACTIONS(3785),
    [anon_sym_throw] = ACTIONS(3785),
    [anon_sym_try] = ACTIONS(3785),
    [anon_sym_when] = ACTIONS(3785),
    [anon_sym_await] = ACTIONS(3785),
    [anon_sym_foreach] = ACTIONS(3785),
    [anon_sym_goto] = ACTIONS(3785),
    [anon_sym_if] = ACTIONS(3785),
    [anon_sym_DOT_DOT] = ACTIONS(3787),
    [anon_sym_from] = ACTIONS(3785),
    [anon_sym_into] = ACTIONS(3785),
    [anon_sym_join] = ACTIONS(3785),
    [anon_sym_on] = ACTIONS(3785),
    [anon_sym_equals] = ACTIONS(3785),
    [anon_sym_let] = ACTIONS(3785),
    [anon_sym_orderby] = ACTIONS(3785),
    [anon_sym_ascending] = ACTIONS(3785),
    [anon_sym_descending] = ACTIONS(3785),
    [anon_sym_group] = ACTIONS(3785),
    [anon_sym_by] = ACTIONS(3785),
    [anon_sym_select] = ACTIONS(3785),
    [anon_sym_DQUOTE] = ACTIONS(3787),
    [anon_sym_stackalloc] = ACTIONS(3785),
    [anon_sym_sizeof] = ACTIONS(3785),
    [anon_sym_typeof] = ACTIONS(3785),
    [anon_sym___makeref] = ACTIONS(3785),
    [anon_sym___reftype] = ACTIONS(3785),
    [anon_sym___refvalue] = ACTIONS(3785),
    [sym_null_literal] = ACTIONS(3785),
    [anon_sym_SQUOTE] = ACTIONS(3787),
    [sym_integer_literal] = ACTIONS(3785),
    [sym_real_literal] = ACTIONS(3787),
    [sym_verbatim_string_literal] = ACTIONS(3787),
    [aux_sym_preproc_if_token1] = ACTIONS(3787),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3787),
    [sym_interpolation_verbatim_start] = ACTIONS(3787),
    [sym_interpolation_raw_start] = ACTIONS(3787),
    [sym_raw_string_start] = ACTIONS(3787),
  },
  [2605] = {
    [sym_preproc_region] = STATE(2605),
    [sym_preproc_endregion] = STATE(2605),
    [sym_preproc_line] = STATE(2605),
    [sym_preproc_pragma] = STATE(2605),
    [sym_preproc_nullable] = STATE(2605),
    [sym_preproc_error] = STATE(2605),
    [sym_preproc_define] = STATE(2605),
    [sym_preproc_undef] = STATE(2605),
    [ts_builtin_sym_end] = ACTIONS(3791),
    [sym__identifier_token] = ACTIONS(3789),
    [anon_sym_extern] = ACTIONS(3789),
    [anon_sym_alias] = ACTIONS(3789),
    [anon_sym_SEMI] = ACTIONS(3791),
    [anon_sym_global] = ACTIONS(3789),
    [anon_sym_using] = ACTIONS(3789),
    [anon_sym_unsafe] = ACTIONS(3789),
    [anon_sym_static] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(3791),
    [anon_sym_LPAREN] = ACTIONS(3791),
    [anon_sym_return] = ACTIONS(3789),
    [anon_sym_namespace] = ACTIONS(3789),
    [anon_sym_class] = ACTIONS(3789),
    [anon_sym_ref] = ACTIONS(3789),
    [anon_sym_struct] = ACTIONS(3789),
    [anon_sym_enum] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(3791),
    [anon_sym_interface] = ACTIONS(3789),
    [anon_sym_delegate] = ACTIONS(3789),
    [anon_sym_record] = ACTIONS(3789),
    [anon_sym_abstract] = ACTIONS(3789),
    [anon_sym_async] = ACTIONS(3789),
    [anon_sym_const] = ACTIONS(3789),
    [anon_sym_file] = ACTIONS(3789),
    [anon_sym_fixed] = ACTIONS(3789),
    [anon_sym_internal] = ACTIONS(3789),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_override] = ACTIONS(3789),
    [anon_sym_partial] = ACTIONS(3789),
    [anon_sym_private] = ACTIONS(3789),
    [anon_sym_protected] = ACTIONS(3789),
    [anon_sym_public] = ACTIONS(3789),
    [anon_sym_readonly] = ACTIONS(3789),
    [anon_sym_required] = ACTIONS(3789),
    [anon_sym_sealed] = ACTIONS(3789),
    [anon_sym_virtual] = ACTIONS(3789),
    [anon_sym_volatile] = ACTIONS(3789),
    [anon_sym_where] = ACTIONS(3789),
    [anon_sym_notnull] = ACTIONS(3789),
    [anon_sym_unmanaged] = ACTIONS(3789),
    [anon_sym_checked] = ACTIONS(3789),
    [anon_sym_BANG] = ACTIONS(3791),
    [anon_sym_TILDE] = ACTIONS(3791),
    [anon_sym_PLUS_PLUS] = ACTIONS(3791),
    [anon_sym_DASH_DASH] = ACTIONS(3791),
    [anon_sym_true] = ACTIONS(3789),
    [anon_sym_false] = ACTIONS(3789),
    [anon_sym_PLUS] = ACTIONS(3789),
    [anon_sym_DASH] = ACTIONS(3789),
    [anon_sym_STAR] = ACTIONS(3791),
    [anon_sym_CARET] = ACTIONS(3791),
    [anon_sym_AMP] = ACTIONS(3791),
    [anon_sym_this] = ACTIONS(3789),
    [anon_sym_scoped] = ACTIONS(3789),
    [anon_sym_base] = ACTIONS(3789),
    [anon_sym_var] = ACTIONS(3789),
    [sym_predefined_type] = ACTIONS(3789),
    [anon_sym_break] = ACTIONS(3789),
    [anon_sym_unchecked] = ACTIONS(3789),
    [anon_sym_continue] = ACTIONS(3789),
    [anon_sym_do] = ACTIONS(3789),
    [anon_sym_while] = ACTIONS(3789),
    [anon_sym_for] = ACTIONS(3789),
    [anon_sym_lock] = ACTIONS(3789),
    [anon_sym_yield] = ACTIONS(3789),
    [anon_sym_switch] = ACTIONS(3789),
    [anon_sym_default] = ACTIONS(3789),
    [anon_sym_throw] = ACTIONS(3789),
    [anon_sym_try] = ACTIONS(3789),
    [anon_sym_when] = ACTIONS(3789),
    [anon_sym_await] = ACTIONS(3789),
    [anon_sym_foreach] = ACTIONS(3789),
    [anon_sym_goto] = ACTIONS(3789),
    [anon_sym_if] = ACTIONS(3789),
    [anon_sym_DOT_DOT] = ACTIONS(3791),
    [anon_sym_from] = ACTIONS(3789),
    [anon_sym_into] = ACTIONS(3789),
    [anon_sym_join] = ACTIONS(3789),
    [anon_sym_on] = ACTIONS(3789),
    [anon_sym_equals] = ACTIONS(3789),
    [anon_sym_let] = ACTIONS(3789),
    [anon_sym_orderby] = ACTIONS(3789),
    [anon_sym_ascending] = ACTIONS(3789),
    [anon_sym_descending] = ACTIONS(3789),
    [anon_sym_group] = ACTIONS(3789),
    [anon_sym_by] = ACTIONS(3789),
    [anon_sym_select] = ACTIONS(3789),
    [anon_sym_DQUOTE] = ACTIONS(3791),
    [anon_sym_stackalloc] = ACTIONS(3789),
    [anon_sym_sizeof] = ACTIONS(3789),
    [anon_sym_typeof] = ACTIONS(3789),
    [anon_sym___makeref] = ACTIONS(3789),
    [anon_sym___reftype] = ACTIONS(3789),
    [anon_sym___refvalue] = ACTIONS(3789),
    [sym_null_literal] = ACTIONS(3789),
    [anon_sym_SQUOTE] = ACTIONS(3791),
    [sym_integer_literal] = ACTIONS(3789),
    [sym_real_literal] = ACTIONS(3791),
    [sym_verbatim_string_literal] = ACTIONS(3791),
    [aux_sym_preproc_if_token1] = ACTIONS(3791),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3791),
    [sym_interpolation_verbatim_start] = ACTIONS(3791),
    [sym_interpolation_raw_start] = ACTIONS(3791),
    [sym_raw_string_start] = ACTIONS(3791),
  },
  [2606] = {
    [sym_preproc_region] = STATE(2606),
    [sym_preproc_endregion] = STATE(2606),
    [sym_preproc_line] = STATE(2606),
    [sym_preproc_pragma] = STATE(2606),
    [sym_preproc_nullable] = STATE(2606),
    [sym_preproc_error] = STATE(2606),
    [sym_preproc_define] = STATE(2606),
    [sym_preproc_undef] = STATE(2606),
    [ts_builtin_sym_end] = ACTIONS(4014),
    [sym__identifier_token] = ACTIONS(4016),
    [anon_sym_extern] = ACTIONS(4016),
    [anon_sym_alias] = ACTIONS(4016),
    [anon_sym_SEMI] = ACTIONS(4014),
    [anon_sym_global] = ACTIONS(4016),
    [anon_sym_using] = ACTIONS(4016),
    [anon_sym_unsafe] = ACTIONS(4016),
    [anon_sym_static] = ACTIONS(4016),
    [anon_sym_LBRACK] = ACTIONS(4014),
    [anon_sym_LPAREN] = ACTIONS(4014),
    [anon_sym_return] = ACTIONS(4016),
    [anon_sym_namespace] = ACTIONS(4016),
    [anon_sym_class] = ACTIONS(4016),
    [anon_sym_ref] = ACTIONS(4016),
    [anon_sym_struct] = ACTIONS(4016),
    [anon_sym_enum] = ACTIONS(4016),
    [anon_sym_LBRACE] = ACTIONS(4014),
    [anon_sym_interface] = ACTIONS(4016),
    [anon_sym_delegate] = ACTIONS(4016),
    [anon_sym_record] = ACTIONS(4016),
    [anon_sym_abstract] = ACTIONS(4016),
    [anon_sym_async] = ACTIONS(4016),
    [anon_sym_const] = ACTIONS(4016),
    [anon_sym_file] = ACTIONS(4016),
    [anon_sym_fixed] = ACTIONS(4016),
    [anon_sym_internal] = ACTIONS(4016),
    [anon_sym_new] = ACTIONS(4016),
    [anon_sym_override] = ACTIONS(4016),
    [anon_sym_partial] = ACTIONS(4016),
    [anon_sym_private] = ACTIONS(4016),
    [anon_sym_protected] = ACTIONS(4016),
    [anon_sym_public] = ACTIONS(4016),
    [anon_sym_readonly] = ACTIONS(4016),
    [anon_sym_required] = ACTIONS(4016),
    [anon_sym_sealed] = ACTIONS(4016),
    [anon_sym_virtual] = ACTIONS(4016),
    [anon_sym_volatile] = ACTIONS(4016),
    [anon_sym_where] = ACTIONS(4016),
    [anon_sym_notnull] = ACTIONS(4016),
    [anon_sym_unmanaged] = ACTIONS(4016),
    [anon_sym_checked] = ACTIONS(4016),
    [anon_sym_BANG] = ACTIONS(4014),
    [anon_sym_TILDE] = ACTIONS(4014),
    [anon_sym_PLUS_PLUS] = ACTIONS(4014),
    [anon_sym_DASH_DASH] = ACTIONS(4014),
    [anon_sym_true] = ACTIONS(4016),
    [anon_sym_false] = ACTIONS(4016),
    [anon_sym_PLUS] = ACTIONS(4016),
    [anon_sym_DASH] = ACTIONS(4016),
    [anon_sym_STAR] = ACTIONS(4014),
    [anon_sym_CARET] = ACTIONS(4014),
    [anon_sym_AMP] = ACTIONS(4014),
    [anon_sym_this] = ACTIONS(4016),
    [anon_sym_scoped] = ACTIONS(4016),
    [anon_sym_base] = ACTIONS(4016),
    [anon_sym_var] = ACTIONS(4016),
    [sym_predefined_type] = ACTIONS(4016),
    [anon_sym_break] = ACTIONS(4016),
    [anon_sym_unchecked] = ACTIONS(4016),
    [anon_sym_continue] = ACTIONS(4016),
    [anon_sym_do] = ACTIONS(4016),
    [anon_sym_while] = ACTIONS(4016),
    [anon_sym_for] = ACTIONS(4016),
    [anon_sym_lock] = ACTIONS(4016),
    [anon_sym_yield] = ACTIONS(4016),
    [anon_sym_switch] = ACTIONS(4016),
    [anon_sym_default] = ACTIONS(4016),
    [anon_sym_throw] = ACTIONS(4016),
    [anon_sym_try] = ACTIONS(4016),
    [anon_sym_when] = ACTIONS(4016),
    [anon_sym_await] = ACTIONS(4016),
    [anon_sym_foreach] = ACTIONS(4016),
    [anon_sym_goto] = ACTIONS(4016),
    [anon_sym_if] = ACTIONS(4016),
    [anon_sym_DOT_DOT] = ACTIONS(4014),
    [anon_sym_from] = ACTIONS(4016),
    [anon_sym_into] = ACTIONS(4016),
    [anon_sym_join] = ACTIONS(4016),
    [anon_sym_on] = ACTIONS(4016),
    [anon_sym_equals] = ACTIONS(4016),
    [anon_sym_let] = ACTIONS(4016),
    [anon_sym_orderby] = ACTIONS(4016),
    [anon_sym_ascending] = ACTIONS(4016),
    [anon_sym_descending] = ACTIONS(4016),
    [anon_sym_group] = ACTIONS(4016),
    [anon_sym_by] = ACTIONS(4016),
    [anon_sym_select] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4014),
    [anon_sym_stackalloc] = ACTIONS(4016),
    [anon_sym_sizeof] = ACTIONS(4016),
    [anon_sym_typeof] = ACTIONS(4016),
    [anon_sym___makeref] = ACTIONS(4016),
    [anon_sym___reftype] = ACTIONS(4016),
    [anon_sym___refvalue] = ACTIONS(4016),
    [sym_null_literal] = ACTIONS(4016),
    [anon_sym_SQUOTE] = ACTIONS(4014),
    [sym_integer_literal] = ACTIONS(4016),
    [sym_real_literal] = ACTIONS(4014),
    [sym_verbatim_string_literal] = ACTIONS(4014),
    [aux_sym_preproc_if_token1] = ACTIONS(4014),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(4014),
    [sym_interpolation_verbatim_start] = ACTIONS(4014),
    [sym_interpolation_raw_start] = ACTIONS(4014),
    [sym_raw_string_start] = ACTIONS(4014),
  },
  [2607] = {
    [sym_preproc_region] = STATE(2607),
    [sym_preproc_endregion] = STATE(2607),
    [sym_preproc_line] = STATE(2607),
    [sym_preproc_pragma] = STATE(2607),
    [sym_preproc_nullable] = STATE(2607),
    [sym_preproc_error] = STATE(2607),
    [sym_preproc_define] = STATE(2607),
    [sym_preproc_undef] = STATE(2607),
    [ts_builtin_sym_end] = ACTIONS(3795),
    [sym__identifier_token] = ACTIONS(3793),
    [anon_sym_extern] = ACTIONS(3793),
    [anon_sym_alias] = ACTIONS(3793),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_global] = ACTIONS(3793),
    [anon_sym_using] = ACTIONS(3793),
    [anon_sym_unsafe] = ACTIONS(3793),
    [anon_sym_static] = ACTIONS(3793),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [anon_sym_LPAREN] = ACTIONS(3795),
    [anon_sym_return] = ACTIONS(3793),
    [anon_sym_namespace] = ACTIONS(3793),
    [anon_sym_class] = ACTIONS(3793),
    [anon_sym_ref] = ACTIONS(3793),
    [anon_sym_struct] = ACTIONS(3793),
    [anon_sym_enum] = ACTIONS(3793),
    [anon_sym_LBRACE] = ACTIONS(3795),
    [anon_sym_interface] = ACTIONS(3793),
    [anon_sym_delegate] = ACTIONS(3793),
    [anon_sym_record] = ACTIONS(3793),
    [anon_sym_abstract] = ACTIONS(3793),
    [anon_sym_async] = ACTIONS(3793),
    [anon_sym_const] = ACTIONS(3793),
    [anon_sym_file] = ACTIONS(3793),
    [anon_sym_fixed] = ACTIONS(3793),
    [anon_sym_internal] = ACTIONS(3793),
    [anon_sym_new] = ACTIONS(3793),
    [anon_sym_override] = ACTIONS(3793),
    [anon_sym_partial] = ACTIONS(3793),
    [anon_sym_private] = ACTIONS(3793),
    [anon_sym_protected] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3793),
    [anon_sym_readonly] = ACTIONS(3793),
    [anon_sym_required] = ACTIONS(3793),
    [anon_sym_sealed] = ACTIONS(3793),
    [anon_sym_virtual] = ACTIONS(3793),
    [anon_sym_volatile] = ACTIONS(3793),
    [anon_sym_where] = ACTIONS(3793),
    [anon_sym_notnull] = ACTIONS(3793),
    [anon_sym_unmanaged] = ACTIONS(3793),
    [anon_sym_checked] = ACTIONS(3793),
    [anon_sym_BANG] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_PLUS_PLUS] = ACTIONS(3795),
    [anon_sym_DASH_DASH] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(3793),
    [anon_sym_false] = ACTIONS(3793),
    [anon_sym_PLUS] = ACTIONS(3793),
    [anon_sym_DASH] = ACTIONS(3793),
    [anon_sym_STAR] = ACTIONS(3795),
    [anon_sym_CARET] = ACTIONS(3795),
    [anon_sym_AMP] = ACTIONS(3795),
    [anon_sym_this] = ACTIONS(3793),
    [anon_sym_scoped] = ACTIONS(3793),
    [anon_sym_base] = ACTIONS(3793),
    [anon_sym_var] = ACTIONS(3793),
    [sym_predefined_type] = ACTIONS(3793),
    [anon_sym_break] = ACTIONS(3793),
    [anon_sym_unchecked] = ACTIONS(3793),
    [anon_sym_continue] = ACTIONS(3793),
    [anon_sym_do] = ACTIONS(3793),
    [anon_sym_while] = ACTIONS(3793),
    [anon_sym_for] = ACTIONS(3793),
    [anon_sym_lock] = ACTIONS(3793),
    [anon_sym_yield] = ACTIONS(3793),
    [anon_sym_switch] = ACTIONS(3793),
    [anon_sym_default] = ACTIONS(3793),
    [anon_sym_throw] = ACTIONS(3793),
    [anon_sym_try] = ACTIONS(3793),
    [anon_sym_when] = ACTIONS(3793),
    [anon_sym_await] = ACTIONS(3793),
    [anon_sym_foreach] = ACTIONS(3793),
    [anon_sym_goto] = ACTIONS(3793),
    [anon_sym_if] = ACTIONS(3793),
    [anon_sym_DOT_DOT] = ACTIONS(3795),
    [anon_sym_from] = ACTIONS(3793),
    [anon_sym_into] = ACTIONS(3793),
    [anon_sym_join] = ACTIONS(3793),
    [anon_sym_on] = ACTIONS(3793),
    [anon_sym_equals] = ACTIONS(3793),
    [anon_sym_let] = ACTIONS(3793),
    [anon_sym_orderby] = ACTIONS(3793),
    [anon_sym_ascending] = ACTIONS(3793),
    [anon_sym_descending] = ACTIONS(3793),
    [anon_sym_group] = ACTIONS(3793),
    [anon_sym_by] = ACTIONS(3793),
    [anon_sym_select] = ACTIONS(3793),
    [anon_sym_DQUOTE] = ACTIONS(3795),
    [anon_sym_stackalloc] = ACTIONS(3793),
    [anon_sym_sizeof] = ACTIONS(3793),
    [anon_sym_typeof] = ACTIONS(3793),
    [anon_sym___makeref] = ACTIONS(3793),
    [anon_sym___reftype] = ACTIONS(3793),
    [anon_sym___refvalue] = ACTIONS(3793),
    [sym_null_literal] = ACTIONS(3793),
    [anon_sym_SQUOTE] = ACTIONS(3795),
    [sym_integer_literal] = ACTIONS(3793),
    [sym_real_literal] = ACTIONS(3795),
    [sym_verbatim_string_literal] = ACTIONS(3795),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3795),
    [sym_interpolation_verbatim_start] = ACTIONS(3795),
    [sym_interpolation_raw_start] = ACTIONS(3795),
    [sym_raw_string_start] = ACTIONS(3795),
  },
  [2608] = {
    [sym_preproc_region] = STATE(2608),
    [sym_preproc_endregion] = STATE(2608),
    [sym_preproc_line] = STATE(2608),
    [sym_preproc_pragma] = STATE(2608),
    [sym_preproc_nullable] = STATE(2608),
    [sym_preproc_error] = STATE(2608),
    [sym_preproc_define] = STATE(2608),
    [sym_preproc_undef] = STATE(2608),
    [ts_builtin_sym_end] = ACTIONS(3799),
    [sym__identifier_token] = ACTIONS(3797),
    [anon_sym_extern] = ACTIONS(3797),
    [anon_sym_alias] = ACTIONS(3797),
    [anon_sym_SEMI] = ACTIONS(3799),
    [anon_sym_global] = ACTIONS(3797),
    [anon_sym_using] = ACTIONS(3797),
    [anon_sym_unsafe] = ACTIONS(3797),
    [anon_sym_static] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(3799),
    [anon_sym_LPAREN] = ACTIONS(3799),
    [anon_sym_return] = ACTIONS(3797),
    [anon_sym_namespace] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_ref] = ACTIONS(3797),
    [anon_sym_struct] = ACTIONS(3797),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(3799),
    [anon_sym_interface] = ACTIONS(3797),
    [anon_sym_delegate] = ACTIONS(3797),
    [anon_sym_record] = ACTIONS(3797),
    [anon_sym_abstract] = ACTIONS(3797),
    [anon_sym_async] = ACTIONS(3797),
    [anon_sym_const] = ACTIONS(3797),
    [anon_sym_file] = ACTIONS(3797),
    [anon_sym_fixed] = ACTIONS(3797),
    [anon_sym_internal] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(3797),
    [anon_sym_override] = ACTIONS(3797),
    [anon_sym_partial] = ACTIONS(3797),
    [anon_sym_private] = ACTIONS(3797),
    [anon_sym_protected] = ACTIONS(3797),
    [anon_sym_public] = ACTIONS(3797),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_required] = ACTIONS(3797),
    [anon_sym_sealed] = ACTIONS(3797),
    [anon_sym_virtual] = ACTIONS(3797),
    [anon_sym_volatile] = ACTIONS(3797),
    [anon_sym_where] = ACTIONS(3797),
    [anon_sym_notnull] = ACTIONS(3797),
    [anon_sym_unmanaged] = ACTIONS(3797),
    [anon_sym_checked] = ACTIONS(3797),
    [anon_sym_BANG] = ACTIONS(3799),
    [anon_sym_TILDE] = ACTIONS(3799),
    [anon_sym_PLUS_PLUS] = ACTIONS(3799),
    [anon_sym_DASH_DASH] = ACTIONS(3799),
    [anon_sym_true] = ACTIONS(3797),
    [anon_sym_false] = ACTIONS(3797),
    [anon_sym_PLUS] = ACTIONS(3797),
    [anon_sym_DASH] = ACTIONS(3797),
    [anon_sym_STAR] = ACTIONS(3799),
    [anon_sym_CARET] = ACTIONS(3799),
    [anon_sym_AMP] = ACTIONS(3799),
    [anon_sym_this] = ACTIONS(3797),
    [anon_sym_scoped] = ACTIONS(3797),
    [anon_sym_base] = ACTIONS(3797),
    [anon_sym_var] = ACTIONS(3797),
    [sym_predefined_type] = ACTIONS(3797),
    [anon_sym_break] = ACTIONS(3797),
    [anon_sym_unchecked] = ACTIONS(3797),
    [anon_sym_continue] = ACTIONS(3797),
    [anon_sym_do] = ACTIONS(3797),
    [anon_sym_while] = ACTIONS(3797),
    [anon_sym_for] = ACTIONS(3797),
    [anon_sym_lock] = ACTIONS(3797),
    [anon_sym_yield] = ACTIONS(3797),
    [anon_sym_switch] = ACTIONS(3797),
    [anon_sym_default] = ACTIONS(3797),
    [anon_sym_throw] = ACTIONS(3797),
    [anon_sym_try] = ACTIONS(3797),
    [anon_sym_when] = ACTIONS(3797),
    [anon_sym_await] = ACTIONS(3797),
    [anon_sym_foreach] = ACTIONS(3797),
    [anon_sym_goto] = ACTIONS(3797),
    [anon_sym_if] = ACTIONS(3797),
    [anon_sym_DOT_DOT] = ACTIONS(3799),
    [anon_sym_from] = ACTIONS(3797),
    [anon_sym_into] = ACTIONS(3797),
    [anon_sym_join] = ACTIONS(3797),
    [anon_sym_on] = ACTIONS(3797),
    [anon_sym_equals] = ACTIONS(3797),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_orderby] = ACTIONS(3797),
    [anon_sym_ascending] = ACTIONS(3797),
    [anon_sym_descending] = ACTIONS(3797),
    [anon_sym_group] = ACTIONS(3797),
    [anon_sym_by] = ACTIONS(3797),
    [anon_sym_select] = ACTIONS(3797),
    [anon_sym_DQUOTE] = ACTIONS(3799),
    [anon_sym_stackalloc] = ACTIONS(3797),
    [anon_sym_sizeof] = ACTIONS(3797),
    [anon_sym_typeof] = ACTIONS(3797),
    [anon_sym___makeref] = ACTIONS(3797),
    [anon_sym___reftype] = ACTIONS(3797),
    [anon_sym___refvalue] = ACTIONS(3797),
    [sym_null_literal] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(3799),
    [sym_integer_literal] = ACTIONS(3797),
    [sym_real_literal] = ACTIONS(3799),
    [sym_verbatim_string_literal] = ACTIONS(3799),
    [aux_sym_preproc_if_token1] = ACTIONS(3799),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3799),
    [sym_interpolation_verbatim_start] = ACTIONS(3799),
    [sym_interpolation_raw_start] = ACTIONS(3799),
    [sym_raw_string_start] = ACTIONS(3799),
  },
  [2609] = {
    [sym_preproc_region] = STATE(2609),
    [sym_preproc_endregion] = STATE(2609),
    [sym_preproc_line] = STATE(2609),
    [sym_preproc_pragma] = STATE(2609),
    [sym_preproc_nullable] = STATE(2609),
    [sym_preproc_error] = STATE(2609),
    [sym_preproc_define] = STATE(2609),
    [sym_preproc_undef] = STATE(2609),
    [ts_builtin_sym_end] = ACTIONS(3831),
    [sym__identifier_token] = ACTIONS(3829),
    [anon_sym_extern] = ACTIONS(3829),
    [anon_sym_alias] = ACTIONS(3829),
    [anon_sym_SEMI] = ACTIONS(3831),
    [anon_sym_global] = ACTIONS(3829),
    [anon_sym_using] = ACTIONS(3829),
    [anon_sym_unsafe] = ACTIONS(3829),
    [anon_sym_static] = ACTIONS(3829),
    [anon_sym_LBRACK] = ACTIONS(3831),
    [anon_sym_LPAREN] = ACTIONS(3831),
    [anon_sym_return] = ACTIONS(3829),
    [anon_sym_namespace] = ACTIONS(3829),
    [anon_sym_class] = ACTIONS(3829),
    [anon_sym_ref] = ACTIONS(3829),
    [anon_sym_struct] = ACTIONS(3829),
    [anon_sym_enum] = ACTIONS(3829),
    [anon_sym_LBRACE] = ACTIONS(3831),
    [anon_sym_interface] = ACTIONS(3829),
    [anon_sym_delegate] = ACTIONS(3829),
    [anon_sym_record] = ACTIONS(3829),
    [anon_sym_abstract] = ACTIONS(3829),
    [anon_sym_async] = ACTIONS(3829),
    [anon_sym_const] = ACTIONS(3829),
    [anon_sym_file] = ACTIONS(3829),
    [anon_sym_fixed] = ACTIONS(3829),
    [anon_sym_internal] = ACTIONS(3829),
    [anon_sym_new] = ACTIONS(3829),
    [anon_sym_override] = ACTIONS(3829),
    [anon_sym_partial] = ACTIONS(3829),
    [anon_sym_private] = ACTIONS(3829),
    [anon_sym_protected] = ACTIONS(3829),
    [anon_sym_public] = ACTIONS(3829),
    [anon_sym_readonly] = ACTIONS(3829),
    [anon_sym_required] = ACTIONS(3829),
    [anon_sym_sealed] = ACTIONS(3829),
    [anon_sym_virtual] = ACTIONS(3829),
    [anon_sym_volatile] = ACTIONS(3829),
    [anon_sym_where] = ACTIONS(3829),
    [anon_sym_notnull] = ACTIONS(3829),
    [anon_sym_unmanaged] = ACTIONS(3829),
    [anon_sym_checked] = ACTIONS(3829),
    [anon_sym_BANG] = ACTIONS(3831),
    [anon_sym_TILDE] = ACTIONS(3831),
    [anon_sym_PLUS_PLUS] = ACTIONS(3831),
    [anon_sym_DASH_DASH] = ACTIONS(3831),
    [anon_sym_true] = ACTIONS(3829),
    [anon_sym_false] = ACTIONS(3829),
    [anon_sym_PLUS] = ACTIONS(3829),
    [anon_sym_DASH] = ACTIONS(3829),
    [anon_sym_STAR] = ACTIONS(3831),
    [anon_sym_CARET] = ACTIONS(3831),
    [anon_sym_AMP] = ACTIONS(3831),
    [anon_sym_this] = ACTIONS(3829),
    [anon_sym_scoped] = ACTIONS(3829),
    [anon_sym_base] = ACTIONS(3829),
    [anon_sym_var] = ACTIONS(3829),
    [sym_predefined_type] = ACTIONS(3829),
    [anon_sym_break] = ACTIONS(3829),
    [anon_sym_unchecked] = ACTIONS(3829),
    [anon_sym_continue] = ACTIONS(3829),
    [anon_sym_do] = ACTIONS(3829),
    [anon_sym_while] = ACTIONS(3829),
    [anon_sym_for] = ACTIONS(3829),
    [anon_sym_lock] = ACTIONS(3829),
    [anon_sym_yield] = ACTIONS(3829),
    [anon_sym_switch] = ACTIONS(3829),
    [anon_sym_default] = ACTIONS(3829),
    [anon_sym_throw] = ACTIONS(3829),
    [anon_sym_try] = ACTIONS(3829),
    [anon_sym_when] = ACTIONS(3829),
    [anon_sym_await] = ACTIONS(3829),
    [anon_sym_foreach] = ACTIONS(3829),
    [anon_sym_goto] = ACTIONS(3829),
    [anon_sym_if] = ACTIONS(3829),
    [anon_sym_DOT_DOT] = ACTIONS(3831),
    [anon_sym_from] = ACTIONS(3829),
    [anon_sym_into] = ACTIONS(3829),
    [anon_sym_join] = ACTIONS(3829),
    [anon_sym_on] = ACTIONS(3829),
    [anon_sym_equals] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3829),
    [anon_sym_orderby] = ACTIONS(3829),
    [anon_sym_ascending] = ACTIONS(3829),
    [anon_sym_descending] = ACTIONS(3829),
    [anon_sym_group] = ACTIONS(3829),
    [anon_sym_by] = ACTIONS(3829),
    [anon_sym_select] = ACTIONS(3829),
    [anon_sym_DQUOTE] = ACTIONS(3831),
    [anon_sym_stackalloc] = ACTIONS(3829),
    [anon_sym_sizeof] = ACTIONS(3829),
    [anon_sym_typeof] = ACTIONS(3829),
    [anon_sym___makeref] = ACTIONS(3829),
    [anon_sym___reftype] = ACTIONS(3829),
    [anon_sym___refvalue] = ACTIONS(3829),
    [sym_null_literal] = ACTIONS(3829),
    [anon_sym_SQUOTE] = ACTIONS(3831),
    [sym_integer_literal] = ACTIONS(3829),
    [sym_real_literal] = ACTIONS(3831),
    [sym_verbatim_string_literal] = ACTIONS(3831),
    [aux_sym_preproc_if_token1] = ACTIONS(3831),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3831),
    [sym_interpolation_verbatim_start] = ACTIONS(3831),
    [sym_interpolation_raw_start] = ACTIONS(3831),
    [sym_raw_string_start] = ACTIONS(3831),
  },
  [2610] = {
    [sym_preproc_region] = STATE(2610),
    [sym_preproc_endregion] = STATE(2610),
    [sym_preproc_line] = STATE(2610),
    [sym_preproc_pragma] = STATE(2610),
    [sym_preproc_nullable] = STATE(2610),
    [sym_preproc_error] = STATE(2610),
    [sym_preproc_define] = STATE(2610),
    [sym_preproc_undef] = STATE(2610),
    [ts_builtin_sym_end] = ACTIONS(3803),
    [sym__identifier_token] = ACTIONS(3801),
    [anon_sym_extern] = ACTIONS(3801),
    [anon_sym_alias] = ACTIONS(3801),
    [anon_sym_SEMI] = ACTIONS(3803),
    [anon_sym_global] = ACTIONS(3801),
    [anon_sym_using] = ACTIONS(3801),
    [anon_sym_unsafe] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(3801),
    [anon_sym_LBRACK] = ACTIONS(3803),
    [anon_sym_LPAREN] = ACTIONS(3803),
    [anon_sym_return] = ACTIONS(3801),
    [anon_sym_namespace] = ACTIONS(3801),
    [anon_sym_class] = ACTIONS(3801),
    [anon_sym_ref] = ACTIONS(3801),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_enum] = ACTIONS(3801),
    [anon_sym_LBRACE] = ACTIONS(3803),
    [anon_sym_interface] = ACTIONS(3801),
    [anon_sym_delegate] = ACTIONS(3801),
    [anon_sym_record] = ACTIONS(3801),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_async] = ACTIONS(3801),
    [anon_sym_const] = ACTIONS(3801),
    [anon_sym_file] = ACTIONS(3801),
    [anon_sym_fixed] = ACTIONS(3801),
    [anon_sym_internal] = ACTIONS(3801),
    [anon_sym_new] = ACTIONS(3801),
    [anon_sym_override] = ACTIONS(3801),
    [anon_sym_partial] = ACTIONS(3801),
    [anon_sym_private] = ACTIONS(3801),
    [anon_sym_protected] = ACTIONS(3801),
    [anon_sym_public] = ACTIONS(3801),
    [anon_sym_readonly] = ACTIONS(3801),
    [anon_sym_required] = ACTIONS(3801),
    [anon_sym_sealed] = ACTIONS(3801),
    [anon_sym_virtual] = ACTIONS(3801),
    [anon_sym_volatile] = ACTIONS(3801),
    [anon_sym_where] = ACTIONS(3801),
    [anon_sym_notnull] = ACTIONS(3801),
    [anon_sym_unmanaged] = ACTIONS(3801),
    [anon_sym_checked] = ACTIONS(3801),
    [anon_sym_BANG] = ACTIONS(3803),
    [anon_sym_TILDE] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3803),
    [anon_sym_DASH_DASH] = ACTIONS(3803),
    [anon_sym_true] = ACTIONS(3801),
    [anon_sym_false] = ACTIONS(3801),
    [anon_sym_PLUS] = ACTIONS(3801),
    [anon_sym_DASH] = ACTIONS(3801),
    [anon_sym_STAR] = ACTIONS(3803),
    [anon_sym_CARET] = ACTIONS(3803),
    [anon_sym_AMP] = ACTIONS(3803),
    [anon_sym_this] = ACTIONS(3801),
    [anon_sym_scoped] = ACTIONS(3801),
    [anon_sym_base] = ACTIONS(3801),
    [anon_sym_var] = ACTIONS(3801),
    [sym_predefined_type] = ACTIONS(3801),
    [anon_sym_break] = ACTIONS(3801),
    [anon_sym_unchecked] = ACTIONS(3801),
    [anon_sym_continue] = ACTIONS(3801),
    [anon_sym_do] = ACTIONS(3801),
    [anon_sym_while] = ACTIONS(3801),
    [anon_sym_for] = ACTIONS(3801),
    [anon_sym_lock] = ACTIONS(3801),
    [anon_sym_yield] = ACTIONS(3801),
    [anon_sym_switch] = ACTIONS(3801),
    [anon_sym_default] = ACTIONS(3801),
    [anon_sym_throw] = ACTIONS(3801),
    [anon_sym_try] = ACTIONS(3801),
    [anon_sym_when] = ACTIONS(3801),
    [anon_sym_await] = ACTIONS(3801),
    [anon_sym_foreach] = ACTIONS(3801),
    [anon_sym_goto] = ACTIONS(3801),
    [anon_sym_if] = ACTIONS(3801),
    [anon_sym_DOT_DOT] = ACTIONS(3803),
    [anon_sym_from] = ACTIONS(3801),
    [anon_sym_into] = ACTIONS(3801),
    [anon_sym_join] = ACTIONS(3801),
    [anon_sym_on] = ACTIONS(3801),
    [anon_sym_equals] = ACTIONS(3801),
    [anon_sym_let] = ACTIONS(3801),
    [anon_sym_orderby] = ACTIONS(3801),
    [anon_sym_ascending] = ACTIONS(3801),
    [anon_sym_descending] = ACTIONS(3801),
    [anon_sym_group] = ACTIONS(3801),
    [anon_sym_by] = ACTIONS(3801),
    [anon_sym_select] = ACTIONS(3801),
    [anon_sym_DQUOTE] = ACTIONS(3803),
    [anon_sym_stackalloc] = ACTIONS(3801),
    [anon_sym_sizeof] = ACTIONS(3801),
    [anon_sym_typeof] = ACTIONS(3801),
    [anon_sym___makeref] = ACTIONS(3801),
    [anon_sym___reftype] = ACTIONS(3801),
    [anon_sym___refvalue] = ACTIONS(3801),
    [sym_null_literal] = ACTIONS(3801),
    [anon_sym_SQUOTE] = ACTIONS(3803),
    [sym_integer_literal] = ACTIONS(3801),
    [sym_real_literal] = ACTIONS(3803),
    [sym_verbatim_string_literal] = ACTIONS(3803),
    [aux_sym_preproc_if_token1] = ACTIONS(3803),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3803),
    [sym_interpolation_verbatim_start] = ACTIONS(3803),
    [sym_interpolation_raw_start] = ACTIONS(3803),
    [sym_raw_string_start] = ACTIONS(3803),
  },
  [2611] = {
    [sym_preproc_region] = STATE(2611),
    [sym_preproc_endregion] = STATE(2611),
    [sym_preproc_line] = STATE(2611),
    [sym_preproc_pragma] = STATE(2611),
    [sym_preproc_nullable] = STATE(2611),
    [sym_preproc_error] = STATE(2611),
    [sym_preproc_define] = STATE(2611),
    [sym_preproc_undef] = STATE(2611),
    [ts_builtin_sym_end] = ACTIONS(3807),
    [sym__identifier_token] = ACTIONS(3805),
    [anon_sym_extern] = ACTIONS(3805),
    [anon_sym_alias] = ACTIONS(3805),
    [anon_sym_SEMI] = ACTIONS(3807),
    [anon_sym_global] = ACTIONS(3805),
    [anon_sym_using] = ACTIONS(3805),
    [anon_sym_unsafe] = ACTIONS(3805),
    [anon_sym_static] = ACTIONS(3805),
    [anon_sym_LBRACK] = ACTIONS(3807),
    [anon_sym_LPAREN] = ACTIONS(3807),
    [anon_sym_return] = ACTIONS(3805),
    [anon_sym_namespace] = ACTIONS(3805),
    [anon_sym_class] = ACTIONS(3805),
    [anon_sym_ref] = ACTIONS(3805),
    [anon_sym_struct] = ACTIONS(3805),
    [anon_sym_enum] = ACTIONS(3805),
    [anon_sym_LBRACE] = ACTIONS(3807),
    [anon_sym_interface] = ACTIONS(3805),
    [anon_sym_delegate] = ACTIONS(3805),
    [anon_sym_record] = ACTIONS(3805),
    [anon_sym_abstract] = ACTIONS(3805),
    [anon_sym_async] = ACTIONS(3805),
    [anon_sym_const] = ACTIONS(3805),
    [anon_sym_file] = ACTIONS(3805),
    [anon_sym_fixed] = ACTIONS(3805),
    [anon_sym_internal] = ACTIONS(3805),
    [anon_sym_new] = ACTIONS(3805),
    [anon_sym_override] = ACTIONS(3805),
    [anon_sym_partial] = ACTIONS(3805),
    [anon_sym_private] = ACTIONS(3805),
    [anon_sym_protected] = ACTIONS(3805),
    [anon_sym_public] = ACTIONS(3805),
    [anon_sym_readonly] = ACTIONS(3805),
    [anon_sym_required] = ACTIONS(3805),
    [anon_sym_sealed] = ACTIONS(3805),
    [anon_sym_virtual] = ACTIONS(3805),
    [anon_sym_volatile] = ACTIONS(3805),
    [anon_sym_where] = ACTIONS(3805),
    [anon_sym_notnull] = ACTIONS(3805),
    [anon_sym_unmanaged] = ACTIONS(3805),
    [anon_sym_checked] = ACTIONS(3805),
    [anon_sym_BANG] = ACTIONS(3807),
    [anon_sym_TILDE] = ACTIONS(3807),
    [anon_sym_PLUS_PLUS] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(3807),
    [anon_sym_true] = ACTIONS(3805),
    [anon_sym_false] = ACTIONS(3805),
    [anon_sym_PLUS] = ACTIONS(3805),
    [anon_sym_DASH] = ACTIONS(3805),
    [anon_sym_STAR] = ACTIONS(3807),
    [anon_sym_CARET] = ACTIONS(3807),
    [anon_sym_AMP] = ACTIONS(3807),
    [anon_sym_this] = ACTIONS(3805),
    [anon_sym_scoped] = ACTIONS(3805),
    [anon_sym_base] = ACTIONS(3805),
    [anon_sym_var] = ACTIONS(3805),
    [sym_predefined_type] = ACTIONS(3805),
    [anon_sym_break] = ACTIONS(3805),
    [anon_sym_unchecked] = ACTIONS(3805),
    [anon_sym_continue] = ACTIONS(3805),
    [anon_sym_do] = ACTIONS(3805),
    [anon_sym_while] = ACTIONS(3805),
    [anon_sym_for] = ACTIONS(3805),
    [anon_sym_lock] = ACTIONS(3805),
    [anon_sym_yield] = ACTIONS(3805),
    [anon_sym_switch] = ACTIONS(3805),
    [anon_sym_default] = ACTIONS(3805),
    [anon_sym_throw] = ACTIONS(3805),
    [anon_sym_try] = ACTIONS(3805),
    [anon_sym_when] = ACTIONS(3805),
    [anon_sym_await] = ACTIONS(3805),
    [anon_sym_foreach] = ACTIONS(3805),
    [anon_sym_goto] = ACTIONS(3805),
    [anon_sym_if] = ACTIONS(3805),
    [anon_sym_DOT_DOT] = ACTIONS(3807),
    [anon_sym_from] = ACTIONS(3805),
    [anon_sym_into] = ACTIONS(3805),
    [anon_sym_join] = ACTIONS(3805),
    [anon_sym_on] = ACTIONS(3805),
    [anon_sym_equals] = ACTIONS(3805),
    [anon_sym_let] = ACTIONS(3805),
    [anon_sym_orderby] = ACTIONS(3805),
    [anon_sym_ascending] = ACTIONS(3805),
    [anon_sym_descending] = ACTIONS(3805),
    [anon_sym_group] = ACTIONS(3805),
    [anon_sym_by] = ACTIONS(3805),
    [anon_sym_select] = ACTIONS(3805),
    [anon_sym_DQUOTE] = ACTIONS(3807),
    [anon_sym_stackalloc] = ACTIONS(3805),
    [anon_sym_sizeof] = ACTIONS(3805),
    [anon_sym_typeof] = ACTIONS(3805),
    [anon_sym___makeref] = ACTIONS(3805),
    [anon_sym___reftype] = ACTIONS(3805),
    [anon_sym___refvalue] = ACTIONS(3805),
    [sym_null_literal] = ACTIONS(3805),
    [anon_sym_SQUOTE] = ACTIONS(3807),
    [sym_integer_literal] = ACTIONS(3805),
    [sym_real_literal] = ACTIONS(3807),
    [sym_verbatim_string_literal] = ACTIONS(3807),
    [aux_sym_preproc_if_token1] = ACTIONS(3807),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3807),
    [sym_interpolation_verbatim_start] = ACTIONS(3807),
    [sym_interpolation_raw_start] = ACTIONS(3807),
    [sym_raw_string_start] = ACTIONS(3807),
  },
  [2612] = {
    [sym_preproc_region] = STATE(2612),
    [sym_preproc_endregion] = STATE(2612),
    [sym_preproc_line] = STATE(2612),
    [sym_preproc_pragma] = STATE(2612),
    [sym_preproc_nullable] = STATE(2612),
    [sym_preproc_error] = STATE(2612),
    [sym_preproc_define] = STATE(2612),
    [sym_preproc_undef] = STATE(2612),
    [ts_builtin_sym_end] = ACTIONS(3505),
    [sym__identifier_token] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym_alias] = ACTIONS(3503),
    [anon_sym_SEMI] = ACTIONS(3505),
    [anon_sym_global] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_unsafe] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3505),
    [anon_sym_LPAREN] = ACTIONS(3505),
    [anon_sym_return] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_ref] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_LBRACE] = ACTIONS(3505),
    [anon_sym_interface] = ACTIONS(3503),
    [anon_sym_delegate] = ACTIONS(3503),
    [anon_sym_record] = ACTIONS(3503),
    [anon_sym_abstract] = ACTIONS(3503),
    [anon_sym_async] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_file] = ACTIONS(3503),
    [anon_sym_fixed] = ACTIONS(3503),
    [anon_sym_internal] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_override] = ACTIONS(3503),
    [anon_sym_partial] = ACTIONS(3503),
    [anon_sym_private] = ACTIONS(3503),
    [anon_sym_protected] = ACTIONS(3503),
    [anon_sym_public] = ACTIONS(3503),
    [anon_sym_readonly] = ACTIONS(3503),
    [anon_sym_required] = ACTIONS(3503),
    [anon_sym_sealed] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_where] = ACTIONS(3503),
    [anon_sym_notnull] = ACTIONS(3503),
    [anon_sym_unmanaged] = ACTIONS(3503),
    [anon_sym_checked] = ACTIONS(3503),
    [anon_sym_BANG] = ACTIONS(3505),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_PLUS_PLUS] = ACTIONS(3505),
    [anon_sym_DASH_DASH] = ACTIONS(3505),
    [anon_sym_true] = ACTIONS(3503),
    [anon_sym_false] = ACTIONS(3503),
    [anon_sym_PLUS] = ACTIONS(3503),
    [anon_sym_DASH] = ACTIONS(3503),
    [anon_sym_STAR] = ACTIONS(3505),
    [anon_sym_CARET] = ACTIONS(3505),
    [anon_sym_AMP] = ACTIONS(3505),
    [anon_sym_this] = ACTIONS(3503),
    [anon_sym_scoped] = ACTIONS(3503),
    [anon_sym_base] = ACTIONS(3503),
    [anon_sym_var] = ACTIONS(3503),
    [sym_predefined_type] = ACTIONS(3503),
    [anon_sym_break] = ACTIONS(3503),
    [anon_sym_unchecked] = ACTIONS(3503),
    [anon_sym_continue] = ACTIONS(3503),
    [anon_sym_do] = ACTIONS(3503),
    [anon_sym_while] = ACTIONS(3503),
    [anon_sym_for] = ACTIONS(3503),
    [anon_sym_lock] = ACTIONS(3503),
    [anon_sym_yield] = ACTIONS(3503),
    [anon_sym_switch] = ACTIONS(3503),
    [anon_sym_default] = ACTIONS(3503),
    [anon_sym_throw] = ACTIONS(3503),
    [anon_sym_try] = ACTIONS(3503),
    [anon_sym_when] = ACTIONS(3503),
    [anon_sym_await] = ACTIONS(3503),
    [anon_sym_foreach] = ACTIONS(3503),
    [anon_sym_goto] = ACTIONS(3503),
    [anon_sym_if] = ACTIONS(3503),
    [anon_sym_DOT_DOT] = ACTIONS(3505),
    [anon_sym_from] = ACTIONS(3503),
    [anon_sym_into] = ACTIONS(3503),
    [anon_sym_join] = ACTIONS(3503),
    [anon_sym_on] = ACTIONS(3503),
    [anon_sym_equals] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3503),
    [anon_sym_orderby] = ACTIONS(3503),
    [anon_sym_ascending] = ACTIONS(3503),
    [anon_sym_descending] = ACTIONS(3503),
    [anon_sym_group] = ACTIONS(3503),
    [anon_sym_by] = ACTIONS(3503),
    [anon_sym_select] = ACTIONS(3503),
    [anon_sym_DQUOTE] = ACTIONS(3505),
    [anon_sym_stackalloc] = ACTIONS(3503),
    [anon_sym_sizeof] = ACTIONS(3503),
    [anon_sym_typeof] = ACTIONS(3503),
    [anon_sym___makeref] = ACTIONS(3503),
    [anon_sym___reftype] = ACTIONS(3503),
    [anon_sym___refvalue] = ACTIONS(3503),
    [sym_null_literal] = ACTIONS(3503),
    [anon_sym_SQUOTE] = ACTIONS(3505),
    [sym_integer_literal] = ACTIONS(3503),
    [sym_real_literal] = ACTIONS(3505),
    [sym_verbatim_string_literal] = ACTIONS(3505),
    [aux_sym_preproc_if_token1] = ACTIONS(3505),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3505),
    [sym_interpolation_verbatim_start] = ACTIONS(3505),
    [sym_interpolation_raw_start] = ACTIONS(3505),
    [sym_raw_string_start] = ACTIONS(3505),
  },
  [2613] = {
    [sym_preproc_region] = STATE(2613),
    [sym_preproc_endregion] = STATE(2613),
    [sym_preproc_line] = STATE(2613),
    [sym_preproc_pragma] = STATE(2613),
    [sym_preproc_nullable] = STATE(2613),
    [sym_preproc_error] = STATE(2613),
    [sym_preproc_define] = STATE(2613),
    [sym_preproc_undef] = STATE(2613),
    [ts_builtin_sym_end] = ACTIONS(3811),
    [sym__identifier_token] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym_alias] = ACTIONS(3809),
    [anon_sym_SEMI] = ACTIONS(3811),
    [anon_sym_global] = ACTIONS(3809),
    [anon_sym_using] = ACTIONS(3809),
    [anon_sym_unsafe] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3811),
    [anon_sym_LPAREN] = ACTIONS(3811),
    [anon_sym_return] = ACTIONS(3809),
    [anon_sym_namespace] = ACTIONS(3809),
    [anon_sym_class] = ACTIONS(3809),
    [anon_sym_ref] = ACTIONS(3809),
    [anon_sym_struct] = ACTIONS(3809),
    [anon_sym_enum] = ACTIONS(3809),
    [anon_sym_LBRACE] = ACTIONS(3811),
    [anon_sym_interface] = ACTIONS(3809),
    [anon_sym_delegate] = ACTIONS(3809),
    [anon_sym_record] = ACTIONS(3809),
    [anon_sym_abstract] = ACTIONS(3809),
    [anon_sym_async] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_file] = ACTIONS(3809),
    [anon_sym_fixed] = ACTIONS(3809),
    [anon_sym_internal] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_override] = ACTIONS(3809),
    [anon_sym_partial] = ACTIONS(3809),
    [anon_sym_private] = ACTIONS(3809),
    [anon_sym_protected] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3809),
    [anon_sym_readonly] = ACTIONS(3809),
    [anon_sym_required] = ACTIONS(3809),
    [anon_sym_sealed] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_where] = ACTIONS(3809),
    [anon_sym_notnull] = ACTIONS(3809),
    [anon_sym_unmanaged] = ACTIONS(3809),
    [anon_sym_checked] = ACTIONS(3809),
    [anon_sym_BANG] = ACTIONS(3811),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_PLUS_PLUS] = ACTIONS(3811),
    [anon_sym_DASH_DASH] = ACTIONS(3811),
    [anon_sym_true] = ACTIONS(3809),
    [anon_sym_false] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3809),
    [anon_sym_STAR] = ACTIONS(3811),
    [anon_sym_CARET] = ACTIONS(3811),
    [anon_sym_AMP] = ACTIONS(3811),
    [anon_sym_this] = ACTIONS(3809),
    [anon_sym_scoped] = ACTIONS(3809),
    [anon_sym_base] = ACTIONS(3809),
    [anon_sym_var] = ACTIONS(3809),
    [sym_predefined_type] = ACTIONS(3809),
    [anon_sym_break] = ACTIONS(3809),
    [anon_sym_unchecked] = ACTIONS(3809),
    [anon_sym_continue] = ACTIONS(3809),
    [anon_sym_do] = ACTIONS(3809),
    [anon_sym_while] = ACTIONS(3809),
    [anon_sym_for] = ACTIONS(3809),
    [anon_sym_lock] = ACTIONS(3809),
    [anon_sym_yield] = ACTIONS(3809),
    [anon_sym_switch] = ACTIONS(3809),
    [anon_sym_default] = ACTIONS(3809),
    [anon_sym_throw] = ACTIONS(3809),
    [anon_sym_try] = ACTIONS(3809),
    [anon_sym_when] = ACTIONS(3809),
    [anon_sym_await] = ACTIONS(3809),
    [anon_sym_foreach] = ACTIONS(3809),
    [anon_sym_goto] = ACTIONS(3809),
    [anon_sym_if] = ACTIONS(3809),
    [anon_sym_DOT_DOT] = ACTIONS(3811),
    [anon_sym_from] = ACTIONS(3809),
    [anon_sym_into] = ACTIONS(3809),
    [anon_sym_join] = ACTIONS(3809),
    [anon_sym_on] = ACTIONS(3809),
    [anon_sym_equals] = ACTIONS(3809),
    [anon_sym_let] = ACTIONS(3809),
    [anon_sym_orderby] = ACTIONS(3809),
    [anon_sym_ascending] = ACTIONS(3809),
    [anon_sym_descending] = ACTIONS(3809),
    [anon_sym_group] = ACTIONS(3809),
    [anon_sym_by] = ACTIONS(3809),
    [anon_sym_select] = ACTIONS(3809),
    [anon_sym_DQUOTE] = ACTIONS(3811),
    [anon_sym_stackalloc] = ACTIONS(3809),
    [anon_sym_sizeof] = ACTIONS(3809),
    [anon_sym_typeof] = ACTIONS(3809),
    [anon_sym___makeref] = ACTIONS(3809),
    [anon_sym___reftype] = ACTIONS(3809),
    [anon_sym___refvalue] = ACTIONS(3809),
    [sym_null_literal] = ACTIONS(3809),
    [anon_sym_SQUOTE] = ACTIONS(3811),
    [sym_integer_literal] = ACTIONS(3809),
    [sym_real_literal] = ACTIONS(3811),
    [sym_verbatim_string_literal] = ACTIONS(3811),
    [aux_sym_preproc_if_token1] = ACTIONS(3811),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3811),
    [sym_interpolation_verbatim_start] = ACTIONS(3811),
    [sym_interpolation_raw_start] = ACTIONS(3811),
    [sym_raw_string_start] = ACTIONS(3811),
  },
  [2614] = {
    [sym_preproc_region] = STATE(2614),
    [sym_preproc_endregion] = STATE(2614),
    [sym_preproc_line] = STATE(2614),
    [sym_preproc_pragma] = STATE(2614),
    [sym_preproc_nullable] = STATE(2614),
    [sym_preproc_error] = STATE(2614),
    [sym_preproc_define] = STATE(2614),
    [sym_preproc_undef] = STATE(2614),
    [ts_builtin_sym_end] = ACTIONS(3815),
    [sym__identifier_token] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym_alias] = ACTIONS(3813),
    [anon_sym_SEMI] = ACTIONS(3815),
    [anon_sym_global] = ACTIONS(3813),
    [anon_sym_using] = ACTIONS(3813),
    [anon_sym_unsafe] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(3815),
    [anon_sym_return] = ACTIONS(3813),
    [anon_sym_namespace] = ACTIONS(3813),
    [anon_sym_class] = ACTIONS(3813),
    [anon_sym_ref] = ACTIONS(3813),
    [anon_sym_struct] = ACTIONS(3813),
    [anon_sym_enum] = ACTIONS(3813),
    [anon_sym_LBRACE] = ACTIONS(3815),
    [anon_sym_interface] = ACTIONS(3813),
    [anon_sym_delegate] = ACTIONS(3813),
    [anon_sym_record] = ACTIONS(3813),
    [anon_sym_abstract] = ACTIONS(3813),
    [anon_sym_async] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_file] = ACTIONS(3813),
    [anon_sym_fixed] = ACTIONS(3813),
    [anon_sym_internal] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3813),
    [anon_sym_override] = ACTIONS(3813),
    [anon_sym_partial] = ACTIONS(3813),
    [anon_sym_private] = ACTIONS(3813),
    [anon_sym_protected] = ACTIONS(3813),
    [anon_sym_public] = ACTIONS(3813),
    [anon_sym_readonly] = ACTIONS(3813),
    [anon_sym_required] = ACTIONS(3813),
    [anon_sym_sealed] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_where] = ACTIONS(3813),
    [anon_sym_notnull] = ACTIONS(3813),
    [anon_sym_unmanaged] = ACTIONS(3813),
    [anon_sym_checked] = ACTIONS(3813),
    [anon_sym_BANG] = ACTIONS(3815),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_PLUS_PLUS] = ACTIONS(3815),
    [anon_sym_DASH_DASH] = ACTIONS(3815),
    [anon_sym_true] = ACTIONS(3813),
    [anon_sym_false] = ACTIONS(3813),
    [anon_sym_PLUS] = ACTIONS(3813),
    [anon_sym_DASH] = ACTIONS(3813),
    [anon_sym_STAR] = ACTIONS(3815),
    [anon_sym_CARET] = ACTIONS(3815),
    [anon_sym_AMP] = ACTIONS(3815),
    [anon_sym_this] = ACTIONS(3813),
    [anon_sym_scoped] = ACTIONS(3813),
    [anon_sym_base] = ACTIONS(3813),
    [anon_sym_var] = ACTIONS(3813),
    [sym_predefined_type] = ACTIONS(3813),
    [anon_sym_break] = ACTIONS(3813),
    [anon_sym_unchecked] = ACTIONS(3813),
    [anon_sym_continue] = ACTIONS(3813),
    [anon_sym_do] = ACTIONS(3813),
    [anon_sym_while] = ACTIONS(3813),
    [anon_sym_for] = ACTIONS(3813),
    [anon_sym_lock] = ACTIONS(3813),
    [anon_sym_yield] = ACTIONS(3813),
    [anon_sym_switch] = ACTIONS(3813),
    [anon_sym_default] = ACTIONS(3813),
    [anon_sym_throw] = ACTIONS(3813),
    [anon_sym_try] = ACTIONS(3813),
    [anon_sym_when] = ACTIONS(3813),
    [anon_sym_await] = ACTIONS(3813),
    [anon_sym_foreach] = ACTIONS(3813),
    [anon_sym_goto] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(3813),
    [anon_sym_DOT_DOT] = ACTIONS(3815),
    [anon_sym_from] = ACTIONS(3813),
    [anon_sym_into] = ACTIONS(3813),
    [anon_sym_join] = ACTIONS(3813),
    [anon_sym_on] = ACTIONS(3813),
    [anon_sym_equals] = ACTIONS(3813),
    [anon_sym_let] = ACTIONS(3813),
    [anon_sym_orderby] = ACTIONS(3813),
    [anon_sym_ascending] = ACTIONS(3813),
    [anon_sym_descending] = ACTIONS(3813),
    [anon_sym_group] = ACTIONS(3813),
    [anon_sym_by] = ACTIONS(3813),
    [anon_sym_select] = ACTIONS(3813),
    [anon_sym_DQUOTE] = ACTIONS(3815),
    [anon_sym_stackalloc] = ACTIONS(3813),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym_typeof] = ACTIONS(3813),
    [anon_sym___makeref] = ACTIONS(3813),
    [anon_sym___reftype] = ACTIONS(3813),
    [anon_sym___refvalue] = ACTIONS(3813),
    [sym_null_literal] = ACTIONS(3813),
    [anon_sym_SQUOTE] = ACTIONS(3815),
    [sym_integer_literal] = ACTIONS(3813),
    [sym_real_literal] = ACTIONS(3815),
    [sym_verbatim_string_literal] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3815),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3815),
    [sym_interpolation_verbatim_start] = ACTIONS(3815),
    [sym_interpolation_raw_start] = ACTIONS(3815),
    [sym_raw_string_start] = ACTIONS(3815),
  },
  [2615] = {
    [sym_preproc_region] = STATE(2615),
    [sym_preproc_endregion] = STATE(2615),
    [sym_preproc_line] = STATE(2615),
    [sym_preproc_pragma] = STATE(2615),
    [sym_preproc_nullable] = STATE(2615),
    [sym_preproc_error] = STATE(2615),
    [sym_preproc_define] = STATE(2615),
    [sym_preproc_undef] = STATE(2615),
    [ts_builtin_sym_end] = ACTIONS(3859),
    [sym__identifier_token] = ACTIONS(3857),
    [anon_sym_extern] = ACTIONS(3857),
    [anon_sym_alias] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3859),
    [anon_sym_global] = ACTIONS(3857),
    [anon_sym_using] = ACTIONS(3857),
    [anon_sym_unsafe] = ACTIONS(3857),
    [anon_sym_static] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3859),
    [anon_sym_return] = ACTIONS(3857),
    [anon_sym_namespace] = ACTIONS(3857),
    [anon_sym_class] = ACTIONS(3857),
    [anon_sym_ref] = ACTIONS(3857),
    [anon_sym_struct] = ACTIONS(3857),
    [anon_sym_enum] = ACTIONS(3857),
    [anon_sym_LBRACE] = ACTIONS(3859),
    [anon_sym_interface] = ACTIONS(3857),
    [anon_sym_delegate] = ACTIONS(3857),
    [anon_sym_record] = ACTIONS(3857),
    [anon_sym_abstract] = ACTIONS(3857),
    [anon_sym_async] = ACTIONS(3857),
    [anon_sym_const] = ACTIONS(3857),
    [anon_sym_file] = ACTIONS(3857),
    [anon_sym_fixed] = ACTIONS(3857),
    [anon_sym_internal] = ACTIONS(3857),
    [anon_sym_new] = ACTIONS(3857),
    [anon_sym_override] = ACTIONS(3857),
    [anon_sym_partial] = ACTIONS(3857),
    [anon_sym_private] = ACTIONS(3857),
    [anon_sym_protected] = ACTIONS(3857),
    [anon_sym_public] = ACTIONS(3857),
    [anon_sym_readonly] = ACTIONS(3857),
    [anon_sym_required] = ACTIONS(3857),
    [anon_sym_sealed] = ACTIONS(3857),
    [anon_sym_virtual] = ACTIONS(3857),
    [anon_sym_volatile] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_notnull] = ACTIONS(3857),
    [anon_sym_unmanaged] = ACTIONS(3857),
    [anon_sym_checked] = ACTIONS(3857),
    [anon_sym_BANG] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_PLUS_PLUS] = ACTIONS(3859),
    [anon_sym_DASH_DASH] = ACTIONS(3859),
    [anon_sym_true] = ACTIONS(3857),
    [anon_sym_false] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3857),
    [anon_sym_DASH] = ACTIONS(3857),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_CARET] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_this] = ACTIONS(3857),
    [anon_sym_scoped] = ACTIONS(3857),
    [anon_sym_base] = ACTIONS(3857),
    [anon_sym_var] = ACTIONS(3857),
    [sym_predefined_type] = ACTIONS(3857),
    [anon_sym_break] = ACTIONS(3857),
    [anon_sym_unchecked] = ACTIONS(3857),
    [anon_sym_continue] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_while] = ACTIONS(3857),
    [anon_sym_for] = ACTIONS(3857),
    [anon_sym_lock] = ACTIONS(3857),
    [anon_sym_yield] = ACTIONS(3857),
    [anon_sym_switch] = ACTIONS(3857),
    [anon_sym_default] = ACTIONS(3857),
    [anon_sym_throw] = ACTIONS(3857),
    [anon_sym_try] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_await] = ACTIONS(3857),
    [anon_sym_foreach] = ACTIONS(3857),
    [anon_sym_goto] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3859),
    [anon_sym_from] = ACTIONS(3857),
    [anon_sym_into] = ACTIONS(3857),
    [anon_sym_join] = ACTIONS(3857),
    [anon_sym_on] = ACTIONS(3857),
    [anon_sym_equals] = ACTIONS(3857),
    [anon_sym_let] = ACTIONS(3857),
    [anon_sym_orderby] = ACTIONS(3857),
    [anon_sym_ascending] = ACTIONS(3857),
    [anon_sym_descending] = ACTIONS(3857),
    [anon_sym_group] = ACTIONS(3857),
    [anon_sym_by] = ACTIONS(3857),
    [anon_sym_select] = ACTIONS(3857),
    [anon_sym_DQUOTE] = ACTIONS(3859),
    [anon_sym_stackalloc] = ACTIONS(3857),
    [anon_sym_sizeof] = ACTIONS(3857),
    [anon_sym_typeof] = ACTIONS(3857),
    [anon_sym___makeref] = ACTIONS(3857),
    [anon_sym___reftype] = ACTIONS(3857),
    [anon_sym___refvalue] = ACTIONS(3857),
    [sym_null_literal] = ACTIONS(3857),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [sym_integer_literal] = ACTIONS(3857),
    [sym_real_literal] = ACTIONS(3859),
    [sym_verbatim_string_literal] = ACTIONS(3859),
    [aux_sym_preproc_if_token1] = ACTIONS(3859),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3859),
    [sym_interpolation_verbatim_start] = ACTIONS(3859),
    [sym_interpolation_raw_start] = ACTIONS(3859),
    [sym_raw_string_start] = ACTIONS(3859),
  },
  [2616] = {
    [sym_preproc_region] = STATE(2616),
    [sym_preproc_endregion] = STATE(2616),
    [sym_preproc_line] = STATE(2616),
    [sym_preproc_pragma] = STATE(2616),
    [sym_preproc_nullable] = STATE(2616),
    [sym_preproc_error] = STATE(2616),
    [sym_preproc_define] = STATE(2616),
    [sym_preproc_undef] = STATE(2616),
    [ts_builtin_sym_end] = ACTIONS(3783),
    [sym__identifier_token] = ACTIONS(3781),
    [anon_sym_extern] = ACTIONS(3781),
    [anon_sym_alias] = ACTIONS(3781),
    [anon_sym_SEMI] = ACTIONS(3783),
    [anon_sym_global] = ACTIONS(3781),
    [anon_sym_using] = ACTIONS(3781),
    [anon_sym_unsafe] = ACTIONS(3781),
    [anon_sym_static] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3783),
    [anon_sym_LPAREN] = ACTIONS(3783),
    [anon_sym_return] = ACTIONS(3781),
    [anon_sym_namespace] = ACTIONS(3781),
    [anon_sym_class] = ACTIONS(3781),
    [anon_sym_ref] = ACTIONS(3781),
    [anon_sym_struct] = ACTIONS(3781),
    [anon_sym_enum] = ACTIONS(3781),
    [anon_sym_LBRACE] = ACTIONS(3783),
    [anon_sym_interface] = ACTIONS(3781),
    [anon_sym_delegate] = ACTIONS(3781),
    [anon_sym_record] = ACTIONS(3781),
    [anon_sym_abstract] = ACTIONS(3781),
    [anon_sym_async] = ACTIONS(3781),
    [anon_sym_const] = ACTIONS(3781),
    [anon_sym_file] = ACTIONS(3781),
    [anon_sym_fixed] = ACTIONS(3781),
    [anon_sym_internal] = ACTIONS(3781),
    [anon_sym_new] = ACTIONS(3781),
    [anon_sym_override] = ACTIONS(3781),
    [anon_sym_partial] = ACTIONS(3781),
    [anon_sym_private] = ACTIONS(3781),
    [anon_sym_protected] = ACTIONS(3781),
    [anon_sym_public] = ACTIONS(3781),
    [anon_sym_readonly] = ACTIONS(3781),
    [anon_sym_required] = ACTIONS(3781),
    [anon_sym_sealed] = ACTIONS(3781),
    [anon_sym_virtual] = ACTIONS(3781),
    [anon_sym_volatile] = ACTIONS(3781),
    [anon_sym_where] = ACTIONS(3781),
    [anon_sym_notnull] = ACTIONS(3781),
    [anon_sym_unmanaged] = ACTIONS(3781),
    [anon_sym_checked] = ACTIONS(3781),
    [anon_sym_BANG] = ACTIONS(3783),
    [anon_sym_TILDE] = ACTIONS(3783),
    [anon_sym_PLUS_PLUS] = ACTIONS(3783),
    [anon_sym_DASH_DASH] = ACTIONS(3783),
    [anon_sym_true] = ACTIONS(3781),
    [anon_sym_false] = ACTIONS(3781),
    [anon_sym_PLUS] = ACTIONS(3781),
    [anon_sym_DASH] = ACTIONS(3781),
    [anon_sym_STAR] = ACTIONS(3783),
    [anon_sym_CARET] = ACTIONS(3783),
    [anon_sym_AMP] = ACTIONS(3783),
    [anon_sym_this] = ACTIONS(3781),
    [anon_sym_scoped] = ACTIONS(3781),
    [anon_sym_base] = ACTIONS(3781),
    [anon_sym_var] = ACTIONS(3781),
    [sym_predefined_type] = ACTIONS(3781),
    [anon_sym_break] = ACTIONS(3781),
    [anon_sym_unchecked] = ACTIONS(3781),
    [anon_sym_continue] = ACTIONS(3781),
    [anon_sym_do] = ACTIONS(3781),
    [anon_sym_while] = ACTIONS(3781),
    [anon_sym_for] = ACTIONS(3781),
    [anon_sym_lock] = ACTIONS(3781),
    [anon_sym_yield] = ACTIONS(3781),
    [anon_sym_switch] = ACTIONS(3781),
    [anon_sym_default] = ACTIONS(3781),
    [anon_sym_throw] = ACTIONS(3781),
    [anon_sym_try] = ACTIONS(3781),
    [anon_sym_when] = ACTIONS(3781),
    [anon_sym_await] = ACTIONS(3781),
    [anon_sym_foreach] = ACTIONS(3781),
    [anon_sym_goto] = ACTIONS(3781),
    [anon_sym_if] = ACTIONS(3781),
    [anon_sym_DOT_DOT] = ACTIONS(3783),
    [anon_sym_from] = ACTIONS(3781),
    [anon_sym_into] = ACTIONS(3781),
    [anon_sym_join] = ACTIONS(3781),
    [anon_sym_on] = ACTIONS(3781),
    [anon_sym_equals] = ACTIONS(3781),
    [anon_sym_let] = ACTIONS(3781),
    [anon_sym_orderby] = ACTIONS(3781),
    [anon_sym_ascending] = ACTIONS(3781),
    [anon_sym_descending] = ACTIONS(3781),
    [anon_sym_group] = ACTIONS(3781),
    [anon_sym_by] = ACTIONS(3781),
    [anon_sym_select] = ACTIONS(3781),
    [anon_sym_DQUOTE] = ACTIONS(3783),
    [anon_sym_stackalloc] = ACTIONS(3781),
    [anon_sym_sizeof] = ACTIONS(3781),
    [anon_sym_typeof] = ACTIONS(3781),
    [anon_sym___makeref] = ACTIONS(3781),
    [anon_sym___reftype] = ACTIONS(3781),
    [anon_sym___refvalue] = ACTIONS(3781),
    [sym_null_literal] = ACTIONS(3781),
    [anon_sym_SQUOTE] = ACTIONS(3783),
    [sym_integer_literal] = ACTIONS(3781),
    [sym_real_literal] = ACTIONS(3783),
    [sym_verbatim_string_literal] = ACTIONS(3783),
    [aux_sym_preproc_if_token1] = ACTIONS(3783),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3783),
    [sym_interpolation_verbatim_start] = ACTIONS(3783),
    [sym_interpolation_raw_start] = ACTIONS(3783),
    [sym_raw_string_start] = ACTIONS(3783),
  },
  [2617] = {
    [sym_preproc_region] = STATE(2617),
    [sym_preproc_endregion] = STATE(2617),
    [sym_preproc_line] = STATE(2617),
    [sym_preproc_pragma] = STATE(2617),
    [sym_preproc_nullable] = STATE(2617),
    [sym_preproc_error] = STATE(2617),
    [sym_preproc_define] = STATE(2617),
    [sym_preproc_undef] = STATE(2617),
    [ts_builtin_sym_end] = ACTIONS(3963),
    [sym__identifier_token] = ACTIONS(3961),
    [anon_sym_extern] = ACTIONS(3961),
    [anon_sym_alias] = ACTIONS(3961),
    [anon_sym_SEMI] = ACTIONS(3963),
    [anon_sym_global] = ACTIONS(3961),
    [anon_sym_using] = ACTIONS(3961),
    [anon_sym_unsafe] = ACTIONS(3961),
    [anon_sym_static] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(3963),
    [anon_sym_return] = ACTIONS(3961),
    [anon_sym_namespace] = ACTIONS(3961),
    [anon_sym_class] = ACTIONS(3961),
    [anon_sym_ref] = ACTIONS(3961),
    [anon_sym_struct] = ACTIONS(3961),
    [anon_sym_enum] = ACTIONS(3961),
    [anon_sym_LBRACE] = ACTIONS(3963),
    [anon_sym_interface] = ACTIONS(3961),
    [anon_sym_delegate] = ACTIONS(3961),
    [anon_sym_record] = ACTIONS(3961),
    [anon_sym_abstract] = ACTIONS(3961),
    [anon_sym_async] = ACTIONS(3961),
    [anon_sym_const] = ACTIONS(3961),
    [anon_sym_file] = ACTIONS(3961),
    [anon_sym_fixed] = ACTIONS(3961),
    [anon_sym_internal] = ACTIONS(3961),
    [anon_sym_new] = ACTIONS(3961),
    [anon_sym_override] = ACTIONS(3961),
    [anon_sym_partial] = ACTIONS(3961),
    [anon_sym_private] = ACTIONS(3961),
    [anon_sym_protected] = ACTIONS(3961),
    [anon_sym_public] = ACTIONS(3961),
    [anon_sym_readonly] = ACTIONS(3961),
    [anon_sym_required] = ACTIONS(3961),
    [anon_sym_sealed] = ACTIONS(3961),
    [anon_sym_virtual] = ACTIONS(3961),
    [anon_sym_volatile] = ACTIONS(3961),
    [anon_sym_where] = ACTIONS(3961),
    [anon_sym_notnull] = ACTIONS(3961),
    [anon_sym_unmanaged] = ACTIONS(3961),
    [anon_sym_checked] = ACTIONS(3961),
    [anon_sym_BANG] = ACTIONS(3963),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_PLUS_PLUS] = ACTIONS(3963),
    [anon_sym_DASH_DASH] = ACTIONS(3963),
    [anon_sym_true] = ACTIONS(3961),
    [anon_sym_false] = ACTIONS(3961),
    [anon_sym_PLUS] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3961),
    [anon_sym_STAR] = ACTIONS(3963),
    [anon_sym_CARET] = ACTIONS(3963),
    [anon_sym_AMP] = ACTIONS(3963),
    [anon_sym_this] = ACTIONS(3961),
    [anon_sym_scoped] = ACTIONS(3961),
    [anon_sym_base] = ACTIONS(3961),
    [anon_sym_var] = ACTIONS(3961),
    [sym_predefined_type] = ACTIONS(3961),
    [anon_sym_break] = ACTIONS(3961),
    [anon_sym_unchecked] = ACTIONS(3961),
    [anon_sym_continue] = ACTIONS(3961),
    [anon_sym_do] = ACTIONS(3961),
    [anon_sym_while] = ACTIONS(3961),
    [anon_sym_for] = ACTIONS(3961),
    [anon_sym_lock] = ACTIONS(3961),
    [anon_sym_yield] = ACTIONS(3961),
    [anon_sym_switch] = ACTIONS(3961),
    [anon_sym_default] = ACTIONS(3961),
    [anon_sym_throw] = ACTIONS(3961),
    [anon_sym_try] = ACTIONS(3961),
    [anon_sym_when] = ACTIONS(3961),
    [anon_sym_await] = ACTIONS(3961),
    [anon_sym_foreach] = ACTIONS(3961),
    [anon_sym_goto] = ACTIONS(3961),
    [anon_sym_if] = ACTIONS(3961),
    [anon_sym_DOT_DOT] = ACTIONS(3963),
    [anon_sym_from] = ACTIONS(3961),
    [anon_sym_into] = ACTIONS(3961),
    [anon_sym_join] = ACTIONS(3961),
    [anon_sym_on] = ACTIONS(3961),
    [anon_sym_equals] = ACTIONS(3961),
    [anon_sym_let] = ACTIONS(3961),
    [anon_sym_orderby] = ACTIONS(3961),
    [anon_sym_ascending] = ACTIONS(3961),
    [anon_sym_descending] = ACTIONS(3961),
    [anon_sym_group] = ACTIONS(3961),
    [anon_sym_by] = ACTIONS(3961),
    [anon_sym_select] = ACTIONS(3961),
    [anon_sym_DQUOTE] = ACTIONS(3963),
    [anon_sym_stackalloc] = ACTIONS(3961),
    [anon_sym_sizeof] = ACTIONS(3961),
    [anon_sym_typeof] = ACTIONS(3961),
    [anon_sym___makeref] = ACTIONS(3961),
    [anon_sym___reftype] = ACTIONS(3961),
    [anon_sym___refvalue] = ACTIONS(3961),
    [sym_null_literal] = ACTIONS(3961),
    [anon_sym_SQUOTE] = ACTIONS(3963),
    [sym_integer_literal] = ACTIONS(3961),
    [sym_real_literal] = ACTIONS(3963),
    [sym_verbatim_string_literal] = ACTIONS(3963),
    [aux_sym_preproc_if_token1] = ACTIONS(3963),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3963),
    [sym_interpolation_verbatim_start] = ACTIONS(3963),
    [sym_interpolation_raw_start] = ACTIONS(3963),
    [sym_raw_string_start] = ACTIONS(3963),
  },
  [2618] = {
    [sym_preproc_region] = STATE(2618),
    [sym_preproc_endregion] = STATE(2618),
    [sym_preproc_line] = STATE(2618),
    [sym_preproc_pragma] = STATE(2618),
    [sym_preproc_nullable] = STATE(2618),
    [sym_preproc_error] = STATE(2618),
    [sym_preproc_define] = STATE(2618),
    [sym_preproc_undef] = STATE(2618),
    [ts_builtin_sym_end] = ACTIONS(3863),
    [sym__identifier_token] = ACTIONS(3861),
    [anon_sym_extern] = ACTIONS(3861),
    [anon_sym_alias] = ACTIONS(3861),
    [anon_sym_SEMI] = ACTIONS(3863),
    [anon_sym_global] = ACTIONS(3861),
    [anon_sym_using] = ACTIONS(3861),
    [anon_sym_unsafe] = ACTIONS(3861),
    [anon_sym_static] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3863),
    [anon_sym_LPAREN] = ACTIONS(3863),
    [anon_sym_return] = ACTIONS(3861),
    [anon_sym_namespace] = ACTIONS(3861),
    [anon_sym_class] = ACTIONS(3861),
    [anon_sym_ref] = ACTIONS(3861),
    [anon_sym_struct] = ACTIONS(3861),
    [anon_sym_enum] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3863),
    [anon_sym_interface] = ACTIONS(3861),
    [anon_sym_delegate] = ACTIONS(3861),
    [anon_sym_record] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3861),
    [anon_sym_async] = ACTIONS(3861),
    [anon_sym_const] = ACTIONS(3861),
    [anon_sym_file] = ACTIONS(3861),
    [anon_sym_fixed] = ACTIONS(3861),
    [anon_sym_internal] = ACTIONS(3861),
    [anon_sym_new] = ACTIONS(3861),
    [anon_sym_override] = ACTIONS(3861),
    [anon_sym_partial] = ACTIONS(3861),
    [anon_sym_private] = ACTIONS(3861),
    [anon_sym_protected] = ACTIONS(3861),
    [anon_sym_public] = ACTIONS(3861),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_required] = ACTIONS(3861),
    [anon_sym_sealed] = ACTIONS(3861),
    [anon_sym_virtual] = ACTIONS(3861),
    [anon_sym_volatile] = ACTIONS(3861),
    [anon_sym_where] = ACTIONS(3861),
    [anon_sym_notnull] = ACTIONS(3861),
    [anon_sym_unmanaged] = ACTIONS(3861),
    [anon_sym_checked] = ACTIONS(3861),
    [anon_sym_BANG] = ACTIONS(3863),
    [anon_sym_TILDE] = ACTIONS(3863),
    [anon_sym_PLUS_PLUS] = ACTIONS(3863),
    [anon_sym_DASH_DASH] = ACTIONS(3863),
    [anon_sym_true] = ACTIONS(3861),
    [anon_sym_false] = ACTIONS(3861),
    [anon_sym_PLUS] = ACTIONS(3861),
    [anon_sym_DASH] = ACTIONS(3861),
    [anon_sym_STAR] = ACTIONS(3863),
    [anon_sym_CARET] = ACTIONS(3863),
    [anon_sym_AMP] = ACTIONS(3863),
    [anon_sym_this] = ACTIONS(3861),
    [anon_sym_scoped] = ACTIONS(3861),
    [anon_sym_base] = ACTIONS(3861),
    [anon_sym_var] = ACTIONS(3861),
    [sym_predefined_type] = ACTIONS(3861),
    [anon_sym_break] = ACTIONS(3861),
    [anon_sym_unchecked] = ACTIONS(3861),
    [anon_sym_continue] = ACTIONS(3861),
    [anon_sym_do] = ACTIONS(3861),
    [anon_sym_while] = ACTIONS(3861),
    [anon_sym_for] = ACTIONS(3861),
    [anon_sym_lock] = ACTIONS(3861),
    [anon_sym_yield] = ACTIONS(3861),
    [anon_sym_switch] = ACTIONS(3861),
    [anon_sym_default] = ACTIONS(3861),
    [anon_sym_throw] = ACTIONS(3861),
    [anon_sym_try] = ACTIONS(3861),
    [anon_sym_when] = ACTIONS(3861),
    [anon_sym_await] = ACTIONS(3861),
    [anon_sym_foreach] = ACTIONS(3861),
    [anon_sym_goto] = ACTIONS(3861),
    [anon_sym_if] = ACTIONS(3861),
    [anon_sym_DOT_DOT] = ACTIONS(3863),
    [anon_sym_from] = ACTIONS(3861),
    [anon_sym_into] = ACTIONS(3861),
    [anon_sym_join] = ACTIONS(3861),
    [anon_sym_on] = ACTIONS(3861),
    [anon_sym_equals] = ACTIONS(3861),
    [anon_sym_let] = ACTIONS(3861),
    [anon_sym_orderby] = ACTIONS(3861),
    [anon_sym_ascending] = ACTIONS(3861),
    [anon_sym_descending] = ACTIONS(3861),
    [anon_sym_group] = ACTIONS(3861),
    [anon_sym_by] = ACTIONS(3861),
    [anon_sym_select] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3863),
    [anon_sym_stackalloc] = ACTIONS(3861),
    [anon_sym_sizeof] = ACTIONS(3861),
    [anon_sym_typeof] = ACTIONS(3861),
    [anon_sym___makeref] = ACTIONS(3861),
    [anon_sym___reftype] = ACTIONS(3861),
    [anon_sym___refvalue] = ACTIONS(3861),
    [sym_null_literal] = ACTIONS(3861),
    [anon_sym_SQUOTE] = ACTIONS(3863),
    [sym_integer_literal] = ACTIONS(3861),
    [sym_real_literal] = ACTIONS(3863),
    [sym_verbatim_string_literal] = ACTIONS(3863),
    [aux_sym_preproc_if_token1] = ACTIONS(3863),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3863),
    [sym_interpolation_verbatim_start] = ACTIONS(3863),
    [sym_interpolation_raw_start] = ACTIONS(3863),
    [sym_raw_string_start] = ACTIONS(3863),
  },
  [2619] = {
    [sym_preproc_region] = STATE(2619),
    [sym_preproc_endregion] = STATE(2619),
    [sym_preproc_line] = STATE(2619),
    [sym_preproc_pragma] = STATE(2619),
    [sym_preproc_nullable] = STATE(2619),
    [sym_preproc_error] = STATE(2619),
    [sym_preproc_define] = STATE(2619),
    [sym_preproc_undef] = STATE(2619),
    [ts_builtin_sym_end] = ACTIONS(3449),
    [sym__identifier_token] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym_alias] = ACTIONS(3447),
    [anon_sym_SEMI] = ACTIONS(3449),
    [anon_sym_global] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_unsafe] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_return] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_ref] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_LBRACE] = ACTIONS(3449),
    [anon_sym_interface] = ACTIONS(3447),
    [anon_sym_delegate] = ACTIONS(3447),
    [anon_sym_record] = ACTIONS(3447),
    [anon_sym_abstract] = ACTIONS(3447),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_file] = ACTIONS(3447),
    [anon_sym_fixed] = ACTIONS(3447),
    [anon_sym_internal] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_override] = ACTIONS(3447),
    [anon_sym_partial] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_readonly] = ACTIONS(3447),
    [anon_sym_required] = ACTIONS(3447),
    [anon_sym_sealed] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_where] = ACTIONS(3447),
    [anon_sym_notnull] = ACTIONS(3447),
    [anon_sym_unmanaged] = ACTIONS(3447),
    [anon_sym_checked] = ACTIONS(3447),
    [anon_sym_BANG] = ACTIONS(3449),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_PLUS_PLUS] = ACTIONS(3449),
    [anon_sym_DASH_DASH] = ACTIONS(3449),
    [anon_sym_true] = ACTIONS(3447),
    [anon_sym_false] = ACTIONS(3447),
    [anon_sym_PLUS] = ACTIONS(3447),
    [anon_sym_DASH] = ACTIONS(3447),
    [anon_sym_STAR] = ACTIONS(3449),
    [anon_sym_CARET] = ACTIONS(3449),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_this] = ACTIONS(3447),
    [anon_sym_scoped] = ACTIONS(3447),
    [anon_sym_base] = ACTIONS(3447),
    [anon_sym_var] = ACTIONS(3447),
    [sym_predefined_type] = ACTIONS(3447),
    [anon_sym_break] = ACTIONS(3447),
    [anon_sym_unchecked] = ACTIONS(3447),
    [anon_sym_continue] = ACTIONS(3447),
    [anon_sym_do] = ACTIONS(3447),
    [anon_sym_while] = ACTIONS(3447),
    [anon_sym_for] = ACTIONS(3447),
    [anon_sym_lock] = ACTIONS(3447),
    [anon_sym_yield] = ACTIONS(3447),
    [anon_sym_switch] = ACTIONS(3447),
    [anon_sym_default] = ACTIONS(3447),
    [anon_sym_throw] = ACTIONS(3447),
    [anon_sym_try] = ACTIONS(3447),
    [anon_sym_when] = ACTIONS(3447),
    [anon_sym_await] = ACTIONS(3447),
    [anon_sym_foreach] = ACTIONS(3447),
    [anon_sym_goto] = ACTIONS(3447),
    [anon_sym_if] = ACTIONS(3447),
    [anon_sym_DOT_DOT] = ACTIONS(3449),
    [anon_sym_from] = ACTIONS(3447),
    [anon_sym_into] = ACTIONS(3447),
    [anon_sym_join] = ACTIONS(3447),
    [anon_sym_on] = ACTIONS(3447),
    [anon_sym_equals] = ACTIONS(3447),
    [anon_sym_let] = ACTIONS(3447),
    [anon_sym_orderby] = ACTIONS(3447),
    [anon_sym_ascending] = ACTIONS(3447),
    [anon_sym_descending] = ACTIONS(3447),
    [anon_sym_group] = ACTIONS(3447),
    [anon_sym_by] = ACTIONS(3447),
    [anon_sym_select] = ACTIONS(3447),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [anon_sym_stackalloc] = ACTIONS(3447),
    [anon_sym_sizeof] = ACTIONS(3447),
    [anon_sym_typeof] = ACTIONS(3447),
    [anon_sym___makeref] = ACTIONS(3447),
    [anon_sym___reftype] = ACTIONS(3447),
    [anon_sym___refvalue] = ACTIONS(3447),
    [sym_null_literal] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3449),
    [sym_integer_literal] = ACTIONS(3447),
    [sym_real_literal] = ACTIONS(3449),
    [sym_verbatim_string_literal] = ACTIONS(3449),
    [aux_sym_preproc_if_token1] = ACTIONS(3449),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3449),
    [sym_interpolation_verbatim_start] = ACTIONS(3449),
    [sym_interpolation_raw_start] = ACTIONS(3449),
    [sym_raw_string_start] = ACTIONS(3449),
  },
  [2620] = {
    [sym_preproc_region] = STATE(2620),
    [sym_preproc_endregion] = STATE(2620),
    [sym_preproc_line] = STATE(2620),
    [sym_preproc_pragma] = STATE(2620),
    [sym_preproc_nullable] = STATE(2620),
    [sym_preproc_error] = STATE(2620),
    [sym_preproc_define] = STATE(2620),
    [sym_preproc_undef] = STATE(2620),
    [ts_builtin_sym_end] = ACTIONS(3433),
    [sym__identifier_token] = ACTIONS(3431),
    [anon_sym_extern] = ACTIONS(3431),
    [anon_sym_alias] = ACTIONS(3431),
    [anon_sym_SEMI] = ACTIONS(3433),
    [anon_sym_global] = ACTIONS(3431),
    [anon_sym_using] = ACTIONS(3431),
    [anon_sym_unsafe] = ACTIONS(3431),
    [anon_sym_static] = ACTIONS(3431),
    [anon_sym_LBRACK] = ACTIONS(3433),
    [anon_sym_LPAREN] = ACTIONS(3433),
    [anon_sym_return] = ACTIONS(3431),
    [anon_sym_namespace] = ACTIONS(3431),
    [anon_sym_class] = ACTIONS(3431),
    [anon_sym_ref] = ACTIONS(3431),
    [anon_sym_struct] = ACTIONS(3431),
    [anon_sym_enum] = ACTIONS(3431),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_interface] = ACTIONS(3431),
    [anon_sym_delegate] = ACTIONS(3431),
    [anon_sym_record] = ACTIONS(3431),
    [anon_sym_abstract] = ACTIONS(3431),
    [anon_sym_async] = ACTIONS(3431),
    [anon_sym_const] = ACTIONS(3431),
    [anon_sym_file] = ACTIONS(3431),
    [anon_sym_fixed] = ACTIONS(3431),
    [anon_sym_internal] = ACTIONS(3431),
    [anon_sym_new] = ACTIONS(3431),
    [anon_sym_override] = ACTIONS(3431),
    [anon_sym_partial] = ACTIONS(3431),
    [anon_sym_private] = ACTIONS(3431),
    [anon_sym_protected] = ACTIONS(3431),
    [anon_sym_public] = ACTIONS(3431),
    [anon_sym_readonly] = ACTIONS(3431),
    [anon_sym_required] = ACTIONS(3431),
    [anon_sym_sealed] = ACTIONS(3431),
    [anon_sym_virtual] = ACTIONS(3431),
    [anon_sym_volatile] = ACTIONS(3431),
    [anon_sym_where] = ACTIONS(3431),
    [anon_sym_notnull] = ACTIONS(3431),
    [anon_sym_unmanaged] = ACTIONS(3431),
    [anon_sym_checked] = ACTIONS(3431),
    [anon_sym_BANG] = ACTIONS(3433),
    [anon_sym_TILDE] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_true] = ACTIONS(3431),
    [anon_sym_false] = ACTIONS(3431),
    [anon_sym_PLUS] = ACTIONS(3431),
    [anon_sym_DASH] = ACTIONS(3431),
    [anon_sym_STAR] = ACTIONS(3433),
    [anon_sym_CARET] = ACTIONS(3433),
    [anon_sym_AMP] = ACTIONS(3433),
    [anon_sym_this] = ACTIONS(3431),
    [anon_sym_scoped] = ACTIONS(3431),
    [anon_sym_base] = ACTIONS(3431),
    [anon_sym_var] = ACTIONS(3431),
    [sym_predefined_type] = ACTIONS(3431),
    [anon_sym_break] = ACTIONS(3431),
    [anon_sym_unchecked] = ACTIONS(3431),
    [anon_sym_continue] = ACTIONS(3431),
    [anon_sym_do] = ACTIONS(3431),
    [anon_sym_while] = ACTIONS(3431),
    [anon_sym_for] = ACTIONS(3431),
    [anon_sym_lock] = ACTIONS(3431),
    [anon_sym_yield] = ACTIONS(3431),
    [anon_sym_switch] = ACTIONS(3431),
    [anon_sym_default] = ACTIONS(3431),
    [anon_sym_throw] = ACTIONS(3431),
    [anon_sym_try] = ACTIONS(3431),
    [anon_sym_when] = ACTIONS(3431),
    [anon_sym_await] = ACTIONS(3431),
    [anon_sym_foreach] = ACTIONS(3431),
    [anon_sym_goto] = ACTIONS(3431),
    [anon_sym_if] = ACTIONS(3431),
    [anon_sym_DOT_DOT] = ACTIONS(3433),
    [anon_sym_from] = ACTIONS(3431),
    [anon_sym_into] = ACTIONS(3431),
    [anon_sym_join] = ACTIONS(3431),
    [anon_sym_on] = ACTIONS(3431),
    [anon_sym_equals] = ACTIONS(3431),
    [anon_sym_let] = ACTIONS(3431),
    [anon_sym_orderby] = ACTIONS(3431),
    [anon_sym_ascending] = ACTIONS(3431),
    [anon_sym_descending] = ACTIONS(3431),
    [anon_sym_group] = ACTIONS(3431),
    [anon_sym_by] = ACTIONS(3431),
    [anon_sym_select] = ACTIONS(3431),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [anon_sym_stackalloc] = ACTIONS(3431),
    [anon_sym_sizeof] = ACTIONS(3431),
    [anon_sym_typeof] = ACTIONS(3431),
    [anon_sym___makeref] = ACTIONS(3431),
    [anon_sym___reftype] = ACTIONS(3431),
    [anon_sym___refvalue] = ACTIONS(3431),
    [sym_null_literal] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3433),
    [sym_integer_literal] = ACTIONS(3431),
    [sym_real_literal] = ACTIONS(3433),
    [sym_verbatim_string_literal] = ACTIONS(3433),
    [aux_sym_preproc_if_token1] = ACTIONS(3433),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3433),
    [sym_interpolation_verbatim_start] = ACTIONS(3433),
    [sym_interpolation_raw_start] = ACTIONS(3433),
    [sym_raw_string_start] = ACTIONS(3433),
  },
  [2621] = {
    [sym_preproc_region] = STATE(2621),
    [sym_preproc_endregion] = STATE(2621),
    [sym_preproc_line] = STATE(2621),
    [sym_preproc_pragma] = STATE(2621),
    [sym_preproc_nullable] = STATE(2621),
    [sym_preproc_error] = STATE(2621),
    [sym_preproc_define] = STATE(2621),
    [sym_preproc_undef] = STATE(2621),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym__identifier_token] = ACTIONS(3709),
    [anon_sym_extern] = ACTIONS(3709),
    [anon_sym_alias] = ACTIONS(3709),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_global] = ACTIONS(3709),
    [anon_sym_using] = ACTIONS(3709),
    [anon_sym_unsafe] = ACTIONS(3709),
    [anon_sym_static] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3711),
    [anon_sym_return] = ACTIONS(3709),
    [anon_sym_namespace] = ACTIONS(3709),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_ref] = ACTIONS(3709),
    [anon_sym_struct] = ACTIONS(3709),
    [anon_sym_enum] = ACTIONS(3709),
    [anon_sym_LBRACE] = ACTIONS(3711),
    [anon_sym_interface] = ACTIONS(3709),
    [anon_sym_delegate] = ACTIONS(3709),
    [anon_sym_record] = ACTIONS(3709),
    [anon_sym_abstract] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3709),
    [anon_sym_file] = ACTIONS(3709),
    [anon_sym_fixed] = ACTIONS(3709),
    [anon_sym_internal] = ACTIONS(3709),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_override] = ACTIONS(3709),
    [anon_sym_partial] = ACTIONS(3709),
    [anon_sym_private] = ACTIONS(3709),
    [anon_sym_protected] = ACTIONS(3709),
    [anon_sym_public] = ACTIONS(3709),
    [anon_sym_readonly] = ACTIONS(3709),
    [anon_sym_required] = ACTIONS(3709),
    [anon_sym_sealed] = ACTIONS(3709),
    [anon_sym_virtual] = ACTIONS(3709),
    [anon_sym_volatile] = ACTIONS(3709),
    [anon_sym_where] = ACTIONS(3709),
    [anon_sym_notnull] = ACTIONS(3709),
    [anon_sym_unmanaged] = ACTIONS(3709),
    [anon_sym_checked] = ACTIONS(3709),
    [anon_sym_BANG] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_PLUS_PLUS] = ACTIONS(3711),
    [anon_sym_DASH_DASH] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(3709),
    [anon_sym_false] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(3709),
    [anon_sym_DASH] = ACTIONS(3709),
    [anon_sym_STAR] = ACTIONS(3711),
    [anon_sym_CARET] = ACTIONS(3711),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_this] = ACTIONS(3709),
    [anon_sym_scoped] = ACTIONS(3709),
    [anon_sym_base] = ACTIONS(3709),
    [anon_sym_var] = ACTIONS(3709),
    [sym_predefined_type] = ACTIONS(3709),
    [anon_sym_break] = ACTIONS(3709),
    [anon_sym_unchecked] = ACTIONS(3709),
    [anon_sym_continue] = ACTIONS(3709),
    [anon_sym_do] = ACTIONS(3709),
    [anon_sym_while] = ACTIONS(3709),
    [anon_sym_for] = ACTIONS(3709),
    [anon_sym_lock] = ACTIONS(3709),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_switch] = ACTIONS(3709),
    [anon_sym_default] = ACTIONS(3709),
    [anon_sym_throw] = ACTIONS(3709),
    [anon_sym_try] = ACTIONS(3709),
    [anon_sym_when] = ACTIONS(3709),
    [anon_sym_await] = ACTIONS(3709),
    [anon_sym_foreach] = ACTIONS(3709),
    [anon_sym_goto] = ACTIONS(3709),
    [anon_sym_if] = ACTIONS(3709),
    [anon_sym_DOT_DOT] = ACTIONS(3711),
    [anon_sym_from] = ACTIONS(3709),
    [anon_sym_into] = ACTIONS(3709),
    [anon_sym_join] = ACTIONS(3709),
    [anon_sym_on] = ACTIONS(3709),
    [anon_sym_equals] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_orderby] = ACTIONS(3709),
    [anon_sym_ascending] = ACTIONS(3709),
    [anon_sym_descending] = ACTIONS(3709),
    [anon_sym_group] = ACTIONS(3709),
    [anon_sym_by] = ACTIONS(3709),
    [anon_sym_select] = ACTIONS(3709),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [anon_sym_stackalloc] = ACTIONS(3709),
    [anon_sym_sizeof] = ACTIONS(3709),
    [anon_sym_typeof] = ACTIONS(3709),
    [anon_sym___makeref] = ACTIONS(3709),
    [anon_sym___reftype] = ACTIONS(3709),
    [anon_sym___refvalue] = ACTIONS(3709),
    [sym_null_literal] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3711),
    [sym_integer_literal] = ACTIONS(3709),
    [sym_real_literal] = ACTIONS(3711),
    [sym_verbatim_string_literal] = ACTIONS(3711),
    [aux_sym_preproc_if_token1] = ACTIONS(3711),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3711),
    [sym_interpolation_verbatim_start] = ACTIONS(3711),
    [sym_interpolation_raw_start] = ACTIONS(3711),
    [sym_raw_string_start] = ACTIONS(3711),
  },
  [2622] = {
    [sym_preproc_region] = STATE(2622),
    [sym_preproc_endregion] = STATE(2622),
    [sym_preproc_line] = STATE(2622),
    [sym_preproc_pragma] = STATE(2622),
    [sym_preproc_nullable] = STATE(2622),
    [sym_preproc_error] = STATE(2622),
    [sym_preproc_define] = STATE(2622),
    [sym_preproc_undef] = STATE(2622),
    [ts_builtin_sym_end] = ACTIONS(3763),
    [sym__identifier_token] = ACTIONS(3761),
    [anon_sym_extern] = ACTIONS(3761),
    [anon_sym_alias] = ACTIONS(3761),
    [anon_sym_SEMI] = ACTIONS(3763),
    [anon_sym_global] = ACTIONS(3761),
    [anon_sym_using] = ACTIONS(3761),
    [anon_sym_unsafe] = ACTIONS(3761),
    [anon_sym_static] = ACTIONS(3761),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(3763),
    [anon_sym_return] = ACTIONS(3761),
    [anon_sym_namespace] = ACTIONS(3761),
    [anon_sym_class] = ACTIONS(3761),
    [anon_sym_ref] = ACTIONS(3761),
    [anon_sym_struct] = ACTIONS(3761),
    [anon_sym_enum] = ACTIONS(3761),
    [anon_sym_LBRACE] = ACTIONS(3763),
    [anon_sym_interface] = ACTIONS(3761),
    [anon_sym_delegate] = ACTIONS(3761),
    [anon_sym_record] = ACTIONS(3761),
    [anon_sym_abstract] = ACTIONS(3761),
    [anon_sym_async] = ACTIONS(3761),
    [anon_sym_const] = ACTIONS(3761),
    [anon_sym_file] = ACTIONS(3761),
    [anon_sym_fixed] = ACTIONS(3761),
    [anon_sym_internal] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_override] = ACTIONS(3761),
    [anon_sym_partial] = ACTIONS(3761),
    [anon_sym_private] = ACTIONS(3761),
    [anon_sym_protected] = ACTIONS(3761),
    [anon_sym_public] = ACTIONS(3761),
    [anon_sym_readonly] = ACTIONS(3761),
    [anon_sym_required] = ACTIONS(3761),
    [anon_sym_sealed] = ACTIONS(3761),
    [anon_sym_virtual] = ACTIONS(3761),
    [anon_sym_volatile] = ACTIONS(3761),
    [anon_sym_where] = ACTIONS(3761),
    [anon_sym_notnull] = ACTIONS(3761),
    [anon_sym_unmanaged] = ACTIONS(3761),
    [anon_sym_checked] = ACTIONS(3761),
    [anon_sym_BANG] = ACTIONS(3763),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_PLUS_PLUS] = ACTIONS(3763),
    [anon_sym_DASH_DASH] = ACTIONS(3763),
    [anon_sym_true] = ACTIONS(3761),
    [anon_sym_false] = ACTIONS(3761),
    [anon_sym_PLUS] = ACTIONS(3761),
    [anon_sym_DASH] = ACTIONS(3761),
    [anon_sym_STAR] = ACTIONS(3763),
    [anon_sym_CARET] = ACTIONS(3763),
    [anon_sym_AMP] = ACTIONS(3763),
    [anon_sym_this] = ACTIONS(3761),
    [anon_sym_scoped] = ACTIONS(3761),
    [anon_sym_base] = ACTIONS(3761),
    [anon_sym_var] = ACTIONS(3761),
    [sym_predefined_type] = ACTIONS(3761),
    [anon_sym_break] = ACTIONS(3761),
    [anon_sym_unchecked] = ACTIONS(3761),
    [anon_sym_continue] = ACTIONS(3761),
    [anon_sym_do] = ACTIONS(3761),
    [anon_sym_while] = ACTIONS(3761),
    [anon_sym_for] = ACTIONS(3761),
    [anon_sym_lock] = ACTIONS(3761),
    [anon_sym_yield] = ACTIONS(3761),
    [anon_sym_switch] = ACTIONS(3761),
    [anon_sym_default] = ACTIONS(3761),
    [anon_sym_throw] = ACTIONS(3761),
    [anon_sym_try] = ACTIONS(3761),
    [anon_sym_when] = ACTIONS(3761),
    [anon_sym_await] = ACTIONS(3761),
    [anon_sym_foreach] = ACTIONS(3761),
    [anon_sym_goto] = ACTIONS(3761),
    [anon_sym_if] = ACTIONS(3761),
    [anon_sym_DOT_DOT] = ACTIONS(3763),
    [anon_sym_from] = ACTIONS(3761),
    [anon_sym_into] = ACTIONS(3761),
    [anon_sym_join] = ACTIONS(3761),
    [anon_sym_on] = ACTIONS(3761),
    [anon_sym_equals] = ACTIONS(3761),
    [anon_sym_let] = ACTIONS(3761),
    [anon_sym_orderby] = ACTIONS(3761),
    [anon_sym_ascending] = ACTIONS(3761),
    [anon_sym_descending] = ACTIONS(3761),
    [anon_sym_group] = ACTIONS(3761),
    [anon_sym_by] = ACTIONS(3761),
    [anon_sym_select] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3763),
    [anon_sym_stackalloc] = ACTIONS(3761),
    [anon_sym_sizeof] = ACTIONS(3761),
    [anon_sym_typeof] = ACTIONS(3761),
    [anon_sym___makeref] = ACTIONS(3761),
    [anon_sym___reftype] = ACTIONS(3761),
    [anon_sym___refvalue] = ACTIONS(3761),
    [sym_null_literal] = ACTIONS(3761),
    [anon_sym_SQUOTE] = ACTIONS(3763),
    [sym_integer_literal] = ACTIONS(3761),
    [sym_real_literal] = ACTIONS(3763),
    [sym_verbatim_string_literal] = ACTIONS(3763),
    [aux_sym_preproc_if_token1] = ACTIONS(3763),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3763),
    [sym_interpolation_verbatim_start] = ACTIONS(3763),
    [sym_interpolation_raw_start] = ACTIONS(3763),
    [sym_raw_string_start] = ACTIONS(3763),
  },
  [2623] = {
    [sym_preproc_region] = STATE(2623),
    [sym_preproc_endregion] = STATE(2623),
    [sym_preproc_line] = STATE(2623),
    [sym_preproc_pragma] = STATE(2623),
    [sym_preproc_nullable] = STATE(2623),
    [sym_preproc_error] = STATE(2623),
    [sym_preproc_define] = STATE(2623),
    [sym_preproc_undef] = STATE(2623),
    [ts_builtin_sym_end] = ACTIONS(3453),
    [sym__identifier_token] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym_alias] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(3453),
    [anon_sym_global] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_unsafe] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3453),
    [anon_sym_return] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_ref] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_LBRACE] = ACTIONS(3453),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_delegate] = ACTIONS(3451),
    [anon_sym_record] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_file] = ACTIONS(3451),
    [anon_sym_fixed] = ACTIONS(3451),
    [anon_sym_internal] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_partial] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_required] = ACTIONS(3451),
    [anon_sym_sealed] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_where] = ACTIONS(3451),
    [anon_sym_notnull] = ACTIONS(3451),
    [anon_sym_unmanaged] = ACTIONS(3451),
    [anon_sym_checked] = ACTIONS(3451),
    [anon_sym_BANG] = ACTIONS(3453),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_PLUS_PLUS] = ACTIONS(3453),
    [anon_sym_DASH_DASH] = ACTIONS(3453),
    [anon_sym_true] = ACTIONS(3451),
    [anon_sym_false] = ACTIONS(3451),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3453),
    [anon_sym_CARET] = ACTIONS(3453),
    [anon_sym_AMP] = ACTIONS(3453),
    [anon_sym_this] = ACTIONS(3451),
    [anon_sym_scoped] = ACTIONS(3451),
    [anon_sym_base] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [sym_predefined_type] = ACTIONS(3451),
    [anon_sym_break] = ACTIONS(3451),
    [anon_sym_unchecked] = ACTIONS(3451),
    [anon_sym_continue] = ACTIONS(3451),
    [anon_sym_do] = ACTIONS(3451),
    [anon_sym_while] = ACTIONS(3451),
    [anon_sym_for] = ACTIONS(3451),
    [anon_sym_lock] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_switch] = ACTIONS(3451),
    [anon_sym_default] = ACTIONS(3451),
    [anon_sym_throw] = ACTIONS(3451),
    [anon_sym_try] = ACTIONS(3451),
    [anon_sym_when] = ACTIONS(3451),
    [anon_sym_await] = ACTIONS(3451),
    [anon_sym_foreach] = ACTIONS(3451),
    [anon_sym_goto] = ACTIONS(3451),
    [anon_sym_if] = ACTIONS(3451),
    [anon_sym_DOT_DOT] = ACTIONS(3453),
    [anon_sym_from] = ACTIONS(3451),
    [anon_sym_into] = ACTIONS(3451),
    [anon_sym_join] = ACTIONS(3451),
    [anon_sym_on] = ACTIONS(3451),
    [anon_sym_equals] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_orderby] = ACTIONS(3451),
    [anon_sym_ascending] = ACTIONS(3451),
    [anon_sym_descending] = ACTIONS(3451),
    [anon_sym_group] = ACTIONS(3451),
    [anon_sym_by] = ACTIONS(3451),
    [anon_sym_select] = ACTIONS(3451),
    [anon_sym_DQUOTE] = ACTIONS(3453),
    [anon_sym_stackalloc] = ACTIONS(3451),
    [anon_sym_sizeof] = ACTIONS(3451),
    [anon_sym_typeof] = ACTIONS(3451),
    [anon_sym___makeref] = ACTIONS(3451),
    [anon_sym___reftype] = ACTIONS(3451),
    [anon_sym___refvalue] = ACTIONS(3451),
    [sym_null_literal] = ACTIONS(3451),
    [anon_sym_SQUOTE] = ACTIONS(3453),
    [sym_integer_literal] = ACTIONS(3451),
    [sym_real_literal] = ACTIONS(3453),
    [sym_verbatim_string_literal] = ACTIONS(3453),
    [aux_sym_preproc_if_token1] = ACTIONS(3453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3453),
    [sym_interpolation_verbatim_start] = ACTIONS(3453),
    [sym_interpolation_raw_start] = ACTIONS(3453),
    [sym_raw_string_start] = ACTIONS(3453),
  },
  [2624] = {
    [sym_preproc_region] = STATE(2624),
    [sym_preproc_endregion] = STATE(2624),
    [sym_preproc_line] = STATE(2624),
    [sym_preproc_pragma] = STATE(2624),
    [sym_preproc_nullable] = STATE(2624),
    [sym_preproc_error] = STATE(2624),
    [sym_preproc_define] = STATE(2624),
    [sym_preproc_undef] = STATE(2624),
    [ts_builtin_sym_end] = ACTIONS(3819),
    [sym__identifier_token] = ACTIONS(3817),
    [anon_sym_extern] = ACTIONS(3817),
    [anon_sym_alias] = ACTIONS(3817),
    [anon_sym_SEMI] = ACTIONS(3819),
    [anon_sym_global] = ACTIONS(3817),
    [anon_sym_using] = ACTIONS(3817),
    [anon_sym_unsafe] = ACTIONS(3817),
    [anon_sym_static] = ACTIONS(3817),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_LPAREN] = ACTIONS(3819),
    [anon_sym_return] = ACTIONS(3817),
    [anon_sym_namespace] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3817),
    [anon_sym_ref] = ACTIONS(3817),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_enum] = ACTIONS(3817),
    [anon_sym_LBRACE] = ACTIONS(3819),
    [anon_sym_interface] = ACTIONS(3817),
    [anon_sym_delegate] = ACTIONS(3817),
    [anon_sym_record] = ACTIONS(3817),
    [anon_sym_abstract] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3817),
    [anon_sym_const] = ACTIONS(3817),
    [anon_sym_file] = ACTIONS(3817),
    [anon_sym_fixed] = ACTIONS(3817),
    [anon_sym_internal] = ACTIONS(3817),
    [anon_sym_new] = ACTIONS(3817),
    [anon_sym_override] = ACTIONS(3817),
    [anon_sym_partial] = ACTIONS(3817),
    [anon_sym_private] = ACTIONS(3817),
    [anon_sym_protected] = ACTIONS(3817),
    [anon_sym_public] = ACTIONS(3817),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_required] = ACTIONS(3817),
    [anon_sym_sealed] = ACTIONS(3817),
    [anon_sym_virtual] = ACTIONS(3817),
    [anon_sym_volatile] = ACTIONS(3817),
    [anon_sym_where] = ACTIONS(3817),
    [anon_sym_notnull] = ACTIONS(3817),
    [anon_sym_unmanaged] = ACTIONS(3817),
    [anon_sym_checked] = ACTIONS(3817),
    [anon_sym_BANG] = ACTIONS(3819),
    [anon_sym_TILDE] = ACTIONS(3819),
    [anon_sym_PLUS_PLUS] = ACTIONS(3819),
    [anon_sym_DASH_DASH] = ACTIONS(3819),
    [anon_sym_true] = ACTIONS(3817),
    [anon_sym_false] = ACTIONS(3817),
    [anon_sym_PLUS] = ACTIONS(3817),
    [anon_sym_DASH] = ACTIONS(3817),
    [anon_sym_STAR] = ACTIONS(3819),
    [anon_sym_CARET] = ACTIONS(3819),
    [anon_sym_AMP] = ACTIONS(3819),
    [anon_sym_this] = ACTIONS(3817),
    [anon_sym_scoped] = ACTIONS(3817),
    [anon_sym_base] = ACTIONS(3817),
    [anon_sym_var] = ACTIONS(3817),
    [sym_predefined_type] = ACTIONS(3817),
    [anon_sym_break] = ACTIONS(3817),
    [anon_sym_unchecked] = ACTIONS(3817),
    [anon_sym_continue] = ACTIONS(3817),
    [anon_sym_do] = ACTIONS(3817),
    [anon_sym_while] = ACTIONS(3817),
    [anon_sym_for] = ACTIONS(3817),
    [anon_sym_lock] = ACTIONS(3817),
    [anon_sym_yield] = ACTIONS(3817),
    [anon_sym_switch] = ACTIONS(3817),
    [anon_sym_default] = ACTIONS(3817),
    [anon_sym_throw] = ACTIONS(3817),
    [anon_sym_try] = ACTIONS(3817),
    [anon_sym_when] = ACTIONS(3817),
    [anon_sym_await] = ACTIONS(3817),
    [anon_sym_foreach] = ACTIONS(3817),
    [anon_sym_goto] = ACTIONS(3817),
    [anon_sym_if] = ACTIONS(3817),
    [anon_sym_DOT_DOT] = ACTIONS(3819),
    [anon_sym_from] = ACTIONS(3817),
    [anon_sym_into] = ACTIONS(3817),
    [anon_sym_join] = ACTIONS(3817),
    [anon_sym_on] = ACTIONS(3817),
    [anon_sym_equals] = ACTIONS(3817),
    [anon_sym_let] = ACTIONS(3817),
    [anon_sym_orderby] = ACTIONS(3817),
    [anon_sym_ascending] = ACTIONS(3817),
    [anon_sym_descending] = ACTIONS(3817),
    [anon_sym_group] = ACTIONS(3817),
    [anon_sym_by] = ACTIONS(3817),
    [anon_sym_select] = ACTIONS(3817),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [anon_sym_stackalloc] = ACTIONS(3817),
    [anon_sym_sizeof] = ACTIONS(3817),
    [anon_sym_typeof] = ACTIONS(3817),
    [anon_sym___makeref] = ACTIONS(3817),
    [anon_sym___reftype] = ACTIONS(3817),
    [anon_sym___refvalue] = ACTIONS(3817),
    [sym_null_literal] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3819),
    [sym_integer_literal] = ACTIONS(3817),
    [sym_real_literal] = ACTIONS(3819),
    [sym_verbatim_string_literal] = ACTIONS(3819),
    [aux_sym_preproc_if_token1] = ACTIONS(3819),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3819),
    [sym_interpolation_verbatim_start] = ACTIONS(3819),
    [sym_interpolation_raw_start] = ACTIONS(3819),
    [sym_raw_string_start] = ACTIONS(3819),
  },
  [2625] = {
    [sym_preproc_region] = STATE(2625),
    [sym_preproc_endregion] = STATE(2625),
    [sym_preproc_line] = STATE(2625),
    [sym_preproc_pragma] = STATE(2625),
    [sym_preproc_nullable] = STATE(2625),
    [sym_preproc_error] = STATE(2625),
    [sym_preproc_define] = STATE(2625),
    [sym_preproc_undef] = STATE(2625),
    [ts_builtin_sym_end] = ACTIONS(3421),
    [sym__identifier_token] = ACTIONS(3419),
    [anon_sym_extern] = ACTIONS(3419),
    [anon_sym_alias] = ACTIONS(3419),
    [anon_sym_SEMI] = ACTIONS(3421),
    [anon_sym_global] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_unsafe] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_return] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_ref] = ACTIONS(3419),
    [anon_sym_struct] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_delegate] = ACTIONS(3419),
    [anon_sym_record] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_file] = ACTIONS(3419),
    [anon_sym_fixed] = ACTIONS(3419),
    [anon_sym_internal] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_partial] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_required] = ACTIONS(3419),
    [anon_sym_sealed] = ACTIONS(3419),
    [anon_sym_virtual] = ACTIONS(3419),
    [anon_sym_volatile] = ACTIONS(3419),
    [anon_sym_where] = ACTIONS(3419),
    [anon_sym_notnull] = ACTIONS(3419),
    [anon_sym_unmanaged] = ACTIONS(3419),
    [anon_sym_checked] = ACTIONS(3419),
    [anon_sym_BANG] = ACTIONS(3421),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_PLUS_PLUS] = ACTIONS(3421),
    [anon_sym_DASH_DASH] = ACTIONS(3421),
    [anon_sym_true] = ACTIONS(3419),
    [anon_sym_false] = ACTIONS(3419),
    [anon_sym_PLUS] = ACTIONS(3419),
    [anon_sym_DASH] = ACTIONS(3419),
    [anon_sym_STAR] = ACTIONS(3421),
    [anon_sym_CARET] = ACTIONS(3421),
    [anon_sym_AMP] = ACTIONS(3421),
    [anon_sym_this] = ACTIONS(3419),
    [anon_sym_scoped] = ACTIONS(3419),
    [anon_sym_base] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [sym_predefined_type] = ACTIONS(3419),
    [anon_sym_break] = ACTIONS(3419),
    [anon_sym_unchecked] = ACTIONS(3419),
    [anon_sym_continue] = ACTIONS(3419),
    [anon_sym_do] = ACTIONS(3419),
    [anon_sym_while] = ACTIONS(3419),
    [anon_sym_for] = ACTIONS(3419),
    [anon_sym_lock] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_switch] = ACTIONS(3419),
    [anon_sym_default] = ACTIONS(3419),
    [anon_sym_throw] = ACTIONS(3419),
    [anon_sym_try] = ACTIONS(3419),
    [anon_sym_when] = ACTIONS(3419),
    [anon_sym_await] = ACTIONS(3419),
    [anon_sym_foreach] = ACTIONS(3419),
    [anon_sym_goto] = ACTIONS(3419),
    [anon_sym_if] = ACTIONS(3419),
    [anon_sym_DOT_DOT] = ACTIONS(3421),
    [anon_sym_from] = ACTIONS(3419),
    [anon_sym_into] = ACTIONS(3419),
    [anon_sym_join] = ACTIONS(3419),
    [anon_sym_on] = ACTIONS(3419),
    [anon_sym_equals] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_orderby] = ACTIONS(3419),
    [anon_sym_ascending] = ACTIONS(3419),
    [anon_sym_descending] = ACTIONS(3419),
    [anon_sym_group] = ACTIONS(3419),
    [anon_sym_by] = ACTIONS(3419),
    [anon_sym_select] = ACTIONS(3419),
    [anon_sym_DQUOTE] = ACTIONS(3421),
    [anon_sym_stackalloc] = ACTIONS(3419),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym_typeof] = ACTIONS(3419),
    [anon_sym___makeref] = ACTIONS(3419),
    [anon_sym___reftype] = ACTIONS(3419),
    [anon_sym___refvalue] = ACTIONS(3419),
    [sym_null_literal] = ACTIONS(3419),
    [anon_sym_SQUOTE] = ACTIONS(3421),
    [sym_integer_literal] = ACTIONS(3419),
    [sym_real_literal] = ACTIONS(3421),
    [sym_verbatim_string_literal] = ACTIONS(3421),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3421),
    [sym_interpolation_verbatim_start] = ACTIONS(3421),
    [sym_interpolation_raw_start] = ACTIONS(3421),
    [sym_raw_string_start] = ACTIONS(3421),
  },
  [2626] = {
    [sym_preproc_region] = STATE(2626),
    [sym_preproc_endregion] = STATE(2626),
    [sym_preproc_line] = STATE(2626),
    [sym_preproc_pragma] = STATE(2626),
    [sym_preproc_nullable] = STATE(2626),
    [sym_preproc_error] = STATE(2626),
    [sym_preproc_define] = STATE(2626),
    [sym_preproc_undef] = STATE(2626),
    [ts_builtin_sym_end] = ACTIONS(3823),
    [sym__identifier_token] = ACTIONS(3821),
    [anon_sym_extern] = ACTIONS(3821),
    [anon_sym_alias] = ACTIONS(3821),
    [anon_sym_SEMI] = ACTIONS(3823),
    [anon_sym_global] = ACTIONS(3821),
    [anon_sym_using] = ACTIONS(3821),
    [anon_sym_unsafe] = ACTIONS(3821),
    [anon_sym_static] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_LPAREN] = ACTIONS(3823),
    [anon_sym_return] = ACTIONS(3821),
    [anon_sym_namespace] = ACTIONS(3821),
    [anon_sym_class] = ACTIONS(3821),
    [anon_sym_ref] = ACTIONS(3821),
    [anon_sym_struct] = ACTIONS(3821),
    [anon_sym_enum] = ACTIONS(3821),
    [anon_sym_LBRACE] = ACTIONS(3823),
    [anon_sym_interface] = ACTIONS(3821),
    [anon_sym_delegate] = ACTIONS(3821),
    [anon_sym_record] = ACTIONS(3821),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_async] = ACTIONS(3821),
    [anon_sym_const] = ACTIONS(3821),
    [anon_sym_file] = ACTIONS(3821),
    [anon_sym_fixed] = ACTIONS(3821),
    [anon_sym_internal] = ACTIONS(3821),
    [anon_sym_new] = ACTIONS(3821),
    [anon_sym_override] = ACTIONS(3821),
    [anon_sym_partial] = ACTIONS(3821),
    [anon_sym_private] = ACTIONS(3821),
    [anon_sym_protected] = ACTIONS(3821),
    [anon_sym_public] = ACTIONS(3821),
    [anon_sym_readonly] = ACTIONS(3821),
    [anon_sym_required] = ACTIONS(3821),
    [anon_sym_sealed] = ACTIONS(3821),
    [anon_sym_virtual] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(3821),
    [anon_sym_where] = ACTIONS(3821),
    [anon_sym_notnull] = ACTIONS(3821),
    [anon_sym_unmanaged] = ACTIONS(3821),
    [anon_sym_checked] = ACTIONS(3821),
    [anon_sym_BANG] = ACTIONS(3823),
    [anon_sym_TILDE] = ACTIONS(3823),
    [anon_sym_PLUS_PLUS] = ACTIONS(3823),
    [anon_sym_DASH_DASH] = ACTIONS(3823),
    [anon_sym_true] = ACTIONS(3821),
    [anon_sym_false] = ACTIONS(3821),
    [anon_sym_PLUS] = ACTIONS(3821),
    [anon_sym_DASH] = ACTIONS(3821),
    [anon_sym_STAR] = ACTIONS(3823),
    [anon_sym_CARET] = ACTIONS(3823),
    [anon_sym_AMP] = ACTIONS(3823),
    [anon_sym_this] = ACTIONS(3821),
    [anon_sym_scoped] = ACTIONS(3821),
    [anon_sym_base] = ACTIONS(3821),
    [anon_sym_var] = ACTIONS(3821),
    [sym_predefined_type] = ACTIONS(3821),
    [anon_sym_break] = ACTIONS(3821),
    [anon_sym_unchecked] = ACTIONS(3821),
    [anon_sym_continue] = ACTIONS(3821),
    [anon_sym_do] = ACTIONS(3821),
    [anon_sym_while] = ACTIONS(3821),
    [anon_sym_for] = ACTIONS(3821),
    [anon_sym_lock] = ACTIONS(3821),
    [anon_sym_yield] = ACTIONS(3821),
    [anon_sym_switch] = ACTIONS(3821),
    [anon_sym_default] = ACTIONS(3821),
    [anon_sym_throw] = ACTIONS(3821),
    [anon_sym_try] = ACTIONS(3821),
    [anon_sym_when] = ACTIONS(3821),
    [anon_sym_await] = ACTIONS(3821),
    [anon_sym_foreach] = ACTIONS(3821),
    [anon_sym_goto] = ACTIONS(3821),
    [anon_sym_if] = ACTIONS(3821),
    [anon_sym_DOT_DOT] = ACTIONS(3823),
    [anon_sym_from] = ACTIONS(3821),
    [anon_sym_into] = ACTIONS(3821),
    [anon_sym_join] = ACTIONS(3821),
    [anon_sym_on] = ACTIONS(3821),
    [anon_sym_equals] = ACTIONS(3821),
    [anon_sym_let] = ACTIONS(3821),
    [anon_sym_orderby] = ACTIONS(3821),
    [anon_sym_ascending] = ACTIONS(3821),
    [anon_sym_descending] = ACTIONS(3821),
    [anon_sym_group] = ACTIONS(3821),
    [anon_sym_by] = ACTIONS(3821),
    [anon_sym_select] = ACTIONS(3821),
    [anon_sym_DQUOTE] = ACTIONS(3823),
    [anon_sym_stackalloc] = ACTIONS(3821),
    [anon_sym_sizeof] = ACTIONS(3821),
    [anon_sym_typeof] = ACTIONS(3821),
    [anon_sym___makeref] = ACTIONS(3821),
    [anon_sym___reftype] = ACTIONS(3821),
    [anon_sym___refvalue] = ACTIONS(3821),
    [sym_null_literal] = ACTIONS(3821),
    [anon_sym_SQUOTE] = ACTIONS(3823),
    [sym_integer_literal] = ACTIONS(3821),
    [sym_real_literal] = ACTIONS(3823),
    [sym_verbatim_string_literal] = ACTIONS(3823),
    [aux_sym_preproc_if_token1] = ACTIONS(3823),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3823),
    [sym_interpolation_verbatim_start] = ACTIONS(3823),
    [sym_interpolation_raw_start] = ACTIONS(3823),
    [sym_raw_string_start] = ACTIONS(3823),
  },
  [2627] = {
    [sym_preproc_region] = STATE(2627),
    [sym_preproc_endregion] = STATE(2627),
    [sym_preproc_line] = STATE(2627),
    [sym_preproc_pragma] = STATE(2627),
    [sym_preproc_nullable] = STATE(2627),
    [sym_preproc_error] = STATE(2627),
    [sym_preproc_define] = STATE(2627),
    [sym_preproc_undef] = STATE(2627),
    [ts_builtin_sym_end] = ACTIONS(3967),
    [sym__identifier_token] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym_alias] = ACTIONS(3965),
    [anon_sym_SEMI] = ACTIONS(3967),
    [anon_sym_global] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_unsafe] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3967),
    [anon_sym_return] = ACTIONS(3965),
    [anon_sym_namespace] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_ref] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_LBRACE] = ACTIONS(3967),
    [anon_sym_interface] = ACTIONS(3965),
    [anon_sym_delegate] = ACTIONS(3965),
    [anon_sym_record] = ACTIONS(3965),
    [anon_sym_abstract] = ACTIONS(3965),
    [anon_sym_async] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_file] = ACTIONS(3965),
    [anon_sym_fixed] = ACTIONS(3965),
    [anon_sym_internal] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3965),
    [anon_sym_override] = ACTIONS(3965),
    [anon_sym_partial] = ACTIONS(3965),
    [anon_sym_private] = ACTIONS(3965),
    [anon_sym_protected] = ACTIONS(3965),
    [anon_sym_public] = ACTIONS(3965),
    [anon_sym_readonly] = ACTIONS(3965),
    [anon_sym_required] = ACTIONS(3965),
    [anon_sym_sealed] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_where] = ACTIONS(3965),
    [anon_sym_notnull] = ACTIONS(3965),
    [anon_sym_unmanaged] = ACTIONS(3965),
    [anon_sym_checked] = ACTIONS(3965),
    [anon_sym_BANG] = ACTIONS(3967),
    [anon_sym_TILDE] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3967),
    [anon_sym_DASH_DASH] = ACTIONS(3967),
    [anon_sym_true] = ACTIONS(3965),
    [anon_sym_false] = ACTIONS(3965),
    [anon_sym_PLUS] = ACTIONS(3965),
    [anon_sym_DASH] = ACTIONS(3965),
    [anon_sym_STAR] = ACTIONS(3967),
    [anon_sym_CARET] = ACTIONS(3967),
    [anon_sym_AMP] = ACTIONS(3967),
    [anon_sym_this] = ACTIONS(3965),
    [anon_sym_scoped] = ACTIONS(3965),
    [anon_sym_base] = ACTIONS(3965),
    [anon_sym_var] = ACTIONS(3965),
    [sym_predefined_type] = ACTIONS(3965),
    [anon_sym_break] = ACTIONS(3965),
    [anon_sym_unchecked] = ACTIONS(3965),
    [anon_sym_continue] = ACTIONS(3965),
    [anon_sym_do] = ACTIONS(3965),
    [anon_sym_while] = ACTIONS(3965),
    [anon_sym_for] = ACTIONS(3965),
    [anon_sym_lock] = ACTIONS(3965),
    [anon_sym_yield] = ACTIONS(3965),
    [anon_sym_switch] = ACTIONS(3965),
    [anon_sym_default] = ACTIONS(3965),
    [anon_sym_throw] = ACTIONS(3965),
    [anon_sym_try] = ACTIONS(3965),
    [anon_sym_when] = ACTIONS(3965),
    [anon_sym_await] = ACTIONS(3965),
    [anon_sym_foreach] = ACTIONS(3965),
    [anon_sym_goto] = ACTIONS(3965),
    [anon_sym_if] = ACTIONS(3965),
    [anon_sym_DOT_DOT] = ACTIONS(3967),
    [anon_sym_from] = ACTIONS(3965),
    [anon_sym_into] = ACTIONS(3965),
    [anon_sym_join] = ACTIONS(3965),
    [anon_sym_on] = ACTIONS(3965),
    [anon_sym_equals] = ACTIONS(3965),
    [anon_sym_let] = ACTIONS(3965),
    [anon_sym_orderby] = ACTIONS(3965),
    [anon_sym_ascending] = ACTIONS(3965),
    [anon_sym_descending] = ACTIONS(3965),
    [anon_sym_group] = ACTIONS(3965),
    [anon_sym_by] = ACTIONS(3965),
    [anon_sym_select] = ACTIONS(3965),
    [anon_sym_DQUOTE] = ACTIONS(3967),
    [anon_sym_stackalloc] = ACTIONS(3965),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym_typeof] = ACTIONS(3965),
    [anon_sym___makeref] = ACTIONS(3965),
    [anon_sym___reftype] = ACTIONS(3965),
    [anon_sym___refvalue] = ACTIONS(3965),
    [sym_null_literal] = ACTIONS(3965),
    [anon_sym_SQUOTE] = ACTIONS(3967),
    [sym_integer_literal] = ACTIONS(3965),
    [sym_real_literal] = ACTIONS(3967),
    [sym_verbatim_string_literal] = ACTIONS(3967),
    [aux_sym_preproc_if_token1] = ACTIONS(3967),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3967),
    [sym_interpolation_verbatim_start] = ACTIONS(3967),
    [sym_interpolation_raw_start] = ACTIONS(3967),
    [sym_raw_string_start] = ACTIONS(3967),
  },
  [2628] = {
    [sym_preproc_region] = STATE(2628),
    [sym_preproc_endregion] = STATE(2628),
    [sym_preproc_line] = STATE(2628),
    [sym_preproc_pragma] = STATE(2628),
    [sym_preproc_nullable] = STATE(2628),
    [sym_preproc_error] = STATE(2628),
    [sym_preproc_define] = STATE(2628),
    [sym_preproc_undef] = STATE(2628),
    [ts_builtin_sym_end] = ACTIONS(3971),
    [sym__identifier_token] = ACTIONS(3969),
    [anon_sym_extern] = ACTIONS(3969),
    [anon_sym_alias] = ACTIONS(3969),
    [anon_sym_SEMI] = ACTIONS(3971),
    [anon_sym_global] = ACTIONS(3969),
    [anon_sym_using] = ACTIONS(3969),
    [anon_sym_unsafe] = ACTIONS(3969),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_LBRACK] = ACTIONS(3971),
    [anon_sym_LPAREN] = ACTIONS(3971),
    [anon_sym_return] = ACTIONS(3969),
    [anon_sym_namespace] = ACTIONS(3969),
    [anon_sym_class] = ACTIONS(3969),
    [anon_sym_ref] = ACTIONS(3969),
    [anon_sym_struct] = ACTIONS(3969),
    [anon_sym_enum] = ACTIONS(3969),
    [anon_sym_LBRACE] = ACTIONS(3971),
    [anon_sym_interface] = ACTIONS(3969),
    [anon_sym_delegate] = ACTIONS(3969),
    [anon_sym_record] = ACTIONS(3969),
    [anon_sym_abstract] = ACTIONS(3969),
    [anon_sym_async] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_file] = ACTIONS(3969),
    [anon_sym_fixed] = ACTIONS(3969),
    [anon_sym_internal] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3969),
    [anon_sym_override] = ACTIONS(3969),
    [anon_sym_partial] = ACTIONS(3969),
    [anon_sym_private] = ACTIONS(3969),
    [anon_sym_protected] = ACTIONS(3969),
    [anon_sym_public] = ACTIONS(3969),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_required] = ACTIONS(3969),
    [anon_sym_sealed] = ACTIONS(3969),
    [anon_sym_virtual] = ACTIONS(3969),
    [anon_sym_volatile] = ACTIONS(3969),
    [anon_sym_where] = ACTIONS(3969),
    [anon_sym_notnull] = ACTIONS(3969),
    [anon_sym_unmanaged] = ACTIONS(3969),
    [anon_sym_checked] = ACTIONS(3969),
    [anon_sym_BANG] = ACTIONS(3971),
    [anon_sym_TILDE] = ACTIONS(3971),
    [anon_sym_PLUS_PLUS] = ACTIONS(3971),
    [anon_sym_DASH_DASH] = ACTIONS(3971),
    [anon_sym_true] = ACTIONS(3969),
    [anon_sym_false] = ACTIONS(3969),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3971),
    [anon_sym_CARET] = ACTIONS(3971),
    [anon_sym_AMP] = ACTIONS(3971),
    [anon_sym_this] = ACTIONS(3969),
    [anon_sym_scoped] = ACTIONS(3969),
    [anon_sym_base] = ACTIONS(3969),
    [anon_sym_var] = ACTIONS(3969),
    [sym_predefined_type] = ACTIONS(3969),
    [anon_sym_break] = ACTIONS(3969),
    [anon_sym_unchecked] = ACTIONS(3969),
    [anon_sym_continue] = ACTIONS(3969),
    [anon_sym_do] = ACTIONS(3969),
    [anon_sym_while] = ACTIONS(3969),
    [anon_sym_for] = ACTIONS(3969),
    [anon_sym_lock] = ACTIONS(3969),
    [anon_sym_yield] = ACTIONS(3969),
    [anon_sym_switch] = ACTIONS(3969),
    [anon_sym_default] = ACTIONS(3969),
    [anon_sym_throw] = ACTIONS(3969),
    [anon_sym_try] = ACTIONS(3969),
    [anon_sym_when] = ACTIONS(3969),
    [anon_sym_await] = ACTIONS(3969),
    [anon_sym_foreach] = ACTIONS(3969),
    [anon_sym_goto] = ACTIONS(3969),
    [anon_sym_if] = ACTIONS(3969),
    [anon_sym_DOT_DOT] = ACTIONS(3971),
    [anon_sym_from] = ACTIONS(3969),
    [anon_sym_into] = ACTIONS(3969),
    [anon_sym_join] = ACTIONS(3969),
    [anon_sym_on] = ACTIONS(3969),
    [anon_sym_equals] = ACTIONS(3969),
    [anon_sym_let] = ACTIONS(3969),
    [anon_sym_orderby] = ACTIONS(3969),
    [anon_sym_ascending] = ACTIONS(3969),
    [anon_sym_descending] = ACTIONS(3969),
    [anon_sym_group] = ACTIONS(3969),
    [anon_sym_by] = ACTIONS(3969),
    [anon_sym_select] = ACTIONS(3969),
    [anon_sym_DQUOTE] = ACTIONS(3971),
    [anon_sym_stackalloc] = ACTIONS(3969),
    [anon_sym_sizeof] = ACTIONS(3969),
    [anon_sym_typeof] = ACTIONS(3969),
    [anon_sym___makeref] = ACTIONS(3969),
    [anon_sym___reftype] = ACTIONS(3969),
    [anon_sym___refvalue] = ACTIONS(3969),
    [sym_null_literal] = ACTIONS(3969),
    [anon_sym_SQUOTE] = ACTIONS(3971),
    [sym_integer_literal] = ACTIONS(3969),
    [sym_real_literal] = ACTIONS(3971),
    [sym_verbatim_string_literal] = ACTIONS(3971),
    [aux_sym_preproc_if_token1] = ACTIONS(3971),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3971),
    [sym_interpolation_verbatim_start] = ACTIONS(3971),
    [sym_interpolation_raw_start] = ACTIONS(3971),
    [sym_raw_string_start] = ACTIONS(3971),
  },
  [2629] = {
    [sym_preproc_region] = STATE(2629),
    [sym_preproc_endregion] = STATE(2629),
    [sym_preproc_line] = STATE(2629),
    [sym_preproc_pragma] = STATE(2629),
    [sym_preproc_nullable] = STATE(2629),
    [sym_preproc_error] = STATE(2629),
    [sym_preproc_define] = STATE(2629),
    [sym_preproc_undef] = STATE(2629),
    [ts_builtin_sym_end] = ACTIONS(3975),
    [sym__identifier_token] = ACTIONS(3973),
    [anon_sym_extern] = ACTIONS(3973),
    [anon_sym_alias] = ACTIONS(3973),
    [anon_sym_SEMI] = ACTIONS(3975),
    [anon_sym_global] = ACTIONS(3973),
    [anon_sym_using] = ACTIONS(3973),
    [anon_sym_unsafe] = ACTIONS(3973),
    [anon_sym_static] = ACTIONS(3973),
    [anon_sym_LBRACK] = ACTIONS(3975),
    [anon_sym_LPAREN] = ACTIONS(3975),
    [anon_sym_return] = ACTIONS(3973),
    [anon_sym_namespace] = ACTIONS(3973),
    [anon_sym_class] = ACTIONS(3973),
    [anon_sym_ref] = ACTIONS(3973),
    [anon_sym_struct] = ACTIONS(3973),
    [anon_sym_enum] = ACTIONS(3973),
    [anon_sym_LBRACE] = ACTIONS(3975),
    [anon_sym_interface] = ACTIONS(3973),
    [anon_sym_delegate] = ACTIONS(3973),
    [anon_sym_record] = ACTIONS(3973),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_async] = ACTIONS(3973),
    [anon_sym_const] = ACTIONS(3973),
    [anon_sym_file] = ACTIONS(3973),
    [anon_sym_fixed] = ACTIONS(3973),
    [anon_sym_internal] = ACTIONS(3973),
    [anon_sym_new] = ACTIONS(3973),
    [anon_sym_override] = ACTIONS(3973),
    [anon_sym_partial] = ACTIONS(3973),
    [anon_sym_private] = ACTIONS(3973),
    [anon_sym_protected] = ACTIONS(3973),
    [anon_sym_public] = ACTIONS(3973),
    [anon_sym_readonly] = ACTIONS(3973),
    [anon_sym_required] = ACTIONS(3973),
    [anon_sym_sealed] = ACTIONS(3973),
    [anon_sym_virtual] = ACTIONS(3973),
    [anon_sym_volatile] = ACTIONS(3973),
    [anon_sym_where] = ACTIONS(3973),
    [anon_sym_notnull] = ACTIONS(3973),
    [anon_sym_unmanaged] = ACTIONS(3973),
    [anon_sym_checked] = ACTIONS(3973),
    [anon_sym_BANG] = ACTIONS(3975),
    [anon_sym_TILDE] = ACTIONS(3975),
    [anon_sym_PLUS_PLUS] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(3975),
    [anon_sym_true] = ACTIONS(3973),
    [anon_sym_false] = ACTIONS(3973),
    [anon_sym_PLUS] = ACTIONS(3973),
    [anon_sym_DASH] = ACTIONS(3973),
    [anon_sym_STAR] = ACTIONS(3975),
    [anon_sym_CARET] = ACTIONS(3975),
    [anon_sym_AMP] = ACTIONS(3975),
    [anon_sym_this] = ACTIONS(3973),
    [anon_sym_scoped] = ACTIONS(3973),
    [anon_sym_base] = ACTIONS(3973),
    [anon_sym_var] = ACTIONS(3973),
    [sym_predefined_type] = ACTIONS(3973),
    [anon_sym_break] = ACTIONS(3973),
    [anon_sym_unchecked] = ACTIONS(3973),
    [anon_sym_continue] = ACTIONS(3973),
    [anon_sym_do] = ACTIONS(3973),
    [anon_sym_while] = ACTIONS(3973),
    [anon_sym_for] = ACTIONS(3973),
    [anon_sym_lock] = ACTIONS(3973),
    [anon_sym_yield] = ACTIONS(3973),
    [anon_sym_switch] = ACTIONS(3973),
    [anon_sym_default] = ACTIONS(3973),
    [anon_sym_throw] = ACTIONS(3973),
    [anon_sym_try] = ACTIONS(3973),
    [anon_sym_when] = ACTIONS(3973),
    [anon_sym_await] = ACTIONS(3973),
    [anon_sym_foreach] = ACTIONS(3973),
    [anon_sym_goto] = ACTIONS(3973),
    [anon_sym_if] = ACTIONS(3973),
    [anon_sym_DOT_DOT] = ACTIONS(3975),
    [anon_sym_from] = ACTIONS(3973),
    [anon_sym_into] = ACTIONS(3973),
    [anon_sym_join] = ACTIONS(3973),
    [anon_sym_on] = ACTIONS(3973),
    [anon_sym_equals] = ACTIONS(3973),
    [anon_sym_let] = ACTIONS(3973),
    [anon_sym_orderby] = ACTIONS(3973),
    [anon_sym_ascending] = ACTIONS(3973),
    [anon_sym_descending] = ACTIONS(3973),
    [anon_sym_group] = ACTIONS(3973),
    [anon_sym_by] = ACTIONS(3973),
    [anon_sym_select] = ACTIONS(3973),
    [anon_sym_DQUOTE] = ACTIONS(3975),
    [anon_sym_stackalloc] = ACTIONS(3973),
    [anon_sym_sizeof] = ACTIONS(3973),
    [anon_sym_typeof] = ACTIONS(3973),
    [anon_sym___makeref] = ACTIONS(3973),
    [anon_sym___reftype] = ACTIONS(3973),
    [anon_sym___refvalue] = ACTIONS(3973),
    [sym_null_literal] = ACTIONS(3973),
    [anon_sym_SQUOTE] = ACTIONS(3975),
    [sym_integer_literal] = ACTIONS(3973),
    [sym_real_literal] = ACTIONS(3975),
    [sym_verbatim_string_literal] = ACTIONS(3975),
    [aux_sym_preproc_if_token1] = ACTIONS(3975),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3975),
    [sym_interpolation_verbatim_start] = ACTIONS(3975),
    [sym_interpolation_raw_start] = ACTIONS(3975),
    [sym_raw_string_start] = ACTIONS(3975),
  },
  [2630] = {
    [sym_catch_clause] = STATE(2650),
    [sym_preproc_region] = STATE(2630),
    [sym_preproc_endregion] = STATE(2630),
    [sym_preproc_line] = STATE(2630),
    [sym_preproc_pragma] = STATE(2630),
    [sym_preproc_nullable] = STATE(2630),
    [sym_preproc_error] = STATE(2630),
    [sym_preproc_define] = STATE(2630),
    [sym_preproc_undef] = STATE(2630),
    [aux_sym_try_statement_repeat1] = STATE(2630),
    [sym__identifier_token] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym_alias] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym_global] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_unsafe] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3015),
    [anon_sym_LPAREN] = ACTIONS(3015),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_ref] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_delegate] = ACTIONS(3013),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_async] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_file] = ACTIONS(3013),
    [anon_sym_fixed] = ACTIONS(3013),
    [anon_sym_internal] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_override] = ACTIONS(3013),
    [anon_sym_partial] = ACTIONS(3013),
    [anon_sym_private] = ACTIONS(3013),
    [anon_sym_protected] = ACTIONS(3013),
    [anon_sym_public] = ACTIONS(3013),
    [anon_sym_readonly] = ACTIONS(3013),
    [anon_sym_required] = ACTIONS(3013),
    [anon_sym_sealed] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_where] = ACTIONS(3013),
    [anon_sym_notnull] = ACTIONS(3013),
    [anon_sym_unmanaged] = ACTIONS(3013),
    [anon_sym_checked] = ACTIONS(3013),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_true] = ACTIONS(3013),
    [anon_sym_false] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_this] = ACTIONS(3013),
    [anon_sym_scoped] = ACTIONS(3013),
    [anon_sym_base] = ACTIONS(3013),
    [anon_sym_var] = ACTIONS(3013),
    [sym_predefined_type] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_unchecked] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_lock] = ACTIONS(3013),
    [anon_sym_yield] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_catch] = ACTIONS(4026),
    [anon_sym_when] = ACTIONS(3013),
    [anon_sym_finally] = ACTIONS(3013),
    [anon_sym_await] = ACTIONS(3013),
    [anon_sym_foreach] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_else] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_from] = ACTIONS(3013),
    [anon_sym_into] = ACTIONS(3013),
    [anon_sym_join] = ACTIONS(3013),
    [anon_sym_on] = ACTIONS(3013),
    [anon_sym_equals] = ACTIONS(3013),
    [anon_sym_let] = ACTIONS(3013),
    [anon_sym_orderby] = ACTIONS(3013),
    [anon_sym_ascending] = ACTIONS(3013),
    [anon_sym_descending] = ACTIONS(3013),
    [anon_sym_group] = ACTIONS(3013),
    [anon_sym_by] = ACTIONS(3013),
    [anon_sym_select] = ACTIONS(3013),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [anon_sym_stackalloc] = ACTIONS(3013),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym_typeof] = ACTIONS(3013),
    [anon_sym___makeref] = ACTIONS(3013),
    [anon_sym___reftype] = ACTIONS(3013),
    [anon_sym___refvalue] = ACTIONS(3013),
    [sym_null_literal] = ACTIONS(3013),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [sym_integer_literal] = ACTIONS(3013),
    [sym_real_literal] = ACTIONS(3015),
    [sym_verbatim_string_literal] = ACTIONS(3015),
    [aux_sym_preproc_if_token1] = ACTIONS(3015),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3015),
    [sym_interpolation_verbatim_start] = ACTIONS(3015),
    [sym_interpolation_raw_start] = ACTIONS(3015),
    [sym_raw_string_start] = ACTIONS(3015),
  },
  [2631] = {
    [sym_preproc_region] = STATE(2631),
    [sym_preproc_endregion] = STATE(2631),
    [sym_preproc_line] = STATE(2631),
    [sym_preproc_pragma] = STATE(2631),
    [sym_preproc_nullable] = STATE(2631),
    [sym_preproc_error] = STATE(2631),
    [sym_preproc_define] = STATE(2631),
    [sym_preproc_undef] = STATE(2631),
    [ts_builtin_sym_end] = ACTIONS(3979),
    [sym__identifier_token] = ACTIONS(3977),
    [anon_sym_extern] = ACTIONS(3977),
    [anon_sym_alias] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3979),
    [anon_sym_global] = ACTIONS(3977),
    [anon_sym_using] = ACTIONS(3977),
    [anon_sym_unsafe] = ACTIONS(3977),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_LBRACK] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_return] = ACTIONS(3977),
    [anon_sym_namespace] = ACTIONS(3977),
    [anon_sym_class] = ACTIONS(3977),
    [anon_sym_ref] = ACTIONS(3977),
    [anon_sym_struct] = ACTIONS(3977),
    [anon_sym_enum] = ACTIONS(3977),
    [anon_sym_LBRACE] = ACTIONS(3979),
    [anon_sym_interface] = ACTIONS(3977),
    [anon_sym_delegate] = ACTIONS(3977),
    [anon_sym_record] = ACTIONS(3977),
    [anon_sym_abstract] = ACTIONS(3977),
    [anon_sym_async] = ACTIONS(3977),
    [anon_sym_const] = ACTIONS(3977),
    [anon_sym_file] = ACTIONS(3977),
    [anon_sym_fixed] = ACTIONS(3977),
    [anon_sym_internal] = ACTIONS(3977),
    [anon_sym_new] = ACTIONS(3977),
    [anon_sym_override] = ACTIONS(3977),
    [anon_sym_partial] = ACTIONS(3977),
    [anon_sym_private] = ACTIONS(3977),
    [anon_sym_protected] = ACTIONS(3977),
    [anon_sym_public] = ACTIONS(3977),
    [anon_sym_readonly] = ACTIONS(3977),
    [anon_sym_required] = ACTIONS(3977),
    [anon_sym_sealed] = ACTIONS(3977),
    [anon_sym_virtual] = ACTIONS(3977),
    [anon_sym_volatile] = ACTIONS(3977),
    [anon_sym_where] = ACTIONS(3977),
    [anon_sym_notnull] = ACTIONS(3977),
    [anon_sym_unmanaged] = ACTIONS(3977),
    [anon_sym_checked] = ACTIONS(3977),
    [anon_sym_BANG] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_PLUS_PLUS] = ACTIONS(3979),
    [anon_sym_DASH_DASH] = ACTIONS(3979),
    [anon_sym_true] = ACTIONS(3977),
    [anon_sym_false] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3977),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_this] = ACTIONS(3977),
    [anon_sym_scoped] = ACTIONS(3977),
    [anon_sym_base] = ACTIONS(3977),
    [anon_sym_var] = ACTIONS(3977),
    [sym_predefined_type] = ACTIONS(3977),
    [anon_sym_break] = ACTIONS(3977),
    [anon_sym_unchecked] = ACTIONS(3977),
    [anon_sym_continue] = ACTIONS(3977),
    [anon_sym_do] = ACTIONS(3977),
    [anon_sym_while] = ACTIONS(3977),
    [anon_sym_for] = ACTIONS(3977),
    [anon_sym_lock] = ACTIONS(3977),
    [anon_sym_yield] = ACTIONS(3977),
    [anon_sym_switch] = ACTIONS(3977),
    [anon_sym_default] = ACTIONS(3977),
    [anon_sym_throw] = ACTIONS(3977),
    [anon_sym_try] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_await] = ACTIONS(3977),
    [anon_sym_foreach] = ACTIONS(3977),
    [anon_sym_goto] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_DOT_DOT] = ACTIONS(3979),
    [anon_sym_from] = ACTIONS(3977),
    [anon_sym_into] = ACTIONS(3977),
    [anon_sym_join] = ACTIONS(3977),
    [anon_sym_on] = ACTIONS(3977),
    [anon_sym_equals] = ACTIONS(3977),
    [anon_sym_let] = ACTIONS(3977),
    [anon_sym_orderby] = ACTIONS(3977),
    [anon_sym_ascending] = ACTIONS(3977),
    [anon_sym_descending] = ACTIONS(3977),
    [anon_sym_group] = ACTIONS(3977),
    [anon_sym_by] = ACTIONS(3977),
    [anon_sym_select] = ACTIONS(3977),
    [anon_sym_DQUOTE] = ACTIONS(3979),
    [anon_sym_stackalloc] = ACTIONS(3977),
    [anon_sym_sizeof] = ACTIONS(3977),
    [anon_sym_typeof] = ACTIONS(3977),
    [anon_sym___makeref] = ACTIONS(3977),
    [anon_sym___reftype] = ACTIONS(3977),
    [anon_sym___refvalue] = ACTIONS(3977),
    [sym_null_literal] = ACTIONS(3977),
    [anon_sym_SQUOTE] = ACTIONS(3979),
    [sym_integer_literal] = ACTIONS(3977),
    [sym_real_literal] = ACTIONS(3979),
    [sym_verbatim_string_literal] = ACTIONS(3979),
    [aux_sym_preproc_if_token1] = ACTIONS(3979),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3979),
    [sym_interpolation_verbatim_start] = ACTIONS(3979),
    [sym_interpolation_raw_start] = ACTIONS(3979),
    [sym_raw_string_start] = ACTIONS(3979),
  },
  [2632] = {
    [sym_preproc_region] = STATE(2632),
    [sym_preproc_endregion] = STATE(2632),
    [sym_preproc_line] = STATE(2632),
    [sym_preproc_pragma] = STATE(2632),
    [sym_preproc_nullable] = STATE(2632),
    [sym_preproc_error] = STATE(2632),
    [sym_preproc_define] = STATE(2632),
    [sym_preproc_undef] = STATE(2632),
    [ts_builtin_sym_end] = ACTIONS(3731),
    [sym__identifier_token] = ACTIONS(3729),
    [anon_sym_extern] = ACTIONS(3729),
    [anon_sym_alias] = ACTIONS(3729),
    [anon_sym_SEMI] = ACTIONS(3731),
    [anon_sym_global] = ACTIONS(3729),
    [anon_sym_using] = ACTIONS(3729),
    [anon_sym_unsafe] = ACTIONS(3729),
    [anon_sym_static] = ACTIONS(3729),
    [anon_sym_LBRACK] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_return] = ACTIONS(3729),
    [anon_sym_namespace] = ACTIONS(3729),
    [anon_sym_class] = ACTIONS(3729),
    [anon_sym_ref] = ACTIONS(3729),
    [anon_sym_struct] = ACTIONS(3729),
    [anon_sym_enum] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(3731),
    [anon_sym_interface] = ACTIONS(3729),
    [anon_sym_delegate] = ACTIONS(3729),
    [anon_sym_record] = ACTIONS(3729),
    [anon_sym_abstract] = ACTIONS(3729),
    [anon_sym_async] = ACTIONS(3729),
    [anon_sym_const] = ACTIONS(3729),
    [anon_sym_file] = ACTIONS(3729),
    [anon_sym_fixed] = ACTIONS(3729),
    [anon_sym_internal] = ACTIONS(3729),
    [anon_sym_new] = ACTIONS(3729),
    [anon_sym_override] = ACTIONS(3729),
    [anon_sym_partial] = ACTIONS(3729),
    [anon_sym_private] = ACTIONS(3729),
    [anon_sym_protected] = ACTIONS(3729),
    [anon_sym_public] = ACTIONS(3729),
    [anon_sym_readonly] = ACTIONS(3729),
    [anon_sym_required] = ACTIONS(3729),
    [anon_sym_sealed] = ACTIONS(3729),
    [anon_sym_virtual] = ACTIONS(3729),
    [anon_sym_volatile] = ACTIONS(3729),
    [anon_sym_where] = ACTIONS(3729),
    [anon_sym_notnull] = ACTIONS(3729),
    [anon_sym_unmanaged] = ACTIONS(3729),
    [anon_sym_checked] = ACTIONS(3729),
    [anon_sym_BANG] = ACTIONS(3731),
    [anon_sym_TILDE] = ACTIONS(3731),
    [anon_sym_PLUS_PLUS] = ACTIONS(3731),
    [anon_sym_DASH_DASH] = ACTIONS(3731),
    [anon_sym_true] = ACTIONS(3729),
    [anon_sym_false] = ACTIONS(3729),
    [anon_sym_PLUS] = ACTIONS(3729),
    [anon_sym_DASH] = ACTIONS(3729),
    [anon_sym_STAR] = ACTIONS(3731),
    [anon_sym_CARET] = ACTIONS(3731),
    [anon_sym_AMP] = ACTIONS(3731),
    [anon_sym_this] = ACTIONS(3729),
    [anon_sym_scoped] = ACTIONS(3729),
    [anon_sym_base] = ACTIONS(3729),
    [anon_sym_var] = ACTIONS(3729),
    [sym_predefined_type] = ACTIONS(3729),
    [anon_sym_break] = ACTIONS(3729),
    [anon_sym_unchecked] = ACTIONS(3729),
    [anon_sym_continue] = ACTIONS(3729),
    [anon_sym_do] = ACTIONS(3729),
    [anon_sym_while] = ACTIONS(3729),
    [anon_sym_for] = ACTIONS(3729),
    [anon_sym_lock] = ACTIONS(3729),
    [anon_sym_yield] = ACTIONS(3729),
    [anon_sym_switch] = ACTIONS(3729),
    [anon_sym_default] = ACTIONS(3729),
    [anon_sym_throw] = ACTIONS(3729),
    [anon_sym_try] = ACTIONS(3729),
    [anon_sym_when] = ACTIONS(3729),
    [anon_sym_await] = ACTIONS(3729),
    [anon_sym_foreach] = ACTIONS(3729),
    [anon_sym_goto] = ACTIONS(3729),
    [anon_sym_if] = ACTIONS(3729),
    [anon_sym_DOT_DOT] = ACTIONS(3731),
    [anon_sym_from] = ACTIONS(3729),
    [anon_sym_into] = ACTIONS(3729),
    [anon_sym_join] = ACTIONS(3729),
    [anon_sym_on] = ACTIONS(3729),
    [anon_sym_equals] = ACTIONS(3729),
    [anon_sym_let] = ACTIONS(3729),
    [anon_sym_orderby] = ACTIONS(3729),
    [anon_sym_ascending] = ACTIONS(3729),
    [anon_sym_descending] = ACTIONS(3729),
    [anon_sym_group] = ACTIONS(3729),
    [anon_sym_by] = ACTIONS(3729),
    [anon_sym_select] = ACTIONS(3729),
    [anon_sym_DQUOTE] = ACTIONS(3731),
    [anon_sym_stackalloc] = ACTIONS(3729),
    [anon_sym_sizeof] = ACTIONS(3729),
    [anon_sym_typeof] = ACTIONS(3729),
    [anon_sym___makeref] = ACTIONS(3729),
    [anon_sym___reftype] = ACTIONS(3729),
    [anon_sym___refvalue] = ACTIONS(3729),
    [sym_null_literal] = ACTIONS(3729),
    [anon_sym_SQUOTE] = ACTIONS(3731),
    [sym_integer_literal] = ACTIONS(3729),
    [sym_real_literal] = ACTIONS(3731),
    [sym_verbatim_string_literal] = ACTIONS(3731),
    [aux_sym_preproc_if_token1] = ACTIONS(3731),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3731),
    [sym_interpolation_verbatim_start] = ACTIONS(3731),
    [sym_interpolation_raw_start] = ACTIONS(3731),
    [sym_raw_string_start] = ACTIONS(3731),
  },
  [2633] = {
    [sym_preproc_region] = STATE(2633),
    [sym_preproc_endregion] = STATE(2633),
    [sym_preproc_line] = STATE(2633),
    [sym_preproc_pragma] = STATE(2633),
    [sym_preproc_nullable] = STATE(2633),
    [sym_preproc_error] = STATE(2633),
    [sym_preproc_define] = STATE(2633),
    [sym_preproc_undef] = STATE(2633),
    [ts_builtin_sym_end] = ACTIONS(3457),
    [sym__identifier_token] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym_alias] = ACTIONS(3455),
    [anon_sym_SEMI] = ACTIONS(3457),
    [anon_sym_global] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_unsafe] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3457),
    [anon_sym_return] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_ref] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_LBRACE] = ACTIONS(3457),
    [anon_sym_interface] = ACTIONS(3455),
    [anon_sym_delegate] = ACTIONS(3455),
    [anon_sym_record] = ACTIONS(3455),
    [anon_sym_abstract] = ACTIONS(3455),
    [anon_sym_async] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_file] = ACTIONS(3455),
    [anon_sym_fixed] = ACTIONS(3455),
    [anon_sym_internal] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_override] = ACTIONS(3455),
    [anon_sym_partial] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_readonly] = ACTIONS(3455),
    [anon_sym_required] = ACTIONS(3455),
    [anon_sym_sealed] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_where] = ACTIONS(3455),
    [anon_sym_notnull] = ACTIONS(3455),
    [anon_sym_unmanaged] = ACTIONS(3455),
    [anon_sym_checked] = ACTIONS(3455),
    [anon_sym_BANG] = ACTIONS(3457),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_PLUS_PLUS] = ACTIONS(3457),
    [anon_sym_DASH_DASH] = ACTIONS(3457),
    [anon_sym_true] = ACTIONS(3455),
    [anon_sym_false] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(3455),
    [anon_sym_DASH] = ACTIONS(3455),
    [anon_sym_STAR] = ACTIONS(3457),
    [anon_sym_CARET] = ACTIONS(3457),
    [anon_sym_AMP] = ACTIONS(3457),
    [anon_sym_this] = ACTIONS(3455),
    [anon_sym_scoped] = ACTIONS(3455),
    [anon_sym_base] = ACTIONS(3455),
    [anon_sym_var] = ACTIONS(3455),
    [sym_predefined_type] = ACTIONS(3455),
    [anon_sym_break] = ACTIONS(3455),
    [anon_sym_unchecked] = ACTIONS(3455),
    [anon_sym_continue] = ACTIONS(3455),
    [anon_sym_do] = ACTIONS(3455),
    [anon_sym_while] = ACTIONS(3455),
    [anon_sym_for] = ACTIONS(3455),
    [anon_sym_lock] = ACTIONS(3455),
    [anon_sym_yield] = ACTIONS(3455),
    [anon_sym_switch] = ACTIONS(3455),
    [anon_sym_default] = ACTIONS(3455),
    [anon_sym_throw] = ACTIONS(3455),
    [anon_sym_try] = ACTIONS(3455),
    [anon_sym_when] = ACTIONS(3455),
    [anon_sym_await] = ACTIONS(3455),
    [anon_sym_foreach] = ACTIONS(3455),
    [anon_sym_goto] = ACTIONS(3455),
    [anon_sym_if] = ACTIONS(3455),
    [anon_sym_DOT_DOT] = ACTIONS(3457),
    [anon_sym_from] = ACTIONS(3455),
    [anon_sym_into] = ACTIONS(3455),
    [anon_sym_join] = ACTIONS(3455),
    [anon_sym_on] = ACTIONS(3455),
    [anon_sym_equals] = ACTIONS(3455),
    [anon_sym_let] = ACTIONS(3455),
    [anon_sym_orderby] = ACTIONS(3455),
    [anon_sym_ascending] = ACTIONS(3455),
    [anon_sym_descending] = ACTIONS(3455),
    [anon_sym_group] = ACTIONS(3455),
    [anon_sym_by] = ACTIONS(3455),
    [anon_sym_select] = ACTIONS(3455),
    [anon_sym_DQUOTE] = ACTIONS(3457),
    [anon_sym_stackalloc] = ACTIONS(3455),
    [anon_sym_sizeof] = ACTIONS(3455),
    [anon_sym_typeof] = ACTIONS(3455),
    [anon_sym___makeref] = ACTIONS(3455),
    [anon_sym___reftype] = ACTIONS(3455),
    [anon_sym___refvalue] = ACTIONS(3455),
    [sym_null_literal] = ACTIONS(3455),
    [anon_sym_SQUOTE] = ACTIONS(3457),
    [sym_integer_literal] = ACTIONS(3455),
    [sym_real_literal] = ACTIONS(3457),
    [sym_verbatim_string_literal] = ACTIONS(3457),
    [aux_sym_preproc_if_token1] = ACTIONS(3457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3457),
    [sym_interpolation_verbatim_start] = ACTIONS(3457),
    [sym_interpolation_raw_start] = ACTIONS(3457),
    [sym_raw_string_start] = ACTIONS(3457),
  },
  [2634] = {
    [sym_preproc_region] = STATE(2634),
    [sym_preproc_endregion] = STATE(2634),
    [sym_preproc_line] = STATE(2634),
    [sym_preproc_pragma] = STATE(2634),
    [sym_preproc_nullable] = STATE(2634),
    [sym_preproc_error] = STATE(2634),
    [sym_preproc_define] = STATE(2634),
    [sym_preproc_undef] = STATE(2634),
    [ts_builtin_sym_end] = ACTIONS(3907),
    [sym__identifier_token] = ACTIONS(3905),
    [anon_sym_extern] = ACTIONS(3905),
    [anon_sym_alias] = ACTIONS(3905),
    [anon_sym_SEMI] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3905),
    [anon_sym_using] = ACTIONS(3905),
    [anon_sym_unsafe] = ACTIONS(3905),
    [anon_sym_static] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(3907),
    [anon_sym_LPAREN] = ACTIONS(3907),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_namespace] = ACTIONS(3905),
    [anon_sym_class] = ACTIONS(3905),
    [anon_sym_ref] = ACTIONS(3905),
    [anon_sym_struct] = ACTIONS(3905),
    [anon_sym_enum] = ACTIONS(3905),
    [anon_sym_LBRACE] = ACTIONS(3907),
    [anon_sym_interface] = ACTIONS(3905),
    [anon_sym_delegate] = ACTIONS(3905),
    [anon_sym_record] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3905),
    [anon_sym_async] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3905),
    [anon_sym_file] = ACTIONS(3905),
    [anon_sym_fixed] = ACTIONS(3905),
    [anon_sym_internal] = ACTIONS(3905),
    [anon_sym_new] = ACTIONS(3905),
    [anon_sym_override] = ACTIONS(3905),
    [anon_sym_partial] = ACTIONS(3905),
    [anon_sym_private] = ACTIONS(3905),
    [anon_sym_protected] = ACTIONS(3905),
    [anon_sym_public] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3905),
    [anon_sym_required] = ACTIONS(3905),
    [anon_sym_sealed] = ACTIONS(3905),
    [anon_sym_virtual] = ACTIONS(3905),
    [anon_sym_volatile] = ACTIONS(3905),
    [anon_sym_where] = ACTIONS(3905),
    [anon_sym_notnull] = ACTIONS(3905),
    [anon_sym_unmanaged] = ACTIONS(3905),
    [anon_sym_checked] = ACTIONS(3905),
    [anon_sym_BANG] = ACTIONS(3907),
    [anon_sym_TILDE] = ACTIONS(3907),
    [anon_sym_PLUS_PLUS] = ACTIONS(3907),
    [anon_sym_DASH_DASH] = ACTIONS(3907),
    [anon_sym_true] = ACTIONS(3905),
    [anon_sym_false] = ACTIONS(3905),
    [anon_sym_PLUS] = ACTIONS(3905),
    [anon_sym_DASH] = ACTIONS(3905),
    [anon_sym_STAR] = ACTIONS(3907),
    [anon_sym_CARET] = ACTIONS(3907),
    [anon_sym_AMP] = ACTIONS(3907),
    [anon_sym_this] = ACTIONS(3905),
    [anon_sym_scoped] = ACTIONS(3905),
    [anon_sym_base] = ACTIONS(3905),
    [anon_sym_var] = ACTIONS(3905),
    [sym_predefined_type] = ACTIONS(3905),
    [anon_sym_break] = ACTIONS(3905),
    [anon_sym_unchecked] = ACTIONS(3905),
    [anon_sym_continue] = ACTIONS(3905),
    [anon_sym_do] = ACTIONS(3905),
    [anon_sym_while] = ACTIONS(3905),
    [anon_sym_for] = ACTIONS(3905),
    [anon_sym_lock] = ACTIONS(3905),
    [anon_sym_yield] = ACTIONS(3905),
    [anon_sym_switch] = ACTIONS(3905),
    [anon_sym_default] = ACTIONS(3905),
    [anon_sym_throw] = ACTIONS(3905),
    [anon_sym_try] = ACTIONS(3905),
    [anon_sym_when] = ACTIONS(3905),
    [anon_sym_await] = ACTIONS(3905),
    [anon_sym_foreach] = ACTIONS(3905),
    [anon_sym_goto] = ACTIONS(3905),
    [anon_sym_if] = ACTIONS(3905),
    [anon_sym_DOT_DOT] = ACTIONS(3907),
    [anon_sym_from] = ACTIONS(3905),
    [anon_sym_into] = ACTIONS(3905),
    [anon_sym_join] = ACTIONS(3905),
    [anon_sym_on] = ACTIONS(3905),
    [anon_sym_equals] = ACTIONS(3905),
    [anon_sym_let] = ACTIONS(3905),
    [anon_sym_orderby] = ACTIONS(3905),
    [anon_sym_ascending] = ACTIONS(3905),
    [anon_sym_descending] = ACTIONS(3905),
    [anon_sym_group] = ACTIONS(3905),
    [anon_sym_by] = ACTIONS(3905),
    [anon_sym_select] = ACTIONS(3905),
    [anon_sym_DQUOTE] = ACTIONS(3907),
    [anon_sym_stackalloc] = ACTIONS(3905),
    [anon_sym_sizeof] = ACTIONS(3905),
    [anon_sym_typeof] = ACTIONS(3905),
    [anon_sym___makeref] = ACTIONS(3905),
    [anon_sym___reftype] = ACTIONS(3905),
    [anon_sym___refvalue] = ACTIONS(3905),
    [sym_null_literal] = ACTIONS(3905),
    [anon_sym_SQUOTE] = ACTIONS(3907),
    [sym_integer_literal] = ACTIONS(3905),
    [sym_real_literal] = ACTIONS(3907),
    [sym_verbatim_string_literal] = ACTIONS(3907),
    [aux_sym_preproc_if_token1] = ACTIONS(3907),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3907),
    [sym_interpolation_verbatim_start] = ACTIONS(3907),
    [sym_interpolation_raw_start] = ACTIONS(3907),
    [sym_raw_string_start] = ACTIONS(3907),
  },
  [2635] = {
    [sym_preproc_region] = STATE(2635),
    [sym_preproc_endregion] = STATE(2635),
    [sym_preproc_line] = STATE(2635),
    [sym_preproc_pragma] = STATE(2635),
    [sym_preproc_nullable] = STATE(2635),
    [sym_preproc_error] = STATE(2635),
    [sym_preproc_define] = STATE(2635),
    [sym_preproc_undef] = STATE(2635),
    [ts_builtin_sym_end] = ACTIONS(3835),
    [sym__identifier_token] = ACTIONS(3833),
    [anon_sym_extern] = ACTIONS(3833),
    [anon_sym_alias] = ACTIONS(3833),
    [anon_sym_SEMI] = ACTIONS(3835),
    [anon_sym_global] = ACTIONS(3833),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_unsafe] = ACTIONS(3833),
    [anon_sym_static] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3835),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_return] = ACTIONS(3833),
    [anon_sym_namespace] = ACTIONS(3833),
    [anon_sym_class] = ACTIONS(3833),
    [anon_sym_ref] = ACTIONS(3833),
    [anon_sym_struct] = ACTIONS(3833),
    [anon_sym_enum] = ACTIONS(3833),
    [anon_sym_LBRACE] = ACTIONS(3835),
    [anon_sym_interface] = ACTIONS(3833),
    [anon_sym_delegate] = ACTIONS(3833),
    [anon_sym_record] = ACTIONS(3833),
    [anon_sym_abstract] = ACTIONS(3833),
    [anon_sym_async] = ACTIONS(3833),
    [anon_sym_const] = ACTIONS(3833),
    [anon_sym_file] = ACTIONS(3833),
    [anon_sym_fixed] = ACTIONS(3833),
    [anon_sym_internal] = ACTIONS(3833),
    [anon_sym_new] = ACTIONS(3833),
    [anon_sym_override] = ACTIONS(3833),
    [anon_sym_partial] = ACTIONS(3833),
    [anon_sym_private] = ACTIONS(3833),
    [anon_sym_protected] = ACTIONS(3833),
    [anon_sym_public] = ACTIONS(3833),
    [anon_sym_readonly] = ACTIONS(3833),
    [anon_sym_required] = ACTIONS(3833),
    [anon_sym_sealed] = ACTIONS(3833),
    [anon_sym_virtual] = ACTIONS(3833),
    [anon_sym_volatile] = ACTIONS(3833),
    [anon_sym_where] = ACTIONS(3833),
    [anon_sym_notnull] = ACTIONS(3833),
    [anon_sym_unmanaged] = ACTIONS(3833),
    [anon_sym_checked] = ACTIONS(3833),
    [anon_sym_BANG] = ACTIONS(3835),
    [anon_sym_TILDE] = ACTIONS(3835),
    [anon_sym_PLUS_PLUS] = ACTIONS(3835),
    [anon_sym_DASH_DASH] = ACTIONS(3835),
    [anon_sym_true] = ACTIONS(3833),
    [anon_sym_false] = ACTIONS(3833),
    [anon_sym_PLUS] = ACTIONS(3833),
    [anon_sym_DASH] = ACTIONS(3833),
    [anon_sym_STAR] = ACTIONS(3835),
    [anon_sym_CARET] = ACTIONS(3835),
    [anon_sym_AMP] = ACTIONS(3835),
    [anon_sym_this] = ACTIONS(3833),
    [anon_sym_scoped] = ACTIONS(3833),
    [anon_sym_base] = ACTIONS(3833),
    [anon_sym_var] = ACTIONS(3833),
    [sym_predefined_type] = ACTIONS(3833),
    [anon_sym_break] = ACTIONS(3833),
    [anon_sym_unchecked] = ACTIONS(3833),
    [anon_sym_continue] = ACTIONS(3833),
    [anon_sym_do] = ACTIONS(3833),
    [anon_sym_while] = ACTIONS(3833),
    [anon_sym_for] = ACTIONS(3833),
    [anon_sym_lock] = ACTIONS(3833),
    [anon_sym_yield] = ACTIONS(3833),
    [anon_sym_switch] = ACTIONS(3833),
    [anon_sym_default] = ACTIONS(3833),
    [anon_sym_throw] = ACTIONS(3833),
    [anon_sym_try] = ACTIONS(3833),
    [anon_sym_when] = ACTIONS(3833),
    [anon_sym_await] = ACTIONS(3833),
    [anon_sym_foreach] = ACTIONS(3833),
    [anon_sym_goto] = ACTIONS(3833),
    [anon_sym_if] = ACTIONS(3833),
    [anon_sym_DOT_DOT] = ACTIONS(3835),
    [anon_sym_from] = ACTIONS(3833),
    [anon_sym_into] = ACTIONS(3833),
    [anon_sym_join] = ACTIONS(3833),
    [anon_sym_on] = ACTIONS(3833),
    [anon_sym_equals] = ACTIONS(3833),
    [anon_sym_let] = ACTIONS(3833),
    [anon_sym_orderby] = ACTIONS(3833),
    [anon_sym_ascending] = ACTIONS(3833),
    [anon_sym_descending] = ACTIONS(3833),
    [anon_sym_group] = ACTIONS(3833),
    [anon_sym_by] = ACTIONS(3833),
    [anon_sym_select] = ACTIONS(3833),
    [anon_sym_DQUOTE] = ACTIONS(3835),
    [anon_sym_stackalloc] = ACTIONS(3833),
    [anon_sym_sizeof] = ACTIONS(3833),
    [anon_sym_typeof] = ACTIONS(3833),
    [anon_sym___makeref] = ACTIONS(3833),
    [anon_sym___reftype] = ACTIONS(3833),
    [anon_sym___refvalue] = ACTIONS(3833),
    [sym_null_literal] = ACTIONS(3833),
    [anon_sym_SQUOTE] = ACTIONS(3835),
    [sym_integer_literal] = ACTIONS(3833),
    [sym_real_literal] = ACTIONS(3835),
    [sym_verbatim_string_literal] = ACTIONS(3835),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3835),
    [sym_interpolation_verbatim_start] = ACTIONS(3835),
    [sym_interpolation_raw_start] = ACTIONS(3835),
    [sym_raw_string_start] = ACTIONS(3835),
  },
  [2636] = {
    [sym_preproc_region] = STATE(2636),
    [sym_preproc_endregion] = STATE(2636),
    [sym_preproc_line] = STATE(2636),
    [sym_preproc_pragma] = STATE(2636),
    [sym_preproc_nullable] = STATE(2636),
    [sym_preproc_error] = STATE(2636),
    [sym_preproc_define] = STATE(2636),
    [sym_preproc_undef] = STATE(2636),
    [ts_builtin_sym_end] = ACTIONS(3827),
    [sym__identifier_token] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(3825),
    [anon_sym_alias] = ACTIONS(3825),
    [anon_sym_SEMI] = ACTIONS(3827),
    [anon_sym_global] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3825),
    [anon_sym_unsafe] = ACTIONS(3825),
    [anon_sym_static] = ACTIONS(3825),
    [anon_sym_LBRACK] = ACTIONS(3827),
    [anon_sym_LPAREN] = ACTIONS(3827),
    [anon_sym_return] = ACTIONS(3825),
    [anon_sym_namespace] = ACTIONS(3825),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_ref] = ACTIONS(3825),
    [anon_sym_struct] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3825),
    [anon_sym_LBRACE] = ACTIONS(3827),
    [anon_sym_interface] = ACTIONS(3825),
    [anon_sym_delegate] = ACTIONS(3825),
    [anon_sym_record] = ACTIONS(3825),
    [anon_sym_abstract] = ACTIONS(3825),
    [anon_sym_async] = ACTIONS(3825),
    [anon_sym_const] = ACTIONS(3825),
    [anon_sym_file] = ACTIONS(3825),
    [anon_sym_fixed] = ACTIONS(3825),
    [anon_sym_internal] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(3825),
    [anon_sym_override] = ACTIONS(3825),
    [anon_sym_partial] = ACTIONS(3825),
    [anon_sym_private] = ACTIONS(3825),
    [anon_sym_protected] = ACTIONS(3825),
    [anon_sym_public] = ACTIONS(3825),
    [anon_sym_readonly] = ACTIONS(3825),
    [anon_sym_required] = ACTIONS(3825),
    [anon_sym_sealed] = ACTIONS(3825),
    [anon_sym_virtual] = ACTIONS(3825),
    [anon_sym_volatile] = ACTIONS(3825),
    [anon_sym_where] = ACTIONS(3825),
    [anon_sym_notnull] = ACTIONS(3825),
    [anon_sym_unmanaged] = ACTIONS(3825),
    [anon_sym_checked] = ACTIONS(3825),
    [anon_sym_BANG] = ACTIONS(3827),
    [anon_sym_TILDE] = ACTIONS(3827),
    [anon_sym_PLUS_PLUS] = ACTIONS(3827),
    [anon_sym_DASH_DASH] = ACTIONS(3827),
    [anon_sym_true] = ACTIONS(3825),
    [anon_sym_false] = ACTIONS(3825),
    [anon_sym_PLUS] = ACTIONS(3825),
    [anon_sym_DASH] = ACTIONS(3825),
    [anon_sym_STAR] = ACTIONS(3827),
    [anon_sym_CARET] = ACTIONS(3827),
    [anon_sym_AMP] = ACTIONS(3827),
    [anon_sym_this] = ACTIONS(3825),
    [anon_sym_scoped] = ACTIONS(3825),
    [anon_sym_base] = ACTIONS(3825),
    [anon_sym_var] = ACTIONS(3825),
    [sym_predefined_type] = ACTIONS(3825),
    [anon_sym_break] = ACTIONS(3825),
    [anon_sym_unchecked] = ACTIONS(3825),
    [anon_sym_continue] = ACTIONS(3825),
    [anon_sym_do] = ACTIONS(3825),
    [anon_sym_while] = ACTIONS(3825),
    [anon_sym_for] = ACTIONS(3825),
    [anon_sym_lock] = ACTIONS(3825),
    [anon_sym_yield] = ACTIONS(3825),
    [anon_sym_switch] = ACTIONS(3825),
    [anon_sym_default] = ACTIONS(3825),
    [anon_sym_throw] = ACTIONS(3825),
    [anon_sym_try] = ACTIONS(3825),
    [anon_sym_when] = ACTIONS(3825),
    [anon_sym_await] = ACTIONS(3825),
    [anon_sym_foreach] = ACTIONS(3825),
    [anon_sym_goto] = ACTIONS(3825),
    [anon_sym_if] = ACTIONS(3825),
    [anon_sym_DOT_DOT] = ACTIONS(3827),
    [anon_sym_from] = ACTIONS(3825),
    [anon_sym_into] = ACTIONS(3825),
    [anon_sym_join] = ACTIONS(3825),
    [anon_sym_on] = ACTIONS(3825),
    [anon_sym_equals] = ACTIONS(3825),
    [anon_sym_let] = ACTIONS(3825),
    [anon_sym_orderby] = ACTIONS(3825),
    [anon_sym_ascending] = ACTIONS(3825),
    [anon_sym_descending] = ACTIONS(3825),
    [anon_sym_group] = ACTIONS(3825),
    [anon_sym_by] = ACTIONS(3825),
    [anon_sym_select] = ACTIONS(3825),
    [anon_sym_DQUOTE] = ACTIONS(3827),
    [anon_sym_stackalloc] = ACTIONS(3825),
    [anon_sym_sizeof] = ACTIONS(3825),
    [anon_sym_typeof] = ACTIONS(3825),
    [anon_sym___makeref] = ACTIONS(3825),
    [anon_sym___reftype] = ACTIONS(3825),
    [anon_sym___refvalue] = ACTIONS(3825),
    [sym_null_literal] = ACTIONS(3825),
    [anon_sym_SQUOTE] = ACTIONS(3827),
    [sym_integer_literal] = ACTIONS(3825),
    [sym_real_literal] = ACTIONS(3827),
    [sym_verbatim_string_literal] = ACTIONS(3827),
    [aux_sym_preproc_if_token1] = ACTIONS(3827),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3827),
    [sym_interpolation_verbatim_start] = ACTIONS(3827),
    [sym_interpolation_raw_start] = ACTIONS(3827),
    [sym_raw_string_start] = ACTIONS(3827),
  },
  [2637] = {
    [sym_preproc_region] = STATE(2637),
    [sym_preproc_endregion] = STATE(2637),
    [sym_preproc_line] = STATE(2637),
    [sym_preproc_pragma] = STATE(2637),
    [sym_preproc_nullable] = STATE(2637),
    [sym_preproc_error] = STATE(2637),
    [sym_preproc_define] = STATE(2637),
    [sym_preproc_undef] = STATE(2637),
    [ts_builtin_sym_end] = ACTIONS(3855),
    [sym__identifier_token] = ACTIONS(3853),
    [anon_sym_extern] = ACTIONS(3853),
    [anon_sym_alias] = ACTIONS(3853),
    [anon_sym_SEMI] = ACTIONS(3855),
    [anon_sym_global] = ACTIONS(3853),
    [anon_sym_using] = ACTIONS(3853),
    [anon_sym_unsafe] = ACTIONS(3853),
    [anon_sym_static] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3855),
    [anon_sym_LPAREN] = ACTIONS(3855),
    [anon_sym_return] = ACTIONS(3853),
    [anon_sym_namespace] = ACTIONS(3853),
    [anon_sym_class] = ACTIONS(3853),
    [anon_sym_ref] = ACTIONS(3853),
    [anon_sym_struct] = ACTIONS(3853),
    [anon_sym_enum] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3855),
    [anon_sym_interface] = ACTIONS(3853),
    [anon_sym_delegate] = ACTIONS(3853),
    [anon_sym_record] = ACTIONS(3853),
    [anon_sym_abstract] = ACTIONS(3853),
    [anon_sym_async] = ACTIONS(3853),
    [anon_sym_const] = ACTIONS(3853),
    [anon_sym_file] = ACTIONS(3853),
    [anon_sym_fixed] = ACTIONS(3853),
    [anon_sym_internal] = ACTIONS(3853),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_override] = ACTIONS(3853),
    [anon_sym_partial] = ACTIONS(3853),
    [anon_sym_private] = ACTIONS(3853),
    [anon_sym_protected] = ACTIONS(3853),
    [anon_sym_public] = ACTIONS(3853),
    [anon_sym_readonly] = ACTIONS(3853),
    [anon_sym_required] = ACTIONS(3853),
    [anon_sym_sealed] = ACTIONS(3853),
    [anon_sym_virtual] = ACTIONS(3853),
    [anon_sym_volatile] = ACTIONS(3853),
    [anon_sym_where] = ACTIONS(3853),
    [anon_sym_notnull] = ACTIONS(3853),
    [anon_sym_unmanaged] = ACTIONS(3853),
    [anon_sym_checked] = ACTIONS(3853),
    [anon_sym_BANG] = ACTIONS(3855),
    [anon_sym_TILDE] = ACTIONS(3855),
    [anon_sym_PLUS_PLUS] = ACTIONS(3855),
    [anon_sym_DASH_DASH] = ACTIONS(3855),
    [anon_sym_true] = ACTIONS(3853),
    [anon_sym_false] = ACTIONS(3853),
    [anon_sym_PLUS] = ACTIONS(3853),
    [anon_sym_DASH] = ACTIONS(3853),
    [anon_sym_STAR] = ACTIONS(3855),
    [anon_sym_CARET] = ACTIONS(3855),
    [anon_sym_AMP] = ACTIONS(3855),
    [anon_sym_this] = ACTIONS(3853),
    [anon_sym_scoped] = ACTIONS(3853),
    [anon_sym_base] = ACTIONS(3853),
    [anon_sym_var] = ACTIONS(3853),
    [sym_predefined_type] = ACTIONS(3853),
    [anon_sym_break] = ACTIONS(3853),
    [anon_sym_unchecked] = ACTIONS(3853),
    [anon_sym_continue] = ACTIONS(3853),
    [anon_sym_do] = ACTIONS(3853),
    [anon_sym_while] = ACTIONS(3853),
    [anon_sym_for] = ACTIONS(3853),
    [anon_sym_lock] = ACTIONS(3853),
    [anon_sym_yield] = ACTIONS(3853),
    [anon_sym_switch] = ACTIONS(3853),
    [anon_sym_default] = ACTIONS(3853),
    [anon_sym_throw] = ACTIONS(3853),
    [anon_sym_try] = ACTIONS(3853),
    [anon_sym_when] = ACTIONS(3853),
    [anon_sym_await] = ACTIONS(3853),
    [anon_sym_foreach] = ACTIONS(3853),
    [anon_sym_goto] = ACTIONS(3853),
    [anon_sym_if] = ACTIONS(3853),
    [anon_sym_DOT_DOT] = ACTIONS(3855),
    [anon_sym_from] = ACTIONS(3853),
    [anon_sym_into] = ACTIONS(3853),
    [anon_sym_join] = ACTIONS(3853),
    [anon_sym_on] = ACTIONS(3853),
    [anon_sym_equals] = ACTIONS(3853),
    [anon_sym_let] = ACTIONS(3853),
    [anon_sym_orderby] = ACTIONS(3853),
    [anon_sym_ascending] = ACTIONS(3853),
    [anon_sym_descending] = ACTIONS(3853),
    [anon_sym_group] = ACTIONS(3853),
    [anon_sym_by] = ACTIONS(3853),
    [anon_sym_select] = ACTIONS(3853),
    [anon_sym_DQUOTE] = ACTIONS(3855),
    [anon_sym_stackalloc] = ACTIONS(3853),
    [anon_sym_sizeof] = ACTIONS(3853),
    [anon_sym_typeof] = ACTIONS(3853),
    [anon_sym___makeref] = ACTIONS(3853),
    [anon_sym___reftype] = ACTIONS(3853),
    [anon_sym___refvalue] = ACTIONS(3853),
    [sym_null_literal] = ACTIONS(3853),
    [anon_sym_SQUOTE] = ACTIONS(3855),
    [sym_integer_literal] = ACTIONS(3853),
    [sym_real_literal] = ACTIONS(3855),
    [sym_verbatim_string_literal] = ACTIONS(3855),
    [aux_sym_preproc_if_token1] = ACTIONS(3855),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3855),
    [sym_interpolation_verbatim_start] = ACTIONS(3855),
    [sym_interpolation_raw_start] = ACTIONS(3855),
    [sym_raw_string_start] = ACTIONS(3855),
  },
  [2638] = {
    [sym_preproc_region] = STATE(2638),
    [sym_preproc_endregion] = STATE(2638),
    [sym_preproc_line] = STATE(2638),
    [sym_preproc_pragma] = STATE(2638),
    [sym_preproc_nullable] = STATE(2638),
    [sym_preproc_error] = STATE(2638),
    [sym_preproc_define] = STATE(2638),
    [sym_preproc_undef] = STATE(2638),
    [ts_builtin_sym_end] = ACTIONS(3871),
    [sym__identifier_token] = ACTIONS(3869),
    [anon_sym_extern] = ACTIONS(3869),
    [anon_sym_alias] = ACTIONS(3869),
    [anon_sym_SEMI] = ACTIONS(3871),
    [anon_sym_global] = ACTIONS(3869),
    [anon_sym_using] = ACTIONS(3869),
    [anon_sym_unsafe] = ACTIONS(3869),
    [anon_sym_static] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_LPAREN] = ACTIONS(3871),
    [anon_sym_return] = ACTIONS(3869),
    [anon_sym_namespace] = ACTIONS(3869),
    [anon_sym_class] = ACTIONS(3869),
    [anon_sym_ref] = ACTIONS(3869),
    [anon_sym_struct] = ACTIONS(3869),
    [anon_sym_enum] = ACTIONS(3869),
    [anon_sym_LBRACE] = ACTIONS(3871),
    [anon_sym_interface] = ACTIONS(3869),
    [anon_sym_delegate] = ACTIONS(3869),
    [anon_sym_record] = ACTIONS(3869),
    [anon_sym_abstract] = ACTIONS(3869),
    [anon_sym_async] = ACTIONS(3869),
    [anon_sym_const] = ACTIONS(3869),
    [anon_sym_file] = ACTIONS(3869),
    [anon_sym_fixed] = ACTIONS(3869),
    [anon_sym_internal] = ACTIONS(3869),
    [anon_sym_new] = ACTIONS(3869),
    [anon_sym_override] = ACTIONS(3869),
    [anon_sym_partial] = ACTIONS(3869),
    [anon_sym_private] = ACTIONS(3869),
    [anon_sym_protected] = ACTIONS(3869),
    [anon_sym_public] = ACTIONS(3869),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_required] = ACTIONS(3869),
    [anon_sym_sealed] = ACTIONS(3869),
    [anon_sym_virtual] = ACTIONS(3869),
    [anon_sym_volatile] = ACTIONS(3869),
    [anon_sym_where] = ACTIONS(3869),
    [anon_sym_notnull] = ACTIONS(3869),
    [anon_sym_unmanaged] = ACTIONS(3869),
    [anon_sym_checked] = ACTIONS(3869),
    [anon_sym_BANG] = ACTIONS(3871),
    [anon_sym_TILDE] = ACTIONS(3871),
    [anon_sym_PLUS_PLUS] = ACTIONS(3871),
    [anon_sym_DASH_DASH] = ACTIONS(3871),
    [anon_sym_true] = ACTIONS(3869),
    [anon_sym_false] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3869),
    [anon_sym_DASH] = ACTIONS(3869),
    [anon_sym_STAR] = ACTIONS(3871),
    [anon_sym_CARET] = ACTIONS(3871),
    [anon_sym_AMP] = ACTIONS(3871),
    [anon_sym_this] = ACTIONS(3869),
    [anon_sym_scoped] = ACTIONS(3869),
    [anon_sym_base] = ACTIONS(3869),
    [anon_sym_var] = ACTIONS(3869),
    [sym_predefined_type] = ACTIONS(3869),
    [anon_sym_break] = ACTIONS(3869),
    [anon_sym_unchecked] = ACTIONS(3869),
    [anon_sym_continue] = ACTIONS(3869),
    [anon_sym_do] = ACTIONS(3869),
    [anon_sym_while] = ACTIONS(3869),
    [anon_sym_for] = ACTIONS(3869),
    [anon_sym_lock] = ACTIONS(3869),
    [anon_sym_yield] = ACTIONS(3869),
    [anon_sym_switch] = ACTIONS(3869),
    [anon_sym_default] = ACTIONS(3869),
    [anon_sym_throw] = ACTIONS(3869),
    [anon_sym_try] = ACTIONS(3869),
    [anon_sym_when] = ACTIONS(3869),
    [anon_sym_await] = ACTIONS(3869),
    [anon_sym_foreach] = ACTIONS(3869),
    [anon_sym_goto] = ACTIONS(3869),
    [anon_sym_if] = ACTIONS(3869),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_from] = ACTIONS(3869),
    [anon_sym_into] = ACTIONS(3869),
    [anon_sym_join] = ACTIONS(3869),
    [anon_sym_on] = ACTIONS(3869),
    [anon_sym_equals] = ACTIONS(3869),
    [anon_sym_let] = ACTIONS(3869),
    [anon_sym_orderby] = ACTIONS(3869),
    [anon_sym_ascending] = ACTIONS(3869),
    [anon_sym_descending] = ACTIONS(3869),
    [anon_sym_group] = ACTIONS(3869),
    [anon_sym_by] = ACTIONS(3869),
    [anon_sym_select] = ACTIONS(3869),
    [anon_sym_DQUOTE] = ACTIONS(3871),
    [anon_sym_stackalloc] = ACTIONS(3869),
    [anon_sym_sizeof] = ACTIONS(3869),
    [anon_sym_typeof] = ACTIONS(3869),
    [anon_sym___makeref] = ACTIONS(3869),
    [anon_sym___reftype] = ACTIONS(3869),
    [anon_sym___refvalue] = ACTIONS(3869),
    [sym_null_literal] = ACTIONS(3869),
    [anon_sym_SQUOTE] = ACTIONS(3871),
    [sym_integer_literal] = ACTIONS(3869),
    [sym_real_literal] = ACTIONS(3871),
    [sym_verbatim_string_literal] = ACTIONS(3871),
    [aux_sym_preproc_if_token1] = ACTIONS(3871),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3871),
    [sym_interpolation_verbatim_start] = ACTIONS(3871),
    [sym_interpolation_raw_start] = ACTIONS(3871),
    [sym_raw_string_start] = ACTIONS(3871),
  },
  [2639] = {
    [sym_preproc_region] = STATE(2639),
    [sym_preproc_endregion] = STATE(2639),
    [sym_preproc_line] = STATE(2639),
    [sym_preproc_pragma] = STATE(2639),
    [sym_preproc_nullable] = STATE(2639),
    [sym_preproc_error] = STATE(2639),
    [sym_preproc_define] = STATE(2639),
    [sym_preproc_undef] = STATE(2639),
    [ts_builtin_sym_end] = ACTIONS(3915),
    [sym__identifier_token] = ACTIONS(3913),
    [anon_sym_extern] = ACTIONS(3913),
    [anon_sym_alias] = ACTIONS(3913),
    [anon_sym_SEMI] = ACTIONS(3915),
    [anon_sym_global] = ACTIONS(3913),
    [anon_sym_using] = ACTIONS(3913),
    [anon_sym_unsafe] = ACTIONS(3913),
    [anon_sym_static] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_LPAREN] = ACTIONS(3915),
    [anon_sym_return] = ACTIONS(3913),
    [anon_sym_namespace] = ACTIONS(3913),
    [anon_sym_class] = ACTIONS(3913),
    [anon_sym_ref] = ACTIONS(3913),
    [anon_sym_struct] = ACTIONS(3913),
    [anon_sym_enum] = ACTIONS(3913),
    [anon_sym_LBRACE] = ACTIONS(3915),
    [anon_sym_interface] = ACTIONS(3913),
    [anon_sym_delegate] = ACTIONS(3913),
    [anon_sym_record] = ACTIONS(3913),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_async] = ACTIONS(3913),
    [anon_sym_const] = ACTIONS(3913),
    [anon_sym_file] = ACTIONS(3913),
    [anon_sym_fixed] = ACTIONS(3913),
    [anon_sym_internal] = ACTIONS(3913),
    [anon_sym_new] = ACTIONS(3913),
    [anon_sym_override] = ACTIONS(3913),
    [anon_sym_partial] = ACTIONS(3913),
    [anon_sym_private] = ACTIONS(3913),
    [anon_sym_protected] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3913),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_required] = ACTIONS(3913),
    [anon_sym_sealed] = ACTIONS(3913),
    [anon_sym_virtual] = ACTIONS(3913),
    [anon_sym_volatile] = ACTIONS(3913),
    [anon_sym_where] = ACTIONS(3913),
    [anon_sym_notnull] = ACTIONS(3913),
    [anon_sym_unmanaged] = ACTIONS(3913),
    [anon_sym_checked] = ACTIONS(3913),
    [anon_sym_BANG] = ACTIONS(3915),
    [anon_sym_TILDE] = ACTIONS(3915),
    [anon_sym_PLUS_PLUS] = ACTIONS(3915),
    [anon_sym_DASH_DASH] = ACTIONS(3915),
    [anon_sym_true] = ACTIONS(3913),
    [anon_sym_false] = ACTIONS(3913),
    [anon_sym_PLUS] = ACTIONS(3913),
    [anon_sym_DASH] = ACTIONS(3913),
    [anon_sym_STAR] = ACTIONS(3915),
    [anon_sym_CARET] = ACTIONS(3915),
    [anon_sym_AMP] = ACTIONS(3915),
    [anon_sym_this] = ACTIONS(3913),
    [anon_sym_scoped] = ACTIONS(3913),
    [anon_sym_base] = ACTIONS(3913),
    [anon_sym_var] = ACTIONS(3913),
    [sym_predefined_type] = ACTIONS(3913),
    [anon_sym_break] = ACTIONS(3913),
    [anon_sym_unchecked] = ACTIONS(3913),
    [anon_sym_continue] = ACTIONS(3913),
    [anon_sym_do] = ACTIONS(3913),
    [anon_sym_while] = ACTIONS(3913),
    [anon_sym_for] = ACTIONS(3913),
    [anon_sym_lock] = ACTIONS(3913),
    [anon_sym_yield] = ACTIONS(3913),
    [anon_sym_switch] = ACTIONS(3913),
    [anon_sym_default] = ACTIONS(3913),
    [anon_sym_throw] = ACTIONS(3913),
    [anon_sym_try] = ACTIONS(3913),
    [anon_sym_when] = ACTIONS(3913),
    [anon_sym_await] = ACTIONS(3913),
    [anon_sym_foreach] = ACTIONS(3913),
    [anon_sym_goto] = ACTIONS(3913),
    [anon_sym_if] = ACTIONS(3913),
    [anon_sym_DOT_DOT] = ACTIONS(3915),
    [anon_sym_from] = ACTIONS(3913),
    [anon_sym_into] = ACTIONS(3913),
    [anon_sym_join] = ACTIONS(3913),
    [anon_sym_on] = ACTIONS(3913),
    [anon_sym_equals] = ACTIONS(3913),
    [anon_sym_let] = ACTIONS(3913),
    [anon_sym_orderby] = ACTIONS(3913),
    [anon_sym_ascending] = ACTIONS(3913),
    [anon_sym_descending] = ACTIONS(3913),
    [anon_sym_group] = ACTIONS(3913),
    [anon_sym_by] = ACTIONS(3913),
    [anon_sym_select] = ACTIONS(3913),
    [anon_sym_DQUOTE] = ACTIONS(3915),
    [anon_sym_stackalloc] = ACTIONS(3913),
    [anon_sym_sizeof] = ACTIONS(3913),
    [anon_sym_typeof] = ACTIONS(3913),
    [anon_sym___makeref] = ACTIONS(3913),
    [anon_sym___reftype] = ACTIONS(3913),
    [anon_sym___refvalue] = ACTIONS(3913),
    [sym_null_literal] = ACTIONS(3913),
    [anon_sym_SQUOTE] = ACTIONS(3915),
    [sym_integer_literal] = ACTIONS(3913),
    [sym_real_literal] = ACTIONS(3915),
    [sym_verbatim_string_literal] = ACTIONS(3915),
    [aux_sym_preproc_if_token1] = ACTIONS(3915),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3915),
    [sym_interpolation_verbatim_start] = ACTIONS(3915),
    [sym_interpolation_raw_start] = ACTIONS(3915),
    [sym_raw_string_start] = ACTIONS(3915),
  },
  [2640] = {
    [sym_preproc_region] = STATE(2640),
    [sym_preproc_endregion] = STATE(2640),
    [sym_preproc_line] = STATE(2640),
    [sym_preproc_pragma] = STATE(2640),
    [sym_preproc_nullable] = STATE(2640),
    [sym_preproc_error] = STATE(2640),
    [sym_preproc_define] = STATE(2640),
    [sym_preproc_undef] = STATE(2640),
    [ts_builtin_sym_end] = ACTIONS(3935),
    [sym__identifier_token] = ACTIONS(3933),
    [anon_sym_extern] = ACTIONS(3933),
    [anon_sym_alias] = ACTIONS(3933),
    [anon_sym_SEMI] = ACTIONS(3935),
    [anon_sym_global] = ACTIONS(3933),
    [anon_sym_using] = ACTIONS(3933),
    [anon_sym_unsafe] = ACTIONS(3933),
    [anon_sym_static] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3935),
    [anon_sym_return] = ACTIONS(3933),
    [anon_sym_namespace] = ACTIONS(3933),
    [anon_sym_class] = ACTIONS(3933),
    [anon_sym_ref] = ACTIONS(3933),
    [anon_sym_struct] = ACTIONS(3933),
    [anon_sym_enum] = ACTIONS(3933),
    [anon_sym_LBRACE] = ACTIONS(3935),
    [anon_sym_interface] = ACTIONS(3933),
    [anon_sym_delegate] = ACTIONS(3933),
    [anon_sym_record] = ACTIONS(3933),
    [anon_sym_abstract] = ACTIONS(3933),
    [anon_sym_async] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3933),
    [anon_sym_file] = ACTIONS(3933),
    [anon_sym_fixed] = ACTIONS(3933),
    [anon_sym_internal] = ACTIONS(3933),
    [anon_sym_new] = ACTIONS(3933),
    [anon_sym_override] = ACTIONS(3933),
    [anon_sym_partial] = ACTIONS(3933),
    [anon_sym_private] = ACTIONS(3933),
    [anon_sym_protected] = ACTIONS(3933),
    [anon_sym_public] = ACTIONS(3933),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_required] = ACTIONS(3933),
    [anon_sym_sealed] = ACTIONS(3933),
    [anon_sym_virtual] = ACTIONS(3933),
    [anon_sym_volatile] = ACTIONS(3933),
    [anon_sym_where] = ACTIONS(3933),
    [anon_sym_notnull] = ACTIONS(3933),
    [anon_sym_unmanaged] = ACTIONS(3933),
    [anon_sym_checked] = ACTIONS(3933),
    [anon_sym_BANG] = ACTIONS(3935),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_PLUS_PLUS] = ACTIONS(3935),
    [anon_sym_DASH_DASH] = ACTIONS(3935),
    [anon_sym_true] = ACTIONS(3933),
    [anon_sym_false] = ACTIONS(3933),
    [anon_sym_PLUS] = ACTIONS(3933),
    [anon_sym_DASH] = ACTIONS(3933),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_CARET] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(3935),
    [anon_sym_this] = ACTIONS(3933),
    [anon_sym_scoped] = ACTIONS(3933),
    [anon_sym_base] = ACTIONS(3933),
    [anon_sym_var] = ACTIONS(3933),
    [sym_predefined_type] = ACTIONS(3933),
    [anon_sym_break] = ACTIONS(3933),
    [anon_sym_unchecked] = ACTIONS(3933),
    [anon_sym_continue] = ACTIONS(3933),
    [anon_sym_do] = ACTIONS(3933),
    [anon_sym_while] = ACTIONS(3933),
    [anon_sym_for] = ACTIONS(3933),
    [anon_sym_lock] = ACTIONS(3933),
    [anon_sym_yield] = ACTIONS(3933),
    [anon_sym_switch] = ACTIONS(3933),
    [anon_sym_default] = ACTIONS(3933),
    [anon_sym_throw] = ACTIONS(3933),
    [anon_sym_try] = ACTIONS(3933),
    [anon_sym_when] = ACTIONS(3933),
    [anon_sym_await] = ACTIONS(3933),
    [anon_sym_foreach] = ACTIONS(3933),
    [anon_sym_goto] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3933),
    [anon_sym_DOT_DOT] = ACTIONS(3935),
    [anon_sym_from] = ACTIONS(3933),
    [anon_sym_into] = ACTIONS(3933),
    [anon_sym_join] = ACTIONS(3933),
    [anon_sym_on] = ACTIONS(3933),
    [anon_sym_equals] = ACTIONS(3933),
    [anon_sym_let] = ACTIONS(3933),
    [anon_sym_orderby] = ACTIONS(3933),
    [anon_sym_ascending] = ACTIONS(3933),
    [anon_sym_descending] = ACTIONS(3933),
    [anon_sym_group] = ACTIONS(3933),
    [anon_sym_by] = ACTIONS(3933),
    [anon_sym_select] = ACTIONS(3933),
    [anon_sym_DQUOTE] = ACTIONS(3935),
    [anon_sym_stackalloc] = ACTIONS(3933),
    [anon_sym_sizeof] = ACTIONS(3933),
    [anon_sym_typeof] = ACTIONS(3933),
    [anon_sym___makeref] = ACTIONS(3933),
    [anon_sym___reftype] = ACTIONS(3933),
    [anon_sym___refvalue] = ACTIONS(3933),
    [sym_null_literal] = ACTIONS(3933),
    [anon_sym_SQUOTE] = ACTIONS(3935),
    [sym_integer_literal] = ACTIONS(3933),
    [sym_real_literal] = ACTIONS(3935),
    [sym_verbatim_string_literal] = ACTIONS(3935),
    [aux_sym_preproc_if_token1] = ACTIONS(3935),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3935),
    [sym_interpolation_verbatim_start] = ACTIONS(3935),
    [sym_interpolation_raw_start] = ACTIONS(3935),
    [sym_raw_string_start] = ACTIONS(3935),
  },
  [2641] = {
    [sym_preproc_region] = STATE(2641),
    [sym_preproc_endregion] = STATE(2641),
    [sym_preproc_line] = STATE(2641),
    [sym_preproc_pragma] = STATE(2641),
    [sym_preproc_nullable] = STATE(2641),
    [sym_preproc_error] = STATE(2641),
    [sym_preproc_define] = STATE(2641),
    [sym_preproc_undef] = STATE(2641),
    [ts_builtin_sym_end] = ACTIONS(3581),
    [sym__identifier_token] = ACTIONS(3579),
    [anon_sym_extern] = ACTIONS(3579),
    [anon_sym_alias] = ACTIONS(3579),
    [anon_sym_SEMI] = ACTIONS(3581),
    [anon_sym_global] = ACTIONS(3579),
    [anon_sym_using] = ACTIONS(3579),
    [anon_sym_unsafe] = ACTIONS(3579),
    [anon_sym_static] = ACTIONS(3579),
    [anon_sym_LBRACK] = ACTIONS(3581),
    [anon_sym_LPAREN] = ACTIONS(3581),
    [anon_sym_return] = ACTIONS(3579),
    [anon_sym_namespace] = ACTIONS(3579),
    [anon_sym_class] = ACTIONS(3579),
    [anon_sym_ref] = ACTIONS(3579),
    [anon_sym_struct] = ACTIONS(3579),
    [anon_sym_enum] = ACTIONS(3579),
    [anon_sym_LBRACE] = ACTIONS(3581),
    [anon_sym_interface] = ACTIONS(3579),
    [anon_sym_delegate] = ACTIONS(3579),
    [anon_sym_record] = ACTIONS(3579),
    [anon_sym_abstract] = ACTIONS(3579),
    [anon_sym_async] = ACTIONS(3579),
    [anon_sym_const] = ACTIONS(3579),
    [anon_sym_file] = ACTIONS(3579),
    [anon_sym_fixed] = ACTIONS(3579),
    [anon_sym_internal] = ACTIONS(3579),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_override] = ACTIONS(3579),
    [anon_sym_partial] = ACTIONS(3579),
    [anon_sym_private] = ACTIONS(3579),
    [anon_sym_protected] = ACTIONS(3579),
    [anon_sym_public] = ACTIONS(3579),
    [anon_sym_readonly] = ACTIONS(3579),
    [anon_sym_required] = ACTIONS(3579),
    [anon_sym_sealed] = ACTIONS(3579),
    [anon_sym_virtual] = ACTIONS(3579),
    [anon_sym_volatile] = ACTIONS(3579),
    [anon_sym_where] = ACTIONS(3579),
    [anon_sym_notnull] = ACTIONS(3579),
    [anon_sym_unmanaged] = ACTIONS(3579),
    [anon_sym_checked] = ACTIONS(3579),
    [anon_sym_BANG] = ACTIONS(3581),
    [anon_sym_TILDE] = ACTIONS(3581),
    [anon_sym_PLUS_PLUS] = ACTIONS(3581),
    [anon_sym_DASH_DASH] = ACTIONS(3581),
    [anon_sym_true] = ACTIONS(3579),
    [anon_sym_false] = ACTIONS(3579),
    [anon_sym_PLUS] = ACTIONS(3579),
    [anon_sym_DASH] = ACTIONS(3579),
    [anon_sym_STAR] = ACTIONS(3581),
    [anon_sym_CARET] = ACTIONS(3581),
    [anon_sym_AMP] = ACTIONS(3581),
    [anon_sym_this] = ACTIONS(3579),
    [anon_sym_scoped] = ACTIONS(3579),
    [anon_sym_base] = ACTIONS(3579),
    [anon_sym_var] = ACTIONS(3579),
    [sym_predefined_type] = ACTIONS(3579),
    [anon_sym_break] = ACTIONS(3579),
    [anon_sym_unchecked] = ACTIONS(3579),
    [anon_sym_continue] = ACTIONS(3579),
    [anon_sym_do] = ACTIONS(3579),
    [anon_sym_while] = ACTIONS(3579),
    [anon_sym_for] = ACTIONS(3579),
    [anon_sym_lock] = ACTIONS(3579),
    [anon_sym_yield] = ACTIONS(3579),
    [anon_sym_switch] = ACTIONS(3579),
    [anon_sym_default] = ACTIONS(3579),
    [anon_sym_throw] = ACTIONS(3579),
    [anon_sym_try] = ACTIONS(3579),
    [anon_sym_when] = ACTIONS(3579),
    [anon_sym_await] = ACTIONS(3579),
    [anon_sym_foreach] = ACTIONS(3579),
    [anon_sym_goto] = ACTIONS(3579),
    [anon_sym_if] = ACTIONS(3579),
    [anon_sym_DOT_DOT] = ACTIONS(3581),
    [anon_sym_from] = ACTIONS(3579),
    [anon_sym_into] = ACTIONS(3579),
    [anon_sym_join] = ACTIONS(3579),
    [anon_sym_on] = ACTIONS(3579),
    [anon_sym_equals] = ACTIONS(3579),
    [anon_sym_let] = ACTIONS(3579),
    [anon_sym_orderby] = ACTIONS(3579),
    [anon_sym_ascending] = ACTIONS(3579),
    [anon_sym_descending] = ACTIONS(3579),
    [anon_sym_group] = ACTIONS(3579),
    [anon_sym_by] = ACTIONS(3579),
    [anon_sym_select] = ACTIONS(3579),
    [anon_sym_DQUOTE] = ACTIONS(3581),
    [anon_sym_stackalloc] = ACTIONS(3579),
    [anon_sym_sizeof] = ACTIONS(3579),
    [anon_sym_typeof] = ACTIONS(3579),
    [anon_sym___makeref] = ACTIONS(3579),
    [anon_sym___reftype] = ACTIONS(3579),
    [anon_sym___refvalue] = ACTIONS(3579),
    [sym_null_literal] = ACTIONS(3579),
    [anon_sym_SQUOTE] = ACTIONS(3581),
    [sym_integer_literal] = ACTIONS(3579),
    [sym_real_literal] = ACTIONS(3581),
    [sym_verbatim_string_literal] = ACTIONS(3581),
    [aux_sym_preproc_if_token1] = ACTIONS(3581),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3581),
    [sym_interpolation_verbatim_start] = ACTIONS(3581),
    [sym_interpolation_raw_start] = ACTIONS(3581),
    [sym_raw_string_start] = ACTIONS(3581),
  },
  [2642] = {
    [sym_preproc_region] = STATE(2642),
    [sym_preproc_endregion] = STATE(2642),
    [sym_preproc_line] = STATE(2642),
    [sym_preproc_pragma] = STATE(2642),
    [sym_preproc_nullable] = STATE(2642),
    [sym_preproc_error] = STATE(2642),
    [sym_preproc_define] = STATE(2642),
    [sym_preproc_undef] = STATE(2642),
    [ts_builtin_sym_end] = ACTIONS(3585),
    [sym__identifier_token] = ACTIONS(3583),
    [anon_sym_extern] = ACTIONS(3583),
    [anon_sym_alias] = ACTIONS(3583),
    [anon_sym_SEMI] = ACTIONS(3585),
    [anon_sym_global] = ACTIONS(3583),
    [anon_sym_using] = ACTIONS(3583),
    [anon_sym_unsafe] = ACTIONS(3583),
    [anon_sym_static] = ACTIONS(3583),
    [anon_sym_LBRACK] = ACTIONS(3585),
    [anon_sym_LPAREN] = ACTIONS(3585),
    [anon_sym_return] = ACTIONS(3583),
    [anon_sym_namespace] = ACTIONS(3583),
    [anon_sym_class] = ACTIONS(3583),
    [anon_sym_ref] = ACTIONS(3583),
    [anon_sym_struct] = ACTIONS(3583),
    [anon_sym_enum] = ACTIONS(3583),
    [anon_sym_LBRACE] = ACTIONS(3585),
    [anon_sym_interface] = ACTIONS(3583),
    [anon_sym_delegate] = ACTIONS(3583),
    [anon_sym_record] = ACTIONS(3583),
    [anon_sym_abstract] = ACTIONS(3583),
    [anon_sym_async] = ACTIONS(3583),
    [anon_sym_const] = ACTIONS(3583),
    [anon_sym_file] = ACTIONS(3583),
    [anon_sym_fixed] = ACTIONS(3583),
    [anon_sym_internal] = ACTIONS(3583),
    [anon_sym_new] = ACTIONS(3583),
    [anon_sym_override] = ACTIONS(3583),
    [anon_sym_partial] = ACTIONS(3583),
    [anon_sym_private] = ACTIONS(3583),
    [anon_sym_protected] = ACTIONS(3583),
    [anon_sym_public] = ACTIONS(3583),
    [anon_sym_readonly] = ACTIONS(3583),
    [anon_sym_required] = ACTIONS(3583),
    [anon_sym_sealed] = ACTIONS(3583),
    [anon_sym_virtual] = ACTIONS(3583),
    [anon_sym_volatile] = ACTIONS(3583),
    [anon_sym_where] = ACTIONS(3583),
    [anon_sym_notnull] = ACTIONS(3583),
    [anon_sym_unmanaged] = ACTIONS(3583),
    [anon_sym_checked] = ACTIONS(3583),
    [anon_sym_BANG] = ACTIONS(3585),
    [anon_sym_TILDE] = ACTIONS(3585),
    [anon_sym_PLUS_PLUS] = ACTIONS(3585),
    [anon_sym_DASH_DASH] = ACTIONS(3585),
    [anon_sym_true] = ACTIONS(3583),
    [anon_sym_false] = ACTIONS(3583),
    [anon_sym_PLUS] = ACTIONS(3583),
    [anon_sym_DASH] = ACTIONS(3583),
    [anon_sym_STAR] = ACTIONS(3585),
    [anon_sym_CARET] = ACTIONS(3585),
    [anon_sym_AMP] = ACTIONS(3585),
    [anon_sym_this] = ACTIONS(3583),
    [anon_sym_scoped] = ACTIONS(3583),
    [anon_sym_base] = ACTIONS(3583),
    [anon_sym_var] = ACTIONS(3583),
    [sym_predefined_type] = ACTIONS(3583),
    [anon_sym_break] = ACTIONS(3583),
    [anon_sym_unchecked] = ACTIONS(3583),
    [anon_sym_continue] = ACTIONS(3583),
    [anon_sym_do] = ACTIONS(3583),
    [anon_sym_while] = ACTIONS(3583),
    [anon_sym_for] = ACTIONS(3583),
    [anon_sym_lock] = ACTIONS(3583),
    [anon_sym_yield] = ACTIONS(3583),
    [anon_sym_switch] = ACTIONS(3583),
    [anon_sym_default] = ACTIONS(3583),
    [anon_sym_throw] = ACTIONS(3583),
    [anon_sym_try] = ACTIONS(3583),
    [anon_sym_when] = ACTIONS(3583),
    [anon_sym_await] = ACTIONS(3583),
    [anon_sym_foreach] = ACTIONS(3583),
    [anon_sym_goto] = ACTIONS(3583),
    [anon_sym_if] = ACTIONS(3583),
    [anon_sym_DOT_DOT] = ACTIONS(3585),
    [anon_sym_from] = ACTIONS(3583),
    [anon_sym_into] = ACTIONS(3583),
    [anon_sym_join] = ACTIONS(3583),
    [anon_sym_on] = ACTIONS(3583),
    [anon_sym_equals] = ACTIONS(3583),
    [anon_sym_let] = ACTIONS(3583),
    [anon_sym_orderby] = ACTIONS(3583),
    [anon_sym_ascending] = ACTIONS(3583),
    [anon_sym_descending] = ACTIONS(3583),
    [anon_sym_group] = ACTIONS(3583),
    [anon_sym_by] = ACTIONS(3583),
    [anon_sym_select] = ACTIONS(3583),
    [anon_sym_DQUOTE] = ACTIONS(3585),
    [anon_sym_stackalloc] = ACTIONS(3583),
    [anon_sym_sizeof] = ACTIONS(3583),
    [anon_sym_typeof] = ACTIONS(3583),
    [anon_sym___makeref] = ACTIONS(3583),
    [anon_sym___reftype] = ACTIONS(3583),
    [anon_sym___refvalue] = ACTIONS(3583),
    [sym_null_literal] = ACTIONS(3583),
    [anon_sym_SQUOTE] = ACTIONS(3585),
    [sym_integer_literal] = ACTIONS(3583),
    [sym_real_literal] = ACTIONS(3585),
    [sym_verbatim_string_literal] = ACTIONS(3585),
    [aux_sym_preproc_if_token1] = ACTIONS(3585),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3585),
    [sym_interpolation_verbatim_start] = ACTIONS(3585),
    [sym_interpolation_raw_start] = ACTIONS(3585),
    [sym_raw_string_start] = ACTIONS(3585),
  },
  [2643] = {
    [sym_preproc_region] = STATE(2643),
    [sym_preproc_endregion] = STATE(2643),
    [sym_preproc_line] = STATE(2643),
    [sym_preproc_pragma] = STATE(2643),
    [sym_preproc_nullable] = STATE(2643),
    [sym_preproc_error] = STATE(2643),
    [sym_preproc_define] = STATE(2643),
    [sym_preproc_undef] = STATE(2643),
    [ts_builtin_sym_end] = ACTIONS(3413),
    [sym__identifier_token] = ACTIONS(3411),
    [anon_sym_extern] = ACTIONS(3411),
    [anon_sym_alias] = ACTIONS(3411),
    [anon_sym_SEMI] = ACTIONS(3413),
    [anon_sym_global] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_unsafe] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_return] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_ref] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [anon_sym_LBRACE] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_delegate] = ACTIONS(3411),
    [anon_sym_record] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_file] = ACTIONS(3411),
    [anon_sym_fixed] = ACTIONS(3411),
    [anon_sym_internal] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_partial] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_required] = ACTIONS(3411),
    [anon_sym_sealed] = ACTIONS(3411),
    [anon_sym_virtual] = ACTIONS(3411),
    [anon_sym_volatile] = ACTIONS(3411),
    [anon_sym_where] = ACTIONS(3411),
    [anon_sym_notnull] = ACTIONS(3411),
    [anon_sym_unmanaged] = ACTIONS(3411),
    [anon_sym_checked] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_PLUS_PLUS] = ACTIONS(3413),
    [anon_sym_DASH_DASH] = ACTIONS(3413),
    [anon_sym_true] = ACTIONS(3411),
    [anon_sym_false] = ACTIONS(3411),
    [anon_sym_PLUS] = ACTIONS(3411),
    [anon_sym_DASH] = ACTIONS(3411),
    [anon_sym_STAR] = ACTIONS(3413),
    [anon_sym_CARET] = ACTIONS(3413),
    [anon_sym_AMP] = ACTIONS(3413),
    [anon_sym_this] = ACTIONS(3411),
    [anon_sym_scoped] = ACTIONS(3411),
    [anon_sym_base] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [sym_predefined_type] = ACTIONS(3411),
    [anon_sym_break] = ACTIONS(3411),
    [anon_sym_unchecked] = ACTIONS(3411),
    [anon_sym_continue] = ACTIONS(3411),
    [anon_sym_do] = ACTIONS(3411),
    [anon_sym_while] = ACTIONS(3411),
    [anon_sym_for] = ACTIONS(3411),
    [anon_sym_lock] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_switch] = ACTIONS(3411),
    [anon_sym_default] = ACTIONS(3411),
    [anon_sym_throw] = ACTIONS(3411),
    [anon_sym_try] = ACTIONS(3411),
    [anon_sym_when] = ACTIONS(3411),
    [anon_sym_await] = ACTIONS(3411),
    [anon_sym_foreach] = ACTIONS(3411),
    [anon_sym_goto] = ACTIONS(3411),
    [anon_sym_if] = ACTIONS(3411),
    [anon_sym_DOT_DOT] = ACTIONS(3413),
    [anon_sym_from] = ACTIONS(3411),
    [anon_sym_into] = ACTIONS(3411),
    [anon_sym_join] = ACTIONS(3411),
    [anon_sym_on] = ACTIONS(3411),
    [anon_sym_equals] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_orderby] = ACTIONS(3411),
    [anon_sym_ascending] = ACTIONS(3411),
    [anon_sym_descending] = ACTIONS(3411),
    [anon_sym_group] = ACTIONS(3411),
    [anon_sym_by] = ACTIONS(3411),
    [anon_sym_select] = ACTIONS(3411),
    [anon_sym_DQUOTE] = ACTIONS(3413),
    [anon_sym_stackalloc] = ACTIONS(3411),
    [anon_sym_sizeof] = ACTIONS(3411),
    [anon_sym_typeof] = ACTIONS(3411),
    [anon_sym___makeref] = ACTIONS(3411),
    [anon_sym___reftype] = ACTIONS(3411),
    [anon_sym___refvalue] = ACTIONS(3411),
    [sym_null_literal] = ACTIONS(3411),
    [anon_sym_SQUOTE] = ACTIONS(3413),
    [sym_integer_literal] = ACTIONS(3411),
    [sym_real_literal] = ACTIONS(3413),
    [sym_verbatim_string_literal] = ACTIONS(3413),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3413),
    [sym_interpolation_verbatim_start] = ACTIONS(3413),
    [sym_interpolation_raw_start] = ACTIONS(3413),
    [sym_raw_string_start] = ACTIONS(3413),
  },
  [2644] = {
    [sym_preproc_region] = STATE(2644),
    [sym_preproc_endregion] = STATE(2644),
    [sym_preproc_line] = STATE(2644),
    [sym_preproc_pragma] = STATE(2644),
    [sym_preproc_nullable] = STATE(2644),
    [sym_preproc_error] = STATE(2644),
    [sym_preproc_define] = STATE(2644),
    [sym_preproc_undef] = STATE(2644),
    [ts_builtin_sym_end] = ACTIONS(3759),
    [sym__identifier_token] = ACTIONS(3757),
    [anon_sym_extern] = ACTIONS(3757),
    [anon_sym_alias] = ACTIONS(3757),
    [anon_sym_SEMI] = ACTIONS(3759),
    [anon_sym_global] = ACTIONS(3757),
    [anon_sym_using] = ACTIONS(3757),
    [anon_sym_unsafe] = ACTIONS(3757),
    [anon_sym_static] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(3759),
    [anon_sym_return] = ACTIONS(3757),
    [anon_sym_namespace] = ACTIONS(3757),
    [anon_sym_class] = ACTIONS(3757),
    [anon_sym_ref] = ACTIONS(3757),
    [anon_sym_struct] = ACTIONS(3757),
    [anon_sym_enum] = ACTIONS(3757),
    [anon_sym_LBRACE] = ACTIONS(3759),
    [anon_sym_interface] = ACTIONS(3757),
    [anon_sym_delegate] = ACTIONS(3757),
    [anon_sym_record] = ACTIONS(3757),
    [anon_sym_abstract] = ACTIONS(3757),
    [anon_sym_async] = ACTIONS(3757),
    [anon_sym_const] = ACTIONS(3757),
    [anon_sym_file] = ACTIONS(3757),
    [anon_sym_fixed] = ACTIONS(3757),
    [anon_sym_internal] = ACTIONS(3757),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_override] = ACTIONS(3757),
    [anon_sym_partial] = ACTIONS(3757),
    [anon_sym_private] = ACTIONS(3757),
    [anon_sym_protected] = ACTIONS(3757),
    [anon_sym_public] = ACTIONS(3757),
    [anon_sym_readonly] = ACTIONS(3757),
    [anon_sym_required] = ACTIONS(3757),
    [anon_sym_sealed] = ACTIONS(3757),
    [anon_sym_virtual] = ACTIONS(3757),
    [anon_sym_volatile] = ACTIONS(3757),
    [anon_sym_where] = ACTIONS(3757),
    [anon_sym_notnull] = ACTIONS(3757),
    [anon_sym_unmanaged] = ACTIONS(3757),
    [anon_sym_checked] = ACTIONS(3757),
    [anon_sym_BANG] = ACTIONS(3759),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_PLUS_PLUS] = ACTIONS(3759),
    [anon_sym_DASH_DASH] = ACTIONS(3759),
    [anon_sym_true] = ACTIONS(3757),
    [anon_sym_false] = ACTIONS(3757),
    [anon_sym_PLUS] = ACTIONS(3757),
    [anon_sym_DASH] = ACTIONS(3757),
    [anon_sym_STAR] = ACTIONS(3759),
    [anon_sym_CARET] = ACTIONS(3759),
    [anon_sym_AMP] = ACTIONS(3759),
    [anon_sym_this] = ACTIONS(3757),
    [anon_sym_scoped] = ACTIONS(3757),
    [anon_sym_base] = ACTIONS(3757),
    [anon_sym_var] = ACTIONS(3757),
    [sym_predefined_type] = ACTIONS(3757),
    [anon_sym_break] = ACTIONS(3757),
    [anon_sym_unchecked] = ACTIONS(3757),
    [anon_sym_continue] = ACTIONS(3757),
    [anon_sym_do] = ACTIONS(3757),
    [anon_sym_while] = ACTIONS(3757),
    [anon_sym_for] = ACTIONS(3757),
    [anon_sym_lock] = ACTIONS(3757),
    [anon_sym_yield] = ACTIONS(3757),
    [anon_sym_switch] = ACTIONS(3757),
    [anon_sym_default] = ACTIONS(3757),
    [anon_sym_throw] = ACTIONS(3757),
    [anon_sym_try] = ACTIONS(3757),
    [anon_sym_when] = ACTIONS(3757),
    [anon_sym_await] = ACTIONS(3757),
    [anon_sym_foreach] = ACTIONS(3757),
    [anon_sym_goto] = ACTIONS(3757),
    [anon_sym_if] = ACTIONS(3757),
    [anon_sym_DOT_DOT] = ACTIONS(3759),
    [anon_sym_from] = ACTIONS(3757),
    [anon_sym_into] = ACTIONS(3757),
    [anon_sym_join] = ACTIONS(3757),
    [anon_sym_on] = ACTIONS(3757),
    [anon_sym_equals] = ACTIONS(3757),
    [anon_sym_let] = ACTIONS(3757),
    [anon_sym_orderby] = ACTIONS(3757),
    [anon_sym_ascending] = ACTIONS(3757),
    [anon_sym_descending] = ACTIONS(3757),
    [anon_sym_group] = ACTIONS(3757),
    [anon_sym_by] = ACTIONS(3757),
    [anon_sym_select] = ACTIONS(3757),
    [anon_sym_DQUOTE] = ACTIONS(3759),
    [anon_sym_stackalloc] = ACTIONS(3757),
    [anon_sym_sizeof] = ACTIONS(3757),
    [anon_sym_typeof] = ACTIONS(3757),
    [anon_sym___makeref] = ACTIONS(3757),
    [anon_sym___reftype] = ACTIONS(3757),
    [anon_sym___refvalue] = ACTIONS(3757),
    [sym_null_literal] = ACTIONS(3757),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [sym_integer_literal] = ACTIONS(3757),
    [sym_real_literal] = ACTIONS(3759),
    [sym_verbatim_string_literal] = ACTIONS(3759),
    [aux_sym_preproc_if_token1] = ACTIONS(3759),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3759),
    [sym_interpolation_verbatim_start] = ACTIONS(3759),
    [sym_interpolation_raw_start] = ACTIONS(3759),
    [sym_raw_string_start] = ACTIONS(3759),
  },
  [2645] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_region] = STATE(2645),
    [sym_preproc_endregion] = STATE(2645),
    [sym_preproc_line] = STATE(2645),
    [sym_preproc_pragma] = STATE(2645),
    [sym_preproc_nullable] = STATE(2645),
    [sym_preproc_error] = STATE(2645),
    [sym_preproc_define] = STATE(2645),
    [sym_preproc_undef] = STATE(2645),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2646),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token3] = ACTIONS(4029),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2646] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_region] = STATE(2646),
    [sym_preproc_endregion] = STATE(2646),
    [sym_preproc_line] = STATE(2646),
    [sym_preproc_pragma] = STATE(2646),
    [sym_preproc_nullable] = STATE(2646),
    [sym_preproc_error] = STATE(2646),
    [sym_preproc_define] = STATE(2646),
    [sym_preproc_undef] = STATE(2646),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2361),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token3] = ACTIONS(4031),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2647] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_region] = STATE(2647),
    [sym_preproc_endregion] = STATE(2647),
    [sym_preproc_line] = STATE(2647),
    [sym_preproc_pragma] = STATE(2647),
    [sym_preproc_nullable] = STATE(2647),
    [sym_preproc_error] = STATE(2647),
    [sym_preproc_define] = STATE(2647),
    [sym_preproc_undef] = STATE(2647),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2361),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_RBRACE] = ACTIONS(4033),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2648] = {
    [sym_using_directive] = STATE(3527),
    [sym_attribute_list] = STATE(3790),
    [sym_namespace_declaration] = STATE(3527),
    [sym_class_declaration] = STATE(3527),
    [sym_struct_declaration] = STATE(3527),
    [sym_enum_declaration] = STATE(3527),
    [sym_interface_declaration] = STATE(3527),
    [sym_delegate_declaration] = STATE(3527),
    [sym_record_declaration] = STATE(3527),
    [sym_modifier] = STATE(3806),
    [sym_operator_declaration] = STATE(3527),
    [sym_conversion_operator_declaration] = STATE(3527),
    [sym_declaration] = STATE(3229),
    [sym_field_declaration] = STATE(3527),
    [sym_constructor_declaration] = STATE(3527),
    [sym_destructor_declaration] = STATE(3527),
    [sym_method_declaration] = STATE(3527),
    [sym_event_declaration] = STATE(3527),
    [sym_event_field_declaration] = STATE(3527),
    [sym_indexer_declaration] = STATE(3527),
    [sym_property_declaration] = STATE(3527),
    [sym_variable_declaration] = STATE(9342),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6380),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6750),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_if] = STATE(3527),
    [sym_preproc_region] = STATE(2648),
    [sym_preproc_endregion] = STATE(2648),
    [sym_preproc_line] = STATE(2648),
    [sym_preproc_pragma] = STATE(2648),
    [sym_preproc_nullable] = STATE(2648),
    [sym_preproc_error] = STATE(2648),
    [sym_preproc_define] = STATE(2648),
    [sym_preproc_undef] = STATE(2648),
    [aux_sym_class_declaration_repeat1] = STATE(2789),
    [aux_sym_class_declaration_repeat2] = STATE(2853),
    [aux_sym_declaration_list_repeat1] = STATE(2647),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3053),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3057),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(3065),
    [anon_sym_namespace] = ACTIONS(3067),
    [anon_sym_class] = ACTIONS(3069),
    [anon_sym_ref] = ACTIONS(3071),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3075),
    [anon_sym_RBRACE] = ACTIONS(4035),
    [anon_sym_interface] = ACTIONS(3077),
    [anon_sym_delegate] = ACTIONS(3079),
    [anon_sym_record] = ACTIONS(3081),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(3085),
    [anon_sym_implicit] = ACTIONS(3087),
    [anon_sym_explicit] = ACTIONS(3087),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2649] = {
    [sym_preproc_region] = STATE(2649),
    [sym_preproc_endregion] = STATE(2649),
    [sym_preproc_line] = STATE(2649),
    [sym_preproc_pragma] = STATE(2649),
    [sym_preproc_nullable] = STATE(2649),
    [sym_preproc_error] = STATE(2649),
    [sym_preproc_define] = STATE(2649),
    [sym_preproc_undef] = STATE(2649),
    [sym__identifier_token] = ACTIONS(3039),
    [anon_sym_extern] = ACTIONS(3039),
    [anon_sym_alias] = ACTIONS(3039),
    [anon_sym_SEMI] = ACTIONS(3041),
    [anon_sym_global] = ACTIONS(3039),
    [anon_sym_using] = ACTIONS(3039),
    [anon_sym_unsafe] = ACTIONS(3039),
    [anon_sym_static] = ACTIONS(3039),
    [anon_sym_LBRACK] = ACTIONS(3041),
    [anon_sym_LPAREN] = ACTIONS(3041),
    [anon_sym_return] = ACTIONS(3039),
    [anon_sym_ref] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(3041),
    [anon_sym_RBRACE] = ACTIONS(3041),
    [anon_sym_delegate] = ACTIONS(3039),
    [anon_sym_abstract] = ACTIONS(3039),
    [anon_sym_async] = ACTIONS(3039),
    [anon_sym_const] = ACTIONS(3039),
    [anon_sym_file] = ACTIONS(3039),
    [anon_sym_fixed] = ACTIONS(3039),
    [anon_sym_internal] = ACTIONS(3039),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_override] = ACTIONS(3039),
    [anon_sym_partial] = ACTIONS(3039),
    [anon_sym_private] = ACTIONS(3039),
    [anon_sym_protected] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3039),
    [anon_sym_readonly] = ACTIONS(3039),
    [anon_sym_required] = ACTIONS(3039),
    [anon_sym_sealed] = ACTIONS(3039),
    [anon_sym_virtual] = ACTIONS(3039),
    [anon_sym_volatile] = ACTIONS(3039),
    [anon_sym_where] = ACTIONS(3039),
    [anon_sym_notnull] = ACTIONS(3039),
    [anon_sym_unmanaged] = ACTIONS(3039),
    [anon_sym_checked] = ACTIONS(3039),
    [anon_sym_BANG] = ACTIONS(3041),
    [anon_sym_TILDE] = ACTIONS(3041),
    [anon_sym_PLUS_PLUS] = ACTIONS(3041),
    [anon_sym_DASH_DASH] = ACTIONS(3041),
    [anon_sym_true] = ACTIONS(3039),
    [anon_sym_false] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(3039),
    [anon_sym_DASH] = ACTIONS(3039),
    [anon_sym_STAR] = ACTIONS(3041),
    [anon_sym_CARET] = ACTIONS(3041),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_this] = ACTIONS(3039),
    [anon_sym_scoped] = ACTIONS(3039),
    [anon_sym_base] = ACTIONS(3039),
    [anon_sym_var] = ACTIONS(3039),
    [sym_predefined_type] = ACTIONS(3039),
    [anon_sym_break] = ACTIONS(3039),
    [anon_sym_unchecked] = ACTIONS(3039),
    [anon_sym_continue] = ACTIONS(3039),
    [anon_sym_do] = ACTIONS(3039),
    [anon_sym_while] = ACTIONS(3039),
    [anon_sym_for] = ACTIONS(3039),
    [anon_sym_lock] = ACTIONS(3039),
    [anon_sym_yield] = ACTIONS(3039),
    [anon_sym_switch] = ACTIONS(3039),
    [anon_sym_case] = ACTIONS(3039),
    [anon_sym_default] = ACTIONS(3039),
    [anon_sym_throw] = ACTIONS(3039),
    [anon_sym_try] = ACTIONS(3039),
    [anon_sym_catch] = ACTIONS(3039),
    [anon_sym_when] = ACTIONS(3039),
    [anon_sym_finally] = ACTIONS(3039),
    [anon_sym_await] = ACTIONS(3039),
    [anon_sym_foreach] = ACTIONS(3039),
    [anon_sym_goto] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3039),
    [anon_sym_else] = ACTIONS(3039),
    [anon_sym_DOT_DOT] = ACTIONS(3041),
    [anon_sym_from] = ACTIONS(3039),
    [anon_sym_into] = ACTIONS(3039),
    [anon_sym_join] = ACTIONS(3039),
    [anon_sym_on] = ACTIONS(3039),
    [anon_sym_equals] = ACTIONS(3039),
    [anon_sym_let] = ACTIONS(3039),
    [anon_sym_orderby] = ACTIONS(3039),
    [anon_sym_ascending] = ACTIONS(3039),
    [anon_sym_descending] = ACTIONS(3039),
    [anon_sym_group] = ACTIONS(3039),
    [anon_sym_by] = ACTIONS(3039),
    [anon_sym_select] = ACTIONS(3039),
    [anon_sym_DQUOTE] = ACTIONS(3041),
    [anon_sym_stackalloc] = ACTIONS(3039),
    [anon_sym_sizeof] = ACTIONS(3039),
    [anon_sym_typeof] = ACTIONS(3039),
    [anon_sym___makeref] = ACTIONS(3039),
    [anon_sym___reftype] = ACTIONS(3039),
    [anon_sym___refvalue] = ACTIONS(3039),
    [sym_null_literal] = ACTIONS(3039),
    [anon_sym_SQUOTE] = ACTIONS(3041),
    [sym_integer_literal] = ACTIONS(3039),
    [sym_real_literal] = ACTIONS(3041),
    [sym_verbatim_string_literal] = ACTIONS(3041),
    [aux_sym_preproc_if_token1] = ACTIONS(3041),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3041),
    [sym_interpolation_verbatim_start] = ACTIONS(3041),
    [sym_interpolation_raw_start] = ACTIONS(3041),
    [sym_raw_string_start] = ACTIONS(3041),
  },
  [2650] = {
    [sym_preproc_region] = STATE(2650),
    [sym_preproc_endregion] = STATE(2650),
    [sym_preproc_line] = STATE(2650),
    [sym_preproc_pragma] = STATE(2650),
    [sym_preproc_nullable] = STATE(2650),
    [sym_preproc_error] = STATE(2650),
    [sym_preproc_define] = STATE(2650),
    [sym_preproc_undef] = STATE(2650),
    [sym__identifier_token] = ACTIONS(3031),
    [anon_sym_extern] = ACTIONS(3031),
    [anon_sym_alias] = ACTIONS(3031),
    [anon_sym_SEMI] = ACTIONS(3033),
    [anon_sym_global] = ACTIONS(3031),
    [anon_sym_using] = ACTIONS(3031),
    [anon_sym_unsafe] = ACTIONS(3031),
    [anon_sym_static] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3033),
    [anon_sym_return] = ACTIONS(3031),
    [anon_sym_ref] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_RBRACE] = ACTIONS(3033),
    [anon_sym_delegate] = ACTIONS(3031),
    [anon_sym_abstract] = ACTIONS(3031),
    [anon_sym_async] = ACTIONS(3031),
    [anon_sym_const] = ACTIONS(3031),
    [anon_sym_file] = ACTIONS(3031),
    [anon_sym_fixed] = ACTIONS(3031),
    [anon_sym_internal] = ACTIONS(3031),
    [anon_sym_new] = ACTIONS(3031),
    [anon_sym_override] = ACTIONS(3031),
    [anon_sym_partial] = ACTIONS(3031),
    [anon_sym_private] = ACTIONS(3031),
    [anon_sym_protected] = ACTIONS(3031),
    [anon_sym_public] = ACTIONS(3031),
    [anon_sym_readonly] = ACTIONS(3031),
    [anon_sym_required] = ACTIONS(3031),
    [anon_sym_sealed] = ACTIONS(3031),
    [anon_sym_virtual] = ACTIONS(3031),
    [anon_sym_volatile] = ACTIONS(3031),
    [anon_sym_where] = ACTIONS(3031),
    [anon_sym_notnull] = ACTIONS(3031),
    [anon_sym_unmanaged] = ACTIONS(3031),
    [anon_sym_checked] = ACTIONS(3031),
    [anon_sym_BANG] = ACTIONS(3033),
    [anon_sym_TILDE] = ACTIONS(3033),
    [anon_sym_PLUS_PLUS] = ACTIONS(3033),
    [anon_sym_DASH_DASH] = ACTIONS(3033),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(3031),
    [anon_sym_DASH] = ACTIONS(3031),
    [anon_sym_STAR] = ACTIONS(3033),
    [anon_sym_CARET] = ACTIONS(3033),
    [anon_sym_AMP] = ACTIONS(3033),
    [anon_sym_this] = ACTIONS(3031),
    [anon_sym_scoped] = ACTIONS(3031),
    [anon_sym_base] = ACTIONS(3031),
    [anon_sym_var] = ACTIONS(3031),
    [sym_predefined_type] = ACTIONS(3031),
    [anon_sym_break] = ACTIONS(3031),
    [anon_sym_unchecked] = ACTIONS(3031),
    [anon_sym_continue] = ACTIONS(3031),
    [anon_sym_do] = ACTIONS(3031),
    [anon_sym_while] = ACTIONS(3031),
    [anon_sym_for] = ACTIONS(3031),
    [anon_sym_lock] = ACTIONS(3031),
    [anon_sym_yield] = ACTIONS(3031),
    [anon_sym_switch] = ACTIONS(3031),
    [anon_sym_case] = ACTIONS(3031),
    [anon_sym_default] = ACTIONS(3031),
    [anon_sym_throw] = ACTIONS(3031),
    [anon_sym_try] = ACTIONS(3031),
    [anon_sym_catch] = ACTIONS(3031),
    [anon_sym_when] = ACTIONS(3031),
    [anon_sym_finally] = ACTIONS(3031),
    [anon_sym_await] = ACTIONS(3031),
    [anon_sym_foreach] = ACTIONS(3031),
    [anon_sym_goto] = ACTIONS(3031),
    [anon_sym_if] = ACTIONS(3031),
    [anon_sym_else] = ACTIONS(3031),
    [anon_sym_DOT_DOT] = ACTIONS(3033),
    [anon_sym_from] = ACTIONS(3031),
    [anon_sym_into] = ACTIONS(3031),
    [anon_sym_join] = ACTIONS(3031),
    [anon_sym_on] = ACTIONS(3031),
    [anon_sym_equals] = ACTIONS(3031),
    [anon_sym_let] = ACTIONS(3031),
    [anon_sym_orderby] = ACTIONS(3031),
    [anon_sym_ascending] = ACTIONS(3031),
    [anon_sym_descending] = ACTIONS(3031),
    [anon_sym_group] = ACTIONS(3031),
    [anon_sym_by] = ACTIONS(3031),
    [anon_sym_select] = ACTIONS(3031),
    [anon_sym_DQUOTE] = ACTIONS(3033),
    [anon_sym_stackalloc] = ACTIONS(3031),
    [anon_sym_sizeof] = ACTIONS(3031),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym___makeref] = ACTIONS(3031),
    [anon_sym___reftype] = ACTIONS(3031),
    [anon_sym___refvalue] = ACTIONS(3031),
    [sym_null_literal] = ACTIONS(3031),
    [anon_sym_SQUOTE] = ACTIONS(3033),
    [sym_integer_literal] = ACTIONS(3031),
    [sym_real_literal] = ACTIONS(3033),
    [sym_verbatim_string_literal] = ACTIONS(3033),
    [aux_sym_preproc_if_token1] = ACTIONS(3033),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3033),
    [sym_interpolation_verbatim_start] = ACTIONS(3033),
    [sym_interpolation_raw_start] = ACTIONS(3033),
    [sym_raw_string_start] = ACTIONS(3033),
  },
  [2651] = {
    [sym_preproc_region] = STATE(2651),
    [sym_preproc_endregion] = STATE(2651),
    [sym_preproc_line] = STATE(2651),
    [sym_preproc_pragma] = STATE(2651),
    [sym_preproc_nullable] = STATE(2651),
    [sym_preproc_error] = STATE(2651),
    [sym_preproc_define] = STATE(2651),
    [sym_preproc_undef] = STATE(2651),
    [sym__identifier_token] = ACTIONS(3035),
    [anon_sym_extern] = ACTIONS(3035),
    [anon_sym_alias] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(3037),
    [anon_sym_global] = ACTIONS(3035),
    [anon_sym_using] = ACTIONS(3035),
    [anon_sym_unsafe] = ACTIONS(3035),
    [anon_sym_static] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_LPAREN] = ACTIONS(3037),
    [anon_sym_return] = ACTIONS(3035),
    [anon_sym_ref] = ACTIONS(3035),
    [anon_sym_LBRACE] = ACTIONS(3037),
    [anon_sym_RBRACE] = ACTIONS(3037),
    [anon_sym_delegate] = ACTIONS(3035),
    [anon_sym_abstract] = ACTIONS(3035),
    [anon_sym_async] = ACTIONS(3035),
    [anon_sym_const] = ACTIONS(3035),
    [anon_sym_file] = ACTIONS(3035),
    [anon_sym_fixed] = ACTIONS(3035),
    [anon_sym_internal] = ACTIONS(3035),
    [anon_sym_new] = ACTIONS(3035),
    [anon_sym_override] = ACTIONS(3035),
    [anon_sym_partial] = ACTIONS(3035),
    [anon_sym_private] = ACTIONS(3035),
    [anon_sym_protected] = ACTIONS(3035),
    [anon_sym_public] = ACTIONS(3035),
    [anon_sym_readonly] = ACTIONS(3035),
    [anon_sym_required] = ACTIONS(3035),
    [anon_sym_sealed] = ACTIONS(3035),
    [anon_sym_virtual] = ACTIONS(3035),
    [anon_sym_volatile] = ACTIONS(3035),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_notnull] = ACTIONS(3035),
    [anon_sym_unmanaged] = ACTIONS(3035),
    [anon_sym_checked] = ACTIONS(3035),
    [anon_sym_BANG] = ACTIONS(3037),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_PLUS_PLUS] = ACTIONS(3037),
    [anon_sym_DASH_DASH] = ACTIONS(3037),
    [anon_sym_true] = ACTIONS(3035),
    [anon_sym_false] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(3035),
    [anon_sym_DASH] = ACTIONS(3035),
    [anon_sym_STAR] = ACTIONS(3037),
    [anon_sym_CARET] = ACTIONS(3037),
    [anon_sym_AMP] = ACTIONS(3037),
    [anon_sym_this] = ACTIONS(3035),
    [anon_sym_scoped] = ACTIONS(3035),
    [anon_sym_base] = ACTIONS(3035),
    [anon_sym_var] = ACTIONS(3035),
    [sym_predefined_type] = ACTIONS(3035),
    [anon_sym_break] = ACTIONS(3035),
    [anon_sym_unchecked] = ACTIONS(3035),
    [anon_sym_continue] = ACTIONS(3035),
    [anon_sym_do] = ACTIONS(3035),
    [anon_sym_while] = ACTIONS(3035),
    [anon_sym_for] = ACTIONS(3035),
    [anon_sym_lock] = ACTIONS(3035),
    [anon_sym_yield] = ACTIONS(3035),
    [anon_sym_switch] = ACTIONS(3035),
    [anon_sym_case] = ACTIONS(3035),
    [anon_sym_default] = ACTIONS(3035),
    [anon_sym_throw] = ACTIONS(3035),
    [anon_sym_try] = ACTIONS(3035),
    [anon_sym_catch] = ACTIONS(3035),
    [anon_sym_when] = ACTIONS(3035),
    [anon_sym_finally] = ACTIONS(3035),
    [anon_sym_await] = ACTIONS(3035),
    [anon_sym_foreach] = ACTIONS(3035),
    [anon_sym_goto] = ACTIONS(3035),
    [anon_sym_if] = ACTIONS(3035),
    [anon_sym_else] = ACTIONS(3035),
    [anon_sym_DOT_DOT] = ACTIONS(3037),
    [anon_sym_from] = ACTIONS(3035),
    [anon_sym_into] = ACTIONS(3035),
    [anon_sym_join] = ACTIONS(3035),
    [anon_sym_on] = ACTIONS(3035),
    [anon_sym_equals] = ACTIONS(3035),
    [anon_sym_let] = ACTIONS(3035),
    [anon_sym_orderby] = ACTIONS(3035),
    [anon_sym_ascending] = ACTIONS(3035),
    [anon_sym_descending] = ACTIONS(3035),
    [anon_sym_group] = ACTIONS(3035),
    [anon_sym_by] = ACTIONS(3035),
    [anon_sym_select] = ACTIONS(3035),
    [anon_sym_DQUOTE] = ACTIONS(3037),
    [anon_sym_stackalloc] = ACTIONS(3035),
    [anon_sym_sizeof] = ACTIONS(3035),
    [anon_sym_typeof] = ACTIONS(3035),
    [anon_sym___makeref] = ACTIONS(3035),
    [anon_sym___reftype] = ACTIONS(3035),
    [anon_sym___refvalue] = ACTIONS(3035),
    [sym_null_literal] = ACTIONS(3035),
    [anon_sym_SQUOTE] = ACTIONS(3037),
    [sym_integer_literal] = ACTIONS(3035),
    [sym_real_literal] = ACTIONS(3037),
    [sym_verbatim_string_literal] = ACTIONS(3037),
    [aux_sym_preproc_if_token1] = ACTIONS(3037),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3037),
    [sym_interpolation_verbatim_start] = ACTIONS(3037),
    [sym_interpolation_raw_start] = ACTIONS(3037),
    [sym_raw_string_start] = ACTIONS(3037),
  },
  [2652] = {
    [sym_preproc_region] = STATE(2652),
    [sym_preproc_endregion] = STATE(2652),
    [sym_preproc_line] = STATE(2652),
    [sym_preproc_pragma] = STATE(2652),
    [sym_preproc_nullable] = STATE(2652),
    [sym_preproc_error] = STATE(2652),
    [sym_preproc_define] = STATE(2652),
    [sym_preproc_undef] = STATE(2652),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_ref] = ACTIONS(2993),
    [anon_sym_LBRACE] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_delegate] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_checked] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2995),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_true] = ACTIONS(2993),
    [anon_sym_false] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_this] = ACTIONS(2993),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_base] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [sym_predefined_type] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_unchecked] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_lock] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_throw] = ACTIONS(2993),
    [anon_sym_try] = ACTIONS(2993),
    [anon_sym_catch] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_finally] = ACTIONS(2993),
    [anon_sym_await] = ACTIONS(2993),
    [anon_sym_foreach] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_else] = ACTIONS(2993),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2995),
    [anon_sym_stackalloc] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym_typeof] = ACTIONS(2993),
    [anon_sym___makeref] = ACTIONS(2993),
    [anon_sym___reftype] = ACTIONS(2993),
    [anon_sym___refvalue] = ACTIONS(2993),
    [sym_null_literal] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2995),
    [sym_integer_literal] = ACTIONS(2993),
    [sym_real_literal] = ACTIONS(2995),
    [sym_verbatim_string_literal] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(2995),
    [sym_interpolation_verbatim_start] = ACTIONS(2995),
    [sym_interpolation_raw_start] = ACTIONS(2995),
    [sym_raw_string_start] = ACTIONS(2995),
  },
  [2653] = {
    [sym_preproc_region] = STATE(2653),
    [sym_preproc_endregion] = STATE(2653),
    [sym_preproc_line] = STATE(2653),
    [sym_preproc_pragma] = STATE(2653),
    [sym_preproc_nullable] = STATE(2653),
    [sym_preproc_error] = STATE(2653),
    [sym_preproc_define] = STATE(2653),
    [sym_preproc_undef] = STATE(2653),
    [sym__identifier_token] = ACTIONS(3027),
    [anon_sym_extern] = ACTIONS(3027),
    [anon_sym_alias] = ACTIONS(3027),
    [anon_sym_SEMI] = ACTIONS(3029),
    [anon_sym_global] = ACTIONS(3027),
    [anon_sym_using] = ACTIONS(3027),
    [anon_sym_unsafe] = ACTIONS(3027),
    [anon_sym_static] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_return] = ACTIONS(3027),
    [anon_sym_ref] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_RBRACE] = ACTIONS(3029),
    [anon_sym_delegate] = ACTIONS(3027),
    [anon_sym_abstract] = ACTIONS(3027),
    [anon_sym_async] = ACTIONS(3027),
    [anon_sym_const] = ACTIONS(3027),
    [anon_sym_file] = ACTIONS(3027),
    [anon_sym_fixed] = ACTIONS(3027),
    [anon_sym_internal] = ACTIONS(3027),
    [anon_sym_new] = ACTIONS(3027),
    [anon_sym_override] = ACTIONS(3027),
    [anon_sym_partial] = ACTIONS(3027),
    [anon_sym_private] = ACTIONS(3027),
    [anon_sym_protected] = ACTIONS(3027),
    [anon_sym_public] = ACTIONS(3027),
    [anon_sym_readonly] = ACTIONS(3027),
    [anon_sym_required] = ACTIONS(3027),
    [anon_sym_sealed] = ACTIONS(3027),
    [anon_sym_virtual] = ACTIONS(3027),
    [anon_sym_volatile] = ACTIONS(3027),
    [anon_sym_where] = ACTIONS(3027),
    [anon_sym_notnull] = ACTIONS(3027),
    [anon_sym_unmanaged] = ACTIONS(3027),
    [anon_sym_checked] = ACTIONS(3027),
    [anon_sym_BANG] = ACTIONS(3029),
    [anon_sym_TILDE] = ACTIONS(3029),
    [anon_sym_PLUS_PLUS] = ACTIONS(3029),
    [anon_sym_DASH_DASH] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3027),
    [anon_sym_false] = ACTIONS(3027),
    [anon_sym_PLUS] = ACTIONS(3027),
    [anon_sym_DASH] = ACTIONS(3027),
    [anon_sym_STAR] = ACTIONS(3029),
    [anon_sym_CARET] = ACTIONS(3029),
    [anon_sym_AMP] = ACTIONS(3029),
    [anon_sym_this] = ACTIONS(3027),
    [anon_sym_scoped] = ACTIONS(3027),
    [anon_sym_base] = ACTIONS(3027),
    [anon_sym_var] = ACTIONS(3027),
    [sym_predefined_type] = ACTIONS(3027),
    [anon_sym_break] = ACTIONS(3027),
    [anon_sym_unchecked] = ACTIONS(3027),
    [anon_sym_continue] = ACTIONS(3027),
    [anon_sym_do] = ACTIONS(3027),
    [anon_sym_while] = ACTIONS(3027),
    [anon_sym_for] = ACTIONS(3027),
    [anon_sym_lock] = ACTIONS(3027),
    [anon_sym_yield] = ACTIONS(3027),
    [anon_sym_switch] = ACTIONS(3027),
    [anon_sym_case] = ACTIONS(3027),
    [anon_sym_default] = ACTIONS(3027),
    [anon_sym_throw] = ACTIONS(3027),
    [anon_sym_try] = ACTIONS(3027),
    [anon_sym_catch] = ACTIONS(3027),
    [anon_sym_when] = ACTIONS(3027),
    [anon_sym_finally] = ACTIONS(3027),
    [anon_sym_await] = ACTIONS(3027),
    [anon_sym_foreach] = ACTIONS(3027),
    [anon_sym_goto] = ACTIONS(3027),
    [anon_sym_if] = ACTIONS(3027),
    [anon_sym_else] = ACTIONS(3027),
    [anon_sym_DOT_DOT] = ACTIONS(3029),
    [anon_sym_from] = ACTIONS(3027),
    [anon_sym_into] = ACTIONS(3027),
    [anon_sym_join] = ACTIONS(3027),
    [anon_sym_on] = ACTIONS(3027),
    [anon_sym_equals] = ACTIONS(3027),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_orderby] = ACTIONS(3027),
    [anon_sym_ascending] = ACTIONS(3027),
    [anon_sym_descending] = ACTIONS(3027),
    [anon_sym_group] = ACTIONS(3027),
    [anon_sym_by] = ACTIONS(3027),
    [anon_sym_select] = ACTIONS(3027),
    [anon_sym_DQUOTE] = ACTIONS(3029),
    [anon_sym_stackalloc] = ACTIONS(3027),
    [anon_sym_sizeof] = ACTIONS(3027),
    [anon_sym_typeof] = ACTIONS(3027),
    [anon_sym___makeref] = ACTIONS(3027),
    [anon_sym___reftype] = ACTIONS(3027),
    [anon_sym___refvalue] = ACTIONS(3027),
    [sym_null_literal] = ACTIONS(3027),
    [anon_sym_SQUOTE] = ACTIONS(3029),
    [sym_integer_literal] = ACTIONS(3027),
    [sym_real_literal] = ACTIONS(3029),
    [sym_verbatim_string_literal] = ACTIONS(3029),
    [aux_sym_preproc_if_token1] = ACTIONS(3029),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3029),
    [sym_interpolation_verbatim_start] = ACTIONS(3029),
    [sym_interpolation_raw_start] = ACTIONS(3029),
    [sym_raw_string_start] = ACTIONS(3029),
  },
  [2654] = {
    [sym_preproc_region] = STATE(2654),
    [sym_preproc_endregion] = STATE(2654),
    [sym_preproc_line] = STATE(2654),
    [sym_preproc_pragma] = STATE(2654),
    [sym_preproc_nullable] = STATE(2654),
    [sym_preproc_error] = STATE(2654),
    [sym_preproc_define] = STATE(2654),
    [sym_preproc_undef] = STATE(2654),
    [sym__identifier_token] = ACTIONS(3043),
    [anon_sym_extern] = ACTIONS(3043),
    [anon_sym_alias] = ACTIONS(3043),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_global] = ACTIONS(3043),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_unsafe] = ACTIONS(3043),
    [anon_sym_static] = ACTIONS(3043),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_return] = ACTIONS(3043),
    [anon_sym_ref] = ACTIONS(3043),
    [anon_sym_LBRACE] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_delegate] = ACTIONS(3043),
    [anon_sym_abstract] = ACTIONS(3043),
    [anon_sym_async] = ACTIONS(3043),
    [anon_sym_const] = ACTIONS(3043),
    [anon_sym_file] = ACTIONS(3043),
    [anon_sym_fixed] = ACTIONS(3043),
    [anon_sym_internal] = ACTIONS(3043),
    [anon_sym_new] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3043),
    [anon_sym_partial] = ACTIONS(3043),
    [anon_sym_private] = ACTIONS(3043),
    [anon_sym_protected] = ACTIONS(3043),
    [anon_sym_public] = ACTIONS(3043),
    [anon_sym_readonly] = ACTIONS(3043),
    [anon_sym_required] = ACTIONS(3043),
    [anon_sym_sealed] = ACTIONS(3043),
    [anon_sym_virtual] = ACTIONS(3043),
    [anon_sym_volatile] = ACTIONS(3043),
    [anon_sym_where] = ACTIONS(3043),
    [anon_sym_notnull] = ACTIONS(3043),
    [anon_sym_unmanaged] = ACTIONS(3043),
    [anon_sym_checked] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3045),
    [anon_sym_TILDE] = ACTIONS(3045),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_true] = ACTIONS(3043),
    [anon_sym_false] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_AMP] = ACTIONS(3045),
    [anon_sym_this] = ACTIONS(3043),
    [anon_sym_scoped] = ACTIONS(3043),
    [anon_sym_base] = ACTIONS(3043),
    [anon_sym_var] = ACTIONS(3043),
    [sym_predefined_type] = ACTIONS(3043),
    [anon_sym_break] = ACTIONS(3043),
    [anon_sym_unchecked] = ACTIONS(3043),
    [anon_sym_continue] = ACTIONS(3043),
    [anon_sym_do] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(3043),
    [anon_sym_for] = ACTIONS(3043),
    [anon_sym_lock] = ACTIONS(3043),
    [anon_sym_yield] = ACTIONS(3043),
    [anon_sym_switch] = ACTIONS(3043),
    [anon_sym_case] = ACTIONS(3043),
    [anon_sym_default] = ACTIONS(3043),
    [anon_sym_throw] = ACTIONS(3043),
    [anon_sym_try] = ACTIONS(3043),
    [anon_sym_catch] = ACTIONS(3043),
    [anon_sym_when] = ACTIONS(3043),
    [anon_sym_finally] = ACTIONS(3043),
    [anon_sym_await] = ACTIONS(3043),
    [anon_sym_foreach] = ACTIONS(3043),
    [anon_sym_goto] = ACTIONS(3043),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_else] = ACTIONS(3043),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_from] = ACTIONS(3043),
    [anon_sym_into] = ACTIONS(3043),
    [anon_sym_join] = ACTIONS(3043),
    [anon_sym_on] = ACTIONS(3043),
    [anon_sym_equals] = ACTIONS(3043),
    [anon_sym_let] = ACTIONS(3043),
    [anon_sym_orderby] = ACTIONS(3043),
    [anon_sym_ascending] = ACTIONS(3043),
    [anon_sym_descending] = ACTIONS(3043),
    [anon_sym_group] = ACTIONS(3043),
    [anon_sym_by] = ACTIONS(3043),
    [anon_sym_select] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(3045),
    [anon_sym_stackalloc] = ACTIONS(3043),
    [anon_sym_sizeof] = ACTIONS(3043),
    [anon_sym_typeof] = ACTIONS(3043),
    [anon_sym___makeref] = ACTIONS(3043),
    [anon_sym___reftype] = ACTIONS(3043),
    [anon_sym___refvalue] = ACTIONS(3043),
    [sym_null_literal] = ACTIONS(3043),
    [anon_sym_SQUOTE] = ACTIONS(3045),
    [sym_integer_literal] = ACTIONS(3043),
    [sym_real_literal] = ACTIONS(3045),
    [sym_verbatim_string_literal] = ACTIONS(3045),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3045),
    [sym_interpolation_verbatim_start] = ACTIONS(3045),
    [sym_interpolation_raw_start] = ACTIONS(3045),
    [sym_raw_string_start] = ACTIONS(3045),
  },
  [2655] = {
    [sym_preproc_region] = STATE(2655),
    [sym_preproc_endregion] = STATE(2655),
    [sym_preproc_line] = STATE(2655),
    [sym_preproc_pragma] = STATE(2655),
    [sym_preproc_nullable] = STATE(2655),
    [sym_preproc_error] = STATE(2655),
    [sym_preproc_define] = STATE(2655),
    [sym_preproc_undef] = STATE(2655),
    [sym__identifier_token] = ACTIONS(4037),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4037),
    [anon_sym_global] = ACTIONS(4037),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4037),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4037),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4037),
    [anon_sym_unmanaged] = ACTIONS(4037),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4037),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4037),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4037),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4037),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4037),
    [anon_sym_into] = ACTIONS(4037),
    [anon_sym_join] = ACTIONS(4037),
    [anon_sym_on] = ACTIONS(4037),
    [anon_sym_equals] = ACTIONS(4037),
    [anon_sym_let] = ACTIONS(4037),
    [anon_sym_orderby] = ACTIONS(4037),
    [anon_sym_ascending] = ACTIONS(4037),
    [anon_sym_descending] = ACTIONS(4037),
    [anon_sym_group] = ACTIONS(4037),
    [anon_sym_by] = ACTIONS(4037),
    [anon_sym_select] = ACTIONS(4037),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2656] = {
    [sym_preproc_region] = STATE(2656),
    [sym_preproc_endregion] = STATE(2656),
    [sym_preproc_line] = STATE(2656),
    [sym_preproc_pragma] = STATE(2656),
    [sym_preproc_nullable] = STATE(2656),
    [sym_preproc_error] = STATE(2656),
    [sym_preproc_define] = STATE(2656),
    [sym_preproc_undef] = STATE(2656),
    [sym__identifier_token] = ACTIONS(3369),
    [anon_sym_extern] = ACTIONS(3369),
    [anon_sym_alias] = ACTIONS(3369),
    [anon_sym_SEMI] = ACTIONS(3371),
    [anon_sym_global] = ACTIONS(3369),
    [anon_sym_using] = ACTIONS(3369),
    [anon_sym_unsafe] = ACTIONS(3369),
    [anon_sym_static] = ACTIONS(3369),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_LPAREN] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3369),
    [anon_sym_ref] = ACTIONS(3369),
    [anon_sym_LBRACE] = ACTIONS(3371),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_delegate] = ACTIONS(3369),
    [anon_sym_abstract] = ACTIONS(3369),
    [anon_sym_async] = ACTIONS(3369),
    [anon_sym_const] = ACTIONS(3369),
    [anon_sym_file] = ACTIONS(3369),
    [anon_sym_fixed] = ACTIONS(3369),
    [anon_sym_internal] = ACTIONS(3369),
    [anon_sym_new] = ACTIONS(3369),
    [anon_sym_override] = ACTIONS(3369),
    [anon_sym_partial] = ACTIONS(3369),
    [anon_sym_private] = ACTIONS(3369),
    [anon_sym_protected] = ACTIONS(3369),
    [anon_sym_public] = ACTIONS(3369),
    [anon_sym_readonly] = ACTIONS(3369),
    [anon_sym_required] = ACTIONS(3369),
    [anon_sym_sealed] = ACTIONS(3369),
    [anon_sym_virtual] = ACTIONS(3369),
    [anon_sym_volatile] = ACTIONS(3369),
    [anon_sym_where] = ACTIONS(3369),
    [anon_sym_notnull] = ACTIONS(3369),
    [anon_sym_unmanaged] = ACTIONS(3369),
    [anon_sym_checked] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3371),
    [anon_sym_TILDE] = ACTIONS(3371),
    [anon_sym_PLUS_PLUS] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3371),
    [anon_sym_true] = ACTIONS(3369),
    [anon_sym_false] = ACTIONS(3369),
    [anon_sym_PLUS] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3371),
    [anon_sym_CARET] = ACTIONS(3371),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_this] = ACTIONS(3369),
    [anon_sym_scoped] = ACTIONS(3369),
    [anon_sym_base] = ACTIONS(3369),
    [anon_sym_var] = ACTIONS(3369),
    [sym_predefined_type] = ACTIONS(3369),
    [anon_sym_break] = ACTIONS(3369),
    [anon_sym_unchecked] = ACTIONS(3369),
    [anon_sym_continue] = ACTIONS(3369),
    [anon_sym_do] = ACTIONS(3369),
    [anon_sym_while] = ACTIONS(3369),
    [anon_sym_for] = ACTIONS(3369),
    [anon_sym_lock] = ACTIONS(3369),
    [anon_sym_yield] = ACTIONS(3369),
    [anon_sym_switch] = ACTIONS(3369),
    [anon_sym_case] = ACTIONS(3369),
    [anon_sym_default] = ACTIONS(3369),
    [anon_sym_throw] = ACTIONS(3369),
    [anon_sym_try] = ACTIONS(3369),
    [anon_sym_when] = ACTIONS(3369),
    [anon_sym_await] = ACTIONS(3369),
    [anon_sym_foreach] = ACTIONS(3369),
    [anon_sym_goto] = ACTIONS(3369),
    [anon_sym_if] = ACTIONS(3369),
    [anon_sym_else] = ACTIONS(3369),
    [anon_sym_DOT_DOT] = ACTIONS(3371),
    [anon_sym_from] = ACTIONS(3369),
    [anon_sym_into] = ACTIONS(3369),
    [anon_sym_join] = ACTIONS(3369),
    [anon_sym_on] = ACTIONS(3369),
    [anon_sym_equals] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_orderby] = ACTIONS(3369),
    [anon_sym_ascending] = ACTIONS(3369),
    [anon_sym_descending] = ACTIONS(3369),
    [anon_sym_group] = ACTIONS(3369),
    [anon_sym_by] = ACTIONS(3369),
    [anon_sym_select] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3371),
    [anon_sym_stackalloc] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3369),
    [anon_sym_typeof] = ACTIONS(3369),
    [anon_sym___makeref] = ACTIONS(3369),
    [anon_sym___reftype] = ACTIONS(3369),
    [anon_sym___refvalue] = ACTIONS(3369),
    [sym_null_literal] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3371),
    [sym_integer_literal] = ACTIONS(3369),
    [sym_real_literal] = ACTIONS(3371),
    [sym_verbatim_string_literal] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3371),
    [sym_interpolation_verbatim_start] = ACTIONS(3371),
    [sym_interpolation_raw_start] = ACTIONS(3371),
    [sym_raw_string_start] = ACTIONS(3371),
  },
  [2657] = {
    [sym_preproc_region] = STATE(2657),
    [sym_preproc_endregion] = STATE(2657),
    [sym_preproc_line] = STATE(2657),
    [sym_preproc_pragma] = STATE(2657),
    [sym_preproc_nullable] = STATE(2657),
    [sym_preproc_error] = STATE(2657),
    [sym_preproc_define] = STATE(2657),
    [sym_preproc_undef] = STATE(2657),
    [sym__identifier_token] = ACTIONS(3113),
    [anon_sym_extern] = ACTIONS(3113),
    [anon_sym_alias] = ACTIONS(3113),
    [anon_sym_SEMI] = ACTIONS(3115),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_using] = ACTIONS(3113),
    [anon_sym_unsafe] = ACTIONS(3113),
    [anon_sym_static] = ACTIONS(3113),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3113),
    [anon_sym_ref] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_RBRACE] = ACTIONS(3115),
    [anon_sym_delegate] = ACTIONS(3113),
    [anon_sym_abstract] = ACTIONS(3113),
    [anon_sym_async] = ACTIONS(3113),
    [anon_sym_const] = ACTIONS(3113),
    [anon_sym_file] = ACTIONS(3113),
    [anon_sym_fixed] = ACTIONS(3113),
    [anon_sym_internal] = ACTIONS(3113),
    [anon_sym_new] = ACTIONS(3113),
    [anon_sym_override] = ACTIONS(3113),
    [anon_sym_partial] = ACTIONS(3113),
    [anon_sym_private] = ACTIONS(3113),
    [anon_sym_protected] = ACTIONS(3113),
    [anon_sym_public] = ACTIONS(3113),
    [anon_sym_readonly] = ACTIONS(3113),
    [anon_sym_required] = ACTIONS(3113),
    [anon_sym_sealed] = ACTIONS(3113),
    [anon_sym_virtual] = ACTIONS(3113),
    [anon_sym_volatile] = ACTIONS(3113),
    [anon_sym_where] = ACTIONS(3113),
    [anon_sym_notnull] = ACTIONS(3113),
    [anon_sym_unmanaged] = ACTIONS(3113),
    [anon_sym_checked] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3115),
    [anon_sym_TILDE] = ACTIONS(3115),
    [anon_sym_PLUS_PLUS] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3115),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_PLUS] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3113),
    [anon_sym_STAR] = ACTIONS(3115),
    [anon_sym_CARET] = ACTIONS(3115),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_this] = ACTIONS(3113),
    [anon_sym_scoped] = ACTIONS(3113),
    [anon_sym_base] = ACTIONS(3113),
    [anon_sym_var] = ACTIONS(3113),
    [sym_predefined_type] = ACTIONS(3113),
    [anon_sym_break] = ACTIONS(3113),
    [anon_sym_unchecked] = ACTIONS(3113),
    [anon_sym_continue] = ACTIONS(3113),
    [anon_sym_do] = ACTIONS(3113),
    [anon_sym_while] = ACTIONS(3113),
    [anon_sym_for] = ACTIONS(3113),
    [anon_sym_lock] = ACTIONS(3113),
    [anon_sym_yield] = ACTIONS(3113),
    [anon_sym_switch] = ACTIONS(3113),
    [anon_sym_case] = ACTIONS(3113),
    [anon_sym_default] = ACTIONS(3113),
    [anon_sym_throw] = ACTIONS(3113),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_when] = ACTIONS(3113),
    [anon_sym_await] = ACTIONS(3113),
    [anon_sym_foreach] = ACTIONS(3113),
    [anon_sym_goto] = ACTIONS(3113),
    [anon_sym_if] = ACTIONS(3113),
    [anon_sym_else] = ACTIONS(3113),
    [anon_sym_DOT_DOT] = ACTIONS(3115),
    [anon_sym_from] = ACTIONS(3113),
    [anon_sym_into] = ACTIONS(3113),
    [anon_sym_join] = ACTIONS(3113),
    [anon_sym_on] = ACTIONS(3113),
    [anon_sym_equals] = ACTIONS(3113),
    [anon_sym_let] = ACTIONS(3113),
    [anon_sym_orderby] = ACTIONS(3113),
    [anon_sym_ascending] = ACTIONS(3113),
    [anon_sym_descending] = ACTIONS(3113),
    [anon_sym_group] = ACTIONS(3113),
    [anon_sym_by] = ACTIONS(3113),
    [anon_sym_select] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3115),
    [anon_sym_stackalloc] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3113),
    [anon_sym_typeof] = ACTIONS(3113),
    [anon_sym___makeref] = ACTIONS(3113),
    [anon_sym___reftype] = ACTIONS(3113),
    [anon_sym___refvalue] = ACTIONS(3113),
    [sym_null_literal] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3115),
    [sym_integer_literal] = ACTIONS(3113),
    [sym_real_literal] = ACTIONS(3115),
    [sym_verbatim_string_literal] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3115),
    [sym_interpolation_verbatim_start] = ACTIONS(3115),
    [sym_interpolation_raw_start] = ACTIONS(3115),
    [sym_raw_string_start] = ACTIONS(3115),
  },
  [2658] = {
    [sym_preproc_region] = STATE(2658),
    [sym_preproc_endregion] = STATE(2658),
    [sym_preproc_line] = STATE(2658),
    [sym_preproc_pragma] = STATE(2658),
    [sym_preproc_nullable] = STATE(2658),
    [sym_preproc_error] = STATE(2658),
    [sym_preproc_define] = STATE(2658),
    [sym_preproc_undef] = STATE(2658),
    [sym__identifier_token] = ACTIONS(3137),
    [anon_sym_extern] = ACTIONS(3137),
    [anon_sym_alias] = ACTIONS(3137),
    [anon_sym_SEMI] = ACTIONS(3139),
    [anon_sym_global] = ACTIONS(3137),
    [anon_sym_using] = ACTIONS(3137),
    [anon_sym_unsafe] = ACTIONS(3137),
    [anon_sym_static] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(3139),
    [anon_sym_LPAREN] = ACTIONS(3139),
    [anon_sym_return] = ACTIONS(3137),
    [anon_sym_ref] = ACTIONS(3137),
    [anon_sym_LBRACE] = ACTIONS(3139),
    [anon_sym_RBRACE] = ACTIONS(3139),
    [anon_sym_delegate] = ACTIONS(3137),
    [anon_sym_abstract] = ACTIONS(3137),
    [anon_sym_async] = ACTIONS(3137),
    [anon_sym_const] = ACTIONS(3137),
    [anon_sym_file] = ACTIONS(3137),
    [anon_sym_fixed] = ACTIONS(3137),
    [anon_sym_internal] = ACTIONS(3137),
    [anon_sym_new] = ACTIONS(3137),
    [anon_sym_override] = ACTIONS(3137),
    [anon_sym_partial] = ACTIONS(3137),
    [anon_sym_private] = ACTIONS(3137),
    [anon_sym_protected] = ACTIONS(3137),
    [anon_sym_public] = ACTIONS(3137),
    [anon_sym_readonly] = ACTIONS(3137),
    [anon_sym_required] = ACTIONS(3137),
    [anon_sym_sealed] = ACTIONS(3137),
    [anon_sym_virtual] = ACTIONS(3137),
    [anon_sym_volatile] = ACTIONS(3137),
    [anon_sym_where] = ACTIONS(3137),
    [anon_sym_notnull] = ACTIONS(3137),
    [anon_sym_unmanaged] = ACTIONS(3137),
    [anon_sym_checked] = ACTIONS(3137),
    [anon_sym_BANG] = ACTIONS(3139),
    [anon_sym_TILDE] = ACTIONS(3139),
    [anon_sym_PLUS_PLUS] = ACTIONS(3139),
    [anon_sym_DASH_DASH] = ACTIONS(3139),
    [anon_sym_true] = ACTIONS(3137),
    [anon_sym_false] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3137),
    [anon_sym_DASH] = ACTIONS(3137),
    [anon_sym_STAR] = ACTIONS(3139),
    [anon_sym_CARET] = ACTIONS(3139),
    [anon_sym_AMP] = ACTIONS(3139),
    [anon_sym_this] = ACTIONS(3137),
    [anon_sym_scoped] = ACTIONS(3137),
    [anon_sym_base] = ACTIONS(3137),
    [anon_sym_var] = ACTIONS(3137),
    [sym_predefined_type] = ACTIONS(3137),
    [anon_sym_break] = ACTIONS(3137),
    [anon_sym_unchecked] = ACTIONS(3137),
    [anon_sym_continue] = ACTIONS(3137),
    [anon_sym_do] = ACTIONS(3137),
    [anon_sym_while] = ACTIONS(3137),
    [anon_sym_for] = ACTIONS(3137),
    [anon_sym_lock] = ACTIONS(3137),
    [anon_sym_yield] = ACTIONS(3137),
    [anon_sym_switch] = ACTIONS(3137),
    [anon_sym_case] = ACTIONS(3137),
    [anon_sym_default] = ACTIONS(3137),
    [anon_sym_throw] = ACTIONS(3137),
    [anon_sym_try] = ACTIONS(3137),
    [anon_sym_when] = ACTIONS(3137),
    [anon_sym_await] = ACTIONS(3137),
    [anon_sym_foreach] = ACTIONS(3137),
    [anon_sym_goto] = ACTIONS(3137),
    [anon_sym_if] = ACTIONS(3137),
    [anon_sym_else] = ACTIONS(3137),
    [anon_sym_DOT_DOT] = ACTIONS(3139),
    [anon_sym_from] = ACTIONS(3137),
    [anon_sym_into] = ACTIONS(3137),
    [anon_sym_join] = ACTIONS(3137),
    [anon_sym_on] = ACTIONS(3137),
    [anon_sym_equals] = ACTIONS(3137),
    [anon_sym_let] = ACTIONS(3137),
    [anon_sym_orderby] = ACTIONS(3137),
    [anon_sym_ascending] = ACTIONS(3137),
    [anon_sym_descending] = ACTIONS(3137),
    [anon_sym_group] = ACTIONS(3137),
    [anon_sym_by] = ACTIONS(3137),
    [anon_sym_select] = ACTIONS(3137),
    [anon_sym_DQUOTE] = ACTIONS(3139),
    [anon_sym_stackalloc] = ACTIONS(3137),
    [anon_sym_sizeof] = ACTIONS(3137),
    [anon_sym_typeof] = ACTIONS(3137),
    [anon_sym___makeref] = ACTIONS(3137),
    [anon_sym___reftype] = ACTIONS(3137),
    [anon_sym___refvalue] = ACTIONS(3137),
    [sym_null_literal] = ACTIONS(3137),
    [anon_sym_SQUOTE] = ACTIONS(3139),
    [sym_integer_literal] = ACTIONS(3137),
    [sym_real_literal] = ACTIONS(3139),
    [sym_verbatim_string_literal] = ACTIONS(3139),
    [aux_sym_preproc_if_token1] = ACTIONS(3139),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3139),
    [sym_interpolation_verbatim_start] = ACTIONS(3139),
    [sym_interpolation_raw_start] = ACTIONS(3139),
    [sym_raw_string_start] = ACTIONS(3139),
  },
  [2659] = {
    [sym_preproc_region] = STATE(2659),
    [sym_preproc_endregion] = STATE(2659),
    [sym_preproc_line] = STATE(2659),
    [sym_preproc_pragma] = STATE(2659),
    [sym_preproc_nullable] = STATE(2659),
    [sym_preproc_error] = STATE(2659),
    [sym_preproc_define] = STATE(2659),
    [sym_preproc_undef] = STATE(2659),
    [sym__identifier_token] = ACTIONS(3105),
    [anon_sym_extern] = ACTIONS(3105),
    [anon_sym_alias] = ACTIONS(3105),
    [anon_sym_SEMI] = ACTIONS(3107),
    [anon_sym_global] = ACTIONS(3105),
    [anon_sym_using] = ACTIONS(3105),
    [anon_sym_unsafe] = ACTIONS(3105),
    [anon_sym_static] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_LPAREN] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3105),
    [anon_sym_ref] = ACTIONS(3105),
    [anon_sym_LBRACE] = ACTIONS(3107),
    [anon_sym_RBRACE] = ACTIONS(3107),
    [anon_sym_delegate] = ACTIONS(3105),
    [anon_sym_abstract] = ACTIONS(3105),
    [anon_sym_async] = ACTIONS(3105),
    [anon_sym_const] = ACTIONS(3105),
    [anon_sym_file] = ACTIONS(3105),
    [anon_sym_fixed] = ACTIONS(3105),
    [anon_sym_internal] = ACTIONS(3105),
    [anon_sym_new] = ACTIONS(3105),
    [anon_sym_override] = ACTIONS(3105),
    [anon_sym_partial] = ACTIONS(3105),
    [anon_sym_private] = ACTIONS(3105),
    [anon_sym_protected] = ACTIONS(3105),
    [anon_sym_public] = ACTIONS(3105),
    [anon_sym_readonly] = ACTIONS(3105),
    [anon_sym_required] = ACTIONS(3105),
    [anon_sym_sealed] = ACTIONS(3105),
    [anon_sym_virtual] = ACTIONS(3105),
    [anon_sym_volatile] = ACTIONS(3105),
    [anon_sym_where] = ACTIONS(3105),
    [anon_sym_notnull] = ACTIONS(3105),
    [anon_sym_unmanaged] = ACTIONS(3105),
    [anon_sym_checked] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(3107),
    [anon_sym_PLUS_PLUS] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3107),
    [anon_sym_true] = ACTIONS(3105),
    [anon_sym_false] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3105),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_this] = ACTIONS(3105),
    [anon_sym_scoped] = ACTIONS(3105),
    [anon_sym_base] = ACTIONS(3105),
    [anon_sym_var] = ACTIONS(3105),
    [sym_predefined_type] = ACTIONS(3105),
    [anon_sym_break] = ACTIONS(3105),
    [anon_sym_unchecked] = ACTIONS(3105),
    [anon_sym_continue] = ACTIONS(3105),
    [anon_sym_do] = ACTIONS(3105),
    [anon_sym_while] = ACTIONS(3105),
    [anon_sym_for] = ACTIONS(3105),
    [anon_sym_lock] = ACTIONS(3105),
    [anon_sym_yield] = ACTIONS(3105),
    [anon_sym_switch] = ACTIONS(3105),
    [anon_sym_case] = ACTIONS(3105),
    [anon_sym_default] = ACTIONS(3105),
    [anon_sym_throw] = ACTIONS(3105),
    [anon_sym_try] = ACTIONS(3105),
    [anon_sym_when] = ACTIONS(3105),
    [anon_sym_await] = ACTIONS(3105),
    [anon_sym_foreach] = ACTIONS(3105),
    [anon_sym_goto] = ACTIONS(3105),
    [anon_sym_if] = ACTIONS(3105),
    [anon_sym_else] = ACTIONS(3105),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_from] = ACTIONS(3105),
    [anon_sym_into] = ACTIONS(3105),
    [anon_sym_join] = ACTIONS(3105),
    [anon_sym_on] = ACTIONS(3105),
    [anon_sym_equals] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3105),
    [anon_sym_orderby] = ACTIONS(3105),
    [anon_sym_ascending] = ACTIONS(3105),
    [anon_sym_descending] = ACTIONS(3105),
    [anon_sym_group] = ACTIONS(3105),
    [anon_sym_by] = ACTIONS(3105),
    [anon_sym_select] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3107),
    [anon_sym_stackalloc] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3105),
    [anon_sym_typeof] = ACTIONS(3105),
    [anon_sym___makeref] = ACTIONS(3105),
    [anon_sym___reftype] = ACTIONS(3105),
    [anon_sym___refvalue] = ACTIONS(3105),
    [sym_null_literal] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3107),
    [sym_integer_literal] = ACTIONS(3105),
    [sym_real_literal] = ACTIONS(3107),
    [sym_verbatim_string_literal] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3107),
    [sym_interpolation_verbatim_start] = ACTIONS(3107),
    [sym_interpolation_raw_start] = ACTIONS(3107),
    [sym_raw_string_start] = ACTIONS(3107),
  },
  [2660] = {
    [sym_preproc_region] = STATE(2660),
    [sym_preproc_endregion] = STATE(2660),
    [sym_preproc_line] = STATE(2660),
    [sym_preproc_pragma] = STATE(2660),
    [sym_preproc_nullable] = STATE(2660),
    [sym_preproc_error] = STATE(2660),
    [sym_preproc_define] = STATE(2660),
    [sym_preproc_undef] = STATE(2660),
    [sym__identifier_token] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym_alias] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym_global] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_unsafe] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_LPAREN] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_ref] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_delegate] = ACTIONS(3385),
    [anon_sym_abstract] = ACTIONS(3385),
    [anon_sym_async] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_file] = ACTIONS(3385),
    [anon_sym_fixed] = ACTIONS(3385),
    [anon_sym_internal] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_override] = ACTIONS(3385),
    [anon_sym_partial] = ACTIONS(3385),
    [anon_sym_private] = ACTIONS(3385),
    [anon_sym_protected] = ACTIONS(3385),
    [anon_sym_public] = ACTIONS(3385),
    [anon_sym_readonly] = ACTIONS(3385),
    [anon_sym_required] = ACTIONS(3385),
    [anon_sym_sealed] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_where] = ACTIONS(3385),
    [anon_sym_notnull] = ACTIONS(3385),
    [anon_sym_unmanaged] = ACTIONS(3385),
    [anon_sym_checked] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_true] = ACTIONS(3385),
    [anon_sym_false] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_CARET] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym_this] = ACTIONS(3385),
    [anon_sym_scoped] = ACTIONS(3385),
    [anon_sym_base] = ACTIONS(3385),
    [anon_sym_var] = ACTIONS(3385),
    [sym_predefined_type] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_unchecked] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_lock] = ACTIONS(3385),
    [anon_sym_yield] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_when] = ACTIONS(3385),
    [anon_sym_await] = ACTIONS(3385),
    [anon_sym_foreach] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_else] = ACTIONS(3385),
    [anon_sym_DOT_DOT] = ACTIONS(3387),
    [anon_sym_from] = ACTIONS(3385),
    [anon_sym_into] = ACTIONS(3385),
    [anon_sym_join] = ACTIONS(3385),
    [anon_sym_on] = ACTIONS(3385),
    [anon_sym_equals] = ACTIONS(3385),
    [anon_sym_let] = ACTIONS(3385),
    [anon_sym_orderby] = ACTIONS(3385),
    [anon_sym_ascending] = ACTIONS(3385),
    [anon_sym_descending] = ACTIONS(3385),
    [anon_sym_group] = ACTIONS(3385),
    [anon_sym_by] = ACTIONS(3385),
    [anon_sym_select] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [anon_sym_stackalloc] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym_typeof] = ACTIONS(3385),
    [anon_sym___makeref] = ACTIONS(3385),
    [anon_sym___reftype] = ACTIONS(3385),
    [anon_sym___refvalue] = ACTIONS(3385),
    [sym_null_literal] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [sym_integer_literal] = ACTIONS(3385),
    [sym_real_literal] = ACTIONS(3387),
    [sym_verbatim_string_literal] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3387),
    [sym_interpolation_verbatim_start] = ACTIONS(3387),
    [sym_interpolation_raw_start] = ACTIONS(3387),
    [sym_raw_string_start] = ACTIONS(3387),
  },
  [2661] = {
    [sym_preproc_region] = STATE(2661),
    [sym_preproc_endregion] = STATE(2661),
    [sym_preproc_line] = STATE(2661),
    [sym_preproc_pragma] = STATE(2661),
    [sym_preproc_nullable] = STATE(2661),
    [sym_preproc_error] = STATE(2661),
    [sym_preproc_define] = STATE(2661),
    [sym_preproc_undef] = STATE(2661),
    [sym__identifier_token] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym_alias] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym_global] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_unsafe] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3391),
    [anon_sym_LPAREN] = ACTIONS(3391),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_ref] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_delegate] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3389),
    [anon_sym_async] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_file] = ACTIONS(3389),
    [anon_sym_fixed] = ACTIONS(3389),
    [anon_sym_internal] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_override] = ACTIONS(3389),
    [anon_sym_partial] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_readonly] = ACTIONS(3389),
    [anon_sym_required] = ACTIONS(3389),
    [anon_sym_sealed] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_where] = ACTIONS(3389),
    [anon_sym_notnull] = ACTIONS(3389),
    [anon_sym_unmanaged] = ACTIONS(3389),
    [anon_sym_checked] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_true] = ACTIONS(3389),
    [anon_sym_false] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_CARET] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3391),
    [anon_sym_this] = ACTIONS(3389),
    [anon_sym_scoped] = ACTIONS(3389),
    [anon_sym_base] = ACTIONS(3389),
    [anon_sym_var] = ACTIONS(3389),
    [sym_predefined_type] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_unchecked] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_lock] = ACTIONS(3389),
    [anon_sym_yield] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_when] = ACTIONS(3389),
    [anon_sym_await] = ACTIONS(3389),
    [anon_sym_foreach] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_else] = ACTIONS(3389),
    [anon_sym_DOT_DOT] = ACTIONS(3391),
    [anon_sym_from] = ACTIONS(3389),
    [anon_sym_into] = ACTIONS(3389),
    [anon_sym_join] = ACTIONS(3389),
    [anon_sym_on] = ACTIONS(3389),
    [anon_sym_equals] = ACTIONS(3389),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_orderby] = ACTIONS(3389),
    [anon_sym_ascending] = ACTIONS(3389),
    [anon_sym_descending] = ACTIONS(3389),
    [anon_sym_group] = ACTIONS(3389),
    [anon_sym_by] = ACTIONS(3389),
    [anon_sym_select] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [anon_sym_stackalloc] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym_typeof] = ACTIONS(3389),
    [anon_sym___makeref] = ACTIONS(3389),
    [anon_sym___reftype] = ACTIONS(3389),
    [anon_sym___refvalue] = ACTIONS(3389),
    [sym_null_literal] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [sym_integer_literal] = ACTIONS(3389),
    [sym_real_literal] = ACTIONS(3391),
    [sym_verbatim_string_literal] = ACTIONS(3391),
    [aux_sym_preproc_if_token1] = ACTIONS(3391),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3391),
    [sym_interpolation_verbatim_start] = ACTIONS(3391),
    [sym_interpolation_raw_start] = ACTIONS(3391),
    [sym_raw_string_start] = ACTIONS(3391),
  },
  [2662] = {
    [sym_preproc_region] = STATE(2662),
    [sym_preproc_endregion] = STATE(2662),
    [sym_preproc_line] = STATE(2662),
    [sym_preproc_pragma] = STATE(2662),
    [sym_preproc_nullable] = STATE(2662),
    [sym_preproc_error] = STATE(2662),
    [sym_preproc_define] = STATE(2662),
    [sym_preproc_undef] = STATE(2662),
    [sym__identifier_token] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym_alias] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym_global] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_unsafe] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3395),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_ref] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_delegate] = ACTIONS(3393),
    [anon_sym_abstract] = ACTIONS(3393),
    [anon_sym_async] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_file] = ACTIONS(3393),
    [anon_sym_fixed] = ACTIONS(3393),
    [anon_sym_internal] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_override] = ACTIONS(3393),
    [anon_sym_partial] = ACTIONS(3393),
    [anon_sym_private] = ACTIONS(3393),
    [anon_sym_protected] = ACTIONS(3393),
    [anon_sym_public] = ACTIONS(3393),
    [anon_sym_readonly] = ACTIONS(3393),
    [anon_sym_required] = ACTIONS(3393),
    [anon_sym_sealed] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_where] = ACTIONS(3393),
    [anon_sym_notnull] = ACTIONS(3393),
    [anon_sym_unmanaged] = ACTIONS(3393),
    [anon_sym_checked] = ACTIONS(3393),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_true] = ACTIONS(3393),
    [anon_sym_false] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_CARET] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3395),
    [anon_sym_this] = ACTIONS(3393),
    [anon_sym_scoped] = ACTIONS(3393),
    [anon_sym_base] = ACTIONS(3393),
    [anon_sym_var] = ACTIONS(3393),
    [sym_predefined_type] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_unchecked] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_lock] = ACTIONS(3393),
    [anon_sym_yield] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_when] = ACTIONS(3393),
    [anon_sym_await] = ACTIONS(3393),
    [anon_sym_foreach] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_else] = ACTIONS(3393),
    [anon_sym_DOT_DOT] = ACTIONS(3395),
    [anon_sym_from] = ACTIONS(3393),
    [anon_sym_into] = ACTIONS(3393),
    [anon_sym_join] = ACTIONS(3393),
    [anon_sym_on] = ACTIONS(3393),
    [anon_sym_equals] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3393),
    [anon_sym_orderby] = ACTIONS(3393),
    [anon_sym_ascending] = ACTIONS(3393),
    [anon_sym_descending] = ACTIONS(3393),
    [anon_sym_group] = ACTIONS(3393),
    [anon_sym_by] = ACTIONS(3393),
    [anon_sym_select] = ACTIONS(3393),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [anon_sym_stackalloc] = ACTIONS(3393),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym_typeof] = ACTIONS(3393),
    [anon_sym___makeref] = ACTIONS(3393),
    [anon_sym___reftype] = ACTIONS(3393),
    [anon_sym___refvalue] = ACTIONS(3393),
    [sym_null_literal] = ACTIONS(3393),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [sym_integer_literal] = ACTIONS(3393),
    [sym_real_literal] = ACTIONS(3395),
    [sym_verbatim_string_literal] = ACTIONS(3395),
    [aux_sym_preproc_if_token1] = ACTIONS(3395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3395),
    [sym_interpolation_verbatim_start] = ACTIONS(3395),
    [sym_interpolation_raw_start] = ACTIONS(3395),
    [sym_raw_string_start] = ACTIONS(3395),
  },
  [2663] = {
    [sym_preproc_region] = STATE(2663),
    [sym_preproc_endregion] = STATE(2663),
    [sym_preproc_line] = STATE(2663),
    [sym_preproc_pragma] = STATE(2663),
    [sym_preproc_nullable] = STATE(2663),
    [sym_preproc_error] = STATE(2663),
    [sym_preproc_define] = STATE(2663),
    [sym_preproc_undef] = STATE(2663),
    [sym__identifier_token] = ACTIONS(3141),
    [anon_sym_extern] = ACTIONS(3141),
    [anon_sym_alias] = ACTIONS(3141),
    [anon_sym_SEMI] = ACTIONS(3143),
    [anon_sym_global] = ACTIONS(3141),
    [anon_sym_using] = ACTIONS(3141),
    [anon_sym_unsafe] = ACTIONS(3141),
    [anon_sym_static] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(3143),
    [anon_sym_LPAREN] = ACTIONS(3143),
    [anon_sym_return] = ACTIONS(3141),
    [anon_sym_ref] = ACTIONS(3141),
    [anon_sym_LBRACE] = ACTIONS(3143),
    [anon_sym_RBRACE] = ACTIONS(3143),
    [anon_sym_delegate] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3141),
    [anon_sym_async] = ACTIONS(3141),
    [anon_sym_const] = ACTIONS(3141),
    [anon_sym_file] = ACTIONS(3141),
    [anon_sym_fixed] = ACTIONS(3141),
    [anon_sym_internal] = ACTIONS(3141),
    [anon_sym_new] = ACTIONS(3141),
    [anon_sym_override] = ACTIONS(3141),
    [anon_sym_partial] = ACTIONS(3141),
    [anon_sym_private] = ACTIONS(3141),
    [anon_sym_protected] = ACTIONS(3141),
    [anon_sym_public] = ACTIONS(3141),
    [anon_sym_readonly] = ACTIONS(3141),
    [anon_sym_required] = ACTIONS(3141),
    [anon_sym_sealed] = ACTIONS(3141),
    [anon_sym_virtual] = ACTIONS(3141),
    [anon_sym_volatile] = ACTIONS(3141),
    [anon_sym_where] = ACTIONS(3141),
    [anon_sym_notnull] = ACTIONS(3141),
    [anon_sym_unmanaged] = ACTIONS(3141),
    [anon_sym_checked] = ACTIONS(3141),
    [anon_sym_BANG] = ACTIONS(3143),
    [anon_sym_TILDE] = ACTIONS(3143),
    [anon_sym_PLUS_PLUS] = ACTIONS(3143),
    [anon_sym_DASH_DASH] = ACTIONS(3143),
    [anon_sym_true] = ACTIONS(3141),
    [anon_sym_false] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(3141),
    [anon_sym_DASH] = ACTIONS(3141),
    [anon_sym_STAR] = ACTIONS(3143),
    [anon_sym_CARET] = ACTIONS(3143),
    [anon_sym_AMP] = ACTIONS(3143),
    [anon_sym_this] = ACTIONS(3141),
    [anon_sym_scoped] = ACTIONS(3141),
    [anon_sym_base] = ACTIONS(3141),
    [anon_sym_var] = ACTIONS(3141),
    [sym_predefined_type] = ACTIONS(3141),
    [anon_sym_break] = ACTIONS(3141),
    [anon_sym_unchecked] = ACTIONS(3141),
    [anon_sym_continue] = ACTIONS(3141),
    [anon_sym_do] = ACTIONS(3141),
    [anon_sym_while] = ACTIONS(3141),
    [anon_sym_for] = ACTIONS(3141),
    [anon_sym_lock] = ACTIONS(3141),
    [anon_sym_yield] = ACTIONS(3141),
    [anon_sym_switch] = ACTIONS(3141),
    [anon_sym_case] = ACTIONS(3141),
    [anon_sym_default] = ACTIONS(3141),
    [anon_sym_throw] = ACTIONS(3141),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_when] = ACTIONS(3141),
    [anon_sym_await] = ACTIONS(3141),
    [anon_sym_foreach] = ACTIONS(3141),
    [anon_sym_goto] = ACTIONS(3141),
    [anon_sym_if] = ACTIONS(3141),
    [anon_sym_else] = ACTIONS(3141),
    [anon_sym_DOT_DOT] = ACTIONS(3143),
    [anon_sym_from] = ACTIONS(3141),
    [anon_sym_into] = ACTIONS(3141),
    [anon_sym_join] = ACTIONS(3141),
    [anon_sym_on] = ACTIONS(3141),
    [anon_sym_equals] = ACTIONS(3141),
    [anon_sym_let] = ACTIONS(3141),
    [anon_sym_orderby] = ACTIONS(3141),
    [anon_sym_ascending] = ACTIONS(3141),
    [anon_sym_descending] = ACTIONS(3141),
    [anon_sym_group] = ACTIONS(3141),
    [anon_sym_by] = ACTIONS(3141),
    [anon_sym_select] = ACTIONS(3141),
    [anon_sym_DQUOTE] = ACTIONS(3143),
    [anon_sym_stackalloc] = ACTIONS(3141),
    [anon_sym_sizeof] = ACTIONS(3141),
    [anon_sym_typeof] = ACTIONS(3141),
    [anon_sym___makeref] = ACTIONS(3141),
    [anon_sym___reftype] = ACTIONS(3141),
    [anon_sym___refvalue] = ACTIONS(3141),
    [sym_null_literal] = ACTIONS(3141),
    [anon_sym_SQUOTE] = ACTIONS(3143),
    [sym_integer_literal] = ACTIONS(3141),
    [sym_real_literal] = ACTIONS(3143),
    [sym_verbatim_string_literal] = ACTIONS(3143),
    [aux_sym_preproc_if_token1] = ACTIONS(3143),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3143),
    [sym_interpolation_verbatim_start] = ACTIONS(3143),
    [sym_interpolation_raw_start] = ACTIONS(3143),
    [sym_raw_string_start] = ACTIONS(3143),
  },
  [2664] = {
    [sym_preproc_region] = STATE(2664),
    [sym_preproc_endregion] = STATE(2664),
    [sym_preproc_line] = STATE(2664),
    [sym_preproc_pragma] = STATE(2664),
    [sym_preproc_nullable] = STATE(2664),
    [sym_preproc_error] = STATE(2664),
    [sym_preproc_define] = STATE(2664),
    [sym_preproc_undef] = STATE(2664),
    [sym__identifier_token] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym_alias] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym_global] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_unsafe] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3399),
    [anon_sym_LPAREN] = ACTIONS(3399),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_ref] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_delegate] = ACTIONS(3397),
    [anon_sym_abstract] = ACTIONS(3397),
    [anon_sym_async] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_file] = ACTIONS(3397),
    [anon_sym_fixed] = ACTIONS(3397),
    [anon_sym_internal] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_override] = ACTIONS(3397),
    [anon_sym_partial] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_readonly] = ACTIONS(3397),
    [anon_sym_required] = ACTIONS(3397),
    [anon_sym_sealed] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_where] = ACTIONS(3397),
    [anon_sym_notnull] = ACTIONS(3397),
    [anon_sym_unmanaged] = ACTIONS(3397),
    [anon_sym_checked] = ACTIONS(3397),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_true] = ACTIONS(3397),
    [anon_sym_false] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_CARET] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3399),
    [anon_sym_this] = ACTIONS(3397),
    [anon_sym_scoped] = ACTIONS(3397),
    [anon_sym_base] = ACTIONS(3397),
    [anon_sym_var] = ACTIONS(3397),
    [sym_predefined_type] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_unchecked] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_lock] = ACTIONS(3397),
    [anon_sym_yield] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_when] = ACTIONS(3397),
    [anon_sym_await] = ACTIONS(3397),
    [anon_sym_foreach] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_else] = ACTIONS(3397),
    [anon_sym_DOT_DOT] = ACTIONS(3399),
    [anon_sym_from] = ACTIONS(3397),
    [anon_sym_into] = ACTIONS(3397),
    [anon_sym_join] = ACTIONS(3397),
    [anon_sym_on] = ACTIONS(3397),
    [anon_sym_equals] = ACTIONS(3397),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_orderby] = ACTIONS(3397),
    [anon_sym_ascending] = ACTIONS(3397),
    [anon_sym_descending] = ACTIONS(3397),
    [anon_sym_group] = ACTIONS(3397),
    [anon_sym_by] = ACTIONS(3397),
    [anon_sym_select] = ACTIONS(3397),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [anon_sym_stackalloc] = ACTIONS(3397),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym_typeof] = ACTIONS(3397),
    [anon_sym___makeref] = ACTIONS(3397),
    [anon_sym___reftype] = ACTIONS(3397),
    [anon_sym___refvalue] = ACTIONS(3397),
    [sym_null_literal] = ACTIONS(3397),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [sym_integer_literal] = ACTIONS(3397),
    [sym_real_literal] = ACTIONS(3399),
    [sym_verbatim_string_literal] = ACTIONS(3399),
    [aux_sym_preproc_if_token1] = ACTIONS(3399),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3399),
    [sym_interpolation_verbatim_start] = ACTIONS(3399),
    [sym_interpolation_raw_start] = ACTIONS(3399),
    [sym_raw_string_start] = ACTIONS(3399),
  },
  [2665] = {
    [sym_preproc_region] = STATE(2665),
    [sym_preproc_endregion] = STATE(2665),
    [sym_preproc_line] = STATE(2665),
    [sym_preproc_pragma] = STATE(2665),
    [sym_preproc_nullable] = STATE(2665),
    [sym_preproc_error] = STATE(2665),
    [sym_preproc_define] = STATE(2665),
    [sym_preproc_undef] = STATE(2665),
    [sym__identifier_token] = ACTIONS(3109),
    [anon_sym_extern] = ACTIONS(3109),
    [anon_sym_alias] = ACTIONS(3109),
    [anon_sym_SEMI] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3109),
    [anon_sym_using] = ACTIONS(3109),
    [anon_sym_unsafe] = ACTIONS(3109),
    [anon_sym_static] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_LPAREN] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_ref] = ACTIONS(3109),
    [anon_sym_LBRACE] = ACTIONS(3111),
    [anon_sym_RBRACE] = ACTIONS(3111),
    [anon_sym_delegate] = ACTIONS(3109),
    [anon_sym_abstract] = ACTIONS(3109),
    [anon_sym_async] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3109),
    [anon_sym_file] = ACTIONS(3109),
    [anon_sym_fixed] = ACTIONS(3109),
    [anon_sym_internal] = ACTIONS(3109),
    [anon_sym_new] = ACTIONS(3109),
    [anon_sym_override] = ACTIONS(3109),
    [anon_sym_partial] = ACTIONS(3109),
    [anon_sym_private] = ACTIONS(3109),
    [anon_sym_protected] = ACTIONS(3109),
    [anon_sym_public] = ACTIONS(3109),
    [anon_sym_readonly] = ACTIONS(3109),
    [anon_sym_required] = ACTIONS(3109),
    [anon_sym_sealed] = ACTIONS(3109),
    [anon_sym_virtual] = ACTIONS(3109),
    [anon_sym_volatile] = ACTIONS(3109),
    [anon_sym_where] = ACTIONS(3109),
    [anon_sym_notnull] = ACTIONS(3109),
    [anon_sym_unmanaged] = ACTIONS(3109),
    [anon_sym_checked] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3111),
    [anon_sym_TILDE] = ACTIONS(3111),
    [anon_sym_PLUS_PLUS] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3109),
    [anon_sym_false] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3111),
    [anon_sym_CARET] = ACTIONS(3111),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_this] = ACTIONS(3109),
    [anon_sym_scoped] = ACTIONS(3109),
    [anon_sym_base] = ACTIONS(3109),
    [anon_sym_var] = ACTIONS(3109),
    [sym_predefined_type] = ACTIONS(3109),
    [anon_sym_break] = ACTIONS(3109),
    [anon_sym_unchecked] = ACTIONS(3109),
    [anon_sym_continue] = ACTIONS(3109),
    [anon_sym_do] = ACTIONS(3109),
    [anon_sym_while] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(3109),
    [anon_sym_lock] = ACTIONS(3109),
    [anon_sym_yield] = ACTIONS(3109),
    [anon_sym_switch] = ACTIONS(3109),
    [anon_sym_case] = ACTIONS(3109),
    [anon_sym_default] = ACTIONS(3109),
    [anon_sym_throw] = ACTIONS(3109),
    [anon_sym_try] = ACTIONS(3109),
    [anon_sym_when] = ACTIONS(3109),
    [anon_sym_await] = ACTIONS(3109),
    [anon_sym_foreach] = ACTIONS(3109),
    [anon_sym_goto] = ACTIONS(3109),
    [anon_sym_if] = ACTIONS(3109),
    [anon_sym_else] = ACTIONS(3109),
    [anon_sym_DOT_DOT] = ACTIONS(3111),
    [anon_sym_from] = ACTIONS(3109),
    [anon_sym_into] = ACTIONS(3109),
    [anon_sym_join] = ACTIONS(3109),
    [anon_sym_on] = ACTIONS(3109),
    [anon_sym_equals] = ACTIONS(3109),
    [anon_sym_let] = ACTIONS(3109),
    [anon_sym_orderby] = ACTIONS(3109),
    [anon_sym_ascending] = ACTIONS(3109),
    [anon_sym_descending] = ACTIONS(3109),
    [anon_sym_group] = ACTIONS(3109),
    [anon_sym_by] = ACTIONS(3109),
    [anon_sym_select] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3111),
    [anon_sym_stackalloc] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3109),
    [anon_sym_typeof] = ACTIONS(3109),
    [anon_sym___makeref] = ACTIONS(3109),
    [anon_sym___reftype] = ACTIONS(3109),
    [anon_sym___refvalue] = ACTIONS(3109),
    [sym_null_literal] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3111),
    [sym_integer_literal] = ACTIONS(3109),
    [sym_real_literal] = ACTIONS(3111),
    [sym_verbatim_string_literal] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3111),
    [sym_interpolation_verbatim_start] = ACTIONS(3111),
    [sym_interpolation_raw_start] = ACTIONS(3111),
    [sym_raw_string_start] = ACTIONS(3111),
  },
  [2666] = {
    [sym_preproc_region] = STATE(2666),
    [sym_preproc_endregion] = STATE(2666),
    [sym_preproc_line] = STATE(2666),
    [sym_preproc_pragma] = STATE(2666),
    [sym_preproc_nullable] = STATE(2666),
    [sym_preproc_error] = STATE(2666),
    [sym_preproc_define] = STATE(2666),
    [sym_preproc_undef] = STATE(2666),
    [sym__identifier_token] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym_alias] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym_global] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_unsafe] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3219),
    [anon_sym_LPAREN] = ACTIONS(3219),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_ref] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_delegate] = ACTIONS(3217),
    [anon_sym_abstract] = ACTIONS(3217),
    [anon_sym_async] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_file] = ACTIONS(3217),
    [anon_sym_fixed] = ACTIONS(3217),
    [anon_sym_internal] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_override] = ACTIONS(3217),
    [anon_sym_partial] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_readonly] = ACTIONS(3217),
    [anon_sym_required] = ACTIONS(3217),
    [anon_sym_sealed] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_where] = ACTIONS(3217),
    [anon_sym_notnull] = ACTIONS(3217),
    [anon_sym_unmanaged] = ACTIONS(3217),
    [anon_sym_checked] = ACTIONS(3217),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_true] = ACTIONS(3217),
    [anon_sym_false] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_CARET] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3219),
    [anon_sym_this] = ACTIONS(3217),
    [anon_sym_scoped] = ACTIONS(3217),
    [anon_sym_base] = ACTIONS(3217),
    [anon_sym_var] = ACTIONS(3217),
    [sym_predefined_type] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_unchecked] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_lock] = ACTIONS(3217),
    [anon_sym_yield] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_when] = ACTIONS(3217),
    [anon_sym_await] = ACTIONS(3217),
    [anon_sym_foreach] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_else] = ACTIONS(3217),
    [anon_sym_DOT_DOT] = ACTIONS(3219),
    [anon_sym_from] = ACTIONS(3217),
    [anon_sym_into] = ACTIONS(3217),
    [anon_sym_join] = ACTIONS(3217),
    [anon_sym_on] = ACTIONS(3217),
    [anon_sym_equals] = ACTIONS(3217),
    [anon_sym_let] = ACTIONS(3217),
    [anon_sym_orderby] = ACTIONS(3217),
    [anon_sym_ascending] = ACTIONS(3217),
    [anon_sym_descending] = ACTIONS(3217),
    [anon_sym_group] = ACTIONS(3217),
    [anon_sym_by] = ACTIONS(3217),
    [anon_sym_select] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [anon_sym_stackalloc] = ACTIONS(3217),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym_typeof] = ACTIONS(3217),
    [anon_sym___makeref] = ACTIONS(3217),
    [anon_sym___reftype] = ACTIONS(3217),
    [anon_sym___refvalue] = ACTIONS(3217),
    [sym_null_literal] = ACTIONS(3217),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [sym_integer_literal] = ACTIONS(3217),
    [sym_real_literal] = ACTIONS(3219),
    [sym_verbatim_string_literal] = ACTIONS(3219),
    [aux_sym_preproc_if_token1] = ACTIONS(3219),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3219),
    [sym_interpolation_verbatim_start] = ACTIONS(3219),
    [sym_interpolation_raw_start] = ACTIONS(3219),
    [sym_raw_string_start] = ACTIONS(3219),
  },
  [2667] = {
    [sym_preproc_region] = STATE(2667),
    [sym_preproc_endregion] = STATE(2667),
    [sym_preproc_line] = STATE(2667),
    [sym_preproc_pragma] = STATE(2667),
    [sym_preproc_nullable] = STATE(2667),
    [sym_preproc_error] = STATE(2667),
    [sym_preproc_define] = STATE(2667),
    [sym_preproc_undef] = STATE(2667),
    [sym__identifier_token] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym_alias] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym_global] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_unsafe] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_ref] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_delegate] = ACTIONS(3221),
    [anon_sym_abstract] = ACTIONS(3221),
    [anon_sym_async] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_file] = ACTIONS(3221),
    [anon_sym_fixed] = ACTIONS(3221),
    [anon_sym_internal] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_override] = ACTIONS(3221),
    [anon_sym_partial] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_readonly] = ACTIONS(3221),
    [anon_sym_required] = ACTIONS(3221),
    [anon_sym_sealed] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_where] = ACTIONS(3221),
    [anon_sym_notnull] = ACTIONS(3221),
    [anon_sym_unmanaged] = ACTIONS(3221),
    [anon_sym_checked] = ACTIONS(3221),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_true] = ACTIONS(3221),
    [anon_sym_false] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_CARET] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_this] = ACTIONS(3221),
    [anon_sym_scoped] = ACTIONS(3221),
    [anon_sym_base] = ACTIONS(3221),
    [anon_sym_var] = ACTIONS(3221),
    [sym_predefined_type] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_unchecked] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_lock] = ACTIONS(3221),
    [anon_sym_yield] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_when] = ACTIONS(3221),
    [anon_sym_await] = ACTIONS(3221),
    [anon_sym_foreach] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_else] = ACTIONS(3221),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_from] = ACTIONS(3221),
    [anon_sym_into] = ACTIONS(3221),
    [anon_sym_join] = ACTIONS(3221),
    [anon_sym_on] = ACTIONS(3221),
    [anon_sym_equals] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3221),
    [anon_sym_orderby] = ACTIONS(3221),
    [anon_sym_ascending] = ACTIONS(3221),
    [anon_sym_descending] = ACTIONS(3221),
    [anon_sym_group] = ACTIONS(3221),
    [anon_sym_by] = ACTIONS(3221),
    [anon_sym_select] = ACTIONS(3221),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [anon_sym_stackalloc] = ACTIONS(3221),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym_typeof] = ACTIONS(3221),
    [anon_sym___makeref] = ACTIONS(3221),
    [anon_sym___reftype] = ACTIONS(3221),
    [anon_sym___refvalue] = ACTIONS(3221),
    [sym_null_literal] = ACTIONS(3221),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [sym_integer_literal] = ACTIONS(3221),
    [sym_real_literal] = ACTIONS(3223),
    [sym_verbatim_string_literal] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3223),
    [sym_interpolation_verbatim_start] = ACTIONS(3223),
    [sym_interpolation_raw_start] = ACTIONS(3223),
    [sym_raw_string_start] = ACTIONS(3223),
  },
  [2668] = {
    [sym_preproc_region] = STATE(2668),
    [sym_preproc_endregion] = STATE(2668),
    [sym_preproc_line] = STATE(2668),
    [sym_preproc_pragma] = STATE(2668),
    [sym_preproc_nullable] = STATE(2668),
    [sym_preproc_error] = STATE(2668),
    [sym_preproc_define] = STATE(2668),
    [sym_preproc_undef] = STATE(2668),
    [sym__identifier_token] = ACTIONS(3145),
    [anon_sym_extern] = ACTIONS(3145),
    [anon_sym_alias] = ACTIONS(3145),
    [anon_sym_SEMI] = ACTIONS(3147),
    [anon_sym_global] = ACTIONS(3145),
    [anon_sym_using] = ACTIONS(3145),
    [anon_sym_unsafe] = ACTIONS(3145),
    [anon_sym_static] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(3147),
    [anon_sym_return] = ACTIONS(3145),
    [anon_sym_ref] = ACTIONS(3145),
    [anon_sym_LBRACE] = ACTIONS(3147),
    [anon_sym_RBRACE] = ACTIONS(3147),
    [anon_sym_delegate] = ACTIONS(3145),
    [anon_sym_abstract] = ACTIONS(3145),
    [anon_sym_async] = ACTIONS(3145),
    [anon_sym_const] = ACTIONS(3145),
    [anon_sym_file] = ACTIONS(3145),
    [anon_sym_fixed] = ACTIONS(3145),
    [anon_sym_internal] = ACTIONS(3145),
    [anon_sym_new] = ACTIONS(3145),
    [anon_sym_override] = ACTIONS(3145),
    [anon_sym_partial] = ACTIONS(3145),
    [anon_sym_private] = ACTIONS(3145),
    [anon_sym_protected] = ACTIONS(3145),
    [anon_sym_public] = ACTIONS(3145),
    [anon_sym_readonly] = ACTIONS(3145),
    [anon_sym_required] = ACTIONS(3145),
    [anon_sym_sealed] = ACTIONS(3145),
    [anon_sym_virtual] = ACTIONS(3145),
    [anon_sym_volatile] = ACTIONS(3145),
    [anon_sym_where] = ACTIONS(3145),
    [anon_sym_notnull] = ACTIONS(3145),
    [anon_sym_unmanaged] = ACTIONS(3145),
    [anon_sym_checked] = ACTIONS(3145),
    [anon_sym_BANG] = ACTIONS(3147),
    [anon_sym_TILDE] = ACTIONS(3147),
    [anon_sym_PLUS_PLUS] = ACTIONS(3147),
    [anon_sym_DASH_DASH] = ACTIONS(3147),
    [anon_sym_true] = ACTIONS(3145),
    [anon_sym_false] = ACTIONS(3145),
    [anon_sym_PLUS] = ACTIONS(3145),
    [anon_sym_DASH] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(3147),
    [anon_sym_CARET] = ACTIONS(3147),
    [anon_sym_AMP] = ACTIONS(3147),
    [anon_sym_this] = ACTIONS(3145),
    [anon_sym_scoped] = ACTIONS(3145),
    [anon_sym_base] = ACTIONS(3145),
    [anon_sym_var] = ACTIONS(3145),
    [sym_predefined_type] = ACTIONS(3145),
    [anon_sym_break] = ACTIONS(3145),
    [anon_sym_unchecked] = ACTIONS(3145),
    [anon_sym_continue] = ACTIONS(3145),
    [anon_sym_do] = ACTIONS(3145),
    [anon_sym_while] = ACTIONS(3145),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_lock] = ACTIONS(3145),
    [anon_sym_yield] = ACTIONS(3145),
    [anon_sym_switch] = ACTIONS(3145),
    [anon_sym_case] = ACTIONS(3145),
    [anon_sym_default] = ACTIONS(3145),
    [anon_sym_throw] = ACTIONS(3145),
    [anon_sym_try] = ACTIONS(3145),
    [anon_sym_when] = ACTIONS(3145),
    [anon_sym_await] = ACTIONS(3145),
    [anon_sym_foreach] = ACTIONS(3145),
    [anon_sym_goto] = ACTIONS(3145),
    [anon_sym_if] = ACTIONS(3145),
    [anon_sym_else] = ACTIONS(3145),
    [anon_sym_DOT_DOT] = ACTIONS(3147),
    [anon_sym_from] = ACTIONS(3145),
    [anon_sym_into] = ACTIONS(3145),
    [anon_sym_join] = ACTIONS(3145),
    [anon_sym_on] = ACTIONS(3145),
    [anon_sym_equals] = ACTIONS(3145),
    [anon_sym_let] = ACTIONS(3145),
    [anon_sym_orderby] = ACTIONS(3145),
    [anon_sym_ascending] = ACTIONS(3145),
    [anon_sym_descending] = ACTIONS(3145),
    [anon_sym_group] = ACTIONS(3145),
    [anon_sym_by] = ACTIONS(3145),
    [anon_sym_select] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [anon_sym_stackalloc] = ACTIONS(3145),
    [anon_sym_sizeof] = ACTIONS(3145),
    [anon_sym_typeof] = ACTIONS(3145),
    [anon_sym___makeref] = ACTIONS(3145),
    [anon_sym___reftype] = ACTIONS(3145),
    [anon_sym___refvalue] = ACTIONS(3145),
    [sym_null_literal] = ACTIONS(3145),
    [anon_sym_SQUOTE] = ACTIONS(3147),
    [sym_integer_literal] = ACTIONS(3145),
    [sym_real_literal] = ACTIONS(3147),
    [sym_verbatim_string_literal] = ACTIONS(3147),
    [aux_sym_preproc_if_token1] = ACTIONS(3147),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3147),
    [sym_interpolation_verbatim_start] = ACTIONS(3147),
    [sym_interpolation_raw_start] = ACTIONS(3147),
    [sym_raw_string_start] = ACTIONS(3147),
  },
  [2669] = {
    [sym_preproc_region] = STATE(2669),
    [sym_preproc_endregion] = STATE(2669),
    [sym_preproc_line] = STATE(2669),
    [sym_preproc_pragma] = STATE(2669),
    [sym_preproc_nullable] = STATE(2669),
    [sym_preproc_error] = STATE(2669),
    [sym_preproc_define] = STATE(2669),
    [sym_preproc_undef] = STATE(2669),
    [sym__identifier_token] = ACTIONS(3125),
    [anon_sym_extern] = ACTIONS(3125),
    [anon_sym_alias] = ACTIONS(3125),
    [anon_sym_SEMI] = ACTIONS(3127),
    [anon_sym_global] = ACTIONS(3125),
    [anon_sym_using] = ACTIONS(3125),
    [anon_sym_unsafe] = ACTIONS(3125),
    [anon_sym_static] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_LPAREN] = ACTIONS(3127),
    [anon_sym_return] = ACTIONS(3125),
    [anon_sym_ref] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_RBRACE] = ACTIONS(3127),
    [anon_sym_delegate] = ACTIONS(3125),
    [anon_sym_abstract] = ACTIONS(3125),
    [anon_sym_async] = ACTIONS(3125),
    [anon_sym_const] = ACTIONS(3125),
    [anon_sym_file] = ACTIONS(3125),
    [anon_sym_fixed] = ACTIONS(3125),
    [anon_sym_internal] = ACTIONS(3125),
    [anon_sym_new] = ACTIONS(3125),
    [anon_sym_override] = ACTIONS(3125),
    [anon_sym_partial] = ACTIONS(3125),
    [anon_sym_private] = ACTIONS(3125),
    [anon_sym_protected] = ACTIONS(3125),
    [anon_sym_public] = ACTIONS(3125),
    [anon_sym_readonly] = ACTIONS(3125),
    [anon_sym_required] = ACTIONS(3125),
    [anon_sym_sealed] = ACTIONS(3125),
    [anon_sym_virtual] = ACTIONS(3125),
    [anon_sym_volatile] = ACTIONS(3125),
    [anon_sym_where] = ACTIONS(3125),
    [anon_sym_notnull] = ACTIONS(3125),
    [anon_sym_unmanaged] = ACTIONS(3125),
    [anon_sym_checked] = ACTIONS(3125),
    [anon_sym_BANG] = ACTIONS(3127),
    [anon_sym_TILDE] = ACTIONS(3127),
    [anon_sym_PLUS_PLUS] = ACTIONS(3127),
    [anon_sym_DASH_DASH] = ACTIONS(3127),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_PLUS] = ACTIONS(3125),
    [anon_sym_DASH] = ACTIONS(3125),
    [anon_sym_STAR] = ACTIONS(3127),
    [anon_sym_CARET] = ACTIONS(3127),
    [anon_sym_AMP] = ACTIONS(3127),
    [anon_sym_this] = ACTIONS(3125),
    [anon_sym_scoped] = ACTIONS(3125),
    [anon_sym_base] = ACTIONS(3125),
    [anon_sym_var] = ACTIONS(3125),
    [sym_predefined_type] = ACTIONS(3125),
    [anon_sym_break] = ACTIONS(3125),
    [anon_sym_unchecked] = ACTIONS(3125),
    [anon_sym_continue] = ACTIONS(3125),
    [anon_sym_do] = ACTIONS(3125),
    [anon_sym_while] = ACTIONS(3125),
    [anon_sym_for] = ACTIONS(3125),
    [anon_sym_lock] = ACTIONS(3125),
    [anon_sym_yield] = ACTIONS(3125),
    [anon_sym_switch] = ACTIONS(3125),
    [anon_sym_case] = ACTIONS(3125),
    [anon_sym_default] = ACTIONS(3125),
    [anon_sym_throw] = ACTIONS(3125),
    [anon_sym_try] = ACTIONS(3125),
    [anon_sym_when] = ACTIONS(3125),
    [anon_sym_await] = ACTIONS(3125),
    [anon_sym_foreach] = ACTIONS(3125),
    [anon_sym_goto] = ACTIONS(3125),
    [anon_sym_if] = ACTIONS(3125),
    [anon_sym_else] = ACTIONS(3125),
    [anon_sym_DOT_DOT] = ACTIONS(3127),
    [anon_sym_from] = ACTIONS(3125),
    [anon_sym_into] = ACTIONS(3125),
    [anon_sym_join] = ACTIONS(3125),
    [anon_sym_on] = ACTIONS(3125),
    [anon_sym_equals] = ACTIONS(3125),
    [anon_sym_let] = ACTIONS(3125),
    [anon_sym_orderby] = ACTIONS(3125),
    [anon_sym_ascending] = ACTIONS(3125),
    [anon_sym_descending] = ACTIONS(3125),
    [anon_sym_group] = ACTIONS(3125),
    [anon_sym_by] = ACTIONS(3125),
    [anon_sym_select] = ACTIONS(3125),
    [anon_sym_DQUOTE] = ACTIONS(3127),
    [anon_sym_stackalloc] = ACTIONS(3125),
    [anon_sym_sizeof] = ACTIONS(3125),
    [anon_sym_typeof] = ACTIONS(3125),
    [anon_sym___makeref] = ACTIONS(3125),
    [anon_sym___reftype] = ACTIONS(3125),
    [anon_sym___refvalue] = ACTIONS(3125),
    [sym_null_literal] = ACTIONS(3125),
    [anon_sym_SQUOTE] = ACTIONS(3127),
    [sym_integer_literal] = ACTIONS(3125),
    [sym_real_literal] = ACTIONS(3127),
    [sym_verbatim_string_literal] = ACTIONS(3127),
    [aux_sym_preproc_if_token1] = ACTIONS(3127),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3127),
    [sym_interpolation_verbatim_start] = ACTIONS(3127),
    [sym_interpolation_raw_start] = ACTIONS(3127),
    [sym_raw_string_start] = ACTIONS(3127),
  },
  [2670] = {
    [sym_preproc_region] = STATE(2670),
    [sym_preproc_endregion] = STATE(2670),
    [sym_preproc_line] = STATE(2670),
    [sym_preproc_pragma] = STATE(2670),
    [sym_preproc_nullable] = STATE(2670),
    [sym_preproc_error] = STATE(2670),
    [sym_preproc_define] = STATE(2670),
    [sym_preproc_undef] = STATE(2670),
    [sym__identifier_token] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym_alias] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym_global] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_unsafe] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_ref] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_delegate] = ACTIONS(3225),
    [anon_sym_abstract] = ACTIONS(3225),
    [anon_sym_async] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_file] = ACTIONS(3225),
    [anon_sym_fixed] = ACTIONS(3225),
    [anon_sym_internal] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_override] = ACTIONS(3225),
    [anon_sym_partial] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_readonly] = ACTIONS(3225),
    [anon_sym_required] = ACTIONS(3225),
    [anon_sym_sealed] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_where] = ACTIONS(3225),
    [anon_sym_notnull] = ACTIONS(3225),
    [anon_sym_unmanaged] = ACTIONS(3225),
    [anon_sym_checked] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3225),
    [anon_sym_false] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_CARET] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_this] = ACTIONS(3225),
    [anon_sym_scoped] = ACTIONS(3225),
    [anon_sym_base] = ACTIONS(3225),
    [anon_sym_var] = ACTIONS(3225),
    [sym_predefined_type] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_unchecked] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_lock] = ACTIONS(3225),
    [anon_sym_yield] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_when] = ACTIONS(3225),
    [anon_sym_await] = ACTIONS(3225),
    [anon_sym_foreach] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_else] = ACTIONS(3225),
    [anon_sym_DOT_DOT] = ACTIONS(3227),
    [anon_sym_from] = ACTIONS(3225),
    [anon_sym_into] = ACTIONS(3225),
    [anon_sym_join] = ACTIONS(3225),
    [anon_sym_on] = ACTIONS(3225),
    [anon_sym_equals] = ACTIONS(3225),
    [anon_sym_let] = ACTIONS(3225),
    [anon_sym_orderby] = ACTIONS(3225),
    [anon_sym_ascending] = ACTIONS(3225),
    [anon_sym_descending] = ACTIONS(3225),
    [anon_sym_group] = ACTIONS(3225),
    [anon_sym_by] = ACTIONS(3225),
    [anon_sym_select] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [anon_sym_stackalloc] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym_typeof] = ACTIONS(3225),
    [anon_sym___makeref] = ACTIONS(3225),
    [anon_sym___reftype] = ACTIONS(3225),
    [anon_sym___refvalue] = ACTIONS(3225),
    [sym_null_literal] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [sym_integer_literal] = ACTIONS(3225),
    [sym_real_literal] = ACTIONS(3227),
    [sym_verbatim_string_literal] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3227),
    [sym_interpolation_verbatim_start] = ACTIONS(3227),
    [sym_interpolation_raw_start] = ACTIONS(3227),
    [sym_raw_string_start] = ACTIONS(3227),
  },
  [2671] = {
    [sym_preproc_region] = STATE(2671),
    [sym_preproc_endregion] = STATE(2671),
    [sym_preproc_line] = STATE(2671),
    [sym_preproc_pragma] = STATE(2671),
    [sym_preproc_nullable] = STATE(2671),
    [sym_preproc_error] = STATE(2671),
    [sym_preproc_define] = STATE(2671),
    [sym_preproc_undef] = STATE(2671),
    [sym__identifier_token] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym_alias] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym_global] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_unsafe] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_LPAREN] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_ref] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_delegate] = ACTIONS(3229),
    [anon_sym_abstract] = ACTIONS(3229),
    [anon_sym_async] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_file] = ACTIONS(3229),
    [anon_sym_fixed] = ACTIONS(3229),
    [anon_sym_internal] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_override] = ACTIONS(3229),
    [anon_sym_partial] = ACTIONS(3229),
    [anon_sym_private] = ACTIONS(3229),
    [anon_sym_protected] = ACTIONS(3229),
    [anon_sym_public] = ACTIONS(3229),
    [anon_sym_readonly] = ACTIONS(3229),
    [anon_sym_required] = ACTIONS(3229),
    [anon_sym_sealed] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_where] = ACTIONS(3229),
    [anon_sym_notnull] = ACTIONS(3229),
    [anon_sym_unmanaged] = ACTIONS(3229),
    [anon_sym_checked] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_CARET] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_this] = ACTIONS(3229),
    [anon_sym_scoped] = ACTIONS(3229),
    [anon_sym_base] = ACTIONS(3229),
    [anon_sym_var] = ACTIONS(3229),
    [sym_predefined_type] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_unchecked] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_lock] = ACTIONS(3229),
    [anon_sym_yield] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_when] = ACTIONS(3229),
    [anon_sym_await] = ACTIONS(3229),
    [anon_sym_foreach] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_else] = ACTIONS(3229),
    [anon_sym_DOT_DOT] = ACTIONS(3231),
    [anon_sym_from] = ACTIONS(3229),
    [anon_sym_into] = ACTIONS(3229),
    [anon_sym_join] = ACTIONS(3229),
    [anon_sym_on] = ACTIONS(3229),
    [anon_sym_equals] = ACTIONS(3229),
    [anon_sym_let] = ACTIONS(3229),
    [anon_sym_orderby] = ACTIONS(3229),
    [anon_sym_ascending] = ACTIONS(3229),
    [anon_sym_descending] = ACTIONS(3229),
    [anon_sym_group] = ACTIONS(3229),
    [anon_sym_by] = ACTIONS(3229),
    [anon_sym_select] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [anon_sym_stackalloc] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym_typeof] = ACTIONS(3229),
    [anon_sym___makeref] = ACTIONS(3229),
    [anon_sym___reftype] = ACTIONS(3229),
    [anon_sym___refvalue] = ACTIONS(3229),
    [sym_null_literal] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [sym_integer_literal] = ACTIONS(3229),
    [sym_real_literal] = ACTIONS(3231),
    [sym_verbatim_string_literal] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3231),
    [sym_interpolation_verbatim_start] = ACTIONS(3231),
    [sym_interpolation_raw_start] = ACTIONS(3231),
    [sym_raw_string_start] = ACTIONS(3231),
  },
  [2672] = {
    [sym_preproc_region] = STATE(2672),
    [sym_preproc_endregion] = STATE(2672),
    [sym_preproc_line] = STATE(2672),
    [sym_preproc_pragma] = STATE(2672),
    [sym_preproc_nullable] = STATE(2672),
    [sym_preproc_error] = STATE(2672),
    [sym_preproc_define] = STATE(2672),
    [sym_preproc_undef] = STATE(2672),
    [sym__identifier_token] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym_alias] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym_global] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_unsafe] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(3235),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_ref] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_delegate] = ACTIONS(3233),
    [anon_sym_abstract] = ACTIONS(3233),
    [anon_sym_async] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_file] = ACTIONS(3233),
    [anon_sym_fixed] = ACTIONS(3233),
    [anon_sym_internal] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_override] = ACTIONS(3233),
    [anon_sym_partial] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_readonly] = ACTIONS(3233),
    [anon_sym_required] = ACTIONS(3233),
    [anon_sym_sealed] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_where] = ACTIONS(3233),
    [anon_sym_notnull] = ACTIONS(3233),
    [anon_sym_unmanaged] = ACTIONS(3233),
    [anon_sym_checked] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_true] = ACTIONS(3233),
    [anon_sym_false] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_CARET] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_this] = ACTIONS(3233),
    [anon_sym_scoped] = ACTIONS(3233),
    [anon_sym_base] = ACTIONS(3233),
    [anon_sym_var] = ACTIONS(3233),
    [sym_predefined_type] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_unchecked] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_lock] = ACTIONS(3233),
    [anon_sym_yield] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_when] = ACTIONS(3233),
    [anon_sym_await] = ACTIONS(3233),
    [anon_sym_foreach] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_else] = ACTIONS(3233),
    [anon_sym_DOT_DOT] = ACTIONS(3235),
    [anon_sym_from] = ACTIONS(3233),
    [anon_sym_into] = ACTIONS(3233),
    [anon_sym_join] = ACTIONS(3233),
    [anon_sym_on] = ACTIONS(3233),
    [anon_sym_equals] = ACTIONS(3233),
    [anon_sym_let] = ACTIONS(3233),
    [anon_sym_orderby] = ACTIONS(3233),
    [anon_sym_ascending] = ACTIONS(3233),
    [anon_sym_descending] = ACTIONS(3233),
    [anon_sym_group] = ACTIONS(3233),
    [anon_sym_by] = ACTIONS(3233),
    [anon_sym_select] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [anon_sym_stackalloc] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym_typeof] = ACTIONS(3233),
    [anon_sym___makeref] = ACTIONS(3233),
    [anon_sym___reftype] = ACTIONS(3233),
    [anon_sym___refvalue] = ACTIONS(3233),
    [sym_null_literal] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [sym_integer_literal] = ACTIONS(3233),
    [sym_real_literal] = ACTIONS(3235),
    [sym_verbatim_string_literal] = ACTIONS(3235),
    [aux_sym_preproc_if_token1] = ACTIONS(3235),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3235),
    [sym_interpolation_verbatim_start] = ACTIONS(3235),
    [sym_interpolation_raw_start] = ACTIONS(3235),
    [sym_raw_string_start] = ACTIONS(3235),
  },
  [2673] = {
    [sym_preproc_region] = STATE(2673),
    [sym_preproc_endregion] = STATE(2673),
    [sym_preproc_line] = STATE(2673),
    [sym_preproc_pragma] = STATE(2673),
    [sym_preproc_nullable] = STATE(2673),
    [sym_preproc_error] = STATE(2673),
    [sym_preproc_define] = STATE(2673),
    [sym_preproc_undef] = STATE(2673),
    [sym__identifier_token] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym_alias] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym_global] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_unsafe] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3239),
    [anon_sym_LPAREN] = ACTIONS(3239),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_ref] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_delegate] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3237),
    [anon_sym_async] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_file] = ACTIONS(3237),
    [anon_sym_fixed] = ACTIONS(3237),
    [anon_sym_internal] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_override] = ACTIONS(3237),
    [anon_sym_partial] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_readonly] = ACTIONS(3237),
    [anon_sym_required] = ACTIONS(3237),
    [anon_sym_sealed] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_where] = ACTIONS(3237),
    [anon_sym_notnull] = ACTIONS(3237),
    [anon_sym_unmanaged] = ACTIONS(3237),
    [anon_sym_checked] = ACTIONS(3237),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_true] = ACTIONS(3237),
    [anon_sym_false] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_CARET] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3239),
    [anon_sym_this] = ACTIONS(3237),
    [anon_sym_scoped] = ACTIONS(3237),
    [anon_sym_base] = ACTIONS(3237),
    [anon_sym_var] = ACTIONS(3237),
    [sym_predefined_type] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_unchecked] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_lock] = ACTIONS(3237),
    [anon_sym_yield] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_when] = ACTIONS(3237),
    [anon_sym_await] = ACTIONS(3237),
    [anon_sym_foreach] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_else] = ACTIONS(3237),
    [anon_sym_DOT_DOT] = ACTIONS(3239),
    [anon_sym_from] = ACTIONS(3237),
    [anon_sym_into] = ACTIONS(3237),
    [anon_sym_join] = ACTIONS(3237),
    [anon_sym_on] = ACTIONS(3237),
    [anon_sym_equals] = ACTIONS(3237),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_orderby] = ACTIONS(3237),
    [anon_sym_ascending] = ACTIONS(3237),
    [anon_sym_descending] = ACTIONS(3237),
    [anon_sym_group] = ACTIONS(3237),
    [anon_sym_by] = ACTIONS(3237),
    [anon_sym_select] = ACTIONS(3237),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [anon_sym_stackalloc] = ACTIONS(3237),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym_typeof] = ACTIONS(3237),
    [anon_sym___makeref] = ACTIONS(3237),
    [anon_sym___reftype] = ACTIONS(3237),
    [anon_sym___refvalue] = ACTIONS(3237),
    [sym_null_literal] = ACTIONS(3237),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [sym_integer_literal] = ACTIONS(3237),
    [sym_real_literal] = ACTIONS(3239),
    [sym_verbatim_string_literal] = ACTIONS(3239),
    [aux_sym_preproc_if_token1] = ACTIONS(3239),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3239),
    [sym_interpolation_verbatim_start] = ACTIONS(3239),
    [sym_interpolation_raw_start] = ACTIONS(3239),
    [sym_raw_string_start] = ACTIONS(3239),
  },
  [2674] = {
    [sym_preproc_region] = STATE(2674),
    [sym_preproc_endregion] = STATE(2674),
    [sym_preproc_line] = STATE(2674),
    [sym_preproc_pragma] = STATE(2674),
    [sym_preproc_nullable] = STATE(2674),
    [sym_preproc_error] = STATE(2674),
    [sym_preproc_define] = STATE(2674),
    [sym_preproc_undef] = STATE(2674),
    [sym__identifier_token] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym_alias] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_global] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_unsafe] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3243),
    [anon_sym_LPAREN] = ACTIONS(3243),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_ref] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_delegate] = ACTIONS(3241),
    [anon_sym_abstract] = ACTIONS(3241),
    [anon_sym_async] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_file] = ACTIONS(3241),
    [anon_sym_fixed] = ACTIONS(3241),
    [anon_sym_internal] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_override] = ACTIONS(3241),
    [anon_sym_partial] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_readonly] = ACTIONS(3241),
    [anon_sym_required] = ACTIONS(3241),
    [anon_sym_sealed] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_where] = ACTIONS(3241),
    [anon_sym_notnull] = ACTIONS(3241),
    [anon_sym_unmanaged] = ACTIONS(3241),
    [anon_sym_checked] = ACTIONS(3241),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_true] = ACTIONS(3241),
    [anon_sym_false] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_CARET] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3243),
    [anon_sym_this] = ACTIONS(3241),
    [anon_sym_scoped] = ACTIONS(3241),
    [anon_sym_base] = ACTIONS(3241),
    [anon_sym_var] = ACTIONS(3241),
    [sym_predefined_type] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_unchecked] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_lock] = ACTIONS(3241),
    [anon_sym_yield] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_when] = ACTIONS(3241),
    [anon_sym_await] = ACTIONS(3241),
    [anon_sym_foreach] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_else] = ACTIONS(4045),
    [anon_sym_DOT_DOT] = ACTIONS(3243),
    [anon_sym_from] = ACTIONS(3241),
    [anon_sym_into] = ACTIONS(3241),
    [anon_sym_join] = ACTIONS(3241),
    [anon_sym_on] = ACTIONS(3241),
    [anon_sym_equals] = ACTIONS(3241),
    [anon_sym_let] = ACTIONS(3241),
    [anon_sym_orderby] = ACTIONS(3241),
    [anon_sym_ascending] = ACTIONS(3241),
    [anon_sym_descending] = ACTIONS(3241),
    [anon_sym_group] = ACTIONS(3241),
    [anon_sym_by] = ACTIONS(3241),
    [anon_sym_select] = ACTIONS(3241),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [anon_sym_stackalloc] = ACTIONS(3241),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym_typeof] = ACTIONS(3241),
    [anon_sym___makeref] = ACTIONS(3241),
    [anon_sym___reftype] = ACTIONS(3241),
    [anon_sym___refvalue] = ACTIONS(3241),
    [sym_null_literal] = ACTIONS(3241),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [sym_integer_literal] = ACTIONS(3241),
    [sym_real_literal] = ACTIONS(3243),
    [sym_verbatim_string_literal] = ACTIONS(3243),
    [aux_sym_preproc_if_token1] = ACTIONS(3243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3243),
    [sym_interpolation_verbatim_start] = ACTIONS(3243),
    [sym_interpolation_raw_start] = ACTIONS(3243),
    [sym_raw_string_start] = ACTIONS(3243),
  },
  [2675] = {
    [sym_preproc_region] = STATE(2675),
    [sym_preproc_endregion] = STATE(2675),
    [sym_preproc_line] = STATE(2675),
    [sym_preproc_pragma] = STATE(2675),
    [sym_preproc_nullable] = STATE(2675),
    [sym_preproc_error] = STATE(2675),
    [sym_preproc_define] = STATE(2675),
    [sym_preproc_undef] = STATE(2675),
    [sym__identifier_token] = ACTIONS(3149),
    [anon_sym_extern] = ACTIONS(3149),
    [anon_sym_alias] = ACTIONS(3149),
    [anon_sym_SEMI] = ACTIONS(3151),
    [anon_sym_global] = ACTIONS(3149),
    [anon_sym_using] = ACTIONS(3149),
    [anon_sym_unsafe] = ACTIONS(3149),
    [anon_sym_static] = ACTIONS(3149),
    [anon_sym_LBRACK] = ACTIONS(3151),
    [anon_sym_LPAREN] = ACTIONS(3151),
    [anon_sym_return] = ACTIONS(3149),
    [anon_sym_ref] = ACTIONS(3149),
    [anon_sym_LBRACE] = ACTIONS(3151),
    [anon_sym_RBRACE] = ACTIONS(3151),
    [anon_sym_delegate] = ACTIONS(3149),
    [anon_sym_abstract] = ACTIONS(3149),
    [anon_sym_async] = ACTIONS(3149),
    [anon_sym_const] = ACTIONS(3149),
    [anon_sym_file] = ACTIONS(3149),
    [anon_sym_fixed] = ACTIONS(3149),
    [anon_sym_internal] = ACTIONS(3149),
    [anon_sym_new] = ACTIONS(3149),
    [anon_sym_override] = ACTIONS(3149),
    [anon_sym_partial] = ACTIONS(3149),
    [anon_sym_private] = ACTIONS(3149),
    [anon_sym_protected] = ACTIONS(3149),
    [anon_sym_public] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3149),
    [anon_sym_required] = ACTIONS(3149),
    [anon_sym_sealed] = ACTIONS(3149),
    [anon_sym_virtual] = ACTIONS(3149),
    [anon_sym_volatile] = ACTIONS(3149),
    [anon_sym_where] = ACTIONS(3149),
    [anon_sym_notnull] = ACTIONS(3149),
    [anon_sym_unmanaged] = ACTIONS(3149),
    [anon_sym_checked] = ACTIONS(3149),
    [anon_sym_BANG] = ACTIONS(3151),
    [anon_sym_TILDE] = ACTIONS(3151),
    [anon_sym_PLUS_PLUS] = ACTIONS(3151),
    [anon_sym_DASH_DASH] = ACTIONS(3151),
    [anon_sym_true] = ACTIONS(3149),
    [anon_sym_false] = ACTIONS(3149),
    [anon_sym_PLUS] = ACTIONS(3149),
    [anon_sym_DASH] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(3151),
    [anon_sym_CARET] = ACTIONS(3151),
    [anon_sym_AMP] = ACTIONS(3151),
    [anon_sym_this] = ACTIONS(3149),
    [anon_sym_scoped] = ACTIONS(3149),
    [anon_sym_base] = ACTIONS(3149),
    [anon_sym_var] = ACTIONS(3149),
    [sym_predefined_type] = ACTIONS(3149),
    [anon_sym_break] = ACTIONS(3149),
    [anon_sym_unchecked] = ACTIONS(3149),
    [anon_sym_continue] = ACTIONS(3149),
    [anon_sym_do] = ACTIONS(3149),
    [anon_sym_while] = ACTIONS(3149),
    [anon_sym_for] = ACTIONS(3149),
    [anon_sym_lock] = ACTIONS(3149),
    [anon_sym_yield] = ACTIONS(3149),
    [anon_sym_switch] = ACTIONS(3149),
    [anon_sym_case] = ACTIONS(3149),
    [anon_sym_default] = ACTIONS(3149),
    [anon_sym_throw] = ACTIONS(3149),
    [anon_sym_try] = ACTIONS(3149),
    [anon_sym_when] = ACTIONS(3149),
    [anon_sym_await] = ACTIONS(3149),
    [anon_sym_foreach] = ACTIONS(3149),
    [anon_sym_goto] = ACTIONS(3149),
    [anon_sym_if] = ACTIONS(3149),
    [anon_sym_else] = ACTIONS(3149),
    [anon_sym_DOT_DOT] = ACTIONS(3151),
    [anon_sym_from] = ACTIONS(3149),
    [anon_sym_into] = ACTIONS(3149),
    [anon_sym_join] = ACTIONS(3149),
    [anon_sym_on] = ACTIONS(3149),
    [anon_sym_equals] = ACTIONS(3149),
    [anon_sym_let] = ACTIONS(3149),
    [anon_sym_orderby] = ACTIONS(3149),
    [anon_sym_ascending] = ACTIONS(3149),
    [anon_sym_descending] = ACTIONS(3149),
    [anon_sym_group] = ACTIONS(3149),
    [anon_sym_by] = ACTIONS(3149),
    [anon_sym_select] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(3151),
    [anon_sym_stackalloc] = ACTIONS(3149),
    [anon_sym_sizeof] = ACTIONS(3149),
    [anon_sym_typeof] = ACTIONS(3149),
    [anon_sym___makeref] = ACTIONS(3149),
    [anon_sym___reftype] = ACTIONS(3149),
    [anon_sym___refvalue] = ACTIONS(3149),
    [sym_null_literal] = ACTIONS(3149),
    [anon_sym_SQUOTE] = ACTIONS(3151),
    [sym_integer_literal] = ACTIONS(3149),
    [sym_real_literal] = ACTIONS(3151),
    [sym_verbatim_string_literal] = ACTIONS(3151),
    [aux_sym_preproc_if_token1] = ACTIONS(3151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3151),
    [sym_interpolation_verbatim_start] = ACTIONS(3151),
    [sym_interpolation_raw_start] = ACTIONS(3151),
    [sym_raw_string_start] = ACTIONS(3151),
  },
  [2676] = {
    [sym_preproc_region] = STATE(2676),
    [sym_preproc_endregion] = STATE(2676),
    [sym_preproc_line] = STATE(2676),
    [sym_preproc_pragma] = STATE(2676),
    [sym_preproc_nullable] = STATE(2676),
    [sym_preproc_error] = STATE(2676),
    [sym_preproc_define] = STATE(2676),
    [sym_preproc_undef] = STATE(2676),
    [sym__identifier_token] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym_alias] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym_global] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_unsafe] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_LPAREN] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_ref] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_delegate] = ACTIONS(3377),
    [anon_sym_abstract] = ACTIONS(3377),
    [anon_sym_async] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_file] = ACTIONS(3377),
    [anon_sym_fixed] = ACTIONS(3377),
    [anon_sym_internal] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_override] = ACTIONS(3377),
    [anon_sym_partial] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_readonly] = ACTIONS(3377),
    [anon_sym_required] = ACTIONS(3377),
    [anon_sym_sealed] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_where] = ACTIONS(3377),
    [anon_sym_notnull] = ACTIONS(3377),
    [anon_sym_unmanaged] = ACTIONS(3377),
    [anon_sym_checked] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_true] = ACTIONS(3377),
    [anon_sym_false] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_CARET] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_this] = ACTIONS(3377),
    [anon_sym_scoped] = ACTIONS(3377),
    [anon_sym_base] = ACTIONS(3377),
    [anon_sym_var] = ACTIONS(3377),
    [sym_predefined_type] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_unchecked] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_lock] = ACTIONS(3377),
    [anon_sym_yield] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_when] = ACTIONS(3377),
    [anon_sym_await] = ACTIONS(3377),
    [anon_sym_foreach] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_else] = ACTIONS(3377),
    [anon_sym_DOT_DOT] = ACTIONS(3379),
    [anon_sym_from] = ACTIONS(3377),
    [anon_sym_into] = ACTIONS(3377),
    [anon_sym_join] = ACTIONS(3377),
    [anon_sym_on] = ACTIONS(3377),
    [anon_sym_equals] = ACTIONS(3377),
    [anon_sym_let] = ACTIONS(3377),
    [anon_sym_orderby] = ACTIONS(3377),
    [anon_sym_ascending] = ACTIONS(3377),
    [anon_sym_descending] = ACTIONS(3377),
    [anon_sym_group] = ACTIONS(3377),
    [anon_sym_by] = ACTIONS(3377),
    [anon_sym_select] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [anon_sym_stackalloc] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym_typeof] = ACTIONS(3377),
    [anon_sym___makeref] = ACTIONS(3377),
    [anon_sym___reftype] = ACTIONS(3377),
    [anon_sym___refvalue] = ACTIONS(3377),
    [sym_null_literal] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [sym_integer_literal] = ACTIONS(3377),
    [sym_real_literal] = ACTIONS(3379),
    [sym_verbatim_string_literal] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3379),
    [sym_interpolation_verbatim_start] = ACTIONS(3379),
    [sym_interpolation_raw_start] = ACTIONS(3379),
    [sym_raw_string_start] = ACTIONS(3379),
  },
  [2677] = {
    [sym_preproc_region] = STATE(2677),
    [sym_preproc_endregion] = STATE(2677),
    [sym_preproc_line] = STATE(2677),
    [sym_preproc_pragma] = STATE(2677),
    [sym_preproc_nullable] = STATE(2677),
    [sym_preproc_error] = STATE(2677),
    [sym_preproc_define] = STATE(2677),
    [sym_preproc_undef] = STATE(2677),
    [sym__identifier_token] = ACTIONS(3247),
    [anon_sym_extern] = ACTIONS(3247),
    [anon_sym_alias] = ACTIONS(3247),
    [anon_sym_SEMI] = ACTIONS(3249),
    [anon_sym_global] = ACTIONS(3247),
    [anon_sym_using] = ACTIONS(3247),
    [anon_sym_unsafe] = ACTIONS(3247),
    [anon_sym_static] = ACTIONS(3247),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3247),
    [anon_sym_ref] = ACTIONS(3247),
    [anon_sym_LBRACE] = ACTIONS(3249),
    [anon_sym_RBRACE] = ACTIONS(3249),
    [anon_sym_delegate] = ACTIONS(3247),
    [anon_sym_abstract] = ACTIONS(3247),
    [anon_sym_async] = ACTIONS(3247),
    [anon_sym_const] = ACTIONS(3247),
    [anon_sym_file] = ACTIONS(3247),
    [anon_sym_fixed] = ACTIONS(3247),
    [anon_sym_internal] = ACTIONS(3247),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_override] = ACTIONS(3247),
    [anon_sym_partial] = ACTIONS(3247),
    [anon_sym_private] = ACTIONS(3247),
    [anon_sym_protected] = ACTIONS(3247),
    [anon_sym_public] = ACTIONS(3247),
    [anon_sym_readonly] = ACTIONS(3247),
    [anon_sym_required] = ACTIONS(3247),
    [anon_sym_sealed] = ACTIONS(3247),
    [anon_sym_virtual] = ACTIONS(3247),
    [anon_sym_volatile] = ACTIONS(3247),
    [anon_sym_where] = ACTIONS(3247),
    [anon_sym_notnull] = ACTIONS(3247),
    [anon_sym_unmanaged] = ACTIONS(3247),
    [anon_sym_checked] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3249),
    [anon_sym_TILDE] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3249),
    [anon_sym_true] = ACTIONS(3247),
    [anon_sym_false] = ACTIONS(3247),
    [anon_sym_PLUS] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3247),
    [anon_sym_STAR] = ACTIONS(3249),
    [anon_sym_CARET] = ACTIONS(3249),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_this] = ACTIONS(3247),
    [anon_sym_scoped] = ACTIONS(3247),
    [anon_sym_base] = ACTIONS(3247),
    [anon_sym_var] = ACTIONS(3247),
    [sym_predefined_type] = ACTIONS(3247),
    [anon_sym_break] = ACTIONS(3247),
    [anon_sym_unchecked] = ACTIONS(3247),
    [anon_sym_continue] = ACTIONS(3247),
    [anon_sym_do] = ACTIONS(3247),
    [anon_sym_while] = ACTIONS(3247),
    [anon_sym_for] = ACTIONS(3247),
    [anon_sym_lock] = ACTIONS(3247),
    [anon_sym_yield] = ACTIONS(3247),
    [anon_sym_switch] = ACTIONS(3247),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_default] = ACTIONS(3247),
    [anon_sym_throw] = ACTIONS(3247),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_when] = ACTIONS(3247),
    [anon_sym_await] = ACTIONS(3247),
    [anon_sym_foreach] = ACTIONS(3247),
    [anon_sym_goto] = ACTIONS(3247),
    [anon_sym_if] = ACTIONS(3247),
    [anon_sym_else] = ACTIONS(3247),
    [anon_sym_DOT_DOT] = ACTIONS(3249),
    [anon_sym_from] = ACTIONS(3247),
    [anon_sym_into] = ACTIONS(3247),
    [anon_sym_join] = ACTIONS(3247),
    [anon_sym_on] = ACTIONS(3247),
    [anon_sym_equals] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3247),
    [anon_sym_orderby] = ACTIONS(3247),
    [anon_sym_ascending] = ACTIONS(3247),
    [anon_sym_descending] = ACTIONS(3247),
    [anon_sym_group] = ACTIONS(3247),
    [anon_sym_by] = ACTIONS(3247),
    [anon_sym_select] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3249),
    [anon_sym_stackalloc] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3247),
    [anon_sym_typeof] = ACTIONS(3247),
    [anon_sym___makeref] = ACTIONS(3247),
    [anon_sym___reftype] = ACTIONS(3247),
    [anon_sym___refvalue] = ACTIONS(3247),
    [sym_null_literal] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3249),
    [sym_integer_literal] = ACTIONS(3247),
    [sym_real_literal] = ACTIONS(3249),
    [sym_verbatim_string_literal] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3249),
    [sym_interpolation_verbatim_start] = ACTIONS(3249),
    [sym_interpolation_raw_start] = ACTIONS(3249),
    [sym_raw_string_start] = ACTIONS(3249),
  },
  [2678] = {
    [sym_preproc_region] = STATE(2678),
    [sym_preproc_endregion] = STATE(2678),
    [sym_preproc_line] = STATE(2678),
    [sym_preproc_pragma] = STATE(2678),
    [sym_preproc_nullable] = STATE(2678),
    [sym_preproc_error] = STATE(2678),
    [sym_preproc_define] = STATE(2678),
    [sym_preproc_undef] = STATE(2678),
    [sym__identifier_token] = ACTIONS(3251),
    [anon_sym_extern] = ACTIONS(3251),
    [anon_sym_alias] = ACTIONS(3251),
    [anon_sym_SEMI] = ACTIONS(3253),
    [anon_sym_global] = ACTIONS(3251),
    [anon_sym_using] = ACTIONS(3251),
    [anon_sym_unsafe] = ACTIONS(3251),
    [anon_sym_static] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3251),
    [anon_sym_ref] = ACTIONS(3251),
    [anon_sym_LBRACE] = ACTIONS(3253),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_delegate] = ACTIONS(3251),
    [anon_sym_abstract] = ACTIONS(3251),
    [anon_sym_async] = ACTIONS(3251),
    [anon_sym_const] = ACTIONS(3251),
    [anon_sym_file] = ACTIONS(3251),
    [anon_sym_fixed] = ACTIONS(3251),
    [anon_sym_internal] = ACTIONS(3251),
    [anon_sym_new] = ACTIONS(3251),
    [anon_sym_override] = ACTIONS(3251),
    [anon_sym_partial] = ACTIONS(3251),
    [anon_sym_private] = ACTIONS(3251),
    [anon_sym_protected] = ACTIONS(3251),
    [anon_sym_public] = ACTIONS(3251),
    [anon_sym_readonly] = ACTIONS(3251),
    [anon_sym_required] = ACTIONS(3251),
    [anon_sym_sealed] = ACTIONS(3251),
    [anon_sym_virtual] = ACTIONS(3251),
    [anon_sym_volatile] = ACTIONS(3251),
    [anon_sym_where] = ACTIONS(3251),
    [anon_sym_notnull] = ACTIONS(3251),
    [anon_sym_unmanaged] = ACTIONS(3251),
    [anon_sym_checked] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(3253),
    [anon_sym_PLUS_PLUS] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3253),
    [anon_sym_true] = ACTIONS(3251),
    [anon_sym_false] = ACTIONS(3251),
    [anon_sym_PLUS] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3251),
    [anon_sym_STAR] = ACTIONS(3253),
    [anon_sym_CARET] = ACTIONS(3253),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_this] = ACTIONS(3251),
    [anon_sym_scoped] = ACTIONS(3251),
    [anon_sym_base] = ACTIONS(3251),
    [anon_sym_var] = ACTIONS(3251),
    [sym_predefined_type] = ACTIONS(3251),
    [anon_sym_break] = ACTIONS(3251),
    [anon_sym_unchecked] = ACTIONS(3251),
    [anon_sym_continue] = ACTIONS(3251),
    [anon_sym_do] = ACTIONS(3251),
    [anon_sym_while] = ACTIONS(3251),
    [anon_sym_for] = ACTIONS(3251),
    [anon_sym_lock] = ACTIONS(3251),
    [anon_sym_yield] = ACTIONS(3251),
    [anon_sym_switch] = ACTIONS(3251),
    [anon_sym_case] = ACTIONS(3251),
    [anon_sym_default] = ACTIONS(3251),
    [anon_sym_throw] = ACTIONS(3251),
    [anon_sym_try] = ACTIONS(3251),
    [anon_sym_when] = ACTIONS(3251),
    [anon_sym_await] = ACTIONS(3251),
    [anon_sym_foreach] = ACTIONS(3251),
    [anon_sym_goto] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(3251),
    [anon_sym_else] = ACTIONS(3251),
    [anon_sym_DOT_DOT] = ACTIONS(3253),
    [anon_sym_from] = ACTIONS(3251),
    [anon_sym_into] = ACTIONS(3251),
    [anon_sym_join] = ACTIONS(3251),
    [anon_sym_on] = ACTIONS(3251),
    [anon_sym_equals] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3251),
    [anon_sym_orderby] = ACTIONS(3251),
    [anon_sym_ascending] = ACTIONS(3251),
    [anon_sym_descending] = ACTIONS(3251),
    [anon_sym_group] = ACTIONS(3251),
    [anon_sym_by] = ACTIONS(3251),
    [anon_sym_select] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3253),
    [anon_sym_stackalloc] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3251),
    [anon_sym_typeof] = ACTIONS(3251),
    [anon_sym___makeref] = ACTIONS(3251),
    [anon_sym___reftype] = ACTIONS(3251),
    [anon_sym___refvalue] = ACTIONS(3251),
    [sym_null_literal] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3253),
    [sym_integer_literal] = ACTIONS(3251),
    [sym_real_literal] = ACTIONS(3253),
    [sym_verbatim_string_literal] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3253),
    [sym_interpolation_verbatim_start] = ACTIONS(3253),
    [sym_interpolation_raw_start] = ACTIONS(3253),
    [sym_raw_string_start] = ACTIONS(3253),
  },
  [2679] = {
    [sym_preproc_region] = STATE(2679),
    [sym_preproc_endregion] = STATE(2679),
    [sym_preproc_line] = STATE(2679),
    [sym_preproc_pragma] = STATE(2679),
    [sym_preproc_nullable] = STATE(2679),
    [sym_preproc_error] = STATE(2679),
    [sym_preproc_define] = STATE(2679),
    [sym_preproc_undef] = STATE(2679),
    [sym__identifier_token] = ACTIONS(3255),
    [anon_sym_extern] = ACTIONS(3255),
    [anon_sym_alias] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_global] = ACTIONS(3255),
    [anon_sym_using] = ACTIONS(3255),
    [anon_sym_unsafe] = ACTIONS(3255),
    [anon_sym_static] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_LPAREN] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3255),
    [anon_sym_ref] = ACTIONS(3255),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(3257),
    [anon_sym_delegate] = ACTIONS(3255),
    [anon_sym_abstract] = ACTIONS(3255),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_const] = ACTIONS(3255),
    [anon_sym_file] = ACTIONS(3255),
    [anon_sym_fixed] = ACTIONS(3255),
    [anon_sym_internal] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3255),
    [anon_sym_override] = ACTIONS(3255),
    [anon_sym_partial] = ACTIONS(3255),
    [anon_sym_private] = ACTIONS(3255),
    [anon_sym_protected] = ACTIONS(3255),
    [anon_sym_public] = ACTIONS(3255),
    [anon_sym_readonly] = ACTIONS(3255),
    [anon_sym_required] = ACTIONS(3255),
    [anon_sym_sealed] = ACTIONS(3255),
    [anon_sym_virtual] = ACTIONS(3255),
    [anon_sym_volatile] = ACTIONS(3255),
    [anon_sym_where] = ACTIONS(3255),
    [anon_sym_notnull] = ACTIONS(3255),
    [anon_sym_unmanaged] = ACTIONS(3255),
    [anon_sym_checked] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3257),
    [anon_sym_TILDE] = ACTIONS(3257),
    [anon_sym_PLUS_PLUS] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3255),
    [anon_sym_false] = ACTIONS(3255),
    [anon_sym_PLUS] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3257),
    [anon_sym_CARET] = ACTIONS(3257),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym_this] = ACTIONS(3255),
    [anon_sym_scoped] = ACTIONS(3255),
    [anon_sym_base] = ACTIONS(3255),
    [anon_sym_var] = ACTIONS(3255),
    [sym_predefined_type] = ACTIONS(3255),
    [anon_sym_break] = ACTIONS(3255),
    [anon_sym_unchecked] = ACTIONS(3255),
    [anon_sym_continue] = ACTIONS(3255),
    [anon_sym_do] = ACTIONS(3255),
    [anon_sym_while] = ACTIONS(3255),
    [anon_sym_for] = ACTIONS(3255),
    [anon_sym_lock] = ACTIONS(3255),
    [anon_sym_yield] = ACTIONS(3255),
    [anon_sym_switch] = ACTIONS(3255),
    [anon_sym_case] = ACTIONS(3255),
    [anon_sym_default] = ACTIONS(3255),
    [anon_sym_throw] = ACTIONS(3255),
    [anon_sym_try] = ACTIONS(3255),
    [anon_sym_when] = ACTIONS(3255),
    [anon_sym_await] = ACTIONS(3255),
    [anon_sym_foreach] = ACTIONS(3255),
    [anon_sym_goto] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(3255),
    [anon_sym_else] = ACTIONS(3255),
    [anon_sym_DOT_DOT] = ACTIONS(3257),
    [anon_sym_from] = ACTIONS(3255),
    [anon_sym_into] = ACTIONS(3255),
    [anon_sym_join] = ACTIONS(3255),
    [anon_sym_on] = ACTIONS(3255),
    [anon_sym_equals] = ACTIONS(3255),
    [anon_sym_let] = ACTIONS(3255),
    [anon_sym_orderby] = ACTIONS(3255),
    [anon_sym_ascending] = ACTIONS(3255),
    [anon_sym_descending] = ACTIONS(3255),
    [anon_sym_group] = ACTIONS(3255),
    [anon_sym_by] = ACTIONS(3255),
    [anon_sym_select] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3257),
    [anon_sym_stackalloc] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3255),
    [anon_sym_typeof] = ACTIONS(3255),
    [anon_sym___makeref] = ACTIONS(3255),
    [anon_sym___reftype] = ACTIONS(3255),
    [anon_sym___refvalue] = ACTIONS(3255),
    [sym_null_literal] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3257),
    [sym_integer_literal] = ACTIONS(3255),
    [sym_real_literal] = ACTIONS(3257),
    [sym_verbatim_string_literal] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3257),
    [sym_interpolation_verbatim_start] = ACTIONS(3257),
    [sym_interpolation_raw_start] = ACTIONS(3257),
    [sym_raw_string_start] = ACTIONS(3257),
  },
  [2680] = {
    [sym_preproc_region] = STATE(2680),
    [sym_preproc_endregion] = STATE(2680),
    [sym_preproc_line] = STATE(2680),
    [sym_preproc_pragma] = STATE(2680),
    [sym_preproc_nullable] = STATE(2680),
    [sym_preproc_error] = STATE(2680),
    [sym_preproc_define] = STATE(2680),
    [sym_preproc_undef] = STATE(2680),
    [sym__identifier_token] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym_alias] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym_global] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_unsafe] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3215),
    [anon_sym_LPAREN] = ACTIONS(3215),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_ref] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3215),
    [anon_sym_delegate] = ACTIONS(3213),
    [anon_sym_abstract] = ACTIONS(3213),
    [anon_sym_async] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_file] = ACTIONS(3213),
    [anon_sym_fixed] = ACTIONS(3213),
    [anon_sym_internal] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_override] = ACTIONS(3213),
    [anon_sym_partial] = ACTIONS(3213),
    [anon_sym_private] = ACTIONS(3213),
    [anon_sym_protected] = ACTIONS(3213),
    [anon_sym_public] = ACTIONS(3213),
    [anon_sym_readonly] = ACTIONS(3213),
    [anon_sym_required] = ACTIONS(3213),
    [anon_sym_sealed] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_where] = ACTIONS(3213),
    [anon_sym_notnull] = ACTIONS(3213),
    [anon_sym_unmanaged] = ACTIONS(3213),
    [anon_sym_checked] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_true] = ACTIONS(3213),
    [anon_sym_false] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_CARET] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3215),
    [anon_sym_this] = ACTIONS(3213),
    [anon_sym_scoped] = ACTIONS(3213),
    [anon_sym_base] = ACTIONS(3213),
    [anon_sym_var] = ACTIONS(3213),
    [sym_predefined_type] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_unchecked] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_lock] = ACTIONS(3213),
    [anon_sym_yield] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_when] = ACTIONS(3213),
    [anon_sym_await] = ACTIONS(3213),
    [anon_sym_foreach] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3213),
    [anon_sym_DOT_DOT] = ACTIONS(3215),
    [anon_sym_from] = ACTIONS(3213),
    [anon_sym_into] = ACTIONS(3213),
    [anon_sym_join] = ACTIONS(3213),
    [anon_sym_on] = ACTIONS(3213),
    [anon_sym_equals] = ACTIONS(3213),
    [anon_sym_let] = ACTIONS(3213),
    [anon_sym_orderby] = ACTIONS(3213),
    [anon_sym_ascending] = ACTIONS(3213),
    [anon_sym_descending] = ACTIONS(3213),
    [anon_sym_group] = ACTIONS(3213),
    [anon_sym_by] = ACTIONS(3213),
    [anon_sym_select] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [anon_sym_stackalloc] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym_typeof] = ACTIONS(3213),
    [anon_sym___makeref] = ACTIONS(3213),
    [anon_sym___reftype] = ACTIONS(3213),
    [anon_sym___refvalue] = ACTIONS(3213),
    [sym_null_literal] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [sym_integer_literal] = ACTIONS(3213),
    [sym_real_literal] = ACTIONS(3215),
    [sym_verbatim_string_literal] = ACTIONS(3215),
    [aux_sym_preproc_if_token1] = ACTIONS(3215),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3215),
    [sym_interpolation_verbatim_start] = ACTIONS(3215),
    [sym_interpolation_raw_start] = ACTIONS(3215),
    [sym_raw_string_start] = ACTIONS(3215),
  },
  [2681] = {
    [sym_preproc_region] = STATE(2681),
    [sym_preproc_endregion] = STATE(2681),
    [sym_preproc_line] = STATE(2681),
    [sym_preproc_pragma] = STATE(2681),
    [sym_preproc_nullable] = STATE(2681),
    [sym_preproc_error] = STATE(2681),
    [sym_preproc_define] = STATE(2681),
    [sym_preproc_undef] = STATE(2681),
    [sym__identifier_token] = ACTIONS(3153),
    [anon_sym_extern] = ACTIONS(3153),
    [anon_sym_alias] = ACTIONS(3153),
    [anon_sym_SEMI] = ACTIONS(3155),
    [anon_sym_global] = ACTIONS(3153),
    [anon_sym_using] = ACTIONS(3153),
    [anon_sym_unsafe] = ACTIONS(3153),
    [anon_sym_static] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(3155),
    [anon_sym_return] = ACTIONS(3153),
    [anon_sym_ref] = ACTIONS(3153),
    [anon_sym_LBRACE] = ACTIONS(3155),
    [anon_sym_RBRACE] = ACTIONS(3155),
    [anon_sym_delegate] = ACTIONS(3153),
    [anon_sym_abstract] = ACTIONS(3153),
    [anon_sym_async] = ACTIONS(3153),
    [anon_sym_const] = ACTIONS(3153),
    [anon_sym_file] = ACTIONS(3153),
    [anon_sym_fixed] = ACTIONS(3153),
    [anon_sym_internal] = ACTIONS(3153),
    [anon_sym_new] = ACTIONS(3153),
    [anon_sym_override] = ACTIONS(3153),
    [anon_sym_partial] = ACTIONS(3153),
    [anon_sym_private] = ACTIONS(3153),
    [anon_sym_protected] = ACTIONS(3153),
    [anon_sym_public] = ACTIONS(3153),
    [anon_sym_readonly] = ACTIONS(3153),
    [anon_sym_required] = ACTIONS(3153),
    [anon_sym_sealed] = ACTIONS(3153),
    [anon_sym_virtual] = ACTIONS(3153),
    [anon_sym_volatile] = ACTIONS(3153),
    [anon_sym_where] = ACTIONS(3153),
    [anon_sym_notnull] = ACTIONS(3153),
    [anon_sym_unmanaged] = ACTIONS(3153),
    [anon_sym_checked] = ACTIONS(3153),
    [anon_sym_BANG] = ACTIONS(3155),
    [anon_sym_TILDE] = ACTIONS(3155),
    [anon_sym_PLUS_PLUS] = ACTIONS(3155),
    [anon_sym_DASH_DASH] = ACTIONS(3155),
    [anon_sym_true] = ACTIONS(3153),
    [anon_sym_false] = ACTIONS(3153),
    [anon_sym_PLUS] = ACTIONS(3153),
    [anon_sym_DASH] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(3155),
    [anon_sym_CARET] = ACTIONS(3155),
    [anon_sym_AMP] = ACTIONS(3155),
    [anon_sym_this] = ACTIONS(3153),
    [anon_sym_scoped] = ACTIONS(3153),
    [anon_sym_base] = ACTIONS(3153),
    [anon_sym_var] = ACTIONS(3153),
    [sym_predefined_type] = ACTIONS(3153),
    [anon_sym_break] = ACTIONS(3153),
    [anon_sym_unchecked] = ACTIONS(3153),
    [anon_sym_continue] = ACTIONS(3153),
    [anon_sym_do] = ACTIONS(3153),
    [anon_sym_while] = ACTIONS(3153),
    [anon_sym_for] = ACTIONS(3153),
    [anon_sym_lock] = ACTIONS(3153),
    [anon_sym_yield] = ACTIONS(3153),
    [anon_sym_switch] = ACTIONS(3153),
    [anon_sym_case] = ACTIONS(3153),
    [anon_sym_default] = ACTIONS(3153),
    [anon_sym_throw] = ACTIONS(3153),
    [anon_sym_try] = ACTIONS(3153),
    [anon_sym_when] = ACTIONS(3153),
    [anon_sym_await] = ACTIONS(3153),
    [anon_sym_foreach] = ACTIONS(3153),
    [anon_sym_goto] = ACTIONS(3153),
    [anon_sym_if] = ACTIONS(3153),
    [anon_sym_else] = ACTIONS(3153),
    [anon_sym_DOT_DOT] = ACTIONS(3155),
    [anon_sym_from] = ACTIONS(3153),
    [anon_sym_into] = ACTIONS(3153),
    [anon_sym_join] = ACTIONS(3153),
    [anon_sym_on] = ACTIONS(3153),
    [anon_sym_equals] = ACTIONS(3153),
    [anon_sym_let] = ACTIONS(3153),
    [anon_sym_orderby] = ACTIONS(3153),
    [anon_sym_ascending] = ACTIONS(3153),
    [anon_sym_descending] = ACTIONS(3153),
    [anon_sym_group] = ACTIONS(3153),
    [anon_sym_by] = ACTIONS(3153),
    [anon_sym_select] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(3155),
    [anon_sym_stackalloc] = ACTIONS(3153),
    [anon_sym_sizeof] = ACTIONS(3153),
    [anon_sym_typeof] = ACTIONS(3153),
    [anon_sym___makeref] = ACTIONS(3153),
    [anon_sym___reftype] = ACTIONS(3153),
    [anon_sym___refvalue] = ACTIONS(3153),
    [sym_null_literal] = ACTIONS(3153),
    [anon_sym_SQUOTE] = ACTIONS(3155),
    [sym_integer_literal] = ACTIONS(3153),
    [sym_real_literal] = ACTIONS(3155),
    [sym_verbatim_string_literal] = ACTIONS(3155),
    [aux_sym_preproc_if_token1] = ACTIONS(3155),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3155),
    [sym_interpolation_verbatim_start] = ACTIONS(3155),
    [sym_interpolation_raw_start] = ACTIONS(3155),
    [sym_raw_string_start] = ACTIONS(3155),
  },
  [2682] = {
    [sym_preproc_region] = STATE(2682),
    [sym_preproc_endregion] = STATE(2682),
    [sym_preproc_line] = STATE(2682),
    [sym_preproc_pragma] = STATE(2682),
    [sym_preproc_nullable] = STATE(2682),
    [sym_preproc_error] = STATE(2682),
    [sym_preproc_define] = STATE(2682),
    [sym_preproc_undef] = STATE(2682),
    [sym__identifier_token] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3403),
    [anon_sym_alias] = ACTIONS(3403),
    [anon_sym_SEMI] = ACTIONS(3405),
    [anon_sym_global] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_unsafe] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3403),
    [anon_sym_ref] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_delegate] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_file] = ACTIONS(3403),
    [anon_sym_fixed] = ACTIONS(3403),
    [anon_sym_internal] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_partial] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_required] = ACTIONS(3403),
    [anon_sym_sealed] = ACTIONS(3403),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_volatile] = ACTIONS(3403),
    [anon_sym_where] = ACTIONS(3403),
    [anon_sym_notnull] = ACTIONS(3403),
    [anon_sym_unmanaged] = ACTIONS(3403),
    [anon_sym_checked] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3405),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_PLUS_PLUS] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3405),
    [anon_sym_true] = ACTIONS(3403),
    [anon_sym_false] = ACTIONS(3403),
    [anon_sym_PLUS] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3403),
    [anon_sym_STAR] = ACTIONS(3405),
    [anon_sym_CARET] = ACTIONS(3405),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_this] = ACTIONS(3403),
    [anon_sym_scoped] = ACTIONS(3403),
    [anon_sym_base] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [sym_predefined_type] = ACTIONS(3403),
    [anon_sym_break] = ACTIONS(3403),
    [anon_sym_unchecked] = ACTIONS(3403),
    [anon_sym_continue] = ACTIONS(3403),
    [anon_sym_do] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_for] = ACTIONS(3403),
    [anon_sym_lock] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_switch] = ACTIONS(3403),
    [anon_sym_case] = ACTIONS(3403),
    [anon_sym_default] = ACTIONS(3403),
    [anon_sym_throw] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3403),
    [anon_sym_when] = ACTIONS(3403),
    [anon_sym_await] = ACTIONS(3403),
    [anon_sym_foreach] = ACTIONS(3403),
    [anon_sym_goto] = ACTIONS(3403),
    [anon_sym_if] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_DOT_DOT] = ACTIONS(3405),
    [anon_sym_from] = ACTIONS(3403),
    [anon_sym_into] = ACTIONS(3403),
    [anon_sym_join] = ACTIONS(3403),
    [anon_sym_on] = ACTIONS(3403),
    [anon_sym_equals] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_orderby] = ACTIONS(3403),
    [anon_sym_ascending] = ACTIONS(3403),
    [anon_sym_descending] = ACTIONS(3403),
    [anon_sym_group] = ACTIONS(3403),
    [anon_sym_by] = ACTIONS(3403),
    [anon_sym_select] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3405),
    [anon_sym_stackalloc] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3403),
    [anon_sym_typeof] = ACTIONS(3403),
    [anon_sym___makeref] = ACTIONS(3403),
    [anon_sym___reftype] = ACTIONS(3403),
    [anon_sym___refvalue] = ACTIONS(3403),
    [sym_null_literal] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3405),
    [sym_integer_literal] = ACTIONS(3403),
    [sym_real_literal] = ACTIONS(3405),
    [sym_verbatim_string_literal] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3405),
    [sym_interpolation_verbatim_start] = ACTIONS(3405),
    [sym_interpolation_raw_start] = ACTIONS(3405),
    [sym_raw_string_start] = ACTIONS(3405),
  },
  [2683] = {
    [sym_preproc_region] = STATE(2683),
    [sym_preproc_endregion] = STATE(2683),
    [sym_preproc_line] = STATE(2683),
    [sym_preproc_pragma] = STATE(2683),
    [sym_preproc_nullable] = STATE(2683),
    [sym_preproc_error] = STATE(2683),
    [sym_preproc_define] = STATE(2683),
    [sym_preproc_undef] = STATE(2683),
    [sym__identifier_token] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym_alias] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_global] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_unsafe] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_LPAREN] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_ref] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_delegate] = ACTIONS(3261),
    [anon_sym_abstract] = ACTIONS(3261),
    [anon_sym_async] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_file] = ACTIONS(3261),
    [anon_sym_fixed] = ACTIONS(3261),
    [anon_sym_internal] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_override] = ACTIONS(3261),
    [anon_sym_partial] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_readonly] = ACTIONS(3261),
    [anon_sym_required] = ACTIONS(3261),
    [anon_sym_sealed] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_where] = ACTIONS(3261),
    [anon_sym_notnull] = ACTIONS(3261),
    [anon_sym_unmanaged] = ACTIONS(3261),
    [anon_sym_checked] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_true] = ACTIONS(3261),
    [anon_sym_false] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_CARET] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_this] = ACTIONS(3261),
    [anon_sym_scoped] = ACTIONS(3261),
    [anon_sym_base] = ACTIONS(3261),
    [anon_sym_var] = ACTIONS(3261),
    [sym_predefined_type] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_unchecked] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_lock] = ACTIONS(3261),
    [anon_sym_yield] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_when] = ACTIONS(3261),
    [anon_sym_await] = ACTIONS(3261),
    [anon_sym_foreach] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_else] = ACTIONS(3261),
    [anon_sym_DOT_DOT] = ACTIONS(3263),
    [anon_sym_from] = ACTIONS(3261),
    [anon_sym_into] = ACTIONS(3261),
    [anon_sym_join] = ACTIONS(3261),
    [anon_sym_on] = ACTIONS(3261),
    [anon_sym_equals] = ACTIONS(3261),
    [anon_sym_let] = ACTIONS(3261),
    [anon_sym_orderby] = ACTIONS(3261),
    [anon_sym_ascending] = ACTIONS(3261),
    [anon_sym_descending] = ACTIONS(3261),
    [anon_sym_group] = ACTIONS(3261),
    [anon_sym_by] = ACTIONS(3261),
    [anon_sym_select] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [anon_sym_stackalloc] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym_typeof] = ACTIONS(3261),
    [anon_sym___makeref] = ACTIONS(3261),
    [anon_sym___reftype] = ACTIONS(3261),
    [anon_sym___refvalue] = ACTIONS(3261),
    [sym_null_literal] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [sym_integer_literal] = ACTIONS(3261),
    [sym_real_literal] = ACTIONS(3263),
    [sym_verbatim_string_literal] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3263),
    [sym_interpolation_verbatim_start] = ACTIONS(3263),
    [sym_interpolation_raw_start] = ACTIONS(3263),
    [sym_raw_string_start] = ACTIONS(3263),
  },
  [2684] = {
    [sym_preproc_region] = STATE(2684),
    [sym_preproc_endregion] = STATE(2684),
    [sym_preproc_line] = STATE(2684),
    [sym_preproc_pragma] = STATE(2684),
    [sym_preproc_nullable] = STATE(2684),
    [sym_preproc_error] = STATE(2684),
    [sym_preproc_define] = STATE(2684),
    [sym_preproc_undef] = STATE(2684),
    [sym__identifier_token] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym_alias] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym_global] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_unsafe] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_ref] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_delegate] = ACTIONS(3201),
    [anon_sym_abstract] = ACTIONS(3201),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_file] = ACTIONS(3201),
    [anon_sym_fixed] = ACTIONS(3201),
    [anon_sym_internal] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_override] = ACTIONS(3201),
    [anon_sym_partial] = ACTIONS(3201),
    [anon_sym_private] = ACTIONS(3201),
    [anon_sym_protected] = ACTIONS(3201),
    [anon_sym_public] = ACTIONS(3201),
    [anon_sym_readonly] = ACTIONS(3201),
    [anon_sym_required] = ACTIONS(3201),
    [anon_sym_sealed] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_where] = ACTIONS(3201),
    [anon_sym_notnull] = ACTIONS(3201),
    [anon_sym_unmanaged] = ACTIONS(3201),
    [anon_sym_checked] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_true] = ACTIONS(3201),
    [anon_sym_false] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_CARET] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_this] = ACTIONS(3201),
    [anon_sym_scoped] = ACTIONS(3201),
    [anon_sym_base] = ACTIONS(3201),
    [anon_sym_var] = ACTIONS(3201),
    [sym_predefined_type] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_unchecked] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_lock] = ACTIONS(3201),
    [anon_sym_yield] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_when] = ACTIONS(3201),
    [anon_sym_await] = ACTIONS(3201),
    [anon_sym_foreach] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_else] = ACTIONS(3201),
    [anon_sym_DOT_DOT] = ACTIONS(3203),
    [anon_sym_from] = ACTIONS(3201),
    [anon_sym_into] = ACTIONS(3201),
    [anon_sym_join] = ACTIONS(3201),
    [anon_sym_on] = ACTIONS(3201),
    [anon_sym_equals] = ACTIONS(3201),
    [anon_sym_let] = ACTIONS(3201),
    [anon_sym_orderby] = ACTIONS(3201),
    [anon_sym_ascending] = ACTIONS(3201),
    [anon_sym_descending] = ACTIONS(3201),
    [anon_sym_group] = ACTIONS(3201),
    [anon_sym_by] = ACTIONS(3201),
    [anon_sym_select] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [anon_sym_stackalloc] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym_typeof] = ACTIONS(3201),
    [anon_sym___makeref] = ACTIONS(3201),
    [anon_sym___reftype] = ACTIONS(3201),
    [anon_sym___refvalue] = ACTIONS(3201),
    [sym_null_literal] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [sym_integer_literal] = ACTIONS(3201),
    [sym_real_literal] = ACTIONS(3203),
    [sym_verbatim_string_literal] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3203),
    [sym_interpolation_verbatim_start] = ACTIONS(3203),
    [sym_interpolation_raw_start] = ACTIONS(3203),
    [sym_raw_string_start] = ACTIONS(3203),
  },
  [2685] = {
    [sym_preproc_region] = STATE(2685),
    [sym_preproc_endregion] = STATE(2685),
    [sym_preproc_line] = STATE(2685),
    [sym_preproc_pragma] = STATE(2685),
    [sym_preproc_nullable] = STATE(2685),
    [sym_preproc_error] = STATE(2685),
    [sym_preproc_define] = STATE(2685),
    [sym_preproc_undef] = STATE(2685),
    [sym__identifier_token] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym_alias] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym_global] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_unsafe] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_LPAREN] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_ref] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_delegate] = ACTIONS(3265),
    [anon_sym_abstract] = ACTIONS(3265),
    [anon_sym_async] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_file] = ACTIONS(3265),
    [anon_sym_fixed] = ACTIONS(3265),
    [anon_sym_internal] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_override] = ACTIONS(3265),
    [anon_sym_partial] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_required] = ACTIONS(3265),
    [anon_sym_sealed] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_where] = ACTIONS(3265),
    [anon_sym_notnull] = ACTIONS(3265),
    [anon_sym_unmanaged] = ACTIONS(3265),
    [anon_sym_checked] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_true] = ACTIONS(3265),
    [anon_sym_false] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_CARET] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_this] = ACTIONS(3265),
    [anon_sym_scoped] = ACTIONS(3265),
    [anon_sym_base] = ACTIONS(3265),
    [anon_sym_var] = ACTIONS(3265),
    [sym_predefined_type] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_unchecked] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_lock] = ACTIONS(3265),
    [anon_sym_yield] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_when] = ACTIONS(3265),
    [anon_sym_await] = ACTIONS(3265),
    [anon_sym_foreach] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_else] = ACTIONS(3265),
    [anon_sym_DOT_DOT] = ACTIONS(3267),
    [anon_sym_from] = ACTIONS(3265),
    [anon_sym_into] = ACTIONS(3265),
    [anon_sym_join] = ACTIONS(3265),
    [anon_sym_on] = ACTIONS(3265),
    [anon_sym_equals] = ACTIONS(3265),
    [anon_sym_let] = ACTIONS(3265),
    [anon_sym_orderby] = ACTIONS(3265),
    [anon_sym_ascending] = ACTIONS(3265),
    [anon_sym_descending] = ACTIONS(3265),
    [anon_sym_group] = ACTIONS(3265),
    [anon_sym_by] = ACTIONS(3265),
    [anon_sym_select] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [anon_sym_stackalloc] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym_typeof] = ACTIONS(3265),
    [anon_sym___makeref] = ACTIONS(3265),
    [anon_sym___reftype] = ACTIONS(3265),
    [anon_sym___refvalue] = ACTIONS(3265),
    [sym_null_literal] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [sym_integer_literal] = ACTIONS(3265),
    [sym_real_literal] = ACTIONS(3267),
    [sym_verbatim_string_literal] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3267),
    [sym_interpolation_verbatim_start] = ACTIONS(3267),
    [sym_interpolation_raw_start] = ACTIONS(3267),
    [sym_raw_string_start] = ACTIONS(3267),
  },
  [2686] = {
    [sym_preproc_region] = STATE(2686),
    [sym_preproc_endregion] = STATE(2686),
    [sym_preproc_line] = STATE(2686),
    [sym_preproc_pragma] = STATE(2686),
    [sym_preproc_nullable] = STATE(2686),
    [sym_preproc_error] = STATE(2686),
    [sym_preproc_define] = STATE(2686),
    [sym_preproc_undef] = STATE(2686),
    [sym__identifier_token] = ACTIONS(3133),
    [anon_sym_extern] = ACTIONS(3133),
    [anon_sym_alias] = ACTIONS(3133),
    [anon_sym_SEMI] = ACTIONS(3135),
    [anon_sym_global] = ACTIONS(3133),
    [anon_sym_using] = ACTIONS(3133),
    [anon_sym_unsafe] = ACTIONS(3133),
    [anon_sym_static] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(3135),
    [anon_sym_LPAREN] = ACTIONS(3135),
    [anon_sym_return] = ACTIONS(3133),
    [anon_sym_ref] = ACTIONS(3133),
    [anon_sym_LBRACE] = ACTIONS(3135),
    [anon_sym_RBRACE] = ACTIONS(3135),
    [anon_sym_delegate] = ACTIONS(3133),
    [anon_sym_abstract] = ACTIONS(3133),
    [anon_sym_async] = ACTIONS(3133),
    [anon_sym_const] = ACTIONS(3133),
    [anon_sym_file] = ACTIONS(3133),
    [anon_sym_fixed] = ACTIONS(3133),
    [anon_sym_internal] = ACTIONS(3133),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_override] = ACTIONS(3133),
    [anon_sym_partial] = ACTIONS(3133),
    [anon_sym_private] = ACTIONS(3133),
    [anon_sym_protected] = ACTIONS(3133),
    [anon_sym_public] = ACTIONS(3133),
    [anon_sym_readonly] = ACTIONS(3133),
    [anon_sym_required] = ACTIONS(3133),
    [anon_sym_sealed] = ACTIONS(3133),
    [anon_sym_virtual] = ACTIONS(3133),
    [anon_sym_volatile] = ACTIONS(3133),
    [anon_sym_where] = ACTIONS(3133),
    [anon_sym_notnull] = ACTIONS(3133),
    [anon_sym_unmanaged] = ACTIONS(3133),
    [anon_sym_checked] = ACTIONS(3133),
    [anon_sym_BANG] = ACTIONS(3135),
    [anon_sym_TILDE] = ACTIONS(3135),
    [anon_sym_PLUS_PLUS] = ACTIONS(3135),
    [anon_sym_DASH_DASH] = ACTIONS(3135),
    [anon_sym_true] = ACTIONS(3133),
    [anon_sym_false] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(3133),
    [anon_sym_DASH] = ACTIONS(3133),
    [anon_sym_STAR] = ACTIONS(3135),
    [anon_sym_CARET] = ACTIONS(3135),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_this] = ACTIONS(3133),
    [anon_sym_scoped] = ACTIONS(3133),
    [anon_sym_base] = ACTIONS(3133),
    [anon_sym_var] = ACTIONS(3133),
    [sym_predefined_type] = ACTIONS(3133),
    [anon_sym_break] = ACTIONS(3133),
    [anon_sym_unchecked] = ACTIONS(3133),
    [anon_sym_continue] = ACTIONS(3133),
    [anon_sym_do] = ACTIONS(3133),
    [anon_sym_while] = ACTIONS(3133),
    [anon_sym_for] = ACTIONS(3133),
    [anon_sym_lock] = ACTIONS(3133),
    [anon_sym_yield] = ACTIONS(3133),
    [anon_sym_switch] = ACTIONS(3133),
    [anon_sym_case] = ACTIONS(3133),
    [anon_sym_default] = ACTIONS(3133),
    [anon_sym_throw] = ACTIONS(3133),
    [anon_sym_try] = ACTIONS(3133),
    [anon_sym_when] = ACTIONS(3133),
    [anon_sym_await] = ACTIONS(3133),
    [anon_sym_foreach] = ACTIONS(3133),
    [anon_sym_goto] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3133),
    [anon_sym_else] = ACTIONS(3133),
    [anon_sym_DOT_DOT] = ACTIONS(3135),
    [anon_sym_from] = ACTIONS(3133),
    [anon_sym_into] = ACTIONS(3133),
    [anon_sym_join] = ACTIONS(3133),
    [anon_sym_on] = ACTIONS(3133),
    [anon_sym_equals] = ACTIONS(3133),
    [anon_sym_let] = ACTIONS(3133),
    [anon_sym_orderby] = ACTIONS(3133),
    [anon_sym_ascending] = ACTIONS(3133),
    [anon_sym_descending] = ACTIONS(3133),
    [anon_sym_group] = ACTIONS(3133),
    [anon_sym_by] = ACTIONS(3133),
    [anon_sym_select] = ACTIONS(3133),
    [anon_sym_DQUOTE] = ACTIONS(3135),
    [anon_sym_stackalloc] = ACTIONS(3133),
    [anon_sym_sizeof] = ACTIONS(3133),
    [anon_sym_typeof] = ACTIONS(3133),
    [anon_sym___makeref] = ACTIONS(3133),
    [anon_sym___reftype] = ACTIONS(3133),
    [anon_sym___refvalue] = ACTIONS(3133),
    [sym_null_literal] = ACTIONS(3133),
    [anon_sym_SQUOTE] = ACTIONS(3135),
    [sym_integer_literal] = ACTIONS(3133),
    [sym_real_literal] = ACTIONS(3135),
    [sym_verbatim_string_literal] = ACTIONS(3135),
    [aux_sym_preproc_if_token1] = ACTIONS(3135),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3135),
    [sym_interpolation_verbatim_start] = ACTIONS(3135),
    [sym_interpolation_raw_start] = ACTIONS(3135),
    [sym_raw_string_start] = ACTIONS(3135),
  },
  [2687] = {
    [sym_preproc_region] = STATE(2687),
    [sym_preproc_endregion] = STATE(2687),
    [sym_preproc_line] = STATE(2687),
    [sym_preproc_pragma] = STATE(2687),
    [sym_preproc_nullable] = STATE(2687),
    [sym_preproc_error] = STATE(2687),
    [sym_preproc_define] = STATE(2687),
    [sym_preproc_undef] = STATE(2687),
    [sym__identifier_token] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym_alias] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym_global] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_unsafe] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_LPAREN] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_ref] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_delegate] = ACTIONS(3269),
    [anon_sym_abstract] = ACTIONS(3269),
    [anon_sym_async] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_file] = ACTIONS(3269),
    [anon_sym_fixed] = ACTIONS(3269),
    [anon_sym_internal] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3269),
    [anon_sym_partial] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_readonly] = ACTIONS(3269),
    [anon_sym_required] = ACTIONS(3269),
    [anon_sym_sealed] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_notnull] = ACTIONS(3269),
    [anon_sym_unmanaged] = ACTIONS(3269),
    [anon_sym_checked] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_true] = ACTIONS(3269),
    [anon_sym_false] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_CARET] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_this] = ACTIONS(3269),
    [anon_sym_scoped] = ACTIONS(3269),
    [anon_sym_base] = ACTIONS(3269),
    [anon_sym_var] = ACTIONS(3269),
    [sym_predefined_type] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_unchecked] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_lock] = ACTIONS(3269),
    [anon_sym_yield] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_await] = ACTIONS(3269),
    [anon_sym_foreach] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_DOT_DOT] = ACTIONS(3271),
    [anon_sym_from] = ACTIONS(3269),
    [anon_sym_into] = ACTIONS(3269),
    [anon_sym_join] = ACTIONS(3269),
    [anon_sym_on] = ACTIONS(3269),
    [anon_sym_equals] = ACTIONS(3269),
    [anon_sym_let] = ACTIONS(3269),
    [anon_sym_orderby] = ACTIONS(3269),
    [anon_sym_ascending] = ACTIONS(3269),
    [anon_sym_descending] = ACTIONS(3269),
    [anon_sym_group] = ACTIONS(3269),
    [anon_sym_by] = ACTIONS(3269),
    [anon_sym_select] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [anon_sym_stackalloc] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym_typeof] = ACTIONS(3269),
    [anon_sym___makeref] = ACTIONS(3269),
    [anon_sym___reftype] = ACTIONS(3269),
    [anon_sym___refvalue] = ACTIONS(3269),
    [sym_null_literal] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [sym_integer_literal] = ACTIONS(3269),
    [sym_real_literal] = ACTIONS(3271),
    [sym_verbatim_string_literal] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3271),
    [sym_interpolation_verbatim_start] = ACTIONS(3271),
    [sym_interpolation_raw_start] = ACTIONS(3271),
    [sym_raw_string_start] = ACTIONS(3271),
  },
  [2688] = {
    [sym_preproc_region] = STATE(2688),
    [sym_preproc_endregion] = STATE(2688),
    [sym_preproc_line] = STATE(2688),
    [sym_preproc_pragma] = STATE(2688),
    [sym_preproc_nullable] = STATE(2688),
    [sym_preproc_error] = STATE(2688),
    [sym_preproc_define] = STATE(2688),
    [sym_preproc_undef] = STATE(2688),
    [sym__identifier_token] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym_alias] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym_global] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_unsafe] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_LPAREN] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_ref] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_delegate] = ACTIONS(3197),
    [anon_sym_abstract] = ACTIONS(3197),
    [anon_sym_async] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_file] = ACTIONS(3197),
    [anon_sym_fixed] = ACTIONS(3197),
    [anon_sym_internal] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_override] = ACTIONS(3197),
    [anon_sym_partial] = ACTIONS(3197),
    [anon_sym_private] = ACTIONS(3197),
    [anon_sym_protected] = ACTIONS(3197),
    [anon_sym_public] = ACTIONS(3197),
    [anon_sym_readonly] = ACTIONS(3197),
    [anon_sym_required] = ACTIONS(3197),
    [anon_sym_sealed] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_where] = ACTIONS(3197),
    [anon_sym_notnull] = ACTIONS(3197),
    [anon_sym_unmanaged] = ACTIONS(3197),
    [anon_sym_checked] = ACTIONS(3197),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_true] = ACTIONS(3197),
    [anon_sym_false] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_CARET] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_this] = ACTIONS(3197),
    [anon_sym_scoped] = ACTIONS(3197),
    [anon_sym_base] = ACTIONS(3197),
    [anon_sym_var] = ACTIONS(3197),
    [sym_predefined_type] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_unchecked] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_lock] = ACTIONS(3197),
    [anon_sym_yield] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_when] = ACTIONS(3197),
    [anon_sym_await] = ACTIONS(3197),
    [anon_sym_foreach] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_else] = ACTIONS(3197),
    [anon_sym_DOT_DOT] = ACTIONS(3199),
    [anon_sym_from] = ACTIONS(3197),
    [anon_sym_into] = ACTIONS(3197),
    [anon_sym_join] = ACTIONS(3197),
    [anon_sym_on] = ACTIONS(3197),
    [anon_sym_equals] = ACTIONS(3197),
    [anon_sym_let] = ACTIONS(3197),
    [anon_sym_orderby] = ACTIONS(3197),
    [anon_sym_ascending] = ACTIONS(3197),
    [anon_sym_descending] = ACTIONS(3197),
    [anon_sym_group] = ACTIONS(3197),
    [anon_sym_by] = ACTIONS(3197),
    [anon_sym_select] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [anon_sym_stackalloc] = ACTIONS(3197),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym_typeof] = ACTIONS(3197),
    [anon_sym___makeref] = ACTIONS(3197),
    [anon_sym___reftype] = ACTIONS(3197),
    [anon_sym___refvalue] = ACTIONS(3197),
    [sym_null_literal] = ACTIONS(3197),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [sym_integer_literal] = ACTIONS(3197),
    [sym_real_literal] = ACTIONS(3199),
    [sym_verbatim_string_literal] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3199),
    [sym_interpolation_verbatim_start] = ACTIONS(3199),
    [sym_interpolation_raw_start] = ACTIONS(3199),
    [sym_raw_string_start] = ACTIONS(3199),
  },
  [2689] = {
    [sym_preproc_region] = STATE(2689),
    [sym_preproc_endregion] = STATE(2689),
    [sym_preproc_line] = STATE(2689),
    [sym_preproc_pragma] = STATE(2689),
    [sym_preproc_nullable] = STATE(2689),
    [sym_preproc_error] = STATE(2689),
    [sym_preproc_define] = STATE(2689),
    [sym_preproc_undef] = STATE(2689),
    [sym__identifier_token] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym_alias] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym_global] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_unsafe] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_LPAREN] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_ref] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_delegate] = ACTIONS(3381),
    [anon_sym_abstract] = ACTIONS(3381),
    [anon_sym_async] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_file] = ACTIONS(3381),
    [anon_sym_fixed] = ACTIONS(3381),
    [anon_sym_internal] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_override] = ACTIONS(3381),
    [anon_sym_partial] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_readonly] = ACTIONS(3381),
    [anon_sym_required] = ACTIONS(3381),
    [anon_sym_sealed] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_where] = ACTIONS(3381),
    [anon_sym_notnull] = ACTIONS(3381),
    [anon_sym_unmanaged] = ACTIONS(3381),
    [anon_sym_checked] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_true] = ACTIONS(3381),
    [anon_sym_false] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_CARET] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym_this] = ACTIONS(3381),
    [anon_sym_scoped] = ACTIONS(3381),
    [anon_sym_base] = ACTIONS(3381),
    [anon_sym_var] = ACTIONS(3381),
    [sym_predefined_type] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_unchecked] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_lock] = ACTIONS(3381),
    [anon_sym_yield] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_when] = ACTIONS(3381),
    [anon_sym_await] = ACTIONS(3381),
    [anon_sym_foreach] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_else] = ACTIONS(3381),
    [anon_sym_DOT_DOT] = ACTIONS(3383),
    [anon_sym_from] = ACTIONS(3381),
    [anon_sym_into] = ACTIONS(3381),
    [anon_sym_join] = ACTIONS(3381),
    [anon_sym_on] = ACTIONS(3381),
    [anon_sym_equals] = ACTIONS(3381),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_orderby] = ACTIONS(3381),
    [anon_sym_ascending] = ACTIONS(3381),
    [anon_sym_descending] = ACTIONS(3381),
    [anon_sym_group] = ACTIONS(3381),
    [anon_sym_by] = ACTIONS(3381),
    [anon_sym_select] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [anon_sym_stackalloc] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym_typeof] = ACTIONS(3381),
    [anon_sym___makeref] = ACTIONS(3381),
    [anon_sym___reftype] = ACTIONS(3381),
    [anon_sym___refvalue] = ACTIONS(3381),
    [sym_null_literal] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [sym_integer_literal] = ACTIONS(3381),
    [sym_real_literal] = ACTIONS(3383),
    [sym_verbatim_string_literal] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3383),
    [sym_interpolation_verbatim_start] = ACTIONS(3383),
    [sym_interpolation_raw_start] = ACTIONS(3383),
    [sym_raw_string_start] = ACTIONS(3383),
  },
  [2690] = {
    [sym_preproc_region] = STATE(2690),
    [sym_preproc_endregion] = STATE(2690),
    [sym_preproc_line] = STATE(2690),
    [sym_preproc_pragma] = STATE(2690),
    [sym_preproc_nullable] = STATE(2690),
    [sym_preproc_error] = STATE(2690),
    [sym_preproc_define] = STATE(2690),
    [sym_preproc_undef] = STATE(2690),
    [sym__identifier_token] = ACTIONS(3273),
    [anon_sym_extern] = ACTIONS(3273),
    [anon_sym_alias] = ACTIONS(3273),
    [anon_sym_SEMI] = ACTIONS(3275),
    [anon_sym_global] = ACTIONS(3273),
    [anon_sym_using] = ACTIONS(3273),
    [anon_sym_unsafe] = ACTIONS(3273),
    [anon_sym_static] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_LPAREN] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3273),
    [anon_sym_ref] = ACTIONS(3273),
    [anon_sym_LBRACE] = ACTIONS(3275),
    [anon_sym_RBRACE] = ACTIONS(3275),
    [anon_sym_delegate] = ACTIONS(3273),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_async] = ACTIONS(3273),
    [anon_sym_const] = ACTIONS(3273),
    [anon_sym_file] = ACTIONS(3273),
    [anon_sym_fixed] = ACTIONS(3273),
    [anon_sym_internal] = ACTIONS(3273),
    [anon_sym_new] = ACTIONS(3273),
    [anon_sym_override] = ACTIONS(3273),
    [anon_sym_partial] = ACTIONS(3273),
    [anon_sym_private] = ACTIONS(3273),
    [anon_sym_protected] = ACTIONS(3273),
    [anon_sym_public] = ACTIONS(3273),
    [anon_sym_readonly] = ACTIONS(3273),
    [anon_sym_required] = ACTIONS(3273),
    [anon_sym_sealed] = ACTIONS(3273),
    [anon_sym_virtual] = ACTIONS(3273),
    [anon_sym_volatile] = ACTIONS(3273),
    [anon_sym_where] = ACTIONS(3273),
    [anon_sym_notnull] = ACTIONS(3273),
    [anon_sym_unmanaged] = ACTIONS(3273),
    [anon_sym_checked] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3275),
    [anon_sym_TILDE] = ACTIONS(3275),
    [anon_sym_PLUS_PLUS] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3275),
    [anon_sym_true] = ACTIONS(3273),
    [anon_sym_false] = ACTIONS(3273),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3275),
    [anon_sym_CARET] = ACTIONS(3275),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym_this] = ACTIONS(3273),
    [anon_sym_scoped] = ACTIONS(3273),
    [anon_sym_base] = ACTIONS(3273),
    [anon_sym_var] = ACTIONS(3273),
    [sym_predefined_type] = ACTIONS(3273),
    [anon_sym_break] = ACTIONS(3273),
    [anon_sym_unchecked] = ACTIONS(3273),
    [anon_sym_continue] = ACTIONS(3273),
    [anon_sym_do] = ACTIONS(3273),
    [anon_sym_while] = ACTIONS(3273),
    [anon_sym_for] = ACTIONS(3273),
    [anon_sym_lock] = ACTIONS(3273),
    [anon_sym_yield] = ACTIONS(3273),
    [anon_sym_switch] = ACTIONS(3273),
    [anon_sym_case] = ACTIONS(3273),
    [anon_sym_default] = ACTIONS(3273),
    [anon_sym_throw] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3273),
    [anon_sym_when] = ACTIONS(3273),
    [anon_sym_await] = ACTIONS(3273),
    [anon_sym_foreach] = ACTIONS(3273),
    [anon_sym_goto] = ACTIONS(3273),
    [anon_sym_if] = ACTIONS(3273),
    [anon_sym_else] = ACTIONS(3273),
    [anon_sym_DOT_DOT] = ACTIONS(3275),
    [anon_sym_from] = ACTIONS(3273),
    [anon_sym_into] = ACTIONS(3273),
    [anon_sym_join] = ACTIONS(3273),
    [anon_sym_on] = ACTIONS(3273),
    [anon_sym_equals] = ACTIONS(3273),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_orderby] = ACTIONS(3273),
    [anon_sym_ascending] = ACTIONS(3273),
    [anon_sym_descending] = ACTIONS(3273),
    [anon_sym_group] = ACTIONS(3273),
    [anon_sym_by] = ACTIONS(3273),
    [anon_sym_select] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3275),
    [anon_sym_stackalloc] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3273),
    [anon_sym_typeof] = ACTIONS(3273),
    [anon_sym___makeref] = ACTIONS(3273),
    [anon_sym___reftype] = ACTIONS(3273),
    [anon_sym___refvalue] = ACTIONS(3273),
    [sym_null_literal] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3275),
    [sym_integer_literal] = ACTIONS(3273),
    [sym_real_literal] = ACTIONS(3275),
    [sym_verbatim_string_literal] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3275),
    [sym_interpolation_verbatim_start] = ACTIONS(3275),
    [sym_interpolation_raw_start] = ACTIONS(3275),
    [sym_raw_string_start] = ACTIONS(3275),
  },
  [2691] = {
    [sym_preproc_region] = STATE(2691),
    [sym_preproc_endregion] = STATE(2691),
    [sym_preproc_line] = STATE(2691),
    [sym_preproc_pragma] = STATE(2691),
    [sym_preproc_nullable] = STATE(2691),
    [sym_preproc_error] = STATE(2691),
    [sym_preproc_define] = STATE(2691),
    [sym_preproc_undef] = STATE(2691),
    [sym__identifier_token] = ACTIONS(3277),
    [anon_sym_extern] = ACTIONS(3277),
    [anon_sym_alias] = ACTIONS(3277),
    [anon_sym_SEMI] = ACTIONS(3279),
    [anon_sym_global] = ACTIONS(3277),
    [anon_sym_using] = ACTIONS(3277),
    [anon_sym_unsafe] = ACTIONS(3277),
    [anon_sym_static] = ACTIONS(3277),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_LPAREN] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3277),
    [anon_sym_ref] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3279),
    [anon_sym_delegate] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3277),
    [anon_sym_async] = ACTIONS(3277),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_file] = ACTIONS(3277),
    [anon_sym_fixed] = ACTIONS(3277),
    [anon_sym_internal] = ACTIONS(3277),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_override] = ACTIONS(3277),
    [anon_sym_partial] = ACTIONS(3277),
    [anon_sym_private] = ACTIONS(3277),
    [anon_sym_protected] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3277),
    [anon_sym_readonly] = ACTIONS(3277),
    [anon_sym_required] = ACTIONS(3277),
    [anon_sym_sealed] = ACTIONS(3277),
    [anon_sym_virtual] = ACTIONS(3277),
    [anon_sym_volatile] = ACTIONS(3277),
    [anon_sym_where] = ACTIONS(3277),
    [anon_sym_notnull] = ACTIONS(3277),
    [anon_sym_unmanaged] = ACTIONS(3277),
    [anon_sym_checked] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3279),
    [anon_sym_TILDE] = ACTIONS(3279),
    [anon_sym_PLUS_PLUS] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3279),
    [anon_sym_true] = ACTIONS(3277),
    [anon_sym_false] = ACTIONS(3277),
    [anon_sym_PLUS] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3277),
    [anon_sym_STAR] = ACTIONS(3279),
    [anon_sym_CARET] = ACTIONS(3279),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym_this] = ACTIONS(3277),
    [anon_sym_scoped] = ACTIONS(3277),
    [anon_sym_base] = ACTIONS(3277),
    [anon_sym_var] = ACTIONS(3277),
    [sym_predefined_type] = ACTIONS(3277),
    [anon_sym_break] = ACTIONS(3277),
    [anon_sym_unchecked] = ACTIONS(3277),
    [anon_sym_continue] = ACTIONS(3277),
    [anon_sym_do] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(3277),
    [anon_sym_for] = ACTIONS(3277),
    [anon_sym_lock] = ACTIONS(3277),
    [anon_sym_yield] = ACTIONS(3277),
    [anon_sym_switch] = ACTIONS(3277),
    [anon_sym_case] = ACTIONS(3277),
    [anon_sym_default] = ACTIONS(3277),
    [anon_sym_throw] = ACTIONS(3277),
    [anon_sym_try] = ACTIONS(3277),
    [anon_sym_when] = ACTIONS(3277),
    [anon_sym_await] = ACTIONS(3277),
    [anon_sym_foreach] = ACTIONS(3277),
    [anon_sym_goto] = ACTIONS(3277),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_else] = ACTIONS(3277),
    [anon_sym_DOT_DOT] = ACTIONS(3279),
    [anon_sym_from] = ACTIONS(3277),
    [anon_sym_into] = ACTIONS(3277),
    [anon_sym_join] = ACTIONS(3277),
    [anon_sym_on] = ACTIONS(3277),
    [anon_sym_equals] = ACTIONS(3277),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_orderby] = ACTIONS(3277),
    [anon_sym_ascending] = ACTIONS(3277),
    [anon_sym_descending] = ACTIONS(3277),
    [anon_sym_group] = ACTIONS(3277),
    [anon_sym_by] = ACTIONS(3277),
    [anon_sym_select] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3279),
    [anon_sym_stackalloc] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3277),
    [anon_sym_typeof] = ACTIONS(3277),
    [anon_sym___makeref] = ACTIONS(3277),
    [anon_sym___reftype] = ACTIONS(3277),
    [anon_sym___refvalue] = ACTIONS(3277),
    [sym_null_literal] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3279),
    [sym_integer_literal] = ACTIONS(3277),
    [sym_real_literal] = ACTIONS(3279),
    [sym_verbatim_string_literal] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3279),
    [sym_interpolation_verbatim_start] = ACTIONS(3279),
    [sym_interpolation_raw_start] = ACTIONS(3279),
    [sym_raw_string_start] = ACTIONS(3279),
  },
  [2692] = {
    [sym_preproc_region] = STATE(2692),
    [sym_preproc_endregion] = STATE(2692),
    [sym_preproc_line] = STATE(2692),
    [sym_preproc_pragma] = STATE(2692),
    [sym_preproc_nullable] = STATE(2692),
    [sym_preproc_error] = STATE(2692),
    [sym_preproc_define] = STATE(2692),
    [sym_preproc_undef] = STATE(2692),
    [sym__identifier_token] = ACTIONS(3281),
    [anon_sym_extern] = ACTIONS(3281),
    [anon_sym_alias] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3283),
    [anon_sym_global] = ACTIONS(3281),
    [anon_sym_using] = ACTIONS(3281),
    [anon_sym_unsafe] = ACTIONS(3281),
    [anon_sym_static] = ACTIONS(3281),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3281),
    [anon_sym_ref] = ACTIONS(3281),
    [anon_sym_LBRACE] = ACTIONS(3283),
    [anon_sym_RBRACE] = ACTIONS(3283),
    [anon_sym_delegate] = ACTIONS(3281),
    [anon_sym_abstract] = ACTIONS(3281),
    [anon_sym_async] = ACTIONS(3281),
    [anon_sym_const] = ACTIONS(3281),
    [anon_sym_file] = ACTIONS(3281),
    [anon_sym_fixed] = ACTIONS(3281),
    [anon_sym_internal] = ACTIONS(3281),
    [anon_sym_new] = ACTIONS(3281),
    [anon_sym_override] = ACTIONS(3281),
    [anon_sym_partial] = ACTIONS(3281),
    [anon_sym_private] = ACTIONS(3281),
    [anon_sym_protected] = ACTIONS(3281),
    [anon_sym_public] = ACTIONS(3281),
    [anon_sym_readonly] = ACTIONS(3281),
    [anon_sym_required] = ACTIONS(3281),
    [anon_sym_sealed] = ACTIONS(3281),
    [anon_sym_virtual] = ACTIONS(3281),
    [anon_sym_volatile] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_notnull] = ACTIONS(3281),
    [anon_sym_unmanaged] = ACTIONS(3281),
    [anon_sym_checked] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_PLUS_PLUS] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3283),
    [anon_sym_true] = ACTIONS(3281),
    [anon_sym_false] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3281),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_CARET] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_this] = ACTIONS(3281),
    [anon_sym_scoped] = ACTIONS(3281),
    [anon_sym_base] = ACTIONS(3281),
    [anon_sym_var] = ACTIONS(3281),
    [sym_predefined_type] = ACTIONS(3281),
    [anon_sym_break] = ACTIONS(3281),
    [anon_sym_unchecked] = ACTIONS(3281),
    [anon_sym_continue] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_while] = ACTIONS(3281),
    [anon_sym_for] = ACTIONS(3281),
    [anon_sym_lock] = ACTIONS(3281),
    [anon_sym_yield] = ACTIONS(3281),
    [anon_sym_switch] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_default] = ACTIONS(3281),
    [anon_sym_throw] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_await] = ACTIONS(3281),
    [anon_sym_foreach] = ACTIONS(3281),
    [anon_sym_goto] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_DOT_DOT] = ACTIONS(3283),
    [anon_sym_from] = ACTIONS(3281),
    [anon_sym_into] = ACTIONS(3281),
    [anon_sym_join] = ACTIONS(3281),
    [anon_sym_on] = ACTIONS(3281),
    [anon_sym_equals] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3281),
    [anon_sym_orderby] = ACTIONS(3281),
    [anon_sym_ascending] = ACTIONS(3281),
    [anon_sym_descending] = ACTIONS(3281),
    [anon_sym_group] = ACTIONS(3281),
    [anon_sym_by] = ACTIONS(3281),
    [anon_sym_select] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3283),
    [anon_sym_stackalloc] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3281),
    [anon_sym_typeof] = ACTIONS(3281),
    [anon_sym___makeref] = ACTIONS(3281),
    [anon_sym___reftype] = ACTIONS(3281),
    [anon_sym___refvalue] = ACTIONS(3281),
    [sym_null_literal] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3283),
    [sym_integer_literal] = ACTIONS(3281),
    [sym_real_literal] = ACTIONS(3283),
    [sym_verbatim_string_literal] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3283),
    [sym_interpolation_verbatim_start] = ACTIONS(3283),
    [sym_interpolation_raw_start] = ACTIONS(3283),
    [sym_raw_string_start] = ACTIONS(3283),
  },
  [2693] = {
    [sym_preproc_region] = STATE(2693),
    [sym_preproc_endregion] = STATE(2693),
    [sym_preproc_line] = STATE(2693),
    [sym_preproc_pragma] = STATE(2693),
    [sym_preproc_nullable] = STATE(2693),
    [sym_preproc_error] = STATE(2693),
    [sym_preproc_define] = STATE(2693),
    [sym_preproc_undef] = STATE(2693),
    [sym__identifier_token] = ACTIONS(3285),
    [anon_sym_extern] = ACTIONS(3285),
    [anon_sym_alias] = ACTIONS(3285),
    [anon_sym_SEMI] = ACTIONS(3287),
    [anon_sym_global] = ACTIONS(3285),
    [anon_sym_using] = ACTIONS(3285),
    [anon_sym_unsafe] = ACTIONS(3285),
    [anon_sym_static] = ACTIONS(3285),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_LPAREN] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3285),
    [anon_sym_ref] = ACTIONS(3285),
    [anon_sym_LBRACE] = ACTIONS(3287),
    [anon_sym_RBRACE] = ACTIONS(3287),
    [anon_sym_delegate] = ACTIONS(3285),
    [anon_sym_abstract] = ACTIONS(3285),
    [anon_sym_async] = ACTIONS(3285),
    [anon_sym_const] = ACTIONS(3285),
    [anon_sym_file] = ACTIONS(3285),
    [anon_sym_fixed] = ACTIONS(3285),
    [anon_sym_internal] = ACTIONS(3285),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_override] = ACTIONS(3285),
    [anon_sym_partial] = ACTIONS(3285),
    [anon_sym_private] = ACTIONS(3285),
    [anon_sym_protected] = ACTIONS(3285),
    [anon_sym_public] = ACTIONS(3285),
    [anon_sym_readonly] = ACTIONS(3285),
    [anon_sym_required] = ACTIONS(3285),
    [anon_sym_sealed] = ACTIONS(3285),
    [anon_sym_virtual] = ACTIONS(3285),
    [anon_sym_volatile] = ACTIONS(3285),
    [anon_sym_where] = ACTIONS(3285),
    [anon_sym_notnull] = ACTIONS(3285),
    [anon_sym_unmanaged] = ACTIONS(3285),
    [anon_sym_checked] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3287),
    [anon_sym_TILDE] = ACTIONS(3287),
    [anon_sym_PLUS_PLUS] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3287),
    [anon_sym_true] = ACTIONS(3285),
    [anon_sym_false] = ACTIONS(3285),
    [anon_sym_PLUS] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3287),
    [anon_sym_CARET] = ACTIONS(3287),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_this] = ACTIONS(3285),
    [anon_sym_scoped] = ACTIONS(3285),
    [anon_sym_base] = ACTIONS(3285),
    [anon_sym_var] = ACTIONS(3285),
    [sym_predefined_type] = ACTIONS(3285),
    [anon_sym_break] = ACTIONS(3285),
    [anon_sym_unchecked] = ACTIONS(3285),
    [anon_sym_continue] = ACTIONS(3285),
    [anon_sym_do] = ACTIONS(3285),
    [anon_sym_while] = ACTIONS(3285),
    [anon_sym_for] = ACTIONS(3285),
    [anon_sym_lock] = ACTIONS(3285),
    [anon_sym_yield] = ACTIONS(3285),
    [anon_sym_switch] = ACTIONS(3285),
    [anon_sym_case] = ACTIONS(3285),
    [anon_sym_default] = ACTIONS(3285),
    [anon_sym_throw] = ACTIONS(3285),
    [anon_sym_try] = ACTIONS(3285),
    [anon_sym_when] = ACTIONS(3285),
    [anon_sym_await] = ACTIONS(3285),
    [anon_sym_foreach] = ACTIONS(3285),
    [anon_sym_goto] = ACTIONS(3285),
    [anon_sym_if] = ACTIONS(3285),
    [anon_sym_else] = ACTIONS(3285),
    [anon_sym_DOT_DOT] = ACTIONS(3287),
    [anon_sym_from] = ACTIONS(3285),
    [anon_sym_into] = ACTIONS(3285),
    [anon_sym_join] = ACTIONS(3285),
    [anon_sym_on] = ACTIONS(3285),
    [anon_sym_equals] = ACTIONS(3285),
    [anon_sym_let] = ACTIONS(3285),
    [anon_sym_orderby] = ACTIONS(3285),
    [anon_sym_ascending] = ACTIONS(3285),
    [anon_sym_descending] = ACTIONS(3285),
    [anon_sym_group] = ACTIONS(3285),
    [anon_sym_by] = ACTIONS(3285),
    [anon_sym_select] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3287),
    [anon_sym_stackalloc] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3285),
    [anon_sym_typeof] = ACTIONS(3285),
    [anon_sym___makeref] = ACTIONS(3285),
    [anon_sym___reftype] = ACTIONS(3285),
    [anon_sym___refvalue] = ACTIONS(3285),
    [sym_null_literal] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3287),
    [sym_integer_literal] = ACTIONS(3285),
    [sym_real_literal] = ACTIONS(3287),
    [sym_verbatim_string_literal] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3287),
    [sym_interpolation_verbatim_start] = ACTIONS(3287),
    [sym_interpolation_raw_start] = ACTIONS(3287),
    [sym_raw_string_start] = ACTIONS(3287),
  },
  [2694] = {
    [sym_preproc_region] = STATE(2694),
    [sym_preproc_endregion] = STATE(2694),
    [sym_preproc_line] = STATE(2694),
    [sym_preproc_pragma] = STATE(2694),
    [sym_preproc_nullable] = STATE(2694),
    [sym_preproc_error] = STATE(2694),
    [sym_preproc_define] = STATE(2694),
    [sym_preproc_undef] = STATE(2694),
    [sym__identifier_token] = ACTIONS(3289),
    [anon_sym_extern] = ACTIONS(3289),
    [anon_sym_alias] = ACTIONS(3289),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_global] = ACTIONS(3289),
    [anon_sym_using] = ACTIONS(3289),
    [anon_sym_unsafe] = ACTIONS(3289),
    [anon_sym_static] = ACTIONS(3289),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3289),
    [anon_sym_ref] = ACTIONS(3289),
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_delegate] = ACTIONS(3289),
    [anon_sym_abstract] = ACTIONS(3289),
    [anon_sym_async] = ACTIONS(3289),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_file] = ACTIONS(3289),
    [anon_sym_fixed] = ACTIONS(3289),
    [anon_sym_internal] = ACTIONS(3289),
    [anon_sym_new] = ACTIONS(3289),
    [anon_sym_override] = ACTIONS(3289),
    [anon_sym_partial] = ACTIONS(3289),
    [anon_sym_private] = ACTIONS(3289),
    [anon_sym_protected] = ACTIONS(3289),
    [anon_sym_public] = ACTIONS(3289),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_required] = ACTIONS(3289),
    [anon_sym_sealed] = ACTIONS(3289),
    [anon_sym_virtual] = ACTIONS(3289),
    [anon_sym_volatile] = ACTIONS(3289),
    [anon_sym_where] = ACTIONS(3289),
    [anon_sym_notnull] = ACTIONS(3289),
    [anon_sym_unmanaged] = ACTIONS(3289),
    [anon_sym_checked] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3291),
    [anon_sym_TILDE] = ACTIONS(3291),
    [anon_sym_PLUS_PLUS] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3291),
    [anon_sym_true] = ACTIONS(3289),
    [anon_sym_false] = ACTIONS(3289),
    [anon_sym_PLUS] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3291),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym_this] = ACTIONS(3289),
    [anon_sym_scoped] = ACTIONS(3289),
    [anon_sym_base] = ACTIONS(3289),
    [anon_sym_var] = ACTIONS(3289),
    [sym_predefined_type] = ACTIONS(3289),
    [anon_sym_break] = ACTIONS(3289),
    [anon_sym_unchecked] = ACTIONS(3289),
    [anon_sym_continue] = ACTIONS(3289),
    [anon_sym_do] = ACTIONS(3289),
    [anon_sym_while] = ACTIONS(3289),
    [anon_sym_for] = ACTIONS(3289),
    [anon_sym_lock] = ACTIONS(3289),
    [anon_sym_yield] = ACTIONS(3289),
    [anon_sym_switch] = ACTIONS(3289),
    [anon_sym_case] = ACTIONS(3289),
    [anon_sym_default] = ACTIONS(3289),
    [anon_sym_throw] = ACTIONS(3289),
    [anon_sym_try] = ACTIONS(3289),
    [anon_sym_when] = ACTIONS(3289),
    [anon_sym_await] = ACTIONS(3289),
    [anon_sym_foreach] = ACTIONS(3289),
    [anon_sym_goto] = ACTIONS(3289),
    [anon_sym_if] = ACTIONS(3289),
    [anon_sym_else] = ACTIONS(3289),
    [anon_sym_DOT_DOT] = ACTIONS(3291),
    [anon_sym_from] = ACTIONS(3289),
    [anon_sym_into] = ACTIONS(3289),
    [anon_sym_join] = ACTIONS(3289),
    [anon_sym_on] = ACTIONS(3289),
    [anon_sym_equals] = ACTIONS(3289),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_orderby] = ACTIONS(3289),
    [anon_sym_ascending] = ACTIONS(3289),
    [anon_sym_descending] = ACTIONS(3289),
    [anon_sym_group] = ACTIONS(3289),
    [anon_sym_by] = ACTIONS(3289),
    [anon_sym_select] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3291),
    [anon_sym_stackalloc] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3289),
    [anon_sym_typeof] = ACTIONS(3289),
    [anon_sym___makeref] = ACTIONS(3289),
    [anon_sym___reftype] = ACTIONS(3289),
    [anon_sym___refvalue] = ACTIONS(3289),
    [sym_null_literal] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [sym_integer_literal] = ACTIONS(3289),
    [sym_real_literal] = ACTIONS(3291),
    [sym_verbatim_string_literal] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3291),
    [sym_interpolation_verbatim_start] = ACTIONS(3291),
    [sym_interpolation_raw_start] = ACTIONS(3291),
    [sym_raw_string_start] = ACTIONS(3291),
  },
  [2695] = {
    [sym_preproc_region] = STATE(2695),
    [sym_preproc_endregion] = STATE(2695),
    [sym_preproc_line] = STATE(2695),
    [sym_preproc_pragma] = STATE(2695),
    [sym_preproc_nullable] = STATE(2695),
    [sym_preproc_error] = STATE(2695),
    [sym_preproc_define] = STATE(2695),
    [sym_preproc_undef] = STATE(2695),
    [sym__identifier_token] = ACTIONS(3157),
    [anon_sym_extern] = ACTIONS(3157),
    [anon_sym_alias] = ACTIONS(3157),
    [anon_sym_SEMI] = ACTIONS(3159),
    [anon_sym_global] = ACTIONS(3157),
    [anon_sym_using] = ACTIONS(3157),
    [anon_sym_unsafe] = ACTIONS(3157),
    [anon_sym_static] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(3159),
    [anon_sym_LPAREN] = ACTIONS(3159),
    [anon_sym_return] = ACTIONS(3157),
    [anon_sym_ref] = ACTIONS(3157),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_RBRACE] = ACTIONS(3159),
    [anon_sym_delegate] = ACTIONS(3157),
    [anon_sym_abstract] = ACTIONS(3157),
    [anon_sym_async] = ACTIONS(3157),
    [anon_sym_const] = ACTIONS(3157),
    [anon_sym_file] = ACTIONS(3157),
    [anon_sym_fixed] = ACTIONS(3157),
    [anon_sym_internal] = ACTIONS(3157),
    [anon_sym_new] = ACTIONS(3157),
    [anon_sym_override] = ACTIONS(3157),
    [anon_sym_partial] = ACTIONS(3157),
    [anon_sym_private] = ACTIONS(3157),
    [anon_sym_protected] = ACTIONS(3157),
    [anon_sym_public] = ACTIONS(3157),
    [anon_sym_readonly] = ACTIONS(3157),
    [anon_sym_required] = ACTIONS(3157),
    [anon_sym_sealed] = ACTIONS(3157),
    [anon_sym_virtual] = ACTIONS(3157),
    [anon_sym_volatile] = ACTIONS(3157),
    [anon_sym_where] = ACTIONS(3157),
    [anon_sym_notnull] = ACTIONS(3157),
    [anon_sym_unmanaged] = ACTIONS(3157),
    [anon_sym_checked] = ACTIONS(3157),
    [anon_sym_BANG] = ACTIONS(3159),
    [anon_sym_TILDE] = ACTIONS(3159),
    [anon_sym_PLUS_PLUS] = ACTIONS(3159),
    [anon_sym_DASH_DASH] = ACTIONS(3159),
    [anon_sym_true] = ACTIONS(3157),
    [anon_sym_false] = ACTIONS(3157),
    [anon_sym_PLUS] = ACTIONS(3157),
    [anon_sym_DASH] = ACTIONS(3157),
    [anon_sym_STAR] = ACTIONS(3159),
    [anon_sym_CARET] = ACTIONS(3159),
    [anon_sym_AMP] = ACTIONS(3159),
    [anon_sym_this] = ACTIONS(3157),
    [anon_sym_scoped] = ACTIONS(3157),
    [anon_sym_base] = ACTIONS(3157),
    [anon_sym_var] = ACTIONS(3157),
    [sym_predefined_type] = ACTIONS(3157),
    [anon_sym_break] = ACTIONS(3157),
    [anon_sym_unchecked] = ACTIONS(3157),
    [anon_sym_continue] = ACTIONS(3157),
    [anon_sym_do] = ACTIONS(3157),
    [anon_sym_while] = ACTIONS(3157),
    [anon_sym_for] = ACTIONS(3157),
    [anon_sym_lock] = ACTIONS(3157),
    [anon_sym_yield] = ACTIONS(3157),
    [anon_sym_switch] = ACTIONS(3157),
    [anon_sym_case] = ACTIONS(3157),
    [anon_sym_default] = ACTIONS(3157),
    [anon_sym_throw] = ACTIONS(3157),
    [anon_sym_try] = ACTIONS(3157),
    [anon_sym_when] = ACTIONS(3157),
    [anon_sym_await] = ACTIONS(3157),
    [anon_sym_foreach] = ACTIONS(3157),
    [anon_sym_goto] = ACTIONS(3157),
    [anon_sym_if] = ACTIONS(3157),
    [anon_sym_else] = ACTIONS(3157),
    [anon_sym_DOT_DOT] = ACTIONS(3159),
    [anon_sym_from] = ACTIONS(3157),
    [anon_sym_into] = ACTIONS(3157),
    [anon_sym_join] = ACTIONS(3157),
    [anon_sym_on] = ACTIONS(3157),
    [anon_sym_equals] = ACTIONS(3157),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_orderby] = ACTIONS(3157),
    [anon_sym_ascending] = ACTIONS(3157),
    [anon_sym_descending] = ACTIONS(3157),
    [anon_sym_group] = ACTIONS(3157),
    [anon_sym_by] = ACTIONS(3157),
    [anon_sym_select] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [anon_sym_stackalloc] = ACTIONS(3157),
    [anon_sym_sizeof] = ACTIONS(3157),
    [anon_sym_typeof] = ACTIONS(3157),
    [anon_sym___makeref] = ACTIONS(3157),
    [anon_sym___reftype] = ACTIONS(3157),
    [anon_sym___refvalue] = ACTIONS(3157),
    [sym_null_literal] = ACTIONS(3157),
    [anon_sym_SQUOTE] = ACTIONS(3159),
    [sym_integer_literal] = ACTIONS(3157),
    [sym_real_literal] = ACTIONS(3159),
    [sym_verbatim_string_literal] = ACTIONS(3159),
    [aux_sym_preproc_if_token1] = ACTIONS(3159),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3159),
    [sym_interpolation_verbatim_start] = ACTIONS(3159),
    [sym_interpolation_raw_start] = ACTIONS(3159),
    [sym_raw_string_start] = ACTIONS(3159),
  },
  [2696] = {
    [sym_preproc_region] = STATE(2696),
    [sym_preproc_endregion] = STATE(2696),
    [sym_preproc_line] = STATE(2696),
    [sym_preproc_pragma] = STATE(2696),
    [sym_preproc_nullable] = STATE(2696),
    [sym_preproc_error] = STATE(2696),
    [sym_preproc_define] = STATE(2696),
    [sym_preproc_undef] = STATE(2696),
    [sym__identifier_token] = ACTIONS(3161),
    [anon_sym_extern] = ACTIONS(3161),
    [anon_sym_alias] = ACTIONS(3161),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym_global] = ACTIONS(3161),
    [anon_sym_using] = ACTIONS(3161),
    [anon_sym_unsafe] = ACTIONS(3161),
    [anon_sym_static] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(3163),
    [anon_sym_LPAREN] = ACTIONS(3163),
    [anon_sym_return] = ACTIONS(3161),
    [anon_sym_ref] = ACTIONS(3161),
    [anon_sym_LBRACE] = ACTIONS(3163),
    [anon_sym_RBRACE] = ACTIONS(3163),
    [anon_sym_delegate] = ACTIONS(3161),
    [anon_sym_abstract] = ACTIONS(3161),
    [anon_sym_async] = ACTIONS(3161),
    [anon_sym_const] = ACTIONS(3161),
    [anon_sym_file] = ACTIONS(3161),
    [anon_sym_fixed] = ACTIONS(3161),
    [anon_sym_internal] = ACTIONS(3161),
    [anon_sym_new] = ACTIONS(3161),
    [anon_sym_override] = ACTIONS(3161),
    [anon_sym_partial] = ACTIONS(3161),
    [anon_sym_private] = ACTIONS(3161),
    [anon_sym_protected] = ACTIONS(3161),
    [anon_sym_public] = ACTIONS(3161),
    [anon_sym_readonly] = ACTIONS(3161),
    [anon_sym_required] = ACTIONS(3161),
    [anon_sym_sealed] = ACTIONS(3161),
    [anon_sym_virtual] = ACTIONS(3161),
    [anon_sym_volatile] = ACTIONS(3161),
    [anon_sym_where] = ACTIONS(3161),
    [anon_sym_notnull] = ACTIONS(3161),
    [anon_sym_unmanaged] = ACTIONS(3161),
    [anon_sym_checked] = ACTIONS(3161),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_TILDE] = ACTIONS(3163),
    [anon_sym_PLUS_PLUS] = ACTIONS(3163),
    [anon_sym_DASH_DASH] = ACTIONS(3163),
    [anon_sym_true] = ACTIONS(3161),
    [anon_sym_false] = ACTIONS(3161),
    [anon_sym_PLUS] = ACTIONS(3161),
    [anon_sym_DASH] = ACTIONS(3161),
    [anon_sym_STAR] = ACTIONS(3163),
    [anon_sym_CARET] = ACTIONS(3163),
    [anon_sym_AMP] = ACTIONS(3163),
    [anon_sym_this] = ACTIONS(3161),
    [anon_sym_scoped] = ACTIONS(3161),
    [anon_sym_base] = ACTIONS(3161),
    [anon_sym_var] = ACTIONS(3161),
    [sym_predefined_type] = ACTIONS(3161),
    [anon_sym_break] = ACTIONS(3161),
    [anon_sym_unchecked] = ACTIONS(3161),
    [anon_sym_continue] = ACTIONS(3161),
    [anon_sym_do] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(3161),
    [anon_sym_for] = ACTIONS(3161),
    [anon_sym_lock] = ACTIONS(3161),
    [anon_sym_yield] = ACTIONS(3161),
    [anon_sym_switch] = ACTIONS(3161),
    [anon_sym_case] = ACTIONS(3161),
    [anon_sym_default] = ACTIONS(3161),
    [anon_sym_throw] = ACTIONS(3161),
    [anon_sym_try] = ACTIONS(3161),
    [anon_sym_when] = ACTIONS(3161),
    [anon_sym_await] = ACTIONS(3161),
    [anon_sym_foreach] = ACTIONS(3161),
    [anon_sym_goto] = ACTIONS(3161),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_else] = ACTIONS(3161),
    [anon_sym_DOT_DOT] = ACTIONS(3163),
    [anon_sym_from] = ACTIONS(3161),
    [anon_sym_into] = ACTIONS(3161),
    [anon_sym_join] = ACTIONS(3161),
    [anon_sym_on] = ACTIONS(3161),
    [anon_sym_equals] = ACTIONS(3161),
    [anon_sym_let] = ACTIONS(3161),
    [anon_sym_orderby] = ACTIONS(3161),
    [anon_sym_ascending] = ACTIONS(3161),
    [anon_sym_descending] = ACTIONS(3161),
    [anon_sym_group] = ACTIONS(3161),
    [anon_sym_by] = ACTIONS(3161),
    [anon_sym_select] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(3163),
    [anon_sym_stackalloc] = ACTIONS(3161),
    [anon_sym_sizeof] = ACTIONS(3161),
    [anon_sym_typeof] = ACTIONS(3161),
    [anon_sym___makeref] = ACTIONS(3161),
    [anon_sym___reftype] = ACTIONS(3161),
    [anon_sym___refvalue] = ACTIONS(3161),
    [sym_null_literal] = ACTIONS(3161),
    [anon_sym_SQUOTE] = ACTIONS(3163),
    [sym_integer_literal] = ACTIONS(3161),
    [sym_real_literal] = ACTIONS(3163),
    [sym_verbatim_string_literal] = ACTIONS(3163),
    [aux_sym_preproc_if_token1] = ACTIONS(3163),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3163),
    [sym_interpolation_verbatim_start] = ACTIONS(3163),
    [sym_interpolation_raw_start] = ACTIONS(3163),
    [sym_raw_string_start] = ACTIONS(3163),
  },
  [2697] = {
    [sym_preproc_region] = STATE(2697),
    [sym_preproc_endregion] = STATE(2697),
    [sym_preproc_line] = STATE(2697),
    [sym_preproc_pragma] = STATE(2697),
    [sym_preproc_nullable] = STATE(2697),
    [sym_preproc_error] = STATE(2697),
    [sym_preproc_define] = STATE(2697),
    [sym_preproc_undef] = STATE(2697),
    [sym__identifier_token] = ACTIONS(3165),
    [anon_sym_extern] = ACTIONS(3165),
    [anon_sym_alias] = ACTIONS(3165),
    [anon_sym_SEMI] = ACTIONS(3167),
    [anon_sym_global] = ACTIONS(3165),
    [anon_sym_using] = ACTIONS(3165),
    [anon_sym_unsafe] = ACTIONS(3165),
    [anon_sym_static] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(3167),
    [anon_sym_LPAREN] = ACTIONS(3167),
    [anon_sym_return] = ACTIONS(3165),
    [anon_sym_ref] = ACTIONS(3165),
    [anon_sym_LBRACE] = ACTIONS(3167),
    [anon_sym_RBRACE] = ACTIONS(3167),
    [anon_sym_delegate] = ACTIONS(3165),
    [anon_sym_abstract] = ACTIONS(3165),
    [anon_sym_async] = ACTIONS(3165),
    [anon_sym_const] = ACTIONS(3165),
    [anon_sym_file] = ACTIONS(3165),
    [anon_sym_fixed] = ACTIONS(3165),
    [anon_sym_internal] = ACTIONS(3165),
    [anon_sym_new] = ACTIONS(3165),
    [anon_sym_override] = ACTIONS(3165),
    [anon_sym_partial] = ACTIONS(3165),
    [anon_sym_private] = ACTIONS(3165),
    [anon_sym_protected] = ACTIONS(3165),
    [anon_sym_public] = ACTIONS(3165),
    [anon_sym_readonly] = ACTIONS(3165),
    [anon_sym_required] = ACTIONS(3165),
    [anon_sym_sealed] = ACTIONS(3165),
    [anon_sym_virtual] = ACTIONS(3165),
    [anon_sym_volatile] = ACTIONS(3165),
    [anon_sym_where] = ACTIONS(3165),
    [anon_sym_notnull] = ACTIONS(3165),
    [anon_sym_unmanaged] = ACTIONS(3165),
    [anon_sym_checked] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3167),
    [anon_sym_DASH_DASH] = ACTIONS(3167),
    [anon_sym_true] = ACTIONS(3165),
    [anon_sym_false] = ACTIONS(3165),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(3165),
    [anon_sym_STAR] = ACTIONS(3167),
    [anon_sym_CARET] = ACTIONS(3167),
    [anon_sym_AMP] = ACTIONS(3167),
    [anon_sym_this] = ACTIONS(3165),
    [anon_sym_scoped] = ACTIONS(3165),
    [anon_sym_base] = ACTIONS(3165),
    [anon_sym_var] = ACTIONS(3165),
    [sym_predefined_type] = ACTIONS(3165),
    [anon_sym_break] = ACTIONS(3165),
    [anon_sym_unchecked] = ACTIONS(3165),
    [anon_sym_continue] = ACTIONS(3165),
    [anon_sym_do] = ACTIONS(3165),
    [anon_sym_while] = ACTIONS(3165),
    [anon_sym_for] = ACTIONS(3165),
    [anon_sym_lock] = ACTIONS(3165),
    [anon_sym_yield] = ACTIONS(3165),
    [anon_sym_switch] = ACTIONS(3165),
    [anon_sym_case] = ACTIONS(3165),
    [anon_sym_default] = ACTIONS(3165),
    [anon_sym_throw] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3165),
    [anon_sym_when] = ACTIONS(3165),
    [anon_sym_await] = ACTIONS(3165),
    [anon_sym_foreach] = ACTIONS(3165),
    [anon_sym_goto] = ACTIONS(3165),
    [anon_sym_if] = ACTIONS(3165),
    [anon_sym_else] = ACTIONS(3165),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_from] = ACTIONS(3165),
    [anon_sym_into] = ACTIONS(3165),
    [anon_sym_join] = ACTIONS(3165),
    [anon_sym_on] = ACTIONS(3165),
    [anon_sym_equals] = ACTIONS(3165),
    [anon_sym_let] = ACTIONS(3165),
    [anon_sym_orderby] = ACTIONS(3165),
    [anon_sym_ascending] = ACTIONS(3165),
    [anon_sym_descending] = ACTIONS(3165),
    [anon_sym_group] = ACTIONS(3165),
    [anon_sym_by] = ACTIONS(3165),
    [anon_sym_select] = ACTIONS(3165),
    [anon_sym_DQUOTE] = ACTIONS(3167),
    [anon_sym_stackalloc] = ACTIONS(3165),
    [anon_sym_sizeof] = ACTIONS(3165),
    [anon_sym_typeof] = ACTIONS(3165),
    [anon_sym___makeref] = ACTIONS(3165),
    [anon_sym___reftype] = ACTIONS(3165),
    [anon_sym___refvalue] = ACTIONS(3165),
    [sym_null_literal] = ACTIONS(3165),
    [anon_sym_SQUOTE] = ACTIONS(3167),
    [sym_integer_literal] = ACTIONS(3165),
    [sym_real_literal] = ACTIONS(3167),
    [sym_verbatim_string_literal] = ACTIONS(3167),
    [aux_sym_preproc_if_token1] = ACTIONS(3167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3167),
    [sym_interpolation_verbatim_start] = ACTIONS(3167),
    [sym_interpolation_raw_start] = ACTIONS(3167),
    [sym_raw_string_start] = ACTIONS(3167),
  },
  [2698] = {
    [sym_preproc_region] = STATE(2698),
    [sym_preproc_endregion] = STATE(2698),
    [sym_preproc_line] = STATE(2698),
    [sym_preproc_pragma] = STATE(2698),
    [sym_preproc_nullable] = STATE(2698),
    [sym_preproc_error] = STATE(2698),
    [sym_preproc_define] = STATE(2698),
    [sym_preproc_undef] = STATE(2698),
    [sym__identifier_token] = ACTIONS(3293),
    [anon_sym_extern] = ACTIONS(3293),
    [anon_sym_alias] = ACTIONS(3293),
    [anon_sym_SEMI] = ACTIONS(3295),
    [anon_sym_global] = ACTIONS(3293),
    [anon_sym_using] = ACTIONS(3293),
    [anon_sym_unsafe] = ACTIONS(3293),
    [anon_sym_static] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3293),
    [anon_sym_ref] = ACTIONS(3293),
    [anon_sym_LBRACE] = ACTIONS(3295),
    [anon_sym_RBRACE] = ACTIONS(3295),
    [anon_sym_delegate] = ACTIONS(3293),
    [anon_sym_abstract] = ACTIONS(3293),
    [anon_sym_async] = ACTIONS(3293),
    [anon_sym_const] = ACTIONS(3293),
    [anon_sym_file] = ACTIONS(3293),
    [anon_sym_fixed] = ACTIONS(3293),
    [anon_sym_internal] = ACTIONS(3293),
    [anon_sym_new] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3293),
    [anon_sym_partial] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_readonly] = ACTIONS(3293),
    [anon_sym_required] = ACTIONS(3293),
    [anon_sym_sealed] = ACTIONS(3293),
    [anon_sym_virtual] = ACTIONS(3293),
    [anon_sym_volatile] = ACTIONS(3293),
    [anon_sym_where] = ACTIONS(3293),
    [anon_sym_notnull] = ACTIONS(3293),
    [anon_sym_unmanaged] = ACTIONS(3293),
    [anon_sym_checked] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3295),
    [anon_sym_TILDE] = ACTIONS(3295),
    [anon_sym_PLUS_PLUS] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3295),
    [anon_sym_true] = ACTIONS(3293),
    [anon_sym_false] = ACTIONS(3293),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3295),
    [anon_sym_CARET] = ACTIONS(3295),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym_this] = ACTIONS(3293),
    [anon_sym_scoped] = ACTIONS(3293),
    [anon_sym_base] = ACTIONS(3293),
    [anon_sym_var] = ACTIONS(3293),
    [sym_predefined_type] = ACTIONS(3293),
    [anon_sym_break] = ACTIONS(3293),
    [anon_sym_unchecked] = ACTIONS(3293),
    [anon_sym_continue] = ACTIONS(3293),
    [anon_sym_do] = ACTIONS(3293),
    [anon_sym_while] = ACTIONS(3293),
    [anon_sym_for] = ACTIONS(3293),
    [anon_sym_lock] = ACTIONS(3293),
    [anon_sym_yield] = ACTIONS(3293),
    [anon_sym_switch] = ACTIONS(3293),
    [anon_sym_case] = ACTIONS(3293),
    [anon_sym_default] = ACTIONS(3293),
    [anon_sym_throw] = ACTIONS(3293),
    [anon_sym_try] = ACTIONS(3293),
    [anon_sym_when] = ACTIONS(3293),
    [anon_sym_await] = ACTIONS(3293),
    [anon_sym_foreach] = ACTIONS(3293),
    [anon_sym_goto] = ACTIONS(3293),
    [anon_sym_if] = ACTIONS(3293),
    [anon_sym_else] = ACTIONS(3293),
    [anon_sym_DOT_DOT] = ACTIONS(3295),
    [anon_sym_from] = ACTIONS(3293),
    [anon_sym_into] = ACTIONS(3293),
    [anon_sym_join] = ACTIONS(3293),
    [anon_sym_on] = ACTIONS(3293),
    [anon_sym_equals] = ACTIONS(3293),
    [anon_sym_let] = ACTIONS(3293),
    [anon_sym_orderby] = ACTIONS(3293),
    [anon_sym_ascending] = ACTIONS(3293),
    [anon_sym_descending] = ACTIONS(3293),
    [anon_sym_group] = ACTIONS(3293),
    [anon_sym_by] = ACTIONS(3293),
    [anon_sym_select] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3295),
    [anon_sym_stackalloc] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3293),
    [anon_sym_typeof] = ACTIONS(3293),
    [anon_sym___makeref] = ACTIONS(3293),
    [anon_sym___reftype] = ACTIONS(3293),
    [anon_sym___refvalue] = ACTIONS(3293),
    [sym_null_literal] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3295),
    [sym_integer_literal] = ACTIONS(3293),
    [sym_real_literal] = ACTIONS(3295),
    [sym_verbatim_string_literal] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3295),
    [sym_interpolation_verbatim_start] = ACTIONS(3295),
    [sym_interpolation_raw_start] = ACTIONS(3295),
    [sym_raw_string_start] = ACTIONS(3295),
  },
  [2699] = {
    [sym_preproc_region] = STATE(2699),
    [sym_preproc_endregion] = STATE(2699),
    [sym_preproc_line] = STATE(2699),
    [sym_preproc_pragma] = STATE(2699),
    [sym_preproc_nullable] = STATE(2699),
    [sym_preproc_error] = STATE(2699),
    [sym_preproc_define] = STATE(2699),
    [sym_preproc_undef] = STATE(2699),
    [sym__identifier_token] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_alias] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym_global] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_file] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_required] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_where] = ACTIONS(3205),
    [anon_sym_notnull] = ACTIONS(3205),
    [anon_sym_unmanaged] = ACTIONS(3205),
    [anon_sym_checked] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_true] = ACTIONS(3205),
    [anon_sym_false] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_CARET] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_this] = ACTIONS(3205),
    [anon_sym_scoped] = ACTIONS(3205),
    [anon_sym_base] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [sym_predefined_type] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_unchecked] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_lock] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_when] = ACTIONS(3205),
    [anon_sym_await] = ACTIONS(3205),
    [anon_sym_foreach] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_DOT_DOT] = ACTIONS(3207),
    [anon_sym_from] = ACTIONS(3205),
    [anon_sym_into] = ACTIONS(3205),
    [anon_sym_join] = ACTIONS(3205),
    [anon_sym_on] = ACTIONS(3205),
    [anon_sym_equals] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_orderby] = ACTIONS(3205),
    [anon_sym_ascending] = ACTIONS(3205),
    [anon_sym_descending] = ACTIONS(3205),
    [anon_sym_group] = ACTIONS(3205),
    [anon_sym_by] = ACTIONS(3205),
    [anon_sym_select] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [anon_sym_stackalloc] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym_typeof] = ACTIONS(3205),
    [anon_sym___makeref] = ACTIONS(3205),
    [anon_sym___reftype] = ACTIONS(3205),
    [anon_sym___refvalue] = ACTIONS(3205),
    [sym_null_literal] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [sym_integer_literal] = ACTIONS(3205),
    [sym_real_literal] = ACTIONS(3207),
    [sym_verbatim_string_literal] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3207),
    [sym_interpolation_verbatim_start] = ACTIONS(3207),
    [sym_interpolation_raw_start] = ACTIONS(3207),
    [sym_raw_string_start] = ACTIONS(3207),
  },
  [2700] = {
    [sym_preproc_region] = STATE(2700),
    [sym_preproc_endregion] = STATE(2700),
    [sym_preproc_line] = STATE(2700),
    [sym_preproc_pragma] = STATE(2700),
    [sym_preproc_nullable] = STATE(2700),
    [sym_preproc_error] = STATE(2700),
    [sym_preproc_define] = STATE(2700),
    [sym_preproc_undef] = STATE(2700),
    [sym__identifier_token] = ACTIONS(3297),
    [anon_sym_extern] = ACTIONS(3297),
    [anon_sym_alias] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_global] = ACTIONS(3297),
    [anon_sym_using] = ACTIONS(3297),
    [anon_sym_unsafe] = ACTIONS(3297),
    [anon_sym_static] = ACTIONS(3297),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3297),
    [anon_sym_ref] = ACTIONS(3297),
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_delegate] = ACTIONS(3297),
    [anon_sym_abstract] = ACTIONS(3297),
    [anon_sym_async] = ACTIONS(3297),
    [anon_sym_const] = ACTIONS(3297),
    [anon_sym_file] = ACTIONS(3297),
    [anon_sym_fixed] = ACTIONS(3297),
    [anon_sym_internal] = ACTIONS(3297),
    [anon_sym_new] = ACTIONS(3297),
    [anon_sym_override] = ACTIONS(3297),
    [anon_sym_partial] = ACTIONS(3297),
    [anon_sym_private] = ACTIONS(3297),
    [anon_sym_protected] = ACTIONS(3297),
    [anon_sym_public] = ACTIONS(3297),
    [anon_sym_readonly] = ACTIONS(3297),
    [anon_sym_required] = ACTIONS(3297),
    [anon_sym_sealed] = ACTIONS(3297),
    [anon_sym_virtual] = ACTIONS(3297),
    [anon_sym_volatile] = ACTIONS(3297),
    [anon_sym_where] = ACTIONS(3297),
    [anon_sym_notnull] = ACTIONS(3297),
    [anon_sym_unmanaged] = ACTIONS(3297),
    [anon_sym_checked] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3299),
    [anon_sym_TILDE] = ACTIONS(3299),
    [anon_sym_PLUS_PLUS] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3299),
    [anon_sym_true] = ACTIONS(3297),
    [anon_sym_false] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3299),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym_this] = ACTIONS(3297),
    [anon_sym_scoped] = ACTIONS(3297),
    [anon_sym_base] = ACTIONS(3297),
    [anon_sym_var] = ACTIONS(3297),
    [sym_predefined_type] = ACTIONS(3297),
    [anon_sym_break] = ACTIONS(3297),
    [anon_sym_unchecked] = ACTIONS(3297),
    [anon_sym_continue] = ACTIONS(3297),
    [anon_sym_do] = ACTIONS(3297),
    [anon_sym_while] = ACTIONS(3297),
    [anon_sym_for] = ACTIONS(3297),
    [anon_sym_lock] = ACTIONS(3297),
    [anon_sym_yield] = ACTIONS(3297),
    [anon_sym_switch] = ACTIONS(3297),
    [anon_sym_case] = ACTIONS(3297),
    [anon_sym_default] = ACTIONS(3297),
    [anon_sym_throw] = ACTIONS(3297),
    [anon_sym_try] = ACTIONS(3297),
    [anon_sym_when] = ACTIONS(3297),
    [anon_sym_await] = ACTIONS(3297),
    [anon_sym_foreach] = ACTIONS(3297),
    [anon_sym_goto] = ACTIONS(3297),
    [anon_sym_if] = ACTIONS(3297),
    [anon_sym_else] = ACTIONS(3297),
    [anon_sym_DOT_DOT] = ACTIONS(3299),
    [anon_sym_from] = ACTIONS(3297),
    [anon_sym_into] = ACTIONS(3297),
    [anon_sym_join] = ACTIONS(3297),
    [anon_sym_on] = ACTIONS(3297),
    [anon_sym_equals] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3297),
    [anon_sym_orderby] = ACTIONS(3297),
    [anon_sym_ascending] = ACTIONS(3297),
    [anon_sym_descending] = ACTIONS(3297),
    [anon_sym_group] = ACTIONS(3297),
    [anon_sym_by] = ACTIONS(3297),
    [anon_sym_select] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3299),
    [anon_sym_stackalloc] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3297),
    [anon_sym_typeof] = ACTIONS(3297),
    [anon_sym___makeref] = ACTIONS(3297),
    [anon_sym___reftype] = ACTIONS(3297),
    [anon_sym___refvalue] = ACTIONS(3297),
    [sym_null_literal] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3299),
    [sym_integer_literal] = ACTIONS(3297),
    [sym_real_literal] = ACTIONS(3299),
    [sym_verbatim_string_literal] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3299),
    [sym_interpolation_verbatim_start] = ACTIONS(3299),
    [sym_interpolation_raw_start] = ACTIONS(3299),
    [sym_raw_string_start] = ACTIONS(3299),
  },
  [2701] = {
    [sym_preproc_region] = STATE(2701),
    [sym_preproc_endregion] = STATE(2701),
    [sym_preproc_line] = STATE(2701),
    [sym_preproc_pragma] = STATE(2701),
    [sym_preproc_nullable] = STATE(2701),
    [sym_preproc_error] = STATE(2701),
    [sym_preproc_define] = STATE(2701),
    [sym_preproc_undef] = STATE(2701),
    [sym__identifier_token] = ACTIONS(3301),
    [anon_sym_extern] = ACTIONS(3301),
    [anon_sym_alias] = ACTIONS(3301),
    [anon_sym_SEMI] = ACTIONS(3303),
    [anon_sym_global] = ACTIONS(3301),
    [anon_sym_using] = ACTIONS(3301),
    [anon_sym_unsafe] = ACTIONS(3301),
    [anon_sym_static] = ACTIONS(3301),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3301),
    [anon_sym_ref] = ACTIONS(3301),
    [anon_sym_LBRACE] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3303),
    [anon_sym_delegate] = ACTIONS(3301),
    [anon_sym_abstract] = ACTIONS(3301),
    [anon_sym_async] = ACTIONS(3301),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_file] = ACTIONS(3301),
    [anon_sym_fixed] = ACTIONS(3301),
    [anon_sym_internal] = ACTIONS(3301),
    [anon_sym_new] = ACTIONS(3301),
    [anon_sym_override] = ACTIONS(3301),
    [anon_sym_partial] = ACTIONS(3301),
    [anon_sym_private] = ACTIONS(3301),
    [anon_sym_protected] = ACTIONS(3301),
    [anon_sym_public] = ACTIONS(3301),
    [anon_sym_readonly] = ACTIONS(3301),
    [anon_sym_required] = ACTIONS(3301),
    [anon_sym_sealed] = ACTIONS(3301),
    [anon_sym_virtual] = ACTIONS(3301),
    [anon_sym_volatile] = ACTIONS(3301),
    [anon_sym_where] = ACTIONS(3301),
    [anon_sym_notnull] = ACTIONS(3301),
    [anon_sym_unmanaged] = ACTIONS(3301),
    [anon_sym_checked] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_PLUS_PLUS] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3303),
    [anon_sym_true] = ACTIONS(3301),
    [anon_sym_false] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_CARET] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_this] = ACTIONS(3301),
    [anon_sym_scoped] = ACTIONS(3301),
    [anon_sym_base] = ACTIONS(3301),
    [anon_sym_var] = ACTIONS(3301),
    [sym_predefined_type] = ACTIONS(3301),
    [anon_sym_break] = ACTIONS(3301),
    [anon_sym_unchecked] = ACTIONS(3301),
    [anon_sym_continue] = ACTIONS(3301),
    [anon_sym_do] = ACTIONS(3301),
    [anon_sym_while] = ACTIONS(3301),
    [anon_sym_for] = ACTIONS(3301),
    [anon_sym_lock] = ACTIONS(3301),
    [anon_sym_yield] = ACTIONS(3301),
    [anon_sym_switch] = ACTIONS(3301),
    [anon_sym_case] = ACTIONS(3301),
    [anon_sym_default] = ACTIONS(3301),
    [anon_sym_throw] = ACTIONS(3301),
    [anon_sym_try] = ACTIONS(3301),
    [anon_sym_when] = ACTIONS(3301),
    [anon_sym_await] = ACTIONS(3301),
    [anon_sym_foreach] = ACTIONS(3301),
    [anon_sym_goto] = ACTIONS(3301),
    [anon_sym_if] = ACTIONS(3301),
    [anon_sym_else] = ACTIONS(3301),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_from] = ACTIONS(3301),
    [anon_sym_into] = ACTIONS(3301),
    [anon_sym_join] = ACTIONS(3301),
    [anon_sym_on] = ACTIONS(3301),
    [anon_sym_equals] = ACTIONS(3301),
    [anon_sym_let] = ACTIONS(3301),
    [anon_sym_orderby] = ACTIONS(3301),
    [anon_sym_ascending] = ACTIONS(3301),
    [anon_sym_descending] = ACTIONS(3301),
    [anon_sym_group] = ACTIONS(3301),
    [anon_sym_by] = ACTIONS(3301),
    [anon_sym_select] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3303),
    [anon_sym_stackalloc] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3301),
    [anon_sym_typeof] = ACTIONS(3301),
    [anon_sym___makeref] = ACTIONS(3301),
    [anon_sym___reftype] = ACTIONS(3301),
    [anon_sym___refvalue] = ACTIONS(3301),
    [sym_null_literal] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3303),
    [sym_integer_literal] = ACTIONS(3301),
    [sym_real_literal] = ACTIONS(3303),
    [sym_verbatim_string_literal] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3303),
    [sym_interpolation_verbatim_start] = ACTIONS(3303),
    [sym_interpolation_raw_start] = ACTIONS(3303),
    [sym_raw_string_start] = ACTIONS(3303),
  },
  [2702] = {
    [sym_preproc_region] = STATE(2702),
    [sym_preproc_endregion] = STATE(2702),
    [sym_preproc_line] = STATE(2702),
    [sym_preproc_pragma] = STATE(2702),
    [sym_preproc_nullable] = STATE(2702),
    [sym_preproc_error] = STATE(2702),
    [sym_preproc_define] = STATE(2702),
    [sym_preproc_undef] = STATE(2702),
    [sym__identifier_token] = ACTIONS(3001),
    [anon_sym_extern] = ACTIONS(3001),
    [anon_sym_alias] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3003),
    [anon_sym_global] = ACTIONS(3001),
    [anon_sym_using] = ACTIONS(3001),
    [anon_sym_unsafe] = ACTIONS(3001),
    [anon_sym_static] = ACTIONS(3001),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_LPAREN] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3001),
    [anon_sym_ref] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(3003),
    [anon_sym_delegate] = ACTIONS(3001),
    [anon_sym_abstract] = ACTIONS(3001),
    [anon_sym_async] = ACTIONS(3001),
    [anon_sym_const] = ACTIONS(3001),
    [anon_sym_file] = ACTIONS(3001),
    [anon_sym_fixed] = ACTIONS(3001),
    [anon_sym_internal] = ACTIONS(3001),
    [anon_sym_new] = ACTIONS(3001),
    [anon_sym_override] = ACTIONS(3001),
    [anon_sym_partial] = ACTIONS(3001),
    [anon_sym_private] = ACTIONS(3001),
    [anon_sym_protected] = ACTIONS(3001),
    [anon_sym_public] = ACTIONS(3001),
    [anon_sym_readonly] = ACTIONS(3001),
    [anon_sym_required] = ACTIONS(3001),
    [anon_sym_sealed] = ACTIONS(3001),
    [anon_sym_virtual] = ACTIONS(3001),
    [anon_sym_volatile] = ACTIONS(3001),
    [anon_sym_where] = ACTIONS(3001),
    [anon_sym_notnull] = ACTIONS(3001),
    [anon_sym_unmanaged] = ACTIONS(3001),
    [anon_sym_checked] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3003),
    [anon_sym_TILDE] = ACTIONS(3003),
    [anon_sym_PLUS_PLUS] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3003),
    [anon_sym_true] = ACTIONS(3001),
    [anon_sym_false] = ACTIONS(3001),
    [anon_sym_PLUS] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(3001),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_this] = ACTIONS(3001),
    [anon_sym_scoped] = ACTIONS(3001),
    [anon_sym_base] = ACTIONS(3001),
    [anon_sym_var] = ACTIONS(3001),
    [sym_predefined_type] = ACTIONS(3001),
    [anon_sym_break] = ACTIONS(3001),
    [anon_sym_unchecked] = ACTIONS(3001),
    [anon_sym_continue] = ACTIONS(3001),
    [anon_sym_do] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3001),
    [anon_sym_lock] = ACTIONS(3001),
    [anon_sym_yield] = ACTIONS(3001),
    [anon_sym_switch] = ACTIONS(3001),
    [anon_sym_case] = ACTIONS(3001),
    [anon_sym_default] = ACTIONS(3001),
    [anon_sym_throw] = ACTIONS(3001),
    [anon_sym_try] = ACTIONS(3001),
    [anon_sym_when] = ACTIONS(3001),
    [anon_sym_await] = ACTIONS(3001),
    [anon_sym_foreach] = ACTIONS(3001),
    [anon_sym_goto] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_else] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_from] = ACTIONS(3001),
    [anon_sym_into] = ACTIONS(3001),
    [anon_sym_join] = ACTIONS(3001),
    [anon_sym_on] = ACTIONS(3001),
    [anon_sym_equals] = ACTIONS(3001),
    [anon_sym_let] = ACTIONS(3001),
    [anon_sym_orderby] = ACTIONS(3001),
    [anon_sym_ascending] = ACTIONS(3001),
    [anon_sym_descending] = ACTIONS(3001),
    [anon_sym_group] = ACTIONS(3001),
    [anon_sym_by] = ACTIONS(3001),
    [anon_sym_select] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3003),
    [anon_sym_stackalloc] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(3001),
    [anon_sym_typeof] = ACTIONS(3001),
    [anon_sym___makeref] = ACTIONS(3001),
    [anon_sym___reftype] = ACTIONS(3001),
    [anon_sym___refvalue] = ACTIONS(3001),
    [sym_null_literal] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3003),
    [sym_integer_literal] = ACTIONS(3001),
    [sym_real_literal] = ACTIONS(3003),
    [sym_verbatim_string_literal] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3003),
    [sym_interpolation_verbatim_start] = ACTIONS(3003),
    [sym_interpolation_raw_start] = ACTIONS(3003),
    [sym_raw_string_start] = ACTIONS(3003),
  },
  [2703] = {
    [sym_preproc_region] = STATE(2703),
    [sym_preproc_endregion] = STATE(2703),
    [sym_preproc_line] = STATE(2703),
    [sym_preproc_pragma] = STATE(2703),
    [sym_preproc_nullable] = STATE(2703),
    [sym_preproc_error] = STATE(2703),
    [sym_preproc_define] = STATE(2703),
    [sym_preproc_undef] = STATE(2703),
    [sym__identifier_token] = ACTIONS(3305),
    [anon_sym_extern] = ACTIONS(3305),
    [anon_sym_alias] = ACTIONS(3305),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_global] = ACTIONS(3305),
    [anon_sym_using] = ACTIONS(3305),
    [anon_sym_unsafe] = ACTIONS(3305),
    [anon_sym_static] = ACTIONS(3305),
    [anon_sym_LBRACK] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_return] = ACTIONS(3305),
    [anon_sym_ref] = ACTIONS(3305),
    [anon_sym_LBRACE] = ACTIONS(3307),
    [anon_sym_RBRACE] = ACTIONS(3307),
    [anon_sym_delegate] = ACTIONS(3305),
    [anon_sym_abstract] = ACTIONS(3305),
    [anon_sym_async] = ACTIONS(3305),
    [anon_sym_const] = ACTIONS(3305),
    [anon_sym_file] = ACTIONS(3305),
    [anon_sym_fixed] = ACTIONS(3305),
    [anon_sym_internal] = ACTIONS(3305),
    [anon_sym_new] = ACTIONS(3305),
    [anon_sym_override] = ACTIONS(3305),
    [anon_sym_partial] = ACTIONS(3305),
    [anon_sym_private] = ACTIONS(3305),
    [anon_sym_protected] = ACTIONS(3305),
    [anon_sym_public] = ACTIONS(3305),
    [anon_sym_readonly] = ACTIONS(3305),
    [anon_sym_required] = ACTIONS(3305),
    [anon_sym_sealed] = ACTIONS(3305),
    [anon_sym_virtual] = ACTIONS(3305),
    [anon_sym_volatile] = ACTIONS(3305),
    [anon_sym_where] = ACTIONS(3305),
    [anon_sym_notnull] = ACTIONS(3305),
    [anon_sym_unmanaged] = ACTIONS(3305),
    [anon_sym_checked] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3307),
    [anon_sym_TILDE] = ACTIONS(3307),
    [anon_sym_PLUS_PLUS] = ACTIONS(3307),
    [anon_sym_DASH_DASH] = ACTIONS(3307),
    [anon_sym_true] = ACTIONS(3305),
    [anon_sym_false] = ACTIONS(3305),
    [anon_sym_PLUS] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3307),
    [anon_sym_CARET] = ACTIONS(3307),
    [anon_sym_AMP] = ACTIONS(3307),
    [anon_sym_this] = ACTIONS(3305),
    [anon_sym_scoped] = ACTIONS(3305),
    [anon_sym_base] = ACTIONS(3305),
    [anon_sym_var] = ACTIONS(3305),
    [sym_predefined_type] = ACTIONS(3305),
    [anon_sym_break] = ACTIONS(3305),
    [anon_sym_unchecked] = ACTIONS(3305),
    [anon_sym_continue] = ACTIONS(3305),
    [anon_sym_do] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(3305),
    [anon_sym_for] = ACTIONS(3305),
    [anon_sym_lock] = ACTIONS(3305),
    [anon_sym_yield] = ACTIONS(3305),
    [anon_sym_switch] = ACTIONS(3305),
    [anon_sym_case] = ACTIONS(3305),
    [anon_sym_default] = ACTIONS(3305),
    [anon_sym_throw] = ACTIONS(3305),
    [anon_sym_try] = ACTIONS(3305),
    [anon_sym_when] = ACTIONS(3305),
    [anon_sym_await] = ACTIONS(3305),
    [anon_sym_foreach] = ACTIONS(3305),
    [anon_sym_goto] = ACTIONS(3305),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_else] = ACTIONS(3305),
    [anon_sym_DOT_DOT] = ACTIONS(3307),
    [anon_sym_from] = ACTIONS(3305),
    [anon_sym_into] = ACTIONS(3305),
    [anon_sym_join] = ACTIONS(3305),
    [anon_sym_on] = ACTIONS(3305),
    [anon_sym_equals] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_orderby] = ACTIONS(3305),
    [anon_sym_ascending] = ACTIONS(3305),
    [anon_sym_descending] = ACTIONS(3305),
    [anon_sym_group] = ACTIONS(3305),
    [anon_sym_by] = ACTIONS(3305),
    [anon_sym_select] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3307),
    [anon_sym_stackalloc] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3305),
    [anon_sym_typeof] = ACTIONS(3305),
    [anon_sym___makeref] = ACTIONS(3305),
    [anon_sym___reftype] = ACTIONS(3305),
    [anon_sym___refvalue] = ACTIONS(3305),
    [sym_null_literal] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3307),
    [sym_integer_literal] = ACTIONS(3305),
    [sym_real_literal] = ACTIONS(3307),
    [sym_verbatim_string_literal] = ACTIONS(3307),
    [aux_sym_preproc_if_token1] = ACTIONS(3307),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3307),
    [sym_interpolation_verbatim_start] = ACTIONS(3307),
    [sym_interpolation_raw_start] = ACTIONS(3307),
    [sym_raw_string_start] = ACTIONS(3307),
  },
  [2704] = {
    [sym_preproc_region] = STATE(2704),
    [sym_preproc_endregion] = STATE(2704),
    [sym_preproc_line] = STATE(2704),
    [sym_preproc_pragma] = STATE(2704),
    [sym_preproc_nullable] = STATE(2704),
    [sym_preproc_error] = STATE(2704),
    [sym_preproc_define] = STATE(2704),
    [sym_preproc_undef] = STATE(2704),
    [sym__identifier_token] = ACTIONS(3169),
    [anon_sym_extern] = ACTIONS(3169),
    [anon_sym_alias] = ACTIONS(3169),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_global] = ACTIONS(3169),
    [anon_sym_using] = ACTIONS(3169),
    [anon_sym_unsafe] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3171),
    [anon_sym_return] = ACTIONS(3169),
    [anon_sym_ref] = ACTIONS(3169),
    [anon_sym_LBRACE] = ACTIONS(3171),
    [anon_sym_RBRACE] = ACTIONS(3171),
    [anon_sym_delegate] = ACTIONS(3169),
    [anon_sym_abstract] = ACTIONS(3169),
    [anon_sym_async] = ACTIONS(3169),
    [anon_sym_const] = ACTIONS(3169),
    [anon_sym_file] = ACTIONS(3169),
    [anon_sym_fixed] = ACTIONS(3169),
    [anon_sym_internal] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3169),
    [anon_sym_override] = ACTIONS(3169),
    [anon_sym_partial] = ACTIONS(3169),
    [anon_sym_private] = ACTIONS(3169),
    [anon_sym_protected] = ACTIONS(3169),
    [anon_sym_public] = ACTIONS(3169),
    [anon_sym_readonly] = ACTIONS(3169),
    [anon_sym_required] = ACTIONS(3169),
    [anon_sym_sealed] = ACTIONS(3169),
    [anon_sym_virtual] = ACTIONS(3169),
    [anon_sym_volatile] = ACTIONS(3169),
    [anon_sym_where] = ACTIONS(3169),
    [anon_sym_notnull] = ACTIONS(3169),
    [anon_sym_unmanaged] = ACTIONS(3169),
    [anon_sym_checked] = ACTIONS(3169),
    [anon_sym_BANG] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3171),
    [anon_sym_DASH_DASH] = ACTIONS(3171),
    [anon_sym_true] = ACTIONS(3169),
    [anon_sym_false] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3169),
    [anon_sym_DASH] = ACTIONS(3169),
    [anon_sym_STAR] = ACTIONS(3171),
    [anon_sym_CARET] = ACTIONS(3171),
    [anon_sym_AMP] = ACTIONS(3171),
    [anon_sym_this] = ACTIONS(3169),
    [anon_sym_scoped] = ACTIONS(3169),
    [anon_sym_base] = ACTIONS(3169),
    [anon_sym_var] = ACTIONS(3169),
    [sym_predefined_type] = ACTIONS(3169),
    [anon_sym_break] = ACTIONS(3169),
    [anon_sym_unchecked] = ACTIONS(3169),
    [anon_sym_continue] = ACTIONS(3169),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_while] = ACTIONS(3169),
    [anon_sym_for] = ACTIONS(3169),
    [anon_sym_lock] = ACTIONS(3169),
    [anon_sym_yield] = ACTIONS(3169),
    [anon_sym_switch] = ACTIONS(3169),
    [anon_sym_case] = ACTIONS(3169),
    [anon_sym_default] = ACTIONS(3169),
    [anon_sym_throw] = ACTIONS(3169),
    [anon_sym_try] = ACTIONS(3169),
    [anon_sym_when] = ACTIONS(3169),
    [anon_sym_await] = ACTIONS(3169),
    [anon_sym_foreach] = ACTIONS(3169),
    [anon_sym_goto] = ACTIONS(3169),
    [anon_sym_if] = ACTIONS(3169),
    [anon_sym_else] = ACTIONS(3169),
    [anon_sym_DOT_DOT] = ACTIONS(3171),
    [anon_sym_from] = ACTIONS(3169),
    [anon_sym_into] = ACTIONS(3169),
    [anon_sym_join] = ACTIONS(3169),
    [anon_sym_on] = ACTIONS(3169),
    [anon_sym_equals] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3169),
    [anon_sym_orderby] = ACTIONS(3169),
    [anon_sym_ascending] = ACTIONS(3169),
    [anon_sym_descending] = ACTIONS(3169),
    [anon_sym_group] = ACTIONS(3169),
    [anon_sym_by] = ACTIONS(3169),
    [anon_sym_select] = ACTIONS(3169),
    [anon_sym_DQUOTE] = ACTIONS(3171),
    [anon_sym_stackalloc] = ACTIONS(3169),
    [anon_sym_sizeof] = ACTIONS(3169),
    [anon_sym_typeof] = ACTIONS(3169),
    [anon_sym___makeref] = ACTIONS(3169),
    [anon_sym___reftype] = ACTIONS(3169),
    [anon_sym___refvalue] = ACTIONS(3169),
    [sym_null_literal] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3171),
    [sym_integer_literal] = ACTIONS(3169),
    [sym_real_literal] = ACTIONS(3171),
    [sym_verbatim_string_literal] = ACTIONS(3171),
    [aux_sym_preproc_if_token1] = ACTIONS(3171),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3171),
    [sym_interpolation_verbatim_start] = ACTIONS(3171),
    [sym_interpolation_raw_start] = ACTIONS(3171),
    [sym_raw_string_start] = ACTIONS(3171),
  },
  [2705] = {
    [sym_preproc_region] = STATE(2705),
    [sym_preproc_endregion] = STATE(2705),
    [sym_preproc_line] = STATE(2705),
    [sym_preproc_pragma] = STATE(2705),
    [sym_preproc_nullable] = STATE(2705),
    [sym_preproc_error] = STATE(2705),
    [sym_preproc_define] = STATE(2705),
    [sym_preproc_undef] = STATE(2705),
    [sym__identifier_token] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym_alias] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym_global] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_unsafe] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_LPAREN] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_ref] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_delegate] = ACTIONS(3209),
    [anon_sym_abstract] = ACTIONS(3209),
    [anon_sym_async] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_file] = ACTIONS(3209),
    [anon_sym_fixed] = ACTIONS(3209),
    [anon_sym_internal] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_override] = ACTIONS(3209),
    [anon_sym_partial] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_readonly] = ACTIONS(3209),
    [anon_sym_required] = ACTIONS(3209),
    [anon_sym_sealed] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_where] = ACTIONS(3209),
    [anon_sym_notnull] = ACTIONS(3209),
    [anon_sym_unmanaged] = ACTIONS(3209),
    [anon_sym_checked] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_true] = ACTIONS(3209),
    [anon_sym_false] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_CARET] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_this] = ACTIONS(3209),
    [anon_sym_scoped] = ACTIONS(3209),
    [anon_sym_base] = ACTIONS(3209),
    [anon_sym_var] = ACTIONS(3209),
    [sym_predefined_type] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_unchecked] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_lock] = ACTIONS(3209),
    [anon_sym_yield] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_when] = ACTIONS(3209),
    [anon_sym_await] = ACTIONS(3209),
    [anon_sym_foreach] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_else] = ACTIONS(3209),
    [anon_sym_DOT_DOT] = ACTIONS(3211),
    [anon_sym_from] = ACTIONS(3209),
    [anon_sym_into] = ACTIONS(3209),
    [anon_sym_join] = ACTIONS(3209),
    [anon_sym_on] = ACTIONS(3209),
    [anon_sym_equals] = ACTIONS(3209),
    [anon_sym_let] = ACTIONS(3209),
    [anon_sym_orderby] = ACTIONS(3209),
    [anon_sym_ascending] = ACTIONS(3209),
    [anon_sym_descending] = ACTIONS(3209),
    [anon_sym_group] = ACTIONS(3209),
    [anon_sym_by] = ACTIONS(3209),
    [anon_sym_select] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [anon_sym_stackalloc] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym_typeof] = ACTIONS(3209),
    [anon_sym___makeref] = ACTIONS(3209),
    [anon_sym___reftype] = ACTIONS(3209),
    [anon_sym___refvalue] = ACTIONS(3209),
    [sym_null_literal] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [sym_integer_literal] = ACTIONS(3209),
    [sym_real_literal] = ACTIONS(3211),
    [sym_verbatim_string_literal] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3211),
    [sym_interpolation_verbatim_start] = ACTIONS(3211),
    [sym_interpolation_raw_start] = ACTIONS(3211),
    [sym_raw_string_start] = ACTIONS(3211),
  },
  [2706] = {
    [sym_preproc_region] = STATE(2706),
    [sym_preproc_endregion] = STATE(2706),
    [sym_preproc_line] = STATE(2706),
    [sym_preproc_pragma] = STATE(2706),
    [sym_preproc_nullable] = STATE(2706),
    [sym_preproc_error] = STATE(2706),
    [sym_preproc_define] = STATE(2706),
    [sym_preproc_undef] = STATE(2706),
    [sym__identifier_token] = ACTIONS(3121),
    [anon_sym_extern] = ACTIONS(3121),
    [anon_sym_alias] = ACTIONS(3121),
    [anon_sym_SEMI] = ACTIONS(3123),
    [anon_sym_global] = ACTIONS(3121),
    [anon_sym_using] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(3121),
    [anon_sym_static] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3123),
    [anon_sym_return] = ACTIONS(3121),
    [anon_sym_ref] = ACTIONS(3121),
    [anon_sym_LBRACE] = ACTIONS(3123),
    [anon_sym_RBRACE] = ACTIONS(3123),
    [anon_sym_delegate] = ACTIONS(3121),
    [anon_sym_abstract] = ACTIONS(3121),
    [anon_sym_async] = ACTIONS(3121),
    [anon_sym_const] = ACTIONS(3121),
    [anon_sym_file] = ACTIONS(3121),
    [anon_sym_fixed] = ACTIONS(3121),
    [anon_sym_internal] = ACTIONS(3121),
    [anon_sym_new] = ACTIONS(3121),
    [anon_sym_override] = ACTIONS(3121),
    [anon_sym_partial] = ACTIONS(3121),
    [anon_sym_private] = ACTIONS(3121),
    [anon_sym_protected] = ACTIONS(3121),
    [anon_sym_public] = ACTIONS(3121),
    [anon_sym_readonly] = ACTIONS(3121),
    [anon_sym_required] = ACTIONS(3121),
    [anon_sym_sealed] = ACTIONS(3121),
    [anon_sym_virtual] = ACTIONS(3121),
    [anon_sym_volatile] = ACTIONS(3121),
    [anon_sym_where] = ACTIONS(3121),
    [anon_sym_notnull] = ACTIONS(3121),
    [anon_sym_unmanaged] = ACTIONS(3121),
    [anon_sym_checked] = ACTIONS(3121),
    [anon_sym_BANG] = ACTIONS(3123),
    [anon_sym_TILDE] = ACTIONS(3123),
    [anon_sym_PLUS_PLUS] = ACTIONS(3123),
    [anon_sym_DASH_DASH] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3121),
    [anon_sym_false] = ACTIONS(3121),
    [anon_sym_PLUS] = ACTIONS(3121),
    [anon_sym_DASH] = ACTIONS(3121),
    [anon_sym_STAR] = ACTIONS(3123),
    [anon_sym_CARET] = ACTIONS(3123),
    [anon_sym_AMP] = ACTIONS(3123),
    [anon_sym_this] = ACTIONS(3121),
    [anon_sym_scoped] = ACTIONS(3121),
    [anon_sym_base] = ACTIONS(3121),
    [anon_sym_var] = ACTIONS(3121),
    [sym_predefined_type] = ACTIONS(3121),
    [anon_sym_break] = ACTIONS(3121),
    [anon_sym_unchecked] = ACTIONS(3121),
    [anon_sym_continue] = ACTIONS(3121),
    [anon_sym_do] = ACTIONS(3121),
    [anon_sym_while] = ACTIONS(3121),
    [anon_sym_for] = ACTIONS(3121),
    [anon_sym_lock] = ACTIONS(3121),
    [anon_sym_yield] = ACTIONS(3121),
    [anon_sym_switch] = ACTIONS(3121),
    [anon_sym_case] = ACTIONS(3121),
    [anon_sym_default] = ACTIONS(3121),
    [anon_sym_throw] = ACTIONS(3121),
    [anon_sym_try] = ACTIONS(3121),
    [anon_sym_when] = ACTIONS(3121),
    [anon_sym_await] = ACTIONS(3121),
    [anon_sym_foreach] = ACTIONS(3121),
    [anon_sym_goto] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3121),
    [anon_sym_else] = ACTIONS(3121),
    [anon_sym_DOT_DOT] = ACTIONS(3123),
    [anon_sym_from] = ACTIONS(3121),
    [anon_sym_into] = ACTIONS(3121),
    [anon_sym_join] = ACTIONS(3121),
    [anon_sym_on] = ACTIONS(3121),
    [anon_sym_equals] = ACTIONS(3121),
    [anon_sym_let] = ACTIONS(3121),
    [anon_sym_orderby] = ACTIONS(3121),
    [anon_sym_ascending] = ACTIONS(3121),
    [anon_sym_descending] = ACTIONS(3121),
    [anon_sym_group] = ACTIONS(3121),
    [anon_sym_by] = ACTIONS(3121),
    [anon_sym_select] = ACTIONS(3121),
    [anon_sym_DQUOTE] = ACTIONS(3123),
    [anon_sym_stackalloc] = ACTIONS(3121),
    [anon_sym_sizeof] = ACTIONS(3121),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym___makeref] = ACTIONS(3121),
    [anon_sym___reftype] = ACTIONS(3121),
    [anon_sym___refvalue] = ACTIONS(3121),
    [sym_null_literal] = ACTIONS(3121),
    [anon_sym_SQUOTE] = ACTIONS(3123),
    [sym_integer_literal] = ACTIONS(3121),
    [sym_real_literal] = ACTIONS(3123),
    [sym_verbatim_string_literal] = ACTIONS(3123),
    [aux_sym_preproc_if_token1] = ACTIONS(3123),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3123),
    [sym_interpolation_verbatim_start] = ACTIONS(3123),
    [sym_interpolation_raw_start] = ACTIONS(3123),
    [sym_raw_string_start] = ACTIONS(3123),
  },
  [2707] = {
    [sym_preproc_region] = STATE(2707),
    [sym_preproc_endregion] = STATE(2707),
    [sym_preproc_line] = STATE(2707),
    [sym_preproc_pragma] = STATE(2707),
    [sym_preproc_nullable] = STATE(2707),
    [sym_preproc_error] = STATE(2707),
    [sym_preproc_define] = STATE(2707),
    [sym_preproc_undef] = STATE(2707),
    [sym__identifier_token] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym_alias] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym_global] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_unsafe] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3311),
    [anon_sym_LPAREN] = ACTIONS(3311),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_ref] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_delegate] = ACTIONS(3309),
    [anon_sym_abstract] = ACTIONS(3309),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_file] = ACTIONS(3309),
    [anon_sym_fixed] = ACTIONS(3309),
    [anon_sym_internal] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_override] = ACTIONS(3309),
    [anon_sym_partial] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_readonly] = ACTIONS(3309),
    [anon_sym_required] = ACTIONS(3309),
    [anon_sym_sealed] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_where] = ACTIONS(3309),
    [anon_sym_notnull] = ACTIONS(3309),
    [anon_sym_unmanaged] = ACTIONS(3309),
    [anon_sym_checked] = ACTIONS(3309),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_true] = ACTIONS(3309),
    [anon_sym_false] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_CARET] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3311),
    [anon_sym_this] = ACTIONS(3309),
    [anon_sym_scoped] = ACTIONS(3309),
    [anon_sym_base] = ACTIONS(3309),
    [anon_sym_var] = ACTIONS(3309),
    [sym_predefined_type] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_unchecked] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_lock] = ACTIONS(3309),
    [anon_sym_yield] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_when] = ACTIONS(3309),
    [anon_sym_await] = ACTIONS(3309),
    [anon_sym_foreach] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_else] = ACTIONS(3309),
    [anon_sym_DOT_DOT] = ACTIONS(3311),
    [anon_sym_from] = ACTIONS(3309),
    [anon_sym_into] = ACTIONS(3309),
    [anon_sym_join] = ACTIONS(3309),
    [anon_sym_on] = ACTIONS(3309),
    [anon_sym_equals] = ACTIONS(3309),
    [anon_sym_let] = ACTIONS(3309),
    [anon_sym_orderby] = ACTIONS(3309),
    [anon_sym_ascending] = ACTIONS(3309),
    [anon_sym_descending] = ACTIONS(3309),
    [anon_sym_group] = ACTIONS(3309),
    [anon_sym_by] = ACTIONS(3309),
    [anon_sym_select] = ACTIONS(3309),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [anon_sym_stackalloc] = ACTIONS(3309),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym_typeof] = ACTIONS(3309),
    [anon_sym___makeref] = ACTIONS(3309),
    [anon_sym___reftype] = ACTIONS(3309),
    [anon_sym___refvalue] = ACTIONS(3309),
    [sym_null_literal] = ACTIONS(3309),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [sym_integer_literal] = ACTIONS(3309),
    [sym_real_literal] = ACTIONS(3311),
    [sym_verbatim_string_literal] = ACTIONS(3311),
    [aux_sym_preproc_if_token1] = ACTIONS(3311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3311),
    [sym_interpolation_verbatim_start] = ACTIONS(3311),
    [sym_interpolation_raw_start] = ACTIONS(3311),
    [sym_raw_string_start] = ACTIONS(3311),
  },
  [2708] = {
    [sym_preproc_region] = STATE(2708),
    [sym_preproc_endregion] = STATE(2708),
    [sym_preproc_line] = STATE(2708),
    [sym_preproc_pragma] = STATE(2708),
    [sym_preproc_nullable] = STATE(2708),
    [sym_preproc_error] = STATE(2708),
    [sym_preproc_define] = STATE(2708),
    [sym_preproc_undef] = STATE(2708),
    [sym__identifier_token] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym_alias] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym_global] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_unsafe] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_LPAREN] = ACTIONS(3049),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_ref] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_delegate] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3047),
    [anon_sym_async] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_file] = ACTIONS(3047),
    [anon_sym_fixed] = ACTIONS(3047),
    [anon_sym_internal] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_override] = ACTIONS(3047),
    [anon_sym_partial] = ACTIONS(3047),
    [anon_sym_private] = ACTIONS(3047),
    [anon_sym_protected] = ACTIONS(3047),
    [anon_sym_public] = ACTIONS(3047),
    [anon_sym_readonly] = ACTIONS(3047),
    [anon_sym_required] = ACTIONS(3047),
    [anon_sym_sealed] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_where] = ACTIONS(3047),
    [anon_sym_notnull] = ACTIONS(3047),
    [anon_sym_unmanaged] = ACTIONS(3047),
    [anon_sym_checked] = ACTIONS(3047),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_true] = ACTIONS(3047),
    [anon_sym_false] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_CARET] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3049),
    [anon_sym_this] = ACTIONS(3047),
    [anon_sym_scoped] = ACTIONS(3047),
    [anon_sym_base] = ACTIONS(3047),
    [anon_sym_var] = ACTIONS(3047),
    [sym_predefined_type] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_unchecked] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_lock] = ACTIONS(3047),
    [anon_sym_yield] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_when] = ACTIONS(3047),
    [anon_sym_await] = ACTIONS(3047),
    [anon_sym_foreach] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_else] = ACTIONS(3047),
    [anon_sym_DOT_DOT] = ACTIONS(3049),
    [anon_sym_from] = ACTIONS(3047),
    [anon_sym_into] = ACTIONS(3047),
    [anon_sym_join] = ACTIONS(3047),
    [anon_sym_on] = ACTIONS(3047),
    [anon_sym_equals] = ACTIONS(3047),
    [anon_sym_let] = ACTIONS(3047),
    [anon_sym_orderby] = ACTIONS(3047),
    [anon_sym_ascending] = ACTIONS(3047),
    [anon_sym_descending] = ACTIONS(3047),
    [anon_sym_group] = ACTIONS(3047),
    [anon_sym_by] = ACTIONS(3047),
    [anon_sym_select] = ACTIONS(3047),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [anon_sym_stackalloc] = ACTIONS(3047),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym_typeof] = ACTIONS(3047),
    [anon_sym___makeref] = ACTIONS(3047),
    [anon_sym___reftype] = ACTIONS(3047),
    [anon_sym___refvalue] = ACTIONS(3047),
    [sym_null_literal] = ACTIONS(3047),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [sym_integer_literal] = ACTIONS(3047),
    [sym_real_literal] = ACTIONS(3049),
    [sym_verbatim_string_literal] = ACTIONS(3049),
    [aux_sym_preproc_if_token1] = ACTIONS(3049),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3049),
    [sym_interpolation_verbatim_start] = ACTIONS(3049),
    [sym_interpolation_raw_start] = ACTIONS(3049),
    [sym_raw_string_start] = ACTIONS(3049),
  },
  [2709] = {
    [sym_preproc_region] = STATE(2709),
    [sym_preproc_endregion] = STATE(2709),
    [sym_preproc_line] = STATE(2709),
    [sym_preproc_pragma] = STATE(2709),
    [sym_preproc_nullable] = STATE(2709),
    [sym_preproc_error] = STATE(2709),
    [sym_preproc_define] = STATE(2709),
    [sym_preproc_undef] = STATE(2709),
    [sym__identifier_token] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym_alias] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym_global] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_unsafe] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3315),
    [anon_sym_LPAREN] = ACTIONS(3315),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_ref] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_delegate] = ACTIONS(3313),
    [anon_sym_abstract] = ACTIONS(3313),
    [anon_sym_async] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_file] = ACTIONS(3313),
    [anon_sym_fixed] = ACTIONS(3313),
    [anon_sym_internal] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_override] = ACTIONS(3313),
    [anon_sym_partial] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3313),
    [anon_sym_required] = ACTIONS(3313),
    [anon_sym_sealed] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_where] = ACTIONS(3313),
    [anon_sym_notnull] = ACTIONS(3313),
    [anon_sym_unmanaged] = ACTIONS(3313),
    [anon_sym_checked] = ACTIONS(3313),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_true] = ACTIONS(3313),
    [anon_sym_false] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_CARET] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_this] = ACTIONS(3313),
    [anon_sym_scoped] = ACTIONS(3313),
    [anon_sym_base] = ACTIONS(3313),
    [anon_sym_var] = ACTIONS(3313),
    [sym_predefined_type] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_unchecked] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_lock] = ACTIONS(3313),
    [anon_sym_yield] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_when] = ACTIONS(3313),
    [anon_sym_await] = ACTIONS(3313),
    [anon_sym_foreach] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_else] = ACTIONS(3313),
    [anon_sym_DOT_DOT] = ACTIONS(3315),
    [anon_sym_from] = ACTIONS(3313),
    [anon_sym_into] = ACTIONS(3313),
    [anon_sym_join] = ACTIONS(3313),
    [anon_sym_on] = ACTIONS(3313),
    [anon_sym_equals] = ACTIONS(3313),
    [anon_sym_let] = ACTIONS(3313),
    [anon_sym_orderby] = ACTIONS(3313),
    [anon_sym_ascending] = ACTIONS(3313),
    [anon_sym_descending] = ACTIONS(3313),
    [anon_sym_group] = ACTIONS(3313),
    [anon_sym_by] = ACTIONS(3313),
    [anon_sym_select] = ACTIONS(3313),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [anon_sym_stackalloc] = ACTIONS(3313),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym_typeof] = ACTIONS(3313),
    [anon_sym___makeref] = ACTIONS(3313),
    [anon_sym___reftype] = ACTIONS(3313),
    [anon_sym___refvalue] = ACTIONS(3313),
    [sym_null_literal] = ACTIONS(3313),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [sym_integer_literal] = ACTIONS(3313),
    [sym_real_literal] = ACTIONS(3315),
    [sym_verbatim_string_literal] = ACTIONS(3315),
    [aux_sym_preproc_if_token1] = ACTIONS(3315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3315),
    [sym_interpolation_verbatim_start] = ACTIONS(3315),
    [sym_interpolation_raw_start] = ACTIONS(3315),
    [sym_raw_string_start] = ACTIONS(3315),
  },
  [2710] = {
    [sym_preproc_region] = STATE(2710),
    [sym_preproc_endregion] = STATE(2710),
    [sym_preproc_line] = STATE(2710),
    [sym_preproc_pragma] = STATE(2710),
    [sym_preproc_nullable] = STATE(2710),
    [sym_preproc_error] = STATE(2710),
    [sym_preproc_define] = STATE(2710),
    [sym_preproc_undef] = STATE(2710),
    [sym__identifier_token] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym_alias] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym_global] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_unsafe] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(3319),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_ref] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_delegate] = ACTIONS(3317),
    [anon_sym_abstract] = ACTIONS(3317),
    [anon_sym_async] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_file] = ACTIONS(3317),
    [anon_sym_fixed] = ACTIONS(3317),
    [anon_sym_internal] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_override] = ACTIONS(3317),
    [anon_sym_partial] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_readonly] = ACTIONS(3317),
    [anon_sym_required] = ACTIONS(3317),
    [anon_sym_sealed] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_where] = ACTIONS(3317),
    [anon_sym_notnull] = ACTIONS(3317),
    [anon_sym_unmanaged] = ACTIONS(3317),
    [anon_sym_checked] = ACTIONS(3317),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_true] = ACTIONS(3317),
    [anon_sym_false] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_CARET] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3319),
    [anon_sym_this] = ACTIONS(3317),
    [anon_sym_scoped] = ACTIONS(3317),
    [anon_sym_base] = ACTIONS(3317),
    [anon_sym_var] = ACTIONS(3317),
    [sym_predefined_type] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_unchecked] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_lock] = ACTIONS(3317),
    [anon_sym_yield] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_when] = ACTIONS(3317),
    [anon_sym_await] = ACTIONS(3317),
    [anon_sym_foreach] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_else] = ACTIONS(3317),
    [anon_sym_DOT_DOT] = ACTIONS(3319),
    [anon_sym_from] = ACTIONS(3317),
    [anon_sym_into] = ACTIONS(3317),
    [anon_sym_join] = ACTIONS(3317),
    [anon_sym_on] = ACTIONS(3317),
    [anon_sym_equals] = ACTIONS(3317),
    [anon_sym_let] = ACTIONS(3317),
    [anon_sym_orderby] = ACTIONS(3317),
    [anon_sym_ascending] = ACTIONS(3317),
    [anon_sym_descending] = ACTIONS(3317),
    [anon_sym_group] = ACTIONS(3317),
    [anon_sym_by] = ACTIONS(3317),
    [anon_sym_select] = ACTIONS(3317),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [anon_sym_stackalloc] = ACTIONS(3317),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym_typeof] = ACTIONS(3317),
    [anon_sym___makeref] = ACTIONS(3317),
    [anon_sym___reftype] = ACTIONS(3317),
    [anon_sym___refvalue] = ACTIONS(3317),
    [sym_null_literal] = ACTIONS(3317),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [sym_integer_literal] = ACTIONS(3317),
    [sym_real_literal] = ACTIONS(3319),
    [sym_verbatim_string_literal] = ACTIONS(3319),
    [aux_sym_preproc_if_token1] = ACTIONS(3319),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3319),
    [sym_interpolation_verbatim_start] = ACTIONS(3319),
    [sym_interpolation_raw_start] = ACTIONS(3319),
    [sym_raw_string_start] = ACTIONS(3319),
  },
  [2711] = {
    [sym_preproc_region] = STATE(2711),
    [sym_preproc_endregion] = STATE(2711),
    [sym_preproc_line] = STATE(2711),
    [sym_preproc_pragma] = STATE(2711),
    [sym_preproc_nullable] = STATE(2711),
    [sym_preproc_error] = STATE(2711),
    [sym_preproc_define] = STATE(2711),
    [sym_preproc_undef] = STATE(2711),
    [sym__identifier_token] = ACTIONS(3129),
    [anon_sym_extern] = ACTIONS(3129),
    [anon_sym_alias] = ACTIONS(3129),
    [anon_sym_SEMI] = ACTIONS(3131),
    [anon_sym_global] = ACTIONS(3129),
    [anon_sym_using] = ACTIONS(3129),
    [anon_sym_unsafe] = ACTIONS(3129),
    [anon_sym_static] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(3131),
    [anon_sym_LPAREN] = ACTIONS(3131),
    [anon_sym_return] = ACTIONS(3129),
    [anon_sym_ref] = ACTIONS(3129),
    [anon_sym_LBRACE] = ACTIONS(3131),
    [anon_sym_RBRACE] = ACTIONS(3131),
    [anon_sym_delegate] = ACTIONS(3129),
    [anon_sym_abstract] = ACTIONS(3129),
    [anon_sym_async] = ACTIONS(3129),
    [anon_sym_const] = ACTIONS(3129),
    [anon_sym_file] = ACTIONS(3129),
    [anon_sym_fixed] = ACTIONS(3129),
    [anon_sym_internal] = ACTIONS(3129),
    [anon_sym_new] = ACTIONS(3129),
    [anon_sym_override] = ACTIONS(3129),
    [anon_sym_partial] = ACTIONS(3129),
    [anon_sym_private] = ACTIONS(3129),
    [anon_sym_protected] = ACTIONS(3129),
    [anon_sym_public] = ACTIONS(3129),
    [anon_sym_readonly] = ACTIONS(3129),
    [anon_sym_required] = ACTIONS(3129),
    [anon_sym_sealed] = ACTIONS(3129),
    [anon_sym_virtual] = ACTIONS(3129),
    [anon_sym_volatile] = ACTIONS(3129),
    [anon_sym_where] = ACTIONS(3129),
    [anon_sym_notnull] = ACTIONS(3129),
    [anon_sym_unmanaged] = ACTIONS(3129),
    [anon_sym_checked] = ACTIONS(3129),
    [anon_sym_BANG] = ACTIONS(3131),
    [anon_sym_TILDE] = ACTIONS(3131),
    [anon_sym_PLUS_PLUS] = ACTIONS(3131),
    [anon_sym_DASH_DASH] = ACTIONS(3131),
    [anon_sym_true] = ACTIONS(3129),
    [anon_sym_false] = ACTIONS(3129),
    [anon_sym_PLUS] = ACTIONS(3129),
    [anon_sym_DASH] = ACTIONS(3129),
    [anon_sym_STAR] = ACTIONS(3131),
    [anon_sym_CARET] = ACTIONS(3131),
    [anon_sym_AMP] = ACTIONS(3131),
    [anon_sym_this] = ACTIONS(3129),
    [anon_sym_scoped] = ACTIONS(3129),
    [anon_sym_base] = ACTIONS(3129),
    [anon_sym_var] = ACTIONS(3129),
    [sym_predefined_type] = ACTIONS(3129),
    [anon_sym_break] = ACTIONS(3129),
    [anon_sym_unchecked] = ACTIONS(3129),
    [anon_sym_continue] = ACTIONS(3129),
    [anon_sym_do] = ACTIONS(3129),
    [anon_sym_while] = ACTIONS(3129),
    [anon_sym_for] = ACTIONS(3129),
    [anon_sym_lock] = ACTIONS(3129),
    [anon_sym_yield] = ACTIONS(3129),
    [anon_sym_switch] = ACTIONS(3129),
    [anon_sym_case] = ACTIONS(3129),
    [anon_sym_default] = ACTIONS(3129),
    [anon_sym_throw] = ACTIONS(3129),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_when] = ACTIONS(3129),
    [anon_sym_await] = ACTIONS(3129),
    [anon_sym_foreach] = ACTIONS(3129),
    [anon_sym_goto] = ACTIONS(3129),
    [anon_sym_if] = ACTIONS(3129),
    [anon_sym_else] = ACTIONS(3129),
    [anon_sym_DOT_DOT] = ACTIONS(3131),
    [anon_sym_from] = ACTIONS(3129),
    [anon_sym_into] = ACTIONS(3129),
    [anon_sym_join] = ACTIONS(3129),
    [anon_sym_on] = ACTIONS(3129),
    [anon_sym_equals] = ACTIONS(3129),
    [anon_sym_let] = ACTIONS(3129),
    [anon_sym_orderby] = ACTIONS(3129),
    [anon_sym_ascending] = ACTIONS(3129),
    [anon_sym_descending] = ACTIONS(3129),
    [anon_sym_group] = ACTIONS(3129),
    [anon_sym_by] = ACTIONS(3129),
    [anon_sym_select] = ACTIONS(3129),
    [anon_sym_DQUOTE] = ACTIONS(3131),
    [anon_sym_stackalloc] = ACTIONS(3129),
    [anon_sym_sizeof] = ACTIONS(3129),
    [anon_sym_typeof] = ACTIONS(3129),
    [anon_sym___makeref] = ACTIONS(3129),
    [anon_sym___reftype] = ACTIONS(3129),
    [anon_sym___refvalue] = ACTIONS(3129),
    [sym_null_literal] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [sym_integer_literal] = ACTIONS(3129),
    [sym_real_literal] = ACTIONS(3131),
    [sym_verbatim_string_literal] = ACTIONS(3131),
    [aux_sym_preproc_if_token1] = ACTIONS(3131),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3131),
    [sym_interpolation_verbatim_start] = ACTIONS(3131),
    [sym_interpolation_raw_start] = ACTIONS(3131),
    [sym_raw_string_start] = ACTIONS(3131),
  },
  [2712] = {
    [sym_preproc_region] = STATE(2712),
    [sym_preproc_endregion] = STATE(2712),
    [sym_preproc_line] = STATE(2712),
    [sym_preproc_pragma] = STATE(2712),
    [sym_preproc_nullable] = STATE(2712),
    [sym_preproc_error] = STATE(2712),
    [sym_preproc_define] = STATE(2712),
    [sym_preproc_undef] = STATE(2712),
    [sym__identifier_token] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym_alias] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym_global] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_unsafe] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3323),
    [anon_sym_LPAREN] = ACTIONS(3323),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_ref] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_delegate] = ACTIONS(3321),
    [anon_sym_abstract] = ACTIONS(3321),
    [anon_sym_async] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_file] = ACTIONS(3321),
    [anon_sym_fixed] = ACTIONS(3321),
    [anon_sym_internal] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_partial] = ACTIONS(3321),
    [anon_sym_private] = ACTIONS(3321),
    [anon_sym_protected] = ACTIONS(3321),
    [anon_sym_public] = ACTIONS(3321),
    [anon_sym_readonly] = ACTIONS(3321),
    [anon_sym_required] = ACTIONS(3321),
    [anon_sym_sealed] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_where] = ACTIONS(3321),
    [anon_sym_notnull] = ACTIONS(3321),
    [anon_sym_unmanaged] = ACTIONS(3321),
    [anon_sym_checked] = ACTIONS(3321),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_true] = ACTIONS(3321),
    [anon_sym_false] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_CARET] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3323),
    [anon_sym_this] = ACTIONS(3321),
    [anon_sym_scoped] = ACTIONS(3321),
    [anon_sym_base] = ACTIONS(3321),
    [anon_sym_var] = ACTIONS(3321),
    [sym_predefined_type] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_unchecked] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_lock] = ACTIONS(3321),
    [anon_sym_yield] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_when] = ACTIONS(3321),
    [anon_sym_await] = ACTIONS(3321),
    [anon_sym_foreach] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_else] = ACTIONS(3321),
    [anon_sym_DOT_DOT] = ACTIONS(3323),
    [anon_sym_from] = ACTIONS(3321),
    [anon_sym_into] = ACTIONS(3321),
    [anon_sym_join] = ACTIONS(3321),
    [anon_sym_on] = ACTIONS(3321),
    [anon_sym_equals] = ACTIONS(3321),
    [anon_sym_let] = ACTIONS(3321),
    [anon_sym_orderby] = ACTIONS(3321),
    [anon_sym_ascending] = ACTIONS(3321),
    [anon_sym_descending] = ACTIONS(3321),
    [anon_sym_group] = ACTIONS(3321),
    [anon_sym_by] = ACTIONS(3321),
    [anon_sym_select] = ACTIONS(3321),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [anon_sym_stackalloc] = ACTIONS(3321),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym_typeof] = ACTIONS(3321),
    [anon_sym___makeref] = ACTIONS(3321),
    [anon_sym___reftype] = ACTIONS(3321),
    [anon_sym___refvalue] = ACTIONS(3321),
    [sym_null_literal] = ACTIONS(3321),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [sym_integer_literal] = ACTIONS(3321),
    [sym_real_literal] = ACTIONS(3323),
    [sym_verbatim_string_literal] = ACTIONS(3323),
    [aux_sym_preproc_if_token1] = ACTIONS(3323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3323),
    [sym_interpolation_verbatim_start] = ACTIONS(3323),
    [sym_interpolation_raw_start] = ACTIONS(3323),
    [sym_raw_string_start] = ACTIONS(3323),
  },
  [2713] = {
    [sym_preproc_region] = STATE(2713),
    [sym_preproc_endregion] = STATE(2713),
    [sym_preproc_line] = STATE(2713),
    [sym_preproc_pragma] = STATE(2713),
    [sym_preproc_nullable] = STATE(2713),
    [sym_preproc_error] = STATE(2713),
    [sym_preproc_define] = STATE(2713),
    [sym_preproc_undef] = STATE(2713),
    [sym__identifier_token] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym_alias] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym_global] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_unsafe] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3327),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_ref] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_delegate] = ACTIONS(3325),
    [anon_sym_abstract] = ACTIONS(3325),
    [anon_sym_async] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_file] = ACTIONS(3325),
    [anon_sym_fixed] = ACTIONS(3325),
    [anon_sym_internal] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_override] = ACTIONS(3325),
    [anon_sym_partial] = ACTIONS(3325),
    [anon_sym_private] = ACTIONS(3325),
    [anon_sym_protected] = ACTIONS(3325),
    [anon_sym_public] = ACTIONS(3325),
    [anon_sym_readonly] = ACTIONS(3325),
    [anon_sym_required] = ACTIONS(3325),
    [anon_sym_sealed] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_where] = ACTIONS(3325),
    [anon_sym_notnull] = ACTIONS(3325),
    [anon_sym_unmanaged] = ACTIONS(3325),
    [anon_sym_checked] = ACTIONS(3325),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_true] = ACTIONS(3325),
    [anon_sym_false] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_CARET] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3327),
    [anon_sym_this] = ACTIONS(3325),
    [anon_sym_scoped] = ACTIONS(3325),
    [anon_sym_base] = ACTIONS(3325),
    [anon_sym_var] = ACTIONS(3325),
    [sym_predefined_type] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_unchecked] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_lock] = ACTIONS(3325),
    [anon_sym_yield] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_when] = ACTIONS(3325),
    [anon_sym_await] = ACTIONS(3325),
    [anon_sym_foreach] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_else] = ACTIONS(3325),
    [anon_sym_DOT_DOT] = ACTIONS(3327),
    [anon_sym_from] = ACTIONS(3325),
    [anon_sym_into] = ACTIONS(3325),
    [anon_sym_join] = ACTIONS(3325),
    [anon_sym_on] = ACTIONS(3325),
    [anon_sym_equals] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3325),
    [anon_sym_orderby] = ACTIONS(3325),
    [anon_sym_ascending] = ACTIONS(3325),
    [anon_sym_descending] = ACTIONS(3325),
    [anon_sym_group] = ACTIONS(3325),
    [anon_sym_by] = ACTIONS(3325),
    [anon_sym_select] = ACTIONS(3325),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [anon_sym_stackalloc] = ACTIONS(3325),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym_typeof] = ACTIONS(3325),
    [anon_sym___makeref] = ACTIONS(3325),
    [anon_sym___reftype] = ACTIONS(3325),
    [anon_sym___refvalue] = ACTIONS(3325),
    [sym_null_literal] = ACTIONS(3325),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [sym_integer_literal] = ACTIONS(3325),
    [sym_real_literal] = ACTIONS(3327),
    [sym_verbatim_string_literal] = ACTIONS(3327),
    [aux_sym_preproc_if_token1] = ACTIONS(3327),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3327),
    [sym_interpolation_verbatim_start] = ACTIONS(3327),
    [sym_interpolation_raw_start] = ACTIONS(3327),
    [sym_raw_string_start] = ACTIONS(3327),
  },
  [2714] = {
    [sym_preproc_region] = STATE(2714),
    [sym_preproc_endregion] = STATE(2714),
    [sym_preproc_line] = STATE(2714),
    [sym_preproc_pragma] = STATE(2714),
    [sym_preproc_nullable] = STATE(2714),
    [sym_preproc_error] = STATE(2714),
    [sym_preproc_define] = STATE(2714),
    [sym_preproc_undef] = STATE(2714),
    [sym__identifier_token] = ACTIONS(3329),
    [anon_sym_extern] = ACTIONS(3329),
    [anon_sym_alias] = ACTIONS(3329),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym_global] = ACTIONS(3329),
    [anon_sym_using] = ACTIONS(3329),
    [anon_sym_unsafe] = ACTIONS(3329),
    [anon_sym_static] = ACTIONS(3329),
    [anon_sym_LBRACK] = ACTIONS(3331),
    [anon_sym_LPAREN] = ACTIONS(3331),
    [anon_sym_return] = ACTIONS(3329),
    [anon_sym_ref] = ACTIONS(3329),
    [anon_sym_LBRACE] = ACTIONS(3331),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_delegate] = ACTIONS(3329),
    [anon_sym_abstract] = ACTIONS(3329),
    [anon_sym_async] = ACTIONS(3329),
    [anon_sym_const] = ACTIONS(3329),
    [anon_sym_file] = ACTIONS(3329),
    [anon_sym_fixed] = ACTIONS(3329),
    [anon_sym_internal] = ACTIONS(3329),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_override] = ACTIONS(3329),
    [anon_sym_partial] = ACTIONS(3329),
    [anon_sym_private] = ACTIONS(3329),
    [anon_sym_protected] = ACTIONS(3329),
    [anon_sym_public] = ACTIONS(3329),
    [anon_sym_readonly] = ACTIONS(3329),
    [anon_sym_required] = ACTIONS(3329),
    [anon_sym_sealed] = ACTIONS(3329),
    [anon_sym_virtual] = ACTIONS(3329),
    [anon_sym_volatile] = ACTIONS(3329),
    [anon_sym_where] = ACTIONS(3329),
    [anon_sym_notnull] = ACTIONS(3329),
    [anon_sym_unmanaged] = ACTIONS(3329),
    [anon_sym_checked] = ACTIONS(3329),
    [anon_sym_BANG] = ACTIONS(3331),
    [anon_sym_TILDE] = ACTIONS(3331),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_true] = ACTIONS(3329),
    [anon_sym_false] = ACTIONS(3329),
    [anon_sym_PLUS] = ACTIONS(3329),
    [anon_sym_DASH] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3331),
    [anon_sym_CARET] = ACTIONS(3331),
    [anon_sym_AMP] = ACTIONS(3331),
    [anon_sym_this] = ACTIONS(3329),
    [anon_sym_scoped] = ACTIONS(3329),
    [anon_sym_base] = ACTIONS(3329),
    [anon_sym_var] = ACTIONS(3329),
    [sym_predefined_type] = ACTIONS(3329),
    [anon_sym_break] = ACTIONS(3329),
    [anon_sym_unchecked] = ACTIONS(3329),
    [anon_sym_continue] = ACTIONS(3329),
    [anon_sym_do] = ACTIONS(3329),
    [anon_sym_while] = ACTIONS(3329),
    [anon_sym_for] = ACTIONS(3329),
    [anon_sym_lock] = ACTIONS(3329),
    [anon_sym_yield] = ACTIONS(3329),
    [anon_sym_switch] = ACTIONS(3329),
    [anon_sym_case] = ACTIONS(3329),
    [anon_sym_default] = ACTIONS(3329),
    [anon_sym_throw] = ACTIONS(3329),
    [anon_sym_try] = ACTIONS(3329),
    [anon_sym_when] = ACTIONS(3329),
    [anon_sym_await] = ACTIONS(3329),
    [anon_sym_foreach] = ACTIONS(3329),
    [anon_sym_goto] = ACTIONS(3329),
    [anon_sym_if] = ACTIONS(3329),
    [anon_sym_else] = ACTIONS(3329),
    [anon_sym_DOT_DOT] = ACTIONS(3331),
    [anon_sym_from] = ACTIONS(3329),
    [anon_sym_into] = ACTIONS(3329),
    [anon_sym_join] = ACTIONS(3329),
    [anon_sym_on] = ACTIONS(3329),
    [anon_sym_equals] = ACTIONS(3329),
    [anon_sym_let] = ACTIONS(3329),
    [anon_sym_orderby] = ACTIONS(3329),
    [anon_sym_ascending] = ACTIONS(3329),
    [anon_sym_descending] = ACTIONS(3329),
    [anon_sym_group] = ACTIONS(3329),
    [anon_sym_by] = ACTIONS(3329),
    [anon_sym_select] = ACTIONS(3329),
    [anon_sym_DQUOTE] = ACTIONS(3331),
    [anon_sym_stackalloc] = ACTIONS(3329),
    [anon_sym_sizeof] = ACTIONS(3329),
    [anon_sym_typeof] = ACTIONS(3329),
    [anon_sym___makeref] = ACTIONS(3329),
    [anon_sym___reftype] = ACTIONS(3329),
    [anon_sym___refvalue] = ACTIONS(3329),
    [sym_null_literal] = ACTIONS(3329),
    [anon_sym_SQUOTE] = ACTIONS(3331),
    [sym_integer_literal] = ACTIONS(3329),
    [sym_real_literal] = ACTIONS(3331),
    [sym_verbatim_string_literal] = ACTIONS(3331),
    [aux_sym_preproc_if_token1] = ACTIONS(3331),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3331),
    [sym_interpolation_verbatim_start] = ACTIONS(3331),
    [sym_interpolation_raw_start] = ACTIONS(3331),
    [sym_raw_string_start] = ACTIONS(3331),
  },
  [2715] = {
    [sym_preproc_region] = STATE(2715),
    [sym_preproc_endregion] = STATE(2715),
    [sym_preproc_line] = STATE(2715),
    [sym_preproc_pragma] = STATE(2715),
    [sym_preproc_nullable] = STATE(2715),
    [sym_preproc_error] = STATE(2715),
    [sym_preproc_define] = STATE(2715),
    [sym_preproc_undef] = STATE(2715),
    [sym__identifier_token] = ACTIONS(3333),
    [anon_sym_extern] = ACTIONS(3333),
    [anon_sym_alias] = ACTIONS(3333),
    [anon_sym_SEMI] = ACTIONS(3335),
    [anon_sym_global] = ACTIONS(3333),
    [anon_sym_using] = ACTIONS(3333),
    [anon_sym_unsafe] = ACTIONS(3333),
    [anon_sym_static] = ACTIONS(3333),
    [anon_sym_LBRACK] = ACTIONS(3335),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_return] = ACTIONS(3333),
    [anon_sym_ref] = ACTIONS(3333),
    [anon_sym_LBRACE] = ACTIONS(3335),
    [anon_sym_RBRACE] = ACTIONS(3335),
    [anon_sym_delegate] = ACTIONS(3333),
    [anon_sym_abstract] = ACTIONS(3333),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_const] = ACTIONS(3333),
    [anon_sym_file] = ACTIONS(3333),
    [anon_sym_fixed] = ACTIONS(3333),
    [anon_sym_internal] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3333),
    [anon_sym_override] = ACTIONS(3333),
    [anon_sym_partial] = ACTIONS(3333),
    [anon_sym_private] = ACTIONS(3333),
    [anon_sym_protected] = ACTIONS(3333),
    [anon_sym_public] = ACTIONS(3333),
    [anon_sym_readonly] = ACTIONS(3333),
    [anon_sym_required] = ACTIONS(3333),
    [anon_sym_sealed] = ACTIONS(3333),
    [anon_sym_virtual] = ACTIONS(3333),
    [anon_sym_volatile] = ACTIONS(3333),
    [anon_sym_where] = ACTIONS(3333),
    [anon_sym_notnull] = ACTIONS(3333),
    [anon_sym_unmanaged] = ACTIONS(3333),
    [anon_sym_checked] = ACTIONS(3333),
    [anon_sym_BANG] = ACTIONS(3335),
    [anon_sym_TILDE] = ACTIONS(3335),
    [anon_sym_PLUS_PLUS] = ACTIONS(3335),
    [anon_sym_DASH_DASH] = ACTIONS(3335),
    [anon_sym_true] = ACTIONS(3333),
    [anon_sym_false] = ACTIONS(3333),
    [anon_sym_PLUS] = ACTIONS(3333),
    [anon_sym_DASH] = ACTIONS(3333),
    [anon_sym_STAR] = ACTIONS(3335),
    [anon_sym_CARET] = ACTIONS(3335),
    [anon_sym_AMP] = ACTIONS(3335),
    [anon_sym_this] = ACTIONS(3333),
    [anon_sym_scoped] = ACTIONS(3333),
    [anon_sym_base] = ACTIONS(3333),
    [anon_sym_var] = ACTIONS(3333),
    [sym_predefined_type] = ACTIONS(3333),
    [anon_sym_break] = ACTIONS(3333),
    [anon_sym_unchecked] = ACTIONS(3333),
    [anon_sym_continue] = ACTIONS(3333),
    [anon_sym_do] = ACTIONS(3333),
    [anon_sym_while] = ACTIONS(3333),
    [anon_sym_for] = ACTIONS(3333),
    [anon_sym_lock] = ACTIONS(3333),
    [anon_sym_yield] = ACTIONS(3333),
    [anon_sym_switch] = ACTIONS(3333),
    [anon_sym_case] = ACTIONS(3333),
    [anon_sym_default] = ACTIONS(3333),
    [anon_sym_throw] = ACTIONS(3333),
    [anon_sym_try] = ACTIONS(3333),
    [anon_sym_when] = ACTIONS(3333),
    [anon_sym_await] = ACTIONS(3333),
    [anon_sym_foreach] = ACTIONS(3333),
    [anon_sym_goto] = ACTIONS(3333),
    [anon_sym_if] = ACTIONS(3333),
    [anon_sym_else] = ACTIONS(3333),
    [anon_sym_DOT_DOT] = ACTIONS(3335),
    [anon_sym_from] = ACTIONS(3333),
    [anon_sym_into] = ACTIONS(3333),
    [anon_sym_join] = ACTIONS(3333),
    [anon_sym_on] = ACTIONS(3333),
    [anon_sym_equals] = ACTIONS(3333),
    [anon_sym_let] = ACTIONS(3333),
    [anon_sym_orderby] = ACTIONS(3333),
    [anon_sym_ascending] = ACTIONS(3333),
    [anon_sym_descending] = ACTIONS(3333),
    [anon_sym_group] = ACTIONS(3333),
    [anon_sym_by] = ACTIONS(3333),
    [anon_sym_select] = ACTIONS(3333),
    [anon_sym_DQUOTE] = ACTIONS(3335),
    [anon_sym_stackalloc] = ACTIONS(3333),
    [anon_sym_sizeof] = ACTIONS(3333),
    [anon_sym_typeof] = ACTIONS(3333),
    [anon_sym___makeref] = ACTIONS(3333),
    [anon_sym___reftype] = ACTIONS(3333),
    [anon_sym___refvalue] = ACTIONS(3333),
    [sym_null_literal] = ACTIONS(3333),
    [anon_sym_SQUOTE] = ACTIONS(3335),
    [sym_integer_literal] = ACTIONS(3333),
    [sym_real_literal] = ACTIONS(3335),
    [sym_verbatim_string_literal] = ACTIONS(3335),
    [aux_sym_preproc_if_token1] = ACTIONS(3335),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3335),
    [sym_interpolation_verbatim_start] = ACTIONS(3335),
    [sym_interpolation_raw_start] = ACTIONS(3335),
    [sym_raw_string_start] = ACTIONS(3335),
  },
  [2716] = {
    [sym_preproc_region] = STATE(2716),
    [sym_preproc_endregion] = STATE(2716),
    [sym_preproc_line] = STATE(2716),
    [sym_preproc_pragma] = STATE(2716),
    [sym_preproc_nullable] = STATE(2716),
    [sym_preproc_error] = STATE(2716),
    [sym_preproc_define] = STATE(2716),
    [sym_preproc_undef] = STATE(2716),
    [sym__identifier_token] = ACTIONS(3173),
    [anon_sym_extern] = ACTIONS(3173),
    [anon_sym_alias] = ACTIONS(3173),
    [anon_sym_SEMI] = ACTIONS(3175),
    [anon_sym_global] = ACTIONS(3173),
    [anon_sym_using] = ACTIONS(3173),
    [anon_sym_unsafe] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_LPAREN] = ACTIONS(3175),
    [anon_sym_return] = ACTIONS(3173),
    [anon_sym_ref] = ACTIONS(3173),
    [anon_sym_LBRACE] = ACTIONS(3175),
    [anon_sym_RBRACE] = ACTIONS(3175),
    [anon_sym_delegate] = ACTIONS(3173),
    [anon_sym_abstract] = ACTIONS(3173),
    [anon_sym_async] = ACTIONS(3173),
    [anon_sym_const] = ACTIONS(3173),
    [anon_sym_file] = ACTIONS(3173),
    [anon_sym_fixed] = ACTIONS(3173),
    [anon_sym_internal] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3173),
    [anon_sym_override] = ACTIONS(3173),
    [anon_sym_partial] = ACTIONS(3173),
    [anon_sym_private] = ACTIONS(3173),
    [anon_sym_protected] = ACTIONS(3173),
    [anon_sym_public] = ACTIONS(3173),
    [anon_sym_readonly] = ACTIONS(3173),
    [anon_sym_required] = ACTIONS(3173),
    [anon_sym_sealed] = ACTIONS(3173),
    [anon_sym_virtual] = ACTIONS(3173),
    [anon_sym_volatile] = ACTIONS(3173),
    [anon_sym_where] = ACTIONS(3173),
    [anon_sym_notnull] = ACTIONS(3173),
    [anon_sym_unmanaged] = ACTIONS(3173),
    [anon_sym_checked] = ACTIONS(3173),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3175),
    [anon_sym_DASH_DASH] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3173),
    [anon_sym_false] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3173),
    [anon_sym_DASH] = ACTIONS(3173),
    [anon_sym_STAR] = ACTIONS(3175),
    [anon_sym_CARET] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_this] = ACTIONS(3173),
    [anon_sym_scoped] = ACTIONS(3173),
    [anon_sym_base] = ACTIONS(3173),
    [anon_sym_var] = ACTIONS(3173),
    [sym_predefined_type] = ACTIONS(3173),
    [anon_sym_break] = ACTIONS(3173),
    [anon_sym_unchecked] = ACTIONS(3173),
    [anon_sym_continue] = ACTIONS(3173),
    [anon_sym_do] = ACTIONS(3173),
    [anon_sym_while] = ACTIONS(3173),
    [anon_sym_for] = ACTIONS(3173),
    [anon_sym_lock] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3173),
    [anon_sym_switch] = ACTIONS(3173),
    [anon_sym_case] = ACTIONS(3173),
    [anon_sym_default] = ACTIONS(3173),
    [anon_sym_throw] = ACTIONS(3173),
    [anon_sym_try] = ACTIONS(3173),
    [anon_sym_when] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3173),
    [anon_sym_foreach] = ACTIONS(3173),
    [anon_sym_goto] = ACTIONS(3173),
    [anon_sym_if] = ACTIONS(3173),
    [anon_sym_else] = ACTIONS(3173),
    [anon_sym_DOT_DOT] = ACTIONS(3175),
    [anon_sym_from] = ACTIONS(3173),
    [anon_sym_into] = ACTIONS(3173),
    [anon_sym_join] = ACTIONS(3173),
    [anon_sym_on] = ACTIONS(3173),
    [anon_sym_equals] = ACTIONS(3173),
    [anon_sym_let] = ACTIONS(3173),
    [anon_sym_orderby] = ACTIONS(3173),
    [anon_sym_ascending] = ACTIONS(3173),
    [anon_sym_descending] = ACTIONS(3173),
    [anon_sym_group] = ACTIONS(3173),
    [anon_sym_by] = ACTIONS(3173),
    [anon_sym_select] = ACTIONS(3173),
    [anon_sym_DQUOTE] = ACTIONS(3175),
    [anon_sym_stackalloc] = ACTIONS(3173),
    [anon_sym_sizeof] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3173),
    [anon_sym___makeref] = ACTIONS(3173),
    [anon_sym___reftype] = ACTIONS(3173),
    [anon_sym___refvalue] = ACTIONS(3173),
    [sym_null_literal] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3175),
    [sym_integer_literal] = ACTIONS(3173),
    [sym_real_literal] = ACTIONS(3175),
    [sym_verbatim_string_literal] = ACTIONS(3175),
    [aux_sym_preproc_if_token1] = ACTIONS(3175),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3175),
    [sym_interpolation_verbatim_start] = ACTIONS(3175),
    [sym_interpolation_raw_start] = ACTIONS(3175),
    [sym_raw_string_start] = ACTIONS(3175),
  },
  [2717] = {
    [sym_preproc_region] = STATE(2717),
    [sym_preproc_endregion] = STATE(2717),
    [sym_preproc_line] = STATE(2717),
    [sym_preproc_pragma] = STATE(2717),
    [sym_preproc_nullable] = STATE(2717),
    [sym_preproc_error] = STATE(2717),
    [sym_preproc_define] = STATE(2717),
    [sym_preproc_undef] = STATE(2717),
    [sym__identifier_token] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym_alias] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym_global] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_unsafe] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3119),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_ref] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_RBRACE] = ACTIONS(3119),
    [anon_sym_delegate] = ACTIONS(3117),
    [anon_sym_abstract] = ACTIONS(3117),
    [anon_sym_async] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_file] = ACTIONS(3117),
    [anon_sym_fixed] = ACTIONS(3117),
    [anon_sym_internal] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_override] = ACTIONS(3117),
    [anon_sym_partial] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_readonly] = ACTIONS(3117),
    [anon_sym_required] = ACTIONS(3117),
    [anon_sym_sealed] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_where] = ACTIONS(3117),
    [anon_sym_notnull] = ACTIONS(3117),
    [anon_sym_unmanaged] = ACTIONS(3117),
    [anon_sym_checked] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_true] = ACTIONS(3117),
    [anon_sym_false] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_CARET] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3119),
    [anon_sym_this] = ACTIONS(3117),
    [anon_sym_scoped] = ACTIONS(3117),
    [anon_sym_base] = ACTIONS(3117),
    [anon_sym_var] = ACTIONS(3117),
    [sym_predefined_type] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_unchecked] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_lock] = ACTIONS(3117),
    [anon_sym_yield] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_when] = ACTIONS(3117),
    [anon_sym_await] = ACTIONS(3117),
    [anon_sym_foreach] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_else] = ACTIONS(3117),
    [anon_sym_DOT_DOT] = ACTIONS(3119),
    [anon_sym_from] = ACTIONS(3117),
    [anon_sym_into] = ACTIONS(3117),
    [anon_sym_join] = ACTIONS(3117),
    [anon_sym_on] = ACTIONS(3117),
    [anon_sym_equals] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3117),
    [anon_sym_orderby] = ACTIONS(3117),
    [anon_sym_ascending] = ACTIONS(3117),
    [anon_sym_descending] = ACTIONS(3117),
    [anon_sym_group] = ACTIONS(3117),
    [anon_sym_by] = ACTIONS(3117),
    [anon_sym_select] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [anon_sym_stackalloc] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym_typeof] = ACTIONS(3117),
    [anon_sym___makeref] = ACTIONS(3117),
    [anon_sym___reftype] = ACTIONS(3117),
    [anon_sym___refvalue] = ACTIONS(3117),
    [sym_null_literal] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [sym_integer_literal] = ACTIONS(3117),
    [sym_real_literal] = ACTIONS(3119),
    [sym_verbatim_string_literal] = ACTIONS(3119),
    [aux_sym_preproc_if_token1] = ACTIONS(3119),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3119),
    [sym_interpolation_verbatim_start] = ACTIONS(3119),
    [sym_interpolation_raw_start] = ACTIONS(3119),
    [sym_raw_string_start] = ACTIONS(3119),
  },
  [2718] = {
    [sym_preproc_region] = STATE(2718),
    [sym_preproc_endregion] = STATE(2718),
    [sym_preproc_line] = STATE(2718),
    [sym_preproc_pragma] = STATE(2718),
    [sym_preproc_nullable] = STATE(2718),
    [sym_preproc_error] = STATE(2718),
    [sym_preproc_define] = STATE(2718),
    [sym_preproc_undef] = STATE(2718),
    [sym__identifier_token] = ACTIONS(3177),
    [anon_sym_extern] = ACTIONS(3177),
    [anon_sym_alias] = ACTIONS(3177),
    [anon_sym_SEMI] = ACTIONS(3179),
    [anon_sym_global] = ACTIONS(3177),
    [anon_sym_using] = ACTIONS(3177),
    [anon_sym_unsafe] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(3179),
    [anon_sym_LPAREN] = ACTIONS(3179),
    [anon_sym_return] = ACTIONS(3177),
    [anon_sym_ref] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_RBRACE] = ACTIONS(3179),
    [anon_sym_delegate] = ACTIONS(3177),
    [anon_sym_abstract] = ACTIONS(3177),
    [anon_sym_async] = ACTIONS(3177),
    [anon_sym_const] = ACTIONS(3177),
    [anon_sym_file] = ACTIONS(3177),
    [anon_sym_fixed] = ACTIONS(3177),
    [anon_sym_internal] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3177),
    [anon_sym_override] = ACTIONS(3177),
    [anon_sym_partial] = ACTIONS(3177),
    [anon_sym_private] = ACTIONS(3177),
    [anon_sym_protected] = ACTIONS(3177),
    [anon_sym_public] = ACTIONS(3177),
    [anon_sym_readonly] = ACTIONS(3177),
    [anon_sym_required] = ACTIONS(3177),
    [anon_sym_sealed] = ACTIONS(3177),
    [anon_sym_virtual] = ACTIONS(3177),
    [anon_sym_volatile] = ACTIONS(3177),
    [anon_sym_where] = ACTIONS(3177),
    [anon_sym_notnull] = ACTIONS(3177),
    [anon_sym_unmanaged] = ACTIONS(3177),
    [anon_sym_checked] = ACTIONS(3177),
    [anon_sym_BANG] = ACTIONS(3179),
    [anon_sym_TILDE] = ACTIONS(3179),
    [anon_sym_PLUS_PLUS] = ACTIONS(3179),
    [anon_sym_DASH_DASH] = ACTIONS(3179),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3177),
    [anon_sym_DASH] = ACTIONS(3177),
    [anon_sym_STAR] = ACTIONS(3179),
    [anon_sym_CARET] = ACTIONS(3179),
    [anon_sym_AMP] = ACTIONS(3179),
    [anon_sym_this] = ACTIONS(3177),
    [anon_sym_scoped] = ACTIONS(3177),
    [anon_sym_base] = ACTIONS(3177),
    [anon_sym_var] = ACTIONS(3177),
    [sym_predefined_type] = ACTIONS(3177),
    [anon_sym_break] = ACTIONS(3177),
    [anon_sym_unchecked] = ACTIONS(3177),
    [anon_sym_continue] = ACTIONS(3177),
    [anon_sym_do] = ACTIONS(3177),
    [anon_sym_while] = ACTIONS(3177),
    [anon_sym_for] = ACTIONS(3177),
    [anon_sym_lock] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3177),
    [anon_sym_switch] = ACTIONS(3177),
    [anon_sym_case] = ACTIONS(3177),
    [anon_sym_default] = ACTIONS(3177),
    [anon_sym_throw] = ACTIONS(3177),
    [anon_sym_try] = ACTIONS(3177),
    [anon_sym_when] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3177),
    [anon_sym_foreach] = ACTIONS(3177),
    [anon_sym_goto] = ACTIONS(3177),
    [anon_sym_if] = ACTIONS(3177),
    [anon_sym_else] = ACTIONS(3177),
    [anon_sym_DOT_DOT] = ACTIONS(3179),
    [anon_sym_from] = ACTIONS(3177),
    [anon_sym_into] = ACTIONS(3177),
    [anon_sym_join] = ACTIONS(3177),
    [anon_sym_on] = ACTIONS(3177),
    [anon_sym_equals] = ACTIONS(3177),
    [anon_sym_let] = ACTIONS(3177),
    [anon_sym_orderby] = ACTIONS(3177),
    [anon_sym_ascending] = ACTIONS(3177),
    [anon_sym_descending] = ACTIONS(3177),
    [anon_sym_group] = ACTIONS(3177),
    [anon_sym_by] = ACTIONS(3177),
    [anon_sym_select] = ACTIONS(3177),
    [anon_sym_DQUOTE] = ACTIONS(3179),
    [anon_sym_stackalloc] = ACTIONS(3177),
    [anon_sym_sizeof] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3177),
    [anon_sym___makeref] = ACTIONS(3177),
    [anon_sym___reftype] = ACTIONS(3177),
    [anon_sym___refvalue] = ACTIONS(3177),
    [sym_null_literal] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3179),
    [sym_integer_literal] = ACTIONS(3177),
    [sym_real_literal] = ACTIONS(3179),
    [sym_verbatim_string_literal] = ACTIONS(3179),
    [aux_sym_preproc_if_token1] = ACTIONS(3179),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3179),
    [sym_interpolation_verbatim_start] = ACTIONS(3179),
    [sym_interpolation_raw_start] = ACTIONS(3179),
    [sym_raw_string_start] = ACTIONS(3179),
  },
  [2719] = {
    [sym_preproc_region] = STATE(2719),
    [sym_preproc_endregion] = STATE(2719),
    [sym_preproc_line] = STATE(2719),
    [sym_preproc_pragma] = STATE(2719),
    [sym_preproc_nullable] = STATE(2719),
    [sym_preproc_error] = STATE(2719),
    [sym_preproc_define] = STATE(2719),
    [sym_preproc_undef] = STATE(2719),
    [sym__identifier_token] = ACTIONS(3337),
    [anon_sym_extern] = ACTIONS(3337),
    [anon_sym_alias] = ACTIONS(3337),
    [anon_sym_SEMI] = ACTIONS(3339),
    [anon_sym_global] = ACTIONS(3337),
    [anon_sym_using] = ACTIONS(3337),
    [anon_sym_unsafe] = ACTIONS(3337),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_LBRACK] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(3339),
    [anon_sym_return] = ACTIONS(3337),
    [anon_sym_ref] = ACTIONS(3337),
    [anon_sym_LBRACE] = ACTIONS(3339),
    [anon_sym_RBRACE] = ACTIONS(3339),
    [anon_sym_delegate] = ACTIONS(3337),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_async] = ACTIONS(3337),
    [anon_sym_const] = ACTIONS(3337),
    [anon_sym_file] = ACTIONS(3337),
    [anon_sym_fixed] = ACTIONS(3337),
    [anon_sym_internal] = ACTIONS(3337),
    [anon_sym_new] = ACTIONS(3337),
    [anon_sym_override] = ACTIONS(3337),
    [anon_sym_partial] = ACTIONS(3337),
    [anon_sym_private] = ACTIONS(3337),
    [anon_sym_protected] = ACTIONS(3337),
    [anon_sym_public] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3337),
    [anon_sym_required] = ACTIONS(3337),
    [anon_sym_sealed] = ACTIONS(3337),
    [anon_sym_virtual] = ACTIONS(3337),
    [anon_sym_volatile] = ACTIONS(3337),
    [anon_sym_where] = ACTIONS(3337),
    [anon_sym_notnull] = ACTIONS(3337),
    [anon_sym_unmanaged] = ACTIONS(3337),
    [anon_sym_checked] = ACTIONS(3337),
    [anon_sym_BANG] = ACTIONS(3339),
    [anon_sym_TILDE] = ACTIONS(3339),
    [anon_sym_PLUS_PLUS] = ACTIONS(3339),
    [anon_sym_DASH_DASH] = ACTIONS(3339),
    [anon_sym_true] = ACTIONS(3337),
    [anon_sym_false] = ACTIONS(3337),
    [anon_sym_PLUS] = ACTIONS(3337),
    [anon_sym_DASH] = ACTIONS(3337),
    [anon_sym_STAR] = ACTIONS(3339),
    [anon_sym_CARET] = ACTIONS(3339),
    [anon_sym_AMP] = ACTIONS(3339),
    [anon_sym_this] = ACTIONS(3337),
    [anon_sym_scoped] = ACTIONS(3337),
    [anon_sym_base] = ACTIONS(3337),
    [anon_sym_var] = ACTIONS(3337),
    [sym_predefined_type] = ACTIONS(3337),
    [anon_sym_break] = ACTIONS(3337),
    [anon_sym_unchecked] = ACTIONS(3337),
    [anon_sym_continue] = ACTIONS(3337),
    [anon_sym_do] = ACTIONS(3337),
    [anon_sym_while] = ACTIONS(3337),
    [anon_sym_for] = ACTIONS(3337),
    [anon_sym_lock] = ACTIONS(3337),
    [anon_sym_yield] = ACTIONS(3337),
    [anon_sym_switch] = ACTIONS(3337),
    [anon_sym_case] = ACTIONS(3337),
    [anon_sym_default] = ACTIONS(3337),
    [anon_sym_throw] = ACTIONS(3337),
    [anon_sym_try] = ACTIONS(3337),
    [anon_sym_when] = ACTIONS(3337),
    [anon_sym_await] = ACTIONS(3337),
    [anon_sym_foreach] = ACTIONS(3337),
    [anon_sym_goto] = ACTIONS(3337),
    [anon_sym_if] = ACTIONS(3337),
    [anon_sym_else] = ACTIONS(3337),
    [anon_sym_DOT_DOT] = ACTIONS(3339),
    [anon_sym_from] = ACTIONS(3337),
    [anon_sym_into] = ACTIONS(3337),
    [anon_sym_join] = ACTIONS(3337),
    [anon_sym_on] = ACTIONS(3337),
    [anon_sym_equals] = ACTIONS(3337),
    [anon_sym_let] = ACTIONS(3337),
    [anon_sym_orderby] = ACTIONS(3337),
    [anon_sym_ascending] = ACTIONS(3337),
    [anon_sym_descending] = ACTIONS(3337),
    [anon_sym_group] = ACTIONS(3337),
    [anon_sym_by] = ACTIONS(3337),
    [anon_sym_select] = ACTIONS(3337),
    [anon_sym_DQUOTE] = ACTIONS(3339),
    [anon_sym_stackalloc] = ACTIONS(3337),
    [anon_sym_sizeof] = ACTIONS(3337),
    [anon_sym_typeof] = ACTIONS(3337),
    [anon_sym___makeref] = ACTIONS(3337),
    [anon_sym___reftype] = ACTIONS(3337),
    [anon_sym___refvalue] = ACTIONS(3337),
    [sym_null_literal] = ACTIONS(3337),
    [anon_sym_SQUOTE] = ACTIONS(3339),
    [sym_integer_literal] = ACTIONS(3337),
    [sym_real_literal] = ACTIONS(3339),
    [sym_verbatim_string_literal] = ACTIONS(3339),
    [aux_sym_preproc_if_token1] = ACTIONS(3339),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3339),
    [sym_interpolation_verbatim_start] = ACTIONS(3339),
    [sym_interpolation_raw_start] = ACTIONS(3339),
    [sym_raw_string_start] = ACTIONS(3339),
  },
  [2720] = {
    [sym_preproc_region] = STATE(2720),
    [sym_preproc_endregion] = STATE(2720),
    [sym_preproc_line] = STATE(2720),
    [sym_preproc_pragma] = STATE(2720),
    [sym_preproc_nullable] = STATE(2720),
    [sym_preproc_error] = STATE(2720),
    [sym_preproc_define] = STATE(2720),
    [sym_preproc_undef] = STATE(2720),
    [sym__identifier_token] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym_alias] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym_global] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_unsafe] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3183),
    [anon_sym_LPAREN] = ACTIONS(3183),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_ref] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3183),
    [anon_sym_delegate] = ACTIONS(3181),
    [anon_sym_abstract] = ACTIONS(3181),
    [anon_sym_async] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_file] = ACTIONS(3181),
    [anon_sym_fixed] = ACTIONS(3181),
    [anon_sym_internal] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_override] = ACTIONS(3181),
    [anon_sym_partial] = ACTIONS(3181),
    [anon_sym_private] = ACTIONS(3181),
    [anon_sym_protected] = ACTIONS(3181),
    [anon_sym_public] = ACTIONS(3181),
    [anon_sym_readonly] = ACTIONS(3181),
    [anon_sym_required] = ACTIONS(3181),
    [anon_sym_sealed] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_where] = ACTIONS(3181),
    [anon_sym_notnull] = ACTIONS(3181),
    [anon_sym_unmanaged] = ACTIONS(3181),
    [anon_sym_checked] = ACTIONS(3181),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_true] = ACTIONS(3181),
    [anon_sym_false] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_CARET] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3183),
    [anon_sym_this] = ACTIONS(3181),
    [anon_sym_scoped] = ACTIONS(3181),
    [anon_sym_base] = ACTIONS(3181),
    [anon_sym_var] = ACTIONS(3181),
    [sym_predefined_type] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_unchecked] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_lock] = ACTIONS(3181),
    [anon_sym_yield] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_when] = ACTIONS(3181),
    [anon_sym_await] = ACTIONS(3181),
    [anon_sym_foreach] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_else] = ACTIONS(3181),
    [anon_sym_DOT_DOT] = ACTIONS(3183),
    [anon_sym_from] = ACTIONS(3181),
    [anon_sym_into] = ACTIONS(3181),
    [anon_sym_join] = ACTIONS(3181),
    [anon_sym_on] = ACTIONS(3181),
    [anon_sym_equals] = ACTIONS(3181),
    [anon_sym_let] = ACTIONS(3181),
    [anon_sym_orderby] = ACTIONS(3181),
    [anon_sym_ascending] = ACTIONS(3181),
    [anon_sym_descending] = ACTIONS(3181),
    [anon_sym_group] = ACTIONS(3181),
    [anon_sym_by] = ACTIONS(3181),
    [anon_sym_select] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [anon_sym_stackalloc] = ACTIONS(3181),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym_typeof] = ACTIONS(3181),
    [anon_sym___makeref] = ACTIONS(3181),
    [anon_sym___reftype] = ACTIONS(3181),
    [anon_sym___refvalue] = ACTIONS(3181),
    [sym_null_literal] = ACTIONS(3181),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [sym_integer_literal] = ACTIONS(3181),
    [sym_real_literal] = ACTIONS(3183),
    [sym_verbatim_string_literal] = ACTIONS(3183),
    [aux_sym_preproc_if_token1] = ACTIONS(3183),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3183),
    [sym_interpolation_verbatim_start] = ACTIONS(3183),
    [sym_interpolation_raw_start] = ACTIONS(3183),
    [sym_raw_string_start] = ACTIONS(3183),
  },
  [2721] = {
    [sym_preproc_region] = STATE(2721),
    [sym_preproc_endregion] = STATE(2721),
    [sym_preproc_line] = STATE(2721),
    [sym_preproc_pragma] = STATE(2721),
    [sym_preproc_nullable] = STATE(2721),
    [sym_preproc_error] = STATE(2721),
    [sym_preproc_define] = STATE(2721),
    [sym_preproc_undef] = STATE(2721),
    [sym__identifier_token] = ACTIONS(3341),
    [anon_sym_extern] = ACTIONS(3341),
    [anon_sym_alias] = ACTIONS(3341),
    [anon_sym_SEMI] = ACTIONS(3343),
    [anon_sym_global] = ACTIONS(3341),
    [anon_sym_using] = ACTIONS(3341),
    [anon_sym_unsafe] = ACTIONS(3341),
    [anon_sym_static] = ACTIONS(3341),
    [anon_sym_LBRACK] = ACTIONS(3343),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_return] = ACTIONS(3341),
    [anon_sym_ref] = ACTIONS(3341),
    [anon_sym_LBRACE] = ACTIONS(3343),
    [anon_sym_RBRACE] = ACTIONS(3343),
    [anon_sym_delegate] = ACTIONS(3341),
    [anon_sym_abstract] = ACTIONS(3341),
    [anon_sym_async] = ACTIONS(3341),
    [anon_sym_const] = ACTIONS(3341),
    [anon_sym_file] = ACTIONS(3341),
    [anon_sym_fixed] = ACTIONS(3341),
    [anon_sym_internal] = ACTIONS(3341),
    [anon_sym_new] = ACTIONS(3341),
    [anon_sym_override] = ACTIONS(3341),
    [anon_sym_partial] = ACTIONS(3341),
    [anon_sym_private] = ACTIONS(3341),
    [anon_sym_protected] = ACTIONS(3341),
    [anon_sym_public] = ACTIONS(3341),
    [anon_sym_readonly] = ACTIONS(3341),
    [anon_sym_required] = ACTIONS(3341),
    [anon_sym_sealed] = ACTIONS(3341),
    [anon_sym_virtual] = ACTIONS(3341),
    [anon_sym_volatile] = ACTIONS(3341),
    [anon_sym_where] = ACTIONS(3341),
    [anon_sym_notnull] = ACTIONS(3341),
    [anon_sym_unmanaged] = ACTIONS(3341),
    [anon_sym_checked] = ACTIONS(3341),
    [anon_sym_BANG] = ACTIONS(3343),
    [anon_sym_TILDE] = ACTIONS(3343),
    [anon_sym_PLUS_PLUS] = ACTIONS(3343),
    [anon_sym_DASH_DASH] = ACTIONS(3343),
    [anon_sym_true] = ACTIONS(3341),
    [anon_sym_false] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(3341),
    [anon_sym_DASH] = ACTIONS(3341),
    [anon_sym_STAR] = ACTIONS(3343),
    [anon_sym_CARET] = ACTIONS(3343),
    [anon_sym_AMP] = ACTIONS(3343),
    [anon_sym_this] = ACTIONS(3341),
    [anon_sym_scoped] = ACTIONS(3341),
    [anon_sym_base] = ACTIONS(3341),
    [anon_sym_var] = ACTIONS(3341),
    [sym_predefined_type] = ACTIONS(3341),
    [anon_sym_break] = ACTIONS(3341),
    [anon_sym_unchecked] = ACTIONS(3341),
    [anon_sym_continue] = ACTIONS(3341),
    [anon_sym_do] = ACTIONS(3341),
    [anon_sym_while] = ACTIONS(3341),
    [anon_sym_for] = ACTIONS(3341),
    [anon_sym_lock] = ACTIONS(3341),
    [anon_sym_yield] = ACTIONS(3341),
    [anon_sym_switch] = ACTIONS(3341),
    [anon_sym_case] = ACTIONS(3341),
    [anon_sym_default] = ACTIONS(3341),
    [anon_sym_throw] = ACTIONS(3341),
    [anon_sym_try] = ACTIONS(3341),
    [anon_sym_when] = ACTIONS(3341),
    [anon_sym_await] = ACTIONS(3341),
    [anon_sym_foreach] = ACTIONS(3341),
    [anon_sym_goto] = ACTIONS(3341),
    [anon_sym_if] = ACTIONS(3341),
    [anon_sym_else] = ACTIONS(3341),
    [anon_sym_DOT_DOT] = ACTIONS(3343),
    [anon_sym_from] = ACTIONS(3341),
    [anon_sym_into] = ACTIONS(3341),
    [anon_sym_join] = ACTIONS(3341),
    [anon_sym_on] = ACTIONS(3341),
    [anon_sym_equals] = ACTIONS(3341),
    [anon_sym_let] = ACTIONS(3341),
    [anon_sym_orderby] = ACTIONS(3341),
    [anon_sym_ascending] = ACTIONS(3341),
    [anon_sym_descending] = ACTIONS(3341),
    [anon_sym_group] = ACTIONS(3341),
    [anon_sym_by] = ACTIONS(3341),
    [anon_sym_select] = ACTIONS(3341),
    [anon_sym_DQUOTE] = ACTIONS(3343),
    [anon_sym_stackalloc] = ACTIONS(3341),
    [anon_sym_sizeof] = ACTIONS(3341),
    [anon_sym_typeof] = ACTIONS(3341),
    [anon_sym___makeref] = ACTIONS(3341),
    [anon_sym___reftype] = ACTIONS(3341),
    [anon_sym___refvalue] = ACTIONS(3341),
    [sym_null_literal] = ACTIONS(3341),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [sym_integer_literal] = ACTIONS(3341),
    [sym_real_literal] = ACTIONS(3343),
    [sym_verbatim_string_literal] = ACTIONS(3343),
    [aux_sym_preproc_if_token1] = ACTIONS(3343),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3343),
    [sym_interpolation_verbatim_start] = ACTIONS(3343),
    [sym_interpolation_raw_start] = ACTIONS(3343),
    [sym_raw_string_start] = ACTIONS(3343),
  },
  [2722] = {
    [sym_preproc_region] = STATE(2722),
    [sym_preproc_endregion] = STATE(2722),
    [sym_preproc_line] = STATE(2722),
    [sym_preproc_pragma] = STATE(2722),
    [sym_preproc_nullable] = STATE(2722),
    [sym_preproc_error] = STATE(2722),
    [sym_preproc_define] = STATE(2722),
    [sym_preproc_undef] = STATE(2722),
    [sym__identifier_token] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym_alias] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym_global] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_unsafe] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(3187),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_ref] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_delegate] = ACTIONS(3185),
    [anon_sym_abstract] = ACTIONS(3185),
    [anon_sym_async] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_file] = ACTIONS(3185),
    [anon_sym_fixed] = ACTIONS(3185),
    [anon_sym_internal] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_override] = ACTIONS(3185),
    [anon_sym_partial] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_readonly] = ACTIONS(3185),
    [anon_sym_required] = ACTIONS(3185),
    [anon_sym_sealed] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_where] = ACTIONS(3185),
    [anon_sym_notnull] = ACTIONS(3185),
    [anon_sym_unmanaged] = ACTIONS(3185),
    [anon_sym_checked] = ACTIONS(3185),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_true] = ACTIONS(3185),
    [anon_sym_false] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_CARET] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym_this] = ACTIONS(3185),
    [anon_sym_scoped] = ACTIONS(3185),
    [anon_sym_base] = ACTIONS(3185),
    [anon_sym_var] = ACTIONS(3185),
    [sym_predefined_type] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_unchecked] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_lock] = ACTIONS(3185),
    [anon_sym_yield] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_when] = ACTIONS(3185),
    [anon_sym_await] = ACTIONS(3185),
    [anon_sym_foreach] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_else] = ACTIONS(3185),
    [anon_sym_DOT_DOT] = ACTIONS(3187),
    [anon_sym_from] = ACTIONS(3185),
    [anon_sym_into] = ACTIONS(3185),
    [anon_sym_join] = ACTIONS(3185),
    [anon_sym_on] = ACTIONS(3185),
    [anon_sym_equals] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3185),
    [anon_sym_orderby] = ACTIONS(3185),
    [anon_sym_ascending] = ACTIONS(3185),
    [anon_sym_descending] = ACTIONS(3185),
    [anon_sym_group] = ACTIONS(3185),
    [anon_sym_by] = ACTIONS(3185),
    [anon_sym_select] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [anon_sym_stackalloc] = ACTIONS(3185),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym_typeof] = ACTIONS(3185),
    [anon_sym___makeref] = ACTIONS(3185),
    [anon_sym___reftype] = ACTIONS(3185),
    [anon_sym___refvalue] = ACTIONS(3185),
    [sym_null_literal] = ACTIONS(3185),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [sym_integer_literal] = ACTIONS(3185),
    [sym_real_literal] = ACTIONS(3187),
    [sym_verbatim_string_literal] = ACTIONS(3187),
    [aux_sym_preproc_if_token1] = ACTIONS(3187),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3187),
    [sym_interpolation_verbatim_start] = ACTIONS(3187),
    [sym_interpolation_raw_start] = ACTIONS(3187),
    [sym_raw_string_start] = ACTIONS(3187),
  },
  [2723] = {
    [sym_preproc_region] = STATE(2723),
    [sym_preproc_endregion] = STATE(2723),
    [sym_preproc_line] = STATE(2723),
    [sym_preproc_pragma] = STATE(2723),
    [sym_preproc_nullable] = STATE(2723),
    [sym_preproc_error] = STATE(2723),
    [sym_preproc_define] = STATE(2723),
    [sym_preproc_undef] = STATE(2723),
    [sym__identifier_token] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym_alias] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym_global] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_unsafe] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3347),
    [anon_sym_LPAREN] = ACTIONS(3347),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_ref] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_delegate] = ACTIONS(3345),
    [anon_sym_abstract] = ACTIONS(3345),
    [anon_sym_async] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_file] = ACTIONS(3345),
    [anon_sym_fixed] = ACTIONS(3345),
    [anon_sym_internal] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_partial] = ACTIONS(3345),
    [anon_sym_private] = ACTIONS(3345),
    [anon_sym_protected] = ACTIONS(3345),
    [anon_sym_public] = ACTIONS(3345),
    [anon_sym_readonly] = ACTIONS(3345),
    [anon_sym_required] = ACTIONS(3345),
    [anon_sym_sealed] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_where] = ACTIONS(3345),
    [anon_sym_notnull] = ACTIONS(3345),
    [anon_sym_unmanaged] = ACTIONS(3345),
    [anon_sym_checked] = ACTIONS(3345),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_true] = ACTIONS(3345),
    [anon_sym_false] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_CARET] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3347),
    [anon_sym_this] = ACTIONS(3345),
    [anon_sym_scoped] = ACTIONS(3345),
    [anon_sym_base] = ACTIONS(3345),
    [anon_sym_var] = ACTIONS(3345),
    [sym_predefined_type] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_unchecked] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_lock] = ACTIONS(3345),
    [anon_sym_yield] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_when] = ACTIONS(3345),
    [anon_sym_await] = ACTIONS(3345),
    [anon_sym_foreach] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_else] = ACTIONS(3345),
    [anon_sym_DOT_DOT] = ACTIONS(3347),
    [anon_sym_from] = ACTIONS(3345),
    [anon_sym_into] = ACTIONS(3345),
    [anon_sym_join] = ACTIONS(3345),
    [anon_sym_on] = ACTIONS(3345),
    [anon_sym_equals] = ACTIONS(3345),
    [anon_sym_let] = ACTIONS(3345),
    [anon_sym_orderby] = ACTIONS(3345),
    [anon_sym_ascending] = ACTIONS(3345),
    [anon_sym_descending] = ACTIONS(3345),
    [anon_sym_group] = ACTIONS(3345),
    [anon_sym_by] = ACTIONS(3345),
    [anon_sym_select] = ACTIONS(3345),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [anon_sym_stackalloc] = ACTIONS(3345),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym_typeof] = ACTIONS(3345),
    [anon_sym___makeref] = ACTIONS(3345),
    [anon_sym___reftype] = ACTIONS(3345),
    [anon_sym___refvalue] = ACTIONS(3345),
    [sym_null_literal] = ACTIONS(3345),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [sym_integer_literal] = ACTIONS(3345),
    [sym_real_literal] = ACTIONS(3347),
    [sym_verbatim_string_literal] = ACTIONS(3347),
    [aux_sym_preproc_if_token1] = ACTIONS(3347),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3347),
    [sym_interpolation_verbatim_start] = ACTIONS(3347),
    [sym_interpolation_raw_start] = ACTIONS(3347),
    [sym_raw_string_start] = ACTIONS(3347),
  },
  [2724] = {
    [sym_preproc_region] = STATE(2724),
    [sym_preproc_endregion] = STATE(2724),
    [sym_preproc_line] = STATE(2724),
    [sym_preproc_pragma] = STATE(2724),
    [sym_preproc_nullable] = STATE(2724),
    [sym_preproc_error] = STATE(2724),
    [sym_preproc_define] = STATE(2724),
    [sym_preproc_undef] = STATE(2724),
    [sym__identifier_token] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym_alias] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym_global] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_unsafe] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3351),
    [anon_sym_LPAREN] = ACTIONS(3351),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_ref] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_delegate] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3349),
    [anon_sym_async] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_file] = ACTIONS(3349),
    [anon_sym_fixed] = ACTIONS(3349),
    [anon_sym_internal] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_override] = ACTIONS(3349),
    [anon_sym_partial] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_readonly] = ACTIONS(3349),
    [anon_sym_required] = ACTIONS(3349),
    [anon_sym_sealed] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_where] = ACTIONS(3349),
    [anon_sym_notnull] = ACTIONS(3349),
    [anon_sym_unmanaged] = ACTIONS(3349),
    [anon_sym_checked] = ACTIONS(3349),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_true] = ACTIONS(3349),
    [anon_sym_false] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_CARET] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3351),
    [anon_sym_this] = ACTIONS(3349),
    [anon_sym_scoped] = ACTIONS(3349),
    [anon_sym_base] = ACTIONS(3349),
    [anon_sym_var] = ACTIONS(3349),
    [sym_predefined_type] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_unchecked] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_lock] = ACTIONS(3349),
    [anon_sym_yield] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_when] = ACTIONS(3349),
    [anon_sym_await] = ACTIONS(3349),
    [anon_sym_foreach] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_else] = ACTIONS(3349),
    [anon_sym_DOT_DOT] = ACTIONS(3351),
    [anon_sym_from] = ACTIONS(3349),
    [anon_sym_into] = ACTIONS(3349),
    [anon_sym_join] = ACTIONS(3349),
    [anon_sym_on] = ACTIONS(3349),
    [anon_sym_equals] = ACTIONS(3349),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_orderby] = ACTIONS(3349),
    [anon_sym_ascending] = ACTIONS(3349),
    [anon_sym_descending] = ACTIONS(3349),
    [anon_sym_group] = ACTIONS(3349),
    [anon_sym_by] = ACTIONS(3349),
    [anon_sym_select] = ACTIONS(3349),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [anon_sym_stackalloc] = ACTIONS(3349),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym_typeof] = ACTIONS(3349),
    [anon_sym___makeref] = ACTIONS(3349),
    [anon_sym___reftype] = ACTIONS(3349),
    [anon_sym___refvalue] = ACTIONS(3349),
    [sym_null_literal] = ACTIONS(3349),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [sym_integer_literal] = ACTIONS(3349),
    [sym_real_literal] = ACTIONS(3351),
    [sym_verbatim_string_literal] = ACTIONS(3351),
    [aux_sym_preproc_if_token1] = ACTIONS(3351),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3351),
    [sym_interpolation_verbatim_start] = ACTIONS(3351),
    [sym_interpolation_raw_start] = ACTIONS(3351),
    [sym_raw_string_start] = ACTIONS(3351),
  },
  [2725] = {
    [sym_preproc_region] = STATE(2725),
    [sym_preproc_endregion] = STATE(2725),
    [sym_preproc_line] = STATE(2725),
    [sym_preproc_pragma] = STATE(2725),
    [sym_preproc_nullable] = STATE(2725),
    [sym_preproc_error] = STATE(2725),
    [sym_preproc_define] = STATE(2725),
    [sym_preproc_undef] = STATE(2725),
    [sym__identifier_token] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym_alias] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym_global] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_unsafe] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3355),
    [anon_sym_LPAREN] = ACTIONS(3355),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_ref] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_RBRACE] = ACTIONS(3355),
    [anon_sym_delegate] = ACTIONS(3353),
    [anon_sym_abstract] = ACTIONS(3353),
    [anon_sym_async] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_file] = ACTIONS(3353),
    [anon_sym_fixed] = ACTIONS(3353),
    [anon_sym_internal] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_override] = ACTIONS(3353),
    [anon_sym_partial] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_readonly] = ACTIONS(3353),
    [anon_sym_required] = ACTIONS(3353),
    [anon_sym_sealed] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_where] = ACTIONS(3353),
    [anon_sym_notnull] = ACTIONS(3353),
    [anon_sym_unmanaged] = ACTIONS(3353),
    [anon_sym_checked] = ACTIONS(3353),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_true] = ACTIONS(3353),
    [anon_sym_false] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_CARET] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3355),
    [anon_sym_this] = ACTIONS(3353),
    [anon_sym_scoped] = ACTIONS(3353),
    [anon_sym_base] = ACTIONS(3353),
    [anon_sym_var] = ACTIONS(3353),
    [sym_predefined_type] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_unchecked] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_lock] = ACTIONS(3353),
    [anon_sym_yield] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_when] = ACTIONS(3353),
    [anon_sym_await] = ACTIONS(3353),
    [anon_sym_foreach] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_else] = ACTIONS(3353),
    [anon_sym_DOT_DOT] = ACTIONS(3355),
    [anon_sym_from] = ACTIONS(3353),
    [anon_sym_into] = ACTIONS(3353),
    [anon_sym_join] = ACTIONS(3353),
    [anon_sym_on] = ACTIONS(3353),
    [anon_sym_equals] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_orderby] = ACTIONS(3353),
    [anon_sym_ascending] = ACTIONS(3353),
    [anon_sym_descending] = ACTIONS(3353),
    [anon_sym_group] = ACTIONS(3353),
    [anon_sym_by] = ACTIONS(3353),
    [anon_sym_select] = ACTIONS(3353),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [anon_sym_stackalloc] = ACTIONS(3353),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym_typeof] = ACTIONS(3353),
    [anon_sym___makeref] = ACTIONS(3353),
    [anon_sym___reftype] = ACTIONS(3353),
    [anon_sym___refvalue] = ACTIONS(3353),
    [sym_null_literal] = ACTIONS(3353),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [sym_integer_literal] = ACTIONS(3353),
    [sym_real_literal] = ACTIONS(3355),
    [sym_verbatim_string_literal] = ACTIONS(3355),
    [aux_sym_preproc_if_token1] = ACTIONS(3355),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3355),
    [sym_interpolation_verbatim_start] = ACTIONS(3355),
    [sym_interpolation_raw_start] = ACTIONS(3355),
    [sym_raw_string_start] = ACTIONS(3355),
  },
  [2726] = {
    [sym_preproc_region] = STATE(2726),
    [sym_preproc_endregion] = STATE(2726),
    [sym_preproc_line] = STATE(2726),
    [sym_preproc_pragma] = STATE(2726),
    [sym_preproc_nullable] = STATE(2726),
    [sym_preproc_error] = STATE(2726),
    [sym_preproc_define] = STATE(2726),
    [sym_preproc_undef] = STATE(2726),
    [sym__identifier_token] = ACTIONS(3357),
    [anon_sym_extern] = ACTIONS(3357),
    [anon_sym_alias] = ACTIONS(3357),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym_global] = ACTIONS(3357),
    [anon_sym_using] = ACTIONS(3357),
    [anon_sym_unsafe] = ACTIONS(3357),
    [anon_sym_static] = ACTIONS(3357),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_LPAREN] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3357),
    [anon_sym_ref] = ACTIONS(3357),
    [anon_sym_LBRACE] = ACTIONS(3359),
    [anon_sym_RBRACE] = ACTIONS(3359),
    [anon_sym_delegate] = ACTIONS(3357),
    [anon_sym_abstract] = ACTIONS(3357),
    [anon_sym_async] = ACTIONS(3357),
    [anon_sym_const] = ACTIONS(3357),
    [anon_sym_file] = ACTIONS(3357),
    [anon_sym_fixed] = ACTIONS(3357),
    [anon_sym_internal] = ACTIONS(3357),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_override] = ACTIONS(3357),
    [anon_sym_partial] = ACTIONS(3357),
    [anon_sym_private] = ACTIONS(3357),
    [anon_sym_protected] = ACTIONS(3357),
    [anon_sym_public] = ACTIONS(3357),
    [anon_sym_readonly] = ACTIONS(3357),
    [anon_sym_required] = ACTIONS(3357),
    [anon_sym_sealed] = ACTIONS(3357),
    [anon_sym_virtual] = ACTIONS(3357),
    [anon_sym_volatile] = ACTIONS(3357),
    [anon_sym_where] = ACTIONS(3357),
    [anon_sym_notnull] = ACTIONS(3357),
    [anon_sym_unmanaged] = ACTIONS(3357),
    [anon_sym_checked] = ACTIONS(3357),
    [anon_sym_BANG] = ACTIONS(3359),
    [anon_sym_TILDE] = ACTIONS(3359),
    [anon_sym_PLUS_PLUS] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3359),
    [anon_sym_true] = ACTIONS(3357),
    [anon_sym_false] = ACTIONS(3357),
    [anon_sym_PLUS] = ACTIONS(3357),
    [anon_sym_DASH] = ACTIONS(3357),
    [anon_sym_STAR] = ACTIONS(3359),
    [anon_sym_CARET] = ACTIONS(3359),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_this] = ACTIONS(3357),
    [anon_sym_scoped] = ACTIONS(3357),
    [anon_sym_base] = ACTIONS(3357),
    [anon_sym_var] = ACTIONS(3357),
    [sym_predefined_type] = ACTIONS(3357),
    [anon_sym_break] = ACTIONS(3357),
    [anon_sym_unchecked] = ACTIONS(3357),
    [anon_sym_continue] = ACTIONS(3357),
    [anon_sym_do] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(3357),
    [anon_sym_for] = ACTIONS(3357),
    [anon_sym_lock] = ACTIONS(3357),
    [anon_sym_yield] = ACTIONS(3357),
    [anon_sym_switch] = ACTIONS(3357),
    [anon_sym_case] = ACTIONS(3357),
    [anon_sym_default] = ACTIONS(3357),
    [anon_sym_throw] = ACTIONS(3357),
    [anon_sym_try] = ACTIONS(3357),
    [anon_sym_when] = ACTIONS(3357),
    [anon_sym_await] = ACTIONS(3357),
    [anon_sym_foreach] = ACTIONS(3357),
    [anon_sym_goto] = ACTIONS(3357),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_else] = ACTIONS(3357),
    [anon_sym_DOT_DOT] = ACTIONS(3359),
    [anon_sym_from] = ACTIONS(3357),
    [anon_sym_into] = ACTIONS(3357),
    [anon_sym_join] = ACTIONS(3357),
    [anon_sym_on] = ACTIONS(3357),
    [anon_sym_equals] = ACTIONS(3357),
    [anon_sym_let] = ACTIONS(3357),
    [anon_sym_orderby] = ACTIONS(3357),
    [anon_sym_ascending] = ACTIONS(3357),
    [anon_sym_descending] = ACTIONS(3357),
    [anon_sym_group] = ACTIONS(3357),
    [anon_sym_by] = ACTIONS(3357),
    [anon_sym_select] = ACTIONS(3357),
    [anon_sym_DQUOTE] = ACTIONS(3359),
    [anon_sym_stackalloc] = ACTIONS(3357),
    [anon_sym_sizeof] = ACTIONS(3357),
    [anon_sym_typeof] = ACTIONS(3357),
    [anon_sym___makeref] = ACTIONS(3357),
    [anon_sym___reftype] = ACTIONS(3357),
    [anon_sym___refvalue] = ACTIONS(3357),
    [sym_null_literal] = ACTIONS(3357),
    [anon_sym_SQUOTE] = ACTIONS(3359),
    [sym_integer_literal] = ACTIONS(3357),
    [sym_real_literal] = ACTIONS(3359),
    [sym_verbatim_string_literal] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3359),
    [sym_interpolation_verbatim_start] = ACTIONS(3359),
    [sym_interpolation_raw_start] = ACTIONS(3359),
    [sym_raw_string_start] = ACTIONS(3359),
  },
  [2727] = {
    [sym_preproc_region] = STATE(2727),
    [sym_preproc_endregion] = STATE(2727),
    [sym_preproc_line] = STATE(2727),
    [sym_preproc_pragma] = STATE(2727),
    [sym_preproc_nullable] = STATE(2727),
    [sym_preproc_error] = STATE(2727),
    [sym_preproc_define] = STATE(2727),
    [sym_preproc_undef] = STATE(2727),
    [sym__identifier_token] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym_alias] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_global] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_unsafe] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_LPAREN] = ACTIONS(3191),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_ref] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_delegate] = ACTIONS(3189),
    [anon_sym_abstract] = ACTIONS(3189),
    [anon_sym_async] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_file] = ACTIONS(3189),
    [anon_sym_fixed] = ACTIONS(3189),
    [anon_sym_internal] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_override] = ACTIONS(3189),
    [anon_sym_partial] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_readonly] = ACTIONS(3189),
    [anon_sym_required] = ACTIONS(3189),
    [anon_sym_sealed] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_where] = ACTIONS(3189),
    [anon_sym_notnull] = ACTIONS(3189),
    [anon_sym_unmanaged] = ACTIONS(3189),
    [anon_sym_checked] = ACTIONS(3189),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3189),
    [anon_sym_false] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_CARET] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3191),
    [anon_sym_this] = ACTIONS(3189),
    [anon_sym_scoped] = ACTIONS(3189),
    [anon_sym_base] = ACTIONS(3189),
    [anon_sym_var] = ACTIONS(3189),
    [sym_predefined_type] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_unchecked] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_lock] = ACTIONS(3189),
    [anon_sym_yield] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_when] = ACTIONS(3189),
    [anon_sym_await] = ACTIONS(3189),
    [anon_sym_foreach] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_else] = ACTIONS(3189),
    [anon_sym_DOT_DOT] = ACTIONS(3191),
    [anon_sym_from] = ACTIONS(3189),
    [anon_sym_into] = ACTIONS(3189),
    [anon_sym_join] = ACTIONS(3189),
    [anon_sym_on] = ACTIONS(3189),
    [anon_sym_equals] = ACTIONS(3189),
    [anon_sym_let] = ACTIONS(3189),
    [anon_sym_orderby] = ACTIONS(3189),
    [anon_sym_ascending] = ACTIONS(3189),
    [anon_sym_descending] = ACTIONS(3189),
    [anon_sym_group] = ACTIONS(3189),
    [anon_sym_by] = ACTIONS(3189),
    [anon_sym_select] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [anon_sym_stackalloc] = ACTIONS(3189),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym_typeof] = ACTIONS(3189),
    [anon_sym___makeref] = ACTIONS(3189),
    [anon_sym___reftype] = ACTIONS(3189),
    [anon_sym___refvalue] = ACTIONS(3189),
    [sym_null_literal] = ACTIONS(3189),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [sym_integer_literal] = ACTIONS(3189),
    [sym_real_literal] = ACTIONS(3191),
    [sym_verbatim_string_literal] = ACTIONS(3191),
    [aux_sym_preproc_if_token1] = ACTIONS(3191),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3191),
    [sym_interpolation_verbatim_start] = ACTIONS(3191),
    [sym_interpolation_raw_start] = ACTIONS(3191),
    [sym_raw_string_start] = ACTIONS(3191),
  },
  [2728] = {
    [sym_preproc_region] = STATE(2728),
    [sym_preproc_endregion] = STATE(2728),
    [sym_preproc_line] = STATE(2728),
    [sym_preproc_pragma] = STATE(2728),
    [sym_preproc_nullable] = STATE(2728),
    [sym_preproc_error] = STATE(2728),
    [sym_preproc_define] = STATE(2728),
    [sym_preproc_undef] = STATE(2728),
    [sym__identifier_token] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym_alias] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym_global] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_unsafe] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(3195),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_ref] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3195),
    [anon_sym_delegate] = ACTIONS(3193),
    [anon_sym_abstract] = ACTIONS(3193),
    [anon_sym_async] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_file] = ACTIONS(3193),
    [anon_sym_fixed] = ACTIONS(3193),
    [anon_sym_internal] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_override] = ACTIONS(3193),
    [anon_sym_partial] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_readonly] = ACTIONS(3193),
    [anon_sym_required] = ACTIONS(3193),
    [anon_sym_sealed] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_where] = ACTIONS(3193),
    [anon_sym_notnull] = ACTIONS(3193),
    [anon_sym_unmanaged] = ACTIONS(3193),
    [anon_sym_checked] = ACTIONS(3193),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_CARET] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3195),
    [anon_sym_this] = ACTIONS(3193),
    [anon_sym_scoped] = ACTIONS(3193),
    [anon_sym_base] = ACTIONS(3193),
    [anon_sym_var] = ACTIONS(3193),
    [sym_predefined_type] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_unchecked] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_lock] = ACTIONS(3193),
    [anon_sym_yield] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_when] = ACTIONS(3193),
    [anon_sym_await] = ACTIONS(3193),
    [anon_sym_foreach] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_DOT_DOT] = ACTIONS(3195),
    [anon_sym_from] = ACTIONS(3193),
    [anon_sym_into] = ACTIONS(3193),
    [anon_sym_join] = ACTIONS(3193),
    [anon_sym_on] = ACTIONS(3193),
    [anon_sym_equals] = ACTIONS(3193),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_orderby] = ACTIONS(3193),
    [anon_sym_ascending] = ACTIONS(3193),
    [anon_sym_descending] = ACTIONS(3193),
    [anon_sym_group] = ACTIONS(3193),
    [anon_sym_by] = ACTIONS(3193),
    [anon_sym_select] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [anon_sym_stackalloc] = ACTIONS(3193),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym_typeof] = ACTIONS(3193),
    [anon_sym___makeref] = ACTIONS(3193),
    [anon_sym___reftype] = ACTIONS(3193),
    [anon_sym___refvalue] = ACTIONS(3193),
    [sym_null_literal] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [sym_integer_literal] = ACTIONS(3193),
    [sym_real_literal] = ACTIONS(3195),
    [sym_verbatim_string_literal] = ACTIONS(3195),
    [aux_sym_preproc_if_token1] = ACTIONS(3195),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3195),
    [sym_interpolation_verbatim_start] = ACTIONS(3195),
    [sym_interpolation_raw_start] = ACTIONS(3195),
    [sym_raw_string_start] = ACTIONS(3195),
  },
  [2729] = {
    [sym_preproc_region] = STATE(2729),
    [sym_preproc_endregion] = STATE(2729),
    [sym_preproc_line] = STATE(2729),
    [sym_preproc_pragma] = STATE(2729),
    [sym_preproc_nullable] = STATE(2729),
    [sym_preproc_error] = STATE(2729),
    [sym_preproc_define] = STATE(2729),
    [sym_preproc_undef] = STATE(2729),
    [sym__identifier_token] = ACTIONS(3361),
    [anon_sym_extern] = ACTIONS(3361),
    [anon_sym_alias] = ACTIONS(3361),
    [anon_sym_SEMI] = ACTIONS(3363),
    [anon_sym_global] = ACTIONS(3361),
    [anon_sym_using] = ACTIONS(3361),
    [anon_sym_unsafe] = ACTIONS(3361),
    [anon_sym_static] = ACTIONS(3361),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_LPAREN] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3361),
    [anon_sym_ref] = ACTIONS(3361),
    [anon_sym_LBRACE] = ACTIONS(3363),
    [anon_sym_RBRACE] = ACTIONS(3363),
    [anon_sym_delegate] = ACTIONS(3361),
    [anon_sym_abstract] = ACTIONS(3361),
    [anon_sym_async] = ACTIONS(3361),
    [anon_sym_const] = ACTIONS(3361),
    [anon_sym_file] = ACTIONS(3361),
    [anon_sym_fixed] = ACTIONS(3361),
    [anon_sym_internal] = ACTIONS(3361),
    [anon_sym_new] = ACTIONS(3361),
    [anon_sym_override] = ACTIONS(3361),
    [anon_sym_partial] = ACTIONS(3361),
    [anon_sym_private] = ACTIONS(3361),
    [anon_sym_protected] = ACTIONS(3361),
    [anon_sym_public] = ACTIONS(3361),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_required] = ACTIONS(3361),
    [anon_sym_sealed] = ACTIONS(3361),
    [anon_sym_virtual] = ACTIONS(3361),
    [anon_sym_volatile] = ACTIONS(3361),
    [anon_sym_where] = ACTIONS(3361),
    [anon_sym_notnull] = ACTIONS(3361),
    [anon_sym_unmanaged] = ACTIONS(3361),
    [anon_sym_checked] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3363),
    [anon_sym_TILDE] = ACTIONS(3363),
    [anon_sym_PLUS_PLUS] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3363),
    [anon_sym_true] = ACTIONS(3361),
    [anon_sym_false] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3363),
    [anon_sym_CARET] = ACTIONS(3363),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_this] = ACTIONS(3361),
    [anon_sym_scoped] = ACTIONS(3361),
    [anon_sym_base] = ACTIONS(3361),
    [anon_sym_var] = ACTIONS(3361),
    [sym_predefined_type] = ACTIONS(3361),
    [anon_sym_break] = ACTIONS(3361),
    [anon_sym_unchecked] = ACTIONS(3361),
    [anon_sym_continue] = ACTIONS(3361),
    [anon_sym_do] = ACTIONS(3361),
    [anon_sym_while] = ACTIONS(3361),
    [anon_sym_for] = ACTIONS(3361),
    [anon_sym_lock] = ACTIONS(3361),
    [anon_sym_yield] = ACTIONS(3361),
    [anon_sym_switch] = ACTIONS(3361),
    [anon_sym_case] = ACTIONS(3361),
    [anon_sym_default] = ACTIONS(3361),
    [anon_sym_throw] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3361),
    [anon_sym_when] = ACTIONS(3361),
    [anon_sym_await] = ACTIONS(3361),
    [anon_sym_foreach] = ACTIONS(3361),
    [anon_sym_goto] = ACTIONS(3361),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_else] = ACTIONS(3361),
    [anon_sym_DOT_DOT] = ACTIONS(3363),
    [anon_sym_from] = ACTIONS(3361),
    [anon_sym_into] = ACTIONS(3361),
    [anon_sym_join] = ACTIONS(3361),
    [anon_sym_on] = ACTIONS(3361),
    [anon_sym_equals] = ACTIONS(3361),
    [anon_sym_let] = ACTIONS(3361),
    [anon_sym_orderby] = ACTIONS(3361),
    [anon_sym_ascending] = ACTIONS(3361),
    [anon_sym_descending] = ACTIONS(3361),
    [anon_sym_group] = ACTIONS(3361),
    [anon_sym_by] = ACTIONS(3361),
    [anon_sym_select] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3363),
    [anon_sym_stackalloc] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3361),
    [anon_sym_typeof] = ACTIONS(3361),
    [anon_sym___makeref] = ACTIONS(3361),
    [anon_sym___reftype] = ACTIONS(3361),
    [anon_sym___refvalue] = ACTIONS(3361),
    [sym_null_literal] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3363),
    [sym_integer_literal] = ACTIONS(3361),
    [sym_real_literal] = ACTIONS(3363),
    [sym_verbatim_string_literal] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3363),
    [sym_interpolation_verbatim_start] = ACTIONS(3363),
    [sym_interpolation_raw_start] = ACTIONS(3363),
    [sym_raw_string_start] = ACTIONS(3363),
  },
  [2730] = {
    [sym_preproc_region] = STATE(2730),
    [sym_preproc_endregion] = STATE(2730),
    [sym_preproc_line] = STATE(2730),
    [sym_preproc_pragma] = STATE(2730),
    [sym_preproc_nullable] = STATE(2730),
    [sym_preproc_error] = STATE(2730),
    [sym_preproc_define] = STATE(2730),
    [sym_preproc_undef] = STATE(2730),
    [sym__identifier_token] = ACTIONS(3365),
    [anon_sym_extern] = ACTIONS(3365),
    [anon_sym_alias] = ACTIONS(3365),
    [anon_sym_SEMI] = ACTIONS(3367),
    [anon_sym_global] = ACTIONS(3365),
    [anon_sym_using] = ACTIONS(3365),
    [anon_sym_unsafe] = ACTIONS(3365),
    [anon_sym_static] = ACTIONS(3365),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3365),
    [anon_sym_ref] = ACTIONS(3365),
    [anon_sym_LBRACE] = ACTIONS(3367),
    [anon_sym_RBRACE] = ACTIONS(3367),
    [anon_sym_delegate] = ACTIONS(3365),
    [anon_sym_abstract] = ACTIONS(3365),
    [anon_sym_async] = ACTIONS(3365),
    [anon_sym_const] = ACTIONS(3365),
    [anon_sym_file] = ACTIONS(3365),
    [anon_sym_fixed] = ACTIONS(3365),
    [anon_sym_internal] = ACTIONS(3365),
    [anon_sym_new] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3365),
    [anon_sym_partial] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_readonly] = ACTIONS(3365),
    [anon_sym_required] = ACTIONS(3365),
    [anon_sym_sealed] = ACTIONS(3365),
    [anon_sym_virtual] = ACTIONS(3365),
    [anon_sym_volatile] = ACTIONS(3365),
    [anon_sym_where] = ACTIONS(3365),
    [anon_sym_notnull] = ACTIONS(3365),
    [anon_sym_unmanaged] = ACTIONS(3365),
    [anon_sym_checked] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3367),
    [anon_sym_TILDE] = ACTIONS(3367),
    [anon_sym_PLUS_PLUS] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3367),
    [anon_sym_true] = ACTIONS(3365),
    [anon_sym_false] = ACTIONS(3365),
    [anon_sym_PLUS] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3367),
    [anon_sym_CARET] = ACTIONS(3367),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_this] = ACTIONS(3365),
    [anon_sym_scoped] = ACTIONS(3365),
    [anon_sym_base] = ACTIONS(3365),
    [anon_sym_var] = ACTIONS(3365),
    [sym_predefined_type] = ACTIONS(3365),
    [anon_sym_break] = ACTIONS(3365),
    [anon_sym_unchecked] = ACTIONS(3365),
    [anon_sym_continue] = ACTIONS(3365),
    [anon_sym_do] = ACTIONS(3365),
    [anon_sym_while] = ACTIONS(3365),
    [anon_sym_for] = ACTIONS(3365),
    [anon_sym_lock] = ACTIONS(3365),
    [anon_sym_yield] = ACTIONS(3365),
    [anon_sym_switch] = ACTIONS(3365),
    [anon_sym_case] = ACTIONS(3365),
    [anon_sym_default] = ACTIONS(3365),
    [anon_sym_throw] = ACTIONS(3365),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_when] = ACTIONS(3365),
    [anon_sym_await] = ACTIONS(3365),
    [anon_sym_foreach] = ACTIONS(3365),
    [anon_sym_goto] = ACTIONS(3365),
    [anon_sym_if] = ACTIONS(3365),
    [anon_sym_else] = ACTIONS(3365),
    [anon_sym_DOT_DOT] = ACTIONS(3367),
    [anon_sym_from] = ACTIONS(3365),
    [anon_sym_into] = ACTIONS(3365),
    [anon_sym_join] = ACTIONS(3365),
    [anon_sym_on] = ACTIONS(3365),
    [anon_sym_equals] = ACTIONS(3365),
    [anon_sym_let] = ACTIONS(3365),
    [anon_sym_orderby] = ACTIONS(3365),
    [anon_sym_ascending] = ACTIONS(3365),
    [anon_sym_descending] = ACTIONS(3365),
    [anon_sym_group] = ACTIONS(3365),
    [anon_sym_by] = ACTIONS(3365),
    [anon_sym_select] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3367),
    [anon_sym_stackalloc] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3365),
    [anon_sym_typeof] = ACTIONS(3365),
    [anon_sym___makeref] = ACTIONS(3365),
    [anon_sym___reftype] = ACTIONS(3365),
    [anon_sym___refvalue] = ACTIONS(3365),
    [sym_null_literal] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3367),
    [sym_integer_literal] = ACTIONS(3365),
    [sym_real_literal] = ACTIONS(3367),
    [sym_verbatim_string_literal] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3367),
    [sym_interpolation_verbatim_start] = ACTIONS(3367),
    [sym_interpolation_raw_start] = ACTIONS(3367),
    [sym_raw_string_start] = ACTIONS(3367),
  },
  [2731] = {
    [sym_preproc_region] = STATE(2731),
    [sym_preproc_endregion] = STATE(2731),
    [sym_preproc_line] = STATE(2731),
    [sym_preproc_pragma] = STATE(2731),
    [sym_preproc_nullable] = STATE(2731),
    [sym_preproc_error] = STATE(2731),
    [sym_preproc_define] = STATE(2731),
    [sym_preproc_undef] = STATE(2731),
    [sym__identifier_token] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym_alias] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym_global] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_unsafe] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_LPAREN] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_ref] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_delegate] = ACTIONS(3373),
    [anon_sym_abstract] = ACTIONS(3373),
    [anon_sym_async] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_file] = ACTIONS(3373),
    [anon_sym_fixed] = ACTIONS(3373),
    [anon_sym_internal] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_override] = ACTIONS(3373),
    [anon_sym_partial] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_readonly] = ACTIONS(3373),
    [anon_sym_required] = ACTIONS(3373),
    [anon_sym_sealed] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_where] = ACTIONS(3373),
    [anon_sym_notnull] = ACTIONS(3373),
    [anon_sym_unmanaged] = ACTIONS(3373),
    [anon_sym_checked] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_true] = ACTIONS(3373),
    [anon_sym_false] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_this] = ACTIONS(3373),
    [anon_sym_scoped] = ACTIONS(3373),
    [anon_sym_base] = ACTIONS(3373),
    [anon_sym_var] = ACTIONS(3373),
    [sym_predefined_type] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_unchecked] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_lock] = ACTIONS(3373),
    [anon_sym_yield] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_when] = ACTIONS(3373),
    [anon_sym_await] = ACTIONS(3373),
    [anon_sym_foreach] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_else] = ACTIONS(3373),
    [anon_sym_DOT_DOT] = ACTIONS(3375),
    [anon_sym_from] = ACTIONS(3373),
    [anon_sym_into] = ACTIONS(3373),
    [anon_sym_join] = ACTIONS(3373),
    [anon_sym_on] = ACTIONS(3373),
    [anon_sym_equals] = ACTIONS(3373),
    [anon_sym_let] = ACTIONS(3373),
    [anon_sym_orderby] = ACTIONS(3373),
    [anon_sym_ascending] = ACTIONS(3373),
    [anon_sym_descending] = ACTIONS(3373),
    [anon_sym_group] = ACTIONS(3373),
    [anon_sym_by] = ACTIONS(3373),
    [anon_sym_select] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [anon_sym_stackalloc] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym_typeof] = ACTIONS(3373),
    [anon_sym___makeref] = ACTIONS(3373),
    [anon_sym___reftype] = ACTIONS(3373),
    [anon_sym___refvalue] = ACTIONS(3373),
    [sym_null_literal] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [sym_integer_literal] = ACTIONS(3373),
    [sym_real_literal] = ACTIONS(3375),
    [sym_verbatim_string_literal] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(3375),
    [sym_interpolation_verbatim_start] = ACTIONS(3375),
    [sym_interpolation_raw_start] = ACTIONS(3375),
    [sym_raw_string_start] = ACTIONS(3375),
  },
  [2732] = {
    [sym_preproc_region] = STATE(2732),
    [sym_preproc_endregion] = STATE(2732),
    [sym_preproc_line] = STATE(2732),
    [sym_preproc_pragma] = STATE(2732),
    [sym_preproc_nullable] = STATE(2732),
    [sym_preproc_error] = STATE(2732),
    [sym_preproc_define] = STATE(2732),
    [sym_preproc_undef] = STATE(2732),
    [sym__identifier_token] = ACTIONS(4047),
    [anon_sym_extern] = ACTIONS(4047),
    [anon_sym_alias] = ACTIONS(4047),
    [anon_sym_SEMI] = ACTIONS(4049),
    [anon_sym_global] = ACTIONS(4047),
    [anon_sym_using] = ACTIONS(4047),
    [anon_sym_unsafe] = ACTIONS(4047),
    [anon_sym_static] = ACTIONS(4047),
    [anon_sym_LBRACK] = ACTIONS(4049),
    [anon_sym_LPAREN] = ACTIONS(4049),
    [anon_sym_return] = ACTIONS(4047),
    [anon_sym_ref] = ACTIONS(4047),
    [anon_sym_LBRACE] = ACTIONS(4049),
    [anon_sym_RBRACE] = ACTIONS(4049),
    [anon_sym_delegate] = ACTIONS(4047),
    [anon_sym_abstract] = ACTIONS(4047),
    [anon_sym_async] = ACTIONS(4047),
    [anon_sym_const] = ACTIONS(4047),
    [anon_sym_file] = ACTIONS(4047),
    [anon_sym_fixed] = ACTIONS(4047),
    [anon_sym_internal] = ACTIONS(4047),
    [anon_sym_new] = ACTIONS(4047),
    [anon_sym_override] = ACTIONS(4047),
    [anon_sym_partial] = ACTIONS(4047),
    [anon_sym_private] = ACTIONS(4047),
    [anon_sym_protected] = ACTIONS(4047),
    [anon_sym_public] = ACTIONS(4047),
    [anon_sym_readonly] = ACTIONS(4047),
    [anon_sym_required] = ACTIONS(4047),
    [anon_sym_sealed] = ACTIONS(4047),
    [anon_sym_virtual] = ACTIONS(4047),
    [anon_sym_volatile] = ACTIONS(4047),
    [anon_sym_where] = ACTIONS(4047),
    [anon_sym_notnull] = ACTIONS(4047),
    [anon_sym_unmanaged] = ACTIONS(4047),
    [anon_sym_checked] = ACTIONS(4047),
    [anon_sym_BANG] = ACTIONS(4049),
    [anon_sym_TILDE] = ACTIONS(4049),
    [anon_sym_PLUS_PLUS] = ACTIONS(4049),
    [anon_sym_DASH_DASH] = ACTIONS(4049),
    [anon_sym_true] = ACTIONS(4047),
    [anon_sym_false] = ACTIONS(4047),
    [anon_sym_PLUS] = ACTIONS(4047),
    [anon_sym_DASH] = ACTIONS(4047),
    [anon_sym_STAR] = ACTIONS(4049),
    [anon_sym_CARET] = ACTIONS(4049),
    [anon_sym_AMP] = ACTIONS(4049),
    [anon_sym_this] = ACTIONS(4047),
    [anon_sym_scoped] = ACTIONS(4047),
    [anon_sym_base] = ACTIONS(4047),
    [anon_sym_var] = ACTIONS(4047),
    [sym_predefined_type] = ACTIONS(4047),
    [anon_sym_break] = ACTIONS(4047),
    [anon_sym_unchecked] = ACTIONS(4047),
    [anon_sym_continue] = ACTIONS(4047),
    [anon_sym_do] = ACTIONS(4047),
    [anon_sym_while] = ACTIONS(4047),
    [anon_sym_for] = ACTIONS(4047),
    [anon_sym_lock] = ACTIONS(4047),
    [anon_sym_yield] = ACTIONS(4047),
    [anon_sym_switch] = ACTIONS(4047),
    [anon_sym_case] = ACTIONS(4047),
    [anon_sym_default] = ACTIONS(4047),
    [anon_sym_throw] = ACTIONS(4047),
    [anon_sym_try] = ACTIONS(4047),
    [anon_sym_when] = ACTIONS(4047),
    [anon_sym_await] = ACTIONS(4047),
    [anon_sym_foreach] = ACTIONS(4047),
    [anon_sym_goto] = ACTIONS(4047),
    [anon_sym_if] = ACTIONS(4047),
    [anon_sym_DOT_DOT] = ACTIONS(4049),
    [anon_sym_from] = ACTIONS(4047),
    [anon_sym_into] = ACTIONS(4047),
    [anon_sym_join] = ACTIONS(4047),
    [anon_sym_on] = ACTIONS(4047),
    [anon_sym_equals] = ACTIONS(4047),
    [anon_sym_let] = ACTIONS(4047),
    [anon_sym_orderby] = ACTIONS(4047),
    [anon_sym_ascending] = ACTIONS(4047),
    [anon_sym_descending] = ACTIONS(4047),
    [anon_sym_group] = ACTIONS(4047),
    [anon_sym_by] = ACTIONS(4047),
    [anon_sym_select] = ACTIONS(4047),
    [anon_sym_DQUOTE] = ACTIONS(4049),
    [anon_sym_stackalloc] = ACTIONS(4047),
    [anon_sym_sizeof] = ACTIONS(4047),
    [anon_sym_typeof] = ACTIONS(4047),
    [anon_sym___makeref] = ACTIONS(4047),
    [anon_sym___reftype] = ACTIONS(4047),
    [anon_sym___refvalue] = ACTIONS(4047),
    [sym_null_literal] = ACTIONS(4047),
    [anon_sym_SQUOTE] = ACTIONS(4049),
    [sym_integer_literal] = ACTIONS(4047),
    [sym_real_literal] = ACTIONS(4049),
    [sym_verbatim_string_literal] = ACTIONS(4049),
    [aux_sym_preproc_if_token1] = ACTIONS(4049),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_regular_start] = ACTIONS(4049),
    [sym_interpolation_verbatim_start] = ACTIONS(4049),
    [sym_interpolation_raw_start] = ACTIONS(4049),
    [sym_raw_string_start] = ACTIONS(4049),
  },
  [2733] = {
    [sym_preproc_region] = STATE(2733),
    [sym_preproc_endregion] = STATE(2733),
    [sym_preproc_line] = STATE(2733),
    [sym_preproc_pragma] = STATE(2733),
    [sym_preproc_nullable] = STATE(2733),
    [sym_preproc_error] = STATE(2733),
    [sym_preproc_define] = STATE(2733),
    [sym_preproc_undef] = STATE(2733),
    [sym__identifier_token] = ACTIONS(4037),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4037),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4037),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4037),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4037),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4037),
    [anon_sym_unmanaged] = ACTIONS(4037),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4037),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4037),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4037),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4037),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4037),
    [anon_sym_into] = ACTIONS(4037),
    [anon_sym_join] = ACTIONS(4037),
    [anon_sym_on] = ACTIONS(4037),
    [anon_sym_equals] = ACTIONS(4037),
    [anon_sym_let] = ACTIONS(4037),
    [anon_sym_orderby] = ACTIONS(4037),
    [anon_sym_ascending] = ACTIONS(4037),
    [anon_sym_descending] = ACTIONS(4037),
    [anon_sym_group] = ACTIONS(4037),
    [anon_sym_by] = ACTIONS(4037),
    [anon_sym_select] = ACTIONS(4037),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2734] = {
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7359),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6816),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2734),
    [sym_preproc_endregion] = STATE(2734),
    [sym_preproc_line] = STATE(2734),
    [sym_preproc_pragma] = STATE(2734),
    [sym_preproc_nullable] = STATE(2734),
    [sym_preproc_error] = STATE(2734),
    [sym_preproc_define] = STATE(2734),
    [sym_preproc_undef] = STATE(2734),
    [sym__identifier_token] = ACTIONS(3989),
    [anon_sym_alias] = ACTIONS(3992),
    [anon_sym_global] = ACTIONS(3992),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3999),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3992),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3992),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3992),
    [anon_sym_unmanaged] = ACTIONS(3992),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4006),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4009),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3992),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3992),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3992),
    [anon_sym_into] = ACTIONS(3992),
    [anon_sym_join] = ACTIONS(3992),
    [anon_sym_on] = ACTIONS(3992),
    [anon_sym_equals] = ACTIONS(3992),
    [anon_sym_let] = ACTIONS(3992),
    [anon_sym_orderby] = ACTIONS(3992),
    [anon_sym_ascending] = ACTIONS(3992),
    [anon_sym_descending] = ACTIONS(3992),
    [anon_sym_group] = ACTIONS(3992),
    [anon_sym_by] = ACTIONS(3992),
    [anon_sym_select] = ACTIONS(3992),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2735] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(2735),
    [sym_preproc_endregion] = STATE(2735),
    [sym_preproc_line] = STATE(2735),
    [sym_preproc_pragma] = STATE(2735),
    [sym_preproc_nullable] = STATE(2735),
    [sym_preproc_error] = STATE(2735),
    [sym_preproc_define] = STATE(2735),
    [sym_preproc_undef] = STATE(2735),
    [sym__identifier_token] = ACTIONS(4051),
    [anon_sym_alias] = ACTIONS(4055),
    [anon_sym_global] = ACTIONS(4055),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4059),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_delegate] = ACTIONS(2667),
    [anon_sym_file] = ACTIONS(4055),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(4055),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4055),
    [anon_sym_unmanaged] = ACTIONS(4055),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_this] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4055),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4055),
    [sym_predefined_type] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(4055),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4055),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4055),
    [anon_sym_into] = ACTIONS(4055),
    [anon_sym_join] = ACTIONS(4055),
    [anon_sym_on] = ACTIONS(4055),
    [anon_sym_equals] = ACTIONS(4055),
    [anon_sym_let] = ACTIONS(4055),
    [anon_sym_orderby] = ACTIONS(4055),
    [anon_sym_ascending] = ACTIONS(4055),
    [anon_sym_descending] = ACTIONS(4055),
    [anon_sym_group] = ACTIONS(4055),
    [anon_sym_by] = ACTIONS(4055),
    [anon_sym_select] = ACTIONS(4055),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2736] = {
    [sym__name] = STATE(2990),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(2925),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(2736),
    [sym_preproc_endregion] = STATE(2736),
    [sym_preproc_line] = STATE(2736),
    [sym_preproc_pragma] = STATE(2736),
    [sym_preproc_nullable] = STATE(2736),
    [sym_preproc_error] = STATE(2736),
    [sym_preproc_define] = STATE(2736),
    [sym_preproc_undef] = STATE(2736),
    [sym__identifier_token] = ACTIONS(4062),
    [anon_sym_alias] = ACTIONS(4065),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4065),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4065),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4065),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4065),
    [anon_sym_unmanaged] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4065),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4065),
    [anon_sym_yield] = ACTIONS(4065),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4065),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4065),
    [anon_sym_into] = ACTIONS(4065),
    [anon_sym_join] = ACTIONS(4065),
    [anon_sym_on] = ACTIONS(4065),
    [anon_sym_equals] = ACTIONS(4065),
    [anon_sym_let] = ACTIONS(4065),
    [anon_sym_orderby] = ACTIONS(4065),
    [anon_sym_ascending] = ACTIONS(4065),
    [anon_sym_descending] = ACTIONS(4065),
    [anon_sym_group] = ACTIONS(4065),
    [anon_sym_by] = ACTIONS(4065),
    [anon_sym_select] = ACTIONS(4065),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2737] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(2737),
    [sym_preproc_endregion] = STATE(2737),
    [sym_preproc_line] = STATE(2737),
    [sym_preproc_pragma] = STATE(2737),
    [sym_preproc_nullable] = STATE(2737),
    [sym_preproc_error] = STATE(2737),
    [sym_preproc_define] = STATE(2737),
    [sym_preproc_undef] = STATE(2737),
    [sym__identifier_token] = ACTIONS(4070),
    [anon_sym_alias] = ACTIONS(4073),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4073),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4073),
    [anon_sym_unmanaged] = ACTIONS(4073),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4073),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4073),
    [anon_sym_yield] = ACTIONS(4073),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4073),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4073),
    [anon_sym_into] = ACTIONS(4073),
    [anon_sym_join] = ACTIONS(4073),
    [anon_sym_on] = ACTIONS(4073),
    [anon_sym_equals] = ACTIONS(4073),
    [anon_sym_let] = ACTIONS(4073),
    [anon_sym_orderby] = ACTIONS(4073),
    [anon_sym_ascending] = ACTIONS(4073),
    [anon_sym_descending] = ACTIONS(4073),
    [anon_sym_group] = ACTIONS(4073),
    [anon_sym_by] = ACTIONS(4073),
    [anon_sym_select] = ACTIONS(4073),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2738] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(2738),
    [sym_preproc_endregion] = STATE(2738),
    [sym_preproc_line] = STATE(2738),
    [sym_preproc_pragma] = STATE(2738),
    [sym_preproc_nullable] = STATE(2738),
    [sym_preproc_error] = STATE(2738),
    [sym_preproc_define] = STATE(2738),
    [sym_preproc_undef] = STATE(2738),
    [sym__identifier_token] = ACTIONS(4070),
    [anon_sym_alias] = ACTIONS(4073),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4073),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4073),
    [anon_sym_unmanaged] = ACTIONS(4073),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4073),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4073),
    [anon_sym_yield] = ACTIONS(4073),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4073),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4073),
    [anon_sym_into] = ACTIONS(4073),
    [anon_sym_join] = ACTIONS(4073),
    [anon_sym_on] = ACTIONS(4073),
    [anon_sym_equals] = ACTIONS(4073),
    [anon_sym_let] = ACTIONS(4073),
    [anon_sym_orderby] = ACTIONS(4073),
    [anon_sym_ascending] = ACTIONS(4073),
    [anon_sym_descending] = ACTIONS(4073),
    [anon_sym_group] = ACTIONS(4073),
    [anon_sym_by] = ACTIONS(4073),
    [anon_sym_select] = ACTIONS(4073),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2739] = {
    [sym__variable_designation] = STATE(4074),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2739),
    [sym_preproc_endregion] = STATE(2739),
    [sym_preproc_line] = STATE(2739),
    [sym_preproc_pragma] = STATE(2739),
    [sym_preproc_nullable] = STATE(2739),
    [sym_preproc_error] = STATE(2739),
    [sym_preproc_define] = STATE(2739),
    [sym_preproc_undef] = STATE(2739),
    [sym__identifier_token] = ACTIONS(4078),
    [anon_sym_alias] = ACTIONS(4082),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4092),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4082),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4082),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4082),
    [anon_sym_unmanaged] = ACTIONS(4082),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4082),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4082),
    [sym_discard] = ACTIONS(4096),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_into] = ACTIONS(4082),
    [anon_sym_join] = ACTIONS(4082),
    [anon_sym_on] = ACTIONS(4082),
    [anon_sym_equals] = ACTIONS(4082),
    [anon_sym_let] = ACTIONS(4082),
    [anon_sym_orderby] = ACTIONS(4082),
    [anon_sym_ascending] = ACTIONS(4082),
    [anon_sym_descending] = ACTIONS(4082),
    [anon_sym_group] = ACTIONS(4082),
    [anon_sym_by] = ACTIONS(4082),
    [anon_sym_select] = ACTIONS(4082),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2740] = {
    [sym__name] = STATE(3207),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(3130),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(2740),
    [sym_preproc_endregion] = STATE(2740),
    [sym_preproc_line] = STATE(2740),
    [sym_preproc_pragma] = STATE(2740),
    [sym_preproc_nullable] = STATE(2740),
    [sym_preproc_error] = STATE(2740),
    [sym_preproc_define] = STATE(2740),
    [sym_preproc_undef] = STATE(2740),
    [sym__identifier_token] = ACTIONS(4062),
    [anon_sym_alias] = ACTIONS(4065),
    [anon_sym_global] = ACTIONS(4065),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4100),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4065),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4065),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4065),
    [anon_sym_unmanaged] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4065),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4065),
    [anon_sym_yield] = ACTIONS(4065),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4065),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4065),
    [anon_sym_into] = ACTIONS(4065),
    [anon_sym_join] = ACTIONS(4065),
    [anon_sym_on] = ACTIONS(4065),
    [anon_sym_equals] = ACTIONS(4065),
    [anon_sym_let] = ACTIONS(4065),
    [anon_sym_orderby] = ACTIONS(4065),
    [anon_sym_ascending] = ACTIONS(4065),
    [anon_sym_descending] = ACTIONS(4065),
    [anon_sym_group] = ACTIONS(4065),
    [anon_sym_by] = ACTIONS(4065),
    [anon_sym_select] = ACTIONS(4065),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2741] = {
    [sym__name] = STATE(3391),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(3251),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(3341),
    [sym_ref_type] = STATE(3392),
    [sym__scoped_base_type] = STATE(3395),
    [sym_identifier] = STATE(3164),
    [sym__reserved_identifier] = STATE(3208),
    [sym_preproc_region] = STATE(2741),
    [sym_preproc_endregion] = STATE(2741),
    [sym_preproc_line] = STATE(2741),
    [sym_preproc_pragma] = STATE(2741),
    [sym_preproc_nullable] = STATE(2741),
    [sym_preproc_error] = STATE(2741),
    [sym_preproc_define] = STATE(2741),
    [sym_preproc_undef] = STATE(2741),
    [sym__identifier_token] = ACTIONS(4102),
    [anon_sym_alias] = ACTIONS(4105),
    [anon_sym_global] = ACTIONS(4105),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4108),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4105),
    [anon_sym_unmanaged] = ACTIONS(4105),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4105),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4105),
    [anon_sym_yield] = ACTIONS(4105),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4105),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4105),
    [anon_sym_into] = ACTIONS(4105),
    [anon_sym_join] = ACTIONS(4105),
    [anon_sym_on] = ACTIONS(4105),
    [anon_sym_equals] = ACTIONS(4105),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_orderby] = ACTIONS(4105),
    [anon_sym_ascending] = ACTIONS(4105),
    [anon_sym_descending] = ACTIONS(4105),
    [anon_sym_group] = ACTIONS(4105),
    [anon_sym_by] = ACTIONS(4105),
    [anon_sym_select] = ACTIONS(4105),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2742] = {
    [sym__variable_designation] = STATE(4099),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2742),
    [sym_preproc_endregion] = STATE(2742),
    [sym_preproc_line] = STATE(2742),
    [sym_preproc_pragma] = STATE(2742),
    [sym_preproc_nullable] = STATE(2742),
    [sym_preproc_error] = STATE(2742),
    [sym_preproc_define] = STATE(2742),
    [sym_preproc_undef] = STATE(2742),
    [sym__identifier_token] = ACTIONS(4078),
    [anon_sym_alias] = ACTIONS(4082),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4110),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4082),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4082),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4082),
    [anon_sym_unmanaged] = ACTIONS(4082),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4082),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4082),
    [sym_discard] = ACTIONS(4114),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_into] = ACTIONS(4082),
    [anon_sym_join] = ACTIONS(4082),
    [anon_sym_on] = ACTIONS(4082),
    [anon_sym_equals] = ACTIONS(4082),
    [anon_sym_let] = ACTIONS(4082),
    [anon_sym_orderby] = ACTIONS(4082),
    [anon_sym_ascending] = ACTIONS(4082),
    [anon_sym_descending] = ACTIONS(4082),
    [anon_sym_group] = ACTIONS(4082),
    [anon_sym_by] = ACTIONS(4082),
    [anon_sym_select] = ACTIONS(4082),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2743] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(2743),
    [sym_preproc_endregion] = STATE(2743),
    [sym_preproc_line] = STATE(2743),
    [sym_preproc_pragma] = STATE(2743),
    [sym_preproc_nullable] = STATE(2743),
    [sym_preproc_error] = STATE(2743),
    [sym_preproc_define] = STATE(2743),
    [sym_preproc_undef] = STATE(2743),
    [sym__identifier_token] = ACTIONS(4070),
    [anon_sym_alias] = ACTIONS(4073),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4073),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4073),
    [anon_sym_unmanaged] = ACTIONS(4073),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4073),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4073),
    [anon_sym_yield] = ACTIONS(4073),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4073),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4073),
    [anon_sym_into] = ACTIONS(4073),
    [anon_sym_join] = ACTIONS(4073),
    [anon_sym_on] = ACTIONS(4073),
    [anon_sym_equals] = ACTIONS(4073),
    [anon_sym_let] = ACTIONS(4073),
    [anon_sym_orderby] = ACTIONS(4073),
    [anon_sym_ascending] = ACTIONS(4073),
    [anon_sym_descending] = ACTIONS(4073),
    [anon_sym_group] = ACTIONS(4073),
    [anon_sym_by] = ACTIONS(4073),
    [anon_sym_select] = ACTIONS(4073),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2744] = {
    [sym_preproc_region] = STATE(2744),
    [sym_preproc_endregion] = STATE(2744),
    [sym_preproc_line] = STATE(2744),
    [sym_preproc_pragma] = STATE(2744),
    [sym_preproc_nullable] = STATE(2744),
    [sym_preproc_error] = STATE(2744),
    [sym_preproc_define] = STATE(2744),
    [sym_preproc_undef] = STATE(2744),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_operator] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_this] = ACTIONS(4120),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2745] = {
    [sym_preproc_region] = STATE(2745),
    [sym_preproc_endregion] = STATE(2745),
    [sym_preproc_line] = STATE(2745),
    [sym_preproc_pragma] = STATE(2745),
    [sym_preproc_nullable] = STATE(2745),
    [sym_preproc_error] = STATE(2745),
    [sym_preproc_define] = STATE(2745),
    [sym_preproc_undef] = STATE(2745),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_operator] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_this] = ACTIONS(3997),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2746] = {
    [sym_preproc_region] = STATE(2746),
    [sym_preproc_endregion] = STATE(2746),
    [sym_preproc_line] = STATE(2746),
    [sym_preproc_pragma] = STATE(2746),
    [sym_preproc_nullable] = STATE(2746),
    [sym_preproc_error] = STATE(2746),
    [sym_preproc_define] = STATE(2746),
    [sym_preproc_undef] = STATE(2746),
    [sym__identifier_token] = ACTIONS(4124),
    [anon_sym_alias] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_global] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_file] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4124),
    [anon_sym_where] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_notnull] = ACTIONS(4124),
    [anon_sym_unmanaged] = ACTIONS(4124),
    [anon_sym_operator] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_this] = ACTIONS(4124),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_scoped] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_var] = ACTIONS(4124),
    [anon_sym_yield] = ACTIONS(4124),
    [anon_sym_switch] = ACTIONS(4124),
    [anon_sym_when] = ACTIONS(4124),
    [sym_discard] = ACTIONS(4124),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4126),
    [anon_sym_DASH_EQ] = ACTIONS(4126),
    [anon_sym_STAR_EQ] = ACTIONS(4126),
    [anon_sym_SLASH_EQ] = ACTIONS(4126),
    [anon_sym_PERCENT_EQ] = ACTIONS(4126),
    [anon_sym_AMP_EQ] = ACTIONS(4126),
    [anon_sym_CARET_EQ] = ACTIONS(4126),
    [anon_sym_PIPE_EQ] = ACTIONS(4126),
    [anon_sym_LT_LT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4124),
    [anon_sym_from] = ACTIONS(4124),
    [anon_sym_into] = ACTIONS(4124),
    [anon_sym_join] = ACTIONS(4124),
    [anon_sym_on] = ACTIONS(4124),
    [anon_sym_equals] = ACTIONS(4124),
    [anon_sym_let] = ACTIONS(4124),
    [anon_sym_orderby] = ACTIONS(4124),
    [anon_sym_ascending] = ACTIONS(4124),
    [anon_sym_descending] = ACTIONS(4124),
    [anon_sym_group] = ACTIONS(4124),
    [anon_sym_by] = ACTIONS(4124),
    [anon_sym_select] = ACTIONS(4124),
    [anon_sym_as] = ACTIONS(4124),
    [anon_sym_is] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4124),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2747] = {
    [sym_preproc_region] = STATE(2747),
    [sym_preproc_endregion] = STATE(2747),
    [sym_preproc_line] = STATE(2747),
    [sym_preproc_pragma] = STATE(2747),
    [sym_preproc_nullable] = STATE(2747),
    [sym_preproc_error] = STATE(2747),
    [sym_preproc_define] = STATE(2747),
    [sym_preproc_undef] = STATE(2747),
    [sym__identifier_token] = ACTIONS(4128),
    [anon_sym_alias] = ACTIONS(4128),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_global] = ACTIONS(4128),
    [anon_sym_EQ] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_file] = ACTIONS(4128),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4128),
    [anon_sym_where] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_notnull] = ACTIONS(4128),
    [anon_sym_unmanaged] = ACTIONS(4128),
    [anon_sym_operator] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4128),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4128),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_this] = ACTIONS(4128),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_scoped] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_var] = ACTIONS(4128),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_switch] = ACTIONS(4128),
    [anon_sym_when] = ACTIONS(4128),
    [sym_discard] = ACTIONS(4128),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4128),
    [anon_sym_or] = ACTIONS(4128),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4128),
    [anon_sym_from] = ACTIONS(4128),
    [anon_sym_into] = ACTIONS(4128),
    [anon_sym_join] = ACTIONS(4128),
    [anon_sym_on] = ACTIONS(4128),
    [anon_sym_equals] = ACTIONS(4128),
    [anon_sym_let] = ACTIONS(4128),
    [anon_sym_orderby] = ACTIONS(4128),
    [anon_sym_ascending] = ACTIONS(4128),
    [anon_sym_descending] = ACTIONS(4128),
    [anon_sym_group] = ACTIONS(4128),
    [anon_sym_by] = ACTIONS(4128),
    [anon_sym_select] = ACTIONS(4128),
    [anon_sym_as] = ACTIONS(4128),
    [anon_sym_is] = ACTIONS(4128),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4128),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2748] = {
    [sym_preproc_region] = STATE(2748),
    [sym_preproc_endregion] = STATE(2748),
    [sym_preproc_line] = STATE(2748),
    [sym_preproc_pragma] = STATE(2748),
    [sym_preproc_nullable] = STATE(2748),
    [sym_preproc_error] = STATE(2748),
    [sym_preproc_define] = STATE(2748),
    [sym_preproc_undef] = STATE(2748),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_operator] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_this] = ACTIONS(4132),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2749] = {
    [sym__name] = STATE(6830),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(6765),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(2749),
    [sym_preproc_endregion] = STATE(2749),
    [sym_preproc_line] = STATE(2749),
    [sym_preproc_pragma] = STATE(2749),
    [sym_preproc_nullable] = STATE(2749),
    [sym_preproc_error] = STATE(2749),
    [sym_preproc_define] = STATE(2749),
    [sym_preproc_undef] = STATE(2749),
    [sym__identifier_token] = ACTIONS(4070),
    [anon_sym_alias] = ACTIONS(4073),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4136),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4073),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4073),
    [anon_sym_unmanaged] = ACTIONS(4073),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4073),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4073),
    [anon_sym_yield] = ACTIONS(4073),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4073),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4073),
    [anon_sym_into] = ACTIONS(4073),
    [anon_sym_join] = ACTIONS(4073),
    [anon_sym_on] = ACTIONS(4073),
    [anon_sym_equals] = ACTIONS(4073),
    [anon_sym_let] = ACTIONS(4073),
    [anon_sym_orderby] = ACTIONS(4073),
    [anon_sym_ascending] = ACTIONS(4073),
    [anon_sym_descending] = ACTIONS(4073),
    [anon_sym_group] = ACTIONS(4073),
    [anon_sym_by] = ACTIONS(4073),
    [anon_sym_select] = ACTIONS(4073),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2750] = {
    [sym_preproc_region] = STATE(2750),
    [sym_preproc_endregion] = STATE(2750),
    [sym_preproc_line] = STATE(2750),
    [sym_preproc_pragma] = STATE(2750),
    [sym_preproc_nullable] = STATE(2750),
    [sym_preproc_error] = STATE(2750),
    [sym_preproc_define] = STATE(2750),
    [sym_preproc_undef] = STATE(2750),
    [sym__identifier_token] = ACTIONS(4138),
    [anon_sym_alias] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_global] = ACTIONS(4138),
    [anon_sym_EQ] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_file] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4138),
    [anon_sym_where] = ACTIONS(4138),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_notnull] = ACTIONS(4138),
    [anon_sym_unmanaged] = ACTIONS(4138),
    [anon_sym_operator] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4138),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_this] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_scoped] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_var] = ACTIONS(4138),
    [anon_sym_yield] = ACTIONS(4138),
    [anon_sym_switch] = ACTIONS(4138),
    [anon_sym_when] = ACTIONS(4138),
    [sym_discard] = ACTIONS(4138),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4138),
    [anon_sym_or] = ACTIONS(4138),
    [anon_sym_PLUS_EQ] = ACTIONS(4140),
    [anon_sym_DASH_EQ] = ACTIONS(4140),
    [anon_sym_STAR_EQ] = ACTIONS(4140),
    [anon_sym_SLASH_EQ] = ACTIONS(4140),
    [anon_sym_PERCENT_EQ] = ACTIONS(4140),
    [anon_sym_AMP_EQ] = ACTIONS(4140),
    [anon_sym_CARET_EQ] = ACTIONS(4140),
    [anon_sym_PIPE_EQ] = ACTIONS(4140),
    [anon_sym_LT_LT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4138),
    [anon_sym_from] = ACTIONS(4138),
    [anon_sym_into] = ACTIONS(4138),
    [anon_sym_join] = ACTIONS(4138),
    [anon_sym_on] = ACTIONS(4138),
    [anon_sym_equals] = ACTIONS(4138),
    [anon_sym_let] = ACTIONS(4138),
    [anon_sym_orderby] = ACTIONS(4138),
    [anon_sym_ascending] = ACTIONS(4138),
    [anon_sym_descending] = ACTIONS(4138),
    [anon_sym_group] = ACTIONS(4138),
    [anon_sym_by] = ACTIONS(4138),
    [anon_sym_select] = ACTIONS(4138),
    [anon_sym_as] = ACTIONS(4138),
    [anon_sym_is] = ACTIONS(4138),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4138),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2751] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(2751),
    [sym_preproc_endregion] = STATE(2751),
    [sym_preproc_line] = STATE(2751),
    [sym_preproc_pragma] = STATE(2751),
    [sym_preproc_nullable] = STATE(2751),
    [sym_preproc_error] = STATE(2751),
    [sym_preproc_define] = STATE(2751),
    [sym_preproc_undef] = STATE(2751),
    [sym__identifier_token] = ACTIONS(4070),
    [anon_sym_alias] = ACTIONS(4073),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_file] = ACTIONS(4073),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4073),
    [anon_sym_unmanaged] = ACTIONS(4073),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4073),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4073),
    [anon_sym_yield] = ACTIONS(4073),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4073),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4073),
    [anon_sym_into] = ACTIONS(4073),
    [anon_sym_join] = ACTIONS(4073),
    [anon_sym_on] = ACTIONS(4073),
    [anon_sym_equals] = ACTIONS(4073),
    [anon_sym_let] = ACTIONS(4073),
    [anon_sym_orderby] = ACTIONS(4073),
    [anon_sym_ascending] = ACTIONS(4073),
    [anon_sym_descending] = ACTIONS(4073),
    [anon_sym_group] = ACTIONS(4073),
    [anon_sym_by] = ACTIONS(4073),
    [anon_sym_select] = ACTIONS(4073),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2752] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2752),
    [sym_preproc_endregion] = STATE(2752),
    [sym_preproc_line] = STATE(2752),
    [sym_preproc_pragma] = STATE(2752),
    [sym_preproc_nullable] = STATE(2752),
    [sym_preproc_error] = STATE(2752),
    [sym_preproc_define] = STATE(2752),
    [sym_preproc_undef] = STATE(2752),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2753] = {
    [sym_preproc_region] = STATE(2753),
    [sym_preproc_endregion] = STATE(2753),
    [sym_preproc_line] = STATE(2753),
    [sym_preproc_pragma] = STATE(2753),
    [sym_preproc_nullable] = STATE(2753),
    [sym_preproc_error] = STATE(2753),
    [sym_preproc_define] = STATE(2753),
    [sym_preproc_undef] = STATE(2753),
    [sym__identifier_token] = ACTIONS(4149),
    [anon_sym_alias] = ACTIONS(4149),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_global] = ACTIONS(4149),
    [anon_sym_EQ] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_file] = ACTIONS(4149),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4149),
    [anon_sym_where] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_notnull] = ACTIONS(4149),
    [anon_sym_unmanaged] = ACTIONS(4149),
    [anon_sym_operator] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4149),
    [anon_sym_CARET] = ACTIONS(4149),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4149),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4149),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_this] = ACTIONS(4149),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_scoped] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_var] = ACTIONS(4149),
    [anon_sym_yield] = ACTIONS(4149),
    [anon_sym_switch] = ACTIONS(4149),
    [anon_sym_when] = ACTIONS(4149),
    [sym_discard] = ACTIONS(4149),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4149),
    [anon_sym_or] = ACTIONS(4149),
    [anon_sym_PLUS_EQ] = ACTIONS(4151),
    [anon_sym_DASH_EQ] = ACTIONS(4151),
    [anon_sym_STAR_EQ] = ACTIONS(4151),
    [anon_sym_SLASH_EQ] = ACTIONS(4151),
    [anon_sym_PERCENT_EQ] = ACTIONS(4151),
    [anon_sym_AMP_EQ] = ACTIONS(4151),
    [anon_sym_CARET_EQ] = ACTIONS(4151),
    [anon_sym_PIPE_EQ] = ACTIONS(4151),
    [anon_sym_LT_LT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4149),
    [anon_sym_from] = ACTIONS(4149),
    [anon_sym_into] = ACTIONS(4149),
    [anon_sym_join] = ACTIONS(4149),
    [anon_sym_on] = ACTIONS(4149),
    [anon_sym_equals] = ACTIONS(4149),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_orderby] = ACTIONS(4149),
    [anon_sym_ascending] = ACTIONS(4149),
    [anon_sym_descending] = ACTIONS(4149),
    [anon_sym_group] = ACTIONS(4149),
    [anon_sym_by] = ACTIONS(4149),
    [anon_sym_select] = ACTIONS(4149),
    [anon_sym_as] = ACTIONS(4149),
    [anon_sym_is] = ACTIONS(4149),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4149),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2754] = {
    [sym_preproc_region] = STATE(2754),
    [sym_preproc_endregion] = STATE(2754),
    [sym_preproc_line] = STATE(2754),
    [sym_preproc_pragma] = STATE(2754),
    [sym_preproc_nullable] = STATE(2754),
    [sym_preproc_error] = STATE(2754),
    [sym_preproc_define] = STATE(2754),
    [sym_preproc_undef] = STATE(2754),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2755] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2755),
    [sym_preproc_endregion] = STATE(2755),
    [sym_preproc_line] = STATE(2755),
    [sym_preproc_pragma] = STATE(2755),
    [sym_preproc_nullable] = STATE(2755),
    [sym_preproc_error] = STATE(2755),
    [sym_preproc_define] = STATE(2755),
    [sym_preproc_undef] = STATE(2755),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2756] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2756),
    [sym_preproc_endregion] = STATE(2756),
    [sym_preproc_line] = STATE(2756),
    [sym_preproc_pragma] = STATE(2756),
    [sym_preproc_nullable] = STATE(2756),
    [sym_preproc_error] = STATE(2756),
    [sym_preproc_define] = STATE(2756),
    [sym_preproc_undef] = STATE(2756),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4153),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2757] = {
    [sym__variable_designation] = STATE(4099),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3155),
    [sym_preproc_region] = STATE(2757),
    [sym_preproc_endregion] = STATE(2757),
    [sym_preproc_line] = STATE(2757),
    [sym_preproc_pragma] = STATE(2757),
    [sym_preproc_nullable] = STATE(2757),
    [sym_preproc_error] = STATE(2757),
    [sym_preproc_define] = STATE(2757),
    [sym_preproc_undef] = STATE(2757),
    [sym__identifier_token] = ACTIONS(4155),
    [anon_sym_alias] = ACTIONS(4159),
    [anon_sym_global] = ACTIONS(4159),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4110),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4159),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4159),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4159),
    [anon_sym_unmanaged] = ACTIONS(4159),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4159),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4159),
    [anon_sym_yield] = ACTIONS(4159),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4159),
    [sym_discard] = ACTIONS(4114),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4159),
    [anon_sym_into] = ACTIONS(4159),
    [anon_sym_join] = ACTIONS(4159),
    [anon_sym_on] = ACTIONS(4159),
    [anon_sym_equals] = ACTIONS(4159),
    [anon_sym_let] = ACTIONS(4159),
    [anon_sym_orderby] = ACTIONS(4159),
    [anon_sym_ascending] = ACTIONS(4159),
    [anon_sym_descending] = ACTIONS(4159),
    [anon_sym_group] = ACTIONS(4159),
    [anon_sym_by] = ACTIONS(4159),
    [anon_sym_select] = ACTIONS(4159),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2758] = {
    [sym_preproc_region] = STATE(2758),
    [sym_preproc_endregion] = STATE(2758),
    [sym_preproc_line] = STATE(2758),
    [sym_preproc_pragma] = STATE(2758),
    [sym_preproc_nullable] = STATE(2758),
    [sym_preproc_error] = STATE(2758),
    [sym_preproc_define] = STATE(2758),
    [sym_preproc_undef] = STATE(2758),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_SEMI] = ACTIONS(4165),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_RBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_in] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_if_token3] = ACTIONS(4165),
    [aux_sym_preproc_else_token1] = ACTIONS(4165),
    [aux_sym_preproc_elif_token1] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2759] = {
    [sym_preproc_region] = STATE(2759),
    [sym_preproc_endregion] = STATE(2759),
    [sym_preproc_line] = STATE(2759),
    [sym_preproc_pragma] = STATE(2759),
    [sym_preproc_nullable] = STATE(2759),
    [sym_preproc_error] = STATE(2759),
    [sym_preproc_define] = STATE(2759),
    [sym_preproc_undef] = STATE(2759),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_SEMI] = ACTIONS(4169),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_RBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_in] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4169),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_if_token3] = ACTIONS(4169),
    [aux_sym_preproc_else_token1] = ACTIONS(4169),
    [aux_sym_preproc_elif_token1] = ACTIONS(4169),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2760] = {
    [sym_preproc_region] = STATE(2760),
    [sym_preproc_endregion] = STATE(2760),
    [sym_preproc_line] = STATE(2760),
    [sym_preproc_pragma] = STATE(2760),
    [sym_preproc_nullable] = STATE(2760),
    [sym_preproc_error] = STATE(2760),
    [sym_preproc_define] = STATE(2760),
    [sym_preproc_undef] = STATE(2760),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_SEMI] = ACTIONS(4179),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4179),
    [anon_sym_COMMA] = ACTIONS(4179),
    [anon_sym_RBRACK] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_RPAREN] = ACTIONS(4179),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4179),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_in] = ACTIONS(4194),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4179),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_if_token3] = ACTIONS(4179),
    [aux_sym_preproc_else_token1] = ACTIONS(4179),
    [aux_sym_preproc_elif_token1] = ACTIONS(4179),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2761] = {
    [sym_preproc_region] = STATE(2761),
    [sym_preproc_endregion] = STATE(2761),
    [sym_preproc_line] = STATE(2761),
    [sym_preproc_pragma] = STATE(2761),
    [sym_preproc_nullable] = STATE(2761),
    [sym_preproc_error] = STATE(2761),
    [sym_preproc_define] = STATE(2761),
    [sym_preproc_undef] = STATE(2761),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_SEMI] = ACTIONS(4179),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4179),
    [anon_sym_COMMA] = ACTIONS(4179),
    [anon_sym_RBRACK] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_RPAREN] = ACTIONS(4179),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4179),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_in] = ACTIONS(4194),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4179),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_if_token3] = ACTIONS(4179),
    [aux_sym_preproc_else_token1] = ACTIONS(4179),
    [aux_sym_preproc_elif_token1] = ACTIONS(4179),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2762] = {
    [sym_preproc_region] = STATE(2762),
    [sym_preproc_endregion] = STATE(2762),
    [sym_preproc_line] = STATE(2762),
    [sym_preproc_pragma] = STATE(2762),
    [sym_preproc_nullable] = STATE(2762),
    [sym_preproc_error] = STATE(2762),
    [sym_preproc_define] = STATE(2762),
    [sym_preproc_undef] = STATE(2762),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_SEMI] = ACTIONS(4172),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_in] = ACTIONS(4163),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4172),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_if_token3] = ACTIONS(4172),
    [aux_sym_preproc_else_token1] = ACTIONS(4172),
    [aux_sym_preproc_elif_token1] = ACTIONS(4172),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2763] = {
    [sym_preproc_region] = STATE(2763),
    [sym_preproc_endregion] = STATE(2763),
    [sym_preproc_line] = STATE(2763),
    [sym_preproc_pragma] = STATE(2763),
    [sym_preproc_nullable] = STATE(2763),
    [sym_preproc_error] = STATE(2763),
    [sym_preproc_define] = STATE(2763),
    [sym_preproc_undef] = STATE(2763),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_SEMI] = ACTIONS(4188),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4202),
    [anon_sym_GT] = ACTIONS(4202),
    [anon_sym_in] = ACTIONS(4177),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4202),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS] = ACTIONS(4202),
    [anon_sym_DASH] = ACTIONS(4202),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4202),
    [anon_sym_PERCENT] = ACTIONS(4202),
    [anon_sym_CARET] = ACTIONS(4202),
    [anon_sym_PIPE] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(4202),
    [anon_sym_LT_LT] = ACTIONS(4202),
    [anon_sym_GT_GT] = ACTIONS(4202),
    [anon_sym_GT_GT_GT] = ACTIONS(4202),
    [anon_sym_EQ_EQ] = ACTIONS(4199),
    [anon_sym_BANG_EQ] = ACTIONS(4199),
    [anon_sym_GT_EQ] = ACTIONS(4199),
    [anon_sym_LT_EQ] = ACTIONS(4199),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4188),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4202),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4199),
    [anon_sym_PIPE_PIPE] = ACTIONS(4199),
    [anon_sym_QMARK_QMARK] = ACTIONS(4202),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4202),
    [anon_sym_is] = ACTIONS(4202),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4202),
    [aux_sym_preproc_if_token3] = ACTIONS(4188),
    [aux_sym_preproc_else_token1] = ACTIONS(4188),
    [aux_sym_preproc_elif_token1] = ACTIONS(4188),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2764] = {
    [sym_preproc_region] = STATE(2764),
    [sym_preproc_endregion] = STATE(2764),
    [sym_preproc_line] = STATE(2764),
    [sym_preproc_pragma] = STATE(2764),
    [sym_preproc_nullable] = STATE(2764),
    [sym_preproc_error] = STATE(2764),
    [sym_preproc_define] = STATE(2764),
    [sym_preproc_undef] = STATE(2764),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_SEMI] = ACTIONS(4169),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_RBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_in] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4169),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_if_token3] = ACTIONS(4169),
    [aux_sym_preproc_else_token1] = ACTIONS(4169),
    [aux_sym_preproc_elif_token1] = ACTIONS(4169),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2765] = {
    [sym_preproc_region] = STATE(2765),
    [sym_preproc_endregion] = STATE(2765),
    [sym_preproc_line] = STATE(2765),
    [sym_preproc_pragma] = STATE(2765),
    [sym_preproc_nullable] = STATE(2765),
    [sym_preproc_error] = STATE(2765),
    [sym_preproc_define] = STATE(2765),
    [sym_preproc_undef] = STATE(2765),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2766] = {
    [sym_preproc_region] = STATE(2766),
    [sym_preproc_endregion] = STATE(2766),
    [sym_preproc_line] = STATE(2766),
    [sym_preproc_pragma] = STATE(2766),
    [sym_preproc_nullable] = STATE(2766),
    [sym_preproc_error] = STATE(2766),
    [sym_preproc_define] = STATE(2766),
    [sym_preproc_undef] = STATE(2766),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_SEMI] = ACTIONS(4197),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_if_token3] = ACTIONS(4197),
    [aux_sym_preproc_else_token1] = ACTIONS(4197),
    [aux_sym_preproc_elif_token1] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2767] = {
    [sym_preproc_region] = STATE(2767),
    [sym_preproc_endregion] = STATE(2767),
    [sym_preproc_line] = STATE(2767),
    [sym_preproc_pragma] = STATE(2767),
    [sym_preproc_nullable] = STATE(2767),
    [sym_preproc_error] = STATE(2767),
    [sym_preproc_define] = STATE(2767),
    [sym_preproc_undef] = STATE(2767),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_SEMI] = ACTIONS(4165),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_RBRACE] = ACTIONS(4165),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_in] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_if_token3] = ACTIONS(4165),
    [aux_sym_preproc_else_token1] = ACTIONS(4165),
    [aux_sym_preproc_elif_token1] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2768] = {
    [sym__variable_designation] = STATE(4099),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3155),
    [sym_preproc_region] = STATE(2768),
    [sym_preproc_endregion] = STATE(2768),
    [sym_preproc_line] = STATE(2768),
    [sym_preproc_pragma] = STATE(2768),
    [sym_preproc_nullable] = STATE(2768),
    [sym_preproc_error] = STATE(2768),
    [sym_preproc_define] = STATE(2768),
    [sym_preproc_undef] = STATE(2768),
    [sym__identifier_token] = ACTIONS(4155),
    [anon_sym_alias] = ACTIONS(4159),
    [anon_sym_global] = ACTIONS(4159),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4110),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4159),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4159),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4159),
    [anon_sym_unmanaged] = ACTIONS(4159),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4159),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4159),
    [anon_sym_yield] = ACTIONS(4159),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4159),
    [sym_discard] = ACTIONS(4114),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4159),
    [anon_sym_into] = ACTIONS(4159),
    [anon_sym_join] = ACTIONS(4159),
    [anon_sym_on] = ACTIONS(4159),
    [anon_sym_equals] = ACTIONS(4159),
    [anon_sym_let] = ACTIONS(4159),
    [anon_sym_orderby] = ACTIONS(4159),
    [anon_sym_ascending] = ACTIONS(4159),
    [anon_sym_descending] = ACTIONS(4159),
    [anon_sym_group] = ACTIONS(4159),
    [anon_sym_by] = ACTIONS(4159),
    [anon_sym_select] = ACTIONS(4159),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2769] = {
    [sym_preproc_region] = STATE(2769),
    [sym_preproc_endregion] = STATE(2769),
    [sym_preproc_line] = STATE(2769),
    [sym_preproc_pragma] = STATE(2769),
    [sym_preproc_nullable] = STATE(2769),
    [sym_preproc_error] = STATE(2769),
    [sym_preproc_define] = STATE(2769),
    [sym_preproc_undef] = STATE(2769),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_SEMI] = ACTIONS(4165),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_RBRACE] = ACTIONS(4165),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_in] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_if_token3] = ACTIONS(4165),
    [aux_sym_preproc_else_token1] = ACTIONS(4165),
    [aux_sym_preproc_elif_token1] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2770] = {
    [sym__variable_designation] = STATE(5489),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(2770),
    [sym_preproc_endregion] = STATE(2770),
    [sym_preproc_line] = STATE(2770),
    [sym_preproc_pragma] = STATE(2770),
    [sym_preproc_nullable] = STATE(2770),
    [sym_preproc_error] = STATE(2770),
    [sym_preproc_define] = STATE(2770),
    [sym_preproc_undef] = STATE(2770),
    [sym__identifier_token] = ACTIONS(4205),
    [anon_sym_alias] = ACTIONS(4209),
    [anon_sym_global] = ACTIONS(4209),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4213),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4209),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4209),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4209),
    [anon_sym_unmanaged] = ACTIONS(4209),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4209),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4209),
    [anon_sym_yield] = ACTIONS(4209),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4209),
    [sym_discard] = ACTIONS(4217),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4209),
    [anon_sym_into] = ACTIONS(4209),
    [anon_sym_join] = ACTIONS(4209),
    [anon_sym_on] = ACTIONS(4209),
    [anon_sym_equals] = ACTIONS(4209),
    [anon_sym_let] = ACTIONS(4209),
    [anon_sym_orderby] = ACTIONS(4209),
    [anon_sym_ascending] = ACTIONS(4209),
    [anon_sym_descending] = ACTIONS(4209),
    [anon_sym_group] = ACTIONS(4209),
    [anon_sym_by] = ACTIONS(4209),
    [anon_sym_select] = ACTIONS(4209),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4086),
  },
  [2771] = {
    [sym_preproc_region] = STATE(2771),
    [sym_preproc_endregion] = STATE(2771),
    [sym_preproc_line] = STATE(2771),
    [sym_preproc_pragma] = STATE(2771),
    [sym_preproc_nullable] = STATE(2771),
    [sym_preproc_error] = STATE(2771),
    [sym_preproc_define] = STATE(2771),
    [sym_preproc_undef] = STATE(2771),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_SEMI] = ACTIONS(4197),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4199),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_if_token3] = ACTIONS(4197),
    [aux_sym_preproc_else_token1] = ACTIONS(4197),
    [aux_sym_preproc_elif_token1] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2772] = {
    [sym__name] = STATE(2990),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(2925),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(2772),
    [sym_preproc_endregion] = STATE(2772),
    [sym_preproc_line] = STATE(2772),
    [sym_preproc_pragma] = STATE(2772),
    [sym_preproc_nullable] = STATE(2772),
    [sym_preproc_error] = STATE(2772),
    [sym_preproc_define] = STATE(2772),
    [sym_preproc_undef] = STATE(2772),
    [sym__identifier_token] = ACTIONS(4062),
    [anon_sym_alias] = ACTIONS(4065),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4065),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4065),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4065),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4065),
    [anon_sym_unmanaged] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4065),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4065),
    [anon_sym_yield] = ACTIONS(4065),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4065),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4065),
    [anon_sym_into] = ACTIONS(4065),
    [anon_sym_join] = ACTIONS(4065),
    [anon_sym_on] = ACTIONS(4065),
    [anon_sym_equals] = ACTIONS(4065),
    [anon_sym_let] = ACTIONS(4065),
    [anon_sym_orderby] = ACTIONS(4065),
    [anon_sym_ascending] = ACTIONS(4065),
    [anon_sym_descending] = ACTIONS(4065),
    [anon_sym_group] = ACTIONS(4065),
    [anon_sym_by] = ACTIONS(4065),
    [anon_sym_select] = ACTIONS(4065),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2773] = {
    [sym__name] = STATE(3889),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_ref_type] = STATE(3890),
    [sym__scoped_base_type] = STATE(3891),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(2773),
    [sym_preproc_endregion] = STATE(2773),
    [sym_preproc_line] = STATE(2773),
    [sym_preproc_pragma] = STATE(2773),
    [sym_preproc_nullable] = STATE(2773),
    [sym_preproc_error] = STATE(2773),
    [sym_preproc_define] = STATE(2773),
    [sym_preproc_undef] = STATE(2773),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4225),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4223),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4223),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4227),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2774] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2774),
    [sym_preproc_endregion] = STATE(2774),
    [sym_preproc_line] = STATE(2774),
    [sym_preproc_pragma] = STATE(2774),
    [sym_preproc_nullable] = STATE(2774),
    [sym_preproc_error] = STATE(2774),
    [sym_preproc_define] = STATE(2774),
    [sym_preproc_undef] = STATE(2774),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4230),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2775] = {
    [sym__name] = STATE(4115),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_ref_type] = STATE(3988),
    [sym__scoped_base_type] = STATE(3989),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(2775),
    [sym_preproc_endregion] = STATE(2775),
    [sym_preproc_line] = STATE(2775),
    [sym_preproc_pragma] = STATE(2775),
    [sym_preproc_nullable] = STATE(2775),
    [sym_preproc_error] = STATE(2775),
    [sym_preproc_define] = STATE(2775),
    [sym_preproc_undef] = STATE(2775),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4236),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2776] = {
    [sym__variable_designation] = STATE(4099),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(2776),
    [sym_preproc_endregion] = STATE(2776),
    [sym_preproc_line] = STATE(2776),
    [sym_preproc_pragma] = STATE(2776),
    [sym_preproc_nullable] = STATE(2776),
    [sym_preproc_error] = STATE(2776),
    [sym_preproc_define] = STATE(2776),
    [sym_preproc_undef] = STATE(2776),
    [sym__identifier_token] = ACTIONS(4238),
    [anon_sym_alias] = ACTIONS(4242),
    [anon_sym_global] = ACTIONS(4242),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4110),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4242),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4242),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4242),
    [anon_sym_unmanaged] = ACTIONS(4242),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4242),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4242),
    [anon_sym_yield] = ACTIONS(4242),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4242),
    [sym_discard] = ACTIONS(4114),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4242),
    [anon_sym_into] = ACTIONS(4242),
    [anon_sym_join] = ACTIONS(4242),
    [anon_sym_on] = ACTIONS(4242),
    [anon_sym_equals] = ACTIONS(4242),
    [anon_sym_let] = ACTIONS(4242),
    [anon_sym_orderby] = ACTIONS(4242),
    [anon_sym_ascending] = ACTIONS(4242),
    [anon_sym_descending] = ACTIONS(4242),
    [anon_sym_group] = ACTIONS(4242),
    [anon_sym_by] = ACTIONS(4242),
    [anon_sym_select] = ACTIONS(4242),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2777] = {
    [sym_preproc_region] = STATE(2777),
    [sym_preproc_endregion] = STATE(2777),
    [sym_preproc_line] = STATE(2777),
    [sym_preproc_pragma] = STATE(2777),
    [sym_preproc_nullable] = STATE(2777),
    [sym_preproc_error] = STATE(2777),
    [sym_preproc_define] = STATE(2777),
    [sym_preproc_undef] = STATE(2777),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2778] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2778),
    [sym_preproc_endregion] = STATE(2778),
    [sym_preproc_line] = STATE(2778),
    [sym_preproc_pragma] = STATE(2778),
    [sym_preproc_nullable] = STATE(2778),
    [sym_preproc_error] = STATE(2778),
    [sym_preproc_define] = STATE(2778),
    [sym_preproc_undef] = STATE(2778),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4246),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2779] = {
    [sym__variable_designation] = STATE(4677),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(2779),
    [sym_preproc_endregion] = STATE(2779),
    [sym_preproc_line] = STATE(2779),
    [sym_preproc_pragma] = STATE(2779),
    [sym_preproc_nullable] = STATE(2779),
    [sym_preproc_error] = STATE(2779),
    [sym_preproc_define] = STATE(2779),
    [sym_preproc_undef] = STATE(2779),
    [sym__identifier_token] = ACTIONS(4248),
    [anon_sym_alias] = ACTIONS(4252),
    [anon_sym_global] = ACTIONS(4252),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4256),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4252),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4252),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4252),
    [anon_sym_unmanaged] = ACTIONS(4252),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4252),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4252),
    [anon_sym_yield] = ACTIONS(4252),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4252),
    [sym_discard] = ACTIONS(4260),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4252),
    [anon_sym_into] = ACTIONS(4252),
    [anon_sym_join] = ACTIONS(4252),
    [anon_sym_on] = ACTIONS(4252),
    [anon_sym_equals] = ACTIONS(4252),
    [anon_sym_let] = ACTIONS(4252),
    [anon_sym_orderby] = ACTIONS(4252),
    [anon_sym_ascending] = ACTIONS(4252),
    [anon_sym_descending] = ACTIONS(4252),
    [anon_sym_group] = ACTIONS(4252),
    [anon_sym_by] = ACTIONS(4252),
    [anon_sym_select] = ACTIONS(4252),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2780] = {
    [sym__variable_designation] = STATE(4099),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3155),
    [sym_preproc_region] = STATE(2780),
    [sym_preproc_endregion] = STATE(2780),
    [sym_preproc_line] = STATE(2780),
    [sym_preproc_pragma] = STATE(2780),
    [sym_preproc_nullable] = STATE(2780),
    [sym_preproc_error] = STATE(2780),
    [sym_preproc_define] = STATE(2780),
    [sym_preproc_undef] = STATE(2780),
    [sym__identifier_token] = ACTIONS(4155),
    [anon_sym_alias] = ACTIONS(4159),
    [anon_sym_global] = ACTIONS(4159),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_LPAREN] = ACTIONS(4110),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4159),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4159),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4159),
    [anon_sym_unmanaged] = ACTIONS(4159),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4159),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4159),
    [anon_sym_yield] = ACTIONS(4159),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4159),
    [sym_discard] = ACTIONS(4114),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4159),
    [anon_sym_into] = ACTIONS(4159),
    [anon_sym_join] = ACTIONS(4159),
    [anon_sym_on] = ACTIONS(4159),
    [anon_sym_equals] = ACTIONS(4159),
    [anon_sym_let] = ACTIONS(4159),
    [anon_sym_orderby] = ACTIONS(4159),
    [anon_sym_ascending] = ACTIONS(4159),
    [anon_sym_descending] = ACTIONS(4159),
    [anon_sym_group] = ACTIONS(4159),
    [anon_sym_by] = ACTIONS(4159),
    [anon_sym_select] = ACTIONS(4159),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2781] = {
    [sym_preproc_region] = STATE(2781),
    [sym_preproc_endregion] = STATE(2781),
    [sym_preproc_line] = STATE(2781),
    [sym_preproc_pragma] = STATE(2781),
    [sym_preproc_nullable] = STATE(2781),
    [sym_preproc_error] = STATE(2781),
    [sym_preproc_define] = STATE(2781),
    [sym_preproc_undef] = STATE(2781),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4188),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2782] = {
    [sym__variable_designation] = STATE(4099),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3155),
    [sym_preproc_region] = STATE(2782),
    [sym_preproc_endregion] = STATE(2782),
    [sym_preproc_line] = STATE(2782),
    [sym_preproc_pragma] = STATE(2782),
    [sym_preproc_nullable] = STATE(2782),
    [sym_preproc_error] = STATE(2782),
    [sym_preproc_define] = STATE(2782),
    [sym_preproc_undef] = STATE(2782),
    [sym__identifier_token] = ACTIONS(4155),
    [anon_sym_alias] = ACTIONS(4159),
    [anon_sym_global] = ACTIONS(4159),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4110),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4159),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4159),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4159),
    [anon_sym_unmanaged] = ACTIONS(4159),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4159),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4159),
    [anon_sym_yield] = ACTIONS(4159),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4159),
    [sym_discard] = ACTIONS(4114),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4159),
    [anon_sym_into] = ACTIONS(4159),
    [anon_sym_join] = ACTIONS(4159),
    [anon_sym_on] = ACTIONS(4159),
    [anon_sym_equals] = ACTIONS(4159),
    [anon_sym_let] = ACTIONS(4159),
    [anon_sym_orderby] = ACTIONS(4159),
    [anon_sym_ascending] = ACTIONS(4159),
    [anon_sym_descending] = ACTIONS(4159),
    [anon_sym_group] = ACTIONS(4159),
    [anon_sym_by] = ACTIONS(4159),
    [anon_sym_select] = ACTIONS(4159),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2783] = {
    [sym__name] = STATE(4335),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_ref_type] = STATE(3627),
    [sym__scoped_base_type] = STATE(3605),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(2783),
    [sym_preproc_endregion] = STATE(2783),
    [sym_preproc_line] = STATE(2783),
    [sym_preproc_pragma] = STATE(2783),
    [sym_preproc_nullable] = STATE(2783),
    [sym_preproc_error] = STATE(2783),
    [sym_preproc_define] = STATE(2783),
    [sym_preproc_undef] = STATE(2783),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4268),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4270),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2784] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2784),
    [sym_preproc_endregion] = STATE(2784),
    [sym_preproc_line] = STATE(2784),
    [sym_preproc_pragma] = STATE(2784),
    [sym_preproc_nullable] = STATE(2784),
    [sym_preproc_error] = STATE(2784),
    [sym_preproc_define] = STATE(2784),
    [sym_preproc_undef] = STATE(2784),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4273),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2785] = {
    [sym_preproc_region] = STATE(2785),
    [sym_preproc_endregion] = STATE(2785),
    [sym_preproc_line] = STATE(2785),
    [sym_preproc_pragma] = STATE(2785),
    [sym_preproc_nullable] = STATE(2785),
    [sym_preproc_error] = STATE(2785),
    [sym_preproc_define] = STATE(2785),
    [sym_preproc_undef] = STATE(2785),
    [sym__identifier_token] = ACTIONS(2667),
    [anon_sym_alias] = ACTIONS(2667),
    [anon_sym_global] = ACTIONS(2667),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4278),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_ref] = ACTIONS(2667),
    [anon_sym_delegate] = ACTIONS(2667),
    [anon_sym_file] = ACTIONS(2667),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(2667),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_notnull] = ACTIONS(2667),
    [anon_sym_unmanaged] = ACTIONS(2667),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_this] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_scoped] = ACTIONS(2667),
    [anon_sym_var] = ACTIONS(2667),
    [sym_predefined_type] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(2667),
    [anon_sym_into] = ACTIONS(2667),
    [anon_sym_join] = ACTIONS(2667),
    [anon_sym_on] = ACTIONS(2667),
    [anon_sym_equals] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_orderby] = ACTIONS(2667),
    [anon_sym_ascending] = ACTIONS(2667),
    [anon_sym_descending] = ACTIONS(2667),
    [anon_sym_group] = ACTIONS(2667),
    [anon_sym_by] = ACTIONS(2667),
    [anon_sym_select] = ACTIONS(2667),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2786] = {
    [sym_preproc_region] = STATE(2786),
    [sym_preproc_endregion] = STATE(2786),
    [sym_preproc_line] = STATE(2786),
    [sym_preproc_pragma] = STATE(2786),
    [sym_preproc_nullable] = STATE(2786),
    [sym_preproc_error] = STATE(2786),
    [sym_preproc_define] = STATE(2786),
    [sym_preproc_undef] = STATE(2786),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2787] = {
    [sym__variable_designation] = STATE(4074),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2787),
    [sym_preproc_endregion] = STATE(2787),
    [sym_preproc_line] = STATE(2787),
    [sym_preproc_pragma] = STATE(2787),
    [sym_preproc_nullable] = STATE(2787),
    [sym_preproc_error] = STATE(2787),
    [sym_preproc_define] = STATE(2787),
    [sym_preproc_undef] = STATE(2787),
    [sym__identifier_token] = ACTIONS(4078),
    [anon_sym_alias] = ACTIONS(4082),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4082),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4082),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4082),
    [anon_sym_unmanaged] = ACTIONS(4082),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4082),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4082),
    [sym_discard] = ACTIONS(4096),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_into] = ACTIONS(4082),
    [anon_sym_join] = ACTIONS(4082),
    [anon_sym_on] = ACTIONS(4082),
    [anon_sym_equals] = ACTIONS(4082),
    [anon_sym_let] = ACTIONS(4082),
    [anon_sym_orderby] = ACTIONS(4082),
    [anon_sym_ascending] = ACTIONS(4082),
    [anon_sym_descending] = ACTIONS(4082),
    [anon_sym_group] = ACTIONS(4082),
    [anon_sym_by] = ACTIONS(4082),
    [anon_sym_select] = ACTIONS(4082),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2788] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2788),
    [sym_preproc_endregion] = STATE(2788),
    [sym_preproc_line] = STATE(2788),
    [sym_preproc_pragma] = STATE(2788),
    [sym_preproc_nullable] = STATE(2788),
    [sym_preproc_error] = STATE(2788),
    [sym_preproc_define] = STATE(2788),
    [sym_preproc_undef] = STATE(2788),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4273),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4230),
    [anon_sym_COMMA] = ACTIONS(4281),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2789] = {
    [sym_attribute_list] = STATE(3790),
    [sym_modifier] = STATE(3806),
    [sym_variable_declaration] = STATE(9329),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6414),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6756),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2789),
    [sym_preproc_endregion] = STATE(2789),
    [sym_preproc_line] = STATE(2789),
    [sym_preproc_pragma] = STATE(2789),
    [sym_preproc_nullable] = STATE(2789),
    [sym_preproc_error] = STATE(2789),
    [sym_preproc_define] = STATE(2789),
    [sym_preproc_undef] = STATE(2789),
    [aux_sym_class_declaration_repeat1] = STATE(3612),
    [aux_sym_class_declaration_repeat2] = STATE(2846),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(4284),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(4286),
    [anon_sym_class] = ACTIONS(4288),
    [anon_sym_ref] = ACTIONS(4290),
    [anon_sym_struct] = ACTIONS(4292),
    [anon_sym_enum] = ACTIONS(4294),
    [anon_sym_interface] = ACTIONS(4296),
    [anon_sym_delegate] = ACTIONS(4298),
    [anon_sym_record] = ACTIONS(4300),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_TILDE] = ACTIONS(4302),
    [anon_sym_implicit] = ACTIONS(4304),
    [anon_sym_explicit] = ACTIONS(4304),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2790] = {
    [sym__variable_designation] = STATE(5036),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(2790),
    [sym_preproc_endregion] = STATE(2790),
    [sym_preproc_line] = STATE(2790),
    [sym_preproc_pragma] = STATE(2790),
    [sym_preproc_nullable] = STATE(2790),
    [sym_preproc_error] = STATE(2790),
    [sym_preproc_define] = STATE(2790),
    [sym_preproc_undef] = STATE(2790),
    [sym__identifier_token] = ACTIONS(4306),
    [anon_sym_alias] = ACTIONS(4310),
    [anon_sym_global] = ACTIONS(4310),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4310),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4310),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4310),
    [anon_sym_unmanaged] = ACTIONS(4310),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4310),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4310),
    [anon_sym_yield] = ACTIONS(4310),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4310),
    [sym_discard] = ACTIONS(4318),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4310),
    [anon_sym_into] = ACTIONS(4310),
    [anon_sym_join] = ACTIONS(4310),
    [anon_sym_on] = ACTIONS(4310),
    [anon_sym_equals] = ACTIONS(4310),
    [anon_sym_let] = ACTIONS(4310),
    [anon_sym_orderby] = ACTIONS(4310),
    [anon_sym_ascending] = ACTIONS(4310),
    [anon_sym_descending] = ACTIONS(4310),
    [anon_sym_group] = ACTIONS(4310),
    [anon_sym_by] = ACTIONS(4310),
    [anon_sym_select] = ACTIONS(4310),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2791] = {
    [sym__variable_designation] = STATE(5036),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(2791),
    [sym_preproc_endregion] = STATE(2791),
    [sym_preproc_line] = STATE(2791),
    [sym_preproc_pragma] = STATE(2791),
    [sym_preproc_nullable] = STATE(2791),
    [sym_preproc_error] = STATE(2791),
    [sym_preproc_define] = STATE(2791),
    [sym_preproc_undef] = STATE(2791),
    [sym__identifier_token] = ACTIONS(4322),
    [anon_sym_alias] = ACTIONS(4326),
    [anon_sym_global] = ACTIONS(4326),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4314),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4326),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4326),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4326),
    [anon_sym_unmanaged] = ACTIONS(4326),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4326),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4326),
    [anon_sym_yield] = ACTIONS(4326),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4326),
    [sym_discard] = ACTIONS(4318),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4326),
    [anon_sym_into] = ACTIONS(4326),
    [anon_sym_join] = ACTIONS(4326),
    [anon_sym_on] = ACTIONS(4326),
    [anon_sym_equals] = ACTIONS(4326),
    [anon_sym_let] = ACTIONS(4326),
    [anon_sym_orderby] = ACTIONS(4326),
    [anon_sym_ascending] = ACTIONS(4326),
    [anon_sym_descending] = ACTIONS(4326),
    [anon_sym_group] = ACTIONS(4326),
    [anon_sym_by] = ACTIONS(4326),
    [anon_sym_select] = ACTIONS(4326),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2792] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2792),
    [sym_preproc_endregion] = STATE(2792),
    [sym_preproc_line] = STATE(2792),
    [sym_preproc_pragma] = STATE(2792),
    [sym_preproc_nullable] = STATE(2792),
    [sym_preproc_error] = STATE(2792),
    [sym_preproc_define] = STATE(2792),
    [sym_preproc_undef] = STATE(2792),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4273),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4230),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2793] = {
    [sym_type_argument_list] = STATE(2828),
    [sym_preproc_region] = STATE(2793),
    [sym_preproc_endregion] = STATE(2793),
    [sym_preproc_line] = STATE(2793),
    [sym_preproc_pragma] = STATE(2793),
    [sym_preproc_nullable] = STATE(2793),
    [sym_preproc_error] = STATE(2793),
    [sym_preproc_define] = STATE(2793),
    [sym_preproc_undef] = STATE(2793),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4330),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4333),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [2794] = {
    [sym_preproc_region] = STATE(2794),
    [sym_preproc_endregion] = STATE(2794),
    [sym_preproc_line] = STATE(2794),
    [sym_preproc_pragma] = STATE(2794),
    [sym_preproc_nullable] = STATE(2794),
    [sym_preproc_error] = STATE(2794),
    [sym_preproc_define] = STATE(2794),
    [sym_preproc_undef] = STATE(2794),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4172),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2795] = {
    [sym__variable_designation] = STATE(4099),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2795),
    [sym_preproc_endregion] = STATE(2795),
    [sym_preproc_line] = STATE(2795),
    [sym_preproc_pragma] = STATE(2795),
    [sym_preproc_nullable] = STATE(2795),
    [sym_preproc_error] = STATE(2795),
    [sym_preproc_define] = STATE(2795),
    [sym_preproc_undef] = STATE(2795),
    [sym__identifier_token] = ACTIONS(4078),
    [anon_sym_alias] = ACTIONS(4082),
    [anon_sym_global] = ACTIONS(4082),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4110),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4082),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4082),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4082),
    [anon_sym_unmanaged] = ACTIONS(4082),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4082),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4082),
    [anon_sym_yield] = ACTIONS(4082),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4082),
    [sym_discard] = ACTIONS(4114),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4082),
    [anon_sym_into] = ACTIONS(4082),
    [anon_sym_join] = ACTIONS(4082),
    [anon_sym_on] = ACTIONS(4082),
    [anon_sym_equals] = ACTIONS(4082),
    [anon_sym_let] = ACTIONS(4082),
    [anon_sym_orderby] = ACTIONS(4082),
    [anon_sym_ascending] = ACTIONS(4082),
    [anon_sym_descending] = ACTIONS(4082),
    [anon_sym_group] = ACTIONS(4082),
    [anon_sym_by] = ACTIONS(4082),
    [anon_sym_select] = ACTIONS(4082),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2796] = {
    [sym_preproc_region] = STATE(2796),
    [sym_preproc_endregion] = STATE(2796),
    [sym_preproc_line] = STATE(2796),
    [sym_preproc_pragma] = STATE(2796),
    [sym_preproc_nullable] = STATE(2796),
    [sym_preproc_error] = STATE(2796),
    [sym_preproc_define] = STATE(2796),
    [sym_preproc_undef] = STATE(2796),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_RBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2797] = {
    [sym_preproc_region] = STATE(2797),
    [sym_preproc_endregion] = STATE(2797),
    [sym_preproc_line] = STATE(2797),
    [sym_preproc_pragma] = STATE(2797),
    [sym_preproc_nullable] = STATE(2797),
    [sym_preproc_error] = STATE(2797),
    [sym_preproc_define] = STATE(2797),
    [sym_preproc_undef] = STATE(2797),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4086),
  },
  [2798] = {
    [sym__name] = STATE(3772),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_ref_type] = STATE(3660),
    [sym__scoped_base_type] = STATE(3678),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(2798),
    [sym_preproc_endregion] = STATE(2798),
    [sym_preproc_line] = STATE(2798),
    [sym_preproc_pragma] = STATE(2798),
    [sym_preproc_nullable] = STATE(2798),
    [sym_preproc_error] = STATE(2798),
    [sym_preproc_define] = STATE(2798),
    [sym_preproc_undef] = STATE(2798),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4339),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2799] = {
    [sym_preproc_region] = STATE(2799),
    [sym_preproc_endregion] = STATE(2799),
    [sym_preproc_line] = STATE(2799),
    [sym_preproc_pragma] = STATE(2799),
    [sym_preproc_nullable] = STATE(2799),
    [sym_preproc_error] = STATE(2799),
    [sym_preproc_define] = STATE(2799),
    [sym_preproc_undef] = STATE(2799),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4122),
  },
  [2800] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2833),
    [sym_property_pattern_clause] = STATE(2881),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2800),
    [sym_preproc_endregion] = STATE(2800),
    [sym_preproc_line] = STATE(2800),
    [sym_preproc_pragma] = STATE(2800),
    [sym_preproc_nullable] = STATE(2800),
    [sym_preproc_error] = STATE(2800),
    [sym_preproc_define] = STATE(2800),
    [sym_preproc_undef] = STATE(2800),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4345),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_RBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_RPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_in] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_if_token3] = ACTIONS(4345),
    [aux_sym_preproc_else_token1] = ACTIONS(4345),
    [aux_sym_preproc_elif_token1] = ACTIONS(4345),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2801] = {
    [sym_preproc_region] = STATE(2801),
    [sym_preproc_endregion] = STATE(2801),
    [sym_preproc_line] = STATE(2801),
    [sym_preproc_pragma] = STATE(2801),
    [sym_preproc_nullable] = STATE(2801),
    [sym_preproc_error] = STATE(2801),
    [sym_preproc_define] = STATE(2801),
    [sym_preproc_undef] = STATE(2801),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4184),
    [anon_sym_RBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4184),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2802] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2833),
    [sym_property_pattern_clause] = STATE(2881),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2802),
    [sym_preproc_endregion] = STATE(2802),
    [sym_preproc_line] = STATE(2802),
    [sym_preproc_pragma] = STATE(2802),
    [sym_preproc_nullable] = STATE(2802),
    [sym_preproc_error] = STATE(2802),
    [sym_preproc_define] = STATE(2802),
    [sym_preproc_undef] = STATE(2802),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COLON] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_RBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_RPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_in] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_if_token3] = ACTIONS(4355),
    [aux_sym_preproc_else_token1] = ACTIONS(4355),
    [aux_sym_preproc_elif_token1] = ACTIONS(4355),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2803] = {
    [sym_preproc_region] = STATE(2803),
    [sym_preproc_endregion] = STATE(2803),
    [sym_preproc_line] = STATE(2803),
    [sym_preproc_pragma] = STATE(2803),
    [sym_preproc_nullable] = STATE(2803),
    [sym_preproc_error] = STATE(2803),
    [sym_preproc_define] = STATE(2803),
    [sym_preproc_undef] = STATE(2803),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4179),
    [anon_sym_RBRACK] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4179),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4179),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2804] = {
    [sym_preproc_region] = STATE(2804),
    [sym_preproc_endregion] = STATE(2804),
    [sym_preproc_line] = STATE(2804),
    [sym_preproc_pragma] = STATE(2804),
    [sym_preproc_nullable] = STATE(2804),
    [sym_preproc_error] = STATE(2804),
    [sym_preproc_define] = STATE(2804),
    [sym_preproc_undef] = STATE(2804),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4199),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2805] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2833),
    [sym_property_pattern_clause] = STATE(2881),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2805),
    [sym_preproc_endregion] = STATE(2805),
    [sym_preproc_line] = STATE(2805),
    [sym_preproc_pragma] = STATE(2805),
    [sym_preproc_nullable] = STATE(2805),
    [sym_preproc_error] = STATE(2805),
    [sym_preproc_define] = STATE(2805),
    [sym_preproc_undef] = STATE(2805),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4345),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_RBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_RPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_in] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_if_token3] = ACTIONS(4345),
    [aux_sym_preproc_else_token1] = ACTIONS(4345),
    [aux_sym_preproc_elif_token1] = ACTIONS(4345),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2806] = {
    [sym_preproc_region] = STATE(2806),
    [sym_preproc_endregion] = STATE(2806),
    [sym_preproc_line] = STATE(2806),
    [sym_preproc_pragma] = STATE(2806),
    [sym_preproc_nullable] = STATE(2806),
    [sym_preproc_error] = STATE(2806),
    [sym_preproc_define] = STATE(2806),
    [sym_preproc_undef] = STATE(2806),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2807] = {
    [sym_attribute_list] = STATE(3790),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7148),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2807),
    [sym_preproc_endregion] = STATE(2807),
    [sym_preproc_line] = STATE(2807),
    [sym_preproc_pragma] = STATE(2807),
    [sym_preproc_nullable] = STATE(2807),
    [sym_preproc_error] = STATE(2807),
    [sym_preproc_define] = STATE(2807),
    [sym_preproc_undef] = STATE(2807),
    [aux_sym_class_declaration_repeat1] = STATE(3612),
    [aux_sym_class_declaration_repeat2] = STATE(2980),
    [aux_sym_lambda_expression_repeat1] = STATE(4258),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_class] = ACTIONS(4359),
    [anon_sym_ref] = ACTIONS(4361),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(4363),
    [anon_sym_interface] = ACTIONS(4365),
    [anon_sym_delegate] = ACTIONS(4367),
    [anon_sym_record] = ACTIONS(4369),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2808] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2808),
    [sym_preproc_endregion] = STATE(2808),
    [sym_preproc_line] = STATE(2808),
    [sym_preproc_pragma] = STATE(2808),
    [sym_preproc_nullable] = STATE(2808),
    [sym_preproc_error] = STATE(2808),
    [sym_preproc_define] = STATE(2808),
    [sym_preproc_undef] = STATE(2808),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4371),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2809] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2848),
    [sym_property_pattern_clause] = STATE(2902),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2809),
    [sym_preproc_endregion] = STATE(2809),
    [sym_preproc_line] = STATE(2809),
    [sym_preproc_pragma] = STATE(2809),
    [sym_preproc_nullable] = STATE(2809),
    [sym_preproc_error] = STATE(2809),
    [sym_preproc_define] = STATE(2809),
    [sym_preproc_undef] = STATE(2809),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4345),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_RBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_RPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_if_token3] = ACTIONS(4345),
    [aux_sym_preproc_else_token1] = ACTIONS(4345),
    [aux_sym_preproc_elif_token1] = ACTIONS(4345),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2810] = {
    [sym_type_argument_list] = STATE(2828),
    [sym_preproc_region] = STATE(2810),
    [sym_preproc_endregion] = STATE(2810),
    [sym_preproc_line] = STATE(2810),
    [sym_preproc_pragma] = STATE(2810),
    [sym_preproc_nullable] = STATE(2810),
    [sym_preproc_error] = STATE(2810),
    [sym_preproc_define] = STATE(2810),
    [sym_preproc_undef] = STATE(2810),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4330),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [2811] = {
    [sym_type_argument_list] = STATE(2828),
    [sym_preproc_region] = STATE(2811),
    [sym_preproc_endregion] = STATE(2811),
    [sym_preproc_line] = STATE(2811),
    [sym_preproc_pragma] = STATE(2811),
    [sym_preproc_nullable] = STATE(2811),
    [sym_preproc_error] = STATE(2811),
    [sym_preproc_define] = STATE(2811),
    [sym_preproc_undef] = STATE(2811),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4330),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [2812] = {
    [sym_preproc_region] = STATE(2812),
    [sym_preproc_endregion] = STATE(2812),
    [sym_preproc_line] = STATE(2812),
    [sym_preproc_pragma] = STATE(2812),
    [sym_preproc_nullable] = STATE(2812),
    [sym_preproc_error] = STATE(2812),
    [sym_preproc_define] = STATE(2812),
    [sym_preproc_undef] = STATE(2812),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2813] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2848),
    [sym_property_pattern_clause] = STATE(2902),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2813),
    [sym_preproc_endregion] = STATE(2813),
    [sym_preproc_line] = STATE(2813),
    [sym_preproc_pragma] = STATE(2813),
    [sym_preproc_nullable] = STATE(2813),
    [sym_preproc_error] = STATE(2813),
    [sym_preproc_define] = STATE(2813),
    [sym_preproc_undef] = STATE(2813),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COLON] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_RBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_RPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4355),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_if_token3] = ACTIONS(4355),
    [aux_sym_preproc_else_token1] = ACTIONS(4355),
    [aux_sym_preproc_elif_token1] = ACTIONS(4355),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2814] = {
    [sym_preproc_region] = STATE(2814),
    [sym_preproc_endregion] = STATE(2814),
    [sym_preproc_line] = STATE(2814),
    [sym_preproc_pragma] = STATE(2814),
    [sym_preproc_nullable] = STATE(2814),
    [sym_preproc_error] = STATE(2814),
    [sym_preproc_define] = STATE(2814),
    [sym_preproc_undef] = STATE(2814),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2815] = {
    [sym_preproc_region] = STATE(2815),
    [sym_preproc_endregion] = STATE(2815),
    [sym_preproc_line] = STATE(2815),
    [sym_preproc_pragma] = STATE(2815),
    [sym_preproc_nullable] = STATE(2815),
    [sym_preproc_error] = STATE(2815),
    [sym_preproc_define] = STATE(2815),
    [sym_preproc_undef] = STATE(2815),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_SEMI] = ACTIONS(4197),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2816] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2848),
    [sym_property_pattern_clause] = STATE(2902),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2816),
    [sym_preproc_endregion] = STATE(2816),
    [sym_preproc_line] = STATE(2816),
    [sym_preproc_pragma] = STATE(2816),
    [sym_preproc_nullable] = STATE(2816),
    [sym_preproc_error] = STATE(2816),
    [sym_preproc_define] = STATE(2816),
    [sym_preproc_undef] = STATE(2816),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4345),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_RBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_RPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_if_token3] = ACTIONS(4345),
    [aux_sym_preproc_else_token1] = ACTIONS(4345),
    [aux_sym_preproc_elif_token1] = ACTIONS(4345),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2817] = {
    [sym_preproc_region] = STATE(2817),
    [sym_preproc_endregion] = STATE(2817),
    [sym_preproc_line] = STATE(2817),
    [sym_preproc_pragma] = STATE(2817),
    [sym_preproc_nullable] = STATE(2817),
    [sym_preproc_error] = STATE(2817),
    [sym_preproc_define] = STATE(2817),
    [sym_preproc_undef] = STATE(2817),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(4375),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_break] = ACTIONS(4377),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2818] = {
    [sym_attribute_list] = STATE(3790),
    [sym_modifier] = STATE(3806),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7074),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2818),
    [sym_preproc_endregion] = STATE(2818),
    [sym_preproc_line] = STATE(2818),
    [sym_preproc_pragma] = STATE(2818),
    [sym_preproc_nullable] = STATE(2818),
    [sym_preproc_error] = STATE(2818),
    [sym_preproc_define] = STATE(2818),
    [sym_preproc_undef] = STATE(2818),
    [aux_sym_class_declaration_repeat1] = STATE(3612),
    [aux_sym_class_declaration_repeat2] = STATE(2986),
    [aux_sym_lambda_expression_repeat1] = STATE(4258),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(37),
    [anon_sym_LBRACK] = ACTIONS(3061),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_class] = ACTIONS(4379),
    [anon_sym_ref] = ACTIONS(4381),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_enum] = ACTIONS(4383),
    [anon_sym_interface] = ACTIONS(4385),
    [anon_sym_delegate] = ACTIONS(4387),
    [anon_sym_record] = ACTIONS(4389),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2819] = {
    [sym_preproc_region] = STATE(2819),
    [sym_preproc_endregion] = STATE(2819),
    [sym_preproc_line] = STATE(2819),
    [sym_preproc_pragma] = STATE(2819),
    [sym_preproc_nullable] = STATE(2819),
    [sym_preproc_error] = STATE(2819),
    [sym_preproc_define] = STATE(2819),
    [sym_preproc_undef] = STATE(2819),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [2820] = {
    [sym_preproc_region] = STATE(2820),
    [sym_preproc_endregion] = STATE(2820),
    [sym_preproc_line] = STATE(2820),
    [sym_preproc_pragma] = STATE(2820),
    [sym_preproc_nullable] = STATE(2820),
    [sym_preproc_error] = STATE(2820),
    [sym_preproc_define] = STATE(2820),
    [sym_preproc_undef] = STATE(2820),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4179),
    [anon_sym_COMMA] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4179),
  },
  [2821] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2821),
    [sym_preproc_endregion] = STATE(2821),
    [sym_preproc_line] = STATE(2821),
    [sym_preproc_pragma] = STATE(2821),
    [sym_preproc_nullable] = STATE(2821),
    [sym_preproc_error] = STATE(2821),
    [sym_preproc_define] = STATE(2821),
    [sym_preproc_undef] = STATE(2821),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_COLON_COLON] = ACTIONS(4153),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2822] = {
    [sym_preproc_region] = STATE(2822),
    [sym_preproc_endregion] = STATE(2822),
    [sym_preproc_line] = STATE(2822),
    [sym_preproc_pragma] = STATE(2822),
    [sym_preproc_nullable] = STATE(2822),
    [sym_preproc_error] = STATE(2822),
    [sym_preproc_define] = STATE(2822),
    [sym_preproc_undef] = STATE(2822),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4122),
  },
  [2823] = {
    [sym_preproc_region] = STATE(2823),
    [sym_preproc_endregion] = STATE(2823),
    [sym_preproc_line] = STATE(2823),
    [sym_preproc_pragma] = STATE(2823),
    [sym_preproc_nullable] = STATE(2823),
    [sym_preproc_error] = STATE(2823),
    [sym_preproc_define] = STATE(2823),
    [sym_preproc_undef] = STATE(2823),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4169),
  },
  [2824] = {
    [sym_preproc_region] = STATE(2824),
    [sym_preproc_endregion] = STATE(2824),
    [sym_preproc_line] = STATE(2824),
    [sym_preproc_pragma] = STATE(2824),
    [sym_preproc_nullable] = STATE(2824),
    [sym_preproc_error] = STATE(2824),
    [sym_preproc_define] = STATE(2824),
    [sym_preproc_undef] = STATE(2824),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4179),
    [anon_sym_COMMA] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4179),
  },
  [2825] = {
    [sym_preproc_region] = STATE(2825),
    [sym_preproc_endregion] = STATE(2825),
    [sym_preproc_line] = STATE(2825),
    [sym_preproc_pragma] = STATE(2825),
    [sym_preproc_nullable] = STATE(2825),
    [sym_preproc_error] = STATE(2825),
    [sym_preproc_define] = STATE(2825),
    [sym_preproc_undef] = STATE(2825),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4172),
  },
  [2826] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2826),
    [sym_preproc_endregion] = STATE(2826),
    [sym_preproc_line] = STATE(2826),
    [sym_preproc_pragma] = STATE(2826),
    [sym_preproc_nullable] = STATE(2826),
    [sym_preproc_error] = STATE(2826),
    [sym_preproc_define] = STATE(2826),
    [sym_preproc_undef] = STATE(2826),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2827] = {
    [sym_preproc_region] = STATE(2827),
    [sym_preproc_endregion] = STATE(2827),
    [sym_preproc_line] = STATE(2827),
    [sym_preproc_pragma] = STATE(2827),
    [sym_preproc_nullable] = STATE(2827),
    [sym_preproc_error] = STATE(2827),
    [sym_preproc_define] = STATE(2827),
    [sym_preproc_undef] = STATE(2827),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2828] = {
    [sym_preproc_region] = STATE(2828),
    [sym_preproc_endregion] = STATE(2828),
    [sym_preproc_line] = STATE(2828),
    [sym_preproc_pragma] = STATE(2828),
    [sym_preproc_nullable] = STATE(2828),
    [sym_preproc_error] = STATE(2828),
    [sym_preproc_define] = STATE(2828),
    [sym_preproc_undef] = STATE(2828),
    [sym__identifier_token] = ACTIONS(4149),
    [anon_sym_alias] = ACTIONS(4149),
    [anon_sym_global] = ACTIONS(4149),
    [anon_sym_EQ] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_file] = ACTIONS(4149),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_where] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_notnull] = ACTIONS(4149),
    [anon_sym_unmanaged] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4149),
    [anon_sym_CARET] = ACTIONS(4149),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4149),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4149),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_scoped] = ACTIONS(4149),
    [anon_sym_var] = ACTIONS(4149),
    [anon_sym_yield] = ACTIONS(4149),
    [anon_sym_switch] = ACTIONS(4149),
    [anon_sym_when] = ACTIONS(4149),
    [sym_discard] = ACTIONS(4149),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4149),
    [anon_sym_or] = ACTIONS(4149),
    [anon_sym_PLUS_EQ] = ACTIONS(4151),
    [anon_sym_DASH_EQ] = ACTIONS(4151),
    [anon_sym_STAR_EQ] = ACTIONS(4151),
    [anon_sym_SLASH_EQ] = ACTIONS(4151),
    [anon_sym_PERCENT_EQ] = ACTIONS(4151),
    [anon_sym_AMP_EQ] = ACTIONS(4151),
    [anon_sym_CARET_EQ] = ACTIONS(4151),
    [anon_sym_PIPE_EQ] = ACTIONS(4151),
    [anon_sym_LT_LT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4149),
    [anon_sym_from] = ACTIONS(4149),
    [anon_sym_into] = ACTIONS(4149),
    [anon_sym_join] = ACTIONS(4149),
    [anon_sym_on] = ACTIONS(4149),
    [anon_sym_equals] = ACTIONS(4149),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_orderby] = ACTIONS(4149),
    [anon_sym_ascending] = ACTIONS(4149),
    [anon_sym_descending] = ACTIONS(4149),
    [anon_sym_group] = ACTIONS(4149),
    [anon_sym_by] = ACTIONS(4149),
    [anon_sym_select] = ACTIONS(4149),
    [anon_sym_as] = ACTIONS(4149),
    [anon_sym_is] = ACTIONS(4149),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4149),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4151),
  },
  [2829] = {
    [sym_preproc_region] = STATE(2829),
    [sym_preproc_endregion] = STATE(2829),
    [sym_preproc_line] = STATE(2829),
    [sym_preproc_pragma] = STATE(2829),
    [sym_preproc_nullable] = STATE(2829),
    [sym_preproc_error] = STATE(2829),
    [sym_preproc_define] = STATE(2829),
    [sym_preproc_undef] = STATE(2829),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_RPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2830] = {
    [sym_preproc_region] = STATE(2830),
    [sym_preproc_endregion] = STATE(2830),
    [sym_preproc_line] = STATE(2830),
    [sym_preproc_pragma] = STATE(2830),
    [sym_preproc_nullable] = STATE(2830),
    [sym_preproc_error] = STATE(2830),
    [sym_preproc_define] = STATE(2830),
    [sym_preproc_undef] = STATE(2830),
    [sym__identifier_token] = ACTIONS(4124),
    [anon_sym_alias] = ACTIONS(4124),
    [anon_sym_global] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_file] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_where] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_notnull] = ACTIONS(4124),
    [anon_sym_unmanaged] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_scoped] = ACTIONS(4124),
    [anon_sym_var] = ACTIONS(4124),
    [anon_sym_yield] = ACTIONS(4124),
    [anon_sym_switch] = ACTIONS(4124),
    [anon_sym_when] = ACTIONS(4124),
    [sym_discard] = ACTIONS(4124),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4126),
    [anon_sym_DASH_EQ] = ACTIONS(4126),
    [anon_sym_STAR_EQ] = ACTIONS(4126),
    [anon_sym_SLASH_EQ] = ACTIONS(4126),
    [anon_sym_PERCENT_EQ] = ACTIONS(4126),
    [anon_sym_AMP_EQ] = ACTIONS(4126),
    [anon_sym_CARET_EQ] = ACTIONS(4126),
    [anon_sym_PIPE_EQ] = ACTIONS(4126),
    [anon_sym_LT_LT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4124),
    [anon_sym_from] = ACTIONS(4124),
    [anon_sym_into] = ACTIONS(4124),
    [anon_sym_join] = ACTIONS(4124),
    [anon_sym_on] = ACTIONS(4124),
    [anon_sym_equals] = ACTIONS(4124),
    [anon_sym_let] = ACTIONS(4124),
    [anon_sym_orderby] = ACTIONS(4124),
    [anon_sym_ascending] = ACTIONS(4124),
    [anon_sym_descending] = ACTIONS(4124),
    [anon_sym_group] = ACTIONS(4124),
    [anon_sym_by] = ACTIONS(4124),
    [anon_sym_select] = ACTIONS(4124),
    [anon_sym_as] = ACTIONS(4124),
    [anon_sym_is] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4124),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4126),
  },
  [2831] = {
    [sym_preproc_region] = STATE(2831),
    [sym_preproc_endregion] = STATE(2831),
    [sym_preproc_line] = STATE(2831),
    [sym_preproc_pragma] = STATE(2831),
    [sym_preproc_nullable] = STATE(2831),
    [sym_preproc_error] = STATE(2831),
    [sym_preproc_define] = STATE(2831),
    [sym_preproc_undef] = STATE(2831),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_using] = ACTIONS(4391),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2832] = {
    [sym_preproc_region] = STATE(2832),
    [sym_preproc_endregion] = STATE(2832),
    [sym_preproc_line] = STATE(2832),
    [sym_preproc_pragma] = STATE(2832),
    [sym_preproc_nullable] = STATE(2832),
    [sym_preproc_error] = STATE(2832),
    [sym_preproc_define] = STATE(2832),
    [sym_preproc_undef] = STATE(2832),
    [sym__identifier_token] = ACTIONS(4128),
    [anon_sym_alias] = ACTIONS(4128),
    [anon_sym_global] = ACTIONS(4128),
    [anon_sym_EQ] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_file] = ACTIONS(4128),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_where] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_notnull] = ACTIONS(4128),
    [anon_sym_unmanaged] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4128),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4128),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_scoped] = ACTIONS(4128),
    [anon_sym_var] = ACTIONS(4128),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_switch] = ACTIONS(4128),
    [anon_sym_when] = ACTIONS(4128),
    [sym_discard] = ACTIONS(4128),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4128),
    [anon_sym_or] = ACTIONS(4128),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4128),
    [anon_sym_from] = ACTIONS(4128),
    [anon_sym_into] = ACTIONS(4128),
    [anon_sym_join] = ACTIONS(4128),
    [anon_sym_on] = ACTIONS(4128),
    [anon_sym_equals] = ACTIONS(4128),
    [anon_sym_let] = ACTIONS(4128),
    [anon_sym_orderby] = ACTIONS(4128),
    [anon_sym_ascending] = ACTIONS(4128),
    [anon_sym_descending] = ACTIONS(4128),
    [anon_sym_group] = ACTIONS(4128),
    [anon_sym_by] = ACTIONS(4128),
    [anon_sym_select] = ACTIONS(4128),
    [anon_sym_as] = ACTIONS(4128),
    [anon_sym_is] = ACTIONS(4128),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4128),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4130),
  },
  [2833] = {
    [sym_property_pattern_clause] = STATE(2868),
    [sym__variable_designation] = STATE(3992),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2833),
    [sym_preproc_endregion] = STATE(2833),
    [sym_preproc_line] = STATE(2833),
    [sym_preproc_pragma] = STATE(2833),
    [sym_preproc_nullable] = STATE(2833),
    [sym_preproc_error] = STATE(2833),
    [sym_preproc_define] = STATE(2833),
    [sym_preproc_undef] = STATE(2833),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4393),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_RBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_in] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_if_token3] = ACTIONS(4393),
    [aux_sym_preproc_else_token1] = ACTIONS(4393),
    [aux_sym_preproc_elif_token1] = ACTIONS(4393),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2834] = {
    [sym_preproc_region] = STATE(2834),
    [sym_preproc_endregion] = STATE(2834),
    [sym_preproc_line] = STATE(2834),
    [sym_preproc_pragma] = STATE(2834),
    [sym_preproc_nullable] = STATE(2834),
    [sym_preproc_error] = STATE(2834),
    [sym_preproc_define] = STATE(2834),
    [sym_preproc_undef] = STATE(2834),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(4397),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_break] = ACTIONS(4399),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2835] = {
    [sym_preproc_region] = STATE(2835),
    [sym_preproc_endregion] = STATE(2835),
    [sym_preproc_line] = STATE(2835),
    [sym_preproc_pragma] = STATE(2835),
    [sym_preproc_nullable] = STATE(2835),
    [sym_preproc_error] = STATE(2835),
    [sym_preproc_define] = STATE(2835),
    [sym_preproc_undef] = STATE(2835),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2836] = {
    [sym_preproc_region] = STATE(2836),
    [sym_preproc_endregion] = STATE(2836),
    [sym_preproc_line] = STATE(2836),
    [sym_preproc_pragma] = STATE(2836),
    [sym_preproc_nullable] = STATE(2836),
    [sym_preproc_error] = STATE(2836),
    [sym_preproc_define] = STATE(2836),
    [sym_preproc_undef] = STATE(2836),
    [sym__identifier_token] = ACTIONS(4138),
    [anon_sym_alias] = ACTIONS(4138),
    [anon_sym_global] = ACTIONS(4138),
    [anon_sym_EQ] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_file] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_where] = ACTIONS(4138),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_notnull] = ACTIONS(4138),
    [anon_sym_unmanaged] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4138),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_scoped] = ACTIONS(4138),
    [anon_sym_var] = ACTIONS(4138),
    [anon_sym_yield] = ACTIONS(4138),
    [anon_sym_switch] = ACTIONS(4138),
    [anon_sym_when] = ACTIONS(4138),
    [sym_discard] = ACTIONS(4138),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4138),
    [anon_sym_or] = ACTIONS(4138),
    [anon_sym_PLUS_EQ] = ACTIONS(4140),
    [anon_sym_DASH_EQ] = ACTIONS(4140),
    [anon_sym_STAR_EQ] = ACTIONS(4140),
    [anon_sym_SLASH_EQ] = ACTIONS(4140),
    [anon_sym_PERCENT_EQ] = ACTIONS(4140),
    [anon_sym_AMP_EQ] = ACTIONS(4140),
    [anon_sym_CARET_EQ] = ACTIONS(4140),
    [anon_sym_PIPE_EQ] = ACTIONS(4140),
    [anon_sym_LT_LT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4138),
    [anon_sym_from] = ACTIONS(4138),
    [anon_sym_into] = ACTIONS(4138),
    [anon_sym_join] = ACTIONS(4138),
    [anon_sym_on] = ACTIONS(4138),
    [anon_sym_equals] = ACTIONS(4138),
    [anon_sym_let] = ACTIONS(4138),
    [anon_sym_orderby] = ACTIONS(4138),
    [anon_sym_ascending] = ACTIONS(4138),
    [anon_sym_descending] = ACTIONS(4138),
    [anon_sym_group] = ACTIONS(4138),
    [anon_sym_by] = ACTIONS(4138),
    [anon_sym_select] = ACTIONS(4138),
    [anon_sym_as] = ACTIONS(4138),
    [anon_sym_is] = ACTIONS(4138),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4138),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4140),
  },
  [2837] = {
    [sym_preproc_region] = STATE(2837),
    [sym_preproc_endregion] = STATE(2837),
    [sym_preproc_line] = STATE(2837),
    [sym_preproc_pragma] = STATE(2837),
    [sym_preproc_nullable] = STATE(2837),
    [sym_preproc_error] = STATE(2837),
    [sym_preproc_define] = STATE(2837),
    [sym_preproc_undef] = STATE(2837),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2838] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2838),
    [sym_preproc_endregion] = STATE(2838),
    [sym_preproc_line] = STATE(2838),
    [sym_preproc_pragma] = STATE(2838),
    [sym_preproc_nullable] = STATE(2838),
    [sym_preproc_error] = STATE(2838),
    [sym_preproc_define] = STATE(2838),
    [sym_preproc_undef] = STATE(2838),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4401),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2839] = {
    [sym_preproc_region] = STATE(2839),
    [sym_preproc_endregion] = STATE(2839),
    [sym_preproc_line] = STATE(2839),
    [sym_preproc_pragma] = STATE(2839),
    [sym_preproc_nullable] = STATE(2839),
    [sym_preproc_error] = STATE(2839),
    [sym_preproc_define] = STATE(2839),
    [sym_preproc_undef] = STATE(2839),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2840] = {
    [sym_preproc_region] = STATE(2840),
    [sym_preproc_endregion] = STATE(2840),
    [sym_preproc_line] = STATE(2840),
    [sym_preproc_pragma] = STATE(2840),
    [sym_preproc_nullable] = STATE(2840),
    [sym_preproc_error] = STATE(2840),
    [sym_preproc_define] = STATE(2840),
    [sym_preproc_undef] = STATE(2840),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4169),
  },
  [2841] = {
    [sym_preproc_region] = STATE(2841),
    [sym_preproc_endregion] = STATE(2841),
    [sym_preproc_line] = STATE(2841),
    [sym_preproc_pragma] = STATE(2841),
    [sym_preproc_nullable] = STATE(2841),
    [sym_preproc_error] = STATE(2841),
    [sym_preproc_define] = STATE(2841),
    [sym_preproc_undef] = STATE(2841),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4202),
    [anon_sym_GT] = ACTIONS(4202),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4202),
    [anon_sym_PLUS_PLUS] = ACTIONS(4199),
    [anon_sym_DASH_DASH] = ACTIONS(4199),
    [anon_sym_PLUS] = ACTIONS(4202),
    [anon_sym_DASH] = ACTIONS(4202),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4202),
    [anon_sym_PERCENT] = ACTIONS(4202),
    [anon_sym_CARET] = ACTIONS(4202),
    [anon_sym_PIPE] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(4202),
    [anon_sym_LT_LT] = ACTIONS(4202),
    [anon_sym_GT_GT] = ACTIONS(4202),
    [anon_sym_GT_GT_GT] = ACTIONS(4202),
    [anon_sym_EQ_EQ] = ACTIONS(4199),
    [anon_sym_BANG_EQ] = ACTIONS(4199),
    [anon_sym_GT_EQ] = ACTIONS(4199),
    [anon_sym_LT_EQ] = ACTIONS(4199),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4202),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4199),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4199),
    [anon_sym_PIPE_PIPE] = ACTIONS(4199),
    [anon_sym_QMARK_QMARK] = ACTIONS(4202),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4202),
    [anon_sym_is] = ACTIONS(4202),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4202),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4188),
  },
  [2842] = {
    [sym_preproc_region] = STATE(2842),
    [sym_preproc_endregion] = STATE(2842),
    [sym_preproc_line] = STATE(2842),
    [sym_preproc_pragma] = STATE(2842),
    [sym_preproc_nullable] = STATE(2842),
    [sym_preproc_error] = STATE(2842),
    [sym_preproc_define] = STATE(2842),
    [sym_preproc_undef] = STATE(2842),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_RPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2843] = {
    [sym_property_pattern_clause] = STATE(2862),
    [sym__variable_designation] = STATE(4078),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2843),
    [sym_preproc_endregion] = STATE(2843),
    [sym_preproc_line] = STATE(2843),
    [sym_preproc_pragma] = STATE(2843),
    [sym_preproc_nullable] = STATE(2843),
    [sym_preproc_error] = STATE(2843),
    [sym_preproc_define] = STATE(2843),
    [sym_preproc_undef] = STATE(2843),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4403),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_in] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_if_token3] = ACTIONS(4403),
    [aux_sym_preproc_else_token1] = ACTIONS(4403),
    [aux_sym_preproc_elif_token1] = ACTIONS(4403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2844] = {
    [sym__name] = STATE(3207),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(3130),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(2844),
    [sym_preproc_endregion] = STATE(2844),
    [sym_preproc_line] = STATE(2844),
    [sym_preproc_pragma] = STATE(2844),
    [sym_preproc_nullable] = STATE(2844),
    [sym_preproc_error] = STATE(2844),
    [sym_preproc_define] = STATE(2844),
    [sym_preproc_undef] = STATE(2844),
    [sym__identifier_token] = ACTIONS(4062),
    [anon_sym_alias] = ACTIONS(4065),
    [anon_sym_global] = ACTIONS(4065),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4100),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4065),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4065),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4065),
    [anon_sym_unmanaged] = ACTIONS(4065),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4065),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4065),
    [anon_sym_yield] = ACTIONS(4065),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4065),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4065),
    [anon_sym_into] = ACTIONS(4065),
    [anon_sym_join] = ACTIONS(4065),
    [anon_sym_on] = ACTIONS(4065),
    [anon_sym_equals] = ACTIONS(4065),
    [anon_sym_let] = ACTIONS(4065),
    [anon_sym_orderby] = ACTIONS(4065),
    [anon_sym_ascending] = ACTIONS(4065),
    [anon_sym_descending] = ACTIONS(4065),
    [anon_sym_group] = ACTIONS(4065),
    [anon_sym_by] = ACTIONS(4065),
    [anon_sym_select] = ACTIONS(4065),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2845] = {
    [sym_preproc_region] = STATE(2845),
    [sym_preproc_endregion] = STATE(2845),
    [sym_preproc_line] = STATE(2845),
    [sym_preproc_pragma] = STATE(2845),
    [sym_preproc_nullable] = STATE(2845),
    [sym_preproc_error] = STATE(2845),
    [sym_preproc_define] = STATE(2845),
    [sym_preproc_undef] = STATE(2845),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4089),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4089),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2846] = {
    [sym_modifier] = STATE(3806),
    [sym_variable_declaration] = STATE(9246),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6314),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6743),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2846),
    [sym_preproc_endregion] = STATE(2846),
    [sym_preproc_line] = STATE(2846),
    [sym_preproc_pragma] = STATE(2846),
    [sym_preproc_nullable] = STATE(2846),
    [sym_preproc_error] = STATE(2846),
    [sym_preproc_define] = STATE(2846),
    [sym_preproc_undef] = STATE(2846),
    [aux_sym_class_declaration_repeat2] = STATE(3752),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(4407),
    [anon_sym_class] = ACTIONS(4409),
    [anon_sym_ref] = ACTIONS(4411),
    [anon_sym_struct] = ACTIONS(4413),
    [anon_sym_enum] = ACTIONS(4415),
    [anon_sym_interface] = ACTIONS(4417),
    [anon_sym_delegate] = ACTIONS(4419),
    [anon_sym_record] = ACTIONS(4421),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_implicit] = ACTIONS(4423),
    [anon_sym_explicit] = ACTIONS(4423),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2847] = {
    [sym_preproc_region] = STATE(2847),
    [sym_preproc_endregion] = STATE(2847),
    [sym_preproc_line] = STATE(2847),
    [sym_preproc_pragma] = STATE(2847),
    [sym_preproc_nullable] = STATE(2847),
    [sym_preproc_error] = STATE(2847),
    [sym_preproc_define] = STATE(2847),
    [sym_preproc_undef] = STATE(2847),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4179),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4194),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2848] = {
    [sym_property_pattern_clause] = STATE(2905),
    [sym__variable_designation] = STATE(4241),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2848),
    [sym_preproc_endregion] = STATE(2848),
    [sym_preproc_line] = STATE(2848),
    [sym_preproc_pragma] = STATE(2848),
    [sym_preproc_nullable] = STATE(2848),
    [sym_preproc_error] = STATE(2848),
    [sym_preproc_define] = STATE(2848),
    [sym_preproc_undef] = STATE(2848),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4393),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_RBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_if_token3] = ACTIONS(4393),
    [aux_sym_preproc_else_token1] = ACTIONS(4393),
    [aux_sym_preproc_elif_token1] = ACTIONS(4393),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2849] = {
    [sym_preproc_region] = STATE(2849),
    [sym_preproc_endregion] = STATE(2849),
    [sym_preproc_line] = STATE(2849),
    [sym_preproc_pragma] = STATE(2849),
    [sym_preproc_nullable] = STATE(2849),
    [sym_preproc_error] = STATE(2849),
    [sym_preproc_define] = STATE(2849),
    [sym_preproc_undef] = STATE(2849),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2850] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2850),
    [sym_preproc_endregion] = STATE(2850),
    [sym_preproc_line] = STATE(2850),
    [sym_preproc_pragma] = STATE(2850),
    [sym_preproc_nullable] = STATE(2850),
    [sym_preproc_error] = STATE(2850),
    [sym_preproc_define] = STATE(2850),
    [sym_preproc_undef] = STATE(2850),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4425),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2851] = {
    [sym_preproc_region] = STATE(2851),
    [sym_preproc_endregion] = STATE(2851),
    [sym_preproc_line] = STATE(2851),
    [sym_preproc_pragma] = STATE(2851),
    [sym_preproc_nullable] = STATE(2851),
    [sym_preproc_error] = STATE(2851),
    [sym_preproc_define] = STATE(2851),
    [sym_preproc_undef] = STATE(2851),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4169),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4174),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2852] = {
    [sym_parameter_list] = STATE(9108),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(9196),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(2852),
    [sym_preproc_endregion] = STATE(2852),
    [sym_preproc_line] = STATE(2852),
    [sym_preproc_pragma] = STATE(2852),
    [sym_preproc_nullable] = STATE(2852),
    [sym_preproc_error] = STATE(2852),
    [sym_preproc_define] = STATE(2852),
    [sym_preproc_undef] = STATE(2852),
    [sym__identifier_token] = ACTIONS(4427),
    [anon_sym_alias] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym_global] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_RPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_file] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_notnull] = ACTIONS(4427),
    [anon_sym_unmanaged] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_scoped] = ACTIONS(4427),
    [anon_sym_EQ_GT] = ACTIONS(4429),
    [anon_sym_var] = ACTIONS(4427),
    [anon_sym_yield] = ACTIONS(4427),
    [anon_sym_switch] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [sym_discard] = ACTIONS(4427),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4427),
    [anon_sym_or] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_from] = ACTIONS(4427),
    [anon_sym_into] = ACTIONS(4427),
    [anon_sym_join] = ACTIONS(4427),
    [anon_sym_on] = ACTIONS(4427),
    [anon_sym_equals] = ACTIONS(4427),
    [anon_sym_let] = ACTIONS(4427),
    [anon_sym_orderby] = ACTIONS(4427),
    [anon_sym_ascending] = ACTIONS(4427),
    [anon_sym_descending] = ACTIONS(4427),
    [anon_sym_group] = ACTIONS(4427),
    [anon_sym_by] = ACTIONS(4427),
    [anon_sym_select] = ACTIONS(4427),
    [anon_sym_as] = ACTIONS(4427),
    [anon_sym_is] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4427),
    [aux_sym_preproc_if_token3] = ACTIONS(4429),
    [aux_sym_preproc_else_token1] = ACTIONS(4429),
    [aux_sym_preproc_elif_token1] = ACTIONS(4429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2853] = {
    [sym_modifier] = STATE(3806),
    [sym_variable_declaration] = STATE(9329),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6414),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6756),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2853),
    [sym_preproc_endregion] = STATE(2853),
    [sym_preproc_line] = STATE(2853),
    [sym_preproc_pragma] = STATE(2853),
    [sym_preproc_nullable] = STATE(2853),
    [sym_preproc_error] = STATE(2853),
    [sym_preproc_define] = STATE(2853),
    [sym_preproc_undef] = STATE(2853),
    [aux_sym_class_declaration_repeat2] = STATE(3752),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_event] = ACTIONS(4286),
    [anon_sym_class] = ACTIONS(4288),
    [anon_sym_ref] = ACTIONS(4290),
    [anon_sym_struct] = ACTIONS(4292),
    [anon_sym_enum] = ACTIONS(4294),
    [anon_sym_interface] = ACTIONS(4296),
    [anon_sym_delegate] = ACTIONS(4298),
    [anon_sym_record] = ACTIONS(4300),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_implicit] = ACTIONS(4304),
    [anon_sym_explicit] = ACTIONS(4304),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2854] = {
    [sym_preproc_region] = STATE(2854),
    [sym_preproc_endregion] = STATE(2854),
    [sym_preproc_line] = STATE(2854),
    [sym_preproc_pragma] = STATE(2854),
    [sym_preproc_nullable] = STATE(2854),
    [sym_preproc_error] = STATE(2854),
    [sym_preproc_define] = STATE(2854),
    [sym_preproc_undef] = STATE(2854),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4169),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4174),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2855] = {
    [sym_preproc_region] = STATE(2855),
    [sym_preproc_endregion] = STATE(2855),
    [sym_preproc_line] = STATE(2855),
    [sym_preproc_pragma] = STATE(2855),
    [sym_preproc_nullable] = STATE(2855),
    [sym_preproc_error] = STATE(2855),
    [sym_preproc_define] = STATE(2855),
    [sym_preproc_undef] = STATE(2855),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4179),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4194),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2856] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2856),
    [sym_preproc_endregion] = STATE(2856),
    [sym_preproc_line] = STATE(2856),
    [sym_preproc_pragma] = STATE(2856),
    [sym_preproc_nullable] = STATE(2856),
    [sym_preproc_error] = STATE(2856),
    [sym_preproc_define] = STATE(2856),
    [sym_preproc_undef] = STATE(2856),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4431),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2857] = {
    [sym_preproc_region] = STATE(2857),
    [sym_preproc_endregion] = STATE(2857),
    [sym_preproc_line] = STATE(2857),
    [sym_preproc_pragma] = STATE(2857),
    [sym_preproc_nullable] = STATE(2857),
    [sym_preproc_error] = STATE(2857),
    [sym_preproc_define] = STATE(2857),
    [sym_preproc_undef] = STATE(2857),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4169),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4174),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2858] = {
    [sym_property_pattern_clause] = STATE(2916),
    [sym__variable_designation] = STATE(4112),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2858),
    [sym_preproc_endregion] = STATE(2858),
    [sym_preproc_line] = STATE(2858),
    [sym_preproc_pragma] = STATE(2858),
    [sym_preproc_nullable] = STATE(2858),
    [sym_preproc_error] = STATE(2858),
    [sym_preproc_define] = STATE(2858),
    [sym_preproc_undef] = STATE(2858),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4403),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_RBRACE] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_if_token3] = ACTIONS(4403),
    [aux_sym_preproc_else_token1] = ACTIONS(4403),
    [aux_sym_preproc_elif_token1] = ACTIONS(4403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2859] = {
    [sym_preproc_region] = STATE(2859),
    [sym_preproc_endregion] = STATE(2859),
    [sym_preproc_line] = STATE(2859),
    [sym_preproc_pragma] = STATE(2859),
    [sym_preproc_nullable] = STATE(2859),
    [sym_preproc_error] = STATE(2859),
    [sym_preproc_define] = STATE(2859),
    [sym_preproc_undef] = STATE(2859),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4179),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4194),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2860] = {
    [sym_preproc_region] = STATE(2860),
    [sym_preproc_endregion] = STATE(2860),
    [sym_preproc_line] = STATE(2860),
    [sym_preproc_pragma] = STATE(2860),
    [sym_preproc_nullable] = STATE(2860),
    [sym_preproc_error] = STATE(2860),
    [sym_preproc_define] = STATE(2860),
    [sym_preproc_undef] = STATE(2860),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COMMA] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4194),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4194),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4194),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4194),
    [anon_sym_orderby] = ACTIONS(4194),
    [anon_sym_ascending] = ACTIONS(4194),
    [anon_sym_descending] = ACTIONS(4194),
    [anon_sym_group] = ACTIONS(4194),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4194),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2861] = {
    [sym_preproc_region] = STATE(2861),
    [sym_preproc_endregion] = STATE(2861),
    [sym_preproc_line] = STATE(2861),
    [sym_preproc_pragma] = STATE(2861),
    [sym_preproc_nullable] = STATE(2861),
    [sym_preproc_error] = STATE(2861),
    [sym_preproc_define] = STATE(2861),
    [sym_preproc_undef] = STATE(2861),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4174),
    [anon_sym_descending] = ACTIONS(4174),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2862] = {
    [sym__variable_designation] = STATE(4028),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2862),
    [sym_preproc_endregion] = STATE(2862),
    [sym_preproc_line] = STATE(2862),
    [sym_preproc_pragma] = STATE(2862),
    [sym_preproc_nullable] = STATE(2862),
    [sym_preproc_error] = STATE(2862),
    [sym_preproc_define] = STATE(2862),
    [sym_preproc_undef] = STATE(2862),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4433),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COLON] = ACTIONS(4433),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_RBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_RPAREN] = ACTIONS(4433),
    [anon_sym_RBRACE] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_in] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4433),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_if_token3] = ACTIONS(4433),
    [aux_sym_preproc_else_token1] = ACTIONS(4433),
    [aux_sym_preproc_elif_token1] = ACTIONS(4433),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2863] = {
    [sym_preproc_region] = STATE(2863),
    [sym_preproc_endregion] = STATE(2863),
    [sym_preproc_line] = STATE(2863),
    [sym_preproc_pragma] = STATE(2863),
    [sym_preproc_nullable] = STATE(2863),
    [sym_preproc_error] = STATE(2863),
    [sym_preproc_define] = STATE(2863),
    [sym_preproc_undef] = STATE(2863),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(4437),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_break] = ACTIONS(4439),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2864] = {
    [sym_preproc_region] = STATE(2864),
    [sym_preproc_endregion] = STATE(2864),
    [sym_preproc_line] = STATE(2864),
    [sym_preproc_pragma] = STATE(2864),
    [sym_preproc_nullable] = STATE(2864),
    [sym_preproc_error] = STATE(2864),
    [sym_preproc_define] = STATE(2864),
    [sym_preproc_undef] = STATE(2864),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2865] = {
    [sym_preproc_region] = STATE(2865),
    [sym_preproc_endregion] = STATE(2865),
    [sym_preproc_line] = STATE(2865),
    [sym_preproc_pragma] = STATE(2865),
    [sym_preproc_nullable] = STATE(2865),
    [sym_preproc_error] = STATE(2865),
    [sym_preproc_define] = STATE(2865),
    [sym_preproc_undef] = STATE(2865),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4197),
  },
  [2866] = {
    [sym_preproc_region] = STATE(2866),
    [sym_preproc_endregion] = STATE(2866),
    [sym_preproc_line] = STATE(2866),
    [sym_preproc_pragma] = STATE(2866),
    [sym_preproc_nullable] = STATE(2866),
    [sym_preproc_error] = STATE(2866),
    [sym_preproc_define] = STATE(2866),
    [sym_preproc_undef] = STATE(2866),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_return] = ACTIONS(4441),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_break] = ACTIONS(4443),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2867] = {
    [sym_preproc_region] = STATE(2867),
    [sym_preproc_endregion] = STATE(2867),
    [sym_preproc_line] = STATE(2867),
    [sym_preproc_pragma] = STATE(2867),
    [sym_preproc_nullable] = STATE(2867),
    [sym_preproc_error] = STATE(2867),
    [sym_preproc_define] = STATE(2867),
    [sym_preproc_undef] = STATE(2867),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_COMMA] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4194),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4194),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4194),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4194),
    [anon_sym_orderby] = ACTIONS(4194),
    [anon_sym_ascending] = ACTIONS(4194),
    [anon_sym_descending] = ACTIONS(4194),
    [anon_sym_group] = ACTIONS(4194),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4194),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2868] = {
    [sym__variable_designation] = STATE(4006),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2868),
    [sym_preproc_endregion] = STATE(2868),
    [sym_preproc_line] = STATE(2868),
    [sym_preproc_pragma] = STATE(2868),
    [sym_preproc_nullable] = STATE(2868),
    [sym_preproc_error] = STATE(2868),
    [sym_preproc_define] = STATE(2868),
    [sym_preproc_undef] = STATE(2868),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4445),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COLON] = ACTIONS(4445),
    [anon_sym_COMMA] = ACTIONS(4445),
    [anon_sym_RBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_RPAREN] = ACTIONS(4445),
    [anon_sym_RBRACE] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_in] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4445),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_if_token3] = ACTIONS(4445),
    [aux_sym_preproc_else_token1] = ACTIONS(4445),
    [aux_sym_preproc_elif_token1] = ACTIONS(4445),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2869] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2869),
    [sym_preproc_endregion] = STATE(2869),
    [sym_preproc_line] = STATE(2869),
    [sym_preproc_pragma] = STATE(2869),
    [sym_preproc_nullable] = STATE(2869),
    [sym_preproc_error] = STATE(2869),
    [sym_preproc_define] = STATE(2869),
    [sym_preproc_undef] = STATE(2869),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4449),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2870] = {
    [sym_preproc_region] = STATE(2870),
    [sym_preproc_endregion] = STATE(2870),
    [sym_preproc_line] = STATE(2870),
    [sym_preproc_pragma] = STATE(2870),
    [sym_preproc_nullable] = STATE(2870),
    [sym_preproc_error] = STATE(2870),
    [sym_preproc_define] = STATE(2870),
    [sym_preproc_undef] = STATE(2870),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4197),
  },
  [2871] = {
    [sym_preproc_region] = STATE(2871),
    [sym_preproc_endregion] = STATE(2871),
    [sym_preproc_line] = STATE(2871),
    [sym_preproc_pragma] = STATE(2871),
    [sym_preproc_nullable] = STATE(2871),
    [sym_preproc_error] = STATE(2871),
    [sym_preproc_define] = STATE(2871),
    [sym_preproc_undef] = STATE(2871),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2872] = {
    [sym__name] = STATE(3391),
    [sym_alias_qualified_name] = STATE(3251),
    [sym__simple_name] = STATE(3251),
    [sym_qualified_name] = STATE(3251),
    [sym_generic_name] = STATE(3341),
    [sym_ref_type] = STATE(3392),
    [sym__scoped_base_type] = STATE(3395),
    [sym_identifier] = STATE(3164),
    [sym__reserved_identifier] = STATE(3208),
    [sym_preproc_region] = STATE(2872),
    [sym_preproc_endregion] = STATE(2872),
    [sym_preproc_line] = STATE(2872),
    [sym_preproc_pragma] = STATE(2872),
    [sym_preproc_nullable] = STATE(2872),
    [sym_preproc_error] = STATE(2872),
    [sym_preproc_define] = STATE(2872),
    [sym_preproc_undef] = STATE(2872),
    [sym__identifier_token] = ACTIONS(4102),
    [anon_sym_alias] = ACTIONS(4105),
    [anon_sym_global] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4108),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4105),
    [anon_sym_unmanaged] = ACTIONS(4105),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4105),
    [anon_sym_yield] = ACTIONS(4105),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4105),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4105),
    [anon_sym_into] = ACTIONS(4105),
    [anon_sym_join] = ACTIONS(4105),
    [anon_sym_on] = ACTIONS(4105),
    [anon_sym_equals] = ACTIONS(4105),
    [anon_sym_let] = ACTIONS(4105),
    [anon_sym_orderby] = ACTIONS(4105),
    [anon_sym_ascending] = ACTIONS(4105),
    [anon_sym_descending] = ACTIONS(4105),
    [anon_sym_group] = ACTIONS(4105),
    [anon_sym_by] = ACTIONS(4105),
    [anon_sym_select] = ACTIONS(4105),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2873] = {
    [sym_preproc_region] = STATE(2873),
    [sym_preproc_endregion] = STATE(2873),
    [sym_preproc_line] = STATE(2873),
    [sym_preproc_pragma] = STATE(2873),
    [sym_preproc_nullable] = STATE(2873),
    [sym_preproc_error] = STATE(2873),
    [sym_preproc_define] = STATE(2873),
    [sym_preproc_undef] = STATE(2873),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2874] = {
    [sym_preproc_region] = STATE(2874),
    [sym_preproc_endregion] = STATE(2874),
    [sym_preproc_line] = STATE(2874),
    [sym_preproc_pragma] = STATE(2874),
    [sym_preproc_nullable] = STATE(2874),
    [sym_preproc_error] = STATE(2874),
    [sym_preproc_define] = STATE(2874),
    [sym_preproc_undef] = STATE(2874),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4174),
    [anon_sym_descending] = ACTIONS(4174),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2875] = {
    [sym_preproc_region] = STATE(2875),
    [sym_preproc_endregion] = STATE(2875),
    [sym_preproc_line] = STATE(2875),
    [sym_preproc_pragma] = STATE(2875),
    [sym_preproc_nullable] = STATE(2875),
    [sym_preproc_error] = STATE(2875),
    [sym_preproc_define] = STATE(2875),
    [sym_preproc_undef] = STATE(2875),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2876] = {
    [sym_preproc_region] = STATE(2876),
    [sym_preproc_endregion] = STATE(2876),
    [sym_preproc_line] = STATE(2876),
    [sym_preproc_pragma] = STATE(2876),
    [sym_preproc_nullable] = STATE(2876),
    [sym_preproc_error] = STATE(2876),
    [sym_preproc_define] = STATE(2876),
    [sym_preproc_undef] = STATE(2876),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4165),
  },
  [2877] = {
    [sym_preproc_region] = STATE(2877),
    [sym_preproc_endregion] = STATE(2877),
    [sym_preproc_line] = STATE(2877),
    [sym_preproc_pragma] = STATE(2877),
    [sym_preproc_nullable] = STATE(2877),
    [sym_preproc_error] = STATE(2877),
    [sym_preproc_define] = STATE(2877),
    [sym_preproc_undef] = STATE(2877),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4165),
  },
  [2878] = {
    [sym_preproc_region] = STATE(2878),
    [sym_preproc_endregion] = STATE(2878),
    [sym_preproc_line] = STATE(2878),
    [sym_preproc_pragma] = STATE(2878),
    [sym_preproc_nullable] = STATE(2878),
    [sym_preproc_error] = STATE(2878),
    [sym_preproc_define] = STATE(2878),
    [sym_preproc_undef] = STATE(2878),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4179),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4194),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2879] = {
    [sym__variable_designation] = STATE(4079),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2879),
    [sym_preproc_endregion] = STATE(2879),
    [sym_preproc_line] = STATE(2879),
    [sym_preproc_pragma] = STATE(2879),
    [sym_preproc_nullable] = STATE(2879),
    [sym_preproc_error] = STATE(2879),
    [sym_preproc_define] = STATE(2879),
    [sym_preproc_undef] = STATE(2879),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4403),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_RBRACE] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_in] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_if_token3] = ACTIONS(4403),
    [aux_sym_preproc_else_token1] = ACTIONS(4403),
    [aux_sym_preproc_elif_token1] = ACTIONS(4403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2880] = {
    [sym_preproc_region] = STATE(2880),
    [sym_preproc_endregion] = STATE(2880),
    [sym_preproc_line] = STATE(2880),
    [sym_preproc_pragma] = STATE(2880),
    [sym_preproc_nullable] = STATE(2880),
    [sym_preproc_error] = STATE(2880),
    [sym_preproc_define] = STATE(2880),
    [sym_preproc_undef] = STATE(2880),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2881] = {
    [sym__variable_designation] = STATE(4005),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2881),
    [sym_preproc_endregion] = STATE(2881),
    [sym_preproc_line] = STATE(2881),
    [sym_preproc_pragma] = STATE(2881),
    [sym_preproc_nullable] = STATE(2881),
    [sym_preproc_error] = STATE(2881),
    [sym_preproc_define] = STATE(2881),
    [sym_preproc_undef] = STATE(2881),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4393),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_RBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym_RBRACE] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_in] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_if_token3] = ACTIONS(4393),
    [aux_sym_preproc_else_token1] = ACTIONS(4393),
    [aux_sym_preproc_elif_token1] = ACTIONS(4393),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2882] = {
    [sym_preproc_region] = STATE(2882),
    [sym_preproc_endregion] = STATE(2882),
    [sym_preproc_line] = STATE(2882),
    [sym_preproc_pragma] = STATE(2882),
    [sym_preproc_nullable] = STATE(2882),
    [sym_preproc_error] = STATE(2882),
    [sym_preproc_define] = STATE(2882),
    [sym_preproc_undef] = STATE(2882),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2883] = {
    [sym_preproc_region] = STATE(2883),
    [sym_preproc_endregion] = STATE(2883),
    [sym_preproc_line] = STATE(2883),
    [sym_preproc_pragma] = STATE(2883),
    [sym_preproc_nullable] = STATE(2883),
    [sym_preproc_error] = STATE(2883),
    [sym_preproc_define] = STATE(2883),
    [sym_preproc_undef] = STATE(2883),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4174),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2884] = {
    [sym_preproc_region] = STATE(2884),
    [sym_preproc_endregion] = STATE(2884),
    [sym_preproc_line] = STATE(2884),
    [sym_preproc_pragma] = STATE(2884),
    [sym_preproc_nullable] = STATE(2884),
    [sym_preproc_error] = STATE(2884),
    [sym_preproc_define] = STATE(2884),
    [sym_preproc_undef] = STATE(2884),
    [sym__identifier_token] = ACTIONS(4451),
    [anon_sym_alias] = ACTIONS(4451),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_global] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_file] = ACTIONS(4451),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4451),
    [anon_sym_where] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_notnull] = ACTIONS(4451),
    [anon_sym_unmanaged] = ACTIONS(4451),
    [anon_sym_operator] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_this] = ACTIONS(4451),
    [anon_sym_DOT] = ACTIONS(4451),
    [anon_sym_scoped] = ACTIONS(4451),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_var] = ACTIONS(4451),
    [anon_sym_yield] = ACTIONS(4451),
    [anon_sym_switch] = ACTIONS(4451),
    [anon_sym_when] = ACTIONS(4451),
    [sym_discard] = ACTIONS(4451),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4451),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4451),
    [anon_sym_into] = ACTIONS(4451),
    [anon_sym_join] = ACTIONS(4451),
    [anon_sym_on] = ACTIONS(4451),
    [anon_sym_equals] = ACTIONS(4451),
    [anon_sym_let] = ACTIONS(4451),
    [anon_sym_orderby] = ACTIONS(4451),
    [anon_sym_ascending] = ACTIONS(4451),
    [anon_sym_descending] = ACTIONS(4451),
    [anon_sym_group] = ACTIONS(4451),
    [anon_sym_by] = ACTIONS(4451),
    [anon_sym_select] = ACTIONS(4451),
    [anon_sym_as] = ACTIONS(4451),
    [anon_sym_is] = ACTIONS(4451),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4451),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2885] = {
    [sym_preproc_region] = STATE(2885),
    [sym_preproc_endregion] = STATE(2885),
    [sym_preproc_line] = STATE(2885),
    [sym_preproc_pragma] = STATE(2885),
    [sym_preproc_nullable] = STATE(2885),
    [sym_preproc_error] = STATE(2885),
    [sym_preproc_define] = STATE(2885),
    [sym_preproc_undef] = STATE(2885),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4174),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2886] = {
    [sym_preproc_region] = STATE(2886),
    [sym_preproc_endregion] = STATE(2886),
    [sym_preproc_line] = STATE(2886),
    [sym_preproc_pragma] = STATE(2886),
    [sym_preproc_nullable] = STATE(2886),
    [sym_preproc_error] = STATE(2886),
    [sym_preproc_define] = STATE(2886),
    [sym_preproc_undef] = STATE(2886),
    [sym__identifier_token] = ACTIONS(4455),
    [anon_sym_alias] = ACTIONS(4455),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_global] = ACTIONS(4455),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_COLON] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4457),
    [anon_sym_LPAREN] = ACTIONS(4457),
    [anon_sym_RPAREN] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4457),
    [anon_sym_RBRACE] = ACTIONS(4457),
    [anon_sym_file] = ACTIONS(4455),
    [anon_sym_LT] = ACTIONS(4455),
    [anon_sym_GT] = ACTIONS(4455),
    [anon_sym_in] = ACTIONS(4455),
    [anon_sym_where] = ACTIONS(4455),
    [anon_sym_QMARK] = ACTIONS(4455),
    [anon_sym_notnull] = ACTIONS(4455),
    [anon_sym_unmanaged] = ACTIONS(4455),
    [anon_sym_operator] = ACTIONS(4455),
    [anon_sym_BANG] = ACTIONS(4455),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_STAR] = ACTIONS(4457),
    [anon_sym_SLASH] = ACTIONS(4455),
    [anon_sym_PERCENT] = ACTIONS(4457),
    [anon_sym_CARET] = ACTIONS(4457),
    [anon_sym_PIPE] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(4455),
    [anon_sym_LT_LT] = ACTIONS(4457),
    [anon_sym_GT_GT] = ACTIONS(4455),
    [anon_sym_GT_GT_GT] = ACTIONS(4457),
    [anon_sym_EQ_EQ] = ACTIONS(4457),
    [anon_sym_BANG_EQ] = ACTIONS(4457),
    [anon_sym_GT_EQ] = ACTIONS(4457),
    [anon_sym_LT_EQ] = ACTIONS(4457),
    [anon_sym_this] = ACTIONS(4455),
    [anon_sym_DOT] = ACTIONS(4455),
    [anon_sym_scoped] = ACTIONS(4455),
    [anon_sym_EQ_GT] = ACTIONS(4457),
    [anon_sym_var] = ACTIONS(4455),
    [anon_sym_yield] = ACTIONS(4455),
    [anon_sym_switch] = ACTIONS(4455),
    [anon_sym_when] = ACTIONS(4455),
    [sym_discard] = ACTIONS(4455),
    [anon_sym_DOT_DOT] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4455),
    [anon_sym_or] = ACTIONS(4455),
    [anon_sym_AMP_AMP] = ACTIONS(4457),
    [anon_sym_PIPE_PIPE] = ACTIONS(4457),
    [anon_sym_QMARK_QMARK] = ACTIONS(4457),
    [anon_sym_from] = ACTIONS(4455),
    [anon_sym_into] = ACTIONS(4455),
    [anon_sym_join] = ACTIONS(4455),
    [anon_sym_on] = ACTIONS(4455),
    [anon_sym_equals] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4455),
    [anon_sym_orderby] = ACTIONS(4455),
    [anon_sym_ascending] = ACTIONS(4455),
    [anon_sym_descending] = ACTIONS(4455),
    [anon_sym_group] = ACTIONS(4455),
    [anon_sym_by] = ACTIONS(4455),
    [anon_sym_select] = ACTIONS(4455),
    [anon_sym_as] = ACTIONS(4455),
    [anon_sym_is] = ACTIONS(4455),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_with] = ACTIONS(4455),
    [aux_sym_preproc_if_token3] = ACTIONS(4457),
    [aux_sym_preproc_else_token1] = ACTIONS(4457),
    [aux_sym_preproc_elif_token1] = ACTIONS(4457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2887] = {
    [sym_preproc_region] = STATE(2887),
    [sym_preproc_endregion] = STATE(2887),
    [sym_preproc_line] = STATE(2887),
    [sym_preproc_pragma] = STATE(2887),
    [sym_preproc_nullable] = STATE(2887),
    [sym_preproc_error] = STATE(2887),
    [sym_preproc_define] = STATE(2887),
    [sym_preproc_undef] = STATE(2887),
    [sym__identifier_token] = ACTIONS(4459),
    [anon_sym_alias] = ACTIONS(4459),
    [anon_sym_SEMI] = ACTIONS(4461),
    [anon_sym_global] = ACTIONS(4459),
    [anon_sym_LBRACK] = ACTIONS(4461),
    [anon_sym_COLON] = ACTIONS(4461),
    [anon_sym_COMMA] = ACTIONS(4461),
    [anon_sym_RBRACK] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(4461),
    [anon_sym_RPAREN] = ACTIONS(4461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_RBRACE] = ACTIONS(4461),
    [anon_sym_file] = ACTIONS(4459),
    [anon_sym_LT] = ACTIONS(4459),
    [anon_sym_GT] = ACTIONS(4459),
    [anon_sym_in] = ACTIONS(4459),
    [anon_sym_where] = ACTIONS(4459),
    [anon_sym_QMARK] = ACTIONS(4459),
    [anon_sym_notnull] = ACTIONS(4459),
    [anon_sym_unmanaged] = ACTIONS(4459),
    [anon_sym_operator] = ACTIONS(4459),
    [anon_sym_BANG] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4461),
    [anon_sym_DASH_DASH] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_STAR] = ACTIONS(4461),
    [anon_sym_SLASH] = ACTIONS(4459),
    [anon_sym_PERCENT] = ACTIONS(4461),
    [anon_sym_CARET] = ACTIONS(4461),
    [anon_sym_PIPE] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(4459),
    [anon_sym_LT_LT] = ACTIONS(4461),
    [anon_sym_GT_GT] = ACTIONS(4459),
    [anon_sym_GT_GT_GT] = ACTIONS(4461),
    [anon_sym_EQ_EQ] = ACTIONS(4461),
    [anon_sym_BANG_EQ] = ACTIONS(4461),
    [anon_sym_GT_EQ] = ACTIONS(4461),
    [anon_sym_LT_EQ] = ACTIONS(4461),
    [anon_sym_this] = ACTIONS(4459),
    [anon_sym_DOT] = ACTIONS(4459),
    [anon_sym_scoped] = ACTIONS(4459),
    [anon_sym_EQ_GT] = ACTIONS(4461),
    [anon_sym_var] = ACTIONS(4459),
    [anon_sym_yield] = ACTIONS(4459),
    [anon_sym_switch] = ACTIONS(4459),
    [anon_sym_when] = ACTIONS(4459),
    [sym_discard] = ACTIONS(4459),
    [anon_sym_DOT_DOT] = ACTIONS(4461),
    [anon_sym_and] = ACTIONS(4459),
    [anon_sym_or] = ACTIONS(4459),
    [anon_sym_AMP_AMP] = ACTIONS(4461),
    [anon_sym_PIPE_PIPE] = ACTIONS(4461),
    [anon_sym_QMARK_QMARK] = ACTIONS(4461),
    [anon_sym_from] = ACTIONS(4459),
    [anon_sym_into] = ACTIONS(4459),
    [anon_sym_join] = ACTIONS(4459),
    [anon_sym_on] = ACTIONS(4459),
    [anon_sym_equals] = ACTIONS(4459),
    [anon_sym_let] = ACTIONS(4459),
    [anon_sym_orderby] = ACTIONS(4459),
    [anon_sym_ascending] = ACTIONS(4459),
    [anon_sym_descending] = ACTIONS(4459),
    [anon_sym_group] = ACTIONS(4459),
    [anon_sym_by] = ACTIONS(4459),
    [anon_sym_select] = ACTIONS(4459),
    [anon_sym_as] = ACTIONS(4459),
    [anon_sym_is] = ACTIONS(4459),
    [anon_sym_DASH_GT] = ACTIONS(4461),
    [anon_sym_with] = ACTIONS(4459),
    [aux_sym_preproc_if_token3] = ACTIONS(4461),
    [aux_sym_preproc_else_token1] = ACTIONS(4461),
    [aux_sym_preproc_elif_token1] = ACTIONS(4461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2888] = {
    [sym_preproc_region] = STATE(2888),
    [sym_preproc_endregion] = STATE(2888),
    [sym_preproc_line] = STATE(2888),
    [sym_preproc_pragma] = STATE(2888),
    [sym_preproc_nullable] = STATE(2888),
    [sym_preproc_error] = STATE(2888),
    [sym_preproc_define] = STATE(2888),
    [sym_preproc_undef] = STATE(2888),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4174),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2889] = {
    [sym_preproc_region] = STATE(2889),
    [sym_preproc_endregion] = STATE(2889),
    [sym_preproc_line] = STATE(2889),
    [sym_preproc_pragma] = STATE(2889),
    [sym_preproc_nullable] = STATE(2889),
    [sym_preproc_error] = STATE(2889),
    [sym_preproc_define] = STATE(2889),
    [sym_preproc_undef] = STATE(2889),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4194),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2890] = {
    [sym_preproc_region] = STATE(2890),
    [sym_preproc_endregion] = STATE(2890),
    [sym_preproc_line] = STATE(2890),
    [sym_preproc_pragma] = STATE(2890),
    [sym_preproc_nullable] = STATE(2890),
    [sym_preproc_error] = STATE(2890),
    [sym_preproc_define] = STATE(2890),
    [sym_preproc_undef] = STATE(2890),
    [sym__identifier_token] = ACTIONS(4463),
    [anon_sym_alias] = ACTIONS(4463),
    [anon_sym_SEMI] = ACTIONS(4465),
    [anon_sym_global] = ACTIONS(4463),
    [anon_sym_LBRACK] = ACTIONS(4465),
    [anon_sym_COLON] = ACTIONS(4465),
    [anon_sym_COMMA] = ACTIONS(4465),
    [anon_sym_RBRACK] = ACTIONS(4465),
    [anon_sym_LPAREN] = ACTIONS(4465),
    [anon_sym_RPAREN] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4465),
    [anon_sym_RBRACE] = ACTIONS(4465),
    [anon_sym_file] = ACTIONS(4463),
    [anon_sym_LT] = ACTIONS(4463),
    [anon_sym_GT] = ACTIONS(4463),
    [anon_sym_in] = ACTIONS(4463),
    [anon_sym_where] = ACTIONS(4463),
    [anon_sym_QMARK] = ACTIONS(4463),
    [anon_sym_notnull] = ACTIONS(4463),
    [anon_sym_unmanaged] = ACTIONS(4463),
    [anon_sym_operator] = ACTIONS(4463),
    [anon_sym_BANG] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4465),
    [anon_sym_DASH_DASH] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_STAR] = ACTIONS(4465),
    [anon_sym_SLASH] = ACTIONS(4463),
    [anon_sym_PERCENT] = ACTIONS(4465),
    [anon_sym_CARET] = ACTIONS(4465),
    [anon_sym_PIPE] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(4463),
    [anon_sym_LT_LT] = ACTIONS(4465),
    [anon_sym_GT_GT] = ACTIONS(4463),
    [anon_sym_GT_GT_GT] = ACTIONS(4465),
    [anon_sym_EQ_EQ] = ACTIONS(4465),
    [anon_sym_BANG_EQ] = ACTIONS(4465),
    [anon_sym_GT_EQ] = ACTIONS(4465),
    [anon_sym_LT_EQ] = ACTIONS(4465),
    [anon_sym_this] = ACTIONS(4463),
    [anon_sym_DOT] = ACTIONS(4463),
    [anon_sym_scoped] = ACTIONS(4463),
    [anon_sym_EQ_GT] = ACTIONS(4465),
    [anon_sym_var] = ACTIONS(4463),
    [anon_sym_yield] = ACTIONS(4463),
    [anon_sym_switch] = ACTIONS(4463),
    [anon_sym_when] = ACTIONS(4463),
    [sym_discard] = ACTIONS(4463),
    [anon_sym_DOT_DOT] = ACTIONS(4465),
    [anon_sym_and] = ACTIONS(4463),
    [anon_sym_or] = ACTIONS(4463),
    [anon_sym_AMP_AMP] = ACTIONS(4465),
    [anon_sym_PIPE_PIPE] = ACTIONS(4465),
    [anon_sym_QMARK_QMARK] = ACTIONS(4465),
    [anon_sym_from] = ACTIONS(4463),
    [anon_sym_into] = ACTIONS(4463),
    [anon_sym_join] = ACTIONS(4463),
    [anon_sym_on] = ACTIONS(4463),
    [anon_sym_equals] = ACTIONS(4463),
    [anon_sym_let] = ACTIONS(4463),
    [anon_sym_orderby] = ACTIONS(4463),
    [anon_sym_ascending] = ACTIONS(4463),
    [anon_sym_descending] = ACTIONS(4463),
    [anon_sym_group] = ACTIONS(4463),
    [anon_sym_by] = ACTIONS(4463),
    [anon_sym_select] = ACTIONS(4463),
    [anon_sym_as] = ACTIONS(4463),
    [anon_sym_is] = ACTIONS(4463),
    [anon_sym_DASH_GT] = ACTIONS(4465),
    [anon_sym_with] = ACTIONS(4463),
    [aux_sym_preproc_if_token3] = ACTIONS(4465),
    [aux_sym_preproc_else_token1] = ACTIONS(4465),
    [aux_sym_preproc_elif_token1] = ACTIONS(4465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2891] = {
    [sym_preproc_region] = STATE(2891),
    [sym_preproc_endregion] = STATE(2891),
    [sym_preproc_line] = STATE(2891),
    [sym_preproc_pragma] = STATE(2891),
    [sym_preproc_nullable] = STATE(2891),
    [sym_preproc_error] = STATE(2891),
    [sym_preproc_define] = STATE(2891),
    [sym_preproc_undef] = STATE(2891),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4194),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4194),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4194),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4194),
    [anon_sym_orderby] = ACTIONS(4194),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4194),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4194),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2892] = {
    [sym_preproc_region] = STATE(2892),
    [sym_preproc_endregion] = STATE(2892),
    [sym_preproc_line] = STATE(2892),
    [sym_preproc_pragma] = STATE(2892),
    [sym_preproc_nullable] = STATE(2892),
    [sym_preproc_error] = STATE(2892),
    [sym_preproc_define] = STATE(2892),
    [sym_preproc_undef] = STATE(2892),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4194),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2893] = {
    [sym_preproc_region] = STATE(2893),
    [sym_preproc_endregion] = STATE(2893),
    [sym_preproc_line] = STATE(2893),
    [sym_preproc_pragma] = STATE(2893),
    [sym_preproc_nullable] = STATE(2893),
    [sym_preproc_error] = STATE(2893),
    [sym_preproc_define] = STATE(2893),
    [sym_preproc_undef] = STATE(2893),
    [sym__identifier_token] = ACTIONS(4467),
    [anon_sym_alias] = ACTIONS(4467),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_global] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_LPAREN] = ACTIONS(4469),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_LBRACE] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_file] = ACTIONS(4467),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_GT] = ACTIONS(4467),
    [anon_sym_in] = ACTIONS(4467),
    [anon_sym_where] = ACTIONS(4467),
    [anon_sym_QMARK] = ACTIONS(4467),
    [anon_sym_notnull] = ACTIONS(4467),
    [anon_sym_unmanaged] = ACTIONS(4467),
    [anon_sym_operator] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(4467),
    [anon_sym_PLUS_PLUS] = ACTIONS(4469),
    [anon_sym_DASH_DASH] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_STAR] = ACTIONS(4469),
    [anon_sym_SLASH] = ACTIONS(4467),
    [anon_sym_PERCENT] = ACTIONS(4469),
    [anon_sym_CARET] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4467),
    [anon_sym_LT_LT] = ACTIONS(4469),
    [anon_sym_GT_GT] = ACTIONS(4467),
    [anon_sym_GT_GT_GT] = ACTIONS(4469),
    [anon_sym_EQ_EQ] = ACTIONS(4469),
    [anon_sym_BANG_EQ] = ACTIONS(4469),
    [anon_sym_GT_EQ] = ACTIONS(4469),
    [anon_sym_LT_EQ] = ACTIONS(4469),
    [anon_sym_this] = ACTIONS(4467),
    [anon_sym_DOT] = ACTIONS(4467),
    [anon_sym_scoped] = ACTIONS(4467),
    [anon_sym_EQ_GT] = ACTIONS(4469),
    [anon_sym_var] = ACTIONS(4467),
    [anon_sym_yield] = ACTIONS(4467),
    [anon_sym_switch] = ACTIONS(4467),
    [anon_sym_when] = ACTIONS(4467),
    [sym_discard] = ACTIONS(4467),
    [anon_sym_DOT_DOT] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4467),
    [anon_sym_or] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4469),
    [anon_sym_PIPE_PIPE] = ACTIONS(4469),
    [anon_sym_QMARK_QMARK] = ACTIONS(4469),
    [anon_sym_from] = ACTIONS(4467),
    [anon_sym_into] = ACTIONS(4467),
    [anon_sym_join] = ACTIONS(4467),
    [anon_sym_on] = ACTIONS(4467),
    [anon_sym_equals] = ACTIONS(4467),
    [anon_sym_let] = ACTIONS(4467),
    [anon_sym_orderby] = ACTIONS(4467),
    [anon_sym_ascending] = ACTIONS(4467),
    [anon_sym_descending] = ACTIONS(4467),
    [anon_sym_group] = ACTIONS(4467),
    [anon_sym_by] = ACTIONS(4467),
    [anon_sym_select] = ACTIONS(4467),
    [anon_sym_as] = ACTIONS(4467),
    [anon_sym_is] = ACTIONS(4467),
    [anon_sym_DASH_GT] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4467),
    [aux_sym_preproc_if_token3] = ACTIONS(4469),
    [aux_sym_preproc_else_token1] = ACTIONS(4469),
    [aux_sym_preproc_elif_token1] = ACTIONS(4469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2894] = {
    [sym_preproc_region] = STATE(2894),
    [sym_preproc_endregion] = STATE(2894),
    [sym_preproc_line] = STATE(2894),
    [sym_preproc_pragma] = STATE(2894),
    [sym_preproc_nullable] = STATE(2894),
    [sym_preproc_error] = STATE(2894),
    [sym_preproc_define] = STATE(2894),
    [sym_preproc_undef] = STATE(2894),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_using] = ACTIONS(4471),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2895] = {
    [sym_preproc_region] = STATE(2895),
    [sym_preproc_endregion] = STATE(2895),
    [sym_preproc_line] = STATE(2895),
    [sym_preproc_pragma] = STATE(2895),
    [sym_preproc_nullable] = STATE(2895),
    [sym_preproc_error] = STATE(2895),
    [sym_preproc_define] = STATE(2895),
    [sym_preproc_undef] = STATE(2895),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_operator] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_this] = ACTIONS(4473),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2896] = {
    [sym_preproc_region] = STATE(2896),
    [sym_preproc_endregion] = STATE(2896),
    [sym_preproc_line] = STATE(2896),
    [sym_preproc_pragma] = STATE(2896),
    [sym_preproc_nullable] = STATE(2896),
    [sym_preproc_error] = STATE(2896),
    [sym_preproc_define] = STATE(2896),
    [sym_preproc_undef] = STATE(2896),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4194),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2897] = {
    [sym__variable_designation] = STATE(4113),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2897),
    [sym_preproc_endregion] = STATE(2897),
    [sym_preproc_line] = STATE(2897),
    [sym_preproc_pragma] = STATE(2897),
    [sym_preproc_nullable] = STATE(2897),
    [sym_preproc_error] = STATE(2897),
    [sym_preproc_define] = STATE(2897),
    [sym_preproc_undef] = STATE(2897),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4403),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_RBRACE] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_if_token3] = ACTIONS(4403),
    [aux_sym_preproc_else_token1] = ACTIONS(4403),
    [aux_sym_preproc_elif_token1] = ACTIONS(4403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2898] = {
    [sym_preproc_region] = STATE(2898),
    [sym_preproc_endregion] = STATE(2898),
    [sym_preproc_line] = STATE(2898),
    [sym_preproc_pragma] = STATE(2898),
    [sym_preproc_nullable] = STATE(2898),
    [sym_preproc_error] = STATE(2898),
    [sym_preproc_define] = STATE(2898),
    [sym_preproc_undef] = STATE(2898),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4174),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2899] = {
    [sym_preproc_region] = STATE(2899),
    [sym_preproc_endregion] = STATE(2899),
    [sym_preproc_line] = STATE(2899),
    [sym_preproc_pragma] = STATE(2899),
    [sym_preproc_nullable] = STATE(2899),
    [sym_preproc_error] = STATE(2899),
    [sym_preproc_define] = STATE(2899),
    [sym_preproc_undef] = STATE(2899),
    [sym__identifier_token] = ACTIONS(4477),
    [anon_sym_alias] = ACTIONS(4477),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym_global] = ACTIONS(4477),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_LPAREN] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_file] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_in] = ACTIONS(4477),
    [anon_sym_where] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4477),
    [anon_sym_notnull] = ACTIONS(4477),
    [anon_sym_unmanaged] = ACTIONS(4477),
    [anon_sym_operator] = ACTIONS(4477),
    [anon_sym_BANG] = ACTIONS(4477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_GT_GT_GT] = ACTIONS(4479),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4479),
    [anon_sym_this] = ACTIONS(4477),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_scoped] = ACTIONS(4477),
    [anon_sym_EQ_GT] = ACTIONS(4479),
    [anon_sym_var] = ACTIONS(4477),
    [anon_sym_yield] = ACTIONS(4477),
    [anon_sym_switch] = ACTIONS(4477),
    [anon_sym_when] = ACTIONS(4477),
    [sym_discard] = ACTIONS(4477),
    [anon_sym_DOT_DOT] = ACTIONS(4479),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_QMARK_QMARK] = ACTIONS(4479),
    [anon_sym_from] = ACTIONS(4477),
    [anon_sym_into] = ACTIONS(4477),
    [anon_sym_join] = ACTIONS(4477),
    [anon_sym_on] = ACTIONS(4477),
    [anon_sym_equals] = ACTIONS(4477),
    [anon_sym_let] = ACTIONS(4477),
    [anon_sym_orderby] = ACTIONS(4477),
    [anon_sym_ascending] = ACTIONS(4477),
    [anon_sym_descending] = ACTIONS(4477),
    [anon_sym_group] = ACTIONS(4477),
    [anon_sym_by] = ACTIONS(4477),
    [anon_sym_select] = ACTIONS(4477),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_is] = ACTIONS(4477),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [anon_sym_with] = ACTIONS(4477),
    [aux_sym_preproc_if_token3] = ACTIONS(4479),
    [aux_sym_preproc_else_token1] = ACTIONS(4479),
    [aux_sym_preproc_elif_token1] = ACTIONS(4479),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2900] = {
    [sym_preproc_region] = STATE(2900),
    [sym_preproc_endregion] = STATE(2900),
    [sym_preproc_line] = STATE(2900),
    [sym_preproc_pragma] = STATE(2900),
    [sym_preproc_nullable] = STATE(2900),
    [sym_preproc_error] = STATE(2900),
    [sym_preproc_define] = STATE(2900),
    [sym_preproc_undef] = STATE(2900),
    [sym__identifier_token] = ACTIONS(4481),
    [anon_sym_alias] = ACTIONS(4481),
    [anon_sym_SEMI] = ACTIONS(4483),
    [anon_sym_global] = ACTIONS(4481),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [anon_sym_COLON] = ACTIONS(4483),
    [anon_sym_COMMA] = ACTIONS(4483),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_RPAREN] = ACTIONS(4483),
    [anon_sym_LBRACE] = ACTIONS(4483),
    [anon_sym_RBRACE] = ACTIONS(4483),
    [anon_sym_file] = ACTIONS(4481),
    [anon_sym_LT] = ACTIONS(4481),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_in] = ACTIONS(4481),
    [anon_sym_where] = ACTIONS(4481),
    [anon_sym_QMARK] = ACTIONS(4481),
    [anon_sym_notnull] = ACTIONS(4481),
    [anon_sym_unmanaged] = ACTIONS(4481),
    [anon_sym_operator] = ACTIONS(4481),
    [anon_sym_BANG] = ACTIONS(4481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS] = ACTIONS(4481),
    [anon_sym_DASH] = ACTIONS(4481),
    [anon_sym_STAR] = ACTIONS(4483),
    [anon_sym_SLASH] = ACTIONS(4481),
    [anon_sym_PERCENT] = ACTIONS(4483),
    [anon_sym_CARET] = ACTIONS(4483),
    [anon_sym_PIPE] = ACTIONS(4481),
    [anon_sym_AMP] = ACTIONS(4481),
    [anon_sym_LT_LT] = ACTIONS(4483),
    [anon_sym_GT_GT] = ACTIONS(4481),
    [anon_sym_GT_GT_GT] = ACTIONS(4483),
    [anon_sym_EQ_EQ] = ACTIONS(4483),
    [anon_sym_BANG_EQ] = ACTIONS(4483),
    [anon_sym_GT_EQ] = ACTIONS(4483),
    [anon_sym_LT_EQ] = ACTIONS(4483),
    [anon_sym_this] = ACTIONS(4481),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_scoped] = ACTIONS(4481),
    [anon_sym_EQ_GT] = ACTIONS(4483),
    [anon_sym_var] = ACTIONS(4481),
    [anon_sym_yield] = ACTIONS(4481),
    [anon_sym_switch] = ACTIONS(4481),
    [anon_sym_when] = ACTIONS(4481),
    [sym_discard] = ACTIONS(4481),
    [anon_sym_DOT_DOT] = ACTIONS(4483),
    [anon_sym_and] = ACTIONS(4481),
    [anon_sym_or] = ACTIONS(4481),
    [anon_sym_AMP_AMP] = ACTIONS(4483),
    [anon_sym_PIPE_PIPE] = ACTIONS(4483),
    [anon_sym_QMARK_QMARK] = ACTIONS(4483),
    [anon_sym_from] = ACTIONS(4481),
    [anon_sym_into] = ACTIONS(4481),
    [anon_sym_join] = ACTIONS(4481),
    [anon_sym_on] = ACTIONS(4481),
    [anon_sym_equals] = ACTIONS(4481),
    [anon_sym_let] = ACTIONS(4481),
    [anon_sym_orderby] = ACTIONS(4481),
    [anon_sym_ascending] = ACTIONS(4481),
    [anon_sym_descending] = ACTIONS(4481),
    [anon_sym_group] = ACTIONS(4481),
    [anon_sym_by] = ACTIONS(4481),
    [anon_sym_select] = ACTIONS(4481),
    [anon_sym_as] = ACTIONS(4481),
    [anon_sym_is] = ACTIONS(4481),
    [anon_sym_DASH_GT] = ACTIONS(4483),
    [anon_sym_with] = ACTIONS(4481),
    [aux_sym_preproc_if_token3] = ACTIONS(4483),
    [aux_sym_preproc_else_token1] = ACTIONS(4483),
    [aux_sym_preproc_elif_token1] = ACTIONS(4483),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2901] = {
    [sym_preproc_region] = STATE(2901),
    [sym_preproc_endregion] = STATE(2901),
    [sym_preproc_line] = STATE(2901),
    [sym_preproc_pragma] = STATE(2901),
    [sym_preproc_nullable] = STATE(2901),
    [sym_preproc_error] = STATE(2901),
    [sym_preproc_define] = STATE(2901),
    [sym_preproc_undef] = STATE(2901),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4202),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2902] = {
    [sym__variable_designation] = STATE(4216),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2902),
    [sym_preproc_endregion] = STATE(2902),
    [sym_preproc_line] = STATE(2902),
    [sym_preproc_pragma] = STATE(2902),
    [sym_preproc_nullable] = STATE(2902),
    [sym_preproc_error] = STATE(2902),
    [sym_preproc_define] = STATE(2902),
    [sym_preproc_undef] = STATE(2902),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4393),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_RBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_RPAREN] = ACTIONS(4393),
    [anon_sym_RBRACE] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_if_token3] = ACTIONS(4393),
    [aux_sym_preproc_else_token1] = ACTIONS(4393),
    [aux_sym_preproc_elif_token1] = ACTIONS(4393),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2903] = {
    [sym_preproc_region] = STATE(2903),
    [sym_preproc_endregion] = STATE(2903),
    [sym_preproc_line] = STATE(2903),
    [sym_preproc_pragma] = STATE(2903),
    [sym_preproc_nullable] = STATE(2903),
    [sym_preproc_error] = STATE(2903),
    [sym_preproc_define] = STATE(2903),
    [sym_preproc_undef] = STATE(2903),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4194),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4194),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4194),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4194),
    [anon_sym_orderby] = ACTIONS(4194),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4194),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4194),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2904] = {
    [sym_preproc_region] = STATE(2904),
    [sym_preproc_endregion] = STATE(2904),
    [sym_preproc_line] = STATE(2904),
    [sym_preproc_pragma] = STATE(2904),
    [sym_preproc_nullable] = STATE(2904),
    [sym_preproc_error] = STATE(2904),
    [sym_preproc_define] = STATE(2904),
    [sym_preproc_undef] = STATE(2904),
    [sym__identifier_token] = ACTIONS(4485),
    [anon_sym_alias] = ACTIONS(4485),
    [anon_sym_SEMI] = ACTIONS(4487),
    [anon_sym_global] = ACTIONS(4485),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_COMMA] = ACTIONS(4487),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_RPAREN] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4487),
    [anon_sym_RBRACE] = ACTIONS(4487),
    [anon_sym_file] = ACTIONS(4485),
    [anon_sym_LT] = ACTIONS(4485),
    [anon_sym_GT] = ACTIONS(4485),
    [anon_sym_in] = ACTIONS(4485),
    [anon_sym_where] = ACTIONS(4485),
    [anon_sym_QMARK] = ACTIONS(4485),
    [anon_sym_notnull] = ACTIONS(4485),
    [anon_sym_unmanaged] = ACTIONS(4485),
    [anon_sym_operator] = ACTIONS(4485),
    [anon_sym_BANG] = ACTIONS(4485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4485),
    [anon_sym_DASH] = ACTIONS(4485),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4485),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_PIPE] = ACTIONS(4485),
    [anon_sym_AMP] = ACTIONS(4485),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4485),
    [anon_sym_GT_GT_GT] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4487),
    [anon_sym_BANG_EQ] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4487),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_this] = ACTIONS(4485),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_scoped] = ACTIONS(4485),
    [anon_sym_EQ_GT] = ACTIONS(4487),
    [anon_sym_var] = ACTIONS(4485),
    [anon_sym_yield] = ACTIONS(4485),
    [anon_sym_switch] = ACTIONS(4485),
    [anon_sym_when] = ACTIONS(4485),
    [sym_discard] = ACTIONS(4485),
    [anon_sym_DOT_DOT] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4485),
    [anon_sym_or] = ACTIONS(4485),
    [anon_sym_AMP_AMP] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4487),
    [anon_sym_QMARK_QMARK] = ACTIONS(4487),
    [anon_sym_from] = ACTIONS(4485),
    [anon_sym_into] = ACTIONS(4485),
    [anon_sym_join] = ACTIONS(4485),
    [anon_sym_on] = ACTIONS(4485),
    [anon_sym_equals] = ACTIONS(4485),
    [anon_sym_let] = ACTIONS(4485),
    [anon_sym_orderby] = ACTIONS(4485),
    [anon_sym_ascending] = ACTIONS(4485),
    [anon_sym_descending] = ACTIONS(4485),
    [anon_sym_group] = ACTIONS(4485),
    [anon_sym_by] = ACTIONS(4485),
    [anon_sym_select] = ACTIONS(4485),
    [anon_sym_as] = ACTIONS(4485),
    [anon_sym_is] = ACTIONS(4485),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [anon_sym_with] = ACTIONS(4485),
    [aux_sym_preproc_if_token3] = ACTIONS(4487),
    [aux_sym_preproc_else_token1] = ACTIONS(4487),
    [aux_sym_preproc_elif_token1] = ACTIONS(4487),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2905] = {
    [sym__variable_designation] = STATE(4211),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2905),
    [sym_preproc_endregion] = STATE(2905),
    [sym_preproc_line] = STATE(2905),
    [sym_preproc_pragma] = STATE(2905),
    [sym_preproc_nullable] = STATE(2905),
    [sym_preproc_error] = STATE(2905),
    [sym_preproc_define] = STATE(2905),
    [sym_preproc_undef] = STATE(2905),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4445),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COLON] = ACTIONS(4445),
    [anon_sym_COMMA] = ACTIONS(4445),
    [anon_sym_RBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_RPAREN] = ACTIONS(4445),
    [anon_sym_RBRACE] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4445),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_if_token3] = ACTIONS(4445),
    [aux_sym_preproc_else_token1] = ACTIONS(4445),
    [aux_sym_preproc_elif_token1] = ACTIONS(4445),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2906] = {
    [sym__name] = STATE(5315),
    [sym_alias_qualified_name] = STATE(5392),
    [sym__simple_name] = STATE(5392),
    [sym_qualified_name] = STATE(5392),
    [sym_generic_name] = STATE(5287),
    [sym_ref_type] = STATE(5316),
    [sym__scoped_base_type] = STATE(5317),
    [sym_identifier] = STATE(5070),
    [sym__reserved_identifier] = STATE(5184),
    [sym_preproc_region] = STATE(2906),
    [sym_preproc_endregion] = STATE(2906),
    [sym_preproc_line] = STATE(2906),
    [sym_preproc_pragma] = STATE(2906),
    [sym_preproc_nullable] = STATE(2906),
    [sym_preproc_error] = STATE(2906),
    [sym_preproc_define] = STATE(2906),
    [sym_preproc_undef] = STATE(2906),
    [sym__identifier_token] = ACTIONS(4489),
    [anon_sym_alias] = ACTIONS(4491),
    [anon_sym_global] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4491),
    [anon_sym_unmanaged] = ACTIONS(4491),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4491),
    [anon_sym_yield] = ACTIONS(4491),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4491),
    [anon_sym_into] = ACTIONS(4491),
    [anon_sym_join] = ACTIONS(4491),
    [anon_sym_on] = ACTIONS(4491),
    [anon_sym_equals] = ACTIONS(4491),
    [anon_sym_let] = ACTIONS(4491),
    [anon_sym_orderby] = ACTIONS(4491),
    [anon_sym_ascending] = ACTIONS(4491),
    [anon_sym_descending] = ACTIONS(4491),
    [anon_sym_group] = ACTIONS(4491),
    [anon_sym_by] = ACTIONS(4491),
    [anon_sym_select] = ACTIONS(4491),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2907] = {
    [sym_preproc_region] = STATE(2907),
    [sym_preproc_endregion] = STATE(2907),
    [sym_preproc_line] = STATE(2907),
    [sym_preproc_pragma] = STATE(2907),
    [sym_preproc_nullable] = STATE(2907),
    [sym_preproc_error] = STATE(2907),
    [sym_preproc_define] = STATE(2907),
    [sym_preproc_undef] = STATE(2907),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2908] = {
    [sym_preproc_region] = STATE(2908),
    [sym_preproc_endregion] = STATE(2908),
    [sym_preproc_line] = STATE(2908),
    [sym_preproc_pragma] = STATE(2908),
    [sym_preproc_nullable] = STATE(2908),
    [sym_preproc_error] = STATE(2908),
    [sym_preproc_define] = STATE(2908),
    [sym_preproc_undef] = STATE(2908),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4174),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2909] = {
    [sym__name] = STATE(5315),
    [sym_alias_qualified_name] = STATE(5392),
    [sym__simple_name] = STATE(5392),
    [sym_qualified_name] = STATE(5392),
    [sym_generic_name] = STATE(5287),
    [sym_ref_type] = STATE(5316),
    [sym__scoped_base_type] = STATE(5317),
    [sym_identifier] = STATE(5070),
    [sym__reserved_identifier] = STATE(5184),
    [sym_preproc_region] = STATE(2909),
    [sym_preproc_endregion] = STATE(2909),
    [sym_preproc_line] = STATE(2909),
    [sym_preproc_pragma] = STATE(2909),
    [sym_preproc_nullable] = STATE(2909),
    [sym_preproc_error] = STATE(2909),
    [sym_preproc_define] = STATE(2909),
    [sym_preproc_undef] = STATE(2909),
    [sym__identifier_token] = ACTIONS(4489),
    [anon_sym_alias] = ACTIONS(4491),
    [anon_sym_global] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4491),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4491),
    [anon_sym_unmanaged] = ACTIONS(4491),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4491),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4491),
    [anon_sym_yield] = ACTIONS(4491),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4491),
    [anon_sym_into] = ACTIONS(4497),
    [anon_sym_join] = ACTIONS(4491),
    [anon_sym_on] = ACTIONS(4491),
    [anon_sym_equals] = ACTIONS(4491),
    [anon_sym_let] = ACTIONS(4491),
    [anon_sym_orderby] = ACTIONS(4491),
    [anon_sym_ascending] = ACTIONS(4491),
    [anon_sym_descending] = ACTIONS(4491),
    [anon_sym_group] = ACTIONS(4491),
    [anon_sym_by] = ACTIONS(4491),
    [anon_sym_select] = ACTIONS(4491),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [2910] = {
    [sym_preproc_region] = STATE(2910),
    [sym_preproc_endregion] = STATE(2910),
    [sym_preproc_line] = STATE(2910),
    [sym_preproc_pragma] = STATE(2910),
    [sym_preproc_nullable] = STATE(2910),
    [sym_preproc_error] = STATE(2910),
    [sym_preproc_define] = STATE(2910),
    [sym_preproc_undef] = STATE(2910),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4202),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2911] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2911),
    [sym_preproc_endregion] = STATE(2911),
    [sym_preproc_line] = STATE(2911),
    [sym_preproc_pragma] = STATE(2911),
    [sym_preproc_nullable] = STATE(2911),
    [sym_preproc_error] = STATE(2911),
    [sym_preproc_define] = STATE(2911),
    [sym_preproc_undef] = STATE(2911),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4500),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2912] = {
    [sym_preproc_region] = STATE(2912),
    [sym_preproc_endregion] = STATE(2912),
    [sym_preproc_line] = STATE(2912),
    [sym_preproc_pragma] = STATE(2912),
    [sym_preproc_nullable] = STATE(2912),
    [sym_preproc_error] = STATE(2912),
    [sym_preproc_define] = STATE(2912),
    [sym_preproc_undef] = STATE(2912),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4194),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2913] = {
    [sym_preproc_region] = STATE(2913),
    [sym_preproc_endregion] = STATE(2913),
    [sym_preproc_line] = STATE(2913),
    [sym_preproc_pragma] = STATE(2913),
    [sym_preproc_nullable] = STATE(2913),
    [sym_preproc_error] = STATE(2913),
    [sym_preproc_define] = STATE(2913),
    [sym_preproc_undef] = STATE(2913),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4174),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2914] = {
    [sym_type_argument_list] = STATE(2753),
    [sym_preproc_region] = STATE(2914),
    [sym_preproc_endregion] = STATE(2914),
    [sym_preproc_line] = STATE(2914),
    [sym_preproc_pragma] = STATE(2914),
    [sym_preproc_nullable] = STATE(2914),
    [sym_preproc_error] = STATE(2914),
    [sym_preproc_define] = STATE(2914),
    [sym_preproc_undef] = STATE(2914),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4502),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4147),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2915] = {
    [sym_preproc_region] = STATE(2915),
    [sym_preproc_endregion] = STATE(2915),
    [sym_preproc_line] = STATE(2915),
    [sym_preproc_pragma] = STATE(2915),
    [sym_preproc_nullable] = STATE(2915),
    [sym_preproc_error] = STATE(2915),
    [sym_preproc_define] = STATE(2915),
    [sym_preproc_undef] = STATE(2915),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4194),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2916] = {
    [sym__variable_designation] = STATE(4292),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(2916),
    [sym_preproc_endregion] = STATE(2916),
    [sym_preproc_line] = STATE(2916),
    [sym_preproc_pragma] = STATE(2916),
    [sym_preproc_nullable] = STATE(2916),
    [sym_preproc_error] = STATE(2916),
    [sym_preproc_define] = STATE(2916),
    [sym_preproc_undef] = STATE(2916),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_SEMI] = ACTIONS(4433),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COLON] = ACTIONS(4433),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_RBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_RPAREN] = ACTIONS(4433),
    [anon_sym_RBRACE] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4433),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_if_token3] = ACTIONS(4433),
    [aux_sym_preproc_else_token1] = ACTIONS(4433),
    [aux_sym_preproc_elif_token1] = ACTIONS(4433),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2917] = {
    [sym_preproc_region] = STATE(2917),
    [sym_preproc_endregion] = STATE(2917),
    [sym_preproc_line] = STATE(2917),
    [sym_preproc_pragma] = STATE(2917),
    [sym_preproc_nullable] = STATE(2917),
    [sym_preproc_error] = STATE(2917),
    [sym_preproc_define] = STATE(2917),
    [sym_preproc_undef] = STATE(2917),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4184),
    [anon_sym_LPAREN] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4190),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4184),
    [anon_sym_DASH_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4190),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4190),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4190),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_GT_GT_GT] = ACTIONS(4190),
    [anon_sym_EQ_EQ] = ACTIONS(4184),
    [anon_sym_BANG_EQ] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4184),
    [anon_sym_LT_EQ] = ACTIONS(4184),
    [anon_sym_DOT] = ACTIONS(4190),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4190),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4184),
    [anon_sym_and] = ACTIONS(4194),
    [anon_sym_or] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4184),
    [anon_sym_QMARK_QMARK] = ACTIONS(4190),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4194),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4194),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4190),
    [anon_sym_is] = ACTIONS(4190),
    [anon_sym_DASH_GT] = ACTIONS(4184),
    [anon_sym_with] = ACTIONS(4190),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2918] = {
    [sym_preproc_region] = STATE(2918),
    [sym_preproc_endregion] = STATE(2918),
    [sym_preproc_line] = STATE(2918),
    [sym_preproc_pragma] = STATE(2918),
    [sym_preproc_nullable] = STATE(2918),
    [sym_preproc_error] = STATE(2918),
    [sym_preproc_define] = STATE(2918),
    [sym_preproc_undef] = STATE(2918),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4174),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2919] = {
    [sym_preproc_region] = STATE(2919),
    [sym_preproc_endregion] = STATE(2919),
    [sym_preproc_line] = STATE(2919),
    [sym_preproc_pragma] = STATE(2919),
    [sym_preproc_nullable] = STATE(2919),
    [sym_preproc_error] = STATE(2919),
    [sym_preproc_define] = STATE(2919),
    [sym_preproc_undef] = STATE(2919),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4174),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4169),
    [anon_sym_DASH_DASH] = ACTIONS(4169),
    [anon_sym_PLUS] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4174),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4174),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4174),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_GT_GT_GT] = ACTIONS(4174),
    [anon_sym_EQ_EQ] = ACTIONS(4169),
    [anon_sym_BANG_EQ] = ACTIONS(4169),
    [anon_sym_GT_EQ] = ACTIONS(4169),
    [anon_sym_LT_EQ] = ACTIONS(4169),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4174),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4169),
    [anon_sym_and] = ACTIONS(4174),
    [anon_sym_or] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4169),
    [anon_sym_PIPE_PIPE] = ACTIONS(4169),
    [anon_sym_QMARK_QMARK] = ACTIONS(4174),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4174),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4174),
    [anon_sym_is] = ACTIONS(4174),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4174),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2920] = {
    [sym__name] = STATE(4115),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_ref_type] = STATE(3988),
    [sym__scoped_base_type] = STATE(3989),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(2920),
    [sym_preproc_endregion] = STATE(2920),
    [sym_preproc_line] = STATE(2920),
    [sym_preproc_pragma] = STATE(2920),
    [sym_preproc_nullable] = STATE(2920),
    [sym_preproc_error] = STATE(2920),
    [sym_preproc_define] = STATE(2920),
    [sym_preproc_undef] = STATE(2920),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4506),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2921] = {
    [sym_preproc_region] = STATE(2921),
    [sym_preproc_endregion] = STATE(2921),
    [sym_preproc_line] = STATE(2921),
    [sym_preproc_pragma] = STATE(2921),
    [sym_preproc_nullable] = STATE(2921),
    [sym_preproc_error] = STATE(2921),
    [sym_preproc_define] = STATE(2921),
    [sym_preproc_undef] = STATE(2921),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4174),
    [anon_sym_descending] = ACTIONS(4174),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2922] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7148),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2922),
    [sym_preproc_endregion] = STATE(2922),
    [sym_preproc_line] = STATE(2922),
    [sym_preproc_pragma] = STATE(2922),
    [sym_preproc_nullable] = STATE(2922),
    [sym_preproc_error] = STATE(2922),
    [sym_preproc_define] = STATE(2922),
    [sym_preproc_undef] = STATE(2922),
    [aux_sym_class_declaration_repeat1] = STATE(4341),
    [aux_sym_class_declaration_repeat2] = STATE(3138),
    [aux_sym_lambda_expression_repeat1] = STATE(4258),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2923] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7081),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9019),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2923),
    [sym_preproc_endregion] = STATE(2923),
    [sym_preproc_line] = STATE(2923),
    [sym_preproc_pragma] = STATE(2923),
    [sym_preproc_nullable] = STATE(2923),
    [sym_preproc_error] = STATE(2923),
    [sym_preproc_define] = STATE(2923),
    [sym_preproc_undef] = STATE(2923),
    [aux_sym_class_declaration_repeat1] = STATE(4341),
    [aux_sym_class_declaration_repeat2] = STATE(3140),
    [aux_sym_lambda_expression_repeat1] = STATE(4259),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2924] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7074),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2924),
    [sym_preproc_endregion] = STATE(2924),
    [sym_preproc_line] = STATE(2924),
    [sym_preproc_pragma] = STATE(2924),
    [sym_preproc_nullable] = STATE(2924),
    [sym_preproc_error] = STATE(2924),
    [sym_preproc_define] = STATE(2924),
    [sym_preproc_undef] = STATE(2924),
    [aux_sym_class_declaration_repeat1] = STATE(4341),
    [aux_sym_class_declaration_repeat2] = STATE(3139),
    [aux_sym_lambda_expression_repeat1] = STATE(4258),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2925] = {
    [sym_type_argument_list] = STATE(2955),
    [sym_preproc_region] = STATE(2925),
    [sym_preproc_endregion] = STATE(2925),
    [sym_preproc_line] = STATE(2925),
    [sym_preproc_pragma] = STATE(2925),
    [sym_preproc_nullable] = STATE(2925),
    [sym_preproc_error] = STATE(2925),
    [sym_preproc_define] = STATE(2925),
    [sym_preproc_undef] = STATE(2925),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4513),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_COLON_COLON] = ACTIONS(4153),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2926] = {
    [sym_preproc_region] = STATE(2926),
    [sym_preproc_endregion] = STATE(2926),
    [sym_preproc_line] = STATE(2926),
    [sym_preproc_pragma] = STATE(2926),
    [sym_preproc_nullable] = STATE(2926),
    [sym_preproc_error] = STATE(2926),
    [sym_preproc_define] = STATE(2926),
    [sym_preproc_undef] = STATE(2926),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4202),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4202),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4202),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4202),
    [anon_sym_orderby] = ACTIONS(4202),
    [anon_sym_ascending] = ACTIONS(4202),
    [anon_sym_descending] = ACTIONS(4202),
    [anon_sym_group] = ACTIONS(4202),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4202),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2927] = {
    [sym_preproc_region] = STATE(2927),
    [sym_preproc_endregion] = STATE(2927),
    [sym_preproc_line] = STATE(2927),
    [sym_preproc_pragma] = STATE(2927),
    [sym_preproc_nullable] = STATE(2927),
    [sym_preproc_error] = STATE(2927),
    [sym_preproc_define] = STATE(2927),
    [sym_preproc_undef] = STATE(2927),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2928] = {
    [sym_preproc_region] = STATE(2928),
    [sym_preproc_endregion] = STATE(2928),
    [sym_preproc_line] = STATE(2928),
    [sym_preproc_pragma] = STATE(2928),
    [sym_preproc_nullable] = STATE(2928),
    [sym_preproc_error] = STATE(2928),
    [sym_preproc_define] = STATE(2928),
    [sym_preproc_undef] = STATE(2928),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2929] = {
    [sym_preproc_region] = STATE(2929),
    [sym_preproc_endregion] = STATE(2929),
    [sym_preproc_line] = STATE(2929),
    [sym_preproc_pragma] = STATE(2929),
    [sym_preproc_nullable] = STATE(2929),
    [sym_preproc_error] = STATE(2929),
    [sym_preproc_define] = STATE(2929),
    [sym_preproc_undef] = STATE(2929),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4202),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4202),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4202),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4202),
    [anon_sym_orderby] = ACTIONS(4202),
    [anon_sym_ascending] = ACTIONS(4202),
    [anon_sym_descending] = ACTIONS(4202),
    [anon_sym_group] = ACTIONS(4202),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4202),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2930] = {
    [sym_preproc_region] = STATE(2930),
    [sym_preproc_endregion] = STATE(2930),
    [sym_preproc_line] = STATE(2930),
    [sym_preproc_pragma] = STATE(2930),
    [sym_preproc_nullable] = STATE(2930),
    [sym_preproc_error] = STATE(2930),
    [sym_preproc_define] = STATE(2930),
    [sym_preproc_undef] = STATE(2930),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2931] = {
    [sym_preproc_region] = STATE(2931),
    [sym_preproc_endregion] = STATE(2931),
    [sym_preproc_line] = STATE(2931),
    [sym_preproc_pragma] = STATE(2931),
    [sym_preproc_nullable] = STATE(2931),
    [sym_preproc_error] = STATE(2931),
    [sym_preproc_define] = STATE(2931),
    [sym_preproc_undef] = STATE(2931),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4174),
    [anon_sym_descending] = ACTIONS(4174),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2932] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(2932),
    [sym_preproc_endregion] = STATE(2932),
    [sym_preproc_line] = STATE(2932),
    [sym_preproc_pragma] = STATE(2932),
    [sym_preproc_nullable] = STATE(2932),
    [sym_preproc_error] = STATE(2932),
    [sym_preproc_define] = STATE(2932),
    [sym_preproc_undef] = STATE(2932),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4339),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(4524),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2933] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7059),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2933),
    [sym_preproc_endregion] = STATE(2933),
    [sym_preproc_line] = STATE(2933),
    [sym_preproc_pragma] = STATE(2933),
    [sym_preproc_nullable] = STATE(2933),
    [sym_preproc_error] = STATE(2933),
    [sym_preproc_define] = STATE(2933),
    [sym_preproc_undef] = STATE(2933),
    [aux_sym_class_declaration_repeat1] = STATE(4341),
    [aux_sym_class_declaration_repeat2] = STATE(3137),
    [aux_sym_lambda_expression_repeat1] = STATE(4258),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2934] = {
    [sym_modifier] = STATE(3806),
    [sym_variable_declaration] = STATE(9258),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7011),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2934),
    [sym_preproc_endregion] = STATE(2934),
    [sym_preproc_line] = STATE(2934),
    [sym_preproc_pragma] = STATE(2934),
    [sym_preproc_nullable] = STATE(2934),
    [sym_preproc_error] = STATE(2934),
    [sym_preproc_define] = STATE(2934),
    [sym_preproc_undef] = STATE(2934),
    [aux_sym_class_declaration_repeat2] = STATE(3752),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(4379),
    [anon_sym_ref] = ACTIONS(4381),
    [anon_sym_struct] = ACTIONS(2819),
    [anon_sym_enum] = ACTIONS(4383),
    [anon_sym_interface] = ACTIONS(4385),
    [anon_sym_delegate] = ACTIONS(4387),
    [anon_sym_record] = ACTIONS(4389),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2935] = {
    [sym_attribute_list] = STATE(4475),
    [sym_modifier] = STATE(4676),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7007),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2935),
    [sym_preproc_endregion] = STATE(2935),
    [sym_preproc_line] = STATE(2935),
    [sym_preproc_pragma] = STATE(2935),
    [sym_preproc_nullable] = STATE(2935),
    [sym_preproc_error] = STATE(2935),
    [sym_preproc_define] = STATE(2935),
    [sym_preproc_undef] = STATE(2935),
    [aux_sym_class_declaration_repeat1] = STATE(4341),
    [aux_sym_class_declaration_repeat2] = STATE(3140),
    [aux_sym_lambda_expression_repeat1] = STATE(4258),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(4509),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(667),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2936] = {
    [sym__name] = STATE(5858),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_ref_type] = STATE(3660),
    [sym__scoped_base_type] = STATE(3678),
    [sym_identifier] = STATE(5330),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(2936),
    [sym_preproc_endregion] = STATE(2936),
    [sym_preproc_line] = STATE(2936),
    [sym_preproc_pragma] = STATE(2936),
    [sym_preproc_nullable] = STATE(2936),
    [sym_preproc_error] = STATE(2936),
    [sym_preproc_define] = STATE(2936),
    [sym_preproc_undef] = STATE(2936),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2937] = {
    [sym__name] = STATE(3889),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_ref_type] = STATE(3890),
    [sym__scoped_base_type] = STATE(3891),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(2937),
    [sym_preproc_endregion] = STATE(2937),
    [sym_preproc_line] = STATE(2937),
    [sym_preproc_pragma] = STATE(2937),
    [sym_preproc_nullable] = STATE(2937),
    [sym_preproc_error] = STATE(2937),
    [sym_preproc_define] = STATE(2937),
    [sym_preproc_undef] = STATE(2937),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4223),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4223),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4227),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4227),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2938] = {
    [sym_modifier] = STATE(3806),
    [sym_variable_declaration] = STATE(9410),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6996),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2938),
    [sym_preproc_endregion] = STATE(2938),
    [sym_preproc_line] = STATE(2938),
    [sym_preproc_pragma] = STATE(2938),
    [sym_preproc_nullable] = STATE(2938),
    [sym_preproc_error] = STATE(2938),
    [sym_preproc_define] = STATE(2938),
    [sym_preproc_undef] = STATE(2938),
    [aux_sym_class_declaration_repeat2] = STATE(3752),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(4359),
    [anon_sym_ref] = ACTIONS(4361),
    [anon_sym_struct] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(4363),
    [anon_sym_interface] = ACTIONS(4365),
    [anon_sym_delegate] = ACTIONS(4367),
    [anon_sym_record] = ACTIONS(4369),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(3083),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2939] = {
    [sym_type_argument_list] = STATE(2955),
    [sym_preproc_region] = STATE(2939),
    [sym_preproc_endregion] = STATE(2939),
    [sym_preproc_line] = STATE(2939),
    [sym_preproc_pragma] = STATE(2939),
    [sym_preproc_nullable] = STATE(2939),
    [sym_preproc_error] = STATE(2939),
    [sym_preproc_define] = STATE(2939),
    [sym_preproc_undef] = STATE(2939),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4513),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2940] = {
    [sym_preproc_region] = STATE(2940),
    [sym_preproc_endregion] = STATE(2940),
    [sym_preproc_line] = STATE(2940),
    [sym_preproc_pragma] = STATE(2940),
    [sym_preproc_nullable] = STATE(2940),
    [sym_preproc_error] = STATE(2940),
    [sym_preproc_define] = STATE(2940),
    [sym_preproc_undef] = STATE(2940),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4202),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2941] = {
    [sym_preproc_region] = STATE(2941),
    [sym_preproc_endregion] = STATE(2941),
    [sym_preproc_line] = STATE(2941),
    [sym_preproc_pragma] = STATE(2941),
    [sym_preproc_nullable] = STATE(2941),
    [sym_preproc_error] = STATE(2941),
    [sym_preproc_define] = STATE(2941),
    [sym_preproc_undef] = STATE(2941),
    [sym__identifier_token] = ACTIONS(4534),
    [anon_sym_alias] = ACTIONS(4534),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym_global] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_file] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_in] = ACTIONS(4534),
    [anon_sym_where] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_notnull] = ACTIONS(4534),
    [anon_sym_unmanaged] = ACTIONS(4534),
    [anon_sym_BANG] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_GT_GT_GT] = ACTIONS(4536),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_scoped] = ACTIONS(4534),
    [anon_sym_EQ_GT] = ACTIONS(4536),
    [anon_sym_var] = ACTIONS(4534),
    [anon_sym_yield] = ACTIONS(4534),
    [anon_sym_switch] = ACTIONS(4534),
    [anon_sym_when] = ACTIONS(4534),
    [sym_discard] = ACTIONS(4534),
    [anon_sym_DOT_DOT] = ACTIONS(4536),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_QMARK_QMARK] = ACTIONS(4536),
    [anon_sym_from] = ACTIONS(4534),
    [anon_sym_into] = ACTIONS(4534),
    [anon_sym_join] = ACTIONS(4534),
    [anon_sym_on] = ACTIONS(4534),
    [anon_sym_equals] = ACTIONS(4534),
    [anon_sym_let] = ACTIONS(4534),
    [anon_sym_orderby] = ACTIONS(4534),
    [anon_sym_ascending] = ACTIONS(4534),
    [anon_sym_descending] = ACTIONS(4534),
    [anon_sym_group] = ACTIONS(4534),
    [anon_sym_by] = ACTIONS(4534),
    [anon_sym_select] = ACTIONS(4534),
    [anon_sym_as] = ACTIONS(4534),
    [anon_sym_is] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [anon_sym_with] = ACTIONS(4534),
    [aux_sym_preproc_if_token3] = ACTIONS(4536),
    [aux_sym_preproc_else_token1] = ACTIONS(4536),
    [aux_sym_preproc_elif_token1] = ACTIONS(4536),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2942] = {
    [sym_preproc_region] = STATE(2942),
    [sym_preproc_endregion] = STATE(2942),
    [sym_preproc_line] = STATE(2942),
    [sym_preproc_pragma] = STATE(2942),
    [sym_preproc_nullable] = STATE(2942),
    [sym_preproc_error] = STATE(2942),
    [sym_preproc_define] = STATE(2942),
    [sym_preproc_undef] = STATE(2942),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2943] = {
    [sym_preproc_region] = STATE(2943),
    [sym_preproc_endregion] = STATE(2943),
    [sym_preproc_line] = STATE(2943),
    [sym_preproc_pragma] = STATE(2943),
    [sym_preproc_nullable] = STATE(2943),
    [sym_preproc_error] = STATE(2943),
    [sym_preproc_define] = STATE(2943),
    [sym_preproc_undef] = STATE(2943),
    [sym__identifier_token] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(4538),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym_global] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RBRACK] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_file] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_in] = ACTIONS(4538),
    [anon_sym_where] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4538),
    [anon_sym_notnull] = ACTIONS(4538),
    [anon_sym_unmanaged] = ACTIONS(4538),
    [anon_sym_BANG] = ACTIONS(4538),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_GT_GT_GT] = ACTIONS(4540),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_scoped] = ACTIONS(4538),
    [anon_sym_EQ_GT] = ACTIONS(4542),
    [anon_sym_var] = ACTIONS(4538),
    [anon_sym_yield] = ACTIONS(4538),
    [anon_sym_switch] = ACTIONS(4538),
    [anon_sym_when] = ACTIONS(4538),
    [sym_discard] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(4540),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_QMARK_QMARK] = ACTIONS(4540),
    [anon_sym_from] = ACTIONS(4538),
    [anon_sym_into] = ACTIONS(4538),
    [anon_sym_join] = ACTIONS(4538),
    [anon_sym_on] = ACTIONS(4538),
    [anon_sym_equals] = ACTIONS(4538),
    [anon_sym_let] = ACTIONS(4538),
    [anon_sym_orderby] = ACTIONS(4538),
    [anon_sym_ascending] = ACTIONS(4538),
    [anon_sym_descending] = ACTIONS(4538),
    [anon_sym_group] = ACTIONS(4538),
    [anon_sym_by] = ACTIONS(4538),
    [anon_sym_select] = ACTIONS(4538),
    [anon_sym_as] = ACTIONS(4538),
    [anon_sym_is] = ACTIONS(4538),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [anon_sym_with] = ACTIONS(4538),
    [aux_sym_preproc_if_token3] = ACTIONS(4540),
    [aux_sym_preproc_else_token1] = ACTIONS(4540),
    [aux_sym_preproc_elif_token1] = ACTIONS(4540),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2944] = {
    [sym_preproc_region] = STATE(2944),
    [sym_preproc_endregion] = STATE(2944),
    [sym_preproc_line] = STATE(2944),
    [sym_preproc_pragma] = STATE(2944),
    [sym_preproc_nullable] = STATE(2944),
    [sym_preproc_error] = STATE(2944),
    [sym_preproc_define] = STATE(2944),
    [sym_preproc_undef] = STATE(2944),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_SEMI] = ACTIONS(4172),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4172),
    [anon_sym_RPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4163),
    [anon_sym_GT] = ACTIONS(4163),
    [anon_sym_in] = ACTIONS(4163),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4163),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4163),
    [anon_sym_PLUS_PLUS] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4163),
    [anon_sym_DASH] = ACTIONS(4163),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_SLASH] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_PIPE] = ACTIONS(4163),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym_LT_LT] = ACTIONS(4172),
    [anon_sym_GT_GT] = ACTIONS(4163),
    [anon_sym_GT_GT_GT] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4172),
    [anon_sym_BANG_EQ] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4172),
    [anon_sym_LT_EQ] = ACTIONS(4172),
    [anon_sym_DOT] = ACTIONS(4163),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4172),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4163),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4172),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_AMP_AMP] = ACTIONS(4172),
    [anon_sym_PIPE_PIPE] = ACTIONS(4172),
    [anon_sym_QMARK_QMARK] = ACTIONS(4172),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_is] = ACTIONS(4163),
    [anon_sym_DASH_GT] = ACTIONS(4172),
    [anon_sym_with] = ACTIONS(4163),
    [aux_sym_preproc_if_token3] = ACTIONS(4172),
    [aux_sym_preproc_else_token1] = ACTIONS(4172),
    [aux_sym_preproc_elif_token1] = ACTIONS(4172),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2945] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3076),
    [sym_property_pattern_clause] = STATE(3127),
    [sym__variable_designation] = STATE(5491),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5277),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(2945),
    [sym_preproc_endregion] = STATE(2945),
    [sym_preproc_line] = STATE(2945),
    [sym_preproc_pragma] = STATE(2945),
    [sym_preproc_nullable] = STATE(2945),
    [sym_preproc_error] = STATE(2945),
    [sym_preproc_define] = STATE(2945),
    [sym_preproc_undef] = STATE(2945),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4345),
  },
  [2946] = {
    [sym_preproc_region] = STATE(2946),
    [sym_preproc_endregion] = STATE(2946),
    [sym_preproc_line] = STATE(2946),
    [sym_preproc_pragma] = STATE(2946),
    [sym_preproc_nullable] = STATE(2946),
    [sym_preproc_error] = STATE(2946),
    [sym_preproc_define] = STATE(2946),
    [sym_preproc_undef] = STATE(2946),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4202),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2947] = {
    [sym_preproc_region] = STATE(2947),
    [sym_preproc_endregion] = STATE(2947),
    [sym_preproc_line] = STATE(2947),
    [sym_preproc_pragma] = STATE(2947),
    [sym_preproc_nullable] = STATE(2947),
    [sym_preproc_error] = STATE(2947),
    [sym_preproc_define] = STATE(2947),
    [sym_preproc_undef] = STATE(2947),
    [sym__identifier_token] = ACTIONS(4552),
    [anon_sym_alias] = ACTIONS(4552),
    [anon_sym_SEMI] = ACTIONS(4554),
    [anon_sym_global] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_COMMA] = ACTIONS(4554),
    [anon_sym_RBRACK] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(4554),
    [anon_sym_RPAREN] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4554),
    [anon_sym_RBRACE] = ACTIONS(4554),
    [anon_sym_file] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4552),
    [anon_sym_in] = ACTIONS(4552),
    [anon_sym_where] = ACTIONS(4552),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_notnull] = ACTIONS(4552),
    [anon_sym_unmanaged] = ACTIONS(4552),
    [anon_sym_BANG] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4552),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4552),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_PIPE] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_GT_GT_GT] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4554),
    [anon_sym_BANG_EQ] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4554),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_DOT] = ACTIONS(4552),
    [anon_sym_scoped] = ACTIONS(4552),
    [anon_sym_EQ_GT] = ACTIONS(4554),
    [anon_sym_var] = ACTIONS(4552),
    [anon_sym_yield] = ACTIONS(4552),
    [anon_sym_switch] = ACTIONS(4552),
    [anon_sym_when] = ACTIONS(4552),
    [sym_discard] = ACTIONS(4552),
    [anon_sym_DOT_DOT] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4554),
    [anon_sym_QMARK_QMARK] = ACTIONS(4554),
    [anon_sym_from] = ACTIONS(4552),
    [anon_sym_into] = ACTIONS(4552),
    [anon_sym_join] = ACTIONS(4552),
    [anon_sym_on] = ACTIONS(4552),
    [anon_sym_equals] = ACTIONS(4552),
    [anon_sym_let] = ACTIONS(4552),
    [anon_sym_orderby] = ACTIONS(4552),
    [anon_sym_ascending] = ACTIONS(4552),
    [anon_sym_descending] = ACTIONS(4552),
    [anon_sym_group] = ACTIONS(4552),
    [anon_sym_by] = ACTIONS(4552),
    [anon_sym_select] = ACTIONS(4552),
    [anon_sym_as] = ACTIONS(4552),
    [anon_sym_is] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [anon_sym_with] = ACTIONS(4552),
    [aux_sym_preproc_if_token3] = ACTIONS(4554),
    [aux_sym_preproc_else_token1] = ACTIONS(4554),
    [aux_sym_preproc_elif_token1] = ACTIONS(4554),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2948] = {
    [sym_type_argument_list] = STATE(3001),
    [sym_preproc_region] = STATE(2948),
    [sym_preproc_endregion] = STATE(2948),
    [sym_preproc_line] = STATE(2948),
    [sym_preproc_pragma] = STATE(2948),
    [sym_preproc_nullable] = STATE(2948),
    [sym_preproc_error] = STATE(2948),
    [sym_preproc_define] = STATE(2948),
    [sym_preproc_undef] = STATE(2948),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4556),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_join] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_let] = ACTIONS(4134),
    [anon_sym_orderby] = ACTIONS(4134),
    [anon_sym_group] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2949] = {
    [sym_preproc_region] = STATE(2949),
    [sym_preproc_endregion] = STATE(2949),
    [sym_preproc_line] = STATE(2949),
    [sym_preproc_pragma] = STATE(2949),
    [sym_preproc_nullable] = STATE(2949),
    [sym_preproc_error] = STATE(2949),
    [sym_preproc_define] = STATE(2949),
    [sym_preproc_undef] = STATE(2949),
    [sym__identifier_token] = ACTIONS(4559),
    [anon_sym_alias] = ACTIONS(4559),
    [anon_sym_SEMI] = ACTIONS(4561),
    [anon_sym_global] = ACTIONS(4559),
    [anon_sym_LBRACK] = ACTIONS(4561),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_COMMA] = ACTIONS(4561),
    [anon_sym_RBRACK] = ACTIONS(4561),
    [anon_sym_LPAREN] = ACTIONS(4561),
    [anon_sym_RPAREN] = ACTIONS(4561),
    [anon_sym_LBRACE] = ACTIONS(4561),
    [anon_sym_RBRACE] = ACTIONS(4561),
    [anon_sym_file] = ACTIONS(4559),
    [anon_sym_LT] = ACTIONS(4559),
    [anon_sym_GT] = ACTIONS(4559),
    [anon_sym_in] = ACTIONS(4559),
    [anon_sym_where] = ACTIONS(4559),
    [anon_sym_QMARK] = ACTIONS(4559),
    [anon_sym_notnull] = ACTIONS(4559),
    [anon_sym_unmanaged] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(4559),
    [anon_sym_PLUS_PLUS] = ACTIONS(4561),
    [anon_sym_DASH_DASH] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_STAR] = ACTIONS(4561),
    [anon_sym_SLASH] = ACTIONS(4559),
    [anon_sym_PERCENT] = ACTIONS(4561),
    [anon_sym_CARET] = ACTIONS(4561),
    [anon_sym_PIPE] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym_LT_LT] = ACTIONS(4561),
    [anon_sym_GT_GT] = ACTIONS(4559),
    [anon_sym_GT_GT_GT] = ACTIONS(4561),
    [anon_sym_EQ_EQ] = ACTIONS(4561),
    [anon_sym_BANG_EQ] = ACTIONS(4561),
    [anon_sym_GT_EQ] = ACTIONS(4561),
    [anon_sym_LT_EQ] = ACTIONS(4561),
    [anon_sym_DOT] = ACTIONS(4559),
    [anon_sym_scoped] = ACTIONS(4559),
    [anon_sym_EQ_GT] = ACTIONS(4561),
    [anon_sym_var] = ACTIONS(4559),
    [anon_sym_yield] = ACTIONS(4559),
    [anon_sym_switch] = ACTIONS(4559),
    [anon_sym_when] = ACTIONS(4559),
    [sym_discard] = ACTIONS(4559),
    [anon_sym_DOT_DOT] = ACTIONS(4561),
    [anon_sym_and] = ACTIONS(4559),
    [anon_sym_or] = ACTIONS(4559),
    [anon_sym_AMP_AMP] = ACTIONS(4561),
    [anon_sym_PIPE_PIPE] = ACTIONS(4561),
    [anon_sym_QMARK_QMARK] = ACTIONS(4561),
    [anon_sym_from] = ACTIONS(4559),
    [anon_sym_into] = ACTIONS(4559),
    [anon_sym_join] = ACTIONS(4559),
    [anon_sym_on] = ACTIONS(4559),
    [anon_sym_equals] = ACTIONS(4559),
    [anon_sym_let] = ACTIONS(4559),
    [anon_sym_orderby] = ACTIONS(4559),
    [anon_sym_ascending] = ACTIONS(4559),
    [anon_sym_descending] = ACTIONS(4559),
    [anon_sym_group] = ACTIONS(4559),
    [anon_sym_by] = ACTIONS(4559),
    [anon_sym_select] = ACTIONS(4559),
    [anon_sym_as] = ACTIONS(4559),
    [anon_sym_is] = ACTIONS(4559),
    [anon_sym_DASH_GT] = ACTIONS(4561),
    [anon_sym_with] = ACTIONS(4559),
    [aux_sym_preproc_if_token3] = ACTIONS(4561),
    [aux_sym_preproc_else_token1] = ACTIONS(4561),
    [aux_sym_preproc_elif_token1] = ACTIONS(4561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2950] = {
    [sym_preproc_region] = STATE(2950),
    [sym_preproc_endregion] = STATE(2950),
    [sym_preproc_line] = STATE(2950),
    [sym_preproc_pragma] = STATE(2950),
    [sym_preproc_nullable] = STATE(2950),
    [sym_preproc_error] = STATE(2950),
    [sym_preproc_define] = STATE(2950),
    [sym_preproc_undef] = STATE(2950),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4202),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2951] = {
    [sym_preproc_region] = STATE(2951),
    [sym_preproc_endregion] = STATE(2951),
    [sym_preproc_line] = STATE(2951),
    [sym_preproc_pragma] = STATE(2951),
    [sym_preproc_nullable] = STATE(2951),
    [sym_preproc_error] = STATE(2951),
    [sym_preproc_define] = STATE(2951),
    [sym_preproc_undef] = STATE(2951),
    [sym__identifier_token] = ACTIONS(4563),
    [anon_sym_alias] = ACTIONS(4563),
    [anon_sym_SEMI] = ACTIONS(4565),
    [anon_sym_global] = ACTIONS(4563),
    [anon_sym_LBRACK] = ACTIONS(4565),
    [anon_sym_COLON] = ACTIONS(4565),
    [anon_sym_COMMA] = ACTIONS(4565),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(4565),
    [anon_sym_RPAREN] = ACTIONS(4565),
    [anon_sym_LBRACE] = ACTIONS(4565),
    [anon_sym_RBRACE] = ACTIONS(4565),
    [anon_sym_file] = ACTIONS(4563),
    [anon_sym_LT] = ACTIONS(4563),
    [anon_sym_GT] = ACTIONS(4563),
    [anon_sym_in] = ACTIONS(4563),
    [anon_sym_where] = ACTIONS(4563),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_notnull] = ACTIONS(4563),
    [anon_sym_unmanaged] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4565),
    [anon_sym_DASH_DASH] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_SLASH] = ACTIONS(4563),
    [anon_sym_PERCENT] = ACTIONS(4565),
    [anon_sym_CARET] = ACTIONS(4565),
    [anon_sym_PIPE] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(4563),
    [anon_sym_LT_LT] = ACTIONS(4565),
    [anon_sym_GT_GT] = ACTIONS(4563),
    [anon_sym_GT_GT_GT] = ACTIONS(4565),
    [anon_sym_EQ_EQ] = ACTIONS(4565),
    [anon_sym_BANG_EQ] = ACTIONS(4565),
    [anon_sym_GT_EQ] = ACTIONS(4565),
    [anon_sym_LT_EQ] = ACTIONS(4565),
    [anon_sym_DOT] = ACTIONS(4563),
    [anon_sym_scoped] = ACTIONS(4563),
    [anon_sym_EQ_GT] = ACTIONS(4565),
    [anon_sym_var] = ACTIONS(4563),
    [anon_sym_yield] = ACTIONS(4563),
    [anon_sym_switch] = ACTIONS(4563),
    [anon_sym_when] = ACTIONS(4563),
    [sym_discard] = ACTIONS(4563),
    [anon_sym_DOT_DOT] = ACTIONS(4565),
    [anon_sym_and] = ACTIONS(4563),
    [anon_sym_or] = ACTIONS(4563),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_PIPE_PIPE] = ACTIONS(4565),
    [anon_sym_QMARK_QMARK] = ACTIONS(4565),
    [anon_sym_from] = ACTIONS(4563),
    [anon_sym_into] = ACTIONS(4563),
    [anon_sym_join] = ACTIONS(4563),
    [anon_sym_on] = ACTIONS(4563),
    [anon_sym_equals] = ACTIONS(4563),
    [anon_sym_let] = ACTIONS(4563),
    [anon_sym_orderby] = ACTIONS(4563),
    [anon_sym_ascending] = ACTIONS(4563),
    [anon_sym_descending] = ACTIONS(4563),
    [anon_sym_group] = ACTIONS(4563),
    [anon_sym_by] = ACTIONS(4563),
    [anon_sym_select] = ACTIONS(4563),
    [anon_sym_as] = ACTIONS(4563),
    [anon_sym_is] = ACTIONS(4563),
    [anon_sym_DASH_GT] = ACTIONS(4565),
    [anon_sym_with] = ACTIONS(4563),
    [aux_sym_preproc_if_token3] = ACTIONS(4565),
    [aux_sym_preproc_else_token1] = ACTIONS(4565),
    [aux_sym_preproc_elif_token1] = ACTIONS(4565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2952] = {
    [sym_preproc_region] = STATE(2952),
    [sym_preproc_endregion] = STATE(2952),
    [sym_preproc_line] = STATE(2952),
    [sym_preproc_pragma] = STATE(2952),
    [sym_preproc_nullable] = STATE(2952),
    [sym_preproc_error] = STATE(2952),
    [sym_preproc_define] = STATE(2952),
    [sym_preproc_undef] = STATE(2952),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_SEMI] = ACTIONS(4188),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_LBRACK] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4188),
    [anon_sym_RPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4177),
    [anon_sym_GT] = ACTIONS(4177),
    [anon_sym_in] = ACTIONS(4177),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4177),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4177),
    [anon_sym_PLUS_PLUS] = ACTIONS(4188),
    [anon_sym_DASH_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4177),
    [anon_sym_DASH] = ACTIONS(4177),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_SLASH] = ACTIONS(4177),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4188),
    [anon_sym_PIPE] = ACTIONS(4177),
    [anon_sym_AMP] = ACTIONS(4177),
    [anon_sym_LT_LT] = ACTIONS(4188),
    [anon_sym_GT_GT] = ACTIONS(4177),
    [anon_sym_GT_GT_GT] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4188),
    [anon_sym_BANG_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_DOT] = ACTIONS(4177),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4188),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4177),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4188),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4188),
    [anon_sym_QMARK_QMARK] = ACTIONS(4188),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4177),
    [anon_sym_is] = ACTIONS(4177),
    [anon_sym_DASH_GT] = ACTIONS(4188),
    [anon_sym_with] = ACTIONS(4177),
    [aux_sym_preproc_if_token3] = ACTIONS(4188),
    [aux_sym_preproc_else_token1] = ACTIONS(4188),
    [aux_sym_preproc_elif_token1] = ACTIONS(4188),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2953] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3065),
    [sym_property_pattern_clause] = STATE(3132),
    [sym__variable_designation] = STATE(5491),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5277),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(2953),
    [sym_preproc_endregion] = STATE(2953),
    [sym_preproc_line] = STATE(2953),
    [sym_preproc_pragma] = STATE(2953),
    [sym_preproc_nullable] = STATE(2953),
    [sym_preproc_error] = STATE(2953),
    [sym_preproc_define] = STATE(2953),
    [sym_preproc_undef] = STATE(2953),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COLON] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4355),
  },
  [2954] = {
    [sym_preproc_region] = STATE(2954),
    [sym_preproc_endregion] = STATE(2954),
    [sym_preproc_line] = STATE(2954),
    [sym_preproc_pragma] = STATE(2954),
    [sym_preproc_nullable] = STATE(2954),
    [sym_preproc_error] = STATE(2954),
    [sym_preproc_define] = STATE(2954),
    [sym_preproc_undef] = STATE(2954),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4202),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4202),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4202),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4202),
    [anon_sym_orderby] = ACTIONS(4202),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4202),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4202),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2955] = {
    [sym_preproc_region] = STATE(2955),
    [sym_preproc_endregion] = STATE(2955),
    [sym_preproc_line] = STATE(2955),
    [sym_preproc_pragma] = STATE(2955),
    [sym_preproc_nullable] = STATE(2955),
    [sym_preproc_error] = STATE(2955),
    [sym_preproc_define] = STATE(2955),
    [sym_preproc_undef] = STATE(2955),
    [sym__identifier_token] = ACTIONS(4149),
    [anon_sym_alias] = ACTIONS(4149),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_global] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_file] = ACTIONS(4149),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4149),
    [anon_sym_where] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_notnull] = ACTIONS(4149),
    [anon_sym_unmanaged] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4151),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_CARET] = ACTIONS(4151),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4151),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4151),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_scoped] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_var] = ACTIONS(4149),
    [anon_sym_yield] = ACTIONS(4149),
    [anon_sym_switch] = ACTIONS(4149),
    [anon_sym_when] = ACTIONS(4149),
    [sym_discard] = ACTIONS(4149),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4149),
    [anon_sym_or] = ACTIONS(4149),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4151),
    [anon_sym_from] = ACTIONS(4149),
    [anon_sym_into] = ACTIONS(4149),
    [anon_sym_join] = ACTIONS(4149),
    [anon_sym_on] = ACTIONS(4149),
    [anon_sym_equals] = ACTIONS(4149),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_orderby] = ACTIONS(4149),
    [anon_sym_ascending] = ACTIONS(4149),
    [anon_sym_descending] = ACTIONS(4149),
    [anon_sym_group] = ACTIONS(4149),
    [anon_sym_by] = ACTIONS(4149),
    [anon_sym_select] = ACTIONS(4149),
    [anon_sym_as] = ACTIONS(4149),
    [anon_sym_is] = ACTIONS(4149),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4149),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2956] = {
    [sym__name] = STATE(2990),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(2925),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(2956),
    [sym_preproc_endregion] = STATE(2956),
    [sym_preproc_line] = STATE(2956),
    [sym_preproc_pragma] = STATE(2956),
    [sym_preproc_nullable] = STATE(2956),
    [sym_preproc_error] = STATE(2956),
    [sym_preproc_define] = STATE(2956),
    [sym_preproc_undef] = STATE(2956),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4571),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4065),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4569),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4065),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4065),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4065),
    [anon_sym_orderby] = ACTIONS(4065),
    [anon_sym_ascending] = ACTIONS(4065),
    [anon_sym_descending] = ACTIONS(4065),
    [anon_sym_group] = ACTIONS(4065),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4065),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2957] = {
    [sym__name] = STATE(6237),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_ref_type] = STATE(3988),
    [sym__scoped_base_type] = STATE(3989),
    [sym_identifier] = STATE(5465),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(2957),
    [sym_preproc_endregion] = STATE(2957),
    [sym_preproc_line] = STATE(2957),
    [sym_preproc_pragma] = STATE(2957),
    [sym_preproc_nullable] = STATE(2957),
    [sym_preproc_error] = STATE(2957),
    [sym_preproc_define] = STATE(2957),
    [sym_preproc_undef] = STATE(2957),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4573),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2958] = {
    [sym_preproc_region] = STATE(2958),
    [sym_preproc_endregion] = STATE(2958),
    [sym_preproc_line] = STATE(2958),
    [sym_preproc_pragma] = STATE(2958),
    [sym_preproc_nullable] = STATE(2958),
    [sym_preproc_error] = STATE(2958),
    [sym_preproc_define] = STATE(2958),
    [sym_preproc_undef] = STATE(2958),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2959] = {
    [sym_preproc_region] = STATE(2959),
    [sym_preproc_endregion] = STATE(2959),
    [sym_preproc_line] = STATE(2959),
    [sym_preproc_pragma] = STATE(2959),
    [sym_preproc_nullable] = STATE(2959),
    [sym_preproc_error] = STATE(2959),
    [sym_preproc_define] = STATE(2959),
    [sym_preproc_undef] = STATE(2959),
    [sym__identifier_token] = ACTIONS(4427),
    [anon_sym_alias] = ACTIONS(4427),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym_global] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_RPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_file] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_notnull] = ACTIONS(4427),
    [anon_sym_unmanaged] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_scoped] = ACTIONS(4427),
    [anon_sym_EQ_GT] = ACTIONS(4429),
    [anon_sym_var] = ACTIONS(4427),
    [anon_sym_yield] = ACTIONS(4427),
    [anon_sym_switch] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [sym_discard] = ACTIONS(4427),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4427),
    [anon_sym_or] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_from] = ACTIONS(4427),
    [anon_sym_into] = ACTIONS(4427),
    [anon_sym_join] = ACTIONS(4427),
    [anon_sym_on] = ACTIONS(4427),
    [anon_sym_equals] = ACTIONS(4427),
    [anon_sym_let] = ACTIONS(4427),
    [anon_sym_orderby] = ACTIONS(4427),
    [anon_sym_ascending] = ACTIONS(4427),
    [anon_sym_descending] = ACTIONS(4427),
    [anon_sym_group] = ACTIONS(4427),
    [anon_sym_by] = ACTIONS(4427),
    [anon_sym_select] = ACTIONS(4427),
    [anon_sym_as] = ACTIONS(4427),
    [anon_sym_is] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4427),
    [aux_sym_preproc_if_token3] = ACTIONS(4429),
    [aux_sym_preproc_else_token1] = ACTIONS(4429),
    [aux_sym_preproc_elif_token1] = ACTIONS(4429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2960] = {
    [sym_preproc_region] = STATE(2960),
    [sym_preproc_endregion] = STATE(2960),
    [sym_preproc_line] = STATE(2960),
    [sym_preproc_pragma] = STATE(2960),
    [sym_preproc_nullable] = STATE(2960),
    [sym_preproc_error] = STATE(2960),
    [sym_preproc_define] = STATE(2960),
    [sym_preproc_undef] = STATE(2960),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2961] = {
    [sym_preproc_region] = STATE(2961),
    [sym_preproc_endregion] = STATE(2961),
    [sym_preproc_line] = STATE(2961),
    [sym_preproc_pragma] = STATE(2961),
    [sym_preproc_nullable] = STATE(2961),
    [sym_preproc_error] = STATE(2961),
    [sym_preproc_define] = STATE(2961),
    [sym_preproc_undef] = STATE(2961),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2962] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3065),
    [sym_property_pattern_clause] = STATE(3132),
    [sym__variable_designation] = STATE(5491),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5277),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(2962),
    [sym_preproc_endregion] = STATE(2962),
    [sym_preproc_line] = STATE(2962),
    [sym_preproc_pragma] = STATE(2962),
    [sym_preproc_nullable] = STATE(2962),
    [sym_preproc_error] = STATE(2962),
    [sym_preproc_define] = STATE(2962),
    [sym_preproc_undef] = STATE(2962),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4345),
  },
  [2963] = {
    [sym_preproc_region] = STATE(2963),
    [sym_preproc_endregion] = STATE(2963),
    [sym_preproc_line] = STATE(2963),
    [sym_preproc_pragma] = STATE(2963),
    [sym_preproc_nullable] = STATE(2963),
    [sym_preproc_error] = STATE(2963),
    [sym_preproc_define] = STATE(2963),
    [sym_preproc_undef] = STATE(2963),
    [sym__identifier_token] = ACTIONS(4124),
    [anon_sym_alias] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_global] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_file] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4124),
    [anon_sym_where] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_notnull] = ACTIONS(4124),
    [anon_sym_unmanaged] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4126),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4126),
    [anon_sym_CARET] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4126),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4126),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_scoped] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_var] = ACTIONS(4124),
    [anon_sym_yield] = ACTIONS(4124),
    [anon_sym_switch] = ACTIONS(4124),
    [anon_sym_when] = ACTIONS(4124),
    [sym_discard] = ACTIONS(4124),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4126),
    [anon_sym_from] = ACTIONS(4124),
    [anon_sym_into] = ACTIONS(4124),
    [anon_sym_join] = ACTIONS(4124),
    [anon_sym_on] = ACTIONS(4124),
    [anon_sym_equals] = ACTIONS(4124),
    [anon_sym_let] = ACTIONS(4124),
    [anon_sym_orderby] = ACTIONS(4124),
    [anon_sym_ascending] = ACTIONS(4124),
    [anon_sym_descending] = ACTIONS(4124),
    [anon_sym_group] = ACTIONS(4124),
    [anon_sym_by] = ACTIONS(4124),
    [anon_sym_select] = ACTIONS(4124),
    [anon_sym_as] = ACTIONS(4124),
    [anon_sym_is] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4124),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2964] = {
    [sym_preproc_region] = STATE(2964),
    [sym_preproc_endregion] = STATE(2964),
    [sym_preproc_line] = STATE(2964),
    [sym_preproc_pragma] = STATE(2964),
    [sym_preproc_nullable] = STATE(2964),
    [sym_preproc_error] = STATE(2964),
    [sym_preproc_define] = STATE(2964),
    [sym_preproc_undef] = STATE(2964),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4174),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2965] = {
    [sym_preproc_region] = STATE(2965),
    [sym_preproc_endregion] = STATE(2965),
    [sym_preproc_line] = STATE(2965),
    [sym_preproc_pragma] = STATE(2965),
    [sym_preproc_nullable] = STATE(2965),
    [sym_preproc_error] = STATE(2965),
    [sym_preproc_define] = STATE(2965),
    [sym_preproc_undef] = STATE(2965),
    [sym__identifier_token] = ACTIONS(4588),
    [anon_sym_alias] = ACTIONS(4588),
    [anon_sym_SEMI] = ACTIONS(4590),
    [anon_sym_global] = ACTIONS(4588),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [anon_sym_COLON] = ACTIONS(4590),
    [anon_sym_COMMA] = ACTIONS(4590),
    [anon_sym_RBRACK] = ACTIONS(4590),
    [anon_sym_LPAREN] = ACTIONS(4590),
    [anon_sym_RPAREN] = ACTIONS(4590),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_RBRACE] = ACTIONS(4590),
    [anon_sym_file] = ACTIONS(4588),
    [anon_sym_LT] = ACTIONS(4588),
    [anon_sym_GT] = ACTIONS(4588),
    [anon_sym_in] = ACTIONS(4588),
    [anon_sym_where] = ACTIONS(4588),
    [anon_sym_QMARK] = ACTIONS(4588),
    [anon_sym_notnull] = ACTIONS(4588),
    [anon_sym_unmanaged] = ACTIONS(4588),
    [anon_sym_BANG] = ACTIONS(4588),
    [anon_sym_PLUS_PLUS] = ACTIONS(4590),
    [anon_sym_DASH_DASH] = ACTIONS(4590),
    [anon_sym_PLUS] = ACTIONS(4588),
    [anon_sym_DASH] = ACTIONS(4588),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_SLASH] = ACTIONS(4588),
    [anon_sym_PERCENT] = ACTIONS(4590),
    [anon_sym_CARET] = ACTIONS(4590),
    [anon_sym_PIPE] = ACTIONS(4588),
    [anon_sym_AMP] = ACTIONS(4588),
    [anon_sym_LT_LT] = ACTIONS(4590),
    [anon_sym_GT_GT] = ACTIONS(4588),
    [anon_sym_GT_GT_GT] = ACTIONS(4590),
    [anon_sym_EQ_EQ] = ACTIONS(4590),
    [anon_sym_BANG_EQ] = ACTIONS(4590),
    [anon_sym_GT_EQ] = ACTIONS(4590),
    [anon_sym_LT_EQ] = ACTIONS(4590),
    [anon_sym_DOT] = ACTIONS(4588),
    [anon_sym_scoped] = ACTIONS(4588),
    [anon_sym_EQ_GT] = ACTIONS(4590),
    [anon_sym_var] = ACTIONS(4588),
    [anon_sym_yield] = ACTIONS(4588),
    [anon_sym_switch] = ACTIONS(4588),
    [anon_sym_when] = ACTIONS(4588),
    [sym_discard] = ACTIONS(4588),
    [anon_sym_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(4588),
    [anon_sym_or] = ACTIONS(4588),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_PIPE_PIPE] = ACTIONS(4590),
    [anon_sym_QMARK_QMARK] = ACTIONS(4590),
    [anon_sym_from] = ACTIONS(4588),
    [anon_sym_into] = ACTIONS(4588),
    [anon_sym_join] = ACTIONS(4588),
    [anon_sym_on] = ACTIONS(4588),
    [anon_sym_equals] = ACTIONS(4588),
    [anon_sym_let] = ACTIONS(4588),
    [anon_sym_orderby] = ACTIONS(4588),
    [anon_sym_ascending] = ACTIONS(4588),
    [anon_sym_descending] = ACTIONS(4588),
    [anon_sym_group] = ACTIONS(4588),
    [anon_sym_by] = ACTIONS(4588),
    [anon_sym_select] = ACTIONS(4588),
    [anon_sym_as] = ACTIONS(4588),
    [anon_sym_is] = ACTIONS(4588),
    [anon_sym_DASH_GT] = ACTIONS(4590),
    [anon_sym_with] = ACTIONS(4588),
    [aux_sym_preproc_if_token3] = ACTIONS(4590),
    [aux_sym_preproc_else_token1] = ACTIONS(4590),
    [aux_sym_preproc_elif_token1] = ACTIONS(4590),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2966] = {
    [sym_preproc_region] = STATE(2966),
    [sym_preproc_endregion] = STATE(2966),
    [sym_preproc_line] = STATE(2966),
    [sym_preproc_pragma] = STATE(2966),
    [sym_preproc_nullable] = STATE(2966),
    [sym_preproc_error] = STATE(2966),
    [sym_preproc_define] = STATE(2966),
    [sym_preproc_undef] = STATE(2966),
    [sym__identifier_token] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(4538),
    [anon_sym_SEMI] = ACTIONS(4540),
    [anon_sym_global] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_RBRACK] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(4540),
    [anon_sym_RPAREN] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_RBRACE] = ACTIONS(4540),
    [anon_sym_file] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_in] = ACTIONS(4538),
    [anon_sym_where] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4538),
    [anon_sym_notnull] = ACTIONS(4538),
    [anon_sym_unmanaged] = ACTIONS(4538),
    [anon_sym_BANG] = ACTIONS(4538),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_GT_GT_GT] = ACTIONS(4540),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_scoped] = ACTIONS(4538),
    [anon_sym_EQ_GT] = ACTIONS(4542),
    [anon_sym_var] = ACTIONS(4538),
    [anon_sym_yield] = ACTIONS(4538),
    [anon_sym_switch] = ACTIONS(4538),
    [anon_sym_when] = ACTIONS(4538),
    [sym_discard] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(4540),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_QMARK_QMARK] = ACTIONS(4540),
    [anon_sym_from] = ACTIONS(4538),
    [anon_sym_into] = ACTIONS(4538),
    [anon_sym_join] = ACTIONS(4538),
    [anon_sym_on] = ACTIONS(4538),
    [anon_sym_equals] = ACTIONS(4538),
    [anon_sym_let] = ACTIONS(4538),
    [anon_sym_orderby] = ACTIONS(4538),
    [anon_sym_ascending] = ACTIONS(4538),
    [anon_sym_descending] = ACTIONS(4538),
    [anon_sym_group] = ACTIONS(4538),
    [anon_sym_by] = ACTIONS(4538),
    [anon_sym_select] = ACTIONS(4538),
    [anon_sym_as] = ACTIONS(4538),
    [anon_sym_is] = ACTIONS(4538),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [anon_sym_with] = ACTIONS(4538),
    [aux_sym_preproc_if_token3] = ACTIONS(4540),
    [aux_sym_preproc_else_token1] = ACTIONS(4540),
    [aux_sym_preproc_elif_token1] = ACTIONS(4540),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2967] = {
    [sym_preproc_region] = STATE(2967),
    [sym_preproc_endregion] = STATE(2967),
    [sym_preproc_line] = STATE(2967),
    [sym_preproc_pragma] = STATE(2967),
    [sym_preproc_nullable] = STATE(2967),
    [sym_preproc_error] = STATE(2967),
    [sym_preproc_define] = STATE(2967),
    [sym_preproc_undef] = STATE(2967),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4174),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2968] = {
    [sym_preproc_region] = STATE(2968),
    [sym_preproc_endregion] = STATE(2968),
    [sym_preproc_line] = STATE(2968),
    [sym_preproc_pragma] = STATE(2968),
    [sym_preproc_nullable] = STATE(2968),
    [sym_preproc_error] = STATE(2968),
    [sym_preproc_define] = STATE(2968),
    [sym_preproc_undef] = STATE(2968),
    [sym__identifier_token] = ACTIONS(4128),
    [anon_sym_alias] = ACTIONS(4128),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_global] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_file] = ACTIONS(4128),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4128),
    [anon_sym_where] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_notnull] = ACTIONS(4128),
    [anon_sym_unmanaged] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4130),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4130),
    [anon_sym_CARET] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4130),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4130),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_scoped] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_var] = ACTIONS(4128),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_switch] = ACTIONS(4128),
    [anon_sym_when] = ACTIONS(4128),
    [sym_discard] = ACTIONS(4128),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4128),
    [anon_sym_or] = ACTIONS(4128),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4130),
    [anon_sym_from] = ACTIONS(4128),
    [anon_sym_into] = ACTIONS(4128),
    [anon_sym_join] = ACTIONS(4128),
    [anon_sym_on] = ACTIONS(4128),
    [anon_sym_equals] = ACTIONS(4128),
    [anon_sym_let] = ACTIONS(4128),
    [anon_sym_orderby] = ACTIONS(4128),
    [anon_sym_ascending] = ACTIONS(4128),
    [anon_sym_descending] = ACTIONS(4128),
    [anon_sym_group] = ACTIONS(4128),
    [anon_sym_by] = ACTIONS(4128),
    [anon_sym_select] = ACTIONS(4128),
    [anon_sym_as] = ACTIONS(4128),
    [anon_sym_is] = ACTIONS(4128),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4128),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2969] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3076),
    [sym_property_pattern_clause] = STATE(3127),
    [sym__variable_designation] = STATE(5491),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5277),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(2969),
    [sym_preproc_endregion] = STATE(2969),
    [sym_preproc_line] = STATE(2969),
    [sym_preproc_pragma] = STATE(2969),
    [sym_preproc_nullable] = STATE(2969),
    [sym_preproc_error] = STATE(2969),
    [sym_preproc_define] = STATE(2969),
    [sym_preproc_undef] = STATE(2969),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COLON] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4355),
  },
  [2970] = {
    [sym_preproc_region] = STATE(2970),
    [sym_preproc_endregion] = STATE(2970),
    [sym_preproc_line] = STATE(2970),
    [sym_preproc_pragma] = STATE(2970),
    [sym_preproc_nullable] = STATE(2970),
    [sym_preproc_error] = STATE(2970),
    [sym_preproc_define] = STATE(2970),
    [sym_preproc_undef] = STATE(2970),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4174),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4174),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4174),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4174),
    [anon_sym_orderby] = ACTIONS(4174),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4174),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4174),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2971] = {
    [sym_preproc_region] = STATE(2971),
    [sym_preproc_endregion] = STATE(2971),
    [sym_preproc_line] = STATE(2971),
    [sym_preproc_pragma] = STATE(2971),
    [sym_preproc_nullable] = STATE(2971),
    [sym_preproc_error] = STATE(2971),
    [sym_preproc_define] = STATE(2971),
    [sym_preproc_undef] = STATE(2971),
    [sym__identifier_token] = ACTIONS(4138),
    [anon_sym_alias] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_global] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_file] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4138),
    [anon_sym_where] = ACTIONS(4138),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_notnull] = ACTIONS(4138),
    [anon_sym_unmanaged] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4140),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_scoped] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_var] = ACTIONS(4138),
    [anon_sym_yield] = ACTIONS(4138),
    [anon_sym_switch] = ACTIONS(4138),
    [anon_sym_when] = ACTIONS(4138),
    [sym_discard] = ACTIONS(4138),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4138),
    [anon_sym_or] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4140),
    [anon_sym_from] = ACTIONS(4138),
    [anon_sym_into] = ACTIONS(4138),
    [anon_sym_join] = ACTIONS(4138),
    [anon_sym_on] = ACTIONS(4138),
    [anon_sym_equals] = ACTIONS(4138),
    [anon_sym_let] = ACTIONS(4138),
    [anon_sym_orderby] = ACTIONS(4138),
    [anon_sym_ascending] = ACTIONS(4138),
    [anon_sym_descending] = ACTIONS(4138),
    [anon_sym_group] = ACTIONS(4138),
    [anon_sym_by] = ACTIONS(4138),
    [anon_sym_select] = ACTIONS(4138),
    [anon_sym_as] = ACTIONS(4138),
    [anon_sym_is] = ACTIONS(4138),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4138),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2972] = {
    [sym_preproc_region] = STATE(2972),
    [sym_preproc_endregion] = STATE(2972),
    [sym_preproc_line] = STATE(2972),
    [sym_preproc_pragma] = STATE(2972),
    [sym_preproc_nullable] = STATE(2972),
    [sym_preproc_error] = STATE(2972),
    [sym_preproc_define] = STATE(2972),
    [sym_preproc_undef] = STATE(2972),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4592),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2973] = {
    [sym_preproc_region] = STATE(2973),
    [sym_preproc_endregion] = STATE(2973),
    [sym_preproc_line] = STATE(2973),
    [sym_preproc_pragma] = STATE(2973),
    [sym_preproc_nullable] = STATE(2973),
    [sym_preproc_error] = STATE(2973),
    [sym_preproc_define] = STATE(2973),
    [sym_preproc_undef] = STATE(2973),
    [sym__identifier_token] = ACTIONS(4596),
    [anon_sym_alias] = ACTIONS(4596),
    [anon_sym_SEMI] = ACTIONS(4598),
    [anon_sym_global] = ACTIONS(4596),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [anon_sym_COLON] = ACTIONS(4598),
    [anon_sym_COMMA] = ACTIONS(4598),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_LPAREN] = ACTIONS(4598),
    [anon_sym_RPAREN] = ACTIONS(4598),
    [anon_sym_LBRACE] = ACTIONS(4598),
    [anon_sym_RBRACE] = ACTIONS(4598),
    [anon_sym_file] = ACTIONS(4596),
    [anon_sym_LT] = ACTIONS(4596),
    [anon_sym_GT] = ACTIONS(4596),
    [anon_sym_in] = ACTIONS(4596),
    [anon_sym_where] = ACTIONS(4596),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_notnull] = ACTIONS(4596),
    [anon_sym_unmanaged] = ACTIONS(4596),
    [anon_sym_BANG] = ACTIONS(4596),
    [anon_sym_PLUS_PLUS] = ACTIONS(4598),
    [anon_sym_DASH_DASH] = ACTIONS(4598),
    [anon_sym_PLUS] = ACTIONS(4596),
    [anon_sym_DASH] = ACTIONS(4596),
    [anon_sym_STAR] = ACTIONS(4598),
    [anon_sym_SLASH] = ACTIONS(4596),
    [anon_sym_PERCENT] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4598),
    [anon_sym_PIPE] = ACTIONS(4596),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_LT_LT] = ACTIONS(4598),
    [anon_sym_GT_GT] = ACTIONS(4596),
    [anon_sym_GT_GT_GT] = ACTIONS(4598),
    [anon_sym_EQ_EQ] = ACTIONS(4598),
    [anon_sym_BANG_EQ] = ACTIONS(4598),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_LT_EQ] = ACTIONS(4598),
    [anon_sym_DOT] = ACTIONS(4596),
    [anon_sym_scoped] = ACTIONS(4596),
    [anon_sym_EQ_GT] = ACTIONS(4598),
    [anon_sym_var] = ACTIONS(4596),
    [anon_sym_yield] = ACTIONS(4596),
    [anon_sym_switch] = ACTIONS(4596),
    [anon_sym_when] = ACTIONS(4596),
    [sym_discard] = ACTIONS(4596),
    [anon_sym_DOT_DOT] = ACTIONS(4598),
    [anon_sym_and] = ACTIONS(4596),
    [anon_sym_or] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_PIPE_PIPE] = ACTIONS(4598),
    [anon_sym_QMARK_QMARK] = ACTIONS(4598),
    [anon_sym_from] = ACTIONS(4596),
    [anon_sym_into] = ACTIONS(4596),
    [anon_sym_join] = ACTIONS(4596),
    [anon_sym_on] = ACTIONS(4596),
    [anon_sym_equals] = ACTIONS(4596),
    [anon_sym_let] = ACTIONS(4596),
    [anon_sym_orderby] = ACTIONS(4596),
    [anon_sym_ascending] = ACTIONS(4596),
    [anon_sym_descending] = ACTIONS(4596),
    [anon_sym_group] = ACTIONS(4596),
    [anon_sym_by] = ACTIONS(4596),
    [anon_sym_select] = ACTIONS(4596),
    [anon_sym_as] = ACTIONS(4596),
    [anon_sym_is] = ACTIONS(4596),
    [anon_sym_DASH_GT] = ACTIONS(4598),
    [anon_sym_with] = ACTIONS(4596),
    [aux_sym_preproc_if_token3] = ACTIONS(4598),
    [aux_sym_preproc_else_token1] = ACTIONS(4598),
    [aux_sym_preproc_elif_token1] = ACTIONS(4598),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2974] = {
    [sym_preproc_region] = STATE(2974),
    [sym_preproc_endregion] = STATE(2974),
    [sym_preproc_line] = STATE(2974),
    [sym_preproc_pragma] = STATE(2974),
    [sym_preproc_nullable] = STATE(2974),
    [sym_preproc_error] = STATE(2974),
    [sym_preproc_define] = STATE(2974),
    [sym_preproc_undef] = STATE(2974),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4174),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2975] = {
    [sym_preproc_region] = STATE(2975),
    [sym_preproc_endregion] = STATE(2975),
    [sym_preproc_line] = STATE(2975),
    [sym_preproc_pragma] = STATE(2975),
    [sym_preproc_nullable] = STATE(2975),
    [sym_preproc_error] = STATE(2975),
    [sym_preproc_define] = STATE(2975),
    [sym_preproc_undef] = STATE(2975),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2976] = {
    [sym_preproc_region] = STATE(2976),
    [sym_preproc_endregion] = STATE(2976),
    [sym_preproc_line] = STATE(2976),
    [sym_preproc_pragma] = STATE(2976),
    [sym_preproc_nullable] = STATE(2976),
    [sym_preproc_error] = STATE(2976),
    [sym_preproc_define] = STATE(2976),
    [sym_preproc_undef] = STATE(2976),
    [sym__identifier_token] = ACTIONS(4600),
    [anon_sym_alias] = ACTIONS(4600),
    [anon_sym_SEMI] = ACTIONS(4602),
    [anon_sym_global] = ACTIONS(4600),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_COLON] = ACTIONS(4602),
    [anon_sym_COMMA] = ACTIONS(4602),
    [anon_sym_RBRACK] = ACTIONS(4602),
    [anon_sym_LPAREN] = ACTIONS(4602),
    [anon_sym_RPAREN] = ACTIONS(4602),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_RBRACE] = ACTIONS(4602),
    [anon_sym_file] = ACTIONS(4600),
    [anon_sym_LT] = ACTIONS(4600),
    [anon_sym_GT] = ACTIONS(4600),
    [anon_sym_in] = ACTIONS(4600),
    [anon_sym_where] = ACTIONS(4600),
    [anon_sym_QMARK] = ACTIONS(4600),
    [anon_sym_notnull] = ACTIONS(4600),
    [anon_sym_unmanaged] = ACTIONS(4600),
    [anon_sym_BANG] = ACTIONS(4600),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS] = ACTIONS(4600),
    [anon_sym_DASH] = ACTIONS(4600),
    [anon_sym_STAR] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4600),
    [anon_sym_PERCENT] = ACTIONS(4602),
    [anon_sym_CARET] = ACTIONS(4602),
    [anon_sym_PIPE] = ACTIONS(4600),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym_LT_LT] = ACTIONS(4602),
    [anon_sym_GT_GT] = ACTIONS(4600),
    [anon_sym_GT_GT_GT] = ACTIONS(4602),
    [anon_sym_EQ_EQ] = ACTIONS(4602),
    [anon_sym_BANG_EQ] = ACTIONS(4602),
    [anon_sym_GT_EQ] = ACTIONS(4602),
    [anon_sym_LT_EQ] = ACTIONS(4602),
    [anon_sym_DOT] = ACTIONS(4600),
    [anon_sym_scoped] = ACTIONS(4600),
    [anon_sym_EQ_GT] = ACTIONS(4602),
    [anon_sym_var] = ACTIONS(4600),
    [anon_sym_yield] = ACTIONS(4600),
    [anon_sym_switch] = ACTIONS(4600),
    [anon_sym_when] = ACTIONS(4600),
    [sym_discard] = ACTIONS(4600),
    [anon_sym_DOT_DOT] = ACTIONS(4602),
    [anon_sym_and] = ACTIONS(4600),
    [anon_sym_or] = ACTIONS(4600),
    [anon_sym_AMP_AMP] = ACTIONS(4602),
    [anon_sym_PIPE_PIPE] = ACTIONS(4602),
    [anon_sym_QMARK_QMARK] = ACTIONS(4602),
    [anon_sym_from] = ACTIONS(4600),
    [anon_sym_into] = ACTIONS(4600),
    [anon_sym_join] = ACTIONS(4600),
    [anon_sym_on] = ACTIONS(4600),
    [anon_sym_equals] = ACTIONS(4600),
    [anon_sym_let] = ACTIONS(4600),
    [anon_sym_orderby] = ACTIONS(4600),
    [anon_sym_ascending] = ACTIONS(4600),
    [anon_sym_descending] = ACTIONS(4600),
    [anon_sym_group] = ACTIONS(4600),
    [anon_sym_by] = ACTIONS(4600),
    [anon_sym_select] = ACTIONS(4600),
    [anon_sym_as] = ACTIONS(4600),
    [anon_sym_is] = ACTIONS(4600),
    [anon_sym_DASH_GT] = ACTIONS(4602),
    [anon_sym_with] = ACTIONS(4600),
    [aux_sym_preproc_if_token3] = ACTIONS(4602),
    [aux_sym_preproc_else_token1] = ACTIONS(4602),
    [aux_sym_preproc_elif_token1] = ACTIONS(4602),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2977] = {
    [sym_preproc_region] = STATE(2977),
    [sym_preproc_endregion] = STATE(2977),
    [sym_preproc_line] = STATE(2977),
    [sym_preproc_pragma] = STATE(2977),
    [sym_preproc_nullable] = STATE(2977),
    [sym_preproc_error] = STATE(2977),
    [sym_preproc_define] = STATE(2977),
    [sym_preproc_undef] = STATE(2977),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4202),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2978] = {
    [sym__name] = STATE(2990),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(2925),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(2978),
    [sym_preproc_endregion] = STATE(2978),
    [sym_preproc_line] = STATE(2978),
    [sym_preproc_pragma] = STATE(2978),
    [sym_preproc_nullable] = STATE(2978),
    [sym_preproc_error] = STATE(2978),
    [sym_preproc_define] = STATE(2978),
    [sym_preproc_undef] = STATE(2978),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4604),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4065),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4569),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4065),
    [anon_sym_into] = ACTIONS(4065),
    [anon_sym_join] = ACTIONS(4065),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4065),
    [anon_sym_orderby] = ACTIONS(4065),
    [anon_sym_ascending] = ACTIONS(4065),
    [anon_sym_descending] = ACTIONS(4065),
    [anon_sym_group] = ACTIONS(4065),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4065),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2979] = {
    [sym_preproc_region] = STATE(2979),
    [sym_preproc_endregion] = STATE(2979),
    [sym_preproc_line] = STATE(2979),
    [sym_preproc_pragma] = STATE(2979),
    [sym_preproc_nullable] = STATE(2979),
    [sym_preproc_error] = STATE(2979),
    [sym_preproc_define] = STATE(2979),
    [sym_preproc_undef] = STATE(2979),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4202),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4202),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4202),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4202),
    [anon_sym_orderby] = ACTIONS(4202),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4202),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4202),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2980] = {
    [sym_modifier] = STATE(3806),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7324),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2980),
    [sym_preproc_endregion] = STATE(2980),
    [sym_preproc_line] = STATE(2980),
    [sym_preproc_pragma] = STATE(2980),
    [sym_preproc_nullable] = STATE(2980),
    [sym_preproc_error] = STATE(2980),
    [sym_preproc_define] = STATE(2980),
    [sym_preproc_undef] = STATE(2980),
    [aux_sym_class_declaration_repeat2] = STATE(3752),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(4606),
    [anon_sym_ref] = ACTIONS(4608),
    [anon_sym_struct] = ACTIONS(4610),
    [anon_sym_enum] = ACTIONS(4612),
    [anon_sym_interface] = ACTIONS(4614),
    [anon_sym_delegate] = ACTIONS(4616),
    [anon_sym_record] = ACTIONS(4618),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(4620),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2981] = {
    [sym_preproc_region] = STATE(2981),
    [sym_preproc_endregion] = STATE(2981),
    [sym_preproc_line] = STATE(2981),
    [sym_preproc_pragma] = STATE(2981),
    [sym_preproc_nullable] = STATE(2981),
    [sym_preproc_error] = STATE(2981),
    [sym_preproc_define] = STATE(2981),
    [sym_preproc_undef] = STATE(2981),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4202),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2982] = {
    [sym_preproc_region] = STATE(2982),
    [sym_preproc_endregion] = STATE(2982),
    [sym_preproc_line] = STATE(2982),
    [sym_preproc_pragma] = STATE(2982),
    [sym_preproc_nullable] = STATE(2982),
    [sym_preproc_error] = STATE(2982),
    [sym_preproc_define] = STATE(2982),
    [sym_preproc_undef] = STATE(2982),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4174),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4174),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2983] = {
    [sym_preproc_region] = STATE(2983),
    [sym_preproc_endregion] = STATE(2983),
    [sym_preproc_line] = STATE(2983),
    [sym_preproc_pragma] = STATE(2983),
    [sym_preproc_nullable] = STATE(2983),
    [sym_preproc_error] = STATE(2983),
    [sym_preproc_define] = STATE(2983),
    [sym_preproc_undef] = STATE(2983),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4174),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2984] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3076),
    [sym_property_pattern_clause] = STATE(3127),
    [sym__variable_designation] = STATE(5491),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5277),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(2984),
    [sym_preproc_endregion] = STATE(2984),
    [sym_preproc_line] = STATE(2984),
    [sym_preproc_pragma] = STATE(2984),
    [sym_preproc_nullable] = STATE(2984),
    [sym_preproc_error] = STATE(2984),
    [sym_preproc_define] = STATE(2984),
    [sym_preproc_undef] = STATE(2984),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4345),
  },
  [2985] = {
    [sym_preproc_region] = STATE(2985),
    [sym_preproc_endregion] = STATE(2985),
    [sym_preproc_line] = STATE(2985),
    [sym_preproc_pragma] = STATE(2985),
    [sym_preproc_nullable] = STATE(2985),
    [sym_preproc_error] = STATE(2985),
    [sym_preproc_define] = STATE(2985),
    [sym_preproc_undef] = STATE(2985),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2986] = {
    [sym_modifier] = STATE(3806),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7332),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(2986),
    [sym_preproc_endregion] = STATE(2986),
    [sym_preproc_line] = STATE(2986),
    [sym_preproc_pragma] = STATE(2986),
    [sym_preproc_nullable] = STATE(2986),
    [sym_preproc_error] = STATE(2986),
    [sym_preproc_define] = STATE(2986),
    [sym_preproc_undef] = STATE(2986),
    [aux_sym_class_declaration_repeat2] = STATE(3752),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(63),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(63),
    [anon_sym_static] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(4622),
    [anon_sym_ref] = ACTIONS(4624),
    [anon_sym_struct] = ACTIONS(4626),
    [anon_sym_enum] = ACTIONS(4628),
    [anon_sym_interface] = ACTIONS(4630),
    [anon_sym_delegate] = ACTIONS(4632),
    [anon_sym_record] = ACTIONS(4634),
    [anon_sym_abstract] = ACTIONS(63),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_const] = ACTIONS(63),
    [anon_sym_file] = ACTIONS(4620),
    [anon_sym_fixed] = ACTIONS(63),
    [anon_sym_internal] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_override] = ACTIONS(63),
    [anon_sym_partial] = ACTIONS(63),
    [anon_sym_private] = ACTIONS(63),
    [anon_sym_protected] = ACTIONS(63),
    [anon_sym_public] = ACTIONS(63),
    [anon_sym_readonly] = ACTIONS(63),
    [anon_sym_required] = ACTIONS(63),
    [anon_sym_sealed] = ACTIONS(63),
    [anon_sym_virtual] = ACTIONS(63),
    [anon_sym_volatile] = ACTIONS(63),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2987] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3065),
    [sym_property_pattern_clause] = STATE(3132),
    [sym__variable_designation] = STATE(5491),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5277),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(2987),
    [sym_preproc_endregion] = STATE(2987),
    [sym_preproc_line] = STATE(2987),
    [sym_preproc_pragma] = STATE(2987),
    [sym_preproc_nullable] = STATE(2987),
    [sym_preproc_error] = STATE(2987),
    [sym_preproc_define] = STATE(2987),
    [sym_preproc_undef] = STATE(2987),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4345),
  },
  [2988] = {
    [sym_preproc_region] = STATE(2988),
    [sym_preproc_endregion] = STATE(2988),
    [sym_preproc_line] = STATE(2988),
    [sym_preproc_pragma] = STATE(2988),
    [sym_preproc_nullable] = STATE(2988),
    [sym_preproc_error] = STATE(2988),
    [sym_preproc_define] = STATE(2988),
    [sym_preproc_undef] = STATE(2988),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4169),
    [anon_sym_LPAREN] = ACTIONS(4169),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4174),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4167),
    [anon_sym_when] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4167),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4174),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4167),
    [anon_sym_DASH_GT] = ACTIONS(4169),
    [anon_sym_with] = ACTIONS(4167),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2989] = {
    [sym_preproc_region] = STATE(2989),
    [sym_preproc_endregion] = STATE(2989),
    [sym_preproc_line] = STATE(2989),
    [sym_preproc_pragma] = STATE(2989),
    [sym_preproc_nullable] = STATE(2989),
    [sym_preproc_error] = STATE(2989),
    [sym_preproc_define] = STATE(2989),
    [sym_preproc_undef] = STATE(2989),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4199),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4202),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4182),
    [anon_sym_when] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4182),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4202),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4202),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4182),
    [anon_sym_DASH_GT] = ACTIONS(4199),
    [anon_sym_with] = ACTIONS(4182),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2990] = {
    [sym_preproc_region] = STATE(2990),
    [sym_preproc_endregion] = STATE(2990),
    [sym_preproc_line] = STATE(2990),
    [sym_preproc_pragma] = STATE(2990),
    [sym_preproc_nullable] = STATE(2990),
    [sym_preproc_error] = STATE(2990),
    [sym_preproc_define] = STATE(2990),
    [sym_preproc_undef] = STATE(2990),
    [sym__identifier_token] = ACTIONS(4451),
    [anon_sym_alias] = ACTIONS(4451),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_global] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_file] = ACTIONS(4451),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4451),
    [anon_sym_where] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_notnull] = ACTIONS(4451),
    [anon_sym_unmanaged] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4636),
    [anon_sym_scoped] = ACTIONS(4451),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_var] = ACTIONS(4451),
    [anon_sym_yield] = ACTIONS(4451),
    [anon_sym_switch] = ACTIONS(4451),
    [anon_sym_when] = ACTIONS(4451),
    [sym_discard] = ACTIONS(4451),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4451),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4451),
    [anon_sym_into] = ACTIONS(4451),
    [anon_sym_join] = ACTIONS(4451),
    [anon_sym_on] = ACTIONS(4451),
    [anon_sym_equals] = ACTIONS(4451),
    [anon_sym_let] = ACTIONS(4451),
    [anon_sym_orderby] = ACTIONS(4451),
    [anon_sym_ascending] = ACTIONS(4451),
    [anon_sym_descending] = ACTIONS(4451),
    [anon_sym_group] = ACTIONS(4451),
    [anon_sym_by] = ACTIONS(4451),
    [anon_sym_select] = ACTIONS(4451),
    [anon_sym_as] = ACTIONS(4451),
    [anon_sym_is] = ACTIONS(4451),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4451),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2991] = {
    [sym_preproc_region] = STATE(2991),
    [sym_preproc_endregion] = STATE(2991),
    [sym_preproc_line] = STATE(2991),
    [sym_preproc_pragma] = STATE(2991),
    [sym_preproc_nullable] = STATE(2991),
    [sym_preproc_error] = STATE(2991),
    [sym_preproc_define] = STATE(2991),
    [sym_preproc_undef] = STATE(2991),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4638),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2992] = {
    [sym_preproc_region] = STATE(2992),
    [sym_preproc_endregion] = STATE(2992),
    [sym_preproc_line] = STATE(2992),
    [sym_preproc_pragma] = STATE(2992),
    [sym_preproc_nullable] = STATE(2992),
    [sym_preproc_error] = STATE(2992),
    [sym_preproc_define] = STATE(2992),
    [sym_preproc_undef] = STATE(2992),
    [anon_sym_SEMI] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4642),
    [anon_sym_LBRACK] = ACTIONS(4640),
    [anon_sym_COLON] = ACTIONS(4640),
    [anon_sym_COMMA] = ACTIONS(4640),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_LPAREN] = ACTIONS(4640),
    [anon_sym_RPAREN] = ACTIONS(4640),
    [anon_sym_RBRACE] = ACTIONS(4640),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_GT] = ACTIONS(4642),
    [anon_sym_in] = ACTIONS(4642),
    [anon_sym_where] = ACTIONS(4640),
    [anon_sym_QMARK] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(4642),
    [anon_sym_DASH] = ACTIONS(4642),
    [anon_sym_STAR] = ACTIONS(4642),
    [anon_sym_SLASH] = ACTIONS(4642),
    [anon_sym_PERCENT] = ACTIONS(4642),
    [anon_sym_CARET] = ACTIONS(4642),
    [anon_sym_PIPE] = ACTIONS(4642),
    [anon_sym_AMP] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(4642),
    [anon_sym_GT_GT] = ACTIONS(4642),
    [anon_sym_GT_GT_GT] = ACTIONS(4642),
    [anon_sym_EQ_EQ] = ACTIONS(4640),
    [anon_sym_BANG_EQ] = ACTIONS(4640),
    [anon_sym_GT_EQ] = ACTIONS(4640),
    [anon_sym_LT_EQ] = ACTIONS(4640),
    [anon_sym_DOT] = ACTIONS(4642),
    [anon_sym_EQ_GT] = ACTIONS(4640),
    [anon_sym_switch] = ACTIONS(4640),
    [anon_sym_DOT_DOT] = ACTIONS(4640),
    [anon_sym_and] = ACTIONS(4640),
    [anon_sym_or] = ACTIONS(4642),
    [anon_sym_PLUS_EQ] = ACTIONS(4640),
    [anon_sym_DASH_EQ] = ACTIONS(4640),
    [anon_sym_STAR_EQ] = ACTIONS(4640),
    [anon_sym_SLASH_EQ] = ACTIONS(4640),
    [anon_sym_PERCENT_EQ] = ACTIONS(4640),
    [anon_sym_AMP_EQ] = ACTIONS(4640),
    [anon_sym_CARET_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_LT_LT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4640),
    [anon_sym_AMP_AMP] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK] = ACTIONS(4642),
    [anon_sym_from] = ACTIONS(4640),
    [anon_sym_into] = ACTIONS(4640),
    [anon_sym_join] = ACTIONS(4640),
    [anon_sym_on] = ACTIONS(4640),
    [anon_sym_equals] = ACTIONS(4640),
    [anon_sym_let] = ACTIONS(4640),
    [anon_sym_orderby] = ACTIONS(4640),
    [anon_sym_group] = ACTIONS(4640),
    [anon_sym_by] = ACTIONS(4640),
    [anon_sym_select] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4640),
    [anon_sym_is] = ACTIONS(4640),
    [anon_sym_DASH_GT] = ACTIONS(4640),
    [anon_sym_with] = ACTIONS(4640),
    [aux_sym_preproc_if_token3] = ACTIONS(4640),
    [aux_sym_preproc_else_token1] = ACTIONS(4640),
    [aux_sym_preproc_elif_token1] = ACTIONS(4640),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2993] = {
    [sym_preproc_region] = STATE(2993),
    [sym_preproc_endregion] = STATE(2993),
    [sym_preproc_line] = STATE(2993),
    [sym_preproc_pragma] = STATE(2993),
    [sym_preproc_nullable] = STATE(2993),
    [sym_preproc_error] = STATE(2993),
    [sym_preproc_define] = STATE(2993),
    [sym_preproc_undef] = STATE(2993),
    [anon_sym_SEMI] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4165),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_RBRACE] = ACTIONS(4165),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_in] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4165),
    [anon_sym_QMARK] = ACTIONS(4167),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4167),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4167),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_switch] = ACTIONS(4165),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4165),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4165),
    [anon_sym_into] = ACTIONS(4165),
    [anon_sym_join] = ACTIONS(4165),
    [anon_sym_on] = ACTIONS(4165),
    [anon_sym_equals] = ACTIONS(4165),
    [anon_sym_let] = ACTIONS(4165),
    [anon_sym_orderby] = ACTIONS(4165),
    [anon_sym_group] = ACTIONS(4165),
    [anon_sym_by] = ACTIONS(4165),
    [anon_sym_select] = ACTIONS(4165),
    [anon_sym_as] = ACTIONS(4165),
    [anon_sym_is] = ACTIONS(4165),
    [anon_sym_DASH_GT] = ACTIONS(4165),
    [anon_sym_with] = ACTIONS(4165),
    [aux_sym_preproc_if_token3] = ACTIONS(4165),
    [aux_sym_preproc_else_token1] = ACTIONS(4165),
    [aux_sym_preproc_elif_token1] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2994] = {
    [sym_preproc_region] = STATE(2994),
    [sym_preproc_endregion] = STATE(2994),
    [sym_preproc_line] = STATE(2994),
    [sym_preproc_pragma] = STATE(2994),
    [sym_preproc_nullable] = STATE(2994),
    [sym_preproc_error] = STATE(2994),
    [sym_preproc_define] = STATE(2994),
    [sym_preproc_undef] = STATE(2994),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4636),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2995] = {
    [sym__name] = STATE(3889),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_ref_type] = STATE(3890),
    [sym__scoped_base_type] = STATE(3891),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(2995),
    [sym_preproc_endregion] = STATE(2995),
    [sym_preproc_line] = STATE(2995),
    [sym_preproc_pragma] = STATE(2995),
    [sym_preproc_nullable] = STATE(2995),
    [sym_preproc_error] = STATE(2995),
    [sym_preproc_define] = STATE(2995),
    [sym_preproc_undef] = STATE(2995),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4644),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4223),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4227),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4227),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2996] = {
    [sym_preproc_region] = STATE(2996),
    [sym_preproc_endregion] = STATE(2996),
    [sym_preproc_line] = STATE(2996),
    [sym_preproc_pragma] = STATE(2996),
    [sym_preproc_nullable] = STATE(2996),
    [sym_preproc_error] = STATE(2996),
    [sym_preproc_define] = STATE(2996),
    [sym_preproc_undef] = STATE(2996),
    [anon_sym_SEMI] = ACTIONS(4646),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4646),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4646),
    [anon_sym_RBRACK] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(4646),
    [anon_sym_RPAREN] = ACTIONS(4646),
    [anon_sym_RBRACE] = ACTIONS(4646),
    [anon_sym_LT] = ACTIONS(4648),
    [anon_sym_GT] = ACTIONS(4648),
    [anon_sym_in] = ACTIONS(4648),
    [anon_sym_where] = ACTIONS(4646),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_STAR] = ACTIONS(4648),
    [anon_sym_SLASH] = ACTIONS(4648),
    [anon_sym_PERCENT] = ACTIONS(4648),
    [anon_sym_CARET] = ACTIONS(4648),
    [anon_sym_PIPE] = ACTIONS(4648),
    [anon_sym_AMP] = ACTIONS(4648),
    [anon_sym_LT_LT] = ACTIONS(4648),
    [anon_sym_GT_GT] = ACTIONS(4648),
    [anon_sym_GT_GT_GT] = ACTIONS(4648),
    [anon_sym_EQ_EQ] = ACTIONS(4646),
    [anon_sym_BANG_EQ] = ACTIONS(4646),
    [anon_sym_GT_EQ] = ACTIONS(4646),
    [anon_sym_LT_EQ] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(4648),
    [anon_sym_EQ_GT] = ACTIONS(4646),
    [anon_sym_switch] = ACTIONS(4646),
    [anon_sym_DOT_DOT] = ACTIONS(4646),
    [anon_sym_and] = ACTIONS(4646),
    [anon_sym_or] = ACTIONS(4648),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4646),
    [anon_sym_PIPE_PIPE] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK] = ACTIONS(4648),
    [anon_sym_from] = ACTIONS(4646),
    [anon_sym_into] = ACTIONS(4646),
    [anon_sym_join] = ACTIONS(4646),
    [anon_sym_on] = ACTIONS(4646),
    [anon_sym_equals] = ACTIONS(4646),
    [anon_sym_let] = ACTIONS(4646),
    [anon_sym_orderby] = ACTIONS(4646),
    [anon_sym_group] = ACTIONS(4646),
    [anon_sym_by] = ACTIONS(4646),
    [anon_sym_select] = ACTIONS(4646),
    [anon_sym_as] = ACTIONS(4646),
    [anon_sym_is] = ACTIONS(4646),
    [anon_sym_DASH_GT] = ACTIONS(4646),
    [anon_sym_with] = ACTIONS(4646),
    [aux_sym_preproc_if_token3] = ACTIONS(4646),
    [aux_sym_preproc_else_token1] = ACTIONS(4646),
    [aux_sym_preproc_elif_token1] = ACTIONS(4646),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2997] = {
    [sym__name] = STATE(4115),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_ref_type] = STATE(3988),
    [sym__scoped_base_type] = STATE(3989),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(2997),
    [sym_preproc_endregion] = STATE(2997),
    [sym_preproc_line] = STATE(2997),
    [sym_preproc_pragma] = STATE(2997),
    [sym_preproc_nullable] = STATE(2997),
    [sym_preproc_error] = STATE(2997),
    [sym_preproc_define] = STATE(2997),
    [sym_preproc_undef] = STATE(2997),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4650),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4506),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2998] = {
    [sym_preproc_region] = STATE(2998),
    [sym_preproc_endregion] = STATE(2998),
    [sym_preproc_line] = STATE(2998),
    [sym_preproc_pragma] = STATE(2998),
    [sym_preproc_nullable] = STATE(2998),
    [sym_preproc_error] = STATE(2998),
    [sym_preproc_define] = STATE(2998),
    [sym_preproc_undef] = STATE(2998),
    [sym__identifier_token] = ACTIONS(4652),
    [anon_sym_alias] = ACTIONS(4652),
    [anon_sym_SEMI] = ACTIONS(4654),
    [anon_sym_global] = ACTIONS(4652),
    [anon_sym_LBRACK] = ACTIONS(4654),
    [anon_sym_COLON] = ACTIONS(4654),
    [anon_sym_COMMA] = ACTIONS(4654),
    [anon_sym_RBRACK] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4654),
    [anon_sym_RPAREN] = ACTIONS(4654),
    [anon_sym_RBRACE] = ACTIONS(4654),
    [anon_sym_file] = ACTIONS(4652),
    [anon_sym_LT] = ACTIONS(4652),
    [anon_sym_GT] = ACTIONS(4652),
    [anon_sym_in] = ACTIONS(4652),
    [anon_sym_where] = ACTIONS(4652),
    [anon_sym_QMARK] = ACTIONS(4652),
    [anon_sym_notnull] = ACTIONS(4652),
    [anon_sym_unmanaged] = ACTIONS(4652),
    [anon_sym_BANG] = ACTIONS(4652),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS] = ACTIONS(4652),
    [anon_sym_DASH] = ACTIONS(4652),
    [anon_sym_STAR] = ACTIONS(4654),
    [anon_sym_SLASH] = ACTIONS(4652),
    [anon_sym_PERCENT] = ACTIONS(4654),
    [anon_sym_CARET] = ACTIONS(4654),
    [anon_sym_PIPE] = ACTIONS(4652),
    [anon_sym_AMP] = ACTIONS(4652),
    [anon_sym_LT_LT] = ACTIONS(4654),
    [anon_sym_GT_GT] = ACTIONS(4652),
    [anon_sym_GT_GT_GT] = ACTIONS(4654),
    [anon_sym_EQ_EQ] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4654),
    [anon_sym_GT_EQ] = ACTIONS(4654),
    [anon_sym_LT_EQ] = ACTIONS(4654),
    [anon_sym_DOT] = ACTIONS(4652),
    [anon_sym_scoped] = ACTIONS(4652),
    [anon_sym_EQ_GT] = ACTIONS(4654),
    [anon_sym_var] = ACTIONS(4652),
    [anon_sym_yield] = ACTIONS(4652),
    [anon_sym_switch] = ACTIONS(4652),
    [anon_sym_when] = ACTIONS(4652),
    [sym_discard] = ACTIONS(4652),
    [anon_sym_DOT_DOT] = ACTIONS(4654),
    [anon_sym_and] = ACTIONS(4652),
    [anon_sym_or] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_PIPE_PIPE] = ACTIONS(4654),
    [anon_sym_QMARK_QMARK] = ACTIONS(4654),
    [anon_sym_from] = ACTIONS(4652),
    [anon_sym_into] = ACTIONS(4652),
    [anon_sym_join] = ACTIONS(4652),
    [anon_sym_on] = ACTIONS(4652),
    [anon_sym_equals] = ACTIONS(4652),
    [anon_sym_let] = ACTIONS(4652),
    [anon_sym_orderby] = ACTIONS(4652),
    [anon_sym_ascending] = ACTIONS(4652),
    [anon_sym_descending] = ACTIONS(4652),
    [anon_sym_group] = ACTIONS(4652),
    [anon_sym_by] = ACTIONS(4652),
    [anon_sym_select] = ACTIONS(4652),
    [anon_sym_as] = ACTIONS(4652),
    [anon_sym_is] = ACTIONS(4652),
    [anon_sym_DASH_GT] = ACTIONS(4654),
    [anon_sym_with] = ACTIONS(4652),
    [aux_sym_preproc_if_token3] = ACTIONS(4654),
    [aux_sym_preproc_else_token1] = ACTIONS(4654),
    [aux_sym_preproc_elif_token1] = ACTIONS(4654),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [2999] = {
    [sym_preproc_region] = STATE(2999),
    [sym_preproc_endregion] = STATE(2999),
    [sym_preproc_line] = STATE(2999),
    [sym_preproc_pragma] = STATE(2999),
    [sym_preproc_nullable] = STATE(2999),
    [sym_preproc_error] = STATE(2999),
    [sym_preproc_define] = STATE(2999),
    [sym_preproc_undef] = STATE(2999),
    [anon_sym_SEMI] = ACTIONS(4656),
    [anon_sym_EQ] = ACTIONS(4658),
    [anon_sym_LBRACK] = ACTIONS(4656),
    [anon_sym_COLON] = ACTIONS(4656),
    [anon_sym_COMMA] = ACTIONS(4656),
    [anon_sym_RBRACK] = ACTIONS(4656),
    [anon_sym_LPAREN] = ACTIONS(4656),
    [anon_sym_RPAREN] = ACTIONS(4656),
    [anon_sym_RBRACE] = ACTIONS(4656),
    [anon_sym_LT] = ACTIONS(4658),
    [anon_sym_GT] = ACTIONS(4658),
    [anon_sym_in] = ACTIONS(4658),
    [anon_sym_where] = ACTIONS(4656),
    [anon_sym_QMARK] = ACTIONS(4658),
    [anon_sym_BANG] = ACTIONS(4658),
    [anon_sym_PLUS_PLUS] = ACTIONS(4656),
    [anon_sym_DASH_DASH] = ACTIONS(4656),
    [anon_sym_PLUS] = ACTIONS(4658),
    [anon_sym_DASH] = ACTIONS(4658),
    [anon_sym_STAR] = ACTIONS(4658),
    [anon_sym_SLASH] = ACTIONS(4658),
    [anon_sym_PERCENT] = ACTIONS(4658),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_AMP] = ACTIONS(4658),
    [anon_sym_LT_LT] = ACTIONS(4658),
    [anon_sym_GT_GT] = ACTIONS(4658),
    [anon_sym_GT_GT_GT] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_GT_EQ] = ACTIONS(4656),
    [anon_sym_LT_EQ] = ACTIONS(4656),
    [anon_sym_DOT] = ACTIONS(4658),
    [anon_sym_EQ_GT] = ACTIONS(4656),
    [anon_sym_switch] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(4656),
    [anon_sym_and] = ACTIONS(4656),
    [anon_sym_or] = ACTIONS(4658),
    [anon_sym_PLUS_EQ] = ACTIONS(4656),
    [anon_sym_DASH_EQ] = ACTIONS(4656),
    [anon_sym_STAR_EQ] = ACTIONS(4656),
    [anon_sym_SLASH_EQ] = ACTIONS(4656),
    [anon_sym_PERCENT_EQ] = ACTIONS(4656),
    [anon_sym_AMP_EQ] = ACTIONS(4656),
    [anon_sym_CARET_EQ] = ACTIONS(4656),
    [anon_sym_PIPE_EQ] = ACTIONS(4656),
    [anon_sym_LT_LT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4656),
    [anon_sym_AMP_AMP] = ACTIONS(4656),
    [anon_sym_PIPE_PIPE] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK] = ACTIONS(4658),
    [anon_sym_from] = ACTIONS(4656),
    [anon_sym_into] = ACTIONS(4656),
    [anon_sym_join] = ACTIONS(4656),
    [anon_sym_on] = ACTIONS(4656),
    [anon_sym_equals] = ACTIONS(4656),
    [anon_sym_let] = ACTIONS(4656),
    [anon_sym_orderby] = ACTIONS(4656),
    [anon_sym_group] = ACTIONS(4656),
    [anon_sym_by] = ACTIONS(4656),
    [anon_sym_select] = ACTIONS(4656),
    [anon_sym_as] = ACTIONS(4656),
    [anon_sym_is] = ACTIONS(4656),
    [anon_sym_DASH_GT] = ACTIONS(4656),
    [anon_sym_with] = ACTIONS(4656),
    [aux_sym_preproc_if_token3] = ACTIONS(4656),
    [aux_sym_preproc_else_token1] = ACTIONS(4656),
    [aux_sym_preproc_elif_token1] = ACTIONS(4656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3000] = {
    [sym_preproc_region] = STATE(3000),
    [sym_preproc_endregion] = STATE(3000),
    [sym_preproc_line] = STATE(3000),
    [sym_preproc_pragma] = STATE(3000),
    [sym_preproc_nullable] = STATE(3000),
    [sym_preproc_error] = STATE(3000),
    [sym_preproc_define] = STATE(3000),
    [sym_preproc_undef] = STATE(3000),
    [sym__identifier_token] = ACTIONS(4660),
    [anon_sym_alias] = ACTIONS(4660),
    [anon_sym_SEMI] = ACTIONS(4662),
    [anon_sym_global] = ACTIONS(4660),
    [anon_sym_LBRACK] = ACTIONS(4662),
    [anon_sym_COLON] = ACTIONS(4662),
    [anon_sym_COMMA] = ACTIONS(4662),
    [anon_sym_RBRACK] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(4662),
    [anon_sym_RPAREN] = ACTIONS(4662),
    [anon_sym_RBRACE] = ACTIONS(4662),
    [anon_sym_file] = ACTIONS(4660),
    [anon_sym_LT] = ACTIONS(4660),
    [anon_sym_GT] = ACTIONS(4660),
    [anon_sym_in] = ACTIONS(4660),
    [anon_sym_where] = ACTIONS(4660),
    [anon_sym_QMARK] = ACTIONS(4660),
    [anon_sym_notnull] = ACTIONS(4660),
    [anon_sym_unmanaged] = ACTIONS(4660),
    [anon_sym_BANG] = ACTIONS(4660),
    [anon_sym_PLUS_PLUS] = ACTIONS(4662),
    [anon_sym_DASH_DASH] = ACTIONS(4662),
    [anon_sym_PLUS] = ACTIONS(4660),
    [anon_sym_DASH] = ACTIONS(4660),
    [anon_sym_STAR] = ACTIONS(4662),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4662),
    [anon_sym_CARET] = ACTIONS(4662),
    [anon_sym_PIPE] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_LT_LT] = ACTIONS(4662),
    [anon_sym_GT_GT] = ACTIONS(4660),
    [anon_sym_GT_GT_GT] = ACTIONS(4662),
    [anon_sym_EQ_EQ] = ACTIONS(4662),
    [anon_sym_BANG_EQ] = ACTIONS(4662),
    [anon_sym_GT_EQ] = ACTIONS(4662),
    [anon_sym_LT_EQ] = ACTIONS(4662),
    [anon_sym_DOT] = ACTIONS(4660),
    [anon_sym_scoped] = ACTIONS(4660),
    [anon_sym_EQ_GT] = ACTIONS(4662),
    [anon_sym_var] = ACTIONS(4660),
    [anon_sym_yield] = ACTIONS(4660),
    [anon_sym_switch] = ACTIONS(4660),
    [anon_sym_when] = ACTIONS(4660),
    [sym_discard] = ACTIONS(4660),
    [anon_sym_DOT_DOT] = ACTIONS(4662),
    [anon_sym_and] = ACTIONS(4660),
    [anon_sym_or] = ACTIONS(4660),
    [anon_sym_AMP_AMP] = ACTIONS(4662),
    [anon_sym_PIPE_PIPE] = ACTIONS(4662),
    [anon_sym_QMARK_QMARK] = ACTIONS(4662),
    [anon_sym_from] = ACTIONS(4660),
    [anon_sym_into] = ACTIONS(4660),
    [anon_sym_join] = ACTIONS(4660),
    [anon_sym_on] = ACTIONS(4660),
    [anon_sym_equals] = ACTIONS(4660),
    [anon_sym_let] = ACTIONS(4660),
    [anon_sym_orderby] = ACTIONS(4660),
    [anon_sym_ascending] = ACTIONS(4660),
    [anon_sym_descending] = ACTIONS(4660),
    [anon_sym_group] = ACTIONS(4660),
    [anon_sym_by] = ACTIONS(4660),
    [anon_sym_select] = ACTIONS(4660),
    [anon_sym_as] = ACTIONS(4660),
    [anon_sym_is] = ACTIONS(4660),
    [anon_sym_DASH_GT] = ACTIONS(4662),
    [anon_sym_with] = ACTIONS(4660),
    [aux_sym_preproc_if_token3] = ACTIONS(4662),
    [aux_sym_preproc_else_token1] = ACTIONS(4662),
    [aux_sym_preproc_elif_token1] = ACTIONS(4662),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3001] = {
    [sym_preproc_region] = STATE(3001),
    [sym_preproc_endregion] = STATE(3001),
    [sym_preproc_line] = STATE(3001),
    [sym_preproc_pragma] = STATE(3001),
    [sym_preproc_nullable] = STATE(3001),
    [sym_preproc_error] = STATE(3001),
    [sym_preproc_define] = STATE(3001),
    [sym_preproc_undef] = STATE(3001),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_EQ] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4149),
    [anon_sym_where] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4149),
    [anon_sym_CARET] = ACTIONS(4149),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4149),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4149),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4149),
    [anon_sym_PLUS_EQ] = ACTIONS(4151),
    [anon_sym_DASH_EQ] = ACTIONS(4151),
    [anon_sym_STAR_EQ] = ACTIONS(4151),
    [anon_sym_SLASH_EQ] = ACTIONS(4151),
    [anon_sym_PERCENT_EQ] = ACTIONS(4151),
    [anon_sym_AMP_EQ] = ACTIONS(4151),
    [anon_sym_CARET_EQ] = ACTIONS(4151),
    [anon_sym_PIPE_EQ] = ACTIONS(4151),
    [anon_sym_LT_LT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4149),
    [anon_sym_from] = ACTIONS(4151),
    [anon_sym_into] = ACTIONS(4151),
    [anon_sym_join] = ACTIONS(4151),
    [anon_sym_on] = ACTIONS(4151),
    [anon_sym_equals] = ACTIONS(4151),
    [anon_sym_let] = ACTIONS(4151),
    [anon_sym_orderby] = ACTIONS(4151),
    [anon_sym_group] = ACTIONS(4151),
    [anon_sym_by] = ACTIONS(4151),
    [anon_sym_select] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3002] = {
    [sym_preproc_region] = STATE(3002),
    [sym_preproc_endregion] = STATE(3002),
    [sym_preproc_line] = STATE(3002),
    [sym_preproc_pragma] = STATE(3002),
    [sym_preproc_nullable] = STATE(3002),
    [sym_preproc_error] = STATE(3002),
    [sym_preproc_define] = STATE(3002),
    [sym_preproc_undef] = STATE(3002),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4124),
    [anon_sym_where] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4124),
    [anon_sym_PLUS_EQ] = ACTIONS(4126),
    [anon_sym_DASH_EQ] = ACTIONS(4126),
    [anon_sym_STAR_EQ] = ACTIONS(4126),
    [anon_sym_SLASH_EQ] = ACTIONS(4126),
    [anon_sym_PERCENT_EQ] = ACTIONS(4126),
    [anon_sym_AMP_EQ] = ACTIONS(4126),
    [anon_sym_CARET_EQ] = ACTIONS(4126),
    [anon_sym_PIPE_EQ] = ACTIONS(4126),
    [anon_sym_LT_LT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4124),
    [anon_sym_from] = ACTIONS(4126),
    [anon_sym_into] = ACTIONS(4126),
    [anon_sym_join] = ACTIONS(4126),
    [anon_sym_on] = ACTIONS(4126),
    [anon_sym_equals] = ACTIONS(4126),
    [anon_sym_let] = ACTIONS(4126),
    [anon_sym_orderby] = ACTIONS(4126),
    [anon_sym_group] = ACTIONS(4126),
    [anon_sym_by] = ACTIONS(4126),
    [anon_sym_select] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3003] = {
    [sym_preproc_region] = STATE(3003),
    [sym_preproc_endregion] = STATE(3003),
    [sym_preproc_line] = STATE(3003),
    [sym_preproc_pragma] = STATE(3003),
    [sym_preproc_nullable] = STATE(3003),
    [sym_preproc_error] = STATE(3003),
    [sym_preproc_define] = STATE(3003),
    [sym_preproc_undef] = STATE(3003),
    [anon_sym_SEMI] = ACTIONS(4197),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4197),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4197),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4197),
    [anon_sym_into] = ACTIONS(4197),
    [anon_sym_join] = ACTIONS(4197),
    [anon_sym_on] = ACTIONS(4197),
    [anon_sym_equals] = ACTIONS(4197),
    [anon_sym_let] = ACTIONS(4197),
    [anon_sym_orderby] = ACTIONS(4197),
    [anon_sym_group] = ACTIONS(4197),
    [anon_sym_by] = ACTIONS(4197),
    [anon_sym_select] = ACTIONS(4197),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_if_token3] = ACTIONS(4197),
    [aux_sym_preproc_else_token1] = ACTIONS(4197),
    [aux_sym_preproc_elif_token1] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3004] = {
    [sym_preproc_region] = STATE(3004),
    [sym_preproc_endregion] = STATE(3004),
    [sym_preproc_line] = STATE(3004),
    [sym_preproc_pragma] = STATE(3004),
    [sym_preproc_nullable] = STATE(3004),
    [sym_preproc_error] = STATE(3004),
    [sym_preproc_define] = STATE(3004),
    [sym_preproc_undef] = STATE(3004),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym_EQ] = ACTIONS(4666),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_COLON] = ACTIONS(4664),
    [anon_sym_COMMA] = ACTIONS(4664),
    [anon_sym_RBRACK] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(4664),
    [anon_sym_RPAREN] = ACTIONS(4664),
    [anon_sym_RBRACE] = ACTIONS(4664),
    [anon_sym_LT] = ACTIONS(4666),
    [anon_sym_GT] = ACTIONS(4666),
    [anon_sym_in] = ACTIONS(4666),
    [anon_sym_where] = ACTIONS(4664),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_BANG] = ACTIONS(4666),
    [anon_sym_PLUS_PLUS] = ACTIONS(4664),
    [anon_sym_DASH_DASH] = ACTIONS(4664),
    [anon_sym_PLUS] = ACTIONS(4666),
    [anon_sym_DASH] = ACTIONS(4666),
    [anon_sym_STAR] = ACTIONS(4666),
    [anon_sym_SLASH] = ACTIONS(4666),
    [anon_sym_PERCENT] = ACTIONS(4666),
    [anon_sym_CARET] = ACTIONS(4666),
    [anon_sym_PIPE] = ACTIONS(4666),
    [anon_sym_AMP] = ACTIONS(4666),
    [anon_sym_LT_LT] = ACTIONS(4666),
    [anon_sym_GT_GT] = ACTIONS(4666),
    [anon_sym_GT_GT_GT] = ACTIONS(4666),
    [anon_sym_EQ_EQ] = ACTIONS(4664),
    [anon_sym_BANG_EQ] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4664),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_DOT] = ACTIONS(4666),
    [anon_sym_EQ_GT] = ACTIONS(4664),
    [anon_sym_switch] = ACTIONS(4664),
    [anon_sym_DOT_DOT] = ACTIONS(4664),
    [anon_sym_and] = ACTIONS(4664),
    [anon_sym_or] = ACTIONS(4666),
    [anon_sym_PLUS_EQ] = ACTIONS(4664),
    [anon_sym_DASH_EQ] = ACTIONS(4664),
    [anon_sym_STAR_EQ] = ACTIONS(4664),
    [anon_sym_SLASH_EQ] = ACTIONS(4664),
    [anon_sym_PERCENT_EQ] = ACTIONS(4664),
    [anon_sym_AMP_EQ] = ACTIONS(4664),
    [anon_sym_CARET_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_LT_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4664),
    [anon_sym_AMP_AMP] = ACTIONS(4664),
    [anon_sym_PIPE_PIPE] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK] = ACTIONS(4666),
    [anon_sym_from] = ACTIONS(4664),
    [anon_sym_into] = ACTIONS(4664),
    [anon_sym_join] = ACTIONS(4664),
    [anon_sym_on] = ACTIONS(4664),
    [anon_sym_equals] = ACTIONS(4664),
    [anon_sym_let] = ACTIONS(4664),
    [anon_sym_orderby] = ACTIONS(4664),
    [anon_sym_group] = ACTIONS(4664),
    [anon_sym_by] = ACTIONS(4664),
    [anon_sym_select] = ACTIONS(4664),
    [anon_sym_as] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4664),
    [anon_sym_DASH_GT] = ACTIONS(4664),
    [anon_sym_with] = ACTIONS(4664),
    [aux_sym_preproc_if_token3] = ACTIONS(4664),
    [aux_sym_preproc_else_token1] = ACTIONS(4664),
    [aux_sym_preproc_elif_token1] = ACTIONS(4664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3005] = {
    [sym_preproc_region] = STATE(3005),
    [sym_preproc_endregion] = STATE(3005),
    [sym_preproc_line] = STATE(3005),
    [sym_preproc_pragma] = STATE(3005),
    [sym_preproc_nullable] = STATE(3005),
    [sym_preproc_error] = STATE(3005),
    [sym_preproc_define] = STATE(3005),
    [sym_preproc_undef] = STATE(3005),
    [sym__identifier_token] = ACTIONS(4668),
    [anon_sym_alias] = ACTIONS(4668),
    [anon_sym_SEMI] = ACTIONS(4670),
    [anon_sym_global] = ACTIONS(4668),
    [anon_sym_LBRACK] = ACTIONS(4670),
    [anon_sym_COLON] = ACTIONS(4670),
    [anon_sym_COMMA] = ACTIONS(4670),
    [anon_sym_RBRACK] = ACTIONS(4670),
    [anon_sym_LPAREN] = ACTIONS(4670),
    [anon_sym_RPAREN] = ACTIONS(4670),
    [anon_sym_RBRACE] = ACTIONS(4670),
    [anon_sym_file] = ACTIONS(4668),
    [anon_sym_LT] = ACTIONS(4668),
    [anon_sym_GT] = ACTIONS(4668),
    [anon_sym_in] = ACTIONS(4668),
    [anon_sym_where] = ACTIONS(4668),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_notnull] = ACTIONS(4668),
    [anon_sym_unmanaged] = ACTIONS(4668),
    [anon_sym_BANG] = ACTIONS(4668),
    [anon_sym_PLUS_PLUS] = ACTIONS(4670),
    [anon_sym_DASH_DASH] = ACTIONS(4670),
    [anon_sym_PLUS] = ACTIONS(4668),
    [anon_sym_DASH] = ACTIONS(4668),
    [anon_sym_STAR] = ACTIONS(4670),
    [anon_sym_SLASH] = ACTIONS(4668),
    [anon_sym_PERCENT] = ACTIONS(4670),
    [anon_sym_CARET] = ACTIONS(4670),
    [anon_sym_PIPE] = ACTIONS(4668),
    [anon_sym_AMP] = ACTIONS(4668),
    [anon_sym_LT_LT] = ACTIONS(4670),
    [anon_sym_GT_GT] = ACTIONS(4668),
    [anon_sym_GT_GT_GT] = ACTIONS(4670),
    [anon_sym_EQ_EQ] = ACTIONS(4670),
    [anon_sym_BANG_EQ] = ACTIONS(4670),
    [anon_sym_GT_EQ] = ACTIONS(4670),
    [anon_sym_LT_EQ] = ACTIONS(4670),
    [anon_sym_DOT] = ACTIONS(4668),
    [anon_sym_scoped] = ACTIONS(4668),
    [anon_sym_EQ_GT] = ACTIONS(4670),
    [anon_sym_var] = ACTIONS(4668),
    [anon_sym_yield] = ACTIONS(4668),
    [anon_sym_switch] = ACTIONS(4668),
    [anon_sym_when] = ACTIONS(4668),
    [sym_discard] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_and] = ACTIONS(4668),
    [anon_sym_or] = ACTIONS(4668),
    [anon_sym_AMP_AMP] = ACTIONS(4670),
    [anon_sym_PIPE_PIPE] = ACTIONS(4670),
    [anon_sym_QMARK_QMARK] = ACTIONS(4670),
    [anon_sym_from] = ACTIONS(4668),
    [anon_sym_into] = ACTIONS(4668),
    [anon_sym_join] = ACTIONS(4668),
    [anon_sym_on] = ACTIONS(4668),
    [anon_sym_equals] = ACTIONS(4668),
    [anon_sym_let] = ACTIONS(4668),
    [anon_sym_orderby] = ACTIONS(4668),
    [anon_sym_ascending] = ACTIONS(4668),
    [anon_sym_descending] = ACTIONS(4668),
    [anon_sym_group] = ACTIONS(4668),
    [anon_sym_by] = ACTIONS(4668),
    [anon_sym_select] = ACTIONS(4668),
    [anon_sym_as] = ACTIONS(4668),
    [anon_sym_is] = ACTIONS(4668),
    [anon_sym_DASH_GT] = ACTIONS(4670),
    [anon_sym_with] = ACTIONS(4668),
    [aux_sym_preproc_if_token3] = ACTIONS(4670),
    [aux_sym_preproc_else_token1] = ACTIONS(4670),
    [aux_sym_preproc_elif_token1] = ACTIONS(4670),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3006] = {
    [sym_preproc_region] = STATE(3006),
    [sym_preproc_endregion] = STATE(3006),
    [sym_preproc_line] = STATE(3006),
    [sym_preproc_pragma] = STATE(3006),
    [sym_preproc_nullable] = STATE(3006),
    [sym_preproc_error] = STATE(3006),
    [sym_preproc_define] = STATE(3006),
    [sym_preproc_undef] = STATE(3006),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4128),
    [anon_sym_where] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4128),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4128),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4128),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4128),
    [anon_sym_from] = ACTIONS(4130),
    [anon_sym_into] = ACTIONS(4130),
    [anon_sym_join] = ACTIONS(4130),
    [anon_sym_on] = ACTIONS(4130),
    [anon_sym_equals] = ACTIONS(4130),
    [anon_sym_let] = ACTIONS(4130),
    [anon_sym_orderby] = ACTIONS(4130),
    [anon_sym_group] = ACTIONS(4130),
    [anon_sym_by] = ACTIONS(4130),
    [anon_sym_select] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3007] = {
    [sym__name] = STATE(4115),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_ref_type] = STATE(3988),
    [sym__scoped_base_type] = STATE(3989),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3007),
    [sym_preproc_endregion] = STATE(3007),
    [sym_preproc_line] = STATE(3007),
    [sym_preproc_pragma] = STATE(3007),
    [sym_preproc_nullable] = STATE(3007),
    [sym_preproc_error] = STATE(3007),
    [sym_preproc_define] = STATE(3007),
    [sym_preproc_undef] = STATE(3007),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4672),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4506),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3008] = {
    [sym_preproc_region] = STATE(3008),
    [sym_preproc_endregion] = STATE(3008),
    [sym_preproc_line] = STATE(3008),
    [sym_preproc_pragma] = STATE(3008),
    [sym_preproc_nullable] = STATE(3008),
    [sym_preproc_error] = STATE(3008),
    [sym_preproc_define] = STATE(3008),
    [sym_preproc_undef] = STATE(3008),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4674),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3009] = {
    [sym_preproc_region] = STATE(3009),
    [sym_preproc_endregion] = STATE(3009),
    [sym_preproc_line] = STATE(3009),
    [sym_preproc_pragma] = STATE(3009),
    [sym_preproc_nullable] = STATE(3009),
    [sym_preproc_error] = STATE(3009),
    [sym_preproc_define] = STATE(3009),
    [sym_preproc_undef] = STATE(3009),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_EQ] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4138),
    [anon_sym_where] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4138),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4138),
    [anon_sym_PLUS_EQ] = ACTIONS(4140),
    [anon_sym_DASH_EQ] = ACTIONS(4140),
    [anon_sym_STAR_EQ] = ACTIONS(4140),
    [anon_sym_SLASH_EQ] = ACTIONS(4140),
    [anon_sym_PERCENT_EQ] = ACTIONS(4140),
    [anon_sym_AMP_EQ] = ACTIONS(4140),
    [anon_sym_CARET_EQ] = ACTIONS(4140),
    [anon_sym_PIPE_EQ] = ACTIONS(4140),
    [anon_sym_LT_LT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4138),
    [anon_sym_from] = ACTIONS(4140),
    [anon_sym_into] = ACTIONS(4140),
    [anon_sym_join] = ACTIONS(4140),
    [anon_sym_on] = ACTIONS(4140),
    [anon_sym_equals] = ACTIONS(4140),
    [anon_sym_let] = ACTIONS(4140),
    [anon_sym_orderby] = ACTIONS(4140),
    [anon_sym_group] = ACTIONS(4140),
    [anon_sym_by] = ACTIONS(4140),
    [anon_sym_select] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3010] = {
    [sym_preproc_region] = STATE(3010),
    [sym_preproc_endregion] = STATE(3010),
    [sym_preproc_line] = STATE(3010),
    [sym_preproc_pragma] = STATE(3010),
    [sym_preproc_nullable] = STATE(3010),
    [sym_preproc_error] = STATE(3010),
    [sym_preproc_define] = STATE(3010),
    [sym_preproc_undef] = STATE(3010),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_from] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_join] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_let] = ACTIONS(4134),
    [anon_sym_orderby] = ACTIONS(4134),
    [anon_sym_group] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3011] = {
    [sym_preproc_region] = STATE(3011),
    [sym_preproc_endregion] = STATE(3011),
    [sym_preproc_line] = STATE(3011),
    [sym_preproc_pragma] = STATE(3011),
    [sym_preproc_nullable] = STATE(3011),
    [sym_preproc_error] = STATE(3011),
    [sym_preproc_define] = STATE(3011),
    [sym_preproc_undef] = STATE(3011),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_from] = ACTIONS(4122),
    [anon_sym_into] = ACTIONS(4122),
    [anon_sym_join] = ACTIONS(4122),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_let] = ACTIONS(4122),
    [anon_sym_orderby] = ACTIONS(4122),
    [anon_sym_group] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_select] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3012] = {
    [sym__name] = STATE(4115),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_ref_type] = STATE(3988),
    [sym__scoped_base_type] = STATE(3989),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3012),
    [sym_preproc_endregion] = STATE(3012),
    [sym_preproc_line] = STATE(3012),
    [sym_preproc_pragma] = STATE(3012),
    [sym_preproc_nullable] = STATE(3012),
    [sym_preproc_error] = STATE(3012),
    [sym_preproc_define] = STATE(3012),
    [sym_preproc_undef] = STATE(3012),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4676),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4506),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3013] = {
    [sym_preproc_region] = STATE(3013),
    [sym_preproc_endregion] = STATE(3013),
    [sym_preproc_line] = STATE(3013),
    [sym_preproc_pragma] = STATE(3013),
    [sym_preproc_nullable] = STATE(3013),
    [sym_preproc_error] = STATE(3013),
    [sym_preproc_define] = STATE(3013),
    [sym_preproc_undef] = STATE(3013),
    [sym__identifier_token] = ACTIONS(4678),
    [anon_sym_alias] = ACTIONS(4678),
    [anon_sym_SEMI] = ACTIONS(4680),
    [anon_sym_global] = ACTIONS(4678),
    [anon_sym_LBRACK] = ACTIONS(4680),
    [anon_sym_COLON] = ACTIONS(4680),
    [anon_sym_COMMA] = ACTIONS(4680),
    [anon_sym_RBRACK] = ACTIONS(4680),
    [anon_sym_LPAREN] = ACTIONS(4680),
    [anon_sym_RPAREN] = ACTIONS(4680),
    [anon_sym_RBRACE] = ACTIONS(4680),
    [anon_sym_file] = ACTIONS(4678),
    [anon_sym_LT] = ACTIONS(4678),
    [anon_sym_GT] = ACTIONS(4678),
    [anon_sym_in] = ACTIONS(4678),
    [anon_sym_where] = ACTIONS(4678),
    [anon_sym_QMARK] = ACTIONS(4678),
    [anon_sym_notnull] = ACTIONS(4678),
    [anon_sym_unmanaged] = ACTIONS(4678),
    [anon_sym_BANG] = ACTIONS(4678),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS] = ACTIONS(4678),
    [anon_sym_DASH] = ACTIONS(4678),
    [anon_sym_STAR] = ACTIONS(4680),
    [anon_sym_SLASH] = ACTIONS(4678),
    [anon_sym_PERCENT] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4680),
    [anon_sym_PIPE] = ACTIONS(4678),
    [anon_sym_AMP] = ACTIONS(4678),
    [anon_sym_LT_LT] = ACTIONS(4680),
    [anon_sym_GT_GT] = ACTIONS(4678),
    [anon_sym_GT_GT_GT] = ACTIONS(4680),
    [anon_sym_EQ_EQ] = ACTIONS(4680),
    [anon_sym_BANG_EQ] = ACTIONS(4680),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_LT_EQ] = ACTIONS(4680),
    [anon_sym_DOT] = ACTIONS(4678),
    [anon_sym_scoped] = ACTIONS(4678),
    [anon_sym_EQ_GT] = ACTIONS(4680),
    [anon_sym_var] = ACTIONS(4678),
    [anon_sym_yield] = ACTIONS(4678),
    [anon_sym_switch] = ACTIONS(4678),
    [anon_sym_when] = ACTIONS(4678),
    [sym_discard] = ACTIONS(4678),
    [anon_sym_DOT_DOT] = ACTIONS(4680),
    [anon_sym_and] = ACTIONS(4678),
    [anon_sym_or] = ACTIONS(4678),
    [anon_sym_AMP_AMP] = ACTIONS(4680),
    [anon_sym_PIPE_PIPE] = ACTIONS(4680),
    [anon_sym_QMARK_QMARK] = ACTIONS(4680),
    [anon_sym_from] = ACTIONS(4678),
    [anon_sym_into] = ACTIONS(4678),
    [anon_sym_join] = ACTIONS(4678),
    [anon_sym_on] = ACTIONS(4678),
    [anon_sym_equals] = ACTIONS(4678),
    [anon_sym_let] = ACTIONS(4678),
    [anon_sym_orderby] = ACTIONS(4678),
    [anon_sym_ascending] = ACTIONS(4678),
    [anon_sym_descending] = ACTIONS(4678),
    [anon_sym_group] = ACTIONS(4678),
    [anon_sym_by] = ACTIONS(4678),
    [anon_sym_select] = ACTIONS(4678),
    [anon_sym_as] = ACTIONS(4678),
    [anon_sym_is] = ACTIONS(4678),
    [anon_sym_DASH_GT] = ACTIONS(4680),
    [anon_sym_with] = ACTIONS(4678),
    [aux_sym_preproc_if_token3] = ACTIONS(4680),
    [aux_sym_preproc_else_token1] = ACTIONS(4680),
    [aux_sym_preproc_elif_token1] = ACTIONS(4680),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3014] = {
    [sym_preproc_region] = STATE(3014),
    [sym_preproc_endregion] = STATE(3014),
    [sym_preproc_line] = STATE(3014),
    [sym_preproc_pragma] = STATE(3014),
    [sym_preproc_nullable] = STATE(3014),
    [sym_preproc_error] = STATE(3014),
    [sym_preproc_define] = STATE(3014),
    [sym_preproc_undef] = STATE(3014),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(3995),
    [anon_sym_into] = ACTIONS(3995),
    [anon_sym_join] = ACTIONS(3995),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_let] = ACTIONS(3995),
    [anon_sym_orderby] = ACTIONS(3995),
    [anon_sym_group] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_select] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3015] = {
    [sym__name] = STATE(4961),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_ref_type] = STATE(3627),
    [sym__scoped_base_type] = STATE(3605),
    [sym_identifier] = STATE(4561),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3015),
    [sym_preproc_endregion] = STATE(3015),
    [sym_preproc_line] = STATE(3015),
    [sym_preproc_pragma] = STATE(3015),
    [sym_preproc_nullable] = STATE(3015),
    [sym_preproc_error] = STATE(3015),
    [sym_preproc_define] = STATE(3015),
    [sym_preproc_undef] = STATE(3015),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4682),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4270),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4270),
    [anon_sym_into] = ACTIONS(4270),
    [anon_sym_join] = ACTIONS(4270),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4270),
    [anon_sym_orderby] = ACTIONS(4270),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4270),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4270),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3016] = {
    [sym_preproc_region] = STATE(3016),
    [sym_preproc_endregion] = STATE(3016),
    [sym_preproc_line] = STATE(3016),
    [sym_preproc_pragma] = STATE(3016),
    [sym_preproc_nullable] = STATE(3016),
    [sym_preproc_error] = STATE(3016),
    [sym_preproc_define] = STATE(3016),
    [sym_preproc_undef] = STATE(3016),
    [sym__identifier_token] = ACTIONS(4652),
    [anon_sym_alias] = ACTIONS(4652),
    [anon_sym_SEMI] = ACTIONS(4654),
    [anon_sym_global] = ACTIONS(4652),
    [anon_sym_LBRACK] = ACTIONS(4654),
    [anon_sym_COLON] = ACTIONS(4654),
    [anon_sym_COMMA] = ACTIONS(4654),
    [anon_sym_RBRACK] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4654),
    [anon_sym_RPAREN] = ACTIONS(4654),
    [anon_sym_RBRACE] = ACTIONS(4654),
    [anon_sym_file] = ACTIONS(4652),
    [anon_sym_LT] = ACTIONS(4652),
    [anon_sym_GT] = ACTIONS(4652),
    [anon_sym_in] = ACTIONS(4652),
    [anon_sym_where] = ACTIONS(4652),
    [anon_sym_QMARK] = ACTIONS(4652),
    [anon_sym_notnull] = ACTIONS(4652),
    [anon_sym_unmanaged] = ACTIONS(4652),
    [anon_sym_BANG] = ACTIONS(4652),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS] = ACTIONS(4652),
    [anon_sym_DASH] = ACTIONS(4652),
    [anon_sym_STAR] = ACTIONS(4654),
    [anon_sym_SLASH] = ACTIONS(4652),
    [anon_sym_PERCENT] = ACTIONS(4654),
    [anon_sym_CARET] = ACTIONS(4654),
    [anon_sym_PIPE] = ACTIONS(4652),
    [anon_sym_AMP] = ACTIONS(4652),
    [anon_sym_LT_LT] = ACTIONS(4654),
    [anon_sym_GT_GT] = ACTIONS(4652),
    [anon_sym_GT_GT_GT] = ACTIONS(4654),
    [anon_sym_EQ_EQ] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4654),
    [anon_sym_GT_EQ] = ACTIONS(4654),
    [anon_sym_LT_EQ] = ACTIONS(4654),
    [anon_sym_DOT] = ACTIONS(4652),
    [anon_sym_scoped] = ACTIONS(4652),
    [anon_sym_EQ_GT] = ACTIONS(4654),
    [anon_sym_var] = ACTIONS(4652),
    [anon_sym_yield] = ACTIONS(4652),
    [anon_sym_switch] = ACTIONS(4652),
    [anon_sym_when] = ACTIONS(4652),
    [sym_discard] = ACTIONS(4652),
    [anon_sym_DOT_DOT] = ACTIONS(4654),
    [anon_sym_and] = ACTIONS(4652),
    [anon_sym_or] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_PIPE_PIPE] = ACTIONS(4654),
    [anon_sym_QMARK_QMARK] = ACTIONS(4654),
    [anon_sym_from] = ACTIONS(4652),
    [anon_sym_into] = ACTIONS(4652),
    [anon_sym_join] = ACTIONS(4652),
    [anon_sym_on] = ACTIONS(4652),
    [anon_sym_equals] = ACTIONS(4652),
    [anon_sym_let] = ACTIONS(4652),
    [anon_sym_orderby] = ACTIONS(4652),
    [anon_sym_ascending] = ACTIONS(4652),
    [anon_sym_descending] = ACTIONS(4652),
    [anon_sym_group] = ACTIONS(4652),
    [anon_sym_by] = ACTIONS(4652),
    [anon_sym_select] = ACTIONS(4652),
    [anon_sym_as] = ACTIONS(4652),
    [anon_sym_is] = ACTIONS(4652),
    [anon_sym_DASH_GT] = ACTIONS(4654),
    [anon_sym_with] = ACTIONS(4652),
    [aux_sym_preproc_if_token3] = ACTIONS(4654),
    [aux_sym_preproc_else_token1] = ACTIONS(4654),
    [aux_sym_preproc_elif_token1] = ACTIONS(4654),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3017] = {
    [sym_preproc_region] = STATE(3017),
    [sym_preproc_endregion] = STATE(3017),
    [sym_preproc_line] = STATE(3017),
    [sym_preproc_pragma] = STATE(3017),
    [sym_preproc_nullable] = STATE(3017),
    [sym_preproc_error] = STATE(3017),
    [sym_preproc_define] = STATE(3017),
    [sym_preproc_undef] = STATE(3017),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4684),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3018] = {
    [sym_preproc_region] = STATE(3018),
    [sym_preproc_endregion] = STATE(3018),
    [sym_preproc_line] = STATE(3018),
    [sym_preproc_pragma] = STATE(3018),
    [sym_preproc_nullable] = STATE(3018),
    [sym_preproc_error] = STATE(3018),
    [sym_preproc_define] = STATE(3018),
    [sym_preproc_undef] = STATE(3018),
    [anon_sym_SEMI] = ACTIONS(4686),
    [anon_sym_EQ] = ACTIONS(4688),
    [anon_sym_LBRACK] = ACTIONS(4686),
    [anon_sym_COLON] = ACTIONS(4686),
    [anon_sym_COMMA] = ACTIONS(4686),
    [anon_sym_RBRACK] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4686),
    [anon_sym_RPAREN] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4686),
    [anon_sym_LT] = ACTIONS(4688),
    [anon_sym_GT] = ACTIONS(4688),
    [anon_sym_in] = ACTIONS(4688),
    [anon_sym_where] = ACTIONS(4686),
    [anon_sym_QMARK] = ACTIONS(4688),
    [anon_sym_BANG] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4686),
    [anon_sym_DASH_DASH] = ACTIONS(4686),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_DASH] = ACTIONS(4688),
    [anon_sym_STAR] = ACTIONS(4688),
    [anon_sym_SLASH] = ACTIONS(4688),
    [anon_sym_PERCENT] = ACTIONS(4688),
    [anon_sym_CARET] = ACTIONS(4688),
    [anon_sym_PIPE] = ACTIONS(4688),
    [anon_sym_AMP] = ACTIONS(4688),
    [anon_sym_LT_LT] = ACTIONS(4688),
    [anon_sym_GT_GT] = ACTIONS(4688),
    [anon_sym_GT_GT_GT] = ACTIONS(4688),
    [anon_sym_EQ_EQ] = ACTIONS(4686),
    [anon_sym_BANG_EQ] = ACTIONS(4686),
    [anon_sym_GT_EQ] = ACTIONS(4686),
    [anon_sym_LT_EQ] = ACTIONS(4686),
    [anon_sym_DOT] = ACTIONS(4688),
    [anon_sym_EQ_GT] = ACTIONS(4686),
    [anon_sym_switch] = ACTIONS(4686),
    [anon_sym_DOT_DOT] = ACTIONS(4686),
    [anon_sym_and] = ACTIONS(4686),
    [anon_sym_or] = ACTIONS(4688),
    [anon_sym_PLUS_EQ] = ACTIONS(4686),
    [anon_sym_DASH_EQ] = ACTIONS(4686),
    [anon_sym_STAR_EQ] = ACTIONS(4686),
    [anon_sym_SLASH_EQ] = ACTIONS(4686),
    [anon_sym_PERCENT_EQ] = ACTIONS(4686),
    [anon_sym_AMP_EQ] = ACTIONS(4686),
    [anon_sym_CARET_EQ] = ACTIONS(4686),
    [anon_sym_PIPE_EQ] = ACTIONS(4686),
    [anon_sym_LT_LT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4686),
    [anon_sym_AMP_AMP] = ACTIONS(4686),
    [anon_sym_PIPE_PIPE] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK] = ACTIONS(4688),
    [anon_sym_from] = ACTIONS(4686),
    [anon_sym_into] = ACTIONS(4686),
    [anon_sym_join] = ACTIONS(4686),
    [anon_sym_on] = ACTIONS(4686),
    [anon_sym_equals] = ACTIONS(4686),
    [anon_sym_let] = ACTIONS(4686),
    [anon_sym_orderby] = ACTIONS(4686),
    [anon_sym_group] = ACTIONS(4686),
    [anon_sym_by] = ACTIONS(4686),
    [anon_sym_select] = ACTIONS(4686),
    [anon_sym_as] = ACTIONS(4686),
    [anon_sym_is] = ACTIONS(4686),
    [anon_sym_DASH_GT] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [aux_sym_preproc_if_token3] = ACTIONS(4686),
    [aux_sym_preproc_else_token1] = ACTIONS(4686),
    [aux_sym_preproc_elif_token1] = ACTIONS(4686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3019] = {
    [sym_preproc_region] = STATE(3019),
    [sym_preproc_endregion] = STATE(3019),
    [sym_preproc_line] = STATE(3019),
    [sym_preproc_pragma] = STATE(3019),
    [sym_preproc_nullable] = STATE(3019),
    [sym_preproc_error] = STATE(3019),
    [sym_preproc_define] = STATE(3019),
    [sym_preproc_undef] = STATE(3019),
    [anon_sym_SEMI] = ACTIONS(4690),
    [anon_sym_EQ] = ACTIONS(4692),
    [anon_sym_LBRACK] = ACTIONS(4690),
    [anon_sym_COLON] = ACTIONS(4690),
    [anon_sym_COMMA] = ACTIONS(4690),
    [anon_sym_RBRACK] = ACTIONS(4690),
    [anon_sym_LPAREN] = ACTIONS(4690),
    [anon_sym_RPAREN] = ACTIONS(4690),
    [anon_sym_RBRACE] = ACTIONS(4690),
    [anon_sym_LT] = ACTIONS(4692),
    [anon_sym_GT] = ACTIONS(4692),
    [anon_sym_in] = ACTIONS(4692),
    [anon_sym_where] = ACTIONS(4690),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_BANG] = ACTIONS(4692),
    [anon_sym_PLUS_PLUS] = ACTIONS(4690),
    [anon_sym_DASH_DASH] = ACTIONS(4690),
    [anon_sym_PLUS] = ACTIONS(4692),
    [anon_sym_DASH] = ACTIONS(4692),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_SLASH] = ACTIONS(4692),
    [anon_sym_PERCENT] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4692),
    [anon_sym_PIPE] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_LT_LT] = ACTIONS(4692),
    [anon_sym_GT_GT] = ACTIONS(4692),
    [anon_sym_GT_GT_GT] = ACTIONS(4692),
    [anon_sym_EQ_EQ] = ACTIONS(4690),
    [anon_sym_BANG_EQ] = ACTIONS(4690),
    [anon_sym_GT_EQ] = ACTIONS(4690),
    [anon_sym_LT_EQ] = ACTIONS(4690),
    [anon_sym_DOT] = ACTIONS(4692),
    [anon_sym_EQ_GT] = ACTIONS(4690),
    [anon_sym_switch] = ACTIONS(4690),
    [anon_sym_DOT_DOT] = ACTIONS(4690),
    [anon_sym_and] = ACTIONS(4690),
    [anon_sym_or] = ACTIONS(4692),
    [anon_sym_PLUS_EQ] = ACTIONS(4690),
    [anon_sym_DASH_EQ] = ACTIONS(4690),
    [anon_sym_STAR_EQ] = ACTIONS(4690),
    [anon_sym_SLASH_EQ] = ACTIONS(4690),
    [anon_sym_PERCENT_EQ] = ACTIONS(4690),
    [anon_sym_AMP_EQ] = ACTIONS(4690),
    [anon_sym_CARET_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_LT_LT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4690),
    [anon_sym_AMP_AMP] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK] = ACTIONS(4692),
    [anon_sym_from] = ACTIONS(4690),
    [anon_sym_into] = ACTIONS(4690),
    [anon_sym_join] = ACTIONS(4690),
    [anon_sym_on] = ACTIONS(4690),
    [anon_sym_equals] = ACTIONS(4690),
    [anon_sym_let] = ACTIONS(4690),
    [anon_sym_orderby] = ACTIONS(4690),
    [anon_sym_group] = ACTIONS(4690),
    [anon_sym_by] = ACTIONS(4690),
    [anon_sym_select] = ACTIONS(4690),
    [anon_sym_as] = ACTIONS(4690),
    [anon_sym_is] = ACTIONS(4690),
    [anon_sym_DASH_GT] = ACTIONS(4690),
    [anon_sym_with] = ACTIONS(4690),
    [aux_sym_preproc_if_token3] = ACTIONS(4690),
    [aux_sym_preproc_else_token1] = ACTIONS(4690),
    [aux_sym_preproc_elif_token1] = ACTIONS(4690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3020] = {
    [sym__name] = STATE(3889),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_ref_type] = STATE(3890),
    [sym__scoped_base_type] = STATE(3891),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(3020),
    [sym_preproc_endregion] = STATE(3020),
    [sym_preproc_line] = STATE(3020),
    [sym_preproc_pragma] = STATE(3020),
    [sym_preproc_nullable] = STATE(3020),
    [sym_preproc_error] = STATE(3020),
    [sym_preproc_define] = STATE(3020),
    [sym_preproc_undef] = STATE(3020),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4694),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4223),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4227),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4227),
    [anon_sym_select] = ACTIONS(4223),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3021] = {
    [sym_preproc_region] = STATE(3021),
    [sym_preproc_endregion] = STATE(3021),
    [sym_preproc_line] = STATE(3021),
    [sym_preproc_pragma] = STATE(3021),
    [sym_preproc_nullable] = STATE(3021),
    [sym_preproc_error] = STATE(3021),
    [sym_preproc_define] = STATE(3021),
    [sym_preproc_undef] = STATE(3021),
    [anon_sym_SEMI] = ACTIONS(4696),
    [anon_sym_EQ] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4696),
    [anon_sym_COMMA] = ACTIONS(4696),
    [anon_sym_RBRACK] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4696),
    [anon_sym_RPAREN] = ACTIONS(4696),
    [anon_sym_RBRACE] = ACTIONS(4696),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_GT] = ACTIONS(4698),
    [anon_sym_in] = ACTIONS(4698),
    [anon_sym_where] = ACTIONS(4696),
    [anon_sym_QMARK] = ACTIONS(4698),
    [anon_sym_BANG] = ACTIONS(4698),
    [anon_sym_PLUS_PLUS] = ACTIONS(4696),
    [anon_sym_DASH_DASH] = ACTIONS(4696),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_DASH] = ACTIONS(4698),
    [anon_sym_STAR] = ACTIONS(4698),
    [anon_sym_SLASH] = ACTIONS(4698),
    [anon_sym_PERCENT] = ACTIONS(4698),
    [anon_sym_CARET] = ACTIONS(4698),
    [anon_sym_PIPE] = ACTIONS(4698),
    [anon_sym_AMP] = ACTIONS(4698),
    [anon_sym_LT_LT] = ACTIONS(4698),
    [anon_sym_GT_GT] = ACTIONS(4698),
    [anon_sym_GT_GT_GT] = ACTIONS(4698),
    [anon_sym_EQ_EQ] = ACTIONS(4696),
    [anon_sym_BANG_EQ] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4696),
    [anon_sym_LT_EQ] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(4698),
    [anon_sym_EQ_GT] = ACTIONS(4696),
    [anon_sym_switch] = ACTIONS(4696),
    [anon_sym_DOT_DOT] = ACTIONS(4696),
    [anon_sym_and] = ACTIONS(4696),
    [anon_sym_or] = ACTIONS(4698),
    [anon_sym_PLUS_EQ] = ACTIONS(4696),
    [anon_sym_DASH_EQ] = ACTIONS(4696),
    [anon_sym_STAR_EQ] = ACTIONS(4696),
    [anon_sym_SLASH_EQ] = ACTIONS(4696),
    [anon_sym_PERCENT_EQ] = ACTIONS(4696),
    [anon_sym_AMP_EQ] = ACTIONS(4696),
    [anon_sym_CARET_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_LT_LT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4696),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK] = ACTIONS(4698),
    [anon_sym_from] = ACTIONS(4696),
    [anon_sym_into] = ACTIONS(4696),
    [anon_sym_join] = ACTIONS(4696),
    [anon_sym_on] = ACTIONS(4696),
    [anon_sym_equals] = ACTIONS(4696),
    [anon_sym_let] = ACTIONS(4696),
    [anon_sym_orderby] = ACTIONS(4696),
    [anon_sym_group] = ACTIONS(4696),
    [anon_sym_by] = ACTIONS(4696),
    [anon_sym_select] = ACTIONS(4696),
    [anon_sym_as] = ACTIONS(4696),
    [anon_sym_is] = ACTIONS(4696),
    [anon_sym_DASH_GT] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [aux_sym_preproc_if_token3] = ACTIONS(4696),
    [aux_sym_preproc_else_token1] = ACTIONS(4696),
    [aux_sym_preproc_elif_token1] = ACTIONS(4696),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3022] = {
    [sym__name] = STATE(3772),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_ref_type] = STATE(3660),
    [sym__scoped_base_type] = STATE(3678),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3022),
    [sym_preproc_endregion] = STATE(3022),
    [sym_preproc_line] = STATE(3022),
    [sym_preproc_pragma] = STATE(3022),
    [sym_preproc_nullable] = STATE(3022),
    [sym_preproc_error] = STATE(3022),
    [sym_preproc_define] = STATE(3022),
    [sym_preproc_undef] = STATE(3022),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4700),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4702),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4702),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4702),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4702),
    [anon_sym_orderby] = ACTIONS(4702),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4702),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4702),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3023] = {
    [sym_preproc_region] = STATE(3023),
    [sym_preproc_endregion] = STATE(3023),
    [sym_preproc_line] = STATE(3023),
    [sym_preproc_pragma] = STATE(3023),
    [sym_preproc_nullable] = STATE(3023),
    [sym_preproc_error] = STATE(3023),
    [sym_preproc_define] = STATE(3023),
    [sym_preproc_undef] = STATE(3023),
    [anon_sym_SEMI] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_RBRACK] = ACTIONS(4705),
    [anon_sym_LPAREN] = ACTIONS(4705),
    [anon_sym_RPAREN] = ACTIONS(4705),
    [anon_sym_RBRACE] = ACTIONS(4705),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_GT] = ACTIONS(4707),
    [anon_sym_in] = ACTIONS(4707),
    [anon_sym_where] = ACTIONS(4705),
    [anon_sym_QMARK] = ACTIONS(4707),
    [anon_sym_BANG] = ACTIONS(4707),
    [anon_sym_PLUS_PLUS] = ACTIONS(4705),
    [anon_sym_DASH_DASH] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4707),
    [anon_sym_DASH] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_SLASH] = ACTIONS(4707),
    [anon_sym_PERCENT] = ACTIONS(4707),
    [anon_sym_CARET] = ACTIONS(4707),
    [anon_sym_PIPE] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4707),
    [anon_sym_LT_LT] = ACTIONS(4707),
    [anon_sym_GT_GT] = ACTIONS(4707),
    [anon_sym_GT_GT_GT] = ACTIONS(4707),
    [anon_sym_EQ_EQ] = ACTIONS(4705),
    [anon_sym_BANG_EQ] = ACTIONS(4705),
    [anon_sym_GT_EQ] = ACTIONS(4705),
    [anon_sym_LT_EQ] = ACTIONS(4705),
    [anon_sym_DOT] = ACTIONS(4707),
    [anon_sym_EQ_GT] = ACTIONS(4705),
    [anon_sym_switch] = ACTIONS(4705),
    [anon_sym_DOT_DOT] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4707),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4705),
    [anon_sym_PIPE_PIPE] = ACTIONS(4705),
    [anon_sym_QMARK_QMARK] = ACTIONS(4707),
    [anon_sym_from] = ACTIONS(4705),
    [anon_sym_into] = ACTIONS(4705),
    [anon_sym_join] = ACTIONS(4705),
    [anon_sym_on] = ACTIONS(4705),
    [anon_sym_equals] = ACTIONS(4705),
    [anon_sym_let] = ACTIONS(4705),
    [anon_sym_orderby] = ACTIONS(4705),
    [anon_sym_group] = ACTIONS(4705),
    [anon_sym_by] = ACTIONS(4705),
    [anon_sym_select] = ACTIONS(4705),
    [anon_sym_as] = ACTIONS(4705),
    [anon_sym_is] = ACTIONS(4705),
    [anon_sym_DASH_GT] = ACTIONS(4705),
    [anon_sym_with] = ACTIONS(4705),
    [aux_sym_preproc_if_token3] = ACTIONS(4705),
    [aux_sym_preproc_else_token1] = ACTIONS(4705),
    [aux_sym_preproc_elif_token1] = ACTIONS(4705),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3024] = {
    [sym_preproc_region] = STATE(3024),
    [sym_preproc_endregion] = STATE(3024),
    [sym_preproc_line] = STATE(3024),
    [sym_preproc_pragma] = STATE(3024),
    [sym_preproc_nullable] = STATE(3024),
    [sym_preproc_error] = STATE(3024),
    [sym_preproc_define] = STATE(3024),
    [sym_preproc_undef] = STATE(3024),
    [anon_sym_SEMI] = ACTIONS(4709),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_COLON] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_RBRACK] = ACTIONS(4709),
    [anon_sym_LPAREN] = ACTIONS(4709),
    [anon_sym_RPAREN] = ACTIONS(4709),
    [anon_sym_RBRACE] = ACTIONS(4709),
    [anon_sym_LT] = ACTIONS(4711),
    [anon_sym_GT] = ACTIONS(4711),
    [anon_sym_in] = ACTIONS(4711),
    [anon_sym_where] = ACTIONS(4709),
    [anon_sym_QMARK] = ACTIONS(4711),
    [anon_sym_BANG] = ACTIONS(4711),
    [anon_sym_PLUS_PLUS] = ACTIONS(4709),
    [anon_sym_DASH_DASH] = ACTIONS(4709),
    [anon_sym_PLUS] = ACTIONS(4711),
    [anon_sym_DASH] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_SLASH] = ACTIONS(4711),
    [anon_sym_PERCENT] = ACTIONS(4711),
    [anon_sym_CARET] = ACTIONS(4711),
    [anon_sym_PIPE] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4711),
    [anon_sym_LT_LT] = ACTIONS(4711),
    [anon_sym_GT_GT] = ACTIONS(4711),
    [anon_sym_GT_GT_GT] = ACTIONS(4711),
    [anon_sym_EQ_EQ] = ACTIONS(4709),
    [anon_sym_BANG_EQ] = ACTIONS(4709),
    [anon_sym_GT_EQ] = ACTIONS(4709),
    [anon_sym_LT_EQ] = ACTIONS(4709),
    [anon_sym_DOT] = ACTIONS(4711),
    [anon_sym_EQ_GT] = ACTIONS(4709),
    [anon_sym_switch] = ACTIONS(4709),
    [anon_sym_DOT_DOT] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4711),
    [anon_sym_PLUS_EQ] = ACTIONS(4709),
    [anon_sym_DASH_EQ] = ACTIONS(4709),
    [anon_sym_STAR_EQ] = ACTIONS(4709),
    [anon_sym_SLASH_EQ] = ACTIONS(4709),
    [anon_sym_PERCENT_EQ] = ACTIONS(4709),
    [anon_sym_AMP_EQ] = ACTIONS(4709),
    [anon_sym_CARET_EQ] = ACTIONS(4709),
    [anon_sym_PIPE_EQ] = ACTIONS(4709),
    [anon_sym_LT_LT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4709),
    [anon_sym_AMP_AMP] = ACTIONS(4709),
    [anon_sym_PIPE_PIPE] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK] = ACTIONS(4711),
    [anon_sym_from] = ACTIONS(4709),
    [anon_sym_into] = ACTIONS(4709),
    [anon_sym_join] = ACTIONS(4709),
    [anon_sym_on] = ACTIONS(4709),
    [anon_sym_equals] = ACTIONS(4709),
    [anon_sym_let] = ACTIONS(4709),
    [anon_sym_orderby] = ACTIONS(4709),
    [anon_sym_group] = ACTIONS(4709),
    [anon_sym_by] = ACTIONS(4709),
    [anon_sym_select] = ACTIONS(4709),
    [anon_sym_as] = ACTIONS(4709),
    [anon_sym_is] = ACTIONS(4709),
    [anon_sym_DASH_GT] = ACTIONS(4709),
    [anon_sym_with] = ACTIONS(4709),
    [aux_sym_preproc_if_token3] = ACTIONS(4709),
    [aux_sym_preproc_else_token1] = ACTIONS(4709),
    [aux_sym_preproc_elif_token1] = ACTIONS(4709),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3025] = {
    [sym_preproc_region] = STATE(3025),
    [sym_preproc_endregion] = STATE(3025),
    [sym_preproc_line] = STATE(3025),
    [sym_preproc_pragma] = STATE(3025),
    [sym_preproc_nullable] = STATE(3025),
    [sym_preproc_error] = STATE(3025),
    [sym_preproc_define] = STATE(3025),
    [sym_preproc_undef] = STATE(3025),
    [sym__identifier_token] = ACTIONS(4660),
    [anon_sym_alias] = ACTIONS(4660),
    [anon_sym_SEMI] = ACTIONS(4662),
    [anon_sym_global] = ACTIONS(4660),
    [anon_sym_LBRACK] = ACTIONS(4662),
    [anon_sym_COLON] = ACTIONS(4662),
    [anon_sym_COMMA] = ACTIONS(4662),
    [anon_sym_RBRACK] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(4662),
    [anon_sym_RPAREN] = ACTIONS(4662),
    [anon_sym_RBRACE] = ACTIONS(4662),
    [anon_sym_file] = ACTIONS(4660),
    [anon_sym_LT] = ACTIONS(4660),
    [anon_sym_GT] = ACTIONS(4660),
    [anon_sym_in] = ACTIONS(4660),
    [anon_sym_where] = ACTIONS(4660),
    [anon_sym_QMARK] = ACTIONS(4660),
    [anon_sym_notnull] = ACTIONS(4660),
    [anon_sym_unmanaged] = ACTIONS(4660),
    [anon_sym_BANG] = ACTIONS(4660),
    [anon_sym_PLUS_PLUS] = ACTIONS(4662),
    [anon_sym_DASH_DASH] = ACTIONS(4662),
    [anon_sym_PLUS] = ACTIONS(4660),
    [anon_sym_DASH] = ACTIONS(4660),
    [anon_sym_STAR] = ACTIONS(4662),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4662),
    [anon_sym_CARET] = ACTIONS(4662),
    [anon_sym_PIPE] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_LT_LT] = ACTIONS(4662),
    [anon_sym_GT_GT] = ACTIONS(4660),
    [anon_sym_GT_GT_GT] = ACTIONS(4662),
    [anon_sym_EQ_EQ] = ACTIONS(4662),
    [anon_sym_BANG_EQ] = ACTIONS(4662),
    [anon_sym_GT_EQ] = ACTIONS(4662),
    [anon_sym_LT_EQ] = ACTIONS(4662),
    [anon_sym_DOT] = ACTIONS(4660),
    [anon_sym_scoped] = ACTIONS(4660),
    [anon_sym_EQ_GT] = ACTIONS(4662),
    [anon_sym_var] = ACTIONS(4660),
    [anon_sym_yield] = ACTIONS(4660),
    [anon_sym_switch] = ACTIONS(4660),
    [anon_sym_when] = ACTIONS(4660),
    [sym_discard] = ACTIONS(4660),
    [anon_sym_DOT_DOT] = ACTIONS(4662),
    [anon_sym_and] = ACTIONS(4660),
    [anon_sym_or] = ACTIONS(4660),
    [anon_sym_AMP_AMP] = ACTIONS(4662),
    [anon_sym_PIPE_PIPE] = ACTIONS(4662),
    [anon_sym_QMARK_QMARK] = ACTIONS(4662),
    [anon_sym_from] = ACTIONS(4660),
    [anon_sym_into] = ACTIONS(4660),
    [anon_sym_join] = ACTIONS(4660),
    [anon_sym_on] = ACTIONS(4660),
    [anon_sym_equals] = ACTIONS(4660),
    [anon_sym_let] = ACTIONS(4660),
    [anon_sym_orderby] = ACTIONS(4660),
    [anon_sym_ascending] = ACTIONS(4660),
    [anon_sym_descending] = ACTIONS(4660),
    [anon_sym_group] = ACTIONS(4660),
    [anon_sym_by] = ACTIONS(4660),
    [anon_sym_select] = ACTIONS(4660),
    [anon_sym_as] = ACTIONS(4660),
    [anon_sym_is] = ACTIONS(4660),
    [anon_sym_DASH_GT] = ACTIONS(4662),
    [anon_sym_with] = ACTIONS(4660),
    [aux_sym_preproc_if_token3] = ACTIONS(4662),
    [aux_sym_preproc_else_token1] = ACTIONS(4662),
    [aux_sym_preproc_elif_token1] = ACTIONS(4662),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3026] = {
    [sym__name] = STATE(3889),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_ref_type] = STATE(3890),
    [sym__scoped_base_type] = STATE(3891),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(3026),
    [sym_preproc_endregion] = STATE(3026),
    [sym_preproc_line] = STATE(3026),
    [sym_preproc_pragma] = STATE(3026),
    [sym_preproc_nullable] = STATE(3026),
    [sym_preproc_error] = STATE(3026),
    [sym_preproc_define] = STATE(3026),
    [sym_preproc_undef] = STATE(3026),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4713),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4223),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4223),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4227),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4227),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3027] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2833),
    [sym_property_pattern_clause] = STATE(2881),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3027),
    [sym_preproc_endregion] = STATE(3027),
    [sym_preproc_line] = STATE(3027),
    [sym_preproc_pragma] = STATE(3027),
    [sym_preproc_nullable] = STATE(3027),
    [sym_preproc_error] = STATE(3027),
    [sym_preproc_define] = STATE(3027),
    [sym_preproc_undef] = STATE(3027),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4345),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3028] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3098),
    [sym_property_pattern_clause] = STATE(3147),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3028),
    [sym_preproc_endregion] = STATE(3028),
    [sym_preproc_line] = STATE(3028),
    [sym_preproc_pragma] = STATE(3028),
    [sym_preproc_nullable] = STATE(3028),
    [sym_preproc_error] = STATE(3028),
    [sym_preproc_define] = STATE(3028),
    [sym_preproc_undef] = STATE(3028),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4355),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4353),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3029] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3123),
    [sym_property_pattern_clause] = STATE(3195),
    [sym__variable_designation] = STATE(4679),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4478),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3029),
    [sym_preproc_endregion] = STATE(3029),
    [sym_preproc_line] = STATE(3029),
    [sym_preproc_pragma] = STATE(3029),
    [sym_preproc_nullable] = STATE(3029),
    [sym_preproc_error] = STATE(3029),
    [sym_preproc_define] = STATE(3029),
    [sym_preproc_undef] = STATE(3029),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4349),
    [anon_sym_descending] = ACTIONS(4349),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3030] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2848),
    [sym_property_pattern_clause] = STATE(2902),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3030),
    [sym_preproc_endregion] = STATE(3030),
    [sym_preproc_line] = STATE(3030),
    [sym_preproc_pragma] = STATE(3030),
    [sym_preproc_nullable] = STATE(3030),
    [sym_preproc_error] = STATE(3030),
    [sym_preproc_define] = STATE(3030),
    [sym_preproc_undef] = STATE(3030),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4345),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3031] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3123),
    [sym_property_pattern_clause] = STATE(3195),
    [sym__variable_designation] = STATE(4679),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4478),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3031),
    [sym_preproc_endregion] = STATE(3031),
    [sym_preproc_line] = STATE(3031),
    [sym_preproc_pragma] = STATE(3031),
    [sym_preproc_nullable] = STATE(3031),
    [sym_preproc_error] = STATE(3031),
    [sym_preproc_define] = STATE(3031),
    [sym_preproc_undef] = STATE(3031),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4353),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4353),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4353),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4353),
    [anon_sym_orderby] = ACTIONS(4353),
    [anon_sym_ascending] = ACTIONS(4353),
    [anon_sym_descending] = ACTIONS(4353),
    [anon_sym_group] = ACTIONS(4353),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4353),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3032] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2833),
    [sym_property_pattern_clause] = STATE(2881),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3032),
    [sym_preproc_endregion] = STATE(3032),
    [sym_preproc_line] = STATE(3032),
    [sym_preproc_pragma] = STATE(3032),
    [sym_preproc_nullable] = STATE(3032),
    [sym_preproc_error] = STATE(3032),
    [sym_preproc_define] = STATE(3032),
    [sym_preproc_undef] = STATE(3032),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4355),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3033] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2848),
    [sym_property_pattern_clause] = STATE(2902),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3033),
    [sym_preproc_endregion] = STATE(3033),
    [sym_preproc_line] = STATE(3033),
    [sym_preproc_pragma] = STATE(3033),
    [sym_preproc_nullable] = STATE(3033),
    [sym_preproc_error] = STATE(3033),
    [sym_preproc_define] = STATE(3033),
    [sym_preproc_undef] = STATE(3033),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4345),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3034] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3098),
    [sym_property_pattern_clause] = STATE(3147),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3034),
    [sym_preproc_endregion] = STATE(3034),
    [sym_preproc_line] = STATE(3034),
    [sym_preproc_pragma] = STATE(3034),
    [sym_preproc_nullable] = STATE(3034),
    [sym_preproc_error] = STATE(3034),
    [sym_preproc_define] = STATE(3034),
    [sym_preproc_undef] = STATE(3034),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4345),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4349),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3035] = {
    [sym_preproc_region] = STATE(3035),
    [sym_preproc_endregion] = STATE(3035),
    [sym_preproc_line] = STATE(3035),
    [sym_preproc_pragma] = STATE(3035),
    [sym_preproc_nullable] = STATE(3035),
    [sym_preproc_error] = STATE(3035),
    [sym_preproc_define] = STATE(3035),
    [sym_preproc_undef] = STATE(3035),
    [anon_sym_SEMI] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_RBRACK] = ACTIONS(4705),
    [anon_sym_LPAREN] = ACTIONS(4705),
    [anon_sym_RPAREN] = ACTIONS(4705),
    [anon_sym_RBRACE] = ACTIONS(4705),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_GT] = ACTIONS(4707),
    [anon_sym_in] = ACTIONS(4705),
    [anon_sym_where] = ACTIONS(4705),
    [anon_sym_QMARK] = ACTIONS(4707),
    [anon_sym_BANG] = ACTIONS(4707),
    [anon_sym_PLUS_PLUS] = ACTIONS(4705),
    [anon_sym_DASH_DASH] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4707),
    [anon_sym_DASH] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_SLASH] = ACTIONS(4707),
    [anon_sym_PERCENT] = ACTIONS(4707),
    [anon_sym_CARET] = ACTIONS(4707),
    [anon_sym_PIPE] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4707),
    [anon_sym_LT_LT] = ACTIONS(4707),
    [anon_sym_GT_GT] = ACTIONS(4707),
    [anon_sym_GT_GT_GT] = ACTIONS(4707),
    [anon_sym_EQ_EQ] = ACTIONS(4705),
    [anon_sym_BANG_EQ] = ACTIONS(4705),
    [anon_sym_GT_EQ] = ACTIONS(4705),
    [anon_sym_LT_EQ] = ACTIONS(4705),
    [anon_sym_DOT] = ACTIONS(4707),
    [anon_sym_EQ_GT] = ACTIONS(4705),
    [anon_sym_switch] = ACTIONS(4705),
    [anon_sym_DOT_DOT] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4707),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4705),
    [anon_sym_PIPE_PIPE] = ACTIONS(4705),
    [anon_sym_QMARK_QMARK] = ACTIONS(4707),
    [anon_sym_from] = ACTIONS(4705),
    [anon_sym_join] = ACTIONS(4705),
    [anon_sym_on] = ACTIONS(4705),
    [anon_sym_equals] = ACTIONS(4705),
    [anon_sym_let] = ACTIONS(4705),
    [anon_sym_orderby] = ACTIONS(4705),
    [anon_sym_group] = ACTIONS(4705),
    [anon_sym_by] = ACTIONS(4705),
    [anon_sym_select] = ACTIONS(4705),
    [anon_sym_as] = ACTIONS(4705),
    [anon_sym_is] = ACTIONS(4705),
    [anon_sym_DASH_GT] = ACTIONS(4705),
    [anon_sym_with] = ACTIONS(4705),
    [aux_sym_preproc_if_token3] = ACTIONS(4705),
    [aux_sym_preproc_else_token1] = ACTIONS(4705),
    [aux_sym_preproc_elif_token1] = ACTIONS(4705),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3036] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3134),
    [sym_property_pattern_clause] = STATE(3209),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3036),
    [sym_preproc_endregion] = STATE(3036),
    [sym_preproc_line] = STATE(3036),
    [sym_preproc_pragma] = STATE(3036),
    [sym_preproc_nullable] = STATE(3036),
    [sym_preproc_error] = STATE(3036),
    [sym_preproc_define] = STATE(3036),
    [sym_preproc_undef] = STATE(3036),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_in] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3037] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2833),
    [sym_property_pattern_clause] = STATE(2881),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3037),
    [sym_preproc_endregion] = STATE(3037),
    [sym_preproc_line] = STATE(3037),
    [sym_preproc_pragma] = STATE(3037),
    [sym_preproc_nullable] = STATE(3037),
    [sym_preproc_error] = STATE(3037),
    [sym_preproc_define] = STATE(3037),
    [sym_preproc_undef] = STATE(3037),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4345),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3038] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3098),
    [sym_property_pattern_clause] = STATE(3147),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3038),
    [sym_preproc_endregion] = STATE(3038),
    [sym_preproc_line] = STATE(3038),
    [sym_preproc_pragma] = STATE(3038),
    [sym_preproc_nullable] = STATE(3038),
    [sym_preproc_error] = STATE(3038),
    [sym_preproc_define] = STATE(3038),
    [sym_preproc_undef] = STATE(3038),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COLON] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4353),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3039] = {
    [sym_preproc_region] = STATE(3039),
    [sym_preproc_endregion] = STATE(3039),
    [sym_preproc_line] = STATE(3039),
    [sym_preproc_pragma] = STATE(3039),
    [sym_preproc_nullable] = STATE(3039),
    [sym_preproc_error] = STATE(3039),
    [sym_preproc_define] = STATE(3039),
    [sym_preproc_undef] = STATE(3039),
    [anon_sym_SEMI] = ACTIONS(4709),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_COLON] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_RBRACK] = ACTIONS(4709),
    [anon_sym_LPAREN] = ACTIONS(4709),
    [anon_sym_RPAREN] = ACTIONS(4709),
    [anon_sym_RBRACE] = ACTIONS(4709),
    [anon_sym_LT] = ACTIONS(4711),
    [anon_sym_GT] = ACTIONS(4711),
    [anon_sym_in] = ACTIONS(4709),
    [anon_sym_where] = ACTIONS(4709),
    [anon_sym_QMARK] = ACTIONS(4711),
    [anon_sym_BANG] = ACTIONS(4711),
    [anon_sym_PLUS_PLUS] = ACTIONS(4709),
    [anon_sym_DASH_DASH] = ACTIONS(4709),
    [anon_sym_PLUS] = ACTIONS(4711),
    [anon_sym_DASH] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_SLASH] = ACTIONS(4711),
    [anon_sym_PERCENT] = ACTIONS(4711),
    [anon_sym_CARET] = ACTIONS(4711),
    [anon_sym_PIPE] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4711),
    [anon_sym_LT_LT] = ACTIONS(4711),
    [anon_sym_GT_GT] = ACTIONS(4711),
    [anon_sym_GT_GT_GT] = ACTIONS(4711),
    [anon_sym_EQ_EQ] = ACTIONS(4709),
    [anon_sym_BANG_EQ] = ACTIONS(4709),
    [anon_sym_GT_EQ] = ACTIONS(4709),
    [anon_sym_LT_EQ] = ACTIONS(4709),
    [anon_sym_DOT] = ACTIONS(4711),
    [anon_sym_EQ_GT] = ACTIONS(4709),
    [anon_sym_switch] = ACTIONS(4709),
    [anon_sym_DOT_DOT] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4711),
    [anon_sym_PLUS_EQ] = ACTIONS(4709),
    [anon_sym_DASH_EQ] = ACTIONS(4709),
    [anon_sym_STAR_EQ] = ACTIONS(4709),
    [anon_sym_SLASH_EQ] = ACTIONS(4709),
    [anon_sym_PERCENT_EQ] = ACTIONS(4709),
    [anon_sym_AMP_EQ] = ACTIONS(4709),
    [anon_sym_CARET_EQ] = ACTIONS(4709),
    [anon_sym_PIPE_EQ] = ACTIONS(4709),
    [anon_sym_LT_LT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4709),
    [anon_sym_AMP_AMP] = ACTIONS(4709),
    [anon_sym_PIPE_PIPE] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK] = ACTIONS(4711),
    [anon_sym_from] = ACTIONS(4709),
    [anon_sym_join] = ACTIONS(4709),
    [anon_sym_on] = ACTIONS(4709),
    [anon_sym_equals] = ACTIONS(4709),
    [anon_sym_let] = ACTIONS(4709),
    [anon_sym_orderby] = ACTIONS(4709),
    [anon_sym_group] = ACTIONS(4709),
    [anon_sym_by] = ACTIONS(4709),
    [anon_sym_select] = ACTIONS(4709),
    [anon_sym_as] = ACTIONS(4709),
    [anon_sym_is] = ACTIONS(4709),
    [anon_sym_DASH_GT] = ACTIONS(4709),
    [anon_sym_with] = ACTIONS(4709),
    [aux_sym_preproc_if_token3] = ACTIONS(4709),
    [aux_sym_preproc_else_token1] = ACTIONS(4709),
    [aux_sym_preproc_elif_token1] = ACTIONS(4709),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3040] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3131),
    [sym_property_pattern_clause] = STATE(3175),
    [sym__variable_designation] = STATE(4679),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4478),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3040),
    [sym_preproc_endregion] = STATE(3040),
    [sym_preproc_line] = STATE(3040),
    [sym_preproc_pragma] = STATE(3040),
    [sym_preproc_nullable] = STATE(3040),
    [sym_preproc_error] = STATE(3040),
    [sym_preproc_define] = STATE(3040),
    [sym_preproc_undef] = STATE(3040),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4353),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4353),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4353),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4353),
    [anon_sym_orderby] = ACTIONS(4353),
    [anon_sym_ascending] = ACTIONS(4353),
    [anon_sym_descending] = ACTIONS(4353),
    [anon_sym_group] = ACTIONS(4353),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4353),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3041] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3131),
    [sym_property_pattern_clause] = STATE(3175),
    [sym__variable_designation] = STATE(4679),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4478),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3041),
    [sym_preproc_endregion] = STATE(3041),
    [sym_preproc_line] = STATE(3041),
    [sym_preproc_pragma] = STATE(3041),
    [sym_preproc_nullable] = STATE(3041),
    [sym_preproc_error] = STATE(3041),
    [sym_preproc_define] = STATE(3041),
    [sym_preproc_undef] = STATE(3041),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4349),
    [anon_sym_descending] = ACTIONS(4349),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3042] = {
    [sym_preproc_region] = STATE(3042),
    [sym_preproc_endregion] = STATE(3042),
    [sym_preproc_line] = STATE(3042),
    [sym_preproc_pragma] = STATE(3042),
    [sym_preproc_nullable] = STATE(3042),
    [sym_preproc_error] = STATE(3042),
    [sym_preproc_define] = STATE(3042),
    [sym_preproc_undef] = STATE(3042),
    [anon_sym_SEMI] = ACTIONS(4646),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4646),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4646),
    [anon_sym_RBRACK] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(4646),
    [anon_sym_RPAREN] = ACTIONS(4646),
    [anon_sym_RBRACE] = ACTIONS(4646),
    [anon_sym_LT] = ACTIONS(4648),
    [anon_sym_GT] = ACTIONS(4648),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_where] = ACTIONS(4646),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_STAR] = ACTIONS(4648),
    [anon_sym_SLASH] = ACTIONS(4648),
    [anon_sym_PERCENT] = ACTIONS(4648),
    [anon_sym_CARET] = ACTIONS(4648),
    [anon_sym_PIPE] = ACTIONS(4648),
    [anon_sym_AMP] = ACTIONS(4648),
    [anon_sym_LT_LT] = ACTIONS(4648),
    [anon_sym_GT_GT] = ACTIONS(4648),
    [anon_sym_GT_GT_GT] = ACTIONS(4648),
    [anon_sym_EQ_EQ] = ACTIONS(4646),
    [anon_sym_BANG_EQ] = ACTIONS(4646),
    [anon_sym_GT_EQ] = ACTIONS(4646),
    [anon_sym_LT_EQ] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(4648),
    [anon_sym_EQ_GT] = ACTIONS(4646),
    [anon_sym_switch] = ACTIONS(4646),
    [anon_sym_DOT_DOT] = ACTIONS(4646),
    [anon_sym_and] = ACTIONS(4646),
    [anon_sym_or] = ACTIONS(4648),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4646),
    [anon_sym_PIPE_PIPE] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK] = ACTIONS(4648),
    [anon_sym_from] = ACTIONS(4646),
    [anon_sym_join] = ACTIONS(4646),
    [anon_sym_on] = ACTIONS(4646),
    [anon_sym_equals] = ACTIONS(4646),
    [anon_sym_let] = ACTIONS(4646),
    [anon_sym_orderby] = ACTIONS(4646),
    [anon_sym_group] = ACTIONS(4646),
    [anon_sym_by] = ACTIONS(4646),
    [anon_sym_select] = ACTIONS(4646),
    [anon_sym_as] = ACTIONS(4646),
    [anon_sym_is] = ACTIONS(4646),
    [anon_sym_DASH_GT] = ACTIONS(4646),
    [anon_sym_with] = ACTIONS(4646),
    [aux_sym_preproc_if_token3] = ACTIONS(4646),
    [aux_sym_preproc_else_token1] = ACTIONS(4646),
    [aux_sym_preproc_elif_token1] = ACTIONS(4646),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3043] = {
    [sym_preproc_region] = STATE(3043),
    [sym_preproc_endregion] = STATE(3043),
    [sym_preproc_line] = STATE(3043),
    [sym_preproc_pragma] = STATE(3043),
    [sym_preproc_nullable] = STATE(3043),
    [sym_preproc_error] = STATE(3043),
    [sym_preproc_define] = STATE(3043),
    [sym_preproc_undef] = STATE(3043),
    [anon_sym_SEMI] = ACTIONS(4686),
    [anon_sym_EQ] = ACTIONS(4688),
    [anon_sym_LBRACK] = ACTIONS(4686),
    [anon_sym_COLON] = ACTIONS(4686),
    [anon_sym_COMMA] = ACTIONS(4686),
    [anon_sym_RBRACK] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4686),
    [anon_sym_RPAREN] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4686),
    [anon_sym_LT] = ACTIONS(4688),
    [anon_sym_GT] = ACTIONS(4688),
    [anon_sym_in] = ACTIONS(4686),
    [anon_sym_where] = ACTIONS(4686),
    [anon_sym_QMARK] = ACTIONS(4688),
    [anon_sym_BANG] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4686),
    [anon_sym_DASH_DASH] = ACTIONS(4686),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_DASH] = ACTIONS(4688),
    [anon_sym_STAR] = ACTIONS(4688),
    [anon_sym_SLASH] = ACTIONS(4688),
    [anon_sym_PERCENT] = ACTIONS(4688),
    [anon_sym_CARET] = ACTIONS(4688),
    [anon_sym_PIPE] = ACTIONS(4688),
    [anon_sym_AMP] = ACTIONS(4688),
    [anon_sym_LT_LT] = ACTIONS(4688),
    [anon_sym_GT_GT] = ACTIONS(4688),
    [anon_sym_GT_GT_GT] = ACTIONS(4688),
    [anon_sym_EQ_EQ] = ACTIONS(4686),
    [anon_sym_BANG_EQ] = ACTIONS(4686),
    [anon_sym_GT_EQ] = ACTIONS(4686),
    [anon_sym_LT_EQ] = ACTIONS(4686),
    [anon_sym_DOT] = ACTIONS(4688),
    [anon_sym_EQ_GT] = ACTIONS(4686),
    [anon_sym_switch] = ACTIONS(4686),
    [anon_sym_DOT_DOT] = ACTIONS(4686),
    [anon_sym_and] = ACTIONS(4686),
    [anon_sym_or] = ACTIONS(4688),
    [anon_sym_PLUS_EQ] = ACTIONS(4686),
    [anon_sym_DASH_EQ] = ACTIONS(4686),
    [anon_sym_STAR_EQ] = ACTIONS(4686),
    [anon_sym_SLASH_EQ] = ACTIONS(4686),
    [anon_sym_PERCENT_EQ] = ACTIONS(4686),
    [anon_sym_AMP_EQ] = ACTIONS(4686),
    [anon_sym_CARET_EQ] = ACTIONS(4686),
    [anon_sym_PIPE_EQ] = ACTIONS(4686),
    [anon_sym_LT_LT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4686),
    [anon_sym_AMP_AMP] = ACTIONS(4686),
    [anon_sym_PIPE_PIPE] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK] = ACTIONS(4688),
    [anon_sym_from] = ACTIONS(4686),
    [anon_sym_join] = ACTIONS(4686),
    [anon_sym_on] = ACTIONS(4686),
    [anon_sym_equals] = ACTIONS(4686),
    [anon_sym_let] = ACTIONS(4686),
    [anon_sym_orderby] = ACTIONS(4686),
    [anon_sym_group] = ACTIONS(4686),
    [anon_sym_by] = ACTIONS(4686),
    [anon_sym_select] = ACTIONS(4686),
    [anon_sym_as] = ACTIONS(4686),
    [anon_sym_is] = ACTIONS(4686),
    [anon_sym_DASH_GT] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [aux_sym_preproc_if_token3] = ACTIONS(4686),
    [aux_sym_preproc_else_token1] = ACTIONS(4686),
    [aux_sym_preproc_elif_token1] = ACTIONS(4686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3044] = {
    [sym_preproc_region] = STATE(3044),
    [sym_preproc_endregion] = STATE(3044),
    [sym_preproc_line] = STATE(3044),
    [sym_preproc_pragma] = STATE(3044),
    [sym_preproc_nullable] = STATE(3044),
    [sym_preproc_error] = STATE(3044),
    [sym_preproc_define] = STATE(3044),
    [sym_preproc_undef] = STATE(3044),
    [anon_sym_SEMI] = ACTIONS(4696),
    [anon_sym_EQ] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4696),
    [anon_sym_COMMA] = ACTIONS(4696),
    [anon_sym_RBRACK] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4696),
    [anon_sym_RPAREN] = ACTIONS(4696),
    [anon_sym_RBRACE] = ACTIONS(4696),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_GT] = ACTIONS(4698),
    [anon_sym_in] = ACTIONS(4696),
    [anon_sym_where] = ACTIONS(4696),
    [anon_sym_QMARK] = ACTIONS(4698),
    [anon_sym_BANG] = ACTIONS(4698),
    [anon_sym_PLUS_PLUS] = ACTIONS(4696),
    [anon_sym_DASH_DASH] = ACTIONS(4696),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_DASH] = ACTIONS(4698),
    [anon_sym_STAR] = ACTIONS(4698),
    [anon_sym_SLASH] = ACTIONS(4698),
    [anon_sym_PERCENT] = ACTIONS(4698),
    [anon_sym_CARET] = ACTIONS(4698),
    [anon_sym_PIPE] = ACTIONS(4698),
    [anon_sym_AMP] = ACTIONS(4698),
    [anon_sym_LT_LT] = ACTIONS(4698),
    [anon_sym_GT_GT] = ACTIONS(4698),
    [anon_sym_GT_GT_GT] = ACTIONS(4698),
    [anon_sym_EQ_EQ] = ACTIONS(4696),
    [anon_sym_BANG_EQ] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4696),
    [anon_sym_LT_EQ] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(4698),
    [anon_sym_EQ_GT] = ACTIONS(4696),
    [anon_sym_switch] = ACTIONS(4696),
    [anon_sym_DOT_DOT] = ACTIONS(4696),
    [anon_sym_and] = ACTIONS(4696),
    [anon_sym_or] = ACTIONS(4698),
    [anon_sym_PLUS_EQ] = ACTIONS(4696),
    [anon_sym_DASH_EQ] = ACTIONS(4696),
    [anon_sym_STAR_EQ] = ACTIONS(4696),
    [anon_sym_SLASH_EQ] = ACTIONS(4696),
    [anon_sym_PERCENT_EQ] = ACTIONS(4696),
    [anon_sym_AMP_EQ] = ACTIONS(4696),
    [anon_sym_CARET_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_LT_LT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4696),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK] = ACTIONS(4698),
    [anon_sym_from] = ACTIONS(4696),
    [anon_sym_join] = ACTIONS(4696),
    [anon_sym_on] = ACTIONS(4696),
    [anon_sym_equals] = ACTIONS(4696),
    [anon_sym_let] = ACTIONS(4696),
    [anon_sym_orderby] = ACTIONS(4696),
    [anon_sym_group] = ACTIONS(4696),
    [anon_sym_by] = ACTIONS(4696),
    [anon_sym_select] = ACTIONS(4696),
    [anon_sym_as] = ACTIONS(4696),
    [anon_sym_is] = ACTIONS(4696),
    [anon_sym_DASH_GT] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [aux_sym_preproc_if_token3] = ACTIONS(4696),
    [aux_sym_preproc_else_token1] = ACTIONS(4696),
    [aux_sym_preproc_elif_token1] = ACTIONS(4696),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3045] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3108),
    [sym_property_pattern_clause] = STATE(3157),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3045),
    [sym_preproc_endregion] = STATE(3045),
    [sym_preproc_line] = STATE(3045),
    [sym_preproc_pragma] = STATE(3045),
    [sym_preproc_nullable] = STATE(3045),
    [sym_preproc_error] = STATE(3045),
    [sym_preproc_define] = STATE(3045),
    [sym_preproc_undef] = STATE(3045),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4355),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4353),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3046] = {
    [sym_preproc_region] = STATE(3046),
    [sym_preproc_endregion] = STATE(3046),
    [sym_preproc_line] = STATE(3046),
    [sym_preproc_pragma] = STATE(3046),
    [sym_preproc_nullable] = STATE(3046),
    [sym_preproc_error] = STATE(3046),
    [sym_preproc_define] = STATE(3046),
    [sym_preproc_undef] = STATE(3046),
    [anon_sym_SEMI] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4642),
    [anon_sym_LBRACK] = ACTIONS(4640),
    [anon_sym_COLON] = ACTIONS(4640),
    [anon_sym_COMMA] = ACTIONS(4640),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_LPAREN] = ACTIONS(4640),
    [anon_sym_RPAREN] = ACTIONS(4640),
    [anon_sym_RBRACE] = ACTIONS(4640),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_GT] = ACTIONS(4642),
    [anon_sym_in] = ACTIONS(4640),
    [anon_sym_where] = ACTIONS(4640),
    [anon_sym_QMARK] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(4642),
    [anon_sym_DASH] = ACTIONS(4642),
    [anon_sym_STAR] = ACTIONS(4642),
    [anon_sym_SLASH] = ACTIONS(4642),
    [anon_sym_PERCENT] = ACTIONS(4642),
    [anon_sym_CARET] = ACTIONS(4642),
    [anon_sym_PIPE] = ACTIONS(4642),
    [anon_sym_AMP] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(4642),
    [anon_sym_GT_GT] = ACTIONS(4642),
    [anon_sym_GT_GT_GT] = ACTIONS(4642),
    [anon_sym_EQ_EQ] = ACTIONS(4640),
    [anon_sym_BANG_EQ] = ACTIONS(4640),
    [anon_sym_GT_EQ] = ACTIONS(4640),
    [anon_sym_LT_EQ] = ACTIONS(4640),
    [anon_sym_DOT] = ACTIONS(4642),
    [anon_sym_EQ_GT] = ACTIONS(4640),
    [anon_sym_switch] = ACTIONS(4640),
    [anon_sym_DOT_DOT] = ACTIONS(4640),
    [anon_sym_and] = ACTIONS(4640),
    [anon_sym_or] = ACTIONS(4642),
    [anon_sym_PLUS_EQ] = ACTIONS(4640),
    [anon_sym_DASH_EQ] = ACTIONS(4640),
    [anon_sym_STAR_EQ] = ACTIONS(4640),
    [anon_sym_SLASH_EQ] = ACTIONS(4640),
    [anon_sym_PERCENT_EQ] = ACTIONS(4640),
    [anon_sym_AMP_EQ] = ACTIONS(4640),
    [anon_sym_CARET_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_LT_LT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4640),
    [anon_sym_AMP_AMP] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK] = ACTIONS(4642),
    [anon_sym_from] = ACTIONS(4640),
    [anon_sym_join] = ACTIONS(4640),
    [anon_sym_on] = ACTIONS(4640),
    [anon_sym_equals] = ACTIONS(4640),
    [anon_sym_let] = ACTIONS(4640),
    [anon_sym_orderby] = ACTIONS(4640),
    [anon_sym_group] = ACTIONS(4640),
    [anon_sym_by] = ACTIONS(4640),
    [anon_sym_select] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4640),
    [anon_sym_is] = ACTIONS(4640),
    [anon_sym_DASH_GT] = ACTIONS(4640),
    [anon_sym_with] = ACTIONS(4640),
    [aux_sym_preproc_if_token3] = ACTIONS(4640),
    [aux_sym_preproc_else_token1] = ACTIONS(4640),
    [aux_sym_preproc_elif_token1] = ACTIONS(4640),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3047] = {
    [sym_preproc_region] = STATE(3047),
    [sym_preproc_endregion] = STATE(3047),
    [sym_preproc_line] = STATE(3047),
    [sym_preproc_pragma] = STATE(3047),
    [sym_preproc_nullable] = STATE(3047),
    [sym_preproc_error] = STATE(3047),
    [sym_preproc_define] = STATE(3047),
    [sym_preproc_undef] = STATE(3047),
    [anon_sym_SEMI] = ACTIONS(4690),
    [anon_sym_EQ] = ACTIONS(4692),
    [anon_sym_LBRACK] = ACTIONS(4690),
    [anon_sym_COLON] = ACTIONS(4690),
    [anon_sym_COMMA] = ACTIONS(4690),
    [anon_sym_RBRACK] = ACTIONS(4690),
    [anon_sym_LPAREN] = ACTIONS(4690),
    [anon_sym_RPAREN] = ACTIONS(4690),
    [anon_sym_RBRACE] = ACTIONS(4690),
    [anon_sym_LT] = ACTIONS(4692),
    [anon_sym_GT] = ACTIONS(4692),
    [anon_sym_in] = ACTIONS(4690),
    [anon_sym_where] = ACTIONS(4690),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_BANG] = ACTIONS(4692),
    [anon_sym_PLUS_PLUS] = ACTIONS(4690),
    [anon_sym_DASH_DASH] = ACTIONS(4690),
    [anon_sym_PLUS] = ACTIONS(4692),
    [anon_sym_DASH] = ACTIONS(4692),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_SLASH] = ACTIONS(4692),
    [anon_sym_PERCENT] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4692),
    [anon_sym_PIPE] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_LT_LT] = ACTIONS(4692),
    [anon_sym_GT_GT] = ACTIONS(4692),
    [anon_sym_GT_GT_GT] = ACTIONS(4692),
    [anon_sym_EQ_EQ] = ACTIONS(4690),
    [anon_sym_BANG_EQ] = ACTIONS(4690),
    [anon_sym_GT_EQ] = ACTIONS(4690),
    [anon_sym_LT_EQ] = ACTIONS(4690),
    [anon_sym_DOT] = ACTIONS(4692),
    [anon_sym_EQ_GT] = ACTIONS(4690),
    [anon_sym_switch] = ACTIONS(4690),
    [anon_sym_DOT_DOT] = ACTIONS(4690),
    [anon_sym_and] = ACTIONS(4690),
    [anon_sym_or] = ACTIONS(4692),
    [anon_sym_PLUS_EQ] = ACTIONS(4690),
    [anon_sym_DASH_EQ] = ACTIONS(4690),
    [anon_sym_STAR_EQ] = ACTIONS(4690),
    [anon_sym_SLASH_EQ] = ACTIONS(4690),
    [anon_sym_PERCENT_EQ] = ACTIONS(4690),
    [anon_sym_AMP_EQ] = ACTIONS(4690),
    [anon_sym_CARET_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_LT_LT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4690),
    [anon_sym_AMP_AMP] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK] = ACTIONS(4692),
    [anon_sym_from] = ACTIONS(4690),
    [anon_sym_join] = ACTIONS(4690),
    [anon_sym_on] = ACTIONS(4690),
    [anon_sym_equals] = ACTIONS(4690),
    [anon_sym_let] = ACTIONS(4690),
    [anon_sym_orderby] = ACTIONS(4690),
    [anon_sym_group] = ACTIONS(4690),
    [anon_sym_by] = ACTIONS(4690),
    [anon_sym_select] = ACTIONS(4690),
    [anon_sym_as] = ACTIONS(4690),
    [anon_sym_is] = ACTIONS(4690),
    [anon_sym_DASH_GT] = ACTIONS(4690),
    [anon_sym_with] = ACTIONS(4690),
    [aux_sym_preproc_if_token3] = ACTIONS(4690),
    [aux_sym_preproc_else_token1] = ACTIONS(4690),
    [aux_sym_preproc_elif_token1] = ACTIONS(4690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3048] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3131),
    [sym_property_pattern_clause] = STATE(3175),
    [sym__variable_designation] = STATE(4679),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4478),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3048),
    [sym_preproc_endregion] = STATE(3048),
    [sym_preproc_line] = STATE(3048),
    [sym_preproc_pragma] = STATE(3048),
    [sym_preproc_nullable] = STATE(3048),
    [sym_preproc_error] = STATE(3048),
    [sym_preproc_define] = STATE(3048),
    [sym_preproc_undef] = STATE(3048),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4349),
    [anon_sym_descending] = ACTIONS(4349),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3049] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(2848),
    [sym_property_pattern_clause] = STATE(2902),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3049),
    [sym_preproc_endregion] = STATE(3049),
    [sym_preproc_line] = STATE(3049),
    [sym_preproc_pragma] = STATE(3049),
    [sym_preproc_nullable] = STATE(3049),
    [sym_preproc_error] = STATE(3049),
    [sym_preproc_define] = STATE(3049),
    [sym_preproc_undef] = STATE(3049),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4355),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3050] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3123),
    [sym_property_pattern_clause] = STATE(3195),
    [sym__variable_designation] = STATE(4679),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4478),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3050),
    [sym_preproc_endregion] = STATE(3050),
    [sym_preproc_line] = STATE(3050),
    [sym_preproc_pragma] = STATE(3050),
    [sym_preproc_nullable] = STATE(3050),
    [sym_preproc_error] = STATE(3050),
    [sym_preproc_define] = STATE(3050),
    [sym_preproc_undef] = STATE(3050),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COMMA] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4349),
    [anon_sym_descending] = ACTIONS(4349),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3051] = {
    [sym_preproc_region] = STATE(3051),
    [sym_preproc_endregion] = STATE(3051),
    [sym_preproc_line] = STATE(3051),
    [sym_preproc_pragma] = STATE(3051),
    [sym_preproc_nullable] = STATE(3051),
    [sym_preproc_error] = STATE(3051),
    [sym_preproc_define] = STATE(3051),
    [sym_preproc_undef] = STATE(3051),
    [anon_sym_SEMI] = ACTIONS(4197),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(4197),
    [anon_sym_where] = ACTIONS(4197),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4197),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4197),
    [anon_sym_join] = ACTIONS(4197),
    [anon_sym_on] = ACTIONS(4197),
    [anon_sym_equals] = ACTIONS(4197),
    [anon_sym_let] = ACTIONS(4197),
    [anon_sym_orderby] = ACTIONS(4197),
    [anon_sym_group] = ACTIONS(4197),
    [anon_sym_by] = ACTIONS(4197),
    [anon_sym_select] = ACTIONS(4197),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_if_token3] = ACTIONS(4197),
    [aux_sym_preproc_else_token1] = ACTIONS(4197),
    [aux_sym_preproc_elif_token1] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3052] = {
    [sym_preproc_region] = STATE(3052),
    [sym_preproc_endregion] = STATE(3052),
    [sym_preproc_line] = STATE(3052),
    [sym_preproc_pragma] = STATE(3052),
    [sym_preproc_nullable] = STATE(3052),
    [sym_preproc_error] = STATE(3052),
    [sym_preproc_define] = STATE(3052),
    [sym_preproc_undef] = STATE(3052),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym_EQ] = ACTIONS(4666),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_COLON] = ACTIONS(4664),
    [anon_sym_COMMA] = ACTIONS(4664),
    [anon_sym_RBRACK] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(4664),
    [anon_sym_RPAREN] = ACTIONS(4664),
    [anon_sym_RBRACE] = ACTIONS(4664),
    [anon_sym_LT] = ACTIONS(4666),
    [anon_sym_GT] = ACTIONS(4666),
    [anon_sym_in] = ACTIONS(4664),
    [anon_sym_where] = ACTIONS(4664),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_BANG] = ACTIONS(4666),
    [anon_sym_PLUS_PLUS] = ACTIONS(4664),
    [anon_sym_DASH_DASH] = ACTIONS(4664),
    [anon_sym_PLUS] = ACTIONS(4666),
    [anon_sym_DASH] = ACTIONS(4666),
    [anon_sym_STAR] = ACTIONS(4666),
    [anon_sym_SLASH] = ACTIONS(4666),
    [anon_sym_PERCENT] = ACTIONS(4666),
    [anon_sym_CARET] = ACTIONS(4666),
    [anon_sym_PIPE] = ACTIONS(4666),
    [anon_sym_AMP] = ACTIONS(4666),
    [anon_sym_LT_LT] = ACTIONS(4666),
    [anon_sym_GT_GT] = ACTIONS(4666),
    [anon_sym_GT_GT_GT] = ACTIONS(4666),
    [anon_sym_EQ_EQ] = ACTIONS(4664),
    [anon_sym_BANG_EQ] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4664),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_DOT] = ACTIONS(4666),
    [anon_sym_EQ_GT] = ACTIONS(4664),
    [anon_sym_switch] = ACTIONS(4664),
    [anon_sym_DOT_DOT] = ACTIONS(4664),
    [anon_sym_and] = ACTIONS(4664),
    [anon_sym_or] = ACTIONS(4666),
    [anon_sym_PLUS_EQ] = ACTIONS(4664),
    [anon_sym_DASH_EQ] = ACTIONS(4664),
    [anon_sym_STAR_EQ] = ACTIONS(4664),
    [anon_sym_SLASH_EQ] = ACTIONS(4664),
    [anon_sym_PERCENT_EQ] = ACTIONS(4664),
    [anon_sym_AMP_EQ] = ACTIONS(4664),
    [anon_sym_CARET_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_LT_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4664),
    [anon_sym_AMP_AMP] = ACTIONS(4664),
    [anon_sym_PIPE_PIPE] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK] = ACTIONS(4666),
    [anon_sym_from] = ACTIONS(4664),
    [anon_sym_join] = ACTIONS(4664),
    [anon_sym_on] = ACTIONS(4664),
    [anon_sym_equals] = ACTIONS(4664),
    [anon_sym_let] = ACTIONS(4664),
    [anon_sym_orderby] = ACTIONS(4664),
    [anon_sym_group] = ACTIONS(4664),
    [anon_sym_by] = ACTIONS(4664),
    [anon_sym_select] = ACTIONS(4664),
    [anon_sym_as] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4664),
    [anon_sym_DASH_GT] = ACTIONS(4664),
    [anon_sym_with] = ACTIONS(4664),
    [aux_sym_preproc_if_token3] = ACTIONS(4664),
    [aux_sym_preproc_else_token1] = ACTIONS(4664),
    [aux_sym_preproc_elif_token1] = ACTIONS(4664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3053] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3108),
    [sym_property_pattern_clause] = STATE(3157),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3053),
    [sym_preproc_endregion] = STATE(3053),
    [sym_preproc_line] = STATE(3053),
    [sym_preproc_pragma] = STATE(3053),
    [sym_preproc_nullable] = STATE(3053),
    [sym_preproc_error] = STATE(3053),
    [sym_preproc_define] = STATE(3053),
    [sym_preproc_undef] = STATE(3053),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4349),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3054] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3108),
    [sym_property_pattern_clause] = STATE(3157),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(5886),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3054),
    [sym_preproc_endregion] = STATE(3054),
    [sym_preproc_line] = STATE(3054),
    [sym_preproc_pragma] = STATE(3054),
    [sym_preproc_nullable] = STATE(3054),
    [sym_preproc_error] = STATE(3054),
    [sym_preproc_define] = STATE(3054),
    [sym_preproc_undef] = STATE(3054),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4345),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4349),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3055] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3108),
    [sym_property_pattern_clause] = STATE(3157),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3055),
    [sym_preproc_endregion] = STATE(3055),
    [sym_preproc_line] = STATE(3055),
    [sym_preproc_pragma] = STATE(3055),
    [sym_preproc_nullable] = STATE(3055),
    [sym_preproc_error] = STATE(3055),
    [sym_preproc_define] = STATE(3055),
    [sym_preproc_undef] = STATE(3055),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_COLON] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4353),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3056] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3098),
    [sym_property_pattern_clause] = STATE(3147),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3056),
    [sym_preproc_endregion] = STATE(3056),
    [sym_preproc_line] = STATE(3056),
    [sym_preproc_pragma] = STATE(3056),
    [sym_preproc_nullable] = STATE(3056),
    [sym_preproc_error] = STATE(3056),
    [sym_preproc_define] = STATE(3056),
    [sym_preproc_undef] = STATE(3056),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_COLON] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4349),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3057] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3134),
    [sym_property_pattern_clause] = STATE(3209),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3057),
    [sym_preproc_endregion] = STATE(3057),
    [sym_preproc_line] = STATE(3057),
    [sym_preproc_pragma] = STATE(3057),
    [sym_preproc_nullable] = STATE(3057),
    [sym_preproc_error] = STATE(3057),
    [sym_preproc_define] = STATE(3057),
    [sym_preproc_undef] = STATE(3057),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_in] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3058] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3134),
    [sym_property_pattern_clause] = STATE(3209),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3058),
    [sym_preproc_endregion] = STATE(3058),
    [sym_preproc_line] = STATE(3058),
    [sym_preproc_pragma] = STATE(3058),
    [sym_preproc_nullable] = STATE(3058),
    [sym_preproc_error] = STATE(3058),
    [sym_preproc_define] = STATE(3058),
    [sym_preproc_undef] = STATE(3058),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_in] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3059] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3149),
    [sym_property_pattern_clause] = STATE(3430),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3059),
    [sym_preproc_endregion] = STATE(3059),
    [sym_preproc_line] = STATE(3059),
    [sym_preproc_pragma] = STATE(3059),
    [sym_preproc_nullable] = STATE(3059),
    [sym_preproc_error] = STATE(3059),
    [sym_preproc_define] = STATE(3059),
    [sym_preproc_undef] = STATE(3059),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4349),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3060] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3167),
    [sym_property_pattern_clause] = STATE(3313),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3060),
    [sym_preproc_endregion] = STATE(3060),
    [sym_preproc_line] = STATE(3060),
    [sym_preproc_pragma] = STATE(3060),
    [sym_preproc_nullable] = STATE(3060),
    [sym_preproc_error] = STATE(3060),
    [sym_preproc_define] = STATE(3060),
    [sym_preproc_undef] = STATE(3060),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4349),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3061] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3141),
    [sym_property_pattern_clause] = STATE(3523),
    [sym__variable_designation] = STATE(5017),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4965),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3061),
    [sym_preproc_endregion] = STATE(3061),
    [sym_preproc_line] = STATE(3061),
    [sym_preproc_pragma] = STATE(3061),
    [sym_preproc_nullable] = STATE(3061),
    [sym_preproc_error] = STATE(3061),
    [sym_preproc_define] = STATE(3061),
    [sym_preproc_undef] = STATE(3061),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4353),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4353),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4353),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4353),
    [anon_sym_orderby] = ACTIONS(4353),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4353),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4353),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3062] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3141),
    [sym_property_pattern_clause] = STATE(3523),
    [sym__variable_designation] = STATE(5017),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4965),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3062),
    [sym_preproc_endregion] = STATE(3062),
    [sym_preproc_line] = STATE(3062),
    [sym_preproc_pragma] = STATE(3062),
    [sym_preproc_nullable] = STATE(3062),
    [sym_preproc_error] = STATE(3062),
    [sym_preproc_define] = STATE(3062),
    [sym_preproc_undef] = STATE(3062),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3063] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3167),
    [sym_property_pattern_clause] = STATE(3313),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3063),
    [sym_preproc_endregion] = STATE(3063),
    [sym_preproc_line] = STATE(3063),
    [sym_preproc_pragma] = STATE(3063),
    [sym_preproc_nullable] = STATE(3063),
    [sym_preproc_error] = STATE(3063),
    [sym_preproc_define] = STATE(3063),
    [sym_preproc_undef] = STATE(3063),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4353),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3064] = {
    [sym_property_pattern_clause] = STATE(3135),
    [sym__variable_designation] = STATE(5496),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3064),
    [sym_preproc_endregion] = STATE(3064),
    [sym_preproc_line] = STATE(3064),
    [sym_preproc_pragma] = STATE(3064),
    [sym_preproc_nullable] = STATE(3064),
    [sym_preproc_error] = STATE(3064),
    [sym_preproc_define] = STATE(3064),
    [sym_preproc_undef] = STATE(3064),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4403),
  },
  [3065] = {
    [sym_property_pattern_clause] = STATE(3124),
    [sym__variable_designation] = STATE(5647),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3065),
    [sym_preproc_endregion] = STATE(3065),
    [sym_preproc_line] = STATE(3065),
    [sym_preproc_pragma] = STATE(3065),
    [sym_preproc_nullable] = STATE(3065),
    [sym_preproc_error] = STATE(3065),
    [sym_preproc_define] = STATE(3065),
    [sym_preproc_undef] = STATE(3065),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4393),
  },
  [3066] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3156),
    [sym_property_pattern_clause] = STATE(3360),
    [sym__variable_designation] = STATE(5017),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4965),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3066),
    [sym_preproc_endregion] = STATE(3066),
    [sym_preproc_line] = STATE(3066),
    [sym_preproc_pragma] = STATE(3066),
    [sym_preproc_nullable] = STATE(3066),
    [sym_preproc_error] = STATE(3066),
    [sym_preproc_define] = STATE(3066),
    [sym_preproc_undef] = STATE(3066),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3067] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3161),
    [sym_property_pattern_clause] = STATE(3371),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3067),
    [sym_preproc_endregion] = STATE(3067),
    [sym_preproc_line] = STATE(3067),
    [sym_preproc_pragma] = STATE(3067),
    [sym_preproc_nullable] = STATE(3067),
    [sym_preproc_error] = STATE(3067),
    [sym_preproc_define] = STATE(3067),
    [sym_preproc_undef] = STATE(3067),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4349),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3068] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3156),
    [sym_property_pattern_clause] = STATE(3360),
    [sym__variable_designation] = STATE(5017),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4965),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3068),
    [sym_preproc_endregion] = STATE(3068),
    [sym_preproc_line] = STATE(3068),
    [sym_preproc_pragma] = STATE(3068),
    [sym_preproc_nullable] = STATE(3068),
    [sym_preproc_error] = STATE(3068),
    [sym_preproc_define] = STATE(3068),
    [sym_preproc_undef] = STATE(3068),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4353),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4353),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4353),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4353),
    [anon_sym_orderby] = ACTIONS(4353),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4353),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4353),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3069] = {
    [sym__name] = STATE(3772),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_ref_type] = STATE(3660),
    [sym__scoped_base_type] = STATE(3678),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3069),
    [sym_preproc_endregion] = STATE(3069),
    [sym_preproc_line] = STATE(3069),
    [sym_preproc_pragma] = STATE(3069),
    [sym_preproc_nullable] = STATE(3069),
    [sym_preproc_error] = STATE(3069),
    [sym_preproc_define] = STATE(3069),
    [sym_preproc_undef] = STATE(3069),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4719),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4702),
    [anon_sym_select] = ACTIONS(4337),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3070] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3165),
    [sym_property_pattern_clause] = STATE(3379),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3070),
    [sym_preproc_endregion] = STATE(3070),
    [sym_preproc_line] = STATE(3070),
    [sym_preproc_pragma] = STATE(3070),
    [sym_preproc_nullable] = STATE(3070),
    [sym_preproc_error] = STATE(3070),
    [sym_preproc_define] = STATE(3070),
    [sym_preproc_undef] = STATE(3070),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4349),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3071] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3161),
    [sym_property_pattern_clause] = STATE(3371),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3071),
    [sym_preproc_endregion] = STATE(3071),
    [sym_preproc_line] = STATE(3071),
    [sym_preproc_pragma] = STATE(3071),
    [sym_preproc_nullable] = STATE(3071),
    [sym_preproc_error] = STATE(3071),
    [sym_preproc_define] = STATE(3071),
    [sym_preproc_undef] = STATE(3071),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4353),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3072] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3165),
    [sym_property_pattern_clause] = STATE(3379),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3072),
    [sym_preproc_endregion] = STATE(3072),
    [sym_preproc_line] = STATE(3072),
    [sym_preproc_pragma] = STATE(3072),
    [sym_preproc_nullable] = STATE(3072),
    [sym_preproc_error] = STATE(3072),
    [sym_preproc_define] = STATE(3072),
    [sym_preproc_undef] = STATE(3072),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4353),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3073] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3145),
    [sym_property_pattern_clause] = STATE(3398),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3073),
    [sym_preproc_endregion] = STATE(3073),
    [sym_preproc_line] = STATE(3073),
    [sym_preproc_pragma] = STATE(3073),
    [sym_preproc_nullable] = STATE(3073),
    [sym_preproc_error] = STATE(3073),
    [sym_preproc_define] = STATE(3073),
    [sym_preproc_undef] = STATE(3073),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4349),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3074] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3145),
    [sym_property_pattern_clause] = STATE(3398),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3074),
    [sym_preproc_endregion] = STATE(3074),
    [sym_preproc_line] = STATE(3074),
    [sym_preproc_pragma] = STATE(3074),
    [sym_preproc_nullable] = STATE(3074),
    [sym_preproc_error] = STATE(3074),
    [sym_preproc_define] = STATE(3074),
    [sym_preproc_undef] = STATE(3074),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4353),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3075] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3149),
    [sym_property_pattern_clause] = STATE(3430),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3075),
    [sym_preproc_endregion] = STATE(3075),
    [sym_preproc_line] = STATE(3075),
    [sym_preproc_pragma] = STATE(3075),
    [sym_preproc_nullable] = STATE(3075),
    [sym_preproc_error] = STATE(3075),
    [sym_preproc_define] = STATE(3075),
    [sym_preproc_undef] = STATE(3075),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4349),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3076] = {
    [sym_property_pattern_clause] = STATE(3129),
    [sym__variable_designation] = STATE(5647),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3076),
    [sym_preproc_endregion] = STATE(3076),
    [sym_preproc_line] = STATE(3076),
    [sym_preproc_pragma] = STATE(3076),
    [sym_preproc_nullable] = STATE(3076),
    [sym_preproc_error] = STATE(3076),
    [sym_preproc_define] = STATE(3076),
    [sym_preproc_undef] = STATE(3076),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4393),
  },
  [3077] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3141),
    [sym_property_pattern_clause] = STATE(3523),
    [sym__variable_designation] = STATE(5017),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4965),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3077),
    [sym_preproc_endregion] = STATE(3077),
    [sym_preproc_line] = STATE(3077),
    [sym_preproc_pragma] = STATE(3077),
    [sym_preproc_nullable] = STATE(3077),
    [sym_preproc_error] = STATE(3077),
    [sym_preproc_define] = STATE(3077),
    [sym_preproc_undef] = STATE(3077),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3078] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3146),
    [sym_property_pattern_clause] = STATE(3422),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3078),
    [sym_preproc_endregion] = STATE(3078),
    [sym_preproc_line] = STATE(3078),
    [sym_preproc_pragma] = STATE(3078),
    [sym_preproc_nullable] = STATE(3078),
    [sym_preproc_error] = STATE(3078),
    [sym_preproc_define] = STATE(3078),
    [sym_preproc_undef] = STATE(3078),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4353),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3079] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3167),
    [sym_property_pattern_clause] = STATE(3313),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3079),
    [sym_preproc_endregion] = STATE(3079),
    [sym_preproc_line] = STATE(3079),
    [sym_preproc_pragma] = STATE(3079),
    [sym_preproc_nullable] = STATE(3079),
    [sym_preproc_error] = STATE(3079),
    [sym_preproc_define] = STATE(3079),
    [sym_preproc_undef] = STATE(3079),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4349),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3080] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3149),
    [sym_property_pattern_clause] = STATE(3430),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3080),
    [sym_preproc_endregion] = STATE(3080),
    [sym_preproc_line] = STATE(3080),
    [sym_preproc_pragma] = STATE(3080),
    [sym_preproc_nullable] = STATE(3080),
    [sym_preproc_error] = STATE(3080),
    [sym_preproc_define] = STATE(3080),
    [sym_preproc_undef] = STATE(3080),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4355),
    [anon_sym_LPAREN] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4353),
    [anon_sym_GT] = ACTIONS(4353),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4353),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4353),
    [anon_sym_PLUS_PLUS] = ACTIONS(4355),
    [anon_sym_DASH_DASH] = ACTIONS(4355),
    [anon_sym_PLUS] = ACTIONS(4353),
    [anon_sym_DASH] = ACTIONS(4353),
    [anon_sym_STAR] = ACTIONS(4355),
    [anon_sym_SLASH] = ACTIONS(4353),
    [anon_sym_PERCENT] = ACTIONS(4355),
    [anon_sym_CARET] = ACTIONS(4355),
    [anon_sym_PIPE] = ACTIONS(4353),
    [anon_sym_AMP] = ACTIONS(4353),
    [anon_sym_LT_LT] = ACTIONS(4355),
    [anon_sym_GT_GT] = ACTIONS(4353),
    [anon_sym_GT_GT_GT] = ACTIONS(4355),
    [anon_sym_EQ_EQ] = ACTIONS(4355),
    [anon_sym_BANG_EQ] = ACTIONS(4355),
    [anon_sym_GT_EQ] = ACTIONS(4355),
    [anon_sym_LT_EQ] = ACTIONS(4355),
    [anon_sym_DOT] = ACTIONS(4353),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4353),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4355),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4355),
    [anon_sym_PIPE_PIPE] = ACTIONS(4355),
    [anon_sym_QMARK_QMARK] = ACTIONS(4355),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4353),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4353),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4353),
    [anon_sym_is] = ACTIONS(4353),
    [anon_sym_DASH_GT] = ACTIONS(4355),
    [anon_sym_with] = ACTIONS(4353),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3081] = {
    [sym__name] = STATE(3772),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_ref_type] = STATE(3660),
    [sym__scoped_base_type] = STATE(3678),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3081),
    [sym_preproc_endregion] = STATE(3081),
    [sym_preproc_line] = STATE(3081),
    [sym_preproc_pragma] = STATE(3081),
    [sym_preproc_nullable] = STATE(3081),
    [sym_preproc_error] = STATE(3081),
    [sym_preproc_define] = STATE(3081),
    [sym_preproc_undef] = STATE(3081),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4721),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4702),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3082] = {
    [sym__name] = STATE(3772),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_ref_type] = STATE(3660),
    [sym__scoped_base_type] = STATE(3678),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3082),
    [sym_preproc_endregion] = STATE(3082),
    [sym_preproc_line] = STATE(3082),
    [sym_preproc_pragma] = STATE(3082),
    [sym_preproc_nullable] = STATE(3082),
    [sym_preproc_error] = STATE(3082),
    [sym_preproc_define] = STATE(3082),
    [sym_preproc_undef] = STATE(3082),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4723),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4702),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3083] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3146),
    [sym_property_pattern_clause] = STATE(3422),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3083),
    [sym_preproc_endregion] = STATE(3083),
    [sym_preproc_line] = STATE(3083),
    [sym_preproc_pragma] = STATE(3083),
    [sym_preproc_nullable] = STATE(3083),
    [sym_preproc_error] = STATE(3083),
    [sym_preproc_define] = STATE(3083),
    [sym_preproc_undef] = STATE(3083),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4353),
    [anon_sym_or] = ACTIONS(4353),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4349),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3084] = {
    [sym__name] = STATE(4335),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_ref_type] = STATE(3627),
    [sym__scoped_base_type] = STATE(3605),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3084),
    [sym_preproc_endregion] = STATE(3084),
    [sym_preproc_line] = STATE(3084),
    [sym_preproc_pragma] = STATE(3084),
    [sym_preproc_nullable] = STATE(3084),
    [sym_preproc_error] = STATE(3084),
    [sym_preproc_define] = STATE(3084),
    [sym_preproc_undef] = STATE(3084),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4725),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4270),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4270),
    [anon_sym_select] = ACTIONS(4266),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3085] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3156),
    [sym_property_pattern_clause] = STATE(3360),
    [sym__variable_designation] = STATE(5017),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4965),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3085),
    [sym_preproc_endregion] = STATE(3085),
    [sym_preproc_line] = STATE(3085),
    [sym_preproc_pragma] = STATE(3085),
    [sym_preproc_nullable] = STATE(3085),
    [sym_preproc_error] = STATE(3085),
    [sym_preproc_define] = STATE(3085),
    [sym_preproc_undef] = STATE(3085),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4349),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4349),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4349),
    [anon_sym_orderby] = ACTIONS(4349),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4349),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4349),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3086] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3161),
    [sym_property_pattern_clause] = STATE(3371),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3086),
    [sym_preproc_endregion] = STATE(3086),
    [sym_preproc_line] = STATE(3086),
    [sym_preproc_pragma] = STATE(3086),
    [sym_preproc_nullable] = STATE(3086),
    [sym_preproc_error] = STATE(3086),
    [sym_preproc_define] = STATE(3086),
    [sym_preproc_undef] = STATE(3086),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4349),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3087] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3165),
    [sym_property_pattern_clause] = STATE(3379),
    [sym__variable_designation] = STATE(4148),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4267),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3087),
    [sym_preproc_endregion] = STATE(3087),
    [sym_preproc_line] = STATE(3087),
    [sym_preproc_pragma] = STATE(3087),
    [sym_preproc_nullable] = STATE(3087),
    [sym_preproc_error] = STATE(3087),
    [sym_preproc_define] = STATE(3087),
    [sym_preproc_undef] = STATE(3087),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4349),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3088] = {
    [sym__name] = STATE(4335),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_ref_type] = STATE(3627),
    [sym__scoped_base_type] = STATE(3605),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3088),
    [sym_preproc_endregion] = STATE(3088),
    [sym_preproc_line] = STATE(3088),
    [sym_preproc_pragma] = STATE(3088),
    [sym_preproc_nullable] = STATE(3088),
    [sym_preproc_error] = STATE(3088),
    [sym_preproc_define] = STATE(3088),
    [sym_preproc_undef] = STATE(3088),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4727),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4270),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4270),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3089] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3145),
    [sym_property_pattern_clause] = STATE(3398),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3089),
    [sym_preproc_endregion] = STATE(3089),
    [sym_preproc_line] = STATE(3089),
    [sym_preproc_pragma] = STATE(3089),
    [sym_preproc_nullable] = STATE(3089),
    [sym_preproc_error] = STATE(3089),
    [sym_preproc_define] = STATE(3089),
    [sym_preproc_undef] = STATE(3089),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4349),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3090] = {
    [sym__name] = STATE(4335),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_ref_type] = STATE(3627),
    [sym__scoped_base_type] = STATE(3605),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3090),
    [sym_preproc_endregion] = STATE(3090),
    [sym_preproc_line] = STATE(3090),
    [sym_preproc_pragma] = STATE(3090),
    [sym_preproc_nullable] = STATE(3090),
    [sym_preproc_error] = STATE(3090),
    [sym_preproc_define] = STATE(3090),
    [sym_preproc_undef] = STATE(3090),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4729),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4270),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4270),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3091] = {
    [sym_parameter_list] = STATE(9108),
    [sym_positional_pattern_clause] = STATE(3146),
    [sym_property_pattern_clause] = STATE(3422),
    [sym__variable_designation] = STATE(4076),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(4053),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3091),
    [sym_preproc_endregion] = STATE(3091),
    [sym_preproc_line] = STATE(3091),
    [sym_preproc_pragma] = STATE(3091),
    [sym_preproc_nullable] = STATE(3091),
    [sym_preproc_error] = STATE(3091),
    [sym_preproc_define] = STATE(3091),
    [sym_preproc_undef] = STATE(3091),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4345),
    [anon_sym_LPAREN] = ACTIONS(4345),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4349),
    [anon_sym_GT] = ACTIONS(4349),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4349),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4349),
    [anon_sym_PLUS_PLUS] = ACTIONS(4345),
    [anon_sym_DASH_DASH] = ACTIONS(4345),
    [anon_sym_PLUS] = ACTIONS(4349),
    [anon_sym_DASH] = ACTIONS(4349),
    [anon_sym_STAR] = ACTIONS(4345),
    [anon_sym_SLASH] = ACTIONS(4349),
    [anon_sym_PERCENT] = ACTIONS(4345),
    [anon_sym_CARET] = ACTIONS(4345),
    [anon_sym_PIPE] = ACTIONS(4349),
    [anon_sym_AMP] = ACTIONS(4349),
    [anon_sym_LT_LT] = ACTIONS(4345),
    [anon_sym_GT_GT] = ACTIONS(4349),
    [anon_sym_GT_GT_GT] = ACTIONS(4345),
    [anon_sym_EQ_EQ] = ACTIONS(4345),
    [anon_sym_BANG_EQ] = ACTIONS(4345),
    [anon_sym_GT_EQ] = ACTIONS(4345),
    [anon_sym_LT_EQ] = ACTIONS(4345),
    [anon_sym_DOT] = ACTIONS(4349),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4349),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4345),
    [anon_sym_and] = ACTIONS(4349),
    [anon_sym_or] = ACTIONS(4349),
    [anon_sym_AMP_AMP] = ACTIONS(4345),
    [anon_sym_PIPE_PIPE] = ACTIONS(4345),
    [anon_sym_QMARK_QMARK] = ACTIONS(4345),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4349),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4349),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4349),
    [anon_sym_is] = ACTIONS(4349),
    [anon_sym_DASH_GT] = ACTIONS(4345),
    [anon_sym_with] = ACTIONS(4349),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3092] = {
    [sym_property_pattern_clause] = STATE(3128),
    [sym__variable_designation] = STATE(5496),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3092),
    [sym_preproc_endregion] = STATE(3092),
    [sym_preproc_line] = STATE(3092),
    [sym_preproc_pragma] = STATE(3092),
    [sym_preproc_nullable] = STATE(3092),
    [sym_preproc_error] = STATE(3092),
    [sym_preproc_define] = STATE(3092),
    [sym_preproc_undef] = STATE(3092),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4403),
  },
  [3093] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9741),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7158),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3093),
    [sym_preproc_endregion] = STATE(3093),
    [sym_preproc_line] = STATE(3093),
    [sym_preproc_pragma] = STATE(3093),
    [sym_preproc_nullable] = STATE(3093),
    [sym_preproc_error] = STATE(3093),
    [sym_preproc_define] = STATE(3093),
    [sym_preproc_undef] = STATE(3093),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3094] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9254),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3094),
    [sym_preproc_endregion] = STATE(3094),
    [sym_preproc_line] = STATE(3094),
    [sym_preproc_pragma] = STATE(3094),
    [sym_preproc_nullable] = STATE(3094),
    [sym_preproc_error] = STATE(3094),
    [sym_preproc_define] = STATE(3094),
    [sym_preproc_undef] = STATE(3094),
    [aux_sym_class_declaration_repeat2] = STATE(3101),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4731),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3095] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9362),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7084),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3095),
    [sym_preproc_endregion] = STATE(3095),
    [sym_preproc_line] = STATE(3095),
    [sym_preproc_pragma] = STATE(3095),
    [sym_preproc_nullable] = STATE(3095),
    [sym_preproc_error] = STATE(3095),
    [sym_preproc_define] = STATE(3095),
    [sym_preproc_undef] = STATE(3095),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3096] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9254),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3096),
    [sym_preproc_endregion] = STATE(3096),
    [sym_preproc_line] = STATE(3096),
    [sym_preproc_pragma] = STATE(3096),
    [sym_preproc_nullable] = STATE(3096),
    [sym_preproc_error] = STATE(3096),
    [sym_preproc_define] = STATE(3096),
    [sym_preproc_undef] = STATE(3096),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3097] = {
    [sym_property_pattern_clause] = STATE(3169),
    [sym__variable_designation] = STATE(4112),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3097),
    [sym_preproc_endregion] = STATE(3097),
    [sym_preproc_line] = STATE(3097),
    [sym_preproc_pragma] = STATE(3097),
    [sym_preproc_nullable] = STATE(3097),
    [sym_preproc_error] = STATE(3097),
    [sym_preproc_define] = STATE(3097),
    [sym_preproc_undef] = STATE(3097),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4405),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3098] = {
    [sym_property_pattern_clause] = STATE(3173),
    [sym__variable_designation] = STATE(4241),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3098),
    [sym_preproc_endregion] = STATE(3098),
    [sym_preproc_line] = STATE(3098),
    [sym_preproc_pragma] = STATE(3098),
    [sym_preproc_nullable] = STATE(3098),
    [sym_preproc_error] = STATE(3098),
    [sym_preproc_define] = STATE(3098),
    [sym_preproc_undef] = STATE(3098),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4395),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3099] = {
    [sym_parameter_list] = STATE(9108),
    [sym__lambda_parameters] = STATE(9629),
    [sym_identifier] = STATE(9196),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3099),
    [sym_preproc_endregion] = STATE(3099),
    [sym_preproc_line] = STATE(3099),
    [sym_preproc_pragma] = STATE(3099),
    [sym_preproc_nullable] = STATE(3099),
    [sym_preproc_error] = STATE(3099),
    [sym_preproc_define] = STATE(3099),
    [sym_preproc_undef] = STATE(3099),
    [sym__identifier_token] = ACTIONS(4427),
    [anon_sym_alias] = ACTIONS(4427),
    [anon_sym_global] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_file] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_notnull] = ACTIONS(4427),
    [anon_sym_unmanaged] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_scoped] = ACTIONS(4427),
    [anon_sym_var] = ACTIONS(4427),
    [anon_sym_yield] = ACTIONS(4427),
    [anon_sym_switch] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [sym_discard] = ACTIONS(4427),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4427),
    [anon_sym_or] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_from] = ACTIONS(4427),
    [anon_sym_into] = ACTIONS(4427),
    [anon_sym_join] = ACTIONS(4427),
    [anon_sym_on] = ACTIONS(4427),
    [anon_sym_equals] = ACTIONS(4427),
    [anon_sym_let] = ACTIONS(4427),
    [anon_sym_orderby] = ACTIONS(4427),
    [anon_sym_ascending] = ACTIONS(4427),
    [anon_sym_descending] = ACTIONS(4427),
    [anon_sym_group] = ACTIONS(4427),
    [anon_sym_by] = ACTIONS(4427),
    [anon_sym_select] = ACTIONS(4427),
    [anon_sym_as] = ACTIONS(4427),
    [anon_sym_is] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4427),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4429),
  },
  [3100] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9362),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3100),
    [sym_preproc_endregion] = STATE(3100),
    [sym_preproc_line] = STATE(3100),
    [sym_preproc_pragma] = STATE(3100),
    [sym_preproc_nullable] = STATE(3100),
    [sym_preproc_error] = STATE(3100),
    [sym_preproc_define] = STATE(3100),
    [sym_preproc_undef] = STATE(3100),
    [aux_sym_class_declaration_repeat2] = STATE(3103),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4733),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3101] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9380),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3101),
    [sym_preproc_endregion] = STATE(3101),
    [sym_preproc_line] = STATE(3101),
    [sym_preproc_pragma] = STATE(3101),
    [sym_preproc_nullable] = STATE(3101),
    [sym_preproc_error] = STATE(3101),
    [sym_preproc_define] = STATE(3101),
    [sym_preproc_undef] = STATE(3101),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3102] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9258),
    [sym__name] = STATE(6917),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6759),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3102),
    [sym_preproc_endregion] = STATE(3102),
    [sym_preproc_line] = STATE(3102),
    [sym_preproc_pragma] = STATE(3102),
    [sym_preproc_nullable] = STATE(3102),
    [sym_preproc_error] = STATE(3102),
    [sym_preproc_define] = STATE(3102),
    [sym_preproc_undef] = STATE(3102),
    [aux_sym_class_declaration_repeat2] = STATE(3117),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(4735),
    [anon_sym_static] = ACTIONS(4737),
    [anon_sym_LPAREN] = ACTIONS(4739),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3103] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9201),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3103),
    [sym_preproc_endregion] = STATE(3103),
    [sym_preproc_line] = STATE(3103),
    [sym_preproc_pragma] = STATE(3103),
    [sym_preproc_nullable] = STATE(3103),
    [sym_preproc_error] = STATE(3103),
    [sym_preproc_define] = STATE(3103),
    [sym_preproc_undef] = STATE(3103),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3104] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9741),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3104),
    [sym_preproc_endregion] = STATE(3104),
    [sym_preproc_line] = STATE(3104),
    [sym_preproc_pragma] = STATE(3104),
    [sym_preproc_nullable] = STATE(3104),
    [sym_preproc_error] = STATE(3104),
    [sym_preproc_define] = STATE(3104),
    [sym_preproc_undef] = STATE(3104),
    [aux_sym_class_declaration_repeat2] = STATE(3112),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4741),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3105] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9201),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3105),
    [sym_preproc_endregion] = STATE(3105),
    [sym_preproc_line] = STATE(3105),
    [sym_preproc_pragma] = STATE(3105),
    [sym_preproc_nullable] = STATE(3105),
    [sym_preproc_error] = STATE(3105),
    [sym_preproc_define] = STATE(3105),
    [sym_preproc_undef] = STATE(3105),
    [aux_sym_class_declaration_repeat2] = STATE(3106),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4743),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3106] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9471),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3106),
    [sym_preproc_endregion] = STATE(3106),
    [sym_preproc_line] = STATE(3106),
    [sym_preproc_pragma] = STATE(3106),
    [sym_preproc_nullable] = STATE(3106),
    [sym_preproc_error] = STATE(3106),
    [sym_preproc_define] = STATE(3106),
    [sym_preproc_undef] = STATE(3106),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3107] = {
    [sym_property_pattern_clause] = STATE(3142),
    [sym__variable_designation] = STATE(4078),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3107),
    [sym_preproc_endregion] = STATE(3107),
    [sym_preproc_line] = STATE(3107),
    [sym_preproc_pragma] = STATE(3107),
    [sym_preproc_nullable] = STATE(3107),
    [sym_preproc_error] = STATE(3107),
    [sym_preproc_define] = STATE(3107),
    [sym_preproc_undef] = STATE(3107),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4405),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3108] = {
    [sym_property_pattern_clause] = STATE(3143),
    [sym__variable_designation] = STATE(3992),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3108),
    [sym_preproc_endregion] = STATE(3108),
    [sym_preproc_line] = STATE(3108),
    [sym_preproc_pragma] = STATE(3108),
    [sym_preproc_nullable] = STATE(3108),
    [sym_preproc_error] = STATE(3108),
    [sym_preproc_define] = STATE(3108),
    [sym_preproc_undef] = STATE(3108),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4395),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3109] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9410),
    [sym__name] = STATE(6910),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6763),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3109),
    [sym_preproc_endregion] = STATE(3109),
    [sym_preproc_line] = STATE(3109),
    [sym_preproc_pragma] = STATE(3109),
    [sym_preproc_nullable] = STATE(3109),
    [sym_preproc_error] = STATE(3109),
    [sym_preproc_define] = STATE(3109),
    [sym_preproc_undef] = STATE(3109),
    [aux_sym_class_declaration_repeat2] = STATE(3096),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(4745),
    [anon_sym_static] = ACTIONS(4747),
    [anon_sym_LPAREN] = ACTIONS(4749),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3110] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9410),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3110),
    [sym_preproc_endregion] = STATE(3110),
    [sym_preproc_line] = STATE(3110),
    [sym_preproc_pragma] = STATE(3110),
    [sym_preproc_nullable] = STATE(3110),
    [sym_preproc_error] = STATE(3110),
    [sym_preproc_define] = STATE(3110),
    [sym_preproc_undef] = STATE(3110),
    [aux_sym_class_declaration_repeat2] = STATE(3096),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4749),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3111] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9410),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6996),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3111),
    [sym_preproc_endregion] = STATE(3111),
    [sym_preproc_line] = STATE(3111),
    [sym_preproc_pragma] = STATE(3111),
    [sym_preproc_nullable] = STATE(3111),
    [sym_preproc_error] = STATE(3111),
    [sym_preproc_define] = STATE(3111),
    [sym_preproc_undef] = STATE(3111),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3112] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9912),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3112),
    [sym_preproc_endregion] = STATE(3112),
    [sym_preproc_line] = STATE(3112),
    [sym_preproc_pragma] = STATE(3112),
    [sym_preproc_nullable] = STATE(3112),
    [sym_preproc_error] = STATE(3112),
    [sym_preproc_define] = STATE(3112),
    [sym_preproc_undef] = STATE(3112),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3113] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9258),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3113),
    [sym_preproc_endregion] = STATE(3113),
    [sym_preproc_line] = STATE(3113),
    [sym_preproc_pragma] = STATE(3113),
    [sym_preproc_nullable] = STATE(3113),
    [sym_preproc_error] = STATE(3113),
    [sym_preproc_define] = STATE(3113),
    [sym_preproc_undef] = STATE(3113),
    [aux_sym_class_declaration_repeat2] = STATE(3117),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4739),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3114] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9258),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7011),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3114),
    [sym_preproc_endregion] = STATE(3114),
    [sym_preproc_line] = STATE(3114),
    [sym_preproc_pragma] = STATE(3114),
    [sym_preproc_nullable] = STATE(3114),
    [sym_preproc_error] = STATE(3114),
    [sym_preproc_define] = STATE(3114),
    [sym_preproc_undef] = STATE(3114),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3115] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9912),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3115),
    [sym_preproc_endregion] = STATE(3115),
    [sym_preproc_line] = STATE(3115),
    [sym_preproc_pragma] = STATE(3115),
    [sym_preproc_nullable] = STATE(3115),
    [sym_preproc_error] = STATE(3115),
    [sym_preproc_define] = STATE(3115),
    [sym_preproc_undef] = STATE(3115),
    [aux_sym_class_declaration_repeat2] = STATE(3116),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4751),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3116] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9162),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3116),
    [sym_preproc_endregion] = STATE(3116),
    [sym_preproc_line] = STATE(3116),
    [sym_preproc_pragma] = STATE(3116),
    [sym_preproc_nullable] = STATE(3116),
    [sym_preproc_error] = STATE(3116),
    [sym_preproc_define] = STATE(3116),
    [sym_preproc_undef] = STATE(3116),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3117] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9443),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3117),
    [sym_preproc_endregion] = STATE(3117),
    [sym_preproc_line] = STATE(3117),
    [sym_preproc_pragma] = STATE(3117),
    [sym_preproc_nullable] = STATE(3117),
    [sym_preproc_error] = STATE(3117),
    [sym_preproc_define] = STATE(3117),
    [sym_preproc_undef] = STATE(3117),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3118] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9443),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3118),
    [sym_preproc_endregion] = STATE(3118),
    [sym_preproc_line] = STATE(3118),
    [sym_preproc_pragma] = STATE(3118),
    [sym_preproc_nullable] = STATE(3118),
    [sym_preproc_error] = STATE(3118),
    [sym_preproc_define] = STATE(3118),
    [sym_preproc_undef] = STATE(3118),
    [aux_sym_class_declaration_repeat2] = STATE(3120),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(4753),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3119] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3119),
    [sym_preproc_endregion] = STATE(3119),
    [sym_preproc_line] = STATE(3119),
    [sym_preproc_pragma] = STATE(3119),
    [sym_preproc_nullable] = STATE(3119),
    [sym_preproc_error] = STATE(3119),
    [sym_preproc_define] = STATE(3119),
    [sym_preproc_undef] = STATE(3119),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4339),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(4524),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3120] = {
    [sym_modifier] = STATE(4676),
    [sym_variable_declaration] = STATE(9075),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7006),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3120),
    [sym_preproc_endregion] = STATE(3120),
    [sym_preproc_line] = STATE(3120),
    [sym_preproc_pragma] = STATE(3120),
    [sym_preproc_nullable] = STATE(3120),
    [sym_preproc_error] = STATE(3120),
    [sym_preproc_define] = STATE(3120),
    [sym_preproc_undef] = STATE(3120),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4511),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3121] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(5220),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3121),
    [sym_preproc_endregion] = STATE(3121),
    [sym_preproc_line] = STATE(3121),
    [sym_preproc_pragma] = STATE(3121),
    [sym_preproc_nullable] = STATE(3121),
    [sym_preproc_error] = STATE(3121),
    [sym_preproc_define] = STATE(3121),
    [sym_preproc_undef] = STATE(3121),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4339),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(4524),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3122] = {
    [sym_property_pattern_clause] = STATE(3177),
    [sym__variable_designation] = STATE(4681),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3122),
    [sym_preproc_endregion] = STATE(3122),
    [sym_preproc_line] = STATE(3122),
    [sym_preproc_pragma] = STATE(3122),
    [sym_preproc_nullable] = STATE(3122),
    [sym_preproc_error] = STATE(3122),
    [sym_preproc_define] = STATE(3122),
    [sym_preproc_undef] = STATE(3122),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4405),
    [anon_sym_descending] = ACTIONS(4405),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3123] = {
    [sym_property_pattern_clause] = STATE(3202),
    [sym__variable_designation] = STATE(4705),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3123),
    [sym_preproc_endregion] = STATE(3123),
    [sym_preproc_line] = STATE(3123),
    [sym_preproc_pragma] = STATE(3123),
    [sym_preproc_nullable] = STATE(3123),
    [sym_preproc_error] = STATE(3123),
    [sym_preproc_define] = STATE(3123),
    [sym_preproc_undef] = STATE(3123),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4395),
    [anon_sym_descending] = ACTIONS(4395),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3124] = {
    [sym__variable_designation] = STATE(5729),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3124),
    [sym_preproc_endregion] = STATE(3124),
    [sym_preproc_line] = STATE(3124),
    [sym_preproc_pragma] = STATE(3124),
    [sym_preproc_nullable] = STATE(3124),
    [sym_preproc_error] = STATE(3124),
    [sym_preproc_define] = STATE(3124),
    [sym_preproc_undef] = STATE(3124),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COLON] = ACTIONS(4445),
    [anon_sym_COMMA] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4445),
  },
  [3125] = {
    [sym__variable_designation] = STATE(5497),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3125),
    [sym_preproc_endregion] = STATE(3125),
    [sym_preproc_line] = STATE(3125),
    [sym_preproc_pragma] = STATE(3125),
    [sym_preproc_nullable] = STATE(3125),
    [sym_preproc_error] = STATE(3125),
    [sym_preproc_define] = STATE(3125),
    [sym_preproc_undef] = STATE(3125),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4403),
  },
  [3126] = {
    [sym__variable_designation] = STATE(5497),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3126),
    [sym_preproc_endregion] = STATE(3126),
    [sym_preproc_line] = STATE(3126),
    [sym_preproc_pragma] = STATE(3126),
    [sym_preproc_nullable] = STATE(3126),
    [sym_preproc_error] = STATE(3126),
    [sym_preproc_define] = STATE(3126),
    [sym_preproc_undef] = STATE(3126),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4403),
  },
  [3127] = {
    [sym__variable_designation] = STATE(5649),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3127),
    [sym_preproc_endregion] = STATE(3127),
    [sym_preproc_line] = STATE(3127),
    [sym_preproc_pragma] = STATE(3127),
    [sym_preproc_nullable] = STATE(3127),
    [sym_preproc_error] = STATE(3127),
    [sym_preproc_define] = STATE(3127),
    [sym_preproc_undef] = STATE(3127),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4393),
  },
  [3128] = {
    [sym__variable_designation] = STATE(5708),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3128),
    [sym_preproc_endregion] = STATE(3128),
    [sym_preproc_line] = STATE(3128),
    [sym_preproc_pragma] = STATE(3128),
    [sym_preproc_nullable] = STATE(3128),
    [sym_preproc_error] = STATE(3128),
    [sym_preproc_define] = STATE(3128),
    [sym_preproc_undef] = STATE(3128),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COLON] = ACTIONS(4433),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4433),
  },
  [3129] = {
    [sym__variable_designation] = STATE(5729),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3129),
    [sym_preproc_endregion] = STATE(3129),
    [sym_preproc_line] = STATE(3129),
    [sym_preproc_pragma] = STATE(3129),
    [sym_preproc_nullable] = STATE(3129),
    [sym_preproc_error] = STATE(3129),
    [sym_preproc_define] = STATE(3129),
    [sym_preproc_undef] = STATE(3129),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COLON] = ACTIONS(4445),
    [anon_sym_COMMA] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4445),
  },
  [3130] = {
    [sym_type_argument_list] = STATE(2955),
    [sym_preproc_region] = STATE(3130),
    [sym_preproc_endregion] = STATE(3130),
    [sym_preproc_line] = STATE(3130),
    [sym_preproc_pragma] = STATE(3130),
    [sym_preproc_nullable] = STATE(3130),
    [sym_preproc_error] = STATE(3130),
    [sym_preproc_define] = STATE(3130),
    [sym_preproc_undef] = STATE(3130),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4513),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4246),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3131] = {
    [sym_property_pattern_clause] = STATE(3182),
    [sym__variable_designation] = STATE(4705),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3131),
    [sym_preproc_endregion] = STATE(3131),
    [sym_preproc_line] = STATE(3131),
    [sym_preproc_pragma] = STATE(3131),
    [sym_preproc_nullable] = STATE(3131),
    [sym_preproc_error] = STATE(3131),
    [sym_preproc_define] = STATE(3131),
    [sym_preproc_undef] = STATE(3131),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4395),
    [anon_sym_descending] = ACTIONS(4395),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3132] = {
    [sym__variable_designation] = STATE(5649),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3132),
    [sym_preproc_endregion] = STATE(3132),
    [sym_preproc_line] = STATE(3132),
    [sym_preproc_pragma] = STATE(3132),
    [sym_preproc_nullable] = STATE(3132),
    [sym_preproc_error] = STATE(3132),
    [sym_preproc_define] = STATE(3132),
    [sym_preproc_undef] = STATE(3132),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4393),
  },
  [3133] = {
    [sym_property_pattern_clause] = STATE(3210),
    [sym__variable_designation] = STATE(4112),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3133),
    [sym_preproc_endregion] = STATE(3133),
    [sym_preproc_line] = STATE(3133),
    [sym_preproc_pragma] = STATE(3133),
    [sym_preproc_nullable] = STATE(3133),
    [sym_preproc_error] = STATE(3133),
    [sym_preproc_define] = STATE(3133),
    [sym_preproc_undef] = STATE(3133),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_in] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3134] = {
    [sym_property_pattern_clause] = STATE(3174),
    [sym__variable_designation] = STATE(4241),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3134),
    [sym_preproc_endregion] = STATE(3134),
    [sym_preproc_line] = STATE(3134),
    [sym_preproc_pragma] = STATE(3134),
    [sym_preproc_nullable] = STATE(3134),
    [sym_preproc_error] = STATE(3134),
    [sym_preproc_define] = STATE(3134),
    [sym_preproc_undef] = STATE(3134),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_in] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3135] = {
    [sym__variable_designation] = STATE(5708),
    [sym_parenthesized_variable_designation] = STATE(5487),
    [sym_identifier] = STATE(5490),
    [sym__reserved_identifier] = STATE(5148),
    [sym_preproc_region] = STATE(3135),
    [sym_preproc_endregion] = STATE(3135),
    [sym_preproc_line] = STATE(3135),
    [sym_preproc_pragma] = STATE(3135),
    [sym_preproc_nullable] = STATE(3135),
    [sym_preproc_error] = STATE(3135),
    [sym_preproc_define] = STATE(3135),
    [sym_preproc_undef] = STATE(3135),
    [sym__identifier_token] = ACTIONS(4544),
    [anon_sym_alias] = ACTIONS(4546),
    [anon_sym_global] = ACTIONS(4546),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COLON] = ACTIONS(4433),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4546),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4546),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4546),
    [anon_sym_unmanaged] = ACTIONS(4546),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4546),
    [anon_sym_var] = ACTIONS(4546),
    [anon_sym_yield] = ACTIONS(4546),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4546),
    [sym_discard] = ACTIONS(4550),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4546),
    [anon_sym_into] = ACTIONS(4546),
    [anon_sym_join] = ACTIONS(4546),
    [anon_sym_on] = ACTIONS(4546),
    [anon_sym_equals] = ACTIONS(4546),
    [anon_sym_let] = ACTIONS(4546),
    [anon_sym_orderby] = ACTIONS(4546),
    [anon_sym_ascending] = ACTIONS(4546),
    [anon_sym_descending] = ACTIONS(4546),
    [anon_sym_group] = ACTIONS(4546),
    [anon_sym_by] = ACTIONS(4546),
    [anon_sym_select] = ACTIONS(4546),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4433),
  },
  [3136] = {
    [sym_property_pattern_clause] = STATE(3227),
    [sym__variable_designation] = STATE(4681),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3136),
    [sym_preproc_endregion] = STATE(3136),
    [sym_preproc_line] = STATE(3136),
    [sym_preproc_pragma] = STATE(3136),
    [sym_preproc_nullable] = STATE(3136),
    [sym_preproc_error] = STATE(3136),
    [sym_preproc_define] = STATE(3136),
    [sym_preproc_undef] = STATE(3136),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4405),
    [anon_sym_descending] = ACTIONS(4405),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3137] = {
    [sym_modifier] = STATE(4676),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7388),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3137),
    [sym_preproc_endregion] = STATE(3137),
    [sym_preproc_line] = STATE(3137),
    [sym_preproc_pragma] = STATE(3137),
    [sym_preproc_nullable] = STATE(3137),
    [sym_preproc_error] = STATE(3137),
    [sym_preproc_define] = STATE(3137),
    [sym_preproc_undef] = STATE(3137),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4755),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3138] = {
    [sym_modifier] = STATE(4676),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7324),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3138),
    [sym_preproc_endregion] = STATE(3138),
    [sym_preproc_line] = STATE(3138),
    [sym_preproc_pragma] = STATE(3138),
    [sym_preproc_nullable] = STATE(3138),
    [sym_preproc_error] = STATE(3138),
    [sym_preproc_define] = STATE(3138),
    [sym_preproc_undef] = STATE(3138),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4755),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3139] = {
    [sym_modifier] = STATE(4676),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7332),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3139),
    [sym_preproc_endregion] = STATE(3139),
    [sym_preproc_line] = STATE(3139),
    [sym_preproc_pragma] = STATE(3139),
    [sym_preproc_nullable] = STATE(3139),
    [sym_preproc_error] = STATE(3139),
    [sym_preproc_define] = STATE(3139),
    [sym_preproc_undef] = STATE(3139),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4755),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3140] = {
    [sym_modifier] = STATE(4676),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7381),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3140),
    [sym_preproc_endregion] = STATE(3140),
    [sym_preproc_line] = STATE(3140),
    [sym_preproc_pragma] = STATE(3140),
    [sym_preproc_nullable] = STATE(3140),
    [sym_preproc_error] = STATE(3140),
    [sym_preproc_define] = STATE(3140),
    [sym_preproc_undef] = STATE(3140),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(659),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_unsafe] = ACTIONS(659),
    [anon_sym_static] = ACTIONS(659),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_abstract] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(659),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_file] = ACTIONS(4755),
    [anon_sym_fixed] = ACTIONS(659),
    [anon_sym_internal] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(659),
    [anon_sym_override] = ACTIONS(659),
    [anon_sym_partial] = ACTIONS(659),
    [anon_sym_private] = ACTIONS(659),
    [anon_sym_protected] = ACTIONS(659),
    [anon_sym_public] = ACTIONS(659),
    [anon_sym_readonly] = ACTIONS(659),
    [anon_sym_required] = ACTIONS(659),
    [anon_sym_sealed] = ACTIONS(659),
    [anon_sym_virtual] = ACTIONS(659),
    [anon_sym_volatile] = ACTIONS(659),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3141] = {
    [sym_property_pattern_clause] = STATE(3233),
    [sym__variable_designation] = STATE(5003),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3141),
    [sym_preproc_endregion] = STATE(3141),
    [sym_preproc_line] = STATE(3141),
    [sym_preproc_pragma] = STATE(3141),
    [sym_preproc_nullable] = STATE(3141),
    [sym_preproc_error] = STATE(3141),
    [sym_preproc_define] = STATE(3141),
    [sym_preproc_undef] = STATE(3141),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3142] = {
    [sym__variable_designation] = STATE(4028),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3142),
    [sym_preproc_endregion] = STATE(3142),
    [sym_preproc_line] = STATE(3142),
    [sym_preproc_pragma] = STATE(3142),
    [sym_preproc_nullable] = STATE(3142),
    [sym_preproc_error] = STATE(3142),
    [sym_preproc_define] = STATE(3142),
    [sym_preproc_undef] = STATE(3142),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COLON] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4433),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4435),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3143] = {
    [sym__variable_designation] = STATE(4006),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3143),
    [sym_preproc_endregion] = STATE(3143),
    [sym_preproc_line] = STATE(3143),
    [sym_preproc_pragma] = STATE(3143),
    [sym_preproc_nullable] = STATE(3143),
    [sym_preproc_error] = STATE(3143),
    [sym_preproc_define] = STATE(3143),
    [sym_preproc_undef] = STATE(3143),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COLON] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4445),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4447),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3144] = {
    [sym_property_pattern_clause] = STATE(3423),
    [sym__variable_designation] = STATE(4078),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3144),
    [sym_preproc_endregion] = STATE(3144),
    [sym_preproc_line] = STATE(3144),
    [sym_preproc_pragma] = STATE(3144),
    [sym_preproc_nullable] = STATE(3144),
    [sym_preproc_error] = STATE(3144),
    [sym_preproc_define] = STATE(3144),
    [sym_preproc_undef] = STATE(3144),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4405),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3145] = {
    [sym_property_pattern_clause] = STATE(3528),
    [sym__variable_designation] = STATE(3992),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3145),
    [sym_preproc_endregion] = STATE(3145),
    [sym_preproc_line] = STATE(3145),
    [sym_preproc_pragma] = STATE(3145),
    [sym_preproc_nullable] = STATE(3145),
    [sym_preproc_error] = STATE(3145),
    [sym_preproc_define] = STATE(3145),
    [sym_preproc_undef] = STATE(3145),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4395),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3146] = {
    [sym_property_pattern_clause] = STATE(3424),
    [sym__variable_designation] = STATE(3992),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3146),
    [sym_preproc_endregion] = STATE(3146),
    [sym_preproc_line] = STATE(3146),
    [sym_preproc_pragma] = STATE(3146),
    [sym_preproc_nullable] = STATE(3146),
    [sym_preproc_error] = STATE(3146),
    [sym_preproc_define] = STATE(3146),
    [sym_preproc_undef] = STATE(3146),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4395),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3147] = {
    [sym__variable_designation] = STATE(4216),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3147),
    [sym_preproc_endregion] = STATE(3147),
    [sym_preproc_line] = STATE(3147),
    [sym_preproc_pragma] = STATE(3147),
    [sym_preproc_nullable] = STATE(3147),
    [sym_preproc_error] = STATE(3147),
    [sym_preproc_define] = STATE(3147),
    [sym_preproc_undef] = STATE(3147),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4395),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3148] = {
    [sym_property_pattern_clause] = STATE(3431),
    [sym__variable_designation] = STATE(4078),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3148),
    [sym_preproc_endregion] = STATE(3148),
    [sym_preproc_line] = STATE(3148),
    [sym_preproc_pragma] = STATE(3148),
    [sym_preproc_nullable] = STATE(3148),
    [sym_preproc_error] = STATE(3148),
    [sym_preproc_define] = STATE(3148),
    [sym_preproc_undef] = STATE(3148),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4405),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3149] = {
    [sym_property_pattern_clause] = STATE(3432),
    [sym__variable_designation] = STATE(3992),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3149),
    [sym_preproc_endregion] = STATE(3149),
    [sym_preproc_line] = STATE(3149),
    [sym_preproc_pragma] = STATE(3149),
    [sym_preproc_nullable] = STATE(3149),
    [sym_preproc_error] = STATE(3149),
    [sym_preproc_define] = STATE(3149),
    [sym_preproc_undef] = STATE(3149),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4395),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3150] = {
    [sym_property_pattern_clause] = STATE(3230),
    [sym__variable_designation] = STATE(5028),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3150),
    [sym_preproc_endregion] = STATE(3150),
    [sym_preproc_line] = STATE(3150),
    [sym_preproc_pragma] = STATE(3150),
    [sym_preproc_nullable] = STATE(3150),
    [sym_preproc_error] = STATE(3150),
    [sym_preproc_define] = STATE(3150),
    [sym_preproc_undef] = STATE(3150),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3151] = {
    [sym_property_pattern_clause] = STATE(3314),
    [sym__variable_designation] = STATE(4112),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3151),
    [sym_preproc_endregion] = STATE(3151),
    [sym_preproc_line] = STATE(3151),
    [sym_preproc_pragma] = STATE(3151),
    [sym_preproc_nullable] = STATE(3151),
    [sym_preproc_error] = STATE(3151),
    [sym_preproc_define] = STATE(3151),
    [sym_preproc_undef] = STATE(3151),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4405),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3152] = {
    [sym_preproc_region] = STATE(3152),
    [sym_preproc_endregion] = STATE(3152),
    [sym_preproc_line] = STATE(3152),
    [sym_preproc_pragma] = STATE(3152),
    [sym_preproc_nullable] = STATE(3152),
    [sym_preproc_error] = STATE(3152),
    [sym_preproc_define] = STATE(3152),
    [sym_preproc_undef] = STATE(3152),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3995),
    [anon_sym_where] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_when] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3153] = {
    [sym_property_pattern_clause] = STATE(3363),
    [sym__variable_designation] = STATE(5028),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3153),
    [sym_preproc_endregion] = STATE(3153),
    [sym_preproc_line] = STATE(3153),
    [sym_preproc_pragma] = STATE(3153),
    [sym_preproc_nullable] = STATE(3153),
    [sym_preproc_error] = STATE(3153),
    [sym_preproc_define] = STATE(3153),
    [sym_preproc_undef] = STATE(3153),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3154] = {
    [sym_preproc_region] = STATE(3154),
    [sym_preproc_endregion] = STATE(3154),
    [sym_preproc_line] = STATE(3154),
    [sym_preproc_pragma] = STATE(3154),
    [sym_preproc_nullable] = STATE(3154),
    [sym_preproc_error] = STATE(3154),
    [sym_preproc_define] = STATE(3154),
    [sym_preproc_undef] = STATE(3154),
    [sym__identifier_token] = ACTIONS(4660),
    [anon_sym_alias] = ACTIONS(4660),
    [anon_sym_global] = ACTIONS(4660),
    [anon_sym_LBRACK] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4662),
    [anon_sym_RBRACK] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(4662),
    [anon_sym_RPAREN] = ACTIONS(4662),
    [anon_sym_RBRACE] = ACTIONS(4662),
    [anon_sym_file] = ACTIONS(4660),
    [anon_sym_LT] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4759),
    [anon_sym_where] = ACTIONS(4660),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_notnull] = ACTIONS(4660),
    [anon_sym_unmanaged] = ACTIONS(4660),
    [anon_sym_BANG] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4759),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4759),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_PIPE] = ACTIONS(4759),
    [anon_sym_AMP] = ACTIONS(4759),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4759),
    [anon_sym_GT_GT_GT] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4757),
    [anon_sym_BANG_EQ] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4757),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_DOT] = ACTIONS(4759),
    [anon_sym_scoped] = ACTIONS(4660),
    [anon_sym_EQ_GT] = ACTIONS(4662),
    [anon_sym_var] = ACTIONS(4660),
    [anon_sym_yield] = ACTIONS(4660),
    [anon_sym_switch] = ACTIONS(4759),
    [anon_sym_when] = ACTIONS(4660),
    [sym_discard] = ACTIONS(4660),
    [anon_sym_DOT_DOT] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4660),
    [anon_sym_or] = ACTIONS(4660),
    [anon_sym_AMP_AMP] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4757),
    [anon_sym_QMARK_QMARK] = ACTIONS(4757),
    [anon_sym_from] = ACTIONS(4660),
    [anon_sym_into] = ACTIONS(4660),
    [anon_sym_join] = ACTIONS(4660),
    [anon_sym_on] = ACTIONS(4660),
    [anon_sym_equals] = ACTIONS(4660),
    [anon_sym_let] = ACTIONS(4660),
    [anon_sym_orderby] = ACTIONS(4660),
    [anon_sym_ascending] = ACTIONS(4660),
    [anon_sym_descending] = ACTIONS(4660),
    [anon_sym_group] = ACTIONS(4660),
    [anon_sym_by] = ACTIONS(4660),
    [anon_sym_select] = ACTIONS(4660),
    [anon_sym_as] = ACTIONS(4759),
    [anon_sym_is] = ACTIONS(4759),
    [anon_sym_DASH_GT] = ACTIONS(4757),
    [anon_sym_with] = ACTIONS(4759),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3155] = {
    [sym_preproc_region] = STATE(3155),
    [sym_preproc_endregion] = STATE(3155),
    [sym_preproc_line] = STATE(3155),
    [sym_preproc_pragma] = STATE(3155),
    [sym_preproc_nullable] = STATE(3155),
    [sym_preproc_error] = STATE(3155),
    [sym_preproc_define] = STATE(3155),
    [sym_preproc_undef] = STATE(3155),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3156] = {
    [sym_property_pattern_clause] = STATE(3364),
    [sym__variable_designation] = STATE(5003),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3156),
    [sym_preproc_endregion] = STATE(3156),
    [sym_preproc_line] = STATE(3156),
    [sym_preproc_pragma] = STATE(3156),
    [sym_preproc_nullable] = STATE(3156),
    [sym_preproc_error] = STATE(3156),
    [sym_preproc_define] = STATE(3156),
    [sym_preproc_undef] = STATE(3156),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3157] = {
    [sym__variable_designation] = STATE(4005),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3157),
    [sym_preproc_endregion] = STATE(3157),
    [sym_preproc_line] = STATE(3157),
    [sym_preproc_pragma] = STATE(3157),
    [sym_preproc_nullable] = STATE(3157),
    [sym_preproc_error] = STATE(3157),
    [sym_preproc_define] = STATE(3157),
    [sym_preproc_undef] = STATE(3157),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COLON] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4393),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4395),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3158] = {
    [sym_property_pattern_clause] = STATE(3374),
    [sym__variable_designation] = STATE(4112),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3158),
    [sym_preproc_endregion] = STATE(3158),
    [sym_preproc_line] = STATE(3158),
    [sym_preproc_pragma] = STATE(3158),
    [sym_preproc_nullable] = STATE(3158),
    [sym_preproc_error] = STATE(3158),
    [sym_preproc_define] = STATE(3158),
    [sym_preproc_undef] = STATE(3158),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4405),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3159] = {
    [sym__variable_designation] = STATE(4113),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3159),
    [sym_preproc_endregion] = STATE(3159),
    [sym_preproc_line] = STATE(3159),
    [sym_preproc_pragma] = STATE(3159),
    [sym_preproc_nullable] = STATE(3159),
    [sym_preproc_error] = STATE(3159),
    [sym_preproc_define] = STATE(3159),
    [sym_preproc_undef] = STATE(3159),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4405),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3160] = {
    [sym_preproc_region] = STATE(3160),
    [sym_preproc_endregion] = STATE(3160),
    [sym_preproc_line] = STATE(3160),
    [sym_preproc_pragma] = STATE(3160),
    [sym_preproc_nullable] = STATE(3160),
    [sym_preproc_error] = STATE(3160),
    [sym_preproc_define] = STATE(3160),
    [sym_preproc_undef] = STATE(3160),
    [sym__identifier_token] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3403),
    [anon_sym_alias] = ACTIONS(3403),
    [anon_sym_global] = ACTIONS(3403),
    [anon_sym_using] = ACTIONS(3403),
    [anon_sym_unsafe] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_LPAREN] = ACTIONS(3405),
    [anon_sym_event] = ACTIONS(3403),
    [anon_sym_namespace] = ACTIONS(3403),
    [anon_sym_class] = ACTIONS(3403),
    [anon_sym_ref] = ACTIONS(3403),
    [anon_sym_struct] = ACTIONS(3403),
    [anon_sym_enum] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_interface] = ACTIONS(3403),
    [anon_sym_delegate] = ACTIONS(3403),
    [anon_sym_record] = ACTIONS(3403),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_file] = ACTIONS(3403),
    [anon_sym_fixed] = ACTIONS(3403),
    [anon_sym_internal] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_partial] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_required] = ACTIONS(3403),
    [anon_sym_sealed] = ACTIONS(3403),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_volatile] = ACTIONS(3403),
    [anon_sym_where] = ACTIONS(3403),
    [anon_sym_notnull] = ACTIONS(3403),
    [anon_sym_unmanaged] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3405),
    [anon_sym_implicit] = ACTIONS(3403),
    [anon_sym_explicit] = ACTIONS(3403),
    [anon_sym_scoped] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [sym_predefined_type] = ACTIONS(3403),
    [anon_sym_while] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_when] = ACTIONS(3403),
    [anon_sym_else] = ACTIONS(3403),
    [anon_sym_from] = ACTIONS(3403),
    [anon_sym_into] = ACTIONS(3403),
    [anon_sym_join] = ACTIONS(3403),
    [anon_sym_on] = ACTIONS(3403),
    [anon_sym_equals] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_orderby] = ACTIONS(3403),
    [anon_sym_ascending] = ACTIONS(3403),
    [anon_sym_descending] = ACTIONS(3403),
    [anon_sym_group] = ACTIONS(3403),
    [anon_sym_by] = ACTIONS(3403),
    [anon_sym_select] = ACTIONS(3403),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token3] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3161] = {
    [sym_property_pattern_clause] = STATE(3375),
    [sym__variable_designation] = STATE(4241),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3161),
    [sym_preproc_endregion] = STATE(3161),
    [sym_preproc_line] = STATE(3161),
    [sym_preproc_pragma] = STATE(3161),
    [sym_preproc_nullable] = STATE(3161),
    [sym_preproc_error] = STATE(3161),
    [sym_preproc_define] = STATE(3161),
    [sym_preproc_undef] = STATE(3161),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4395),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3162] = {
    [sym_property_pattern_clause] = STATE(3399),
    [sym__variable_designation] = STATE(4078),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3162),
    [sym_preproc_endregion] = STATE(3162),
    [sym_preproc_line] = STATE(3162),
    [sym_preproc_pragma] = STATE(3162),
    [sym_preproc_nullable] = STATE(3162),
    [sym_preproc_error] = STATE(3162),
    [sym_preproc_define] = STATE(3162),
    [sym_preproc_undef] = STATE(3162),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4405),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3163] = {
    [sym_property_pattern_clause] = STATE(3380),
    [sym__variable_designation] = STATE(4112),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3163),
    [sym_preproc_endregion] = STATE(3163),
    [sym_preproc_line] = STATE(3163),
    [sym_preproc_pragma] = STATE(3163),
    [sym_preproc_nullable] = STATE(3163),
    [sym_preproc_error] = STATE(3163),
    [sym_preproc_define] = STATE(3163),
    [sym_preproc_undef] = STATE(3163),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4405),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3164] = {
    [sym_type_argument_list] = STATE(3343),
    [sym_preproc_region] = STATE(3164),
    [sym_preproc_endregion] = STATE(3164),
    [sym_preproc_line] = STATE(3164),
    [sym_preproc_pragma] = STATE(3164),
    [sym_preproc_nullable] = STATE(3164),
    [sym_preproc_error] = STATE(3164),
    [sym_preproc_define] = STATE(3164),
    [sym_preproc_undef] = STATE(3164),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4761),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_COLON_COLON] = ACTIONS(4333),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [3165] = {
    [sym_property_pattern_clause] = STATE(3381),
    [sym__variable_designation] = STATE(4241),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3165),
    [sym_preproc_endregion] = STATE(3165),
    [sym_preproc_line] = STATE(3165),
    [sym_preproc_pragma] = STATE(3165),
    [sym_preproc_nullable] = STATE(3165),
    [sym_preproc_error] = STATE(3165),
    [sym_preproc_define] = STATE(3165),
    [sym_preproc_undef] = STATE(3165),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4395),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3166] = {
    [sym_type_argument_list] = STATE(3206),
    [sym_preproc_region] = STATE(3166),
    [sym_preproc_endregion] = STATE(3166),
    [sym_preproc_line] = STATE(3166),
    [sym_preproc_pragma] = STATE(3166),
    [sym_preproc_nullable] = STATE(3166),
    [sym_preproc_error] = STATE(3166),
    [sym_preproc_define] = STATE(3166),
    [sym_preproc_undef] = STATE(3166),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4764),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3167] = {
    [sym_property_pattern_clause] = STATE(3316),
    [sym__variable_designation] = STATE(4241),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3167),
    [sym_preproc_endregion] = STATE(3167),
    [sym_preproc_line] = STATE(3167),
    [sym_preproc_pragma] = STATE(3167),
    [sym_preproc_nullable] = STATE(3167),
    [sym_preproc_error] = STATE(3167),
    [sym_preproc_define] = STATE(3167),
    [sym_preproc_undef] = STATE(3167),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_LBRACE] = ACTIONS(4347),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4395),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3168] = {
    [sym_preproc_region] = STATE(3168),
    [sym_preproc_endregion] = STATE(3168),
    [sym_preproc_line] = STATE(3168),
    [sym_preproc_pragma] = STATE(3168),
    [sym_preproc_nullable] = STATE(3168),
    [sym_preproc_error] = STATE(3168),
    [sym_preproc_define] = STATE(3168),
    [sym_preproc_undef] = STATE(3168),
    [sym__identifier_token] = ACTIONS(4652),
    [anon_sym_alias] = ACTIONS(4652),
    [anon_sym_global] = ACTIONS(4652),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(4654),
    [anon_sym_RBRACK] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4654),
    [anon_sym_RPAREN] = ACTIONS(4654),
    [anon_sym_RBRACE] = ACTIONS(4654),
    [anon_sym_file] = ACTIONS(4652),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_where] = ACTIONS(4652),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_notnull] = ACTIONS(4652),
    [anon_sym_unmanaged] = ACTIONS(4652),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_scoped] = ACTIONS(4652),
    [anon_sym_EQ_GT] = ACTIONS(4654),
    [anon_sym_var] = ACTIONS(4652),
    [anon_sym_yield] = ACTIONS(4652),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_when] = ACTIONS(4652),
    [sym_discard] = ACTIONS(4652),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(4652),
    [anon_sym_or] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_from] = ACTIONS(4652),
    [anon_sym_into] = ACTIONS(4652),
    [anon_sym_join] = ACTIONS(4652),
    [anon_sym_on] = ACTIONS(4652),
    [anon_sym_equals] = ACTIONS(4652),
    [anon_sym_let] = ACTIONS(4652),
    [anon_sym_orderby] = ACTIONS(4652),
    [anon_sym_ascending] = ACTIONS(4652),
    [anon_sym_descending] = ACTIONS(4652),
    [anon_sym_group] = ACTIONS(4652),
    [anon_sym_by] = ACTIONS(4652),
    [anon_sym_select] = ACTIONS(4652),
    [anon_sym_as] = ACTIONS(2997),
    [anon_sym_is] = ACTIONS(2997),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_with] = ACTIONS(2997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3169] = {
    [sym__variable_designation] = STATE(4292),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3169),
    [sym_preproc_endregion] = STATE(3169),
    [sym_preproc_line] = STATE(3169),
    [sym_preproc_pragma] = STATE(3169),
    [sym_preproc_nullable] = STATE(3169),
    [sym_preproc_error] = STATE(3169),
    [sym_preproc_define] = STATE(3169),
    [sym_preproc_undef] = STATE(3169),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COLON] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4433),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4435),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3170] = {
    [sym_preproc_region] = STATE(3170),
    [sym_preproc_endregion] = STATE(3170),
    [sym_preproc_line] = STATE(3170),
    [sym_preproc_pragma] = STATE(3170),
    [sym_preproc_nullable] = STATE(3170),
    [sym_preproc_error] = STATE(3170),
    [sym_preproc_define] = STATE(3170),
    [sym_preproc_undef] = STATE(3170),
    [sym__identifier_token] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym_alias] = ACTIONS(3201),
    [anon_sym_global] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_unsafe] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3203),
    [anon_sym_event] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_ref] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_interface] = ACTIONS(3201),
    [anon_sym_delegate] = ACTIONS(3201),
    [anon_sym_record] = ACTIONS(3201),
    [anon_sym_abstract] = ACTIONS(3201),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_file] = ACTIONS(3201),
    [anon_sym_fixed] = ACTIONS(3201),
    [anon_sym_internal] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_override] = ACTIONS(3201),
    [anon_sym_partial] = ACTIONS(3201),
    [anon_sym_private] = ACTIONS(3201),
    [anon_sym_protected] = ACTIONS(3201),
    [anon_sym_public] = ACTIONS(3201),
    [anon_sym_readonly] = ACTIONS(3201),
    [anon_sym_required] = ACTIONS(3201),
    [anon_sym_sealed] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_where] = ACTIONS(3201),
    [anon_sym_notnull] = ACTIONS(3201),
    [anon_sym_unmanaged] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_implicit] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_scoped] = ACTIONS(3201),
    [anon_sym_var] = ACTIONS(3201),
    [sym_predefined_type] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_yield] = ACTIONS(3201),
    [anon_sym_when] = ACTIONS(3201),
    [anon_sym_else] = ACTIONS(3201),
    [anon_sym_from] = ACTIONS(3201),
    [anon_sym_into] = ACTIONS(3201),
    [anon_sym_join] = ACTIONS(3201),
    [anon_sym_on] = ACTIONS(3201),
    [anon_sym_equals] = ACTIONS(3201),
    [anon_sym_let] = ACTIONS(3201),
    [anon_sym_orderby] = ACTIONS(3201),
    [anon_sym_ascending] = ACTIONS(3201),
    [anon_sym_descending] = ACTIONS(3201),
    [anon_sym_group] = ACTIONS(3201),
    [anon_sym_by] = ACTIONS(3201),
    [anon_sym_select] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token3] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3171] = {
    [sym_preproc_region] = STATE(3171),
    [sym_preproc_endregion] = STATE(3171),
    [sym_preproc_line] = STATE(3171),
    [sym_preproc_pragma] = STATE(3171),
    [sym_preproc_nullable] = STATE(3171),
    [sym_preproc_error] = STATE(3171),
    [sym_preproc_define] = STATE(3171),
    [sym_preproc_undef] = STATE(3171),
    [sym__identifier_token] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_alias] = ACTIONS(3205),
    [anon_sym_global] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_LPAREN] = ACTIONS(3207),
    [anon_sym_event] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_ref] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_interface] = ACTIONS(3205),
    [anon_sym_delegate] = ACTIONS(3205),
    [anon_sym_record] = ACTIONS(3205),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_file] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_required] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_where] = ACTIONS(3205),
    [anon_sym_notnull] = ACTIONS(3205),
    [anon_sym_unmanaged] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_implicit] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_scoped] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [sym_predefined_type] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_when] = ACTIONS(3205),
    [anon_sym_else] = ACTIONS(3205),
    [anon_sym_from] = ACTIONS(3205),
    [anon_sym_into] = ACTIONS(3205),
    [anon_sym_join] = ACTIONS(3205),
    [anon_sym_on] = ACTIONS(3205),
    [anon_sym_equals] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_orderby] = ACTIONS(3205),
    [anon_sym_ascending] = ACTIONS(3205),
    [anon_sym_descending] = ACTIONS(3205),
    [anon_sym_group] = ACTIONS(3205),
    [anon_sym_by] = ACTIONS(3205),
    [anon_sym_select] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token3] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3172] = {
    [sym__variable_designation] = STATE(4079),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3172),
    [sym_preproc_endregion] = STATE(3172),
    [sym_preproc_line] = STATE(3172),
    [sym_preproc_pragma] = STATE(3172),
    [sym_preproc_nullable] = STATE(3172),
    [sym_preproc_error] = STATE(3172),
    [sym_preproc_define] = STATE(3172),
    [sym_preproc_undef] = STATE(3172),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COLON] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4403),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4405),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3173] = {
    [sym__variable_designation] = STATE(4211),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3173),
    [sym_preproc_endregion] = STATE(3173),
    [sym_preproc_line] = STATE(3173),
    [sym_preproc_pragma] = STATE(3173),
    [sym_preproc_nullable] = STATE(3173),
    [sym_preproc_error] = STATE(3173),
    [sym_preproc_define] = STATE(3173),
    [sym_preproc_undef] = STATE(3173),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COLON] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_EQ_GT] = ACTIONS(4445),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4447),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3174] = {
    [sym__variable_designation] = STATE(4211),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3174),
    [sym_preproc_endregion] = STATE(3174),
    [sym_preproc_line] = STATE(3174),
    [sym_preproc_pragma] = STATE(3174),
    [sym_preproc_nullable] = STATE(3174),
    [sym_preproc_error] = STATE(3174),
    [sym_preproc_define] = STATE(3174),
    [sym_preproc_undef] = STATE(3174),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_in] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3175] = {
    [sym__variable_designation] = STATE(4706),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3175),
    [sym_preproc_endregion] = STATE(3175),
    [sym_preproc_line] = STATE(3175),
    [sym_preproc_pragma] = STATE(3175),
    [sym_preproc_nullable] = STATE(3175),
    [sym_preproc_error] = STATE(3175),
    [sym_preproc_define] = STATE(3175),
    [sym_preproc_undef] = STATE(3175),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4395),
    [anon_sym_descending] = ACTIONS(4395),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3176] = {
    [sym_preproc_region] = STATE(3176),
    [sym_preproc_endregion] = STATE(3176),
    [sym_preproc_line] = STATE(3176),
    [sym_preproc_pragma] = STATE(3176),
    [sym_preproc_nullable] = STATE(3176),
    [sym_preproc_error] = STATE(3176),
    [sym_preproc_define] = STATE(3176),
    [sym_preproc_undef] = STATE(3176),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4128),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4128),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4128),
    [anon_sym_into] = ACTIONS(4130),
    [anon_sym_on] = ACTIONS(4130),
    [anon_sym_equals] = ACTIONS(4130),
    [anon_sym_by] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3177] = {
    [sym__variable_designation] = STATE(4710),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3177),
    [sym_preproc_endregion] = STATE(3177),
    [sym_preproc_line] = STATE(3177),
    [sym_preproc_pragma] = STATE(3177),
    [sym_preproc_nullable] = STATE(3177),
    [sym_preproc_error] = STATE(3177),
    [sym_preproc_define] = STATE(3177),
    [sym_preproc_undef] = STATE(3177),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4435),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4435),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4435),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4435),
    [anon_sym_orderby] = ACTIONS(4435),
    [anon_sym_ascending] = ACTIONS(4435),
    [anon_sym_descending] = ACTIONS(4435),
    [anon_sym_group] = ACTIONS(4435),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4435),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3178] = {
    [sym_preproc_region] = STATE(3178),
    [sym_preproc_endregion] = STATE(3178),
    [sym_preproc_line] = STATE(3178),
    [sym_preproc_pragma] = STATE(3178),
    [sym_preproc_nullable] = STATE(3178),
    [sym_preproc_error] = STATE(3178),
    [sym_preproc_define] = STATE(3178),
    [sym_preproc_undef] = STATE(3178),
    [sym__identifier_token] = ACTIONS(4767),
    [anon_sym_extern] = ACTIONS(4767),
    [anon_sym_alias] = ACTIONS(4767),
    [anon_sym_global] = ACTIONS(4767),
    [anon_sym_using] = ACTIONS(4767),
    [anon_sym_unsafe] = ACTIONS(4767),
    [anon_sym_EQ] = ACTIONS(4769),
    [anon_sym_static] = ACTIONS(4767),
    [anon_sym_LBRACK] = ACTIONS(4771),
    [anon_sym_LPAREN] = ACTIONS(4771),
    [anon_sym_event] = ACTIONS(4767),
    [anon_sym_namespace] = ACTIONS(4767),
    [anon_sym_class] = ACTIONS(4767),
    [anon_sym_ref] = ACTIONS(4767),
    [anon_sym_struct] = ACTIONS(4767),
    [anon_sym_enum] = ACTIONS(4767),
    [anon_sym_RBRACE] = ACTIONS(4771),
    [anon_sym_interface] = ACTIONS(4767),
    [anon_sym_delegate] = ACTIONS(4767),
    [anon_sym_record] = ACTIONS(4767),
    [anon_sym_abstract] = ACTIONS(4767),
    [anon_sym_async] = ACTIONS(4767),
    [anon_sym_const] = ACTIONS(4767),
    [anon_sym_file] = ACTIONS(4767),
    [anon_sym_fixed] = ACTIONS(4767),
    [anon_sym_internal] = ACTIONS(4767),
    [anon_sym_new] = ACTIONS(4767),
    [anon_sym_override] = ACTIONS(4767),
    [anon_sym_partial] = ACTIONS(4767),
    [anon_sym_private] = ACTIONS(4767),
    [anon_sym_protected] = ACTIONS(4767),
    [anon_sym_public] = ACTIONS(4767),
    [anon_sym_readonly] = ACTIONS(4767),
    [anon_sym_required] = ACTIONS(4767),
    [anon_sym_sealed] = ACTIONS(4767),
    [anon_sym_virtual] = ACTIONS(4767),
    [anon_sym_volatile] = ACTIONS(4767),
    [anon_sym_where] = ACTIONS(4767),
    [anon_sym_notnull] = ACTIONS(4767),
    [anon_sym_unmanaged] = ACTIONS(4767),
    [anon_sym_TILDE] = ACTIONS(4771),
    [anon_sym_implicit] = ACTIONS(4767),
    [anon_sym_explicit] = ACTIONS(4767),
    [anon_sym_scoped] = ACTIONS(4767),
    [anon_sym_var] = ACTIONS(4767),
    [sym_predefined_type] = ACTIONS(4767),
    [anon_sym_yield] = ACTIONS(4767),
    [anon_sym_when] = ACTIONS(4767),
    [anon_sym_from] = ACTIONS(4767),
    [anon_sym_into] = ACTIONS(4767),
    [anon_sym_join] = ACTIONS(4767),
    [anon_sym_on] = ACTIONS(4767),
    [anon_sym_equals] = ACTIONS(4767),
    [anon_sym_let] = ACTIONS(4767),
    [anon_sym_orderby] = ACTIONS(4767),
    [anon_sym_ascending] = ACTIONS(4767),
    [anon_sym_descending] = ACTIONS(4767),
    [anon_sym_group] = ACTIONS(4767),
    [anon_sym_by] = ACTIONS(4767),
    [anon_sym_select] = ACTIONS(4767),
    [aux_sym_preproc_if_token1] = ACTIONS(4771),
    [aux_sym_preproc_if_token3] = ACTIONS(4771),
    [aux_sym_preproc_else_token1] = ACTIONS(4771),
    [aux_sym_preproc_elif_token1] = ACTIONS(4771),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3179] = {
    [sym_preproc_region] = STATE(3179),
    [sym_preproc_endregion] = STATE(3179),
    [sym_preproc_line] = STATE(3179),
    [sym_preproc_pragma] = STATE(3179),
    [sym_preproc_nullable] = STATE(3179),
    [sym_preproc_error] = STATE(3179),
    [sym_preproc_define] = STATE(3179),
    [sym_preproc_undef] = STATE(3179),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_EQ] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4138),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4138),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_when] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4140),
    [anon_sym_PLUS_EQ] = ACTIONS(4140),
    [anon_sym_DASH_EQ] = ACTIONS(4140),
    [anon_sym_STAR_EQ] = ACTIONS(4140),
    [anon_sym_SLASH_EQ] = ACTIONS(4140),
    [anon_sym_PERCENT_EQ] = ACTIONS(4140),
    [anon_sym_AMP_EQ] = ACTIONS(4140),
    [anon_sym_CARET_EQ] = ACTIONS(4140),
    [anon_sym_PIPE_EQ] = ACTIONS(4140),
    [anon_sym_LT_LT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4138),
    [anon_sym_into] = ACTIONS(4140),
    [anon_sym_on] = ACTIONS(4140),
    [anon_sym_equals] = ACTIONS(4140),
    [anon_sym_by] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3180] = {
    [sym_preproc_region] = STATE(3180),
    [sym_preproc_endregion] = STATE(3180),
    [sym_preproc_line] = STATE(3180),
    [sym_preproc_pragma] = STATE(3180),
    [sym_preproc_nullable] = STATE(3180),
    [sym_preproc_error] = STATE(3180),
    [sym_preproc_define] = STATE(3180),
    [sym_preproc_undef] = STATE(3180),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_when] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3995),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3181] = {
    [sym_preproc_region] = STATE(3181),
    [sym_preproc_endregion] = STATE(3181),
    [sym_preproc_line] = STATE(3181),
    [sym_preproc_pragma] = STATE(3181),
    [sym_preproc_nullable] = STATE(3181),
    [sym_preproc_error] = STATE(3181),
    [sym_preproc_define] = STATE(3181),
    [sym_preproc_undef] = STATE(3181),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4122),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3182] = {
    [sym__variable_designation] = STATE(4671),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3182),
    [sym_preproc_endregion] = STATE(3182),
    [sym_preproc_line] = STATE(3182),
    [sym_preproc_pragma] = STATE(3182),
    [sym_preproc_nullable] = STATE(3182),
    [sym_preproc_error] = STATE(3182),
    [sym_preproc_define] = STATE(3182),
    [sym_preproc_undef] = STATE(3182),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COMMA] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4447),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4447),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4447),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4447),
    [anon_sym_orderby] = ACTIONS(4447),
    [anon_sym_ascending] = ACTIONS(4447),
    [anon_sym_descending] = ACTIONS(4447),
    [anon_sym_group] = ACTIONS(4447),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4447),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3183] = {
    [sym_preproc_region] = STATE(3183),
    [sym_preproc_endregion] = STATE(3183),
    [sym_preproc_line] = STATE(3183),
    [sym_preproc_pragma] = STATE(3183),
    [sym_preproc_nullable] = STATE(3183),
    [sym_preproc_error] = STATE(3183),
    [sym_preproc_define] = STATE(3183),
    [sym_preproc_undef] = STATE(3183),
    [sym__identifier_token] = ACTIONS(4773),
    [anon_sym_extern] = ACTIONS(4773),
    [anon_sym_alias] = ACTIONS(4773),
    [anon_sym_global] = ACTIONS(4773),
    [anon_sym_using] = ACTIONS(4773),
    [anon_sym_unsafe] = ACTIONS(4773),
    [anon_sym_EQ] = ACTIONS(4775),
    [anon_sym_static] = ACTIONS(4773),
    [anon_sym_LBRACK] = ACTIONS(4775),
    [anon_sym_LPAREN] = ACTIONS(4775),
    [anon_sym_event] = ACTIONS(4773),
    [anon_sym_namespace] = ACTIONS(4773),
    [anon_sym_class] = ACTIONS(4773),
    [anon_sym_ref] = ACTIONS(4773),
    [anon_sym_struct] = ACTIONS(4773),
    [anon_sym_enum] = ACTIONS(4773),
    [anon_sym_RBRACE] = ACTIONS(4775),
    [anon_sym_interface] = ACTIONS(4773),
    [anon_sym_delegate] = ACTIONS(4773),
    [anon_sym_record] = ACTIONS(4773),
    [anon_sym_abstract] = ACTIONS(4773),
    [anon_sym_async] = ACTIONS(4773),
    [anon_sym_const] = ACTIONS(4773),
    [anon_sym_file] = ACTIONS(4773),
    [anon_sym_fixed] = ACTIONS(4773),
    [anon_sym_internal] = ACTIONS(4773),
    [anon_sym_new] = ACTIONS(4773),
    [anon_sym_override] = ACTIONS(4773),
    [anon_sym_partial] = ACTIONS(4773),
    [anon_sym_private] = ACTIONS(4773),
    [anon_sym_protected] = ACTIONS(4773),
    [anon_sym_public] = ACTIONS(4773),
    [anon_sym_readonly] = ACTIONS(4773),
    [anon_sym_required] = ACTIONS(4773),
    [anon_sym_sealed] = ACTIONS(4773),
    [anon_sym_virtual] = ACTIONS(4773),
    [anon_sym_volatile] = ACTIONS(4773),
    [anon_sym_where] = ACTIONS(4773),
    [anon_sym_notnull] = ACTIONS(4773),
    [anon_sym_unmanaged] = ACTIONS(4773),
    [anon_sym_TILDE] = ACTIONS(4775),
    [anon_sym_implicit] = ACTIONS(4773),
    [anon_sym_explicit] = ACTIONS(4773),
    [anon_sym_scoped] = ACTIONS(4773),
    [anon_sym_var] = ACTIONS(4773),
    [sym_predefined_type] = ACTIONS(4773),
    [anon_sym_yield] = ACTIONS(4773),
    [anon_sym_when] = ACTIONS(4773),
    [anon_sym_from] = ACTIONS(4773),
    [anon_sym_into] = ACTIONS(4773),
    [anon_sym_join] = ACTIONS(4773),
    [anon_sym_on] = ACTIONS(4773),
    [anon_sym_equals] = ACTIONS(4773),
    [anon_sym_let] = ACTIONS(4773),
    [anon_sym_orderby] = ACTIONS(4773),
    [anon_sym_ascending] = ACTIONS(4773),
    [anon_sym_descending] = ACTIONS(4773),
    [anon_sym_group] = ACTIONS(4773),
    [anon_sym_by] = ACTIONS(4773),
    [anon_sym_select] = ACTIONS(4773),
    [aux_sym_preproc_if_token1] = ACTIONS(4775),
    [aux_sym_preproc_if_token3] = ACTIONS(4775),
    [aux_sym_preproc_else_token1] = ACTIONS(4775),
    [aux_sym_preproc_elif_token1] = ACTIONS(4775),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3184] = {
    [sym_preproc_region] = STATE(3184),
    [sym_preproc_endregion] = STATE(3184),
    [sym_preproc_line] = STATE(3184),
    [sym_preproc_pragma] = STATE(3184),
    [sym_preproc_nullable] = STATE(3184),
    [sym_preproc_error] = STATE(3184),
    [sym_preproc_define] = STATE(3184),
    [sym_preproc_undef] = STATE(3184),
    [anon_sym_SEMI] = ACTIONS(4197),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_when] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4197),
    [anon_sym_or] = ACTIONS(4197),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_into] = ACTIONS(4197),
    [anon_sym_on] = ACTIONS(4197),
    [anon_sym_equals] = ACTIONS(4197),
    [anon_sym_by] = ACTIONS(4197),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_if_token3] = ACTIONS(4197),
    [aux_sym_preproc_else_token1] = ACTIONS(4197),
    [aux_sym_preproc_elif_token1] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3185] = {
    [sym_preproc_region] = STATE(3185),
    [sym_preproc_endregion] = STATE(3185),
    [sym_preproc_line] = STATE(3185),
    [sym_preproc_pragma] = STATE(3185),
    [sym_preproc_nullable] = STATE(3185),
    [sym_preproc_error] = STATE(3185),
    [sym_preproc_define] = STATE(3185),
    [sym_preproc_undef] = STATE(3185),
    [anon_sym_SEMI] = ACTIONS(4646),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4646),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4646),
    [anon_sym_RBRACK] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(4646),
    [anon_sym_RPAREN] = ACTIONS(4646),
    [anon_sym_RBRACE] = ACTIONS(4646),
    [anon_sym_LT] = ACTIONS(4648),
    [anon_sym_GT] = ACTIONS(4648),
    [anon_sym_in] = ACTIONS(4648),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_STAR] = ACTIONS(4648),
    [anon_sym_SLASH] = ACTIONS(4648),
    [anon_sym_PERCENT] = ACTIONS(4648),
    [anon_sym_CARET] = ACTIONS(4648),
    [anon_sym_PIPE] = ACTIONS(4648),
    [anon_sym_AMP] = ACTIONS(4648),
    [anon_sym_LT_LT] = ACTIONS(4648),
    [anon_sym_GT_GT] = ACTIONS(4648),
    [anon_sym_GT_GT_GT] = ACTIONS(4648),
    [anon_sym_EQ_EQ] = ACTIONS(4646),
    [anon_sym_BANG_EQ] = ACTIONS(4646),
    [anon_sym_GT_EQ] = ACTIONS(4646),
    [anon_sym_LT_EQ] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(4648),
    [anon_sym_EQ_GT] = ACTIONS(4646),
    [anon_sym_switch] = ACTIONS(4646),
    [anon_sym_when] = ACTIONS(4646),
    [anon_sym_DOT_DOT] = ACTIONS(4646),
    [anon_sym_and] = ACTIONS(4646),
    [anon_sym_or] = ACTIONS(4646),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4646),
    [anon_sym_PIPE_PIPE] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK] = ACTIONS(4648),
    [anon_sym_into] = ACTIONS(4646),
    [anon_sym_on] = ACTIONS(4646),
    [anon_sym_equals] = ACTIONS(4646),
    [anon_sym_by] = ACTIONS(4646),
    [anon_sym_as] = ACTIONS(4646),
    [anon_sym_is] = ACTIONS(4646),
    [anon_sym_DASH_GT] = ACTIONS(4646),
    [anon_sym_with] = ACTIONS(4646),
    [aux_sym_preproc_if_token3] = ACTIONS(4646),
    [aux_sym_preproc_else_token1] = ACTIONS(4646),
    [aux_sym_preproc_elif_token1] = ACTIONS(4646),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3186] = {
    [sym_preproc_region] = STATE(3186),
    [sym_preproc_endregion] = STATE(3186),
    [sym_preproc_line] = STATE(3186),
    [sym_preproc_pragma] = STATE(3186),
    [sym_preproc_nullable] = STATE(3186),
    [sym_preproc_error] = STATE(3186),
    [sym_preproc_define] = STATE(3186),
    [sym_preproc_undef] = STATE(3186),
    [anon_sym_SEMI] = ACTIONS(4690),
    [anon_sym_EQ] = ACTIONS(4692),
    [anon_sym_LBRACK] = ACTIONS(4690),
    [anon_sym_COLON] = ACTIONS(4690),
    [anon_sym_COMMA] = ACTIONS(4690),
    [anon_sym_RBRACK] = ACTIONS(4690),
    [anon_sym_LPAREN] = ACTIONS(4690),
    [anon_sym_RPAREN] = ACTIONS(4690),
    [anon_sym_RBRACE] = ACTIONS(4690),
    [anon_sym_LT] = ACTIONS(4692),
    [anon_sym_GT] = ACTIONS(4692),
    [anon_sym_in] = ACTIONS(4692),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_BANG] = ACTIONS(4692),
    [anon_sym_PLUS_PLUS] = ACTIONS(4690),
    [anon_sym_DASH_DASH] = ACTIONS(4690),
    [anon_sym_PLUS] = ACTIONS(4692),
    [anon_sym_DASH] = ACTIONS(4692),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_SLASH] = ACTIONS(4692),
    [anon_sym_PERCENT] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4692),
    [anon_sym_PIPE] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_LT_LT] = ACTIONS(4692),
    [anon_sym_GT_GT] = ACTIONS(4692),
    [anon_sym_GT_GT_GT] = ACTIONS(4692),
    [anon_sym_EQ_EQ] = ACTIONS(4690),
    [anon_sym_BANG_EQ] = ACTIONS(4690),
    [anon_sym_GT_EQ] = ACTIONS(4690),
    [anon_sym_LT_EQ] = ACTIONS(4690),
    [anon_sym_DOT] = ACTIONS(4692),
    [anon_sym_EQ_GT] = ACTIONS(4690),
    [anon_sym_switch] = ACTIONS(4690),
    [anon_sym_when] = ACTIONS(4690),
    [anon_sym_DOT_DOT] = ACTIONS(4690),
    [anon_sym_and] = ACTIONS(4690),
    [anon_sym_or] = ACTIONS(4690),
    [anon_sym_PLUS_EQ] = ACTIONS(4690),
    [anon_sym_DASH_EQ] = ACTIONS(4690),
    [anon_sym_STAR_EQ] = ACTIONS(4690),
    [anon_sym_SLASH_EQ] = ACTIONS(4690),
    [anon_sym_PERCENT_EQ] = ACTIONS(4690),
    [anon_sym_AMP_EQ] = ACTIONS(4690),
    [anon_sym_CARET_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_LT_LT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4690),
    [anon_sym_AMP_AMP] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK] = ACTIONS(4692),
    [anon_sym_into] = ACTIONS(4690),
    [anon_sym_on] = ACTIONS(4690),
    [anon_sym_equals] = ACTIONS(4690),
    [anon_sym_by] = ACTIONS(4690),
    [anon_sym_as] = ACTIONS(4690),
    [anon_sym_is] = ACTIONS(4690),
    [anon_sym_DASH_GT] = ACTIONS(4690),
    [anon_sym_with] = ACTIONS(4690),
    [aux_sym_preproc_if_token3] = ACTIONS(4690),
    [aux_sym_preproc_else_token1] = ACTIONS(4690),
    [aux_sym_preproc_elif_token1] = ACTIONS(4690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3187] = {
    [sym_preproc_region] = STATE(3187),
    [sym_preproc_endregion] = STATE(3187),
    [sym_preproc_line] = STATE(3187),
    [sym_preproc_pragma] = STATE(3187),
    [sym_preproc_nullable] = STATE(3187),
    [sym_preproc_error] = STATE(3187),
    [sym_preproc_define] = STATE(3187),
    [sym_preproc_undef] = STATE(3187),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym_EQ] = ACTIONS(4666),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_COLON] = ACTIONS(4664),
    [anon_sym_COMMA] = ACTIONS(4664),
    [anon_sym_RBRACK] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(4664),
    [anon_sym_RPAREN] = ACTIONS(4664),
    [anon_sym_RBRACE] = ACTIONS(4664),
    [anon_sym_LT] = ACTIONS(4666),
    [anon_sym_GT] = ACTIONS(4666),
    [anon_sym_in] = ACTIONS(4666),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_BANG] = ACTIONS(4666),
    [anon_sym_PLUS_PLUS] = ACTIONS(4664),
    [anon_sym_DASH_DASH] = ACTIONS(4664),
    [anon_sym_PLUS] = ACTIONS(4666),
    [anon_sym_DASH] = ACTIONS(4666),
    [anon_sym_STAR] = ACTIONS(4666),
    [anon_sym_SLASH] = ACTIONS(4666),
    [anon_sym_PERCENT] = ACTIONS(4666),
    [anon_sym_CARET] = ACTIONS(4666),
    [anon_sym_PIPE] = ACTIONS(4666),
    [anon_sym_AMP] = ACTIONS(4666),
    [anon_sym_LT_LT] = ACTIONS(4666),
    [anon_sym_GT_GT] = ACTIONS(4666),
    [anon_sym_GT_GT_GT] = ACTIONS(4666),
    [anon_sym_EQ_EQ] = ACTIONS(4664),
    [anon_sym_BANG_EQ] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4664),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_DOT] = ACTIONS(4666),
    [anon_sym_EQ_GT] = ACTIONS(4664),
    [anon_sym_switch] = ACTIONS(4664),
    [anon_sym_when] = ACTIONS(4664),
    [anon_sym_DOT_DOT] = ACTIONS(4664),
    [anon_sym_and] = ACTIONS(4664),
    [anon_sym_or] = ACTIONS(4664),
    [anon_sym_PLUS_EQ] = ACTIONS(4664),
    [anon_sym_DASH_EQ] = ACTIONS(4664),
    [anon_sym_STAR_EQ] = ACTIONS(4664),
    [anon_sym_SLASH_EQ] = ACTIONS(4664),
    [anon_sym_PERCENT_EQ] = ACTIONS(4664),
    [anon_sym_AMP_EQ] = ACTIONS(4664),
    [anon_sym_CARET_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_LT_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4664),
    [anon_sym_AMP_AMP] = ACTIONS(4664),
    [anon_sym_PIPE_PIPE] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK] = ACTIONS(4666),
    [anon_sym_into] = ACTIONS(4664),
    [anon_sym_on] = ACTIONS(4664),
    [anon_sym_equals] = ACTIONS(4664),
    [anon_sym_by] = ACTIONS(4664),
    [anon_sym_as] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4664),
    [anon_sym_DASH_GT] = ACTIONS(4664),
    [anon_sym_with] = ACTIONS(4664),
    [aux_sym_preproc_if_token3] = ACTIONS(4664),
    [aux_sym_preproc_else_token1] = ACTIONS(4664),
    [aux_sym_preproc_elif_token1] = ACTIONS(4664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3188] = {
    [sym_preproc_region] = STATE(3188),
    [sym_preproc_endregion] = STATE(3188),
    [sym_preproc_line] = STATE(3188),
    [sym_preproc_pragma] = STATE(3188),
    [sym_preproc_nullable] = STATE(3188),
    [sym_preproc_error] = STATE(3188),
    [sym_preproc_define] = STATE(3188),
    [sym_preproc_undef] = STATE(3188),
    [anon_sym_SEMI] = ACTIONS(4686),
    [anon_sym_EQ] = ACTIONS(4688),
    [anon_sym_LBRACK] = ACTIONS(4686),
    [anon_sym_COLON] = ACTIONS(4686),
    [anon_sym_COMMA] = ACTIONS(4686),
    [anon_sym_RBRACK] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4686),
    [anon_sym_RPAREN] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4686),
    [anon_sym_LT] = ACTIONS(4688),
    [anon_sym_GT] = ACTIONS(4688),
    [anon_sym_in] = ACTIONS(4688),
    [anon_sym_QMARK] = ACTIONS(4688),
    [anon_sym_BANG] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4686),
    [anon_sym_DASH_DASH] = ACTIONS(4686),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_DASH] = ACTIONS(4688),
    [anon_sym_STAR] = ACTIONS(4688),
    [anon_sym_SLASH] = ACTIONS(4688),
    [anon_sym_PERCENT] = ACTIONS(4688),
    [anon_sym_CARET] = ACTIONS(4688),
    [anon_sym_PIPE] = ACTIONS(4688),
    [anon_sym_AMP] = ACTIONS(4688),
    [anon_sym_LT_LT] = ACTIONS(4688),
    [anon_sym_GT_GT] = ACTIONS(4688),
    [anon_sym_GT_GT_GT] = ACTIONS(4688),
    [anon_sym_EQ_EQ] = ACTIONS(4686),
    [anon_sym_BANG_EQ] = ACTIONS(4686),
    [anon_sym_GT_EQ] = ACTIONS(4686),
    [anon_sym_LT_EQ] = ACTIONS(4686),
    [anon_sym_DOT] = ACTIONS(4688),
    [anon_sym_EQ_GT] = ACTIONS(4686),
    [anon_sym_switch] = ACTIONS(4686),
    [anon_sym_when] = ACTIONS(4686),
    [anon_sym_DOT_DOT] = ACTIONS(4686),
    [anon_sym_and] = ACTIONS(4686),
    [anon_sym_or] = ACTIONS(4686),
    [anon_sym_PLUS_EQ] = ACTIONS(4686),
    [anon_sym_DASH_EQ] = ACTIONS(4686),
    [anon_sym_STAR_EQ] = ACTIONS(4686),
    [anon_sym_SLASH_EQ] = ACTIONS(4686),
    [anon_sym_PERCENT_EQ] = ACTIONS(4686),
    [anon_sym_AMP_EQ] = ACTIONS(4686),
    [anon_sym_CARET_EQ] = ACTIONS(4686),
    [anon_sym_PIPE_EQ] = ACTIONS(4686),
    [anon_sym_LT_LT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4686),
    [anon_sym_AMP_AMP] = ACTIONS(4686),
    [anon_sym_PIPE_PIPE] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK] = ACTIONS(4688),
    [anon_sym_into] = ACTIONS(4686),
    [anon_sym_on] = ACTIONS(4686),
    [anon_sym_equals] = ACTIONS(4686),
    [anon_sym_by] = ACTIONS(4686),
    [anon_sym_as] = ACTIONS(4686),
    [anon_sym_is] = ACTIONS(4686),
    [anon_sym_DASH_GT] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [aux_sym_preproc_if_token3] = ACTIONS(4686),
    [aux_sym_preproc_else_token1] = ACTIONS(4686),
    [aux_sym_preproc_elif_token1] = ACTIONS(4686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3189] = {
    [sym_preproc_region] = STATE(3189),
    [sym_preproc_endregion] = STATE(3189),
    [sym_preproc_line] = STATE(3189),
    [sym_preproc_pragma] = STATE(3189),
    [sym_preproc_nullable] = STATE(3189),
    [sym_preproc_error] = STATE(3189),
    [sym_preproc_define] = STATE(3189),
    [sym_preproc_undef] = STATE(3189),
    [anon_sym_SEMI] = ACTIONS(4696),
    [anon_sym_EQ] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4696),
    [anon_sym_COMMA] = ACTIONS(4696),
    [anon_sym_RBRACK] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4696),
    [anon_sym_RPAREN] = ACTIONS(4696),
    [anon_sym_RBRACE] = ACTIONS(4696),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_GT] = ACTIONS(4698),
    [anon_sym_in] = ACTIONS(4698),
    [anon_sym_QMARK] = ACTIONS(4698),
    [anon_sym_BANG] = ACTIONS(4698),
    [anon_sym_PLUS_PLUS] = ACTIONS(4696),
    [anon_sym_DASH_DASH] = ACTIONS(4696),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_DASH] = ACTIONS(4698),
    [anon_sym_STAR] = ACTIONS(4698),
    [anon_sym_SLASH] = ACTIONS(4698),
    [anon_sym_PERCENT] = ACTIONS(4698),
    [anon_sym_CARET] = ACTIONS(4698),
    [anon_sym_PIPE] = ACTIONS(4698),
    [anon_sym_AMP] = ACTIONS(4698),
    [anon_sym_LT_LT] = ACTIONS(4698),
    [anon_sym_GT_GT] = ACTIONS(4698),
    [anon_sym_GT_GT_GT] = ACTIONS(4698),
    [anon_sym_EQ_EQ] = ACTIONS(4696),
    [anon_sym_BANG_EQ] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4696),
    [anon_sym_LT_EQ] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(4698),
    [anon_sym_EQ_GT] = ACTIONS(4696),
    [anon_sym_switch] = ACTIONS(4696),
    [anon_sym_when] = ACTIONS(4696),
    [anon_sym_DOT_DOT] = ACTIONS(4696),
    [anon_sym_and] = ACTIONS(4696),
    [anon_sym_or] = ACTIONS(4696),
    [anon_sym_PLUS_EQ] = ACTIONS(4696),
    [anon_sym_DASH_EQ] = ACTIONS(4696),
    [anon_sym_STAR_EQ] = ACTIONS(4696),
    [anon_sym_SLASH_EQ] = ACTIONS(4696),
    [anon_sym_PERCENT_EQ] = ACTIONS(4696),
    [anon_sym_AMP_EQ] = ACTIONS(4696),
    [anon_sym_CARET_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_LT_LT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4696),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK] = ACTIONS(4698),
    [anon_sym_into] = ACTIONS(4696),
    [anon_sym_on] = ACTIONS(4696),
    [anon_sym_equals] = ACTIONS(4696),
    [anon_sym_by] = ACTIONS(4696),
    [anon_sym_as] = ACTIONS(4696),
    [anon_sym_is] = ACTIONS(4696),
    [anon_sym_DASH_GT] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [aux_sym_preproc_if_token3] = ACTIONS(4696),
    [aux_sym_preproc_else_token1] = ACTIONS(4696),
    [aux_sym_preproc_elif_token1] = ACTIONS(4696),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3190] = {
    [sym_preproc_region] = STATE(3190),
    [sym_preproc_endregion] = STATE(3190),
    [sym_preproc_line] = STATE(3190),
    [sym_preproc_pragma] = STATE(3190),
    [sym_preproc_nullable] = STATE(3190),
    [sym_preproc_error] = STATE(3190),
    [sym_preproc_define] = STATE(3190),
    [sym_preproc_undef] = STATE(3190),
    [sym__identifier_token] = ACTIONS(4777),
    [anon_sym_extern] = ACTIONS(4777),
    [anon_sym_alias] = ACTIONS(4777),
    [anon_sym_global] = ACTIONS(4777),
    [anon_sym_using] = ACTIONS(4777),
    [anon_sym_unsafe] = ACTIONS(4777),
    [anon_sym_EQ] = ACTIONS(4779),
    [anon_sym_static] = ACTIONS(4777),
    [anon_sym_LBRACK] = ACTIONS(4781),
    [anon_sym_LPAREN] = ACTIONS(4781),
    [anon_sym_event] = ACTIONS(4777),
    [anon_sym_namespace] = ACTIONS(4777),
    [anon_sym_class] = ACTIONS(4777),
    [anon_sym_ref] = ACTIONS(4777),
    [anon_sym_struct] = ACTIONS(4777),
    [anon_sym_enum] = ACTIONS(4777),
    [anon_sym_RBRACE] = ACTIONS(4781),
    [anon_sym_interface] = ACTIONS(4777),
    [anon_sym_delegate] = ACTIONS(4777),
    [anon_sym_record] = ACTIONS(4777),
    [anon_sym_abstract] = ACTIONS(4777),
    [anon_sym_async] = ACTIONS(4777),
    [anon_sym_const] = ACTIONS(4777),
    [anon_sym_file] = ACTIONS(4777),
    [anon_sym_fixed] = ACTIONS(4777),
    [anon_sym_internal] = ACTIONS(4777),
    [anon_sym_new] = ACTIONS(4777),
    [anon_sym_override] = ACTIONS(4777),
    [anon_sym_partial] = ACTIONS(4777),
    [anon_sym_private] = ACTIONS(4777),
    [anon_sym_protected] = ACTIONS(4777),
    [anon_sym_public] = ACTIONS(4777),
    [anon_sym_readonly] = ACTIONS(4777),
    [anon_sym_required] = ACTIONS(4777),
    [anon_sym_sealed] = ACTIONS(4777),
    [anon_sym_virtual] = ACTIONS(4777),
    [anon_sym_volatile] = ACTIONS(4777),
    [anon_sym_where] = ACTIONS(4777),
    [anon_sym_notnull] = ACTIONS(4777),
    [anon_sym_unmanaged] = ACTIONS(4777),
    [anon_sym_TILDE] = ACTIONS(4781),
    [anon_sym_implicit] = ACTIONS(4777),
    [anon_sym_explicit] = ACTIONS(4777),
    [anon_sym_scoped] = ACTIONS(4777),
    [anon_sym_var] = ACTIONS(4777),
    [sym_predefined_type] = ACTIONS(4777),
    [anon_sym_yield] = ACTIONS(4777),
    [anon_sym_when] = ACTIONS(4777),
    [anon_sym_from] = ACTIONS(4777),
    [anon_sym_into] = ACTIONS(4777),
    [anon_sym_join] = ACTIONS(4777),
    [anon_sym_on] = ACTIONS(4777),
    [anon_sym_equals] = ACTIONS(4777),
    [anon_sym_let] = ACTIONS(4777),
    [anon_sym_orderby] = ACTIONS(4777),
    [anon_sym_ascending] = ACTIONS(4777),
    [anon_sym_descending] = ACTIONS(4777),
    [anon_sym_group] = ACTIONS(4777),
    [anon_sym_by] = ACTIONS(4777),
    [anon_sym_select] = ACTIONS(4777),
    [aux_sym_preproc_if_token1] = ACTIONS(4781),
    [aux_sym_preproc_if_token3] = ACTIONS(4781),
    [aux_sym_preproc_else_token1] = ACTIONS(4781),
    [aux_sym_preproc_elif_token1] = ACTIONS(4781),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3191] = {
    [sym_type_argument_list] = STATE(3343),
    [sym_preproc_region] = STATE(3191),
    [sym_preproc_endregion] = STATE(3191),
    [sym_preproc_line] = STATE(3191),
    [sym_preproc_pragma] = STATE(3191),
    [sym_preproc_nullable] = STATE(3191),
    [sym_preproc_error] = STATE(3191),
    [sym_preproc_define] = STATE(3191),
    [sym_preproc_undef] = STATE(3191),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4761),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [3192] = {
    [sym_preproc_region] = STATE(3192),
    [sym_preproc_endregion] = STATE(3192),
    [sym_preproc_line] = STATE(3192),
    [sym_preproc_pragma] = STATE(3192),
    [sym_preproc_nullable] = STATE(3192),
    [sym_preproc_error] = STATE(3192),
    [sym_preproc_define] = STATE(3192),
    [sym_preproc_undef] = STATE(3192),
    [anon_sym_SEMI] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4165),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_RBRACE] = ACTIONS(4165),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_in] = ACTIONS(4167),
    [anon_sym_QMARK] = ACTIONS(4167),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4167),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4167),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_switch] = ACTIONS(4165),
    [anon_sym_when] = ACTIONS(4165),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4165),
    [anon_sym_or] = ACTIONS(4165),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_into] = ACTIONS(4165),
    [anon_sym_on] = ACTIONS(4165),
    [anon_sym_equals] = ACTIONS(4165),
    [anon_sym_by] = ACTIONS(4165),
    [anon_sym_as] = ACTIONS(4165),
    [anon_sym_is] = ACTIONS(4165),
    [anon_sym_DASH_GT] = ACTIONS(4165),
    [anon_sym_with] = ACTIONS(4165),
    [aux_sym_preproc_if_token3] = ACTIONS(4165),
    [aux_sym_preproc_else_token1] = ACTIONS(4165),
    [aux_sym_preproc_elif_token1] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3193] = {
    [sym__variable_designation] = STATE(4682),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3193),
    [sym_preproc_endregion] = STATE(3193),
    [sym_preproc_line] = STATE(3193),
    [sym_preproc_pragma] = STATE(3193),
    [sym_preproc_nullable] = STATE(3193),
    [sym_preproc_error] = STATE(3193),
    [sym_preproc_define] = STATE(3193),
    [sym_preproc_undef] = STATE(3193),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4405),
    [anon_sym_descending] = ACTIONS(4405),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3194] = {
    [sym_preproc_region] = STATE(3194),
    [sym_preproc_endregion] = STATE(3194),
    [sym_preproc_line] = STATE(3194),
    [sym_preproc_pragma] = STATE(3194),
    [sym_preproc_nullable] = STATE(3194),
    [sym_preproc_error] = STATE(3194),
    [sym_preproc_define] = STATE(3194),
    [sym_preproc_undef] = STATE(3194),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [3195] = {
    [sym__variable_designation] = STATE(4706),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3195),
    [sym_preproc_endregion] = STATE(3195),
    [sym_preproc_line] = STATE(3195),
    [sym_preproc_pragma] = STATE(3195),
    [sym_preproc_nullable] = STATE(3195),
    [sym_preproc_error] = STATE(3195),
    [sym_preproc_define] = STATE(3195),
    [sym_preproc_undef] = STATE(3195),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_COMMA] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4395),
    [anon_sym_descending] = ACTIONS(4395),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3196] = {
    [sym_preproc_region] = STATE(3196),
    [sym_preproc_endregion] = STATE(3196),
    [sym_preproc_line] = STATE(3196),
    [sym_preproc_pragma] = STATE(3196),
    [sym_preproc_nullable] = STATE(3196),
    [sym_preproc_error] = STATE(3196),
    [sym_preproc_define] = STATE(3196),
    [sym_preproc_undef] = STATE(3196),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4783),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3197] = {
    [sym_preproc_region] = STATE(3197),
    [sym_preproc_endregion] = STATE(3197),
    [sym_preproc_line] = STATE(3197),
    [sym_preproc_pragma] = STATE(3197),
    [sym_preproc_nullable] = STATE(3197),
    [sym_preproc_error] = STATE(3197),
    [sym_preproc_define] = STATE(3197),
    [sym_preproc_undef] = STATE(3197),
    [sym__identifier_token] = ACTIONS(4785),
    [anon_sym_extern] = ACTIONS(4785),
    [anon_sym_alias] = ACTIONS(4785),
    [anon_sym_global] = ACTIONS(4785),
    [anon_sym_using] = ACTIONS(4785),
    [anon_sym_unsafe] = ACTIONS(4785),
    [anon_sym_EQ] = ACTIONS(4787),
    [anon_sym_static] = ACTIONS(4785),
    [anon_sym_LBRACK] = ACTIONS(4787),
    [anon_sym_LPAREN] = ACTIONS(4787),
    [anon_sym_event] = ACTIONS(4785),
    [anon_sym_namespace] = ACTIONS(4785),
    [anon_sym_class] = ACTIONS(4785),
    [anon_sym_ref] = ACTIONS(4785),
    [anon_sym_struct] = ACTIONS(4785),
    [anon_sym_enum] = ACTIONS(4785),
    [anon_sym_RBRACE] = ACTIONS(4787),
    [anon_sym_interface] = ACTIONS(4785),
    [anon_sym_delegate] = ACTIONS(4785),
    [anon_sym_record] = ACTIONS(4785),
    [anon_sym_abstract] = ACTIONS(4785),
    [anon_sym_async] = ACTIONS(4785),
    [anon_sym_const] = ACTIONS(4785),
    [anon_sym_file] = ACTIONS(4785),
    [anon_sym_fixed] = ACTIONS(4785),
    [anon_sym_internal] = ACTIONS(4785),
    [anon_sym_new] = ACTIONS(4785),
    [anon_sym_override] = ACTIONS(4785),
    [anon_sym_partial] = ACTIONS(4785),
    [anon_sym_private] = ACTIONS(4785),
    [anon_sym_protected] = ACTIONS(4785),
    [anon_sym_public] = ACTIONS(4785),
    [anon_sym_readonly] = ACTIONS(4785),
    [anon_sym_required] = ACTIONS(4785),
    [anon_sym_sealed] = ACTIONS(4785),
    [anon_sym_virtual] = ACTIONS(4785),
    [anon_sym_volatile] = ACTIONS(4785),
    [anon_sym_where] = ACTIONS(4785),
    [anon_sym_notnull] = ACTIONS(4785),
    [anon_sym_unmanaged] = ACTIONS(4785),
    [anon_sym_TILDE] = ACTIONS(4787),
    [anon_sym_implicit] = ACTIONS(4785),
    [anon_sym_explicit] = ACTIONS(4785),
    [anon_sym_scoped] = ACTIONS(4785),
    [anon_sym_var] = ACTIONS(4785),
    [sym_predefined_type] = ACTIONS(4785),
    [anon_sym_yield] = ACTIONS(4785),
    [anon_sym_when] = ACTIONS(4785),
    [anon_sym_from] = ACTIONS(4785),
    [anon_sym_into] = ACTIONS(4785),
    [anon_sym_join] = ACTIONS(4785),
    [anon_sym_on] = ACTIONS(4785),
    [anon_sym_equals] = ACTIONS(4785),
    [anon_sym_let] = ACTIONS(4785),
    [anon_sym_orderby] = ACTIONS(4785),
    [anon_sym_ascending] = ACTIONS(4785),
    [anon_sym_descending] = ACTIONS(4785),
    [anon_sym_group] = ACTIONS(4785),
    [anon_sym_by] = ACTIONS(4785),
    [anon_sym_select] = ACTIONS(4785),
    [aux_sym_preproc_if_token1] = ACTIONS(4787),
    [aux_sym_preproc_if_token3] = ACTIONS(4787),
    [aux_sym_preproc_else_token1] = ACTIONS(4787),
    [aux_sym_preproc_elif_token1] = ACTIONS(4787),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3198] = {
    [sym_preproc_region] = STATE(3198),
    [sym_preproc_endregion] = STATE(3198),
    [sym_preproc_line] = STATE(3198),
    [sym_preproc_pragma] = STATE(3198),
    [sym_preproc_nullable] = STATE(3198),
    [sym_preproc_error] = STATE(3198),
    [sym_preproc_define] = STATE(3198),
    [sym_preproc_undef] = STATE(3198),
    [anon_sym_SEMI] = ACTIONS(4789),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_RBRACK] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(4791),
    [anon_sym_RPAREN] = ACTIONS(4789),
    [anon_sym_RBRACE] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4794),
    [anon_sym_in] = ACTIONS(4797),
    [anon_sym_QMARK] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4794),
    [anon_sym_PLUS_PLUS] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4794),
    [anon_sym_DASH] = ACTIONS(4794),
    [anon_sym_STAR] = ACTIONS(4794),
    [anon_sym_SLASH] = ACTIONS(4794),
    [anon_sym_PERCENT] = ACTIONS(4794),
    [anon_sym_CARET] = ACTIONS(4794),
    [anon_sym_PIPE] = ACTIONS(4794),
    [anon_sym_AMP] = ACTIONS(4794),
    [anon_sym_LT_LT] = ACTIONS(4794),
    [anon_sym_GT_GT] = ACTIONS(4794),
    [anon_sym_GT_GT_GT] = ACTIONS(4794),
    [anon_sym_EQ_EQ] = ACTIONS(4791),
    [anon_sym_BANG_EQ] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4791),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_EQ_GT] = ACTIONS(4789),
    [anon_sym_switch] = ACTIONS(4791),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4791),
    [anon_sym_QMARK_QMARK] = ACTIONS(4794),
    [anon_sym_into] = ACTIONS(4789),
    [anon_sym_on] = ACTIONS(4789),
    [anon_sym_equals] = ACTIONS(4789),
    [anon_sym_by] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(4791),
    [anon_sym_is] = ACTIONS(4791),
    [anon_sym_DASH_GT] = ACTIONS(4791),
    [anon_sym_with] = ACTIONS(4791),
    [aux_sym_preproc_if_token3] = ACTIONS(4789),
    [aux_sym_preproc_else_token1] = ACTIONS(4789),
    [aux_sym_preproc_elif_token1] = ACTIONS(4789),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3199] = {
    [sym_preproc_region] = STATE(3199),
    [sym_preproc_endregion] = STATE(3199),
    [sym_preproc_line] = STATE(3199),
    [sym_preproc_pragma] = STATE(3199),
    [sym_preproc_nullable] = STATE(3199),
    [sym_preproc_error] = STATE(3199),
    [sym_preproc_define] = STATE(3199),
    [sym_preproc_undef] = STATE(3199),
    [sym__identifier_token] = ACTIONS(4799),
    [anon_sym_extern] = ACTIONS(4799),
    [anon_sym_alias] = ACTIONS(4799),
    [anon_sym_global] = ACTIONS(4799),
    [anon_sym_using] = ACTIONS(4799),
    [anon_sym_unsafe] = ACTIONS(4799),
    [anon_sym_EQ] = ACTIONS(4801),
    [anon_sym_static] = ACTIONS(4799),
    [anon_sym_LBRACK] = ACTIONS(4803),
    [anon_sym_LPAREN] = ACTIONS(4803),
    [anon_sym_event] = ACTIONS(4799),
    [anon_sym_namespace] = ACTIONS(4799),
    [anon_sym_class] = ACTIONS(4799),
    [anon_sym_ref] = ACTIONS(4799),
    [anon_sym_struct] = ACTIONS(4799),
    [anon_sym_enum] = ACTIONS(4799),
    [anon_sym_RBRACE] = ACTIONS(4803),
    [anon_sym_interface] = ACTIONS(4799),
    [anon_sym_delegate] = ACTIONS(4799),
    [anon_sym_record] = ACTIONS(4799),
    [anon_sym_abstract] = ACTIONS(4799),
    [anon_sym_async] = ACTIONS(4799),
    [anon_sym_const] = ACTIONS(4799),
    [anon_sym_file] = ACTIONS(4799),
    [anon_sym_fixed] = ACTIONS(4799),
    [anon_sym_internal] = ACTIONS(4799),
    [anon_sym_new] = ACTIONS(4799),
    [anon_sym_override] = ACTIONS(4799),
    [anon_sym_partial] = ACTIONS(4799),
    [anon_sym_private] = ACTIONS(4799),
    [anon_sym_protected] = ACTIONS(4799),
    [anon_sym_public] = ACTIONS(4799),
    [anon_sym_readonly] = ACTIONS(4799),
    [anon_sym_required] = ACTIONS(4799),
    [anon_sym_sealed] = ACTIONS(4799),
    [anon_sym_virtual] = ACTIONS(4799),
    [anon_sym_volatile] = ACTIONS(4799),
    [anon_sym_where] = ACTIONS(4799),
    [anon_sym_notnull] = ACTIONS(4799),
    [anon_sym_unmanaged] = ACTIONS(4799),
    [anon_sym_TILDE] = ACTIONS(4803),
    [anon_sym_implicit] = ACTIONS(4799),
    [anon_sym_explicit] = ACTIONS(4799),
    [anon_sym_scoped] = ACTIONS(4799),
    [anon_sym_var] = ACTIONS(4799),
    [sym_predefined_type] = ACTIONS(4799),
    [anon_sym_yield] = ACTIONS(4799),
    [anon_sym_when] = ACTIONS(4799),
    [anon_sym_from] = ACTIONS(4799),
    [anon_sym_into] = ACTIONS(4799),
    [anon_sym_join] = ACTIONS(4799),
    [anon_sym_on] = ACTIONS(4799),
    [anon_sym_equals] = ACTIONS(4799),
    [anon_sym_let] = ACTIONS(4799),
    [anon_sym_orderby] = ACTIONS(4799),
    [anon_sym_ascending] = ACTIONS(4799),
    [anon_sym_descending] = ACTIONS(4799),
    [anon_sym_group] = ACTIONS(4799),
    [anon_sym_by] = ACTIONS(4799),
    [anon_sym_select] = ACTIONS(4799),
    [aux_sym_preproc_if_token1] = ACTIONS(4803),
    [aux_sym_preproc_if_token3] = ACTIONS(4803),
    [aux_sym_preproc_else_token1] = ACTIONS(4803),
    [aux_sym_preproc_elif_token1] = ACTIONS(4803),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3200] = {
    [sym_preproc_region] = STATE(3200),
    [sym_preproc_endregion] = STATE(3200),
    [sym_preproc_line] = STATE(3200),
    [sym_preproc_pragma] = STATE(3200),
    [sym_preproc_nullable] = STATE(3200),
    [sym_preproc_error] = STATE(3200),
    [sym_preproc_define] = STATE(3200),
    [sym_preproc_undef] = STATE(3200),
    [sym__identifier_token] = ACTIONS(4089),
    [anon_sym_alias] = ACTIONS(4089),
    [anon_sym_global] = ACTIONS(4089),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_file] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_notnull] = ACTIONS(4089),
    [anon_sym_unmanaged] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_scoped] = ACTIONS(4089),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4089),
    [anon_sym_yield] = ACTIONS(4089),
    [anon_sym_switch] = ACTIONS(4089),
    [anon_sym_when] = ACTIONS(4089),
    [sym_discard] = ACTIONS(4089),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4089),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4089),
    [anon_sym_into] = ACTIONS(4089),
    [anon_sym_join] = ACTIONS(4089),
    [anon_sym_on] = ACTIONS(4089),
    [anon_sym_equals] = ACTIONS(4089),
    [anon_sym_let] = ACTIONS(4089),
    [anon_sym_orderby] = ACTIONS(4089),
    [anon_sym_ascending] = ACTIONS(4089),
    [anon_sym_descending] = ACTIONS(4089),
    [anon_sym_group] = ACTIONS(4089),
    [anon_sym_by] = ACTIONS(4089),
    [anon_sym_select] = ACTIONS(4089),
    [anon_sym_as] = ACTIONS(4089),
    [anon_sym_is] = ACTIONS(4089),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4089),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4086),
  },
  [3201] = {
    [sym__variable_designation] = STATE(4682),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3201),
    [sym_preproc_endregion] = STATE(3201),
    [sym_preproc_line] = STATE(3201),
    [sym_preproc_pragma] = STATE(3201),
    [sym_preproc_nullable] = STATE(3201),
    [sym_preproc_error] = STATE(3201),
    [sym_preproc_define] = STATE(3201),
    [sym_preproc_undef] = STATE(3201),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4405),
    [anon_sym_descending] = ACTIONS(4405),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3202] = {
    [sym__variable_designation] = STATE(4671),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3202),
    [sym_preproc_endregion] = STATE(3202),
    [sym_preproc_line] = STATE(3202),
    [sym_preproc_pragma] = STATE(3202),
    [sym_preproc_nullable] = STATE(3202),
    [sym_preproc_error] = STATE(3202),
    [sym_preproc_define] = STATE(3202),
    [sym_preproc_undef] = STATE(3202),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_COMMA] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4447),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4447),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4447),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4447),
    [anon_sym_orderby] = ACTIONS(4447),
    [anon_sym_ascending] = ACTIONS(4447),
    [anon_sym_descending] = ACTIONS(4447),
    [anon_sym_group] = ACTIONS(4447),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4447),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3203] = {
    [sym_preproc_region] = STATE(3203),
    [sym_preproc_endregion] = STATE(3203),
    [sym_preproc_line] = STATE(3203),
    [sym_preproc_pragma] = STATE(3203),
    [sym_preproc_nullable] = STATE(3203),
    [sym_preproc_error] = STATE(3203),
    [sym_preproc_define] = STATE(3203),
    [sym_preproc_undef] = STATE(3203),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3204] = {
    [sym__variable_designation] = STATE(4113),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3204),
    [sym_preproc_endregion] = STATE(3204),
    [sym_preproc_line] = STATE(3204),
    [sym_preproc_pragma] = STATE(3204),
    [sym_preproc_nullable] = STATE(3204),
    [sym_preproc_error] = STATE(3204),
    [sym_preproc_define] = STATE(3204),
    [sym_preproc_undef] = STATE(3204),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_in] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3205] = {
    [sym_preproc_region] = STATE(3205),
    [sym_preproc_endregion] = STATE(3205),
    [sym_preproc_line] = STATE(3205),
    [sym_preproc_pragma] = STATE(3205),
    [sym_preproc_nullable] = STATE(3205),
    [sym_preproc_error] = STATE(3205),
    [sym_preproc_define] = STATE(3205),
    [sym_preproc_undef] = STATE(3205),
    [sym__identifier_token] = ACTIONS(4805),
    [anon_sym_extern] = ACTIONS(4805),
    [anon_sym_alias] = ACTIONS(4805),
    [anon_sym_global] = ACTIONS(4805),
    [anon_sym_using] = ACTIONS(4805),
    [anon_sym_unsafe] = ACTIONS(4805),
    [anon_sym_EQ] = ACTIONS(4807),
    [anon_sym_static] = ACTIONS(4805),
    [anon_sym_LBRACK] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4809),
    [anon_sym_event] = ACTIONS(4805),
    [anon_sym_namespace] = ACTIONS(4805),
    [anon_sym_class] = ACTIONS(4805),
    [anon_sym_ref] = ACTIONS(4805),
    [anon_sym_struct] = ACTIONS(4805),
    [anon_sym_enum] = ACTIONS(4805),
    [anon_sym_RBRACE] = ACTIONS(4809),
    [anon_sym_interface] = ACTIONS(4805),
    [anon_sym_delegate] = ACTIONS(4805),
    [anon_sym_record] = ACTIONS(4805),
    [anon_sym_abstract] = ACTIONS(4805),
    [anon_sym_async] = ACTIONS(4805),
    [anon_sym_const] = ACTIONS(4805),
    [anon_sym_file] = ACTIONS(4805),
    [anon_sym_fixed] = ACTIONS(4805),
    [anon_sym_internal] = ACTIONS(4805),
    [anon_sym_new] = ACTIONS(4805),
    [anon_sym_override] = ACTIONS(4805),
    [anon_sym_partial] = ACTIONS(4805),
    [anon_sym_private] = ACTIONS(4805),
    [anon_sym_protected] = ACTIONS(4805),
    [anon_sym_public] = ACTIONS(4805),
    [anon_sym_readonly] = ACTIONS(4805),
    [anon_sym_required] = ACTIONS(4805),
    [anon_sym_sealed] = ACTIONS(4805),
    [anon_sym_virtual] = ACTIONS(4805),
    [anon_sym_volatile] = ACTIONS(4805),
    [anon_sym_where] = ACTIONS(4805),
    [anon_sym_notnull] = ACTIONS(4805),
    [anon_sym_unmanaged] = ACTIONS(4805),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_implicit] = ACTIONS(4805),
    [anon_sym_explicit] = ACTIONS(4805),
    [anon_sym_scoped] = ACTIONS(4805),
    [anon_sym_var] = ACTIONS(4805),
    [sym_predefined_type] = ACTIONS(4805),
    [anon_sym_yield] = ACTIONS(4805),
    [anon_sym_when] = ACTIONS(4805),
    [anon_sym_from] = ACTIONS(4805),
    [anon_sym_into] = ACTIONS(4805),
    [anon_sym_join] = ACTIONS(4805),
    [anon_sym_on] = ACTIONS(4805),
    [anon_sym_equals] = ACTIONS(4805),
    [anon_sym_let] = ACTIONS(4805),
    [anon_sym_orderby] = ACTIONS(4805),
    [anon_sym_ascending] = ACTIONS(4805),
    [anon_sym_descending] = ACTIONS(4805),
    [anon_sym_group] = ACTIONS(4805),
    [anon_sym_by] = ACTIONS(4805),
    [anon_sym_select] = ACTIONS(4805),
    [aux_sym_preproc_if_token1] = ACTIONS(4809),
    [aux_sym_preproc_if_token3] = ACTIONS(4809),
    [aux_sym_preproc_else_token1] = ACTIONS(4809),
    [aux_sym_preproc_elif_token1] = ACTIONS(4809),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3206] = {
    [sym_preproc_region] = STATE(3206),
    [sym_preproc_endregion] = STATE(3206),
    [sym_preproc_line] = STATE(3206),
    [sym_preproc_pragma] = STATE(3206),
    [sym_preproc_nullable] = STATE(3206),
    [sym_preproc_error] = STATE(3206),
    [sym_preproc_define] = STATE(3206),
    [sym_preproc_undef] = STATE(3206),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_EQ] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4149),
    [anon_sym_CARET] = ACTIONS(4149),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4149),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4149),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_when] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4151),
    [anon_sym_PLUS_EQ] = ACTIONS(4151),
    [anon_sym_DASH_EQ] = ACTIONS(4151),
    [anon_sym_STAR_EQ] = ACTIONS(4151),
    [anon_sym_SLASH_EQ] = ACTIONS(4151),
    [anon_sym_PERCENT_EQ] = ACTIONS(4151),
    [anon_sym_AMP_EQ] = ACTIONS(4151),
    [anon_sym_CARET_EQ] = ACTIONS(4151),
    [anon_sym_PIPE_EQ] = ACTIONS(4151),
    [anon_sym_LT_LT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4149),
    [anon_sym_into] = ACTIONS(4151),
    [anon_sym_on] = ACTIONS(4151),
    [anon_sym_equals] = ACTIONS(4151),
    [anon_sym_by] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3207] = {
    [sym_preproc_region] = STATE(3207),
    [sym_preproc_endregion] = STATE(3207),
    [sym_preproc_line] = STATE(3207),
    [sym_preproc_pragma] = STATE(3207),
    [sym_preproc_nullable] = STATE(3207),
    [sym_preproc_error] = STATE(3207),
    [sym_preproc_define] = STATE(3207),
    [sym_preproc_undef] = STATE(3207),
    [sym__identifier_token] = ACTIONS(4451),
    [anon_sym_alias] = ACTIONS(4451),
    [anon_sym_global] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_file] = ACTIONS(4451),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_where] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_notnull] = ACTIONS(4451),
    [anon_sym_unmanaged] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4811),
    [anon_sym_scoped] = ACTIONS(4451),
    [anon_sym_var] = ACTIONS(4451),
    [anon_sym_yield] = ACTIONS(4451),
    [anon_sym_switch] = ACTIONS(4451),
    [anon_sym_when] = ACTIONS(4451),
    [sym_discard] = ACTIONS(4451),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4451),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4451),
    [anon_sym_into] = ACTIONS(4451),
    [anon_sym_join] = ACTIONS(4451),
    [anon_sym_on] = ACTIONS(4451),
    [anon_sym_equals] = ACTIONS(4451),
    [anon_sym_let] = ACTIONS(4451),
    [anon_sym_orderby] = ACTIONS(4451),
    [anon_sym_ascending] = ACTIONS(4451),
    [anon_sym_descending] = ACTIONS(4451),
    [anon_sym_group] = ACTIONS(4451),
    [anon_sym_by] = ACTIONS(4451),
    [anon_sym_select] = ACTIONS(4451),
    [anon_sym_as] = ACTIONS(4451),
    [anon_sym_is] = ACTIONS(4451),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4451),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3208] = {
    [sym_preproc_region] = STATE(3208),
    [sym_preproc_endregion] = STATE(3208),
    [sym_preproc_line] = STATE(3208),
    [sym_preproc_pragma] = STATE(3208),
    [sym_preproc_nullable] = STATE(3208),
    [sym_preproc_error] = STATE(3208),
    [sym_preproc_define] = STATE(3208),
    [sym_preproc_undef] = STATE(3208),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4122),
  },
  [3209] = {
    [sym__variable_designation] = STATE(4216),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3209),
    [sym_preproc_endregion] = STATE(3209),
    [sym_preproc_line] = STATE(3209),
    [sym_preproc_pragma] = STATE(3209),
    [sym_preproc_nullable] = STATE(3209),
    [sym_preproc_error] = STATE(3209),
    [sym_preproc_define] = STATE(3209),
    [sym_preproc_undef] = STATE(3209),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_in] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3210] = {
    [sym__variable_designation] = STATE(4292),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(3210),
    [sym_preproc_endregion] = STATE(3210),
    [sym_preproc_line] = STATE(3210),
    [sym_preproc_pragma] = STATE(3210),
    [sym_preproc_nullable] = STATE(3210),
    [sym_preproc_error] = STATE(3210),
    [sym_preproc_define] = STATE(3210),
    [sym_preproc_undef] = STATE(3210),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_in] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4234),
    [anon_sym_var] = ACTIONS(4234),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4234),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3211] = {
    [sym_preproc_region] = STATE(3211),
    [sym_preproc_endregion] = STATE(3211),
    [sym_preproc_line] = STATE(3211),
    [sym_preproc_pragma] = STATE(3211),
    [sym_preproc_nullable] = STATE(3211),
    [sym_preproc_error] = STATE(3211),
    [sym_preproc_define] = STATE(3211),
    [sym_preproc_undef] = STATE(3211),
    [sym__identifier_token] = ACTIONS(4813),
    [anon_sym_extern] = ACTIONS(4813),
    [anon_sym_alias] = ACTIONS(4813),
    [anon_sym_global] = ACTIONS(4813),
    [anon_sym_using] = ACTIONS(4813),
    [anon_sym_unsafe] = ACTIONS(4813),
    [anon_sym_EQ] = ACTIONS(4815),
    [anon_sym_static] = ACTIONS(4813),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_LPAREN] = ACTIONS(4817),
    [anon_sym_event] = ACTIONS(4813),
    [anon_sym_namespace] = ACTIONS(4813),
    [anon_sym_class] = ACTIONS(4813),
    [anon_sym_ref] = ACTIONS(4813),
    [anon_sym_struct] = ACTIONS(4813),
    [anon_sym_enum] = ACTIONS(4813),
    [anon_sym_RBRACE] = ACTIONS(4817),
    [anon_sym_interface] = ACTIONS(4813),
    [anon_sym_delegate] = ACTIONS(4813),
    [anon_sym_record] = ACTIONS(4813),
    [anon_sym_abstract] = ACTIONS(4813),
    [anon_sym_async] = ACTIONS(4813),
    [anon_sym_const] = ACTIONS(4813),
    [anon_sym_file] = ACTIONS(4813),
    [anon_sym_fixed] = ACTIONS(4813),
    [anon_sym_internal] = ACTIONS(4813),
    [anon_sym_new] = ACTIONS(4813),
    [anon_sym_override] = ACTIONS(4813),
    [anon_sym_partial] = ACTIONS(4813),
    [anon_sym_private] = ACTIONS(4813),
    [anon_sym_protected] = ACTIONS(4813),
    [anon_sym_public] = ACTIONS(4813),
    [anon_sym_readonly] = ACTIONS(4813),
    [anon_sym_required] = ACTIONS(4813),
    [anon_sym_sealed] = ACTIONS(4813),
    [anon_sym_virtual] = ACTIONS(4813),
    [anon_sym_volatile] = ACTIONS(4813),
    [anon_sym_where] = ACTIONS(4813),
    [anon_sym_notnull] = ACTIONS(4813),
    [anon_sym_unmanaged] = ACTIONS(4813),
    [anon_sym_TILDE] = ACTIONS(4817),
    [anon_sym_implicit] = ACTIONS(4813),
    [anon_sym_explicit] = ACTIONS(4813),
    [anon_sym_scoped] = ACTIONS(4813),
    [anon_sym_var] = ACTIONS(4813),
    [sym_predefined_type] = ACTIONS(4813),
    [anon_sym_yield] = ACTIONS(4813),
    [anon_sym_when] = ACTIONS(4813),
    [anon_sym_from] = ACTIONS(4813),
    [anon_sym_into] = ACTIONS(4813),
    [anon_sym_join] = ACTIONS(4813),
    [anon_sym_on] = ACTIONS(4813),
    [anon_sym_equals] = ACTIONS(4813),
    [anon_sym_let] = ACTIONS(4813),
    [anon_sym_orderby] = ACTIONS(4813),
    [anon_sym_ascending] = ACTIONS(4813),
    [anon_sym_descending] = ACTIONS(4813),
    [anon_sym_group] = ACTIONS(4813),
    [anon_sym_by] = ACTIONS(4813),
    [anon_sym_select] = ACTIONS(4813),
    [aux_sym_preproc_if_token1] = ACTIONS(4817),
    [aux_sym_preproc_if_token3] = ACTIONS(4817),
    [aux_sym_preproc_else_token1] = ACTIONS(4817),
    [aux_sym_preproc_elif_token1] = ACTIONS(4817),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3212] = {
    [sym_preproc_region] = STATE(3212),
    [sym_preproc_endregion] = STATE(3212),
    [sym_preproc_line] = STATE(3212),
    [sym_preproc_pragma] = STATE(3212),
    [sym_preproc_nullable] = STATE(3212),
    [sym_preproc_error] = STATE(3212),
    [sym_preproc_define] = STATE(3212),
    [sym_preproc_undef] = STATE(3212),
    [sym__identifier_token] = ACTIONS(4819),
    [anon_sym_extern] = ACTIONS(4819),
    [anon_sym_alias] = ACTIONS(4819),
    [anon_sym_global] = ACTIONS(4819),
    [anon_sym_using] = ACTIONS(4819),
    [anon_sym_unsafe] = ACTIONS(4819),
    [anon_sym_EQ] = ACTIONS(4821),
    [anon_sym_static] = ACTIONS(4819),
    [anon_sym_LBRACK] = ACTIONS(4823),
    [anon_sym_LPAREN] = ACTIONS(4823),
    [anon_sym_event] = ACTIONS(4819),
    [anon_sym_namespace] = ACTIONS(4819),
    [anon_sym_class] = ACTIONS(4819),
    [anon_sym_ref] = ACTIONS(4819),
    [anon_sym_struct] = ACTIONS(4819),
    [anon_sym_enum] = ACTIONS(4819),
    [anon_sym_RBRACE] = ACTIONS(4823),
    [anon_sym_interface] = ACTIONS(4819),
    [anon_sym_delegate] = ACTIONS(4819),
    [anon_sym_record] = ACTIONS(4819),
    [anon_sym_abstract] = ACTIONS(4819),
    [anon_sym_async] = ACTIONS(4819),
    [anon_sym_const] = ACTIONS(4819),
    [anon_sym_file] = ACTIONS(4819),
    [anon_sym_fixed] = ACTIONS(4819),
    [anon_sym_internal] = ACTIONS(4819),
    [anon_sym_new] = ACTIONS(4819),
    [anon_sym_override] = ACTIONS(4819),
    [anon_sym_partial] = ACTIONS(4819),
    [anon_sym_private] = ACTIONS(4819),
    [anon_sym_protected] = ACTIONS(4819),
    [anon_sym_public] = ACTIONS(4819),
    [anon_sym_readonly] = ACTIONS(4819),
    [anon_sym_required] = ACTIONS(4819),
    [anon_sym_sealed] = ACTIONS(4819),
    [anon_sym_virtual] = ACTIONS(4819),
    [anon_sym_volatile] = ACTIONS(4819),
    [anon_sym_where] = ACTIONS(4819),
    [anon_sym_notnull] = ACTIONS(4819),
    [anon_sym_unmanaged] = ACTIONS(4819),
    [anon_sym_TILDE] = ACTIONS(4823),
    [anon_sym_implicit] = ACTIONS(4819),
    [anon_sym_explicit] = ACTIONS(4819),
    [anon_sym_scoped] = ACTIONS(4819),
    [anon_sym_var] = ACTIONS(4819),
    [sym_predefined_type] = ACTIONS(4819),
    [anon_sym_yield] = ACTIONS(4819),
    [anon_sym_when] = ACTIONS(4819),
    [anon_sym_from] = ACTIONS(4819),
    [anon_sym_into] = ACTIONS(4819),
    [anon_sym_join] = ACTIONS(4819),
    [anon_sym_on] = ACTIONS(4819),
    [anon_sym_equals] = ACTIONS(4819),
    [anon_sym_let] = ACTIONS(4819),
    [anon_sym_orderby] = ACTIONS(4819),
    [anon_sym_ascending] = ACTIONS(4819),
    [anon_sym_descending] = ACTIONS(4819),
    [anon_sym_group] = ACTIONS(4819),
    [anon_sym_by] = ACTIONS(4819),
    [anon_sym_select] = ACTIONS(4819),
    [aux_sym_preproc_if_token1] = ACTIONS(4823),
    [aux_sym_preproc_if_token3] = ACTIONS(4823),
    [aux_sym_preproc_else_token1] = ACTIONS(4823),
    [aux_sym_preproc_elif_token1] = ACTIONS(4823),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3213] = {
    [sym_preproc_region] = STATE(3213),
    [sym_preproc_endregion] = STATE(3213),
    [sym_preproc_line] = STATE(3213),
    [sym_preproc_pragma] = STATE(3213),
    [sym_preproc_nullable] = STATE(3213),
    [sym_preproc_error] = STATE(3213),
    [sym_preproc_define] = STATE(3213),
    [sym_preproc_undef] = STATE(3213),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3214] = {
    [sym_preproc_region] = STATE(3214),
    [sym_preproc_endregion] = STATE(3214),
    [sym_preproc_line] = STATE(3214),
    [sym_preproc_pragma] = STATE(3214),
    [sym_preproc_nullable] = STATE(3214),
    [sym_preproc_error] = STATE(3214),
    [sym_preproc_define] = STATE(3214),
    [sym_preproc_undef] = STATE(3214),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3215] = {
    [sym_preproc_region] = STATE(3215),
    [sym_preproc_endregion] = STATE(3215),
    [sym_preproc_line] = STATE(3215),
    [sym_preproc_pragma] = STATE(3215),
    [sym_preproc_nullable] = STATE(3215),
    [sym_preproc_error] = STATE(3215),
    [sym_preproc_define] = STATE(3215),
    [sym_preproc_undef] = STATE(3215),
    [anon_sym_SEMI] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4642),
    [anon_sym_LBRACK] = ACTIONS(4640),
    [anon_sym_COLON] = ACTIONS(4640),
    [anon_sym_COMMA] = ACTIONS(4640),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_LPAREN] = ACTIONS(4640),
    [anon_sym_RPAREN] = ACTIONS(4640),
    [anon_sym_RBRACE] = ACTIONS(4640),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_GT] = ACTIONS(4642),
    [anon_sym_in] = ACTIONS(4642),
    [anon_sym_QMARK] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(4642),
    [anon_sym_DASH] = ACTIONS(4642),
    [anon_sym_STAR] = ACTIONS(4642),
    [anon_sym_SLASH] = ACTIONS(4642),
    [anon_sym_PERCENT] = ACTIONS(4642),
    [anon_sym_CARET] = ACTIONS(4642),
    [anon_sym_PIPE] = ACTIONS(4642),
    [anon_sym_AMP] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(4642),
    [anon_sym_GT_GT] = ACTIONS(4642),
    [anon_sym_GT_GT_GT] = ACTIONS(4642),
    [anon_sym_EQ_EQ] = ACTIONS(4640),
    [anon_sym_BANG_EQ] = ACTIONS(4640),
    [anon_sym_GT_EQ] = ACTIONS(4640),
    [anon_sym_LT_EQ] = ACTIONS(4640),
    [anon_sym_DOT] = ACTIONS(4642),
    [anon_sym_EQ_GT] = ACTIONS(4640),
    [anon_sym_switch] = ACTIONS(4640),
    [anon_sym_when] = ACTIONS(4640),
    [anon_sym_DOT_DOT] = ACTIONS(4640),
    [anon_sym_and] = ACTIONS(4640),
    [anon_sym_or] = ACTIONS(4640),
    [anon_sym_PLUS_EQ] = ACTIONS(4640),
    [anon_sym_DASH_EQ] = ACTIONS(4640),
    [anon_sym_STAR_EQ] = ACTIONS(4640),
    [anon_sym_SLASH_EQ] = ACTIONS(4640),
    [anon_sym_PERCENT_EQ] = ACTIONS(4640),
    [anon_sym_AMP_EQ] = ACTIONS(4640),
    [anon_sym_CARET_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_LT_LT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4640),
    [anon_sym_AMP_AMP] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK] = ACTIONS(4642),
    [anon_sym_into] = ACTIONS(4640),
    [anon_sym_on] = ACTIONS(4640),
    [anon_sym_equals] = ACTIONS(4640),
    [anon_sym_by] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4640),
    [anon_sym_is] = ACTIONS(4640),
    [anon_sym_DASH_GT] = ACTIONS(4640),
    [anon_sym_with] = ACTIONS(4640),
    [aux_sym_preproc_if_token3] = ACTIONS(4640),
    [aux_sym_preproc_else_token1] = ACTIONS(4640),
    [aux_sym_preproc_elif_token1] = ACTIONS(4640),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3216] = {
    [sym_preproc_region] = STATE(3216),
    [sym_preproc_endregion] = STATE(3216),
    [sym_preproc_line] = STATE(3216),
    [sym_preproc_pragma] = STATE(3216),
    [sym_preproc_nullable] = STATE(3216),
    [sym_preproc_error] = STATE(3216),
    [sym_preproc_define] = STATE(3216),
    [sym_preproc_undef] = STATE(3216),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4825),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3217] = {
    [sym_preproc_region] = STATE(3217),
    [sym_preproc_endregion] = STATE(3217),
    [sym_preproc_line] = STATE(3217),
    [sym_preproc_pragma] = STATE(3217),
    [sym_preproc_nullable] = STATE(3217),
    [sym_preproc_error] = STATE(3217),
    [sym_preproc_define] = STATE(3217),
    [sym_preproc_undef] = STATE(3217),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4827),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3218] = {
    [sym_preproc_region] = STATE(3218),
    [sym_preproc_endregion] = STATE(3218),
    [sym_preproc_line] = STATE(3218),
    [sym_preproc_pragma] = STATE(3218),
    [sym_preproc_nullable] = STATE(3218),
    [sym_preproc_error] = STATE(3218),
    [sym_preproc_define] = STATE(3218),
    [sym_preproc_undef] = STATE(3218),
    [anon_sym_SEMI] = ACTIONS(4656),
    [anon_sym_EQ] = ACTIONS(4658),
    [anon_sym_LBRACK] = ACTIONS(4656),
    [anon_sym_COLON] = ACTIONS(4656),
    [anon_sym_COMMA] = ACTIONS(4656),
    [anon_sym_RBRACK] = ACTIONS(4656),
    [anon_sym_LPAREN] = ACTIONS(4656),
    [anon_sym_RPAREN] = ACTIONS(4656),
    [anon_sym_RBRACE] = ACTIONS(4656),
    [anon_sym_LT] = ACTIONS(4658),
    [anon_sym_GT] = ACTIONS(4658),
    [anon_sym_in] = ACTIONS(4658),
    [anon_sym_QMARK] = ACTIONS(4658),
    [anon_sym_BANG] = ACTIONS(4658),
    [anon_sym_PLUS_PLUS] = ACTIONS(4656),
    [anon_sym_DASH_DASH] = ACTIONS(4656),
    [anon_sym_PLUS] = ACTIONS(4658),
    [anon_sym_DASH] = ACTIONS(4658),
    [anon_sym_STAR] = ACTIONS(4658),
    [anon_sym_SLASH] = ACTIONS(4658),
    [anon_sym_PERCENT] = ACTIONS(4658),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_AMP] = ACTIONS(4658),
    [anon_sym_LT_LT] = ACTIONS(4658),
    [anon_sym_GT_GT] = ACTIONS(4658),
    [anon_sym_GT_GT_GT] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_GT_EQ] = ACTIONS(4656),
    [anon_sym_LT_EQ] = ACTIONS(4656),
    [anon_sym_DOT] = ACTIONS(4658),
    [anon_sym_EQ_GT] = ACTIONS(4656),
    [anon_sym_switch] = ACTIONS(4656),
    [anon_sym_when] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(4656),
    [anon_sym_and] = ACTIONS(4656),
    [anon_sym_or] = ACTIONS(4656),
    [anon_sym_PLUS_EQ] = ACTIONS(4656),
    [anon_sym_DASH_EQ] = ACTIONS(4656),
    [anon_sym_STAR_EQ] = ACTIONS(4656),
    [anon_sym_SLASH_EQ] = ACTIONS(4656),
    [anon_sym_PERCENT_EQ] = ACTIONS(4656),
    [anon_sym_AMP_EQ] = ACTIONS(4656),
    [anon_sym_CARET_EQ] = ACTIONS(4656),
    [anon_sym_PIPE_EQ] = ACTIONS(4656),
    [anon_sym_LT_LT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4656),
    [anon_sym_AMP_AMP] = ACTIONS(4656),
    [anon_sym_PIPE_PIPE] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK] = ACTIONS(4658),
    [anon_sym_into] = ACTIONS(4656),
    [anon_sym_on] = ACTIONS(4656),
    [anon_sym_equals] = ACTIONS(4656),
    [anon_sym_by] = ACTIONS(4656),
    [anon_sym_as] = ACTIONS(4656),
    [anon_sym_is] = ACTIONS(4656),
    [anon_sym_DASH_GT] = ACTIONS(4656),
    [anon_sym_with] = ACTIONS(4656),
    [aux_sym_preproc_if_token3] = ACTIONS(4656),
    [aux_sym_preproc_else_token1] = ACTIONS(4656),
    [aux_sym_preproc_elif_token1] = ACTIONS(4656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3219] = {
    [sym_preproc_region] = STATE(3219),
    [sym_preproc_endregion] = STATE(3219),
    [sym_preproc_line] = STATE(3219),
    [sym_preproc_pragma] = STATE(3219),
    [sym_preproc_nullable] = STATE(3219),
    [sym_preproc_error] = STATE(3219),
    [sym_preproc_define] = STATE(3219),
    [sym_preproc_undef] = STATE(3219),
    [anon_sym_SEMI] = ACTIONS(4656),
    [anon_sym_EQ] = ACTIONS(4658),
    [anon_sym_LBRACK] = ACTIONS(4656),
    [anon_sym_COLON] = ACTIONS(4656),
    [anon_sym_COMMA] = ACTIONS(4656),
    [anon_sym_RBRACK] = ACTIONS(4656),
    [anon_sym_LPAREN] = ACTIONS(4656),
    [anon_sym_RPAREN] = ACTIONS(4656),
    [anon_sym_LBRACE] = ACTIONS(4656),
    [anon_sym_RBRACE] = ACTIONS(4656),
    [anon_sym_LT] = ACTIONS(4658),
    [anon_sym_GT] = ACTIONS(4658),
    [anon_sym_in] = ACTIONS(4656),
    [anon_sym_QMARK] = ACTIONS(4658),
    [anon_sym_BANG] = ACTIONS(4658),
    [anon_sym_PLUS_PLUS] = ACTIONS(4656),
    [anon_sym_DASH_DASH] = ACTIONS(4656),
    [anon_sym_PLUS] = ACTIONS(4658),
    [anon_sym_DASH] = ACTIONS(4658),
    [anon_sym_STAR] = ACTIONS(4658),
    [anon_sym_SLASH] = ACTIONS(4658),
    [anon_sym_PERCENT] = ACTIONS(4658),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_AMP] = ACTIONS(4658),
    [anon_sym_LT_LT] = ACTIONS(4658),
    [anon_sym_GT_GT] = ACTIONS(4658),
    [anon_sym_GT_GT_GT] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_GT_EQ] = ACTIONS(4656),
    [anon_sym_LT_EQ] = ACTIONS(4656),
    [anon_sym_DOT] = ACTIONS(4658),
    [anon_sym_EQ_GT] = ACTIONS(4656),
    [anon_sym_switch] = ACTIONS(4656),
    [anon_sym_when] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(4656),
    [anon_sym_and] = ACTIONS(4656),
    [anon_sym_or] = ACTIONS(4656),
    [anon_sym_PLUS_EQ] = ACTIONS(4656),
    [anon_sym_DASH_EQ] = ACTIONS(4656),
    [anon_sym_STAR_EQ] = ACTIONS(4656),
    [anon_sym_SLASH_EQ] = ACTIONS(4656),
    [anon_sym_PERCENT_EQ] = ACTIONS(4656),
    [anon_sym_AMP_EQ] = ACTIONS(4656),
    [anon_sym_CARET_EQ] = ACTIONS(4656),
    [anon_sym_PIPE_EQ] = ACTIONS(4656),
    [anon_sym_LT_LT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4656),
    [anon_sym_AMP_AMP] = ACTIONS(4656),
    [anon_sym_PIPE_PIPE] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK] = ACTIONS(4658),
    [anon_sym_on] = ACTIONS(4656),
    [anon_sym_equals] = ACTIONS(4656),
    [anon_sym_by] = ACTIONS(4656),
    [anon_sym_as] = ACTIONS(4656),
    [anon_sym_is] = ACTIONS(4656),
    [anon_sym_DASH_GT] = ACTIONS(4656),
    [anon_sym_with] = ACTIONS(4656),
    [aux_sym_preproc_if_token3] = ACTIONS(4656),
    [aux_sym_preproc_else_token1] = ACTIONS(4656),
    [aux_sym_preproc_elif_token1] = ACTIONS(4656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3220] = {
    [sym_type_argument_list] = STATE(3413),
    [sym_preproc_region] = STATE(3220),
    [sym_preproc_endregion] = STATE(3220),
    [sym_preproc_line] = STATE(3220),
    [sym_preproc_pragma] = STATE(3220),
    [sym_preproc_nullable] = STATE(3220),
    [sym_preproc_error] = STATE(3220),
    [sym_preproc_define] = STATE(3220),
    [sym_preproc_undef] = STATE(3220),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4829),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3221] = {
    [sym_preproc_region] = STATE(3221),
    [sym_preproc_endregion] = STATE(3221),
    [sym_preproc_line] = STATE(3221),
    [sym_preproc_pragma] = STATE(3221),
    [sym_preproc_nullable] = STATE(3221),
    [sym_preproc_error] = STATE(3221),
    [sym_preproc_define] = STATE(3221),
    [sym_preproc_undef] = STATE(3221),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4811),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3222] = {
    [sym_preproc_region] = STATE(3222),
    [sym_preproc_endregion] = STATE(3222),
    [sym_preproc_line] = STATE(3222),
    [sym_preproc_pragma] = STATE(3222),
    [sym_preproc_nullable] = STATE(3222),
    [sym_preproc_error] = STATE(3222),
    [sym_preproc_define] = STATE(3222),
    [sym_preproc_undef] = STATE(3222),
    [sym__identifier_token] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(4538),
    [anon_sym_global] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_file] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_where] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4538),
    [anon_sym_notnull] = ACTIONS(4538),
    [anon_sym_unmanaged] = ACTIONS(4538),
    [anon_sym_BANG] = ACTIONS(4538),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_GT_GT_GT] = ACTIONS(4540),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_scoped] = ACTIONS(4538),
    [anon_sym_EQ_GT] = ACTIONS(4542),
    [anon_sym_var] = ACTIONS(4538),
    [anon_sym_yield] = ACTIONS(4538),
    [anon_sym_switch] = ACTIONS(4538),
    [anon_sym_when] = ACTIONS(4538),
    [sym_discard] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(4540),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_QMARK_QMARK] = ACTIONS(4540),
    [anon_sym_from] = ACTIONS(4538),
    [anon_sym_into] = ACTIONS(4538),
    [anon_sym_join] = ACTIONS(4538),
    [anon_sym_on] = ACTIONS(4538),
    [anon_sym_equals] = ACTIONS(4538),
    [anon_sym_let] = ACTIONS(4538),
    [anon_sym_orderby] = ACTIONS(4538),
    [anon_sym_ascending] = ACTIONS(4538),
    [anon_sym_descending] = ACTIONS(4538),
    [anon_sym_group] = ACTIONS(4538),
    [anon_sym_by] = ACTIONS(4538),
    [anon_sym_select] = ACTIONS(4538),
    [anon_sym_as] = ACTIONS(4538),
    [anon_sym_is] = ACTIONS(4538),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [anon_sym_with] = ACTIONS(4538),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4540),
  },
  [3223] = {
    [sym_preproc_region] = STATE(3223),
    [sym_preproc_endregion] = STATE(3223),
    [sym_preproc_line] = STATE(3223),
    [sym_preproc_pragma] = STATE(3223),
    [sym_preproc_nullable] = STATE(3223),
    [sym_preproc_error] = STATE(3223),
    [sym_preproc_define] = STATE(3223),
    [sym_preproc_undef] = STATE(3223),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_when] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4126),
    [anon_sym_PLUS_EQ] = ACTIONS(4126),
    [anon_sym_DASH_EQ] = ACTIONS(4126),
    [anon_sym_STAR_EQ] = ACTIONS(4126),
    [anon_sym_SLASH_EQ] = ACTIONS(4126),
    [anon_sym_PERCENT_EQ] = ACTIONS(4126),
    [anon_sym_AMP_EQ] = ACTIONS(4126),
    [anon_sym_CARET_EQ] = ACTIONS(4126),
    [anon_sym_PIPE_EQ] = ACTIONS(4126),
    [anon_sym_LT_LT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4124),
    [anon_sym_into] = ACTIONS(4126),
    [anon_sym_on] = ACTIONS(4126),
    [anon_sym_equals] = ACTIONS(4126),
    [anon_sym_by] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3224] = {
    [sym_preproc_region] = STATE(3224),
    [sym_preproc_endregion] = STATE(3224),
    [sym_preproc_line] = STATE(3224),
    [sym_preproc_pragma] = STATE(3224),
    [sym_preproc_nullable] = STATE(3224),
    [sym_preproc_error] = STATE(3224),
    [sym_preproc_define] = STATE(3224),
    [sym_preproc_undef] = STATE(3224),
    [anon_sym_SEMI] = ACTIONS(4709),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_COLON] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_RBRACK] = ACTIONS(4709),
    [anon_sym_LPAREN] = ACTIONS(4709),
    [anon_sym_RPAREN] = ACTIONS(4709),
    [anon_sym_RBRACE] = ACTIONS(4709),
    [anon_sym_LT] = ACTIONS(4711),
    [anon_sym_GT] = ACTIONS(4711),
    [anon_sym_in] = ACTIONS(4711),
    [anon_sym_QMARK] = ACTIONS(4711),
    [anon_sym_BANG] = ACTIONS(4711),
    [anon_sym_PLUS_PLUS] = ACTIONS(4709),
    [anon_sym_DASH_DASH] = ACTIONS(4709),
    [anon_sym_PLUS] = ACTIONS(4711),
    [anon_sym_DASH] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_SLASH] = ACTIONS(4711),
    [anon_sym_PERCENT] = ACTIONS(4711),
    [anon_sym_CARET] = ACTIONS(4711),
    [anon_sym_PIPE] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4711),
    [anon_sym_LT_LT] = ACTIONS(4711),
    [anon_sym_GT_GT] = ACTIONS(4711),
    [anon_sym_GT_GT_GT] = ACTIONS(4711),
    [anon_sym_EQ_EQ] = ACTIONS(4709),
    [anon_sym_BANG_EQ] = ACTIONS(4709),
    [anon_sym_GT_EQ] = ACTIONS(4709),
    [anon_sym_LT_EQ] = ACTIONS(4709),
    [anon_sym_DOT] = ACTIONS(4711),
    [anon_sym_EQ_GT] = ACTIONS(4709),
    [anon_sym_switch] = ACTIONS(4709),
    [anon_sym_when] = ACTIONS(4709),
    [anon_sym_DOT_DOT] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4709),
    [anon_sym_PLUS_EQ] = ACTIONS(4709),
    [anon_sym_DASH_EQ] = ACTIONS(4709),
    [anon_sym_STAR_EQ] = ACTIONS(4709),
    [anon_sym_SLASH_EQ] = ACTIONS(4709),
    [anon_sym_PERCENT_EQ] = ACTIONS(4709),
    [anon_sym_AMP_EQ] = ACTIONS(4709),
    [anon_sym_CARET_EQ] = ACTIONS(4709),
    [anon_sym_PIPE_EQ] = ACTIONS(4709),
    [anon_sym_LT_LT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4709),
    [anon_sym_AMP_AMP] = ACTIONS(4709),
    [anon_sym_PIPE_PIPE] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK] = ACTIONS(4711),
    [anon_sym_into] = ACTIONS(4709),
    [anon_sym_on] = ACTIONS(4709),
    [anon_sym_equals] = ACTIONS(4709),
    [anon_sym_by] = ACTIONS(4709),
    [anon_sym_as] = ACTIONS(4709),
    [anon_sym_is] = ACTIONS(4709),
    [anon_sym_DASH_GT] = ACTIONS(4709),
    [anon_sym_with] = ACTIONS(4709),
    [aux_sym_preproc_if_token3] = ACTIONS(4709),
    [aux_sym_preproc_else_token1] = ACTIONS(4709),
    [aux_sym_preproc_elif_token1] = ACTIONS(4709),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3225] = {
    [sym_preproc_region] = STATE(3225),
    [sym_preproc_endregion] = STATE(3225),
    [sym_preproc_line] = STATE(3225),
    [sym_preproc_pragma] = STATE(3225),
    [sym_preproc_nullable] = STATE(3225),
    [sym_preproc_error] = STATE(3225),
    [sym_preproc_define] = STATE(3225),
    [sym_preproc_undef] = STATE(3225),
    [anon_sym_SEMI] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_RBRACK] = ACTIONS(4705),
    [anon_sym_LPAREN] = ACTIONS(4705),
    [anon_sym_RPAREN] = ACTIONS(4705),
    [anon_sym_RBRACE] = ACTIONS(4705),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_GT] = ACTIONS(4707),
    [anon_sym_in] = ACTIONS(4707),
    [anon_sym_QMARK] = ACTIONS(4707),
    [anon_sym_BANG] = ACTIONS(4707),
    [anon_sym_PLUS_PLUS] = ACTIONS(4705),
    [anon_sym_DASH_DASH] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4707),
    [anon_sym_DASH] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_SLASH] = ACTIONS(4707),
    [anon_sym_PERCENT] = ACTIONS(4707),
    [anon_sym_CARET] = ACTIONS(4707),
    [anon_sym_PIPE] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4707),
    [anon_sym_LT_LT] = ACTIONS(4707),
    [anon_sym_GT_GT] = ACTIONS(4707),
    [anon_sym_GT_GT_GT] = ACTIONS(4707),
    [anon_sym_EQ_EQ] = ACTIONS(4705),
    [anon_sym_BANG_EQ] = ACTIONS(4705),
    [anon_sym_GT_EQ] = ACTIONS(4705),
    [anon_sym_LT_EQ] = ACTIONS(4705),
    [anon_sym_DOT] = ACTIONS(4707),
    [anon_sym_EQ_GT] = ACTIONS(4705),
    [anon_sym_switch] = ACTIONS(4705),
    [anon_sym_when] = ACTIONS(4705),
    [anon_sym_DOT_DOT] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4705),
    [anon_sym_PIPE_PIPE] = ACTIONS(4705),
    [anon_sym_QMARK_QMARK] = ACTIONS(4707),
    [anon_sym_into] = ACTIONS(4705),
    [anon_sym_on] = ACTIONS(4705),
    [anon_sym_equals] = ACTIONS(4705),
    [anon_sym_by] = ACTIONS(4705),
    [anon_sym_as] = ACTIONS(4705),
    [anon_sym_is] = ACTIONS(4705),
    [anon_sym_DASH_GT] = ACTIONS(4705),
    [anon_sym_with] = ACTIONS(4705),
    [aux_sym_preproc_if_token3] = ACTIONS(4705),
    [aux_sym_preproc_else_token1] = ACTIONS(4705),
    [aux_sym_preproc_elif_token1] = ACTIONS(4705),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3226] = {
    [sym_preproc_region] = STATE(3226),
    [sym_preproc_endregion] = STATE(3226),
    [sym_preproc_line] = STATE(3226),
    [sym_preproc_pragma] = STATE(3226),
    [sym_preproc_nullable] = STATE(3226),
    [sym_preproc_error] = STATE(3226),
    [sym_preproc_define] = STATE(3226),
    [sym_preproc_undef] = STATE(3226),
    [sym__identifier_token] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(4538),
    [anon_sym_global] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_COLON] = ACTIONS(4540),
    [anon_sym_COMMA] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_file] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_where] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4538),
    [anon_sym_notnull] = ACTIONS(4538),
    [anon_sym_unmanaged] = ACTIONS(4538),
    [anon_sym_BANG] = ACTIONS(4538),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_GT_GT_GT] = ACTIONS(4540),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_scoped] = ACTIONS(4538),
    [anon_sym_EQ_GT] = ACTIONS(4542),
    [anon_sym_var] = ACTIONS(4538),
    [anon_sym_yield] = ACTIONS(4538),
    [anon_sym_switch] = ACTIONS(4538),
    [anon_sym_when] = ACTIONS(4538),
    [sym_discard] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(4540),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_QMARK_QMARK] = ACTIONS(4540),
    [anon_sym_from] = ACTIONS(4538),
    [anon_sym_into] = ACTIONS(4538),
    [anon_sym_join] = ACTIONS(4538),
    [anon_sym_on] = ACTIONS(4538),
    [anon_sym_equals] = ACTIONS(4538),
    [anon_sym_let] = ACTIONS(4538),
    [anon_sym_orderby] = ACTIONS(4538),
    [anon_sym_ascending] = ACTIONS(4538),
    [anon_sym_descending] = ACTIONS(4538),
    [anon_sym_group] = ACTIONS(4538),
    [anon_sym_by] = ACTIONS(4538),
    [anon_sym_select] = ACTIONS(4538),
    [anon_sym_as] = ACTIONS(4538),
    [anon_sym_is] = ACTIONS(4538),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [anon_sym_with] = ACTIONS(4538),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4540),
  },
  [3227] = {
    [sym__variable_designation] = STATE(4710),
    [sym_parenthesized_variable_designation] = STATE(4665),
    [sym_identifier] = STATE(4678),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(3227),
    [sym_preproc_endregion] = STATE(3227),
    [sym_preproc_line] = STATE(3227),
    [sym_preproc_pragma] = STATE(3227),
    [sym_preproc_nullable] = STATE(3227),
    [sym_preproc_error] = STATE(3227),
    [sym_preproc_define] = STATE(3227),
    [sym_preproc_undef] = STATE(3227),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4435),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4569),
    [anon_sym_var] = ACTIONS(4569),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4569),
    [sym_discard] = ACTIONS(4715),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4435),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4435),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4435),
    [anon_sym_orderby] = ACTIONS(4435),
    [anon_sym_ascending] = ACTIONS(4435),
    [anon_sym_descending] = ACTIONS(4435),
    [anon_sym_group] = ACTIONS(4435),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4435),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3228] = {
    [sym__variable_designation] = STATE(5004),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3228),
    [sym_preproc_endregion] = STATE(3228),
    [sym_preproc_line] = STATE(3228),
    [sym_preproc_pragma] = STATE(3228),
    [sym_preproc_nullable] = STATE(3228),
    [sym_preproc_error] = STATE(3228),
    [sym_preproc_define] = STATE(3228),
    [sym_preproc_undef] = STATE(3228),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3229] = {
    [sym_preproc_region] = STATE(3229),
    [sym_preproc_endregion] = STATE(3229),
    [sym_preproc_line] = STATE(3229),
    [sym_preproc_pragma] = STATE(3229),
    [sym_preproc_nullable] = STATE(3229),
    [sym_preproc_error] = STATE(3229),
    [sym_preproc_define] = STATE(3229),
    [sym_preproc_undef] = STATE(3229),
    [sym__identifier_token] = ACTIONS(4832),
    [anon_sym_extern] = ACTIONS(4832),
    [anon_sym_alias] = ACTIONS(4832),
    [anon_sym_global] = ACTIONS(4832),
    [anon_sym_using] = ACTIONS(4832),
    [anon_sym_unsafe] = ACTIONS(4832),
    [anon_sym_static] = ACTIONS(4832),
    [anon_sym_LBRACK] = ACTIONS(4834),
    [anon_sym_LPAREN] = ACTIONS(4834),
    [anon_sym_event] = ACTIONS(4832),
    [anon_sym_namespace] = ACTIONS(4832),
    [anon_sym_class] = ACTIONS(4832),
    [anon_sym_ref] = ACTIONS(4832),
    [anon_sym_struct] = ACTIONS(4832),
    [anon_sym_enum] = ACTIONS(4832),
    [anon_sym_RBRACE] = ACTIONS(4834),
    [anon_sym_interface] = ACTIONS(4832),
    [anon_sym_delegate] = ACTIONS(4832),
    [anon_sym_record] = ACTIONS(4832),
    [anon_sym_abstract] = ACTIONS(4832),
    [anon_sym_async] = ACTIONS(4832),
    [anon_sym_const] = ACTIONS(4832),
    [anon_sym_file] = ACTIONS(4832),
    [anon_sym_fixed] = ACTIONS(4832),
    [anon_sym_internal] = ACTIONS(4832),
    [anon_sym_new] = ACTIONS(4832),
    [anon_sym_override] = ACTIONS(4832),
    [anon_sym_partial] = ACTIONS(4832),
    [anon_sym_private] = ACTIONS(4832),
    [anon_sym_protected] = ACTIONS(4832),
    [anon_sym_public] = ACTIONS(4832),
    [anon_sym_readonly] = ACTIONS(4832),
    [anon_sym_required] = ACTIONS(4832),
    [anon_sym_sealed] = ACTIONS(4832),
    [anon_sym_virtual] = ACTIONS(4832),
    [anon_sym_volatile] = ACTIONS(4832),
    [anon_sym_where] = ACTIONS(4832),
    [anon_sym_notnull] = ACTIONS(4832),
    [anon_sym_unmanaged] = ACTIONS(4832),
    [anon_sym_TILDE] = ACTIONS(4834),
    [anon_sym_implicit] = ACTIONS(4832),
    [anon_sym_explicit] = ACTIONS(4832),
    [anon_sym_scoped] = ACTIONS(4832),
    [anon_sym_var] = ACTIONS(4832),
    [sym_predefined_type] = ACTIONS(4832),
    [anon_sym_yield] = ACTIONS(4832),
    [anon_sym_when] = ACTIONS(4832),
    [anon_sym_from] = ACTIONS(4832),
    [anon_sym_into] = ACTIONS(4832),
    [anon_sym_join] = ACTIONS(4832),
    [anon_sym_on] = ACTIONS(4832),
    [anon_sym_equals] = ACTIONS(4832),
    [anon_sym_let] = ACTIONS(4832),
    [anon_sym_orderby] = ACTIONS(4832),
    [anon_sym_ascending] = ACTIONS(4832),
    [anon_sym_descending] = ACTIONS(4832),
    [anon_sym_group] = ACTIONS(4832),
    [anon_sym_by] = ACTIONS(4832),
    [anon_sym_select] = ACTIONS(4832),
    [aux_sym_preproc_if_token1] = ACTIONS(4834),
    [aux_sym_preproc_if_token3] = ACTIONS(4834),
    [aux_sym_preproc_else_token1] = ACTIONS(4834),
    [aux_sym_preproc_elif_token1] = ACTIONS(4834),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3230] = {
    [sym__variable_designation] = STATE(4990),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3230),
    [sym_preproc_endregion] = STATE(3230),
    [sym_preproc_line] = STATE(3230),
    [sym_preproc_pragma] = STATE(3230),
    [sym_preproc_nullable] = STATE(3230),
    [sym_preproc_error] = STATE(3230),
    [sym_preproc_define] = STATE(3230),
    [sym_preproc_undef] = STATE(3230),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4435),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4435),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4435),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4435),
    [anon_sym_orderby] = ACTIONS(4435),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4435),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4435),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3231] = {
    [sym_preproc_region] = STATE(3231),
    [sym_preproc_endregion] = STATE(3231),
    [sym_preproc_line] = STATE(3231),
    [sym_preproc_pragma] = STATE(3231),
    [sym_preproc_nullable] = STATE(3231),
    [sym_preproc_error] = STATE(3231),
    [sym_preproc_define] = STATE(3231),
    [sym_preproc_undef] = STATE(3231),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_EQ] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4128),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4128),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4128),
    [anon_sym_on] = ACTIONS(4130),
    [anon_sym_equals] = ACTIONS(4130),
    [anon_sym_by] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3232] = {
    [sym_preproc_region] = STATE(3232),
    [sym_preproc_endregion] = STATE(3232),
    [sym_preproc_line] = STATE(3232),
    [sym_preproc_pragma] = STATE(3232),
    [sym_preproc_nullable] = STATE(3232),
    [sym_preproc_error] = STATE(3232),
    [sym_preproc_define] = STATE(3232),
    [sym_preproc_undef] = STATE(3232),
    [sym__identifier_token] = ACTIONS(4481),
    [anon_sym_alias] = ACTIONS(4481),
    [anon_sym_global] = ACTIONS(4481),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [anon_sym_COLON] = ACTIONS(4483),
    [anon_sym_COMMA] = ACTIONS(4483),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_LBRACE] = ACTIONS(4483),
    [anon_sym_file] = ACTIONS(4481),
    [anon_sym_LT] = ACTIONS(4481),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_where] = ACTIONS(4481),
    [anon_sym_QMARK] = ACTIONS(4481),
    [anon_sym_notnull] = ACTIONS(4481),
    [anon_sym_unmanaged] = ACTIONS(4481),
    [anon_sym_BANG] = ACTIONS(4481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS] = ACTIONS(4481),
    [anon_sym_DASH] = ACTIONS(4481),
    [anon_sym_STAR] = ACTIONS(4483),
    [anon_sym_SLASH] = ACTIONS(4481),
    [anon_sym_PERCENT] = ACTIONS(4483),
    [anon_sym_CARET] = ACTIONS(4483),
    [anon_sym_PIPE] = ACTIONS(4481),
    [anon_sym_AMP] = ACTIONS(4481),
    [anon_sym_LT_LT] = ACTIONS(4483),
    [anon_sym_GT_GT] = ACTIONS(4481),
    [anon_sym_GT_GT_GT] = ACTIONS(4483),
    [anon_sym_EQ_EQ] = ACTIONS(4483),
    [anon_sym_BANG_EQ] = ACTIONS(4483),
    [anon_sym_GT_EQ] = ACTIONS(4483),
    [anon_sym_LT_EQ] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_scoped] = ACTIONS(4481),
    [anon_sym_var] = ACTIONS(4481),
    [anon_sym_yield] = ACTIONS(4481),
    [anon_sym_switch] = ACTIONS(4481),
    [anon_sym_when] = ACTIONS(4481),
    [sym_discard] = ACTIONS(4481),
    [anon_sym_DOT_DOT] = ACTIONS(4483),
    [anon_sym_and] = ACTIONS(4481),
    [anon_sym_or] = ACTIONS(4481),
    [anon_sym_AMP_AMP] = ACTIONS(4483),
    [anon_sym_PIPE_PIPE] = ACTIONS(4483),
    [anon_sym_QMARK_QMARK] = ACTIONS(4483),
    [anon_sym_from] = ACTIONS(4481),
    [anon_sym_into] = ACTIONS(4481),
    [anon_sym_join] = ACTIONS(4481),
    [anon_sym_on] = ACTIONS(4481),
    [anon_sym_equals] = ACTIONS(4481),
    [anon_sym_let] = ACTIONS(4481),
    [anon_sym_orderby] = ACTIONS(4481),
    [anon_sym_ascending] = ACTIONS(4481),
    [anon_sym_descending] = ACTIONS(4481),
    [anon_sym_group] = ACTIONS(4481),
    [anon_sym_by] = ACTIONS(4481),
    [anon_sym_select] = ACTIONS(4481),
    [anon_sym_as] = ACTIONS(4481),
    [anon_sym_is] = ACTIONS(4481),
    [anon_sym_DASH_GT] = ACTIONS(4483),
    [anon_sym_with] = ACTIONS(4481),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4483),
  },
  [3233] = {
    [sym__variable_designation] = STATE(4998),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3233),
    [sym_preproc_endregion] = STATE(3233),
    [sym_preproc_line] = STATE(3233),
    [sym_preproc_pragma] = STATE(3233),
    [sym_preproc_nullable] = STATE(3233),
    [sym_preproc_error] = STATE(3233),
    [sym_preproc_define] = STATE(3233),
    [sym_preproc_undef] = STATE(3233),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4447),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4447),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4447),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4447),
    [anon_sym_orderby] = ACTIONS(4447),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4447),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4447),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3234] = {
    [sym_preproc_region] = STATE(3234),
    [sym_preproc_endregion] = STATE(3234),
    [sym_preproc_line] = STATE(3234),
    [sym_preproc_pragma] = STATE(3234),
    [sym_preproc_nullable] = STATE(3234),
    [sym_preproc_error] = STATE(3234),
    [sym_preproc_define] = STATE(3234),
    [sym_preproc_undef] = STATE(3234),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_EQ] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4138),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_when] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4140),
    [anon_sym_PLUS_EQ] = ACTIONS(4140),
    [anon_sym_DASH_EQ] = ACTIONS(4140),
    [anon_sym_STAR_EQ] = ACTIONS(4140),
    [anon_sym_SLASH_EQ] = ACTIONS(4140),
    [anon_sym_PERCENT_EQ] = ACTIONS(4140),
    [anon_sym_AMP_EQ] = ACTIONS(4140),
    [anon_sym_CARET_EQ] = ACTIONS(4140),
    [anon_sym_PIPE_EQ] = ACTIONS(4140),
    [anon_sym_LT_LT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4138),
    [anon_sym_on] = ACTIONS(4140),
    [anon_sym_equals] = ACTIONS(4140),
    [anon_sym_by] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3235] = {
    [sym_preproc_region] = STATE(3235),
    [sym_preproc_endregion] = STATE(3235),
    [sym_preproc_line] = STATE(3235),
    [sym_preproc_pragma] = STATE(3235),
    [sym_preproc_nullable] = STATE(3235),
    [sym_preproc_error] = STATE(3235),
    [sym_preproc_define] = STATE(3235),
    [sym_preproc_undef] = STATE(3235),
    [sym__identifier_token] = ACTIONS(4485),
    [anon_sym_alias] = ACTIONS(4485),
    [anon_sym_global] = ACTIONS(4485),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_COMMA] = ACTIONS(4487),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4487),
    [anon_sym_file] = ACTIONS(4485),
    [anon_sym_LT] = ACTIONS(4485),
    [anon_sym_GT] = ACTIONS(4485),
    [anon_sym_where] = ACTIONS(4485),
    [anon_sym_QMARK] = ACTIONS(4485),
    [anon_sym_notnull] = ACTIONS(4485),
    [anon_sym_unmanaged] = ACTIONS(4485),
    [anon_sym_BANG] = ACTIONS(4485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4485),
    [anon_sym_DASH] = ACTIONS(4485),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4485),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_PIPE] = ACTIONS(4485),
    [anon_sym_AMP] = ACTIONS(4485),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4485),
    [anon_sym_GT_GT_GT] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4487),
    [anon_sym_BANG_EQ] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4487),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_scoped] = ACTIONS(4485),
    [anon_sym_var] = ACTIONS(4485),
    [anon_sym_yield] = ACTIONS(4485),
    [anon_sym_switch] = ACTIONS(4485),
    [anon_sym_when] = ACTIONS(4485),
    [sym_discard] = ACTIONS(4485),
    [anon_sym_DOT_DOT] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4485),
    [anon_sym_or] = ACTIONS(4485),
    [anon_sym_AMP_AMP] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4487),
    [anon_sym_QMARK_QMARK] = ACTIONS(4487),
    [anon_sym_from] = ACTIONS(4485),
    [anon_sym_into] = ACTIONS(4485),
    [anon_sym_join] = ACTIONS(4485),
    [anon_sym_on] = ACTIONS(4485),
    [anon_sym_equals] = ACTIONS(4485),
    [anon_sym_let] = ACTIONS(4485),
    [anon_sym_orderby] = ACTIONS(4485),
    [anon_sym_ascending] = ACTIONS(4485),
    [anon_sym_descending] = ACTIONS(4485),
    [anon_sym_group] = ACTIONS(4485),
    [anon_sym_by] = ACTIONS(4485),
    [anon_sym_select] = ACTIONS(4485),
    [anon_sym_as] = ACTIONS(4485),
    [anon_sym_is] = ACTIONS(4485),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [anon_sym_with] = ACTIONS(4485),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4487),
  },
  [3236] = {
    [sym_preproc_region] = STATE(3236),
    [sym_preproc_endregion] = STATE(3236),
    [sym_preproc_line] = STATE(3236),
    [sym_preproc_pragma] = STATE(3236),
    [sym_preproc_nullable] = STATE(3236),
    [sym_preproc_error] = STATE(3236),
    [sym_preproc_define] = STATE(3236),
    [sym_preproc_undef] = STATE(3236),
    [anon_sym_SEMI] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4165),
    [anon_sym_RPAREN] = ACTIONS(4165),
    [anon_sym_RBRACE] = ACTIONS(4165),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_in] = ACTIONS(4165),
    [anon_sym_QMARK] = ACTIONS(4167),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4167),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4167),
    [anon_sym_EQ_GT] = ACTIONS(4165),
    [anon_sym_switch] = ACTIONS(4165),
    [anon_sym_when] = ACTIONS(4165),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4165),
    [anon_sym_or] = ACTIONS(4165),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_on] = ACTIONS(4165),
    [anon_sym_equals] = ACTIONS(4165),
    [anon_sym_by] = ACTIONS(4165),
    [anon_sym_as] = ACTIONS(4165),
    [anon_sym_is] = ACTIONS(4165),
    [anon_sym_DASH_GT] = ACTIONS(4165),
    [anon_sym_with] = ACTIONS(4165),
    [aux_sym_preproc_if_token3] = ACTIONS(4165),
    [aux_sym_preproc_else_token1] = ACTIONS(4165),
    [aux_sym_preproc_elif_token1] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3237] = {
    [sym_preproc_region] = STATE(3237),
    [sym_preproc_endregion] = STATE(3237),
    [sym_preproc_line] = STATE(3237),
    [sym_preproc_pragma] = STATE(3237),
    [sym_preproc_nullable] = STATE(3237),
    [sym_preproc_error] = STATE(3237),
    [sym_preproc_define] = STATE(3237),
    [sym_preproc_undef] = STATE(3237),
    [sym__identifier_token] = ACTIONS(4836),
    [anon_sym_extern] = ACTIONS(4836),
    [anon_sym_alias] = ACTIONS(4836),
    [anon_sym_global] = ACTIONS(4836),
    [anon_sym_using] = ACTIONS(4836),
    [anon_sym_unsafe] = ACTIONS(4836),
    [anon_sym_static] = ACTIONS(4836),
    [anon_sym_LBRACK] = ACTIONS(4838),
    [anon_sym_LPAREN] = ACTIONS(4838),
    [anon_sym_event] = ACTIONS(4836),
    [anon_sym_namespace] = ACTIONS(4836),
    [anon_sym_class] = ACTIONS(4836),
    [anon_sym_ref] = ACTIONS(4836),
    [anon_sym_struct] = ACTIONS(4836),
    [anon_sym_enum] = ACTIONS(4836),
    [anon_sym_RBRACE] = ACTIONS(4838),
    [anon_sym_interface] = ACTIONS(4836),
    [anon_sym_delegate] = ACTIONS(4836),
    [anon_sym_record] = ACTIONS(4836),
    [anon_sym_abstract] = ACTIONS(4836),
    [anon_sym_async] = ACTIONS(4836),
    [anon_sym_const] = ACTIONS(4836),
    [anon_sym_file] = ACTIONS(4836),
    [anon_sym_fixed] = ACTIONS(4836),
    [anon_sym_internal] = ACTIONS(4836),
    [anon_sym_new] = ACTIONS(4836),
    [anon_sym_override] = ACTIONS(4836),
    [anon_sym_partial] = ACTIONS(4836),
    [anon_sym_private] = ACTIONS(4836),
    [anon_sym_protected] = ACTIONS(4836),
    [anon_sym_public] = ACTIONS(4836),
    [anon_sym_readonly] = ACTIONS(4836),
    [anon_sym_required] = ACTIONS(4836),
    [anon_sym_sealed] = ACTIONS(4836),
    [anon_sym_virtual] = ACTIONS(4836),
    [anon_sym_volatile] = ACTIONS(4836),
    [anon_sym_where] = ACTIONS(4836),
    [anon_sym_notnull] = ACTIONS(4836),
    [anon_sym_unmanaged] = ACTIONS(4836),
    [anon_sym_TILDE] = ACTIONS(4838),
    [anon_sym_implicit] = ACTIONS(4836),
    [anon_sym_explicit] = ACTIONS(4836),
    [anon_sym_scoped] = ACTIONS(4836),
    [anon_sym_var] = ACTIONS(4836),
    [sym_predefined_type] = ACTIONS(4836),
    [anon_sym_yield] = ACTIONS(4836),
    [anon_sym_when] = ACTIONS(4836),
    [anon_sym_from] = ACTIONS(4836),
    [anon_sym_into] = ACTIONS(4836),
    [anon_sym_join] = ACTIONS(4836),
    [anon_sym_on] = ACTIONS(4836),
    [anon_sym_equals] = ACTIONS(4836),
    [anon_sym_let] = ACTIONS(4836),
    [anon_sym_orderby] = ACTIONS(4836),
    [anon_sym_ascending] = ACTIONS(4836),
    [anon_sym_descending] = ACTIONS(4836),
    [anon_sym_group] = ACTIONS(4836),
    [anon_sym_by] = ACTIONS(4836),
    [anon_sym_select] = ACTIONS(4836),
    [aux_sym_preproc_if_token1] = ACTIONS(4838),
    [aux_sym_preproc_if_token3] = ACTIONS(4838),
    [aux_sym_preproc_else_token1] = ACTIONS(4838),
    [aux_sym_preproc_elif_token1] = ACTIONS(4838),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3238] = {
    [sym_preproc_region] = STATE(3238),
    [sym_preproc_endregion] = STATE(3238),
    [sym_preproc_line] = STATE(3238),
    [sym_preproc_pragma] = STATE(3238),
    [sym_preproc_nullable] = STATE(3238),
    [sym_preproc_error] = STATE(3238),
    [sym_preproc_define] = STATE(3238),
    [sym_preproc_undef] = STATE(3238),
    [sym__identifier_token] = ACTIONS(4840),
    [anon_sym_extern] = ACTIONS(4840),
    [anon_sym_alias] = ACTIONS(4840),
    [anon_sym_global] = ACTIONS(4840),
    [anon_sym_using] = ACTIONS(4840),
    [anon_sym_unsafe] = ACTIONS(4840),
    [anon_sym_static] = ACTIONS(4840),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym_LPAREN] = ACTIONS(4842),
    [anon_sym_event] = ACTIONS(4840),
    [anon_sym_namespace] = ACTIONS(4840),
    [anon_sym_class] = ACTIONS(4840),
    [anon_sym_ref] = ACTIONS(4840),
    [anon_sym_struct] = ACTIONS(4840),
    [anon_sym_enum] = ACTIONS(4840),
    [anon_sym_RBRACE] = ACTIONS(4842),
    [anon_sym_interface] = ACTIONS(4840),
    [anon_sym_delegate] = ACTIONS(4840),
    [anon_sym_record] = ACTIONS(4840),
    [anon_sym_abstract] = ACTIONS(4840),
    [anon_sym_async] = ACTIONS(4840),
    [anon_sym_const] = ACTIONS(4840),
    [anon_sym_file] = ACTIONS(4840),
    [anon_sym_fixed] = ACTIONS(4840),
    [anon_sym_internal] = ACTIONS(4840),
    [anon_sym_new] = ACTIONS(4840),
    [anon_sym_override] = ACTIONS(4840),
    [anon_sym_partial] = ACTIONS(4840),
    [anon_sym_private] = ACTIONS(4840),
    [anon_sym_protected] = ACTIONS(4840),
    [anon_sym_public] = ACTIONS(4840),
    [anon_sym_readonly] = ACTIONS(4840),
    [anon_sym_required] = ACTIONS(4840),
    [anon_sym_sealed] = ACTIONS(4840),
    [anon_sym_virtual] = ACTIONS(4840),
    [anon_sym_volatile] = ACTIONS(4840),
    [anon_sym_where] = ACTIONS(4840),
    [anon_sym_notnull] = ACTIONS(4840),
    [anon_sym_unmanaged] = ACTIONS(4840),
    [anon_sym_TILDE] = ACTIONS(4842),
    [anon_sym_implicit] = ACTIONS(4840),
    [anon_sym_explicit] = ACTIONS(4840),
    [anon_sym_scoped] = ACTIONS(4840),
    [anon_sym_var] = ACTIONS(4840),
    [sym_predefined_type] = ACTIONS(4840),
    [anon_sym_yield] = ACTIONS(4840),
    [anon_sym_when] = ACTIONS(4840),
    [anon_sym_from] = ACTIONS(4840),
    [anon_sym_into] = ACTIONS(4840),
    [anon_sym_join] = ACTIONS(4840),
    [anon_sym_on] = ACTIONS(4840),
    [anon_sym_equals] = ACTIONS(4840),
    [anon_sym_let] = ACTIONS(4840),
    [anon_sym_orderby] = ACTIONS(4840),
    [anon_sym_ascending] = ACTIONS(4840),
    [anon_sym_descending] = ACTIONS(4840),
    [anon_sym_group] = ACTIONS(4840),
    [anon_sym_by] = ACTIONS(4840),
    [anon_sym_select] = ACTIONS(4840),
    [aux_sym_preproc_if_token1] = ACTIONS(4842),
    [aux_sym_preproc_if_token3] = ACTIONS(4842),
    [aux_sym_preproc_else_token1] = ACTIONS(4842),
    [aux_sym_preproc_elif_token1] = ACTIONS(4842),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3239] = {
    [sym_preproc_region] = STATE(3239),
    [sym_preproc_endregion] = STATE(3239),
    [sym_preproc_line] = STATE(3239),
    [sym_preproc_pragma] = STATE(3239),
    [sym_preproc_nullable] = STATE(3239),
    [sym_preproc_error] = STATE(3239),
    [sym_preproc_define] = STATE(3239),
    [sym_preproc_undef] = STATE(3239),
    [sym__identifier_token] = ACTIONS(4477),
    [anon_sym_alias] = ACTIONS(4477),
    [anon_sym_global] = ACTIONS(4477),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_LPAREN] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_file] = ACTIONS(4477),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_where] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4477),
    [anon_sym_notnull] = ACTIONS(4477),
    [anon_sym_unmanaged] = ACTIONS(4477),
    [anon_sym_BANG] = ACTIONS(4477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_GT_GT_GT] = ACTIONS(4479),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_scoped] = ACTIONS(4477),
    [anon_sym_var] = ACTIONS(4477),
    [anon_sym_yield] = ACTIONS(4477),
    [anon_sym_switch] = ACTIONS(4477),
    [anon_sym_when] = ACTIONS(4477),
    [sym_discard] = ACTIONS(4477),
    [anon_sym_DOT_DOT] = ACTIONS(4479),
    [anon_sym_and] = ACTIONS(4477),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_QMARK_QMARK] = ACTIONS(4479),
    [anon_sym_from] = ACTIONS(4477),
    [anon_sym_into] = ACTIONS(4477),
    [anon_sym_join] = ACTIONS(4477),
    [anon_sym_on] = ACTIONS(4477),
    [anon_sym_equals] = ACTIONS(4477),
    [anon_sym_let] = ACTIONS(4477),
    [anon_sym_orderby] = ACTIONS(4477),
    [anon_sym_ascending] = ACTIONS(4477),
    [anon_sym_descending] = ACTIONS(4477),
    [anon_sym_group] = ACTIONS(4477),
    [anon_sym_by] = ACTIONS(4477),
    [anon_sym_select] = ACTIONS(4477),
    [anon_sym_as] = ACTIONS(4477),
    [anon_sym_is] = ACTIONS(4477),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [anon_sym_with] = ACTIONS(4477),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4479),
  },
  [3240] = {
    [sym_preproc_region] = STATE(3240),
    [sym_preproc_endregion] = STATE(3240),
    [sym_preproc_line] = STATE(3240),
    [sym_preproc_pragma] = STATE(3240),
    [sym_preproc_nullable] = STATE(3240),
    [sym_preproc_error] = STATE(3240),
    [sym_preproc_define] = STATE(3240),
    [sym_preproc_undef] = STATE(3240),
    [sym__identifier_token] = ACTIONS(3761),
    [anon_sym_extern] = ACTIONS(3761),
    [anon_sym_alias] = ACTIONS(3761),
    [anon_sym_global] = ACTIONS(3761),
    [anon_sym_using] = ACTIONS(3761),
    [anon_sym_unsafe] = ACTIONS(3761),
    [anon_sym_static] = ACTIONS(3761),
    [anon_sym_LBRACK] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(3763),
    [anon_sym_event] = ACTIONS(3761),
    [anon_sym_namespace] = ACTIONS(3761),
    [anon_sym_class] = ACTIONS(3761),
    [anon_sym_ref] = ACTIONS(3761),
    [anon_sym_struct] = ACTIONS(3761),
    [anon_sym_enum] = ACTIONS(3761),
    [anon_sym_RBRACE] = ACTIONS(3763),
    [anon_sym_interface] = ACTIONS(3761),
    [anon_sym_delegate] = ACTIONS(3761),
    [anon_sym_record] = ACTIONS(3761),
    [anon_sym_abstract] = ACTIONS(3761),
    [anon_sym_async] = ACTIONS(3761),
    [anon_sym_const] = ACTIONS(3761),
    [anon_sym_file] = ACTIONS(3761),
    [anon_sym_fixed] = ACTIONS(3761),
    [anon_sym_internal] = ACTIONS(3761),
    [anon_sym_new] = ACTIONS(3761),
    [anon_sym_override] = ACTIONS(3761),
    [anon_sym_partial] = ACTIONS(3761),
    [anon_sym_private] = ACTIONS(3761),
    [anon_sym_protected] = ACTIONS(3761),
    [anon_sym_public] = ACTIONS(3761),
    [anon_sym_readonly] = ACTIONS(3761),
    [anon_sym_required] = ACTIONS(3761),
    [anon_sym_sealed] = ACTIONS(3761),
    [anon_sym_virtual] = ACTIONS(3761),
    [anon_sym_volatile] = ACTIONS(3761),
    [anon_sym_where] = ACTIONS(3761),
    [anon_sym_notnull] = ACTIONS(3761),
    [anon_sym_unmanaged] = ACTIONS(3761),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_implicit] = ACTIONS(3761),
    [anon_sym_explicit] = ACTIONS(3761),
    [anon_sym_scoped] = ACTIONS(3761),
    [anon_sym_var] = ACTIONS(3761),
    [sym_predefined_type] = ACTIONS(3761),
    [anon_sym_yield] = ACTIONS(3761),
    [anon_sym_when] = ACTIONS(3761),
    [anon_sym_from] = ACTIONS(3761),
    [anon_sym_into] = ACTIONS(3761),
    [anon_sym_join] = ACTIONS(3761),
    [anon_sym_on] = ACTIONS(3761),
    [anon_sym_equals] = ACTIONS(3761),
    [anon_sym_let] = ACTIONS(3761),
    [anon_sym_orderby] = ACTIONS(3761),
    [anon_sym_ascending] = ACTIONS(3761),
    [anon_sym_descending] = ACTIONS(3761),
    [anon_sym_group] = ACTIONS(3761),
    [anon_sym_by] = ACTIONS(3761),
    [anon_sym_select] = ACTIONS(3761),
    [aux_sym_preproc_if_token1] = ACTIONS(3763),
    [aux_sym_preproc_if_token3] = ACTIONS(3763),
    [aux_sym_preproc_else_token1] = ACTIONS(3763),
    [aux_sym_preproc_elif_token1] = ACTIONS(3763),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3241] = {
    [sym_preproc_region] = STATE(3241),
    [sym_preproc_endregion] = STATE(3241),
    [sym_preproc_line] = STATE(3241),
    [sym_preproc_pragma] = STATE(3241),
    [sym_preproc_nullable] = STATE(3241),
    [sym_preproc_error] = STATE(3241),
    [sym_preproc_define] = STATE(3241),
    [sym_preproc_undef] = STATE(3241),
    [sym__identifier_token] = ACTIONS(3765),
    [anon_sym_extern] = ACTIONS(3765),
    [anon_sym_alias] = ACTIONS(3765),
    [anon_sym_global] = ACTIONS(3765),
    [anon_sym_using] = ACTIONS(3765),
    [anon_sym_unsafe] = ACTIONS(3765),
    [anon_sym_static] = ACTIONS(3765),
    [anon_sym_LBRACK] = ACTIONS(3767),
    [anon_sym_LPAREN] = ACTIONS(3767),
    [anon_sym_event] = ACTIONS(3765),
    [anon_sym_namespace] = ACTIONS(3765),
    [anon_sym_class] = ACTIONS(3765),
    [anon_sym_ref] = ACTIONS(3765),
    [anon_sym_struct] = ACTIONS(3765),
    [anon_sym_enum] = ACTIONS(3765),
    [anon_sym_RBRACE] = ACTIONS(3767),
    [anon_sym_interface] = ACTIONS(3765),
    [anon_sym_delegate] = ACTIONS(3765),
    [anon_sym_record] = ACTIONS(3765),
    [anon_sym_abstract] = ACTIONS(3765),
    [anon_sym_async] = ACTIONS(3765),
    [anon_sym_const] = ACTIONS(3765),
    [anon_sym_file] = ACTIONS(3765),
    [anon_sym_fixed] = ACTIONS(3765),
    [anon_sym_internal] = ACTIONS(3765),
    [anon_sym_new] = ACTIONS(3765),
    [anon_sym_override] = ACTIONS(3765),
    [anon_sym_partial] = ACTIONS(3765),
    [anon_sym_private] = ACTIONS(3765),
    [anon_sym_protected] = ACTIONS(3765),
    [anon_sym_public] = ACTIONS(3765),
    [anon_sym_readonly] = ACTIONS(3765),
    [anon_sym_required] = ACTIONS(3765),
    [anon_sym_sealed] = ACTIONS(3765),
    [anon_sym_virtual] = ACTIONS(3765),
    [anon_sym_volatile] = ACTIONS(3765),
    [anon_sym_where] = ACTIONS(3765),
    [anon_sym_notnull] = ACTIONS(3765),
    [anon_sym_unmanaged] = ACTIONS(3765),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_implicit] = ACTIONS(3765),
    [anon_sym_explicit] = ACTIONS(3765),
    [anon_sym_scoped] = ACTIONS(3765),
    [anon_sym_var] = ACTIONS(3765),
    [sym_predefined_type] = ACTIONS(3765),
    [anon_sym_yield] = ACTIONS(3765),
    [anon_sym_when] = ACTIONS(3765),
    [anon_sym_from] = ACTIONS(3765),
    [anon_sym_into] = ACTIONS(3765),
    [anon_sym_join] = ACTIONS(3765),
    [anon_sym_on] = ACTIONS(3765),
    [anon_sym_equals] = ACTIONS(3765),
    [anon_sym_let] = ACTIONS(3765),
    [anon_sym_orderby] = ACTIONS(3765),
    [anon_sym_ascending] = ACTIONS(3765),
    [anon_sym_descending] = ACTIONS(3765),
    [anon_sym_group] = ACTIONS(3765),
    [anon_sym_by] = ACTIONS(3765),
    [anon_sym_select] = ACTIONS(3765),
    [aux_sym_preproc_if_token1] = ACTIONS(3767),
    [aux_sym_preproc_if_token3] = ACTIONS(3767),
    [aux_sym_preproc_else_token1] = ACTIONS(3767),
    [aux_sym_preproc_elif_token1] = ACTIONS(3767),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3242] = {
    [sym_preproc_region] = STATE(3242),
    [sym_preproc_endregion] = STATE(3242),
    [sym_preproc_line] = STATE(3242),
    [sym_preproc_pragma] = STATE(3242),
    [sym_preproc_nullable] = STATE(3242),
    [sym_preproc_error] = STATE(3242),
    [sym_preproc_define] = STATE(3242),
    [sym_preproc_undef] = STATE(3242),
    [sym__identifier_token] = ACTIONS(3773),
    [anon_sym_extern] = ACTIONS(3773),
    [anon_sym_alias] = ACTIONS(3773),
    [anon_sym_global] = ACTIONS(3773),
    [anon_sym_using] = ACTIONS(3773),
    [anon_sym_unsafe] = ACTIONS(3773),
    [anon_sym_static] = ACTIONS(3773),
    [anon_sym_LBRACK] = ACTIONS(3775),
    [anon_sym_LPAREN] = ACTIONS(3775),
    [anon_sym_event] = ACTIONS(3773),
    [anon_sym_namespace] = ACTIONS(3773),
    [anon_sym_class] = ACTIONS(3773),
    [anon_sym_ref] = ACTIONS(3773),
    [anon_sym_struct] = ACTIONS(3773),
    [anon_sym_enum] = ACTIONS(3773),
    [anon_sym_RBRACE] = ACTIONS(3775),
    [anon_sym_interface] = ACTIONS(3773),
    [anon_sym_delegate] = ACTIONS(3773),
    [anon_sym_record] = ACTIONS(3773),
    [anon_sym_abstract] = ACTIONS(3773),
    [anon_sym_async] = ACTIONS(3773),
    [anon_sym_const] = ACTIONS(3773),
    [anon_sym_file] = ACTIONS(3773),
    [anon_sym_fixed] = ACTIONS(3773),
    [anon_sym_internal] = ACTIONS(3773),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_override] = ACTIONS(3773),
    [anon_sym_partial] = ACTIONS(3773),
    [anon_sym_private] = ACTIONS(3773),
    [anon_sym_protected] = ACTIONS(3773),
    [anon_sym_public] = ACTIONS(3773),
    [anon_sym_readonly] = ACTIONS(3773),
    [anon_sym_required] = ACTIONS(3773),
    [anon_sym_sealed] = ACTIONS(3773),
    [anon_sym_virtual] = ACTIONS(3773),
    [anon_sym_volatile] = ACTIONS(3773),
    [anon_sym_where] = ACTIONS(3773),
    [anon_sym_notnull] = ACTIONS(3773),
    [anon_sym_unmanaged] = ACTIONS(3773),
    [anon_sym_TILDE] = ACTIONS(3775),
    [anon_sym_implicit] = ACTIONS(3773),
    [anon_sym_explicit] = ACTIONS(3773),
    [anon_sym_scoped] = ACTIONS(3773),
    [anon_sym_var] = ACTIONS(3773),
    [sym_predefined_type] = ACTIONS(3773),
    [anon_sym_yield] = ACTIONS(3773),
    [anon_sym_when] = ACTIONS(3773),
    [anon_sym_from] = ACTIONS(3773),
    [anon_sym_into] = ACTIONS(3773),
    [anon_sym_join] = ACTIONS(3773),
    [anon_sym_on] = ACTIONS(3773),
    [anon_sym_equals] = ACTIONS(3773),
    [anon_sym_let] = ACTIONS(3773),
    [anon_sym_orderby] = ACTIONS(3773),
    [anon_sym_ascending] = ACTIONS(3773),
    [anon_sym_descending] = ACTIONS(3773),
    [anon_sym_group] = ACTIONS(3773),
    [anon_sym_by] = ACTIONS(3773),
    [anon_sym_select] = ACTIONS(3773),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token3] = ACTIONS(3775),
    [aux_sym_preproc_else_token1] = ACTIONS(3775),
    [aux_sym_preproc_elif_token1] = ACTIONS(3775),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3243] = {
    [sym_preproc_region] = STATE(3243),
    [sym_preproc_endregion] = STATE(3243),
    [sym_preproc_line] = STATE(3243),
    [sym_preproc_pragma] = STATE(3243),
    [sym_preproc_nullable] = STATE(3243),
    [sym_preproc_error] = STATE(3243),
    [sym_preproc_define] = STATE(3243),
    [sym_preproc_undef] = STATE(3243),
    [sym__identifier_token] = ACTIONS(3829),
    [anon_sym_extern] = ACTIONS(3829),
    [anon_sym_alias] = ACTIONS(3829),
    [anon_sym_global] = ACTIONS(3829),
    [anon_sym_using] = ACTIONS(3829),
    [anon_sym_unsafe] = ACTIONS(3829),
    [anon_sym_static] = ACTIONS(3829),
    [anon_sym_LBRACK] = ACTIONS(3831),
    [anon_sym_LPAREN] = ACTIONS(3831),
    [anon_sym_event] = ACTIONS(3829),
    [anon_sym_namespace] = ACTIONS(3829),
    [anon_sym_class] = ACTIONS(3829),
    [anon_sym_ref] = ACTIONS(3829),
    [anon_sym_struct] = ACTIONS(3829),
    [anon_sym_enum] = ACTIONS(3829),
    [anon_sym_RBRACE] = ACTIONS(3831),
    [anon_sym_interface] = ACTIONS(3829),
    [anon_sym_delegate] = ACTIONS(3829),
    [anon_sym_record] = ACTIONS(3829),
    [anon_sym_abstract] = ACTIONS(3829),
    [anon_sym_async] = ACTIONS(3829),
    [anon_sym_const] = ACTIONS(3829),
    [anon_sym_file] = ACTIONS(3829),
    [anon_sym_fixed] = ACTIONS(3829),
    [anon_sym_internal] = ACTIONS(3829),
    [anon_sym_new] = ACTIONS(3829),
    [anon_sym_override] = ACTIONS(3829),
    [anon_sym_partial] = ACTIONS(3829),
    [anon_sym_private] = ACTIONS(3829),
    [anon_sym_protected] = ACTIONS(3829),
    [anon_sym_public] = ACTIONS(3829),
    [anon_sym_readonly] = ACTIONS(3829),
    [anon_sym_required] = ACTIONS(3829),
    [anon_sym_sealed] = ACTIONS(3829),
    [anon_sym_virtual] = ACTIONS(3829),
    [anon_sym_volatile] = ACTIONS(3829),
    [anon_sym_where] = ACTIONS(3829),
    [anon_sym_notnull] = ACTIONS(3829),
    [anon_sym_unmanaged] = ACTIONS(3829),
    [anon_sym_TILDE] = ACTIONS(3831),
    [anon_sym_implicit] = ACTIONS(3829),
    [anon_sym_explicit] = ACTIONS(3829),
    [anon_sym_scoped] = ACTIONS(3829),
    [anon_sym_var] = ACTIONS(3829),
    [sym_predefined_type] = ACTIONS(3829),
    [anon_sym_yield] = ACTIONS(3829),
    [anon_sym_when] = ACTIONS(3829),
    [anon_sym_from] = ACTIONS(3829),
    [anon_sym_into] = ACTIONS(3829),
    [anon_sym_join] = ACTIONS(3829),
    [anon_sym_on] = ACTIONS(3829),
    [anon_sym_equals] = ACTIONS(3829),
    [anon_sym_let] = ACTIONS(3829),
    [anon_sym_orderby] = ACTIONS(3829),
    [anon_sym_ascending] = ACTIONS(3829),
    [anon_sym_descending] = ACTIONS(3829),
    [anon_sym_group] = ACTIONS(3829),
    [anon_sym_by] = ACTIONS(3829),
    [anon_sym_select] = ACTIONS(3829),
    [aux_sym_preproc_if_token1] = ACTIONS(3831),
    [aux_sym_preproc_if_token3] = ACTIONS(3831),
    [aux_sym_preproc_else_token1] = ACTIONS(3831),
    [aux_sym_preproc_elif_token1] = ACTIONS(3831),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3244] = {
    [sym_preproc_region] = STATE(3244),
    [sym_preproc_endregion] = STATE(3244),
    [sym_preproc_line] = STATE(3244),
    [sym_preproc_pragma] = STATE(3244),
    [sym_preproc_nullable] = STATE(3244),
    [sym_preproc_error] = STATE(3244),
    [sym_preproc_define] = STATE(3244),
    [sym_preproc_undef] = STATE(3244),
    [sym__identifier_token] = ACTIONS(3833),
    [anon_sym_extern] = ACTIONS(3833),
    [anon_sym_alias] = ACTIONS(3833),
    [anon_sym_global] = ACTIONS(3833),
    [anon_sym_using] = ACTIONS(3833),
    [anon_sym_unsafe] = ACTIONS(3833),
    [anon_sym_static] = ACTIONS(3833),
    [anon_sym_LBRACK] = ACTIONS(3835),
    [anon_sym_LPAREN] = ACTIONS(3835),
    [anon_sym_event] = ACTIONS(3833),
    [anon_sym_namespace] = ACTIONS(3833),
    [anon_sym_class] = ACTIONS(3833),
    [anon_sym_ref] = ACTIONS(3833),
    [anon_sym_struct] = ACTIONS(3833),
    [anon_sym_enum] = ACTIONS(3833),
    [anon_sym_RBRACE] = ACTIONS(3835),
    [anon_sym_interface] = ACTIONS(3833),
    [anon_sym_delegate] = ACTIONS(3833),
    [anon_sym_record] = ACTIONS(3833),
    [anon_sym_abstract] = ACTIONS(3833),
    [anon_sym_async] = ACTIONS(3833),
    [anon_sym_const] = ACTIONS(3833),
    [anon_sym_file] = ACTIONS(3833),
    [anon_sym_fixed] = ACTIONS(3833),
    [anon_sym_internal] = ACTIONS(3833),
    [anon_sym_new] = ACTIONS(3833),
    [anon_sym_override] = ACTIONS(3833),
    [anon_sym_partial] = ACTIONS(3833),
    [anon_sym_private] = ACTIONS(3833),
    [anon_sym_protected] = ACTIONS(3833),
    [anon_sym_public] = ACTIONS(3833),
    [anon_sym_readonly] = ACTIONS(3833),
    [anon_sym_required] = ACTIONS(3833),
    [anon_sym_sealed] = ACTIONS(3833),
    [anon_sym_virtual] = ACTIONS(3833),
    [anon_sym_volatile] = ACTIONS(3833),
    [anon_sym_where] = ACTIONS(3833),
    [anon_sym_notnull] = ACTIONS(3833),
    [anon_sym_unmanaged] = ACTIONS(3833),
    [anon_sym_TILDE] = ACTIONS(3835),
    [anon_sym_implicit] = ACTIONS(3833),
    [anon_sym_explicit] = ACTIONS(3833),
    [anon_sym_scoped] = ACTIONS(3833),
    [anon_sym_var] = ACTIONS(3833),
    [sym_predefined_type] = ACTIONS(3833),
    [anon_sym_yield] = ACTIONS(3833),
    [anon_sym_when] = ACTIONS(3833),
    [anon_sym_from] = ACTIONS(3833),
    [anon_sym_into] = ACTIONS(3833),
    [anon_sym_join] = ACTIONS(3833),
    [anon_sym_on] = ACTIONS(3833),
    [anon_sym_equals] = ACTIONS(3833),
    [anon_sym_let] = ACTIONS(3833),
    [anon_sym_orderby] = ACTIONS(3833),
    [anon_sym_ascending] = ACTIONS(3833),
    [anon_sym_descending] = ACTIONS(3833),
    [anon_sym_group] = ACTIONS(3833),
    [anon_sym_by] = ACTIONS(3833),
    [anon_sym_select] = ACTIONS(3833),
    [aux_sym_preproc_if_token1] = ACTIONS(3835),
    [aux_sym_preproc_if_token3] = ACTIONS(3835),
    [aux_sym_preproc_else_token1] = ACTIONS(3835),
    [aux_sym_preproc_elif_token1] = ACTIONS(3835),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3245] = {
    [sym_preproc_region] = STATE(3245),
    [sym_preproc_endregion] = STATE(3245),
    [sym_preproc_line] = STATE(3245),
    [sym_preproc_pragma] = STATE(3245),
    [sym_preproc_nullable] = STATE(3245),
    [sym_preproc_error] = STATE(3245),
    [sym_preproc_define] = STATE(3245),
    [sym_preproc_undef] = STATE(3245),
    [sym__identifier_token] = ACTIONS(3837),
    [anon_sym_extern] = ACTIONS(3837),
    [anon_sym_alias] = ACTIONS(3837),
    [anon_sym_global] = ACTIONS(3837),
    [anon_sym_using] = ACTIONS(3837),
    [anon_sym_unsafe] = ACTIONS(3837),
    [anon_sym_static] = ACTIONS(3837),
    [anon_sym_LBRACK] = ACTIONS(3839),
    [anon_sym_LPAREN] = ACTIONS(3839),
    [anon_sym_event] = ACTIONS(3837),
    [anon_sym_namespace] = ACTIONS(3837),
    [anon_sym_class] = ACTIONS(3837),
    [anon_sym_ref] = ACTIONS(3837),
    [anon_sym_struct] = ACTIONS(3837),
    [anon_sym_enum] = ACTIONS(3837),
    [anon_sym_RBRACE] = ACTIONS(3839),
    [anon_sym_interface] = ACTIONS(3837),
    [anon_sym_delegate] = ACTIONS(3837),
    [anon_sym_record] = ACTIONS(3837),
    [anon_sym_abstract] = ACTIONS(3837),
    [anon_sym_async] = ACTIONS(3837),
    [anon_sym_const] = ACTIONS(3837),
    [anon_sym_file] = ACTIONS(3837),
    [anon_sym_fixed] = ACTIONS(3837),
    [anon_sym_internal] = ACTIONS(3837),
    [anon_sym_new] = ACTIONS(3837),
    [anon_sym_override] = ACTIONS(3837),
    [anon_sym_partial] = ACTIONS(3837),
    [anon_sym_private] = ACTIONS(3837),
    [anon_sym_protected] = ACTIONS(3837),
    [anon_sym_public] = ACTIONS(3837),
    [anon_sym_readonly] = ACTIONS(3837),
    [anon_sym_required] = ACTIONS(3837),
    [anon_sym_sealed] = ACTIONS(3837),
    [anon_sym_virtual] = ACTIONS(3837),
    [anon_sym_volatile] = ACTIONS(3837),
    [anon_sym_where] = ACTIONS(3837),
    [anon_sym_notnull] = ACTIONS(3837),
    [anon_sym_unmanaged] = ACTIONS(3837),
    [anon_sym_TILDE] = ACTIONS(3839),
    [anon_sym_implicit] = ACTIONS(3837),
    [anon_sym_explicit] = ACTIONS(3837),
    [anon_sym_scoped] = ACTIONS(3837),
    [anon_sym_var] = ACTIONS(3837),
    [sym_predefined_type] = ACTIONS(3837),
    [anon_sym_yield] = ACTIONS(3837),
    [anon_sym_when] = ACTIONS(3837),
    [anon_sym_from] = ACTIONS(3837),
    [anon_sym_into] = ACTIONS(3837),
    [anon_sym_join] = ACTIONS(3837),
    [anon_sym_on] = ACTIONS(3837),
    [anon_sym_equals] = ACTIONS(3837),
    [anon_sym_let] = ACTIONS(3837),
    [anon_sym_orderby] = ACTIONS(3837),
    [anon_sym_ascending] = ACTIONS(3837),
    [anon_sym_descending] = ACTIONS(3837),
    [anon_sym_group] = ACTIONS(3837),
    [anon_sym_by] = ACTIONS(3837),
    [anon_sym_select] = ACTIONS(3837),
    [aux_sym_preproc_if_token1] = ACTIONS(3839),
    [aux_sym_preproc_if_token3] = ACTIONS(3839),
    [aux_sym_preproc_else_token1] = ACTIONS(3839),
    [aux_sym_preproc_elif_token1] = ACTIONS(3839),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3246] = {
    [sym_preproc_region] = STATE(3246),
    [sym_preproc_endregion] = STATE(3246),
    [sym_preproc_line] = STATE(3246),
    [sym_preproc_pragma] = STATE(3246),
    [sym_preproc_nullable] = STATE(3246),
    [sym_preproc_error] = STATE(3246),
    [sym_preproc_define] = STATE(3246),
    [sym_preproc_undef] = STATE(3246),
    [sym__identifier_token] = ACTIONS(3841),
    [anon_sym_extern] = ACTIONS(3841),
    [anon_sym_alias] = ACTIONS(3841),
    [anon_sym_global] = ACTIONS(3841),
    [anon_sym_using] = ACTIONS(3841),
    [anon_sym_unsafe] = ACTIONS(3841),
    [anon_sym_static] = ACTIONS(3841),
    [anon_sym_LBRACK] = ACTIONS(3843),
    [anon_sym_LPAREN] = ACTIONS(3843),
    [anon_sym_event] = ACTIONS(3841),
    [anon_sym_namespace] = ACTIONS(3841),
    [anon_sym_class] = ACTIONS(3841),
    [anon_sym_ref] = ACTIONS(3841),
    [anon_sym_struct] = ACTIONS(3841),
    [anon_sym_enum] = ACTIONS(3841),
    [anon_sym_RBRACE] = ACTIONS(3843),
    [anon_sym_interface] = ACTIONS(3841),
    [anon_sym_delegate] = ACTIONS(3841),
    [anon_sym_record] = ACTIONS(3841),
    [anon_sym_abstract] = ACTIONS(3841),
    [anon_sym_async] = ACTIONS(3841),
    [anon_sym_const] = ACTIONS(3841),
    [anon_sym_file] = ACTIONS(3841),
    [anon_sym_fixed] = ACTIONS(3841),
    [anon_sym_internal] = ACTIONS(3841),
    [anon_sym_new] = ACTIONS(3841),
    [anon_sym_override] = ACTIONS(3841),
    [anon_sym_partial] = ACTIONS(3841),
    [anon_sym_private] = ACTIONS(3841),
    [anon_sym_protected] = ACTIONS(3841),
    [anon_sym_public] = ACTIONS(3841),
    [anon_sym_readonly] = ACTIONS(3841),
    [anon_sym_required] = ACTIONS(3841),
    [anon_sym_sealed] = ACTIONS(3841),
    [anon_sym_virtual] = ACTIONS(3841),
    [anon_sym_volatile] = ACTIONS(3841),
    [anon_sym_where] = ACTIONS(3841),
    [anon_sym_notnull] = ACTIONS(3841),
    [anon_sym_unmanaged] = ACTIONS(3841),
    [anon_sym_TILDE] = ACTIONS(3843),
    [anon_sym_implicit] = ACTIONS(3841),
    [anon_sym_explicit] = ACTIONS(3841),
    [anon_sym_scoped] = ACTIONS(3841),
    [anon_sym_var] = ACTIONS(3841),
    [sym_predefined_type] = ACTIONS(3841),
    [anon_sym_yield] = ACTIONS(3841),
    [anon_sym_when] = ACTIONS(3841),
    [anon_sym_from] = ACTIONS(3841),
    [anon_sym_into] = ACTIONS(3841),
    [anon_sym_join] = ACTIONS(3841),
    [anon_sym_on] = ACTIONS(3841),
    [anon_sym_equals] = ACTIONS(3841),
    [anon_sym_let] = ACTIONS(3841),
    [anon_sym_orderby] = ACTIONS(3841),
    [anon_sym_ascending] = ACTIONS(3841),
    [anon_sym_descending] = ACTIONS(3841),
    [anon_sym_group] = ACTIONS(3841),
    [anon_sym_by] = ACTIONS(3841),
    [anon_sym_select] = ACTIONS(3841),
    [aux_sym_preproc_if_token1] = ACTIONS(3843),
    [aux_sym_preproc_if_token3] = ACTIONS(3843),
    [aux_sym_preproc_else_token1] = ACTIONS(3843),
    [aux_sym_preproc_elif_token1] = ACTIONS(3843),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3247] = {
    [sym_preproc_region] = STATE(3247),
    [sym_preproc_endregion] = STATE(3247),
    [sym_preproc_line] = STATE(3247),
    [sym_preproc_pragma] = STATE(3247),
    [sym_preproc_nullable] = STATE(3247),
    [sym_preproc_error] = STATE(3247),
    [sym_preproc_define] = STATE(3247),
    [sym_preproc_undef] = STATE(3247),
    [sym__identifier_token] = ACTIONS(3845),
    [anon_sym_extern] = ACTIONS(3845),
    [anon_sym_alias] = ACTIONS(3845),
    [anon_sym_global] = ACTIONS(3845),
    [anon_sym_using] = ACTIONS(3845),
    [anon_sym_unsafe] = ACTIONS(3845),
    [anon_sym_static] = ACTIONS(3845),
    [anon_sym_LBRACK] = ACTIONS(3847),
    [anon_sym_LPAREN] = ACTIONS(3847),
    [anon_sym_event] = ACTIONS(3845),
    [anon_sym_namespace] = ACTIONS(3845),
    [anon_sym_class] = ACTIONS(3845),
    [anon_sym_ref] = ACTIONS(3845),
    [anon_sym_struct] = ACTIONS(3845),
    [anon_sym_enum] = ACTIONS(3845),
    [anon_sym_RBRACE] = ACTIONS(3847),
    [anon_sym_interface] = ACTIONS(3845),
    [anon_sym_delegate] = ACTIONS(3845),
    [anon_sym_record] = ACTIONS(3845),
    [anon_sym_abstract] = ACTIONS(3845),
    [anon_sym_async] = ACTIONS(3845),
    [anon_sym_const] = ACTIONS(3845),
    [anon_sym_file] = ACTIONS(3845),
    [anon_sym_fixed] = ACTIONS(3845),
    [anon_sym_internal] = ACTIONS(3845),
    [anon_sym_new] = ACTIONS(3845),
    [anon_sym_override] = ACTIONS(3845),
    [anon_sym_partial] = ACTIONS(3845),
    [anon_sym_private] = ACTIONS(3845),
    [anon_sym_protected] = ACTIONS(3845),
    [anon_sym_public] = ACTIONS(3845),
    [anon_sym_readonly] = ACTIONS(3845),
    [anon_sym_required] = ACTIONS(3845),
    [anon_sym_sealed] = ACTIONS(3845),
    [anon_sym_virtual] = ACTIONS(3845),
    [anon_sym_volatile] = ACTIONS(3845),
    [anon_sym_where] = ACTIONS(3845),
    [anon_sym_notnull] = ACTIONS(3845),
    [anon_sym_unmanaged] = ACTIONS(3845),
    [anon_sym_TILDE] = ACTIONS(3847),
    [anon_sym_implicit] = ACTIONS(3845),
    [anon_sym_explicit] = ACTIONS(3845),
    [anon_sym_scoped] = ACTIONS(3845),
    [anon_sym_var] = ACTIONS(3845),
    [sym_predefined_type] = ACTIONS(3845),
    [anon_sym_yield] = ACTIONS(3845),
    [anon_sym_when] = ACTIONS(3845),
    [anon_sym_from] = ACTIONS(3845),
    [anon_sym_into] = ACTIONS(3845),
    [anon_sym_join] = ACTIONS(3845),
    [anon_sym_on] = ACTIONS(3845),
    [anon_sym_equals] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3845),
    [anon_sym_orderby] = ACTIONS(3845),
    [anon_sym_ascending] = ACTIONS(3845),
    [anon_sym_descending] = ACTIONS(3845),
    [anon_sym_group] = ACTIONS(3845),
    [anon_sym_by] = ACTIONS(3845),
    [anon_sym_select] = ACTIONS(3845),
    [aux_sym_preproc_if_token1] = ACTIONS(3847),
    [aux_sym_preproc_if_token3] = ACTIONS(3847),
    [aux_sym_preproc_else_token1] = ACTIONS(3847),
    [aux_sym_preproc_elif_token1] = ACTIONS(3847),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3248] = {
    [sym_preproc_region] = STATE(3248),
    [sym_preproc_endregion] = STATE(3248),
    [sym_preproc_line] = STATE(3248),
    [sym_preproc_pragma] = STATE(3248),
    [sym_preproc_nullable] = STATE(3248),
    [sym_preproc_error] = STATE(3248),
    [sym_preproc_define] = STATE(3248),
    [sym_preproc_undef] = STATE(3248),
    [anon_sym_SEMI] = ACTIONS(4197),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_RPAREN] = ACTIONS(4197),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(4197),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_EQ_GT] = ACTIONS(4197),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_when] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4197),
    [anon_sym_or] = ACTIONS(4197),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_on] = ACTIONS(4197),
    [anon_sym_equals] = ACTIONS(4197),
    [anon_sym_by] = ACTIONS(4197),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_if_token3] = ACTIONS(4197),
    [aux_sym_preproc_else_token1] = ACTIONS(4197),
    [aux_sym_preproc_elif_token1] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3249] = {
    [sym_preproc_region] = STATE(3249),
    [sym_preproc_endregion] = STATE(3249),
    [sym_preproc_line] = STATE(3249),
    [sym_preproc_pragma] = STATE(3249),
    [sym_preproc_nullable] = STATE(3249),
    [sym_preproc_error] = STATE(3249),
    [sym_preproc_define] = STATE(3249),
    [sym_preproc_undef] = STATE(3249),
    [anon_sym_SEMI] = ACTIONS(4646),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4646),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4646),
    [anon_sym_RBRACK] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(4646),
    [anon_sym_RPAREN] = ACTIONS(4646),
    [anon_sym_RBRACE] = ACTIONS(4646),
    [anon_sym_LT] = ACTIONS(4648),
    [anon_sym_GT] = ACTIONS(4648),
    [anon_sym_in] = ACTIONS(4646),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_STAR] = ACTIONS(4648),
    [anon_sym_SLASH] = ACTIONS(4648),
    [anon_sym_PERCENT] = ACTIONS(4648),
    [anon_sym_CARET] = ACTIONS(4648),
    [anon_sym_PIPE] = ACTIONS(4648),
    [anon_sym_AMP] = ACTIONS(4648),
    [anon_sym_LT_LT] = ACTIONS(4648),
    [anon_sym_GT_GT] = ACTIONS(4648),
    [anon_sym_GT_GT_GT] = ACTIONS(4648),
    [anon_sym_EQ_EQ] = ACTIONS(4646),
    [anon_sym_BANG_EQ] = ACTIONS(4646),
    [anon_sym_GT_EQ] = ACTIONS(4646),
    [anon_sym_LT_EQ] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(4648),
    [anon_sym_EQ_GT] = ACTIONS(4646),
    [anon_sym_switch] = ACTIONS(4646),
    [anon_sym_when] = ACTIONS(4646),
    [anon_sym_DOT_DOT] = ACTIONS(4646),
    [anon_sym_and] = ACTIONS(4646),
    [anon_sym_or] = ACTIONS(4646),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4646),
    [anon_sym_PIPE_PIPE] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK] = ACTIONS(4648),
    [anon_sym_on] = ACTIONS(4646),
    [anon_sym_equals] = ACTIONS(4646),
    [anon_sym_by] = ACTIONS(4646),
    [anon_sym_as] = ACTIONS(4646),
    [anon_sym_is] = ACTIONS(4646),
    [anon_sym_DASH_GT] = ACTIONS(4646),
    [anon_sym_with] = ACTIONS(4646),
    [aux_sym_preproc_if_token3] = ACTIONS(4646),
    [aux_sym_preproc_else_token1] = ACTIONS(4646),
    [aux_sym_preproc_elif_token1] = ACTIONS(4646),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3250] = {
    [sym_preproc_region] = STATE(3250),
    [sym_preproc_endregion] = STATE(3250),
    [sym_preproc_line] = STATE(3250),
    [sym_preproc_pragma] = STATE(3250),
    [sym_preproc_nullable] = STATE(3250),
    [sym_preproc_error] = STATE(3250),
    [sym_preproc_define] = STATE(3250),
    [sym_preproc_undef] = STATE(3250),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4847),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3251] = {
    [sym_preproc_region] = STATE(3251),
    [sym_preproc_endregion] = STATE(3251),
    [sym_preproc_line] = STATE(3251),
    [sym_preproc_pragma] = STATE(3251),
    [sym_preproc_nullable] = STATE(3251),
    [sym_preproc_error] = STATE(3251),
    [sym_preproc_define] = STATE(3251),
    [sym_preproc_undef] = STATE(3251),
    [sym__identifier_token] = ACTIONS(4177),
    [anon_sym_alias] = ACTIONS(4177),
    [anon_sym_global] = ACTIONS(4177),
    [anon_sym_LBRACK] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_file] = ACTIONS(4177),
    [anon_sym_LT] = ACTIONS(4177),
    [anon_sym_GT] = ACTIONS(4177),
    [anon_sym_where] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4177),
    [anon_sym_notnull] = ACTIONS(4177),
    [anon_sym_unmanaged] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4177),
    [anon_sym_PLUS_PLUS] = ACTIONS(4188),
    [anon_sym_DASH_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4177),
    [anon_sym_DASH] = ACTIONS(4177),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_SLASH] = ACTIONS(4177),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4188),
    [anon_sym_PIPE] = ACTIONS(4177),
    [anon_sym_AMP] = ACTIONS(4177),
    [anon_sym_LT_LT] = ACTIONS(4188),
    [anon_sym_GT_GT] = ACTIONS(4177),
    [anon_sym_GT_GT_GT] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4188),
    [anon_sym_BANG_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_DOT] = ACTIONS(4177),
    [anon_sym_scoped] = ACTIONS(4177),
    [anon_sym_var] = ACTIONS(4177),
    [anon_sym_yield] = ACTIONS(4177),
    [anon_sym_switch] = ACTIONS(4177),
    [anon_sym_when] = ACTIONS(4177),
    [sym_discard] = ACTIONS(4177),
    [anon_sym_DOT_DOT] = ACTIONS(4188),
    [anon_sym_and] = ACTIONS(4177),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4188),
    [anon_sym_QMARK_QMARK] = ACTIONS(4188),
    [anon_sym_from] = ACTIONS(4177),
    [anon_sym_into] = ACTIONS(4177),
    [anon_sym_join] = ACTIONS(4177),
    [anon_sym_on] = ACTIONS(4177),
    [anon_sym_equals] = ACTIONS(4177),
    [anon_sym_let] = ACTIONS(4177),
    [anon_sym_orderby] = ACTIONS(4177),
    [anon_sym_ascending] = ACTIONS(4177),
    [anon_sym_descending] = ACTIONS(4177),
    [anon_sym_group] = ACTIONS(4177),
    [anon_sym_by] = ACTIONS(4177),
    [anon_sym_select] = ACTIONS(4177),
    [anon_sym_as] = ACTIONS(4177),
    [anon_sym_is] = ACTIONS(4177),
    [anon_sym_DASH_GT] = ACTIONS(4188),
    [anon_sym_with] = ACTIONS(4177),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4188),
  },
  [3252] = {
    [sym_preproc_region] = STATE(3252),
    [sym_preproc_endregion] = STATE(3252),
    [sym_preproc_line] = STATE(3252),
    [sym_preproc_pragma] = STATE(3252),
    [sym_preproc_nullable] = STATE(3252),
    [sym_preproc_error] = STATE(3252),
    [sym_preproc_define] = STATE(3252),
    [sym_preproc_undef] = STATE(3252),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3253] = {
    [sym_preproc_region] = STATE(3253),
    [sym_preproc_endregion] = STATE(3253),
    [sym_preproc_line] = STATE(3253),
    [sym_preproc_pragma] = STATE(3253),
    [sym_preproc_nullable] = STATE(3253),
    [sym_preproc_error] = STATE(3253),
    [sym_preproc_define] = STATE(3253),
    [sym_preproc_undef] = STATE(3253),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3254] = {
    [sym_preproc_region] = STATE(3254),
    [sym_preproc_endregion] = STATE(3254),
    [sym_preproc_line] = STATE(3254),
    [sym_preproc_pragma] = STATE(3254),
    [sym_preproc_nullable] = STATE(3254),
    [sym_preproc_error] = STATE(3254),
    [sym_preproc_define] = STATE(3254),
    [sym_preproc_undef] = STATE(3254),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3255] = {
    [sym_preproc_region] = STATE(3255),
    [sym_preproc_endregion] = STATE(3255),
    [sym_preproc_line] = STATE(3255),
    [sym_preproc_pragma] = STATE(3255),
    [sym_preproc_nullable] = STATE(3255),
    [sym_preproc_error] = STATE(3255),
    [sym_preproc_define] = STATE(3255),
    [sym_preproc_undef] = STATE(3255),
    [sym__identifier_token] = ACTIONS(4851),
    [anon_sym_extern] = ACTIONS(4851),
    [anon_sym_alias] = ACTIONS(4851),
    [anon_sym_global] = ACTIONS(4851),
    [anon_sym_using] = ACTIONS(4851),
    [anon_sym_unsafe] = ACTIONS(4851),
    [anon_sym_static] = ACTIONS(4851),
    [anon_sym_LBRACK] = ACTIONS(4853),
    [anon_sym_LPAREN] = ACTIONS(4853),
    [anon_sym_event] = ACTIONS(4851),
    [anon_sym_namespace] = ACTIONS(4851),
    [anon_sym_class] = ACTIONS(4851),
    [anon_sym_ref] = ACTIONS(4851),
    [anon_sym_struct] = ACTIONS(4851),
    [anon_sym_enum] = ACTIONS(4851),
    [anon_sym_RBRACE] = ACTIONS(4853),
    [anon_sym_interface] = ACTIONS(4851),
    [anon_sym_delegate] = ACTIONS(4851),
    [anon_sym_record] = ACTIONS(4851),
    [anon_sym_abstract] = ACTIONS(4851),
    [anon_sym_async] = ACTIONS(4851),
    [anon_sym_const] = ACTIONS(4851),
    [anon_sym_file] = ACTIONS(4851),
    [anon_sym_fixed] = ACTIONS(4851),
    [anon_sym_internal] = ACTIONS(4851),
    [anon_sym_new] = ACTIONS(4851),
    [anon_sym_override] = ACTIONS(4851),
    [anon_sym_partial] = ACTIONS(4851),
    [anon_sym_private] = ACTIONS(4851),
    [anon_sym_protected] = ACTIONS(4851),
    [anon_sym_public] = ACTIONS(4851),
    [anon_sym_readonly] = ACTIONS(4851),
    [anon_sym_required] = ACTIONS(4851),
    [anon_sym_sealed] = ACTIONS(4851),
    [anon_sym_virtual] = ACTIONS(4851),
    [anon_sym_volatile] = ACTIONS(4851),
    [anon_sym_where] = ACTIONS(4851),
    [anon_sym_notnull] = ACTIONS(4851),
    [anon_sym_unmanaged] = ACTIONS(4851),
    [anon_sym_TILDE] = ACTIONS(4853),
    [anon_sym_implicit] = ACTIONS(4851),
    [anon_sym_explicit] = ACTIONS(4851),
    [anon_sym_scoped] = ACTIONS(4851),
    [anon_sym_var] = ACTIONS(4851),
    [sym_predefined_type] = ACTIONS(4851),
    [anon_sym_yield] = ACTIONS(4851),
    [anon_sym_when] = ACTIONS(4851),
    [anon_sym_from] = ACTIONS(4851),
    [anon_sym_into] = ACTIONS(4851),
    [anon_sym_join] = ACTIONS(4851),
    [anon_sym_on] = ACTIONS(4851),
    [anon_sym_equals] = ACTIONS(4851),
    [anon_sym_let] = ACTIONS(4851),
    [anon_sym_orderby] = ACTIONS(4851),
    [anon_sym_ascending] = ACTIONS(4851),
    [anon_sym_descending] = ACTIONS(4851),
    [anon_sym_group] = ACTIONS(4851),
    [anon_sym_by] = ACTIONS(4851),
    [anon_sym_select] = ACTIONS(4851),
    [aux_sym_preproc_if_token1] = ACTIONS(4853),
    [aux_sym_preproc_if_token3] = ACTIONS(4853),
    [aux_sym_preproc_else_token1] = ACTIONS(4853),
    [aux_sym_preproc_elif_token1] = ACTIONS(4853),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3256] = {
    [sym_preproc_region] = STATE(3256),
    [sym_preproc_endregion] = STATE(3256),
    [sym_preproc_line] = STATE(3256),
    [sym_preproc_pragma] = STATE(3256),
    [sym_preproc_nullable] = STATE(3256),
    [sym_preproc_error] = STATE(3256),
    [sym_preproc_define] = STATE(3256),
    [sym_preproc_undef] = STATE(3256),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3257] = {
    [sym_preproc_region] = STATE(3257),
    [sym_preproc_endregion] = STATE(3257),
    [sym_preproc_line] = STATE(3257),
    [sym_preproc_pragma] = STATE(3257),
    [sym_preproc_nullable] = STATE(3257),
    [sym_preproc_error] = STATE(3257),
    [sym_preproc_define] = STATE(3257),
    [sym_preproc_undef] = STATE(3257),
    [anon_sym_SEMI] = ACTIONS(4690),
    [anon_sym_EQ] = ACTIONS(4692),
    [anon_sym_LBRACK] = ACTIONS(4690),
    [anon_sym_COLON] = ACTIONS(4690),
    [anon_sym_COMMA] = ACTIONS(4690),
    [anon_sym_RBRACK] = ACTIONS(4690),
    [anon_sym_LPAREN] = ACTIONS(4690),
    [anon_sym_RPAREN] = ACTIONS(4690),
    [anon_sym_RBRACE] = ACTIONS(4690),
    [anon_sym_LT] = ACTIONS(4692),
    [anon_sym_GT] = ACTIONS(4692),
    [anon_sym_in] = ACTIONS(4690),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_BANG] = ACTIONS(4692),
    [anon_sym_PLUS_PLUS] = ACTIONS(4690),
    [anon_sym_DASH_DASH] = ACTIONS(4690),
    [anon_sym_PLUS] = ACTIONS(4692),
    [anon_sym_DASH] = ACTIONS(4692),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_SLASH] = ACTIONS(4692),
    [anon_sym_PERCENT] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4692),
    [anon_sym_PIPE] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_LT_LT] = ACTIONS(4692),
    [anon_sym_GT_GT] = ACTIONS(4692),
    [anon_sym_GT_GT_GT] = ACTIONS(4692),
    [anon_sym_EQ_EQ] = ACTIONS(4690),
    [anon_sym_BANG_EQ] = ACTIONS(4690),
    [anon_sym_GT_EQ] = ACTIONS(4690),
    [anon_sym_LT_EQ] = ACTIONS(4690),
    [anon_sym_DOT] = ACTIONS(4692),
    [anon_sym_EQ_GT] = ACTIONS(4690),
    [anon_sym_switch] = ACTIONS(4690),
    [anon_sym_when] = ACTIONS(4690),
    [anon_sym_DOT_DOT] = ACTIONS(4690),
    [anon_sym_and] = ACTIONS(4690),
    [anon_sym_or] = ACTIONS(4690),
    [anon_sym_PLUS_EQ] = ACTIONS(4690),
    [anon_sym_DASH_EQ] = ACTIONS(4690),
    [anon_sym_STAR_EQ] = ACTIONS(4690),
    [anon_sym_SLASH_EQ] = ACTIONS(4690),
    [anon_sym_PERCENT_EQ] = ACTIONS(4690),
    [anon_sym_AMP_EQ] = ACTIONS(4690),
    [anon_sym_CARET_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_LT_LT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4690),
    [anon_sym_AMP_AMP] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK] = ACTIONS(4692),
    [anon_sym_on] = ACTIONS(4690),
    [anon_sym_equals] = ACTIONS(4690),
    [anon_sym_by] = ACTIONS(4690),
    [anon_sym_as] = ACTIONS(4690),
    [anon_sym_is] = ACTIONS(4690),
    [anon_sym_DASH_GT] = ACTIONS(4690),
    [anon_sym_with] = ACTIONS(4690),
    [aux_sym_preproc_if_token3] = ACTIONS(4690),
    [aux_sym_preproc_else_token1] = ACTIONS(4690),
    [aux_sym_preproc_elif_token1] = ACTIONS(4690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3258] = {
    [sym_preproc_region] = STATE(3258),
    [sym_preproc_endregion] = STATE(3258),
    [sym_preproc_line] = STATE(3258),
    [sym_preproc_pragma] = STATE(3258),
    [sym_preproc_nullable] = STATE(3258),
    [sym_preproc_error] = STATE(3258),
    [sym_preproc_define] = STATE(3258),
    [sym_preproc_undef] = STATE(3258),
    [sym__identifier_token] = ACTIONS(4559),
    [anon_sym_alias] = ACTIONS(4559),
    [anon_sym_global] = ACTIONS(4559),
    [anon_sym_LBRACK] = ACTIONS(4561),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_COMMA] = ACTIONS(4561),
    [anon_sym_LPAREN] = ACTIONS(4561),
    [anon_sym_LBRACE] = ACTIONS(4561),
    [anon_sym_file] = ACTIONS(4559),
    [anon_sym_LT] = ACTIONS(4559),
    [anon_sym_GT] = ACTIONS(4559),
    [anon_sym_where] = ACTIONS(4559),
    [anon_sym_QMARK] = ACTIONS(4559),
    [anon_sym_notnull] = ACTIONS(4559),
    [anon_sym_unmanaged] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(4559),
    [anon_sym_PLUS_PLUS] = ACTIONS(4561),
    [anon_sym_DASH_DASH] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_STAR] = ACTIONS(4561),
    [anon_sym_SLASH] = ACTIONS(4559),
    [anon_sym_PERCENT] = ACTIONS(4561),
    [anon_sym_CARET] = ACTIONS(4561),
    [anon_sym_PIPE] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym_LT_LT] = ACTIONS(4561),
    [anon_sym_GT_GT] = ACTIONS(4559),
    [anon_sym_GT_GT_GT] = ACTIONS(4561),
    [anon_sym_EQ_EQ] = ACTIONS(4561),
    [anon_sym_BANG_EQ] = ACTIONS(4561),
    [anon_sym_GT_EQ] = ACTIONS(4561),
    [anon_sym_LT_EQ] = ACTIONS(4561),
    [anon_sym_DOT] = ACTIONS(4559),
    [anon_sym_scoped] = ACTIONS(4559),
    [anon_sym_var] = ACTIONS(4559),
    [anon_sym_yield] = ACTIONS(4559),
    [anon_sym_switch] = ACTIONS(4559),
    [anon_sym_when] = ACTIONS(4559),
    [sym_discard] = ACTIONS(4559),
    [anon_sym_DOT_DOT] = ACTIONS(4561),
    [anon_sym_and] = ACTIONS(4559),
    [anon_sym_or] = ACTIONS(4559),
    [anon_sym_AMP_AMP] = ACTIONS(4561),
    [anon_sym_PIPE_PIPE] = ACTIONS(4561),
    [anon_sym_QMARK_QMARK] = ACTIONS(4561),
    [anon_sym_from] = ACTIONS(4559),
    [anon_sym_into] = ACTIONS(4559),
    [anon_sym_join] = ACTIONS(4559),
    [anon_sym_on] = ACTIONS(4559),
    [anon_sym_equals] = ACTIONS(4559),
    [anon_sym_let] = ACTIONS(4559),
    [anon_sym_orderby] = ACTIONS(4559),
    [anon_sym_ascending] = ACTIONS(4559),
    [anon_sym_descending] = ACTIONS(4559),
    [anon_sym_group] = ACTIONS(4559),
    [anon_sym_by] = ACTIONS(4559),
    [anon_sym_select] = ACTIONS(4559),
    [anon_sym_as] = ACTIONS(4559),
    [anon_sym_is] = ACTIONS(4559),
    [anon_sym_DASH_GT] = ACTIONS(4561),
    [anon_sym_with] = ACTIONS(4559),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4561),
  },
  [3259] = {
    [sym_preproc_region] = STATE(3259),
    [sym_preproc_endregion] = STATE(3259),
    [sym_preproc_line] = STATE(3259),
    [sym_preproc_pragma] = STATE(3259),
    [sym_preproc_nullable] = STATE(3259),
    [sym_preproc_error] = STATE(3259),
    [sym_preproc_define] = STATE(3259),
    [sym_preproc_undef] = STATE(3259),
    [sym__identifier_token] = ACTIONS(4857),
    [anon_sym_extern] = ACTIONS(4857),
    [anon_sym_alias] = ACTIONS(4857),
    [anon_sym_global] = ACTIONS(4857),
    [anon_sym_using] = ACTIONS(4857),
    [anon_sym_unsafe] = ACTIONS(4857),
    [anon_sym_static] = ACTIONS(4857),
    [anon_sym_LBRACK] = ACTIONS(4859),
    [anon_sym_LPAREN] = ACTIONS(4859),
    [anon_sym_event] = ACTIONS(4857),
    [anon_sym_namespace] = ACTIONS(4857),
    [anon_sym_class] = ACTIONS(4857),
    [anon_sym_ref] = ACTIONS(4857),
    [anon_sym_struct] = ACTIONS(4857),
    [anon_sym_enum] = ACTIONS(4857),
    [anon_sym_RBRACE] = ACTIONS(4859),
    [anon_sym_interface] = ACTIONS(4857),
    [anon_sym_delegate] = ACTIONS(4857),
    [anon_sym_record] = ACTIONS(4857),
    [anon_sym_abstract] = ACTIONS(4857),
    [anon_sym_async] = ACTIONS(4857),
    [anon_sym_const] = ACTIONS(4857),
    [anon_sym_file] = ACTIONS(4857),
    [anon_sym_fixed] = ACTIONS(4857),
    [anon_sym_internal] = ACTIONS(4857),
    [anon_sym_new] = ACTIONS(4857),
    [anon_sym_override] = ACTIONS(4857),
    [anon_sym_partial] = ACTIONS(4857),
    [anon_sym_private] = ACTIONS(4857),
    [anon_sym_protected] = ACTIONS(4857),
    [anon_sym_public] = ACTIONS(4857),
    [anon_sym_readonly] = ACTIONS(4857),
    [anon_sym_required] = ACTIONS(4857),
    [anon_sym_sealed] = ACTIONS(4857),
    [anon_sym_virtual] = ACTIONS(4857),
    [anon_sym_volatile] = ACTIONS(4857),
    [anon_sym_where] = ACTIONS(4857),
    [anon_sym_notnull] = ACTIONS(4857),
    [anon_sym_unmanaged] = ACTIONS(4857),
    [anon_sym_TILDE] = ACTIONS(4859),
    [anon_sym_implicit] = ACTIONS(4857),
    [anon_sym_explicit] = ACTIONS(4857),
    [anon_sym_scoped] = ACTIONS(4857),
    [anon_sym_var] = ACTIONS(4857),
    [sym_predefined_type] = ACTIONS(4857),
    [anon_sym_yield] = ACTIONS(4857),
    [anon_sym_when] = ACTIONS(4857),
    [anon_sym_from] = ACTIONS(4857),
    [anon_sym_into] = ACTIONS(4857),
    [anon_sym_join] = ACTIONS(4857),
    [anon_sym_on] = ACTIONS(4857),
    [anon_sym_equals] = ACTIONS(4857),
    [anon_sym_let] = ACTIONS(4857),
    [anon_sym_orderby] = ACTIONS(4857),
    [anon_sym_ascending] = ACTIONS(4857),
    [anon_sym_descending] = ACTIONS(4857),
    [anon_sym_group] = ACTIONS(4857),
    [anon_sym_by] = ACTIONS(4857),
    [anon_sym_select] = ACTIONS(4857),
    [aux_sym_preproc_if_token1] = ACTIONS(4859),
    [aux_sym_preproc_if_token3] = ACTIONS(4859),
    [aux_sym_preproc_else_token1] = ACTIONS(4859),
    [aux_sym_preproc_elif_token1] = ACTIONS(4859),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3260] = {
    [sym_preproc_region] = STATE(3260),
    [sym_preproc_endregion] = STATE(3260),
    [sym_preproc_line] = STATE(3260),
    [sym_preproc_pragma] = STATE(3260),
    [sym_preproc_nullable] = STATE(3260),
    [sym_preproc_error] = STATE(3260),
    [sym_preproc_define] = STATE(3260),
    [sym_preproc_undef] = STATE(3260),
    [sym__identifier_token] = ACTIONS(4861),
    [anon_sym_extern] = ACTIONS(4861),
    [anon_sym_alias] = ACTIONS(4861),
    [anon_sym_global] = ACTIONS(4861),
    [anon_sym_using] = ACTIONS(4861),
    [anon_sym_unsafe] = ACTIONS(4861),
    [anon_sym_static] = ACTIONS(4861),
    [anon_sym_LBRACK] = ACTIONS(4863),
    [anon_sym_LPAREN] = ACTIONS(4863),
    [anon_sym_event] = ACTIONS(4861),
    [anon_sym_namespace] = ACTIONS(4861),
    [anon_sym_class] = ACTIONS(4861),
    [anon_sym_ref] = ACTIONS(4861),
    [anon_sym_struct] = ACTIONS(4861),
    [anon_sym_enum] = ACTIONS(4861),
    [anon_sym_RBRACE] = ACTIONS(4863),
    [anon_sym_interface] = ACTIONS(4861),
    [anon_sym_delegate] = ACTIONS(4861),
    [anon_sym_record] = ACTIONS(4861),
    [anon_sym_abstract] = ACTIONS(4861),
    [anon_sym_async] = ACTIONS(4861),
    [anon_sym_const] = ACTIONS(4861),
    [anon_sym_file] = ACTIONS(4861),
    [anon_sym_fixed] = ACTIONS(4861),
    [anon_sym_internal] = ACTIONS(4861),
    [anon_sym_new] = ACTIONS(4861),
    [anon_sym_override] = ACTIONS(4861),
    [anon_sym_partial] = ACTIONS(4861),
    [anon_sym_private] = ACTIONS(4861),
    [anon_sym_protected] = ACTIONS(4861),
    [anon_sym_public] = ACTIONS(4861),
    [anon_sym_readonly] = ACTIONS(4861),
    [anon_sym_required] = ACTIONS(4861),
    [anon_sym_sealed] = ACTIONS(4861),
    [anon_sym_virtual] = ACTIONS(4861),
    [anon_sym_volatile] = ACTIONS(4861),
    [anon_sym_where] = ACTIONS(4861),
    [anon_sym_notnull] = ACTIONS(4861),
    [anon_sym_unmanaged] = ACTIONS(4861),
    [anon_sym_TILDE] = ACTIONS(4863),
    [anon_sym_implicit] = ACTIONS(4861),
    [anon_sym_explicit] = ACTIONS(4861),
    [anon_sym_scoped] = ACTIONS(4861),
    [anon_sym_var] = ACTIONS(4861),
    [sym_predefined_type] = ACTIONS(4861),
    [anon_sym_yield] = ACTIONS(4861),
    [anon_sym_when] = ACTIONS(4861),
    [anon_sym_from] = ACTIONS(4861),
    [anon_sym_into] = ACTIONS(4861),
    [anon_sym_join] = ACTIONS(4861),
    [anon_sym_on] = ACTIONS(4861),
    [anon_sym_equals] = ACTIONS(4861),
    [anon_sym_let] = ACTIONS(4861),
    [anon_sym_orderby] = ACTIONS(4861),
    [anon_sym_ascending] = ACTIONS(4861),
    [anon_sym_descending] = ACTIONS(4861),
    [anon_sym_group] = ACTIONS(4861),
    [anon_sym_by] = ACTIONS(4861),
    [anon_sym_select] = ACTIONS(4861),
    [aux_sym_preproc_if_token1] = ACTIONS(4863),
    [aux_sym_preproc_if_token3] = ACTIONS(4863),
    [aux_sym_preproc_else_token1] = ACTIONS(4863),
    [aux_sym_preproc_elif_token1] = ACTIONS(4863),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3261] = {
    [sym_preproc_region] = STATE(3261),
    [sym_preproc_endregion] = STATE(3261),
    [sym_preproc_line] = STATE(3261),
    [sym_preproc_pragma] = STATE(3261),
    [sym_preproc_nullable] = STATE(3261),
    [sym_preproc_error] = STATE(3261),
    [sym_preproc_define] = STATE(3261),
    [sym_preproc_undef] = STATE(3261),
    [sym__identifier_token] = ACTIONS(4865),
    [anon_sym_extern] = ACTIONS(4865),
    [anon_sym_alias] = ACTIONS(4865),
    [anon_sym_global] = ACTIONS(4865),
    [anon_sym_using] = ACTIONS(4865),
    [anon_sym_unsafe] = ACTIONS(4865),
    [anon_sym_static] = ACTIONS(4865),
    [anon_sym_LBRACK] = ACTIONS(4867),
    [anon_sym_LPAREN] = ACTIONS(4867),
    [anon_sym_event] = ACTIONS(4865),
    [anon_sym_namespace] = ACTIONS(4865),
    [anon_sym_class] = ACTIONS(4865),
    [anon_sym_ref] = ACTIONS(4865),
    [anon_sym_struct] = ACTIONS(4865),
    [anon_sym_enum] = ACTIONS(4865),
    [anon_sym_RBRACE] = ACTIONS(4867),
    [anon_sym_interface] = ACTIONS(4865),
    [anon_sym_delegate] = ACTIONS(4865),
    [anon_sym_record] = ACTIONS(4865),
    [anon_sym_abstract] = ACTIONS(4865),
    [anon_sym_async] = ACTIONS(4865),
    [anon_sym_const] = ACTIONS(4865),
    [anon_sym_file] = ACTIONS(4865),
    [anon_sym_fixed] = ACTIONS(4865),
    [anon_sym_internal] = ACTIONS(4865),
    [anon_sym_new] = ACTIONS(4865),
    [anon_sym_override] = ACTIONS(4865),
    [anon_sym_partial] = ACTIONS(4865),
    [anon_sym_private] = ACTIONS(4865),
    [anon_sym_protected] = ACTIONS(4865),
    [anon_sym_public] = ACTIONS(4865),
    [anon_sym_readonly] = ACTIONS(4865),
    [anon_sym_required] = ACTIONS(4865),
    [anon_sym_sealed] = ACTIONS(4865),
    [anon_sym_virtual] = ACTIONS(4865),
    [anon_sym_volatile] = ACTIONS(4865),
    [anon_sym_where] = ACTIONS(4865),
    [anon_sym_notnull] = ACTIONS(4865),
    [anon_sym_unmanaged] = ACTIONS(4865),
    [anon_sym_TILDE] = ACTIONS(4867),
    [anon_sym_implicit] = ACTIONS(4865),
    [anon_sym_explicit] = ACTIONS(4865),
    [anon_sym_scoped] = ACTIONS(4865),
    [anon_sym_var] = ACTIONS(4865),
    [sym_predefined_type] = ACTIONS(4865),
    [anon_sym_yield] = ACTIONS(4865),
    [anon_sym_when] = ACTIONS(4865),
    [anon_sym_from] = ACTIONS(4865),
    [anon_sym_into] = ACTIONS(4865),
    [anon_sym_join] = ACTIONS(4865),
    [anon_sym_on] = ACTIONS(4865),
    [anon_sym_equals] = ACTIONS(4865),
    [anon_sym_let] = ACTIONS(4865),
    [anon_sym_orderby] = ACTIONS(4865),
    [anon_sym_ascending] = ACTIONS(4865),
    [anon_sym_descending] = ACTIONS(4865),
    [anon_sym_group] = ACTIONS(4865),
    [anon_sym_by] = ACTIONS(4865),
    [anon_sym_select] = ACTIONS(4865),
    [aux_sym_preproc_if_token1] = ACTIONS(4867),
    [aux_sym_preproc_if_token3] = ACTIONS(4867),
    [aux_sym_preproc_else_token1] = ACTIONS(4867),
    [aux_sym_preproc_elif_token1] = ACTIONS(4867),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3262] = {
    [sym_preproc_region] = STATE(3262),
    [sym_preproc_endregion] = STATE(3262),
    [sym_preproc_line] = STATE(3262),
    [sym_preproc_pragma] = STATE(3262),
    [sym_preproc_nullable] = STATE(3262),
    [sym_preproc_error] = STATE(3262),
    [sym_preproc_define] = STATE(3262),
    [sym_preproc_undef] = STATE(3262),
    [sym__identifier_token] = ACTIONS(4869),
    [anon_sym_extern] = ACTIONS(4869),
    [anon_sym_alias] = ACTIONS(4869),
    [anon_sym_global] = ACTIONS(4869),
    [anon_sym_using] = ACTIONS(4869),
    [anon_sym_unsafe] = ACTIONS(4869),
    [anon_sym_static] = ACTIONS(4869),
    [anon_sym_LBRACK] = ACTIONS(4871),
    [anon_sym_LPAREN] = ACTIONS(4871),
    [anon_sym_event] = ACTIONS(4869),
    [anon_sym_namespace] = ACTIONS(4869),
    [anon_sym_class] = ACTIONS(4869),
    [anon_sym_ref] = ACTIONS(4869),
    [anon_sym_struct] = ACTIONS(4869),
    [anon_sym_enum] = ACTIONS(4869),
    [anon_sym_RBRACE] = ACTIONS(4871),
    [anon_sym_interface] = ACTIONS(4869),
    [anon_sym_delegate] = ACTIONS(4869),
    [anon_sym_record] = ACTIONS(4869),
    [anon_sym_abstract] = ACTIONS(4869),
    [anon_sym_async] = ACTIONS(4869),
    [anon_sym_const] = ACTIONS(4869),
    [anon_sym_file] = ACTIONS(4869),
    [anon_sym_fixed] = ACTIONS(4869),
    [anon_sym_internal] = ACTIONS(4869),
    [anon_sym_new] = ACTIONS(4869),
    [anon_sym_override] = ACTIONS(4869),
    [anon_sym_partial] = ACTIONS(4869),
    [anon_sym_private] = ACTIONS(4869),
    [anon_sym_protected] = ACTIONS(4869),
    [anon_sym_public] = ACTIONS(4869),
    [anon_sym_readonly] = ACTIONS(4869),
    [anon_sym_required] = ACTIONS(4869),
    [anon_sym_sealed] = ACTIONS(4869),
    [anon_sym_virtual] = ACTIONS(4869),
    [anon_sym_volatile] = ACTIONS(4869),
    [anon_sym_where] = ACTIONS(4869),
    [anon_sym_notnull] = ACTIONS(4869),
    [anon_sym_unmanaged] = ACTIONS(4869),
    [anon_sym_TILDE] = ACTIONS(4871),
    [anon_sym_implicit] = ACTIONS(4869),
    [anon_sym_explicit] = ACTIONS(4869),
    [anon_sym_scoped] = ACTIONS(4869),
    [anon_sym_var] = ACTIONS(4869),
    [sym_predefined_type] = ACTIONS(4869),
    [anon_sym_yield] = ACTIONS(4869),
    [anon_sym_when] = ACTIONS(4869),
    [anon_sym_from] = ACTIONS(4869),
    [anon_sym_into] = ACTIONS(4869),
    [anon_sym_join] = ACTIONS(4869),
    [anon_sym_on] = ACTIONS(4869),
    [anon_sym_equals] = ACTIONS(4869),
    [anon_sym_let] = ACTIONS(4869),
    [anon_sym_orderby] = ACTIONS(4869),
    [anon_sym_ascending] = ACTIONS(4869),
    [anon_sym_descending] = ACTIONS(4869),
    [anon_sym_group] = ACTIONS(4869),
    [anon_sym_by] = ACTIONS(4869),
    [anon_sym_select] = ACTIONS(4869),
    [aux_sym_preproc_if_token1] = ACTIONS(4871),
    [aux_sym_preproc_if_token3] = ACTIONS(4871),
    [aux_sym_preproc_else_token1] = ACTIONS(4871),
    [aux_sym_preproc_elif_token1] = ACTIONS(4871),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3263] = {
    [sym_preproc_region] = STATE(3263),
    [sym_preproc_endregion] = STATE(3263),
    [sym_preproc_line] = STATE(3263),
    [sym_preproc_pragma] = STATE(3263),
    [sym_preproc_nullable] = STATE(3263),
    [sym_preproc_error] = STATE(3263),
    [sym_preproc_define] = STATE(3263),
    [sym_preproc_undef] = STATE(3263),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym_EQ] = ACTIONS(4666),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_COLON] = ACTIONS(4664),
    [anon_sym_COMMA] = ACTIONS(4664),
    [anon_sym_RBRACK] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(4664),
    [anon_sym_RPAREN] = ACTIONS(4664),
    [anon_sym_RBRACE] = ACTIONS(4664),
    [anon_sym_LT] = ACTIONS(4666),
    [anon_sym_GT] = ACTIONS(4666),
    [anon_sym_in] = ACTIONS(4664),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_BANG] = ACTIONS(4666),
    [anon_sym_PLUS_PLUS] = ACTIONS(4664),
    [anon_sym_DASH_DASH] = ACTIONS(4664),
    [anon_sym_PLUS] = ACTIONS(4666),
    [anon_sym_DASH] = ACTIONS(4666),
    [anon_sym_STAR] = ACTIONS(4666),
    [anon_sym_SLASH] = ACTIONS(4666),
    [anon_sym_PERCENT] = ACTIONS(4666),
    [anon_sym_CARET] = ACTIONS(4666),
    [anon_sym_PIPE] = ACTIONS(4666),
    [anon_sym_AMP] = ACTIONS(4666),
    [anon_sym_LT_LT] = ACTIONS(4666),
    [anon_sym_GT_GT] = ACTIONS(4666),
    [anon_sym_GT_GT_GT] = ACTIONS(4666),
    [anon_sym_EQ_EQ] = ACTIONS(4664),
    [anon_sym_BANG_EQ] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4664),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_DOT] = ACTIONS(4666),
    [anon_sym_EQ_GT] = ACTIONS(4664),
    [anon_sym_switch] = ACTIONS(4664),
    [anon_sym_when] = ACTIONS(4664),
    [anon_sym_DOT_DOT] = ACTIONS(4664),
    [anon_sym_and] = ACTIONS(4664),
    [anon_sym_or] = ACTIONS(4664),
    [anon_sym_PLUS_EQ] = ACTIONS(4664),
    [anon_sym_DASH_EQ] = ACTIONS(4664),
    [anon_sym_STAR_EQ] = ACTIONS(4664),
    [anon_sym_SLASH_EQ] = ACTIONS(4664),
    [anon_sym_PERCENT_EQ] = ACTIONS(4664),
    [anon_sym_AMP_EQ] = ACTIONS(4664),
    [anon_sym_CARET_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_LT_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4664),
    [anon_sym_AMP_AMP] = ACTIONS(4664),
    [anon_sym_PIPE_PIPE] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK] = ACTIONS(4666),
    [anon_sym_on] = ACTIONS(4664),
    [anon_sym_equals] = ACTIONS(4664),
    [anon_sym_by] = ACTIONS(4664),
    [anon_sym_as] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4664),
    [anon_sym_DASH_GT] = ACTIONS(4664),
    [anon_sym_with] = ACTIONS(4664),
    [aux_sym_preproc_if_token3] = ACTIONS(4664),
    [aux_sym_preproc_else_token1] = ACTIONS(4664),
    [aux_sym_preproc_elif_token1] = ACTIONS(4664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3264] = {
    [sym_preproc_region] = STATE(3264),
    [sym_preproc_endregion] = STATE(3264),
    [sym_preproc_line] = STATE(3264),
    [sym_preproc_pragma] = STATE(3264),
    [sym_preproc_nullable] = STATE(3264),
    [sym_preproc_error] = STATE(3264),
    [sym_preproc_define] = STATE(3264),
    [sym_preproc_undef] = STATE(3264),
    [sym__identifier_token] = ACTIONS(4873),
    [anon_sym_extern] = ACTIONS(4873),
    [anon_sym_alias] = ACTIONS(4873),
    [anon_sym_global] = ACTIONS(4873),
    [anon_sym_using] = ACTIONS(4873),
    [anon_sym_unsafe] = ACTIONS(4873),
    [anon_sym_static] = ACTIONS(4873),
    [anon_sym_LBRACK] = ACTIONS(4875),
    [anon_sym_LPAREN] = ACTIONS(4875),
    [anon_sym_event] = ACTIONS(4873),
    [anon_sym_namespace] = ACTIONS(4873),
    [anon_sym_class] = ACTIONS(4873),
    [anon_sym_ref] = ACTIONS(4873),
    [anon_sym_struct] = ACTIONS(4873),
    [anon_sym_enum] = ACTIONS(4873),
    [anon_sym_RBRACE] = ACTIONS(4875),
    [anon_sym_interface] = ACTIONS(4873),
    [anon_sym_delegate] = ACTIONS(4873),
    [anon_sym_record] = ACTIONS(4873),
    [anon_sym_abstract] = ACTIONS(4873),
    [anon_sym_async] = ACTIONS(4873),
    [anon_sym_const] = ACTIONS(4873),
    [anon_sym_file] = ACTIONS(4873),
    [anon_sym_fixed] = ACTIONS(4873),
    [anon_sym_internal] = ACTIONS(4873),
    [anon_sym_new] = ACTIONS(4873),
    [anon_sym_override] = ACTIONS(4873),
    [anon_sym_partial] = ACTIONS(4873),
    [anon_sym_private] = ACTIONS(4873),
    [anon_sym_protected] = ACTIONS(4873),
    [anon_sym_public] = ACTIONS(4873),
    [anon_sym_readonly] = ACTIONS(4873),
    [anon_sym_required] = ACTIONS(4873),
    [anon_sym_sealed] = ACTIONS(4873),
    [anon_sym_virtual] = ACTIONS(4873),
    [anon_sym_volatile] = ACTIONS(4873),
    [anon_sym_where] = ACTIONS(4873),
    [anon_sym_notnull] = ACTIONS(4873),
    [anon_sym_unmanaged] = ACTIONS(4873),
    [anon_sym_TILDE] = ACTIONS(4875),
    [anon_sym_implicit] = ACTIONS(4873),
    [anon_sym_explicit] = ACTIONS(4873),
    [anon_sym_scoped] = ACTIONS(4873),
    [anon_sym_var] = ACTIONS(4873),
    [sym_predefined_type] = ACTIONS(4873),
    [anon_sym_yield] = ACTIONS(4873),
    [anon_sym_when] = ACTIONS(4873),
    [anon_sym_from] = ACTIONS(4873),
    [anon_sym_into] = ACTIONS(4873),
    [anon_sym_join] = ACTIONS(4873),
    [anon_sym_on] = ACTIONS(4873),
    [anon_sym_equals] = ACTIONS(4873),
    [anon_sym_let] = ACTIONS(4873),
    [anon_sym_orderby] = ACTIONS(4873),
    [anon_sym_ascending] = ACTIONS(4873),
    [anon_sym_descending] = ACTIONS(4873),
    [anon_sym_group] = ACTIONS(4873),
    [anon_sym_by] = ACTIONS(4873),
    [anon_sym_select] = ACTIONS(4873),
    [aux_sym_preproc_if_token1] = ACTIONS(4875),
    [aux_sym_preproc_if_token3] = ACTIONS(4875),
    [aux_sym_preproc_else_token1] = ACTIONS(4875),
    [aux_sym_preproc_elif_token1] = ACTIONS(4875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3265] = {
    [sym_preproc_region] = STATE(3265),
    [sym_preproc_endregion] = STATE(3265),
    [sym_preproc_line] = STATE(3265),
    [sym_preproc_pragma] = STATE(3265),
    [sym_preproc_nullable] = STATE(3265),
    [sym_preproc_error] = STATE(3265),
    [sym_preproc_define] = STATE(3265),
    [sym_preproc_undef] = STATE(3265),
    [anon_sym_SEMI] = ACTIONS(4686),
    [anon_sym_EQ] = ACTIONS(4688),
    [anon_sym_LBRACK] = ACTIONS(4686),
    [anon_sym_COLON] = ACTIONS(4686),
    [anon_sym_COMMA] = ACTIONS(4686),
    [anon_sym_RBRACK] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4686),
    [anon_sym_RPAREN] = ACTIONS(4686),
    [anon_sym_RBRACE] = ACTIONS(4686),
    [anon_sym_LT] = ACTIONS(4688),
    [anon_sym_GT] = ACTIONS(4688),
    [anon_sym_in] = ACTIONS(4686),
    [anon_sym_QMARK] = ACTIONS(4688),
    [anon_sym_BANG] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4686),
    [anon_sym_DASH_DASH] = ACTIONS(4686),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_DASH] = ACTIONS(4688),
    [anon_sym_STAR] = ACTIONS(4688),
    [anon_sym_SLASH] = ACTIONS(4688),
    [anon_sym_PERCENT] = ACTIONS(4688),
    [anon_sym_CARET] = ACTIONS(4688),
    [anon_sym_PIPE] = ACTIONS(4688),
    [anon_sym_AMP] = ACTIONS(4688),
    [anon_sym_LT_LT] = ACTIONS(4688),
    [anon_sym_GT_GT] = ACTIONS(4688),
    [anon_sym_GT_GT_GT] = ACTIONS(4688),
    [anon_sym_EQ_EQ] = ACTIONS(4686),
    [anon_sym_BANG_EQ] = ACTIONS(4686),
    [anon_sym_GT_EQ] = ACTIONS(4686),
    [anon_sym_LT_EQ] = ACTIONS(4686),
    [anon_sym_DOT] = ACTIONS(4688),
    [anon_sym_EQ_GT] = ACTIONS(4686),
    [anon_sym_switch] = ACTIONS(4686),
    [anon_sym_when] = ACTIONS(4686),
    [anon_sym_DOT_DOT] = ACTIONS(4686),
    [anon_sym_and] = ACTIONS(4686),
    [anon_sym_or] = ACTIONS(4686),
    [anon_sym_PLUS_EQ] = ACTIONS(4686),
    [anon_sym_DASH_EQ] = ACTIONS(4686),
    [anon_sym_STAR_EQ] = ACTIONS(4686),
    [anon_sym_SLASH_EQ] = ACTIONS(4686),
    [anon_sym_PERCENT_EQ] = ACTIONS(4686),
    [anon_sym_AMP_EQ] = ACTIONS(4686),
    [anon_sym_CARET_EQ] = ACTIONS(4686),
    [anon_sym_PIPE_EQ] = ACTIONS(4686),
    [anon_sym_LT_LT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4686),
    [anon_sym_AMP_AMP] = ACTIONS(4686),
    [anon_sym_PIPE_PIPE] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK] = ACTIONS(4688),
    [anon_sym_on] = ACTIONS(4686),
    [anon_sym_equals] = ACTIONS(4686),
    [anon_sym_by] = ACTIONS(4686),
    [anon_sym_as] = ACTIONS(4686),
    [anon_sym_is] = ACTIONS(4686),
    [anon_sym_DASH_GT] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [aux_sym_preproc_if_token3] = ACTIONS(4686),
    [aux_sym_preproc_else_token1] = ACTIONS(4686),
    [aux_sym_preproc_elif_token1] = ACTIONS(4686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3266] = {
    [sym_preproc_region] = STATE(3266),
    [sym_preproc_endregion] = STATE(3266),
    [sym_preproc_line] = STATE(3266),
    [sym_preproc_pragma] = STATE(3266),
    [sym_preproc_nullable] = STATE(3266),
    [sym_preproc_error] = STATE(3266),
    [sym_preproc_define] = STATE(3266),
    [sym_preproc_undef] = STATE(3266),
    [anon_sym_SEMI] = ACTIONS(4696),
    [anon_sym_EQ] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4696),
    [anon_sym_COMMA] = ACTIONS(4696),
    [anon_sym_RBRACK] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4696),
    [anon_sym_RPAREN] = ACTIONS(4696),
    [anon_sym_RBRACE] = ACTIONS(4696),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_GT] = ACTIONS(4698),
    [anon_sym_in] = ACTIONS(4696),
    [anon_sym_QMARK] = ACTIONS(4698),
    [anon_sym_BANG] = ACTIONS(4698),
    [anon_sym_PLUS_PLUS] = ACTIONS(4696),
    [anon_sym_DASH_DASH] = ACTIONS(4696),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_DASH] = ACTIONS(4698),
    [anon_sym_STAR] = ACTIONS(4698),
    [anon_sym_SLASH] = ACTIONS(4698),
    [anon_sym_PERCENT] = ACTIONS(4698),
    [anon_sym_CARET] = ACTIONS(4698),
    [anon_sym_PIPE] = ACTIONS(4698),
    [anon_sym_AMP] = ACTIONS(4698),
    [anon_sym_LT_LT] = ACTIONS(4698),
    [anon_sym_GT_GT] = ACTIONS(4698),
    [anon_sym_GT_GT_GT] = ACTIONS(4698),
    [anon_sym_EQ_EQ] = ACTIONS(4696),
    [anon_sym_BANG_EQ] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4696),
    [anon_sym_LT_EQ] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(4698),
    [anon_sym_EQ_GT] = ACTIONS(4696),
    [anon_sym_switch] = ACTIONS(4696),
    [anon_sym_when] = ACTIONS(4696),
    [anon_sym_DOT_DOT] = ACTIONS(4696),
    [anon_sym_and] = ACTIONS(4696),
    [anon_sym_or] = ACTIONS(4696),
    [anon_sym_PLUS_EQ] = ACTIONS(4696),
    [anon_sym_DASH_EQ] = ACTIONS(4696),
    [anon_sym_STAR_EQ] = ACTIONS(4696),
    [anon_sym_SLASH_EQ] = ACTIONS(4696),
    [anon_sym_PERCENT_EQ] = ACTIONS(4696),
    [anon_sym_AMP_EQ] = ACTIONS(4696),
    [anon_sym_CARET_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_LT_LT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4696),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK] = ACTIONS(4698),
    [anon_sym_on] = ACTIONS(4696),
    [anon_sym_equals] = ACTIONS(4696),
    [anon_sym_by] = ACTIONS(4696),
    [anon_sym_as] = ACTIONS(4696),
    [anon_sym_is] = ACTIONS(4696),
    [anon_sym_DASH_GT] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [aux_sym_preproc_if_token3] = ACTIONS(4696),
    [aux_sym_preproc_else_token1] = ACTIONS(4696),
    [aux_sym_preproc_elif_token1] = ACTIONS(4696),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3267] = {
    [sym_preproc_region] = STATE(3267),
    [sym_preproc_endregion] = STATE(3267),
    [sym_preproc_line] = STATE(3267),
    [sym_preproc_pragma] = STATE(3267),
    [sym_preproc_nullable] = STATE(3267),
    [sym_preproc_error] = STATE(3267),
    [sym_preproc_define] = STATE(3267),
    [sym_preproc_undef] = STATE(3267),
    [sym__identifier_token] = ACTIONS(4600),
    [anon_sym_alias] = ACTIONS(4600),
    [anon_sym_global] = ACTIONS(4600),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_COLON] = ACTIONS(4602),
    [anon_sym_COMMA] = ACTIONS(4602),
    [anon_sym_LPAREN] = ACTIONS(4602),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_file] = ACTIONS(4600),
    [anon_sym_LT] = ACTIONS(4600),
    [anon_sym_GT] = ACTIONS(4600),
    [anon_sym_where] = ACTIONS(4600),
    [anon_sym_QMARK] = ACTIONS(4600),
    [anon_sym_notnull] = ACTIONS(4600),
    [anon_sym_unmanaged] = ACTIONS(4600),
    [anon_sym_BANG] = ACTIONS(4600),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS] = ACTIONS(4600),
    [anon_sym_DASH] = ACTIONS(4600),
    [anon_sym_STAR] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4600),
    [anon_sym_PERCENT] = ACTIONS(4602),
    [anon_sym_CARET] = ACTIONS(4602),
    [anon_sym_PIPE] = ACTIONS(4600),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym_LT_LT] = ACTIONS(4602),
    [anon_sym_GT_GT] = ACTIONS(4600),
    [anon_sym_GT_GT_GT] = ACTIONS(4602),
    [anon_sym_EQ_EQ] = ACTIONS(4602),
    [anon_sym_BANG_EQ] = ACTIONS(4602),
    [anon_sym_GT_EQ] = ACTIONS(4602),
    [anon_sym_LT_EQ] = ACTIONS(4602),
    [anon_sym_DOT] = ACTIONS(4600),
    [anon_sym_scoped] = ACTIONS(4600),
    [anon_sym_var] = ACTIONS(4600),
    [anon_sym_yield] = ACTIONS(4600),
    [anon_sym_switch] = ACTIONS(4600),
    [anon_sym_when] = ACTIONS(4600),
    [sym_discard] = ACTIONS(4600),
    [anon_sym_DOT_DOT] = ACTIONS(4602),
    [anon_sym_and] = ACTIONS(4600),
    [anon_sym_or] = ACTIONS(4600),
    [anon_sym_AMP_AMP] = ACTIONS(4602),
    [anon_sym_PIPE_PIPE] = ACTIONS(4602),
    [anon_sym_QMARK_QMARK] = ACTIONS(4602),
    [anon_sym_from] = ACTIONS(4600),
    [anon_sym_into] = ACTIONS(4600),
    [anon_sym_join] = ACTIONS(4600),
    [anon_sym_on] = ACTIONS(4600),
    [anon_sym_equals] = ACTIONS(4600),
    [anon_sym_let] = ACTIONS(4600),
    [anon_sym_orderby] = ACTIONS(4600),
    [anon_sym_ascending] = ACTIONS(4600),
    [anon_sym_descending] = ACTIONS(4600),
    [anon_sym_group] = ACTIONS(4600),
    [anon_sym_by] = ACTIONS(4600),
    [anon_sym_select] = ACTIONS(4600),
    [anon_sym_as] = ACTIONS(4600),
    [anon_sym_is] = ACTIONS(4600),
    [anon_sym_DASH_GT] = ACTIONS(4602),
    [anon_sym_with] = ACTIONS(4600),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4602),
  },
  [3268] = {
    [sym_preproc_region] = STATE(3268),
    [sym_preproc_endregion] = STATE(3268),
    [sym_preproc_line] = STATE(3268),
    [sym_preproc_pragma] = STATE(3268),
    [sym_preproc_nullable] = STATE(3268),
    [sym_preproc_error] = STATE(3268),
    [sym_preproc_define] = STATE(3268),
    [sym_preproc_undef] = STATE(3268),
    [sym__identifier_token] = ACTIONS(4877),
    [anon_sym_extern] = ACTIONS(4877),
    [anon_sym_alias] = ACTIONS(4877),
    [anon_sym_global] = ACTIONS(4877),
    [anon_sym_using] = ACTIONS(4877),
    [anon_sym_unsafe] = ACTIONS(4877),
    [anon_sym_static] = ACTIONS(4877),
    [anon_sym_LBRACK] = ACTIONS(4879),
    [anon_sym_LPAREN] = ACTIONS(4879),
    [anon_sym_event] = ACTIONS(4877),
    [anon_sym_namespace] = ACTIONS(4877),
    [anon_sym_class] = ACTIONS(4877),
    [anon_sym_ref] = ACTIONS(4877),
    [anon_sym_struct] = ACTIONS(4877),
    [anon_sym_enum] = ACTIONS(4877),
    [anon_sym_RBRACE] = ACTIONS(4879),
    [anon_sym_interface] = ACTIONS(4877),
    [anon_sym_delegate] = ACTIONS(4877),
    [anon_sym_record] = ACTIONS(4877),
    [anon_sym_abstract] = ACTIONS(4877),
    [anon_sym_async] = ACTIONS(4877),
    [anon_sym_const] = ACTIONS(4877),
    [anon_sym_file] = ACTIONS(4877),
    [anon_sym_fixed] = ACTIONS(4877),
    [anon_sym_internal] = ACTIONS(4877),
    [anon_sym_new] = ACTIONS(4877),
    [anon_sym_override] = ACTIONS(4877),
    [anon_sym_partial] = ACTIONS(4877),
    [anon_sym_private] = ACTIONS(4877),
    [anon_sym_protected] = ACTIONS(4877),
    [anon_sym_public] = ACTIONS(4877),
    [anon_sym_readonly] = ACTIONS(4877),
    [anon_sym_required] = ACTIONS(4877),
    [anon_sym_sealed] = ACTIONS(4877),
    [anon_sym_virtual] = ACTIONS(4877),
    [anon_sym_volatile] = ACTIONS(4877),
    [anon_sym_where] = ACTIONS(4877),
    [anon_sym_notnull] = ACTIONS(4877),
    [anon_sym_unmanaged] = ACTIONS(4877),
    [anon_sym_TILDE] = ACTIONS(4879),
    [anon_sym_implicit] = ACTIONS(4877),
    [anon_sym_explicit] = ACTIONS(4877),
    [anon_sym_scoped] = ACTIONS(4877),
    [anon_sym_var] = ACTIONS(4877),
    [sym_predefined_type] = ACTIONS(4877),
    [anon_sym_yield] = ACTIONS(4877),
    [anon_sym_when] = ACTIONS(4877),
    [anon_sym_from] = ACTIONS(4877),
    [anon_sym_into] = ACTIONS(4877),
    [anon_sym_join] = ACTIONS(4877),
    [anon_sym_on] = ACTIONS(4877),
    [anon_sym_equals] = ACTIONS(4877),
    [anon_sym_let] = ACTIONS(4877),
    [anon_sym_orderby] = ACTIONS(4877),
    [anon_sym_ascending] = ACTIONS(4877),
    [anon_sym_descending] = ACTIONS(4877),
    [anon_sym_group] = ACTIONS(4877),
    [anon_sym_by] = ACTIONS(4877),
    [anon_sym_select] = ACTIONS(4877),
    [aux_sym_preproc_if_token1] = ACTIONS(4879),
    [aux_sym_preproc_if_token3] = ACTIONS(4879),
    [aux_sym_preproc_else_token1] = ACTIONS(4879),
    [aux_sym_preproc_elif_token1] = ACTIONS(4879),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3269] = {
    [sym_preproc_region] = STATE(3269),
    [sym_preproc_endregion] = STATE(3269),
    [sym_preproc_line] = STATE(3269),
    [sym_preproc_pragma] = STATE(3269),
    [sym_preproc_nullable] = STATE(3269),
    [sym_preproc_error] = STATE(3269),
    [sym_preproc_define] = STATE(3269),
    [sym_preproc_undef] = STATE(3269),
    [sym__identifier_token] = ACTIONS(4881),
    [anon_sym_extern] = ACTIONS(4881),
    [anon_sym_alias] = ACTIONS(4881),
    [anon_sym_global] = ACTIONS(4881),
    [anon_sym_using] = ACTIONS(4881),
    [anon_sym_unsafe] = ACTIONS(4881),
    [anon_sym_static] = ACTIONS(4881),
    [anon_sym_LBRACK] = ACTIONS(4883),
    [anon_sym_LPAREN] = ACTIONS(4883),
    [anon_sym_event] = ACTIONS(4881),
    [anon_sym_namespace] = ACTIONS(4881),
    [anon_sym_class] = ACTIONS(4881),
    [anon_sym_ref] = ACTIONS(4881),
    [anon_sym_struct] = ACTIONS(4881),
    [anon_sym_enum] = ACTIONS(4881),
    [anon_sym_RBRACE] = ACTIONS(4883),
    [anon_sym_interface] = ACTIONS(4881),
    [anon_sym_delegate] = ACTIONS(4881),
    [anon_sym_record] = ACTIONS(4881),
    [anon_sym_abstract] = ACTIONS(4881),
    [anon_sym_async] = ACTIONS(4881),
    [anon_sym_const] = ACTIONS(4881),
    [anon_sym_file] = ACTIONS(4881),
    [anon_sym_fixed] = ACTIONS(4881),
    [anon_sym_internal] = ACTIONS(4881),
    [anon_sym_new] = ACTIONS(4881),
    [anon_sym_override] = ACTIONS(4881),
    [anon_sym_partial] = ACTIONS(4881),
    [anon_sym_private] = ACTIONS(4881),
    [anon_sym_protected] = ACTIONS(4881),
    [anon_sym_public] = ACTIONS(4881),
    [anon_sym_readonly] = ACTIONS(4881),
    [anon_sym_required] = ACTIONS(4881),
    [anon_sym_sealed] = ACTIONS(4881),
    [anon_sym_virtual] = ACTIONS(4881),
    [anon_sym_volatile] = ACTIONS(4881),
    [anon_sym_where] = ACTIONS(4881),
    [anon_sym_notnull] = ACTIONS(4881),
    [anon_sym_unmanaged] = ACTIONS(4881),
    [anon_sym_TILDE] = ACTIONS(4883),
    [anon_sym_implicit] = ACTIONS(4881),
    [anon_sym_explicit] = ACTIONS(4881),
    [anon_sym_scoped] = ACTIONS(4881),
    [anon_sym_var] = ACTIONS(4881),
    [sym_predefined_type] = ACTIONS(4881),
    [anon_sym_yield] = ACTIONS(4881),
    [anon_sym_when] = ACTIONS(4881),
    [anon_sym_from] = ACTIONS(4881),
    [anon_sym_into] = ACTIONS(4881),
    [anon_sym_join] = ACTIONS(4881),
    [anon_sym_on] = ACTIONS(4881),
    [anon_sym_equals] = ACTIONS(4881),
    [anon_sym_let] = ACTIONS(4881),
    [anon_sym_orderby] = ACTIONS(4881),
    [anon_sym_ascending] = ACTIONS(4881),
    [anon_sym_descending] = ACTIONS(4881),
    [anon_sym_group] = ACTIONS(4881),
    [anon_sym_by] = ACTIONS(4881),
    [anon_sym_select] = ACTIONS(4881),
    [aux_sym_preproc_if_token1] = ACTIONS(4883),
    [aux_sym_preproc_if_token3] = ACTIONS(4883),
    [aux_sym_preproc_else_token1] = ACTIONS(4883),
    [aux_sym_preproc_elif_token1] = ACTIONS(4883),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3270] = {
    [sym_preproc_region] = STATE(3270),
    [sym_preproc_endregion] = STATE(3270),
    [sym_preproc_line] = STATE(3270),
    [sym_preproc_pragma] = STATE(3270),
    [sym_preproc_nullable] = STATE(3270),
    [sym_preproc_error] = STATE(3270),
    [sym_preproc_define] = STATE(3270),
    [sym_preproc_undef] = STATE(3270),
    [sym__identifier_token] = ACTIONS(4885),
    [anon_sym_extern] = ACTIONS(4885),
    [anon_sym_alias] = ACTIONS(4885),
    [anon_sym_global] = ACTIONS(4885),
    [anon_sym_using] = ACTIONS(4885),
    [anon_sym_unsafe] = ACTIONS(4885),
    [anon_sym_static] = ACTIONS(4885),
    [anon_sym_LBRACK] = ACTIONS(4887),
    [anon_sym_LPAREN] = ACTIONS(4887),
    [anon_sym_event] = ACTIONS(4885),
    [anon_sym_namespace] = ACTIONS(4885),
    [anon_sym_class] = ACTIONS(4885),
    [anon_sym_ref] = ACTIONS(4885),
    [anon_sym_struct] = ACTIONS(4885),
    [anon_sym_enum] = ACTIONS(4885),
    [anon_sym_RBRACE] = ACTIONS(4887),
    [anon_sym_interface] = ACTIONS(4885),
    [anon_sym_delegate] = ACTIONS(4885),
    [anon_sym_record] = ACTIONS(4885),
    [anon_sym_abstract] = ACTIONS(4885),
    [anon_sym_async] = ACTIONS(4885),
    [anon_sym_const] = ACTIONS(4885),
    [anon_sym_file] = ACTIONS(4885),
    [anon_sym_fixed] = ACTIONS(4885),
    [anon_sym_internal] = ACTIONS(4885),
    [anon_sym_new] = ACTIONS(4885),
    [anon_sym_override] = ACTIONS(4885),
    [anon_sym_partial] = ACTIONS(4885),
    [anon_sym_private] = ACTIONS(4885),
    [anon_sym_protected] = ACTIONS(4885),
    [anon_sym_public] = ACTIONS(4885),
    [anon_sym_readonly] = ACTIONS(4885),
    [anon_sym_required] = ACTIONS(4885),
    [anon_sym_sealed] = ACTIONS(4885),
    [anon_sym_virtual] = ACTIONS(4885),
    [anon_sym_volatile] = ACTIONS(4885),
    [anon_sym_where] = ACTIONS(4885),
    [anon_sym_notnull] = ACTIONS(4885),
    [anon_sym_unmanaged] = ACTIONS(4885),
    [anon_sym_TILDE] = ACTIONS(4887),
    [anon_sym_implicit] = ACTIONS(4885),
    [anon_sym_explicit] = ACTIONS(4885),
    [anon_sym_scoped] = ACTIONS(4885),
    [anon_sym_var] = ACTIONS(4885),
    [sym_predefined_type] = ACTIONS(4885),
    [anon_sym_yield] = ACTIONS(4885),
    [anon_sym_when] = ACTIONS(4885),
    [anon_sym_from] = ACTIONS(4885),
    [anon_sym_into] = ACTIONS(4885),
    [anon_sym_join] = ACTIONS(4885),
    [anon_sym_on] = ACTIONS(4885),
    [anon_sym_equals] = ACTIONS(4885),
    [anon_sym_let] = ACTIONS(4885),
    [anon_sym_orderby] = ACTIONS(4885),
    [anon_sym_ascending] = ACTIONS(4885),
    [anon_sym_descending] = ACTIONS(4885),
    [anon_sym_group] = ACTIONS(4885),
    [anon_sym_by] = ACTIONS(4885),
    [anon_sym_select] = ACTIONS(4885),
    [aux_sym_preproc_if_token1] = ACTIONS(4887),
    [aux_sym_preproc_if_token3] = ACTIONS(4887),
    [aux_sym_preproc_else_token1] = ACTIONS(4887),
    [aux_sym_preproc_elif_token1] = ACTIONS(4887),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3271] = {
    [sym_preproc_region] = STATE(3271),
    [sym_preproc_endregion] = STATE(3271),
    [sym_preproc_line] = STATE(3271),
    [sym_preproc_pragma] = STATE(3271),
    [sym_preproc_nullable] = STATE(3271),
    [sym_preproc_error] = STATE(3271),
    [sym_preproc_define] = STATE(3271),
    [sym_preproc_undef] = STATE(3271),
    [sym__identifier_token] = ACTIONS(4534),
    [anon_sym_alias] = ACTIONS(4534),
    [anon_sym_global] = ACTIONS(4534),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_file] = ACTIONS(4534),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_where] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_notnull] = ACTIONS(4534),
    [anon_sym_unmanaged] = ACTIONS(4534),
    [anon_sym_BANG] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_GT_GT_GT] = ACTIONS(4536),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_scoped] = ACTIONS(4534),
    [anon_sym_var] = ACTIONS(4534),
    [anon_sym_yield] = ACTIONS(4534),
    [anon_sym_switch] = ACTIONS(4534),
    [anon_sym_when] = ACTIONS(4534),
    [sym_discard] = ACTIONS(4534),
    [anon_sym_DOT_DOT] = ACTIONS(4536),
    [anon_sym_and] = ACTIONS(4534),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_QMARK_QMARK] = ACTIONS(4536),
    [anon_sym_from] = ACTIONS(4534),
    [anon_sym_into] = ACTIONS(4534),
    [anon_sym_join] = ACTIONS(4534),
    [anon_sym_on] = ACTIONS(4534),
    [anon_sym_equals] = ACTIONS(4534),
    [anon_sym_let] = ACTIONS(4534),
    [anon_sym_orderby] = ACTIONS(4534),
    [anon_sym_ascending] = ACTIONS(4534),
    [anon_sym_descending] = ACTIONS(4534),
    [anon_sym_group] = ACTIONS(4534),
    [anon_sym_by] = ACTIONS(4534),
    [anon_sym_select] = ACTIONS(4534),
    [anon_sym_as] = ACTIONS(4534),
    [anon_sym_is] = ACTIONS(4534),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [anon_sym_with] = ACTIONS(4534),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4536),
  },
  [3272] = {
    [sym_preproc_region] = STATE(3272),
    [sym_preproc_endregion] = STATE(3272),
    [sym_preproc_line] = STATE(3272),
    [sym_preproc_pragma] = STATE(3272),
    [sym_preproc_nullable] = STATE(3272),
    [sym_preproc_error] = STATE(3272),
    [sym_preproc_define] = STATE(3272),
    [sym_preproc_undef] = STATE(3272),
    [sym__identifier_token] = ACTIONS(4163),
    [anon_sym_alias] = ACTIONS(4163),
    [anon_sym_global] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_file] = ACTIONS(4163),
    [anon_sym_LT] = ACTIONS(4163),
    [anon_sym_GT] = ACTIONS(4163),
    [anon_sym_where] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4163),
    [anon_sym_notnull] = ACTIONS(4163),
    [anon_sym_unmanaged] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4163),
    [anon_sym_PLUS_PLUS] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4163),
    [anon_sym_DASH] = ACTIONS(4163),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_SLASH] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_PIPE] = ACTIONS(4163),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym_LT_LT] = ACTIONS(4172),
    [anon_sym_GT_GT] = ACTIONS(4163),
    [anon_sym_GT_GT_GT] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4172),
    [anon_sym_BANG_EQ] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4172),
    [anon_sym_LT_EQ] = ACTIONS(4172),
    [anon_sym_DOT] = ACTIONS(4163),
    [anon_sym_scoped] = ACTIONS(4163),
    [anon_sym_var] = ACTIONS(4163),
    [anon_sym_yield] = ACTIONS(4163),
    [anon_sym_switch] = ACTIONS(4163),
    [anon_sym_when] = ACTIONS(4163),
    [sym_discard] = ACTIONS(4163),
    [anon_sym_DOT_DOT] = ACTIONS(4172),
    [anon_sym_and] = ACTIONS(4163),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_AMP_AMP] = ACTIONS(4172),
    [anon_sym_PIPE_PIPE] = ACTIONS(4172),
    [anon_sym_QMARK_QMARK] = ACTIONS(4172),
    [anon_sym_from] = ACTIONS(4163),
    [anon_sym_into] = ACTIONS(4163),
    [anon_sym_join] = ACTIONS(4163),
    [anon_sym_on] = ACTIONS(4163),
    [anon_sym_equals] = ACTIONS(4163),
    [anon_sym_let] = ACTIONS(4163),
    [anon_sym_orderby] = ACTIONS(4163),
    [anon_sym_ascending] = ACTIONS(4163),
    [anon_sym_descending] = ACTIONS(4163),
    [anon_sym_group] = ACTIONS(4163),
    [anon_sym_by] = ACTIONS(4163),
    [anon_sym_select] = ACTIONS(4163),
    [anon_sym_as] = ACTIONS(4163),
    [anon_sym_is] = ACTIONS(4163),
    [anon_sym_DASH_GT] = ACTIONS(4172),
    [anon_sym_with] = ACTIONS(4163),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4172),
  },
  [3273] = {
    [sym_preproc_region] = STATE(3273),
    [sym_preproc_endregion] = STATE(3273),
    [sym_preproc_line] = STATE(3273),
    [sym_preproc_pragma] = STATE(3273),
    [sym_preproc_nullable] = STATE(3273),
    [sym_preproc_error] = STATE(3273),
    [sym_preproc_define] = STATE(3273),
    [sym_preproc_undef] = STATE(3273),
    [anon_sym_SEMI] = ACTIONS(4709),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_COLON] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_RBRACK] = ACTIONS(4709),
    [anon_sym_LPAREN] = ACTIONS(4709),
    [anon_sym_RPAREN] = ACTIONS(4709),
    [anon_sym_RBRACE] = ACTIONS(4709),
    [anon_sym_LT] = ACTIONS(4711),
    [anon_sym_GT] = ACTIONS(4711),
    [anon_sym_in] = ACTIONS(4709),
    [anon_sym_QMARK] = ACTIONS(4711),
    [anon_sym_BANG] = ACTIONS(4711),
    [anon_sym_PLUS_PLUS] = ACTIONS(4709),
    [anon_sym_DASH_DASH] = ACTIONS(4709),
    [anon_sym_PLUS] = ACTIONS(4711),
    [anon_sym_DASH] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_SLASH] = ACTIONS(4711),
    [anon_sym_PERCENT] = ACTIONS(4711),
    [anon_sym_CARET] = ACTIONS(4711),
    [anon_sym_PIPE] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4711),
    [anon_sym_LT_LT] = ACTIONS(4711),
    [anon_sym_GT_GT] = ACTIONS(4711),
    [anon_sym_GT_GT_GT] = ACTIONS(4711),
    [anon_sym_EQ_EQ] = ACTIONS(4709),
    [anon_sym_BANG_EQ] = ACTIONS(4709),
    [anon_sym_GT_EQ] = ACTIONS(4709),
    [anon_sym_LT_EQ] = ACTIONS(4709),
    [anon_sym_DOT] = ACTIONS(4711),
    [anon_sym_EQ_GT] = ACTIONS(4709),
    [anon_sym_switch] = ACTIONS(4709),
    [anon_sym_when] = ACTIONS(4709),
    [anon_sym_DOT_DOT] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4709),
    [anon_sym_PLUS_EQ] = ACTIONS(4709),
    [anon_sym_DASH_EQ] = ACTIONS(4709),
    [anon_sym_STAR_EQ] = ACTIONS(4709),
    [anon_sym_SLASH_EQ] = ACTIONS(4709),
    [anon_sym_PERCENT_EQ] = ACTIONS(4709),
    [anon_sym_AMP_EQ] = ACTIONS(4709),
    [anon_sym_CARET_EQ] = ACTIONS(4709),
    [anon_sym_PIPE_EQ] = ACTIONS(4709),
    [anon_sym_LT_LT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4709),
    [anon_sym_AMP_AMP] = ACTIONS(4709),
    [anon_sym_PIPE_PIPE] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK] = ACTIONS(4711),
    [anon_sym_on] = ACTIONS(4709),
    [anon_sym_equals] = ACTIONS(4709),
    [anon_sym_by] = ACTIONS(4709),
    [anon_sym_as] = ACTIONS(4709),
    [anon_sym_is] = ACTIONS(4709),
    [anon_sym_DASH_GT] = ACTIONS(4709),
    [anon_sym_with] = ACTIONS(4709),
    [aux_sym_preproc_if_token3] = ACTIONS(4709),
    [aux_sym_preproc_else_token1] = ACTIONS(4709),
    [aux_sym_preproc_elif_token1] = ACTIONS(4709),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3274] = {
    [sym_preproc_region] = STATE(3274),
    [sym_preproc_endregion] = STATE(3274),
    [sym_preproc_line] = STATE(3274),
    [sym_preproc_pragma] = STATE(3274),
    [sym_preproc_nullable] = STATE(3274),
    [sym_preproc_error] = STATE(3274),
    [sym_preproc_define] = STATE(3274),
    [sym_preproc_undef] = STATE(3274),
    [sym__identifier_token] = ACTIONS(4889),
    [anon_sym_extern] = ACTIONS(4889),
    [anon_sym_alias] = ACTIONS(4889),
    [anon_sym_global] = ACTIONS(4889),
    [anon_sym_using] = ACTIONS(4889),
    [anon_sym_unsafe] = ACTIONS(4889),
    [anon_sym_static] = ACTIONS(4889),
    [anon_sym_LBRACK] = ACTIONS(4891),
    [anon_sym_LPAREN] = ACTIONS(4891),
    [anon_sym_event] = ACTIONS(4889),
    [anon_sym_namespace] = ACTIONS(4889),
    [anon_sym_class] = ACTIONS(4889),
    [anon_sym_ref] = ACTIONS(4889),
    [anon_sym_struct] = ACTIONS(4889),
    [anon_sym_enum] = ACTIONS(4889),
    [anon_sym_RBRACE] = ACTIONS(4891),
    [anon_sym_interface] = ACTIONS(4889),
    [anon_sym_delegate] = ACTIONS(4889),
    [anon_sym_record] = ACTIONS(4889),
    [anon_sym_abstract] = ACTIONS(4889),
    [anon_sym_async] = ACTIONS(4889),
    [anon_sym_const] = ACTIONS(4889),
    [anon_sym_file] = ACTIONS(4889),
    [anon_sym_fixed] = ACTIONS(4889),
    [anon_sym_internal] = ACTIONS(4889),
    [anon_sym_new] = ACTIONS(4889),
    [anon_sym_override] = ACTIONS(4889),
    [anon_sym_partial] = ACTIONS(4889),
    [anon_sym_private] = ACTIONS(4889),
    [anon_sym_protected] = ACTIONS(4889),
    [anon_sym_public] = ACTIONS(4889),
    [anon_sym_readonly] = ACTIONS(4889),
    [anon_sym_required] = ACTIONS(4889),
    [anon_sym_sealed] = ACTIONS(4889),
    [anon_sym_virtual] = ACTIONS(4889),
    [anon_sym_volatile] = ACTIONS(4889),
    [anon_sym_where] = ACTIONS(4889),
    [anon_sym_notnull] = ACTIONS(4889),
    [anon_sym_unmanaged] = ACTIONS(4889),
    [anon_sym_TILDE] = ACTIONS(4891),
    [anon_sym_implicit] = ACTIONS(4889),
    [anon_sym_explicit] = ACTIONS(4889),
    [anon_sym_scoped] = ACTIONS(4889),
    [anon_sym_var] = ACTIONS(4889),
    [sym_predefined_type] = ACTIONS(4889),
    [anon_sym_yield] = ACTIONS(4889),
    [anon_sym_when] = ACTIONS(4889),
    [anon_sym_from] = ACTIONS(4889),
    [anon_sym_into] = ACTIONS(4889),
    [anon_sym_join] = ACTIONS(4889),
    [anon_sym_on] = ACTIONS(4889),
    [anon_sym_equals] = ACTIONS(4889),
    [anon_sym_let] = ACTIONS(4889),
    [anon_sym_orderby] = ACTIONS(4889),
    [anon_sym_ascending] = ACTIONS(4889),
    [anon_sym_descending] = ACTIONS(4889),
    [anon_sym_group] = ACTIONS(4889),
    [anon_sym_by] = ACTIONS(4889),
    [anon_sym_select] = ACTIONS(4889),
    [aux_sym_preproc_if_token1] = ACTIONS(4891),
    [aux_sym_preproc_if_token3] = ACTIONS(4891),
    [aux_sym_preproc_else_token1] = ACTIONS(4891),
    [aux_sym_preproc_elif_token1] = ACTIONS(4891),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3275] = {
    [sym_preproc_region] = STATE(3275),
    [sym_preproc_endregion] = STATE(3275),
    [sym_preproc_line] = STATE(3275),
    [sym_preproc_pragma] = STATE(3275),
    [sym_preproc_nullable] = STATE(3275),
    [sym_preproc_error] = STATE(3275),
    [sym_preproc_define] = STATE(3275),
    [sym_preproc_undef] = STATE(3275),
    [sym__identifier_token] = ACTIONS(4552),
    [anon_sym_alias] = ACTIONS(4552),
    [anon_sym_global] = ACTIONS(4552),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_COMMA] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4554),
    [anon_sym_file] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4552),
    [anon_sym_where] = ACTIONS(4552),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_notnull] = ACTIONS(4552),
    [anon_sym_unmanaged] = ACTIONS(4552),
    [anon_sym_BANG] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4552),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4552),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_PIPE] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_GT_GT_GT] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4554),
    [anon_sym_BANG_EQ] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4554),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_DOT] = ACTIONS(4552),
    [anon_sym_scoped] = ACTIONS(4552),
    [anon_sym_var] = ACTIONS(4552),
    [anon_sym_yield] = ACTIONS(4552),
    [anon_sym_switch] = ACTIONS(4552),
    [anon_sym_when] = ACTIONS(4552),
    [sym_discard] = ACTIONS(4552),
    [anon_sym_DOT_DOT] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4552),
    [anon_sym_or] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4554),
    [anon_sym_QMARK_QMARK] = ACTIONS(4554),
    [anon_sym_from] = ACTIONS(4552),
    [anon_sym_into] = ACTIONS(4552),
    [anon_sym_join] = ACTIONS(4552),
    [anon_sym_on] = ACTIONS(4552),
    [anon_sym_equals] = ACTIONS(4552),
    [anon_sym_let] = ACTIONS(4552),
    [anon_sym_orderby] = ACTIONS(4552),
    [anon_sym_ascending] = ACTIONS(4552),
    [anon_sym_descending] = ACTIONS(4552),
    [anon_sym_group] = ACTIONS(4552),
    [anon_sym_by] = ACTIONS(4552),
    [anon_sym_select] = ACTIONS(4552),
    [anon_sym_as] = ACTIONS(4552),
    [anon_sym_is] = ACTIONS(4552),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [anon_sym_with] = ACTIONS(4552),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4554),
  },
  [3276] = {
    [sym_preproc_region] = STATE(3276),
    [sym_preproc_endregion] = STATE(3276),
    [sym_preproc_line] = STATE(3276),
    [sym_preproc_pragma] = STATE(3276),
    [sym_preproc_nullable] = STATE(3276),
    [sym_preproc_error] = STATE(3276),
    [sym_preproc_define] = STATE(3276),
    [sym_preproc_undef] = STATE(3276),
    [sym__identifier_token] = ACTIONS(4596),
    [anon_sym_alias] = ACTIONS(4596),
    [anon_sym_global] = ACTIONS(4596),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [anon_sym_COLON] = ACTIONS(4598),
    [anon_sym_COMMA] = ACTIONS(4598),
    [anon_sym_LPAREN] = ACTIONS(4598),
    [anon_sym_LBRACE] = ACTIONS(4598),
    [anon_sym_file] = ACTIONS(4596),
    [anon_sym_LT] = ACTIONS(4596),
    [anon_sym_GT] = ACTIONS(4596),
    [anon_sym_where] = ACTIONS(4596),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_notnull] = ACTIONS(4596),
    [anon_sym_unmanaged] = ACTIONS(4596),
    [anon_sym_BANG] = ACTIONS(4596),
    [anon_sym_PLUS_PLUS] = ACTIONS(4598),
    [anon_sym_DASH_DASH] = ACTIONS(4598),
    [anon_sym_PLUS] = ACTIONS(4596),
    [anon_sym_DASH] = ACTIONS(4596),
    [anon_sym_STAR] = ACTIONS(4598),
    [anon_sym_SLASH] = ACTIONS(4596),
    [anon_sym_PERCENT] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4598),
    [anon_sym_PIPE] = ACTIONS(4596),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_LT_LT] = ACTIONS(4598),
    [anon_sym_GT_GT] = ACTIONS(4596),
    [anon_sym_GT_GT_GT] = ACTIONS(4598),
    [anon_sym_EQ_EQ] = ACTIONS(4598),
    [anon_sym_BANG_EQ] = ACTIONS(4598),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_LT_EQ] = ACTIONS(4598),
    [anon_sym_DOT] = ACTIONS(4596),
    [anon_sym_scoped] = ACTIONS(4596),
    [anon_sym_var] = ACTIONS(4596),
    [anon_sym_yield] = ACTIONS(4596),
    [anon_sym_switch] = ACTIONS(4596),
    [anon_sym_when] = ACTIONS(4596),
    [sym_discard] = ACTIONS(4596),
    [anon_sym_DOT_DOT] = ACTIONS(4598),
    [anon_sym_and] = ACTIONS(4596),
    [anon_sym_or] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_PIPE_PIPE] = ACTIONS(4598),
    [anon_sym_QMARK_QMARK] = ACTIONS(4598),
    [anon_sym_from] = ACTIONS(4596),
    [anon_sym_into] = ACTIONS(4596),
    [anon_sym_join] = ACTIONS(4596),
    [anon_sym_on] = ACTIONS(4596),
    [anon_sym_equals] = ACTIONS(4596),
    [anon_sym_let] = ACTIONS(4596),
    [anon_sym_orderby] = ACTIONS(4596),
    [anon_sym_ascending] = ACTIONS(4596),
    [anon_sym_descending] = ACTIONS(4596),
    [anon_sym_group] = ACTIONS(4596),
    [anon_sym_by] = ACTIONS(4596),
    [anon_sym_select] = ACTIONS(4596),
    [anon_sym_as] = ACTIONS(4596),
    [anon_sym_is] = ACTIONS(4596),
    [anon_sym_DASH_GT] = ACTIONS(4598),
    [anon_sym_with] = ACTIONS(4596),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4598),
  },
  [3277] = {
    [sym_preproc_region] = STATE(3277),
    [sym_preproc_endregion] = STATE(3277),
    [sym_preproc_line] = STATE(3277),
    [sym_preproc_pragma] = STATE(3277),
    [sym_preproc_nullable] = STATE(3277),
    [sym_preproc_error] = STATE(3277),
    [sym_preproc_define] = STATE(3277),
    [sym_preproc_undef] = STATE(3277),
    [sym__identifier_token] = ACTIONS(4893),
    [anon_sym_extern] = ACTIONS(4893),
    [anon_sym_alias] = ACTIONS(4893),
    [anon_sym_global] = ACTIONS(4893),
    [anon_sym_using] = ACTIONS(4893),
    [anon_sym_unsafe] = ACTIONS(4893),
    [anon_sym_static] = ACTIONS(4893),
    [anon_sym_LBRACK] = ACTIONS(4895),
    [anon_sym_LPAREN] = ACTIONS(4895),
    [anon_sym_event] = ACTIONS(4893),
    [anon_sym_namespace] = ACTIONS(4893),
    [anon_sym_class] = ACTIONS(4893),
    [anon_sym_ref] = ACTIONS(4893),
    [anon_sym_struct] = ACTIONS(4893),
    [anon_sym_enum] = ACTIONS(4893),
    [anon_sym_RBRACE] = ACTIONS(4895),
    [anon_sym_interface] = ACTIONS(4893),
    [anon_sym_delegate] = ACTIONS(4893),
    [anon_sym_record] = ACTIONS(4893),
    [anon_sym_abstract] = ACTIONS(4893),
    [anon_sym_async] = ACTIONS(4893),
    [anon_sym_const] = ACTIONS(4893),
    [anon_sym_file] = ACTIONS(4893),
    [anon_sym_fixed] = ACTIONS(4893),
    [anon_sym_internal] = ACTIONS(4893),
    [anon_sym_new] = ACTIONS(4893),
    [anon_sym_override] = ACTIONS(4893),
    [anon_sym_partial] = ACTIONS(4893),
    [anon_sym_private] = ACTIONS(4893),
    [anon_sym_protected] = ACTIONS(4893),
    [anon_sym_public] = ACTIONS(4893),
    [anon_sym_readonly] = ACTIONS(4893),
    [anon_sym_required] = ACTIONS(4893),
    [anon_sym_sealed] = ACTIONS(4893),
    [anon_sym_virtual] = ACTIONS(4893),
    [anon_sym_volatile] = ACTIONS(4893),
    [anon_sym_where] = ACTIONS(4893),
    [anon_sym_notnull] = ACTIONS(4893),
    [anon_sym_unmanaged] = ACTIONS(4893),
    [anon_sym_TILDE] = ACTIONS(4895),
    [anon_sym_implicit] = ACTIONS(4893),
    [anon_sym_explicit] = ACTIONS(4893),
    [anon_sym_scoped] = ACTIONS(4893),
    [anon_sym_var] = ACTIONS(4893),
    [sym_predefined_type] = ACTIONS(4893),
    [anon_sym_yield] = ACTIONS(4893),
    [anon_sym_when] = ACTIONS(4893),
    [anon_sym_from] = ACTIONS(4893),
    [anon_sym_into] = ACTIONS(4893),
    [anon_sym_join] = ACTIONS(4893),
    [anon_sym_on] = ACTIONS(4893),
    [anon_sym_equals] = ACTIONS(4893),
    [anon_sym_let] = ACTIONS(4893),
    [anon_sym_orderby] = ACTIONS(4893),
    [anon_sym_ascending] = ACTIONS(4893),
    [anon_sym_descending] = ACTIONS(4893),
    [anon_sym_group] = ACTIONS(4893),
    [anon_sym_by] = ACTIONS(4893),
    [anon_sym_select] = ACTIONS(4893),
    [aux_sym_preproc_if_token1] = ACTIONS(4895),
    [aux_sym_preproc_if_token3] = ACTIONS(4895),
    [aux_sym_preproc_else_token1] = ACTIONS(4895),
    [aux_sym_preproc_elif_token1] = ACTIONS(4895),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3278] = {
    [sym_preproc_region] = STATE(3278),
    [sym_preproc_endregion] = STATE(3278),
    [sym_preproc_line] = STATE(3278),
    [sym_preproc_pragma] = STATE(3278),
    [sym_preproc_nullable] = STATE(3278),
    [sym_preproc_error] = STATE(3278),
    [sym_preproc_define] = STATE(3278),
    [sym_preproc_undef] = STATE(3278),
    [sym__identifier_token] = ACTIONS(4897),
    [anon_sym_extern] = ACTIONS(4897),
    [anon_sym_alias] = ACTIONS(4897),
    [anon_sym_global] = ACTIONS(4897),
    [anon_sym_using] = ACTIONS(4897),
    [anon_sym_unsafe] = ACTIONS(4897),
    [anon_sym_static] = ACTIONS(4897),
    [anon_sym_LBRACK] = ACTIONS(4899),
    [anon_sym_LPAREN] = ACTIONS(4899),
    [anon_sym_event] = ACTIONS(4897),
    [anon_sym_namespace] = ACTIONS(4897),
    [anon_sym_class] = ACTIONS(4897),
    [anon_sym_ref] = ACTIONS(4897),
    [anon_sym_struct] = ACTIONS(4897),
    [anon_sym_enum] = ACTIONS(4897),
    [anon_sym_RBRACE] = ACTIONS(4899),
    [anon_sym_interface] = ACTIONS(4897),
    [anon_sym_delegate] = ACTIONS(4897),
    [anon_sym_record] = ACTIONS(4897),
    [anon_sym_abstract] = ACTIONS(4897),
    [anon_sym_async] = ACTIONS(4897),
    [anon_sym_const] = ACTIONS(4897),
    [anon_sym_file] = ACTIONS(4897),
    [anon_sym_fixed] = ACTIONS(4897),
    [anon_sym_internal] = ACTIONS(4897),
    [anon_sym_new] = ACTIONS(4897),
    [anon_sym_override] = ACTIONS(4897),
    [anon_sym_partial] = ACTIONS(4897),
    [anon_sym_private] = ACTIONS(4897),
    [anon_sym_protected] = ACTIONS(4897),
    [anon_sym_public] = ACTIONS(4897),
    [anon_sym_readonly] = ACTIONS(4897),
    [anon_sym_required] = ACTIONS(4897),
    [anon_sym_sealed] = ACTIONS(4897),
    [anon_sym_virtual] = ACTIONS(4897),
    [anon_sym_volatile] = ACTIONS(4897),
    [anon_sym_where] = ACTIONS(4897),
    [anon_sym_notnull] = ACTIONS(4897),
    [anon_sym_unmanaged] = ACTIONS(4897),
    [anon_sym_TILDE] = ACTIONS(4899),
    [anon_sym_implicit] = ACTIONS(4897),
    [anon_sym_explicit] = ACTIONS(4897),
    [anon_sym_scoped] = ACTIONS(4897),
    [anon_sym_var] = ACTIONS(4897),
    [sym_predefined_type] = ACTIONS(4897),
    [anon_sym_yield] = ACTIONS(4897),
    [anon_sym_when] = ACTIONS(4897),
    [anon_sym_from] = ACTIONS(4897),
    [anon_sym_into] = ACTIONS(4897),
    [anon_sym_join] = ACTIONS(4897),
    [anon_sym_on] = ACTIONS(4897),
    [anon_sym_equals] = ACTIONS(4897),
    [anon_sym_let] = ACTIONS(4897),
    [anon_sym_orderby] = ACTIONS(4897),
    [anon_sym_ascending] = ACTIONS(4897),
    [anon_sym_descending] = ACTIONS(4897),
    [anon_sym_group] = ACTIONS(4897),
    [anon_sym_by] = ACTIONS(4897),
    [anon_sym_select] = ACTIONS(4897),
    [aux_sym_preproc_if_token1] = ACTIONS(4899),
    [aux_sym_preproc_if_token3] = ACTIONS(4899),
    [aux_sym_preproc_else_token1] = ACTIONS(4899),
    [aux_sym_preproc_elif_token1] = ACTIONS(4899),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3279] = {
    [sym_preproc_region] = STATE(3279),
    [sym_preproc_endregion] = STATE(3279),
    [sym_preproc_line] = STATE(3279),
    [sym_preproc_pragma] = STATE(3279),
    [sym_preproc_nullable] = STATE(3279),
    [sym_preproc_error] = STATE(3279),
    [sym_preproc_define] = STATE(3279),
    [sym_preproc_undef] = STATE(3279),
    [sym__identifier_token] = ACTIONS(3857),
    [anon_sym_extern] = ACTIONS(3857),
    [anon_sym_alias] = ACTIONS(3857),
    [anon_sym_global] = ACTIONS(3857),
    [anon_sym_using] = ACTIONS(3857),
    [anon_sym_unsafe] = ACTIONS(3857),
    [anon_sym_static] = ACTIONS(3857),
    [anon_sym_LBRACK] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3859),
    [anon_sym_event] = ACTIONS(3857),
    [anon_sym_namespace] = ACTIONS(3857),
    [anon_sym_class] = ACTIONS(3857),
    [anon_sym_ref] = ACTIONS(3857),
    [anon_sym_struct] = ACTIONS(3857),
    [anon_sym_enum] = ACTIONS(3857),
    [anon_sym_RBRACE] = ACTIONS(3859),
    [anon_sym_interface] = ACTIONS(3857),
    [anon_sym_delegate] = ACTIONS(3857),
    [anon_sym_record] = ACTIONS(3857),
    [anon_sym_abstract] = ACTIONS(3857),
    [anon_sym_async] = ACTIONS(3857),
    [anon_sym_const] = ACTIONS(3857),
    [anon_sym_file] = ACTIONS(3857),
    [anon_sym_fixed] = ACTIONS(3857),
    [anon_sym_internal] = ACTIONS(3857),
    [anon_sym_new] = ACTIONS(3857),
    [anon_sym_override] = ACTIONS(3857),
    [anon_sym_partial] = ACTIONS(3857),
    [anon_sym_private] = ACTIONS(3857),
    [anon_sym_protected] = ACTIONS(3857),
    [anon_sym_public] = ACTIONS(3857),
    [anon_sym_readonly] = ACTIONS(3857),
    [anon_sym_required] = ACTIONS(3857),
    [anon_sym_sealed] = ACTIONS(3857),
    [anon_sym_virtual] = ACTIONS(3857),
    [anon_sym_volatile] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_notnull] = ACTIONS(3857),
    [anon_sym_unmanaged] = ACTIONS(3857),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_implicit] = ACTIONS(3857),
    [anon_sym_explicit] = ACTIONS(3857),
    [anon_sym_scoped] = ACTIONS(3857),
    [anon_sym_var] = ACTIONS(3857),
    [sym_predefined_type] = ACTIONS(3857),
    [anon_sym_yield] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_from] = ACTIONS(3857),
    [anon_sym_into] = ACTIONS(3857),
    [anon_sym_join] = ACTIONS(3857),
    [anon_sym_on] = ACTIONS(3857),
    [anon_sym_equals] = ACTIONS(3857),
    [anon_sym_let] = ACTIONS(3857),
    [anon_sym_orderby] = ACTIONS(3857),
    [anon_sym_ascending] = ACTIONS(3857),
    [anon_sym_descending] = ACTIONS(3857),
    [anon_sym_group] = ACTIONS(3857),
    [anon_sym_by] = ACTIONS(3857),
    [anon_sym_select] = ACTIONS(3857),
    [aux_sym_preproc_if_token1] = ACTIONS(3859),
    [aux_sym_preproc_if_token3] = ACTIONS(3859),
    [aux_sym_preproc_else_token1] = ACTIONS(3859),
    [aux_sym_preproc_elif_token1] = ACTIONS(3859),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3280] = {
    [sym_preproc_region] = STATE(3280),
    [sym_preproc_endregion] = STATE(3280),
    [sym_preproc_line] = STATE(3280),
    [sym_preproc_pragma] = STATE(3280),
    [sym_preproc_nullable] = STATE(3280),
    [sym_preproc_error] = STATE(3280),
    [sym_preproc_define] = STATE(3280),
    [sym_preproc_undef] = STATE(3280),
    [anon_sym_SEMI] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4642),
    [anon_sym_LBRACK] = ACTIONS(4640),
    [anon_sym_COLON] = ACTIONS(4640),
    [anon_sym_COMMA] = ACTIONS(4640),
    [anon_sym_RBRACK] = ACTIONS(4640),
    [anon_sym_LPAREN] = ACTIONS(4640),
    [anon_sym_RPAREN] = ACTIONS(4640),
    [anon_sym_RBRACE] = ACTIONS(4640),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_GT] = ACTIONS(4642),
    [anon_sym_in] = ACTIONS(4640),
    [anon_sym_QMARK] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(4642),
    [anon_sym_DASH] = ACTIONS(4642),
    [anon_sym_STAR] = ACTIONS(4642),
    [anon_sym_SLASH] = ACTIONS(4642),
    [anon_sym_PERCENT] = ACTIONS(4642),
    [anon_sym_CARET] = ACTIONS(4642),
    [anon_sym_PIPE] = ACTIONS(4642),
    [anon_sym_AMP] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(4642),
    [anon_sym_GT_GT] = ACTIONS(4642),
    [anon_sym_GT_GT_GT] = ACTIONS(4642),
    [anon_sym_EQ_EQ] = ACTIONS(4640),
    [anon_sym_BANG_EQ] = ACTIONS(4640),
    [anon_sym_GT_EQ] = ACTIONS(4640),
    [anon_sym_LT_EQ] = ACTIONS(4640),
    [anon_sym_DOT] = ACTIONS(4642),
    [anon_sym_EQ_GT] = ACTIONS(4640),
    [anon_sym_switch] = ACTIONS(4640),
    [anon_sym_when] = ACTIONS(4640),
    [anon_sym_DOT_DOT] = ACTIONS(4640),
    [anon_sym_and] = ACTIONS(4640),
    [anon_sym_or] = ACTIONS(4640),
    [anon_sym_PLUS_EQ] = ACTIONS(4640),
    [anon_sym_DASH_EQ] = ACTIONS(4640),
    [anon_sym_STAR_EQ] = ACTIONS(4640),
    [anon_sym_SLASH_EQ] = ACTIONS(4640),
    [anon_sym_PERCENT_EQ] = ACTIONS(4640),
    [anon_sym_AMP_EQ] = ACTIONS(4640),
    [anon_sym_CARET_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_LT_LT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4640),
    [anon_sym_AMP_AMP] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK] = ACTIONS(4642),
    [anon_sym_on] = ACTIONS(4640),
    [anon_sym_equals] = ACTIONS(4640),
    [anon_sym_by] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4640),
    [anon_sym_is] = ACTIONS(4640),
    [anon_sym_DASH_GT] = ACTIONS(4640),
    [anon_sym_with] = ACTIONS(4640),
    [aux_sym_preproc_if_token3] = ACTIONS(4640),
    [aux_sym_preproc_else_token1] = ACTIONS(4640),
    [aux_sym_preproc_elif_token1] = ACTIONS(4640),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3281] = {
    [sym_preproc_region] = STATE(3281),
    [sym_preproc_endregion] = STATE(3281),
    [sym_preproc_line] = STATE(3281),
    [sym_preproc_pragma] = STATE(3281),
    [sym_preproc_nullable] = STATE(3281),
    [sym_preproc_error] = STATE(3281),
    [sym_preproc_define] = STATE(3281),
    [sym_preproc_undef] = STATE(3281),
    [sym__identifier_token] = ACTIONS(4563),
    [anon_sym_alias] = ACTIONS(4563),
    [anon_sym_global] = ACTIONS(4563),
    [anon_sym_LBRACK] = ACTIONS(4565),
    [anon_sym_COLON] = ACTIONS(4565),
    [anon_sym_COMMA] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(4565),
    [anon_sym_LBRACE] = ACTIONS(4565),
    [anon_sym_file] = ACTIONS(4563),
    [anon_sym_LT] = ACTIONS(4563),
    [anon_sym_GT] = ACTIONS(4563),
    [anon_sym_where] = ACTIONS(4563),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_notnull] = ACTIONS(4563),
    [anon_sym_unmanaged] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4565),
    [anon_sym_DASH_DASH] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_SLASH] = ACTIONS(4563),
    [anon_sym_PERCENT] = ACTIONS(4565),
    [anon_sym_CARET] = ACTIONS(4565),
    [anon_sym_PIPE] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(4563),
    [anon_sym_LT_LT] = ACTIONS(4565),
    [anon_sym_GT_GT] = ACTIONS(4563),
    [anon_sym_GT_GT_GT] = ACTIONS(4565),
    [anon_sym_EQ_EQ] = ACTIONS(4565),
    [anon_sym_BANG_EQ] = ACTIONS(4565),
    [anon_sym_GT_EQ] = ACTIONS(4565),
    [anon_sym_LT_EQ] = ACTIONS(4565),
    [anon_sym_DOT] = ACTIONS(4563),
    [anon_sym_scoped] = ACTIONS(4563),
    [anon_sym_var] = ACTIONS(4563),
    [anon_sym_yield] = ACTIONS(4563),
    [anon_sym_switch] = ACTIONS(4563),
    [anon_sym_when] = ACTIONS(4563),
    [sym_discard] = ACTIONS(4563),
    [anon_sym_DOT_DOT] = ACTIONS(4565),
    [anon_sym_and] = ACTIONS(4563),
    [anon_sym_or] = ACTIONS(4563),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_PIPE_PIPE] = ACTIONS(4565),
    [anon_sym_QMARK_QMARK] = ACTIONS(4565),
    [anon_sym_from] = ACTIONS(4563),
    [anon_sym_into] = ACTIONS(4563),
    [anon_sym_join] = ACTIONS(4563),
    [anon_sym_on] = ACTIONS(4563),
    [anon_sym_equals] = ACTIONS(4563),
    [anon_sym_let] = ACTIONS(4563),
    [anon_sym_orderby] = ACTIONS(4563),
    [anon_sym_ascending] = ACTIONS(4563),
    [anon_sym_descending] = ACTIONS(4563),
    [anon_sym_group] = ACTIONS(4563),
    [anon_sym_by] = ACTIONS(4563),
    [anon_sym_select] = ACTIONS(4563),
    [anon_sym_as] = ACTIONS(4563),
    [anon_sym_is] = ACTIONS(4563),
    [anon_sym_DASH_GT] = ACTIONS(4565),
    [anon_sym_with] = ACTIONS(4563),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4565),
  },
  [3282] = {
    [sym_preproc_region] = STATE(3282),
    [sym_preproc_endregion] = STATE(3282),
    [sym_preproc_line] = STATE(3282),
    [sym_preproc_pragma] = STATE(3282),
    [sym_preproc_nullable] = STATE(3282),
    [sym_preproc_error] = STATE(3282),
    [sym_preproc_define] = STATE(3282),
    [sym_preproc_undef] = STATE(3282),
    [sym__identifier_token] = ACTIONS(4901),
    [anon_sym_extern] = ACTIONS(4901),
    [anon_sym_alias] = ACTIONS(4901),
    [anon_sym_global] = ACTIONS(4901),
    [anon_sym_using] = ACTIONS(4901),
    [anon_sym_unsafe] = ACTIONS(4901),
    [anon_sym_static] = ACTIONS(4901),
    [anon_sym_LBRACK] = ACTIONS(4903),
    [anon_sym_LPAREN] = ACTIONS(4903),
    [anon_sym_event] = ACTIONS(4901),
    [anon_sym_namespace] = ACTIONS(4901),
    [anon_sym_class] = ACTIONS(4901),
    [anon_sym_ref] = ACTIONS(4901),
    [anon_sym_struct] = ACTIONS(4901),
    [anon_sym_enum] = ACTIONS(4901),
    [anon_sym_RBRACE] = ACTIONS(4903),
    [anon_sym_interface] = ACTIONS(4901),
    [anon_sym_delegate] = ACTIONS(4901),
    [anon_sym_record] = ACTIONS(4901),
    [anon_sym_abstract] = ACTIONS(4901),
    [anon_sym_async] = ACTIONS(4901),
    [anon_sym_const] = ACTIONS(4901),
    [anon_sym_file] = ACTIONS(4901),
    [anon_sym_fixed] = ACTIONS(4901),
    [anon_sym_internal] = ACTIONS(4901),
    [anon_sym_new] = ACTIONS(4901),
    [anon_sym_override] = ACTIONS(4901),
    [anon_sym_partial] = ACTIONS(4901),
    [anon_sym_private] = ACTIONS(4901),
    [anon_sym_protected] = ACTIONS(4901),
    [anon_sym_public] = ACTIONS(4901),
    [anon_sym_readonly] = ACTIONS(4901),
    [anon_sym_required] = ACTIONS(4901),
    [anon_sym_sealed] = ACTIONS(4901),
    [anon_sym_virtual] = ACTIONS(4901),
    [anon_sym_volatile] = ACTIONS(4901),
    [anon_sym_where] = ACTIONS(4901),
    [anon_sym_notnull] = ACTIONS(4901),
    [anon_sym_unmanaged] = ACTIONS(4901),
    [anon_sym_TILDE] = ACTIONS(4903),
    [anon_sym_implicit] = ACTIONS(4901),
    [anon_sym_explicit] = ACTIONS(4901),
    [anon_sym_scoped] = ACTIONS(4901),
    [anon_sym_var] = ACTIONS(4901),
    [sym_predefined_type] = ACTIONS(4901),
    [anon_sym_yield] = ACTIONS(4901),
    [anon_sym_when] = ACTIONS(4901),
    [anon_sym_from] = ACTIONS(4901),
    [anon_sym_into] = ACTIONS(4901),
    [anon_sym_join] = ACTIONS(4901),
    [anon_sym_on] = ACTIONS(4901),
    [anon_sym_equals] = ACTIONS(4901),
    [anon_sym_let] = ACTIONS(4901),
    [anon_sym_orderby] = ACTIONS(4901),
    [anon_sym_ascending] = ACTIONS(4901),
    [anon_sym_descending] = ACTIONS(4901),
    [anon_sym_group] = ACTIONS(4901),
    [anon_sym_by] = ACTIONS(4901),
    [anon_sym_select] = ACTIONS(4901),
    [aux_sym_preproc_if_token1] = ACTIONS(4903),
    [aux_sym_preproc_if_token3] = ACTIONS(4903),
    [aux_sym_preproc_else_token1] = ACTIONS(4903),
    [aux_sym_preproc_elif_token1] = ACTIONS(4903),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3283] = {
    [sym_preproc_region] = STATE(3283),
    [sym_preproc_endregion] = STATE(3283),
    [sym_preproc_line] = STATE(3283),
    [sym_preproc_pragma] = STATE(3283),
    [sym_preproc_nullable] = STATE(3283),
    [sym_preproc_error] = STATE(3283),
    [sym_preproc_define] = STATE(3283),
    [sym_preproc_undef] = STATE(3283),
    [sym__identifier_token] = ACTIONS(3861),
    [anon_sym_extern] = ACTIONS(3861),
    [anon_sym_alias] = ACTIONS(3861),
    [anon_sym_global] = ACTIONS(3861),
    [anon_sym_using] = ACTIONS(3861),
    [anon_sym_unsafe] = ACTIONS(3861),
    [anon_sym_static] = ACTIONS(3861),
    [anon_sym_LBRACK] = ACTIONS(3863),
    [anon_sym_LPAREN] = ACTIONS(3863),
    [anon_sym_event] = ACTIONS(3861),
    [anon_sym_namespace] = ACTIONS(3861),
    [anon_sym_class] = ACTIONS(3861),
    [anon_sym_ref] = ACTIONS(3861),
    [anon_sym_struct] = ACTIONS(3861),
    [anon_sym_enum] = ACTIONS(3861),
    [anon_sym_RBRACE] = ACTIONS(3863),
    [anon_sym_interface] = ACTIONS(3861),
    [anon_sym_delegate] = ACTIONS(3861),
    [anon_sym_record] = ACTIONS(3861),
    [anon_sym_abstract] = ACTIONS(3861),
    [anon_sym_async] = ACTIONS(3861),
    [anon_sym_const] = ACTIONS(3861),
    [anon_sym_file] = ACTIONS(3861),
    [anon_sym_fixed] = ACTIONS(3861),
    [anon_sym_internal] = ACTIONS(3861),
    [anon_sym_new] = ACTIONS(3861),
    [anon_sym_override] = ACTIONS(3861),
    [anon_sym_partial] = ACTIONS(3861),
    [anon_sym_private] = ACTIONS(3861),
    [anon_sym_protected] = ACTIONS(3861),
    [anon_sym_public] = ACTIONS(3861),
    [anon_sym_readonly] = ACTIONS(3861),
    [anon_sym_required] = ACTIONS(3861),
    [anon_sym_sealed] = ACTIONS(3861),
    [anon_sym_virtual] = ACTIONS(3861),
    [anon_sym_volatile] = ACTIONS(3861),
    [anon_sym_where] = ACTIONS(3861),
    [anon_sym_notnull] = ACTIONS(3861),
    [anon_sym_unmanaged] = ACTIONS(3861),
    [anon_sym_TILDE] = ACTIONS(3863),
    [anon_sym_implicit] = ACTIONS(3861),
    [anon_sym_explicit] = ACTIONS(3861),
    [anon_sym_scoped] = ACTIONS(3861),
    [anon_sym_var] = ACTIONS(3861),
    [sym_predefined_type] = ACTIONS(3861),
    [anon_sym_yield] = ACTIONS(3861),
    [anon_sym_when] = ACTIONS(3861),
    [anon_sym_from] = ACTIONS(3861),
    [anon_sym_into] = ACTIONS(3861),
    [anon_sym_join] = ACTIONS(3861),
    [anon_sym_on] = ACTIONS(3861),
    [anon_sym_equals] = ACTIONS(3861),
    [anon_sym_let] = ACTIONS(3861),
    [anon_sym_orderby] = ACTIONS(3861),
    [anon_sym_ascending] = ACTIONS(3861),
    [anon_sym_descending] = ACTIONS(3861),
    [anon_sym_group] = ACTIONS(3861),
    [anon_sym_by] = ACTIONS(3861),
    [anon_sym_select] = ACTIONS(3861),
    [aux_sym_preproc_if_token1] = ACTIONS(3863),
    [aux_sym_preproc_if_token3] = ACTIONS(3863),
    [aux_sym_preproc_else_token1] = ACTIONS(3863),
    [aux_sym_preproc_elif_token1] = ACTIONS(3863),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3284] = {
    [sym_preproc_region] = STATE(3284),
    [sym_preproc_endregion] = STATE(3284),
    [sym_preproc_line] = STATE(3284),
    [sym_preproc_pragma] = STATE(3284),
    [sym_preproc_nullable] = STATE(3284),
    [sym_preproc_error] = STATE(3284),
    [sym_preproc_define] = STATE(3284),
    [sym_preproc_undef] = STATE(3284),
    [sym__identifier_token] = ACTIONS(4905),
    [anon_sym_extern] = ACTIONS(4905),
    [anon_sym_alias] = ACTIONS(4905),
    [anon_sym_global] = ACTIONS(4905),
    [anon_sym_using] = ACTIONS(4905),
    [anon_sym_unsafe] = ACTIONS(4905),
    [anon_sym_static] = ACTIONS(4905),
    [anon_sym_LBRACK] = ACTIONS(4907),
    [anon_sym_LPAREN] = ACTIONS(4907),
    [anon_sym_event] = ACTIONS(4905),
    [anon_sym_namespace] = ACTIONS(4905),
    [anon_sym_class] = ACTIONS(4905),
    [anon_sym_ref] = ACTIONS(4905),
    [anon_sym_struct] = ACTIONS(4905),
    [anon_sym_enum] = ACTIONS(4905),
    [anon_sym_RBRACE] = ACTIONS(4907),
    [anon_sym_interface] = ACTIONS(4905),
    [anon_sym_delegate] = ACTIONS(4905),
    [anon_sym_record] = ACTIONS(4905),
    [anon_sym_abstract] = ACTIONS(4905),
    [anon_sym_async] = ACTIONS(4905),
    [anon_sym_const] = ACTIONS(4905),
    [anon_sym_file] = ACTIONS(4905),
    [anon_sym_fixed] = ACTIONS(4905),
    [anon_sym_internal] = ACTIONS(4905),
    [anon_sym_new] = ACTIONS(4905),
    [anon_sym_override] = ACTIONS(4905),
    [anon_sym_partial] = ACTIONS(4905),
    [anon_sym_private] = ACTIONS(4905),
    [anon_sym_protected] = ACTIONS(4905),
    [anon_sym_public] = ACTIONS(4905),
    [anon_sym_readonly] = ACTIONS(4905),
    [anon_sym_required] = ACTIONS(4905),
    [anon_sym_sealed] = ACTIONS(4905),
    [anon_sym_virtual] = ACTIONS(4905),
    [anon_sym_volatile] = ACTIONS(4905),
    [anon_sym_where] = ACTIONS(4905),
    [anon_sym_notnull] = ACTIONS(4905),
    [anon_sym_unmanaged] = ACTIONS(4905),
    [anon_sym_TILDE] = ACTIONS(4907),
    [anon_sym_implicit] = ACTIONS(4905),
    [anon_sym_explicit] = ACTIONS(4905),
    [anon_sym_scoped] = ACTIONS(4905),
    [anon_sym_var] = ACTIONS(4905),
    [sym_predefined_type] = ACTIONS(4905),
    [anon_sym_yield] = ACTIONS(4905),
    [anon_sym_when] = ACTIONS(4905),
    [anon_sym_from] = ACTIONS(4905),
    [anon_sym_into] = ACTIONS(4905),
    [anon_sym_join] = ACTIONS(4905),
    [anon_sym_on] = ACTIONS(4905),
    [anon_sym_equals] = ACTIONS(4905),
    [anon_sym_let] = ACTIONS(4905),
    [anon_sym_orderby] = ACTIONS(4905),
    [anon_sym_ascending] = ACTIONS(4905),
    [anon_sym_descending] = ACTIONS(4905),
    [anon_sym_group] = ACTIONS(4905),
    [anon_sym_by] = ACTIONS(4905),
    [anon_sym_select] = ACTIONS(4905),
    [aux_sym_preproc_if_token1] = ACTIONS(4907),
    [aux_sym_preproc_if_token3] = ACTIONS(4907),
    [aux_sym_preproc_else_token1] = ACTIONS(4907),
    [aux_sym_preproc_elif_token1] = ACTIONS(4907),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3285] = {
    [sym_preproc_region] = STATE(3285),
    [sym_preproc_endregion] = STATE(3285),
    [sym_preproc_line] = STATE(3285),
    [sym_preproc_pragma] = STATE(3285),
    [sym_preproc_nullable] = STATE(3285),
    [sym_preproc_error] = STATE(3285),
    [sym_preproc_define] = STATE(3285),
    [sym_preproc_undef] = STATE(3285),
    [sym__identifier_token] = ACTIONS(3865),
    [anon_sym_extern] = ACTIONS(3865),
    [anon_sym_alias] = ACTIONS(3865),
    [anon_sym_global] = ACTIONS(3865),
    [anon_sym_using] = ACTIONS(3865),
    [anon_sym_unsafe] = ACTIONS(3865),
    [anon_sym_static] = ACTIONS(3865),
    [anon_sym_LBRACK] = ACTIONS(3867),
    [anon_sym_LPAREN] = ACTIONS(3867),
    [anon_sym_event] = ACTIONS(3865),
    [anon_sym_namespace] = ACTIONS(3865),
    [anon_sym_class] = ACTIONS(3865),
    [anon_sym_ref] = ACTIONS(3865),
    [anon_sym_struct] = ACTIONS(3865),
    [anon_sym_enum] = ACTIONS(3865),
    [anon_sym_RBRACE] = ACTIONS(3867),
    [anon_sym_interface] = ACTIONS(3865),
    [anon_sym_delegate] = ACTIONS(3865),
    [anon_sym_record] = ACTIONS(3865),
    [anon_sym_abstract] = ACTIONS(3865),
    [anon_sym_async] = ACTIONS(3865),
    [anon_sym_const] = ACTIONS(3865),
    [anon_sym_file] = ACTIONS(3865),
    [anon_sym_fixed] = ACTIONS(3865),
    [anon_sym_internal] = ACTIONS(3865),
    [anon_sym_new] = ACTIONS(3865),
    [anon_sym_override] = ACTIONS(3865),
    [anon_sym_partial] = ACTIONS(3865),
    [anon_sym_private] = ACTIONS(3865),
    [anon_sym_protected] = ACTIONS(3865),
    [anon_sym_public] = ACTIONS(3865),
    [anon_sym_readonly] = ACTIONS(3865),
    [anon_sym_required] = ACTIONS(3865),
    [anon_sym_sealed] = ACTIONS(3865),
    [anon_sym_virtual] = ACTIONS(3865),
    [anon_sym_volatile] = ACTIONS(3865),
    [anon_sym_where] = ACTIONS(3865),
    [anon_sym_notnull] = ACTIONS(3865),
    [anon_sym_unmanaged] = ACTIONS(3865),
    [anon_sym_TILDE] = ACTIONS(3867),
    [anon_sym_implicit] = ACTIONS(3865),
    [anon_sym_explicit] = ACTIONS(3865),
    [anon_sym_scoped] = ACTIONS(3865),
    [anon_sym_var] = ACTIONS(3865),
    [sym_predefined_type] = ACTIONS(3865),
    [anon_sym_yield] = ACTIONS(3865),
    [anon_sym_when] = ACTIONS(3865),
    [anon_sym_from] = ACTIONS(3865),
    [anon_sym_into] = ACTIONS(3865),
    [anon_sym_join] = ACTIONS(3865),
    [anon_sym_on] = ACTIONS(3865),
    [anon_sym_equals] = ACTIONS(3865),
    [anon_sym_let] = ACTIONS(3865),
    [anon_sym_orderby] = ACTIONS(3865),
    [anon_sym_ascending] = ACTIONS(3865),
    [anon_sym_descending] = ACTIONS(3865),
    [anon_sym_group] = ACTIONS(3865),
    [anon_sym_by] = ACTIONS(3865),
    [anon_sym_select] = ACTIONS(3865),
    [aux_sym_preproc_if_token1] = ACTIONS(3867),
    [aux_sym_preproc_if_token3] = ACTIONS(3867),
    [aux_sym_preproc_else_token1] = ACTIONS(3867),
    [aux_sym_preproc_elif_token1] = ACTIONS(3867),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3286] = {
    [sym_preproc_region] = STATE(3286),
    [sym_preproc_endregion] = STATE(3286),
    [sym_preproc_line] = STATE(3286),
    [sym_preproc_pragma] = STATE(3286),
    [sym_preproc_nullable] = STATE(3286),
    [sym_preproc_error] = STATE(3286),
    [sym_preproc_define] = STATE(3286),
    [sym_preproc_undef] = STATE(3286),
    [sym__identifier_token] = ACTIONS(4909),
    [anon_sym_extern] = ACTIONS(4909),
    [anon_sym_alias] = ACTIONS(4909),
    [anon_sym_global] = ACTIONS(4909),
    [anon_sym_using] = ACTIONS(4909),
    [anon_sym_unsafe] = ACTIONS(4909),
    [anon_sym_static] = ACTIONS(4909),
    [anon_sym_LBRACK] = ACTIONS(4911),
    [anon_sym_LPAREN] = ACTIONS(4911),
    [anon_sym_event] = ACTIONS(4909),
    [anon_sym_namespace] = ACTIONS(4909),
    [anon_sym_class] = ACTIONS(4909),
    [anon_sym_ref] = ACTIONS(4909),
    [anon_sym_struct] = ACTIONS(4909),
    [anon_sym_enum] = ACTIONS(4909),
    [anon_sym_RBRACE] = ACTIONS(4911),
    [anon_sym_interface] = ACTIONS(4909),
    [anon_sym_delegate] = ACTIONS(4909),
    [anon_sym_record] = ACTIONS(4909),
    [anon_sym_abstract] = ACTIONS(4909),
    [anon_sym_async] = ACTIONS(4909),
    [anon_sym_const] = ACTIONS(4909),
    [anon_sym_file] = ACTIONS(4909),
    [anon_sym_fixed] = ACTIONS(4909),
    [anon_sym_internal] = ACTIONS(4909),
    [anon_sym_new] = ACTIONS(4909),
    [anon_sym_override] = ACTIONS(4909),
    [anon_sym_partial] = ACTIONS(4909),
    [anon_sym_private] = ACTIONS(4909),
    [anon_sym_protected] = ACTIONS(4909),
    [anon_sym_public] = ACTIONS(4909),
    [anon_sym_readonly] = ACTIONS(4909),
    [anon_sym_required] = ACTIONS(4909),
    [anon_sym_sealed] = ACTIONS(4909),
    [anon_sym_virtual] = ACTIONS(4909),
    [anon_sym_volatile] = ACTIONS(4909),
    [anon_sym_where] = ACTIONS(4909),
    [anon_sym_notnull] = ACTIONS(4909),
    [anon_sym_unmanaged] = ACTIONS(4909),
    [anon_sym_TILDE] = ACTIONS(4911),
    [anon_sym_implicit] = ACTIONS(4909),
    [anon_sym_explicit] = ACTIONS(4909),
    [anon_sym_scoped] = ACTIONS(4909),
    [anon_sym_var] = ACTIONS(4909),
    [sym_predefined_type] = ACTIONS(4909),
    [anon_sym_yield] = ACTIONS(4909),
    [anon_sym_when] = ACTIONS(4909),
    [anon_sym_from] = ACTIONS(4909),
    [anon_sym_into] = ACTIONS(4909),
    [anon_sym_join] = ACTIONS(4909),
    [anon_sym_on] = ACTIONS(4909),
    [anon_sym_equals] = ACTIONS(4909),
    [anon_sym_let] = ACTIONS(4909),
    [anon_sym_orderby] = ACTIONS(4909),
    [anon_sym_ascending] = ACTIONS(4909),
    [anon_sym_descending] = ACTIONS(4909),
    [anon_sym_group] = ACTIONS(4909),
    [anon_sym_by] = ACTIONS(4909),
    [anon_sym_select] = ACTIONS(4909),
    [aux_sym_preproc_if_token1] = ACTIONS(4911),
    [aux_sym_preproc_if_token3] = ACTIONS(4911),
    [aux_sym_preproc_else_token1] = ACTIONS(4911),
    [aux_sym_preproc_elif_token1] = ACTIONS(4911),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3287] = {
    [sym_preproc_region] = STATE(3287),
    [sym_preproc_endregion] = STATE(3287),
    [sym_preproc_line] = STATE(3287),
    [sym_preproc_pragma] = STATE(3287),
    [sym_preproc_nullable] = STATE(3287),
    [sym_preproc_error] = STATE(3287),
    [sym_preproc_define] = STATE(3287),
    [sym_preproc_undef] = STATE(3287),
    [sym__identifier_token] = ACTIONS(3873),
    [anon_sym_extern] = ACTIONS(3873),
    [anon_sym_alias] = ACTIONS(3873),
    [anon_sym_global] = ACTIONS(3873),
    [anon_sym_using] = ACTIONS(3873),
    [anon_sym_unsafe] = ACTIONS(3873),
    [anon_sym_static] = ACTIONS(3873),
    [anon_sym_LBRACK] = ACTIONS(3875),
    [anon_sym_LPAREN] = ACTIONS(3875),
    [anon_sym_event] = ACTIONS(3873),
    [anon_sym_namespace] = ACTIONS(3873),
    [anon_sym_class] = ACTIONS(3873),
    [anon_sym_ref] = ACTIONS(3873),
    [anon_sym_struct] = ACTIONS(3873),
    [anon_sym_enum] = ACTIONS(3873),
    [anon_sym_RBRACE] = ACTIONS(3875),
    [anon_sym_interface] = ACTIONS(3873),
    [anon_sym_delegate] = ACTIONS(3873),
    [anon_sym_record] = ACTIONS(3873),
    [anon_sym_abstract] = ACTIONS(3873),
    [anon_sym_async] = ACTIONS(3873),
    [anon_sym_const] = ACTIONS(3873),
    [anon_sym_file] = ACTIONS(3873),
    [anon_sym_fixed] = ACTIONS(3873),
    [anon_sym_internal] = ACTIONS(3873),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_override] = ACTIONS(3873),
    [anon_sym_partial] = ACTIONS(3873),
    [anon_sym_private] = ACTIONS(3873),
    [anon_sym_protected] = ACTIONS(3873),
    [anon_sym_public] = ACTIONS(3873),
    [anon_sym_readonly] = ACTIONS(3873),
    [anon_sym_required] = ACTIONS(3873),
    [anon_sym_sealed] = ACTIONS(3873),
    [anon_sym_virtual] = ACTIONS(3873),
    [anon_sym_volatile] = ACTIONS(3873),
    [anon_sym_where] = ACTIONS(3873),
    [anon_sym_notnull] = ACTIONS(3873),
    [anon_sym_unmanaged] = ACTIONS(3873),
    [anon_sym_TILDE] = ACTIONS(3875),
    [anon_sym_implicit] = ACTIONS(3873),
    [anon_sym_explicit] = ACTIONS(3873),
    [anon_sym_scoped] = ACTIONS(3873),
    [anon_sym_var] = ACTIONS(3873),
    [sym_predefined_type] = ACTIONS(3873),
    [anon_sym_yield] = ACTIONS(3873),
    [anon_sym_when] = ACTIONS(3873),
    [anon_sym_from] = ACTIONS(3873),
    [anon_sym_into] = ACTIONS(3873),
    [anon_sym_join] = ACTIONS(3873),
    [anon_sym_on] = ACTIONS(3873),
    [anon_sym_equals] = ACTIONS(3873),
    [anon_sym_let] = ACTIONS(3873),
    [anon_sym_orderby] = ACTIONS(3873),
    [anon_sym_ascending] = ACTIONS(3873),
    [anon_sym_descending] = ACTIONS(3873),
    [anon_sym_group] = ACTIONS(3873),
    [anon_sym_by] = ACTIONS(3873),
    [anon_sym_select] = ACTIONS(3873),
    [aux_sym_preproc_if_token1] = ACTIONS(3875),
    [aux_sym_preproc_if_token3] = ACTIONS(3875),
    [aux_sym_preproc_else_token1] = ACTIONS(3875),
    [aux_sym_preproc_elif_token1] = ACTIONS(3875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3288] = {
    [sym_preproc_region] = STATE(3288),
    [sym_preproc_endregion] = STATE(3288),
    [sym_preproc_line] = STATE(3288),
    [sym_preproc_pragma] = STATE(3288),
    [sym_preproc_nullable] = STATE(3288),
    [sym_preproc_error] = STATE(3288),
    [sym_preproc_define] = STATE(3288),
    [sym_preproc_undef] = STATE(3288),
    [sym__identifier_token] = ACTIONS(3877),
    [anon_sym_extern] = ACTIONS(3877),
    [anon_sym_alias] = ACTIONS(3877),
    [anon_sym_global] = ACTIONS(3877),
    [anon_sym_using] = ACTIONS(3877),
    [anon_sym_unsafe] = ACTIONS(3877),
    [anon_sym_static] = ACTIONS(3877),
    [anon_sym_LBRACK] = ACTIONS(3879),
    [anon_sym_LPAREN] = ACTIONS(3879),
    [anon_sym_event] = ACTIONS(3877),
    [anon_sym_namespace] = ACTIONS(3877),
    [anon_sym_class] = ACTIONS(3877),
    [anon_sym_ref] = ACTIONS(3877),
    [anon_sym_struct] = ACTIONS(3877),
    [anon_sym_enum] = ACTIONS(3877),
    [anon_sym_RBRACE] = ACTIONS(3879),
    [anon_sym_interface] = ACTIONS(3877),
    [anon_sym_delegate] = ACTIONS(3877),
    [anon_sym_record] = ACTIONS(3877),
    [anon_sym_abstract] = ACTIONS(3877),
    [anon_sym_async] = ACTIONS(3877),
    [anon_sym_const] = ACTIONS(3877),
    [anon_sym_file] = ACTIONS(3877),
    [anon_sym_fixed] = ACTIONS(3877),
    [anon_sym_internal] = ACTIONS(3877),
    [anon_sym_new] = ACTIONS(3877),
    [anon_sym_override] = ACTIONS(3877),
    [anon_sym_partial] = ACTIONS(3877),
    [anon_sym_private] = ACTIONS(3877),
    [anon_sym_protected] = ACTIONS(3877),
    [anon_sym_public] = ACTIONS(3877),
    [anon_sym_readonly] = ACTIONS(3877),
    [anon_sym_required] = ACTIONS(3877),
    [anon_sym_sealed] = ACTIONS(3877),
    [anon_sym_virtual] = ACTIONS(3877),
    [anon_sym_volatile] = ACTIONS(3877),
    [anon_sym_where] = ACTIONS(3877),
    [anon_sym_notnull] = ACTIONS(3877),
    [anon_sym_unmanaged] = ACTIONS(3877),
    [anon_sym_TILDE] = ACTIONS(3879),
    [anon_sym_implicit] = ACTIONS(3877),
    [anon_sym_explicit] = ACTIONS(3877),
    [anon_sym_scoped] = ACTIONS(3877),
    [anon_sym_var] = ACTIONS(3877),
    [sym_predefined_type] = ACTIONS(3877),
    [anon_sym_yield] = ACTIONS(3877),
    [anon_sym_when] = ACTIONS(3877),
    [anon_sym_from] = ACTIONS(3877),
    [anon_sym_into] = ACTIONS(3877),
    [anon_sym_join] = ACTIONS(3877),
    [anon_sym_on] = ACTIONS(3877),
    [anon_sym_equals] = ACTIONS(3877),
    [anon_sym_let] = ACTIONS(3877),
    [anon_sym_orderby] = ACTIONS(3877),
    [anon_sym_ascending] = ACTIONS(3877),
    [anon_sym_descending] = ACTIONS(3877),
    [anon_sym_group] = ACTIONS(3877),
    [anon_sym_by] = ACTIONS(3877),
    [anon_sym_select] = ACTIONS(3877),
    [aux_sym_preproc_if_token1] = ACTIONS(3879),
    [aux_sym_preproc_if_token3] = ACTIONS(3879),
    [aux_sym_preproc_else_token1] = ACTIONS(3879),
    [aux_sym_preproc_elif_token1] = ACTIONS(3879),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3289] = {
    [sym_preproc_region] = STATE(3289),
    [sym_preproc_endregion] = STATE(3289),
    [sym_preproc_line] = STATE(3289),
    [sym_preproc_pragma] = STATE(3289),
    [sym_preproc_nullable] = STATE(3289),
    [sym_preproc_error] = STATE(3289),
    [sym_preproc_define] = STATE(3289),
    [sym_preproc_undef] = STATE(3289),
    [sym__identifier_token] = ACTIONS(3881),
    [anon_sym_extern] = ACTIONS(3881),
    [anon_sym_alias] = ACTIONS(3881),
    [anon_sym_global] = ACTIONS(3881),
    [anon_sym_using] = ACTIONS(3881),
    [anon_sym_unsafe] = ACTIONS(3881),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_LBRACK] = ACTIONS(3883),
    [anon_sym_LPAREN] = ACTIONS(3883),
    [anon_sym_event] = ACTIONS(3881),
    [anon_sym_namespace] = ACTIONS(3881),
    [anon_sym_class] = ACTIONS(3881),
    [anon_sym_ref] = ACTIONS(3881),
    [anon_sym_struct] = ACTIONS(3881),
    [anon_sym_enum] = ACTIONS(3881),
    [anon_sym_RBRACE] = ACTIONS(3883),
    [anon_sym_interface] = ACTIONS(3881),
    [anon_sym_delegate] = ACTIONS(3881),
    [anon_sym_record] = ACTIONS(3881),
    [anon_sym_abstract] = ACTIONS(3881),
    [anon_sym_async] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3881),
    [anon_sym_file] = ACTIONS(3881),
    [anon_sym_fixed] = ACTIONS(3881),
    [anon_sym_internal] = ACTIONS(3881),
    [anon_sym_new] = ACTIONS(3881),
    [anon_sym_override] = ACTIONS(3881),
    [anon_sym_partial] = ACTIONS(3881),
    [anon_sym_private] = ACTIONS(3881),
    [anon_sym_protected] = ACTIONS(3881),
    [anon_sym_public] = ACTIONS(3881),
    [anon_sym_readonly] = ACTIONS(3881),
    [anon_sym_required] = ACTIONS(3881),
    [anon_sym_sealed] = ACTIONS(3881),
    [anon_sym_virtual] = ACTIONS(3881),
    [anon_sym_volatile] = ACTIONS(3881),
    [anon_sym_where] = ACTIONS(3881),
    [anon_sym_notnull] = ACTIONS(3881),
    [anon_sym_unmanaged] = ACTIONS(3881),
    [anon_sym_TILDE] = ACTIONS(3883),
    [anon_sym_implicit] = ACTIONS(3881),
    [anon_sym_explicit] = ACTIONS(3881),
    [anon_sym_scoped] = ACTIONS(3881),
    [anon_sym_var] = ACTIONS(3881),
    [sym_predefined_type] = ACTIONS(3881),
    [anon_sym_yield] = ACTIONS(3881),
    [anon_sym_when] = ACTIONS(3881),
    [anon_sym_from] = ACTIONS(3881),
    [anon_sym_into] = ACTIONS(3881),
    [anon_sym_join] = ACTIONS(3881),
    [anon_sym_on] = ACTIONS(3881),
    [anon_sym_equals] = ACTIONS(3881),
    [anon_sym_let] = ACTIONS(3881),
    [anon_sym_orderby] = ACTIONS(3881),
    [anon_sym_ascending] = ACTIONS(3881),
    [anon_sym_descending] = ACTIONS(3881),
    [anon_sym_group] = ACTIONS(3881),
    [anon_sym_by] = ACTIONS(3881),
    [anon_sym_select] = ACTIONS(3881),
    [aux_sym_preproc_if_token1] = ACTIONS(3883),
    [aux_sym_preproc_if_token3] = ACTIONS(3883),
    [aux_sym_preproc_else_token1] = ACTIONS(3883),
    [aux_sym_preproc_elif_token1] = ACTIONS(3883),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3290] = {
    [sym_preproc_region] = STATE(3290),
    [sym_preproc_endregion] = STATE(3290),
    [sym_preproc_line] = STATE(3290),
    [sym_preproc_pragma] = STATE(3290),
    [sym_preproc_nullable] = STATE(3290),
    [sym_preproc_error] = STATE(3290),
    [sym_preproc_define] = STATE(3290),
    [sym_preproc_undef] = STATE(3290),
    [sym__identifier_token] = ACTIONS(3885),
    [anon_sym_extern] = ACTIONS(3885),
    [anon_sym_alias] = ACTIONS(3885),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_using] = ACTIONS(3885),
    [anon_sym_unsafe] = ACTIONS(3885),
    [anon_sym_static] = ACTIONS(3885),
    [anon_sym_LBRACK] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(3887),
    [anon_sym_event] = ACTIONS(3885),
    [anon_sym_namespace] = ACTIONS(3885),
    [anon_sym_class] = ACTIONS(3885),
    [anon_sym_ref] = ACTIONS(3885),
    [anon_sym_struct] = ACTIONS(3885),
    [anon_sym_enum] = ACTIONS(3885),
    [anon_sym_RBRACE] = ACTIONS(3887),
    [anon_sym_interface] = ACTIONS(3885),
    [anon_sym_delegate] = ACTIONS(3885),
    [anon_sym_record] = ACTIONS(3885),
    [anon_sym_abstract] = ACTIONS(3885),
    [anon_sym_async] = ACTIONS(3885),
    [anon_sym_const] = ACTIONS(3885),
    [anon_sym_file] = ACTIONS(3885),
    [anon_sym_fixed] = ACTIONS(3885),
    [anon_sym_internal] = ACTIONS(3885),
    [anon_sym_new] = ACTIONS(3885),
    [anon_sym_override] = ACTIONS(3885),
    [anon_sym_partial] = ACTIONS(3885),
    [anon_sym_private] = ACTIONS(3885),
    [anon_sym_protected] = ACTIONS(3885),
    [anon_sym_public] = ACTIONS(3885),
    [anon_sym_readonly] = ACTIONS(3885),
    [anon_sym_required] = ACTIONS(3885),
    [anon_sym_sealed] = ACTIONS(3885),
    [anon_sym_virtual] = ACTIONS(3885),
    [anon_sym_volatile] = ACTIONS(3885),
    [anon_sym_where] = ACTIONS(3885),
    [anon_sym_notnull] = ACTIONS(3885),
    [anon_sym_unmanaged] = ACTIONS(3885),
    [anon_sym_TILDE] = ACTIONS(3887),
    [anon_sym_implicit] = ACTIONS(3885),
    [anon_sym_explicit] = ACTIONS(3885),
    [anon_sym_scoped] = ACTIONS(3885),
    [anon_sym_var] = ACTIONS(3885),
    [sym_predefined_type] = ACTIONS(3885),
    [anon_sym_yield] = ACTIONS(3885),
    [anon_sym_when] = ACTIONS(3885),
    [anon_sym_from] = ACTIONS(3885),
    [anon_sym_into] = ACTIONS(3885),
    [anon_sym_join] = ACTIONS(3885),
    [anon_sym_on] = ACTIONS(3885),
    [anon_sym_equals] = ACTIONS(3885),
    [anon_sym_let] = ACTIONS(3885),
    [anon_sym_orderby] = ACTIONS(3885),
    [anon_sym_ascending] = ACTIONS(3885),
    [anon_sym_descending] = ACTIONS(3885),
    [anon_sym_group] = ACTIONS(3885),
    [anon_sym_by] = ACTIONS(3885),
    [anon_sym_select] = ACTIONS(3885),
    [aux_sym_preproc_if_token1] = ACTIONS(3887),
    [aux_sym_preproc_if_token3] = ACTIONS(3887),
    [aux_sym_preproc_else_token1] = ACTIONS(3887),
    [aux_sym_preproc_elif_token1] = ACTIONS(3887),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3291] = {
    [sym_preproc_region] = STATE(3291),
    [sym_preproc_endregion] = STATE(3291),
    [sym_preproc_line] = STATE(3291),
    [sym_preproc_pragma] = STATE(3291),
    [sym_preproc_nullable] = STATE(3291),
    [sym_preproc_error] = STATE(3291),
    [sym_preproc_define] = STATE(3291),
    [sym_preproc_undef] = STATE(3291),
    [sym__identifier_token] = ACTIONS(4913),
    [anon_sym_extern] = ACTIONS(4913),
    [anon_sym_alias] = ACTIONS(4913),
    [anon_sym_global] = ACTIONS(4913),
    [anon_sym_using] = ACTIONS(4913),
    [anon_sym_unsafe] = ACTIONS(4913),
    [anon_sym_static] = ACTIONS(4913),
    [anon_sym_LBRACK] = ACTIONS(4915),
    [anon_sym_LPAREN] = ACTIONS(4915),
    [anon_sym_event] = ACTIONS(4913),
    [anon_sym_namespace] = ACTIONS(4913),
    [anon_sym_class] = ACTIONS(4913),
    [anon_sym_ref] = ACTIONS(4913),
    [anon_sym_struct] = ACTIONS(4913),
    [anon_sym_enum] = ACTIONS(4913),
    [anon_sym_RBRACE] = ACTIONS(4915),
    [anon_sym_interface] = ACTIONS(4913),
    [anon_sym_delegate] = ACTIONS(4913),
    [anon_sym_record] = ACTIONS(4913),
    [anon_sym_abstract] = ACTIONS(4913),
    [anon_sym_async] = ACTIONS(4913),
    [anon_sym_const] = ACTIONS(4913),
    [anon_sym_file] = ACTIONS(4913),
    [anon_sym_fixed] = ACTIONS(4913),
    [anon_sym_internal] = ACTIONS(4913),
    [anon_sym_new] = ACTIONS(4913),
    [anon_sym_override] = ACTIONS(4913),
    [anon_sym_partial] = ACTIONS(4913),
    [anon_sym_private] = ACTIONS(4913),
    [anon_sym_protected] = ACTIONS(4913),
    [anon_sym_public] = ACTIONS(4913),
    [anon_sym_readonly] = ACTIONS(4913),
    [anon_sym_required] = ACTIONS(4913),
    [anon_sym_sealed] = ACTIONS(4913),
    [anon_sym_virtual] = ACTIONS(4913),
    [anon_sym_volatile] = ACTIONS(4913),
    [anon_sym_where] = ACTIONS(4913),
    [anon_sym_notnull] = ACTIONS(4913),
    [anon_sym_unmanaged] = ACTIONS(4913),
    [anon_sym_TILDE] = ACTIONS(4915),
    [anon_sym_implicit] = ACTIONS(4913),
    [anon_sym_explicit] = ACTIONS(4913),
    [anon_sym_scoped] = ACTIONS(4913),
    [anon_sym_var] = ACTIONS(4913),
    [sym_predefined_type] = ACTIONS(4913),
    [anon_sym_yield] = ACTIONS(4913),
    [anon_sym_when] = ACTIONS(4913),
    [anon_sym_from] = ACTIONS(4913),
    [anon_sym_into] = ACTIONS(4913),
    [anon_sym_join] = ACTIONS(4913),
    [anon_sym_on] = ACTIONS(4913),
    [anon_sym_equals] = ACTIONS(4913),
    [anon_sym_let] = ACTIONS(4913),
    [anon_sym_orderby] = ACTIONS(4913),
    [anon_sym_ascending] = ACTIONS(4913),
    [anon_sym_descending] = ACTIONS(4913),
    [anon_sym_group] = ACTIONS(4913),
    [anon_sym_by] = ACTIONS(4913),
    [anon_sym_select] = ACTIONS(4913),
    [aux_sym_preproc_if_token1] = ACTIONS(4915),
    [aux_sym_preproc_if_token3] = ACTIONS(4915),
    [aux_sym_preproc_else_token1] = ACTIONS(4915),
    [aux_sym_preproc_elif_token1] = ACTIONS(4915),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3292] = {
    [sym_preproc_region] = STATE(3292),
    [sym_preproc_endregion] = STATE(3292),
    [sym_preproc_line] = STATE(3292),
    [sym_preproc_pragma] = STATE(3292),
    [sym_preproc_nullable] = STATE(3292),
    [sym_preproc_error] = STATE(3292),
    [sym_preproc_define] = STATE(3292),
    [sym_preproc_undef] = STATE(3292),
    [sym__identifier_token] = ACTIONS(3889),
    [anon_sym_extern] = ACTIONS(3889),
    [anon_sym_alias] = ACTIONS(3889),
    [anon_sym_global] = ACTIONS(3889),
    [anon_sym_using] = ACTIONS(3889),
    [anon_sym_unsafe] = ACTIONS(3889),
    [anon_sym_static] = ACTIONS(3889),
    [anon_sym_LBRACK] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3891),
    [anon_sym_event] = ACTIONS(3889),
    [anon_sym_namespace] = ACTIONS(3889),
    [anon_sym_class] = ACTIONS(3889),
    [anon_sym_ref] = ACTIONS(3889),
    [anon_sym_struct] = ACTIONS(3889),
    [anon_sym_enum] = ACTIONS(3889),
    [anon_sym_RBRACE] = ACTIONS(3891),
    [anon_sym_interface] = ACTIONS(3889),
    [anon_sym_delegate] = ACTIONS(3889),
    [anon_sym_record] = ACTIONS(3889),
    [anon_sym_abstract] = ACTIONS(3889),
    [anon_sym_async] = ACTIONS(3889),
    [anon_sym_const] = ACTIONS(3889),
    [anon_sym_file] = ACTIONS(3889),
    [anon_sym_fixed] = ACTIONS(3889),
    [anon_sym_internal] = ACTIONS(3889),
    [anon_sym_new] = ACTIONS(3889),
    [anon_sym_override] = ACTIONS(3889),
    [anon_sym_partial] = ACTIONS(3889),
    [anon_sym_private] = ACTIONS(3889),
    [anon_sym_protected] = ACTIONS(3889),
    [anon_sym_public] = ACTIONS(3889),
    [anon_sym_readonly] = ACTIONS(3889),
    [anon_sym_required] = ACTIONS(3889),
    [anon_sym_sealed] = ACTIONS(3889),
    [anon_sym_virtual] = ACTIONS(3889),
    [anon_sym_volatile] = ACTIONS(3889),
    [anon_sym_where] = ACTIONS(3889),
    [anon_sym_notnull] = ACTIONS(3889),
    [anon_sym_unmanaged] = ACTIONS(3889),
    [anon_sym_TILDE] = ACTIONS(3891),
    [anon_sym_implicit] = ACTIONS(3889),
    [anon_sym_explicit] = ACTIONS(3889),
    [anon_sym_scoped] = ACTIONS(3889),
    [anon_sym_var] = ACTIONS(3889),
    [sym_predefined_type] = ACTIONS(3889),
    [anon_sym_yield] = ACTIONS(3889),
    [anon_sym_when] = ACTIONS(3889),
    [anon_sym_from] = ACTIONS(3889),
    [anon_sym_into] = ACTIONS(3889),
    [anon_sym_join] = ACTIONS(3889),
    [anon_sym_on] = ACTIONS(3889),
    [anon_sym_equals] = ACTIONS(3889),
    [anon_sym_let] = ACTIONS(3889),
    [anon_sym_orderby] = ACTIONS(3889),
    [anon_sym_ascending] = ACTIONS(3889),
    [anon_sym_descending] = ACTIONS(3889),
    [anon_sym_group] = ACTIONS(3889),
    [anon_sym_by] = ACTIONS(3889),
    [anon_sym_select] = ACTIONS(3889),
    [aux_sym_preproc_if_token1] = ACTIONS(3891),
    [aux_sym_preproc_if_token3] = ACTIONS(3891),
    [aux_sym_preproc_else_token1] = ACTIONS(3891),
    [aux_sym_preproc_elif_token1] = ACTIONS(3891),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3293] = {
    [sym_preproc_region] = STATE(3293),
    [sym_preproc_endregion] = STATE(3293),
    [sym_preproc_line] = STATE(3293),
    [sym_preproc_pragma] = STATE(3293),
    [sym_preproc_nullable] = STATE(3293),
    [sym_preproc_error] = STATE(3293),
    [sym_preproc_define] = STATE(3293),
    [sym_preproc_undef] = STATE(3293),
    [sym__identifier_token] = ACTIONS(3893),
    [anon_sym_extern] = ACTIONS(3893),
    [anon_sym_alias] = ACTIONS(3893),
    [anon_sym_global] = ACTIONS(3893),
    [anon_sym_using] = ACTIONS(3893),
    [anon_sym_unsafe] = ACTIONS(3893),
    [anon_sym_static] = ACTIONS(3893),
    [anon_sym_LBRACK] = ACTIONS(3895),
    [anon_sym_LPAREN] = ACTIONS(3895),
    [anon_sym_event] = ACTIONS(3893),
    [anon_sym_namespace] = ACTIONS(3893),
    [anon_sym_class] = ACTIONS(3893),
    [anon_sym_ref] = ACTIONS(3893),
    [anon_sym_struct] = ACTIONS(3893),
    [anon_sym_enum] = ACTIONS(3893),
    [anon_sym_RBRACE] = ACTIONS(3895),
    [anon_sym_interface] = ACTIONS(3893),
    [anon_sym_delegate] = ACTIONS(3893),
    [anon_sym_record] = ACTIONS(3893),
    [anon_sym_abstract] = ACTIONS(3893),
    [anon_sym_async] = ACTIONS(3893),
    [anon_sym_const] = ACTIONS(3893),
    [anon_sym_file] = ACTIONS(3893),
    [anon_sym_fixed] = ACTIONS(3893),
    [anon_sym_internal] = ACTIONS(3893),
    [anon_sym_new] = ACTIONS(3893),
    [anon_sym_override] = ACTIONS(3893),
    [anon_sym_partial] = ACTIONS(3893),
    [anon_sym_private] = ACTIONS(3893),
    [anon_sym_protected] = ACTIONS(3893),
    [anon_sym_public] = ACTIONS(3893),
    [anon_sym_readonly] = ACTIONS(3893),
    [anon_sym_required] = ACTIONS(3893),
    [anon_sym_sealed] = ACTIONS(3893),
    [anon_sym_virtual] = ACTIONS(3893),
    [anon_sym_volatile] = ACTIONS(3893),
    [anon_sym_where] = ACTIONS(3893),
    [anon_sym_notnull] = ACTIONS(3893),
    [anon_sym_unmanaged] = ACTIONS(3893),
    [anon_sym_TILDE] = ACTIONS(3895),
    [anon_sym_implicit] = ACTIONS(3893),
    [anon_sym_explicit] = ACTIONS(3893),
    [anon_sym_scoped] = ACTIONS(3893),
    [anon_sym_var] = ACTIONS(3893),
    [sym_predefined_type] = ACTIONS(3893),
    [anon_sym_yield] = ACTIONS(3893),
    [anon_sym_when] = ACTIONS(3893),
    [anon_sym_from] = ACTIONS(3893),
    [anon_sym_into] = ACTIONS(3893),
    [anon_sym_join] = ACTIONS(3893),
    [anon_sym_on] = ACTIONS(3893),
    [anon_sym_equals] = ACTIONS(3893),
    [anon_sym_let] = ACTIONS(3893),
    [anon_sym_orderby] = ACTIONS(3893),
    [anon_sym_ascending] = ACTIONS(3893),
    [anon_sym_descending] = ACTIONS(3893),
    [anon_sym_group] = ACTIONS(3893),
    [anon_sym_by] = ACTIONS(3893),
    [anon_sym_select] = ACTIONS(3893),
    [aux_sym_preproc_if_token1] = ACTIONS(3895),
    [aux_sym_preproc_if_token3] = ACTIONS(3895),
    [aux_sym_preproc_else_token1] = ACTIONS(3895),
    [aux_sym_preproc_elif_token1] = ACTIONS(3895),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3294] = {
    [sym_preproc_region] = STATE(3294),
    [sym_preproc_endregion] = STATE(3294),
    [sym_preproc_line] = STATE(3294),
    [sym_preproc_pragma] = STATE(3294),
    [sym_preproc_nullable] = STATE(3294),
    [sym_preproc_error] = STATE(3294),
    [sym_preproc_define] = STATE(3294),
    [sym_preproc_undef] = STATE(3294),
    [sym__identifier_token] = ACTIONS(3897),
    [anon_sym_extern] = ACTIONS(3897),
    [anon_sym_alias] = ACTIONS(3897),
    [anon_sym_global] = ACTIONS(3897),
    [anon_sym_using] = ACTIONS(3897),
    [anon_sym_unsafe] = ACTIONS(3897),
    [anon_sym_static] = ACTIONS(3897),
    [anon_sym_LBRACK] = ACTIONS(3899),
    [anon_sym_LPAREN] = ACTIONS(3899),
    [anon_sym_event] = ACTIONS(3897),
    [anon_sym_namespace] = ACTIONS(3897),
    [anon_sym_class] = ACTIONS(3897),
    [anon_sym_ref] = ACTIONS(3897),
    [anon_sym_struct] = ACTIONS(3897),
    [anon_sym_enum] = ACTIONS(3897),
    [anon_sym_RBRACE] = ACTIONS(3899),
    [anon_sym_interface] = ACTIONS(3897),
    [anon_sym_delegate] = ACTIONS(3897),
    [anon_sym_record] = ACTIONS(3897),
    [anon_sym_abstract] = ACTIONS(3897),
    [anon_sym_async] = ACTIONS(3897),
    [anon_sym_const] = ACTIONS(3897),
    [anon_sym_file] = ACTIONS(3897),
    [anon_sym_fixed] = ACTIONS(3897),
    [anon_sym_internal] = ACTIONS(3897),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_override] = ACTIONS(3897),
    [anon_sym_partial] = ACTIONS(3897),
    [anon_sym_private] = ACTIONS(3897),
    [anon_sym_protected] = ACTIONS(3897),
    [anon_sym_public] = ACTIONS(3897),
    [anon_sym_readonly] = ACTIONS(3897),
    [anon_sym_required] = ACTIONS(3897),
    [anon_sym_sealed] = ACTIONS(3897),
    [anon_sym_virtual] = ACTIONS(3897),
    [anon_sym_volatile] = ACTIONS(3897),
    [anon_sym_where] = ACTIONS(3897),
    [anon_sym_notnull] = ACTIONS(3897),
    [anon_sym_unmanaged] = ACTIONS(3897),
    [anon_sym_TILDE] = ACTIONS(3899),
    [anon_sym_implicit] = ACTIONS(3897),
    [anon_sym_explicit] = ACTIONS(3897),
    [anon_sym_scoped] = ACTIONS(3897),
    [anon_sym_var] = ACTIONS(3897),
    [sym_predefined_type] = ACTIONS(3897),
    [anon_sym_yield] = ACTIONS(3897),
    [anon_sym_when] = ACTIONS(3897),
    [anon_sym_from] = ACTIONS(3897),
    [anon_sym_into] = ACTIONS(3897),
    [anon_sym_join] = ACTIONS(3897),
    [anon_sym_on] = ACTIONS(3897),
    [anon_sym_equals] = ACTIONS(3897),
    [anon_sym_let] = ACTIONS(3897),
    [anon_sym_orderby] = ACTIONS(3897),
    [anon_sym_ascending] = ACTIONS(3897),
    [anon_sym_descending] = ACTIONS(3897),
    [anon_sym_group] = ACTIONS(3897),
    [anon_sym_by] = ACTIONS(3897),
    [anon_sym_select] = ACTIONS(3897),
    [aux_sym_preproc_if_token1] = ACTIONS(3899),
    [aux_sym_preproc_if_token3] = ACTIONS(3899),
    [aux_sym_preproc_else_token1] = ACTIONS(3899),
    [aux_sym_preproc_elif_token1] = ACTIONS(3899),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3295] = {
    [sym_preproc_region] = STATE(3295),
    [sym_preproc_endregion] = STATE(3295),
    [sym_preproc_line] = STATE(3295),
    [sym_preproc_pragma] = STATE(3295),
    [sym_preproc_nullable] = STATE(3295),
    [sym_preproc_error] = STATE(3295),
    [sym_preproc_define] = STATE(3295),
    [sym_preproc_undef] = STATE(3295),
    [sym__identifier_token] = ACTIONS(3901),
    [anon_sym_extern] = ACTIONS(3901),
    [anon_sym_alias] = ACTIONS(3901),
    [anon_sym_global] = ACTIONS(3901),
    [anon_sym_using] = ACTIONS(3901),
    [anon_sym_unsafe] = ACTIONS(3901),
    [anon_sym_static] = ACTIONS(3901),
    [anon_sym_LBRACK] = ACTIONS(3903),
    [anon_sym_LPAREN] = ACTIONS(3903),
    [anon_sym_event] = ACTIONS(3901),
    [anon_sym_namespace] = ACTIONS(3901),
    [anon_sym_class] = ACTIONS(3901),
    [anon_sym_ref] = ACTIONS(3901),
    [anon_sym_struct] = ACTIONS(3901),
    [anon_sym_enum] = ACTIONS(3901),
    [anon_sym_RBRACE] = ACTIONS(3903),
    [anon_sym_interface] = ACTIONS(3901),
    [anon_sym_delegate] = ACTIONS(3901),
    [anon_sym_record] = ACTIONS(3901),
    [anon_sym_abstract] = ACTIONS(3901),
    [anon_sym_async] = ACTIONS(3901),
    [anon_sym_const] = ACTIONS(3901),
    [anon_sym_file] = ACTIONS(3901),
    [anon_sym_fixed] = ACTIONS(3901),
    [anon_sym_internal] = ACTIONS(3901),
    [anon_sym_new] = ACTIONS(3901),
    [anon_sym_override] = ACTIONS(3901),
    [anon_sym_partial] = ACTIONS(3901),
    [anon_sym_private] = ACTIONS(3901),
    [anon_sym_protected] = ACTIONS(3901),
    [anon_sym_public] = ACTIONS(3901),
    [anon_sym_readonly] = ACTIONS(3901),
    [anon_sym_required] = ACTIONS(3901),
    [anon_sym_sealed] = ACTIONS(3901),
    [anon_sym_virtual] = ACTIONS(3901),
    [anon_sym_volatile] = ACTIONS(3901),
    [anon_sym_where] = ACTIONS(3901),
    [anon_sym_notnull] = ACTIONS(3901),
    [anon_sym_unmanaged] = ACTIONS(3901),
    [anon_sym_TILDE] = ACTIONS(3903),
    [anon_sym_implicit] = ACTIONS(3901),
    [anon_sym_explicit] = ACTIONS(3901),
    [anon_sym_scoped] = ACTIONS(3901),
    [anon_sym_var] = ACTIONS(3901),
    [sym_predefined_type] = ACTIONS(3901),
    [anon_sym_yield] = ACTIONS(3901),
    [anon_sym_when] = ACTIONS(3901),
    [anon_sym_from] = ACTIONS(3901),
    [anon_sym_into] = ACTIONS(3901),
    [anon_sym_join] = ACTIONS(3901),
    [anon_sym_on] = ACTIONS(3901),
    [anon_sym_equals] = ACTIONS(3901),
    [anon_sym_let] = ACTIONS(3901),
    [anon_sym_orderby] = ACTIONS(3901),
    [anon_sym_ascending] = ACTIONS(3901),
    [anon_sym_descending] = ACTIONS(3901),
    [anon_sym_group] = ACTIONS(3901),
    [anon_sym_by] = ACTIONS(3901),
    [anon_sym_select] = ACTIONS(3901),
    [aux_sym_preproc_if_token1] = ACTIONS(3903),
    [aux_sym_preproc_if_token3] = ACTIONS(3903),
    [aux_sym_preproc_else_token1] = ACTIONS(3903),
    [aux_sym_preproc_elif_token1] = ACTIONS(3903),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3296] = {
    [sym_preproc_region] = STATE(3296),
    [sym_preproc_endregion] = STATE(3296),
    [sym_preproc_line] = STATE(3296),
    [sym_preproc_pragma] = STATE(3296),
    [sym_preproc_nullable] = STATE(3296),
    [sym_preproc_error] = STATE(3296),
    [sym_preproc_define] = STATE(3296),
    [sym_preproc_undef] = STATE(3296),
    [sym__identifier_token] = ACTIONS(3407),
    [anon_sym_extern] = ACTIONS(3407),
    [anon_sym_alias] = ACTIONS(3407),
    [anon_sym_global] = ACTIONS(3407),
    [anon_sym_using] = ACTIONS(3407),
    [anon_sym_unsafe] = ACTIONS(3407),
    [anon_sym_static] = ACTIONS(3407),
    [anon_sym_LBRACK] = ACTIONS(3409),
    [anon_sym_LPAREN] = ACTIONS(3409),
    [anon_sym_event] = ACTIONS(3407),
    [anon_sym_namespace] = ACTIONS(3407),
    [anon_sym_class] = ACTIONS(3407),
    [anon_sym_ref] = ACTIONS(3407),
    [anon_sym_struct] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3409),
    [anon_sym_interface] = ACTIONS(3407),
    [anon_sym_delegate] = ACTIONS(3407),
    [anon_sym_record] = ACTIONS(3407),
    [anon_sym_abstract] = ACTIONS(3407),
    [anon_sym_async] = ACTIONS(3407),
    [anon_sym_const] = ACTIONS(3407),
    [anon_sym_file] = ACTIONS(3407),
    [anon_sym_fixed] = ACTIONS(3407),
    [anon_sym_internal] = ACTIONS(3407),
    [anon_sym_new] = ACTIONS(3407),
    [anon_sym_override] = ACTIONS(3407),
    [anon_sym_partial] = ACTIONS(3407),
    [anon_sym_private] = ACTIONS(3407),
    [anon_sym_protected] = ACTIONS(3407),
    [anon_sym_public] = ACTIONS(3407),
    [anon_sym_readonly] = ACTIONS(3407),
    [anon_sym_required] = ACTIONS(3407),
    [anon_sym_sealed] = ACTIONS(3407),
    [anon_sym_virtual] = ACTIONS(3407),
    [anon_sym_volatile] = ACTIONS(3407),
    [anon_sym_where] = ACTIONS(3407),
    [anon_sym_notnull] = ACTIONS(3407),
    [anon_sym_unmanaged] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3409),
    [anon_sym_implicit] = ACTIONS(3407),
    [anon_sym_explicit] = ACTIONS(3407),
    [anon_sym_scoped] = ACTIONS(3407),
    [anon_sym_var] = ACTIONS(3407),
    [sym_predefined_type] = ACTIONS(3407),
    [anon_sym_yield] = ACTIONS(3407),
    [anon_sym_when] = ACTIONS(3407),
    [anon_sym_from] = ACTIONS(3407),
    [anon_sym_into] = ACTIONS(3407),
    [anon_sym_join] = ACTIONS(3407),
    [anon_sym_on] = ACTIONS(3407),
    [anon_sym_equals] = ACTIONS(3407),
    [anon_sym_let] = ACTIONS(3407),
    [anon_sym_orderby] = ACTIONS(3407),
    [anon_sym_ascending] = ACTIONS(3407),
    [anon_sym_descending] = ACTIONS(3407),
    [anon_sym_group] = ACTIONS(3407),
    [anon_sym_by] = ACTIONS(3407),
    [anon_sym_select] = ACTIONS(3407),
    [aux_sym_preproc_if_token1] = ACTIONS(3409),
    [aux_sym_preproc_if_token3] = ACTIONS(3409),
    [aux_sym_preproc_else_token1] = ACTIONS(3409),
    [aux_sym_preproc_elif_token1] = ACTIONS(3409),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3297] = {
    [sym_preproc_region] = STATE(3297),
    [sym_preproc_endregion] = STATE(3297),
    [sym_preproc_line] = STATE(3297),
    [sym_preproc_pragma] = STATE(3297),
    [sym_preproc_nullable] = STATE(3297),
    [sym_preproc_error] = STATE(3297),
    [sym_preproc_define] = STATE(3297),
    [sym_preproc_undef] = STATE(3297),
    [sym__identifier_token] = ACTIONS(3909),
    [anon_sym_extern] = ACTIONS(3909),
    [anon_sym_alias] = ACTIONS(3909),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_using] = ACTIONS(3909),
    [anon_sym_unsafe] = ACTIONS(3909),
    [anon_sym_static] = ACTIONS(3909),
    [anon_sym_LBRACK] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(3911),
    [anon_sym_event] = ACTIONS(3909),
    [anon_sym_namespace] = ACTIONS(3909),
    [anon_sym_class] = ACTIONS(3909),
    [anon_sym_ref] = ACTIONS(3909),
    [anon_sym_struct] = ACTIONS(3909),
    [anon_sym_enum] = ACTIONS(3909),
    [anon_sym_RBRACE] = ACTIONS(3911),
    [anon_sym_interface] = ACTIONS(3909),
    [anon_sym_delegate] = ACTIONS(3909),
    [anon_sym_record] = ACTIONS(3909),
    [anon_sym_abstract] = ACTIONS(3909),
    [anon_sym_async] = ACTIONS(3909),
    [anon_sym_const] = ACTIONS(3909),
    [anon_sym_file] = ACTIONS(3909),
    [anon_sym_fixed] = ACTIONS(3909),
    [anon_sym_internal] = ACTIONS(3909),
    [anon_sym_new] = ACTIONS(3909),
    [anon_sym_override] = ACTIONS(3909),
    [anon_sym_partial] = ACTIONS(3909),
    [anon_sym_private] = ACTIONS(3909),
    [anon_sym_protected] = ACTIONS(3909),
    [anon_sym_public] = ACTIONS(3909),
    [anon_sym_readonly] = ACTIONS(3909),
    [anon_sym_required] = ACTIONS(3909),
    [anon_sym_sealed] = ACTIONS(3909),
    [anon_sym_virtual] = ACTIONS(3909),
    [anon_sym_volatile] = ACTIONS(3909),
    [anon_sym_where] = ACTIONS(3909),
    [anon_sym_notnull] = ACTIONS(3909),
    [anon_sym_unmanaged] = ACTIONS(3909),
    [anon_sym_TILDE] = ACTIONS(3911),
    [anon_sym_implicit] = ACTIONS(3909),
    [anon_sym_explicit] = ACTIONS(3909),
    [anon_sym_scoped] = ACTIONS(3909),
    [anon_sym_var] = ACTIONS(3909),
    [sym_predefined_type] = ACTIONS(3909),
    [anon_sym_yield] = ACTIONS(3909),
    [anon_sym_when] = ACTIONS(3909),
    [anon_sym_from] = ACTIONS(3909),
    [anon_sym_into] = ACTIONS(3909),
    [anon_sym_join] = ACTIONS(3909),
    [anon_sym_on] = ACTIONS(3909),
    [anon_sym_equals] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3909),
    [anon_sym_orderby] = ACTIONS(3909),
    [anon_sym_ascending] = ACTIONS(3909),
    [anon_sym_descending] = ACTIONS(3909),
    [anon_sym_group] = ACTIONS(3909),
    [anon_sym_by] = ACTIONS(3909),
    [anon_sym_select] = ACTIONS(3909),
    [aux_sym_preproc_if_token1] = ACTIONS(3911),
    [aux_sym_preproc_if_token3] = ACTIONS(3911),
    [aux_sym_preproc_else_token1] = ACTIONS(3911),
    [aux_sym_preproc_elif_token1] = ACTIONS(3911),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3298] = {
    [sym_preproc_region] = STATE(3298),
    [sym_preproc_endregion] = STATE(3298),
    [sym_preproc_line] = STATE(3298),
    [sym_preproc_pragma] = STATE(3298),
    [sym_preproc_nullable] = STATE(3298),
    [sym_preproc_error] = STATE(3298),
    [sym_preproc_define] = STATE(3298),
    [sym_preproc_undef] = STATE(3298),
    [sym__identifier_token] = ACTIONS(4917),
    [anon_sym_extern] = ACTIONS(4917),
    [anon_sym_alias] = ACTIONS(4917),
    [anon_sym_global] = ACTIONS(4917),
    [anon_sym_using] = ACTIONS(4917),
    [anon_sym_unsafe] = ACTIONS(4917),
    [anon_sym_static] = ACTIONS(4917),
    [anon_sym_LBRACK] = ACTIONS(4919),
    [anon_sym_LPAREN] = ACTIONS(4919),
    [anon_sym_event] = ACTIONS(4917),
    [anon_sym_namespace] = ACTIONS(4917),
    [anon_sym_class] = ACTIONS(4917),
    [anon_sym_ref] = ACTIONS(4917),
    [anon_sym_struct] = ACTIONS(4917),
    [anon_sym_enum] = ACTIONS(4917),
    [anon_sym_RBRACE] = ACTIONS(4919),
    [anon_sym_interface] = ACTIONS(4917),
    [anon_sym_delegate] = ACTIONS(4917),
    [anon_sym_record] = ACTIONS(4917),
    [anon_sym_abstract] = ACTIONS(4917),
    [anon_sym_async] = ACTIONS(4917),
    [anon_sym_const] = ACTIONS(4917),
    [anon_sym_file] = ACTIONS(4917),
    [anon_sym_fixed] = ACTIONS(4917),
    [anon_sym_internal] = ACTIONS(4917),
    [anon_sym_new] = ACTIONS(4917),
    [anon_sym_override] = ACTIONS(4917),
    [anon_sym_partial] = ACTIONS(4917),
    [anon_sym_private] = ACTIONS(4917),
    [anon_sym_protected] = ACTIONS(4917),
    [anon_sym_public] = ACTIONS(4917),
    [anon_sym_readonly] = ACTIONS(4917),
    [anon_sym_required] = ACTIONS(4917),
    [anon_sym_sealed] = ACTIONS(4917),
    [anon_sym_virtual] = ACTIONS(4917),
    [anon_sym_volatile] = ACTIONS(4917),
    [anon_sym_where] = ACTIONS(4917),
    [anon_sym_notnull] = ACTIONS(4917),
    [anon_sym_unmanaged] = ACTIONS(4917),
    [anon_sym_TILDE] = ACTIONS(4919),
    [anon_sym_implicit] = ACTIONS(4917),
    [anon_sym_explicit] = ACTIONS(4917),
    [anon_sym_scoped] = ACTIONS(4917),
    [anon_sym_var] = ACTIONS(4917),
    [sym_predefined_type] = ACTIONS(4917),
    [anon_sym_yield] = ACTIONS(4917),
    [anon_sym_when] = ACTIONS(4917),
    [anon_sym_from] = ACTIONS(4917),
    [anon_sym_into] = ACTIONS(4917),
    [anon_sym_join] = ACTIONS(4917),
    [anon_sym_on] = ACTIONS(4917),
    [anon_sym_equals] = ACTIONS(4917),
    [anon_sym_let] = ACTIONS(4917),
    [anon_sym_orderby] = ACTIONS(4917),
    [anon_sym_ascending] = ACTIONS(4917),
    [anon_sym_descending] = ACTIONS(4917),
    [anon_sym_group] = ACTIONS(4917),
    [anon_sym_by] = ACTIONS(4917),
    [anon_sym_select] = ACTIONS(4917),
    [aux_sym_preproc_if_token1] = ACTIONS(4919),
    [aux_sym_preproc_if_token3] = ACTIONS(4919),
    [aux_sym_preproc_else_token1] = ACTIONS(4919),
    [aux_sym_preproc_elif_token1] = ACTIONS(4919),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3299] = {
    [sym_preproc_region] = STATE(3299),
    [sym_preproc_endregion] = STATE(3299),
    [sym_preproc_line] = STATE(3299),
    [sym_preproc_pragma] = STATE(3299),
    [sym_preproc_nullable] = STATE(3299),
    [sym_preproc_error] = STATE(3299),
    [sym_preproc_define] = STATE(3299),
    [sym_preproc_undef] = STATE(3299),
    [sym__identifier_token] = ACTIONS(4921),
    [anon_sym_extern] = ACTIONS(4921),
    [anon_sym_alias] = ACTIONS(4921),
    [anon_sym_global] = ACTIONS(4921),
    [anon_sym_using] = ACTIONS(4921),
    [anon_sym_unsafe] = ACTIONS(4921),
    [anon_sym_static] = ACTIONS(4921),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [anon_sym_LPAREN] = ACTIONS(4923),
    [anon_sym_event] = ACTIONS(4921),
    [anon_sym_namespace] = ACTIONS(4921),
    [anon_sym_class] = ACTIONS(4921),
    [anon_sym_ref] = ACTIONS(4921),
    [anon_sym_struct] = ACTIONS(4921),
    [anon_sym_enum] = ACTIONS(4921),
    [anon_sym_RBRACE] = ACTIONS(4923),
    [anon_sym_interface] = ACTIONS(4921),
    [anon_sym_delegate] = ACTIONS(4921),
    [anon_sym_record] = ACTIONS(4921),
    [anon_sym_abstract] = ACTIONS(4921),
    [anon_sym_async] = ACTIONS(4921),
    [anon_sym_const] = ACTIONS(4921),
    [anon_sym_file] = ACTIONS(4921),
    [anon_sym_fixed] = ACTIONS(4921),
    [anon_sym_internal] = ACTIONS(4921),
    [anon_sym_new] = ACTIONS(4921),
    [anon_sym_override] = ACTIONS(4921),
    [anon_sym_partial] = ACTIONS(4921),
    [anon_sym_private] = ACTIONS(4921),
    [anon_sym_protected] = ACTIONS(4921),
    [anon_sym_public] = ACTIONS(4921),
    [anon_sym_readonly] = ACTIONS(4921),
    [anon_sym_required] = ACTIONS(4921),
    [anon_sym_sealed] = ACTIONS(4921),
    [anon_sym_virtual] = ACTIONS(4921),
    [anon_sym_volatile] = ACTIONS(4921),
    [anon_sym_where] = ACTIONS(4921),
    [anon_sym_notnull] = ACTIONS(4921),
    [anon_sym_unmanaged] = ACTIONS(4921),
    [anon_sym_TILDE] = ACTIONS(4923),
    [anon_sym_implicit] = ACTIONS(4921),
    [anon_sym_explicit] = ACTIONS(4921),
    [anon_sym_scoped] = ACTIONS(4921),
    [anon_sym_var] = ACTIONS(4921),
    [sym_predefined_type] = ACTIONS(4921),
    [anon_sym_yield] = ACTIONS(4921),
    [anon_sym_when] = ACTIONS(4921),
    [anon_sym_from] = ACTIONS(4921),
    [anon_sym_into] = ACTIONS(4921),
    [anon_sym_join] = ACTIONS(4921),
    [anon_sym_on] = ACTIONS(4921),
    [anon_sym_equals] = ACTIONS(4921),
    [anon_sym_let] = ACTIONS(4921),
    [anon_sym_orderby] = ACTIONS(4921),
    [anon_sym_ascending] = ACTIONS(4921),
    [anon_sym_descending] = ACTIONS(4921),
    [anon_sym_group] = ACTIONS(4921),
    [anon_sym_by] = ACTIONS(4921),
    [anon_sym_select] = ACTIONS(4921),
    [aux_sym_preproc_if_token1] = ACTIONS(4923),
    [aux_sym_preproc_if_token3] = ACTIONS(4923),
    [aux_sym_preproc_else_token1] = ACTIONS(4923),
    [aux_sym_preproc_elif_token1] = ACTIONS(4923),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3300] = {
    [sym_preproc_region] = STATE(3300),
    [sym_preproc_endregion] = STATE(3300),
    [sym_preproc_line] = STATE(3300),
    [sym_preproc_pragma] = STATE(3300),
    [sym_preproc_nullable] = STATE(3300),
    [sym_preproc_error] = STATE(3300),
    [sym_preproc_define] = STATE(3300),
    [sym_preproc_undef] = STATE(3300),
    [sym__identifier_token] = ACTIONS(4925),
    [anon_sym_extern] = ACTIONS(4925),
    [anon_sym_alias] = ACTIONS(4925),
    [anon_sym_global] = ACTIONS(4925),
    [anon_sym_using] = ACTIONS(4925),
    [anon_sym_unsafe] = ACTIONS(4925),
    [anon_sym_static] = ACTIONS(4925),
    [anon_sym_LBRACK] = ACTIONS(4927),
    [anon_sym_LPAREN] = ACTIONS(4927),
    [anon_sym_event] = ACTIONS(4925),
    [anon_sym_namespace] = ACTIONS(4925),
    [anon_sym_class] = ACTIONS(4925),
    [anon_sym_ref] = ACTIONS(4925),
    [anon_sym_struct] = ACTIONS(4925),
    [anon_sym_enum] = ACTIONS(4925),
    [anon_sym_RBRACE] = ACTIONS(4927),
    [anon_sym_interface] = ACTIONS(4925),
    [anon_sym_delegate] = ACTIONS(4925),
    [anon_sym_record] = ACTIONS(4925),
    [anon_sym_abstract] = ACTIONS(4925),
    [anon_sym_async] = ACTIONS(4925),
    [anon_sym_const] = ACTIONS(4925),
    [anon_sym_file] = ACTIONS(4925),
    [anon_sym_fixed] = ACTIONS(4925),
    [anon_sym_internal] = ACTIONS(4925),
    [anon_sym_new] = ACTIONS(4925),
    [anon_sym_override] = ACTIONS(4925),
    [anon_sym_partial] = ACTIONS(4925),
    [anon_sym_private] = ACTIONS(4925),
    [anon_sym_protected] = ACTIONS(4925),
    [anon_sym_public] = ACTIONS(4925),
    [anon_sym_readonly] = ACTIONS(4925),
    [anon_sym_required] = ACTIONS(4925),
    [anon_sym_sealed] = ACTIONS(4925),
    [anon_sym_virtual] = ACTIONS(4925),
    [anon_sym_volatile] = ACTIONS(4925),
    [anon_sym_where] = ACTIONS(4925),
    [anon_sym_notnull] = ACTIONS(4925),
    [anon_sym_unmanaged] = ACTIONS(4925),
    [anon_sym_TILDE] = ACTIONS(4927),
    [anon_sym_implicit] = ACTIONS(4925),
    [anon_sym_explicit] = ACTIONS(4925),
    [anon_sym_scoped] = ACTIONS(4925),
    [anon_sym_var] = ACTIONS(4925),
    [sym_predefined_type] = ACTIONS(4925),
    [anon_sym_yield] = ACTIONS(4925),
    [anon_sym_when] = ACTIONS(4925),
    [anon_sym_from] = ACTIONS(4925),
    [anon_sym_into] = ACTIONS(4925),
    [anon_sym_join] = ACTIONS(4925),
    [anon_sym_on] = ACTIONS(4925),
    [anon_sym_equals] = ACTIONS(4925),
    [anon_sym_let] = ACTIONS(4925),
    [anon_sym_orderby] = ACTIONS(4925),
    [anon_sym_ascending] = ACTIONS(4925),
    [anon_sym_descending] = ACTIONS(4925),
    [anon_sym_group] = ACTIONS(4925),
    [anon_sym_by] = ACTIONS(4925),
    [anon_sym_select] = ACTIONS(4925),
    [aux_sym_preproc_if_token1] = ACTIONS(4927),
    [aux_sym_preproc_if_token3] = ACTIONS(4927),
    [aux_sym_preproc_else_token1] = ACTIONS(4927),
    [aux_sym_preproc_elif_token1] = ACTIONS(4927),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3301] = {
    [sym_preproc_region] = STATE(3301),
    [sym_preproc_endregion] = STATE(3301),
    [sym_preproc_line] = STATE(3301),
    [sym_preproc_pragma] = STATE(3301),
    [sym_preproc_nullable] = STATE(3301),
    [sym_preproc_error] = STATE(3301),
    [sym_preproc_define] = STATE(3301),
    [sym_preproc_undef] = STATE(3301),
    [sym__identifier_token] = ACTIONS(4929),
    [anon_sym_extern] = ACTIONS(4929),
    [anon_sym_alias] = ACTIONS(4929),
    [anon_sym_global] = ACTIONS(4929),
    [anon_sym_using] = ACTIONS(4929),
    [anon_sym_unsafe] = ACTIONS(4929),
    [anon_sym_static] = ACTIONS(4929),
    [anon_sym_LBRACK] = ACTIONS(4931),
    [anon_sym_LPAREN] = ACTIONS(4931),
    [anon_sym_event] = ACTIONS(4929),
    [anon_sym_namespace] = ACTIONS(4929),
    [anon_sym_class] = ACTIONS(4929),
    [anon_sym_ref] = ACTIONS(4929),
    [anon_sym_struct] = ACTIONS(4929),
    [anon_sym_enum] = ACTIONS(4929),
    [anon_sym_RBRACE] = ACTIONS(4931),
    [anon_sym_interface] = ACTIONS(4929),
    [anon_sym_delegate] = ACTIONS(4929),
    [anon_sym_record] = ACTIONS(4929),
    [anon_sym_abstract] = ACTIONS(4929),
    [anon_sym_async] = ACTIONS(4929),
    [anon_sym_const] = ACTIONS(4929),
    [anon_sym_file] = ACTIONS(4929),
    [anon_sym_fixed] = ACTIONS(4929),
    [anon_sym_internal] = ACTIONS(4929),
    [anon_sym_new] = ACTIONS(4929),
    [anon_sym_override] = ACTIONS(4929),
    [anon_sym_partial] = ACTIONS(4929),
    [anon_sym_private] = ACTIONS(4929),
    [anon_sym_protected] = ACTIONS(4929),
    [anon_sym_public] = ACTIONS(4929),
    [anon_sym_readonly] = ACTIONS(4929),
    [anon_sym_required] = ACTIONS(4929),
    [anon_sym_sealed] = ACTIONS(4929),
    [anon_sym_virtual] = ACTIONS(4929),
    [anon_sym_volatile] = ACTIONS(4929),
    [anon_sym_where] = ACTIONS(4929),
    [anon_sym_notnull] = ACTIONS(4929),
    [anon_sym_unmanaged] = ACTIONS(4929),
    [anon_sym_TILDE] = ACTIONS(4931),
    [anon_sym_implicit] = ACTIONS(4929),
    [anon_sym_explicit] = ACTIONS(4929),
    [anon_sym_scoped] = ACTIONS(4929),
    [anon_sym_var] = ACTIONS(4929),
    [sym_predefined_type] = ACTIONS(4929),
    [anon_sym_yield] = ACTIONS(4929),
    [anon_sym_when] = ACTIONS(4929),
    [anon_sym_from] = ACTIONS(4929),
    [anon_sym_into] = ACTIONS(4929),
    [anon_sym_join] = ACTIONS(4929),
    [anon_sym_on] = ACTIONS(4929),
    [anon_sym_equals] = ACTIONS(4929),
    [anon_sym_let] = ACTIONS(4929),
    [anon_sym_orderby] = ACTIONS(4929),
    [anon_sym_ascending] = ACTIONS(4929),
    [anon_sym_descending] = ACTIONS(4929),
    [anon_sym_group] = ACTIONS(4929),
    [anon_sym_by] = ACTIONS(4929),
    [anon_sym_select] = ACTIONS(4929),
    [aux_sym_preproc_if_token1] = ACTIONS(4931),
    [aux_sym_preproc_if_token3] = ACTIONS(4931),
    [aux_sym_preproc_else_token1] = ACTIONS(4931),
    [aux_sym_preproc_elif_token1] = ACTIONS(4931),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3302] = {
    [sym_preproc_region] = STATE(3302),
    [sym_preproc_endregion] = STATE(3302),
    [sym_preproc_line] = STATE(3302),
    [sym_preproc_pragma] = STATE(3302),
    [sym_preproc_nullable] = STATE(3302),
    [sym_preproc_error] = STATE(3302),
    [sym_preproc_define] = STATE(3302),
    [sym_preproc_undef] = STATE(3302),
    [sym__identifier_token] = ACTIONS(4933),
    [anon_sym_extern] = ACTIONS(4933),
    [anon_sym_alias] = ACTIONS(4933),
    [anon_sym_global] = ACTIONS(4933),
    [anon_sym_using] = ACTIONS(4933),
    [anon_sym_unsafe] = ACTIONS(4933),
    [anon_sym_static] = ACTIONS(4933),
    [anon_sym_LBRACK] = ACTIONS(4935),
    [anon_sym_LPAREN] = ACTIONS(4935),
    [anon_sym_event] = ACTIONS(4933),
    [anon_sym_namespace] = ACTIONS(4933),
    [anon_sym_class] = ACTIONS(4933),
    [anon_sym_ref] = ACTIONS(4933),
    [anon_sym_struct] = ACTIONS(4933),
    [anon_sym_enum] = ACTIONS(4933),
    [anon_sym_RBRACE] = ACTIONS(4935),
    [anon_sym_interface] = ACTIONS(4933),
    [anon_sym_delegate] = ACTIONS(4933),
    [anon_sym_record] = ACTIONS(4933),
    [anon_sym_abstract] = ACTIONS(4933),
    [anon_sym_async] = ACTIONS(4933),
    [anon_sym_const] = ACTIONS(4933),
    [anon_sym_file] = ACTIONS(4933),
    [anon_sym_fixed] = ACTIONS(4933),
    [anon_sym_internal] = ACTIONS(4933),
    [anon_sym_new] = ACTIONS(4933),
    [anon_sym_override] = ACTIONS(4933),
    [anon_sym_partial] = ACTIONS(4933),
    [anon_sym_private] = ACTIONS(4933),
    [anon_sym_protected] = ACTIONS(4933),
    [anon_sym_public] = ACTIONS(4933),
    [anon_sym_readonly] = ACTIONS(4933),
    [anon_sym_required] = ACTIONS(4933),
    [anon_sym_sealed] = ACTIONS(4933),
    [anon_sym_virtual] = ACTIONS(4933),
    [anon_sym_volatile] = ACTIONS(4933),
    [anon_sym_where] = ACTIONS(4933),
    [anon_sym_notnull] = ACTIONS(4933),
    [anon_sym_unmanaged] = ACTIONS(4933),
    [anon_sym_TILDE] = ACTIONS(4935),
    [anon_sym_implicit] = ACTIONS(4933),
    [anon_sym_explicit] = ACTIONS(4933),
    [anon_sym_scoped] = ACTIONS(4933),
    [anon_sym_var] = ACTIONS(4933),
    [sym_predefined_type] = ACTIONS(4933),
    [anon_sym_yield] = ACTIONS(4933),
    [anon_sym_when] = ACTIONS(4933),
    [anon_sym_from] = ACTIONS(4933),
    [anon_sym_into] = ACTIONS(4933),
    [anon_sym_join] = ACTIONS(4933),
    [anon_sym_on] = ACTIONS(4933),
    [anon_sym_equals] = ACTIONS(4933),
    [anon_sym_let] = ACTIONS(4933),
    [anon_sym_orderby] = ACTIONS(4933),
    [anon_sym_ascending] = ACTIONS(4933),
    [anon_sym_descending] = ACTIONS(4933),
    [anon_sym_group] = ACTIONS(4933),
    [anon_sym_by] = ACTIONS(4933),
    [anon_sym_select] = ACTIONS(4933),
    [aux_sym_preproc_if_token1] = ACTIONS(4935),
    [aux_sym_preproc_if_token3] = ACTIONS(4935),
    [aux_sym_preproc_else_token1] = ACTIONS(4935),
    [aux_sym_preproc_elif_token1] = ACTIONS(4935),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3303] = {
    [sym_preproc_region] = STATE(3303),
    [sym_preproc_endregion] = STATE(3303),
    [sym_preproc_line] = STATE(3303),
    [sym_preproc_pragma] = STATE(3303),
    [sym_preproc_nullable] = STATE(3303),
    [sym_preproc_error] = STATE(3303),
    [sym_preproc_define] = STATE(3303),
    [sym_preproc_undef] = STATE(3303),
    [sym__identifier_token] = ACTIONS(4937),
    [anon_sym_extern] = ACTIONS(4937),
    [anon_sym_alias] = ACTIONS(4937),
    [anon_sym_global] = ACTIONS(4937),
    [anon_sym_using] = ACTIONS(4937),
    [anon_sym_unsafe] = ACTIONS(4937),
    [anon_sym_static] = ACTIONS(4937),
    [anon_sym_LBRACK] = ACTIONS(4939),
    [anon_sym_LPAREN] = ACTIONS(4939),
    [anon_sym_event] = ACTIONS(4937),
    [anon_sym_namespace] = ACTIONS(4937),
    [anon_sym_class] = ACTIONS(4937),
    [anon_sym_ref] = ACTIONS(4937),
    [anon_sym_struct] = ACTIONS(4937),
    [anon_sym_enum] = ACTIONS(4937),
    [anon_sym_RBRACE] = ACTIONS(4939),
    [anon_sym_interface] = ACTIONS(4937),
    [anon_sym_delegate] = ACTIONS(4937),
    [anon_sym_record] = ACTIONS(4937),
    [anon_sym_abstract] = ACTIONS(4937),
    [anon_sym_async] = ACTIONS(4937),
    [anon_sym_const] = ACTIONS(4937),
    [anon_sym_file] = ACTIONS(4937),
    [anon_sym_fixed] = ACTIONS(4937),
    [anon_sym_internal] = ACTIONS(4937),
    [anon_sym_new] = ACTIONS(4937),
    [anon_sym_override] = ACTIONS(4937),
    [anon_sym_partial] = ACTIONS(4937),
    [anon_sym_private] = ACTIONS(4937),
    [anon_sym_protected] = ACTIONS(4937),
    [anon_sym_public] = ACTIONS(4937),
    [anon_sym_readonly] = ACTIONS(4937),
    [anon_sym_required] = ACTIONS(4937),
    [anon_sym_sealed] = ACTIONS(4937),
    [anon_sym_virtual] = ACTIONS(4937),
    [anon_sym_volatile] = ACTIONS(4937),
    [anon_sym_where] = ACTIONS(4937),
    [anon_sym_notnull] = ACTIONS(4937),
    [anon_sym_unmanaged] = ACTIONS(4937),
    [anon_sym_TILDE] = ACTIONS(4939),
    [anon_sym_implicit] = ACTIONS(4937),
    [anon_sym_explicit] = ACTIONS(4937),
    [anon_sym_scoped] = ACTIONS(4937),
    [anon_sym_var] = ACTIONS(4937),
    [sym_predefined_type] = ACTIONS(4937),
    [anon_sym_yield] = ACTIONS(4937),
    [anon_sym_when] = ACTIONS(4937),
    [anon_sym_from] = ACTIONS(4937),
    [anon_sym_into] = ACTIONS(4937),
    [anon_sym_join] = ACTIONS(4937),
    [anon_sym_on] = ACTIONS(4937),
    [anon_sym_equals] = ACTIONS(4937),
    [anon_sym_let] = ACTIONS(4937),
    [anon_sym_orderby] = ACTIONS(4937),
    [anon_sym_ascending] = ACTIONS(4937),
    [anon_sym_descending] = ACTIONS(4937),
    [anon_sym_group] = ACTIONS(4937),
    [anon_sym_by] = ACTIONS(4937),
    [anon_sym_select] = ACTIONS(4937),
    [aux_sym_preproc_if_token1] = ACTIONS(4939),
    [aux_sym_preproc_if_token3] = ACTIONS(4939),
    [aux_sym_preproc_else_token1] = ACTIONS(4939),
    [aux_sym_preproc_elif_token1] = ACTIONS(4939),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3304] = {
    [sym_preproc_region] = STATE(3304),
    [sym_preproc_endregion] = STATE(3304),
    [sym_preproc_line] = STATE(3304),
    [sym_preproc_pragma] = STATE(3304),
    [sym_preproc_nullable] = STATE(3304),
    [sym_preproc_error] = STATE(3304),
    [sym_preproc_define] = STATE(3304),
    [sym_preproc_undef] = STATE(3304),
    [sym__identifier_token] = ACTIONS(4941),
    [anon_sym_extern] = ACTIONS(4941),
    [anon_sym_alias] = ACTIONS(4941),
    [anon_sym_global] = ACTIONS(4941),
    [anon_sym_using] = ACTIONS(4941),
    [anon_sym_unsafe] = ACTIONS(4941),
    [anon_sym_static] = ACTIONS(4941),
    [anon_sym_LBRACK] = ACTIONS(4943),
    [anon_sym_LPAREN] = ACTIONS(4943),
    [anon_sym_event] = ACTIONS(4941),
    [anon_sym_namespace] = ACTIONS(4941),
    [anon_sym_class] = ACTIONS(4941),
    [anon_sym_ref] = ACTIONS(4941),
    [anon_sym_struct] = ACTIONS(4941),
    [anon_sym_enum] = ACTIONS(4941),
    [anon_sym_RBRACE] = ACTIONS(4943),
    [anon_sym_interface] = ACTIONS(4941),
    [anon_sym_delegate] = ACTIONS(4941),
    [anon_sym_record] = ACTIONS(4941),
    [anon_sym_abstract] = ACTIONS(4941),
    [anon_sym_async] = ACTIONS(4941),
    [anon_sym_const] = ACTIONS(4941),
    [anon_sym_file] = ACTIONS(4941),
    [anon_sym_fixed] = ACTIONS(4941),
    [anon_sym_internal] = ACTIONS(4941),
    [anon_sym_new] = ACTIONS(4941),
    [anon_sym_override] = ACTIONS(4941),
    [anon_sym_partial] = ACTIONS(4941),
    [anon_sym_private] = ACTIONS(4941),
    [anon_sym_protected] = ACTIONS(4941),
    [anon_sym_public] = ACTIONS(4941),
    [anon_sym_readonly] = ACTIONS(4941),
    [anon_sym_required] = ACTIONS(4941),
    [anon_sym_sealed] = ACTIONS(4941),
    [anon_sym_virtual] = ACTIONS(4941),
    [anon_sym_volatile] = ACTIONS(4941),
    [anon_sym_where] = ACTIONS(4941),
    [anon_sym_notnull] = ACTIONS(4941),
    [anon_sym_unmanaged] = ACTIONS(4941),
    [anon_sym_TILDE] = ACTIONS(4943),
    [anon_sym_implicit] = ACTIONS(4941),
    [anon_sym_explicit] = ACTIONS(4941),
    [anon_sym_scoped] = ACTIONS(4941),
    [anon_sym_var] = ACTIONS(4941),
    [sym_predefined_type] = ACTIONS(4941),
    [anon_sym_yield] = ACTIONS(4941),
    [anon_sym_when] = ACTIONS(4941),
    [anon_sym_from] = ACTIONS(4941),
    [anon_sym_into] = ACTIONS(4941),
    [anon_sym_join] = ACTIONS(4941),
    [anon_sym_on] = ACTIONS(4941),
    [anon_sym_equals] = ACTIONS(4941),
    [anon_sym_let] = ACTIONS(4941),
    [anon_sym_orderby] = ACTIONS(4941),
    [anon_sym_ascending] = ACTIONS(4941),
    [anon_sym_descending] = ACTIONS(4941),
    [anon_sym_group] = ACTIONS(4941),
    [anon_sym_by] = ACTIONS(4941),
    [anon_sym_select] = ACTIONS(4941),
    [aux_sym_preproc_if_token1] = ACTIONS(4943),
    [aux_sym_preproc_if_token3] = ACTIONS(4943),
    [aux_sym_preproc_else_token1] = ACTIONS(4943),
    [aux_sym_preproc_elif_token1] = ACTIONS(4943),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3305] = {
    [sym_preproc_region] = STATE(3305),
    [sym_preproc_endregion] = STATE(3305),
    [sym_preproc_line] = STATE(3305),
    [sym_preproc_pragma] = STATE(3305),
    [sym_preproc_nullable] = STATE(3305),
    [sym_preproc_error] = STATE(3305),
    [sym_preproc_define] = STATE(3305),
    [sym_preproc_undef] = STATE(3305),
    [anon_sym_SEMI] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_RBRACK] = ACTIONS(4705),
    [anon_sym_LPAREN] = ACTIONS(4705),
    [anon_sym_RPAREN] = ACTIONS(4705),
    [anon_sym_RBRACE] = ACTIONS(4705),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_GT] = ACTIONS(4707),
    [anon_sym_in] = ACTIONS(4705),
    [anon_sym_QMARK] = ACTIONS(4707),
    [anon_sym_BANG] = ACTIONS(4707),
    [anon_sym_PLUS_PLUS] = ACTIONS(4705),
    [anon_sym_DASH_DASH] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4707),
    [anon_sym_DASH] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_SLASH] = ACTIONS(4707),
    [anon_sym_PERCENT] = ACTIONS(4707),
    [anon_sym_CARET] = ACTIONS(4707),
    [anon_sym_PIPE] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4707),
    [anon_sym_LT_LT] = ACTIONS(4707),
    [anon_sym_GT_GT] = ACTIONS(4707),
    [anon_sym_GT_GT_GT] = ACTIONS(4707),
    [anon_sym_EQ_EQ] = ACTIONS(4705),
    [anon_sym_BANG_EQ] = ACTIONS(4705),
    [anon_sym_GT_EQ] = ACTIONS(4705),
    [anon_sym_LT_EQ] = ACTIONS(4705),
    [anon_sym_DOT] = ACTIONS(4707),
    [anon_sym_EQ_GT] = ACTIONS(4705),
    [anon_sym_switch] = ACTIONS(4705),
    [anon_sym_when] = ACTIONS(4705),
    [anon_sym_DOT_DOT] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4705),
    [anon_sym_PIPE_PIPE] = ACTIONS(4705),
    [anon_sym_QMARK_QMARK] = ACTIONS(4707),
    [anon_sym_on] = ACTIONS(4705),
    [anon_sym_equals] = ACTIONS(4705),
    [anon_sym_by] = ACTIONS(4705),
    [anon_sym_as] = ACTIONS(4705),
    [anon_sym_is] = ACTIONS(4705),
    [anon_sym_DASH_GT] = ACTIONS(4705),
    [anon_sym_with] = ACTIONS(4705),
    [aux_sym_preproc_if_token3] = ACTIONS(4705),
    [aux_sym_preproc_else_token1] = ACTIONS(4705),
    [aux_sym_preproc_elif_token1] = ACTIONS(4705),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3306] = {
    [sym_preproc_region] = STATE(3306),
    [sym_preproc_endregion] = STATE(3306),
    [sym_preproc_line] = STATE(3306),
    [sym_preproc_pragma] = STATE(3306),
    [sym_preproc_nullable] = STATE(3306),
    [sym_preproc_error] = STATE(3306),
    [sym_preproc_define] = STATE(3306),
    [sym_preproc_undef] = STATE(3306),
    [sym__identifier_token] = ACTIONS(4945),
    [anon_sym_extern] = ACTIONS(4945),
    [anon_sym_alias] = ACTIONS(4945),
    [anon_sym_global] = ACTIONS(4945),
    [anon_sym_using] = ACTIONS(4945),
    [anon_sym_unsafe] = ACTIONS(4945),
    [anon_sym_static] = ACTIONS(4945),
    [anon_sym_LBRACK] = ACTIONS(4947),
    [anon_sym_LPAREN] = ACTIONS(4947),
    [anon_sym_event] = ACTIONS(4945),
    [anon_sym_namespace] = ACTIONS(4945),
    [anon_sym_class] = ACTIONS(4945),
    [anon_sym_ref] = ACTIONS(4945),
    [anon_sym_struct] = ACTIONS(4945),
    [anon_sym_enum] = ACTIONS(4945),
    [anon_sym_RBRACE] = ACTIONS(4947),
    [anon_sym_interface] = ACTIONS(4945),
    [anon_sym_delegate] = ACTIONS(4945),
    [anon_sym_record] = ACTIONS(4945),
    [anon_sym_abstract] = ACTIONS(4945),
    [anon_sym_async] = ACTIONS(4945),
    [anon_sym_const] = ACTIONS(4945),
    [anon_sym_file] = ACTIONS(4945),
    [anon_sym_fixed] = ACTIONS(4945),
    [anon_sym_internal] = ACTIONS(4945),
    [anon_sym_new] = ACTIONS(4945),
    [anon_sym_override] = ACTIONS(4945),
    [anon_sym_partial] = ACTIONS(4945),
    [anon_sym_private] = ACTIONS(4945),
    [anon_sym_protected] = ACTIONS(4945),
    [anon_sym_public] = ACTIONS(4945),
    [anon_sym_readonly] = ACTIONS(4945),
    [anon_sym_required] = ACTIONS(4945),
    [anon_sym_sealed] = ACTIONS(4945),
    [anon_sym_virtual] = ACTIONS(4945),
    [anon_sym_volatile] = ACTIONS(4945),
    [anon_sym_where] = ACTIONS(4945),
    [anon_sym_notnull] = ACTIONS(4945),
    [anon_sym_unmanaged] = ACTIONS(4945),
    [anon_sym_TILDE] = ACTIONS(4947),
    [anon_sym_implicit] = ACTIONS(4945),
    [anon_sym_explicit] = ACTIONS(4945),
    [anon_sym_scoped] = ACTIONS(4945),
    [anon_sym_var] = ACTIONS(4945),
    [sym_predefined_type] = ACTIONS(4945),
    [anon_sym_yield] = ACTIONS(4945),
    [anon_sym_when] = ACTIONS(4945),
    [anon_sym_from] = ACTIONS(4945),
    [anon_sym_into] = ACTIONS(4945),
    [anon_sym_join] = ACTIONS(4945),
    [anon_sym_on] = ACTIONS(4945),
    [anon_sym_equals] = ACTIONS(4945),
    [anon_sym_let] = ACTIONS(4945),
    [anon_sym_orderby] = ACTIONS(4945),
    [anon_sym_ascending] = ACTIONS(4945),
    [anon_sym_descending] = ACTIONS(4945),
    [anon_sym_group] = ACTIONS(4945),
    [anon_sym_by] = ACTIONS(4945),
    [anon_sym_select] = ACTIONS(4945),
    [aux_sym_preproc_if_token1] = ACTIONS(4947),
    [aux_sym_preproc_if_token3] = ACTIONS(4947),
    [aux_sym_preproc_else_token1] = ACTIONS(4947),
    [aux_sym_preproc_elif_token1] = ACTIONS(4947),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3307] = {
    [sym_preproc_region] = STATE(3307),
    [sym_preproc_endregion] = STATE(3307),
    [sym_preproc_line] = STATE(3307),
    [sym_preproc_pragma] = STATE(3307),
    [sym_preproc_nullable] = STATE(3307),
    [sym_preproc_error] = STATE(3307),
    [sym_preproc_define] = STATE(3307),
    [sym_preproc_undef] = STATE(3307),
    [sym__identifier_token] = ACTIONS(4949),
    [anon_sym_extern] = ACTIONS(4949),
    [anon_sym_alias] = ACTIONS(4949),
    [anon_sym_global] = ACTIONS(4949),
    [anon_sym_using] = ACTIONS(4949),
    [anon_sym_unsafe] = ACTIONS(4949),
    [anon_sym_static] = ACTIONS(4949),
    [anon_sym_LBRACK] = ACTIONS(4951),
    [anon_sym_LPAREN] = ACTIONS(4951),
    [anon_sym_event] = ACTIONS(4949),
    [anon_sym_namespace] = ACTIONS(4949),
    [anon_sym_class] = ACTIONS(4949),
    [anon_sym_ref] = ACTIONS(4949),
    [anon_sym_struct] = ACTIONS(4949),
    [anon_sym_enum] = ACTIONS(4949),
    [anon_sym_RBRACE] = ACTIONS(4951),
    [anon_sym_interface] = ACTIONS(4949),
    [anon_sym_delegate] = ACTIONS(4949),
    [anon_sym_record] = ACTIONS(4949),
    [anon_sym_abstract] = ACTIONS(4949),
    [anon_sym_async] = ACTIONS(4949),
    [anon_sym_const] = ACTIONS(4949),
    [anon_sym_file] = ACTIONS(4949),
    [anon_sym_fixed] = ACTIONS(4949),
    [anon_sym_internal] = ACTIONS(4949),
    [anon_sym_new] = ACTIONS(4949),
    [anon_sym_override] = ACTIONS(4949),
    [anon_sym_partial] = ACTIONS(4949),
    [anon_sym_private] = ACTIONS(4949),
    [anon_sym_protected] = ACTIONS(4949),
    [anon_sym_public] = ACTIONS(4949),
    [anon_sym_readonly] = ACTIONS(4949),
    [anon_sym_required] = ACTIONS(4949),
    [anon_sym_sealed] = ACTIONS(4949),
    [anon_sym_virtual] = ACTIONS(4949),
    [anon_sym_volatile] = ACTIONS(4949),
    [anon_sym_where] = ACTIONS(4949),
    [anon_sym_notnull] = ACTIONS(4949),
    [anon_sym_unmanaged] = ACTIONS(4949),
    [anon_sym_TILDE] = ACTIONS(4951),
    [anon_sym_implicit] = ACTIONS(4949),
    [anon_sym_explicit] = ACTIONS(4949),
    [anon_sym_scoped] = ACTIONS(4949),
    [anon_sym_var] = ACTIONS(4949),
    [sym_predefined_type] = ACTIONS(4949),
    [anon_sym_yield] = ACTIONS(4949),
    [anon_sym_when] = ACTIONS(4949),
    [anon_sym_from] = ACTIONS(4949),
    [anon_sym_into] = ACTIONS(4949),
    [anon_sym_join] = ACTIONS(4949),
    [anon_sym_on] = ACTIONS(4949),
    [anon_sym_equals] = ACTIONS(4949),
    [anon_sym_let] = ACTIONS(4949),
    [anon_sym_orderby] = ACTIONS(4949),
    [anon_sym_ascending] = ACTIONS(4949),
    [anon_sym_descending] = ACTIONS(4949),
    [anon_sym_group] = ACTIONS(4949),
    [anon_sym_by] = ACTIONS(4949),
    [anon_sym_select] = ACTIONS(4949),
    [aux_sym_preproc_if_token1] = ACTIONS(4951),
    [aux_sym_preproc_if_token3] = ACTIONS(4951),
    [aux_sym_preproc_else_token1] = ACTIONS(4951),
    [aux_sym_preproc_elif_token1] = ACTIONS(4951),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3308] = {
    [sym_preproc_region] = STATE(3308),
    [sym_preproc_endregion] = STATE(3308),
    [sym_preproc_line] = STATE(3308),
    [sym_preproc_pragma] = STATE(3308),
    [sym_preproc_nullable] = STATE(3308),
    [sym_preproc_error] = STATE(3308),
    [sym_preproc_define] = STATE(3308),
    [sym_preproc_undef] = STATE(3308),
    [sym__identifier_token] = ACTIONS(4953),
    [anon_sym_extern] = ACTIONS(4953),
    [anon_sym_alias] = ACTIONS(4953),
    [anon_sym_global] = ACTIONS(4953),
    [anon_sym_using] = ACTIONS(4953),
    [anon_sym_unsafe] = ACTIONS(4953),
    [anon_sym_static] = ACTIONS(4953),
    [anon_sym_LBRACK] = ACTIONS(4955),
    [anon_sym_LPAREN] = ACTIONS(4955),
    [anon_sym_event] = ACTIONS(4953),
    [anon_sym_namespace] = ACTIONS(4953),
    [anon_sym_class] = ACTIONS(4953),
    [anon_sym_ref] = ACTIONS(4953),
    [anon_sym_struct] = ACTIONS(4953),
    [anon_sym_enum] = ACTIONS(4953),
    [anon_sym_RBRACE] = ACTIONS(4955),
    [anon_sym_interface] = ACTIONS(4953),
    [anon_sym_delegate] = ACTIONS(4953),
    [anon_sym_record] = ACTIONS(4953),
    [anon_sym_abstract] = ACTIONS(4953),
    [anon_sym_async] = ACTIONS(4953),
    [anon_sym_const] = ACTIONS(4953),
    [anon_sym_file] = ACTIONS(4953),
    [anon_sym_fixed] = ACTIONS(4953),
    [anon_sym_internal] = ACTIONS(4953),
    [anon_sym_new] = ACTIONS(4953),
    [anon_sym_override] = ACTIONS(4953),
    [anon_sym_partial] = ACTIONS(4953),
    [anon_sym_private] = ACTIONS(4953),
    [anon_sym_protected] = ACTIONS(4953),
    [anon_sym_public] = ACTIONS(4953),
    [anon_sym_readonly] = ACTIONS(4953),
    [anon_sym_required] = ACTIONS(4953),
    [anon_sym_sealed] = ACTIONS(4953),
    [anon_sym_virtual] = ACTIONS(4953),
    [anon_sym_volatile] = ACTIONS(4953),
    [anon_sym_where] = ACTIONS(4953),
    [anon_sym_notnull] = ACTIONS(4953),
    [anon_sym_unmanaged] = ACTIONS(4953),
    [anon_sym_TILDE] = ACTIONS(4955),
    [anon_sym_implicit] = ACTIONS(4953),
    [anon_sym_explicit] = ACTIONS(4953),
    [anon_sym_scoped] = ACTIONS(4953),
    [anon_sym_var] = ACTIONS(4953),
    [sym_predefined_type] = ACTIONS(4953),
    [anon_sym_yield] = ACTIONS(4953),
    [anon_sym_when] = ACTIONS(4953),
    [anon_sym_from] = ACTIONS(4953),
    [anon_sym_into] = ACTIONS(4953),
    [anon_sym_join] = ACTIONS(4953),
    [anon_sym_on] = ACTIONS(4953),
    [anon_sym_equals] = ACTIONS(4953),
    [anon_sym_let] = ACTIONS(4953),
    [anon_sym_orderby] = ACTIONS(4953),
    [anon_sym_ascending] = ACTIONS(4953),
    [anon_sym_descending] = ACTIONS(4953),
    [anon_sym_group] = ACTIONS(4953),
    [anon_sym_by] = ACTIONS(4953),
    [anon_sym_select] = ACTIONS(4953),
    [aux_sym_preproc_if_token1] = ACTIONS(4955),
    [aux_sym_preproc_if_token3] = ACTIONS(4955),
    [aux_sym_preproc_else_token1] = ACTIONS(4955),
    [aux_sym_preproc_elif_token1] = ACTIONS(4955),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3309] = {
    [sym_preproc_region] = STATE(3309),
    [sym_preproc_endregion] = STATE(3309),
    [sym_preproc_line] = STATE(3309),
    [sym_preproc_pragma] = STATE(3309),
    [sym_preproc_nullable] = STATE(3309),
    [sym_preproc_error] = STATE(3309),
    [sym_preproc_define] = STATE(3309),
    [sym_preproc_undef] = STATE(3309),
    [sym__identifier_token] = ACTIONS(4957),
    [anon_sym_extern] = ACTIONS(4957),
    [anon_sym_alias] = ACTIONS(4957),
    [anon_sym_global] = ACTIONS(4957),
    [anon_sym_using] = ACTIONS(4957),
    [anon_sym_unsafe] = ACTIONS(4957),
    [anon_sym_static] = ACTIONS(4957),
    [anon_sym_LBRACK] = ACTIONS(4959),
    [anon_sym_LPAREN] = ACTIONS(4959),
    [anon_sym_event] = ACTIONS(4957),
    [anon_sym_namespace] = ACTIONS(4957),
    [anon_sym_class] = ACTIONS(4957),
    [anon_sym_ref] = ACTIONS(4957),
    [anon_sym_struct] = ACTIONS(4957),
    [anon_sym_enum] = ACTIONS(4957),
    [anon_sym_RBRACE] = ACTIONS(4959),
    [anon_sym_interface] = ACTIONS(4957),
    [anon_sym_delegate] = ACTIONS(4957),
    [anon_sym_record] = ACTIONS(4957),
    [anon_sym_abstract] = ACTIONS(4957),
    [anon_sym_async] = ACTIONS(4957),
    [anon_sym_const] = ACTIONS(4957),
    [anon_sym_file] = ACTIONS(4957),
    [anon_sym_fixed] = ACTIONS(4957),
    [anon_sym_internal] = ACTIONS(4957),
    [anon_sym_new] = ACTIONS(4957),
    [anon_sym_override] = ACTIONS(4957),
    [anon_sym_partial] = ACTIONS(4957),
    [anon_sym_private] = ACTIONS(4957),
    [anon_sym_protected] = ACTIONS(4957),
    [anon_sym_public] = ACTIONS(4957),
    [anon_sym_readonly] = ACTIONS(4957),
    [anon_sym_required] = ACTIONS(4957),
    [anon_sym_sealed] = ACTIONS(4957),
    [anon_sym_virtual] = ACTIONS(4957),
    [anon_sym_volatile] = ACTIONS(4957),
    [anon_sym_where] = ACTIONS(4957),
    [anon_sym_notnull] = ACTIONS(4957),
    [anon_sym_unmanaged] = ACTIONS(4957),
    [anon_sym_TILDE] = ACTIONS(4959),
    [anon_sym_implicit] = ACTIONS(4957),
    [anon_sym_explicit] = ACTIONS(4957),
    [anon_sym_scoped] = ACTIONS(4957),
    [anon_sym_var] = ACTIONS(4957),
    [sym_predefined_type] = ACTIONS(4957),
    [anon_sym_yield] = ACTIONS(4957),
    [anon_sym_when] = ACTIONS(4957),
    [anon_sym_from] = ACTIONS(4957),
    [anon_sym_into] = ACTIONS(4957),
    [anon_sym_join] = ACTIONS(4957),
    [anon_sym_on] = ACTIONS(4957),
    [anon_sym_equals] = ACTIONS(4957),
    [anon_sym_let] = ACTIONS(4957),
    [anon_sym_orderby] = ACTIONS(4957),
    [anon_sym_ascending] = ACTIONS(4957),
    [anon_sym_descending] = ACTIONS(4957),
    [anon_sym_group] = ACTIONS(4957),
    [anon_sym_by] = ACTIONS(4957),
    [anon_sym_select] = ACTIONS(4957),
    [aux_sym_preproc_if_token1] = ACTIONS(4959),
    [aux_sym_preproc_if_token3] = ACTIONS(4959),
    [aux_sym_preproc_else_token1] = ACTIONS(4959),
    [aux_sym_preproc_elif_token1] = ACTIONS(4959),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3310] = {
    [sym__variable_designation] = STATE(4113),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3310),
    [sym_preproc_endregion] = STATE(3310),
    [sym_preproc_line] = STATE(3310),
    [sym_preproc_pragma] = STATE(3310),
    [sym_preproc_nullable] = STATE(3310),
    [sym_preproc_error] = STATE(3310),
    [sym_preproc_define] = STATE(3310),
    [sym_preproc_undef] = STATE(3310),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4405),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3311] = {
    [sym_preproc_region] = STATE(3311),
    [sym_preproc_endregion] = STATE(3311),
    [sym_preproc_line] = STATE(3311),
    [sym_preproc_pragma] = STATE(3311),
    [sym_preproc_nullable] = STATE(3311),
    [sym_preproc_error] = STATE(3311),
    [sym_preproc_define] = STATE(3311),
    [sym_preproc_undef] = STATE(3311),
    [sym__identifier_token] = ACTIONS(4961),
    [anon_sym_extern] = ACTIONS(4961),
    [anon_sym_alias] = ACTIONS(4961),
    [anon_sym_global] = ACTIONS(4961),
    [anon_sym_using] = ACTIONS(4961),
    [anon_sym_unsafe] = ACTIONS(4961),
    [anon_sym_static] = ACTIONS(4961),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_LPAREN] = ACTIONS(4963),
    [anon_sym_event] = ACTIONS(4961),
    [anon_sym_namespace] = ACTIONS(4961),
    [anon_sym_class] = ACTIONS(4961),
    [anon_sym_ref] = ACTIONS(4961),
    [anon_sym_struct] = ACTIONS(4961),
    [anon_sym_enum] = ACTIONS(4961),
    [anon_sym_RBRACE] = ACTIONS(4963),
    [anon_sym_interface] = ACTIONS(4961),
    [anon_sym_delegate] = ACTIONS(4961),
    [anon_sym_record] = ACTIONS(4961),
    [anon_sym_abstract] = ACTIONS(4961),
    [anon_sym_async] = ACTIONS(4961),
    [anon_sym_const] = ACTIONS(4961),
    [anon_sym_file] = ACTIONS(4961),
    [anon_sym_fixed] = ACTIONS(4961),
    [anon_sym_internal] = ACTIONS(4961),
    [anon_sym_new] = ACTIONS(4961),
    [anon_sym_override] = ACTIONS(4961),
    [anon_sym_partial] = ACTIONS(4961),
    [anon_sym_private] = ACTIONS(4961),
    [anon_sym_protected] = ACTIONS(4961),
    [anon_sym_public] = ACTIONS(4961),
    [anon_sym_readonly] = ACTIONS(4961),
    [anon_sym_required] = ACTIONS(4961),
    [anon_sym_sealed] = ACTIONS(4961),
    [anon_sym_virtual] = ACTIONS(4961),
    [anon_sym_volatile] = ACTIONS(4961),
    [anon_sym_where] = ACTIONS(4961),
    [anon_sym_notnull] = ACTIONS(4961),
    [anon_sym_unmanaged] = ACTIONS(4961),
    [anon_sym_TILDE] = ACTIONS(4963),
    [anon_sym_implicit] = ACTIONS(4961),
    [anon_sym_explicit] = ACTIONS(4961),
    [anon_sym_scoped] = ACTIONS(4961),
    [anon_sym_var] = ACTIONS(4961),
    [sym_predefined_type] = ACTIONS(4961),
    [anon_sym_yield] = ACTIONS(4961),
    [anon_sym_when] = ACTIONS(4961),
    [anon_sym_from] = ACTIONS(4961),
    [anon_sym_into] = ACTIONS(4961),
    [anon_sym_join] = ACTIONS(4961),
    [anon_sym_on] = ACTIONS(4961),
    [anon_sym_equals] = ACTIONS(4961),
    [anon_sym_let] = ACTIONS(4961),
    [anon_sym_orderby] = ACTIONS(4961),
    [anon_sym_ascending] = ACTIONS(4961),
    [anon_sym_descending] = ACTIONS(4961),
    [anon_sym_group] = ACTIONS(4961),
    [anon_sym_by] = ACTIONS(4961),
    [anon_sym_select] = ACTIONS(4961),
    [aux_sym_preproc_if_token1] = ACTIONS(4963),
    [aux_sym_preproc_if_token3] = ACTIONS(4963),
    [aux_sym_preproc_else_token1] = ACTIONS(4963),
    [aux_sym_preproc_elif_token1] = ACTIONS(4963),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3312] = {
    [sym_preproc_region] = STATE(3312),
    [sym_preproc_endregion] = STATE(3312),
    [sym_preproc_line] = STATE(3312),
    [sym_preproc_pragma] = STATE(3312),
    [sym_preproc_nullable] = STATE(3312),
    [sym_preproc_error] = STATE(3312),
    [sym_preproc_define] = STATE(3312),
    [sym_preproc_undef] = STATE(3312),
    [sym__identifier_token] = ACTIONS(4965),
    [anon_sym_extern] = ACTIONS(4965),
    [anon_sym_alias] = ACTIONS(4965),
    [anon_sym_global] = ACTIONS(4965),
    [anon_sym_using] = ACTIONS(4965),
    [anon_sym_unsafe] = ACTIONS(4965),
    [anon_sym_static] = ACTIONS(4965),
    [anon_sym_LBRACK] = ACTIONS(4967),
    [anon_sym_LPAREN] = ACTIONS(4967),
    [anon_sym_event] = ACTIONS(4965),
    [anon_sym_namespace] = ACTIONS(4965),
    [anon_sym_class] = ACTIONS(4965),
    [anon_sym_ref] = ACTIONS(4965),
    [anon_sym_struct] = ACTIONS(4965),
    [anon_sym_enum] = ACTIONS(4965),
    [anon_sym_RBRACE] = ACTIONS(4967),
    [anon_sym_interface] = ACTIONS(4965),
    [anon_sym_delegate] = ACTIONS(4965),
    [anon_sym_record] = ACTIONS(4965),
    [anon_sym_abstract] = ACTIONS(4965),
    [anon_sym_async] = ACTIONS(4965),
    [anon_sym_const] = ACTIONS(4965),
    [anon_sym_file] = ACTIONS(4965),
    [anon_sym_fixed] = ACTIONS(4965),
    [anon_sym_internal] = ACTIONS(4965),
    [anon_sym_new] = ACTIONS(4965),
    [anon_sym_override] = ACTIONS(4965),
    [anon_sym_partial] = ACTIONS(4965),
    [anon_sym_private] = ACTIONS(4965),
    [anon_sym_protected] = ACTIONS(4965),
    [anon_sym_public] = ACTIONS(4965),
    [anon_sym_readonly] = ACTIONS(4965),
    [anon_sym_required] = ACTIONS(4965),
    [anon_sym_sealed] = ACTIONS(4965),
    [anon_sym_virtual] = ACTIONS(4965),
    [anon_sym_volatile] = ACTIONS(4965),
    [anon_sym_where] = ACTIONS(4965),
    [anon_sym_notnull] = ACTIONS(4965),
    [anon_sym_unmanaged] = ACTIONS(4965),
    [anon_sym_TILDE] = ACTIONS(4967),
    [anon_sym_implicit] = ACTIONS(4965),
    [anon_sym_explicit] = ACTIONS(4965),
    [anon_sym_scoped] = ACTIONS(4965),
    [anon_sym_var] = ACTIONS(4965),
    [sym_predefined_type] = ACTIONS(4965),
    [anon_sym_yield] = ACTIONS(4965),
    [anon_sym_when] = ACTIONS(4965),
    [anon_sym_from] = ACTIONS(4965),
    [anon_sym_into] = ACTIONS(4965),
    [anon_sym_join] = ACTIONS(4965),
    [anon_sym_on] = ACTIONS(4965),
    [anon_sym_equals] = ACTIONS(4965),
    [anon_sym_let] = ACTIONS(4965),
    [anon_sym_orderby] = ACTIONS(4965),
    [anon_sym_ascending] = ACTIONS(4965),
    [anon_sym_descending] = ACTIONS(4965),
    [anon_sym_group] = ACTIONS(4965),
    [anon_sym_by] = ACTIONS(4965),
    [anon_sym_select] = ACTIONS(4965),
    [aux_sym_preproc_if_token1] = ACTIONS(4967),
    [aux_sym_preproc_if_token3] = ACTIONS(4967),
    [aux_sym_preproc_else_token1] = ACTIONS(4967),
    [aux_sym_preproc_elif_token1] = ACTIONS(4967),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3313] = {
    [sym__variable_designation] = STATE(4216),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3313),
    [sym_preproc_endregion] = STATE(3313),
    [sym_preproc_line] = STATE(3313),
    [sym_preproc_pragma] = STATE(3313),
    [sym_preproc_nullable] = STATE(3313),
    [sym_preproc_error] = STATE(3313),
    [sym_preproc_define] = STATE(3313),
    [sym_preproc_undef] = STATE(3313),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4395),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3314] = {
    [sym__variable_designation] = STATE(4292),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3314),
    [sym_preproc_endregion] = STATE(3314),
    [sym_preproc_line] = STATE(3314),
    [sym_preproc_pragma] = STATE(3314),
    [sym_preproc_nullable] = STATE(3314),
    [sym_preproc_error] = STATE(3314),
    [sym_preproc_define] = STATE(3314),
    [sym_preproc_undef] = STATE(3314),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4435),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3315] = {
    [sym_preproc_region] = STATE(3315),
    [sym_preproc_endregion] = STATE(3315),
    [sym_preproc_line] = STATE(3315),
    [sym_preproc_pragma] = STATE(3315),
    [sym_preproc_nullable] = STATE(3315),
    [sym_preproc_error] = STATE(3315),
    [sym_preproc_define] = STATE(3315),
    [sym_preproc_undef] = STATE(3315),
    [sym__identifier_token] = ACTIONS(4969),
    [anon_sym_extern] = ACTIONS(4969),
    [anon_sym_alias] = ACTIONS(4969),
    [anon_sym_global] = ACTIONS(4969),
    [anon_sym_using] = ACTIONS(4969),
    [anon_sym_unsafe] = ACTIONS(4969),
    [anon_sym_static] = ACTIONS(4969),
    [anon_sym_LBRACK] = ACTIONS(4971),
    [anon_sym_LPAREN] = ACTIONS(4971),
    [anon_sym_event] = ACTIONS(4969),
    [anon_sym_namespace] = ACTIONS(4969),
    [anon_sym_class] = ACTIONS(4969),
    [anon_sym_ref] = ACTIONS(4969),
    [anon_sym_struct] = ACTIONS(4969),
    [anon_sym_enum] = ACTIONS(4969),
    [anon_sym_RBRACE] = ACTIONS(4971),
    [anon_sym_interface] = ACTIONS(4969),
    [anon_sym_delegate] = ACTIONS(4969),
    [anon_sym_record] = ACTIONS(4969),
    [anon_sym_abstract] = ACTIONS(4969),
    [anon_sym_async] = ACTIONS(4969),
    [anon_sym_const] = ACTIONS(4969),
    [anon_sym_file] = ACTIONS(4969),
    [anon_sym_fixed] = ACTIONS(4969),
    [anon_sym_internal] = ACTIONS(4969),
    [anon_sym_new] = ACTIONS(4969),
    [anon_sym_override] = ACTIONS(4969),
    [anon_sym_partial] = ACTIONS(4969),
    [anon_sym_private] = ACTIONS(4969),
    [anon_sym_protected] = ACTIONS(4969),
    [anon_sym_public] = ACTIONS(4969),
    [anon_sym_readonly] = ACTIONS(4969),
    [anon_sym_required] = ACTIONS(4969),
    [anon_sym_sealed] = ACTIONS(4969),
    [anon_sym_virtual] = ACTIONS(4969),
    [anon_sym_volatile] = ACTIONS(4969),
    [anon_sym_where] = ACTIONS(4969),
    [anon_sym_notnull] = ACTIONS(4969),
    [anon_sym_unmanaged] = ACTIONS(4969),
    [anon_sym_TILDE] = ACTIONS(4971),
    [anon_sym_implicit] = ACTIONS(4969),
    [anon_sym_explicit] = ACTIONS(4969),
    [anon_sym_scoped] = ACTIONS(4969),
    [anon_sym_var] = ACTIONS(4969),
    [sym_predefined_type] = ACTIONS(4969),
    [anon_sym_yield] = ACTIONS(4969),
    [anon_sym_when] = ACTIONS(4969),
    [anon_sym_from] = ACTIONS(4969),
    [anon_sym_into] = ACTIONS(4969),
    [anon_sym_join] = ACTIONS(4969),
    [anon_sym_on] = ACTIONS(4969),
    [anon_sym_equals] = ACTIONS(4969),
    [anon_sym_let] = ACTIONS(4969),
    [anon_sym_orderby] = ACTIONS(4969),
    [anon_sym_ascending] = ACTIONS(4969),
    [anon_sym_descending] = ACTIONS(4969),
    [anon_sym_group] = ACTIONS(4969),
    [anon_sym_by] = ACTIONS(4969),
    [anon_sym_select] = ACTIONS(4969),
    [aux_sym_preproc_if_token1] = ACTIONS(4971),
    [aux_sym_preproc_if_token3] = ACTIONS(4971),
    [aux_sym_preproc_else_token1] = ACTIONS(4971),
    [aux_sym_preproc_elif_token1] = ACTIONS(4971),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3316] = {
    [sym__variable_designation] = STATE(4211),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3316),
    [sym_preproc_endregion] = STATE(3316),
    [sym_preproc_line] = STATE(3316),
    [sym_preproc_pragma] = STATE(3316),
    [sym_preproc_nullable] = STATE(3316),
    [sym_preproc_error] = STATE(3316),
    [sym_preproc_define] = STATE(3316),
    [sym_preproc_undef] = STATE(3316),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4447),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3317] = {
    [sym_preproc_region] = STATE(3317),
    [sym_preproc_endregion] = STATE(3317),
    [sym_preproc_line] = STATE(3317),
    [sym_preproc_pragma] = STATE(3317),
    [sym_preproc_nullable] = STATE(3317),
    [sym_preproc_error] = STATE(3317),
    [sym_preproc_define] = STATE(3317),
    [sym_preproc_undef] = STATE(3317),
    [sym__identifier_token] = ACTIONS(4973),
    [anon_sym_extern] = ACTIONS(4973),
    [anon_sym_alias] = ACTIONS(4973),
    [anon_sym_global] = ACTIONS(4973),
    [anon_sym_using] = ACTIONS(4973),
    [anon_sym_unsafe] = ACTIONS(4973),
    [anon_sym_static] = ACTIONS(4973),
    [anon_sym_LBRACK] = ACTIONS(4975),
    [anon_sym_LPAREN] = ACTIONS(4975),
    [anon_sym_event] = ACTIONS(4973),
    [anon_sym_namespace] = ACTIONS(4973),
    [anon_sym_class] = ACTIONS(4973),
    [anon_sym_ref] = ACTIONS(4973),
    [anon_sym_struct] = ACTIONS(4973),
    [anon_sym_enum] = ACTIONS(4973),
    [anon_sym_RBRACE] = ACTIONS(4975),
    [anon_sym_interface] = ACTIONS(4973),
    [anon_sym_delegate] = ACTIONS(4973),
    [anon_sym_record] = ACTIONS(4973),
    [anon_sym_abstract] = ACTIONS(4973),
    [anon_sym_async] = ACTIONS(4973),
    [anon_sym_const] = ACTIONS(4973),
    [anon_sym_file] = ACTIONS(4973),
    [anon_sym_fixed] = ACTIONS(4973),
    [anon_sym_internal] = ACTIONS(4973),
    [anon_sym_new] = ACTIONS(4973),
    [anon_sym_override] = ACTIONS(4973),
    [anon_sym_partial] = ACTIONS(4973),
    [anon_sym_private] = ACTIONS(4973),
    [anon_sym_protected] = ACTIONS(4973),
    [anon_sym_public] = ACTIONS(4973),
    [anon_sym_readonly] = ACTIONS(4973),
    [anon_sym_required] = ACTIONS(4973),
    [anon_sym_sealed] = ACTIONS(4973),
    [anon_sym_virtual] = ACTIONS(4973),
    [anon_sym_volatile] = ACTIONS(4973),
    [anon_sym_where] = ACTIONS(4973),
    [anon_sym_notnull] = ACTIONS(4973),
    [anon_sym_unmanaged] = ACTIONS(4973),
    [anon_sym_TILDE] = ACTIONS(4975),
    [anon_sym_implicit] = ACTIONS(4973),
    [anon_sym_explicit] = ACTIONS(4973),
    [anon_sym_scoped] = ACTIONS(4973),
    [anon_sym_var] = ACTIONS(4973),
    [sym_predefined_type] = ACTIONS(4973),
    [anon_sym_yield] = ACTIONS(4973),
    [anon_sym_when] = ACTIONS(4973),
    [anon_sym_from] = ACTIONS(4973),
    [anon_sym_into] = ACTIONS(4973),
    [anon_sym_join] = ACTIONS(4973),
    [anon_sym_on] = ACTIONS(4973),
    [anon_sym_equals] = ACTIONS(4973),
    [anon_sym_let] = ACTIONS(4973),
    [anon_sym_orderby] = ACTIONS(4973),
    [anon_sym_ascending] = ACTIONS(4973),
    [anon_sym_descending] = ACTIONS(4973),
    [anon_sym_group] = ACTIONS(4973),
    [anon_sym_by] = ACTIONS(4973),
    [anon_sym_select] = ACTIONS(4973),
    [aux_sym_preproc_if_token1] = ACTIONS(4975),
    [aux_sym_preproc_if_token3] = ACTIONS(4975),
    [aux_sym_preproc_else_token1] = ACTIONS(4975),
    [aux_sym_preproc_elif_token1] = ACTIONS(4975),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3318] = {
    [sym_preproc_region] = STATE(3318),
    [sym_preproc_endregion] = STATE(3318),
    [sym_preproc_line] = STATE(3318),
    [sym_preproc_pragma] = STATE(3318),
    [sym_preproc_nullable] = STATE(3318),
    [sym_preproc_error] = STATE(3318),
    [sym_preproc_define] = STATE(3318),
    [sym_preproc_undef] = STATE(3318),
    [sym__identifier_token] = ACTIONS(3917),
    [anon_sym_extern] = ACTIONS(3917),
    [anon_sym_alias] = ACTIONS(3917),
    [anon_sym_global] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3917),
    [anon_sym_unsafe] = ACTIONS(3917),
    [anon_sym_static] = ACTIONS(3917),
    [anon_sym_LBRACK] = ACTIONS(3919),
    [anon_sym_LPAREN] = ACTIONS(3919),
    [anon_sym_event] = ACTIONS(3917),
    [anon_sym_namespace] = ACTIONS(3917),
    [anon_sym_class] = ACTIONS(3917),
    [anon_sym_ref] = ACTIONS(3917),
    [anon_sym_struct] = ACTIONS(3917),
    [anon_sym_enum] = ACTIONS(3917),
    [anon_sym_RBRACE] = ACTIONS(3919),
    [anon_sym_interface] = ACTIONS(3917),
    [anon_sym_delegate] = ACTIONS(3917),
    [anon_sym_record] = ACTIONS(3917),
    [anon_sym_abstract] = ACTIONS(3917),
    [anon_sym_async] = ACTIONS(3917),
    [anon_sym_const] = ACTIONS(3917),
    [anon_sym_file] = ACTIONS(3917),
    [anon_sym_fixed] = ACTIONS(3917),
    [anon_sym_internal] = ACTIONS(3917),
    [anon_sym_new] = ACTIONS(3917),
    [anon_sym_override] = ACTIONS(3917),
    [anon_sym_partial] = ACTIONS(3917),
    [anon_sym_private] = ACTIONS(3917),
    [anon_sym_protected] = ACTIONS(3917),
    [anon_sym_public] = ACTIONS(3917),
    [anon_sym_readonly] = ACTIONS(3917),
    [anon_sym_required] = ACTIONS(3917),
    [anon_sym_sealed] = ACTIONS(3917),
    [anon_sym_virtual] = ACTIONS(3917),
    [anon_sym_volatile] = ACTIONS(3917),
    [anon_sym_where] = ACTIONS(3917),
    [anon_sym_notnull] = ACTIONS(3917),
    [anon_sym_unmanaged] = ACTIONS(3917),
    [anon_sym_TILDE] = ACTIONS(3919),
    [anon_sym_implicit] = ACTIONS(3917),
    [anon_sym_explicit] = ACTIONS(3917),
    [anon_sym_scoped] = ACTIONS(3917),
    [anon_sym_var] = ACTIONS(3917),
    [sym_predefined_type] = ACTIONS(3917),
    [anon_sym_yield] = ACTIONS(3917),
    [anon_sym_when] = ACTIONS(3917),
    [anon_sym_from] = ACTIONS(3917),
    [anon_sym_into] = ACTIONS(3917),
    [anon_sym_join] = ACTIONS(3917),
    [anon_sym_on] = ACTIONS(3917),
    [anon_sym_equals] = ACTIONS(3917),
    [anon_sym_let] = ACTIONS(3917),
    [anon_sym_orderby] = ACTIONS(3917),
    [anon_sym_ascending] = ACTIONS(3917),
    [anon_sym_descending] = ACTIONS(3917),
    [anon_sym_group] = ACTIONS(3917),
    [anon_sym_by] = ACTIONS(3917),
    [anon_sym_select] = ACTIONS(3917),
    [aux_sym_preproc_if_token1] = ACTIONS(3919),
    [aux_sym_preproc_if_token3] = ACTIONS(3919),
    [aux_sym_preproc_else_token1] = ACTIONS(3919),
    [aux_sym_preproc_elif_token1] = ACTIONS(3919),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3319] = {
    [sym_preproc_region] = STATE(3319),
    [sym_preproc_endregion] = STATE(3319),
    [sym_preproc_line] = STATE(3319),
    [sym_preproc_pragma] = STATE(3319),
    [sym_preproc_nullable] = STATE(3319),
    [sym_preproc_error] = STATE(3319),
    [sym_preproc_define] = STATE(3319),
    [sym_preproc_undef] = STATE(3319),
    [sym__identifier_token] = ACTIONS(3921),
    [anon_sym_extern] = ACTIONS(3921),
    [anon_sym_alias] = ACTIONS(3921),
    [anon_sym_global] = ACTIONS(3921),
    [anon_sym_using] = ACTIONS(3921),
    [anon_sym_unsafe] = ACTIONS(3921),
    [anon_sym_static] = ACTIONS(3921),
    [anon_sym_LBRACK] = ACTIONS(3923),
    [anon_sym_LPAREN] = ACTIONS(3923),
    [anon_sym_event] = ACTIONS(3921),
    [anon_sym_namespace] = ACTIONS(3921),
    [anon_sym_class] = ACTIONS(3921),
    [anon_sym_ref] = ACTIONS(3921),
    [anon_sym_struct] = ACTIONS(3921),
    [anon_sym_enum] = ACTIONS(3921),
    [anon_sym_RBRACE] = ACTIONS(3923),
    [anon_sym_interface] = ACTIONS(3921),
    [anon_sym_delegate] = ACTIONS(3921),
    [anon_sym_record] = ACTIONS(3921),
    [anon_sym_abstract] = ACTIONS(3921),
    [anon_sym_async] = ACTIONS(3921),
    [anon_sym_const] = ACTIONS(3921),
    [anon_sym_file] = ACTIONS(3921),
    [anon_sym_fixed] = ACTIONS(3921),
    [anon_sym_internal] = ACTIONS(3921),
    [anon_sym_new] = ACTIONS(3921),
    [anon_sym_override] = ACTIONS(3921),
    [anon_sym_partial] = ACTIONS(3921),
    [anon_sym_private] = ACTIONS(3921),
    [anon_sym_protected] = ACTIONS(3921),
    [anon_sym_public] = ACTIONS(3921),
    [anon_sym_readonly] = ACTIONS(3921),
    [anon_sym_required] = ACTIONS(3921),
    [anon_sym_sealed] = ACTIONS(3921),
    [anon_sym_virtual] = ACTIONS(3921),
    [anon_sym_volatile] = ACTIONS(3921),
    [anon_sym_where] = ACTIONS(3921),
    [anon_sym_notnull] = ACTIONS(3921),
    [anon_sym_unmanaged] = ACTIONS(3921),
    [anon_sym_TILDE] = ACTIONS(3923),
    [anon_sym_implicit] = ACTIONS(3921),
    [anon_sym_explicit] = ACTIONS(3921),
    [anon_sym_scoped] = ACTIONS(3921),
    [anon_sym_var] = ACTIONS(3921),
    [sym_predefined_type] = ACTIONS(3921),
    [anon_sym_yield] = ACTIONS(3921),
    [anon_sym_when] = ACTIONS(3921),
    [anon_sym_from] = ACTIONS(3921),
    [anon_sym_into] = ACTIONS(3921),
    [anon_sym_join] = ACTIONS(3921),
    [anon_sym_on] = ACTIONS(3921),
    [anon_sym_equals] = ACTIONS(3921),
    [anon_sym_let] = ACTIONS(3921),
    [anon_sym_orderby] = ACTIONS(3921),
    [anon_sym_ascending] = ACTIONS(3921),
    [anon_sym_descending] = ACTIONS(3921),
    [anon_sym_group] = ACTIONS(3921),
    [anon_sym_by] = ACTIONS(3921),
    [anon_sym_select] = ACTIONS(3921),
    [aux_sym_preproc_if_token1] = ACTIONS(3923),
    [aux_sym_preproc_if_token3] = ACTIONS(3923),
    [aux_sym_preproc_else_token1] = ACTIONS(3923),
    [aux_sym_preproc_elif_token1] = ACTIONS(3923),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3320] = {
    [sym_preproc_region] = STATE(3320),
    [sym_preproc_endregion] = STATE(3320),
    [sym_preproc_line] = STATE(3320),
    [sym_preproc_pragma] = STATE(3320),
    [sym_preproc_nullable] = STATE(3320),
    [sym_preproc_error] = STATE(3320),
    [sym_preproc_define] = STATE(3320),
    [sym_preproc_undef] = STATE(3320),
    [sym__identifier_token] = ACTIONS(3925),
    [anon_sym_extern] = ACTIONS(3925),
    [anon_sym_alias] = ACTIONS(3925),
    [anon_sym_global] = ACTIONS(3925),
    [anon_sym_using] = ACTIONS(3925),
    [anon_sym_unsafe] = ACTIONS(3925),
    [anon_sym_static] = ACTIONS(3925),
    [anon_sym_LBRACK] = ACTIONS(3927),
    [anon_sym_LPAREN] = ACTIONS(3927),
    [anon_sym_event] = ACTIONS(3925),
    [anon_sym_namespace] = ACTIONS(3925),
    [anon_sym_class] = ACTIONS(3925),
    [anon_sym_ref] = ACTIONS(3925),
    [anon_sym_struct] = ACTIONS(3925),
    [anon_sym_enum] = ACTIONS(3925),
    [anon_sym_RBRACE] = ACTIONS(3927),
    [anon_sym_interface] = ACTIONS(3925),
    [anon_sym_delegate] = ACTIONS(3925),
    [anon_sym_record] = ACTIONS(3925),
    [anon_sym_abstract] = ACTIONS(3925),
    [anon_sym_async] = ACTIONS(3925),
    [anon_sym_const] = ACTIONS(3925),
    [anon_sym_file] = ACTIONS(3925),
    [anon_sym_fixed] = ACTIONS(3925),
    [anon_sym_internal] = ACTIONS(3925),
    [anon_sym_new] = ACTIONS(3925),
    [anon_sym_override] = ACTIONS(3925),
    [anon_sym_partial] = ACTIONS(3925),
    [anon_sym_private] = ACTIONS(3925),
    [anon_sym_protected] = ACTIONS(3925),
    [anon_sym_public] = ACTIONS(3925),
    [anon_sym_readonly] = ACTIONS(3925),
    [anon_sym_required] = ACTIONS(3925),
    [anon_sym_sealed] = ACTIONS(3925),
    [anon_sym_virtual] = ACTIONS(3925),
    [anon_sym_volatile] = ACTIONS(3925),
    [anon_sym_where] = ACTIONS(3925),
    [anon_sym_notnull] = ACTIONS(3925),
    [anon_sym_unmanaged] = ACTIONS(3925),
    [anon_sym_TILDE] = ACTIONS(3927),
    [anon_sym_implicit] = ACTIONS(3925),
    [anon_sym_explicit] = ACTIONS(3925),
    [anon_sym_scoped] = ACTIONS(3925),
    [anon_sym_var] = ACTIONS(3925),
    [sym_predefined_type] = ACTIONS(3925),
    [anon_sym_yield] = ACTIONS(3925),
    [anon_sym_when] = ACTIONS(3925),
    [anon_sym_from] = ACTIONS(3925),
    [anon_sym_into] = ACTIONS(3925),
    [anon_sym_join] = ACTIONS(3925),
    [anon_sym_on] = ACTIONS(3925),
    [anon_sym_equals] = ACTIONS(3925),
    [anon_sym_let] = ACTIONS(3925),
    [anon_sym_orderby] = ACTIONS(3925),
    [anon_sym_ascending] = ACTIONS(3925),
    [anon_sym_descending] = ACTIONS(3925),
    [anon_sym_group] = ACTIONS(3925),
    [anon_sym_by] = ACTIONS(3925),
    [anon_sym_select] = ACTIONS(3925),
    [aux_sym_preproc_if_token1] = ACTIONS(3927),
    [aux_sym_preproc_if_token3] = ACTIONS(3927),
    [aux_sym_preproc_else_token1] = ACTIONS(3927),
    [aux_sym_preproc_elif_token1] = ACTIONS(3927),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3321] = {
    [sym_preproc_region] = STATE(3321),
    [sym_preproc_endregion] = STATE(3321),
    [sym_preproc_line] = STATE(3321),
    [sym_preproc_pragma] = STATE(3321),
    [sym_preproc_nullable] = STATE(3321),
    [sym_preproc_error] = STATE(3321),
    [sym_preproc_define] = STATE(3321),
    [sym_preproc_undef] = STATE(3321),
    [sym__identifier_token] = ACTIONS(3929),
    [anon_sym_extern] = ACTIONS(3929),
    [anon_sym_alias] = ACTIONS(3929),
    [anon_sym_global] = ACTIONS(3929),
    [anon_sym_using] = ACTIONS(3929),
    [anon_sym_unsafe] = ACTIONS(3929),
    [anon_sym_static] = ACTIONS(3929),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_event] = ACTIONS(3929),
    [anon_sym_namespace] = ACTIONS(3929),
    [anon_sym_class] = ACTIONS(3929),
    [anon_sym_ref] = ACTIONS(3929),
    [anon_sym_struct] = ACTIONS(3929),
    [anon_sym_enum] = ACTIONS(3929),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_interface] = ACTIONS(3929),
    [anon_sym_delegate] = ACTIONS(3929),
    [anon_sym_record] = ACTIONS(3929),
    [anon_sym_abstract] = ACTIONS(3929),
    [anon_sym_async] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3929),
    [anon_sym_file] = ACTIONS(3929),
    [anon_sym_fixed] = ACTIONS(3929),
    [anon_sym_internal] = ACTIONS(3929),
    [anon_sym_new] = ACTIONS(3929),
    [anon_sym_override] = ACTIONS(3929),
    [anon_sym_partial] = ACTIONS(3929),
    [anon_sym_private] = ACTIONS(3929),
    [anon_sym_protected] = ACTIONS(3929),
    [anon_sym_public] = ACTIONS(3929),
    [anon_sym_readonly] = ACTIONS(3929),
    [anon_sym_required] = ACTIONS(3929),
    [anon_sym_sealed] = ACTIONS(3929),
    [anon_sym_virtual] = ACTIONS(3929),
    [anon_sym_volatile] = ACTIONS(3929),
    [anon_sym_where] = ACTIONS(3929),
    [anon_sym_notnull] = ACTIONS(3929),
    [anon_sym_unmanaged] = ACTIONS(3929),
    [anon_sym_TILDE] = ACTIONS(3931),
    [anon_sym_implicit] = ACTIONS(3929),
    [anon_sym_explicit] = ACTIONS(3929),
    [anon_sym_scoped] = ACTIONS(3929),
    [anon_sym_var] = ACTIONS(3929),
    [sym_predefined_type] = ACTIONS(3929),
    [anon_sym_yield] = ACTIONS(3929),
    [anon_sym_when] = ACTIONS(3929),
    [anon_sym_from] = ACTIONS(3929),
    [anon_sym_into] = ACTIONS(3929),
    [anon_sym_join] = ACTIONS(3929),
    [anon_sym_on] = ACTIONS(3929),
    [anon_sym_equals] = ACTIONS(3929),
    [anon_sym_let] = ACTIONS(3929),
    [anon_sym_orderby] = ACTIONS(3929),
    [anon_sym_ascending] = ACTIONS(3929),
    [anon_sym_descending] = ACTIONS(3929),
    [anon_sym_group] = ACTIONS(3929),
    [anon_sym_by] = ACTIONS(3929),
    [anon_sym_select] = ACTIONS(3929),
    [aux_sym_preproc_if_token1] = ACTIONS(3931),
    [aux_sym_preproc_if_token3] = ACTIONS(3931),
    [aux_sym_preproc_else_token1] = ACTIONS(3931),
    [aux_sym_preproc_elif_token1] = ACTIONS(3931),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3322] = {
    [sym_preproc_region] = STATE(3322),
    [sym_preproc_endregion] = STATE(3322),
    [sym_preproc_line] = STATE(3322),
    [sym_preproc_pragma] = STATE(3322),
    [sym_preproc_nullable] = STATE(3322),
    [sym_preproc_error] = STATE(3322),
    [sym_preproc_define] = STATE(3322),
    [sym_preproc_undef] = STATE(3322),
    [sym__identifier_token] = ACTIONS(3937),
    [anon_sym_extern] = ACTIONS(3937),
    [anon_sym_alias] = ACTIONS(3937),
    [anon_sym_global] = ACTIONS(3937),
    [anon_sym_using] = ACTIONS(3937),
    [anon_sym_unsafe] = ACTIONS(3937),
    [anon_sym_static] = ACTIONS(3937),
    [anon_sym_LBRACK] = ACTIONS(3939),
    [anon_sym_LPAREN] = ACTIONS(3939),
    [anon_sym_event] = ACTIONS(3937),
    [anon_sym_namespace] = ACTIONS(3937),
    [anon_sym_class] = ACTIONS(3937),
    [anon_sym_ref] = ACTIONS(3937),
    [anon_sym_struct] = ACTIONS(3937),
    [anon_sym_enum] = ACTIONS(3937),
    [anon_sym_RBRACE] = ACTIONS(3939),
    [anon_sym_interface] = ACTIONS(3937),
    [anon_sym_delegate] = ACTIONS(3937),
    [anon_sym_record] = ACTIONS(3937),
    [anon_sym_abstract] = ACTIONS(3937),
    [anon_sym_async] = ACTIONS(3937),
    [anon_sym_const] = ACTIONS(3937),
    [anon_sym_file] = ACTIONS(3937),
    [anon_sym_fixed] = ACTIONS(3937),
    [anon_sym_internal] = ACTIONS(3937),
    [anon_sym_new] = ACTIONS(3937),
    [anon_sym_override] = ACTIONS(3937),
    [anon_sym_partial] = ACTIONS(3937),
    [anon_sym_private] = ACTIONS(3937),
    [anon_sym_protected] = ACTIONS(3937),
    [anon_sym_public] = ACTIONS(3937),
    [anon_sym_readonly] = ACTIONS(3937),
    [anon_sym_required] = ACTIONS(3937),
    [anon_sym_sealed] = ACTIONS(3937),
    [anon_sym_virtual] = ACTIONS(3937),
    [anon_sym_volatile] = ACTIONS(3937),
    [anon_sym_where] = ACTIONS(3937),
    [anon_sym_notnull] = ACTIONS(3937),
    [anon_sym_unmanaged] = ACTIONS(3937),
    [anon_sym_TILDE] = ACTIONS(3939),
    [anon_sym_implicit] = ACTIONS(3937),
    [anon_sym_explicit] = ACTIONS(3937),
    [anon_sym_scoped] = ACTIONS(3937),
    [anon_sym_var] = ACTIONS(3937),
    [sym_predefined_type] = ACTIONS(3937),
    [anon_sym_yield] = ACTIONS(3937),
    [anon_sym_when] = ACTIONS(3937),
    [anon_sym_from] = ACTIONS(3937),
    [anon_sym_into] = ACTIONS(3937),
    [anon_sym_join] = ACTIONS(3937),
    [anon_sym_on] = ACTIONS(3937),
    [anon_sym_equals] = ACTIONS(3937),
    [anon_sym_let] = ACTIONS(3937),
    [anon_sym_orderby] = ACTIONS(3937),
    [anon_sym_ascending] = ACTIONS(3937),
    [anon_sym_descending] = ACTIONS(3937),
    [anon_sym_group] = ACTIONS(3937),
    [anon_sym_by] = ACTIONS(3937),
    [anon_sym_select] = ACTIONS(3937),
    [aux_sym_preproc_if_token1] = ACTIONS(3939),
    [aux_sym_preproc_if_token3] = ACTIONS(3939),
    [aux_sym_preproc_else_token1] = ACTIONS(3939),
    [aux_sym_preproc_elif_token1] = ACTIONS(3939),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3323] = {
    [sym_preproc_region] = STATE(3323),
    [sym_preproc_endregion] = STATE(3323),
    [sym_preproc_line] = STATE(3323),
    [sym_preproc_pragma] = STATE(3323),
    [sym_preproc_nullable] = STATE(3323),
    [sym_preproc_error] = STATE(3323),
    [sym_preproc_define] = STATE(3323),
    [sym_preproc_undef] = STATE(3323),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_using] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_event] = ACTIONS(2993),
    [anon_sym_namespace] = ACTIONS(2993),
    [anon_sym_class] = ACTIONS(2993),
    [anon_sym_ref] = ACTIONS(2993),
    [anon_sym_struct] = ACTIONS(2993),
    [anon_sym_enum] = ACTIONS(2993),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_interface] = ACTIONS(2993),
    [anon_sym_delegate] = ACTIONS(2993),
    [anon_sym_record] = ACTIONS(2993),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2995),
    [anon_sym_implicit] = ACTIONS(2993),
    [anon_sym_explicit] = ACTIONS(2993),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [sym_predefined_type] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3324] = {
    [sym_preproc_region] = STATE(3324),
    [sym_preproc_endregion] = STATE(3324),
    [sym_preproc_line] = STATE(3324),
    [sym_preproc_pragma] = STATE(3324),
    [sym_preproc_nullable] = STATE(3324),
    [sym_preproc_error] = STATE(3324),
    [sym_preproc_define] = STATE(3324),
    [sym_preproc_undef] = STATE(3324),
    [sym__identifier_token] = ACTIONS(3941),
    [anon_sym_extern] = ACTIONS(3941),
    [anon_sym_alias] = ACTIONS(3941),
    [anon_sym_global] = ACTIONS(3941),
    [anon_sym_using] = ACTIONS(3941),
    [anon_sym_unsafe] = ACTIONS(3941),
    [anon_sym_static] = ACTIONS(3941),
    [anon_sym_LBRACK] = ACTIONS(3943),
    [anon_sym_LPAREN] = ACTIONS(3943),
    [anon_sym_event] = ACTIONS(3941),
    [anon_sym_namespace] = ACTIONS(3941),
    [anon_sym_class] = ACTIONS(3941),
    [anon_sym_ref] = ACTIONS(3941),
    [anon_sym_struct] = ACTIONS(3941),
    [anon_sym_enum] = ACTIONS(3941),
    [anon_sym_RBRACE] = ACTIONS(3943),
    [anon_sym_interface] = ACTIONS(3941),
    [anon_sym_delegate] = ACTIONS(3941),
    [anon_sym_record] = ACTIONS(3941),
    [anon_sym_abstract] = ACTIONS(3941),
    [anon_sym_async] = ACTIONS(3941),
    [anon_sym_const] = ACTIONS(3941),
    [anon_sym_file] = ACTIONS(3941),
    [anon_sym_fixed] = ACTIONS(3941),
    [anon_sym_internal] = ACTIONS(3941),
    [anon_sym_new] = ACTIONS(3941),
    [anon_sym_override] = ACTIONS(3941),
    [anon_sym_partial] = ACTIONS(3941),
    [anon_sym_private] = ACTIONS(3941),
    [anon_sym_protected] = ACTIONS(3941),
    [anon_sym_public] = ACTIONS(3941),
    [anon_sym_readonly] = ACTIONS(3941),
    [anon_sym_required] = ACTIONS(3941),
    [anon_sym_sealed] = ACTIONS(3941),
    [anon_sym_virtual] = ACTIONS(3941),
    [anon_sym_volatile] = ACTIONS(3941),
    [anon_sym_where] = ACTIONS(3941),
    [anon_sym_notnull] = ACTIONS(3941),
    [anon_sym_unmanaged] = ACTIONS(3941),
    [anon_sym_TILDE] = ACTIONS(3943),
    [anon_sym_implicit] = ACTIONS(3941),
    [anon_sym_explicit] = ACTIONS(3941),
    [anon_sym_scoped] = ACTIONS(3941),
    [anon_sym_var] = ACTIONS(3941),
    [sym_predefined_type] = ACTIONS(3941),
    [anon_sym_yield] = ACTIONS(3941),
    [anon_sym_when] = ACTIONS(3941),
    [anon_sym_from] = ACTIONS(3941),
    [anon_sym_into] = ACTIONS(3941),
    [anon_sym_join] = ACTIONS(3941),
    [anon_sym_on] = ACTIONS(3941),
    [anon_sym_equals] = ACTIONS(3941),
    [anon_sym_let] = ACTIONS(3941),
    [anon_sym_orderby] = ACTIONS(3941),
    [anon_sym_ascending] = ACTIONS(3941),
    [anon_sym_descending] = ACTIONS(3941),
    [anon_sym_group] = ACTIONS(3941),
    [anon_sym_by] = ACTIONS(3941),
    [anon_sym_select] = ACTIONS(3941),
    [aux_sym_preproc_if_token1] = ACTIONS(3943),
    [aux_sym_preproc_if_token3] = ACTIONS(3943),
    [aux_sym_preproc_else_token1] = ACTIONS(3943),
    [aux_sym_preproc_elif_token1] = ACTIONS(3943),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3325] = {
    [sym_preproc_region] = STATE(3325),
    [sym_preproc_endregion] = STATE(3325),
    [sym_preproc_line] = STATE(3325),
    [sym_preproc_pragma] = STATE(3325),
    [sym_preproc_nullable] = STATE(3325),
    [sym_preproc_error] = STATE(3325),
    [sym_preproc_define] = STATE(3325),
    [sym_preproc_undef] = STATE(3325),
    [sym__identifier_token] = ACTIONS(3043),
    [anon_sym_extern] = ACTIONS(3043),
    [anon_sym_alias] = ACTIONS(3043),
    [anon_sym_global] = ACTIONS(3043),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_unsafe] = ACTIONS(3043),
    [anon_sym_static] = ACTIONS(3043),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_event] = ACTIONS(3043),
    [anon_sym_namespace] = ACTIONS(3043),
    [anon_sym_class] = ACTIONS(3043),
    [anon_sym_ref] = ACTIONS(3043),
    [anon_sym_struct] = ACTIONS(3043),
    [anon_sym_enum] = ACTIONS(3043),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_interface] = ACTIONS(3043),
    [anon_sym_delegate] = ACTIONS(3043),
    [anon_sym_record] = ACTIONS(3043),
    [anon_sym_abstract] = ACTIONS(3043),
    [anon_sym_async] = ACTIONS(3043),
    [anon_sym_const] = ACTIONS(3043),
    [anon_sym_file] = ACTIONS(3043),
    [anon_sym_fixed] = ACTIONS(3043),
    [anon_sym_internal] = ACTIONS(3043),
    [anon_sym_new] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3043),
    [anon_sym_partial] = ACTIONS(3043),
    [anon_sym_private] = ACTIONS(3043),
    [anon_sym_protected] = ACTIONS(3043),
    [anon_sym_public] = ACTIONS(3043),
    [anon_sym_readonly] = ACTIONS(3043),
    [anon_sym_required] = ACTIONS(3043),
    [anon_sym_sealed] = ACTIONS(3043),
    [anon_sym_virtual] = ACTIONS(3043),
    [anon_sym_volatile] = ACTIONS(3043),
    [anon_sym_where] = ACTIONS(3043),
    [anon_sym_notnull] = ACTIONS(3043),
    [anon_sym_unmanaged] = ACTIONS(3043),
    [anon_sym_TILDE] = ACTIONS(3045),
    [anon_sym_implicit] = ACTIONS(3043),
    [anon_sym_explicit] = ACTIONS(3043),
    [anon_sym_scoped] = ACTIONS(3043),
    [anon_sym_var] = ACTIONS(3043),
    [sym_predefined_type] = ACTIONS(3043),
    [anon_sym_yield] = ACTIONS(3043),
    [anon_sym_when] = ACTIONS(3043),
    [anon_sym_from] = ACTIONS(3043),
    [anon_sym_into] = ACTIONS(3043),
    [anon_sym_join] = ACTIONS(3043),
    [anon_sym_on] = ACTIONS(3043),
    [anon_sym_equals] = ACTIONS(3043),
    [anon_sym_let] = ACTIONS(3043),
    [anon_sym_orderby] = ACTIONS(3043),
    [anon_sym_ascending] = ACTIONS(3043),
    [anon_sym_descending] = ACTIONS(3043),
    [anon_sym_group] = ACTIONS(3043),
    [anon_sym_by] = ACTIONS(3043),
    [anon_sym_select] = ACTIONS(3043),
    [aux_sym_preproc_if_token1] = ACTIONS(3045),
    [aux_sym_preproc_if_token3] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3326] = {
    [sym_preproc_region] = STATE(3326),
    [sym_preproc_endregion] = STATE(3326),
    [sym_preproc_line] = STATE(3326),
    [sym_preproc_pragma] = STATE(3326),
    [sym_preproc_nullable] = STATE(3326),
    [sym_preproc_error] = STATE(3326),
    [sym_preproc_define] = STATE(3326),
    [sym_preproc_undef] = STATE(3326),
    [sym__identifier_token] = ACTIONS(3945),
    [anon_sym_extern] = ACTIONS(3945),
    [anon_sym_alias] = ACTIONS(3945),
    [anon_sym_global] = ACTIONS(3945),
    [anon_sym_using] = ACTIONS(3945),
    [anon_sym_unsafe] = ACTIONS(3945),
    [anon_sym_static] = ACTIONS(3945),
    [anon_sym_LBRACK] = ACTIONS(3947),
    [anon_sym_LPAREN] = ACTIONS(3947),
    [anon_sym_event] = ACTIONS(3945),
    [anon_sym_namespace] = ACTIONS(3945),
    [anon_sym_class] = ACTIONS(3945),
    [anon_sym_ref] = ACTIONS(3945),
    [anon_sym_struct] = ACTIONS(3945),
    [anon_sym_enum] = ACTIONS(3945),
    [anon_sym_RBRACE] = ACTIONS(3947),
    [anon_sym_interface] = ACTIONS(3945),
    [anon_sym_delegate] = ACTIONS(3945),
    [anon_sym_record] = ACTIONS(3945),
    [anon_sym_abstract] = ACTIONS(3945),
    [anon_sym_async] = ACTIONS(3945),
    [anon_sym_const] = ACTIONS(3945),
    [anon_sym_file] = ACTIONS(3945),
    [anon_sym_fixed] = ACTIONS(3945),
    [anon_sym_internal] = ACTIONS(3945),
    [anon_sym_new] = ACTIONS(3945),
    [anon_sym_override] = ACTIONS(3945),
    [anon_sym_partial] = ACTIONS(3945),
    [anon_sym_private] = ACTIONS(3945),
    [anon_sym_protected] = ACTIONS(3945),
    [anon_sym_public] = ACTIONS(3945),
    [anon_sym_readonly] = ACTIONS(3945),
    [anon_sym_required] = ACTIONS(3945),
    [anon_sym_sealed] = ACTIONS(3945),
    [anon_sym_virtual] = ACTIONS(3945),
    [anon_sym_volatile] = ACTIONS(3945),
    [anon_sym_where] = ACTIONS(3945),
    [anon_sym_notnull] = ACTIONS(3945),
    [anon_sym_unmanaged] = ACTIONS(3945),
    [anon_sym_TILDE] = ACTIONS(3947),
    [anon_sym_implicit] = ACTIONS(3945),
    [anon_sym_explicit] = ACTIONS(3945),
    [anon_sym_scoped] = ACTIONS(3945),
    [anon_sym_var] = ACTIONS(3945),
    [sym_predefined_type] = ACTIONS(3945),
    [anon_sym_yield] = ACTIONS(3945),
    [anon_sym_when] = ACTIONS(3945),
    [anon_sym_from] = ACTIONS(3945),
    [anon_sym_into] = ACTIONS(3945),
    [anon_sym_join] = ACTIONS(3945),
    [anon_sym_on] = ACTIONS(3945),
    [anon_sym_equals] = ACTIONS(3945),
    [anon_sym_let] = ACTIONS(3945),
    [anon_sym_orderby] = ACTIONS(3945),
    [anon_sym_ascending] = ACTIONS(3945),
    [anon_sym_descending] = ACTIONS(3945),
    [anon_sym_group] = ACTIONS(3945),
    [anon_sym_by] = ACTIONS(3945),
    [anon_sym_select] = ACTIONS(3945),
    [aux_sym_preproc_if_token1] = ACTIONS(3947),
    [aux_sym_preproc_if_token3] = ACTIONS(3947),
    [aux_sym_preproc_else_token1] = ACTIONS(3947),
    [aux_sym_preproc_elif_token1] = ACTIONS(3947),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3327] = {
    [sym_preproc_region] = STATE(3327),
    [sym_preproc_endregion] = STATE(3327),
    [sym_preproc_line] = STATE(3327),
    [sym_preproc_pragma] = STATE(3327),
    [sym_preproc_nullable] = STATE(3327),
    [sym_preproc_error] = STATE(3327),
    [sym_preproc_define] = STATE(3327),
    [sym_preproc_undef] = STATE(3327),
    [sym__identifier_token] = ACTIONS(3949),
    [anon_sym_extern] = ACTIONS(3949),
    [anon_sym_alias] = ACTIONS(3949),
    [anon_sym_global] = ACTIONS(3949),
    [anon_sym_using] = ACTIONS(3949),
    [anon_sym_unsafe] = ACTIONS(3949),
    [anon_sym_static] = ACTIONS(3949),
    [anon_sym_LBRACK] = ACTIONS(3951),
    [anon_sym_LPAREN] = ACTIONS(3951),
    [anon_sym_event] = ACTIONS(3949),
    [anon_sym_namespace] = ACTIONS(3949),
    [anon_sym_class] = ACTIONS(3949),
    [anon_sym_ref] = ACTIONS(3949),
    [anon_sym_struct] = ACTIONS(3949),
    [anon_sym_enum] = ACTIONS(3949),
    [anon_sym_RBRACE] = ACTIONS(3951),
    [anon_sym_interface] = ACTIONS(3949),
    [anon_sym_delegate] = ACTIONS(3949),
    [anon_sym_record] = ACTIONS(3949),
    [anon_sym_abstract] = ACTIONS(3949),
    [anon_sym_async] = ACTIONS(3949),
    [anon_sym_const] = ACTIONS(3949),
    [anon_sym_file] = ACTIONS(3949),
    [anon_sym_fixed] = ACTIONS(3949),
    [anon_sym_internal] = ACTIONS(3949),
    [anon_sym_new] = ACTIONS(3949),
    [anon_sym_override] = ACTIONS(3949),
    [anon_sym_partial] = ACTIONS(3949),
    [anon_sym_private] = ACTIONS(3949),
    [anon_sym_protected] = ACTIONS(3949),
    [anon_sym_public] = ACTIONS(3949),
    [anon_sym_readonly] = ACTIONS(3949),
    [anon_sym_required] = ACTIONS(3949),
    [anon_sym_sealed] = ACTIONS(3949),
    [anon_sym_virtual] = ACTIONS(3949),
    [anon_sym_volatile] = ACTIONS(3949),
    [anon_sym_where] = ACTIONS(3949),
    [anon_sym_notnull] = ACTIONS(3949),
    [anon_sym_unmanaged] = ACTIONS(3949),
    [anon_sym_TILDE] = ACTIONS(3951),
    [anon_sym_implicit] = ACTIONS(3949),
    [anon_sym_explicit] = ACTIONS(3949),
    [anon_sym_scoped] = ACTIONS(3949),
    [anon_sym_var] = ACTIONS(3949),
    [sym_predefined_type] = ACTIONS(3949),
    [anon_sym_yield] = ACTIONS(3949),
    [anon_sym_when] = ACTIONS(3949),
    [anon_sym_from] = ACTIONS(3949),
    [anon_sym_into] = ACTIONS(3949),
    [anon_sym_join] = ACTIONS(3949),
    [anon_sym_on] = ACTIONS(3949),
    [anon_sym_equals] = ACTIONS(3949),
    [anon_sym_let] = ACTIONS(3949),
    [anon_sym_orderby] = ACTIONS(3949),
    [anon_sym_ascending] = ACTIONS(3949),
    [anon_sym_descending] = ACTIONS(3949),
    [anon_sym_group] = ACTIONS(3949),
    [anon_sym_by] = ACTIONS(3949),
    [anon_sym_select] = ACTIONS(3949),
    [aux_sym_preproc_if_token1] = ACTIONS(3951),
    [aux_sym_preproc_if_token3] = ACTIONS(3951),
    [aux_sym_preproc_else_token1] = ACTIONS(3951),
    [aux_sym_preproc_elif_token1] = ACTIONS(3951),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3328] = {
    [sym_preproc_region] = STATE(3328),
    [sym_preproc_endregion] = STATE(3328),
    [sym_preproc_line] = STATE(3328),
    [sym_preproc_pragma] = STATE(3328),
    [sym_preproc_nullable] = STATE(3328),
    [sym_preproc_error] = STATE(3328),
    [sym_preproc_define] = STATE(3328),
    [sym_preproc_undef] = STATE(3328),
    [sym__identifier_token] = ACTIONS(3953),
    [anon_sym_extern] = ACTIONS(3953),
    [anon_sym_alias] = ACTIONS(3953),
    [anon_sym_global] = ACTIONS(3953),
    [anon_sym_using] = ACTIONS(3953),
    [anon_sym_unsafe] = ACTIONS(3953),
    [anon_sym_static] = ACTIONS(3953),
    [anon_sym_LBRACK] = ACTIONS(3955),
    [anon_sym_LPAREN] = ACTIONS(3955),
    [anon_sym_event] = ACTIONS(3953),
    [anon_sym_namespace] = ACTIONS(3953),
    [anon_sym_class] = ACTIONS(3953),
    [anon_sym_ref] = ACTIONS(3953),
    [anon_sym_struct] = ACTIONS(3953),
    [anon_sym_enum] = ACTIONS(3953),
    [anon_sym_RBRACE] = ACTIONS(3955),
    [anon_sym_interface] = ACTIONS(3953),
    [anon_sym_delegate] = ACTIONS(3953),
    [anon_sym_record] = ACTIONS(3953),
    [anon_sym_abstract] = ACTIONS(3953),
    [anon_sym_async] = ACTIONS(3953),
    [anon_sym_const] = ACTIONS(3953),
    [anon_sym_file] = ACTIONS(3953),
    [anon_sym_fixed] = ACTIONS(3953),
    [anon_sym_internal] = ACTIONS(3953),
    [anon_sym_new] = ACTIONS(3953),
    [anon_sym_override] = ACTIONS(3953),
    [anon_sym_partial] = ACTIONS(3953),
    [anon_sym_private] = ACTIONS(3953),
    [anon_sym_protected] = ACTIONS(3953),
    [anon_sym_public] = ACTIONS(3953),
    [anon_sym_readonly] = ACTIONS(3953),
    [anon_sym_required] = ACTIONS(3953),
    [anon_sym_sealed] = ACTIONS(3953),
    [anon_sym_virtual] = ACTIONS(3953),
    [anon_sym_volatile] = ACTIONS(3953),
    [anon_sym_where] = ACTIONS(3953),
    [anon_sym_notnull] = ACTIONS(3953),
    [anon_sym_unmanaged] = ACTIONS(3953),
    [anon_sym_TILDE] = ACTIONS(3955),
    [anon_sym_implicit] = ACTIONS(3953),
    [anon_sym_explicit] = ACTIONS(3953),
    [anon_sym_scoped] = ACTIONS(3953),
    [anon_sym_var] = ACTIONS(3953),
    [sym_predefined_type] = ACTIONS(3953),
    [anon_sym_yield] = ACTIONS(3953),
    [anon_sym_when] = ACTIONS(3953),
    [anon_sym_from] = ACTIONS(3953),
    [anon_sym_into] = ACTIONS(3953),
    [anon_sym_join] = ACTIONS(3953),
    [anon_sym_on] = ACTIONS(3953),
    [anon_sym_equals] = ACTIONS(3953),
    [anon_sym_let] = ACTIONS(3953),
    [anon_sym_orderby] = ACTIONS(3953),
    [anon_sym_ascending] = ACTIONS(3953),
    [anon_sym_descending] = ACTIONS(3953),
    [anon_sym_group] = ACTIONS(3953),
    [anon_sym_by] = ACTIONS(3953),
    [anon_sym_select] = ACTIONS(3953),
    [aux_sym_preproc_if_token1] = ACTIONS(3955),
    [aux_sym_preproc_if_token3] = ACTIONS(3955),
    [aux_sym_preproc_else_token1] = ACTIONS(3955),
    [aux_sym_preproc_elif_token1] = ACTIONS(3955),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3329] = {
    [sym_preproc_region] = STATE(3329),
    [sym_preproc_endregion] = STATE(3329),
    [sym_preproc_line] = STATE(3329),
    [sym_preproc_pragma] = STATE(3329),
    [sym_preproc_nullable] = STATE(3329),
    [sym_preproc_error] = STATE(3329),
    [sym_preproc_define] = STATE(3329),
    [sym_preproc_undef] = STATE(3329),
    [sym__identifier_token] = ACTIONS(4977),
    [anon_sym_extern] = ACTIONS(4977),
    [anon_sym_alias] = ACTIONS(4977),
    [anon_sym_global] = ACTIONS(4977),
    [anon_sym_using] = ACTIONS(4977),
    [anon_sym_unsafe] = ACTIONS(4977),
    [anon_sym_static] = ACTIONS(4977),
    [anon_sym_LBRACK] = ACTIONS(4979),
    [anon_sym_LPAREN] = ACTIONS(4979),
    [anon_sym_event] = ACTIONS(4977),
    [anon_sym_namespace] = ACTIONS(4977),
    [anon_sym_class] = ACTIONS(4977),
    [anon_sym_ref] = ACTIONS(4977),
    [anon_sym_struct] = ACTIONS(4977),
    [anon_sym_enum] = ACTIONS(4977),
    [anon_sym_RBRACE] = ACTIONS(4979),
    [anon_sym_interface] = ACTIONS(4977),
    [anon_sym_delegate] = ACTIONS(4977),
    [anon_sym_record] = ACTIONS(4977),
    [anon_sym_abstract] = ACTIONS(4977),
    [anon_sym_async] = ACTIONS(4977),
    [anon_sym_const] = ACTIONS(4977),
    [anon_sym_file] = ACTIONS(4977),
    [anon_sym_fixed] = ACTIONS(4977),
    [anon_sym_internal] = ACTIONS(4977),
    [anon_sym_new] = ACTIONS(4977),
    [anon_sym_override] = ACTIONS(4977),
    [anon_sym_partial] = ACTIONS(4977),
    [anon_sym_private] = ACTIONS(4977),
    [anon_sym_protected] = ACTIONS(4977),
    [anon_sym_public] = ACTIONS(4977),
    [anon_sym_readonly] = ACTIONS(4977),
    [anon_sym_required] = ACTIONS(4977),
    [anon_sym_sealed] = ACTIONS(4977),
    [anon_sym_virtual] = ACTIONS(4977),
    [anon_sym_volatile] = ACTIONS(4977),
    [anon_sym_where] = ACTIONS(4977),
    [anon_sym_notnull] = ACTIONS(4977),
    [anon_sym_unmanaged] = ACTIONS(4977),
    [anon_sym_TILDE] = ACTIONS(4979),
    [anon_sym_implicit] = ACTIONS(4977),
    [anon_sym_explicit] = ACTIONS(4977),
    [anon_sym_scoped] = ACTIONS(4977),
    [anon_sym_var] = ACTIONS(4977),
    [sym_predefined_type] = ACTIONS(4977),
    [anon_sym_yield] = ACTIONS(4977),
    [anon_sym_when] = ACTIONS(4977),
    [anon_sym_from] = ACTIONS(4977),
    [anon_sym_into] = ACTIONS(4977),
    [anon_sym_join] = ACTIONS(4977),
    [anon_sym_on] = ACTIONS(4977),
    [anon_sym_equals] = ACTIONS(4977),
    [anon_sym_let] = ACTIONS(4977),
    [anon_sym_orderby] = ACTIONS(4977),
    [anon_sym_ascending] = ACTIONS(4977),
    [anon_sym_descending] = ACTIONS(4977),
    [anon_sym_group] = ACTIONS(4977),
    [anon_sym_by] = ACTIONS(4977),
    [anon_sym_select] = ACTIONS(4977),
    [aux_sym_preproc_if_token1] = ACTIONS(4979),
    [aux_sym_preproc_if_token3] = ACTIONS(4979),
    [aux_sym_preproc_else_token1] = ACTIONS(4979),
    [aux_sym_preproc_elif_token1] = ACTIONS(4979),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3330] = {
    [sym_preproc_region] = STATE(3330),
    [sym_preproc_endregion] = STATE(3330),
    [sym_preproc_line] = STATE(3330),
    [sym_preproc_pragma] = STATE(3330),
    [sym_preproc_nullable] = STATE(3330),
    [sym_preproc_error] = STATE(3330),
    [sym_preproc_define] = STATE(3330),
    [sym_preproc_undef] = STATE(3330),
    [sym__identifier_token] = ACTIONS(3957),
    [anon_sym_extern] = ACTIONS(3957),
    [anon_sym_alias] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3957),
    [anon_sym_using] = ACTIONS(3957),
    [anon_sym_unsafe] = ACTIONS(3957),
    [anon_sym_static] = ACTIONS(3957),
    [anon_sym_LBRACK] = ACTIONS(3959),
    [anon_sym_LPAREN] = ACTIONS(3959),
    [anon_sym_event] = ACTIONS(3957),
    [anon_sym_namespace] = ACTIONS(3957),
    [anon_sym_class] = ACTIONS(3957),
    [anon_sym_ref] = ACTIONS(3957),
    [anon_sym_struct] = ACTIONS(3957),
    [anon_sym_enum] = ACTIONS(3957),
    [anon_sym_RBRACE] = ACTIONS(3959),
    [anon_sym_interface] = ACTIONS(3957),
    [anon_sym_delegate] = ACTIONS(3957),
    [anon_sym_record] = ACTIONS(3957),
    [anon_sym_abstract] = ACTIONS(3957),
    [anon_sym_async] = ACTIONS(3957),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_file] = ACTIONS(3957),
    [anon_sym_fixed] = ACTIONS(3957),
    [anon_sym_internal] = ACTIONS(3957),
    [anon_sym_new] = ACTIONS(3957),
    [anon_sym_override] = ACTIONS(3957),
    [anon_sym_partial] = ACTIONS(3957),
    [anon_sym_private] = ACTIONS(3957),
    [anon_sym_protected] = ACTIONS(3957),
    [anon_sym_public] = ACTIONS(3957),
    [anon_sym_readonly] = ACTIONS(3957),
    [anon_sym_required] = ACTIONS(3957),
    [anon_sym_sealed] = ACTIONS(3957),
    [anon_sym_virtual] = ACTIONS(3957),
    [anon_sym_volatile] = ACTIONS(3957),
    [anon_sym_where] = ACTIONS(3957),
    [anon_sym_notnull] = ACTIONS(3957),
    [anon_sym_unmanaged] = ACTIONS(3957),
    [anon_sym_TILDE] = ACTIONS(3959),
    [anon_sym_implicit] = ACTIONS(3957),
    [anon_sym_explicit] = ACTIONS(3957),
    [anon_sym_scoped] = ACTIONS(3957),
    [anon_sym_var] = ACTIONS(3957),
    [sym_predefined_type] = ACTIONS(3957),
    [anon_sym_yield] = ACTIONS(3957),
    [anon_sym_when] = ACTIONS(3957),
    [anon_sym_from] = ACTIONS(3957),
    [anon_sym_into] = ACTIONS(3957),
    [anon_sym_join] = ACTIONS(3957),
    [anon_sym_on] = ACTIONS(3957),
    [anon_sym_equals] = ACTIONS(3957),
    [anon_sym_let] = ACTIONS(3957),
    [anon_sym_orderby] = ACTIONS(3957),
    [anon_sym_ascending] = ACTIONS(3957),
    [anon_sym_descending] = ACTIONS(3957),
    [anon_sym_group] = ACTIONS(3957),
    [anon_sym_by] = ACTIONS(3957),
    [anon_sym_select] = ACTIONS(3957),
    [aux_sym_preproc_if_token1] = ACTIONS(3959),
    [aux_sym_preproc_if_token3] = ACTIONS(3959),
    [aux_sym_preproc_else_token1] = ACTIONS(3959),
    [aux_sym_preproc_elif_token1] = ACTIONS(3959),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3331] = {
    [sym_preproc_region] = STATE(3331),
    [sym_preproc_endregion] = STATE(3331),
    [sym_preproc_line] = STATE(3331),
    [sym_preproc_pragma] = STATE(3331),
    [sym_preproc_nullable] = STATE(3331),
    [sym_preproc_error] = STATE(3331),
    [sym_preproc_define] = STATE(3331),
    [sym_preproc_undef] = STATE(3331),
    [sym__identifier_token] = ACTIONS(3961),
    [anon_sym_extern] = ACTIONS(3961),
    [anon_sym_alias] = ACTIONS(3961),
    [anon_sym_global] = ACTIONS(3961),
    [anon_sym_using] = ACTIONS(3961),
    [anon_sym_unsafe] = ACTIONS(3961),
    [anon_sym_static] = ACTIONS(3961),
    [anon_sym_LBRACK] = ACTIONS(3963),
    [anon_sym_LPAREN] = ACTIONS(3963),
    [anon_sym_event] = ACTIONS(3961),
    [anon_sym_namespace] = ACTIONS(3961),
    [anon_sym_class] = ACTIONS(3961),
    [anon_sym_ref] = ACTIONS(3961),
    [anon_sym_struct] = ACTIONS(3961),
    [anon_sym_enum] = ACTIONS(3961),
    [anon_sym_RBRACE] = ACTIONS(3963),
    [anon_sym_interface] = ACTIONS(3961),
    [anon_sym_delegate] = ACTIONS(3961),
    [anon_sym_record] = ACTIONS(3961),
    [anon_sym_abstract] = ACTIONS(3961),
    [anon_sym_async] = ACTIONS(3961),
    [anon_sym_const] = ACTIONS(3961),
    [anon_sym_file] = ACTIONS(3961),
    [anon_sym_fixed] = ACTIONS(3961),
    [anon_sym_internal] = ACTIONS(3961),
    [anon_sym_new] = ACTIONS(3961),
    [anon_sym_override] = ACTIONS(3961),
    [anon_sym_partial] = ACTIONS(3961),
    [anon_sym_private] = ACTIONS(3961),
    [anon_sym_protected] = ACTIONS(3961),
    [anon_sym_public] = ACTIONS(3961),
    [anon_sym_readonly] = ACTIONS(3961),
    [anon_sym_required] = ACTIONS(3961),
    [anon_sym_sealed] = ACTIONS(3961),
    [anon_sym_virtual] = ACTIONS(3961),
    [anon_sym_volatile] = ACTIONS(3961),
    [anon_sym_where] = ACTIONS(3961),
    [anon_sym_notnull] = ACTIONS(3961),
    [anon_sym_unmanaged] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3963),
    [anon_sym_implicit] = ACTIONS(3961),
    [anon_sym_explicit] = ACTIONS(3961),
    [anon_sym_scoped] = ACTIONS(3961),
    [anon_sym_var] = ACTIONS(3961),
    [sym_predefined_type] = ACTIONS(3961),
    [anon_sym_yield] = ACTIONS(3961),
    [anon_sym_when] = ACTIONS(3961),
    [anon_sym_from] = ACTIONS(3961),
    [anon_sym_into] = ACTIONS(3961),
    [anon_sym_join] = ACTIONS(3961),
    [anon_sym_on] = ACTIONS(3961),
    [anon_sym_equals] = ACTIONS(3961),
    [anon_sym_let] = ACTIONS(3961),
    [anon_sym_orderby] = ACTIONS(3961),
    [anon_sym_ascending] = ACTIONS(3961),
    [anon_sym_descending] = ACTIONS(3961),
    [anon_sym_group] = ACTIONS(3961),
    [anon_sym_by] = ACTIONS(3961),
    [anon_sym_select] = ACTIONS(3961),
    [aux_sym_preproc_if_token1] = ACTIONS(3963),
    [aux_sym_preproc_if_token3] = ACTIONS(3963),
    [aux_sym_preproc_else_token1] = ACTIONS(3963),
    [aux_sym_preproc_elif_token1] = ACTIONS(3963),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3332] = {
    [sym_preproc_region] = STATE(3332),
    [sym_preproc_endregion] = STATE(3332),
    [sym_preproc_line] = STATE(3332),
    [sym_preproc_pragma] = STATE(3332),
    [sym_preproc_nullable] = STATE(3332),
    [sym_preproc_error] = STATE(3332),
    [sym_preproc_define] = STATE(3332),
    [sym_preproc_undef] = STATE(3332),
    [sym__identifier_token] = ACTIONS(3965),
    [anon_sym_extern] = ACTIONS(3965),
    [anon_sym_alias] = ACTIONS(3965),
    [anon_sym_global] = ACTIONS(3965),
    [anon_sym_using] = ACTIONS(3965),
    [anon_sym_unsafe] = ACTIONS(3965),
    [anon_sym_static] = ACTIONS(3965),
    [anon_sym_LBRACK] = ACTIONS(3967),
    [anon_sym_LPAREN] = ACTIONS(3967),
    [anon_sym_event] = ACTIONS(3965),
    [anon_sym_namespace] = ACTIONS(3965),
    [anon_sym_class] = ACTIONS(3965),
    [anon_sym_ref] = ACTIONS(3965),
    [anon_sym_struct] = ACTIONS(3965),
    [anon_sym_enum] = ACTIONS(3965),
    [anon_sym_RBRACE] = ACTIONS(3967),
    [anon_sym_interface] = ACTIONS(3965),
    [anon_sym_delegate] = ACTIONS(3965),
    [anon_sym_record] = ACTIONS(3965),
    [anon_sym_abstract] = ACTIONS(3965),
    [anon_sym_async] = ACTIONS(3965),
    [anon_sym_const] = ACTIONS(3965),
    [anon_sym_file] = ACTIONS(3965),
    [anon_sym_fixed] = ACTIONS(3965),
    [anon_sym_internal] = ACTIONS(3965),
    [anon_sym_new] = ACTIONS(3965),
    [anon_sym_override] = ACTIONS(3965),
    [anon_sym_partial] = ACTIONS(3965),
    [anon_sym_private] = ACTIONS(3965),
    [anon_sym_protected] = ACTIONS(3965),
    [anon_sym_public] = ACTIONS(3965),
    [anon_sym_readonly] = ACTIONS(3965),
    [anon_sym_required] = ACTIONS(3965),
    [anon_sym_sealed] = ACTIONS(3965),
    [anon_sym_virtual] = ACTIONS(3965),
    [anon_sym_volatile] = ACTIONS(3965),
    [anon_sym_where] = ACTIONS(3965),
    [anon_sym_notnull] = ACTIONS(3965),
    [anon_sym_unmanaged] = ACTIONS(3965),
    [anon_sym_TILDE] = ACTIONS(3967),
    [anon_sym_implicit] = ACTIONS(3965),
    [anon_sym_explicit] = ACTIONS(3965),
    [anon_sym_scoped] = ACTIONS(3965),
    [anon_sym_var] = ACTIONS(3965),
    [sym_predefined_type] = ACTIONS(3965),
    [anon_sym_yield] = ACTIONS(3965),
    [anon_sym_when] = ACTIONS(3965),
    [anon_sym_from] = ACTIONS(3965),
    [anon_sym_into] = ACTIONS(3965),
    [anon_sym_join] = ACTIONS(3965),
    [anon_sym_on] = ACTIONS(3965),
    [anon_sym_equals] = ACTIONS(3965),
    [anon_sym_let] = ACTIONS(3965),
    [anon_sym_orderby] = ACTIONS(3965),
    [anon_sym_ascending] = ACTIONS(3965),
    [anon_sym_descending] = ACTIONS(3965),
    [anon_sym_group] = ACTIONS(3965),
    [anon_sym_by] = ACTIONS(3965),
    [anon_sym_select] = ACTIONS(3965),
    [aux_sym_preproc_if_token1] = ACTIONS(3967),
    [aux_sym_preproc_if_token3] = ACTIONS(3967),
    [aux_sym_preproc_else_token1] = ACTIONS(3967),
    [aux_sym_preproc_elif_token1] = ACTIONS(3967),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3333] = {
    [sym_preproc_region] = STATE(3333),
    [sym_preproc_endregion] = STATE(3333),
    [sym_preproc_line] = STATE(3333),
    [sym_preproc_pragma] = STATE(3333),
    [sym_preproc_nullable] = STATE(3333),
    [sym_preproc_error] = STATE(3333),
    [sym_preproc_define] = STATE(3333),
    [sym_preproc_undef] = STATE(3333),
    [sym__identifier_token] = ACTIONS(3969),
    [anon_sym_extern] = ACTIONS(3969),
    [anon_sym_alias] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3969),
    [anon_sym_using] = ACTIONS(3969),
    [anon_sym_unsafe] = ACTIONS(3969),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_LBRACK] = ACTIONS(3971),
    [anon_sym_LPAREN] = ACTIONS(3971),
    [anon_sym_event] = ACTIONS(3969),
    [anon_sym_namespace] = ACTIONS(3969),
    [anon_sym_class] = ACTIONS(3969),
    [anon_sym_ref] = ACTIONS(3969),
    [anon_sym_struct] = ACTIONS(3969),
    [anon_sym_enum] = ACTIONS(3969),
    [anon_sym_RBRACE] = ACTIONS(3971),
    [anon_sym_interface] = ACTIONS(3969),
    [anon_sym_delegate] = ACTIONS(3969),
    [anon_sym_record] = ACTIONS(3969),
    [anon_sym_abstract] = ACTIONS(3969),
    [anon_sym_async] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_file] = ACTIONS(3969),
    [anon_sym_fixed] = ACTIONS(3969),
    [anon_sym_internal] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3969),
    [anon_sym_override] = ACTIONS(3969),
    [anon_sym_partial] = ACTIONS(3969),
    [anon_sym_private] = ACTIONS(3969),
    [anon_sym_protected] = ACTIONS(3969),
    [anon_sym_public] = ACTIONS(3969),
    [anon_sym_readonly] = ACTIONS(3969),
    [anon_sym_required] = ACTIONS(3969),
    [anon_sym_sealed] = ACTIONS(3969),
    [anon_sym_virtual] = ACTIONS(3969),
    [anon_sym_volatile] = ACTIONS(3969),
    [anon_sym_where] = ACTIONS(3969),
    [anon_sym_notnull] = ACTIONS(3969),
    [anon_sym_unmanaged] = ACTIONS(3969),
    [anon_sym_TILDE] = ACTIONS(3971),
    [anon_sym_implicit] = ACTIONS(3969),
    [anon_sym_explicit] = ACTIONS(3969),
    [anon_sym_scoped] = ACTIONS(3969),
    [anon_sym_var] = ACTIONS(3969),
    [sym_predefined_type] = ACTIONS(3969),
    [anon_sym_yield] = ACTIONS(3969),
    [anon_sym_when] = ACTIONS(3969),
    [anon_sym_from] = ACTIONS(3969),
    [anon_sym_into] = ACTIONS(3969),
    [anon_sym_join] = ACTIONS(3969),
    [anon_sym_on] = ACTIONS(3969),
    [anon_sym_equals] = ACTIONS(3969),
    [anon_sym_let] = ACTIONS(3969),
    [anon_sym_orderby] = ACTIONS(3969),
    [anon_sym_ascending] = ACTIONS(3969),
    [anon_sym_descending] = ACTIONS(3969),
    [anon_sym_group] = ACTIONS(3969),
    [anon_sym_by] = ACTIONS(3969),
    [anon_sym_select] = ACTIONS(3969),
    [aux_sym_preproc_if_token1] = ACTIONS(3971),
    [aux_sym_preproc_if_token3] = ACTIONS(3971),
    [aux_sym_preproc_else_token1] = ACTIONS(3971),
    [aux_sym_preproc_elif_token1] = ACTIONS(3971),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3334] = {
    [sym_preproc_region] = STATE(3334),
    [sym_preproc_endregion] = STATE(3334),
    [sym_preproc_line] = STATE(3334),
    [sym_preproc_pragma] = STATE(3334),
    [sym_preproc_nullable] = STATE(3334),
    [sym_preproc_error] = STATE(3334),
    [sym_preproc_define] = STATE(3334),
    [sym_preproc_undef] = STATE(3334),
    [sym__identifier_token] = ACTIONS(3973),
    [anon_sym_extern] = ACTIONS(3973),
    [anon_sym_alias] = ACTIONS(3973),
    [anon_sym_global] = ACTIONS(3973),
    [anon_sym_using] = ACTIONS(3973),
    [anon_sym_unsafe] = ACTIONS(3973),
    [anon_sym_static] = ACTIONS(3973),
    [anon_sym_LBRACK] = ACTIONS(3975),
    [anon_sym_LPAREN] = ACTIONS(3975),
    [anon_sym_event] = ACTIONS(3973),
    [anon_sym_namespace] = ACTIONS(3973),
    [anon_sym_class] = ACTIONS(3973),
    [anon_sym_ref] = ACTIONS(3973),
    [anon_sym_struct] = ACTIONS(3973),
    [anon_sym_enum] = ACTIONS(3973),
    [anon_sym_RBRACE] = ACTIONS(3975),
    [anon_sym_interface] = ACTIONS(3973),
    [anon_sym_delegate] = ACTIONS(3973),
    [anon_sym_record] = ACTIONS(3973),
    [anon_sym_abstract] = ACTIONS(3973),
    [anon_sym_async] = ACTIONS(3973),
    [anon_sym_const] = ACTIONS(3973),
    [anon_sym_file] = ACTIONS(3973),
    [anon_sym_fixed] = ACTIONS(3973),
    [anon_sym_internal] = ACTIONS(3973),
    [anon_sym_new] = ACTIONS(3973),
    [anon_sym_override] = ACTIONS(3973),
    [anon_sym_partial] = ACTIONS(3973),
    [anon_sym_private] = ACTIONS(3973),
    [anon_sym_protected] = ACTIONS(3973),
    [anon_sym_public] = ACTIONS(3973),
    [anon_sym_readonly] = ACTIONS(3973),
    [anon_sym_required] = ACTIONS(3973),
    [anon_sym_sealed] = ACTIONS(3973),
    [anon_sym_virtual] = ACTIONS(3973),
    [anon_sym_volatile] = ACTIONS(3973),
    [anon_sym_where] = ACTIONS(3973),
    [anon_sym_notnull] = ACTIONS(3973),
    [anon_sym_unmanaged] = ACTIONS(3973),
    [anon_sym_TILDE] = ACTIONS(3975),
    [anon_sym_implicit] = ACTIONS(3973),
    [anon_sym_explicit] = ACTIONS(3973),
    [anon_sym_scoped] = ACTIONS(3973),
    [anon_sym_var] = ACTIONS(3973),
    [sym_predefined_type] = ACTIONS(3973),
    [anon_sym_yield] = ACTIONS(3973),
    [anon_sym_when] = ACTIONS(3973),
    [anon_sym_from] = ACTIONS(3973),
    [anon_sym_into] = ACTIONS(3973),
    [anon_sym_join] = ACTIONS(3973),
    [anon_sym_on] = ACTIONS(3973),
    [anon_sym_equals] = ACTIONS(3973),
    [anon_sym_let] = ACTIONS(3973),
    [anon_sym_orderby] = ACTIONS(3973),
    [anon_sym_ascending] = ACTIONS(3973),
    [anon_sym_descending] = ACTIONS(3973),
    [anon_sym_group] = ACTIONS(3973),
    [anon_sym_by] = ACTIONS(3973),
    [anon_sym_select] = ACTIONS(3973),
    [aux_sym_preproc_if_token1] = ACTIONS(3975),
    [aux_sym_preproc_if_token3] = ACTIONS(3975),
    [aux_sym_preproc_else_token1] = ACTIONS(3975),
    [aux_sym_preproc_elif_token1] = ACTIONS(3975),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3335] = {
    [sym_preproc_region] = STATE(3335),
    [sym_preproc_endregion] = STATE(3335),
    [sym_preproc_line] = STATE(3335),
    [sym_preproc_pragma] = STATE(3335),
    [sym_preproc_nullable] = STATE(3335),
    [sym_preproc_error] = STATE(3335),
    [sym_preproc_define] = STATE(3335),
    [sym_preproc_undef] = STATE(3335),
    [sym__identifier_token] = ACTIONS(3977),
    [anon_sym_extern] = ACTIONS(3977),
    [anon_sym_alias] = ACTIONS(3977),
    [anon_sym_global] = ACTIONS(3977),
    [anon_sym_using] = ACTIONS(3977),
    [anon_sym_unsafe] = ACTIONS(3977),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_LBRACK] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3979),
    [anon_sym_event] = ACTIONS(3977),
    [anon_sym_namespace] = ACTIONS(3977),
    [anon_sym_class] = ACTIONS(3977),
    [anon_sym_ref] = ACTIONS(3977),
    [anon_sym_struct] = ACTIONS(3977),
    [anon_sym_enum] = ACTIONS(3977),
    [anon_sym_RBRACE] = ACTIONS(3979),
    [anon_sym_interface] = ACTIONS(3977),
    [anon_sym_delegate] = ACTIONS(3977),
    [anon_sym_record] = ACTIONS(3977),
    [anon_sym_abstract] = ACTIONS(3977),
    [anon_sym_async] = ACTIONS(3977),
    [anon_sym_const] = ACTIONS(3977),
    [anon_sym_file] = ACTIONS(3977),
    [anon_sym_fixed] = ACTIONS(3977),
    [anon_sym_internal] = ACTIONS(3977),
    [anon_sym_new] = ACTIONS(3977),
    [anon_sym_override] = ACTIONS(3977),
    [anon_sym_partial] = ACTIONS(3977),
    [anon_sym_private] = ACTIONS(3977),
    [anon_sym_protected] = ACTIONS(3977),
    [anon_sym_public] = ACTIONS(3977),
    [anon_sym_readonly] = ACTIONS(3977),
    [anon_sym_required] = ACTIONS(3977),
    [anon_sym_sealed] = ACTIONS(3977),
    [anon_sym_virtual] = ACTIONS(3977),
    [anon_sym_volatile] = ACTIONS(3977),
    [anon_sym_where] = ACTIONS(3977),
    [anon_sym_notnull] = ACTIONS(3977),
    [anon_sym_unmanaged] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_implicit] = ACTIONS(3977),
    [anon_sym_explicit] = ACTIONS(3977),
    [anon_sym_scoped] = ACTIONS(3977),
    [anon_sym_var] = ACTIONS(3977),
    [sym_predefined_type] = ACTIONS(3977),
    [anon_sym_yield] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_from] = ACTIONS(3977),
    [anon_sym_into] = ACTIONS(3977),
    [anon_sym_join] = ACTIONS(3977),
    [anon_sym_on] = ACTIONS(3977),
    [anon_sym_equals] = ACTIONS(3977),
    [anon_sym_let] = ACTIONS(3977),
    [anon_sym_orderby] = ACTIONS(3977),
    [anon_sym_ascending] = ACTIONS(3977),
    [anon_sym_descending] = ACTIONS(3977),
    [anon_sym_group] = ACTIONS(3977),
    [anon_sym_by] = ACTIONS(3977),
    [anon_sym_select] = ACTIONS(3977),
    [aux_sym_preproc_if_token1] = ACTIONS(3979),
    [aux_sym_preproc_if_token3] = ACTIONS(3979),
    [aux_sym_preproc_else_token1] = ACTIONS(3979),
    [aux_sym_preproc_elif_token1] = ACTIONS(3979),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3336] = {
    [sym_preproc_region] = STATE(3336),
    [sym_preproc_endregion] = STATE(3336),
    [sym_preproc_line] = STATE(3336),
    [sym_preproc_pragma] = STATE(3336),
    [sym_preproc_nullable] = STATE(3336),
    [sym_preproc_error] = STATE(3336),
    [sym_preproc_define] = STATE(3336),
    [sym_preproc_undef] = STATE(3336),
    [sym__identifier_token] = ACTIONS(3905),
    [anon_sym_extern] = ACTIONS(3905),
    [anon_sym_alias] = ACTIONS(3905),
    [anon_sym_global] = ACTIONS(3905),
    [anon_sym_using] = ACTIONS(3905),
    [anon_sym_unsafe] = ACTIONS(3905),
    [anon_sym_static] = ACTIONS(3905),
    [anon_sym_LBRACK] = ACTIONS(3907),
    [anon_sym_LPAREN] = ACTIONS(3907),
    [anon_sym_event] = ACTIONS(3905),
    [anon_sym_namespace] = ACTIONS(3905),
    [anon_sym_class] = ACTIONS(3905),
    [anon_sym_ref] = ACTIONS(3905),
    [anon_sym_struct] = ACTIONS(3905),
    [anon_sym_enum] = ACTIONS(3905),
    [anon_sym_RBRACE] = ACTIONS(3907),
    [anon_sym_interface] = ACTIONS(3905),
    [anon_sym_delegate] = ACTIONS(3905),
    [anon_sym_record] = ACTIONS(3905),
    [anon_sym_abstract] = ACTIONS(3905),
    [anon_sym_async] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3905),
    [anon_sym_file] = ACTIONS(3905),
    [anon_sym_fixed] = ACTIONS(3905),
    [anon_sym_internal] = ACTIONS(3905),
    [anon_sym_new] = ACTIONS(3905),
    [anon_sym_override] = ACTIONS(3905),
    [anon_sym_partial] = ACTIONS(3905),
    [anon_sym_private] = ACTIONS(3905),
    [anon_sym_protected] = ACTIONS(3905),
    [anon_sym_public] = ACTIONS(3905),
    [anon_sym_readonly] = ACTIONS(3905),
    [anon_sym_required] = ACTIONS(3905),
    [anon_sym_sealed] = ACTIONS(3905),
    [anon_sym_virtual] = ACTIONS(3905),
    [anon_sym_volatile] = ACTIONS(3905),
    [anon_sym_where] = ACTIONS(3905),
    [anon_sym_notnull] = ACTIONS(3905),
    [anon_sym_unmanaged] = ACTIONS(3905),
    [anon_sym_TILDE] = ACTIONS(3907),
    [anon_sym_implicit] = ACTIONS(3905),
    [anon_sym_explicit] = ACTIONS(3905),
    [anon_sym_scoped] = ACTIONS(3905),
    [anon_sym_var] = ACTIONS(3905),
    [sym_predefined_type] = ACTIONS(3905),
    [anon_sym_yield] = ACTIONS(3905),
    [anon_sym_when] = ACTIONS(3905),
    [anon_sym_from] = ACTIONS(3905),
    [anon_sym_into] = ACTIONS(3905),
    [anon_sym_join] = ACTIONS(3905),
    [anon_sym_on] = ACTIONS(3905),
    [anon_sym_equals] = ACTIONS(3905),
    [anon_sym_let] = ACTIONS(3905),
    [anon_sym_orderby] = ACTIONS(3905),
    [anon_sym_ascending] = ACTIONS(3905),
    [anon_sym_descending] = ACTIONS(3905),
    [anon_sym_group] = ACTIONS(3905),
    [anon_sym_by] = ACTIONS(3905),
    [anon_sym_select] = ACTIONS(3905),
    [aux_sym_preproc_if_token1] = ACTIONS(3907),
    [aux_sym_preproc_if_token3] = ACTIONS(3907),
    [aux_sym_preproc_else_token1] = ACTIONS(3907),
    [aux_sym_preproc_elif_token1] = ACTIONS(3907),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3337] = {
    [sym_preproc_region] = STATE(3337),
    [sym_preproc_endregion] = STATE(3337),
    [sym_preproc_line] = STATE(3337),
    [sym_preproc_pragma] = STATE(3337),
    [sym_preproc_nullable] = STATE(3337),
    [sym_preproc_error] = STATE(3337),
    [sym_preproc_define] = STATE(3337),
    [sym_preproc_undef] = STATE(3337),
    [sym__identifier_token] = ACTIONS(4588),
    [anon_sym_alias] = ACTIONS(4588),
    [anon_sym_global] = ACTIONS(4588),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [anon_sym_COLON] = ACTIONS(4590),
    [anon_sym_COMMA] = ACTIONS(4590),
    [anon_sym_LPAREN] = ACTIONS(4590),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_file] = ACTIONS(4588),
    [anon_sym_LT] = ACTIONS(4588),
    [anon_sym_GT] = ACTIONS(4588),
    [anon_sym_where] = ACTIONS(4588),
    [anon_sym_QMARK] = ACTIONS(4588),
    [anon_sym_notnull] = ACTIONS(4588),
    [anon_sym_unmanaged] = ACTIONS(4588),
    [anon_sym_BANG] = ACTIONS(4588),
    [anon_sym_PLUS_PLUS] = ACTIONS(4590),
    [anon_sym_DASH_DASH] = ACTIONS(4590),
    [anon_sym_PLUS] = ACTIONS(4588),
    [anon_sym_DASH] = ACTIONS(4588),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_SLASH] = ACTIONS(4588),
    [anon_sym_PERCENT] = ACTIONS(4590),
    [anon_sym_CARET] = ACTIONS(4590),
    [anon_sym_PIPE] = ACTIONS(4588),
    [anon_sym_AMP] = ACTIONS(4588),
    [anon_sym_LT_LT] = ACTIONS(4590),
    [anon_sym_GT_GT] = ACTIONS(4588),
    [anon_sym_GT_GT_GT] = ACTIONS(4590),
    [anon_sym_EQ_EQ] = ACTIONS(4590),
    [anon_sym_BANG_EQ] = ACTIONS(4590),
    [anon_sym_GT_EQ] = ACTIONS(4590),
    [anon_sym_LT_EQ] = ACTIONS(4590),
    [anon_sym_DOT] = ACTIONS(4588),
    [anon_sym_scoped] = ACTIONS(4588),
    [anon_sym_var] = ACTIONS(4588),
    [anon_sym_yield] = ACTIONS(4588),
    [anon_sym_switch] = ACTIONS(4588),
    [anon_sym_when] = ACTIONS(4588),
    [sym_discard] = ACTIONS(4588),
    [anon_sym_DOT_DOT] = ACTIONS(4590),
    [anon_sym_and] = ACTIONS(4588),
    [anon_sym_or] = ACTIONS(4588),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_PIPE_PIPE] = ACTIONS(4590),
    [anon_sym_QMARK_QMARK] = ACTIONS(4590),
    [anon_sym_from] = ACTIONS(4588),
    [anon_sym_into] = ACTIONS(4588),
    [anon_sym_join] = ACTIONS(4588),
    [anon_sym_on] = ACTIONS(4588),
    [anon_sym_equals] = ACTIONS(4588),
    [anon_sym_let] = ACTIONS(4588),
    [anon_sym_orderby] = ACTIONS(4588),
    [anon_sym_ascending] = ACTIONS(4588),
    [anon_sym_descending] = ACTIONS(4588),
    [anon_sym_group] = ACTIONS(4588),
    [anon_sym_by] = ACTIONS(4588),
    [anon_sym_select] = ACTIONS(4588),
    [anon_sym_as] = ACTIONS(4588),
    [anon_sym_is] = ACTIONS(4588),
    [anon_sym_DASH_GT] = ACTIONS(4590),
    [anon_sym_with] = ACTIONS(4588),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4590),
  },
  [3338] = {
    [sym_preproc_region] = STATE(3338),
    [sym_preproc_endregion] = STATE(3338),
    [sym_preproc_line] = STATE(3338),
    [sym_preproc_pragma] = STATE(3338),
    [sym_preproc_nullable] = STATE(3338),
    [sym_preproc_error] = STATE(3338),
    [sym_preproc_define] = STATE(3338),
    [sym_preproc_undef] = STATE(3338),
    [sym__identifier_token] = ACTIONS(4981),
    [anon_sym_extern] = ACTIONS(4981),
    [anon_sym_alias] = ACTIONS(4981),
    [anon_sym_global] = ACTIONS(4981),
    [anon_sym_using] = ACTIONS(4981),
    [anon_sym_unsafe] = ACTIONS(4981),
    [anon_sym_static] = ACTIONS(4981),
    [anon_sym_LBRACK] = ACTIONS(4983),
    [anon_sym_LPAREN] = ACTIONS(4983),
    [anon_sym_event] = ACTIONS(4981),
    [anon_sym_namespace] = ACTIONS(4981),
    [anon_sym_class] = ACTIONS(4981),
    [anon_sym_ref] = ACTIONS(4981),
    [anon_sym_struct] = ACTIONS(4981),
    [anon_sym_enum] = ACTIONS(4981),
    [anon_sym_RBRACE] = ACTIONS(4983),
    [anon_sym_interface] = ACTIONS(4981),
    [anon_sym_delegate] = ACTIONS(4981),
    [anon_sym_record] = ACTIONS(4981),
    [anon_sym_abstract] = ACTIONS(4981),
    [anon_sym_async] = ACTIONS(4981),
    [anon_sym_const] = ACTIONS(4981),
    [anon_sym_file] = ACTIONS(4981),
    [anon_sym_fixed] = ACTIONS(4981),
    [anon_sym_internal] = ACTIONS(4981),
    [anon_sym_new] = ACTIONS(4981),
    [anon_sym_override] = ACTIONS(4981),
    [anon_sym_partial] = ACTIONS(4981),
    [anon_sym_private] = ACTIONS(4981),
    [anon_sym_protected] = ACTIONS(4981),
    [anon_sym_public] = ACTIONS(4981),
    [anon_sym_readonly] = ACTIONS(4981),
    [anon_sym_required] = ACTIONS(4981),
    [anon_sym_sealed] = ACTIONS(4981),
    [anon_sym_virtual] = ACTIONS(4981),
    [anon_sym_volatile] = ACTIONS(4981),
    [anon_sym_where] = ACTIONS(4981),
    [anon_sym_notnull] = ACTIONS(4981),
    [anon_sym_unmanaged] = ACTIONS(4981),
    [anon_sym_TILDE] = ACTIONS(4983),
    [anon_sym_implicit] = ACTIONS(4981),
    [anon_sym_explicit] = ACTIONS(4981),
    [anon_sym_scoped] = ACTIONS(4981),
    [anon_sym_var] = ACTIONS(4981),
    [sym_predefined_type] = ACTIONS(4981),
    [anon_sym_yield] = ACTIONS(4981),
    [anon_sym_when] = ACTIONS(4981),
    [anon_sym_from] = ACTIONS(4981),
    [anon_sym_into] = ACTIONS(4981),
    [anon_sym_join] = ACTIONS(4981),
    [anon_sym_on] = ACTIONS(4981),
    [anon_sym_equals] = ACTIONS(4981),
    [anon_sym_let] = ACTIONS(4981),
    [anon_sym_orderby] = ACTIONS(4981),
    [anon_sym_ascending] = ACTIONS(4981),
    [anon_sym_descending] = ACTIONS(4981),
    [anon_sym_group] = ACTIONS(4981),
    [anon_sym_by] = ACTIONS(4981),
    [anon_sym_select] = ACTIONS(4981),
    [aux_sym_preproc_if_token1] = ACTIONS(4983),
    [aux_sym_preproc_if_token3] = ACTIONS(4983),
    [aux_sym_preproc_else_token1] = ACTIONS(4983),
    [aux_sym_preproc_elif_token1] = ACTIONS(4983),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3339] = {
    [sym_preproc_region] = STATE(3339),
    [sym_preproc_endregion] = STATE(3339),
    [sym_preproc_line] = STATE(3339),
    [sym_preproc_pragma] = STATE(3339),
    [sym_preproc_nullable] = STATE(3339),
    [sym_preproc_error] = STATE(3339),
    [sym_preproc_define] = STATE(3339),
    [sym_preproc_undef] = STATE(3339),
    [sym__identifier_token] = ACTIONS(3729),
    [anon_sym_extern] = ACTIONS(3729),
    [anon_sym_alias] = ACTIONS(3729),
    [anon_sym_global] = ACTIONS(3729),
    [anon_sym_using] = ACTIONS(3729),
    [anon_sym_unsafe] = ACTIONS(3729),
    [anon_sym_static] = ACTIONS(3729),
    [anon_sym_LBRACK] = ACTIONS(3731),
    [anon_sym_LPAREN] = ACTIONS(3731),
    [anon_sym_event] = ACTIONS(3729),
    [anon_sym_namespace] = ACTIONS(3729),
    [anon_sym_class] = ACTIONS(3729),
    [anon_sym_ref] = ACTIONS(3729),
    [anon_sym_struct] = ACTIONS(3729),
    [anon_sym_enum] = ACTIONS(3729),
    [anon_sym_RBRACE] = ACTIONS(3731),
    [anon_sym_interface] = ACTIONS(3729),
    [anon_sym_delegate] = ACTIONS(3729),
    [anon_sym_record] = ACTIONS(3729),
    [anon_sym_abstract] = ACTIONS(3729),
    [anon_sym_async] = ACTIONS(3729),
    [anon_sym_const] = ACTIONS(3729),
    [anon_sym_file] = ACTIONS(3729),
    [anon_sym_fixed] = ACTIONS(3729),
    [anon_sym_internal] = ACTIONS(3729),
    [anon_sym_new] = ACTIONS(3729),
    [anon_sym_override] = ACTIONS(3729),
    [anon_sym_partial] = ACTIONS(3729),
    [anon_sym_private] = ACTIONS(3729),
    [anon_sym_protected] = ACTIONS(3729),
    [anon_sym_public] = ACTIONS(3729),
    [anon_sym_readonly] = ACTIONS(3729),
    [anon_sym_required] = ACTIONS(3729),
    [anon_sym_sealed] = ACTIONS(3729),
    [anon_sym_virtual] = ACTIONS(3729),
    [anon_sym_volatile] = ACTIONS(3729),
    [anon_sym_where] = ACTIONS(3729),
    [anon_sym_notnull] = ACTIONS(3729),
    [anon_sym_unmanaged] = ACTIONS(3729),
    [anon_sym_TILDE] = ACTIONS(3731),
    [anon_sym_implicit] = ACTIONS(3729),
    [anon_sym_explicit] = ACTIONS(3729),
    [anon_sym_scoped] = ACTIONS(3729),
    [anon_sym_var] = ACTIONS(3729),
    [sym_predefined_type] = ACTIONS(3729),
    [anon_sym_yield] = ACTIONS(3729),
    [anon_sym_when] = ACTIONS(3729),
    [anon_sym_from] = ACTIONS(3729),
    [anon_sym_into] = ACTIONS(3729),
    [anon_sym_join] = ACTIONS(3729),
    [anon_sym_on] = ACTIONS(3729),
    [anon_sym_equals] = ACTIONS(3729),
    [anon_sym_let] = ACTIONS(3729),
    [anon_sym_orderby] = ACTIONS(3729),
    [anon_sym_ascending] = ACTIONS(3729),
    [anon_sym_descending] = ACTIONS(3729),
    [anon_sym_group] = ACTIONS(3729),
    [anon_sym_by] = ACTIONS(3729),
    [anon_sym_select] = ACTIONS(3729),
    [aux_sym_preproc_if_token1] = ACTIONS(3731),
    [aux_sym_preproc_if_token3] = ACTIONS(3731),
    [aux_sym_preproc_else_token1] = ACTIONS(3731),
    [aux_sym_preproc_elif_token1] = ACTIONS(3731),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3340] = {
    [sym_preproc_region] = STATE(3340),
    [sym_preproc_endregion] = STATE(3340),
    [sym_preproc_line] = STATE(3340),
    [sym_preproc_pragma] = STATE(3340),
    [sym_preproc_nullable] = STATE(3340),
    [sym_preproc_error] = STATE(3340),
    [sym_preproc_define] = STATE(3340),
    [sym_preproc_undef] = STATE(3340),
    [sym__identifier_token] = ACTIONS(3435),
    [anon_sym_extern] = ACTIONS(3435),
    [anon_sym_alias] = ACTIONS(3435),
    [anon_sym_global] = ACTIONS(3435),
    [anon_sym_using] = ACTIONS(3435),
    [anon_sym_unsafe] = ACTIONS(3435),
    [anon_sym_static] = ACTIONS(3435),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_LPAREN] = ACTIONS(3437),
    [anon_sym_event] = ACTIONS(3435),
    [anon_sym_namespace] = ACTIONS(3435),
    [anon_sym_class] = ACTIONS(3435),
    [anon_sym_ref] = ACTIONS(3435),
    [anon_sym_struct] = ACTIONS(3435),
    [anon_sym_enum] = ACTIONS(3435),
    [anon_sym_RBRACE] = ACTIONS(3437),
    [anon_sym_interface] = ACTIONS(3435),
    [anon_sym_delegate] = ACTIONS(3435),
    [anon_sym_record] = ACTIONS(3435),
    [anon_sym_abstract] = ACTIONS(3435),
    [anon_sym_async] = ACTIONS(3435),
    [anon_sym_const] = ACTIONS(3435),
    [anon_sym_file] = ACTIONS(3435),
    [anon_sym_fixed] = ACTIONS(3435),
    [anon_sym_internal] = ACTIONS(3435),
    [anon_sym_new] = ACTIONS(3435),
    [anon_sym_override] = ACTIONS(3435),
    [anon_sym_partial] = ACTIONS(3435),
    [anon_sym_private] = ACTIONS(3435),
    [anon_sym_protected] = ACTIONS(3435),
    [anon_sym_public] = ACTIONS(3435),
    [anon_sym_readonly] = ACTIONS(3435),
    [anon_sym_required] = ACTIONS(3435),
    [anon_sym_sealed] = ACTIONS(3435),
    [anon_sym_virtual] = ACTIONS(3435),
    [anon_sym_volatile] = ACTIONS(3435),
    [anon_sym_where] = ACTIONS(3435),
    [anon_sym_notnull] = ACTIONS(3435),
    [anon_sym_unmanaged] = ACTIONS(3435),
    [anon_sym_TILDE] = ACTIONS(3437),
    [anon_sym_implicit] = ACTIONS(3435),
    [anon_sym_explicit] = ACTIONS(3435),
    [anon_sym_scoped] = ACTIONS(3435),
    [anon_sym_var] = ACTIONS(3435),
    [sym_predefined_type] = ACTIONS(3435),
    [anon_sym_yield] = ACTIONS(3435),
    [anon_sym_when] = ACTIONS(3435),
    [anon_sym_from] = ACTIONS(3435),
    [anon_sym_into] = ACTIONS(3435),
    [anon_sym_join] = ACTIONS(3435),
    [anon_sym_on] = ACTIONS(3435),
    [anon_sym_equals] = ACTIONS(3435),
    [anon_sym_let] = ACTIONS(3435),
    [anon_sym_orderby] = ACTIONS(3435),
    [anon_sym_ascending] = ACTIONS(3435),
    [anon_sym_descending] = ACTIONS(3435),
    [anon_sym_group] = ACTIONS(3435),
    [anon_sym_by] = ACTIONS(3435),
    [anon_sym_select] = ACTIONS(3435),
    [aux_sym_preproc_if_token1] = ACTIONS(3437),
    [aux_sym_preproc_if_token3] = ACTIONS(3437),
    [aux_sym_preproc_else_token1] = ACTIONS(3437),
    [aux_sym_preproc_elif_token1] = ACTIONS(3437),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3341] = {
    [sym_preproc_region] = STATE(3341),
    [sym_preproc_endregion] = STATE(3341),
    [sym_preproc_line] = STATE(3341),
    [sym_preproc_pragma] = STATE(3341),
    [sym_preproc_nullable] = STATE(3341),
    [sym_preproc_error] = STATE(3341),
    [sym_preproc_define] = STATE(3341),
    [sym_preproc_undef] = STATE(3341),
    [sym__identifier_token] = ACTIONS(4132),
    [anon_sym_alias] = ACTIONS(4132),
    [anon_sym_global] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_file] = ACTIONS(4132),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_notnull] = ACTIONS(4132),
    [anon_sym_unmanaged] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_scoped] = ACTIONS(4132),
    [anon_sym_var] = ACTIONS(4132),
    [anon_sym_yield] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4132),
    [anon_sym_when] = ACTIONS(4132),
    [sym_discard] = ACTIONS(4132),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4132),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4132),
    [anon_sym_join] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4132),
    [anon_sym_equals] = ACTIONS(4132),
    [anon_sym_let] = ACTIONS(4132),
    [anon_sym_orderby] = ACTIONS(4132),
    [anon_sym_ascending] = ACTIONS(4132),
    [anon_sym_descending] = ACTIONS(4132),
    [anon_sym_group] = ACTIONS(4132),
    [anon_sym_by] = ACTIONS(4132),
    [anon_sym_select] = ACTIONS(4132),
    [anon_sym_as] = ACTIONS(4132),
    [anon_sym_is] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4132),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [3342] = {
    [sym_preproc_region] = STATE(3342),
    [sym_preproc_endregion] = STATE(3342),
    [sym_preproc_line] = STATE(3342),
    [sym_preproc_pragma] = STATE(3342),
    [sym_preproc_nullable] = STATE(3342),
    [sym_preproc_error] = STATE(3342),
    [sym_preproc_define] = STATE(3342),
    [sym_preproc_undef] = STATE(3342),
    [sym__identifier_token] = ACTIONS(3607),
    [anon_sym_extern] = ACTIONS(3607),
    [anon_sym_alias] = ACTIONS(3607),
    [anon_sym_global] = ACTIONS(3607),
    [anon_sym_using] = ACTIONS(3607),
    [anon_sym_unsafe] = ACTIONS(3607),
    [anon_sym_static] = ACTIONS(3607),
    [anon_sym_LBRACK] = ACTIONS(3609),
    [anon_sym_LPAREN] = ACTIONS(3609),
    [anon_sym_event] = ACTIONS(3607),
    [anon_sym_namespace] = ACTIONS(3607),
    [anon_sym_class] = ACTIONS(3607),
    [anon_sym_ref] = ACTIONS(3607),
    [anon_sym_struct] = ACTIONS(3607),
    [anon_sym_enum] = ACTIONS(3607),
    [anon_sym_RBRACE] = ACTIONS(3609),
    [anon_sym_interface] = ACTIONS(3607),
    [anon_sym_delegate] = ACTIONS(3607),
    [anon_sym_record] = ACTIONS(3607),
    [anon_sym_abstract] = ACTIONS(3607),
    [anon_sym_async] = ACTIONS(3607),
    [anon_sym_const] = ACTIONS(3607),
    [anon_sym_file] = ACTIONS(3607),
    [anon_sym_fixed] = ACTIONS(3607),
    [anon_sym_internal] = ACTIONS(3607),
    [anon_sym_new] = ACTIONS(3607),
    [anon_sym_override] = ACTIONS(3607),
    [anon_sym_partial] = ACTIONS(3607),
    [anon_sym_private] = ACTIONS(3607),
    [anon_sym_protected] = ACTIONS(3607),
    [anon_sym_public] = ACTIONS(3607),
    [anon_sym_readonly] = ACTIONS(3607),
    [anon_sym_required] = ACTIONS(3607),
    [anon_sym_sealed] = ACTIONS(3607),
    [anon_sym_virtual] = ACTIONS(3607),
    [anon_sym_volatile] = ACTIONS(3607),
    [anon_sym_where] = ACTIONS(3607),
    [anon_sym_notnull] = ACTIONS(3607),
    [anon_sym_unmanaged] = ACTIONS(3607),
    [anon_sym_TILDE] = ACTIONS(3609),
    [anon_sym_implicit] = ACTIONS(3607),
    [anon_sym_explicit] = ACTIONS(3607),
    [anon_sym_scoped] = ACTIONS(3607),
    [anon_sym_var] = ACTIONS(3607),
    [sym_predefined_type] = ACTIONS(3607),
    [anon_sym_yield] = ACTIONS(3607),
    [anon_sym_when] = ACTIONS(3607),
    [anon_sym_from] = ACTIONS(3607),
    [anon_sym_into] = ACTIONS(3607),
    [anon_sym_join] = ACTIONS(3607),
    [anon_sym_on] = ACTIONS(3607),
    [anon_sym_equals] = ACTIONS(3607),
    [anon_sym_let] = ACTIONS(3607),
    [anon_sym_orderby] = ACTIONS(3607),
    [anon_sym_ascending] = ACTIONS(3607),
    [anon_sym_descending] = ACTIONS(3607),
    [anon_sym_group] = ACTIONS(3607),
    [anon_sym_by] = ACTIONS(3607),
    [anon_sym_select] = ACTIONS(3607),
    [aux_sym_preproc_if_token1] = ACTIONS(3609),
    [aux_sym_preproc_if_token3] = ACTIONS(3609),
    [aux_sym_preproc_else_token1] = ACTIONS(3609),
    [aux_sym_preproc_elif_token1] = ACTIONS(3609),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3343] = {
    [sym_preproc_region] = STATE(3343),
    [sym_preproc_endregion] = STATE(3343),
    [sym_preproc_line] = STATE(3343),
    [sym_preproc_pragma] = STATE(3343),
    [sym_preproc_nullable] = STATE(3343),
    [sym_preproc_error] = STATE(3343),
    [sym_preproc_define] = STATE(3343),
    [sym_preproc_undef] = STATE(3343),
    [sym__identifier_token] = ACTIONS(4149),
    [anon_sym_alias] = ACTIONS(4149),
    [anon_sym_global] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_file] = ACTIONS(4149),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_where] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_notnull] = ACTIONS(4149),
    [anon_sym_unmanaged] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4151),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_CARET] = ACTIONS(4151),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4151),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4151),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_scoped] = ACTIONS(4149),
    [anon_sym_var] = ACTIONS(4149),
    [anon_sym_yield] = ACTIONS(4149),
    [anon_sym_switch] = ACTIONS(4149),
    [anon_sym_when] = ACTIONS(4149),
    [sym_discard] = ACTIONS(4149),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4149),
    [anon_sym_or] = ACTIONS(4149),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4151),
    [anon_sym_from] = ACTIONS(4149),
    [anon_sym_into] = ACTIONS(4149),
    [anon_sym_join] = ACTIONS(4149),
    [anon_sym_on] = ACTIONS(4149),
    [anon_sym_equals] = ACTIONS(4149),
    [anon_sym_let] = ACTIONS(4149),
    [anon_sym_orderby] = ACTIONS(4149),
    [anon_sym_ascending] = ACTIONS(4149),
    [anon_sym_descending] = ACTIONS(4149),
    [anon_sym_group] = ACTIONS(4149),
    [anon_sym_by] = ACTIONS(4149),
    [anon_sym_select] = ACTIONS(4149),
    [anon_sym_as] = ACTIONS(4149),
    [anon_sym_is] = ACTIONS(4149),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4149),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4151),
  },
  [3344] = {
    [sym_preproc_region] = STATE(3344),
    [sym_preproc_endregion] = STATE(3344),
    [sym_preproc_line] = STATE(3344),
    [sym_preproc_pragma] = STATE(3344),
    [sym_preproc_nullable] = STATE(3344),
    [sym_preproc_error] = STATE(3344),
    [sym_preproc_define] = STATE(3344),
    [sym_preproc_undef] = STATE(3344),
    [sym__identifier_token] = ACTIONS(3849),
    [anon_sym_extern] = ACTIONS(3849),
    [anon_sym_alias] = ACTIONS(3849),
    [anon_sym_global] = ACTIONS(3849),
    [anon_sym_using] = ACTIONS(3849),
    [anon_sym_unsafe] = ACTIONS(3849),
    [anon_sym_static] = ACTIONS(3849),
    [anon_sym_LBRACK] = ACTIONS(3851),
    [anon_sym_LPAREN] = ACTIONS(3851),
    [anon_sym_event] = ACTIONS(3849),
    [anon_sym_namespace] = ACTIONS(3849),
    [anon_sym_class] = ACTIONS(3849),
    [anon_sym_ref] = ACTIONS(3849),
    [anon_sym_struct] = ACTIONS(3849),
    [anon_sym_enum] = ACTIONS(3849),
    [anon_sym_RBRACE] = ACTIONS(3851),
    [anon_sym_interface] = ACTIONS(3849),
    [anon_sym_delegate] = ACTIONS(3849),
    [anon_sym_record] = ACTIONS(3849),
    [anon_sym_abstract] = ACTIONS(3849),
    [anon_sym_async] = ACTIONS(3849),
    [anon_sym_const] = ACTIONS(3849),
    [anon_sym_file] = ACTIONS(3849),
    [anon_sym_fixed] = ACTIONS(3849),
    [anon_sym_internal] = ACTIONS(3849),
    [anon_sym_new] = ACTIONS(3849),
    [anon_sym_override] = ACTIONS(3849),
    [anon_sym_partial] = ACTIONS(3849),
    [anon_sym_private] = ACTIONS(3849),
    [anon_sym_protected] = ACTIONS(3849),
    [anon_sym_public] = ACTIONS(3849),
    [anon_sym_readonly] = ACTIONS(3849),
    [anon_sym_required] = ACTIONS(3849),
    [anon_sym_sealed] = ACTIONS(3849),
    [anon_sym_virtual] = ACTIONS(3849),
    [anon_sym_volatile] = ACTIONS(3849),
    [anon_sym_where] = ACTIONS(3849),
    [anon_sym_notnull] = ACTIONS(3849),
    [anon_sym_unmanaged] = ACTIONS(3849),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_implicit] = ACTIONS(3849),
    [anon_sym_explicit] = ACTIONS(3849),
    [anon_sym_scoped] = ACTIONS(3849),
    [anon_sym_var] = ACTIONS(3849),
    [sym_predefined_type] = ACTIONS(3849),
    [anon_sym_yield] = ACTIONS(3849),
    [anon_sym_when] = ACTIONS(3849),
    [anon_sym_from] = ACTIONS(3849),
    [anon_sym_into] = ACTIONS(3849),
    [anon_sym_join] = ACTIONS(3849),
    [anon_sym_on] = ACTIONS(3849),
    [anon_sym_equals] = ACTIONS(3849),
    [anon_sym_let] = ACTIONS(3849),
    [anon_sym_orderby] = ACTIONS(3849),
    [anon_sym_ascending] = ACTIONS(3849),
    [anon_sym_descending] = ACTIONS(3849),
    [anon_sym_group] = ACTIONS(3849),
    [anon_sym_by] = ACTIONS(3849),
    [anon_sym_select] = ACTIONS(3849),
    [aux_sym_preproc_if_token1] = ACTIONS(3851),
    [aux_sym_preproc_if_token3] = ACTIONS(3851),
    [aux_sym_preproc_else_token1] = ACTIONS(3851),
    [aux_sym_preproc_elif_token1] = ACTIONS(3851),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3345] = {
    [sym_preproc_region] = STATE(3345),
    [sym_preproc_endregion] = STATE(3345),
    [sym_preproc_line] = STATE(3345),
    [sym_preproc_pragma] = STATE(3345),
    [sym_preproc_nullable] = STATE(3345),
    [sym_preproc_error] = STATE(3345),
    [sym_preproc_define] = STATE(3345),
    [sym_preproc_undef] = STATE(3345),
    [sym__identifier_token] = ACTIONS(3423),
    [anon_sym_extern] = ACTIONS(3423),
    [anon_sym_alias] = ACTIONS(3423),
    [anon_sym_global] = ACTIONS(3423),
    [anon_sym_using] = ACTIONS(3423),
    [anon_sym_unsafe] = ACTIONS(3423),
    [anon_sym_static] = ACTIONS(3423),
    [anon_sym_LBRACK] = ACTIONS(3425),
    [anon_sym_LPAREN] = ACTIONS(3425),
    [anon_sym_event] = ACTIONS(3423),
    [anon_sym_namespace] = ACTIONS(3423),
    [anon_sym_class] = ACTIONS(3423),
    [anon_sym_ref] = ACTIONS(3423),
    [anon_sym_struct] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3423),
    [anon_sym_RBRACE] = ACTIONS(3425),
    [anon_sym_interface] = ACTIONS(3423),
    [anon_sym_delegate] = ACTIONS(3423),
    [anon_sym_record] = ACTIONS(3423),
    [anon_sym_abstract] = ACTIONS(3423),
    [anon_sym_async] = ACTIONS(3423),
    [anon_sym_const] = ACTIONS(3423),
    [anon_sym_file] = ACTIONS(3423),
    [anon_sym_fixed] = ACTIONS(3423),
    [anon_sym_internal] = ACTIONS(3423),
    [anon_sym_new] = ACTIONS(3423),
    [anon_sym_override] = ACTIONS(3423),
    [anon_sym_partial] = ACTIONS(3423),
    [anon_sym_private] = ACTIONS(3423),
    [anon_sym_protected] = ACTIONS(3423),
    [anon_sym_public] = ACTIONS(3423),
    [anon_sym_readonly] = ACTIONS(3423),
    [anon_sym_required] = ACTIONS(3423),
    [anon_sym_sealed] = ACTIONS(3423),
    [anon_sym_virtual] = ACTIONS(3423),
    [anon_sym_volatile] = ACTIONS(3423),
    [anon_sym_where] = ACTIONS(3423),
    [anon_sym_notnull] = ACTIONS(3423),
    [anon_sym_unmanaged] = ACTIONS(3423),
    [anon_sym_TILDE] = ACTIONS(3425),
    [anon_sym_implicit] = ACTIONS(3423),
    [anon_sym_explicit] = ACTIONS(3423),
    [anon_sym_scoped] = ACTIONS(3423),
    [anon_sym_var] = ACTIONS(3423),
    [sym_predefined_type] = ACTIONS(3423),
    [anon_sym_yield] = ACTIONS(3423),
    [anon_sym_when] = ACTIONS(3423),
    [anon_sym_from] = ACTIONS(3423),
    [anon_sym_into] = ACTIONS(3423),
    [anon_sym_join] = ACTIONS(3423),
    [anon_sym_on] = ACTIONS(3423),
    [anon_sym_equals] = ACTIONS(3423),
    [anon_sym_let] = ACTIONS(3423),
    [anon_sym_orderby] = ACTIONS(3423),
    [anon_sym_ascending] = ACTIONS(3423),
    [anon_sym_descending] = ACTIONS(3423),
    [anon_sym_group] = ACTIONS(3423),
    [anon_sym_by] = ACTIONS(3423),
    [anon_sym_select] = ACTIONS(3423),
    [aux_sym_preproc_if_token1] = ACTIONS(3425),
    [aux_sym_preproc_if_token3] = ACTIONS(3425),
    [aux_sym_preproc_else_token1] = ACTIONS(3425),
    [aux_sym_preproc_elif_token1] = ACTIONS(3425),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3346] = {
    [sym_preproc_region] = STATE(3346),
    [sym_preproc_endregion] = STATE(3346),
    [sym_preproc_line] = STATE(3346),
    [sym_preproc_pragma] = STATE(3346),
    [sym_preproc_nullable] = STATE(3346),
    [sym_preproc_error] = STATE(3346),
    [sym_preproc_define] = STATE(3346),
    [sym_preproc_undef] = STATE(3346),
    [sym__identifier_token] = ACTIONS(3427),
    [anon_sym_extern] = ACTIONS(3427),
    [anon_sym_alias] = ACTIONS(3427),
    [anon_sym_global] = ACTIONS(3427),
    [anon_sym_using] = ACTIONS(3427),
    [anon_sym_unsafe] = ACTIONS(3427),
    [anon_sym_static] = ACTIONS(3427),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_LPAREN] = ACTIONS(3429),
    [anon_sym_event] = ACTIONS(3427),
    [anon_sym_namespace] = ACTIONS(3427),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_ref] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3427),
    [anon_sym_enum] = ACTIONS(3427),
    [anon_sym_RBRACE] = ACTIONS(3429),
    [anon_sym_interface] = ACTIONS(3427),
    [anon_sym_delegate] = ACTIONS(3427),
    [anon_sym_record] = ACTIONS(3427),
    [anon_sym_abstract] = ACTIONS(3427),
    [anon_sym_async] = ACTIONS(3427),
    [anon_sym_const] = ACTIONS(3427),
    [anon_sym_file] = ACTIONS(3427),
    [anon_sym_fixed] = ACTIONS(3427),
    [anon_sym_internal] = ACTIONS(3427),
    [anon_sym_new] = ACTIONS(3427),
    [anon_sym_override] = ACTIONS(3427),
    [anon_sym_partial] = ACTIONS(3427),
    [anon_sym_private] = ACTIONS(3427),
    [anon_sym_protected] = ACTIONS(3427),
    [anon_sym_public] = ACTIONS(3427),
    [anon_sym_readonly] = ACTIONS(3427),
    [anon_sym_required] = ACTIONS(3427),
    [anon_sym_sealed] = ACTIONS(3427),
    [anon_sym_virtual] = ACTIONS(3427),
    [anon_sym_volatile] = ACTIONS(3427),
    [anon_sym_where] = ACTIONS(3427),
    [anon_sym_notnull] = ACTIONS(3427),
    [anon_sym_unmanaged] = ACTIONS(3427),
    [anon_sym_TILDE] = ACTIONS(3429),
    [anon_sym_implicit] = ACTIONS(3427),
    [anon_sym_explicit] = ACTIONS(3427),
    [anon_sym_scoped] = ACTIONS(3427),
    [anon_sym_var] = ACTIONS(3427),
    [sym_predefined_type] = ACTIONS(3427),
    [anon_sym_yield] = ACTIONS(3427),
    [anon_sym_when] = ACTIONS(3427),
    [anon_sym_from] = ACTIONS(3427),
    [anon_sym_into] = ACTIONS(3427),
    [anon_sym_join] = ACTIONS(3427),
    [anon_sym_on] = ACTIONS(3427),
    [anon_sym_equals] = ACTIONS(3427),
    [anon_sym_let] = ACTIONS(3427),
    [anon_sym_orderby] = ACTIONS(3427),
    [anon_sym_ascending] = ACTIONS(3427),
    [anon_sym_descending] = ACTIONS(3427),
    [anon_sym_group] = ACTIONS(3427),
    [anon_sym_by] = ACTIONS(3427),
    [anon_sym_select] = ACTIONS(3427),
    [aux_sym_preproc_if_token1] = ACTIONS(3429),
    [aux_sym_preproc_if_token3] = ACTIONS(3429),
    [aux_sym_preproc_else_token1] = ACTIONS(3429),
    [aux_sym_preproc_elif_token1] = ACTIONS(3429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3347] = {
    [sym_preproc_region] = STATE(3347),
    [sym_preproc_endregion] = STATE(3347),
    [sym_preproc_line] = STATE(3347),
    [sym_preproc_pragma] = STATE(3347),
    [sym_preproc_nullable] = STATE(3347),
    [sym_preproc_error] = STATE(3347),
    [sym_preproc_define] = STATE(3347),
    [sym_preproc_undef] = STATE(3347),
    [sym__identifier_token] = ACTIONS(4985),
    [anon_sym_extern] = ACTIONS(4985),
    [anon_sym_alias] = ACTIONS(4985),
    [anon_sym_global] = ACTIONS(4985),
    [anon_sym_using] = ACTIONS(4985),
    [anon_sym_unsafe] = ACTIONS(4985),
    [anon_sym_static] = ACTIONS(4985),
    [anon_sym_LBRACK] = ACTIONS(4987),
    [anon_sym_LPAREN] = ACTIONS(4987),
    [anon_sym_event] = ACTIONS(4985),
    [anon_sym_namespace] = ACTIONS(4985),
    [anon_sym_class] = ACTIONS(4985),
    [anon_sym_ref] = ACTIONS(4985),
    [anon_sym_struct] = ACTIONS(4985),
    [anon_sym_enum] = ACTIONS(4985),
    [anon_sym_RBRACE] = ACTIONS(4987),
    [anon_sym_interface] = ACTIONS(4985),
    [anon_sym_delegate] = ACTIONS(4985),
    [anon_sym_record] = ACTIONS(4985),
    [anon_sym_abstract] = ACTIONS(4985),
    [anon_sym_async] = ACTIONS(4985),
    [anon_sym_const] = ACTIONS(4985),
    [anon_sym_file] = ACTIONS(4985),
    [anon_sym_fixed] = ACTIONS(4985),
    [anon_sym_internal] = ACTIONS(4985),
    [anon_sym_new] = ACTIONS(4985),
    [anon_sym_override] = ACTIONS(4985),
    [anon_sym_partial] = ACTIONS(4985),
    [anon_sym_private] = ACTIONS(4985),
    [anon_sym_protected] = ACTIONS(4985),
    [anon_sym_public] = ACTIONS(4985),
    [anon_sym_readonly] = ACTIONS(4985),
    [anon_sym_required] = ACTIONS(4985),
    [anon_sym_sealed] = ACTIONS(4985),
    [anon_sym_virtual] = ACTIONS(4985),
    [anon_sym_volatile] = ACTIONS(4985),
    [anon_sym_where] = ACTIONS(4985),
    [anon_sym_notnull] = ACTIONS(4985),
    [anon_sym_unmanaged] = ACTIONS(4985),
    [anon_sym_TILDE] = ACTIONS(4987),
    [anon_sym_implicit] = ACTIONS(4985),
    [anon_sym_explicit] = ACTIONS(4985),
    [anon_sym_scoped] = ACTIONS(4985),
    [anon_sym_var] = ACTIONS(4985),
    [sym_predefined_type] = ACTIONS(4985),
    [anon_sym_yield] = ACTIONS(4985),
    [anon_sym_when] = ACTIONS(4985),
    [anon_sym_from] = ACTIONS(4985),
    [anon_sym_into] = ACTIONS(4985),
    [anon_sym_join] = ACTIONS(4985),
    [anon_sym_on] = ACTIONS(4985),
    [anon_sym_equals] = ACTIONS(4985),
    [anon_sym_let] = ACTIONS(4985),
    [anon_sym_orderby] = ACTIONS(4985),
    [anon_sym_ascending] = ACTIONS(4985),
    [anon_sym_descending] = ACTIONS(4985),
    [anon_sym_group] = ACTIONS(4985),
    [anon_sym_by] = ACTIONS(4985),
    [anon_sym_select] = ACTIONS(4985),
    [aux_sym_preproc_if_token1] = ACTIONS(4987),
    [aux_sym_preproc_if_token3] = ACTIONS(4987),
    [aux_sym_preproc_else_token1] = ACTIONS(4987),
    [aux_sym_preproc_elif_token1] = ACTIONS(4987),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3348] = {
    [sym_preproc_region] = STATE(3348),
    [sym_preproc_endregion] = STATE(3348),
    [sym_preproc_line] = STATE(3348),
    [sym_preproc_pragma] = STATE(3348),
    [sym_preproc_nullable] = STATE(3348),
    [sym_preproc_error] = STATE(3348),
    [sym_preproc_define] = STATE(3348),
    [sym_preproc_undef] = STATE(3348),
    [sym__identifier_token] = ACTIONS(4124),
    [anon_sym_alias] = ACTIONS(4124),
    [anon_sym_global] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_file] = ACTIONS(4124),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_where] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_notnull] = ACTIONS(4124),
    [anon_sym_unmanaged] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4126),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4126),
    [anon_sym_CARET] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4126),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4126),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_scoped] = ACTIONS(4124),
    [anon_sym_var] = ACTIONS(4124),
    [anon_sym_yield] = ACTIONS(4124),
    [anon_sym_switch] = ACTIONS(4124),
    [anon_sym_when] = ACTIONS(4124),
    [sym_discard] = ACTIONS(4124),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4124),
    [anon_sym_or] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4126),
    [anon_sym_from] = ACTIONS(4124),
    [anon_sym_into] = ACTIONS(4124),
    [anon_sym_join] = ACTIONS(4124),
    [anon_sym_on] = ACTIONS(4124),
    [anon_sym_equals] = ACTIONS(4124),
    [anon_sym_let] = ACTIONS(4124),
    [anon_sym_orderby] = ACTIONS(4124),
    [anon_sym_ascending] = ACTIONS(4124),
    [anon_sym_descending] = ACTIONS(4124),
    [anon_sym_group] = ACTIONS(4124),
    [anon_sym_by] = ACTIONS(4124),
    [anon_sym_select] = ACTIONS(4124),
    [anon_sym_as] = ACTIONS(4124),
    [anon_sym_is] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4124),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4126),
  },
  [3349] = {
    [sym_preproc_region] = STATE(3349),
    [sym_preproc_endregion] = STATE(3349),
    [sym_preproc_line] = STATE(3349),
    [sym_preproc_pragma] = STATE(3349),
    [sym_preproc_nullable] = STATE(3349),
    [sym_preproc_error] = STATE(3349),
    [sym_preproc_define] = STATE(3349),
    [sym_preproc_undef] = STATE(3349),
    [sym__identifier_token] = ACTIONS(3439),
    [anon_sym_extern] = ACTIONS(3439),
    [anon_sym_alias] = ACTIONS(3439),
    [anon_sym_global] = ACTIONS(3439),
    [anon_sym_using] = ACTIONS(3439),
    [anon_sym_unsafe] = ACTIONS(3439),
    [anon_sym_static] = ACTIONS(3439),
    [anon_sym_LBRACK] = ACTIONS(3441),
    [anon_sym_LPAREN] = ACTIONS(3441),
    [anon_sym_event] = ACTIONS(3439),
    [anon_sym_namespace] = ACTIONS(3439),
    [anon_sym_class] = ACTIONS(3439),
    [anon_sym_ref] = ACTIONS(3439),
    [anon_sym_struct] = ACTIONS(3439),
    [anon_sym_enum] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(3441),
    [anon_sym_interface] = ACTIONS(3439),
    [anon_sym_delegate] = ACTIONS(3439),
    [anon_sym_record] = ACTIONS(3439),
    [anon_sym_abstract] = ACTIONS(3439),
    [anon_sym_async] = ACTIONS(3439),
    [anon_sym_const] = ACTIONS(3439),
    [anon_sym_file] = ACTIONS(3439),
    [anon_sym_fixed] = ACTIONS(3439),
    [anon_sym_internal] = ACTIONS(3439),
    [anon_sym_new] = ACTIONS(3439),
    [anon_sym_override] = ACTIONS(3439),
    [anon_sym_partial] = ACTIONS(3439),
    [anon_sym_private] = ACTIONS(3439),
    [anon_sym_protected] = ACTIONS(3439),
    [anon_sym_public] = ACTIONS(3439),
    [anon_sym_readonly] = ACTIONS(3439),
    [anon_sym_required] = ACTIONS(3439),
    [anon_sym_sealed] = ACTIONS(3439),
    [anon_sym_virtual] = ACTIONS(3439),
    [anon_sym_volatile] = ACTIONS(3439),
    [anon_sym_where] = ACTIONS(3439),
    [anon_sym_notnull] = ACTIONS(3439),
    [anon_sym_unmanaged] = ACTIONS(3439),
    [anon_sym_TILDE] = ACTIONS(3441),
    [anon_sym_implicit] = ACTIONS(3439),
    [anon_sym_explicit] = ACTIONS(3439),
    [anon_sym_scoped] = ACTIONS(3439),
    [anon_sym_var] = ACTIONS(3439),
    [sym_predefined_type] = ACTIONS(3439),
    [anon_sym_yield] = ACTIONS(3439),
    [anon_sym_when] = ACTIONS(3439),
    [anon_sym_from] = ACTIONS(3439),
    [anon_sym_into] = ACTIONS(3439),
    [anon_sym_join] = ACTIONS(3439),
    [anon_sym_on] = ACTIONS(3439),
    [anon_sym_equals] = ACTIONS(3439),
    [anon_sym_let] = ACTIONS(3439),
    [anon_sym_orderby] = ACTIONS(3439),
    [anon_sym_ascending] = ACTIONS(3439),
    [anon_sym_descending] = ACTIONS(3439),
    [anon_sym_group] = ACTIONS(3439),
    [anon_sym_by] = ACTIONS(3439),
    [anon_sym_select] = ACTIONS(3439),
    [aux_sym_preproc_if_token1] = ACTIONS(3441),
    [aux_sym_preproc_if_token3] = ACTIONS(3441),
    [aux_sym_preproc_else_token1] = ACTIONS(3441),
    [aux_sym_preproc_elif_token1] = ACTIONS(3441),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3350] = {
    [sym_preproc_region] = STATE(3350),
    [sym_preproc_endregion] = STATE(3350),
    [sym_preproc_line] = STATE(3350),
    [sym_preproc_pragma] = STATE(3350),
    [sym_preproc_nullable] = STATE(3350),
    [sym_preproc_error] = STATE(3350),
    [sym_preproc_define] = STATE(3350),
    [sym_preproc_undef] = STATE(3350),
    [sym__identifier_token] = ACTIONS(4989),
    [anon_sym_extern] = ACTIONS(4989),
    [anon_sym_alias] = ACTIONS(4989),
    [anon_sym_global] = ACTIONS(4989),
    [anon_sym_using] = ACTIONS(4989),
    [anon_sym_unsafe] = ACTIONS(4989),
    [anon_sym_static] = ACTIONS(4989),
    [anon_sym_LBRACK] = ACTIONS(4991),
    [anon_sym_LPAREN] = ACTIONS(4991),
    [anon_sym_event] = ACTIONS(4989),
    [anon_sym_namespace] = ACTIONS(4989),
    [anon_sym_class] = ACTIONS(4989),
    [anon_sym_ref] = ACTIONS(4989),
    [anon_sym_struct] = ACTIONS(4989),
    [anon_sym_enum] = ACTIONS(4989),
    [anon_sym_RBRACE] = ACTIONS(4991),
    [anon_sym_interface] = ACTIONS(4989),
    [anon_sym_delegate] = ACTIONS(4989),
    [anon_sym_record] = ACTIONS(4989),
    [anon_sym_abstract] = ACTIONS(4989),
    [anon_sym_async] = ACTIONS(4989),
    [anon_sym_const] = ACTIONS(4989),
    [anon_sym_file] = ACTIONS(4989),
    [anon_sym_fixed] = ACTIONS(4989),
    [anon_sym_internal] = ACTIONS(4989),
    [anon_sym_new] = ACTIONS(4989),
    [anon_sym_override] = ACTIONS(4989),
    [anon_sym_partial] = ACTIONS(4989),
    [anon_sym_private] = ACTIONS(4989),
    [anon_sym_protected] = ACTIONS(4989),
    [anon_sym_public] = ACTIONS(4989),
    [anon_sym_readonly] = ACTIONS(4989),
    [anon_sym_required] = ACTIONS(4989),
    [anon_sym_sealed] = ACTIONS(4989),
    [anon_sym_virtual] = ACTIONS(4989),
    [anon_sym_volatile] = ACTIONS(4989),
    [anon_sym_where] = ACTIONS(4989),
    [anon_sym_notnull] = ACTIONS(4989),
    [anon_sym_unmanaged] = ACTIONS(4989),
    [anon_sym_TILDE] = ACTIONS(4991),
    [anon_sym_implicit] = ACTIONS(4989),
    [anon_sym_explicit] = ACTIONS(4989),
    [anon_sym_scoped] = ACTIONS(4989),
    [anon_sym_var] = ACTIONS(4989),
    [sym_predefined_type] = ACTIONS(4989),
    [anon_sym_yield] = ACTIONS(4989),
    [anon_sym_when] = ACTIONS(4989),
    [anon_sym_from] = ACTIONS(4989),
    [anon_sym_into] = ACTIONS(4989),
    [anon_sym_join] = ACTIONS(4989),
    [anon_sym_on] = ACTIONS(4989),
    [anon_sym_equals] = ACTIONS(4989),
    [anon_sym_let] = ACTIONS(4989),
    [anon_sym_orderby] = ACTIONS(4989),
    [anon_sym_ascending] = ACTIONS(4989),
    [anon_sym_descending] = ACTIONS(4989),
    [anon_sym_group] = ACTIONS(4989),
    [anon_sym_by] = ACTIONS(4989),
    [anon_sym_select] = ACTIONS(4989),
    [aux_sym_preproc_if_token1] = ACTIONS(4991),
    [aux_sym_preproc_if_token3] = ACTIONS(4991),
    [aux_sym_preproc_else_token1] = ACTIONS(4991),
    [aux_sym_preproc_elif_token1] = ACTIONS(4991),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3351] = {
    [sym_preproc_region] = STATE(3351),
    [sym_preproc_endregion] = STATE(3351),
    [sym_preproc_line] = STATE(3351),
    [sym_preproc_pragma] = STATE(3351),
    [sym_preproc_nullable] = STATE(3351),
    [sym_preproc_error] = STATE(3351),
    [sym_preproc_define] = STATE(3351),
    [sym_preproc_undef] = STATE(3351),
    [sym__identifier_token] = ACTIONS(3443),
    [anon_sym_extern] = ACTIONS(3443),
    [anon_sym_alias] = ACTIONS(3443),
    [anon_sym_global] = ACTIONS(3443),
    [anon_sym_using] = ACTIONS(3443),
    [anon_sym_unsafe] = ACTIONS(3443),
    [anon_sym_static] = ACTIONS(3443),
    [anon_sym_LBRACK] = ACTIONS(3445),
    [anon_sym_LPAREN] = ACTIONS(3445),
    [anon_sym_event] = ACTIONS(3443),
    [anon_sym_namespace] = ACTIONS(3443),
    [anon_sym_class] = ACTIONS(3443),
    [anon_sym_ref] = ACTIONS(3443),
    [anon_sym_struct] = ACTIONS(3443),
    [anon_sym_enum] = ACTIONS(3443),
    [anon_sym_RBRACE] = ACTIONS(3445),
    [anon_sym_interface] = ACTIONS(3443),
    [anon_sym_delegate] = ACTIONS(3443),
    [anon_sym_record] = ACTIONS(3443),
    [anon_sym_abstract] = ACTIONS(3443),
    [anon_sym_async] = ACTIONS(3443),
    [anon_sym_const] = ACTIONS(3443),
    [anon_sym_file] = ACTIONS(3443),
    [anon_sym_fixed] = ACTIONS(3443),
    [anon_sym_internal] = ACTIONS(3443),
    [anon_sym_new] = ACTIONS(3443),
    [anon_sym_override] = ACTIONS(3443),
    [anon_sym_partial] = ACTIONS(3443),
    [anon_sym_private] = ACTIONS(3443),
    [anon_sym_protected] = ACTIONS(3443),
    [anon_sym_public] = ACTIONS(3443),
    [anon_sym_readonly] = ACTIONS(3443),
    [anon_sym_required] = ACTIONS(3443),
    [anon_sym_sealed] = ACTIONS(3443),
    [anon_sym_virtual] = ACTIONS(3443),
    [anon_sym_volatile] = ACTIONS(3443),
    [anon_sym_where] = ACTIONS(3443),
    [anon_sym_notnull] = ACTIONS(3443),
    [anon_sym_unmanaged] = ACTIONS(3443),
    [anon_sym_TILDE] = ACTIONS(3445),
    [anon_sym_implicit] = ACTIONS(3443),
    [anon_sym_explicit] = ACTIONS(3443),
    [anon_sym_scoped] = ACTIONS(3443),
    [anon_sym_var] = ACTIONS(3443),
    [sym_predefined_type] = ACTIONS(3443),
    [anon_sym_yield] = ACTIONS(3443),
    [anon_sym_when] = ACTIONS(3443),
    [anon_sym_from] = ACTIONS(3443),
    [anon_sym_into] = ACTIONS(3443),
    [anon_sym_join] = ACTIONS(3443),
    [anon_sym_on] = ACTIONS(3443),
    [anon_sym_equals] = ACTIONS(3443),
    [anon_sym_let] = ACTIONS(3443),
    [anon_sym_orderby] = ACTIONS(3443),
    [anon_sym_ascending] = ACTIONS(3443),
    [anon_sym_descending] = ACTIONS(3443),
    [anon_sym_group] = ACTIONS(3443),
    [anon_sym_by] = ACTIONS(3443),
    [anon_sym_select] = ACTIONS(3443),
    [aux_sym_preproc_if_token1] = ACTIONS(3445),
    [aux_sym_preproc_if_token3] = ACTIONS(3445),
    [aux_sym_preproc_else_token1] = ACTIONS(3445),
    [aux_sym_preproc_elif_token1] = ACTIONS(3445),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3352] = {
    [sym_preproc_region] = STATE(3352),
    [sym_preproc_endregion] = STATE(3352),
    [sym_preproc_line] = STATE(3352),
    [sym_preproc_pragma] = STATE(3352),
    [sym_preproc_nullable] = STATE(3352),
    [sym_preproc_error] = STATE(3352),
    [sym_preproc_define] = STATE(3352),
    [sym_preproc_undef] = STATE(3352),
    [sym__identifier_token] = ACTIONS(4128),
    [anon_sym_alias] = ACTIONS(4128),
    [anon_sym_global] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_file] = ACTIONS(4128),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_where] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_notnull] = ACTIONS(4128),
    [anon_sym_unmanaged] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4130),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4130),
    [anon_sym_CARET] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4130),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4130),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_scoped] = ACTIONS(4128),
    [anon_sym_var] = ACTIONS(4128),
    [anon_sym_yield] = ACTIONS(4128),
    [anon_sym_switch] = ACTIONS(4128),
    [anon_sym_when] = ACTIONS(4128),
    [sym_discard] = ACTIONS(4128),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4128),
    [anon_sym_or] = ACTIONS(4128),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4130),
    [anon_sym_from] = ACTIONS(4128),
    [anon_sym_into] = ACTIONS(4128),
    [anon_sym_join] = ACTIONS(4128),
    [anon_sym_on] = ACTIONS(4128),
    [anon_sym_equals] = ACTIONS(4128),
    [anon_sym_let] = ACTIONS(4128),
    [anon_sym_orderby] = ACTIONS(4128),
    [anon_sym_ascending] = ACTIONS(4128),
    [anon_sym_descending] = ACTIONS(4128),
    [anon_sym_group] = ACTIONS(4128),
    [anon_sym_by] = ACTIONS(4128),
    [anon_sym_select] = ACTIONS(4128),
    [anon_sym_as] = ACTIONS(4128),
    [anon_sym_is] = ACTIONS(4128),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4128),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4130),
  },
  [3353] = {
    [sym_preproc_region] = STATE(3353),
    [sym_preproc_endregion] = STATE(3353),
    [sym_preproc_line] = STATE(3353),
    [sym_preproc_pragma] = STATE(3353),
    [sym_preproc_nullable] = STATE(3353),
    [sym_preproc_error] = STATE(3353),
    [sym_preproc_define] = STATE(3353),
    [sym_preproc_undef] = STATE(3353),
    [sym__identifier_token] = ACTIONS(4138),
    [anon_sym_alias] = ACTIONS(4138),
    [anon_sym_global] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_file] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_where] = ACTIONS(4138),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_notnull] = ACTIONS(4138),
    [anon_sym_unmanaged] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4140),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_scoped] = ACTIONS(4138),
    [anon_sym_var] = ACTIONS(4138),
    [anon_sym_yield] = ACTIONS(4138),
    [anon_sym_switch] = ACTIONS(4138),
    [anon_sym_when] = ACTIONS(4138),
    [sym_discard] = ACTIONS(4138),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4138),
    [anon_sym_or] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4140),
    [anon_sym_from] = ACTIONS(4138),
    [anon_sym_into] = ACTIONS(4138),
    [anon_sym_join] = ACTIONS(4138),
    [anon_sym_on] = ACTIONS(4138),
    [anon_sym_equals] = ACTIONS(4138),
    [anon_sym_let] = ACTIONS(4138),
    [anon_sym_orderby] = ACTIONS(4138),
    [anon_sym_ascending] = ACTIONS(4138),
    [anon_sym_descending] = ACTIONS(4138),
    [anon_sym_group] = ACTIONS(4138),
    [anon_sym_by] = ACTIONS(4138),
    [anon_sym_select] = ACTIONS(4138),
    [anon_sym_as] = ACTIONS(4138),
    [anon_sym_is] = ACTIONS(4138),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4138),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4140),
  },
  [3354] = {
    [sym_preproc_region] = STATE(3354),
    [sym_preproc_endregion] = STATE(3354),
    [sym_preproc_line] = STATE(3354),
    [sym_preproc_pragma] = STATE(3354),
    [sym_preproc_nullable] = STATE(3354),
    [sym_preproc_error] = STATE(3354),
    [sym_preproc_define] = STATE(3354),
    [sym_preproc_undef] = STATE(3354),
    [sym__identifier_token] = ACTIONS(3447),
    [anon_sym_extern] = ACTIONS(3447),
    [anon_sym_alias] = ACTIONS(3447),
    [anon_sym_global] = ACTIONS(3447),
    [anon_sym_using] = ACTIONS(3447),
    [anon_sym_unsafe] = ACTIONS(3447),
    [anon_sym_static] = ACTIONS(3447),
    [anon_sym_LBRACK] = ACTIONS(3449),
    [anon_sym_LPAREN] = ACTIONS(3449),
    [anon_sym_event] = ACTIONS(3447),
    [anon_sym_namespace] = ACTIONS(3447),
    [anon_sym_class] = ACTIONS(3447),
    [anon_sym_ref] = ACTIONS(3447),
    [anon_sym_struct] = ACTIONS(3447),
    [anon_sym_enum] = ACTIONS(3447),
    [anon_sym_RBRACE] = ACTIONS(3449),
    [anon_sym_interface] = ACTIONS(3447),
    [anon_sym_delegate] = ACTIONS(3447),
    [anon_sym_record] = ACTIONS(3447),
    [anon_sym_abstract] = ACTIONS(3447),
    [anon_sym_async] = ACTIONS(3447),
    [anon_sym_const] = ACTIONS(3447),
    [anon_sym_file] = ACTIONS(3447),
    [anon_sym_fixed] = ACTIONS(3447),
    [anon_sym_internal] = ACTIONS(3447),
    [anon_sym_new] = ACTIONS(3447),
    [anon_sym_override] = ACTIONS(3447),
    [anon_sym_partial] = ACTIONS(3447),
    [anon_sym_private] = ACTIONS(3447),
    [anon_sym_protected] = ACTIONS(3447),
    [anon_sym_public] = ACTIONS(3447),
    [anon_sym_readonly] = ACTIONS(3447),
    [anon_sym_required] = ACTIONS(3447),
    [anon_sym_sealed] = ACTIONS(3447),
    [anon_sym_virtual] = ACTIONS(3447),
    [anon_sym_volatile] = ACTIONS(3447),
    [anon_sym_where] = ACTIONS(3447),
    [anon_sym_notnull] = ACTIONS(3447),
    [anon_sym_unmanaged] = ACTIONS(3447),
    [anon_sym_TILDE] = ACTIONS(3449),
    [anon_sym_implicit] = ACTIONS(3447),
    [anon_sym_explicit] = ACTIONS(3447),
    [anon_sym_scoped] = ACTIONS(3447),
    [anon_sym_var] = ACTIONS(3447),
    [sym_predefined_type] = ACTIONS(3447),
    [anon_sym_yield] = ACTIONS(3447),
    [anon_sym_when] = ACTIONS(3447),
    [anon_sym_from] = ACTIONS(3447),
    [anon_sym_into] = ACTIONS(3447),
    [anon_sym_join] = ACTIONS(3447),
    [anon_sym_on] = ACTIONS(3447),
    [anon_sym_equals] = ACTIONS(3447),
    [anon_sym_let] = ACTIONS(3447),
    [anon_sym_orderby] = ACTIONS(3447),
    [anon_sym_ascending] = ACTIONS(3447),
    [anon_sym_descending] = ACTIONS(3447),
    [anon_sym_group] = ACTIONS(3447),
    [anon_sym_by] = ACTIONS(3447),
    [anon_sym_select] = ACTIONS(3447),
    [aux_sym_preproc_if_token1] = ACTIONS(3449),
    [aux_sym_preproc_if_token3] = ACTIONS(3449),
    [aux_sym_preproc_else_token1] = ACTIONS(3449),
    [aux_sym_preproc_elif_token1] = ACTIONS(3449),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3355] = {
    [sym_preproc_region] = STATE(3355),
    [sym_preproc_endregion] = STATE(3355),
    [sym_preproc_line] = STATE(3355),
    [sym_preproc_pragma] = STATE(3355),
    [sym_preproc_nullable] = STATE(3355),
    [sym_preproc_error] = STATE(3355),
    [sym_preproc_define] = STATE(3355),
    [sym_preproc_undef] = STATE(3355),
    [sym__identifier_token] = ACTIONS(3451),
    [anon_sym_extern] = ACTIONS(3451),
    [anon_sym_alias] = ACTIONS(3451),
    [anon_sym_global] = ACTIONS(3451),
    [anon_sym_using] = ACTIONS(3451),
    [anon_sym_unsafe] = ACTIONS(3451),
    [anon_sym_static] = ACTIONS(3451),
    [anon_sym_LBRACK] = ACTIONS(3453),
    [anon_sym_LPAREN] = ACTIONS(3453),
    [anon_sym_event] = ACTIONS(3451),
    [anon_sym_namespace] = ACTIONS(3451),
    [anon_sym_class] = ACTIONS(3451),
    [anon_sym_ref] = ACTIONS(3451),
    [anon_sym_struct] = ACTIONS(3451),
    [anon_sym_enum] = ACTIONS(3451),
    [anon_sym_RBRACE] = ACTIONS(3453),
    [anon_sym_interface] = ACTIONS(3451),
    [anon_sym_delegate] = ACTIONS(3451),
    [anon_sym_record] = ACTIONS(3451),
    [anon_sym_abstract] = ACTIONS(3451),
    [anon_sym_async] = ACTIONS(3451),
    [anon_sym_const] = ACTIONS(3451),
    [anon_sym_file] = ACTIONS(3451),
    [anon_sym_fixed] = ACTIONS(3451),
    [anon_sym_internal] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3451),
    [anon_sym_override] = ACTIONS(3451),
    [anon_sym_partial] = ACTIONS(3451),
    [anon_sym_private] = ACTIONS(3451),
    [anon_sym_protected] = ACTIONS(3451),
    [anon_sym_public] = ACTIONS(3451),
    [anon_sym_readonly] = ACTIONS(3451),
    [anon_sym_required] = ACTIONS(3451),
    [anon_sym_sealed] = ACTIONS(3451),
    [anon_sym_virtual] = ACTIONS(3451),
    [anon_sym_volatile] = ACTIONS(3451),
    [anon_sym_where] = ACTIONS(3451),
    [anon_sym_notnull] = ACTIONS(3451),
    [anon_sym_unmanaged] = ACTIONS(3451),
    [anon_sym_TILDE] = ACTIONS(3453),
    [anon_sym_implicit] = ACTIONS(3451),
    [anon_sym_explicit] = ACTIONS(3451),
    [anon_sym_scoped] = ACTIONS(3451),
    [anon_sym_var] = ACTIONS(3451),
    [sym_predefined_type] = ACTIONS(3451),
    [anon_sym_yield] = ACTIONS(3451),
    [anon_sym_when] = ACTIONS(3451),
    [anon_sym_from] = ACTIONS(3451),
    [anon_sym_into] = ACTIONS(3451),
    [anon_sym_join] = ACTIONS(3451),
    [anon_sym_on] = ACTIONS(3451),
    [anon_sym_equals] = ACTIONS(3451),
    [anon_sym_let] = ACTIONS(3451),
    [anon_sym_orderby] = ACTIONS(3451),
    [anon_sym_ascending] = ACTIONS(3451),
    [anon_sym_descending] = ACTIONS(3451),
    [anon_sym_group] = ACTIONS(3451),
    [anon_sym_by] = ACTIONS(3451),
    [anon_sym_select] = ACTIONS(3451),
    [aux_sym_preproc_if_token1] = ACTIONS(3453),
    [aux_sym_preproc_if_token3] = ACTIONS(3453),
    [aux_sym_preproc_else_token1] = ACTIONS(3453),
    [aux_sym_preproc_elif_token1] = ACTIONS(3453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3356] = {
    [sym_preproc_region] = STATE(3356),
    [sym_preproc_endregion] = STATE(3356),
    [sym_preproc_line] = STATE(3356),
    [sym_preproc_pragma] = STATE(3356),
    [sym_preproc_nullable] = STATE(3356),
    [sym_preproc_error] = STATE(3356),
    [sym_preproc_define] = STATE(3356),
    [sym_preproc_undef] = STATE(3356),
    [sym__identifier_token] = ACTIONS(3455),
    [anon_sym_extern] = ACTIONS(3455),
    [anon_sym_alias] = ACTIONS(3455),
    [anon_sym_global] = ACTIONS(3455),
    [anon_sym_using] = ACTIONS(3455),
    [anon_sym_unsafe] = ACTIONS(3455),
    [anon_sym_static] = ACTIONS(3455),
    [anon_sym_LBRACK] = ACTIONS(3457),
    [anon_sym_LPAREN] = ACTIONS(3457),
    [anon_sym_event] = ACTIONS(3455),
    [anon_sym_namespace] = ACTIONS(3455),
    [anon_sym_class] = ACTIONS(3455),
    [anon_sym_ref] = ACTIONS(3455),
    [anon_sym_struct] = ACTIONS(3455),
    [anon_sym_enum] = ACTIONS(3455),
    [anon_sym_RBRACE] = ACTIONS(3457),
    [anon_sym_interface] = ACTIONS(3455),
    [anon_sym_delegate] = ACTIONS(3455),
    [anon_sym_record] = ACTIONS(3455),
    [anon_sym_abstract] = ACTIONS(3455),
    [anon_sym_async] = ACTIONS(3455),
    [anon_sym_const] = ACTIONS(3455),
    [anon_sym_file] = ACTIONS(3455),
    [anon_sym_fixed] = ACTIONS(3455),
    [anon_sym_internal] = ACTIONS(3455),
    [anon_sym_new] = ACTIONS(3455),
    [anon_sym_override] = ACTIONS(3455),
    [anon_sym_partial] = ACTIONS(3455),
    [anon_sym_private] = ACTIONS(3455),
    [anon_sym_protected] = ACTIONS(3455),
    [anon_sym_public] = ACTIONS(3455),
    [anon_sym_readonly] = ACTIONS(3455),
    [anon_sym_required] = ACTIONS(3455),
    [anon_sym_sealed] = ACTIONS(3455),
    [anon_sym_virtual] = ACTIONS(3455),
    [anon_sym_volatile] = ACTIONS(3455),
    [anon_sym_where] = ACTIONS(3455),
    [anon_sym_notnull] = ACTIONS(3455),
    [anon_sym_unmanaged] = ACTIONS(3455),
    [anon_sym_TILDE] = ACTIONS(3457),
    [anon_sym_implicit] = ACTIONS(3455),
    [anon_sym_explicit] = ACTIONS(3455),
    [anon_sym_scoped] = ACTIONS(3455),
    [anon_sym_var] = ACTIONS(3455),
    [sym_predefined_type] = ACTIONS(3455),
    [anon_sym_yield] = ACTIONS(3455),
    [anon_sym_when] = ACTIONS(3455),
    [anon_sym_from] = ACTIONS(3455),
    [anon_sym_into] = ACTIONS(3455),
    [anon_sym_join] = ACTIONS(3455),
    [anon_sym_on] = ACTIONS(3455),
    [anon_sym_equals] = ACTIONS(3455),
    [anon_sym_let] = ACTIONS(3455),
    [anon_sym_orderby] = ACTIONS(3455),
    [anon_sym_ascending] = ACTIONS(3455),
    [anon_sym_descending] = ACTIONS(3455),
    [anon_sym_group] = ACTIONS(3455),
    [anon_sym_by] = ACTIONS(3455),
    [anon_sym_select] = ACTIONS(3455),
    [aux_sym_preproc_if_token1] = ACTIONS(3457),
    [aux_sym_preproc_if_token3] = ACTIONS(3457),
    [aux_sym_preproc_else_token1] = ACTIONS(3457),
    [aux_sym_preproc_elif_token1] = ACTIONS(3457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3357] = {
    [sym_preproc_region] = STATE(3357),
    [sym_preproc_endregion] = STATE(3357),
    [sym_preproc_line] = STATE(3357),
    [sym_preproc_pragma] = STATE(3357),
    [sym_preproc_nullable] = STATE(3357),
    [sym_preproc_error] = STATE(3357),
    [sym_preproc_define] = STATE(3357),
    [sym_preproc_undef] = STATE(3357),
    [sym__identifier_token] = ACTIONS(3459),
    [anon_sym_extern] = ACTIONS(3459),
    [anon_sym_alias] = ACTIONS(3459),
    [anon_sym_global] = ACTIONS(3459),
    [anon_sym_using] = ACTIONS(3459),
    [anon_sym_unsafe] = ACTIONS(3459),
    [anon_sym_static] = ACTIONS(3459),
    [anon_sym_LBRACK] = ACTIONS(3461),
    [anon_sym_LPAREN] = ACTIONS(3461),
    [anon_sym_event] = ACTIONS(3459),
    [anon_sym_namespace] = ACTIONS(3459),
    [anon_sym_class] = ACTIONS(3459),
    [anon_sym_ref] = ACTIONS(3459),
    [anon_sym_struct] = ACTIONS(3459),
    [anon_sym_enum] = ACTIONS(3459),
    [anon_sym_RBRACE] = ACTIONS(3461),
    [anon_sym_interface] = ACTIONS(3459),
    [anon_sym_delegate] = ACTIONS(3459),
    [anon_sym_record] = ACTIONS(3459),
    [anon_sym_abstract] = ACTIONS(3459),
    [anon_sym_async] = ACTIONS(3459),
    [anon_sym_const] = ACTIONS(3459),
    [anon_sym_file] = ACTIONS(3459),
    [anon_sym_fixed] = ACTIONS(3459),
    [anon_sym_internal] = ACTIONS(3459),
    [anon_sym_new] = ACTIONS(3459),
    [anon_sym_override] = ACTIONS(3459),
    [anon_sym_partial] = ACTIONS(3459),
    [anon_sym_private] = ACTIONS(3459),
    [anon_sym_protected] = ACTIONS(3459),
    [anon_sym_public] = ACTIONS(3459),
    [anon_sym_readonly] = ACTIONS(3459),
    [anon_sym_required] = ACTIONS(3459),
    [anon_sym_sealed] = ACTIONS(3459),
    [anon_sym_virtual] = ACTIONS(3459),
    [anon_sym_volatile] = ACTIONS(3459),
    [anon_sym_where] = ACTIONS(3459),
    [anon_sym_notnull] = ACTIONS(3459),
    [anon_sym_unmanaged] = ACTIONS(3459),
    [anon_sym_TILDE] = ACTIONS(3461),
    [anon_sym_implicit] = ACTIONS(3459),
    [anon_sym_explicit] = ACTIONS(3459),
    [anon_sym_scoped] = ACTIONS(3459),
    [anon_sym_var] = ACTIONS(3459),
    [sym_predefined_type] = ACTIONS(3459),
    [anon_sym_yield] = ACTIONS(3459),
    [anon_sym_when] = ACTIONS(3459),
    [anon_sym_from] = ACTIONS(3459),
    [anon_sym_into] = ACTIONS(3459),
    [anon_sym_join] = ACTIONS(3459),
    [anon_sym_on] = ACTIONS(3459),
    [anon_sym_equals] = ACTIONS(3459),
    [anon_sym_let] = ACTIONS(3459),
    [anon_sym_orderby] = ACTIONS(3459),
    [anon_sym_ascending] = ACTIONS(3459),
    [anon_sym_descending] = ACTIONS(3459),
    [anon_sym_group] = ACTIONS(3459),
    [anon_sym_by] = ACTIONS(3459),
    [anon_sym_select] = ACTIONS(3459),
    [aux_sym_preproc_if_token1] = ACTIONS(3461),
    [aux_sym_preproc_if_token3] = ACTIONS(3461),
    [aux_sym_preproc_else_token1] = ACTIONS(3461),
    [aux_sym_preproc_elif_token1] = ACTIONS(3461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3358] = {
    [sym_preproc_region] = STATE(3358),
    [sym_preproc_endregion] = STATE(3358),
    [sym_preproc_line] = STATE(3358),
    [sym_preproc_pragma] = STATE(3358),
    [sym_preproc_nullable] = STATE(3358),
    [sym_preproc_error] = STATE(3358),
    [sym_preproc_define] = STATE(3358),
    [sym_preproc_undef] = STATE(3358),
    [sym__identifier_token] = ACTIONS(3463),
    [anon_sym_extern] = ACTIONS(3463),
    [anon_sym_alias] = ACTIONS(3463),
    [anon_sym_global] = ACTIONS(3463),
    [anon_sym_using] = ACTIONS(3463),
    [anon_sym_unsafe] = ACTIONS(3463),
    [anon_sym_static] = ACTIONS(3463),
    [anon_sym_LBRACK] = ACTIONS(3465),
    [anon_sym_LPAREN] = ACTIONS(3465),
    [anon_sym_event] = ACTIONS(3463),
    [anon_sym_namespace] = ACTIONS(3463),
    [anon_sym_class] = ACTIONS(3463),
    [anon_sym_ref] = ACTIONS(3463),
    [anon_sym_struct] = ACTIONS(3463),
    [anon_sym_enum] = ACTIONS(3463),
    [anon_sym_RBRACE] = ACTIONS(3465),
    [anon_sym_interface] = ACTIONS(3463),
    [anon_sym_delegate] = ACTIONS(3463),
    [anon_sym_record] = ACTIONS(3463),
    [anon_sym_abstract] = ACTIONS(3463),
    [anon_sym_async] = ACTIONS(3463),
    [anon_sym_const] = ACTIONS(3463),
    [anon_sym_file] = ACTIONS(3463),
    [anon_sym_fixed] = ACTIONS(3463),
    [anon_sym_internal] = ACTIONS(3463),
    [anon_sym_new] = ACTIONS(3463),
    [anon_sym_override] = ACTIONS(3463),
    [anon_sym_partial] = ACTIONS(3463),
    [anon_sym_private] = ACTIONS(3463),
    [anon_sym_protected] = ACTIONS(3463),
    [anon_sym_public] = ACTIONS(3463),
    [anon_sym_readonly] = ACTIONS(3463),
    [anon_sym_required] = ACTIONS(3463),
    [anon_sym_sealed] = ACTIONS(3463),
    [anon_sym_virtual] = ACTIONS(3463),
    [anon_sym_volatile] = ACTIONS(3463),
    [anon_sym_where] = ACTIONS(3463),
    [anon_sym_notnull] = ACTIONS(3463),
    [anon_sym_unmanaged] = ACTIONS(3463),
    [anon_sym_TILDE] = ACTIONS(3465),
    [anon_sym_implicit] = ACTIONS(3463),
    [anon_sym_explicit] = ACTIONS(3463),
    [anon_sym_scoped] = ACTIONS(3463),
    [anon_sym_var] = ACTIONS(3463),
    [sym_predefined_type] = ACTIONS(3463),
    [anon_sym_yield] = ACTIONS(3463),
    [anon_sym_when] = ACTIONS(3463),
    [anon_sym_from] = ACTIONS(3463),
    [anon_sym_into] = ACTIONS(3463),
    [anon_sym_join] = ACTIONS(3463),
    [anon_sym_on] = ACTIONS(3463),
    [anon_sym_equals] = ACTIONS(3463),
    [anon_sym_let] = ACTIONS(3463),
    [anon_sym_orderby] = ACTIONS(3463),
    [anon_sym_ascending] = ACTIONS(3463),
    [anon_sym_descending] = ACTIONS(3463),
    [anon_sym_group] = ACTIONS(3463),
    [anon_sym_by] = ACTIONS(3463),
    [anon_sym_select] = ACTIONS(3463),
    [aux_sym_preproc_if_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token3] = ACTIONS(3465),
    [aux_sym_preproc_else_token1] = ACTIONS(3465),
    [aux_sym_preproc_elif_token1] = ACTIONS(3465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3359] = {
    [sym_preproc_region] = STATE(3359),
    [sym_preproc_endregion] = STATE(3359),
    [sym_preproc_line] = STATE(3359),
    [sym_preproc_pragma] = STATE(3359),
    [sym_preproc_nullable] = STATE(3359),
    [sym_preproc_error] = STATE(3359),
    [sym_preproc_define] = STATE(3359),
    [sym_preproc_undef] = STATE(3359),
    [sym__identifier_token] = ACTIONS(4993),
    [anon_sym_extern] = ACTIONS(4993),
    [anon_sym_alias] = ACTIONS(4993),
    [anon_sym_global] = ACTIONS(4993),
    [anon_sym_using] = ACTIONS(4993),
    [anon_sym_unsafe] = ACTIONS(4993),
    [anon_sym_static] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4995),
    [anon_sym_LPAREN] = ACTIONS(4995),
    [anon_sym_event] = ACTIONS(4993),
    [anon_sym_namespace] = ACTIONS(4993),
    [anon_sym_class] = ACTIONS(4993),
    [anon_sym_ref] = ACTIONS(4993),
    [anon_sym_struct] = ACTIONS(4993),
    [anon_sym_enum] = ACTIONS(4993),
    [anon_sym_RBRACE] = ACTIONS(4995),
    [anon_sym_interface] = ACTIONS(4993),
    [anon_sym_delegate] = ACTIONS(4993),
    [anon_sym_record] = ACTIONS(4993),
    [anon_sym_abstract] = ACTIONS(4993),
    [anon_sym_async] = ACTIONS(4993),
    [anon_sym_const] = ACTIONS(4993),
    [anon_sym_file] = ACTIONS(4993),
    [anon_sym_fixed] = ACTIONS(4993),
    [anon_sym_internal] = ACTIONS(4993),
    [anon_sym_new] = ACTIONS(4993),
    [anon_sym_override] = ACTIONS(4993),
    [anon_sym_partial] = ACTIONS(4993),
    [anon_sym_private] = ACTIONS(4993),
    [anon_sym_protected] = ACTIONS(4993),
    [anon_sym_public] = ACTIONS(4993),
    [anon_sym_readonly] = ACTIONS(4993),
    [anon_sym_required] = ACTIONS(4993),
    [anon_sym_sealed] = ACTIONS(4993),
    [anon_sym_virtual] = ACTIONS(4993),
    [anon_sym_volatile] = ACTIONS(4993),
    [anon_sym_where] = ACTIONS(4993),
    [anon_sym_notnull] = ACTIONS(4993),
    [anon_sym_unmanaged] = ACTIONS(4993),
    [anon_sym_TILDE] = ACTIONS(4995),
    [anon_sym_implicit] = ACTIONS(4993),
    [anon_sym_explicit] = ACTIONS(4993),
    [anon_sym_scoped] = ACTIONS(4993),
    [anon_sym_var] = ACTIONS(4993),
    [sym_predefined_type] = ACTIONS(4993),
    [anon_sym_yield] = ACTIONS(4993),
    [anon_sym_when] = ACTIONS(4993),
    [anon_sym_from] = ACTIONS(4993),
    [anon_sym_into] = ACTIONS(4993),
    [anon_sym_join] = ACTIONS(4993),
    [anon_sym_on] = ACTIONS(4993),
    [anon_sym_equals] = ACTIONS(4993),
    [anon_sym_let] = ACTIONS(4993),
    [anon_sym_orderby] = ACTIONS(4993),
    [anon_sym_ascending] = ACTIONS(4993),
    [anon_sym_descending] = ACTIONS(4993),
    [anon_sym_group] = ACTIONS(4993),
    [anon_sym_by] = ACTIONS(4993),
    [anon_sym_select] = ACTIONS(4993),
    [aux_sym_preproc_if_token1] = ACTIONS(4995),
    [aux_sym_preproc_if_token3] = ACTIONS(4995),
    [aux_sym_preproc_else_token1] = ACTIONS(4995),
    [aux_sym_preproc_elif_token1] = ACTIONS(4995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3360] = {
    [sym__variable_designation] = STATE(5020),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3360),
    [sym_preproc_endregion] = STATE(3360),
    [sym_preproc_line] = STATE(3360),
    [sym_preproc_pragma] = STATE(3360),
    [sym_preproc_nullable] = STATE(3360),
    [sym_preproc_error] = STATE(3360),
    [sym_preproc_define] = STATE(3360),
    [sym_preproc_undef] = STATE(3360),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3361] = {
    [sym_preproc_region] = STATE(3361),
    [sym_preproc_endregion] = STATE(3361),
    [sym_preproc_line] = STATE(3361),
    [sym_preproc_pragma] = STATE(3361),
    [sym_preproc_nullable] = STATE(3361),
    [sym_preproc_error] = STATE(3361),
    [sym_preproc_define] = STATE(3361),
    [sym_preproc_undef] = STATE(3361),
    [sym__identifier_token] = ACTIONS(3467),
    [anon_sym_extern] = ACTIONS(3467),
    [anon_sym_alias] = ACTIONS(3467),
    [anon_sym_global] = ACTIONS(3467),
    [anon_sym_using] = ACTIONS(3467),
    [anon_sym_unsafe] = ACTIONS(3467),
    [anon_sym_static] = ACTIONS(3467),
    [anon_sym_LBRACK] = ACTIONS(3469),
    [anon_sym_LPAREN] = ACTIONS(3469),
    [anon_sym_event] = ACTIONS(3467),
    [anon_sym_namespace] = ACTIONS(3467),
    [anon_sym_class] = ACTIONS(3467),
    [anon_sym_ref] = ACTIONS(3467),
    [anon_sym_struct] = ACTIONS(3467),
    [anon_sym_enum] = ACTIONS(3467),
    [anon_sym_RBRACE] = ACTIONS(3469),
    [anon_sym_interface] = ACTIONS(3467),
    [anon_sym_delegate] = ACTIONS(3467),
    [anon_sym_record] = ACTIONS(3467),
    [anon_sym_abstract] = ACTIONS(3467),
    [anon_sym_async] = ACTIONS(3467),
    [anon_sym_const] = ACTIONS(3467),
    [anon_sym_file] = ACTIONS(3467),
    [anon_sym_fixed] = ACTIONS(3467),
    [anon_sym_internal] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3467),
    [anon_sym_override] = ACTIONS(3467),
    [anon_sym_partial] = ACTIONS(3467),
    [anon_sym_private] = ACTIONS(3467),
    [anon_sym_protected] = ACTIONS(3467),
    [anon_sym_public] = ACTIONS(3467),
    [anon_sym_readonly] = ACTIONS(3467),
    [anon_sym_required] = ACTIONS(3467),
    [anon_sym_sealed] = ACTIONS(3467),
    [anon_sym_virtual] = ACTIONS(3467),
    [anon_sym_volatile] = ACTIONS(3467),
    [anon_sym_where] = ACTIONS(3467),
    [anon_sym_notnull] = ACTIONS(3467),
    [anon_sym_unmanaged] = ACTIONS(3467),
    [anon_sym_TILDE] = ACTIONS(3469),
    [anon_sym_implicit] = ACTIONS(3467),
    [anon_sym_explicit] = ACTIONS(3467),
    [anon_sym_scoped] = ACTIONS(3467),
    [anon_sym_var] = ACTIONS(3467),
    [sym_predefined_type] = ACTIONS(3467),
    [anon_sym_yield] = ACTIONS(3467),
    [anon_sym_when] = ACTIONS(3467),
    [anon_sym_from] = ACTIONS(3467),
    [anon_sym_into] = ACTIONS(3467),
    [anon_sym_join] = ACTIONS(3467),
    [anon_sym_on] = ACTIONS(3467),
    [anon_sym_equals] = ACTIONS(3467),
    [anon_sym_let] = ACTIONS(3467),
    [anon_sym_orderby] = ACTIONS(3467),
    [anon_sym_ascending] = ACTIONS(3467),
    [anon_sym_descending] = ACTIONS(3467),
    [anon_sym_group] = ACTIONS(3467),
    [anon_sym_by] = ACTIONS(3467),
    [anon_sym_select] = ACTIONS(3467),
    [aux_sym_preproc_if_token1] = ACTIONS(3469),
    [aux_sym_preproc_if_token3] = ACTIONS(3469),
    [aux_sym_preproc_else_token1] = ACTIONS(3469),
    [aux_sym_preproc_elif_token1] = ACTIONS(3469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3362] = {
    [sym_preproc_region] = STATE(3362),
    [sym_preproc_endregion] = STATE(3362),
    [sym_preproc_line] = STATE(3362),
    [sym_preproc_pragma] = STATE(3362),
    [sym_preproc_nullable] = STATE(3362),
    [sym_preproc_error] = STATE(3362),
    [sym_preproc_define] = STATE(3362),
    [sym_preproc_undef] = STATE(3362),
    [sym__identifier_token] = ACTIONS(3471),
    [anon_sym_extern] = ACTIONS(3471),
    [anon_sym_alias] = ACTIONS(3471),
    [anon_sym_global] = ACTIONS(3471),
    [anon_sym_using] = ACTIONS(3471),
    [anon_sym_unsafe] = ACTIONS(3471),
    [anon_sym_static] = ACTIONS(3471),
    [anon_sym_LBRACK] = ACTIONS(3473),
    [anon_sym_LPAREN] = ACTIONS(3473),
    [anon_sym_event] = ACTIONS(3471),
    [anon_sym_namespace] = ACTIONS(3471),
    [anon_sym_class] = ACTIONS(3471),
    [anon_sym_ref] = ACTIONS(3471),
    [anon_sym_struct] = ACTIONS(3471),
    [anon_sym_enum] = ACTIONS(3471),
    [anon_sym_RBRACE] = ACTIONS(3473),
    [anon_sym_interface] = ACTIONS(3471),
    [anon_sym_delegate] = ACTIONS(3471),
    [anon_sym_record] = ACTIONS(3471),
    [anon_sym_abstract] = ACTIONS(3471),
    [anon_sym_async] = ACTIONS(3471),
    [anon_sym_const] = ACTIONS(3471),
    [anon_sym_file] = ACTIONS(3471),
    [anon_sym_fixed] = ACTIONS(3471),
    [anon_sym_internal] = ACTIONS(3471),
    [anon_sym_new] = ACTIONS(3471),
    [anon_sym_override] = ACTIONS(3471),
    [anon_sym_partial] = ACTIONS(3471),
    [anon_sym_private] = ACTIONS(3471),
    [anon_sym_protected] = ACTIONS(3471),
    [anon_sym_public] = ACTIONS(3471),
    [anon_sym_readonly] = ACTIONS(3471),
    [anon_sym_required] = ACTIONS(3471),
    [anon_sym_sealed] = ACTIONS(3471),
    [anon_sym_virtual] = ACTIONS(3471),
    [anon_sym_volatile] = ACTIONS(3471),
    [anon_sym_where] = ACTIONS(3471),
    [anon_sym_notnull] = ACTIONS(3471),
    [anon_sym_unmanaged] = ACTIONS(3471),
    [anon_sym_TILDE] = ACTIONS(3473),
    [anon_sym_implicit] = ACTIONS(3471),
    [anon_sym_explicit] = ACTIONS(3471),
    [anon_sym_scoped] = ACTIONS(3471),
    [anon_sym_var] = ACTIONS(3471),
    [sym_predefined_type] = ACTIONS(3471),
    [anon_sym_yield] = ACTIONS(3471),
    [anon_sym_when] = ACTIONS(3471),
    [anon_sym_from] = ACTIONS(3471),
    [anon_sym_into] = ACTIONS(3471),
    [anon_sym_join] = ACTIONS(3471),
    [anon_sym_on] = ACTIONS(3471),
    [anon_sym_equals] = ACTIONS(3471),
    [anon_sym_let] = ACTIONS(3471),
    [anon_sym_orderby] = ACTIONS(3471),
    [anon_sym_ascending] = ACTIONS(3471),
    [anon_sym_descending] = ACTIONS(3471),
    [anon_sym_group] = ACTIONS(3471),
    [anon_sym_by] = ACTIONS(3471),
    [anon_sym_select] = ACTIONS(3471),
    [aux_sym_preproc_if_token1] = ACTIONS(3473),
    [aux_sym_preproc_if_token3] = ACTIONS(3473),
    [aux_sym_preproc_else_token1] = ACTIONS(3473),
    [aux_sym_preproc_elif_token1] = ACTIONS(3473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3363] = {
    [sym__variable_designation] = STATE(4990),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3363),
    [sym_preproc_endregion] = STATE(3363),
    [sym_preproc_line] = STATE(3363),
    [sym_preproc_pragma] = STATE(3363),
    [sym_preproc_nullable] = STATE(3363),
    [sym_preproc_error] = STATE(3363),
    [sym_preproc_define] = STATE(3363),
    [sym_preproc_undef] = STATE(3363),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4435),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4435),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4435),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4435),
    [anon_sym_orderby] = ACTIONS(4435),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4435),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4435),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3364] = {
    [sym__variable_designation] = STATE(4998),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(3364),
    [sym_preproc_endregion] = STATE(3364),
    [sym_preproc_line] = STATE(3364),
    [sym_preproc_pragma] = STATE(3364),
    [sym_preproc_nullable] = STATE(3364),
    [sym_preproc_error] = STATE(3364),
    [sym_preproc_define] = STATE(3364),
    [sym_preproc_undef] = STATE(3364),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4447),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4266),
    [anon_sym_var] = ACTIONS(4266),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4266),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4447),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4447),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4447),
    [anon_sym_orderby] = ACTIONS(4447),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4447),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4447),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3365] = {
    [sym_preproc_region] = STATE(3365),
    [sym_preproc_endregion] = STATE(3365),
    [sym_preproc_line] = STATE(3365),
    [sym_preproc_pragma] = STATE(3365),
    [sym_preproc_nullable] = STATE(3365),
    [sym_preproc_error] = STATE(3365),
    [sym_preproc_define] = STATE(3365),
    [sym_preproc_undef] = STATE(3365),
    [sym__identifier_token] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3483),
    [anon_sym_alias] = ACTIONS(3483),
    [anon_sym_global] = ACTIONS(3483),
    [anon_sym_using] = ACTIONS(3483),
    [anon_sym_unsafe] = ACTIONS(3483),
    [anon_sym_static] = ACTIONS(3483),
    [anon_sym_LBRACK] = ACTIONS(3485),
    [anon_sym_LPAREN] = ACTIONS(3485),
    [anon_sym_event] = ACTIONS(3483),
    [anon_sym_namespace] = ACTIONS(3483),
    [anon_sym_class] = ACTIONS(3483),
    [anon_sym_ref] = ACTIONS(3483),
    [anon_sym_struct] = ACTIONS(3483),
    [anon_sym_enum] = ACTIONS(3483),
    [anon_sym_RBRACE] = ACTIONS(3485),
    [anon_sym_interface] = ACTIONS(3483),
    [anon_sym_delegate] = ACTIONS(3483),
    [anon_sym_record] = ACTIONS(3483),
    [anon_sym_abstract] = ACTIONS(3483),
    [anon_sym_async] = ACTIONS(3483),
    [anon_sym_const] = ACTIONS(3483),
    [anon_sym_file] = ACTIONS(3483),
    [anon_sym_fixed] = ACTIONS(3483),
    [anon_sym_internal] = ACTIONS(3483),
    [anon_sym_new] = ACTIONS(3483),
    [anon_sym_override] = ACTIONS(3483),
    [anon_sym_partial] = ACTIONS(3483),
    [anon_sym_private] = ACTIONS(3483),
    [anon_sym_protected] = ACTIONS(3483),
    [anon_sym_public] = ACTIONS(3483),
    [anon_sym_readonly] = ACTIONS(3483),
    [anon_sym_required] = ACTIONS(3483),
    [anon_sym_sealed] = ACTIONS(3483),
    [anon_sym_virtual] = ACTIONS(3483),
    [anon_sym_volatile] = ACTIONS(3483),
    [anon_sym_where] = ACTIONS(3483),
    [anon_sym_notnull] = ACTIONS(3483),
    [anon_sym_unmanaged] = ACTIONS(3483),
    [anon_sym_TILDE] = ACTIONS(3485),
    [anon_sym_implicit] = ACTIONS(3483),
    [anon_sym_explicit] = ACTIONS(3483),
    [anon_sym_scoped] = ACTIONS(3483),
    [anon_sym_var] = ACTIONS(3483),
    [sym_predefined_type] = ACTIONS(3483),
    [anon_sym_yield] = ACTIONS(3483),
    [anon_sym_when] = ACTIONS(3483),
    [anon_sym_from] = ACTIONS(3483),
    [anon_sym_into] = ACTIONS(3483),
    [anon_sym_join] = ACTIONS(3483),
    [anon_sym_on] = ACTIONS(3483),
    [anon_sym_equals] = ACTIONS(3483),
    [anon_sym_let] = ACTIONS(3483),
    [anon_sym_orderby] = ACTIONS(3483),
    [anon_sym_ascending] = ACTIONS(3483),
    [anon_sym_descending] = ACTIONS(3483),
    [anon_sym_group] = ACTIONS(3483),
    [anon_sym_by] = ACTIONS(3483),
    [anon_sym_select] = ACTIONS(3483),
    [aux_sym_preproc_if_token1] = ACTIONS(3485),
    [aux_sym_preproc_if_token3] = ACTIONS(3485),
    [aux_sym_preproc_else_token1] = ACTIONS(3485),
    [aux_sym_preproc_elif_token1] = ACTIONS(3485),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3366] = {
    [sym_preproc_region] = STATE(3366),
    [sym_preproc_endregion] = STATE(3366),
    [sym_preproc_line] = STATE(3366),
    [sym_preproc_pragma] = STATE(3366),
    [sym_preproc_nullable] = STATE(3366),
    [sym_preproc_error] = STATE(3366),
    [sym_preproc_define] = STATE(3366),
    [sym_preproc_undef] = STATE(3366),
    [sym__identifier_token] = ACTIONS(3491),
    [anon_sym_extern] = ACTIONS(3491),
    [anon_sym_alias] = ACTIONS(3491),
    [anon_sym_global] = ACTIONS(3491),
    [anon_sym_using] = ACTIONS(3491),
    [anon_sym_unsafe] = ACTIONS(3491),
    [anon_sym_static] = ACTIONS(3491),
    [anon_sym_LBRACK] = ACTIONS(3493),
    [anon_sym_LPAREN] = ACTIONS(3493),
    [anon_sym_event] = ACTIONS(3491),
    [anon_sym_namespace] = ACTIONS(3491),
    [anon_sym_class] = ACTIONS(3491),
    [anon_sym_ref] = ACTIONS(3491),
    [anon_sym_struct] = ACTIONS(3491),
    [anon_sym_enum] = ACTIONS(3491),
    [anon_sym_RBRACE] = ACTIONS(3493),
    [anon_sym_interface] = ACTIONS(3491),
    [anon_sym_delegate] = ACTIONS(3491),
    [anon_sym_record] = ACTIONS(3491),
    [anon_sym_abstract] = ACTIONS(3491),
    [anon_sym_async] = ACTIONS(3491),
    [anon_sym_const] = ACTIONS(3491),
    [anon_sym_file] = ACTIONS(3491),
    [anon_sym_fixed] = ACTIONS(3491),
    [anon_sym_internal] = ACTIONS(3491),
    [anon_sym_new] = ACTIONS(3491),
    [anon_sym_override] = ACTIONS(3491),
    [anon_sym_partial] = ACTIONS(3491),
    [anon_sym_private] = ACTIONS(3491),
    [anon_sym_protected] = ACTIONS(3491),
    [anon_sym_public] = ACTIONS(3491),
    [anon_sym_readonly] = ACTIONS(3491),
    [anon_sym_required] = ACTIONS(3491),
    [anon_sym_sealed] = ACTIONS(3491),
    [anon_sym_virtual] = ACTIONS(3491),
    [anon_sym_volatile] = ACTIONS(3491),
    [anon_sym_where] = ACTIONS(3491),
    [anon_sym_notnull] = ACTIONS(3491),
    [anon_sym_unmanaged] = ACTIONS(3491),
    [anon_sym_TILDE] = ACTIONS(3493),
    [anon_sym_implicit] = ACTIONS(3491),
    [anon_sym_explicit] = ACTIONS(3491),
    [anon_sym_scoped] = ACTIONS(3491),
    [anon_sym_var] = ACTIONS(3491),
    [sym_predefined_type] = ACTIONS(3491),
    [anon_sym_yield] = ACTIONS(3491),
    [anon_sym_when] = ACTIONS(3491),
    [anon_sym_from] = ACTIONS(3491),
    [anon_sym_into] = ACTIONS(3491),
    [anon_sym_join] = ACTIONS(3491),
    [anon_sym_on] = ACTIONS(3491),
    [anon_sym_equals] = ACTIONS(3491),
    [anon_sym_let] = ACTIONS(3491),
    [anon_sym_orderby] = ACTIONS(3491),
    [anon_sym_ascending] = ACTIONS(3491),
    [anon_sym_descending] = ACTIONS(3491),
    [anon_sym_group] = ACTIONS(3491),
    [anon_sym_by] = ACTIONS(3491),
    [anon_sym_select] = ACTIONS(3491),
    [aux_sym_preproc_if_token1] = ACTIONS(3493),
    [aux_sym_preproc_if_token3] = ACTIONS(3493),
    [aux_sym_preproc_else_token1] = ACTIONS(3493),
    [aux_sym_preproc_elif_token1] = ACTIONS(3493),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3367] = {
    [sym_preproc_region] = STATE(3367),
    [sym_preproc_endregion] = STATE(3367),
    [sym_preproc_line] = STATE(3367),
    [sym_preproc_pragma] = STATE(3367),
    [sym_preproc_nullable] = STATE(3367),
    [sym_preproc_error] = STATE(3367),
    [sym_preproc_define] = STATE(3367),
    [sym_preproc_undef] = STATE(3367),
    [sym__identifier_token] = ACTIONS(3495),
    [anon_sym_extern] = ACTIONS(3495),
    [anon_sym_alias] = ACTIONS(3495),
    [anon_sym_global] = ACTIONS(3495),
    [anon_sym_using] = ACTIONS(3495),
    [anon_sym_unsafe] = ACTIONS(3495),
    [anon_sym_static] = ACTIONS(3495),
    [anon_sym_LBRACK] = ACTIONS(3497),
    [anon_sym_LPAREN] = ACTIONS(3497),
    [anon_sym_event] = ACTIONS(3495),
    [anon_sym_namespace] = ACTIONS(3495),
    [anon_sym_class] = ACTIONS(3495),
    [anon_sym_ref] = ACTIONS(3495),
    [anon_sym_struct] = ACTIONS(3495),
    [anon_sym_enum] = ACTIONS(3495),
    [anon_sym_RBRACE] = ACTIONS(3497),
    [anon_sym_interface] = ACTIONS(3495),
    [anon_sym_delegate] = ACTIONS(3495),
    [anon_sym_record] = ACTIONS(3495),
    [anon_sym_abstract] = ACTIONS(3495),
    [anon_sym_async] = ACTIONS(3495),
    [anon_sym_const] = ACTIONS(3495),
    [anon_sym_file] = ACTIONS(3495),
    [anon_sym_fixed] = ACTIONS(3495),
    [anon_sym_internal] = ACTIONS(3495),
    [anon_sym_new] = ACTIONS(3495),
    [anon_sym_override] = ACTIONS(3495),
    [anon_sym_partial] = ACTIONS(3495),
    [anon_sym_private] = ACTIONS(3495),
    [anon_sym_protected] = ACTIONS(3495),
    [anon_sym_public] = ACTIONS(3495),
    [anon_sym_readonly] = ACTIONS(3495),
    [anon_sym_required] = ACTIONS(3495),
    [anon_sym_sealed] = ACTIONS(3495),
    [anon_sym_virtual] = ACTIONS(3495),
    [anon_sym_volatile] = ACTIONS(3495),
    [anon_sym_where] = ACTIONS(3495),
    [anon_sym_notnull] = ACTIONS(3495),
    [anon_sym_unmanaged] = ACTIONS(3495),
    [anon_sym_TILDE] = ACTIONS(3497),
    [anon_sym_implicit] = ACTIONS(3495),
    [anon_sym_explicit] = ACTIONS(3495),
    [anon_sym_scoped] = ACTIONS(3495),
    [anon_sym_var] = ACTIONS(3495),
    [sym_predefined_type] = ACTIONS(3495),
    [anon_sym_yield] = ACTIONS(3495),
    [anon_sym_when] = ACTIONS(3495),
    [anon_sym_from] = ACTIONS(3495),
    [anon_sym_into] = ACTIONS(3495),
    [anon_sym_join] = ACTIONS(3495),
    [anon_sym_on] = ACTIONS(3495),
    [anon_sym_equals] = ACTIONS(3495),
    [anon_sym_let] = ACTIONS(3495),
    [anon_sym_orderby] = ACTIONS(3495),
    [anon_sym_ascending] = ACTIONS(3495),
    [anon_sym_descending] = ACTIONS(3495),
    [anon_sym_group] = ACTIONS(3495),
    [anon_sym_by] = ACTIONS(3495),
    [anon_sym_select] = ACTIONS(3495),
    [aux_sym_preproc_if_token1] = ACTIONS(3497),
    [aux_sym_preproc_if_token3] = ACTIONS(3497),
    [aux_sym_preproc_else_token1] = ACTIONS(3497),
    [aux_sym_preproc_elif_token1] = ACTIONS(3497),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3368] = {
    [sym_preproc_region] = STATE(3368),
    [sym_preproc_endregion] = STATE(3368),
    [sym_preproc_line] = STATE(3368),
    [sym_preproc_pragma] = STATE(3368),
    [sym_preproc_nullable] = STATE(3368),
    [sym_preproc_error] = STATE(3368),
    [sym_preproc_define] = STATE(3368),
    [sym_preproc_undef] = STATE(3368),
    [sym__identifier_token] = ACTIONS(3499),
    [anon_sym_extern] = ACTIONS(3499),
    [anon_sym_alias] = ACTIONS(3499),
    [anon_sym_global] = ACTIONS(3499),
    [anon_sym_using] = ACTIONS(3499),
    [anon_sym_unsafe] = ACTIONS(3499),
    [anon_sym_static] = ACTIONS(3499),
    [anon_sym_LBRACK] = ACTIONS(3501),
    [anon_sym_LPAREN] = ACTIONS(3501),
    [anon_sym_event] = ACTIONS(3499),
    [anon_sym_namespace] = ACTIONS(3499),
    [anon_sym_class] = ACTIONS(3499),
    [anon_sym_ref] = ACTIONS(3499),
    [anon_sym_struct] = ACTIONS(3499),
    [anon_sym_enum] = ACTIONS(3499),
    [anon_sym_RBRACE] = ACTIONS(3501),
    [anon_sym_interface] = ACTIONS(3499),
    [anon_sym_delegate] = ACTIONS(3499),
    [anon_sym_record] = ACTIONS(3499),
    [anon_sym_abstract] = ACTIONS(3499),
    [anon_sym_async] = ACTIONS(3499),
    [anon_sym_const] = ACTIONS(3499),
    [anon_sym_file] = ACTIONS(3499),
    [anon_sym_fixed] = ACTIONS(3499),
    [anon_sym_internal] = ACTIONS(3499),
    [anon_sym_new] = ACTIONS(3499),
    [anon_sym_override] = ACTIONS(3499),
    [anon_sym_partial] = ACTIONS(3499),
    [anon_sym_private] = ACTIONS(3499),
    [anon_sym_protected] = ACTIONS(3499),
    [anon_sym_public] = ACTIONS(3499),
    [anon_sym_readonly] = ACTIONS(3499),
    [anon_sym_required] = ACTIONS(3499),
    [anon_sym_sealed] = ACTIONS(3499),
    [anon_sym_virtual] = ACTIONS(3499),
    [anon_sym_volatile] = ACTIONS(3499),
    [anon_sym_where] = ACTIONS(3499),
    [anon_sym_notnull] = ACTIONS(3499),
    [anon_sym_unmanaged] = ACTIONS(3499),
    [anon_sym_TILDE] = ACTIONS(3501),
    [anon_sym_implicit] = ACTIONS(3499),
    [anon_sym_explicit] = ACTIONS(3499),
    [anon_sym_scoped] = ACTIONS(3499),
    [anon_sym_var] = ACTIONS(3499),
    [sym_predefined_type] = ACTIONS(3499),
    [anon_sym_yield] = ACTIONS(3499),
    [anon_sym_when] = ACTIONS(3499),
    [anon_sym_from] = ACTIONS(3499),
    [anon_sym_into] = ACTIONS(3499),
    [anon_sym_join] = ACTIONS(3499),
    [anon_sym_on] = ACTIONS(3499),
    [anon_sym_equals] = ACTIONS(3499),
    [anon_sym_let] = ACTIONS(3499),
    [anon_sym_orderby] = ACTIONS(3499),
    [anon_sym_ascending] = ACTIONS(3499),
    [anon_sym_descending] = ACTIONS(3499),
    [anon_sym_group] = ACTIONS(3499),
    [anon_sym_by] = ACTIONS(3499),
    [anon_sym_select] = ACTIONS(3499),
    [aux_sym_preproc_if_token1] = ACTIONS(3501),
    [aux_sym_preproc_if_token3] = ACTIONS(3501),
    [aux_sym_preproc_else_token1] = ACTIONS(3501),
    [aux_sym_preproc_elif_token1] = ACTIONS(3501),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3369] = {
    [sym_preproc_region] = STATE(3369),
    [sym_preproc_endregion] = STATE(3369),
    [sym_preproc_line] = STATE(3369),
    [sym_preproc_pragma] = STATE(3369),
    [sym_preproc_nullable] = STATE(3369),
    [sym_preproc_error] = STATE(3369),
    [sym_preproc_define] = STATE(3369),
    [sym_preproc_undef] = STATE(3369),
    [sym__identifier_token] = ACTIONS(4037),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4037),
    [anon_sym_global] = ACTIONS(4037),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_event] = ACTIONS(4040),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4037),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_where] = ACTIONS(4037),
    [anon_sym_QMARK] = ACTIONS(3995),
    [anon_sym_notnull] = ACTIONS(4037),
    [anon_sym_unmanaged] = ACTIONS(4037),
    [anon_sym_operator] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_implicit] = ACTIONS(4040),
    [anon_sym_explicit] = ACTIONS(4040),
    [anon_sym_this] = ACTIONS(3997),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_scoped] = ACTIONS(4037),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4037),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4037),
    [anon_sym_when] = ACTIONS(4037),
    [anon_sym_from] = ACTIONS(4037),
    [anon_sym_into] = ACTIONS(4037),
    [anon_sym_join] = ACTIONS(4037),
    [anon_sym_on] = ACTIONS(4037),
    [anon_sym_equals] = ACTIONS(4037),
    [anon_sym_let] = ACTIONS(4037),
    [anon_sym_orderby] = ACTIONS(4037),
    [anon_sym_ascending] = ACTIONS(4037),
    [anon_sym_descending] = ACTIONS(4037),
    [anon_sym_group] = ACTIONS(4037),
    [anon_sym_by] = ACTIONS(4037),
    [anon_sym_select] = ACTIONS(4037),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3370] = {
    [sym__variable_designation] = STATE(4113),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3370),
    [sym_preproc_endregion] = STATE(3370),
    [sym_preproc_line] = STATE(3370),
    [sym_preproc_pragma] = STATE(3370),
    [sym_preproc_nullable] = STATE(3370),
    [sym_preproc_error] = STATE(3370),
    [sym_preproc_define] = STATE(3370),
    [sym_preproc_undef] = STATE(3370),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4405),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3371] = {
    [sym__variable_designation] = STATE(4216),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3371),
    [sym_preproc_endregion] = STATE(3371),
    [sym_preproc_line] = STATE(3371),
    [sym_preproc_pragma] = STATE(3371),
    [sym_preproc_nullable] = STATE(3371),
    [sym_preproc_error] = STATE(3371),
    [sym_preproc_define] = STATE(3371),
    [sym_preproc_undef] = STATE(3371),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4395),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3372] = {
    [sym_preproc_region] = STATE(3372),
    [sym_preproc_endregion] = STATE(3372),
    [sym_preproc_line] = STATE(3372),
    [sym_preproc_pragma] = STATE(3372),
    [sym_preproc_nullable] = STATE(3372),
    [sym_preproc_error] = STATE(3372),
    [sym_preproc_define] = STATE(3372),
    [sym_preproc_undef] = STATE(3372),
    [sym__identifier_token] = ACTIONS(3503),
    [anon_sym_extern] = ACTIONS(3503),
    [anon_sym_alias] = ACTIONS(3503),
    [anon_sym_global] = ACTIONS(3503),
    [anon_sym_using] = ACTIONS(3503),
    [anon_sym_unsafe] = ACTIONS(3503),
    [anon_sym_static] = ACTIONS(3503),
    [anon_sym_LBRACK] = ACTIONS(3505),
    [anon_sym_LPAREN] = ACTIONS(3505),
    [anon_sym_event] = ACTIONS(3503),
    [anon_sym_namespace] = ACTIONS(3503),
    [anon_sym_class] = ACTIONS(3503),
    [anon_sym_ref] = ACTIONS(3503),
    [anon_sym_struct] = ACTIONS(3503),
    [anon_sym_enum] = ACTIONS(3503),
    [anon_sym_RBRACE] = ACTIONS(3505),
    [anon_sym_interface] = ACTIONS(3503),
    [anon_sym_delegate] = ACTIONS(3503),
    [anon_sym_record] = ACTIONS(3503),
    [anon_sym_abstract] = ACTIONS(3503),
    [anon_sym_async] = ACTIONS(3503),
    [anon_sym_const] = ACTIONS(3503),
    [anon_sym_file] = ACTIONS(3503),
    [anon_sym_fixed] = ACTIONS(3503),
    [anon_sym_internal] = ACTIONS(3503),
    [anon_sym_new] = ACTIONS(3503),
    [anon_sym_override] = ACTIONS(3503),
    [anon_sym_partial] = ACTIONS(3503),
    [anon_sym_private] = ACTIONS(3503),
    [anon_sym_protected] = ACTIONS(3503),
    [anon_sym_public] = ACTIONS(3503),
    [anon_sym_readonly] = ACTIONS(3503),
    [anon_sym_required] = ACTIONS(3503),
    [anon_sym_sealed] = ACTIONS(3503),
    [anon_sym_virtual] = ACTIONS(3503),
    [anon_sym_volatile] = ACTIONS(3503),
    [anon_sym_where] = ACTIONS(3503),
    [anon_sym_notnull] = ACTIONS(3503),
    [anon_sym_unmanaged] = ACTIONS(3503),
    [anon_sym_TILDE] = ACTIONS(3505),
    [anon_sym_implicit] = ACTIONS(3503),
    [anon_sym_explicit] = ACTIONS(3503),
    [anon_sym_scoped] = ACTIONS(3503),
    [anon_sym_var] = ACTIONS(3503),
    [sym_predefined_type] = ACTIONS(3503),
    [anon_sym_yield] = ACTIONS(3503),
    [anon_sym_when] = ACTIONS(3503),
    [anon_sym_from] = ACTIONS(3503),
    [anon_sym_into] = ACTIONS(3503),
    [anon_sym_join] = ACTIONS(3503),
    [anon_sym_on] = ACTIONS(3503),
    [anon_sym_equals] = ACTIONS(3503),
    [anon_sym_let] = ACTIONS(3503),
    [anon_sym_orderby] = ACTIONS(3503),
    [anon_sym_ascending] = ACTIONS(3503),
    [anon_sym_descending] = ACTIONS(3503),
    [anon_sym_group] = ACTIONS(3503),
    [anon_sym_by] = ACTIONS(3503),
    [anon_sym_select] = ACTIONS(3503),
    [aux_sym_preproc_if_token1] = ACTIONS(3505),
    [aux_sym_preproc_if_token3] = ACTIONS(3505),
    [aux_sym_preproc_else_token1] = ACTIONS(3505),
    [aux_sym_preproc_elif_token1] = ACTIONS(3505),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3373] = {
    [sym_preproc_region] = STATE(3373),
    [sym_preproc_endregion] = STATE(3373),
    [sym_preproc_line] = STATE(3373),
    [sym_preproc_pragma] = STATE(3373),
    [sym_preproc_nullable] = STATE(3373),
    [sym_preproc_error] = STATE(3373),
    [sym_preproc_define] = STATE(3373),
    [sym_preproc_undef] = STATE(3373),
    [sym__identifier_token] = ACTIONS(3507),
    [anon_sym_extern] = ACTIONS(3507),
    [anon_sym_alias] = ACTIONS(3507),
    [anon_sym_global] = ACTIONS(3507),
    [anon_sym_using] = ACTIONS(3507),
    [anon_sym_unsafe] = ACTIONS(3507),
    [anon_sym_static] = ACTIONS(3507),
    [anon_sym_LBRACK] = ACTIONS(3509),
    [anon_sym_LPAREN] = ACTIONS(3509),
    [anon_sym_event] = ACTIONS(3507),
    [anon_sym_namespace] = ACTIONS(3507),
    [anon_sym_class] = ACTIONS(3507),
    [anon_sym_ref] = ACTIONS(3507),
    [anon_sym_struct] = ACTIONS(3507),
    [anon_sym_enum] = ACTIONS(3507),
    [anon_sym_RBRACE] = ACTIONS(3509),
    [anon_sym_interface] = ACTIONS(3507),
    [anon_sym_delegate] = ACTIONS(3507),
    [anon_sym_record] = ACTIONS(3507),
    [anon_sym_abstract] = ACTIONS(3507),
    [anon_sym_async] = ACTIONS(3507),
    [anon_sym_const] = ACTIONS(3507),
    [anon_sym_file] = ACTIONS(3507),
    [anon_sym_fixed] = ACTIONS(3507),
    [anon_sym_internal] = ACTIONS(3507),
    [anon_sym_new] = ACTIONS(3507),
    [anon_sym_override] = ACTIONS(3507),
    [anon_sym_partial] = ACTIONS(3507),
    [anon_sym_private] = ACTIONS(3507),
    [anon_sym_protected] = ACTIONS(3507),
    [anon_sym_public] = ACTIONS(3507),
    [anon_sym_readonly] = ACTIONS(3507),
    [anon_sym_required] = ACTIONS(3507),
    [anon_sym_sealed] = ACTIONS(3507),
    [anon_sym_virtual] = ACTIONS(3507),
    [anon_sym_volatile] = ACTIONS(3507),
    [anon_sym_where] = ACTIONS(3507),
    [anon_sym_notnull] = ACTIONS(3507),
    [anon_sym_unmanaged] = ACTIONS(3507),
    [anon_sym_TILDE] = ACTIONS(3509),
    [anon_sym_implicit] = ACTIONS(3507),
    [anon_sym_explicit] = ACTIONS(3507),
    [anon_sym_scoped] = ACTIONS(3507),
    [anon_sym_var] = ACTIONS(3507),
    [sym_predefined_type] = ACTIONS(3507),
    [anon_sym_yield] = ACTIONS(3507),
    [anon_sym_when] = ACTIONS(3507),
    [anon_sym_from] = ACTIONS(3507),
    [anon_sym_into] = ACTIONS(3507),
    [anon_sym_join] = ACTIONS(3507),
    [anon_sym_on] = ACTIONS(3507),
    [anon_sym_equals] = ACTIONS(3507),
    [anon_sym_let] = ACTIONS(3507),
    [anon_sym_orderby] = ACTIONS(3507),
    [anon_sym_ascending] = ACTIONS(3507),
    [anon_sym_descending] = ACTIONS(3507),
    [anon_sym_group] = ACTIONS(3507),
    [anon_sym_by] = ACTIONS(3507),
    [anon_sym_select] = ACTIONS(3507),
    [aux_sym_preproc_if_token1] = ACTIONS(3509),
    [aux_sym_preproc_if_token3] = ACTIONS(3509),
    [aux_sym_preproc_else_token1] = ACTIONS(3509),
    [aux_sym_preproc_elif_token1] = ACTIONS(3509),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3374] = {
    [sym__variable_designation] = STATE(4292),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3374),
    [sym_preproc_endregion] = STATE(3374),
    [sym_preproc_line] = STATE(3374),
    [sym_preproc_pragma] = STATE(3374),
    [sym_preproc_nullable] = STATE(3374),
    [sym_preproc_error] = STATE(3374),
    [sym_preproc_define] = STATE(3374),
    [sym_preproc_undef] = STATE(3374),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4435),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3375] = {
    [sym__variable_designation] = STATE(4211),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3375),
    [sym_preproc_endregion] = STATE(3375),
    [sym_preproc_line] = STATE(3375),
    [sym_preproc_pragma] = STATE(3375),
    [sym_preproc_nullable] = STATE(3375),
    [sym_preproc_error] = STATE(3375),
    [sym_preproc_define] = STATE(3375),
    [sym_preproc_undef] = STATE(3375),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4447),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3376] = {
    [sym_preproc_region] = STATE(3376),
    [sym_preproc_endregion] = STATE(3376),
    [sym_preproc_line] = STATE(3376),
    [sym_preproc_pragma] = STATE(3376),
    [sym_preproc_nullable] = STATE(3376),
    [sym_preproc_error] = STATE(3376),
    [sym_preproc_define] = STATE(3376),
    [sym_preproc_undef] = STATE(3376),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4997),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3377] = {
    [sym__variable_designation] = STATE(4113),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3377),
    [sym_preproc_endregion] = STATE(3377),
    [sym_preproc_line] = STATE(3377),
    [sym_preproc_pragma] = STATE(3377),
    [sym_preproc_nullable] = STATE(3377),
    [sym_preproc_error] = STATE(3377),
    [sym_preproc_define] = STATE(3377),
    [sym_preproc_undef] = STATE(3377),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4405),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3378] = {
    [sym_preproc_region] = STATE(3378),
    [sym_preproc_endregion] = STATE(3378),
    [sym_preproc_line] = STATE(3378),
    [sym_preproc_pragma] = STATE(3378),
    [sym_preproc_nullable] = STATE(3378),
    [sym_preproc_error] = STATE(3378),
    [sym_preproc_define] = STATE(3378),
    [sym_preproc_undef] = STATE(3378),
    [sym__identifier_token] = ACTIONS(4999),
    [anon_sym_extern] = ACTIONS(4999),
    [anon_sym_alias] = ACTIONS(4999),
    [anon_sym_global] = ACTIONS(4999),
    [anon_sym_using] = ACTIONS(4999),
    [anon_sym_unsafe] = ACTIONS(4999),
    [anon_sym_static] = ACTIONS(4999),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_LPAREN] = ACTIONS(5001),
    [anon_sym_event] = ACTIONS(4999),
    [anon_sym_namespace] = ACTIONS(4999),
    [anon_sym_class] = ACTIONS(4999),
    [anon_sym_ref] = ACTIONS(4999),
    [anon_sym_struct] = ACTIONS(4999),
    [anon_sym_enum] = ACTIONS(4999),
    [anon_sym_RBRACE] = ACTIONS(5001),
    [anon_sym_interface] = ACTIONS(4999),
    [anon_sym_delegate] = ACTIONS(4999),
    [anon_sym_record] = ACTIONS(4999),
    [anon_sym_abstract] = ACTIONS(4999),
    [anon_sym_async] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_file] = ACTIONS(4999),
    [anon_sym_fixed] = ACTIONS(4999),
    [anon_sym_internal] = ACTIONS(4999),
    [anon_sym_new] = ACTIONS(4999),
    [anon_sym_override] = ACTIONS(4999),
    [anon_sym_partial] = ACTIONS(4999),
    [anon_sym_private] = ACTIONS(4999),
    [anon_sym_protected] = ACTIONS(4999),
    [anon_sym_public] = ACTIONS(4999),
    [anon_sym_readonly] = ACTIONS(4999),
    [anon_sym_required] = ACTIONS(4999),
    [anon_sym_sealed] = ACTIONS(4999),
    [anon_sym_virtual] = ACTIONS(4999),
    [anon_sym_volatile] = ACTIONS(4999),
    [anon_sym_where] = ACTIONS(4999),
    [anon_sym_notnull] = ACTIONS(4999),
    [anon_sym_unmanaged] = ACTIONS(4999),
    [anon_sym_TILDE] = ACTIONS(5001),
    [anon_sym_implicit] = ACTIONS(4999),
    [anon_sym_explicit] = ACTIONS(4999),
    [anon_sym_scoped] = ACTIONS(4999),
    [anon_sym_var] = ACTIONS(4999),
    [sym_predefined_type] = ACTIONS(4999),
    [anon_sym_yield] = ACTIONS(4999),
    [anon_sym_when] = ACTIONS(4999),
    [anon_sym_from] = ACTIONS(4999),
    [anon_sym_into] = ACTIONS(4999),
    [anon_sym_join] = ACTIONS(4999),
    [anon_sym_on] = ACTIONS(4999),
    [anon_sym_equals] = ACTIONS(4999),
    [anon_sym_let] = ACTIONS(4999),
    [anon_sym_orderby] = ACTIONS(4999),
    [anon_sym_ascending] = ACTIONS(4999),
    [anon_sym_descending] = ACTIONS(4999),
    [anon_sym_group] = ACTIONS(4999),
    [anon_sym_by] = ACTIONS(4999),
    [anon_sym_select] = ACTIONS(4999),
    [aux_sym_preproc_if_token1] = ACTIONS(5001),
    [aux_sym_preproc_if_token3] = ACTIONS(5001),
    [aux_sym_preproc_else_token1] = ACTIONS(5001),
    [aux_sym_preproc_elif_token1] = ACTIONS(5001),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3379] = {
    [sym__variable_designation] = STATE(4216),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3379),
    [sym_preproc_endregion] = STATE(3379),
    [sym_preproc_line] = STATE(3379),
    [sym_preproc_pragma] = STATE(3379),
    [sym_preproc_nullable] = STATE(3379),
    [sym_preproc_error] = STATE(3379),
    [sym_preproc_define] = STATE(3379),
    [sym_preproc_undef] = STATE(3379),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4395),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3380] = {
    [sym__variable_designation] = STATE(4292),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3380),
    [sym_preproc_endregion] = STATE(3380),
    [sym_preproc_line] = STATE(3380),
    [sym_preproc_pragma] = STATE(3380),
    [sym_preproc_nullable] = STATE(3380),
    [sym_preproc_error] = STATE(3380),
    [sym_preproc_define] = STATE(3380),
    [sym_preproc_undef] = STATE(3380),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4435),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3381] = {
    [sym__variable_designation] = STATE(4211),
    [sym_parenthesized_variable_designation] = STATE(4098),
    [sym_identifier] = STATE(4103),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3381),
    [sym_preproc_endregion] = STATE(3381),
    [sym_preproc_line] = STATE(3381),
    [sym_preproc_pragma] = STATE(3381),
    [sym_preproc_nullable] = STATE(3381),
    [sym_preproc_error] = STATE(3381),
    [sym_preproc_define] = STATE(3381),
    [sym_preproc_undef] = STATE(3381),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4373),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4343),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4447),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3382] = {
    [sym_preproc_region] = STATE(3382),
    [sym_preproc_endregion] = STATE(3382),
    [sym_preproc_line] = STATE(3382),
    [sym_preproc_pragma] = STATE(3382),
    [sym_preproc_nullable] = STATE(3382),
    [sym_preproc_error] = STATE(3382),
    [sym_preproc_define] = STATE(3382),
    [sym_preproc_undef] = STATE(3382),
    [sym__identifier_token] = ACTIONS(3997),
    [anon_sym_alias] = ACTIONS(3997),
    [anon_sym_global] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_notnull] = ACTIONS(3997),
    [anon_sym_unmanaged] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_scoped] = ACTIONS(3997),
    [anon_sym_var] = ACTIONS(3997),
    [anon_sym_yield] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3997),
    [anon_sym_when] = ACTIONS(3997),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3997),
    [anon_sym_join] = ACTIONS(3997),
    [anon_sym_on] = ACTIONS(3997),
    [anon_sym_equals] = ACTIONS(3997),
    [anon_sym_let] = ACTIONS(3997),
    [anon_sym_orderby] = ACTIONS(3997),
    [anon_sym_ascending] = ACTIONS(3997),
    [anon_sym_descending] = ACTIONS(3997),
    [anon_sym_group] = ACTIONS(3997),
    [anon_sym_by] = ACTIONS(3997),
    [anon_sym_select] = ACTIONS(3997),
    [anon_sym_as] = ACTIONS(3997),
    [anon_sym_is] = ACTIONS(3997),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [3383] = {
    [sym_preproc_region] = STATE(3383),
    [sym_preproc_endregion] = STATE(3383),
    [sym_preproc_line] = STATE(3383),
    [sym_preproc_pragma] = STATE(3383),
    [sym_preproc_nullable] = STATE(3383),
    [sym_preproc_error] = STATE(3383),
    [sym_preproc_define] = STATE(3383),
    [sym_preproc_undef] = STATE(3383),
    [sym__identifier_token] = ACTIONS(4120),
    [anon_sym_alias] = ACTIONS(4120),
    [anon_sym_global] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_file] = ACTIONS(4120),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_notnull] = ACTIONS(4120),
    [anon_sym_unmanaged] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_scoped] = ACTIONS(4120),
    [anon_sym_var] = ACTIONS(4120),
    [anon_sym_yield] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4120),
    [anon_sym_when] = ACTIONS(4120),
    [sym_discard] = ACTIONS(4120),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4120),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_from] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4120),
    [anon_sym_join] = ACTIONS(4120),
    [anon_sym_on] = ACTIONS(4120),
    [anon_sym_equals] = ACTIONS(4120),
    [anon_sym_let] = ACTIONS(4120),
    [anon_sym_orderby] = ACTIONS(4120),
    [anon_sym_ascending] = ACTIONS(4120),
    [anon_sym_descending] = ACTIONS(4120),
    [anon_sym_group] = ACTIONS(4120),
    [anon_sym_by] = ACTIONS(4120),
    [anon_sym_select] = ACTIONS(4120),
    [anon_sym_as] = ACTIONS(4120),
    [anon_sym_is] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4120),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4122),
  },
  [3384] = {
    [sym_preproc_region] = STATE(3384),
    [sym_preproc_endregion] = STATE(3384),
    [sym_preproc_line] = STATE(3384),
    [sym_preproc_pragma] = STATE(3384),
    [sym_preproc_nullable] = STATE(3384),
    [sym_preproc_error] = STATE(3384),
    [sym_preproc_define] = STATE(3384),
    [sym_preproc_undef] = STATE(3384),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3385] = {
    [sym_preproc_region] = STATE(3385),
    [sym_preproc_endregion] = STATE(3385),
    [sym_preproc_line] = STATE(3385),
    [sym_preproc_pragma] = STATE(3385),
    [sym_preproc_nullable] = STATE(3385),
    [sym_preproc_error] = STATE(3385),
    [sym_preproc_define] = STATE(3385),
    [sym_preproc_undef] = STATE(3385),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3386] = {
    [sym_preproc_region] = STATE(3386),
    [sym_preproc_endregion] = STATE(3386),
    [sym_preproc_line] = STATE(3386),
    [sym_preproc_pragma] = STATE(3386),
    [sym_preproc_nullable] = STATE(3386),
    [sym_preproc_error] = STATE(3386),
    [sym_preproc_define] = STATE(3386),
    [sym_preproc_undef] = STATE(3386),
    [sym__identifier_token] = ACTIONS(3515),
    [anon_sym_extern] = ACTIONS(3515),
    [anon_sym_alias] = ACTIONS(3515),
    [anon_sym_global] = ACTIONS(3515),
    [anon_sym_using] = ACTIONS(3515),
    [anon_sym_unsafe] = ACTIONS(3515),
    [anon_sym_static] = ACTIONS(3515),
    [anon_sym_LBRACK] = ACTIONS(3517),
    [anon_sym_LPAREN] = ACTIONS(3517),
    [anon_sym_event] = ACTIONS(3515),
    [anon_sym_namespace] = ACTIONS(3515),
    [anon_sym_class] = ACTIONS(3515),
    [anon_sym_ref] = ACTIONS(3515),
    [anon_sym_struct] = ACTIONS(3515),
    [anon_sym_enum] = ACTIONS(3515),
    [anon_sym_RBRACE] = ACTIONS(3517),
    [anon_sym_interface] = ACTIONS(3515),
    [anon_sym_delegate] = ACTIONS(3515),
    [anon_sym_record] = ACTIONS(3515),
    [anon_sym_abstract] = ACTIONS(3515),
    [anon_sym_async] = ACTIONS(3515),
    [anon_sym_const] = ACTIONS(3515),
    [anon_sym_file] = ACTIONS(3515),
    [anon_sym_fixed] = ACTIONS(3515),
    [anon_sym_internal] = ACTIONS(3515),
    [anon_sym_new] = ACTIONS(3515),
    [anon_sym_override] = ACTIONS(3515),
    [anon_sym_partial] = ACTIONS(3515),
    [anon_sym_private] = ACTIONS(3515),
    [anon_sym_protected] = ACTIONS(3515),
    [anon_sym_public] = ACTIONS(3515),
    [anon_sym_readonly] = ACTIONS(3515),
    [anon_sym_required] = ACTIONS(3515),
    [anon_sym_sealed] = ACTIONS(3515),
    [anon_sym_virtual] = ACTIONS(3515),
    [anon_sym_volatile] = ACTIONS(3515),
    [anon_sym_where] = ACTIONS(3515),
    [anon_sym_notnull] = ACTIONS(3515),
    [anon_sym_unmanaged] = ACTIONS(3515),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_implicit] = ACTIONS(3515),
    [anon_sym_explicit] = ACTIONS(3515),
    [anon_sym_scoped] = ACTIONS(3515),
    [anon_sym_var] = ACTIONS(3515),
    [sym_predefined_type] = ACTIONS(3515),
    [anon_sym_yield] = ACTIONS(3515),
    [anon_sym_when] = ACTIONS(3515),
    [anon_sym_from] = ACTIONS(3515),
    [anon_sym_into] = ACTIONS(3515),
    [anon_sym_join] = ACTIONS(3515),
    [anon_sym_on] = ACTIONS(3515),
    [anon_sym_equals] = ACTIONS(3515),
    [anon_sym_let] = ACTIONS(3515),
    [anon_sym_orderby] = ACTIONS(3515),
    [anon_sym_ascending] = ACTIONS(3515),
    [anon_sym_descending] = ACTIONS(3515),
    [anon_sym_group] = ACTIONS(3515),
    [anon_sym_by] = ACTIONS(3515),
    [anon_sym_select] = ACTIONS(3515),
    [aux_sym_preproc_if_token1] = ACTIONS(3517),
    [aux_sym_preproc_if_token3] = ACTIONS(3517),
    [aux_sym_preproc_else_token1] = ACTIONS(3517),
    [aux_sym_preproc_elif_token1] = ACTIONS(3517),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3387] = {
    [sym_preproc_region] = STATE(3387),
    [sym_preproc_endregion] = STATE(3387),
    [sym_preproc_line] = STATE(3387),
    [sym_preproc_pragma] = STATE(3387),
    [sym_preproc_nullable] = STATE(3387),
    [sym_preproc_error] = STATE(3387),
    [sym_preproc_define] = STATE(3387),
    [sym_preproc_undef] = STATE(3387),
    [sym__identifier_token] = ACTIONS(3519),
    [anon_sym_extern] = ACTIONS(3519),
    [anon_sym_alias] = ACTIONS(3519),
    [anon_sym_global] = ACTIONS(3519),
    [anon_sym_using] = ACTIONS(3519),
    [anon_sym_unsafe] = ACTIONS(3519),
    [anon_sym_static] = ACTIONS(3519),
    [anon_sym_LBRACK] = ACTIONS(3521),
    [anon_sym_LPAREN] = ACTIONS(3521),
    [anon_sym_event] = ACTIONS(3519),
    [anon_sym_namespace] = ACTIONS(3519),
    [anon_sym_class] = ACTIONS(3519),
    [anon_sym_ref] = ACTIONS(3519),
    [anon_sym_struct] = ACTIONS(3519),
    [anon_sym_enum] = ACTIONS(3519),
    [anon_sym_RBRACE] = ACTIONS(3521),
    [anon_sym_interface] = ACTIONS(3519),
    [anon_sym_delegate] = ACTIONS(3519),
    [anon_sym_record] = ACTIONS(3519),
    [anon_sym_abstract] = ACTIONS(3519),
    [anon_sym_async] = ACTIONS(3519),
    [anon_sym_const] = ACTIONS(3519),
    [anon_sym_file] = ACTIONS(3519),
    [anon_sym_fixed] = ACTIONS(3519),
    [anon_sym_internal] = ACTIONS(3519),
    [anon_sym_new] = ACTIONS(3519),
    [anon_sym_override] = ACTIONS(3519),
    [anon_sym_partial] = ACTIONS(3519),
    [anon_sym_private] = ACTIONS(3519),
    [anon_sym_protected] = ACTIONS(3519),
    [anon_sym_public] = ACTIONS(3519),
    [anon_sym_readonly] = ACTIONS(3519),
    [anon_sym_required] = ACTIONS(3519),
    [anon_sym_sealed] = ACTIONS(3519),
    [anon_sym_virtual] = ACTIONS(3519),
    [anon_sym_volatile] = ACTIONS(3519),
    [anon_sym_where] = ACTIONS(3519),
    [anon_sym_notnull] = ACTIONS(3519),
    [anon_sym_unmanaged] = ACTIONS(3519),
    [anon_sym_TILDE] = ACTIONS(3521),
    [anon_sym_implicit] = ACTIONS(3519),
    [anon_sym_explicit] = ACTIONS(3519),
    [anon_sym_scoped] = ACTIONS(3519),
    [anon_sym_var] = ACTIONS(3519),
    [sym_predefined_type] = ACTIONS(3519),
    [anon_sym_yield] = ACTIONS(3519),
    [anon_sym_when] = ACTIONS(3519),
    [anon_sym_from] = ACTIONS(3519),
    [anon_sym_into] = ACTIONS(3519),
    [anon_sym_join] = ACTIONS(3519),
    [anon_sym_on] = ACTIONS(3519),
    [anon_sym_equals] = ACTIONS(3519),
    [anon_sym_let] = ACTIONS(3519),
    [anon_sym_orderby] = ACTIONS(3519),
    [anon_sym_ascending] = ACTIONS(3519),
    [anon_sym_descending] = ACTIONS(3519),
    [anon_sym_group] = ACTIONS(3519),
    [anon_sym_by] = ACTIONS(3519),
    [anon_sym_select] = ACTIONS(3519),
    [aux_sym_preproc_if_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token3] = ACTIONS(3521),
    [aux_sym_preproc_else_token1] = ACTIONS(3521),
    [aux_sym_preproc_elif_token1] = ACTIONS(3521),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3388] = {
    [sym_preproc_region] = STATE(3388),
    [sym_preproc_endregion] = STATE(3388),
    [sym_preproc_line] = STATE(3388),
    [sym_preproc_pragma] = STATE(3388),
    [sym_preproc_nullable] = STATE(3388),
    [sym_preproc_error] = STATE(3388),
    [sym_preproc_define] = STATE(3388),
    [sym_preproc_undef] = STATE(3388),
    [sym__identifier_token] = ACTIONS(3523),
    [anon_sym_extern] = ACTIONS(3523),
    [anon_sym_alias] = ACTIONS(3523),
    [anon_sym_global] = ACTIONS(3523),
    [anon_sym_using] = ACTIONS(3523),
    [anon_sym_unsafe] = ACTIONS(3523),
    [anon_sym_static] = ACTIONS(3523),
    [anon_sym_LBRACK] = ACTIONS(3525),
    [anon_sym_LPAREN] = ACTIONS(3525),
    [anon_sym_event] = ACTIONS(3523),
    [anon_sym_namespace] = ACTIONS(3523),
    [anon_sym_class] = ACTIONS(3523),
    [anon_sym_ref] = ACTIONS(3523),
    [anon_sym_struct] = ACTIONS(3523),
    [anon_sym_enum] = ACTIONS(3523),
    [anon_sym_RBRACE] = ACTIONS(3525),
    [anon_sym_interface] = ACTIONS(3523),
    [anon_sym_delegate] = ACTIONS(3523),
    [anon_sym_record] = ACTIONS(3523),
    [anon_sym_abstract] = ACTIONS(3523),
    [anon_sym_async] = ACTIONS(3523),
    [anon_sym_const] = ACTIONS(3523),
    [anon_sym_file] = ACTIONS(3523),
    [anon_sym_fixed] = ACTIONS(3523),
    [anon_sym_internal] = ACTIONS(3523),
    [anon_sym_new] = ACTIONS(3523),
    [anon_sym_override] = ACTIONS(3523),
    [anon_sym_partial] = ACTIONS(3523),
    [anon_sym_private] = ACTIONS(3523),
    [anon_sym_protected] = ACTIONS(3523),
    [anon_sym_public] = ACTIONS(3523),
    [anon_sym_readonly] = ACTIONS(3523),
    [anon_sym_required] = ACTIONS(3523),
    [anon_sym_sealed] = ACTIONS(3523),
    [anon_sym_virtual] = ACTIONS(3523),
    [anon_sym_volatile] = ACTIONS(3523),
    [anon_sym_where] = ACTIONS(3523),
    [anon_sym_notnull] = ACTIONS(3523),
    [anon_sym_unmanaged] = ACTIONS(3523),
    [anon_sym_TILDE] = ACTIONS(3525),
    [anon_sym_implicit] = ACTIONS(3523),
    [anon_sym_explicit] = ACTIONS(3523),
    [anon_sym_scoped] = ACTIONS(3523),
    [anon_sym_var] = ACTIONS(3523),
    [sym_predefined_type] = ACTIONS(3523),
    [anon_sym_yield] = ACTIONS(3523),
    [anon_sym_when] = ACTIONS(3523),
    [anon_sym_from] = ACTIONS(3523),
    [anon_sym_into] = ACTIONS(3523),
    [anon_sym_join] = ACTIONS(3523),
    [anon_sym_on] = ACTIONS(3523),
    [anon_sym_equals] = ACTIONS(3523),
    [anon_sym_let] = ACTIONS(3523),
    [anon_sym_orderby] = ACTIONS(3523),
    [anon_sym_ascending] = ACTIONS(3523),
    [anon_sym_descending] = ACTIONS(3523),
    [anon_sym_group] = ACTIONS(3523),
    [anon_sym_by] = ACTIONS(3523),
    [anon_sym_select] = ACTIONS(3523),
    [aux_sym_preproc_if_token1] = ACTIONS(3525),
    [aux_sym_preproc_if_token3] = ACTIONS(3525),
    [aux_sym_preproc_else_token1] = ACTIONS(3525),
    [aux_sym_preproc_elif_token1] = ACTIONS(3525),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3389] = {
    [sym_preproc_region] = STATE(3389),
    [sym_preproc_endregion] = STATE(3389),
    [sym_preproc_line] = STATE(3389),
    [sym_preproc_pragma] = STATE(3389),
    [sym_preproc_nullable] = STATE(3389),
    [sym_preproc_error] = STATE(3389),
    [sym_preproc_define] = STATE(3389),
    [sym_preproc_undef] = STATE(3389),
    [sym__identifier_token] = ACTIONS(3527),
    [anon_sym_extern] = ACTIONS(3527),
    [anon_sym_alias] = ACTIONS(3527),
    [anon_sym_global] = ACTIONS(3527),
    [anon_sym_using] = ACTIONS(3527),
    [anon_sym_unsafe] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3529),
    [anon_sym_LPAREN] = ACTIONS(3529),
    [anon_sym_event] = ACTIONS(3527),
    [anon_sym_namespace] = ACTIONS(3527),
    [anon_sym_class] = ACTIONS(3527),
    [anon_sym_ref] = ACTIONS(3527),
    [anon_sym_struct] = ACTIONS(3527),
    [anon_sym_enum] = ACTIONS(3527),
    [anon_sym_RBRACE] = ACTIONS(3529),
    [anon_sym_interface] = ACTIONS(3527),
    [anon_sym_delegate] = ACTIONS(3527),
    [anon_sym_record] = ACTIONS(3527),
    [anon_sym_abstract] = ACTIONS(3527),
    [anon_sym_async] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3527),
    [anon_sym_file] = ACTIONS(3527),
    [anon_sym_fixed] = ACTIONS(3527),
    [anon_sym_internal] = ACTIONS(3527),
    [anon_sym_new] = ACTIONS(3527),
    [anon_sym_override] = ACTIONS(3527),
    [anon_sym_partial] = ACTIONS(3527),
    [anon_sym_private] = ACTIONS(3527),
    [anon_sym_protected] = ACTIONS(3527),
    [anon_sym_public] = ACTIONS(3527),
    [anon_sym_readonly] = ACTIONS(3527),
    [anon_sym_required] = ACTIONS(3527),
    [anon_sym_sealed] = ACTIONS(3527),
    [anon_sym_virtual] = ACTIONS(3527),
    [anon_sym_volatile] = ACTIONS(3527),
    [anon_sym_where] = ACTIONS(3527),
    [anon_sym_notnull] = ACTIONS(3527),
    [anon_sym_unmanaged] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3529),
    [anon_sym_implicit] = ACTIONS(3527),
    [anon_sym_explicit] = ACTIONS(3527),
    [anon_sym_scoped] = ACTIONS(3527),
    [anon_sym_var] = ACTIONS(3527),
    [sym_predefined_type] = ACTIONS(3527),
    [anon_sym_yield] = ACTIONS(3527),
    [anon_sym_when] = ACTIONS(3527),
    [anon_sym_from] = ACTIONS(3527),
    [anon_sym_into] = ACTIONS(3527),
    [anon_sym_join] = ACTIONS(3527),
    [anon_sym_on] = ACTIONS(3527),
    [anon_sym_equals] = ACTIONS(3527),
    [anon_sym_let] = ACTIONS(3527),
    [anon_sym_orderby] = ACTIONS(3527),
    [anon_sym_ascending] = ACTIONS(3527),
    [anon_sym_descending] = ACTIONS(3527),
    [anon_sym_group] = ACTIONS(3527),
    [anon_sym_by] = ACTIONS(3527),
    [anon_sym_select] = ACTIONS(3527),
    [aux_sym_preproc_if_token1] = ACTIONS(3529),
    [aux_sym_preproc_if_token3] = ACTIONS(3529),
    [aux_sym_preproc_else_token1] = ACTIONS(3529),
    [aux_sym_preproc_elif_token1] = ACTIONS(3529),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3390] = {
    [sym_preproc_region] = STATE(3390),
    [sym_preproc_endregion] = STATE(3390),
    [sym_preproc_line] = STATE(3390),
    [sym_preproc_pragma] = STATE(3390),
    [sym_preproc_nullable] = STATE(3390),
    [sym_preproc_error] = STATE(3390),
    [sym_preproc_define] = STATE(3390),
    [sym_preproc_undef] = STATE(3390),
    [sym__identifier_token] = ACTIONS(3531),
    [anon_sym_extern] = ACTIONS(3531),
    [anon_sym_alias] = ACTIONS(3531),
    [anon_sym_global] = ACTIONS(3531),
    [anon_sym_using] = ACTIONS(3531),
    [anon_sym_unsafe] = ACTIONS(3531),
    [anon_sym_static] = ACTIONS(3531),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_LPAREN] = ACTIONS(3533),
    [anon_sym_event] = ACTIONS(3531),
    [anon_sym_namespace] = ACTIONS(3531),
    [anon_sym_class] = ACTIONS(3531),
    [anon_sym_ref] = ACTIONS(3531),
    [anon_sym_struct] = ACTIONS(3531),
    [anon_sym_enum] = ACTIONS(3531),
    [anon_sym_RBRACE] = ACTIONS(3533),
    [anon_sym_interface] = ACTIONS(3531),
    [anon_sym_delegate] = ACTIONS(3531),
    [anon_sym_record] = ACTIONS(3531),
    [anon_sym_abstract] = ACTIONS(3531),
    [anon_sym_async] = ACTIONS(3531),
    [anon_sym_const] = ACTIONS(3531),
    [anon_sym_file] = ACTIONS(3531),
    [anon_sym_fixed] = ACTIONS(3531),
    [anon_sym_internal] = ACTIONS(3531),
    [anon_sym_new] = ACTIONS(3531),
    [anon_sym_override] = ACTIONS(3531),
    [anon_sym_partial] = ACTIONS(3531),
    [anon_sym_private] = ACTIONS(3531),
    [anon_sym_protected] = ACTIONS(3531),
    [anon_sym_public] = ACTIONS(3531),
    [anon_sym_readonly] = ACTIONS(3531),
    [anon_sym_required] = ACTIONS(3531),
    [anon_sym_sealed] = ACTIONS(3531),
    [anon_sym_virtual] = ACTIONS(3531),
    [anon_sym_volatile] = ACTIONS(3531),
    [anon_sym_where] = ACTIONS(3531),
    [anon_sym_notnull] = ACTIONS(3531),
    [anon_sym_unmanaged] = ACTIONS(3531),
    [anon_sym_TILDE] = ACTIONS(3533),
    [anon_sym_implicit] = ACTIONS(3531),
    [anon_sym_explicit] = ACTIONS(3531),
    [anon_sym_scoped] = ACTIONS(3531),
    [anon_sym_var] = ACTIONS(3531),
    [sym_predefined_type] = ACTIONS(3531),
    [anon_sym_yield] = ACTIONS(3531),
    [anon_sym_when] = ACTIONS(3531),
    [anon_sym_from] = ACTIONS(3531),
    [anon_sym_into] = ACTIONS(3531),
    [anon_sym_join] = ACTIONS(3531),
    [anon_sym_on] = ACTIONS(3531),
    [anon_sym_equals] = ACTIONS(3531),
    [anon_sym_let] = ACTIONS(3531),
    [anon_sym_orderby] = ACTIONS(3531),
    [anon_sym_ascending] = ACTIONS(3531),
    [anon_sym_descending] = ACTIONS(3531),
    [anon_sym_group] = ACTIONS(3531),
    [anon_sym_by] = ACTIONS(3531),
    [anon_sym_select] = ACTIONS(3531),
    [aux_sym_preproc_if_token1] = ACTIONS(3533),
    [aux_sym_preproc_if_token3] = ACTIONS(3533),
    [aux_sym_preproc_else_token1] = ACTIONS(3533),
    [aux_sym_preproc_elif_token1] = ACTIONS(3533),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3391] = {
    [sym_preproc_region] = STATE(3391),
    [sym_preproc_endregion] = STATE(3391),
    [sym_preproc_line] = STATE(3391),
    [sym_preproc_pragma] = STATE(3391),
    [sym_preproc_nullable] = STATE(3391),
    [sym_preproc_error] = STATE(3391),
    [sym_preproc_define] = STATE(3391),
    [sym_preproc_undef] = STATE(3391),
    [sym__identifier_token] = ACTIONS(4451),
    [anon_sym_alias] = ACTIONS(4451),
    [anon_sym_global] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_file] = ACTIONS(4451),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_where] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_notnull] = ACTIONS(4451),
    [anon_sym_unmanaged] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4855),
    [anon_sym_scoped] = ACTIONS(4451),
    [anon_sym_var] = ACTIONS(4451),
    [anon_sym_yield] = ACTIONS(4451),
    [anon_sym_switch] = ACTIONS(4451),
    [anon_sym_when] = ACTIONS(4451),
    [sym_discard] = ACTIONS(4451),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4451),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4451),
    [anon_sym_into] = ACTIONS(4451),
    [anon_sym_join] = ACTIONS(4451),
    [anon_sym_on] = ACTIONS(4451),
    [anon_sym_equals] = ACTIONS(4451),
    [anon_sym_let] = ACTIONS(4451),
    [anon_sym_orderby] = ACTIONS(4451),
    [anon_sym_ascending] = ACTIONS(4451),
    [anon_sym_descending] = ACTIONS(4451),
    [anon_sym_group] = ACTIONS(4451),
    [anon_sym_by] = ACTIONS(4451),
    [anon_sym_select] = ACTIONS(4451),
    [anon_sym_as] = ACTIONS(4451),
    [anon_sym_is] = ACTIONS(4451),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4451),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4453),
  },
  [3392] = {
    [sym_preproc_region] = STATE(3392),
    [sym_preproc_endregion] = STATE(3392),
    [sym_preproc_line] = STATE(3392),
    [sym_preproc_pragma] = STATE(3392),
    [sym_preproc_nullable] = STATE(3392),
    [sym_preproc_error] = STATE(3392),
    [sym_preproc_define] = STATE(3392),
    [sym_preproc_undef] = STATE(3392),
    [sym__identifier_token] = ACTIONS(4451),
    [anon_sym_alias] = ACTIONS(4451),
    [anon_sym_global] = ACTIONS(4451),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_file] = ACTIONS(4451),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_where] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_notnull] = ACTIONS(4451),
    [anon_sym_unmanaged] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4451),
    [anon_sym_scoped] = ACTIONS(4451),
    [anon_sym_var] = ACTIONS(4451),
    [anon_sym_yield] = ACTIONS(4451),
    [anon_sym_switch] = ACTIONS(4451),
    [anon_sym_when] = ACTIONS(4451),
    [sym_discard] = ACTIONS(4451),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4451),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4451),
    [anon_sym_into] = ACTIONS(4451),
    [anon_sym_join] = ACTIONS(4451),
    [anon_sym_on] = ACTIONS(4451),
    [anon_sym_equals] = ACTIONS(4451),
    [anon_sym_let] = ACTIONS(4451),
    [anon_sym_orderby] = ACTIONS(4451),
    [anon_sym_ascending] = ACTIONS(4451),
    [anon_sym_descending] = ACTIONS(4451),
    [anon_sym_group] = ACTIONS(4451),
    [anon_sym_by] = ACTIONS(4451),
    [anon_sym_select] = ACTIONS(4451),
    [anon_sym_as] = ACTIONS(4451),
    [anon_sym_is] = ACTIONS(4451),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4451),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4453),
  },
  [3393] = {
    [sym_preproc_region] = STATE(3393),
    [sym_preproc_endregion] = STATE(3393),
    [sym_preproc_line] = STATE(3393),
    [sym_preproc_pragma] = STATE(3393),
    [sym_preproc_nullable] = STATE(3393),
    [sym_preproc_error] = STATE(3393),
    [sym_preproc_define] = STATE(3393),
    [sym_preproc_undef] = STATE(3393),
    [sym__identifier_token] = ACTIONS(3535),
    [anon_sym_extern] = ACTIONS(3535),
    [anon_sym_alias] = ACTIONS(3535),
    [anon_sym_global] = ACTIONS(3535),
    [anon_sym_using] = ACTIONS(3535),
    [anon_sym_unsafe] = ACTIONS(3535),
    [anon_sym_static] = ACTIONS(3535),
    [anon_sym_LBRACK] = ACTIONS(3537),
    [anon_sym_LPAREN] = ACTIONS(3537),
    [anon_sym_event] = ACTIONS(3535),
    [anon_sym_namespace] = ACTIONS(3535),
    [anon_sym_class] = ACTIONS(3535),
    [anon_sym_ref] = ACTIONS(3535),
    [anon_sym_struct] = ACTIONS(3535),
    [anon_sym_enum] = ACTIONS(3535),
    [anon_sym_RBRACE] = ACTIONS(3537),
    [anon_sym_interface] = ACTIONS(3535),
    [anon_sym_delegate] = ACTIONS(3535),
    [anon_sym_record] = ACTIONS(3535),
    [anon_sym_abstract] = ACTIONS(3535),
    [anon_sym_async] = ACTIONS(3535),
    [anon_sym_const] = ACTIONS(3535),
    [anon_sym_file] = ACTIONS(3535),
    [anon_sym_fixed] = ACTIONS(3535),
    [anon_sym_internal] = ACTIONS(3535),
    [anon_sym_new] = ACTIONS(3535),
    [anon_sym_override] = ACTIONS(3535),
    [anon_sym_partial] = ACTIONS(3535),
    [anon_sym_private] = ACTIONS(3535),
    [anon_sym_protected] = ACTIONS(3535),
    [anon_sym_public] = ACTIONS(3535),
    [anon_sym_readonly] = ACTIONS(3535),
    [anon_sym_required] = ACTIONS(3535),
    [anon_sym_sealed] = ACTIONS(3535),
    [anon_sym_virtual] = ACTIONS(3535),
    [anon_sym_volatile] = ACTIONS(3535),
    [anon_sym_where] = ACTIONS(3535),
    [anon_sym_notnull] = ACTIONS(3535),
    [anon_sym_unmanaged] = ACTIONS(3535),
    [anon_sym_TILDE] = ACTIONS(3537),
    [anon_sym_implicit] = ACTIONS(3535),
    [anon_sym_explicit] = ACTIONS(3535),
    [anon_sym_scoped] = ACTIONS(3535),
    [anon_sym_var] = ACTIONS(3535),
    [sym_predefined_type] = ACTIONS(3535),
    [anon_sym_yield] = ACTIONS(3535),
    [anon_sym_when] = ACTIONS(3535),
    [anon_sym_from] = ACTIONS(3535),
    [anon_sym_into] = ACTIONS(3535),
    [anon_sym_join] = ACTIONS(3535),
    [anon_sym_on] = ACTIONS(3535),
    [anon_sym_equals] = ACTIONS(3535),
    [anon_sym_let] = ACTIONS(3535),
    [anon_sym_orderby] = ACTIONS(3535),
    [anon_sym_ascending] = ACTIONS(3535),
    [anon_sym_descending] = ACTIONS(3535),
    [anon_sym_group] = ACTIONS(3535),
    [anon_sym_by] = ACTIONS(3535),
    [anon_sym_select] = ACTIONS(3535),
    [aux_sym_preproc_if_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token3] = ACTIONS(3537),
    [aux_sym_preproc_else_token1] = ACTIONS(3537),
    [aux_sym_preproc_elif_token1] = ACTIONS(3537),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3394] = {
    [sym_preproc_region] = STATE(3394),
    [sym_preproc_endregion] = STATE(3394),
    [sym_preproc_line] = STATE(3394),
    [sym_preproc_pragma] = STATE(3394),
    [sym_preproc_nullable] = STATE(3394),
    [sym_preproc_error] = STATE(3394),
    [sym_preproc_define] = STATE(3394),
    [sym_preproc_undef] = STATE(3394),
    [sym__identifier_token] = ACTIONS(3539),
    [anon_sym_extern] = ACTIONS(3539),
    [anon_sym_alias] = ACTIONS(3539),
    [anon_sym_global] = ACTIONS(3539),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_unsafe] = ACTIONS(3539),
    [anon_sym_static] = ACTIONS(3539),
    [anon_sym_LBRACK] = ACTIONS(3541),
    [anon_sym_LPAREN] = ACTIONS(3541),
    [anon_sym_event] = ACTIONS(3539),
    [anon_sym_namespace] = ACTIONS(3539),
    [anon_sym_class] = ACTIONS(3539),
    [anon_sym_ref] = ACTIONS(3539),
    [anon_sym_struct] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3539),
    [anon_sym_RBRACE] = ACTIONS(3541),
    [anon_sym_interface] = ACTIONS(3539),
    [anon_sym_delegate] = ACTIONS(3539),
    [anon_sym_record] = ACTIONS(3539),
    [anon_sym_abstract] = ACTIONS(3539),
    [anon_sym_async] = ACTIONS(3539),
    [anon_sym_const] = ACTIONS(3539),
    [anon_sym_file] = ACTIONS(3539),
    [anon_sym_fixed] = ACTIONS(3539),
    [anon_sym_internal] = ACTIONS(3539),
    [anon_sym_new] = ACTIONS(3539),
    [anon_sym_override] = ACTIONS(3539),
    [anon_sym_partial] = ACTIONS(3539),
    [anon_sym_private] = ACTIONS(3539),
    [anon_sym_protected] = ACTIONS(3539),
    [anon_sym_public] = ACTIONS(3539),
    [anon_sym_readonly] = ACTIONS(3539),
    [anon_sym_required] = ACTIONS(3539),
    [anon_sym_sealed] = ACTIONS(3539),
    [anon_sym_virtual] = ACTIONS(3539),
    [anon_sym_volatile] = ACTIONS(3539),
    [anon_sym_where] = ACTIONS(3539),
    [anon_sym_notnull] = ACTIONS(3539),
    [anon_sym_unmanaged] = ACTIONS(3539),
    [anon_sym_TILDE] = ACTIONS(3541),
    [anon_sym_implicit] = ACTIONS(3539),
    [anon_sym_explicit] = ACTIONS(3539),
    [anon_sym_scoped] = ACTIONS(3539),
    [anon_sym_var] = ACTIONS(3539),
    [sym_predefined_type] = ACTIONS(3539),
    [anon_sym_yield] = ACTIONS(3539),
    [anon_sym_when] = ACTIONS(3539),
    [anon_sym_from] = ACTIONS(3539),
    [anon_sym_into] = ACTIONS(3539),
    [anon_sym_join] = ACTIONS(3539),
    [anon_sym_on] = ACTIONS(3539),
    [anon_sym_equals] = ACTIONS(3539),
    [anon_sym_let] = ACTIONS(3539),
    [anon_sym_orderby] = ACTIONS(3539),
    [anon_sym_ascending] = ACTIONS(3539),
    [anon_sym_descending] = ACTIONS(3539),
    [anon_sym_group] = ACTIONS(3539),
    [anon_sym_by] = ACTIONS(3539),
    [anon_sym_select] = ACTIONS(3539),
    [aux_sym_preproc_if_token1] = ACTIONS(3541),
    [aux_sym_preproc_if_token3] = ACTIONS(3541),
    [aux_sym_preproc_else_token1] = ACTIONS(3541),
    [aux_sym_preproc_elif_token1] = ACTIONS(3541),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3395] = {
    [sym_preproc_region] = STATE(3395),
    [sym_preproc_endregion] = STATE(3395),
    [sym_preproc_line] = STATE(3395),
    [sym_preproc_pragma] = STATE(3395),
    [sym_preproc_nullable] = STATE(3395),
    [sym_preproc_error] = STATE(3395),
    [sym_preproc_define] = STATE(3395),
    [sym_preproc_undef] = STATE(3395),
    [sym__identifier_token] = ACTIONS(4455),
    [anon_sym_alias] = ACTIONS(4455),
    [anon_sym_global] = ACTIONS(4455),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_COLON] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_LPAREN] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4457),
    [anon_sym_file] = ACTIONS(4455),
    [anon_sym_LT] = ACTIONS(4455),
    [anon_sym_GT] = ACTIONS(4455),
    [anon_sym_where] = ACTIONS(4455),
    [anon_sym_QMARK] = ACTIONS(4455),
    [anon_sym_notnull] = ACTIONS(4455),
    [anon_sym_unmanaged] = ACTIONS(4455),
    [anon_sym_BANG] = ACTIONS(4455),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_STAR] = ACTIONS(4457),
    [anon_sym_SLASH] = ACTIONS(4455),
    [anon_sym_PERCENT] = ACTIONS(4457),
    [anon_sym_CARET] = ACTIONS(4457),
    [anon_sym_PIPE] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(4455),
    [anon_sym_LT_LT] = ACTIONS(4457),
    [anon_sym_GT_GT] = ACTIONS(4455),
    [anon_sym_GT_GT_GT] = ACTIONS(4457),
    [anon_sym_EQ_EQ] = ACTIONS(4457),
    [anon_sym_BANG_EQ] = ACTIONS(4457),
    [anon_sym_GT_EQ] = ACTIONS(4457),
    [anon_sym_LT_EQ] = ACTIONS(4457),
    [anon_sym_DOT] = ACTIONS(4455),
    [anon_sym_scoped] = ACTIONS(4455),
    [anon_sym_var] = ACTIONS(4455),
    [anon_sym_yield] = ACTIONS(4455),
    [anon_sym_switch] = ACTIONS(4455),
    [anon_sym_when] = ACTIONS(4455),
    [sym_discard] = ACTIONS(4455),
    [anon_sym_DOT_DOT] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4455),
    [anon_sym_or] = ACTIONS(4455),
    [anon_sym_AMP_AMP] = ACTIONS(4457),
    [anon_sym_PIPE_PIPE] = ACTIONS(4457),
    [anon_sym_QMARK_QMARK] = ACTIONS(4457),
    [anon_sym_from] = ACTIONS(4455),
    [anon_sym_into] = ACTIONS(4455),
    [anon_sym_join] = ACTIONS(4455),
    [anon_sym_on] = ACTIONS(4455),
    [anon_sym_equals] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4455),
    [anon_sym_orderby] = ACTIONS(4455),
    [anon_sym_ascending] = ACTIONS(4455),
    [anon_sym_descending] = ACTIONS(4455),
    [anon_sym_group] = ACTIONS(4455),
    [anon_sym_by] = ACTIONS(4455),
    [anon_sym_select] = ACTIONS(4455),
    [anon_sym_as] = ACTIONS(4455),
    [anon_sym_is] = ACTIONS(4455),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_with] = ACTIONS(4455),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4457),
  },
  [3396] = {
    [sym__variable_designation] = STATE(4079),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3396),
    [sym_preproc_endregion] = STATE(3396),
    [sym_preproc_line] = STATE(3396),
    [sym_preproc_pragma] = STATE(3396),
    [sym_preproc_nullable] = STATE(3396),
    [sym_preproc_error] = STATE(3396),
    [sym_preproc_define] = STATE(3396),
    [sym_preproc_undef] = STATE(3396),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4405),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3397] = {
    [sym_preproc_region] = STATE(3397),
    [sym_preproc_endregion] = STATE(3397),
    [sym_preproc_line] = STATE(3397),
    [sym_preproc_pragma] = STATE(3397),
    [sym_preproc_nullable] = STATE(3397),
    [sym_preproc_error] = STATE(3397),
    [sym_preproc_define] = STATE(3397),
    [sym_preproc_undef] = STATE(3397),
    [sym__identifier_token] = ACTIONS(4459),
    [anon_sym_alias] = ACTIONS(4459),
    [anon_sym_global] = ACTIONS(4459),
    [anon_sym_LBRACK] = ACTIONS(4461),
    [anon_sym_COLON] = ACTIONS(4461),
    [anon_sym_COMMA] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(4461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_file] = ACTIONS(4459),
    [anon_sym_LT] = ACTIONS(4459),
    [anon_sym_GT] = ACTIONS(4459),
    [anon_sym_where] = ACTIONS(4459),
    [anon_sym_QMARK] = ACTIONS(4459),
    [anon_sym_notnull] = ACTIONS(4459),
    [anon_sym_unmanaged] = ACTIONS(4459),
    [anon_sym_BANG] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4461),
    [anon_sym_DASH_DASH] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_STAR] = ACTIONS(4461),
    [anon_sym_SLASH] = ACTIONS(4459),
    [anon_sym_PERCENT] = ACTIONS(4461),
    [anon_sym_CARET] = ACTIONS(4461),
    [anon_sym_PIPE] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(4459),
    [anon_sym_LT_LT] = ACTIONS(4461),
    [anon_sym_GT_GT] = ACTIONS(4459),
    [anon_sym_GT_GT_GT] = ACTIONS(4461),
    [anon_sym_EQ_EQ] = ACTIONS(4461),
    [anon_sym_BANG_EQ] = ACTIONS(4461),
    [anon_sym_GT_EQ] = ACTIONS(4461),
    [anon_sym_LT_EQ] = ACTIONS(4461),
    [anon_sym_DOT] = ACTIONS(4459),
    [anon_sym_scoped] = ACTIONS(4459),
    [anon_sym_var] = ACTIONS(4459),
    [anon_sym_yield] = ACTIONS(4459),
    [anon_sym_switch] = ACTIONS(4459),
    [anon_sym_when] = ACTIONS(4459),
    [sym_discard] = ACTIONS(4459),
    [anon_sym_DOT_DOT] = ACTIONS(4461),
    [anon_sym_and] = ACTIONS(4459),
    [anon_sym_or] = ACTIONS(4459),
    [anon_sym_AMP_AMP] = ACTIONS(4461),
    [anon_sym_PIPE_PIPE] = ACTIONS(4461),
    [anon_sym_QMARK_QMARK] = ACTIONS(4461),
    [anon_sym_from] = ACTIONS(4459),
    [anon_sym_into] = ACTIONS(4459),
    [anon_sym_join] = ACTIONS(4459),
    [anon_sym_on] = ACTIONS(4459),
    [anon_sym_equals] = ACTIONS(4459),
    [anon_sym_let] = ACTIONS(4459),
    [anon_sym_orderby] = ACTIONS(4459),
    [anon_sym_ascending] = ACTIONS(4459),
    [anon_sym_descending] = ACTIONS(4459),
    [anon_sym_group] = ACTIONS(4459),
    [anon_sym_by] = ACTIONS(4459),
    [anon_sym_select] = ACTIONS(4459),
    [anon_sym_as] = ACTIONS(4459),
    [anon_sym_is] = ACTIONS(4459),
    [anon_sym_DASH_GT] = ACTIONS(4461),
    [anon_sym_with] = ACTIONS(4459),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4461),
  },
  [3398] = {
    [sym__variable_designation] = STATE(4005),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3398),
    [sym_preproc_endregion] = STATE(3398),
    [sym_preproc_line] = STATE(3398),
    [sym_preproc_pragma] = STATE(3398),
    [sym_preproc_nullable] = STATE(3398),
    [sym_preproc_error] = STATE(3398),
    [sym_preproc_define] = STATE(3398),
    [sym_preproc_undef] = STATE(3398),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4395),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3399] = {
    [sym__variable_designation] = STATE(4028),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3399),
    [sym_preproc_endregion] = STATE(3399),
    [sym_preproc_line] = STATE(3399),
    [sym_preproc_pragma] = STATE(3399),
    [sym_preproc_nullable] = STATE(3399),
    [sym_preproc_error] = STATE(3399),
    [sym_preproc_define] = STATE(3399),
    [sym_preproc_undef] = STATE(3399),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4435),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3400] = {
    [sym_preproc_region] = STATE(3400),
    [sym_preproc_endregion] = STATE(3400),
    [sym_preproc_line] = STATE(3400),
    [sym_preproc_pragma] = STATE(3400),
    [sym_preproc_nullable] = STATE(3400),
    [sym_preproc_error] = STATE(3400),
    [sym_preproc_define] = STATE(3400),
    [sym_preproc_undef] = STATE(3400),
    [sym__identifier_token] = ACTIONS(3543),
    [anon_sym_extern] = ACTIONS(3543),
    [anon_sym_alias] = ACTIONS(3543),
    [anon_sym_global] = ACTIONS(3543),
    [anon_sym_using] = ACTIONS(3543),
    [anon_sym_unsafe] = ACTIONS(3543),
    [anon_sym_static] = ACTIONS(3543),
    [anon_sym_LBRACK] = ACTIONS(3545),
    [anon_sym_LPAREN] = ACTIONS(3545),
    [anon_sym_event] = ACTIONS(3543),
    [anon_sym_namespace] = ACTIONS(3543),
    [anon_sym_class] = ACTIONS(3543),
    [anon_sym_ref] = ACTIONS(3543),
    [anon_sym_struct] = ACTIONS(3543),
    [anon_sym_enum] = ACTIONS(3543),
    [anon_sym_RBRACE] = ACTIONS(3545),
    [anon_sym_interface] = ACTIONS(3543),
    [anon_sym_delegate] = ACTIONS(3543),
    [anon_sym_record] = ACTIONS(3543),
    [anon_sym_abstract] = ACTIONS(3543),
    [anon_sym_async] = ACTIONS(3543),
    [anon_sym_const] = ACTIONS(3543),
    [anon_sym_file] = ACTIONS(3543),
    [anon_sym_fixed] = ACTIONS(3543),
    [anon_sym_internal] = ACTIONS(3543),
    [anon_sym_new] = ACTIONS(3543),
    [anon_sym_override] = ACTIONS(3543),
    [anon_sym_partial] = ACTIONS(3543),
    [anon_sym_private] = ACTIONS(3543),
    [anon_sym_protected] = ACTIONS(3543),
    [anon_sym_public] = ACTIONS(3543),
    [anon_sym_readonly] = ACTIONS(3543),
    [anon_sym_required] = ACTIONS(3543),
    [anon_sym_sealed] = ACTIONS(3543),
    [anon_sym_virtual] = ACTIONS(3543),
    [anon_sym_volatile] = ACTIONS(3543),
    [anon_sym_where] = ACTIONS(3543),
    [anon_sym_notnull] = ACTIONS(3543),
    [anon_sym_unmanaged] = ACTIONS(3543),
    [anon_sym_TILDE] = ACTIONS(3545),
    [anon_sym_implicit] = ACTIONS(3543),
    [anon_sym_explicit] = ACTIONS(3543),
    [anon_sym_scoped] = ACTIONS(3543),
    [anon_sym_var] = ACTIONS(3543),
    [sym_predefined_type] = ACTIONS(3543),
    [anon_sym_yield] = ACTIONS(3543),
    [anon_sym_when] = ACTIONS(3543),
    [anon_sym_from] = ACTIONS(3543),
    [anon_sym_into] = ACTIONS(3543),
    [anon_sym_join] = ACTIONS(3543),
    [anon_sym_on] = ACTIONS(3543),
    [anon_sym_equals] = ACTIONS(3543),
    [anon_sym_let] = ACTIONS(3543),
    [anon_sym_orderby] = ACTIONS(3543),
    [anon_sym_ascending] = ACTIONS(3543),
    [anon_sym_descending] = ACTIONS(3543),
    [anon_sym_group] = ACTIONS(3543),
    [anon_sym_by] = ACTIONS(3543),
    [anon_sym_select] = ACTIONS(3543),
    [aux_sym_preproc_if_token1] = ACTIONS(3545),
    [aux_sym_preproc_if_token3] = ACTIONS(3545),
    [aux_sym_preproc_else_token1] = ACTIONS(3545),
    [aux_sym_preproc_elif_token1] = ACTIONS(3545),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3401] = {
    [sym_preproc_region] = STATE(3401),
    [sym_preproc_endregion] = STATE(3401),
    [sym_preproc_line] = STATE(3401),
    [sym_preproc_pragma] = STATE(3401),
    [sym_preproc_nullable] = STATE(3401),
    [sym_preproc_error] = STATE(3401),
    [sym_preproc_define] = STATE(3401),
    [sym_preproc_undef] = STATE(3401),
    [sym__identifier_token] = ACTIONS(3547),
    [anon_sym_extern] = ACTIONS(3547),
    [anon_sym_alias] = ACTIONS(3547),
    [anon_sym_global] = ACTIONS(3547),
    [anon_sym_using] = ACTIONS(3547),
    [anon_sym_unsafe] = ACTIONS(3547),
    [anon_sym_static] = ACTIONS(3547),
    [anon_sym_LBRACK] = ACTIONS(3549),
    [anon_sym_LPAREN] = ACTIONS(3549),
    [anon_sym_event] = ACTIONS(3547),
    [anon_sym_namespace] = ACTIONS(3547),
    [anon_sym_class] = ACTIONS(3547),
    [anon_sym_ref] = ACTIONS(3547),
    [anon_sym_struct] = ACTIONS(3547),
    [anon_sym_enum] = ACTIONS(3547),
    [anon_sym_RBRACE] = ACTIONS(3549),
    [anon_sym_interface] = ACTIONS(3547),
    [anon_sym_delegate] = ACTIONS(3547),
    [anon_sym_record] = ACTIONS(3547),
    [anon_sym_abstract] = ACTIONS(3547),
    [anon_sym_async] = ACTIONS(3547),
    [anon_sym_const] = ACTIONS(3547),
    [anon_sym_file] = ACTIONS(3547),
    [anon_sym_fixed] = ACTIONS(3547),
    [anon_sym_internal] = ACTIONS(3547),
    [anon_sym_new] = ACTIONS(3547),
    [anon_sym_override] = ACTIONS(3547),
    [anon_sym_partial] = ACTIONS(3547),
    [anon_sym_private] = ACTIONS(3547),
    [anon_sym_protected] = ACTIONS(3547),
    [anon_sym_public] = ACTIONS(3547),
    [anon_sym_readonly] = ACTIONS(3547),
    [anon_sym_required] = ACTIONS(3547),
    [anon_sym_sealed] = ACTIONS(3547),
    [anon_sym_virtual] = ACTIONS(3547),
    [anon_sym_volatile] = ACTIONS(3547),
    [anon_sym_where] = ACTIONS(3547),
    [anon_sym_notnull] = ACTIONS(3547),
    [anon_sym_unmanaged] = ACTIONS(3547),
    [anon_sym_TILDE] = ACTIONS(3549),
    [anon_sym_implicit] = ACTIONS(3547),
    [anon_sym_explicit] = ACTIONS(3547),
    [anon_sym_scoped] = ACTIONS(3547),
    [anon_sym_var] = ACTIONS(3547),
    [sym_predefined_type] = ACTIONS(3547),
    [anon_sym_yield] = ACTIONS(3547),
    [anon_sym_when] = ACTIONS(3547),
    [anon_sym_from] = ACTIONS(3547),
    [anon_sym_into] = ACTIONS(3547),
    [anon_sym_join] = ACTIONS(3547),
    [anon_sym_on] = ACTIONS(3547),
    [anon_sym_equals] = ACTIONS(3547),
    [anon_sym_let] = ACTIONS(3547),
    [anon_sym_orderby] = ACTIONS(3547),
    [anon_sym_ascending] = ACTIONS(3547),
    [anon_sym_descending] = ACTIONS(3547),
    [anon_sym_group] = ACTIONS(3547),
    [anon_sym_by] = ACTIONS(3547),
    [anon_sym_select] = ACTIONS(3547),
    [aux_sym_preproc_if_token1] = ACTIONS(3549),
    [aux_sym_preproc_if_token3] = ACTIONS(3549),
    [aux_sym_preproc_else_token1] = ACTIONS(3549),
    [aux_sym_preproc_elif_token1] = ACTIONS(3549),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3402] = {
    [sym_preproc_region] = STATE(3402),
    [sym_preproc_endregion] = STATE(3402),
    [sym_preproc_line] = STATE(3402),
    [sym_preproc_pragma] = STATE(3402),
    [sym_preproc_nullable] = STATE(3402),
    [sym_preproc_error] = STATE(3402),
    [sym_preproc_define] = STATE(3402),
    [sym_preproc_undef] = STATE(3402),
    [sym__identifier_token] = ACTIONS(3551),
    [anon_sym_extern] = ACTIONS(3551),
    [anon_sym_alias] = ACTIONS(3551),
    [anon_sym_global] = ACTIONS(3551),
    [anon_sym_using] = ACTIONS(3551),
    [anon_sym_unsafe] = ACTIONS(3551),
    [anon_sym_static] = ACTIONS(3551),
    [anon_sym_LBRACK] = ACTIONS(3553),
    [anon_sym_LPAREN] = ACTIONS(3553),
    [anon_sym_event] = ACTIONS(3551),
    [anon_sym_namespace] = ACTIONS(3551),
    [anon_sym_class] = ACTIONS(3551),
    [anon_sym_ref] = ACTIONS(3551),
    [anon_sym_struct] = ACTIONS(3551),
    [anon_sym_enum] = ACTIONS(3551),
    [anon_sym_RBRACE] = ACTIONS(3553),
    [anon_sym_interface] = ACTIONS(3551),
    [anon_sym_delegate] = ACTIONS(3551),
    [anon_sym_record] = ACTIONS(3551),
    [anon_sym_abstract] = ACTIONS(3551),
    [anon_sym_async] = ACTIONS(3551),
    [anon_sym_const] = ACTIONS(3551),
    [anon_sym_file] = ACTIONS(3551),
    [anon_sym_fixed] = ACTIONS(3551),
    [anon_sym_internal] = ACTIONS(3551),
    [anon_sym_new] = ACTIONS(3551),
    [anon_sym_override] = ACTIONS(3551),
    [anon_sym_partial] = ACTIONS(3551),
    [anon_sym_private] = ACTIONS(3551),
    [anon_sym_protected] = ACTIONS(3551),
    [anon_sym_public] = ACTIONS(3551),
    [anon_sym_readonly] = ACTIONS(3551),
    [anon_sym_required] = ACTIONS(3551),
    [anon_sym_sealed] = ACTIONS(3551),
    [anon_sym_virtual] = ACTIONS(3551),
    [anon_sym_volatile] = ACTIONS(3551),
    [anon_sym_where] = ACTIONS(3551),
    [anon_sym_notnull] = ACTIONS(3551),
    [anon_sym_unmanaged] = ACTIONS(3551),
    [anon_sym_TILDE] = ACTIONS(3553),
    [anon_sym_implicit] = ACTIONS(3551),
    [anon_sym_explicit] = ACTIONS(3551),
    [anon_sym_scoped] = ACTIONS(3551),
    [anon_sym_var] = ACTIONS(3551),
    [sym_predefined_type] = ACTIONS(3551),
    [anon_sym_yield] = ACTIONS(3551),
    [anon_sym_when] = ACTIONS(3551),
    [anon_sym_from] = ACTIONS(3551),
    [anon_sym_into] = ACTIONS(3551),
    [anon_sym_join] = ACTIONS(3551),
    [anon_sym_on] = ACTIONS(3551),
    [anon_sym_equals] = ACTIONS(3551),
    [anon_sym_let] = ACTIONS(3551),
    [anon_sym_orderby] = ACTIONS(3551),
    [anon_sym_ascending] = ACTIONS(3551),
    [anon_sym_descending] = ACTIONS(3551),
    [anon_sym_group] = ACTIONS(3551),
    [anon_sym_by] = ACTIONS(3551),
    [anon_sym_select] = ACTIONS(3551),
    [aux_sym_preproc_if_token1] = ACTIONS(3553),
    [aux_sym_preproc_if_token3] = ACTIONS(3553),
    [aux_sym_preproc_else_token1] = ACTIONS(3553),
    [aux_sym_preproc_elif_token1] = ACTIONS(3553),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3403] = {
    [sym_preproc_region] = STATE(3403),
    [sym_preproc_endregion] = STATE(3403),
    [sym_preproc_line] = STATE(3403),
    [sym_preproc_pragma] = STATE(3403),
    [sym_preproc_nullable] = STATE(3403),
    [sym_preproc_error] = STATE(3403),
    [sym_preproc_define] = STATE(3403),
    [sym_preproc_undef] = STATE(3403),
    [sym__identifier_token] = ACTIONS(3555),
    [anon_sym_extern] = ACTIONS(3555),
    [anon_sym_alias] = ACTIONS(3555),
    [anon_sym_global] = ACTIONS(3555),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_unsafe] = ACTIONS(3555),
    [anon_sym_static] = ACTIONS(3555),
    [anon_sym_LBRACK] = ACTIONS(3557),
    [anon_sym_LPAREN] = ACTIONS(3557),
    [anon_sym_event] = ACTIONS(3555),
    [anon_sym_namespace] = ACTIONS(3555),
    [anon_sym_class] = ACTIONS(3555),
    [anon_sym_ref] = ACTIONS(3555),
    [anon_sym_struct] = ACTIONS(3555),
    [anon_sym_enum] = ACTIONS(3555),
    [anon_sym_RBRACE] = ACTIONS(3557),
    [anon_sym_interface] = ACTIONS(3555),
    [anon_sym_delegate] = ACTIONS(3555),
    [anon_sym_record] = ACTIONS(3555),
    [anon_sym_abstract] = ACTIONS(3555),
    [anon_sym_async] = ACTIONS(3555),
    [anon_sym_const] = ACTIONS(3555),
    [anon_sym_file] = ACTIONS(3555),
    [anon_sym_fixed] = ACTIONS(3555),
    [anon_sym_internal] = ACTIONS(3555),
    [anon_sym_new] = ACTIONS(3555),
    [anon_sym_override] = ACTIONS(3555),
    [anon_sym_partial] = ACTIONS(3555),
    [anon_sym_private] = ACTIONS(3555),
    [anon_sym_protected] = ACTIONS(3555),
    [anon_sym_public] = ACTIONS(3555),
    [anon_sym_readonly] = ACTIONS(3555),
    [anon_sym_required] = ACTIONS(3555),
    [anon_sym_sealed] = ACTIONS(3555),
    [anon_sym_virtual] = ACTIONS(3555),
    [anon_sym_volatile] = ACTIONS(3555),
    [anon_sym_where] = ACTIONS(3555),
    [anon_sym_notnull] = ACTIONS(3555),
    [anon_sym_unmanaged] = ACTIONS(3555),
    [anon_sym_TILDE] = ACTIONS(3557),
    [anon_sym_implicit] = ACTIONS(3555),
    [anon_sym_explicit] = ACTIONS(3555),
    [anon_sym_scoped] = ACTIONS(3555),
    [anon_sym_var] = ACTIONS(3555),
    [sym_predefined_type] = ACTIONS(3555),
    [anon_sym_yield] = ACTIONS(3555),
    [anon_sym_when] = ACTIONS(3555),
    [anon_sym_from] = ACTIONS(3555),
    [anon_sym_into] = ACTIONS(3555),
    [anon_sym_join] = ACTIONS(3555),
    [anon_sym_on] = ACTIONS(3555),
    [anon_sym_equals] = ACTIONS(3555),
    [anon_sym_let] = ACTIONS(3555),
    [anon_sym_orderby] = ACTIONS(3555),
    [anon_sym_ascending] = ACTIONS(3555),
    [anon_sym_descending] = ACTIONS(3555),
    [anon_sym_group] = ACTIONS(3555),
    [anon_sym_by] = ACTIONS(3555),
    [anon_sym_select] = ACTIONS(3555),
    [aux_sym_preproc_if_token1] = ACTIONS(3557),
    [aux_sym_preproc_if_token3] = ACTIONS(3557),
    [aux_sym_preproc_else_token1] = ACTIONS(3557),
    [aux_sym_preproc_elif_token1] = ACTIONS(3557),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3404] = {
    [sym_preproc_region] = STATE(3404),
    [sym_preproc_endregion] = STATE(3404),
    [sym_preproc_line] = STATE(3404),
    [sym_preproc_pragma] = STATE(3404),
    [sym_preproc_nullable] = STATE(3404),
    [sym_preproc_error] = STATE(3404),
    [sym_preproc_define] = STATE(3404),
    [sym_preproc_undef] = STATE(3404),
    [sym__identifier_token] = ACTIONS(3559),
    [anon_sym_extern] = ACTIONS(3559),
    [anon_sym_alias] = ACTIONS(3559),
    [anon_sym_global] = ACTIONS(3559),
    [anon_sym_using] = ACTIONS(3559),
    [anon_sym_unsafe] = ACTIONS(3559),
    [anon_sym_static] = ACTIONS(3559),
    [anon_sym_LBRACK] = ACTIONS(3561),
    [anon_sym_LPAREN] = ACTIONS(3561),
    [anon_sym_event] = ACTIONS(3559),
    [anon_sym_namespace] = ACTIONS(3559),
    [anon_sym_class] = ACTIONS(3559),
    [anon_sym_ref] = ACTIONS(3559),
    [anon_sym_struct] = ACTIONS(3559),
    [anon_sym_enum] = ACTIONS(3559),
    [anon_sym_RBRACE] = ACTIONS(3561),
    [anon_sym_interface] = ACTIONS(3559),
    [anon_sym_delegate] = ACTIONS(3559),
    [anon_sym_record] = ACTIONS(3559),
    [anon_sym_abstract] = ACTIONS(3559),
    [anon_sym_async] = ACTIONS(3559),
    [anon_sym_const] = ACTIONS(3559),
    [anon_sym_file] = ACTIONS(3559),
    [anon_sym_fixed] = ACTIONS(3559),
    [anon_sym_internal] = ACTIONS(3559),
    [anon_sym_new] = ACTIONS(3559),
    [anon_sym_override] = ACTIONS(3559),
    [anon_sym_partial] = ACTIONS(3559),
    [anon_sym_private] = ACTIONS(3559),
    [anon_sym_protected] = ACTIONS(3559),
    [anon_sym_public] = ACTIONS(3559),
    [anon_sym_readonly] = ACTIONS(3559),
    [anon_sym_required] = ACTIONS(3559),
    [anon_sym_sealed] = ACTIONS(3559),
    [anon_sym_virtual] = ACTIONS(3559),
    [anon_sym_volatile] = ACTIONS(3559),
    [anon_sym_where] = ACTIONS(3559),
    [anon_sym_notnull] = ACTIONS(3559),
    [anon_sym_unmanaged] = ACTIONS(3559),
    [anon_sym_TILDE] = ACTIONS(3561),
    [anon_sym_implicit] = ACTIONS(3559),
    [anon_sym_explicit] = ACTIONS(3559),
    [anon_sym_scoped] = ACTIONS(3559),
    [anon_sym_var] = ACTIONS(3559),
    [sym_predefined_type] = ACTIONS(3559),
    [anon_sym_yield] = ACTIONS(3559),
    [anon_sym_when] = ACTIONS(3559),
    [anon_sym_from] = ACTIONS(3559),
    [anon_sym_into] = ACTIONS(3559),
    [anon_sym_join] = ACTIONS(3559),
    [anon_sym_on] = ACTIONS(3559),
    [anon_sym_equals] = ACTIONS(3559),
    [anon_sym_let] = ACTIONS(3559),
    [anon_sym_orderby] = ACTIONS(3559),
    [anon_sym_ascending] = ACTIONS(3559),
    [anon_sym_descending] = ACTIONS(3559),
    [anon_sym_group] = ACTIONS(3559),
    [anon_sym_by] = ACTIONS(3559),
    [anon_sym_select] = ACTIONS(3559),
    [aux_sym_preproc_if_token1] = ACTIONS(3561),
    [aux_sym_preproc_if_token3] = ACTIONS(3561),
    [aux_sym_preproc_else_token1] = ACTIONS(3561),
    [aux_sym_preproc_elif_token1] = ACTIONS(3561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3405] = {
    [sym_preproc_region] = STATE(3405),
    [sym_preproc_endregion] = STATE(3405),
    [sym_preproc_line] = STATE(3405),
    [sym_preproc_pragma] = STATE(3405),
    [sym_preproc_nullable] = STATE(3405),
    [sym_preproc_error] = STATE(3405),
    [sym_preproc_define] = STATE(3405),
    [sym_preproc_undef] = STATE(3405),
    [sym__identifier_token] = ACTIONS(4463),
    [anon_sym_alias] = ACTIONS(4463),
    [anon_sym_global] = ACTIONS(4463),
    [anon_sym_LBRACK] = ACTIONS(4465),
    [anon_sym_COLON] = ACTIONS(4465),
    [anon_sym_COMMA] = ACTIONS(4465),
    [anon_sym_LPAREN] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4465),
    [anon_sym_file] = ACTIONS(4463),
    [anon_sym_LT] = ACTIONS(4463),
    [anon_sym_GT] = ACTIONS(4463),
    [anon_sym_where] = ACTIONS(4463),
    [anon_sym_QMARK] = ACTIONS(4463),
    [anon_sym_notnull] = ACTIONS(4463),
    [anon_sym_unmanaged] = ACTIONS(4463),
    [anon_sym_BANG] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4465),
    [anon_sym_DASH_DASH] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_STAR] = ACTIONS(4465),
    [anon_sym_SLASH] = ACTIONS(4463),
    [anon_sym_PERCENT] = ACTIONS(4465),
    [anon_sym_CARET] = ACTIONS(4465),
    [anon_sym_PIPE] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(4463),
    [anon_sym_LT_LT] = ACTIONS(4465),
    [anon_sym_GT_GT] = ACTIONS(4463),
    [anon_sym_GT_GT_GT] = ACTIONS(4465),
    [anon_sym_EQ_EQ] = ACTIONS(4465),
    [anon_sym_BANG_EQ] = ACTIONS(4465),
    [anon_sym_GT_EQ] = ACTIONS(4465),
    [anon_sym_LT_EQ] = ACTIONS(4465),
    [anon_sym_DOT] = ACTIONS(4463),
    [anon_sym_scoped] = ACTIONS(4463),
    [anon_sym_var] = ACTIONS(4463),
    [anon_sym_yield] = ACTIONS(4463),
    [anon_sym_switch] = ACTIONS(4463),
    [anon_sym_when] = ACTIONS(4463),
    [sym_discard] = ACTIONS(4463),
    [anon_sym_DOT_DOT] = ACTIONS(4465),
    [anon_sym_and] = ACTIONS(4463),
    [anon_sym_or] = ACTIONS(4463),
    [anon_sym_AMP_AMP] = ACTIONS(4465),
    [anon_sym_PIPE_PIPE] = ACTIONS(4465),
    [anon_sym_QMARK_QMARK] = ACTIONS(4465),
    [anon_sym_from] = ACTIONS(4463),
    [anon_sym_into] = ACTIONS(4463),
    [anon_sym_join] = ACTIONS(4463),
    [anon_sym_on] = ACTIONS(4463),
    [anon_sym_equals] = ACTIONS(4463),
    [anon_sym_let] = ACTIONS(4463),
    [anon_sym_orderby] = ACTIONS(4463),
    [anon_sym_ascending] = ACTIONS(4463),
    [anon_sym_descending] = ACTIONS(4463),
    [anon_sym_group] = ACTIONS(4463),
    [anon_sym_by] = ACTIONS(4463),
    [anon_sym_select] = ACTIONS(4463),
    [anon_sym_as] = ACTIONS(4463),
    [anon_sym_is] = ACTIONS(4463),
    [anon_sym_DASH_GT] = ACTIONS(4465),
    [anon_sym_with] = ACTIONS(4463),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4465),
  },
  [3406] = {
    [sym_preproc_region] = STATE(3406),
    [sym_preproc_endregion] = STATE(3406),
    [sym_preproc_line] = STATE(3406),
    [sym_preproc_pragma] = STATE(3406),
    [sym_preproc_nullable] = STATE(3406),
    [sym_preproc_error] = STATE(3406),
    [sym_preproc_define] = STATE(3406),
    [sym_preproc_undef] = STATE(3406),
    [sym__identifier_token] = ACTIONS(3563),
    [anon_sym_extern] = ACTIONS(3563),
    [anon_sym_alias] = ACTIONS(3563),
    [anon_sym_global] = ACTIONS(3563),
    [anon_sym_using] = ACTIONS(3563),
    [anon_sym_unsafe] = ACTIONS(3563),
    [anon_sym_static] = ACTIONS(3563),
    [anon_sym_LBRACK] = ACTIONS(3565),
    [anon_sym_LPAREN] = ACTIONS(3565),
    [anon_sym_event] = ACTIONS(3563),
    [anon_sym_namespace] = ACTIONS(3563),
    [anon_sym_class] = ACTIONS(3563),
    [anon_sym_ref] = ACTIONS(3563),
    [anon_sym_struct] = ACTIONS(3563),
    [anon_sym_enum] = ACTIONS(3563),
    [anon_sym_RBRACE] = ACTIONS(3565),
    [anon_sym_interface] = ACTIONS(3563),
    [anon_sym_delegate] = ACTIONS(3563),
    [anon_sym_record] = ACTIONS(3563),
    [anon_sym_abstract] = ACTIONS(3563),
    [anon_sym_async] = ACTIONS(3563),
    [anon_sym_const] = ACTIONS(3563),
    [anon_sym_file] = ACTIONS(3563),
    [anon_sym_fixed] = ACTIONS(3563),
    [anon_sym_internal] = ACTIONS(3563),
    [anon_sym_new] = ACTIONS(3563),
    [anon_sym_override] = ACTIONS(3563),
    [anon_sym_partial] = ACTIONS(3563),
    [anon_sym_private] = ACTIONS(3563),
    [anon_sym_protected] = ACTIONS(3563),
    [anon_sym_public] = ACTIONS(3563),
    [anon_sym_readonly] = ACTIONS(3563),
    [anon_sym_required] = ACTIONS(3563),
    [anon_sym_sealed] = ACTIONS(3563),
    [anon_sym_virtual] = ACTIONS(3563),
    [anon_sym_volatile] = ACTIONS(3563),
    [anon_sym_where] = ACTIONS(3563),
    [anon_sym_notnull] = ACTIONS(3563),
    [anon_sym_unmanaged] = ACTIONS(3563),
    [anon_sym_TILDE] = ACTIONS(3565),
    [anon_sym_implicit] = ACTIONS(3563),
    [anon_sym_explicit] = ACTIONS(3563),
    [anon_sym_scoped] = ACTIONS(3563),
    [anon_sym_var] = ACTIONS(3563),
    [sym_predefined_type] = ACTIONS(3563),
    [anon_sym_yield] = ACTIONS(3563),
    [anon_sym_when] = ACTIONS(3563),
    [anon_sym_from] = ACTIONS(3563),
    [anon_sym_into] = ACTIONS(3563),
    [anon_sym_join] = ACTIONS(3563),
    [anon_sym_on] = ACTIONS(3563),
    [anon_sym_equals] = ACTIONS(3563),
    [anon_sym_let] = ACTIONS(3563),
    [anon_sym_orderby] = ACTIONS(3563),
    [anon_sym_ascending] = ACTIONS(3563),
    [anon_sym_descending] = ACTIONS(3563),
    [anon_sym_group] = ACTIONS(3563),
    [anon_sym_by] = ACTIONS(3563),
    [anon_sym_select] = ACTIONS(3563),
    [aux_sym_preproc_if_token1] = ACTIONS(3565),
    [aux_sym_preproc_if_token3] = ACTIONS(3565),
    [aux_sym_preproc_else_token1] = ACTIONS(3565),
    [aux_sym_preproc_elif_token1] = ACTIONS(3565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3407] = {
    [sym_preproc_region] = STATE(3407),
    [sym_preproc_endregion] = STATE(3407),
    [sym_preproc_line] = STATE(3407),
    [sym_preproc_pragma] = STATE(3407),
    [sym_preproc_nullable] = STATE(3407),
    [sym_preproc_error] = STATE(3407),
    [sym_preproc_define] = STATE(3407),
    [sym_preproc_undef] = STATE(3407),
    [sym__identifier_token] = ACTIONS(5003),
    [anon_sym_extern] = ACTIONS(5003),
    [anon_sym_alias] = ACTIONS(5003),
    [anon_sym_global] = ACTIONS(5003),
    [anon_sym_using] = ACTIONS(5003),
    [anon_sym_unsafe] = ACTIONS(5003),
    [anon_sym_static] = ACTIONS(5003),
    [anon_sym_LBRACK] = ACTIONS(5005),
    [anon_sym_LPAREN] = ACTIONS(5005),
    [anon_sym_event] = ACTIONS(5003),
    [anon_sym_namespace] = ACTIONS(5003),
    [anon_sym_class] = ACTIONS(5003),
    [anon_sym_ref] = ACTIONS(5003),
    [anon_sym_struct] = ACTIONS(5003),
    [anon_sym_enum] = ACTIONS(5003),
    [anon_sym_RBRACE] = ACTIONS(5005),
    [anon_sym_interface] = ACTIONS(5003),
    [anon_sym_delegate] = ACTIONS(5003),
    [anon_sym_record] = ACTIONS(5003),
    [anon_sym_abstract] = ACTIONS(5003),
    [anon_sym_async] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_file] = ACTIONS(5003),
    [anon_sym_fixed] = ACTIONS(5003),
    [anon_sym_internal] = ACTIONS(5003),
    [anon_sym_new] = ACTIONS(5003),
    [anon_sym_override] = ACTIONS(5003),
    [anon_sym_partial] = ACTIONS(5003),
    [anon_sym_private] = ACTIONS(5003),
    [anon_sym_protected] = ACTIONS(5003),
    [anon_sym_public] = ACTIONS(5003),
    [anon_sym_readonly] = ACTIONS(5003),
    [anon_sym_required] = ACTIONS(5003),
    [anon_sym_sealed] = ACTIONS(5003),
    [anon_sym_virtual] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_where] = ACTIONS(5003),
    [anon_sym_notnull] = ACTIONS(5003),
    [anon_sym_unmanaged] = ACTIONS(5003),
    [anon_sym_TILDE] = ACTIONS(5005),
    [anon_sym_implicit] = ACTIONS(5003),
    [anon_sym_explicit] = ACTIONS(5003),
    [anon_sym_scoped] = ACTIONS(5003),
    [anon_sym_var] = ACTIONS(5003),
    [sym_predefined_type] = ACTIONS(5003),
    [anon_sym_yield] = ACTIONS(5003),
    [anon_sym_when] = ACTIONS(5003),
    [anon_sym_from] = ACTIONS(5003),
    [anon_sym_into] = ACTIONS(5003),
    [anon_sym_join] = ACTIONS(5003),
    [anon_sym_on] = ACTIONS(5003),
    [anon_sym_equals] = ACTIONS(5003),
    [anon_sym_let] = ACTIONS(5003),
    [anon_sym_orderby] = ACTIONS(5003),
    [anon_sym_ascending] = ACTIONS(5003),
    [anon_sym_descending] = ACTIONS(5003),
    [anon_sym_group] = ACTIONS(5003),
    [anon_sym_by] = ACTIONS(5003),
    [anon_sym_select] = ACTIONS(5003),
    [aux_sym_preproc_if_token1] = ACTIONS(5005),
    [aux_sym_preproc_if_token3] = ACTIONS(5005),
    [aux_sym_preproc_else_token1] = ACTIONS(5005),
    [aux_sym_preproc_elif_token1] = ACTIONS(5005),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3408] = {
    [sym_preproc_region] = STATE(3408),
    [sym_preproc_endregion] = STATE(3408),
    [sym_preproc_line] = STATE(3408),
    [sym_preproc_pragma] = STATE(3408),
    [sym_preproc_nullable] = STATE(3408),
    [sym_preproc_error] = STATE(3408),
    [sym_preproc_define] = STATE(3408),
    [sym_preproc_undef] = STATE(3408),
    [sym__identifier_token] = ACTIONS(3567),
    [anon_sym_extern] = ACTIONS(3567),
    [anon_sym_alias] = ACTIONS(3567),
    [anon_sym_global] = ACTIONS(3567),
    [anon_sym_using] = ACTIONS(3567),
    [anon_sym_unsafe] = ACTIONS(3567),
    [anon_sym_static] = ACTIONS(3567),
    [anon_sym_LBRACK] = ACTIONS(3569),
    [anon_sym_LPAREN] = ACTIONS(3569),
    [anon_sym_event] = ACTIONS(3567),
    [anon_sym_namespace] = ACTIONS(3567),
    [anon_sym_class] = ACTIONS(3567),
    [anon_sym_ref] = ACTIONS(3567),
    [anon_sym_struct] = ACTIONS(3567),
    [anon_sym_enum] = ACTIONS(3567),
    [anon_sym_RBRACE] = ACTIONS(3569),
    [anon_sym_interface] = ACTIONS(3567),
    [anon_sym_delegate] = ACTIONS(3567),
    [anon_sym_record] = ACTIONS(3567),
    [anon_sym_abstract] = ACTIONS(3567),
    [anon_sym_async] = ACTIONS(3567),
    [anon_sym_const] = ACTIONS(3567),
    [anon_sym_file] = ACTIONS(3567),
    [anon_sym_fixed] = ACTIONS(3567),
    [anon_sym_internal] = ACTIONS(3567),
    [anon_sym_new] = ACTIONS(3567),
    [anon_sym_override] = ACTIONS(3567),
    [anon_sym_partial] = ACTIONS(3567),
    [anon_sym_private] = ACTIONS(3567),
    [anon_sym_protected] = ACTIONS(3567),
    [anon_sym_public] = ACTIONS(3567),
    [anon_sym_readonly] = ACTIONS(3567),
    [anon_sym_required] = ACTIONS(3567),
    [anon_sym_sealed] = ACTIONS(3567),
    [anon_sym_virtual] = ACTIONS(3567),
    [anon_sym_volatile] = ACTIONS(3567),
    [anon_sym_where] = ACTIONS(3567),
    [anon_sym_notnull] = ACTIONS(3567),
    [anon_sym_unmanaged] = ACTIONS(3567),
    [anon_sym_TILDE] = ACTIONS(3569),
    [anon_sym_implicit] = ACTIONS(3567),
    [anon_sym_explicit] = ACTIONS(3567),
    [anon_sym_scoped] = ACTIONS(3567),
    [anon_sym_var] = ACTIONS(3567),
    [sym_predefined_type] = ACTIONS(3567),
    [anon_sym_yield] = ACTIONS(3567),
    [anon_sym_when] = ACTIONS(3567),
    [anon_sym_from] = ACTIONS(3567),
    [anon_sym_into] = ACTIONS(3567),
    [anon_sym_join] = ACTIONS(3567),
    [anon_sym_on] = ACTIONS(3567),
    [anon_sym_equals] = ACTIONS(3567),
    [anon_sym_let] = ACTIONS(3567),
    [anon_sym_orderby] = ACTIONS(3567),
    [anon_sym_ascending] = ACTIONS(3567),
    [anon_sym_descending] = ACTIONS(3567),
    [anon_sym_group] = ACTIONS(3567),
    [anon_sym_by] = ACTIONS(3567),
    [anon_sym_select] = ACTIONS(3567),
    [aux_sym_preproc_if_token1] = ACTIONS(3569),
    [aux_sym_preproc_if_token3] = ACTIONS(3569),
    [aux_sym_preproc_else_token1] = ACTIONS(3569),
    [aux_sym_preproc_elif_token1] = ACTIONS(3569),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3409] = {
    [sym_preproc_region] = STATE(3409),
    [sym_preproc_endregion] = STATE(3409),
    [sym_preproc_line] = STATE(3409),
    [sym_preproc_pragma] = STATE(3409),
    [sym_preproc_nullable] = STATE(3409),
    [sym_preproc_error] = STATE(3409),
    [sym_preproc_define] = STATE(3409),
    [sym_preproc_undef] = STATE(3409),
    [sym__identifier_token] = ACTIONS(3571),
    [anon_sym_extern] = ACTIONS(3571),
    [anon_sym_alias] = ACTIONS(3571),
    [anon_sym_global] = ACTIONS(3571),
    [anon_sym_using] = ACTIONS(3571),
    [anon_sym_unsafe] = ACTIONS(3571),
    [anon_sym_static] = ACTIONS(3571),
    [anon_sym_LBRACK] = ACTIONS(3573),
    [anon_sym_LPAREN] = ACTIONS(3573),
    [anon_sym_event] = ACTIONS(3571),
    [anon_sym_namespace] = ACTIONS(3571),
    [anon_sym_class] = ACTIONS(3571),
    [anon_sym_ref] = ACTIONS(3571),
    [anon_sym_struct] = ACTIONS(3571),
    [anon_sym_enum] = ACTIONS(3571),
    [anon_sym_RBRACE] = ACTIONS(3573),
    [anon_sym_interface] = ACTIONS(3571),
    [anon_sym_delegate] = ACTIONS(3571),
    [anon_sym_record] = ACTIONS(3571),
    [anon_sym_abstract] = ACTIONS(3571),
    [anon_sym_async] = ACTIONS(3571),
    [anon_sym_const] = ACTIONS(3571),
    [anon_sym_file] = ACTIONS(3571),
    [anon_sym_fixed] = ACTIONS(3571),
    [anon_sym_internal] = ACTIONS(3571),
    [anon_sym_new] = ACTIONS(3571),
    [anon_sym_override] = ACTIONS(3571),
    [anon_sym_partial] = ACTIONS(3571),
    [anon_sym_private] = ACTIONS(3571),
    [anon_sym_protected] = ACTIONS(3571),
    [anon_sym_public] = ACTIONS(3571),
    [anon_sym_readonly] = ACTIONS(3571),
    [anon_sym_required] = ACTIONS(3571),
    [anon_sym_sealed] = ACTIONS(3571),
    [anon_sym_virtual] = ACTIONS(3571),
    [anon_sym_volatile] = ACTIONS(3571),
    [anon_sym_where] = ACTIONS(3571),
    [anon_sym_notnull] = ACTIONS(3571),
    [anon_sym_unmanaged] = ACTIONS(3571),
    [anon_sym_TILDE] = ACTIONS(3573),
    [anon_sym_implicit] = ACTIONS(3571),
    [anon_sym_explicit] = ACTIONS(3571),
    [anon_sym_scoped] = ACTIONS(3571),
    [anon_sym_var] = ACTIONS(3571),
    [sym_predefined_type] = ACTIONS(3571),
    [anon_sym_yield] = ACTIONS(3571),
    [anon_sym_when] = ACTIONS(3571),
    [anon_sym_from] = ACTIONS(3571),
    [anon_sym_into] = ACTIONS(3571),
    [anon_sym_join] = ACTIONS(3571),
    [anon_sym_on] = ACTIONS(3571),
    [anon_sym_equals] = ACTIONS(3571),
    [anon_sym_let] = ACTIONS(3571),
    [anon_sym_orderby] = ACTIONS(3571),
    [anon_sym_ascending] = ACTIONS(3571),
    [anon_sym_descending] = ACTIONS(3571),
    [anon_sym_group] = ACTIONS(3571),
    [anon_sym_by] = ACTIONS(3571),
    [anon_sym_select] = ACTIONS(3571),
    [aux_sym_preproc_if_token1] = ACTIONS(3573),
    [aux_sym_preproc_if_token3] = ACTIONS(3573),
    [aux_sym_preproc_else_token1] = ACTIONS(3573),
    [aux_sym_preproc_elif_token1] = ACTIONS(3573),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3410] = {
    [sym_preproc_region] = STATE(3410),
    [sym_preproc_endregion] = STATE(3410),
    [sym_preproc_line] = STATE(3410),
    [sym_preproc_pragma] = STATE(3410),
    [sym_preproc_nullable] = STATE(3410),
    [sym_preproc_error] = STATE(3410),
    [sym_preproc_define] = STATE(3410),
    [sym_preproc_undef] = STATE(3410),
    [sym__identifier_token] = ACTIONS(3575),
    [anon_sym_extern] = ACTIONS(3575),
    [anon_sym_alias] = ACTIONS(3575),
    [anon_sym_global] = ACTIONS(3575),
    [anon_sym_using] = ACTIONS(3575),
    [anon_sym_unsafe] = ACTIONS(3575),
    [anon_sym_static] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3577),
    [anon_sym_LPAREN] = ACTIONS(3577),
    [anon_sym_event] = ACTIONS(3575),
    [anon_sym_namespace] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_ref] = ACTIONS(3575),
    [anon_sym_struct] = ACTIONS(3575),
    [anon_sym_enum] = ACTIONS(3575),
    [anon_sym_RBRACE] = ACTIONS(3577),
    [anon_sym_interface] = ACTIONS(3575),
    [anon_sym_delegate] = ACTIONS(3575),
    [anon_sym_record] = ACTIONS(3575),
    [anon_sym_abstract] = ACTIONS(3575),
    [anon_sym_async] = ACTIONS(3575),
    [anon_sym_const] = ACTIONS(3575),
    [anon_sym_file] = ACTIONS(3575),
    [anon_sym_fixed] = ACTIONS(3575),
    [anon_sym_internal] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(3575),
    [anon_sym_override] = ACTIONS(3575),
    [anon_sym_partial] = ACTIONS(3575),
    [anon_sym_private] = ACTIONS(3575),
    [anon_sym_protected] = ACTIONS(3575),
    [anon_sym_public] = ACTIONS(3575),
    [anon_sym_readonly] = ACTIONS(3575),
    [anon_sym_required] = ACTIONS(3575),
    [anon_sym_sealed] = ACTIONS(3575),
    [anon_sym_virtual] = ACTIONS(3575),
    [anon_sym_volatile] = ACTIONS(3575),
    [anon_sym_where] = ACTIONS(3575),
    [anon_sym_notnull] = ACTIONS(3575),
    [anon_sym_unmanaged] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3577),
    [anon_sym_implicit] = ACTIONS(3575),
    [anon_sym_explicit] = ACTIONS(3575),
    [anon_sym_scoped] = ACTIONS(3575),
    [anon_sym_var] = ACTIONS(3575),
    [sym_predefined_type] = ACTIONS(3575),
    [anon_sym_yield] = ACTIONS(3575),
    [anon_sym_when] = ACTIONS(3575),
    [anon_sym_from] = ACTIONS(3575),
    [anon_sym_into] = ACTIONS(3575),
    [anon_sym_join] = ACTIONS(3575),
    [anon_sym_on] = ACTIONS(3575),
    [anon_sym_equals] = ACTIONS(3575),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_orderby] = ACTIONS(3575),
    [anon_sym_ascending] = ACTIONS(3575),
    [anon_sym_descending] = ACTIONS(3575),
    [anon_sym_group] = ACTIONS(3575),
    [anon_sym_by] = ACTIONS(3575),
    [anon_sym_select] = ACTIONS(3575),
    [aux_sym_preproc_if_token1] = ACTIONS(3577),
    [aux_sym_preproc_if_token3] = ACTIONS(3577),
    [aux_sym_preproc_else_token1] = ACTIONS(3577),
    [aux_sym_preproc_elif_token1] = ACTIONS(3577),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3411] = {
    [sym_preproc_region] = STATE(3411),
    [sym_preproc_endregion] = STATE(3411),
    [sym_preproc_line] = STATE(3411),
    [sym_preproc_pragma] = STATE(3411),
    [sym_preproc_nullable] = STATE(3411),
    [sym_preproc_error] = STATE(3411),
    [sym_preproc_define] = STATE(3411),
    [sym_preproc_undef] = STATE(3411),
    [sym__identifier_token] = ACTIONS(5007),
    [anon_sym_extern] = ACTIONS(5007),
    [anon_sym_alias] = ACTIONS(5007),
    [anon_sym_global] = ACTIONS(5007),
    [anon_sym_using] = ACTIONS(5007),
    [anon_sym_unsafe] = ACTIONS(5007),
    [anon_sym_static] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5009),
    [anon_sym_LPAREN] = ACTIONS(5009),
    [anon_sym_event] = ACTIONS(5007),
    [anon_sym_namespace] = ACTIONS(5007),
    [anon_sym_class] = ACTIONS(5007),
    [anon_sym_ref] = ACTIONS(5007),
    [anon_sym_struct] = ACTIONS(5007),
    [anon_sym_enum] = ACTIONS(5007),
    [anon_sym_RBRACE] = ACTIONS(5009),
    [anon_sym_interface] = ACTIONS(5007),
    [anon_sym_delegate] = ACTIONS(5007),
    [anon_sym_record] = ACTIONS(5007),
    [anon_sym_abstract] = ACTIONS(5007),
    [anon_sym_async] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_file] = ACTIONS(5007),
    [anon_sym_fixed] = ACTIONS(5007),
    [anon_sym_internal] = ACTIONS(5007),
    [anon_sym_new] = ACTIONS(5007),
    [anon_sym_override] = ACTIONS(5007),
    [anon_sym_partial] = ACTIONS(5007),
    [anon_sym_private] = ACTIONS(5007),
    [anon_sym_protected] = ACTIONS(5007),
    [anon_sym_public] = ACTIONS(5007),
    [anon_sym_readonly] = ACTIONS(5007),
    [anon_sym_required] = ACTIONS(5007),
    [anon_sym_sealed] = ACTIONS(5007),
    [anon_sym_virtual] = ACTIONS(5007),
    [anon_sym_volatile] = ACTIONS(5007),
    [anon_sym_where] = ACTIONS(5007),
    [anon_sym_notnull] = ACTIONS(5007),
    [anon_sym_unmanaged] = ACTIONS(5007),
    [anon_sym_TILDE] = ACTIONS(5009),
    [anon_sym_implicit] = ACTIONS(5007),
    [anon_sym_explicit] = ACTIONS(5007),
    [anon_sym_scoped] = ACTIONS(5007),
    [anon_sym_var] = ACTIONS(5007),
    [sym_predefined_type] = ACTIONS(5007),
    [anon_sym_yield] = ACTIONS(5007),
    [anon_sym_when] = ACTIONS(5007),
    [anon_sym_from] = ACTIONS(5007),
    [anon_sym_into] = ACTIONS(5007),
    [anon_sym_join] = ACTIONS(5007),
    [anon_sym_on] = ACTIONS(5007),
    [anon_sym_equals] = ACTIONS(5007),
    [anon_sym_let] = ACTIONS(5007),
    [anon_sym_orderby] = ACTIONS(5007),
    [anon_sym_ascending] = ACTIONS(5007),
    [anon_sym_descending] = ACTIONS(5007),
    [anon_sym_group] = ACTIONS(5007),
    [anon_sym_by] = ACTIONS(5007),
    [anon_sym_select] = ACTIONS(5007),
    [aux_sym_preproc_if_token1] = ACTIONS(5009),
    [aux_sym_preproc_if_token3] = ACTIONS(5009),
    [aux_sym_preproc_else_token1] = ACTIONS(5009),
    [aux_sym_preproc_elif_token1] = ACTIONS(5009),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3412] = {
    [sym_preproc_region] = STATE(3412),
    [sym_preproc_endregion] = STATE(3412),
    [sym_preproc_line] = STATE(3412),
    [sym_preproc_pragma] = STATE(3412),
    [sym_preproc_nullable] = STATE(3412),
    [sym_preproc_error] = STATE(3412),
    [sym_preproc_define] = STATE(3412),
    [sym_preproc_undef] = STATE(3412),
    [sym__identifier_token] = ACTIONS(5011),
    [anon_sym_extern] = ACTIONS(5011),
    [anon_sym_alias] = ACTIONS(5011),
    [anon_sym_global] = ACTIONS(5011),
    [anon_sym_using] = ACTIONS(5011),
    [anon_sym_unsafe] = ACTIONS(5011),
    [anon_sym_static] = ACTIONS(5011),
    [anon_sym_LBRACK] = ACTIONS(5013),
    [anon_sym_LPAREN] = ACTIONS(5013),
    [anon_sym_event] = ACTIONS(5011),
    [anon_sym_namespace] = ACTIONS(5011),
    [anon_sym_class] = ACTIONS(5011),
    [anon_sym_ref] = ACTIONS(5011),
    [anon_sym_struct] = ACTIONS(5011),
    [anon_sym_enum] = ACTIONS(5011),
    [anon_sym_RBRACE] = ACTIONS(5013),
    [anon_sym_interface] = ACTIONS(5011),
    [anon_sym_delegate] = ACTIONS(5011),
    [anon_sym_record] = ACTIONS(5011),
    [anon_sym_abstract] = ACTIONS(5011),
    [anon_sym_async] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_file] = ACTIONS(5011),
    [anon_sym_fixed] = ACTIONS(5011),
    [anon_sym_internal] = ACTIONS(5011),
    [anon_sym_new] = ACTIONS(5011),
    [anon_sym_override] = ACTIONS(5011),
    [anon_sym_partial] = ACTIONS(5011),
    [anon_sym_private] = ACTIONS(5011),
    [anon_sym_protected] = ACTIONS(5011),
    [anon_sym_public] = ACTIONS(5011),
    [anon_sym_readonly] = ACTIONS(5011),
    [anon_sym_required] = ACTIONS(5011),
    [anon_sym_sealed] = ACTIONS(5011),
    [anon_sym_virtual] = ACTIONS(5011),
    [anon_sym_volatile] = ACTIONS(5011),
    [anon_sym_where] = ACTIONS(5011),
    [anon_sym_notnull] = ACTIONS(5011),
    [anon_sym_unmanaged] = ACTIONS(5011),
    [anon_sym_TILDE] = ACTIONS(5013),
    [anon_sym_implicit] = ACTIONS(5011),
    [anon_sym_explicit] = ACTIONS(5011),
    [anon_sym_scoped] = ACTIONS(5011),
    [anon_sym_var] = ACTIONS(5011),
    [sym_predefined_type] = ACTIONS(5011),
    [anon_sym_yield] = ACTIONS(5011),
    [anon_sym_when] = ACTIONS(5011),
    [anon_sym_from] = ACTIONS(5011),
    [anon_sym_into] = ACTIONS(5011),
    [anon_sym_join] = ACTIONS(5011),
    [anon_sym_on] = ACTIONS(5011),
    [anon_sym_equals] = ACTIONS(5011),
    [anon_sym_let] = ACTIONS(5011),
    [anon_sym_orderby] = ACTIONS(5011),
    [anon_sym_ascending] = ACTIONS(5011),
    [anon_sym_descending] = ACTIONS(5011),
    [anon_sym_group] = ACTIONS(5011),
    [anon_sym_by] = ACTIONS(5011),
    [anon_sym_select] = ACTIONS(5011),
    [aux_sym_preproc_if_token1] = ACTIONS(5013),
    [aux_sym_preproc_if_token3] = ACTIONS(5013),
    [aux_sym_preproc_else_token1] = ACTIONS(5013),
    [aux_sym_preproc_elif_token1] = ACTIONS(5013),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3413] = {
    [sym_preproc_region] = STATE(3413),
    [sym_preproc_endregion] = STATE(3413),
    [sym_preproc_line] = STATE(3413),
    [sym_preproc_pragma] = STATE(3413),
    [sym_preproc_nullable] = STATE(3413),
    [sym_preproc_error] = STATE(3413),
    [sym_preproc_define] = STATE(3413),
    [sym_preproc_undef] = STATE(3413),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_EQ] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4149),
    [anon_sym_CARET] = ACTIONS(4149),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4149),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4149),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_when] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4151),
    [anon_sym_PLUS_EQ] = ACTIONS(4151),
    [anon_sym_DASH_EQ] = ACTIONS(4151),
    [anon_sym_STAR_EQ] = ACTIONS(4151),
    [anon_sym_SLASH_EQ] = ACTIONS(4151),
    [anon_sym_PERCENT_EQ] = ACTIONS(4151),
    [anon_sym_AMP_EQ] = ACTIONS(4151),
    [anon_sym_CARET_EQ] = ACTIONS(4151),
    [anon_sym_PIPE_EQ] = ACTIONS(4151),
    [anon_sym_LT_LT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4149),
    [anon_sym_on] = ACTIONS(4151),
    [anon_sym_equals] = ACTIONS(4151),
    [anon_sym_by] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3414] = {
    [sym_preproc_region] = STATE(3414),
    [sym_preproc_endregion] = STATE(3414),
    [sym_preproc_line] = STATE(3414),
    [sym_preproc_pragma] = STATE(3414),
    [sym_preproc_nullable] = STATE(3414),
    [sym_preproc_error] = STATE(3414),
    [sym_preproc_define] = STATE(3414),
    [sym_preproc_undef] = STATE(3414),
    [sym__identifier_token] = ACTIONS(3579),
    [anon_sym_extern] = ACTIONS(3579),
    [anon_sym_alias] = ACTIONS(3579),
    [anon_sym_global] = ACTIONS(3579),
    [anon_sym_using] = ACTIONS(3579),
    [anon_sym_unsafe] = ACTIONS(3579),
    [anon_sym_static] = ACTIONS(3579),
    [anon_sym_LBRACK] = ACTIONS(3581),
    [anon_sym_LPAREN] = ACTIONS(3581),
    [anon_sym_event] = ACTIONS(3579),
    [anon_sym_namespace] = ACTIONS(3579),
    [anon_sym_class] = ACTIONS(3579),
    [anon_sym_ref] = ACTIONS(3579),
    [anon_sym_struct] = ACTIONS(3579),
    [anon_sym_enum] = ACTIONS(3579),
    [anon_sym_RBRACE] = ACTIONS(3581),
    [anon_sym_interface] = ACTIONS(3579),
    [anon_sym_delegate] = ACTIONS(3579),
    [anon_sym_record] = ACTIONS(3579),
    [anon_sym_abstract] = ACTIONS(3579),
    [anon_sym_async] = ACTIONS(3579),
    [anon_sym_const] = ACTIONS(3579),
    [anon_sym_file] = ACTIONS(3579),
    [anon_sym_fixed] = ACTIONS(3579),
    [anon_sym_internal] = ACTIONS(3579),
    [anon_sym_new] = ACTIONS(3579),
    [anon_sym_override] = ACTIONS(3579),
    [anon_sym_partial] = ACTIONS(3579),
    [anon_sym_private] = ACTIONS(3579),
    [anon_sym_protected] = ACTIONS(3579),
    [anon_sym_public] = ACTIONS(3579),
    [anon_sym_readonly] = ACTIONS(3579),
    [anon_sym_required] = ACTIONS(3579),
    [anon_sym_sealed] = ACTIONS(3579),
    [anon_sym_virtual] = ACTIONS(3579),
    [anon_sym_volatile] = ACTIONS(3579),
    [anon_sym_where] = ACTIONS(3579),
    [anon_sym_notnull] = ACTIONS(3579),
    [anon_sym_unmanaged] = ACTIONS(3579),
    [anon_sym_TILDE] = ACTIONS(3581),
    [anon_sym_implicit] = ACTIONS(3579),
    [anon_sym_explicit] = ACTIONS(3579),
    [anon_sym_scoped] = ACTIONS(3579),
    [anon_sym_var] = ACTIONS(3579),
    [sym_predefined_type] = ACTIONS(3579),
    [anon_sym_yield] = ACTIONS(3579),
    [anon_sym_when] = ACTIONS(3579),
    [anon_sym_from] = ACTIONS(3579),
    [anon_sym_into] = ACTIONS(3579),
    [anon_sym_join] = ACTIONS(3579),
    [anon_sym_on] = ACTIONS(3579),
    [anon_sym_equals] = ACTIONS(3579),
    [anon_sym_let] = ACTIONS(3579),
    [anon_sym_orderby] = ACTIONS(3579),
    [anon_sym_ascending] = ACTIONS(3579),
    [anon_sym_descending] = ACTIONS(3579),
    [anon_sym_group] = ACTIONS(3579),
    [anon_sym_by] = ACTIONS(3579),
    [anon_sym_select] = ACTIONS(3579),
    [aux_sym_preproc_if_token1] = ACTIONS(3581),
    [aux_sym_preproc_if_token3] = ACTIONS(3581),
    [aux_sym_preproc_else_token1] = ACTIONS(3581),
    [aux_sym_preproc_elif_token1] = ACTIONS(3581),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3415] = {
    [sym_preproc_region] = STATE(3415),
    [sym_preproc_endregion] = STATE(3415),
    [sym_preproc_line] = STATE(3415),
    [sym_preproc_pragma] = STATE(3415),
    [sym_preproc_nullable] = STATE(3415),
    [sym_preproc_error] = STATE(3415),
    [sym_preproc_define] = STATE(3415),
    [sym_preproc_undef] = STATE(3415),
    [sym__identifier_token] = ACTIONS(3583),
    [anon_sym_extern] = ACTIONS(3583),
    [anon_sym_alias] = ACTIONS(3583),
    [anon_sym_global] = ACTIONS(3583),
    [anon_sym_using] = ACTIONS(3583),
    [anon_sym_unsafe] = ACTIONS(3583),
    [anon_sym_static] = ACTIONS(3583),
    [anon_sym_LBRACK] = ACTIONS(3585),
    [anon_sym_LPAREN] = ACTIONS(3585),
    [anon_sym_event] = ACTIONS(3583),
    [anon_sym_namespace] = ACTIONS(3583),
    [anon_sym_class] = ACTIONS(3583),
    [anon_sym_ref] = ACTIONS(3583),
    [anon_sym_struct] = ACTIONS(3583),
    [anon_sym_enum] = ACTIONS(3583),
    [anon_sym_RBRACE] = ACTIONS(3585),
    [anon_sym_interface] = ACTIONS(3583),
    [anon_sym_delegate] = ACTIONS(3583),
    [anon_sym_record] = ACTIONS(3583),
    [anon_sym_abstract] = ACTIONS(3583),
    [anon_sym_async] = ACTIONS(3583),
    [anon_sym_const] = ACTIONS(3583),
    [anon_sym_file] = ACTIONS(3583),
    [anon_sym_fixed] = ACTIONS(3583),
    [anon_sym_internal] = ACTIONS(3583),
    [anon_sym_new] = ACTIONS(3583),
    [anon_sym_override] = ACTIONS(3583),
    [anon_sym_partial] = ACTIONS(3583),
    [anon_sym_private] = ACTIONS(3583),
    [anon_sym_protected] = ACTIONS(3583),
    [anon_sym_public] = ACTIONS(3583),
    [anon_sym_readonly] = ACTIONS(3583),
    [anon_sym_required] = ACTIONS(3583),
    [anon_sym_sealed] = ACTIONS(3583),
    [anon_sym_virtual] = ACTIONS(3583),
    [anon_sym_volatile] = ACTIONS(3583),
    [anon_sym_where] = ACTIONS(3583),
    [anon_sym_notnull] = ACTIONS(3583),
    [anon_sym_unmanaged] = ACTIONS(3583),
    [anon_sym_TILDE] = ACTIONS(3585),
    [anon_sym_implicit] = ACTIONS(3583),
    [anon_sym_explicit] = ACTIONS(3583),
    [anon_sym_scoped] = ACTIONS(3583),
    [anon_sym_var] = ACTIONS(3583),
    [sym_predefined_type] = ACTIONS(3583),
    [anon_sym_yield] = ACTIONS(3583),
    [anon_sym_when] = ACTIONS(3583),
    [anon_sym_from] = ACTIONS(3583),
    [anon_sym_into] = ACTIONS(3583),
    [anon_sym_join] = ACTIONS(3583),
    [anon_sym_on] = ACTIONS(3583),
    [anon_sym_equals] = ACTIONS(3583),
    [anon_sym_let] = ACTIONS(3583),
    [anon_sym_orderby] = ACTIONS(3583),
    [anon_sym_ascending] = ACTIONS(3583),
    [anon_sym_descending] = ACTIONS(3583),
    [anon_sym_group] = ACTIONS(3583),
    [anon_sym_by] = ACTIONS(3583),
    [anon_sym_select] = ACTIONS(3583),
    [aux_sym_preproc_if_token1] = ACTIONS(3585),
    [aux_sym_preproc_if_token3] = ACTIONS(3585),
    [aux_sym_preproc_else_token1] = ACTIONS(3585),
    [aux_sym_preproc_elif_token1] = ACTIONS(3585),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3416] = {
    [sym_preproc_region] = STATE(3416),
    [sym_preproc_endregion] = STATE(3416),
    [sym_preproc_line] = STATE(3416),
    [sym_preproc_pragma] = STATE(3416),
    [sym_preproc_nullable] = STATE(3416),
    [sym_preproc_error] = STATE(3416),
    [sym_preproc_define] = STATE(3416),
    [sym_preproc_undef] = STATE(3416),
    [sym__identifier_token] = ACTIONS(3587),
    [anon_sym_extern] = ACTIONS(3587),
    [anon_sym_alias] = ACTIONS(3587),
    [anon_sym_global] = ACTIONS(3587),
    [anon_sym_using] = ACTIONS(3587),
    [anon_sym_unsafe] = ACTIONS(3587),
    [anon_sym_static] = ACTIONS(3587),
    [anon_sym_LBRACK] = ACTIONS(3589),
    [anon_sym_LPAREN] = ACTIONS(3589),
    [anon_sym_event] = ACTIONS(3587),
    [anon_sym_namespace] = ACTIONS(3587),
    [anon_sym_class] = ACTIONS(3587),
    [anon_sym_ref] = ACTIONS(3587),
    [anon_sym_struct] = ACTIONS(3587),
    [anon_sym_enum] = ACTIONS(3587),
    [anon_sym_RBRACE] = ACTIONS(3589),
    [anon_sym_interface] = ACTIONS(3587),
    [anon_sym_delegate] = ACTIONS(3587),
    [anon_sym_record] = ACTIONS(3587),
    [anon_sym_abstract] = ACTIONS(3587),
    [anon_sym_async] = ACTIONS(3587),
    [anon_sym_const] = ACTIONS(3587),
    [anon_sym_file] = ACTIONS(3587),
    [anon_sym_fixed] = ACTIONS(3587),
    [anon_sym_internal] = ACTIONS(3587),
    [anon_sym_new] = ACTIONS(3587),
    [anon_sym_override] = ACTIONS(3587),
    [anon_sym_partial] = ACTIONS(3587),
    [anon_sym_private] = ACTIONS(3587),
    [anon_sym_protected] = ACTIONS(3587),
    [anon_sym_public] = ACTIONS(3587),
    [anon_sym_readonly] = ACTIONS(3587),
    [anon_sym_required] = ACTIONS(3587),
    [anon_sym_sealed] = ACTIONS(3587),
    [anon_sym_virtual] = ACTIONS(3587),
    [anon_sym_volatile] = ACTIONS(3587),
    [anon_sym_where] = ACTIONS(3587),
    [anon_sym_notnull] = ACTIONS(3587),
    [anon_sym_unmanaged] = ACTIONS(3587),
    [anon_sym_TILDE] = ACTIONS(3589),
    [anon_sym_implicit] = ACTIONS(3587),
    [anon_sym_explicit] = ACTIONS(3587),
    [anon_sym_scoped] = ACTIONS(3587),
    [anon_sym_var] = ACTIONS(3587),
    [sym_predefined_type] = ACTIONS(3587),
    [anon_sym_yield] = ACTIONS(3587),
    [anon_sym_when] = ACTIONS(3587),
    [anon_sym_from] = ACTIONS(3587),
    [anon_sym_into] = ACTIONS(3587),
    [anon_sym_join] = ACTIONS(3587),
    [anon_sym_on] = ACTIONS(3587),
    [anon_sym_equals] = ACTIONS(3587),
    [anon_sym_let] = ACTIONS(3587),
    [anon_sym_orderby] = ACTIONS(3587),
    [anon_sym_ascending] = ACTIONS(3587),
    [anon_sym_descending] = ACTIONS(3587),
    [anon_sym_group] = ACTIONS(3587),
    [anon_sym_by] = ACTIONS(3587),
    [anon_sym_select] = ACTIONS(3587),
    [aux_sym_preproc_if_token1] = ACTIONS(3589),
    [aux_sym_preproc_if_token3] = ACTIONS(3589),
    [aux_sym_preproc_else_token1] = ACTIONS(3589),
    [aux_sym_preproc_elif_token1] = ACTIONS(3589),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3417] = {
    [sym_preproc_region] = STATE(3417),
    [sym_preproc_endregion] = STATE(3417),
    [sym_preproc_line] = STATE(3417),
    [sym_preproc_pragma] = STATE(3417),
    [sym_preproc_nullable] = STATE(3417),
    [sym_preproc_error] = STATE(3417),
    [sym_preproc_define] = STATE(3417),
    [sym_preproc_undef] = STATE(3417),
    [sym__identifier_token] = ACTIONS(3591),
    [anon_sym_extern] = ACTIONS(3591),
    [anon_sym_alias] = ACTIONS(3591),
    [anon_sym_global] = ACTIONS(3591),
    [anon_sym_using] = ACTIONS(3591),
    [anon_sym_unsafe] = ACTIONS(3591),
    [anon_sym_static] = ACTIONS(3591),
    [anon_sym_LBRACK] = ACTIONS(3593),
    [anon_sym_LPAREN] = ACTIONS(3593),
    [anon_sym_event] = ACTIONS(3591),
    [anon_sym_namespace] = ACTIONS(3591),
    [anon_sym_class] = ACTIONS(3591),
    [anon_sym_ref] = ACTIONS(3591),
    [anon_sym_struct] = ACTIONS(3591),
    [anon_sym_enum] = ACTIONS(3591),
    [anon_sym_RBRACE] = ACTIONS(3593),
    [anon_sym_interface] = ACTIONS(3591),
    [anon_sym_delegate] = ACTIONS(3591),
    [anon_sym_record] = ACTIONS(3591),
    [anon_sym_abstract] = ACTIONS(3591),
    [anon_sym_async] = ACTIONS(3591),
    [anon_sym_const] = ACTIONS(3591),
    [anon_sym_file] = ACTIONS(3591),
    [anon_sym_fixed] = ACTIONS(3591),
    [anon_sym_internal] = ACTIONS(3591),
    [anon_sym_new] = ACTIONS(3591),
    [anon_sym_override] = ACTIONS(3591),
    [anon_sym_partial] = ACTIONS(3591),
    [anon_sym_private] = ACTIONS(3591),
    [anon_sym_protected] = ACTIONS(3591),
    [anon_sym_public] = ACTIONS(3591),
    [anon_sym_readonly] = ACTIONS(3591),
    [anon_sym_required] = ACTIONS(3591),
    [anon_sym_sealed] = ACTIONS(3591),
    [anon_sym_virtual] = ACTIONS(3591),
    [anon_sym_volatile] = ACTIONS(3591),
    [anon_sym_where] = ACTIONS(3591),
    [anon_sym_notnull] = ACTIONS(3591),
    [anon_sym_unmanaged] = ACTIONS(3591),
    [anon_sym_TILDE] = ACTIONS(3593),
    [anon_sym_implicit] = ACTIONS(3591),
    [anon_sym_explicit] = ACTIONS(3591),
    [anon_sym_scoped] = ACTIONS(3591),
    [anon_sym_var] = ACTIONS(3591),
    [sym_predefined_type] = ACTIONS(3591),
    [anon_sym_yield] = ACTIONS(3591),
    [anon_sym_when] = ACTIONS(3591),
    [anon_sym_from] = ACTIONS(3591),
    [anon_sym_into] = ACTIONS(3591),
    [anon_sym_join] = ACTIONS(3591),
    [anon_sym_on] = ACTIONS(3591),
    [anon_sym_equals] = ACTIONS(3591),
    [anon_sym_let] = ACTIONS(3591),
    [anon_sym_orderby] = ACTIONS(3591),
    [anon_sym_ascending] = ACTIONS(3591),
    [anon_sym_descending] = ACTIONS(3591),
    [anon_sym_group] = ACTIONS(3591),
    [anon_sym_by] = ACTIONS(3591),
    [anon_sym_select] = ACTIONS(3591),
    [aux_sym_preproc_if_token1] = ACTIONS(3593),
    [aux_sym_preproc_if_token3] = ACTIONS(3593),
    [aux_sym_preproc_else_token1] = ACTIONS(3593),
    [aux_sym_preproc_elif_token1] = ACTIONS(3593),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3418] = {
    [sym_preproc_region] = STATE(3418),
    [sym_preproc_endregion] = STATE(3418),
    [sym_preproc_line] = STATE(3418),
    [sym_preproc_pragma] = STATE(3418),
    [sym_preproc_nullable] = STATE(3418),
    [sym_preproc_error] = STATE(3418),
    [sym_preproc_define] = STATE(3418),
    [sym_preproc_undef] = STATE(3418),
    [sym__identifier_token] = ACTIONS(3595),
    [anon_sym_extern] = ACTIONS(3595),
    [anon_sym_alias] = ACTIONS(3595),
    [anon_sym_global] = ACTIONS(3595),
    [anon_sym_using] = ACTIONS(3595),
    [anon_sym_unsafe] = ACTIONS(3595),
    [anon_sym_static] = ACTIONS(3595),
    [anon_sym_LBRACK] = ACTIONS(3597),
    [anon_sym_LPAREN] = ACTIONS(3597),
    [anon_sym_event] = ACTIONS(3595),
    [anon_sym_namespace] = ACTIONS(3595),
    [anon_sym_class] = ACTIONS(3595),
    [anon_sym_ref] = ACTIONS(3595),
    [anon_sym_struct] = ACTIONS(3595),
    [anon_sym_enum] = ACTIONS(3595),
    [anon_sym_RBRACE] = ACTIONS(3597),
    [anon_sym_interface] = ACTIONS(3595),
    [anon_sym_delegate] = ACTIONS(3595),
    [anon_sym_record] = ACTIONS(3595),
    [anon_sym_abstract] = ACTIONS(3595),
    [anon_sym_async] = ACTIONS(3595),
    [anon_sym_const] = ACTIONS(3595),
    [anon_sym_file] = ACTIONS(3595),
    [anon_sym_fixed] = ACTIONS(3595),
    [anon_sym_internal] = ACTIONS(3595),
    [anon_sym_new] = ACTIONS(3595),
    [anon_sym_override] = ACTIONS(3595),
    [anon_sym_partial] = ACTIONS(3595),
    [anon_sym_private] = ACTIONS(3595),
    [anon_sym_protected] = ACTIONS(3595),
    [anon_sym_public] = ACTIONS(3595),
    [anon_sym_readonly] = ACTIONS(3595),
    [anon_sym_required] = ACTIONS(3595),
    [anon_sym_sealed] = ACTIONS(3595),
    [anon_sym_virtual] = ACTIONS(3595),
    [anon_sym_volatile] = ACTIONS(3595),
    [anon_sym_where] = ACTIONS(3595),
    [anon_sym_notnull] = ACTIONS(3595),
    [anon_sym_unmanaged] = ACTIONS(3595),
    [anon_sym_TILDE] = ACTIONS(3597),
    [anon_sym_implicit] = ACTIONS(3595),
    [anon_sym_explicit] = ACTIONS(3595),
    [anon_sym_scoped] = ACTIONS(3595),
    [anon_sym_var] = ACTIONS(3595),
    [sym_predefined_type] = ACTIONS(3595),
    [anon_sym_yield] = ACTIONS(3595),
    [anon_sym_when] = ACTIONS(3595),
    [anon_sym_from] = ACTIONS(3595),
    [anon_sym_into] = ACTIONS(3595),
    [anon_sym_join] = ACTIONS(3595),
    [anon_sym_on] = ACTIONS(3595),
    [anon_sym_equals] = ACTIONS(3595),
    [anon_sym_let] = ACTIONS(3595),
    [anon_sym_orderby] = ACTIONS(3595),
    [anon_sym_ascending] = ACTIONS(3595),
    [anon_sym_descending] = ACTIONS(3595),
    [anon_sym_group] = ACTIONS(3595),
    [anon_sym_by] = ACTIONS(3595),
    [anon_sym_select] = ACTIONS(3595),
    [aux_sym_preproc_if_token1] = ACTIONS(3597),
    [aux_sym_preproc_if_token3] = ACTIONS(3597),
    [aux_sym_preproc_else_token1] = ACTIONS(3597),
    [aux_sym_preproc_elif_token1] = ACTIONS(3597),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3419] = {
    [sym_preproc_region] = STATE(3419),
    [sym_preproc_endregion] = STATE(3419),
    [sym_preproc_line] = STATE(3419),
    [sym_preproc_pragma] = STATE(3419),
    [sym_preproc_nullable] = STATE(3419),
    [sym_preproc_error] = STATE(3419),
    [sym_preproc_define] = STATE(3419),
    [sym_preproc_undef] = STATE(3419),
    [sym__identifier_token] = ACTIONS(4427),
    [anon_sym_alias] = ACTIONS(4427),
    [anon_sym_global] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_file] = ACTIONS(4427),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_notnull] = ACTIONS(4427),
    [anon_sym_unmanaged] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_scoped] = ACTIONS(4427),
    [anon_sym_var] = ACTIONS(4427),
    [anon_sym_yield] = ACTIONS(4427),
    [anon_sym_switch] = ACTIONS(4427),
    [anon_sym_when] = ACTIONS(4427),
    [sym_discard] = ACTIONS(4427),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4427),
    [anon_sym_or] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_from] = ACTIONS(4427),
    [anon_sym_into] = ACTIONS(4427),
    [anon_sym_join] = ACTIONS(4427),
    [anon_sym_on] = ACTIONS(4427),
    [anon_sym_equals] = ACTIONS(4427),
    [anon_sym_let] = ACTIONS(4427),
    [anon_sym_orderby] = ACTIONS(4427),
    [anon_sym_ascending] = ACTIONS(4427),
    [anon_sym_descending] = ACTIONS(4427),
    [anon_sym_group] = ACTIONS(4427),
    [anon_sym_by] = ACTIONS(4427),
    [anon_sym_select] = ACTIONS(4427),
    [anon_sym_as] = ACTIONS(4427),
    [anon_sym_is] = ACTIONS(4427),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4427),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4429),
  },
  [3420] = {
    [sym__variable_designation] = STATE(4079),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3420),
    [sym_preproc_endregion] = STATE(3420),
    [sym_preproc_line] = STATE(3420),
    [sym_preproc_pragma] = STATE(3420),
    [sym_preproc_nullable] = STATE(3420),
    [sym_preproc_error] = STATE(3420),
    [sym_preproc_define] = STATE(3420),
    [sym_preproc_undef] = STATE(3420),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4405),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3421] = {
    [sym_preproc_region] = STATE(3421),
    [sym_preproc_endregion] = STATE(3421),
    [sym_preproc_line] = STATE(3421),
    [sym_preproc_pragma] = STATE(3421),
    [sym_preproc_nullable] = STATE(3421),
    [sym_preproc_error] = STATE(3421),
    [sym_preproc_define] = STATE(3421),
    [sym_preproc_undef] = STATE(3421),
    [sym__identifier_token] = ACTIONS(5015),
    [anon_sym_extern] = ACTIONS(5015),
    [anon_sym_alias] = ACTIONS(5015),
    [anon_sym_global] = ACTIONS(5015),
    [anon_sym_using] = ACTIONS(5015),
    [anon_sym_unsafe] = ACTIONS(5015),
    [anon_sym_static] = ACTIONS(5015),
    [anon_sym_LBRACK] = ACTIONS(5017),
    [anon_sym_LPAREN] = ACTIONS(5017),
    [anon_sym_event] = ACTIONS(5015),
    [anon_sym_namespace] = ACTIONS(5015),
    [anon_sym_class] = ACTIONS(5015),
    [anon_sym_ref] = ACTIONS(5015),
    [anon_sym_struct] = ACTIONS(5015),
    [anon_sym_enum] = ACTIONS(5015),
    [anon_sym_RBRACE] = ACTIONS(5017),
    [anon_sym_interface] = ACTIONS(5015),
    [anon_sym_delegate] = ACTIONS(5015),
    [anon_sym_record] = ACTIONS(5015),
    [anon_sym_abstract] = ACTIONS(5015),
    [anon_sym_async] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_file] = ACTIONS(5015),
    [anon_sym_fixed] = ACTIONS(5015),
    [anon_sym_internal] = ACTIONS(5015),
    [anon_sym_new] = ACTIONS(5015),
    [anon_sym_override] = ACTIONS(5015),
    [anon_sym_partial] = ACTIONS(5015),
    [anon_sym_private] = ACTIONS(5015),
    [anon_sym_protected] = ACTIONS(5015),
    [anon_sym_public] = ACTIONS(5015),
    [anon_sym_readonly] = ACTIONS(5015),
    [anon_sym_required] = ACTIONS(5015),
    [anon_sym_sealed] = ACTIONS(5015),
    [anon_sym_virtual] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_where] = ACTIONS(5015),
    [anon_sym_notnull] = ACTIONS(5015),
    [anon_sym_unmanaged] = ACTIONS(5015),
    [anon_sym_TILDE] = ACTIONS(5017),
    [anon_sym_implicit] = ACTIONS(5015),
    [anon_sym_explicit] = ACTIONS(5015),
    [anon_sym_scoped] = ACTIONS(5015),
    [anon_sym_var] = ACTIONS(5015),
    [sym_predefined_type] = ACTIONS(5015),
    [anon_sym_yield] = ACTIONS(5015),
    [anon_sym_when] = ACTIONS(5015),
    [anon_sym_from] = ACTIONS(5015),
    [anon_sym_into] = ACTIONS(5015),
    [anon_sym_join] = ACTIONS(5015),
    [anon_sym_on] = ACTIONS(5015),
    [anon_sym_equals] = ACTIONS(5015),
    [anon_sym_let] = ACTIONS(5015),
    [anon_sym_orderby] = ACTIONS(5015),
    [anon_sym_ascending] = ACTIONS(5015),
    [anon_sym_descending] = ACTIONS(5015),
    [anon_sym_group] = ACTIONS(5015),
    [anon_sym_by] = ACTIONS(5015),
    [anon_sym_select] = ACTIONS(5015),
    [aux_sym_preproc_if_token1] = ACTIONS(5017),
    [aux_sym_preproc_if_token3] = ACTIONS(5017),
    [aux_sym_preproc_else_token1] = ACTIONS(5017),
    [aux_sym_preproc_elif_token1] = ACTIONS(5017),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3422] = {
    [sym__variable_designation] = STATE(4005),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3422),
    [sym_preproc_endregion] = STATE(3422),
    [sym_preproc_line] = STATE(3422),
    [sym_preproc_pragma] = STATE(3422),
    [sym_preproc_nullable] = STATE(3422),
    [sym_preproc_error] = STATE(3422),
    [sym_preproc_define] = STATE(3422),
    [sym_preproc_undef] = STATE(3422),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4395),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3423] = {
    [sym__variable_designation] = STATE(4028),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3423),
    [sym_preproc_endregion] = STATE(3423),
    [sym_preproc_line] = STATE(3423),
    [sym_preproc_pragma] = STATE(3423),
    [sym_preproc_nullable] = STATE(3423),
    [sym_preproc_error] = STATE(3423),
    [sym_preproc_define] = STATE(3423),
    [sym_preproc_undef] = STATE(3423),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4435),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3424] = {
    [sym__variable_designation] = STATE(4006),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3424),
    [sym_preproc_endregion] = STATE(3424),
    [sym_preproc_line] = STATE(3424),
    [sym_preproc_pragma] = STATE(3424),
    [sym_preproc_nullable] = STATE(3424),
    [sym_preproc_error] = STATE(3424),
    [sym_preproc_define] = STATE(3424),
    [sym_preproc_undef] = STATE(3424),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4447),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3425] = {
    [sym_preproc_region] = STATE(3425),
    [sym_preproc_endregion] = STATE(3425),
    [sym_preproc_line] = STATE(3425),
    [sym_preproc_pragma] = STATE(3425),
    [sym_preproc_nullable] = STATE(3425),
    [sym_preproc_error] = STATE(3425),
    [sym_preproc_define] = STATE(3425),
    [sym_preproc_undef] = STATE(3425),
    [sym__identifier_token] = ACTIONS(3599),
    [anon_sym_extern] = ACTIONS(3599),
    [anon_sym_alias] = ACTIONS(3599),
    [anon_sym_global] = ACTIONS(3599),
    [anon_sym_using] = ACTIONS(3599),
    [anon_sym_unsafe] = ACTIONS(3599),
    [anon_sym_static] = ACTIONS(3599),
    [anon_sym_LBRACK] = ACTIONS(3601),
    [anon_sym_LPAREN] = ACTIONS(3601),
    [anon_sym_event] = ACTIONS(3599),
    [anon_sym_namespace] = ACTIONS(3599),
    [anon_sym_class] = ACTIONS(3599),
    [anon_sym_ref] = ACTIONS(3599),
    [anon_sym_struct] = ACTIONS(3599),
    [anon_sym_enum] = ACTIONS(3599),
    [anon_sym_RBRACE] = ACTIONS(3601),
    [anon_sym_interface] = ACTIONS(3599),
    [anon_sym_delegate] = ACTIONS(3599),
    [anon_sym_record] = ACTIONS(3599),
    [anon_sym_abstract] = ACTIONS(3599),
    [anon_sym_async] = ACTIONS(3599),
    [anon_sym_const] = ACTIONS(3599),
    [anon_sym_file] = ACTIONS(3599),
    [anon_sym_fixed] = ACTIONS(3599),
    [anon_sym_internal] = ACTIONS(3599),
    [anon_sym_new] = ACTIONS(3599),
    [anon_sym_override] = ACTIONS(3599),
    [anon_sym_partial] = ACTIONS(3599),
    [anon_sym_private] = ACTIONS(3599),
    [anon_sym_protected] = ACTIONS(3599),
    [anon_sym_public] = ACTIONS(3599),
    [anon_sym_readonly] = ACTIONS(3599),
    [anon_sym_required] = ACTIONS(3599),
    [anon_sym_sealed] = ACTIONS(3599),
    [anon_sym_virtual] = ACTIONS(3599),
    [anon_sym_volatile] = ACTIONS(3599),
    [anon_sym_where] = ACTIONS(3599),
    [anon_sym_notnull] = ACTIONS(3599),
    [anon_sym_unmanaged] = ACTIONS(3599),
    [anon_sym_TILDE] = ACTIONS(3601),
    [anon_sym_implicit] = ACTIONS(3599),
    [anon_sym_explicit] = ACTIONS(3599),
    [anon_sym_scoped] = ACTIONS(3599),
    [anon_sym_var] = ACTIONS(3599),
    [sym_predefined_type] = ACTIONS(3599),
    [anon_sym_yield] = ACTIONS(3599),
    [anon_sym_when] = ACTIONS(3599),
    [anon_sym_from] = ACTIONS(3599),
    [anon_sym_into] = ACTIONS(3599),
    [anon_sym_join] = ACTIONS(3599),
    [anon_sym_on] = ACTIONS(3599),
    [anon_sym_equals] = ACTIONS(3599),
    [anon_sym_let] = ACTIONS(3599),
    [anon_sym_orderby] = ACTIONS(3599),
    [anon_sym_ascending] = ACTIONS(3599),
    [anon_sym_descending] = ACTIONS(3599),
    [anon_sym_group] = ACTIONS(3599),
    [anon_sym_by] = ACTIONS(3599),
    [anon_sym_select] = ACTIONS(3599),
    [aux_sym_preproc_if_token1] = ACTIONS(3601),
    [aux_sym_preproc_if_token3] = ACTIONS(3601),
    [aux_sym_preproc_else_token1] = ACTIONS(3601),
    [aux_sym_preproc_elif_token1] = ACTIONS(3601),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3426] = {
    [sym_preproc_region] = STATE(3426),
    [sym_preproc_endregion] = STATE(3426),
    [sym_preproc_line] = STATE(3426),
    [sym_preproc_pragma] = STATE(3426),
    [sym_preproc_nullable] = STATE(3426),
    [sym_preproc_error] = STATE(3426),
    [sym_preproc_define] = STATE(3426),
    [sym_preproc_undef] = STATE(3426),
    [sym__identifier_token] = ACTIONS(3603),
    [anon_sym_extern] = ACTIONS(3603),
    [anon_sym_alias] = ACTIONS(3603),
    [anon_sym_global] = ACTIONS(3603),
    [anon_sym_using] = ACTIONS(3603),
    [anon_sym_unsafe] = ACTIONS(3603),
    [anon_sym_static] = ACTIONS(3603),
    [anon_sym_LBRACK] = ACTIONS(3605),
    [anon_sym_LPAREN] = ACTIONS(3605),
    [anon_sym_event] = ACTIONS(3603),
    [anon_sym_namespace] = ACTIONS(3603),
    [anon_sym_class] = ACTIONS(3603),
    [anon_sym_ref] = ACTIONS(3603),
    [anon_sym_struct] = ACTIONS(3603),
    [anon_sym_enum] = ACTIONS(3603),
    [anon_sym_RBRACE] = ACTIONS(3605),
    [anon_sym_interface] = ACTIONS(3603),
    [anon_sym_delegate] = ACTIONS(3603),
    [anon_sym_record] = ACTIONS(3603),
    [anon_sym_abstract] = ACTIONS(3603),
    [anon_sym_async] = ACTIONS(3603),
    [anon_sym_const] = ACTIONS(3603),
    [anon_sym_file] = ACTIONS(3603),
    [anon_sym_fixed] = ACTIONS(3603),
    [anon_sym_internal] = ACTIONS(3603),
    [anon_sym_new] = ACTIONS(3603),
    [anon_sym_override] = ACTIONS(3603),
    [anon_sym_partial] = ACTIONS(3603),
    [anon_sym_private] = ACTIONS(3603),
    [anon_sym_protected] = ACTIONS(3603),
    [anon_sym_public] = ACTIONS(3603),
    [anon_sym_readonly] = ACTIONS(3603),
    [anon_sym_required] = ACTIONS(3603),
    [anon_sym_sealed] = ACTIONS(3603),
    [anon_sym_virtual] = ACTIONS(3603),
    [anon_sym_volatile] = ACTIONS(3603),
    [anon_sym_where] = ACTIONS(3603),
    [anon_sym_notnull] = ACTIONS(3603),
    [anon_sym_unmanaged] = ACTIONS(3603),
    [anon_sym_TILDE] = ACTIONS(3605),
    [anon_sym_implicit] = ACTIONS(3603),
    [anon_sym_explicit] = ACTIONS(3603),
    [anon_sym_scoped] = ACTIONS(3603),
    [anon_sym_var] = ACTIONS(3603),
    [sym_predefined_type] = ACTIONS(3603),
    [anon_sym_yield] = ACTIONS(3603),
    [anon_sym_when] = ACTIONS(3603),
    [anon_sym_from] = ACTIONS(3603),
    [anon_sym_into] = ACTIONS(3603),
    [anon_sym_join] = ACTIONS(3603),
    [anon_sym_on] = ACTIONS(3603),
    [anon_sym_equals] = ACTIONS(3603),
    [anon_sym_let] = ACTIONS(3603),
    [anon_sym_orderby] = ACTIONS(3603),
    [anon_sym_ascending] = ACTIONS(3603),
    [anon_sym_descending] = ACTIONS(3603),
    [anon_sym_group] = ACTIONS(3603),
    [anon_sym_by] = ACTIONS(3603),
    [anon_sym_select] = ACTIONS(3603),
    [aux_sym_preproc_if_token1] = ACTIONS(3605),
    [aux_sym_preproc_if_token3] = ACTIONS(3605),
    [aux_sym_preproc_else_token1] = ACTIONS(3605),
    [aux_sym_preproc_elif_token1] = ACTIONS(3605),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3427] = {
    [sym_preproc_region] = STATE(3427),
    [sym_preproc_endregion] = STATE(3427),
    [sym_preproc_line] = STATE(3427),
    [sym_preproc_pragma] = STATE(3427),
    [sym_preproc_nullable] = STATE(3427),
    [sym_preproc_error] = STATE(3427),
    [sym_preproc_define] = STATE(3427),
    [sym_preproc_undef] = STATE(3427),
    [sym__identifier_token] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym_alias] = ACTIONS(5019),
    [anon_sym_global] = ACTIONS(5019),
    [anon_sym_using] = ACTIONS(5019),
    [anon_sym_unsafe] = ACTIONS(5019),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_LBRACK] = ACTIONS(5021),
    [anon_sym_LPAREN] = ACTIONS(5021),
    [anon_sym_event] = ACTIONS(5019),
    [anon_sym_namespace] = ACTIONS(5019),
    [anon_sym_class] = ACTIONS(5019),
    [anon_sym_ref] = ACTIONS(5019),
    [anon_sym_struct] = ACTIONS(5019),
    [anon_sym_enum] = ACTIONS(5019),
    [anon_sym_RBRACE] = ACTIONS(5021),
    [anon_sym_interface] = ACTIONS(5019),
    [anon_sym_delegate] = ACTIONS(5019),
    [anon_sym_record] = ACTIONS(5019),
    [anon_sym_abstract] = ACTIONS(5019),
    [anon_sym_async] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_file] = ACTIONS(5019),
    [anon_sym_fixed] = ACTIONS(5019),
    [anon_sym_internal] = ACTIONS(5019),
    [anon_sym_new] = ACTIONS(5019),
    [anon_sym_override] = ACTIONS(5019),
    [anon_sym_partial] = ACTIONS(5019),
    [anon_sym_private] = ACTIONS(5019),
    [anon_sym_protected] = ACTIONS(5019),
    [anon_sym_public] = ACTIONS(5019),
    [anon_sym_readonly] = ACTIONS(5019),
    [anon_sym_required] = ACTIONS(5019),
    [anon_sym_sealed] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_where] = ACTIONS(5019),
    [anon_sym_notnull] = ACTIONS(5019),
    [anon_sym_unmanaged] = ACTIONS(5019),
    [anon_sym_TILDE] = ACTIONS(5021),
    [anon_sym_implicit] = ACTIONS(5019),
    [anon_sym_explicit] = ACTIONS(5019),
    [anon_sym_scoped] = ACTIONS(5019),
    [anon_sym_var] = ACTIONS(5019),
    [sym_predefined_type] = ACTIONS(5019),
    [anon_sym_yield] = ACTIONS(5019),
    [anon_sym_when] = ACTIONS(5019),
    [anon_sym_from] = ACTIONS(5019),
    [anon_sym_into] = ACTIONS(5019),
    [anon_sym_join] = ACTIONS(5019),
    [anon_sym_on] = ACTIONS(5019),
    [anon_sym_equals] = ACTIONS(5019),
    [anon_sym_let] = ACTIONS(5019),
    [anon_sym_orderby] = ACTIONS(5019),
    [anon_sym_ascending] = ACTIONS(5019),
    [anon_sym_descending] = ACTIONS(5019),
    [anon_sym_group] = ACTIONS(5019),
    [anon_sym_by] = ACTIONS(5019),
    [anon_sym_select] = ACTIONS(5019),
    [aux_sym_preproc_if_token1] = ACTIONS(5021),
    [aux_sym_preproc_if_token3] = ACTIONS(5021),
    [aux_sym_preproc_else_token1] = ACTIONS(5021),
    [aux_sym_preproc_elif_token1] = ACTIONS(5021),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3428] = {
    [sym_preproc_region] = STATE(3428),
    [sym_preproc_endregion] = STATE(3428),
    [sym_preproc_line] = STATE(3428),
    [sym_preproc_pragma] = STATE(3428),
    [sym_preproc_nullable] = STATE(3428),
    [sym_preproc_error] = STATE(3428),
    [sym_preproc_define] = STATE(3428),
    [sym_preproc_undef] = STATE(3428),
    [sym__identifier_token] = ACTIONS(4467),
    [anon_sym_alias] = ACTIONS(4467),
    [anon_sym_global] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_LPAREN] = ACTIONS(4469),
    [anon_sym_LBRACE] = ACTIONS(4469),
    [anon_sym_file] = ACTIONS(4467),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_GT] = ACTIONS(4467),
    [anon_sym_where] = ACTIONS(4467),
    [anon_sym_QMARK] = ACTIONS(4467),
    [anon_sym_notnull] = ACTIONS(4467),
    [anon_sym_unmanaged] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(4467),
    [anon_sym_PLUS_PLUS] = ACTIONS(4469),
    [anon_sym_DASH_DASH] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_STAR] = ACTIONS(4469),
    [anon_sym_SLASH] = ACTIONS(4467),
    [anon_sym_PERCENT] = ACTIONS(4469),
    [anon_sym_CARET] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4467),
    [anon_sym_LT_LT] = ACTIONS(4469),
    [anon_sym_GT_GT] = ACTIONS(4467),
    [anon_sym_GT_GT_GT] = ACTIONS(4469),
    [anon_sym_EQ_EQ] = ACTIONS(4469),
    [anon_sym_BANG_EQ] = ACTIONS(4469),
    [anon_sym_GT_EQ] = ACTIONS(4469),
    [anon_sym_LT_EQ] = ACTIONS(4469),
    [anon_sym_DOT] = ACTIONS(4467),
    [anon_sym_scoped] = ACTIONS(4467),
    [anon_sym_var] = ACTIONS(4467),
    [anon_sym_yield] = ACTIONS(4467),
    [anon_sym_switch] = ACTIONS(4467),
    [anon_sym_when] = ACTIONS(4467),
    [sym_discard] = ACTIONS(4467),
    [anon_sym_DOT_DOT] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4467),
    [anon_sym_or] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4469),
    [anon_sym_PIPE_PIPE] = ACTIONS(4469),
    [anon_sym_QMARK_QMARK] = ACTIONS(4469),
    [anon_sym_from] = ACTIONS(4467),
    [anon_sym_into] = ACTIONS(4467),
    [anon_sym_join] = ACTIONS(4467),
    [anon_sym_on] = ACTIONS(4467),
    [anon_sym_equals] = ACTIONS(4467),
    [anon_sym_let] = ACTIONS(4467),
    [anon_sym_orderby] = ACTIONS(4467),
    [anon_sym_ascending] = ACTIONS(4467),
    [anon_sym_descending] = ACTIONS(4467),
    [anon_sym_group] = ACTIONS(4467),
    [anon_sym_by] = ACTIONS(4467),
    [anon_sym_select] = ACTIONS(4467),
    [anon_sym_as] = ACTIONS(4467),
    [anon_sym_is] = ACTIONS(4467),
    [anon_sym_DASH_GT] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4467),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4469),
  },
  [3429] = {
    [sym__variable_designation] = STATE(4079),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3429),
    [sym_preproc_endregion] = STATE(3429),
    [sym_preproc_line] = STATE(3429),
    [sym_preproc_pragma] = STATE(3429),
    [sym_preproc_nullable] = STATE(3429),
    [sym_preproc_error] = STATE(3429),
    [sym_preproc_define] = STATE(3429),
    [sym_preproc_undef] = STATE(3429),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4405),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4405),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3430] = {
    [sym__variable_designation] = STATE(4005),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3430),
    [sym_preproc_endregion] = STATE(3430),
    [sym_preproc_line] = STATE(3430),
    [sym_preproc_pragma] = STATE(3430),
    [sym_preproc_nullable] = STATE(3430),
    [sym_preproc_error] = STATE(3430),
    [sym_preproc_define] = STATE(3430),
    [sym_preproc_undef] = STATE(3430),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4395),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4395),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3431] = {
    [sym__variable_designation] = STATE(4028),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3431),
    [sym_preproc_endregion] = STATE(3431),
    [sym_preproc_line] = STATE(3431),
    [sym_preproc_pragma] = STATE(3431),
    [sym_preproc_nullable] = STATE(3431),
    [sym_preproc_error] = STATE(3431),
    [sym_preproc_define] = STATE(3431),
    [sym_preproc_undef] = STATE(3431),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4433),
    [anon_sym_LPAREN] = ACTIONS(4433),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4435),
    [anon_sym_GT] = ACTIONS(4435),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4435),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4435),
    [anon_sym_PLUS_PLUS] = ACTIONS(4433),
    [anon_sym_DASH_DASH] = ACTIONS(4433),
    [anon_sym_PLUS] = ACTIONS(4435),
    [anon_sym_DASH] = ACTIONS(4435),
    [anon_sym_STAR] = ACTIONS(4433),
    [anon_sym_SLASH] = ACTIONS(4435),
    [anon_sym_PERCENT] = ACTIONS(4433),
    [anon_sym_CARET] = ACTIONS(4433),
    [anon_sym_PIPE] = ACTIONS(4435),
    [anon_sym_AMP] = ACTIONS(4435),
    [anon_sym_LT_LT] = ACTIONS(4433),
    [anon_sym_GT_GT] = ACTIONS(4435),
    [anon_sym_GT_GT_GT] = ACTIONS(4433),
    [anon_sym_EQ_EQ] = ACTIONS(4433),
    [anon_sym_BANG_EQ] = ACTIONS(4433),
    [anon_sym_GT_EQ] = ACTIONS(4433),
    [anon_sym_LT_EQ] = ACTIONS(4433),
    [anon_sym_DOT] = ACTIONS(4435),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4435),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4433),
    [anon_sym_and] = ACTIONS(4435),
    [anon_sym_or] = ACTIONS(4435),
    [anon_sym_AMP_AMP] = ACTIONS(4433),
    [anon_sym_PIPE_PIPE] = ACTIONS(4433),
    [anon_sym_QMARK_QMARK] = ACTIONS(4433),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4435),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4435),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4435),
    [anon_sym_is] = ACTIONS(4435),
    [anon_sym_DASH_GT] = ACTIONS(4433),
    [anon_sym_with] = ACTIONS(4435),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3432] = {
    [sym__variable_designation] = STATE(4006),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3432),
    [sym_preproc_endregion] = STATE(3432),
    [sym_preproc_line] = STATE(3432),
    [sym_preproc_pragma] = STATE(3432),
    [sym_preproc_nullable] = STATE(3432),
    [sym_preproc_error] = STATE(3432),
    [sym_preproc_define] = STATE(3432),
    [sym_preproc_undef] = STATE(3432),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4447),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4343),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3433] = {
    [sym_preproc_region] = STATE(3433),
    [sym_preproc_endregion] = STATE(3433),
    [sym_preproc_line] = STATE(3433),
    [sym_preproc_pragma] = STATE(3433),
    [sym_preproc_nullable] = STATE(3433),
    [sym_preproc_error] = STATE(3433),
    [sym_preproc_define] = STATE(3433),
    [sym_preproc_undef] = STATE(3433),
    [sym__identifier_token] = ACTIONS(3611),
    [anon_sym_extern] = ACTIONS(3611),
    [anon_sym_alias] = ACTIONS(3611),
    [anon_sym_global] = ACTIONS(3611),
    [anon_sym_using] = ACTIONS(3611),
    [anon_sym_unsafe] = ACTIONS(3611),
    [anon_sym_static] = ACTIONS(3611),
    [anon_sym_LBRACK] = ACTIONS(3613),
    [anon_sym_LPAREN] = ACTIONS(3613),
    [anon_sym_event] = ACTIONS(3611),
    [anon_sym_namespace] = ACTIONS(3611),
    [anon_sym_class] = ACTIONS(3611),
    [anon_sym_ref] = ACTIONS(3611),
    [anon_sym_struct] = ACTIONS(3611),
    [anon_sym_enum] = ACTIONS(3611),
    [anon_sym_RBRACE] = ACTIONS(3613),
    [anon_sym_interface] = ACTIONS(3611),
    [anon_sym_delegate] = ACTIONS(3611),
    [anon_sym_record] = ACTIONS(3611),
    [anon_sym_abstract] = ACTIONS(3611),
    [anon_sym_async] = ACTIONS(3611),
    [anon_sym_const] = ACTIONS(3611),
    [anon_sym_file] = ACTIONS(3611),
    [anon_sym_fixed] = ACTIONS(3611),
    [anon_sym_internal] = ACTIONS(3611),
    [anon_sym_new] = ACTIONS(3611),
    [anon_sym_override] = ACTIONS(3611),
    [anon_sym_partial] = ACTIONS(3611),
    [anon_sym_private] = ACTIONS(3611),
    [anon_sym_protected] = ACTIONS(3611),
    [anon_sym_public] = ACTIONS(3611),
    [anon_sym_readonly] = ACTIONS(3611),
    [anon_sym_required] = ACTIONS(3611),
    [anon_sym_sealed] = ACTIONS(3611),
    [anon_sym_virtual] = ACTIONS(3611),
    [anon_sym_volatile] = ACTIONS(3611),
    [anon_sym_where] = ACTIONS(3611),
    [anon_sym_notnull] = ACTIONS(3611),
    [anon_sym_unmanaged] = ACTIONS(3611),
    [anon_sym_TILDE] = ACTIONS(3613),
    [anon_sym_implicit] = ACTIONS(3611),
    [anon_sym_explicit] = ACTIONS(3611),
    [anon_sym_scoped] = ACTIONS(3611),
    [anon_sym_var] = ACTIONS(3611),
    [sym_predefined_type] = ACTIONS(3611),
    [anon_sym_yield] = ACTIONS(3611),
    [anon_sym_when] = ACTIONS(3611),
    [anon_sym_from] = ACTIONS(3611),
    [anon_sym_into] = ACTIONS(3611),
    [anon_sym_join] = ACTIONS(3611),
    [anon_sym_on] = ACTIONS(3611),
    [anon_sym_equals] = ACTIONS(3611),
    [anon_sym_let] = ACTIONS(3611),
    [anon_sym_orderby] = ACTIONS(3611),
    [anon_sym_ascending] = ACTIONS(3611),
    [anon_sym_descending] = ACTIONS(3611),
    [anon_sym_group] = ACTIONS(3611),
    [anon_sym_by] = ACTIONS(3611),
    [anon_sym_select] = ACTIONS(3611),
    [aux_sym_preproc_if_token1] = ACTIONS(3613),
    [aux_sym_preproc_if_token3] = ACTIONS(3613),
    [aux_sym_preproc_else_token1] = ACTIONS(3613),
    [aux_sym_preproc_elif_token1] = ACTIONS(3613),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3434] = {
    [sym_preproc_region] = STATE(3434),
    [sym_preproc_endregion] = STATE(3434),
    [sym_preproc_line] = STATE(3434),
    [sym_preproc_pragma] = STATE(3434),
    [sym_preproc_nullable] = STATE(3434),
    [sym_preproc_error] = STATE(3434),
    [sym_preproc_define] = STATE(3434),
    [sym_preproc_undef] = STATE(3434),
    [sym__identifier_token] = ACTIONS(3689),
    [anon_sym_extern] = ACTIONS(3689),
    [anon_sym_alias] = ACTIONS(3689),
    [anon_sym_global] = ACTIONS(3689),
    [anon_sym_using] = ACTIONS(3689),
    [anon_sym_unsafe] = ACTIONS(3689),
    [anon_sym_static] = ACTIONS(3689),
    [anon_sym_LBRACK] = ACTIONS(3691),
    [anon_sym_LPAREN] = ACTIONS(3691),
    [anon_sym_event] = ACTIONS(3689),
    [anon_sym_namespace] = ACTIONS(3689),
    [anon_sym_class] = ACTIONS(3689),
    [anon_sym_ref] = ACTIONS(3689),
    [anon_sym_struct] = ACTIONS(3689),
    [anon_sym_enum] = ACTIONS(3689),
    [anon_sym_RBRACE] = ACTIONS(3691),
    [anon_sym_interface] = ACTIONS(3689),
    [anon_sym_delegate] = ACTIONS(3689),
    [anon_sym_record] = ACTIONS(3689),
    [anon_sym_abstract] = ACTIONS(3689),
    [anon_sym_async] = ACTIONS(3689),
    [anon_sym_const] = ACTIONS(3689),
    [anon_sym_file] = ACTIONS(3689),
    [anon_sym_fixed] = ACTIONS(3689),
    [anon_sym_internal] = ACTIONS(3689),
    [anon_sym_new] = ACTIONS(3689),
    [anon_sym_override] = ACTIONS(3689),
    [anon_sym_partial] = ACTIONS(3689),
    [anon_sym_private] = ACTIONS(3689),
    [anon_sym_protected] = ACTIONS(3689),
    [anon_sym_public] = ACTIONS(3689),
    [anon_sym_readonly] = ACTIONS(3689),
    [anon_sym_required] = ACTIONS(3689),
    [anon_sym_sealed] = ACTIONS(3689),
    [anon_sym_virtual] = ACTIONS(3689),
    [anon_sym_volatile] = ACTIONS(3689),
    [anon_sym_where] = ACTIONS(3689),
    [anon_sym_notnull] = ACTIONS(3689),
    [anon_sym_unmanaged] = ACTIONS(3689),
    [anon_sym_TILDE] = ACTIONS(3691),
    [anon_sym_implicit] = ACTIONS(3689),
    [anon_sym_explicit] = ACTIONS(3689),
    [anon_sym_scoped] = ACTIONS(3689),
    [anon_sym_var] = ACTIONS(3689),
    [sym_predefined_type] = ACTIONS(3689),
    [anon_sym_yield] = ACTIONS(3689),
    [anon_sym_when] = ACTIONS(3689),
    [anon_sym_from] = ACTIONS(3689),
    [anon_sym_into] = ACTIONS(3689),
    [anon_sym_join] = ACTIONS(3689),
    [anon_sym_on] = ACTIONS(3689),
    [anon_sym_equals] = ACTIONS(3689),
    [anon_sym_let] = ACTIONS(3689),
    [anon_sym_orderby] = ACTIONS(3689),
    [anon_sym_ascending] = ACTIONS(3689),
    [anon_sym_descending] = ACTIONS(3689),
    [anon_sym_group] = ACTIONS(3689),
    [anon_sym_by] = ACTIONS(3689),
    [anon_sym_select] = ACTIONS(3689),
    [aux_sym_preproc_if_token1] = ACTIONS(3691),
    [aux_sym_preproc_if_token3] = ACTIONS(3691),
    [aux_sym_preproc_else_token1] = ACTIONS(3691),
    [aux_sym_preproc_elif_token1] = ACTIONS(3691),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3435] = {
    [sym_preproc_region] = STATE(3435),
    [sym_preproc_endregion] = STATE(3435),
    [sym_preproc_line] = STATE(3435),
    [sym_preproc_pragma] = STATE(3435),
    [sym_preproc_nullable] = STATE(3435),
    [sym_preproc_error] = STATE(3435),
    [sym_preproc_define] = STATE(3435),
    [sym_preproc_undef] = STATE(3435),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5023),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4849),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3436] = {
    [sym_preproc_region] = STATE(3436),
    [sym_preproc_endregion] = STATE(3436),
    [sym_preproc_line] = STATE(3436),
    [sym_preproc_pragma] = STATE(3436),
    [sym_preproc_nullable] = STATE(3436),
    [sym_preproc_error] = STATE(3436),
    [sym_preproc_define] = STATE(3436),
    [sym_preproc_undef] = STATE(3436),
    [sym__identifier_token] = ACTIONS(3693),
    [anon_sym_extern] = ACTIONS(3693),
    [anon_sym_alias] = ACTIONS(3693),
    [anon_sym_global] = ACTIONS(3693),
    [anon_sym_using] = ACTIONS(3693),
    [anon_sym_unsafe] = ACTIONS(3693),
    [anon_sym_static] = ACTIONS(3693),
    [anon_sym_LBRACK] = ACTIONS(3695),
    [anon_sym_LPAREN] = ACTIONS(3695),
    [anon_sym_event] = ACTIONS(3693),
    [anon_sym_namespace] = ACTIONS(3693),
    [anon_sym_class] = ACTIONS(3693),
    [anon_sym_ref] = ACTIONS(3693),
    [anon_sym_struct] = ACTIONS(3693),
    [anon_sym_enum] = ACTIONS(3693),
    [anon_sym_RBRACE] = ACTIONS(3695),
    [anon_sym_interface] = ACTIONS(3693),
    [anon_sym_delegate] = ACTIONS(3693),
    [anon_sym_record] = ACTIONS(3693),
    [anon_sym_abstract] = ACTIONS(3693),
    [anon_sym_async] = ACTIONS(3693),
    [anon_sym_const] = ACTIONS(3693),
    [anon_sym_file] = ACTIONS(3693),
    [anon_sym_fixed] = ACTIONS(3693),
    [anon_sym_internal] = ACTIONS(3693),
    [anon_sym_new] = ACTIONS(3693),
    [anon_sym_override] = ACTIONS(3693),
    [anon_sym_partial] = ACTIONS(3693),
    [anon_sym_private] = ACTIONS(3693),
    [anon_sym_protected] = ACTIONS(3693),
    [anon_sym_public] = ACTIONS(3693),
    [anon_sym_readonly] = ACTIONS(3693),
    [anon_sym_required] = ACTIONS(3693),
    [anon_sym_sealed] = ACTIONS(3693),
    [anon_sym_virtual] = ACTIONS(3693),
    [anon_sym_volatile] = ACTIONS(3693),
    [anon_sym_where] = ACTIONS(3693),
    [anon_sym_notnull] = ACTIONS(3693),
    [anon_sym_unmanaged] = ACTIONS(3693),
    [anon_sym_TILDE] = ACTIONS(3695),
    [anon_sym_implicit] = ACTIONS(3693),
    [anon_sym_explicit] = ACTIONS(3693),
    [anon_sym_scoped] = ACTIONS(3693),
    [anon_sym_var] = ACTIONS(3693),
    [sym_predefined_type] = ACTIONS(3693),
    [anon_sym_yield] = ACTIONS(3693),
    [anon_sym_when] = ACTIONS(3693),
    [anon_sym_from] = ACTIONS(3693),
    [anon_sym_into] = ACTIONS(3693),
    [anon_sym_join] = ACTIONS(3693),
    [anon_sym_on] = ACTIONS(3693),
    [anon_sym_equals] = ACTIONS(3693),
    [anon_sym_let] = ACTIONS(3693),
    [anon_sym_orderby] = ACTIONS(3693),
    [anon_sym_ascending] = ACTIONS(3693),
    [anon_sym_descending] = ACTIONS(3693),
    [anon_sym_group] = ACTIONS(3693),
    [anon_sym_by] = ACTIONS(3693),
    [anon_sym_select] = ACTIONS(3693),
    [aux_sym_preproc_if_token1] = ACTIONS(3695),
    [aux_sym_preproc_if_token3] = ACTIONS(3695),
    [aux_sym_preproc_else_token1] = ACTIONS(3695),
    [aux_sym_preproc_elif_token1] = ACTIONS(3695),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3437] = {
    [sym_preproc_region] = STATE(3437),
    [sym_preproc_endregion] = STATE(3437),
    [sym_preproc_line] = STATE(3437),
    [sym_preproc_pragma] = STATE(3437),
    [sym_preproc_nullable] = STATE(3437),
    [sym_preproc_error] = STATE(3437),
    [sym_preproc_define] = STATE(3437),
    [sym_preproc_undef] = STATE(3437),
    [sym__identifier_token] = ACTIONS(3697),
    [anon_sym_extern] = ACTIONS(3697),
    [anon_sym_alias] = ACTIONS(3697),
    [anon_sym_global] = ACTIONS(3697),
    [anon_sym_using] = ACTIONS(3697),
    [anon_sym_unsafe] = ACTIONS(3697),
    [anon_sym_static] = ACTIONS(3697),
    [anon_sym_LBRACK] = ACTIONS(3699),
    [anon_sym_LPAREN] = ACTIONS(3699),
    [anon_sym_event] = ACTIONS(3697),
    [anon_sym_namespace] = ACTIONS(3697),
    [anon_sym_class] = ACTIONS(3697),
    [anon_sym_ref] = ACTIONS(3697),
    [anon_sym_struct] = ACTIONS(3697),
    [anon_sym_enum] = ACTIONS(3697),
    [anon_sym_RBRACE] = ACTIONS(3699),
    [anon_sym_interface] = ACTIONS(3697),
    [anon_sym_delegate] = ACTIONS(3697),
    [anon_sym_record] = ACTIONS(3697),
    [anon_sym_abstract] = ACTIONS(3697),
    [anon_sym_async] = ACTIONS(3697),
    [anon_sym_const] = ACTIONS(3697),
    [anon_sym_file] = ACTIONS(3697),
    [anon_sym_fixed] = ACTIONS(3697),
    [anon_sym_internal] = ACTIONS(3697),
    [anon_sym_new] = ACTIONS(3697),
    [anon_sym_override] = ACTIONS(3697),
    [anon_sym_partial] = ACTIONS(3697),
    [anon_sym_private] = ACTIONS(3697),
    [anon_sym_protected] = ACTIONS(3697),
    [anon_sym_public] = ACTIONS(3697),
    [anon_sym_readonly] = ACTIONS(3697),
    [anon_sym_required] = ACTIONS(3697),
    [anon_sym_sealed] = ACTIONS(3697),
    [anon_sym_virtual] = ACTIONS(3697),
    [anon_sym_volatile] = ACTIONS(3697),
    [anon_sym_where] = ACTIONS(3697),
    [anon_sym_notnull] = ACTIONS(3697),
    [anon_sym_unmanaged] = ACTIONS(3697),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_implicit] = ACTIONS(3697),
    [anon_sym_explicit] = ACTIONS(3697),
    [anon_sym_scoped] = ACTIONS(3697),
    [anon_sym_var] = ACTIONS(3697),
    [sym_predefined_type] = ACTIONS(3697),
    [anon_sym_yield] = ACTIONS(3697),
    [anon_sym_when] = ACTIONS(3697),
    [anon_sym_from] = ACTIONS(3697),
    [anon_sym_into] = ACTIONS(3697),
    [anon_sym_join] = ACTIONS(3697),
    [anon_sym_on] = ACTIONS(3697),
    [anon_sym_equals] = ACTIONS(3697),
    [anon_sym_let] = ACTIONS(3697),
    [anon_sym_orderby] = ACTIONS(3697),
    [anon_sym_ascending] = ACTIONS(3697),
    [anon_sym_descending] = ACTIONS(3697),
    [anon_sym_group] = ACTIONS(3697),
    [anon_sym_by] = ACTIONS(3697),
    [anon_sym_select] = ACTIONS(3697),
    [aux_sym_preproc_if_token1] = ACTIONS(3699),
    [aux_sym_preproc_if_token3] = ACTIONS(3699),
    [aux_sym_preproc_else_token1] = ACTIONS(3699),
    [aux_sym_preproc_elif_token1] = ACTIONS(3699),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3438] = {
    [sym_preproc_region] = STATE(3438),
    [sym_preproc_endregion] = STATE(3438),
    [sym_preproc_line] = STATE(3438),
    [sym_preproc_pragma] = STATE(3438),
    [sym_preproc_nullable] = STATE(3438),
    [sym_preproc_error] = STATE(3438),
    [sym_preproc_define] = STATE(3438),
    [sym_preproc_undef] = STATE(3438),
    [sym__identifier_token] = ACTIONS(3701),
    [anon_sym_extern] = ACTIONS(3701),
    [anon_sym_alias] = ACTIONS(3701),
    [anon_sym_global] = ACTIONS(3701),
    [anon_sym_using] = ACTIONS(3701),
    [anon_sym_unsafe] = ACTIONS(3701),
    [anon_sym_static] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3703),
    [anon_sym_LPAREN] = ACTIONS(3703),
    [anon_sym_event] = ACTIONS(3701),
    [anon_sym_namespace] = ACTIONS(3701),
    [anon_sym_class] = ACTIONS(3701),
    [anon_sym_ref] = ACTIONS(3701),
    [anon_sym_struct] = ACTIONS(3701),
    [anon_sym_enum] = ACTIONS(3701),
    [anon_sym_RBRACE] = ACTIONS(3703),
    [anon_sym_interface] = ACTIONS(3701),
    [anon_sym_delegate] = ACTIONS(3701),
    [anon_sym_record] = ACTIONS(3701),
    [anon_sym_abstract] = ACTIONS(3701),
    [anon_sym_async] = ACTIONS(3701),
    [anon_sym_const] = ACTIONS(3701),
    [anon_sym_file] = ACTIONS(3701),
    [anon_sym_fixed] = ACTIONS(3701),
    [anon_sym_internal] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3701),
    [anon_sym_override] = ACTIONS(3701),
    [anon_sym_partial] = ACTIONS(3701),
    [anon_sym_private] = ACTIONS(3701),
    [anon_sym_protected] = ACTIONS(3701),
    [anon_sym_public] = ACTIONS(3701),
    [anon_sym_readonly] = ACTIONS(3701),
    [anon_sym_required] = ACTIONS(3701),
    [anon_sym_sealed] = ACTIONS(3701),
    [anon_sym_virtual] = ACTIONS(3701),
    [anon_sym_volatile] = ACTIONS(3701),
    [anon_sym_where] = ACTIONS(3701),
    [anon_sym_notnull] = ACTIONS(3701),
    [anon_sym_unmanaged] = ACTIONS(3701),
    [anon_sym_TILDE] = ACTIONS(3703),
    [anon_sym_implicit] = ACTIONS(3701),
    [anon_sym_explicit] = ACTIONS(3701),
    [anon_sym_scoped] = ACTIONS(3701),
    [anon_sym_var] = ACTIONS(3701),
    [sym_predefined_type] = ACTIONS(3701),
    [anon_sym_yield] = ACTIONS(3701),
    [anon_sym_when] = ACTIONS(3701),
    [anon_sym_from] = ACTIONS(3701),
    [anon_sym_into] = ACTIONS(3701),
    [anon_sym_join] = ACTIONS(3701),
    [anon_sym_on] = ACTIONS(3701),
    [anon_sym_equals] = ACTIONS(3701),
    [anon_sym_let] = ACTIONS(3701),
    [anon_sym_orderby] = ACTIONS(3701),
    [anon_sym_ascending] = ACTIONS(3701),
    [anon_sym_descending] = ACTIONS(3701),
    [anon_sym_group] = ACTIONS(3701),
    [anon_sym_by] = ACTIONS(3701),
    [anon_sym_select] = ACTIONS(3701),
    [aux_sym_preproc_if_token1] = ACTIONS(3703),
    [aux_sym_preproc_if_token3] = ACTIONS(3703),
    [aux_sym_preproc_else_token1] = ACTIONS(3703),
    [aux_sym_preproc_elif_token1] = ACTIONS(3703),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3439] = {
    [sym_preproc_region] = STATE(3439),
    [sym_preproc_endregion] = STATE(3439),
    [sym_preproc_line] = STATE(3439),
    [sym_preproc_pragma] = STATE(3439),
    [sym_preproc_nullable] = STATE(3439),
    [sym_preproc_error] = STATE(3439),
    [sym_preproc_define] = STATE(3439),
    [sym_preproc_undef] = STATE(3439),
    [sym__identifier_token] = ACTIONS(3705),
    [anon_sym_extern] = ACTIONS(3705),
    [anon_sym_alias] = ACTIONS(3705),
    [anon_sym_global] = ACTIONS(3705),
    [anon_sym_using] = ACTIONS(3705),
    [anon_sym_unsafe] = ACTIONS(3705),
    [anon_sym_static] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3707),
    [anon_sym_LPAREN] = ACTIONS(3707),
    [anon_sym_event] = ACTIONS(3705),
    [anon_sym_namespace] = ACTIONS(3705),
    [anon_sym_class] = ACTIONS(3705),
    [anon_sym_ref] = ACTIONS(3705),
    [anon_sym_struct] = ACTIONS(3705),
    [anon_sym_enum] = ACTIONS(3705),
    [anon_sym_RBRACE] = ACTIONS(3707),
    [anon_sym_interface] = ACTIONS(3705),
    [anon_sym_delegate] = ACTIONS(3705),
    [anon_sym_record] = ACTIONS(3705),
    [anon_sym_abstract] = ACTIONS(3705),
    [anon_sym_async] = ACTIONS(3705),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_file] = ACTIONS(3705),
    [anon_sym_fixed] = ACTIONS(3705),
    [anon_sym_internal] = ACTIONS(3705),
    [anon_sym_new] = ACTIONS(3705),
    [anon_sym_override] = ACTIONS(3705),
    [anon_sym_partial] = ACTIONS(3705),
    [anon_sym_private] = ACTIONS(3705),
    [anon_sym_protected] = ACTIONS(3705),
    [anon_sym_public] = ACTIONS(3705),
    [anon_sym_readonly] = ACTIONS(3705),
    [anon_sym_required] = ACTIONS(3705),
    [anon_sym_sealed] = ACTIONS(3705),
    [anon_sym_virtual] = ACTIONS(3705),
    [anon_sym_volatile] = ACTIONS(3705),
    [anon_sym_where] = ACTIONS(3705),
    [anon_sym_notnull] = ACTIONS(3705),
    [anon_sym_unmanaged] = ACTIONS(3705),
    [anon_sym_TILDE] = ACTIONS(3707),
    [anon_sym_implicit] = ACTIONS(3705),
    [anon_sym_explicit] = ACTIONS(3705),
    [anon_sym_scoped] = ACTIONS(3705),
    [anon_sym_var] = ACTIONS(3705),
    [sym_predefined_type] = ACTIONS(3705),
    [anon_sym_yield] = ACTIONS(3705),
    [anon_sym_when] = ACTIONS(3705),
    [anon_sym_from] = ACTIONS(3705),
    [anon_sym_into] = ACTIONS(3705),
    [anon_sym_join] = ACTIONS(3705),
    [anon_sym_on] = ACTIONS(3705),
    [anon_sym_equals] = ACTIONS(3705),
    [anon_sym_let] = ACTIONS(3705),
    [anon_sym_orderby] = ACTIONS(3705),
    [anon_sym_ascending] = ACTIONS(3705),
    [anon_sym_descending] = ACTIONS(3705),
    [anon_sym_group] = ACTIONS(3705),
    [anon_sym_by] = ACTIONS(3705),
    [anon_sym_select] = ACTIONS(3705),
    [aux_sym_preproc_if_token1] = ACTIONS(3707),
    [aux_sym_preproc_if_token3] = ACTIONS(3707),
    [aux_sym_preproc_else_token1] = ACTIONS(3707),
    [aux_sym_preproc_elif_token1] = ACTIONS(3707),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3440] = {
    [sym_preproc_region] = STATE(3440),
    [sym_preproc_endregion] = STATE(3440),
    [sym_preproc_line] = STATE(3440),
    [sym_preproc_pragma] = STATE(3440),
    [sym_preproc_nullable] = STATE(3440),
    [sym_preproc_error] = STATE(3440),
    [sym_preproc_define] = STATE(3440),
    [sym_preproc_undef] = STATE(3440),
    [sym__identifier_token] = ACTIONS(3713),
    [anon_sym_extern] = ACTIONS(3713),
    [anon_sym_alias] = ACTIONS(3713),
    [anon_sym_global] = ACTIONS(3713),
    [anon_sym_using] = ACTIONS(3713),
    [anon_sym_unsafe] = ACTIONS(3713),
    [anon_sym_static] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3715),
    [anon_sym_LPAREN] = ACTIONS(3715),
    [anon_sym_event] = ACTIONS(3713),
    [anon_sym_namespace] = ACTIONS(3713),
    [anon_sym_class] = ACTIONS(3713),
    [anon_sym_ref] = ACTIONS(3713),
    [anon_sym_struct] = ACTIONS(3713),
    [anon_sym_enum] = ACTIONS(3713),
    [anon_sym_RBRACE] = ACTIONS(3715),
    [anon_sym_interface] = ACTIONS(3713),
    [anon_sym_delegate] = ACTIONS(3713),
    [anon_sym_record] = ACTIONS(3713),
    [anon_sym_abstract] = ACTIONS(3713),
    [anon_sym_async] = ACTIONS(3713),
    [anon_sym_const] = ACTIONS(3713),
    [anon_sym_file] = ACTIONS(3713),
    [anon_sym_fixed] = ACTIONS(3713),
    [anon_sym_internal] = ACTIONS(3713),
    [anon_sym_new] = ACTIONS(3713),
    [anon_sym_override] = ACTIONS(3713),
    [anon_sym_partial] = ACTIONS(3713),
    [anon_sym_private] = ACTIONS(3713),
    [anon_sym_protected] = ACTIONS(3713),
    [anon_sym_public] = ACTIONS(3713),
    [anon_sym_readonly] = ACTIONS(3713),
    [anon_sym_required] = ACTIONS(3713),
    [anon_sym_sealed] = ACTIONS(3713),
    [anon_sym_virtual] = ACTIONS(3713),
    [anon_sym_volatile] = ACTIONS(3713),
    [anon_sym_where] = ACTIONS(3713),
    [anon_sym_notnull] = ACTIONS(3713),
    [anon_sym_unmanaged] = ACTIONS(3713),
    [anon_sym_TILDE] = ACTIONS(3715),
    [anon_sym_implicit] = ACTIONS(3713),
    [anon_sym_explicit] = ACTIONS(3713),
    [anon_sym_scoped] = ACTIONS(3713),
    [anon_sym_var] = ACTIONS(3713),
    [sym_predefined_type] = ACTIONS(3713),
    [anon_sym_yield] = ACTIONS(3713),
    [anon_sym_when] = ACTIONS(3713),
    [anon_sym_from] = ACTIONS(3713),
    [anon_sym_into] = ACTIONS(3713),
    [anon_sym_join] = ACTIONS(3713),
    [anon_sym_on] = ACTIONS(3713),
    [anon_sym_equals] = ACTIONS(3713),
    [anon_sym_let] = ACTIONS(3713),
    [anon_sym_orderby] = ACTIONS(3713),
    [anon_sym_ascending] = ACTIONS(3713),
    [anon_sym_descending] = ACTIONS(3713),
    [anon_sym_group] = ACTIONS(3713),
    [anon_sym_by] = ACTIONS(3713),
    [anon_sym_select] = ACTIONS(3713),
    [aux_sym_preproc_if_token1] = ACTIONS(3715),
    [aux_sym_preproc_if_token3] = ACTIONS(3715),
    [aux_sym_preproc_else_token1] = ACTIONS(3715),
    [aux_sym_preproc_elif_token1] = ACTIONS(3715),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3441] = {
    [sym_preproc_region] = STATE(3441),
    [sym_preproc_endregion] = STATE(3441),
    [sym_preproc_line] = STATE(3441),
    [sym_preproc_pragma] = STATE(3441),
    [sym_preproc_nullable] = STATE(3441),
    [sym_preproc_error] = STATE(3441),
    [sym_preproc_define] = STATE(3441),
    [sym_preproc_undef] = STATE(3441),
    [sym__identifier_token] = ACTIONS(3717),
    [anon_sym_extern] = ACTIONS(3717),
    [anon_sym_alias] = ACTIONS(3717),
    [anon_sym_global] = ACTIONS(3717),
    [anon_sym_using] = ACTIONS(3717),
    [anon_sym_unsafe] = ACTIONS(3717),
    [anon_sym_static] = ACTIONS(3717),
    [anon_sym_LBRACK] = ACTIONS(3719),
    [anon_sym_LPAREN] = ACTIONS(3719),
    [anon_sym_event] = ACTIONS(3717),
    [anon_sym_namespace] = ACTIONS(3717),
    [anon_sym_class] = ACTIONS(3717),
    [anon_sym_ref] = ACTIONS(3717),
    [anon_sym_struct] = ACTIONS(3717),
    [anon_sym_enum] = ACTIONS(3717),
    [anon_sym_RBRACE] = ACTIONS(3719),
    [anon_sym_interface] = ACTIONS(3717),
    [anon_sym_delegate] = ACTIONS(3717),
    [anon_sym_record] = ACTIONS(3717),
    [anon_sym_abstract] = ACTIONS(3717),
    [anon_sym_async] = ACTIONS(3717),
    [anon_sym_const] = ACTIONS(3717),
    [anon_sym_file] = ACTIONS(3717),
    [anon_sym_fixed] = ACTIONS(3717),
    [anon_sym_internal] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3717),
    [anon_sym_override] = ACTIONS(3717),
    [anon_sym_partial] = ACTIONS(3717),
    [anon_sym_private] = ACTIONS(3717),
    [anon_sym_protected] = ACTIONS(3717),
    [anon_sym_public] = ACTIONS(3717),
    [anon_sym_readonly] = ACTIONS(3717),
    [anon_sym_required] = ACTIONS(3717),
    [anon_sym_sealed] = ACTIONS(3717),
    [anon_sym_virtual] = ACTIONS(3717),
    [anon_sym_volatile] = ACTIONS(3717),
    [anon_sym_where] = ACTIONS(3717),
    [anon_sym_notnull] = ACTIONS(3717),
    [anon_sym_unmanaged] = ACTIONS(3717),
    [anon_sym_TILDE] = ACTIONS(3719),
    [anon_sym_implicit] = ACTIONS(3717),
    [anon_sym_explicit] = ACTIONS(3717),
    [anon_sym_scoped] = ACTIONS(3717),
    [anon_sym_var] = ACTIONS(3717),
    [sym_predefined_type] = ACTIONS(3717),
    [anon_sym_yield] = ACTIONS(3717),
    [anon_sym_when] = ACTIONS(3717),
    [anon_sym_from] = ACTIONS(3717),
    [anon_sym_into] = ACTIONS(3717),
    [anon_sym_join] = ACTIONS(3717),
    [anon_sym_on] = ACTIONS(3717),
    [anon_sym_equals] = ACTIONS(3717),
    [anon_sym_let] = ACTIONS(3717),
    [anon_sym_orderby] = ACTIONS(3717),
    [anon_sym_ascending] = ACTIONS(3717),
    [anon_sym_descending] = ACTIONS(3717),
    [anon_sym_group] = ACTIONS(3717),
    [anon_sym_by] = ACTIONS(3717),
    [anon_sym_select] = ACTIONS(3717),
    [aux_sym_preproc_if_token1] = ACTIONS(3719),
    [aux_sym_preproc_if_token3] = ACTIONS(3719),
    [aux_sym_preproc_else_token1] = ACTIONS(3719),
    [aux_sym_preproc_elif_token1] = ACTIONS(3719),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3442] = {
    [sym_preproc_region] = STATE(3442),
    [sym_preproc_endregion] = STATE(3442),
    [sym_preproc_line] = STATE(3442),
    [sym_preproc_pragma] = STATE(3442),
    [sym_preproc_nullable] = STATE(3442),
    [sym_preproc_error] = STATE(3442),
    [sym_preproc_define] = STATE(3442),
    [sym_preproc_undef] = STATE(3442),
    [sym__identifier_token] = ACTIONS(3721),
    [anon_sym_extern] = ACTIONS(3721),
    [anon_sym_alias] = ACTIONS(3721),
    [anon_sym_global] = ACTIONS(3721),
    [anon_sym_using] = ACTIONS(3721),
    [anon_sym_unsafe] = ACTIONS(3721),
    [anon_sym_static] = ACTIONS(3721),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_LPAREN] = ACTIONS(3723),
    [anon_sym_event] = ACTIONS(3721),
    [anon_sym_namespace] = ACTIONS(3721),
    [anon_sym_class] = ACTIONS(3721),
    [anon_sym_ref] = ACTIONS(3721),
    [anon_sym_struct] = ACTIONS(3721),
    [anon_sym_enum] = ACTIONS(3721),
    [anon_sym_RBRACE] = ACTIONS(3723),
    [anon_sym_interface] = ACTIONS(3721),
    [anon_sym_delegate] = ACTIONS(3721),
    [anon_sym_record] = ACTIONS(3721),
    [anon_sym_abstract] = ACTIONS(3721),
    [anon_sym_async] = ACTIONS(3721),
    [anon_sym_const] = ACTIONS(3721),
    [anon_sym_file] = ACTIONS(3721),
    [anon_sym_fixed] = ACTIONS(3721),
    [anon_sym_internal] = ACTIONS(3721),
    [anon_sym_new] = ACTIONS(3721),
    [anon_sym_override] = ACTIONS(3721),
    [anon_sym_partial] = ACTIONS(3721),
    [anon_sym_private] = ACTIONS(3721),
    [anon_sym_protected] = ACTIONS(3721),
    [anon_sym_public] = ACTIONS(3721),
    [anon_sym_readonly] = ACTIONS(3721),
    [anon_sym_required] = ACTIONS(3721),
    [anon_sym_sealed] = ACTIONS(3721),
    [anon_sym_virtual] = ACTIONS(3721),
    [anon_sym_volatile] = ACTIONS(3721),
    [anon_sym_where] = ACTIONS(3721),
    [anon_sym_notnull] = ACTIONS(3721),
    [anon_sym_unmanaged] = ACTIONS(3721),
    [anon_sym_TILDE] = ACTIONS(3723),
    [anon_sym_implicit] = ACTIONS(3721),
    [anon_sym_explicit] = ACTIONS(3721),
    [anon_sym_scoped] = ACTIONS(3721),
    [anon_sym_var] = ACTIONS(3721),
    [sym_predefined_type] = ACTIONS(3721),
    [anon_sym_yield] = ACTIONS(3721),
    [anon_sym_when] = ACTIONS(3721),
    [anon_sym_from] = ACTIONS(3721),
    [anon_sym_into] = ACTIONS(3721),
    [anon_sym_join] = ACTIONS(3721),
    [anon_sym_on] = ACTIONS(3721),
    [anon_sym_equals] = ACTIONS(3721),
    [anon_sym_let] = ACTIONS(3721),
    [anon_sym_orderby] = ACTIONS(3721),
    [anon_sym_ascending] = ACTIONS(3721),
    [anon_sym_descending] = ACTIONS(3721),
    [anon_sym_group] = ACTIONS(3721),
    [anon_sym_by] = ACTIONS(3721),
    [anon_sym_select] = ACTIONS(3721),
    [aux_sym_preproc_if_token1] = ACTIONS(3723),
    [aux_sym_preproc_if_token3] = ACTIONS(3723),
    [aux_sym_preproc_else_token1] = ACTIONS(3723),
    [aux_sym_preproc_elif_token1] = ACTIONS(3723),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3443] = {
    [sym_preproc_region] = STATE(3443),
    [sym_preproc_endregion] = STATE(3443),
    [sym_preproc_line] = STATE(3443),
    [sym_preproc_pragma] = STATE(3443),
    [sym_preproc_nullable] = STATE(3443),
    [sym_preproc_error] = STATE(3443),
    [sym_preproc_define] = STATE(3443),
    [sym_preproc_undef] = STATE(3443),
    [sym__identifier_token] = ACTIONS(3981),
    [anon_sym_extern] = ACTIONS(3981),
    [anon_sym_alias] = ACTIONS(3981),
    [anon_sym_global] = ACTIONS(3981),
    [anon_sym_using] = ACTIONS(3981),
    [anon_sym_unsafe] = ACTIONS(3981),
    [anon_sym_static] = ACTIONS(3981),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_LPAREN] = ACTIONS(3983),
    [anon_sym_event] = ACTIONS(3981),
    [anon_sym_namespace] = ACTIONS(3981),
    [anon_sym_class] = ACTIONS(3981),
    [anon_sym_ref] = ACTIONS(3981),
    [anon_sym_struct] = ACTIONS(3981),
    [anon_sym_enum] = ACTIONS(3981),
    [anon_sym_RBRACE] = ACTIONS(3983),
    [anon_sym_interface] = ACTIONS(3981),
    [anon_sym_delegate] = ACTIONS(3981),
    [anon_sym_record] = ACTIONS(3981),
    [anon_sym_abstract] = ACTIONS(3981),
    [anon_sym_async] = ACTIONS(3981),
    [anon_sym_const] = ACTIONS(3981),
    [anon_sym_file] = ACTIONS(3981),
    [anon_sym_fixed] = ACTIONS(3981),
    [anon_sym_internal] = ACTIONS(3981),
    [anon_sym_new] = ACTIONS(3981),
    [anon_sym_override] = ACTIONS(3981),
    [anon_sym_partial] = ACTIONS(3981),
    [anon_sym_private] = ACTIONS(3981),
    [anon_sym_protected] = ACTIONS(3981),
    [anon_sym_public] = ACTIONS(3981),
    [anon_sym_readonly] = ACTIONS(3981),
    [anon_sym_required] = ACTIONS(3981),
    [anon_sym_sealed] = ACTIONS(3981),
    [anon_sym_virtual] = ACTIONS(3981),
    [anon_sym_volatile] = ACTIONS(3981),
    [anon_sym_where] = ACTIONS(3981),
    [anon_sym_notnull] = ACTIONS(3981),
    [anon_sym_unmanaged] = ACTIONS(3981),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_implicit] = ACTIONS(3981),
    [anon_sym_explicit] = ACTIONS(3981),
    [anon_sym_scoped] = ACTIONS(3981),
    [anon_sym_var] = ACTIONS(3981),
    [sym_predefined_type] = ACTIONS(3981),
    [anon_sym_yield] = ACTIONS(3981),
    [anon_sym_when] = ACTIONS(3981),
    [anon_sym_from] = ACTIONS(3981),
    [anon_sym_into] = ACTIONS(3981),
    [anon_sym_join] = ACTIONS(3981),
    [anon_sym_on] = ACTIONS(3981),
    [anon_sym_equals] = ACTIONS(3981),
    [anon_sym_let] = ACTIONS(3981),
    [anon_sym_orderby] = ACTIONS(3981),
    [anon_sym_ascending] = ACTIONS(3981),
    [anon_sym_descending] = ACTIONS(3981),
    [anon_sym_group] = ACTIONS(3981),
    [anon_sym_by] = ACTIONS(3981),
    [anon_sym_select] = ACTIONS(3981),
    [aux_sym_preproc_if_token1] = ACTIONS(3983),
    [aux_sym_preproc_if_token3] = ACTIONS(3983),
    [aux_sym_preproc_else_token1] = ACTIONS(3983),
    [aux_sym_preproc_elif_token1] = ACTIONS(3983),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3444] = {
    [sym_preproc_region] = STATE(3444),
    [sym_preproc_endregion] = STATE(3444),
    [sym_preproc_line] = STATE(3444),
    [sym_preproc_pragma] = STATE(3444),
    [sym_preproc_nullable] = STATE(3444),
    [sym_preproc_error] = STATE(3444),
    [sym_preproc_define] = STATE(3444),
    [sym_preproc_undef] = STATE(3444),
    [sym__identifier_token] = ACTIONS(3733),
    [anon_sym_extern] = ACTIONS(3733),
    [anon_sym_alias] = ACTIONS(3733),
    [anon_sym_global] = ACTIONS(3733),
    [anon_sym_using] = ACTIONS(3733),
    [anon_sym_unsafe] = ACTIONS(3733),
    [anon_sym_static] = ACTIONS(3733),
    [anon_sym_LBRACK] = ACTIONS(3735),
    [anon_sym_LPAREN] = ACTIONS(3735),
    [anon_sym_event] = ACTIONS(3733),
    [anon_sym_namespace] = ACTIONS(3733),
    [anon_sym_class] = ACTIONS(3733),
    [anon_sym_ref] = ACTIONS(3733),
    [anon_sym_struct] = ACTIONS(3733),
    [anon_sym_enum] = ACTIONS(3733),
    [anon_sym_RBRACE] = ACTIONS(3735),
    [anon_sym_interface] = ACTIONS(3733),
    [anon_sym_delegate] = ACTIONS(3733),
    [anon_sym_record] = ACTIONS(3733),
    [anon_sym_abstract] = ACTIONS(3733),
    [anon_sym_async] = ACTIONS(3733),
    [anon_sym_const] = ACTIONS(3733),
    [anon_sym_file] = ACTIONS(3733),
    [anon_sym_fixed] = ACTIONS(3733),
    [anon_sym_internal] = ACTIONS(3733),
    [anon_sym_new] = ACTIONS(3733),
    [anon_sym_override] = ACTIONS(3733),
    [anon_sym_partial] = ACTIONS(3733),
    [anon_sym_private] = ACTIONS(3733),
    [anon_sym_protected] = ACTIONS(3733),
    [anon_sym_public] = ACTIONS(3733),
    [anon_sym_readonly] = ACTIONS(3733),
    [anon_sym_required] = ACTIONS(3733),
    [anon_sym_sealed] = ACTIONS(3733),
    [anon_sym_virtual] = ACTIONS(3733),
    [anon_sym_volatile] = ACTIONS(3733),
    [anon_sym_where] = ACTIONS(3733),
    [anon_sym_notnull] = ACTIONS(3733),
    [anon_sym_unmanaged] = ACTIONS(3733),
    [anon_sym_TILDE] = ACTIONS(3735),
    [anon_sym_implicit] = ACTIONS(3733),
    [anon_sym_explicit] = ACTIONS(3733),
    [anon_sym_scoped] = ACTIONS(3733),
    [anon_sym_var] = ACTIONS(3733),
    [sym_predefined_type] = ACTIONS(3733),
    [anon_sym_yield] = ACTIONS(3733),
    [anon_sym_when] = ACTIONS(3733),
    [anon_sym_from] = ACTIONS(3733),
    [anon_sym_into] = ACTIONS(3733),
    [anon_sym_join] = ACTIONS(3733),
    [anon_sym_on] = ACTIONS(3733),
    [anon_sym_equals] = ACTIONS(3733),
    [anon_sym_let] = ACTIONS(3733),
    [anon_sym_orderby] = ACTIONS(3733),
    [anon_sym_ascending] = ACTIONS(3733),
    [anon_sym_descending] = ACTIONS(3733),
    [anon_sym_group] = ACTIONS(3733),
    [anon_sym_by] = ACTIONS(3733),
    [anon_sym_select] = ACTIONS(3733),
    [aux_sym_preproc_if_token1] = ACTIONS(3735),
    [aux_sym_preproc_if_token3] = ACTIONS(3735),
    [aux_sym_preproc_else_token1] = ACTIONS(3735),
    [aux_sym_preproc_elif_token1] = ACTIONS(3735),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3445] = {
    [sym_preproc_region] = STATE(3445),
    [sym_preproc_endregion] = STATE(3445),
    [sym_preproc_line] = STATE(3445),
    [sym_preproc_pragma] = STATE(3445),
    [sym_preproc_nullable] = STATE(3445),
    [sym_preproc_error] = STATE(3445),
    [sym_preproc_define] = STATE(3445),
    [sym_preproc_undef] = STATE(3445),
    [sym__identifier_token] = ACTIONS(3737),
    [anon_sym_extern] = ACTIONS(3737),
    [anon_sym_alias] = ACTIONS(3737),
    [anon_sym_global] = ACTIONS(3737),
    [anon_sym_using] = ACTIONS(3737),
    [anon_sym_unsafe] = ACTIONS(3737),
    [anon_sym_static] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3739),
    [anon_sym_LPAREN] = ACTIONS(3739),
    [anon_sym_event] = ACTIONS(3737),
    [anon_sym_namespace] = ACTIONS(3737),
    [anon_sym_class] = ACTIONS(3737),
    [anon_sym_ref] = ACTIONS(3737),
    [anon_sym_struct] = ACTIONS(3737),
    [anon_sym_enum] = ACTIONS(3737),
    [anon_sym_RBRACE] = ACTIONS(3739),
    [anon_sym_interface] = ACTIONS(3737),
    [anon_sym_delegate] = ACTIONS(3737),
    [anon_sym_record] = ACTIONS(3737),
    [anon_sym_abstract] = ACTIONS(3737),
    [anon_sym_async] = ACTIONS(3737),
    [anon_sym_const] = ACTIONS(3737),
    [anon_sym_file] = ACTIONS(3737),
    [anon_sym_fixed] = ACTIONS(3737),
    [anon_sym_internal] = ACTIONS(3737),
    [anon_sym_new] = ACTIONS(3737),
    [anon_sym_override] = ACTIONS(3737),
    [anon_sym_partial] = ACTIONS(3737),
    [anon_sym_private] = ACTIONS(3737),
    [anon_sym_protected] = ACTIONS(3737),
    [anon_sym_public] = ACTIONS(3737),
    [anon_sym_readonly] = ACTIONS(3737),
    [anon_sym_required] = ACTIONS(3737),
    [anon_sym_sealed] = ACTIONS(3737),
    [anon_sym_virtual] = ACTIONS(3737),
    [anon_sym_volatile] = ACTIONS(3737),
    [anon_sym_where] = ACTIONS(3737),
    [anon_sym_notnull] = ACTIONS(3737),
    [anon_sym_unmanaged] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_implicit] = ACTIONS(3737),
    [anon_sym_explicit] = ACTIONS(3737),
    [anon_sym_scoped] = ACTIONS(3737),
    [anon_sym_var] = ACTIONS(3737),
    [sym_predefined_type] = ACTIONS(3737),
    [anon_sym_yield] = ACTIONS(3737),
    [anon_sym_when] = ACTIONS(3737),
    [anon_sym_from] = ACTIONS(3737),
    [anon_sym_into] = ACTIONS(3737),
    [anon_sym_join] = ACTIONS(3737),
    [anon_sym_on] = ACTIONS(3737),
    [anon_sym_equals] = ACTIONS(3737),
    [anon_sym_let] = ACTIONS(3737),
    [anon_sym_orderby] = ACTIONS(3737),
    [anon_sym_ascending] = ACTIONS(3737),
    [anon_sym_descending] = ACTIONS(3737),
    [anon_sym_group] = ACTIONS(3737),
    [anon_sym_by] = ACTIONS(3737),
    [anon_sym_select] = ACTIONS(3737),
    [aux_sym_preproc_if_token1] = ACTIONS(3739),
    [aux_sym_preproc_if_token3] = ACTIONS(3739),
    [aux_sym_preproc_else_token1] = ACTIONS(3739),
    [aux_sym_preproc_elif_token1] = ACTIONS(3739),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3446] = {
    [sym_preproc_region] = STATE(3446),
    [sym_preproc_endregion] = STATE(3446),
    [sym_preproc_line] = STATE(3446),
    [sym_preproc_pragma] = STATE(3446),
    [sym_preproc_nullable] = STATE(3446),
    [sym_preproc_error] = STATE(3446),
    [sym_preproc_define] = STATE(3446),
    [sym_preproc_undef] = STATE(3446),
    [sym__identifier_token] = ACTIONS(3741),
    [anon_sym_extern] = ACTIONS(3741),
    [anon_sym_alias] = ACTIONS(3741),
    [anon_sym_global] = ACTIONS(3741),
    [anon_sym_using] = ACTIONS(3741),
    [anon_sym_unsafe] = ACTIONS(3741),
    [anon_sym_static] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3743),
    [anon_sym_LPAREN] = ACTIONS(3743),
    [anon_sym_event] = ACTIONS(3741),
    [anon_sym_namespace] = ACTIONS(3741),
    [anon_sym_class] = ACTIONS(3741),
    [anon_sym_ref] = ACTIONS(3741),
    [anon_sym_struct] = ACTIONS(3741),
    [anon_sym_enum] = ACTIONS(3741),
    [anon_sym_RBRACE] = ACTIONS(3743),
    [anon_sym_interface] = ACTIONS(3741),
    [anon_sym_delegate] = ACTIONS(3741),
    [anon_sym_record] = ACTIONS(3741),
    [anon_sym_abstract] = ACTIONS(3741),
    [anon_sym_async] = ACTIONS(3741),
    [anon_sym_const] = ACTIONS(3741),
    [anon_sym_file] = ACTIONS(3741),
    [anon_sym_fixed] = ACTIONS(3741),
    [anon_sym_internal] = ACTIONS(3741),
    [anon_sym_new] = ACTIONS(3741),
    [anon_sym_override] = ACTIONS(3741),
    [anon_sym_partial] = ACTIONS(3741),
    [anon_sym_private] = ACTIONS(3741),
    [anon_sym_protected] = ACTIONS(3741),
    [anon_sym_public] = ACTIONS(3741),
    [anon_sym_readonly] = ACTIONS(3741),
    [anon_sym_required] = ACTIONS(3741),
    [anon_sym_sealed] = ACTIONS(3741),
    [anon_sym_virtual] = ACTIONS(3741),
    [anon_sym_volatile] = ACTIONS(3741),
    [anon_sym_where] = ACTIONS(3741),
    [anon_sym_notnull] = ACTIONS(3741),
    [anon_sym_unmanaged] = ACTIONS(3741),
    [anon_sym_TILDE] = ACTIONS(3743),
    [anon_sym_implicit] = ACTIONS(3741),
    [anon_sym_explicit] = ACTIONS(3741),
    [anon_sym_scoped] = ACTIONS(3741),
    [anon_sym_var] = ACTIONS(3741),
    [sym_predefined_type] = ACTIONS(3741),
    [anon_sym_yield] = ACTIONS(3741),
    [anon_sym_when] = ACTIONS(3741),
    [anon_sym_from] = ACTIONS(3741),
    [anon_sym_into] = ACTIONS(3741),
    [anon_sym_join] = ACTIONS(3741),
    [anon_sym_on] = ACTIONS(3741),
    [anon_sym_equals] = ACTIONS(3741),
    [anon_sym_let] = ACTIONS(3741),
    [anon_sym_orderby] = ACTIONS(3741),
    [anon_sym_ascending] = ACTIONS(3741),
    [anon_sym_descending] = ACTIONS(3741),
    [anon_sym_group] = ACTIONS(3741),
    [anon_sym_by] = ACTIONS(3741),
    [anon_sym_select] = ACTIONS(3741),
    [aux_sym_preproc_if_token1] = ACTIONS(3743),
    [aux_sym_preproc_if_token3] = ACTIONS(3743),
    [aux_sym_preproc_else_token1] = ACTIONS(3743),
    [aux_sym_preproc_elif_token1] = ACTIONS(3743),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3447] = {
    [sym_preproc_region] = STATE(3447),
    [sym_preproc_endregion] = STATE(3447),
    [sym_preproc_line] = STATE(3447),
    [sym_preproc_pragma] = STATE(3447),
    [sym_preproc_nullable] = STATE(3447),
    [sym_preproc_error] = STATE(3447),
    [sym_preproc_define] = STATE(3447),
    [sym_preproc_undef] = STATE(3447),
    [sym__identifier_token] = ACTIONS(3745),
    [anon_sym_extern] = ACTIONS(3745),
    [anon_sym_alias] = ACTIONS(3745),
    [anon_sym_global] = ACTIONS(3745),
    [anon_sym_using] = ACTIONS(3745),
    [anon_sym_unsafe] = ACTIONS(3745),
    [anon_sym_static] = ACTIONS(3745),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_event] = ACTIONS(3745),
    [anon_sym_namespace] = ACTIONS(3745),
    [anon_sym_class] = ACTIONS(3745),
    [anon_sym_ref] = ACTIONS(3745),
    [anon_sym_struct] = ACTIONS(3745),
    [anon_sym_enum] = ACTIONS(3745),
    [anon_sym_RBRACE] = ACTIONS(3747),
    [anon_sym_interface] = ACTIONS(3745),
    [anon_sym_delegate] = ACTIONS(3745),
    [anon_sym_record] = ACTIONS(3745),
    [anon_sym_abstract] = ACTIONS(3745),
    [anon_sym_async] = ACTIONS(3745),
    [anon_sym_const] = ACTIONS(3745),
    [anon_sym_file] = ACTIONS(3745),
    [anon_sym_fixed] = ACTIONS(3745),
    [anon_sym_internal] = ACTIONS(3745),
    [anon_sym_new] = ACTIONS(3745),
    [anon_sym_override] = ACTIONS(3745),
    [anon_sym_partial] = ACTIONS(3745),
    [anon_sym_private] = ACTIONS(3745),
    [anon_sym_protected] = ACTIONS(3745),
    [anon_sym_public] = ACTIONS(3745),
    [anon_sym_readonly] = ACTIONS(3745),
    [anon_sym_required] = ACTIONS(3745),
    [anon_sym_sealed] = ACTIONS(3745),
    [anon_sym_virtual] = ACTIONS(3745),
    [anon_sym_volatile] = ACTIONS(3745),
    [anon_sym_where] = ACTIONS(3745),
    [anon_sym_notnull] = ACTIONS(3745),
    [anon_sym_unmanaged] = ACTIONS(3745),
    [anon_sym_TILDE] = ACTIONS(3747),
    [anon_sym_implicit] = ACTIONS(3745),
    [anon_sym_explicit] = ACTIONS(3745),
    [anon_sym_scoped] = ACTIONS(3745),
    [anon_sym_var] = ACTIONS(3745),
    [sym_predefined_type] = ACTIONS(3745),
    [anon_sym_yield] = ACTIONS(3745),
    [anon_sym_when] = ACTIONS(3745),
    [anon_sym_from] = ACTIONS(3745),
    [anon_sym_into] = ACTIONS(3745),
    [anon_sym_join] = ACTIONS(3745),
    [anon_sym_on] = ACTIONS(3745),
    [anon_sym_equals] = ACTIONS(3745),
    [anon_sym_let] = ACTIONS(3745),
    [anon_sym_orderby] = ACTIONS(3745),
    [anon_sym_ascending] = ACTIONS(3745),
    [anon_sym_descending] = ACTIONS(3745),
    [anon_sym_group] = ACTIONS(3745),
    [anon_sym_by] = ACTIONS(3745),
    [anon_sym_select] = ACTIONS(3745),
    [aux_sym_preproc_if_token1] = ACTIONS(3747),
    [aux_sym_preproc_if_token3] = ACTIONS(3747),
    [aux_sym_preproc_else_token1] = ACTIONS(3747),
    [aux_sym_preproc_elif_token1] = ACTIONS(3747),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3448] = {
    [sym_preproc_region] = STATE(3448),
    [sym_preproc_endregion] = STATE(3448),
    [sym_preproc_line] = STATE(3448),
    [sym_preproc_pragma] = STATE(3448),
    [sym_preproc_nullable] = STATE(3448),
    [sym_preproc_error] = STATE(3448),
    [sym_preproc_define] = STATE(3448),
    [sym_preproc_undef] = STATE(3448),
    [sym__identifier_token] = ACTIONS(3749),
    [anon_sym_extern] = ACTIONS(3749),
    [anon_sym_alias] = ACTIONS(3749),
    [anon_sym_global] = ACTIONS(3749),
    [anon_sym_using] = ACTIONS(3749),
    [anon_sym_unsafe] = ACTIONS(3749),
    [anon_sym_static] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3751),
    [anon_sym_LPAREN] = ACTIONS(3751),
    [anon_sym_event] = ACTIONS(3749),
    [anon_sym_namespace] = ACTIONS(3749),
    [anon_sym_class] = ACTIONS(3749),
    [anon_sym_ref] = ACTIONS(3749),
    [anon_sym_struct] = ACTIONS(3749),
    [anon_sym_enum] = ACTIONS(3749),
    [anon_sym_RBRACE] = ACTIONS(3751),
    [anon_sym_interface] = ACTIONS(3749),
    [anon_sym_delegate] = ACTIONS(3749),
    [anon_sym_record] = ACTIONS(3749),
    [anon_sym_abstract] = ACTIONS(3749),
    [anon_sym_async] = ACTIONS(3749),
    [anon_sym_const] = ACTIONS(3749),
    [anon_sym_file] = ACTIONS(3749),
    [anon_sym_fixed] = ACTIONS(3749),
    [anon_sym_internal] = ACTIONS(3749),
    [anon_sym_new] = ACTIONS(3749),
    [anon_sym_override] = ACTIONS(3749),
    [anon_sym_partial] = ACTIONS(3749),
    [anon_sym_private] = ACTIONS(3749),
    [anon_sym_protected] = ACTIONS(3749),
    [anon_sym_public] = ACTIONS(3749),
    [anon_sym_readonly] = ACTIONS(3749),
    [anon_sym_required] = ACTIONS(3749),
    [anon_sym_sealed] = ACTIONS(3749),
    [anon_sym_virtual] = ACTIONS(3749),
    [anon_sym_volatile] = ACTIONS(3749),
    [anon_sym_where] = ACTIONS(3749),
    [anon_sym_notnull] = ACTIONS(3749),
    [anon_sym_unmanaged] = ACTIONS(3749),
    [anon_sym_TILDE] = ACTIONS(3751),
    [anon_sym_implicit] = ACTIONS(3749),
    [anon_sym_explicit] = ACTIONS(3749),
    [anon_sym_scoped] = ACTIONS(3749),
    [anon_sym_var] = ACTIONS(3749),
    [sym_predefined_type] = ACTIONS(3749),
    [anon_sym_yield] = ACTIONS(3749),
    [anon_sym_when] = ACTIONS(3749),
    [anon_sym_from] = ACTIONS(3749),
    [anon_sym_into] = ACTIONS(3749),
    [anon_sym_join] = ACTIONS(3749),
    [anon_sym_on] = ACTIONS(3749),
    [anon_sym_equals] = ACTIONS(3749),
    [anon_sym_let] = ACTIONS(3749),
    [anon_sym_orderby] = ACTIONS(3749),
    [anon_sym_ascending] = ACTIONS(3749),
    [anon_sym_descending] = ACTIONS(3749),
    [anon_sym_group] = ACTIONS(3749),
    [anon_sym_by] = ACTIONS(3749),
    [anon_sym_select] = ACTIONS(3749),
    [aux_sym_preproc_if_token1] = ACTIONS(3751),
    [aux_sym_preproc_if_token3] = ACTIONS(3751),
    [aux_sym_preproc_else_token1] = ACTIONS(3751),
    [aux_sym_preproc_elif_token1] = ACTIONS(3751),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3449] = {
    [sym_preproc_region] = STATE(3449),
    [sym_preproc_endregion] = STATE(3449),
    [sym_preproc_line] = STATE(3449),
    [sym_preproc_pragma] = STATE(3449),
    [sym_preproc_nullable] = STATE(3449),
    [sym_preproc_error] = STATE(3449),
    [sym_preproc_define] = STATE(3449),
    [sym_preproc_undef] = STATE(3449),
    [sym__identifier_token] = ACTIONS(3753),
    [anon_sym_extern] = ACTIONS(3753),
    [anon_sym_alias] = ACTIONS(3753),
    [anon_sym_global] = ACTIONS(3753),
    [anon_sym_using] = ACTIONS(3753),
    [anon_sym_unsafe] = ACTIONS(3753),
    [anon_sym_static] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3755),
    [anon_sym_LPAREN] = ACTIONS(3755),
    [anon_sym_event] = ACTIONS(3753),
    [anon_sym_namespace] = ACTIONS(3753),
    [anon_sym_class] = ACTIONS(3753),
    [anon_sym_ref] = ACTIONS(3753),
    [anon_sym_struct] = ACTIONS(3753),
    [anon_sym_enum] = ACTIONS(3753),
    [anon_sym_RBRACE] = ACTIONS(3755),
    [anon_sym_interface] = ACTIONS(3753),
    [anon_sym_delegate] = ACTIONS(3753),
    [anon_sym_record] = ACTIONS(3753),
    [anon_sym_abstract] = ACTIONS(3753),
    [anon_sym_async] = ACTIONS(3753),
    [anon_sym_const] = ACTIONS(3753),
    [anon_sym_file] = ACTIONS(3753),
    [anon_sym_fixed] = ACTIONS(3753),
    [anon_sym_internal] = ACTIONS(3753),
    [anon_sym_new] = ACTIONS(3753),
    [anon_sym_override] = ACTIONS(3753),
    [anon_sym_partial] = ACTIONS(3753),
    [anon_sym_private] = ACTIONS(3753),
    [anon_sym_protected] = ACTIONS(3753),
    [anon_sym_public] = ACTIONS(3753),
    [anon_sym_readonly] = ACTIONS(3753),
    [anon_sym_required] = ACTIONS(3753),
    [anon_sym_sealed] = ACTIONS(3753),
    [anon_sym_virtual] = ACTIONS(3753),
    [anon_sym_volatile] = ACTIONS(3753),
    [anon_sym_where] = ACTIONS(3753),
    [anon_sym_notnull] = ACTIONS(3753),
    [anon_sym_unmanaged] = ACTIONS(3753),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_implicit] = ACTIONS(3753),
    [anon_sym_explicit] = ACTIONS(3753),
    [anon_sym_scoped] = ACTIONS(3753),
    [anon_sym_var] = ACTIONS(3753),
    [sym_predefined_type] = ACTIONS(3753),
    [anon_sym_yield] = ACTIONS(3753),
    [anon_sym_when] = ACTIONS(3753),
    [anon_sym_from] = ACTIONS(3753),
    [anon_sym_into] = ACTIONS(3753),
    [anon_sym_join] = ACTIONS(3753),
    [anon_sym_on] = ACTIONS(3753),
    [anon_sym_equals] = ACTIONS(3753),
    [anon_sym_let] = ACTIONS(3753),
    [anon_sym_orderby] = ACTIONS(3753),
    [anon_sym_ascending] = ACTIONS(3753),
    [anon_sym_descending] = ACTIONS(3753),
    [anon_sym_group] = ACTIONS(3753),
    [anon_sym_by] = ACTIONS(3753),
    [anon_sym_select] = ACTIONS(3753),
    [aux_sym_preproc_if_token1] = ACTIONS(3755),
    [aux_sym_preproc_if_token3] = ACTIONS(3755),
    [aux_sym_preproc_else_token1] = ACTIONS(3755),
    [aux_sym_preproc_elif_token1] = ACTIONS(3755),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3450] = {
    [sym_preproc_region] = STATE(3450),
    [sym_preproc_endregion] = STATE(3450),
    [sym_preproc_line] = STATE(3450),
    [sym_preproc_pragma] = STATE(3450),
    [sym_preproc_nullable] = STATE(3450),
    [sym_preproc_error] = STATE(3450),
    [sym_preproc_define] = STATE(3450),
    [sym_preproc_undef] = STATE(3450),
    [sym__identifier_token] = ACTIONS(3757),
    [anon_sym_extern] = ACTIONS(3757),
    [anon_sym_alias] = ACTIONS(3757),
    [anon_sym_global] = ACTIONS(3757),
    [anon_sym_using] = ACTIONS(3757),
    [anon_sym_unsafe] = ACTIONS(3757),
    [anon_sym_static] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(3759),
    [anon_sym_event] = ACTIONS(3757),
    [anon_sym_namespace] = ACTIONS(3757),
    [anon_sym_class] = ACTIONS(3757),
    [anon_sym_ref] = ACTIONS(3757),
    [anon_sym_struct] = ACTIONS(3757),
    [anon_sym_enum] = ACTIONS(3757),
    [anon_sym_RBRACE] = ACTIONS(3759),
    [anon_sym_interface] = ACTIONS(3757),
    [anon_sym_delegate] = ACTIONS(3757),
    [anon_sym_record] = ACTIONS(3757),
    [anon_sym_abstract] = ACTIONS(3757),
    [anon_sym_async] = ACTIONS(3757),
    [anon_sym_const] = ACTIONS(3757),
    [anon_sym_file] = ACTIONS(3757),
    [anon_sym_fixed] = ACTIONS(3757),
    [anon_sym_internal] = ACTIONS(3757),
    [anon_sym_new] = ACTIONS(3757),
    [anon_sym_override] = ACTIONS(3757),
    [anon_sym_partial] = ACTIONS(3757),
    [anon_sym_private] = ACTIONS(3757),
    [anon_sym_protected] = ACTIONS(3757),
    [anon_sym_public] = ACTIONS(3757),
    [anon_sym_readonly] = ACTIONS(3757),
    [anon_sym_required] = ACTIONS(3757),
    [anon_sym_sealed] = ACTIONS(3757),
    [anon_sym_virtual] = ACTIONS(3757),
    [anon_sym_volatile] = ACTIONS(3757),
    [anon_sym_where] = ACTIONS(3757),
    [anon_sym_notnull] = ACTIONS(3757),
    [anon_sym_unmanaged] = ACTIONS(3757),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_implicit] = ACTIONS(3757),
    [anon_sym_explicit] = ACTIONS(3757),
    [anon_sym_scoped] = ACTIONS(3757),
    [anon_sym_var] = ACTIONS(3757),
    [sym_predefined_type] = ACTIONS(3757),
    [anon_sym_yield] = ACTIONS(3757),
    [anon_sym_when] = ACTIONS(3757),
    [anon_sym_from] = ACTIONS(3757),
    [anon_sym_into] = ACTIONS(3757),
    [anon_sym_join] = ACTIONS(3757),
    [anon_sym_on] = ACTIONS(3757),
    [anon_sym_equals] = ACTIONS(3757),
    [anon_sym_let] = ACTIONS(3757),
    [anon_sym_orderby] = ACTIONS(3757),
    [anon_sym_ascending] = ACTIONS(3757),
    [anon_sym_descending] = ACTIONS(3757),
    [anon_sym_group] = ACTIONS(3757),
    [anon_sym_by] = ACTIONS(3757),
    [anon_sym_select] = ACTIONS(3757),
    [aux_sym_preproc_if_token1] = ACTIONS(3759),
    [aux_sym_preproc_if_token3] = ACTIONS(3759),
    [aux_sym_preproc_else_token1] = ACTIONS(3759),
    [aux_sym_preproc_elif_token1] = ACTIONS(3759),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3451] = {
    [sym_preproc_region] = STATE(3451),
    [sym_preproc_endregion] = STATE(3451),
    [sym_preproc_line] = STATE(3451),
    [sym_preproc_pragma] = STATE(3451),
    [sym_preproc_nullable] = STATE(3451),
    [sym_preproc_error] = STATE(3451),
    [sym_preproc_define] = STATE(3451),
    [sym_preproc_undef] = STATE(3451),
    [anon_sym_SEMI] = ACTIONS(4789),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_RBRACK] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(4791),
    [anon_sym_RPAREN] = ACTIONS(4789),
    [anon_sym_RBRACE] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4794),
    [anon_sym_in] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4794),
    [anon_sym_PLUS_PLUS] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4794),
    [anon_sym_DASH] = ACTIONS(4794),
    [anon_sym_STAR] = ACTIONS(4794),
    [anon_sym_SLASH] = ACTIONS(4794),
    [anon_sym_PERCENT] = ACTIONS(4794),
    [anon_sym_CARET] = ACTIONS(4794),
    [anon_sym_PIPE] = ACTIONS(4794),
    [anon_sym_AMP] = ACTIONS(4794),
    [anon_sym_LT_LT] = ACTIONS(4794),
    [anon_sym_GT_GT] = ACTIONS(4794),
    [anon_sym_GT_GT_GT] = ACTIONS(4794),
    [anon_sym_EQ_EQ] = ACTIONS(4791),
    [anon_sym_BANG_EQ] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4791),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_EQ_GT] = ACTIONS(4789),
    [anon_sym_switch] = ACTIONS(4791),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4791),
    [anon_sym_QMARK_QMARK] = ACTIONS(4794),
    [anon_sym_on] = ACTIONS(4789),
    [anon_sym_equals] = ACTIONS(4789),
    [anon_sym_by] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(4791),
    [anon_sym_is] = ACTIONS(4791),
    [anon_sym_DASH_GT] = ACTIONS(4791),
    [anon_sym_with] = ACTIONS(4791),
    [aux_sym_preproc_if_token3] = ACTIONS(4789),
    [aux_sym_preproc_else_token1] = ACTIONS(4789),
    [aux_sym_preproc_elif_token1] = ACTIONS(4789),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3452] = {
    [sym_preproc_region] = STATE(3452),
    [sym_preproc_endregion] = STATE(3452),
    [sym_preproc_line] = STATE(3452),
    [sym_preproc_pragma] = STATE(3452),
    [sym_preproc_nullable] = STATE(3452),
    [sym_preproc_error] = STATE(3452),
    [sym_preproc_define] = STATE(3452),
    [sym_preproc_undef] = STATE(3452),
    [sym__identifier_token] = ACTIONS(5025),
    [anon_sym_extern] = ACTIONS(5025),
    [anon_sym_alias] = ACTIONS(5025),
    [anon_sym_global] = ACTIONS(5025),
    [anon_sym_using] = ACTIONS(5025),
    [anon_sym_unsafe] = ACTIONS(5025),
    [anon_sym_static] = ACTIONS(5025),
    [anon_sym_LBRACK] = ACTIONS(5027),
    [anon_sym_LPAREN] = ACTIONS(5027),
    [anon_sym_event] = ACTIONS(5025),
    [anon_sym_namespace] = ACTIONS(5025),
    [anon_sym_class] = ACTIONS(5025),
    [anon_sym_ref] = ACTIONS(5025),
    [anon_sym_struct] = ACTIONS(5025),
    [anon_sym_enum] = ACTIONS(5025),
    [anon_sym_RBRACE] = ACTIONS(5027),
    [anon_sym_interface] = ACTIONS(5025),
    [anon_sym_delegate] = ACTIONS(5025),
    [anon_sym_record] = ACTIONS(5025),
    [anon_sym_abstract] = ACTIONS(5025),
    [anon_sym_async] = ACTIONS(5025),
    [anon_sym_const] = ACTIONS(5025),
    [anon_sym_file] = ACTIONS(5025),
    [anon_sym_fixed] = ACTIONS(5025),
    [anon_sym_internal] = ACTIONS(5025),
    [anon_sym_new] = ACTIONS(5025),
    [anon_sym_override] = ACTIONS(5025),
    [anon_sym_partial] = ACTIONS(5025),
    [anon_sym_private] = ACTIONS(5025),
    [anon_sym_protected] = ACTIONS(5025),
    [anon_sym_public] = ACTIONS(5025),
    [anon_sym_readonly] = ACTIONS(5025),
    [anon_sym_required] = ACTIONS(5025),
    [anon_sym_sealed] = ACTIONS(5025),
    [anon_sym_virtual] = ACTIONS(5025),
    [anon_sym_volatile] = ACTIONS(5025),
    [anon_sym_where] = ACTIONS(5025),
    [anon_sym_notnull] = ACTIONS(5025),
    [anon_sym_unmanaged] = ACTIONS(5025),
    [anon_sym_TILDE] = ACTIONS(5027),
    [anon_sym_implicit] = ACTIONS(5025),
    [anon_sym_explicit] = ACTIONS(5025),
    [anon_sym_scoped] = ACTIONS(5025),
    [anon_sym_var] = ACTIONS(5025),
    [sym_predefined_type] = ACTIONS(5025),
    [anon_sym_yield] = ACTIONS(5025),
    [anon_sym_when] = ACTIONS(5025),
    [anon_sym_from] = ACTIONS(5025),
    [anon_sym_into] = ACTIONS(5025),
    [anon_sym_join] = ACTIONS(5025),
    [anon_sym_on] = ACTIONS(5025),
    [anon_sym_equals] = ACTIONS(5025),
    [anon_sym_let] = ACTIONS(5025),
    [anon_sym_orderby] = ACTIONS(5025),
    [anon_sym_ascending] = ACTIONS(5025),
    [anon_sym_descending] = ACTIONS(5025),
    [anon_sym_group] = ACTIONS(5025),
    [anon_sym_by] = ACTIONS(5025),
    [anon_sym_select] = ACTIONS(5025),
    [aux_sym_preproc_if_token1] = ACTIONS(5027),
    [aux_sym_preproc_if_token3] = ACTIONS(5027),
    [aux_sym_preproc_else_token1] = ACTIONS(5027),
    [aux_sym_preproc_elif_token1] = ACTIONS(5027),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3453] = {
    [sym_preproc_region] = STATE(3453),
    [sym_preproc_endregion] = STATE(3453),
    [sym_preproc_line] = STATE(3453),
    [sym_preproc_pragma] = STATE(3453),
    [sym_preproc_nullable] = STATE(3453),
    [sym_preproc_error] = STATE(3453),
    [sym_preproc_define] = STATE(3453),
    [sym_preproc_undef] = STATE(3453),
    [sym__identifier_token] = ACTIONS(5029),
    [anon_sym_extern] = ACTIONS(5029),
    [anon_sym_alias] = ACTIONS(5029),
    [anon_sym_global] = ACTIONS(5029),
    [anon_sym_using] = ACTIONS(5029),
    [anon_sym_unsafe] = ACTIONS(5029),
    [anon_sym_static] = ACTIONS(5029),
    [anon_sym_LBRACK] = ACTIONS(5031),
    [anon_sym_LPAREN] = ACTIONS(5031),
    [anon_sym_event] = ACTIONS(5029),
    [anon_sym_namespace] = ACTIONS(5029),
    [anon_sym_class] = ACTIONS(5029),
    [anon_sym_ref] = ACTIONS(5029),
    [anon_sym_struct] = ACTIONS(5029),
    [anon_sym_enum] = ACTIONS(5029),
    [anon_sym_RBRACE] = ACTIONS(5031),
    [anon_sym_interface] = ACTIONS(5029),
    [anon_sym_delegate] = ACTIONS(5029),
    [anon_sym_record] = ACTIONS(5029),
    [anon_sym_abstract] = ACTIONS(5029),
    [anon_sym_async] = ACTIONS(5029),
    [anon_sym_const] = ACTIONS(5029),
    [anon_sym_file] = ACTIONS(5029),
    [anon_sym_fixed] = ACTIONS(5029),
    [anon_sym_internal] = ACTIONS(5029),
    [anon_sym_new] = ACTIONS(5029),
    [anon_sym_override] = ACTIONS(5029),
    [anon_sym_partial] = ACTIONS(5029),
    [anon_sym_private] = ACTIONS(5029),
    [anon_sym_protected] = ACTIONS(5029),
    [anon_sym_public] = ACTIONS(5029),
    [anon_sym_readonly] = ACTIONS(5029),
    [anon_sym_required] = ACTIONS(5029),
    [anon_sym_sealed] = ACTIONS(5029),
    [anon_sym_virtual] = ACTIONS(5029),
    [anon_sym_volatile] = ACTIONS(5029),
    [anon_sym_where] = ACTIONS(5029),
    [anon_sym_notnull] = ACTIONS(5029),
    [anon_sym_unmanaged] = ACTIONS(5029),
    [anon_sym_TILDE] = ACTIONS(5031),
    [anon_sym_implicit] = ACTIONS(5029),
    [anon_sym_explicit] = ACTIONS(5029),
    [anon_sym_scoped] = ACTIONS(5029),
    [anon_sym_var] = ACTIONS(5029),
    [sym_predefined_type] = ACTIONS(5029),
    [anon_sym_yield] = ACTIONS(5029),
    [anon_sym_when] = ACTIONS(5029),
    [anon_sym_from] = ACTIONS(5029),
    [anon_sym_into] = ACTIONS(5029),
    [anon_sym_join] = ACTIONS(5029),
    [anon_sym_on] = ACTIONS(5029),
    [anon_sym_equals] = ACTIONS(5029),
    [anon_sym_let] = ACTIONS(5029),
    [anon_sym_orderby] = ACTIONS(5029),
    [anon_sym_ascending] = ACTIONS(5029),
    [anon_sym_descending] = ACTIONS(5029),
    [anon_sym_group] = ACTIONS(5029),
    [anon_sym_by] = ACTIONS(5029),
    [anon_sym_select] = ACTIONS(5029),
    [aux_sym_preproc_if_token1] = ACTIONS(5031),
    [aux_sym_preproc_if_token3] = ACTIONS(5031),
    [aux_sym_preproc_else_token1] = ACTIONS(5031),
    [aux_sym_preproc_elif_token1] = ACTIONS(5031),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3454] = {
    [sym_preproc_region] = STATE(3454),
    [sym_preproc_endregion] = STATE(3454),
    [sym_preproc_line] = STATE(3454),
    [sym_preproc_pragma] = STATE(3454),
    [sym_preproc_nullable] = STATE(3454),
    [sym_preproc_error] = STATE(3454),
    [sym_preproc_define] = STATE(3454),
    [sym_preproc_undef] = STATE(3454),
    [sym__identifier_token] = ACTIONS(5033),
    [anon_sym_extern] = ACTIONS(5033),
    [anon_sym_alias] = ACTIONS(5033),
    [anon_sym_global] = ACTIONS(5033),
    [anon_sym_using] = ACTIONS(5033),
    [anon_sym_unsafe] = ACTIONS(5033),
    [anon_sym_static] = ACTIONS(5033),
    [anon_sym_LBRACK] = ACTIONS(5035),
    [anon_sym_LPAREN] = ACTIONS(5035),
    [anon_sym_event] = ACTIONS(5033),
    [anon_sym_namespace] = ACTIONS(5033),
    [anon_sym_class] = ACTIONS(5033),
    [anon_sym_ref] = ACTIONS(5033),
    [anon_sym_struct] = ACTIONS(5033),
    [anon_sym_enum] = ACTIONS(5033),
    [anon_sym_RBRACE] = ACTIONS(5035),
    [anon_sym_interface] = ACTIONS(5033),
    [anon_sym_delegate] = ACTIONS(5033),
    [anon_sym_record] = ACTIONS(5033),
    [anon_sym_abstract] = ACTIONS(5033),
    [anon_sym_async] = ACTIONS(5033),
    [anon_sym_const] = ACTIONS(5033),
    [anon_sym_file] = ACTIONS(5033),
    [anon_sym_fixed] = ACTIONS(5033),
    [anon_sym_internal] = ACTIONS(5033),
    [anon_sym_new] = ACTIONS(5033),
    [anon_sym_override] = ACTIONS(5033),
    [anon_sym_partial] = ACTIONS(5033),
    [anon_sym_private] = ACTIONS(5033),
    [anon_sym_protected] = ACTIONS(5033),
    [anon_sym_public] = ACTIONS(5033),
    [anon_sym_readonly] = ACTIONS(5033),
    [anon_sym_required] = ACTIONS(5033),
    [anon_sym_sealed] = ACTIONS(5033),
    [anon_sym_virtual] = ACTIONS(5033),
    [anon_sym_volatile] = ACTIONS(5033),
    [anon_sym_where] = ACTIONS(5033),
    [anon_sym_notnull] = ACTIONS(5033),
    [anon_sym_unmanaged] = ACTIONS(5033),
    [anon_sym_TILDE] = ACTIONS(5035),
    [anon_sym_implicit] = ACTIONS(5033),
    [anon_sym_explicit] = ACTIONS(5033),
    [anon_sym_scoped] = ACTIONS(5033),
    [anon_sym_var] = ACTIONS(5033),
    [sym_predefined_type] = ACTIONS(5033),
    [anon_sym_yield] = ACTIONS(5033),
    [anon_sym_when] = ACTIONS(5033),
    [anon_sym_from] = ACTIONS(5033),
    [anon_sym_into] = ACTIONS(5033),
    [anon_sym_join] = ACTIONS(5033),
    [anon_sym_on] = ACTIONS(5033),
    [anon_sym_equals] = ACTIONS(5033),
    [anon_sym_let] = ACTIONS(5033),
    [anon_sym_orderby] = ACTIONS(5033),
    [anon_sym_ascending] = ACTIONS(5033),
    [anon_sym_descending] = ACTIONS(5033),
    [anon_sym_group] = ACTIONS(5033),
    [anon_sym_by] = ACTIONS(5033),
    [anon_sym_select] = ACTIONS(5033),
    [aux_sym_preproc_if_token1] = ACTIONS(5035),
    [aux_sym_preproc_if_token3] = ACTIONS(5035),
    [aux_sym_preproc_else_token1] = ACTIONS(5035),
    [aux_sym_preproc_elif_token1] = ACTIONS(5035),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3455] = {
    [sym_preproc_region] = STATE(3455),
    [sym_preproc_endregion] = STATE(3455),
    [sym_preproc_line] = STATE(3455),
    [sym_preproc_pragma] = STATE(3455),
    [sym_preproc_nullable] = STATE(3455),
    [sym_preproc_error] = STATE(3455),
    [sym_preproc_define] = STATE(3455),
    [sym_preproc_undef] = STATE(3455),
    [sym__identifier_token] = ACTIONS(5037),
    [anon_sym_extern] = ACTIONS(5037),
    [anon_sym_alias] = ACTIONS(5037),
    [anon_sym_global] = ACTIONS(5037),
    [anon_sym_using] = ACTIONS(5037),
    [anon_sym_unsafe] = ACTIONS(5037),
    [anon_sym_static] = ACTIONS(5037),
    [anon_sym_LBRACK] = ACTIONS(5039),
    [anon_sym_LPAREN] = ACTIONS(5039),
    [anon_sym_event] = ACTIONS(5037),
    [anon_sym_namespace] = ACTIONS(5037),
    [anon_sym_class] = ACTIONS(5037),
    [anon_sym_ref] = ACTIONS(5037),
    [anon_sym_struct] = ACTIONS(5037),
    [anon_sym_enum] = ACTIONS(5037),
    [anon_sym_RBRACE] = ACTIONS(5039),
    [anon_sym_interface] = ACTIONS(5037),
    [anon_sym_delegate] = ACTIONS(5037),
    [anon_sym_record] = ACTIONS(5037),
    [anon_sym_abstract] = ACTIONS(5037),
    [anon_sym_async] = ACTIONS(5037),
    [anon_sym_const] = ACTIONS(5037),
    [anon_sym_file] = ACTIONS(5037),
    [anon_sym_fixed] = ACTIONS(5037),
    [anon_sym_internal] = ACTIONS(5037),
    [anon_sym_new] = ACTIONS(5037),
    [anon_sym_override] = ACTIONS(5037),
    [anon_sym_partial] = ACTIONS(5037),
    [anon_sym_private] = ACTIONS(5037),
    [anon_sym_protected] = ACTIONS(5037),
    [anon_sym_public] = ACTIONS(5037),
    [anon_sym_readonly] = ACTIONS(5037),
    [anon_sym_required] = ACTIONS(5037),
    [anon_sym_sealed] = ACTIONS(5037),
    [anon_sym_virtual] = ACTIONS(5037),
    [anon_sym_volatile] = ACTIONS(5037),
    [anon_sym_where] = ACTIONS(5037),
    [anon_sym_notnull] = ACTIONS(5037),
    [anon_sym_unmanaged] = ACTIONS(5037),
    [anon_sym_TILDE] = ACTIONS(5039),
    [anon_sym_implicit] = ACTIONS(5037),
    [anon_sym_explicit] = ACTIONS(5037),
    [anon_sym_scoped] = ACTIONS(5037),
    [anon_sym_var] = ACTIONS(5037),
    [sym_predefined_type] = ACTIONS(5037),
    [anon_sym_yield] = ACTIONS(5037),
    [anon_sym_when] = ACTIONS(5037),
    [anon_sym_from] = ACTIONS(5037),
    [anon_sym_into] = ACTIONS(5037),
    [anon_sym_join] = ACTIONS(5037),
    [anon_sym_on] = ACTIONS(5037),
    [anon_sym_equals] = ACTIONS(5037),
    [anon_sym_let] = ACTIONS(5037),
    [anon_sym_orderby] = ACTIONS(5037),
    [anon_sym_ascending] = ACTIONS(5037),
    [anon_sym_descending] = ACTIONS(5037),
    [anon_sym_group] = ACTIONS(5037),
    [anon_sym_by] = ACTIONS(5037),
    [anon_sym_select] = ACTIONS(5037),
    [aux_sym_preproc_if_token1] = ACTIONS(5039),
    [aux_sym_preproc_if_token3] = ACTIONS(5039),
    [aux_sym_preproc_else_token1] = ACTIONS(5039),
    [aux_sym_preproc_elif_token1] = ACTIONS(5039),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3456] = {
    [sym_preproc_region] = STATE(3456),
    [sym_preproc_endregion] = STATE(3456),
    [sym_preproc_line] = STATE(3456),
    [sym_preproc_pragma] = STATE(3456),
    [sym_preproc_nullable] = STATE(3456),
    [sym_preproc_error] = STATE(3456),
    [sym_preproc_define] = STATE(3456),
    [sym_preproc_undef] = STATE(3456),
    [sym__identifier_token] = ACTIONS(5041),
    [anon_sym_extern] = ACTIONS(5041),
    [anon_sym_alias] = ACTIONS(5041),
    [anon_sym_global] = ACTIONS(5041),
    [anon_sym_using] = ACTIONS(5041),
    [anon_sym_unsafe] = ACTIONS(5041),
    [anon_sym_static] = ACTIONS(5041),
    [anon_sym_LBRACK] = ACTIONS(5043),
    [anon_sym_LPAREN] = ACTIONS(5043),
    [anon_sym_event] = ACTIONS(5041),
    [anon_sym_namespace] = ACTIONS(5041),
    [anon_sym_class] = ACTIONS(5041),
    [anon_sym_ref] = ACTIONS(5041),
    [anon_sym_struct] = ACTIONS(5041),
    [anon_sym_enum] = ACTIONS(5041),
    [anon_sym_RBRACE] = ACTIONS(5043),
    [anon_sym_interface] = ACTIONS(5041),
    [anon_sym_delegate] = ACTIONS(5041),
    [anon_sym_record] = ACTIONS(5041),
    [anon_sym_abstract] = ACTIONS(5041),
    [anon_sym_async] = ACTIONS(5041),
    [anon_sym_const] = ACTIONS(5041),
    [anon_sym_file] = ACTIONS(5041),
    [anon_sym_fixed] = ACTIONS(5041),
    [anon_sym_internal] = ACTIONS(5041),
    [anon_sym_new] = ACTIONS(5041),
    [anon_sym_override] = ACTIONS(5041),
    [anon_sym_partial] = ACTIONS(5041),
    [anon_sym_private] = ACTIONS(5041),
    [anon_sym_protected] = ACTIONS(5041),
    [anon_sym_public] = ACTIONS(5041),
    [anon_sym_readonly] = ACTIONS(5041),
    [anon_sym_required] = ACTIONS(5041),
    [anon_sym_sealed] = ACTIONS(5041),
    [anon_sym_virtual] = ACTIONS(5041),
    [anon_sym_volatile] = ACTIONS(5041),
    [anon_sym_where] = ACTIONS(5041),
    [anon_sym_notnull] = ACTIONS(5041),
    [anon_sym_unmanaged] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5043),
    [anon_sym_implicit] = ACTIONS(5041),
    [anon_sym_explicit] = ACTIONS(5041),
    [anon_sym_scoped] = ACTIONS(5041),
    [anon_sym_var] = ACTIONS(5041),
    [sym_predefined_type] = ACTIONS(5041),
    [anon_sym_yield] = ACTIONS(5041),
    [anon_sym_when] = ACTIONS(5041),
    [anon_sym_from] = ACTIONS(5041),
    [anon_sym_into] = ACTIONS(5041),
    [anon_sym_join] = ACTIONS(5041),
    [anon_sym_on] = ACTIONS(5041),
    [anon_sym_equals] = ACTIONS(5041),
    [anon_sym_let] = ACTIONS(5041),
    [anon_sym_orderby] = ACTIONS(5041),
    [anon_sym_ascending] = ACTIONS(5041),
    [anon_sym_descending] = ACTIONS(5041),
    [anon_sym_group] = ACTIONS(5041),
    [anon_sym_by] = ACTIONS(5041),
    [anon_sym_select] = ACTIONS(5041),
    [aux_sym_preproc_if_token1] = ACTIONS(5043),
    [aux_sym_preproc_if_token3] = ACTIONS(5043),
    [aux_sym_preproc_else_token1] = ACTIONS(5043),
    [aux_sym_preproc_elif_token1] = ACTIONS(5043),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3457] = {
    [sym_preproc_region] = STATE(3457),
    [sym_preproc_endregion] = STATE(3457),
    [sym_preproc_line] = STATE(3457),
    [sym_preproc_pragma] = STATE(3457),
    [sym_preproc_nullable] = STATE(3457),
    [sym_preproc_error] = STATE(3457),
    [sym_preproc_define] = STATE(3457),
    [sym_preproc_undef] = STATE(3457),
    [sym__identifier_token] = ACTIONS(3769),
    [anon_sym_extern] = ACTIONS(3769),
    [anon_sym_alias] = ACTIONS(3769),
    [anon_sym_global] = ACTIONS(3769),
    [anon_sym_using] = ACTIONS(3769),
    [anon_sym_unsafe] = ACTIONS(3769),
    [anon_sym_static] = ACTIONS(3769),
    [anon_sym_LBRACK] = ACTIONS(3771),
    [anon_sym_LPAREN] = ACTIONS(3771),
    [anon_sym_event] = ACTIONS(3769),
    [anon_sym_namespace] = ACTIONS(3769),
    [anon_sym_class] = ACTIONS(3769),
    [anon_sym_ref] = ACTIONS(3769),
    [anon_sym_struct] = ACTIONS(3769),
    [anon_sym_enum] = ACTIONS(3769),
    [anon_sym_RBRACE] = ACTIONS(3771),
    [anon_sym_interface] = ACTIONS(3769),
    [anon_sym_delegate] = ACTIONS(3769),
    [anon_sym_record] = ACTIONS(3769),
    [anon_sym_abstract] = ACTIONS(3769),
    [anon_sym_async] = ACTIONS(3769),
    [anon_sym_const] = ACTIONS(3769),
    [anon_sym_file] = ACTIONS(3769),
    [anon_sym_fixed] = ACTIONS(3769),
    [anon_sym_internal] = ACTIONS(3769),
    [anon_sym_new] = ACTIONS(3769),
    [anon_sym_override] = ACTIONS(3769),
    [anon_sym_partial] = ACTIONS(3769),
    [anon_sym_private] = ACTIONS(3769),
    [anon_sym_protected] = ACTIONS(3769),
    [anon_sym_public] = ACTIONS(3769),
    [anon_sym_readonly] = ACTIONS(3769),
    [anon_sym_required] = ACTIONS(3769),
    [anon_sym_sealed] = ACTIONS(3769),
    [anon_sym_virtual] = ACTIONS(3769),
    [anon_sym_volatile] = ACTIONS(3769),
    [anon_sym_where] = ACTIONS(3769),
    [anon_sym_notnull] = ACTIONS(3769),
    [anon_sym_unmanaged] = ACTIONS(3769),
    [anon_sym_TILDE] = ACTIONS(3771),
    [anon_sym_implicit] = ACTIONS(3769),
    [anon_sym_explicit] = ACTIONS(3769),
    [anon_sym_scoped] = ACTIONS(3769),
    [anon_sym_var] = ACTIONS(3769),
    [sym_predefined_type] = ACTIONS(3769),
    [anon_sym_yield] = ACTIONS(3769),
    [anon_sym_when] = ACTIONS(3769),
    [anon_sym_from] = ACTIONS(3769),
    [anon_sym_into] = ACTIONS(3769),
    [anon_sym_join] = ACTIONS(3769),
    [anon_sym_on] = ACTIONS(3769),
    [anon_sym_equals] = ACTIONS(3769),
    [anon_sym_let] = ACTIONS(3769),
    [anon_sym_orderby] = ACTIONS(3769),
    [anon_sym_ascending] = ACTIONS(3769),
    [anon_sym_descending] = ACTIONS(3769),
    [anon_sym_group] = ACTIONS(3769),
    [anon_sym_by] = ACTIONS(3769),
    [anon_sym_select] = ACTIONS(3769),
    [aux_sym_preproc_if_token1] = ACTIONS(3771),
    [aux_sym_preproc_if_token3] = ACTIONS(3771),
    [aux_sym_preproc_else_token1] = ACTIONS(3771),
    [aux_sym_preproc_elif_token1] = ACTIONS(3771),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3458] = {
    [sym_preproc_region] = STATE(3458),
    [sym_preproc_endregion] = STATE(3458),
    [sym_preproc_line] = STATE(3458),
    [sym_preproc_pragma] = STATE(3458),
    [sym_preproc_nullable] = STATE(3458),
    [sym_preproc_error] = STATE(3458),
    [sym_preproc_define] = STATE(3458),
    [sym_preproc_undef] = STATE(3458),
    [sym__identifier_token] = ACTIONS(3777),
    [anon_sym_extern] = ACTIONS(3777),
    [anon_sym_alias] = ACTIONS(3777),
    [anon_sym_global] = ACTIONS(3777),
    [anon_sym_using] = ACTIONS(3777),
    [anon_sym_unsafe] = ACTIONS(3777),
    [anon_sym_static] = ACTIONS(3777),
    [anon_sym_LBRACK] = ACTIONS(3779),
    [anon_sym_LPAREN] = ACTIONS(3779),
    [anon_sym_event] = ACTIONS(3777),
    [anon_sym_namespace] = ACTIONS(3777),
    [anon_sym_class] = ACTIONS(3777),
    [anon_sym_ref] = ACTIONS(3777),
    [anon_sym_struct] = ACTIONS(3777),
    [anon_sym_enum] = ACTIONS(3777),
    [anon_sym_RBRACE] = ACTIONS(3779),
    [anon_sym_interface] = ACTIONS(3777),
    [anon_sym_delegate] = ACTIONS(3777),
    [anon_sym_record] = ACTIONS(3777),
    [anon_sym_abstract] = ACTIONS(3777),
    [anon_sym_async] = ACTIONS(3777),
    [anon_sym_const] = ACTIONS(3777),
    [anon_sym_file] = ACTIONS(3777),
    [anon_sym_fixed] = ACTIONS(3777),
    [anon_sym_internal] = ACTIONS(3777),
    [anon_sym_new] = ACTIONS(3777),
    [anon_sym_override] = ACTIONS(3777),
    [anon_sym_partial] = ACTIONS(3777),
    [anon_sym_private] = ACTIONS(3777),
    [anon_sym_protected] = ACTIONS(3777),
    [anon_sym_public] = ACTIONS(3777),
    [anon_sym_readonly] = ACTIONS(3777),
    [anon_sym_required] = ACTIONS(3777),
    [anon_sym_sealed] = ACTIONS(3777),
    [anon_sym_virtual] = ACTIONS(3777),
    [anon_sym_volatile] = ACTIONS(3777),
    [anon_sym_where] = ACTIONS(3777),
    [anon_sym_notnull] = ACTIONS(3777),
    [anon_sym_unmanaged] = ACTIONS(3777),
    [anon_sym_TILDE] = ACTIONS(3779),
    [anon_sym_implicit] = ACTIONS(3777),
    [anon_sym_explicit] = ACTIONS(3777),
    [anon_sym_scoped] = ACTIONS(3777),
    [anon_sym_var] = ACTIONS(3777),
    [sym_predefined_type] = ACTIONS(3777),
    [anon_sym_yield] = ACTIONS(3777),
    [anon_sym_when] = ACTIONS(3777),
    [anon_sym_from] = ACTIONS(3777),
    [anon_sym_into] = ACTIONS(3777),
    [anon_sym_join] = ACTIONS(3777),
    [anon_sym_on] = ACTIONS(3777),
    [anon_sym_equals] = ACTIONS(3777),
    [anon_sym_let] = ACTIONS(3777),
    [anon_sym_orderby] = ACTIONS(3777),
    [anon_sym_ascending] = ACTIONS(3777),
    [anon_sym_descending] = ACTIONS(3777),
    [anon_sym_group] = ACTIONS(3777),
    [anon_sym_by] = ACTIONS(3777),
    [anon_sym_select] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_if_token3] = ACTIONS(3779),
    [aux_sym_preproc_else_token1] = ACTIONS(3779),
    [aux_sym_preproc_elif_token1] = ACTIONS(3779),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3459] = {
    [sym_preproc_region] = STATE(3459),
    [sym_preproc_endregion] = STATE(3459),
    [sym_preproc_line] = STATE(3459),
    [sym_preproc_pragma] = STATE(3459),
    [sym_preproc_nullable] = STATE(3459),
    [sym_preproc_error] = STATE(3459),
    [sym_preproc_define] = STATE(3459),
    [sym_preproc_undef] = STATE(3459),
    [sym__identifier_token] = ACTIONS(3785),
    [anon_sym_extern] = ACTIONS(3785),
    [anon_sym_alias] = ACTIONS(3785),
    [anon_sym_global] = ACTIONS(3785),
    [anon_sym_using] = ACTIONS(3785),
    [anon_sym_unsafe] = ACTIONS(3785),
    [anon_sym_static] = ACTIONS(3785),
    [anon_sym_LBRACK] = ACTIONS(3787),
    [anon_sym_LPAREN] = ACTIONS(3787),
    [anon_sym_event] = ACTIONS(3785),
    [anon_sym_namespace] = ACTIONS(3785),
    [anon_sym_class] = ACTIONS(3785),
    [anon_sym_ref] = ACTIONS(3785),
    [anon_sym_struct] = ACTIONS(3785),
    [anon_sym_enum] = ACTIONS(3785),
    [anon_sym_RBRACE] = ACTIONS(3787),
    [anon_sym_interface] = ACTIONS(3785),
    [anon_sym_delegate] = ACTIONS(3785),
    [anon_sym_record] = ACTIONS(3785),
    [anon_sym_abstract] = ACTIONS(3785),
    [anon_sym_async] = ACTIONS(3785),
    [anon_sym_const] = ACTIONS(3785),
    [anon_sym_file] = ACTIONS(3785),
    [anon_sym_fixed] = ACTIONS(3785),
    [anon_sym_internal] = ACTIONS(3785),
    [anon_sym_new] = ACTIONS(3785),
    [anon_sym_override] = ACTIONS(3785),
    [anon_sym_partial] = ACTIONS(3785),
    [anon_sym_private] = ACTIONS(3785),
    [anon_sym_protected] = ACTIONS(3785),
    [anon_sym_public] = ACTIONS(3785),
    [anon_sym_readonly] = ACTIONS(3785),
    [anon_sym_required] = ACTIONS(3785),
    [anon_sym_sealed] = ACTIONS(3785),
    [anon_sym_virtual] = ACTIONS(3785),
    [anon_sym_volatile] = ACTIONS(3785),
    [anon_sym_where] = ACTIONS(3785),
    [anon_sym_notnull] = ACTIONS(3785),
    [anon_sym_unmanaged] = ACTIONS(3785),
    [anon_sym_TILDE] = ACTIONS(3787),
    [anon_sym_implicit] = ACTIONS(3785),
    [anon_sym_explicit] = ACTIONS(3785),
    [anon_sym_scoped] = ACTIONS(3785),
    [anon_sym_var] = ACTIONS(3785),
    [sym_predefined_type] = ACTIONS(3785),
    [anon_sym_yield] = ACTIONS(3785),
    [anon_sym_when] = ACTIONS(3785),
    [anon_sym_from] = ACTIONS(3785),
    [anon_sym_into] = ACTIONS(3785),
    [anon_sym_join] = ACTIONS(3785),
    [anon_sym_on] = ACTIONS(3785),
    [anon_sym_equals] = ACTIONS(3785),
    [anon_sym_let] = ACTIONS(3785),
    [anon_sym_orderby] = ACTIONS(3785),
    [anon_sym_ascending] = ACTIONS(3785),
    [anon_sym_descending] = ACTIONS(3785),
    [anon_sym_group] = ACTIONS(3785),
    [anon_sym_by] = ACTIONS(3785),
    [anon_sym_select] = ACTIONS(3785),
    [aux_sym_preproc_if_token1] = ACTIONS(3787),
    [aux_sym_preproc_if_token3] = ACTIONS(3787),
    [aux_sym_preproc_else_token1] = ACTIONS(3787),
    [aux_sym_preproc_elif_token1] = ACTIONS(3787),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3460] = {
    [sym_preproc_region] = STATE(3460),
    [sym_preproc_endregion] = STATE(3460),
    [sym_preproc_line] = STATE(3460),
    [sym_preproc_pragma] = STATE(3460),
    [sym_preproc_nullable] = STATE(3460),
    [sym_preproc_error] = STATE(3460),
    [sym_preproc_define] = STATE(3460),
    [sym_preproc_undef] = STATE(3460),
    [sym__identifier_token] = ACTIONS(3789),
    [anon_sym_extern] = ACTIONS(3789),
    [anon_sym_alias] = ACTIONS(3789),
    [anon_sym_global] = ACTIONS(3789),
    [anon_sym_using] = ACTIONS(3789),
    [anon_sym_unsafe] = ACTIONS(3789),
    [anon_sym_static] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(3791),
    [anon_sym_LPAREN] = ACTIONS(3791),
    [anon_sym_event] = ACTIONS(3789),
    [anon_sym_namespace] = ACTIONS(3789),
    [anon_sym_class] = ACTIONS(3789),
    [anon_sym_ref] = ACTIONS(3789),
    [anon_sym_struct] = ACTIONS(3789),
    [anon_sym_enum] = ACTIONS(3789),
    [anon_sym_RBRACE] = ACTIONS(3791),
    [anon_sym_interface] = ACTIONS(3789),
    [anon_sym_delegate] = ACTIONS(3789),
    [anon_sym_record] = ACTIONS(3789),
    [anon_sym_abstract] = ACTIONS(3789),
    [anon_sym_async] = ACTIONS(3789),
    [anon_sym_const] = ACTIONS(3789),
    [anon_sym_file] = ACTIONS(3789),
    [anon_sym_fixed] = ACTIONS(3789),
    [anon_sym_internal] = ACTIONS(3789),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_override] = ACTIONS(3789),
    [anon_sym_partial] = ACTIONS(3789),
    [anon_sym_private] = ACTIONS(3789),
    [anon_sym_protected] = ACTIONS(3789),
    [anon_sym_public] = ACTIONS(3789),
    [anon_sym_readonly] = ACTIONS(3789),
    [anon_sym_required] = ACTIONS(3789),
    [anon_sym_sealed] = ACTIONS(3789),
    [anon_sym_virtual] = ACTIONS(3789),
    [anon_sym_volatile] = ACTIONS(3789),
    [anon_sym_where] = ACTIONS(3789),
    [anon_sym_notnull] = ACTIONS(3789),
    [anon_sym_unmanaged] = ACTIONS(3789),
    [anon_sym_TILDE] = ACTIONS(3791),
    [anon_sym_implicit] = ACTIONS(3789),
    [anon_sym_explicit] = ACTIONS(3789),
    [anon_sym_scoped] = ACTIONS(3789),
    [anon_sym_var] = ACTIONS(3789),
    [sym_predefined_type] = ACTIONS(3789),
    [anon_sym_yield] = ACTIONS(3789),
    [anon_sym_when] = ACTIONS(3789),
    [anon_sym_from] = ACTIONS(3789),
    [anon_sym_into] = ACTIONS(3789),
    [anon_sym_join] = ACTIONS(3789),
    [anon_sym_on] = ACTIONS(3789),
    [anon_sym_equals] = ACTIONS(3789),
    [anon_sym_let] = ACTIONS(3789),
    [anon_sym_orderby] = ACTIONS(3789),
    [anon_sym_ascending] = ACTIONS(3789),
    [anon_sym_descending] = ACTIONS(3789),
    [anon_sym_group] = ACTIONS(3789),
    [anon_sym_by] = ACTIONS(3789),
    [anon_sym_select] = ACTIONS(3789),
    [aux_sym_preproc_if_token1] = ACTIONS(3791),
    [aux_sym_preproc_if_token3] = ACTIONS(3791),
    [aux_sym_preproc_else_token1] = ACTIONS(3791),
    [aux_sym_preproc_elif_token1] = ACTIONS(3791),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3461] = {
    [sym_preproc_region] = STATE(3461),
    [sym_preproc_endregion] = STATE(3461),
    [sym_preproc_line] = STATE(3461),
    [sym_preproc_pragma] = STATE(3461),
    [sym_preproc_nullable] = STATE(3461),
    [sym_preproc_error] = STATE(3461),
    [sym_preproc_define] = STATE(3461),
    [sym_preproc_undef] = STATE(3461),
    [sym__identifier_token] = ACTIONS(3793),
    [anon_sym_extern] = ACTIONS(3793),
    [anon_sym_alias] = ACTIONS(3793),
    [anon_sym_global] = ACTIONS(3793),
    [anon_sym_using] = ACTIONS(3793),
    [anon_sym_unsafe] = ACTIONS(3793),
    [anon_sym_static] = ACTIONS(3793),
    [anon_sym_LBRACK] = ACTIONS(3795),
    [anon_sym_LPAREN] = ACTIONS(3795),
    [anon_sym_event] = ACTIONS(3793),
    [anon_sym_namespace] = ACTIONS(3793),
    [anon_sym_class] = ACTIONS(3793),
    [anon_sym_ref] = ACTIONS(3793),
    [anon_sym_struct] = ACTIONS(3793),
    [anon_sym_enum] = ACTIONS(3793),
    [anon_sym_RBRACE] = ACTIONS(3795),
    [anon_sym_interface] = ACTIONS(3793),
    [anon_sym_delegate] = ACTIONS(3793),
    [anon_sym_record] = ACTIONS(3793),
    [anon_sym_abstract] = ACTIONS(3793),
    [anon_sym_async] = ACTIONS(3793),
    [anon_sym_const] = ACTIONS(3793),
    [anon_sym_file] = ACTIONS(3793),
    [anon_sym_fixed] = ACTIONS(3793),
    [anon_sym_internal] = ACTIONS(3793),
    [anon_sym_new] = ACTIONS(3793),
    [anon_sym_override] = ACTIONS(3793),
    [anon_sym_partial] = ACTIONS(3793),
    [anon_sym_private] = ACTIONS(3793),
    [anon_sym_protected] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3793),
    [anon_sym_readonly] = ACTIONS(3793),
    [anon_sym_required] = ACTIONS(3793),
    [anon_sym_sealed] = ACTIONS(3793),
    [anon_sym_virtual] = ACTIONS(3793),
    [anon_sym_volatile] = ACTIONS(3793),
    [anon_sym_where] = ACTIONS(3793),
    [anon_sym_notnull] = ACTIONS(3793),
    [anon_sym_unmanaged] = ACTIONS(3793),
    [anon_sym_TILDE] = ACTIONS(3795),
    [anon_sym_implicit] = ACTIONS(3793),
    [anon_sym_explicit] = ACTIONS(3793),
    [anon_sym_scoped] = ACTIONS(3793),
    [anon_sym_var] = ACTIONS(3793),
    [sym_predefined_type] = ACTIONS(3793),
    [anon_sym_yield] = ACTIONS(3793),
    [anon_sym_when] = ACTIONS(3793),
    [anon_sym_from] = ACTIONS(3793),
    [anon_sym_into] = ACTIONS(3793),
    [anon_sym_join] = ACTIONS(3793),
    [anon_sym_on] = ACTIONS(3793),
    [anon_sym_equals] = ACTIONS(3793),
    [anon_sym_let] = ACTIONS(3793),
    [anon_sym_orderby] = ACTIONS(3793),
    [anon_sym_ascending] = ACTIONS(3793),
    [anon_sym_descending] = ACTIONS(3793),
    [anon_sym_group] = ACTIONS(3793),
    [anon_sym_by] = ACTIONS(3793),
    [anon_sym_select] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_if_token3] = ACTIONS(3795),
    [aux_sym_preproc_else_token1] = ACTIONS(3795),
    [aux_sym_preproc_elif_token1] = ACTIONS(3795),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3462] = {
    [sym_preproc_region] = STATE(3462),
    [sym_preproc_endregion] = STATE(3462),
    [sym_preproc_line] = STATE(3462),
    [sym_preproc_pragma] = STATE(3462),
    [sym_preproc_nullable] = STATE(3462),
    [sym_preproc_error] = STATE(3462),
    [sym_preproc_define] = STATE(3462),
    [sym_preproc_undef] = STATE(3462),
    [sym__identifier_token] = ACTIONS(3797),
    [anon_sym_extern] = ACTIONS(3797),
    [anon_sym_alias] = ACTIONS(3797),
    [anon_sym_global] = ACTIONS(3797),
    [anon_sym_using] = ACTIONS(3797),
    [anon_sym_unsafe] = ACTIONS(3797),
    [anon_sym_static] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(3799),
    [anon_sym_LPAREN] = ACTIONS(3799),
    [anon_sym_event] = ACTIONS(3797),
    [anon_sym_namespace] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_ref] = ACTIONS(3797),
    [anon_sym_struct] = ACTIONS(3797),
    [anon_sym_enum] = ACTIONS(3797),
    [anon_sym_RBRACE] = ACTIONS(3799),
    [anon_sym_interface] = ACTIONS(3797),
    [anon_sym_delegate] = ACTIONS(3797),
    [anon_sym_record] = ACTIONS(3797),
    [anon_sym_abstract] = ACTIONS(3797),
    [anon_sym_async] = ACTIONS(3797),
    [anon_sym_const] = ACTIONS(3797),
    [anon_sym_file] = ACTIONS(3797),
    [anon_sym_fixed] = ACTIONS(3797),
    [anon_sym_internal] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(3797),
    [anon_sym_override] = ACTIONS(3797),
    [anon_sym_partial] = ACTIONS(3797),
    [anon_sym_private] = ACTIONS(3797),
    [anon_sym_protected] = ACTIONS(3797),
    [anon_sym_public] = ACTIONS(3797),
    [anon_sym_readonly] = ACTIONS(3797),
    [anon_sym_required] = ACTIONS(3797),
    [anon_sym_sealed] = ACTIONS(3797),
    [anon_sym_virtual] = ACTIONS(3797),
    [anon_sym_volatile] = ACTIONS(3797),
    [anon_sym_where] = ACTIONS(3797),
    [anon_sym_notnull] = ACTIONS(3797),
    [anon_sym_unmanaged] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3799),
    [anon_sym_implicit] = ACTIONS(3797),
    [anon_sym_explicit] = ACTIONS(3797),
    [anon_sym_scoped] = ACTIONS(3797),
    [anon_sym_var] = ACTIONS(3797),
    [sym_predefined_type] = ACTIONS(3797),
    [anon_sym_yield] = ACTIONS(3797),
    [anon_sym_when] = ACTIONS(3797),
    [anon_sym_from] = ACTIONS(3797),
    [anon_sym_into] = ACTIONS(3797),
    [anon_sym_join] = ACTIONS(3797),
    [anon_sym_on] = ACTIONS(3797),
    [anon_sym_equals] = ACTIONS(3797),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_orderby] = ACTIONS(3797),
    [anon_sym_ascending] = ACTIONS(3797),
    [anon_sym_descending] = ACTIONS(3797),
    [anon_sym_group] = ACTIONS(3797),
    [anon_sym_by] = ACTIONS(3797),
    [anon_sym_select] = ACTIONS(3797),
    [aux_sym_preproc_if_token1] = ACTIONS(3799),
    [aux_sym_preproc_if_token3] = ACTIONS(3799),
    [aux_sym_preproc_else_token1] = ACTIONS(3799),
    [aux_sym_preproc_elif_token1] = ACTIONS(3799),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3463] = {
    [sym_preproc_region] = STATE(3463),
    [sym_preproc_endregion] = STATE(3463),
    [sym_preproc_line] = STATE(3463),
    [sym_preproc_pragma] = STATE(3463),
    [sym_preproc_nullable] = STATE(3463),
    [sym_preproc_error] = STATE(3463),
    [sym_preproc_define] = STATE(3463),
    [sym_preproc_undef] = STATE(3463),
    [sym__identifier_token] = ACTIONS(3801),
    [anon_sym_extern] = ACTIONS(3801),
    [anon_sym_alias] = ACTIONS(3801),
    [anon_sym_global] = ACTIONS(3801),
    [anon_sym_using] = ACTIONS(3801),
    [anon_sym_unsafe] = ACTIONS(3801),
    [anon_sym_static] = ACTIONS(3801),
    [anon_sym_LBRACK] = ACTIONS(3803),
    [anon_sym_LPAREN] = ACTIONS(3803),
    [anon_sym_event] = ACTIONS(3801),
    [anon_sym_namespace] = ACTIONS(3801),
    [anon_sym_class] = ACTIONS(3801),
    [anon_sym_ref] = ACTIONS(3801),
    [anon_sym_struct] = ACTIONS(3801),
    [anon_sym_enum] = ACTIONS(3801),
    [anon_sym_RBRACE] = ACTIONS(3803),
    [anon_sym_interface] = ACTIONS(3801),
    [anon_sym_delegate] = ACTIONS(3801),
    [anon_sym_record] = ACTIONS(3801),
    [anon_sym_abstract] = ACTIONS(3801),
    [anon_sym_async] = ACTIONS(3801),
    [anon_sym_const] = ACTIONS(3801),
    [anon_sym_file] = ACTIONS(3801),
    [anon_sym_fixed] = ACTIONS(3801),
    [anon_sym_internal] = ACTIONS(3801),
    [anon_sym_new] = ACTIONS(3801),
    [anon_sym_override] = ACTIONS(3801),
    [anon_sym_partial] = ACTIONS(3801),
    [anon_sym_private] = ACTIONS(3801),
    [anon_sym_protected] = ACTIONS(3801),
    [anon_sym_public] = ACTIONS(3801),
    [anon_sym_readonly] = ACTIONS(3801),
    [anon_sym_required] = ACTIONS(3801),
    [anon_sym_sealed] = ACTIONS(3801),
    [anon_sym_virtual] = ACTIONS(3801),
    [anon_sym_volatile] = ACTIONS(3801),
    [anon_sym_where] = ACTIONS(3801),
    [anon_sym_notnull] = ACTIONS(3801),
    [anon_sym_unmanaged] = ACTIONS(3801),
    [anon_sym_TILDE] = ACTIONS(3803),
    [anon_sym_implicit] = ACTIONS(3801),
    [anon_sym_explicit] = ACTIONS(3801),
    [anon_sym_scoped] = ACTIONS(3801),
    [anon_sym_var] = ACTIONS(3801),
    [sym_predefined_type] = ACTIONS(3801),
    [anon_sym_yield] = ACTIONS(3801),
    [anon_sym_when] = ACTIONS(3801),
    [anon_sym_from] = ACTIONS(3801),
    [anon_sym_into] = ACTIONS(3801),
    [anon_sym_join] = ACTIONS(3801),
    [anon_sym_on] = ACTIONS(3801),
    [anon_sym_equals] = ACTIONS(3801),
    [anon_sym_let] = ACTIONS(3801),
    [anon_sym_orderby] = ACTIONS(3801),
    [anon_sym_ascending] = ACTIONS(3801),
    [anon_sym_descending] = ACTIONS(3801),
    [anon_sym_group] = ACTIONS(3801),
    [anon_sym_by] = ACTIONS(3801),
    [anon_sym_select] = ACTIONS(3801),
    [aux_sym_preproc_if_token1] = ACTIONS(3803),
    [aux_sym_preproc_if_token3] = ACTIONS(3803),
    [aux_sym_preproc_else_token1] = ACTIONS(3803),
    [aux_sym_preproc_elif_token1] = ACTIONS(3803),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3464] = {
    [sym_preproc_region] = STATE(3464),
    [sym_preproc_endregion] = STATE(3464),
    [sym_preproc_line] = STATE(3464),
    [sym_preproc_pragma] = STATE(3464),
    [sym_preproc_nullable] = STATE(3464),
    [sym_preproc_error] = STATE(3464),
    [sym_preproc_define] = STATE(3464),
    [sym_preproc_undef] = STATE(3464),
    [sym__identifier_token] = ACTIONS(3805),
    [anon_sym_extern] = ACTIONS(3805),
    [anon_sym_alias] = ACTIONS(3805),
    [anon_sym_global] = ACTIONS(3805),
    [anon_sym_using] = ACTIONS(3805),
    [anon_sym_unsafe] = ACTIONS(3805),
    [anon_sym_static] = ACTIONS(3805),
    [anon_sym_LBRACK] = ACTIONS(3807),
    [anon_sym_LPAREN] = ACTIONS(3807),
    [anon_sym_event] = ACTIONS(3805),
    [anon_sym_namespace] = ACTIONS(3805),
    [anon_sym_class] = ACTIONS(3805),
    [anon_sym_ref] = ACTIONS(3805),
    [anon_sym_struct] = ACTIONS(3805),
    [anon_sym_enum] = ACTIONS(3805),
    [anon_sym_RBRACE] = ACTIONS(3807),
    [anon_sym_interface] = ACTIONS(3805),
    [anon_sym_delegate] = ACTIONS(3805),
    [anon_sym_record] = ACTIONS(3805),
    [anon_sym_abstract] = ACTIONS(3805),
    [anon_sym_async] = ACTIONS(3805),
    [anon_sym_const] = ACTIONS(3805),
    [anon_sym_file] = ACTIONS(3805),
    [anon_sym_fixed] = ACTIONS(3805),
    [anon_sym_internal] = ACTIONS(3805),
    [anon_sym_new] = ACTIONS(3805),
    [anon_sym_override] = ACTIONS(3805),
    [anon_sym_partial] = ACTIONS(3805),
    [anon_sym_private] = ACTIONS(3805),
    [anon_sym_protected] = ACTIONS(3805),
    [anon_sym_public] = ACTIONS(3805),
    [anon_sym_readonly] = ACTIONS(3805),
    [anon_sym_required] = ACTIONS(3805),
    [anon_sym_sealed] = ACTIONS(3805),
    [anon_sym_virtual] = ACTIONS(3805),
    [anon_sym_volatile] = ACTIONS(3805),
    [anon_sym_where] = ACTIONS(3805),
    [anon_sym_notnull] = ACTIONS(3805),
    [anon_sym_unmanaged] = ACTIONS(3805),
    [anon_sym_TILDE] = ACTIONS(3807),
    [anon_sym_implicit] = ACTIONS(3805),
    [anon_sym_explicit] = ACTIONS(3805),
    [anon_sym_scoped] = ACTIONS(3805),
    [anon_sym_var] = ACTIONS(3805),
    [sym_predefined_type] = ACTIONS(3805),
    [anon_sym_yield] = ACTIONS(3805),
    [anon_sym_when] = ACTIONS(3805),
    [anon_sym_from] = ACTIONS(3805),
    [anon_sym_into] = ACTIONS(3805),
    [anon_sym_join] = ACTIONS(3805),
    [anon_sym_on] = ACTIONS(3805),
    [anon_sym_equals] = ACTIONS(3805),
    [anon_sym_let] = ACTIONS(3805),
    [anon_sym_orderby] = ACTIONS(3805),
    [anon_sym_ascending] = ACTIONS(3805),
    [anon_sym_descending] = ACTIONS(3805),
    [anon_sym_group] = ACTIONS(3805),
    [anon_sym_by] = ACTIONS(3805),
    [anon_sym_select] = ACTIONS(3805),
    [aux_sym_preproc_if_token1] = ACTIONS(3807),
    [aux_sym_preproc_if_token3] = ACTIONS(3807),
    [aux_sym_preproc_else_token1] = ACTIONS(3807),
    [aux_sym_preproc_elif_token1] = ACTIONS(3807),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3465] = {
    [sym_preproc_region] = STATE(3465),
    [sym_preproc_endregion] = STATE(3465),
    [sym_preproc_line] = STATE(3465),
    [sym_preproc_pragma] = STATE(3465),
    [sym_preproc_nullable] = STATE(3465),
    [sym_preproc_error] = STATE(3465),
    [sym_preproc_define] = STATE(3465),
    [sym_preproc_undef] = STATE(3465),
    [sym__identifier_token] = ACTIONS(3809),
    [anon_sym_extern] = ACTIONS(3809),
    [anon_sym_alias] = ACTIONS(3809),
    [anon_sym_global] = ACTIONS(3809),
    [anon_sym_using] = ACTIONS(3809),
    [anon_sym_unsafe] = ACTIONS(3809),
    [anon_sym_static] = ACTIONS(3809),
    [anon_sym_LBRACK] = ACTIONS(3811),
    [anon_sym_LPAREN] = ACTIONS(3811),
    [anon_sym_event] = ACTIONS(3809),
    [anon_sym_namespace] = ACTIONS(3809),
    [anon_sym_class] = ACTIONS(3809),
    [anon_sym_ref] = ACTIONS(3809),
    [anon_sym_struct] = ACTIONS(3809),
    [anon_sym_enum] = ACTIONS(3809),
    [anon_sym_RBRACE] = ACTIONS(3811),
    [anon_sym_interface] = ACTIONS(3809),
    [anon_sym_delegate] = ACTIONS(3809),
    [anon_sym_record] = ACTIONS(3809),
    [anon_sym_abstract] = ACTIONS(3809),
    [anon_sym_async] = ACTIONS(3809),
    [anon_sym_const] = ACTIONS(3809),
    [anon_sym_file] = ACTIONS(3809),
    [anon_sym_fixed] = ACTIONS(3809),
    [anon_sym_internal] = ACTIONS(3809),
    [anon_sym_new] = ACTIONS(3809),
    [anon_sym_override] = ACTIONS(3809),
    [anon_sym_partial] = ACTIONS(3809),
    [anon_sym_private] = ACTIONS(3809),
    [anon_sym_protected] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3809),
    [anon_sym_readonly] = ACTIONS(3809),
    [anon_sym_required] = ACTIONS(3809),
    [anon_sym_sealed] = ACTIONS(3809),
    [anon_sym_virtual] = ACTIONS(3809),
    [anon_sym_volatile] = ACTIONS(3809),
    [anon_sym_where] = ACTIONS(3809),
    [anon_sym_notnull] = ACTIONS(3809),
    [anon_sym_unmanaged] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3811),
    [anon_sym_implicit] = ACTIONS(3809),
    [anon_sym_explicit] = ACTIONS(3809),
    [anon_sym_scoped] = ACTIONS(3809),
    [anon_sym_var] = ACTIONS(3809),
    [sym_predefined_type] = ACTIONS(3809),
    [anon_sym_yield] = ACTIONS(3809),
    [anon_sym_when] = ACTIONS(3809),
    [anon_sym_from] = ACTIONS(3809),
    [anon_sym_into] = ACTIONS(3809),
    [anon_sym_join] = ACTIONS(3809),
    [anon_sym_on] = ACTIONS(3809),
    [anon_sym_equals] = ACTIONS(3809),
    [anon_sym_let] = ACTIONS(3809),
    [anon_sym_orderby] = ACTIONS(3809),
    [anon_sym_ascending] = ACTIONS(3809),
    [anon_sym_descending] = ACTIONS(3809),
    [anon_sym_group] = ACTIONS(3809),
    [anon_sym_by] = ACTIONS(3809),
    [anon_sym_select] = ACTIONS(3809),
    [aux_sym_preproc_if_token1] = ACTIONS(3811),
    [aux_sym_preproc_if_token3] = ACTIONS(3811),
    [aux_sym_preproc_else_token1] = ACTIONS(3811),
    [aux_sym_preproc_elif_token1] = ACTIONS(3811),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3466] = {
    [sym_preproc_region] = STATE(3466),
    [sym_preproc_endregion] = STATE(3466),
    [sym_preproc_line] = STATE(3466),
    [sym_preproc_pragma] = STATE(3466),
    [sym_preproc_nullable] = STATE(3466),
    [sym_preproc_error] = STATE(3466),
    [sym_preproc_define] = STATE(3466),
    [sym_preproc_undef] = STATE(3466),
    [sym__identifier_token] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3813),
    [anon_sym_alias] = ACTIONS(3813),
    [anon_sym_global] = ACTIONS(3813),
    [anon_sym_using] = ACTIONS(3813),
    [anon_sym_unsafe] = ACTIONS(3813),
    [anon_sym_static] = ACTIONS(3813),
    [anon_sym_LBRACK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(3815),
    [anon_sym_event] = ACTIONS(3813),
    [anon_sym_namespace] = ACTIONS(3813),
    [anon_sym_class] = ACTIONS(3813),
    [anon_sym_ref] = ACTIONS(3813),
    [anon_sym_struct] = ACTIONS(3813),
    [anon_sym_enum] = ACTIONS(3813),
    [anon_sym_RBRACE] = ACTIONS(3815),
    [anon_sym_interface] = ACTIONS(3813),
    [anon_sym_delegate] = ACTIONS(3813),
    [anon_sym_record] = ACTIONS(3813),
    [anon_sym_abstract] = ACTIONS(3813),
    [anon_sym_async] = ACTIONS(3813),
    [anon_sym_const] = ACTIONS(3813),
    [anon_sym_file] = ACTIONS(3813),
    [anon_sym_fixed] = ACTIONS(3813),
    [anon_sym_internal] = ACTIONS(3813),
    [anon_sym_new] = ACTIONS(3813),
    [anon_sym_override] = ACTIONS(3813),
    [anon_sym_partial] = ACTIONS(3813),
    [anon_sym_private] = ACTIONS(3813),
    [anon_sym_protected] = ACTIONS(3813),
    [anon_sym_public] = ACTIONS(3813),
    [anon_sym_readonly] = ACTIONS(3813),
    [anon_sym_required] = ACTIONS(3813),
    [anon_sym_sealed] = ACTIONS(3813),
    [anon_sym_virtual] = ACTIONS(3813),
    [anon_sym_volatile] = ACTIONS(3813),
    [anon_sym_where] = ACTIONS(3813),
    [anon_sym_notnull] = ACTIONS(3813),
    [anon_sym_unmanaged] = ACTIONS(3813),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_implicit] = ACTIONS(3813),
    [anon_sym_explicit] = ACTIONS(3813),
    [anon_sym_scoped] = ACTIONS(3813),
    [anon_sym_var] = ACTIONS(3813),
    [sym_predefined_type] = ACTIONS(3813),
    [anon_sym_yield] = ACTIONS(3813),
    [anon_sym_when] = ACTIONS(3813),
    [anon_sym_from] = ACTIONS(3813),
    [anon_sym_into] = ACTIONS(3813),
    [anon_sym_join] = ACTIONS(3813),
    [anon_sym_on] = ACTIONS(3813),
    [anon_sym_equals] = ACTIONS(3813),
    [anon_sym_let] = ACTIONS(3813),
    [anon_sym_orderby] = ACTIONS(3813),
    [anon_sym_ascending] = ACTIONS(3813),
    [anon_sym_descending] = ACTIONS(3813),
    [anon_sym_group] = ACTIONS(3813),
    [anon_sym_by] = ACTIONS(3813),
    [anon_sym_select] = ACTIONS(3813),
    [aux_sym_preproc_if_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token3] = ACTIONS(3815),
    [aux_sym_preproc_else_token1] = ACTIONS(3815),
    [aux_sym_preproc_elif_token1] = ACTIONS(3815),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3467] = {
    [sym_preproc_region] = STATE(3467),
    [sym_preproc_endregion] = STATE(3467),
    [sym_preproc_line] = STATE(3467),
    [sym_preproc_pragma] = STATE(3467),
    [sym_preproc_nullable] = STATE(3467),
    [sym_preproc_error] = STATE(3467),
    [sym_preproc_define] = STATE(3467),
    [sym_preproc_undef] = STATE(3467),
    [sym__identifier_token] = ACTIONS(5045),
    [anon_sym_extern] = ACTIONS(5045),
    [anon_sym_alias] = ACTIONS(5045),
    [anon_sym_global] = ACTIONS(5045),
    [anon_sym_using] = ACTIONS(5045),
    [anon_sym_unsafe] = ACTIONS(5045),
    [anon_sym_static] = ACTIONS(5045),
    [anon_sym_LBRACK] = ACTIONS(5047),
    [anon_sym_LPAREN] = ACTIONS(5047),
    [anon_sym_event] = ACTIONS(5045),
    [anon_sym_namespace] = ACTIONS(5045),
    [anon_sym_class] = ACTIONS(5045),
    [anon_sym_ref] = ACTIONS(5045),
    [anon_sym_struct] = ACTIONS(5045),
    [anon_sym_enum] = ACTIONS(5045),
    [anon_sym_RBRACE] = ACTIONS(5047),
    [anon_sym_interface] = ACTIONS(5045),
    [anon_sym_delegate] = ACTIONS(5045),
    [anon_sym_record] = ACTIONS(5045),
    [anon_sym_abstract] = ACTIONS(5045),
    [anon_sym_async] = ACTIONS(5045),
    [anon_sym_const] = ACTIONS(5045),
    [anon_sym_file] = ACTIONS(5045),
    [anon_sym_fixed] = ACTIONS(5045),
    [anon_sym_internal] = ACTIONS(5045),
    [anon_sym_new] = ACTIONS(5045),
    [anon_sym_override] = ACTIONS(5045),
    [anon_sym_partial] = ACTIONS(5045),
    [anon_sym_private] = ACTIONS(5045),
    [anon_sym_protected] = ACTIONS(5045),
    [anon_sym_public] = ACTIONS(5045),
    [anon_sym_readonly] = ACTIONS(5045),
    [anon_sym_required] = ACTIONS(5045),
    [anon_sym_sealed] = ACTIONS(5045),
    [anon_sym_virtual] = ACTIONS(5045),
    [anon_sym_volatile] = ACTIONS(5045),
    [anon_sym_where] = ACTIONS(5045),
    [anon_sym_notnull] = ACTIONS(5045),
    [anon_sym_unmanaged] = ACTIONS(5045),
    [anon_sym_TILDE] = ACTIONS(5047),
    [anon_sym_implicit] = ACTIONS(5045),
    [anon_sym_explicit] = ACTIONS(5045),
    [anon_sym_scoped] = ACTIONS(5045),
    [anon_sym_var] = ACTIONS(5045),
    [sym_predefined_type] = ACTIONS(5045),
    [anon_sym_yield] = ACTIONS(5045),
    [anon_sym_when] = ACTIONS(5045),
    [anon_sym_from] = ACTIONS(5045),
    [anon_sym_into] = ACTIONS(5045),
    [anon_sym_join] = ACTIONS(5045),
    [anon_sym_on] = ACTIONS(5045),
    [anon_sym_equals] = ACTIONS(5045),
    [anon_sym_let] = ACTIONS(5045),
    [anon_sym_orderby] = ACTIONS(5045),
    [anon_sym_ascending] = ACTIONS(5045),
    [anon_sym_descending] = ACTIONS(5045),
    [anon_sym_group] = ACTIONS(5045),
    [anon_sym_by] = ACTIONS(5045),
    [anon_sym_select] = ACTIONS(5045),
    [aux_sym_preproc_if_token1] = ACTIONS(5047),
    [aux_sym_preproc_if_token3] = ACTIONS(5047),
    [aux_sym_preproc_else_token1] = ACTIONS(5047),
    [aux_sym_preproc_elif_token1] = ACTIONS(5047),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3468] = {
    [sym_preproc_region] = STATE(3468),
    [sym_preproc_endregion] = STATE(3468),
    [sym_preproc_line] = STATE(3468),
    [sym_preproc_pragma] = STATE(3468),
    [sym_preproc_nullable] = STATE(3468),
    [sym_preproc_error] = STATE(3468),
    [sym_preproc_define] = STATE(3468),
    [sym_preproc_undef] = STATE(3468),
    [sym__identifier_token] = ACTIONS(5049),
    [anon_sym_extern] = ACTIONS(5049),
    [anon_sym_alias] = ACTIONS(5049),
    [anon_sym_global] = ACTIONS(5049),
    [anon_sym_using] = ACTIONS(5049),
    [anon_sym_unsafe] = ACTIONS(5049),
    [anon_sym_static] = ACTIONS(5049),
    [anon_sym_LBRACK] = ACTIONS(5051),
    [anon_sym_LPAREN] = ACTIONS(5051),
    [anon_sym_event] = ACTIONS(5049),
    [anon_sym_namespace] = ACTIONS(5049),
    [anon_sym_class] = ACTIONS(5049),
    [anon_sym_ref] = ACTIONS(5049),
    [anon_sym_struct] = ACTIONS(5049),
    [anon_sym_enum] = ACTIONS(5049),
    [anon_sym_RBRACE] = ACTIONS(5051),
    [anon_sym_interface] = ACTIONS(5049),
    [anon_sym_delegate] = ACTIONS(5049),
    [anon_sym_record] = ACTIONS(5049),
    [anon_sym_abstract] = ACTIONS(5049),
    [anon_sym_async] = ACTIONS(5049),
    [anon_sym_const] = ACTIONS(5049),
    [anon_sym_file] = ACTIONS(5049),
    [anon_sym_fixed] = ACTIONS(5049),
    [anon_sym_internal] = ACTIONS(5049),
    [anon_sym_new] = ACTIONS(5049),
    [anon_sym_override] = ACTIONS(5049),
    [anon_sym_partial] = ACTIONS(5049),
    [anon_sym_private] = ACTIONS(5049),
    [anon_sym_protected] = ACTIONS(5049),
    [anon_sym_public] = ACTIONS(5049),
    [anon_sym_readonly] = ACTIONS(5049),
    [anon_sym_required] = ACTIONS(5049),
    [anon_sym_sealed] = ACTIONS(5049),
    [anon_sym_virtual] = ACTIONS(5049),
    [anon_sym_volatile] = ACTIONS(5049),
    [anon_sym_where] = ACTIONS(5049),
    [anon_sym_notnull] = ACTIONS(5049),
    [anon_sym_unmanaged] = ACTIONS(5049),
    [anon_sym_TILDE] = ACTIONS(5051),
    [anon_sym_implicit] = ACTIONS(5049),
    [anon_sym_explicit] = ACTIONS(5049),
    [anon_sym_scoped] = ACTIONS(5049),
    [anon_sym_var] = ACTIONS(5049),
    [sym_predefined_type] = ACTIONS(5049),
    [anon_sym_yield] = ACTIONS(5049),
    [anon_sym_when] = ACTIONS(5049),
    [anon_sym_from] = ACTIONS(5049),
    [anon_sym_into] = ACTIONS(5049),
    [anon_sym_join] = ACTIONS(5049),
    [anon_sym_on] = ACTIONS(5049),
    [anon_sym_equals] = ACTIONS(5049),
    [anon_sym_let] = ACTIONS(5049),
    [anon_sym_orderby] = ACTIONS(5049),
    [anon_sym_ascending] = ACTIONS(5049),
    [anon_sym_descending] = ACTIONS(5049),
    [anon_sym_group] = ACTIONS(5049),
    [anon_sym_by] = ACTIONS(5049),
    [anon_sym_select] = ACTIONS(5049),
    [aux_sym_preproc_if_token1] = ACTIONS(5051),
    [aux_sym_preproc_if_token3] = ACTIONS(5051),
    [aux_sym_preproc_else_token1] = ACTIONS(5051),
    [aux_sym_preproc_elif_token1] = ACTIONS(5051),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3469] = {
    [sym_preproc_region] = STATE(3469),
    [sym_preproc_endregion] = STATE(3469),
    [sym_preproc_line] = STATE(3469),
    [sym_preproc_pragma] = STATE(3469),
    [sym_preproc_nullable] = STATE(3469),
    [sym_preproc_error] = STATE(3469),
    [sym_preproc_define] = STATE(3469),
    [sym_preproc_undef] = STATE(3469),
    [sym__identifier_token] = ACTIONS(5053),
    [anon_sym_extern] = ACTIONS(5053),
    [anon_sym_alias] = ACTIONS(5053),
    [anon_sym_global] = ACTIONS(5053),
    [anon_sym_using] = ACTIONS(5053),
    [anon_sym_unsafe] = ACTIONS(5053),
    [anon_sym_static] = ACTIONS(5053),
    [anon_sym_LBRACK] = ACTIONS(5055),
    [anon_sym_LPAREN] = ACTIONS(5055),
    [anon_sym_event] = ACTIONS(5053),
    [anon_sym_namespace] = ACTIONS(5053),
    [anon_sym_class] = ACTIONS(5053),
    [anon_sym_ref] = ACTIONS(5053),
    [anon_sym_struct] = ACTIONS(5053),
    [anon_sym_enum] = ACTIONS(5053),
    [anon_sym_RBRACE] = ACTIONS(5055),
    [anon_sym_interface] = ACTIONS(5053),
    [anon_sym_delegate] = ACTIONS(5053),
    [anon_sym_record] = ACTIONS(5053),
    [anon_sym_abstract] = ACTIONS(5053),
    [anon_sym_async] = ACTIONS(5053),
    [anon_sym_const] = ACTIONS(5053),
    [anon_sym_file] = ACTIONS(5053),
    [anon_sym_fixed] = ACTIONS(5053),
    [anon_sym_internal] = ACTIONS(5053),
    [anon_sym_new] = ACTIONS(5053),
    [anon_sym_override] = ACTIONS(5053),
    [anon_sym_partial] = ACTIONS(5053),
    [anon_sym_private] = ACTIONS(5053),
    [anon_sym_protected] = ACTIONS(5053),
    [anon_sym_public] = ACTIONS(5053),
    [anon_sym_readonly] = ACTIONS(5053),
    [anon_sym_required] = ACTIONS(5053),
    [anon_sym_sealed] = ACTIONS(5053),
    [anon_sym_virtual] = ACTIONS(5053),
    [anon_sym_volatile] = ACTIONS(5053),
    [anon_sym_where] = ACTIONS(5053),
    [anon_sym_notnull] = ACTIONS(5053),
    [anon_sym_unmanaged] = ACTIONS(5053),
    [anon_sym_TILDE] = ACTIONS(5055),
    [anon_sym_implicit] = ACTIONS(5053),
    [anon_sym_explicit] = ACTIONS(5053),
    [anon_sym_scoped] = ACTIONS(5053),
    [anon_sym_var] = ACTIONS(5053),
    [sym_predefined_type] = ACTIONS(5053),
    [anon_sym_yield] = ACTIONS(5053),
    [anon_sym_when] = ACTIONS(5053),
    [anon_sym_from] = ACTIONS(5053),
    [anon_sym_into] = ACTIONS(5053),
    [anon_sym_join] = ACTIONS(5053),
    [anon_sym_on] = ACTIONS(5053),
    [anon_sym_equals] = ACTIONS(5053),
    [anon_sym_let] = ACTIONS(5053),
    [anon_sym_orderby] = ACTIONS(5053),
    [anon_sym_ascending] = ACTIONS(5053),
    [anon_sym_descending] = ACTIONS(5053),
    [anon_sym_group] = ACTIONS(5053),
    [anon_sym_by] = ACTIONS(5053),
    [anon_sym_select] = ACTIONS(5053),
    [aux_sym_preproc_if_token1] = ACTIONS(5055),
    [aux_sym_preproc_if_token3] = ACTIONS(5055),
    [aux_sym_preproc_else_token1] = ACTIONS(5055),
    [aux_sym_preproc_elif_token1] = ACTIONS(5055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3470] = {
    [sym_preproc_region] = STATE(3470),
    [sym_preproc_endregion] = STATE(3470),
    [sym_preproc_line] = STATE(3470),
    [sym_preproc_pragma] = STATE(3470),
    [sym_preproc_nullable] = STATE(3470),
    [sym_preproc_error] = STATE(3470),
    [sym_preproc_define] = STATE(3470),
    [sym_preproc_undef] = STATE(3470),
    [sym__identifier_token] = ACTIONS(3817),
    [anon_sym_extern] = ACTIONS(3817),
    [anon_sym_alias] = ACTIONS(3817),
    [anon_sym_global] = ACTIONS(3817),
    [anon_sym_using] = ACTIONS(3817),
    [anon_sym_unsafe] = ACTIONS(3817),
    [anon_sym_static] = ACTIONS(3817),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_LPAREN] = ACTIONS(3819),
    [anon_sym_event] = ACTIONS(3817),
    [anon_sym_namespace] = ACTIONS(3817),
    [anon_sym_class] = ACTIONS(3817),
    [anon_sym_ref] = ACTIONS(3817),
    [anon_sym_struct] = ACTIONS(3817),
    [anon_sym_enum] = ACTIONS(3817),
    [anon_sym_RBRACE] = ACTIONS(3819),
    [anon_sym_interface] = ACTIONS(3817),
    [anon_sym_delegate] = ACTIONS(3817),
    [anon_sym_record] = ACTIONS(3817),
    [anon_sym_abstract] = ACTIONS(3817),
    [anon_sym_async] = ACTIONS(3817),
    [anon_sym_const] = ACTIONS(3817),
    [anon_sym_file] = ACTIONS(3817),
    [anon_sym_fixed] = ACTIONS(3817),
    [anon_sym_internal] = ACTIONS(3817),
    [anon_sym_new] = ACTIONS(3817),
    [anon_sym_override] = ACTIONS(3817),
    [anon_sym_partial] = ACTIONS(3817),
    [anon_sym_private] = ACTIONS(3817),
    [anon_sym_protected] = ACTIONS(3817),
    [anon_sym_public] = ACTIONS(3817),
    [anon_sym_readonly] = ACTIONS(3817),
    [anon_sym_required] = ACTIONS(3817),
    [anon_sym_sealed] = ACTIONS(3817),
    [anon_sym_virtual] = ACTIONS(3817),
    [anon_sym_volatile] = ACTIONS(3817),
    [anon_sym_where] = ACTIONS(3817),
    [anon_sym_notnull] = ACTIONS(3817),
    [anon_sym_unmanaged] = ACTIONS(3817),
    [anon_sym_TILDE] = ACTIONS(3819),
    [anon_sym_implicit] = ACTIONS(3817),
    [anon_sym_explicit] = ACTIONS(3817),
    [anon_sym_scoped] = ACTIONS(3817),
    [anon_sym_var] = ACTIONS(3817),
    [sym_predefined_type] = ACTIONS(3817),
    [anon_sym_yield] = ACTIONS(3817),
    [anon_sym_when] = ACTIONS(3817),
    [anon_sym_from] = ACTIONS(3817),
    [anon_sym_into] = ACTIONS(3817),
    [anon_sym_join] = ACTIONS(3817),
    [anon_sym_on] = ACTIONS(3817),
    [anon_sym_equals] = ACTIONS(3817),
    [anon_sym_let] = ACTIONS(3817),
    [anon_sym_orderby] = ACTIONS(3817),
    [anon_sym_ascending] = ACTIONS(3817),
    [anon_sym_descending] = ACTIONS(3817),
    [anon_sym_group] = ACTIONS(3817),
    [anon_sym_by] = ACTIONS(3817),
    [anon_sym_select] = ACTIONS(3817),
    [aux_sym_preproc_if_token1] = ACTIONS(3819),
    [aux_sym_preproc_if_token3] = ACTIONS(3819),
    [aux_sym_preproc_else_token1] = ACTIONS(3819),
    [aux_sym_preproc_elif_token1] = ACTIONS(3819),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3471] = {
    [sym_preproc_region] = STATE(3471),
    [sym_preproc_endregion] = STATE(3471),
    [sym_preproc_line] = STATE(3471),
    [sym_preproc_pragma] = STATE(3471),
    [sym_preproc_nullable] = STATE(3471),
    [sym_preproc_error] = STATE(3471),
    [sym_preproc_define] = STATE(3471),
    [sym_preproc_undef] = STATE(3471),
    [sym__identifier_token] = ACTIONS(3821),
    [anon_sym_extern] = ACTIONS(3821),
    [anon_sym_alias] = ACTIONS(3821),
    [anon_sym_global] = ACTIONS(3821),
    [anon_sym_using] = ACTIONS(3821),
    [anon_sym_unsafe] = ACTIONS(3821),
    [anon_sym_static] = ACTIONS(3821),
    [anon_sym_LBRACK] = ACTIONS(3823),
    [anon_sym_LPAREN] = ACTIONS(3823),
    [anon_sym_event] = ACTIONS(3821),
    [anon_sym_namespace] = ACTIONS(3821),
    [anon_sym_class] = ACTIONS(3821),
    [anon_sym_ref] = ACTIONS(3821),
    [anon_sym_struct] = ACTIONS(3821),
    [anon_sym_enum] = ACTIONS(3821),
    [anon_sym_RBRACE] = ACTIONS(3823),
    [anon_sym_interface] = ACTIONS(3821),
    [anon_sym_delegate] = ACTIONS(3821),
    [anon_sym_record] = ACTIONS(3821),
    [anon_sym_abstract] = ACTIONS(3821),
    [anon_sym_async] = ACTIONS(3821),
    [anon_sym_const] = ACTIONS(3821),
    [anon_sym_file] = ACTIONS(3821),
    [anon_sym_fixed] = ACTIONS(3821),
    [anon_sym_internal] = ACTIONS(3821),
    [anon_sym_new] = ACTIONS(3821),
    [anon_sym_override] = ACTIONS(3821),
    [anon_sym_partial] = ACTIONS(3821),
    [anon_sym_private] = ACTIONS(3821),
    [anon_sym_protected] = ACTIONS(3821),
    [anon_sym_public] = ACTIONS(3821),
    [anon_sym_readonly] = ACTIONS(3821),
    [anon_sym_required] = ACTIONS(3821),
    [anon_sym_sealed] = ACTIONS(3821),
    [anon_sym_virtual] = ACTIONS(3821),
    [anon_sym_volatile] = ACTIONS(3821),
    [anon_sym_where] = ACTIONS(3821),
    [anon_sym_notnull] = ACTIONS(3821),
    [anon_sym_unmanaged] = ACTIONS(3821),
    [anon_sym_TILDE] = ACTIONS(3823),
    [anon_sym_implicit] = ACTIONS(3821),
    [anon_sym_explicit] = ACTIONS(3821),
    [anon_sym_scoped] = ACTIONS(3821),
    [anon_sym_var] = ACTIONS(3821),
    [sym_predefined_type] = ACTIONS(3821),
    [anon_sym_yield] = ACTIONS(3821),
    [anon_sym_when] = ACTIONS(3821),
    [anon_sym_from] = ACTIONS(3821),
    [anon_sym_into] = ACTIONS(3821),
    [anon_sym_join] = ACTIONS(3821),
    [anon_sym_on] = ACTIONS(3821),
    [anon_sym_equals] = ACTIONS(3821),
    [anon_sym_let] = ACTIONS(3821),
    [anon_sym_orderby] = ACTIONS(3821),
    [anon_sym_ascending] = ACTIONS(3821),
    [anon_sym_descending] = ACTIONS(3821),
    [anon_sym_group] = ACTIONS(3821),
    [anon_sym_by] = ACTIONS(3821),
    [anon_sym_select] = ACTIONS(3821),
    [aux_sym_preproc_if_token1] = ACTIONS(3823),
    [aux_sym_preproc_if_token3] = ACTIONS(3823),
    [aux_sym_preproc_else_token1] = ACTIONS(3823),
    [aux_sym_preproc_elif_token1] = ACTIONS(3823),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3472] = {
    [sym_preproc_region] = STATE(3472),
    [sym_preproc_endregion] = STATE(3472),
    [sym_preproc_line] = STATE(3472),
    [sym_preproc_pragma] = STATE(3472),
    [sym_preproc_nullable] = STATE(3472),
    [sym_preproc_error] = STATE(3472),
    [sym_preproc_define] = STATE(3472),
    [sym_preproc_undef] = STATE(3472),
    [sym__identifier_token] = ACTIONS(3825),
    [anon_sym_extern] = ACTIONS(3825),
    [anon_sym_alias] = ACTIONS(3825),
    [anon_sym_global] = ACTIONS(3825),
    [anon_sym_using] = ACTIONS(3825),
    [anon_sym_unsafe] = ACTIONS(3825),
    [anon_sym_static] = ACTIONS(3825),
    [anon_sym_LBRACK] = ACTIONS(3827),
    [anon_sym_LPAREN] = ACTIONS(3827),
    [anon_sym_event] = ACTIONS(3825),
    [anon_sym_namespace] = ACTIONS(3825),
    [anon_sym_class] = ACTIONS(3825),
    [anon_sym_ref] = ACTIONS(3825),
    [anon_sym_struct] = ACTIONS(3825),
    [anon_sym_enum] = ACTIONS(3825),
    [anon_sym_RBRACE] = ACTIONS(3827),
    [anon_sym_interface] = ACTIONS(3825),
    [anon_sym_delegate] = ACTIONS(3825),
    [anon_sym_record] = ACTIONS(3825),
    [anon_sym_abstract] = ACTIONS(3825),
    [anon_sym_async] = ACTIONS(3825),
    [anon_sym_const] = ACTIONS(3825),
    [anon_sym_file] = ACTIONS(3825),
    [anon_sym_fixed] = ACTIONS(3825),
    [anon_sym_internal] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(3825),
    [anon_sym_override] = ACTIONS(3825),
    [anon_sym_partial] = ACTIONS(3825),
    [anon_sym_private] = ACTIONS(3825),
    [anon_sym_protected] = ACTIONS(3825),
    [anon_sym_public] = ACTIONS(3825),
    [anon_sym_readonly] = ACTIONS(3825),
    [anon_sym_required] = ACTIONS(3825),
    [anon_sym_sealed] = ACTIONS(3825),
    [anon_sym_virtual] = ACTIONS(3825),
    [anon_sym_volatile] = ACTIONS(3825),
    [anon_sym_where] = ACTIONS(3825),
    [anon_sym_notnull] = ACTIONS(3825),
    [anon_sym_unmanaged] = ACTIONS(3825),
    [anon_sym_TILDE] = ACTIONS(3827),
    [anon_sym_implicit] = ACTIONS(3825),
    [anon_sym_explicit] = ACTIONS(3825),
    [anon_sym_scoped] = ACTIONS(3825),
    [anon_sym_var] = ACTIONS(3825),
    [sym_predefined_type] = ACTIONS(3825),
    [anon_sym_yield] = ACTIONS(3825),
    [anon_sym_when] = ACTIONS(3825),
    [anon_sym_from] = ACTIONS(3825),
    [anon_sym_into] = ACTIONS(3825),
    [anon_sym_join] = ACTIONS(3825),
    [anon_sym_on] = ACTIONS(3825),
    [anon_sym_equals] = ACTIONS(3825),
    [anon_sym_let] = ACTIONS(3825),
    [anon_sym_orderby] = ACTIONS(3825),
    [anon_sym_ascending] = ACTIONS(3825),
    [anon_sym_descending] = ACTIONS(3825),
    [anon_sym_group] = ACTIONS(3825),
    [anon_sym_by] = ACTIONS(3825),
    [anon_sym_select] = ACTIONS(3825),
    [aux_sym_preproc_if_token1] = ACTIONS(3827),
    [aux_sym_preproc_if_token3] = ACTIONS(3827),
    [aux_sym_preproc_else_token1] = ACTIONS(3827),
    [aux_sym_preproc_elif_token1] = ACTIONS(3827),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3473] = {
    [sym_preproc_region] = STATE(3473),
    [sym_preproc_endregion] = STATE(3473),
    [sym_preproc_line] = STATE(3473),
    [sym_preproc_pragma] = STATE(3473),
    [sym_preproc_nullable] = STATE(3473),
    [sym_preproc_error] = STATE(3473),
    [sym_preproc_define] = STATE(3473),
    [sym_preproc_undef] = STATE(3473),
    [sym__identifier_token] = ACTIONS(3853),
    [anon_sym_extern] = ACTIONS(3853),
    [anon_sym_alias] = ACTIONS(3853),
    [anon_sym_global] = ACTIONS(3853),
    [anon_sym_using] = ACTIONS(3853),
    [anon_sym_unsafe] = ACTIONS(3853),
    [anon_sym_static] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(3855),
    [anon_sym_LPAREN] = ACTIONS(3855),
    [anon_sym_event] = ACTIONS(3853),
    [anon_sym_namespace] = ACTIONS(3853),
    [anon_sym_class] = ACTIONS(3853),
    [anon_sym_ref] = ACTIONS(3853),
    [anon_sym_struct] = ACTIONS(3853),
    [anon_sym_enum] = ACTIONS(3853),
    [anon_sym_RBRACE] = ACTIONS(3855),
    [anon_sym_interface] = ACTIONS(3853),
    [anon_sym_delegate] = ACTIONS(3853),
    [anon_sym_record] = ACTIONS(3853),
    [anon_sym_abstract] = ACTIONS(3853),
    [anon_sym_async] = ACTIONS(3853),
    [anon_sym_const] = ACTIONS(3853),
    [anon_sym_file] = ACTIONS(3853),
    [anon_sym_fixed] = ACTIONS(3853),
    [anon_sym_internal] = ACTIONS(3853),
    [anon_sym_new] = ACTIONS(3853),
    [anon_sym_override] = ACTIONS(3853),
    [anon_sym_partial] = ACTIONS(3853),
    [anon_sym_private] = ACTIONS(3853),
    [anon_sym_protected] = ACTIONS(3853),
    [anon_sym_public] = ACTIONS(3853),
    [anon_sym_readonly] = ACTIONS(3853),
    [anon_sym_required] = ACTIONS(3853),
    [anon_sym_sealed] = ACTIONS(3853),
    [anon_sym_virtual] = ACTIONS(3853),
    [anon_sym_volatile] = ACTIONS(3853),
    [anon_sym_where] = ACTIONS(3853),
    [anon_sym_notnull] = ACTIONS(3853),
    [anon_sym_unmanaged] = ACTIONS(3853),
    [anon_sym_TILDE] = ACTIONS(3855),
    [anon_sym_implicit] = ACTIONS(3853),
    [anon_sym_explicit] = ACTIONS(3853),
    [anon_sym_scoped] = ACTIONS(3853),
    [anon_sym_var] = ACTIONS(3853),
    [sym_predefined_type] = ACTIONS(3853),
    [anon_sym_yield] = ACTIONS(3853),
    [anon_sym_when] = ACTIONS(3853),
    [anon_sym_from] = ACTIONS(3853),
    [anon_sym_into] = ACTIONS(3853),
    [anon_sym_join] = ACTIONS(3853),
    [anon_sym_on] = ACTIONS(3853),
    [anon_sym_equals] = ACTIONS(3853),
    [anon_sym_let] = ACTIONS(3853),
    [anon_sym_orderby] = ACTIONS(3853),
    [anon_sym_ascending] = ACTIONS(3853),
    [anon_sym_descending] = ACTIONS(3853),
    [anon_sym_group] = ACTIONS(3853),
    [anon_sym_by] = ACTIONS(3853),
    [anon_sym_select] = ACTIONS(3853),
    [aux_sym_preproc_if_token1] = ACTIONS(3855),
    [aux_sym_preproc_if_token3] = ACTIONS(3855),
    [aux_sym_preproc_else_token1] = ACTIONS(3855),
    [aux_sym_preproc_elif_token1] = ACTIONS(3855),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3474] = {
    [sym_preproc_region] = STATE(3474),
    [sym_preproc_endregion] = STATE(3474),
    [sym_preproc_line] = STATE(3474),
    [sym_preproc_pragma] = STATE(3474),
    [sym_preproc_nullable] = STATE(3474),
    [sym_preproc_error] = STATE(3474),
    [sym_preproc_define] = STATE(3474),
    [sym_preproc_undef] = STATE(3474),
    [sym__identifier_token] = ACTIONS(3869),
    [anon_sym_extern] = ACTIONS(3869),
    [anon_sym_alias] = ACTIONS(3869),
    [anon_sym_global] = ACTIONS(3869),
    [anon_sym_using] = ACTIONS(3869),
    [anon_sym_unsafe] = ACTIONS(3869),
    [anon_sym_static] = ACTIONS(3869),
    [anon_sym_LBRACK] = ACTIONS(3871),
    [anon_sym_LPAREN] = ACTIONS(3871),
    [anon_sym_event] = ACTIONS(3869),
    [anon_sym_namespace] = ACTIONS(3869),
    [anon_sym_class] = ACTIONS(3869),
    [anon_sym_ref] = ACTIONS(3869),
    [anon_sym_struct] = ACTIONS(3869),
    [anon_sym_enum] = ACTIONS(3869),
    [anon_sym_RBRACE] = ACTIONS(3871),
    [anon_sym_interface] = ACTIONS(3869),
    [anon_sym_delegate] = ACTIONS(3869),
    [anon_sym_record] = ACTIONS(3869),
    [anon_sym_abstract] = ACTIONS(3869),
    [anon_sym_async] = ACTIONS(3869),
    [anon_sym_const] = ACTIONS(3869),
    [anon_sym_file] = ACTIONS(3869),
    [anon_sym_fixed] = ACTIONS(3869),
    [anon_sym_internal] = ACTIONS(3869),
    [anon_sym_new] = ACTIONS(3869),
    [anon_sym_override] = ACTIONS(3869),
    [anon_sym_partial] = ACTIONS(3869),
    [anon_sym_private] = ACTIONS(3869),
    [anon_sym_protected] = ACTIONS(3869),
    [anon_sym_public] = ACTIONS(3869),
    [anon_sym_readonly] = ACTIONS(3869),
    [anon_sym_required] = ACTIONS(3869),
    [anon_sym_sealed] = ACTIONS(3869),
    [anon_sym_virtual] = ACTIONS(3869),
    [anon_sym_volatile] = ACTIONS(3869),
    [anon_sym_where] = ACTIONS(3869),
    [anon_sym_notnull] = ACTIONS(3869),
    [anon_sym_unmanaged] = ACTIONS(3869),
    [anon_sym_TILDE] = ACTIONS(3871),
    [anon_sym_implicit] = ACTIONS(3869),
    [anon_sym_explicit] = ACTIONS(3869),
    [anon_sym_scoped] = ACTIONS(3869),
    [anon_sym_var] = ACTIONS(3869),
    [sym_predefined_type] = ACTIONS(3869),
    [anon_sym_yield] = ACTIONS(3869),
    [anon_sym_when] = ACTIONS(3869),
    [anon_sym_from] = ACTIONS(3869),
    [anon_sym_into] = ACTIONS(3869),
    [anon_sym_join] = ACTIONS(3869),
    [anon_sym_on] = ACTIONS(3869),
    [anon_sym_equals] = ACTIONS(3869),
    [anon_sym_let] = ACTIONS(3869),
    [anon_sym_orderby] = ACTIONS(3869),
    [anon_sym_ascending] = ACTIONS(3869),
    [anon_sym_descending] = ACTIONS(3869),
    [anon_sym_group] = ACTIONS(3869),
    [anon_sym_by] = ACTIONS(3869),
    [anon_sym_select] = ACTIONS(3869),
    [aux_sym_preproc_if_token1] = ACTIONS(3871),
    [aux_sym_preproc_if_token3] = ACTIONS(3871),
    [aux_sym_preproc_else_token1] = ACTIONS(3871),
    [aux_sym_preproc_elif_token1] = ACTIONS(3871),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3475] = {
    [sym_preproc_region] = STATE(3475),
    [sym_preproc_endregion] = STATE(3475),
    [sym_preproc_line] = STATE(3475),
    [sym_preproc_pragma] = STATE(3475),
    [sym_preproc_nullable] = STATE(3475),
    [sym_preproc_error] = STATE(3475),
    [sym_preproc_define] = STATE(3475),
    [sym_preproc_undef] = STATE(3475),
    [sym__identifier_token] = ACTIONS(3913),
    [anon_sym_extern] = ACTIONS(3913),
    [anon_sym_alias] = ACTIONS(3913),
    [anon_sym_global] = ACTIONS(3913),
    [anon_sym_using] = ACTIONS(3913),
    [anon_sym_unsafe] = ACTIONS(3913),
    [anon_sym_static] = ACTIONS(3913),
    [anon_sym_LBRACK] = ACTIONS(3915),
    [anon_sym_LPAREN] = ACTIONS(3915),
    [anon_sym_event] = ACTIONS(3913),
    [anon_sym_namespace] = ACTIONS(3913),
    [anon_sym_class] = ACTIONS(3913),
    [anon_sym_ref] = ACTIONS(3913),
    [anon_sym_struct] = ACTIONS(3913),
    [anon_sym_enum] = ACTIONS(3913),
    [anon_sym_RBRACE] = ACTIONS(3915),
    [anon_sym_interface] = ACTIONS(3913),
    [anon_sym_delegate] = ACTIONS(3913),
    [anon_sym_record] = ACTIONS(3913),
    [anon_sym_abstract] = ACTIONS(3913),
    [anon_sym_async] = ACTIONS(3913),
    [anon_sym_const] = ACTIONS(3913),
    [anon_sym_file] = ACTIONS(3913),
    [anon_sym_fixed] = ACTIONS(3913),
    [anon_sym_internal] = ACTIONS(3913),
    [anon_sym_new] = ACTIONS(3913),
    [anon_sym_override] = ACTIONS(3913),
    [anon_sym_partial] = ACTIONS(3913),
    [anon_sym_private] = ACTIONS(3913),
    [anon_sym_protected] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3913),
    [anon_sym_readonly] = ACTIONS(3913),
    [anon_sym_required] = ACTIONS(3913),
    [anon_sym_sealed] = ACTIONS(3913),
    [anon_sym_virtual] = ACTIONS(3913),
    [anon_sym_volatile] = ACTIONS(3913),
    [anon_sym_where] = ACTIONS(3913),
    [anon_sym_notnull] = ACTIONS(3913),
    [anon_sym_unmanaged] = ACTIONS(3913),
    [anon_sym_TILDE] = ACTIONS(3915),
    [anon_sym_implicit] = ACTIONS(3913),
    [anon_sym_explicit] = ACTIONS(3913),
    [anon_sym_scoped] = ACTIONS(3913),
    [anon_sym_var] = ACTIONS(3913),
    [sym_predefined_type] = ACTIONS(3913),
    [anon_sym_yield] = ACTIONS(3913),
    [anon_sym_when] = ACTIONS(3913),
    [anon_sym_from] = ACTIONS(3913),
    [anon_sym_into] = ACTIONS(3913),
    [anon_sym_join] = ACTIONS(3913),
    [anon_sym_on] = ACTIONS(3913),
    [anon_sym_equals] = ACTIONS(3913),
    [anon_sym_let] = ACTIONS(3913),
    [anon_sym_orderby] = ACTIONS(3913),
    [anon_sym_ascending] = ACTIONS(3913),
    [anon_sym_descending] = ACTIONS(3913),
    [anon_sym_group] = ACTIONS(3913),
    [anon_sym_by] = ACTIONS(3913),
    [anon_sym_select] = ACTIONS(3913),
    [aux_sym_preproc_if_token1] = ACTIONS(3915),
    [aux_sym_preproc_if_token3] = ACTIONS(3915),
    [aux_sym_preproc_else_token1] = ACTIONS(3915),
    [aux_sym_preproc_elif_token1] = ACTIONS(3915),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3476] = {
    [sym_preproc_region] = STATE(3476),
    [sym_preproc_endregion] = STATE(3476),
    [sym_preproc_line] = STATE(3476),
    [sym_preproc_pragma] = STATE(3476),
    [sym_preproc_nullable] = STATE(3476),
    [sym_preproc_error] = STATE(3476),
    [sym_preproc_define] = STATE(3476),
    [sym_preproc_undef] = STATE(3476),
    [sym__identifier_token] = ACTIONS(3933),
    [anon_sym_extern] = ACTIONS(3933),
    [anon_sym_alias] = ACTIONS(3933),
    [anon_sym_global] = ACTIONS(3933),
    [anon_sym_using] = ACTIONS(3933),
    [anon_sym_unsafe] = ACTIONS(3933),
    [anon_sym_static] = ACTIONS(3933),
    [anon_sym_LBRACK] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3935),
    [anon_sym_event] = ACTIONS(3933),
    [anon_sym_namespace] = ACTIONS(3933),
    [anon_sym_class] = ACTIONS(3933),
    [anon_sym_ref] = ACTIONS(3933),
    [anon_sym_struct] = ACTIONS(3933),
    [anon_sym_enum] = ACTIONS(3933),
    [anon_sym_RBRACE] = ACTIONS(3935),
    [anon_sym_interface] = ACTIONS(3933),
    [anon_sym_delegate] = ACTIONS(3933),
    [anon_sym_record] = ACTIONS(3933),
    [anon_sym_abstract] = ACTIONS(3933),
    [anon_sym_async] = ACTIONS(3933),
    [anon_sym_const] = ACTIONS(3933),
    [anon_sym_file] = ACTIONS(3933),
    [anon_sym_fixed] = ACTIONS(3933),
    [anon_sym_internal] = ACTIONS(3933),
    [anon_sym_new] = ACTIONS(3933),
    [anon_sym_override] = ACTIONS(3933),
    [anon_sym_partial] = ACTIONS(3933),
    [anon_sym_private] = ACTIONS(3933),
    [anon_sym_protected] = ACTIONS(3933),
    [anon_sym_public] = ACTIONS(3933),
    [anon_sym_readonly] = ACTIONS(3933),
    [anon_sym_required] = ACTIONS(3933),
    [anon_sym_sealed] = ACTIONS(3933),
    [anon_sym_virtual] = ACTIONS(3933),
    [anon_sym_volatile] = ACTIONS(3933),
    [anon_sym_where] = ACTIONS(3933),
    [anon_sym_notnull] = ACTIONS(3933),
    [anon_sym_unmanaged] = ACTIONS(3933),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_implicit] = ACTIONS(3933),
    [anon_sym_explicit] = ACTIONS(3933),
    [anon_sym_scoped] = ACTIONS(3933),
    [anon_sym_var] = ACTIONS(3933),
    [sym_predefined_type] = ACTIONS(3933),
    [anon_sym_yield] = ACTIONS(3933),
    [anon_sym_when] = ACTIONS(3933),
    [anon_sym_from] = ACTIONS(3933),
    [anon_sym_into] = ACTIONS(3933),
    [anon_sym_join] = ACTIONS(3933),
    [anon_sym_on] = ACTIONS(3933),
    [anon_sym_equals] = ACTIONS(3933),
    [anon_sym_let] = ACTIONS(3933),
    [anon_sym_orderby] = ACTIONS(3933),
    [anon_sym_ascending] = ACTIONS(3933),
    [anon_sym_descending] = ACTIONS(3933),
    [anon_sym_group] = ACTIONS(3933),
    [anon_sym_by] = ACTIONS(3933),
    [anon_sym_select] = ACTIONS(3933),
    [aux_sym_preproc_if_token1] = ACTIONS(3935),
    [aux_sym_preproc_if_token3] = ACTIONS(3935),
    [aux_sym_preproc_else_token1] = ACTIONS(3935),
    [aux_sym_preproc_elif_token1] = ACTIONS(3935),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3477] = {
    [sym_preproc_region] = STATE(3477),
    [sym_preproc_endregion] = STATE(3477),
    [sym_preproc_line] = STATE(3477),
    [sym_preproc_pragma] = STATE(3477),
    [sym_preproc_nullable] = STATE(3477),
    [sym_preproc_error] = STATE(3477),
    [sym_preproc_define] = STATE(3477),
    [sym_preproc_undef] = STATE(3477),
    [sym__identifier_token] = ACTIONS(5057),
    [anon_sym_extern] = ACTIONS(5057),
    [anon_sym_alias] = ACTIONS(5057),
    [anon_sym_global] = ACTIONS(5057),
    [anon_sym_using] = ACTIONS(5057),
    [anon_sym_unsafe] = ACTIONS(5057),
    [anon_sym_static] = ACTIONS(5057),
    [anon_sym_LBRACK] = ACTIONS(5059),
    [anon_sym_LPAREN] = ACTIONS(5059),
    [anon_sym_event] = ACTIONS(5057),
    [anon_sym_namespace] = ACTIONS(5057),
    [anon_sym_class] = ACTIONS(5057),
    [anon_sym_ref] = ACTIONS(5057),
    [anon_sym_struct] = ACTIONS(5057),
    [anon_sym_enum] = ACTIONS(5057),
    [anon_sym_RBRACE] = ACTIONS(5059),
    [anon_sym_interface] = ACTIONS(5057),
    [anon_sym_delegate] = ACTIONS(5057),
    [anon_sym_record] = ACTIONS(5057),
    [anon_sym_abstract] = ACTIONS(5057),
    [anon_sym_async] = ACTIONS(5057),
    [anon_sym_const] = ACTIONS(5057),
    [anon_sym_file] = ACTIONS(5057),
    [anon_sym_fixed] = ACTIONS(5057),
    [anon_sym_internal] = ACTIONS(5057),
    [anon_sym_new] = ACTIONS(5057),
    [anon_sym_override] = ACTIONS(5057),
    [anon_sym_partial] = ACTIONS(5057),
    [anon_sym_private] = ACTIONS(5057),
    [anon_sym_protected] = ACTIONS(5057),
    [anon_sym_public] = ACTIONS(5057),
    [anon_sym_readonly] = ACTIONS(5057),
    [anon_sym_required] = ACTIONS(5057),
    [anon_sym_sealed] = ACTIONS(5057),
    [anon_sym_virtual] = ACTIONS(5057),
    [anon_sym_volatile] = ACTIONS(5057),
    [anon_sym_where] = ACTIONS(5057),
    [anon_sym_notnull] = ACTIONS(5057),
    [anon_sym_unmanaged] = ACTIONS(5057),
    [anon_sym_TILDE] = ACTIONS(5059),
    [anon_sym_implicit] = ACTIONS(5057),
    [anon_sym_explicit] = ACTIONS(5057),
    [anon_sym_scoped] = ACTIONS(5057),
    [anon_sym_var] = ACTIONS(5057),
    [sym_predefined_type] = ACTIONS(5057),
    [anon_sym_yield] = ACTIONS(5057),
    [anon_sym_when] = ACTIONS(5057),
    [anon_sym_from] = ACTIONS(5057),
    [anon_sym_into] = ACTIONS(5057),
    [anon_sym_join] = ACTIONS(5057),
    [anon_sym_on] = ACTIONS(5057),
    [anon_sym_equals] = ACTIONS(5057),
    [anon_sym_let] = ACTIONS(5057),
    [anon_sym_orderby] = ACTIONS(5057),
    [anon_sym_ascending] = ACTIONS(5057),
    [anon_sym_descending] = ACTIONS(5057),
    [anon_sym_group] = ACTIONS(5057),
    [anon_sym_by] = ACTIONS(5057),
    [anon_sym_select] = ACTIONS(5057),
    [aux_sym_preproc_if_token1] = ACTIONS(5059),
    [aux_sym_preproc_if_token3] = ACTIONS(5059),
    [aux_sym_preproc_else_token1] = ACTIONS(5059),
    [aux_sym_preproc_elif_token1] = ACTIONS(5059),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3478] = {
    [sym_preproc_region] = STATE(3478),
    [sym_preproc_endregion] = STATE(3478),
    [sym_preproc_line] = STATE(3478),
    [sym_preproc_pragma] = STATE(3478),
    [sym_preproc_nullable] = STATE(3478),
    [sym_preproc_error] = STATE(3478),
    [sym_preproc_define] = STATE(3478),
    [sym_preproc_undef] = STATE(3478),
    [sym__identifier_token] = ACTIONS(3411),
    [anon_sym_extern] = ACTIONS(3411),
    [anon_sym_alias] = ACTIONS(3411),
    [anon_sym_global] = ACTIONS(3411),
    [anon_sym_using] = ACTIONS(3411),
    [anon_sym_unsafe] = ACTIONS(3411),
    [anon_sym_static] = ACTIONS(3411),
    [anon_sym_LBRACK] = ACTIONS(3413),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_event] = ACTIONS(3411),
    [anon_sym_namespace] = ACTIONS(3411),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_ref] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3411),
    [anon_sym_enum] = ACTIONS(3411),
    [anon_sym_RBRACE] = ACTIONS(3413),
    [anon_sym_interface] = ACTIONS(3411),
    [anon_sym_delegate] = ACTIONS(3411),
    [anon_sym_record] = ACTIONS(3411),
    [anon_sym_abstract] = ACTIONS(3411),
    [anon_sym_async] = ACTIONS(3411),
    [anon_sym_const] = ACTIONS(3411),
    [anon_sym_file] = ACTIONS(3411),
    [anon_sym_fixed] = ACTIONS(3411),
    [anon_sym_internal] = ACTIONS(3411),
    [anon_sym_new] = ACTIONS(3411),
    [anon_sym_override] = ACTIONS(3411),
    [anon_sym_partial] = ACTIONS(3411),
    [anon_sym_private] = ACTIONS(3411),
    [anon_sym_protected] = ACTIONS(3411),
    [anon_sym_public] = ACTIONS(3411),
    [anon_sym_readonly] = ACTIONS(3411),
    [anon_sym_required] = ACTIONS(3411),
    [anon_sym_sealed] = ACTIONS(3411),
    [anon_sym_virtual] = ACTIONS(3411),
    [anon_sym_volatile] = ACTIONS(3411),
    [anon_sym_where] = ACTIONS(3411),
    [anon_sym_notnull] = ACTIONS(3411),
    [anon_sym_unmanaged] = ACTIONS(3411),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_implicit] = ACTIONS(3411),
    [anon_sym_explicit] = ACTIONS(3411),
    [anon_sym_scoped] = ACTIONS(3411),
    [anon_sym_var] = ACTIONS(3411),
    [sym_predefined_type] = ACTIONS(3411),
    [anon_sym_yield] = ACTIONS(3411),
    [anon_sym_when] = ACTIONS(3411),
    [anon_sym_from] = ACTIONS(3411),
    [anon_sym_into] = ACTIONS(3411),
    [anon_sym_join] = ACTIONS(3411),
    [anon_sym_on] = ACTIONS(3411),
    [anon_sym_equals] = ACTIONS(3411),
    [anon_sym_let] = ACTIONS(3411),
    [anon_sym_orderby] = ACTIONS(3411),
    [anon_sym_ascending] = ACTIONS(3411),
    [anon_sym_descending] = ACTIONS(3411),
    [anon_sym_group] = ACTIONS(3411),
    [anon_sym_by] = ACTIONS(3411),
    [anon_sym_select] = ACTIONS(3411),
    [aux_sym_preproc_if_token1] = ACTIONS(3413),
    [aux_sym_preproc_if_token3] = ACTIONS(3413),
    [aux_sym_preproc_else_token1] = ACTIONS(3413),
    [aux_sym_preproc_elif_token1] = ACTIONS(3413),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3479] = {
    [sym_preproc_region] = STATE(3479),
    [sym_preproc_endregion] = STATE(3479),
    [sym_preproc_line] = STATE(3479),
    [sym_preproc_pragma] = STATE(3479),
    [sym_preproc_nullable] = STATE(3479),
    [sym_preproc_error] = STATE(3479),
    [sym_preproc_define] = STATE(3479),
    [sym_preproc_undef] = STATE(3479),
    [sym__identifier_token] = ACTIONS(3415),
    [anon_sym_extern] = ACTIONS(3415),
    [anon_sym_alias] = ACTIONS(3415),
    [anon_sym_global] = ACTIONS(3415),
    [anon_sym_using] = ACTIONS(3415),
    [anon_sym_unsafe] = ACTIONS(3415),
    [anon_sym_static] = ACTIONS(3415),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3417),
    [anon_sym_event] = ACTIONS(3415),
    [anon_sym_namespace] = ACTIONS(3415),
    [anon_sym_class] = ACTIONS(3415),
    [anon_sym_ref] = ACTIONS(3415),
    [anon_sym_struct] = ACTIONS(3415),
    [anon_sym_enum] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3417),
    [anon_sym_interface] = ACTIONS(3415),
    [anon_sym_delegate] = ACTIONS(3415),
    [anon_sym_record] = ACTIONS(3415),
    [anon_sym_abstract] = ACTIONS(3415),
    [anon_sym_async] = ACTIONS(3415),
    [anon_sym_const] = ACTIONS(3415),
    [anon_sym_file] = ACTIONS(3415),
    [anon_sym_fixed] = ACTIONS(3415),
    [anon_sym_internal] = ACTIONS(3415),
    [anon_sym_new] = ACTIONS(3415),
    [anon_sym_override] = ACTIONS(3415),
    [anon_sym_partial] = ACTIONS(3415),
    [anon_sym_private] = ACTIONS(3415),
    [anon_sym_protected] = ACTIONS(3415),
    [anon_sym_public] = ACTIONS(3415),
    [anon_sym_readonly] = ACTIONS(3415),
    [anon_sym_required] = ACTIONS(3415),
    [anon_sym_sealed] = ACTIONS(3415),
    [anon_sym_virtual] = ACTIONS(3415),
    [anon_sym_volatile] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_notnull] = ACTIONS(3415),
    [anon_sym_unmanaged] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_implicit] = ACTIONS(3415),
    [anon_sym_explicit] = ACTIONS(3415),
    [anon_sym_scoped] = ACTIONS(3415),
    [anon_sym_var] = ACTIONS(3415),
    [sym_predefined_type] = ACTIONS(3415),
    [anon_sym_yield] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_from] = ACTIONS(3415),
    [anon_sym_into] = ACTIONS(3415),
    [anon_sym_join] = ACTIONS(3415),
    [anon_sym_on] = ACTIONS(3415),
    [anon_sym_equals] = ACTIONS(3415),
    [anon_sym_let] = ACTIONS(3415),
    [anon_sym_orderby] = ACTIONS(3415),
    [anon_sym_ascending] = ACTIONS(3415),
    [anon_sym_descending] = ACTIONS(3415),
    [anon_sym_group] = ACTIONS(3415),
    [anon_sym_by] = ACTIONS(3415),
    [anon_sym_select] = ACTIONS(3415),
    [aux_sym_preproc_if_token1] = ACTIONS(3417),
    [aux_sym_preproc_if_token3] = ACTIONS(3417),
    [aux_sym_preproc_else_token1] = ACTIONS(3417),
    [aux_sym_preproc_elif_token1] = ACTIONS(3417),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3480] = {
    [sym_preproc_region] = STATE(3480),
    [sym_preproc_endregion] = STATE(3480),
    [sym_preproc_line] = STATE(3480),
    [sym_preproc_pragma] = STATE(3480),
    [sym_preproc_nullable] = STATE(3480),
    [sym_preproc_error] = STATE(3480),
    [sym_preproc_define] = STATE(3480),
    [sym_preproc_undef] = STATE(3480),
    [sym__identifier_token] = ACTIONS(3419),
    [anon_sym_extern] = ACTIONS(3419),
    [anon_sym_alias] = ACTIONS(3419),
    [anon_sym_global] = ACTIONS(3419),
    [anon_sym_using] = ACTIONS(3419),
    [anon_sym_unsafe] = ACTIONS(3419),
    [anon_sym_static] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(3421),
    [anon_sym_LPAREN] = ACTIONS(3421),
    [anon_sym_event] = ACTIONS(3419),
    [anon_sym_namespace] = ACTIONS(3419),
    [anon_sym_class] = ACTIONS(3419),
    [anon_sym_ref] = ACTIONS(3419),
    [anon_sym_struct] = ACTIONS(3419),
    [anon_sym_enum] = ACTIONS(3419),
    [anon_sym_RBRACE] = ACTIONS(3421),
    [anon_sym_interface] = ACTIONS(3419),
    [anon_sym_delegate] = ACTIONS(3419),
    [anon_sym_record] = ACTIONS(3419),
    [anon_sym_abstract] = ACTIONS(3419),
    [anon_sym_async] = ACTIONS(3419),
    [anon_sym_const] = ACTIONS(3419),
    [anon_sym_file] = ACTIONS(3419),
    [anon_sym_fixed] = ACTIONS(3419),
    [anon_sym_internal] = ACTIONS(3419),
    [anon_sym_new] = ACTIONS(3419),
    [anon_sym_override] = ACTIONS(3419),
    [anon_sym_partial] = ACTIONS(3419),
    [anon_sym_private] = ACTIONS(3419),
    [anon_sym_protected] = ACTIONS(3419),
    [anon_sym_public] = ACTIONS(3419),
    [anon_sym_readonly] = ACTIONS(3419),
    [anon_sym_required] = ACTIONS(3419),
    [anon_sym_sealed] = ACTIONS(3419),
    [anon_sym_virtual] = ACTIONS(3419),
    [anon_sym_volatile] = ACTIONS(3419),
    [anon_sym_where] = ACTIONS(3419),
    [anon_sym_notnull] = ACTIONS(3419),
    [anon_sym_unmanaged] = ACTIONS(3419),
    [anon_sym_TILDE] = ACTIONS(3421),
    [anon_sym_implicit] = ACTIONS(3419),
    [anon_sym_explicit] = ACTIONS(3419),
    [anon_sym_scoped] = ACTIONS(3419),
    [anon_sym_var] = ACTIONS(3419),
    [sym_predefined_type] = ACTIONS(3419),
    [anon_sym_yield] = ACTIONS(3419),
    [anon_sym_when] = ACTIONS(3419),
    [anon_sym_from] = ACTIONS(3419),
    [anon_sym_into] = ACTIONS(3419),
    [anon_sym_join] = ACTIONS(3419),
    [anon_sym_on] = ACTIONS(3419),
    [anon_sym_equals] = ACTIONS(3419),
    [anon_sym_let] = ACTIONS(3419),
    [anon_sym_orderby] = ACTIONS(3419),
    [anon_sym_ascending] = ACTIONS(3419),
    [anon_sym_descending] = ACTIONS(3419),
    [anon_sym_group] = ACTIONS(3419),
    [anon_sym_by] = ACTIONS(3419),
    [anon_sym_select] = ACTIONS(3419),
    [aux_sym_preproc_if_token1] = ACTIONS(3421),
    [aux_sym_preproc_if_token3] = ACTIONS(3421),
    [aux_sym_preproc_else_token1] = ACTIONS(3421),
    [aux_sym_preproc_elif_token1] = ACTIONS(3421),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3481] = {
    [sym_preproc_region] = STATE(3481),
    [sym_preproc_endregion] = STATE(3481),
    [sym_preproc_line] = STATE(3481),
    [sym_preproc_pragma] = STATE(3481),
    [sym_preproc_nullable] = STATE(3481),
    [sym_preproc_error] = STATE(3481),
    [sym_preproc_define] = STATE(3481),
    [sym_preproc_undef] = STATE(3481),
    [sym__identifier_token] = ACTIONS(5061),
    [anon_sym_extern] = ACTIONS(5061),
    [anon_sym_alias] = ACTIONS(5061),
    [anon_sym_global] = ACTIONS(5061),
    [anon_sym_using] = ACTIONS(5061),
    [anon_sym_unsafe] = ACTIONS(5061),
    [anon_sym_static] = ACTIONS(5061),
    [anon_sym_LBRACK] = ACTIONS(5063),
    [anon_sym_LPAREN] = ACTIONS(5063),
    [anon_sym_event] = ACTIONS(5061),
    [anon_sym_namespace] = ACTIONS(5061),
    [anon_sym_class] = ACTIONS(5061),
    [anon_sym_ref] = ACTIONS(5061),
    [anon_sym_struct] = ACTIONS(5061),
    [anon_sym_enum] = ACTIONS(5061),
    [anon_sym_RBRACE] = ACTIONS(5063),
    [anon_sym_interface] = ACTIONS(5061),
    [anon_sym_delegate] = ACTIONS(5061),
    [anon_sym_record] = ACTIONS(5061),
    [anon_sym_abstract] = ACTIONS(5061),
    [anon_sym_async] = ACTIONS(5061),
    [anon_sym_const] = ACTIONS(5061),
    [anon_sym_file] = ACTIONS(5061),
    [anon_sym_fixed] = ACTIONS(5061),
    [anon_sym_internal] = ACTIONS(5061),
    [anon_sym_new] = ACTIONS(5061),
    [anon_sym_override] = ACTIONS(5061),
    [anon_sym_partial] = ACTIONS(5061),
    [anon_sym_private] = ACTIONS(5061),
    [anon_sym_protected] = ACTIONS(5061),
    [anon_sym_public] = ACTIONS(5061),
    [anon_sym_readonly] = ACTIONS(5061),
    [anon_sym_required] = ACTIONS(5061),
    [anon_sym_sealed] = ACTIONS(5061),
    [anon_sym_virtual] = ACTIONS(5061),
    [anon_sym_volatile] = ACTIONS(5061),
    [anon_sym_where] = ACTIONS(5061),
    [anon_sym_notnull] = ACTIONS(5061),
    [anon_sym_unmanaged] = ACTIONS(5061),
    [anon_sym_TILDE] = ACTIONS(5063),
    [anon_sym_implicit] = ACTIONS(5061),
    [anon_sym_explicit] = ACTIONS(5061),
    [anon_sym_scoped] = ACTIONS(5061),
    [anon_sym_var] = ACTIONS(5061),
    [sym_predefined_type] = ACTIONS(5061),
    [anon_sym_yield] = ACTIONS(5061),
    [anon_sym_when] = ACTIONS(5061),
    [anon_sym_from] = ACTIONS(5061),
    [anon_sym_into] = ACTIONS(5061),
    [anon_sym_join] = ACTIONS(5061),
    [anon_sym_on] = ACTIONS(5061),
    [anon_sym_equals] = ACTIONS(5061),
    [anon_sym_let] = ACTIONS(5061),
    [anon_sym_orderby] = ACTIONS(5061),
    [anon_sym_ascending] = ACTIONS(5061),
    [anon_sym_descending] = ACTIONS(5061),
    [anon_sym_group] = ACTIONS(5061),
    [anon_sym_by] = ACTIONS(5061),
    [anon_sym_select] = ACTIONS(5061),
    [aux_sym_preproc_if_token1] = ACTIONS(5063),
    [aux_sym_preproc_if_token3] = ACTIONS(5063),
    [aux_sym_preproc_else_token1] = ACTIONS(5063),
    [aux_sym_preproc_elif_token1] = ACTIONS(5063),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3482] = {
    [sym_preproc_region] = STATE(3482),
    [sym_preproc_endregion] = STATE(3482),
    [sym_preproc_line] = STATE(3482),
    [sym_preproc_pragma] = STATE(3482),
    [sym_preproc_nullable] = STATE(3482),
    [sym_preproc_error] = STATE(3482),
    [sym_preproc_define] = STATE(3482),
    [sym_preproc_undef] = STATE(3482),
    [sym__identifier_token] = ACTIONS(5065),
    [anon_sym_extern] = ACTIONS(5065),
    [anon_sym_alias] = ACTIONS(5065),
    [anon_sym_global] = ACTIONS(5065),
    [anon_sym_using] = ACTIONS(5065),
    [anon_sym_unsafe] = ACTIONS(5065),
    [anon_sym_static] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5067),
    [anon_sym_LPAREN] = ACTIONS(5067),
    [anon_sym_event] = ACTIONS(5065),
    [anon_sym_namespace] = ACTIONS(5065),
    [anon_sym_class] = ACTIONS(5065),
    [anon_sym_ref] = ACTIONS(5065),
    [anon_sym_struct] = ACTIONS(5065),
    [anon_sym_enum] = ACTIONS(5065),
    [anon_sym_RBRACE] = ACTIONS(5067),
    [anon_sym_interface] = ACTIONS(5065),
    [anon_sym_delegate] = ACTIONS(5065),
    [anon_sym_record] = ACTIONS(5065),
    [anon_sym_abstract] = ACTIONS(5065),
    [anon_sym_async] = ACTIONS(5065),
    [anon_sym_const] = ACTIONS(5065),
    [anon_sym_file] = ACTIONS(5065),
    [anon_sym_fixed] = ACTIONS(5065),
    [anon_sym_internal] = ACTIONS(5065),
    [anon_sym_new] = ACTIONS(5065),
    [anon_sym_override] = ACTIONS(5065),
    [anon_sym_partial] = ACTIONS(5065),
    [anon_sym_private] = ACTIONS(5065),
    [anon_sym_protected] = ACTIONS(5065),
    [anon_sym_public] = ACTIONS(5065),
    [anon_sym_readonly] = ACTIONS(5065),
    [anon_sym_required] = ACTIONS(5065),
    [anon_sym_sealed] = ACTIONS(5065),
    [anon_sym_virtual] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_where] = ACTIONS(5065),
    [anon_sym_notnull] = ACTIONS(5065),
    [anon_sym_unmanaged] = ACTIONS(5065),
    [anon_sym_TILDE] = ACTIONS(5067),
    [anon_sym_implicit] = ACTIONS(5065),
    [anon_sym_explicit] = ACTIONS(5065),
    [anon_sym_scoped] = ACTIONS(5065),
    [anon_sym_var] = ACTIONS(5065),
    [sym_predefined_type] = ACTIONS(5065),
    [anon_sym_yield] = ACTIONS(5065),
    [anon_sym_when] = ACTIONS(5065),
    [anon_sym_from] = ACTIONS(5065),
    [anon_sym_into] = ACTIONS(5065),
    [anon_sym_join] = ACTIONS(5065),
    [anon_sym_on] = ACTIONS(5065),
    [anon_sym_equals] = ACTIONS(5065),
    [anon_sym_let] = ACTIONS(5065),
    [anon_sym_orderby] = ACTIONS(5065),
    [anon_sym_ascending] = ACTIONS(5065),
    [anon_sym_descending] = ACTIONS(5065),
    [anon_sym_group] = ACTIONS(5065),
    [anon_sym_by] = ACTIONS(5065),
    [anon_sym_select] = ACTIONS(5065),
    [aux_sym_preproc_if_token1] = ACTIONS(5067),
    [aux_sym_preproc_if_token3] = ACTIONS(5067),
    [aux_sym_preproc_else_token1] = ACTIONS(5067),
    [aux_sym_preproc_elif_token1] = ACTIONS(5067),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3483] = {
    [sym__variable_designation] = STATE(5004),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3483),
    [sym_preproc_endregion] = STATE(3483),
    [sym_preproc_line] = STATE(3483),
    [sym_preproc_pragma] = STATE(3483),
    [sym_preproc_nullable] = STATE(3483),
    [sym_preproc_error] = STATE(3483),
    [sym_preproc_define] = STATE(3483),
    [sym_preproc_undef] = STATE(3483),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4403),
    [anon_sym_LPAREN] = ACTIONS(4403),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4405),
    [anon_sym_GT] = ACTIONS(4405),
    [anon_sym_where] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(4405),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4405),
    [anon_sym_PLUS_PLUS] = ACTIONS(4403),
    [anon_sym_DASH_DASH] = ACTIONS(4403),
    [anon_sym_PLUS] = ACTIONS(4405),
    [anon_sym_DASH] = ACTIONS(4405),
    [anon_sym_STAR] = ACTIONS(4403),
    [anon_sym_SLASH] = ACTIONS(4405),
    [anon_sym_PERCENT] = ACTIONS(4403),
    [anon_sym_CARET] = ACTIONS(4403),
    [anon_sym_PIPE] = ACTIONS(4405),
    [anon_sym_AMP] = ACTIONS(4405),
    [anon_sym_LT_LT] = ACTIONS(4403),
    [anon_sym_GT_GT] = ACTIONS(4405),
    [anon_sym_GT_GT_GT] = ACTIONS(4403),
    [anon_sym_EQ_EQ] = ACTIONS(4403),
    [anon_sym_BANG_EQ] = ACTIONS(4403),
    [anon_sym_GT_EQ] = ACTIONS(4403),
    [anon_sym_LT_EQ] = ACTIONS(4403),
    [anon_sym_DOT] = ACTIONS(4405),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4405),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4403),
    [anon_sym_and] = ACTIONS(4405),
    [anon_sym_or] = ACTIONS(4405),
    [anon_sym_AMP_AMP] = ACTIONS(4403),
    [anon_sym_PIPE_PIPE] = ACTIONS(4403),
    [anon_sym_QMARK_QMARK] = ACTIONS(4403),
    [anon_sym_from] = ACTIONS(4405),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4405),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4405),
    [anon_sym_orderby] = ACTIONS(4405),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4405),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4405),
    [anon_sym_as] = ACTIONS(4405),
    [anon_sym_is] = ACTIONS(4405),
    [anon_sym_DASH_GT] = ACTIONS(4403),
    [anon_sym_with] = ACTIONS(4405),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3484] = {
    [sym_preproc_region] = STATE(3484),
    [sym_preproc_endregion] = STATE(3484),
    [sym_preproc_line] = STATE(3484),
    [sym_preproc_pragma] = STATE(3484),
    [sym_preproc_nullable] = STATE(3484),
    [sym_preproc_error] = STATE(3484),
    [sym_preproc_define] = STATE(3484),
    [sym_preproc_undef] = STATE(3484),
    [sym__identifier_token] = ACTIONS(5069),
    [anon_sym_extern] = ACTIONS(5069),
    [anon_sym_alias] = ACTIONS(5069),
    [anon_sym_global] = ACTIONS(5069),
    [anon_sym_using] = ACTIONS(5069),
    [anon_sym_unsafe] = ACTIONS(5069),
    [anon_sym_static] = ACTIONS(5069),
    [anon_sym_LBRACK] = ACTIONS(5071),
    [anon_sym_LPAREN] = ACTIONS(5071),
    [anon_sym_event] = ACTIONS(5069),
    [anon_sym_namespace] = ACTIONS(5069),
    [anon_sym_class] = ACTIONS(5069),
    [anon_sym_ref] = ACTIONS(5069),
    [anon_sym_struct] = ACTIONS(5069),
    [anon_sym_enum] = ACTIONS(5069),
    [anon_sym_RBRACE] = ACTIONS(5071),
    [anon_sym_interface] = ACTIONS(5069),
    [anon_sym_delegate] = ACTIONS(5069),
    [anon_sym_record] = ACTIONS(5069),
    [anon_sym_abstract] = ACTIONS(5069),
    [anon_sym_async] = ACTIONS(5069),
    [anon_sym_const] = ACTIONS(5069),
    [anon_sym_file] = ACTIONS(5069),
    [anon_sym_fixed] = ACTIONS(5069),
    [anon_sym_internal] = ACTIONS(5069),
    [anon_sym_new] = ACTIONS(5069),
    [anon_sym_override] = ACTIONS(5069),
    [anon_sym_partial] = ACTIONS(5069),
    [anon_sym_private] = ACTIONS(5069),
    [anon_sym_protected] = ACTIONS(5069),
    [anon_sym_public] = ACTIONS(5069),
    [anon_sym_readonly] = ACTIONS(5069),
    [anon_sym_required] = ACTIONS(5069),
    [anon_sym_sealed] = ACTIONS(5069),
    [anon_sym_virtual] = ACTIONS(5069),
    [anon_sym_volatile] = ACTIONS(5069),
    [anon_sym_where] = ACTIONS(5069),
    [anon_sym_notnull] = ACTIONS(5069),
    [anon_sym_unmanaged] = ACTIONS(5069),
    [anon_sym_TILDE] = ACTIONS(5071),
    [anon_sym_implicit] = ACTIONS(5069),
    [anon_sym_explicit] = ACTIONS(5069),
    [anon_sym_scoped] = ACTIONS(5069),
    [anon_sym_var] = ACTIONS(5069),
    [sym_predefined_type] = ACTIONS(5069),
    [anon_sym_yield] = ACTIONS(5069),
    [anon_sym_when] = ACTIONS(5069),
    [anon_sym_from] = ACTIONS(5069),
    [anon_sym_into] = ACTIONS(5069),
    [anon_sym_join] = ACTIONS(5069),
    [anon_sym_on] = ACTIONS(5069),
    [anon_sym_equals] = ACTIONS(5069),
    [anon_sym_let] = ACTIONS(5069),
    [anon_sym_orderby] = ACTIONS(5069),
    [anon_sym_ascending] = ACTIONS(5069),
    [anon_sym_descending] = ACTIONS(5069),
    [anon_sym_group] = ACTIONS(5069),
    [anon_sym_by] = ACTIONS(5069),
    [anon_sym_select] = ACTIONS(5069),
    [aux_sym_preproc_if_token1] = ACTIONS(5071),
    [aux_sym_preproc_if_token3] = ACTIONS(5071),
    [aux_sym_preproc_else_token1] = ACTIONS(5071),
    [aux_sym_preproc_elif_token1] = ACTIONS(5071),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3485] = {
    [sym_preproc_region] = STATE(3485),
    [sym_preproc_endregion] = STATE(3485),
    [sym_preproc_line] = STATE(3485),
    [sym_preproc_pragma] = STATE(3485),
    [sym_preproc_nullable] = STATE(3485),
    [sym_preproc_error] = STATE(3485),
    [sym_preproc_define] = STATE(3485),
    [sym_preproc_undef] = STATE(3485),
    [sym__identifier_token] = ACTIONS(5073),
    [anon_sym_extern] = ACTIONS(5073),
    [anon_sym_alias] = ACTIONS(5073),
    [anon_sym_global] = ACTIONS(5073),
    [anon_sym_using] = ACTIONS(5073),
    [anon_sym_unsafe] = ACTIONS(5073),
    [anon_sym_static] = ACTIONS(5073),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_LPAREN] = ACTIONS(5075),
    [anon_sym_event] = ACTIONS(5073),
    [anon_sym_namespace] = ACTIONS(5073),
    [anon_sym_class] = ACTIONS(5073),
    [anon_sym_ref] = ACTIONS(5073),
    [anon_sym_struct] = ACTIONS(5073),
    [anon_sym_enum] = ACTIONS(5073),
    [anon_sym_RBRACE] = ACTIONS(5075),
    [anon_sym_interface] = ACTIONS(5073),
    [anon_sym_delegate] = ACTIONS(5073),
    [anon_sym_record] = ACTIONS(5073),
    [anon_sym_abstract] = ACTIONS(5073),
    [anon_sym_async] = ACTIONS(5073),
    [anon_sym_const] = ACTIONS(5073),
    [anon_sym_file] = ACTIONS(5073),
    [anon_sym_fixed] = ACTIONS(5073),
    [anon_sym_internal] = ACTIONS(5073),
    [anon_sym_new] = ACTIONS(5073),
    [anon_sym_override] = ACTIONS(5073),
    [anon_sym_partial] = ACTIONS(5073),
    [anon_sym_private] = ACTIONS(5073),
    [anon_sym_protected] = ACTIONS(5073),
    [anon_sym_public] = ACTIONS(5073),
    [anon_sym_readonly] = ACTIONS(5073),
    [anon_sym_required] = ACTIONS(5073),
    [anon_sym_sealed] = ACTIONS(5073),
    [anon_sym_virtual] = ACTIONS(5073),
    [anon_sym_volatile] = ACTIONS(5073),
    [anon_sym_where] = ACTIONS(5073),
    [anon_sym_notnull] = ACTIONS(5073),
    [anon_sym_unmanaged] = ACTIONS(5073),
    [anon_sym_TILDE] = ACTIONS(5075),
    [anon_sym_implicit] = ACTIONS(5073),
    [anon_sym_explicit] = ACTIONS(5073),
    [anon_sym_scoped] = ACTIONS(5073),
    [anon_sym_var] = ACTIONS(5073),
    [sym_predefined_type] = ACTIONS(5073),
    [anon_sym_yield] = ACTIONS(5073),
    [anon_sym_when] = ACTIONS(5073),
    [anon_sym_from] = ACTIONS(5073),
    [anon_sym_into] = ACTIONS(5073),
    [anon_sym_join] = ACTIONS(5073),
    [anon_sym_on] = ACTIONS(5073),
    [anon_sym_equals] = ACTIONS(5073),
    [anon_sym_let] = ACTIONS(5073),
    [anon_sym_orderby] = ACTIONS(5073),
    [anon_sym_ascending] = ACTIONS(5073),
    [anon_sym_descending] = ACTIONS(5073),
    [anon_sym_group] = ACTIONS(5073),
    [anon_sym_by] = ACTIONS(5073),
    [anon_sym_select] = ACTIONS(5073),
    [aux_sym_preproc_if_token1] = ACTIONS(5075),
    [aux_sym_preproc_if_token3] = ACTIONS(5075),
    [aux_sym_preproc_else_token1] = ACTIONS(5075),
    [aux_sym_preproc_elif_token1] = ACTIONS(5075),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3486] = {
    [sym_preproc_region] = STATE(3486),
    [sym_preproc_endregion] = STATE(3486),
    [sym_preproc_line] = STATE(3486),
    [sym_preproc_pragma] = STATE(3486),
    [sym_preproc_nullable] = STATE(3486),
    [sym_preproc_error] = STATE(3486),
    [sym_preproc_define] = STATE(3486),
    [sym_preproc_undef] = STATE(3486),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_when] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4126),
    [anon_sym_PLUS_EQ] = ACTIONS(4126),
    [anon_sym_DASH_EQ] = ACTIONS(4126),
    [anon_sym_STAR_EQ] = ACTIONS(4126),
    [anon_sym_SLASH_EQ] = ACTIONS(4126),
    [anon_sym_PERCENT_EQ] = ACTIONS(4126),
    [anon_sym_AMP_EQ] = ACTIONS(4126),
    [anon_sym_CARET_EQ] = ACTIONS(4126),
    [anon_sym_PIPE_EQ] = ACTIONS(4126),
    [anon_sym_LT_LT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4124),
    [anon_sym_on] = ACTIONS(4126),
    [anon_sym_equals] = ACTIONS(4126),
    [anon_sym_by] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3487] = {
    [sym_preproc_region] = STATE(3487),
    [sym_preproc_endregion] = STATE(3487),
    [sym_preproc_line] = STATE(3487),
    [sym_preproc_pragma] = STATE(3487),
    [sym_preproc_nullable] = STATE(3487),
    [sym_preproc_error] = STATE(3487),
    [sym_preproc_define] = STATE(3487),
    [sym_preproc_undef] = STATE(3487),
    [sym__identifier_token] = ACTIONS(5077),
    [anon_sym_extern] = ACTIONS(5077),
    [anon_sym_alias] = ACTIONS(5077),
    [anon_sym_global] = ACTIONS(5077),
    [anon_sym_using] = ACTIONS(5077),
    [anon_sym_unsafe] = ACTIONS(5077),
    [anon_sym_static] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [anon_sym_LPAREN] = ACTIONS(5079),
    [anon_sym_event] = ACTIONS(5077),
    [anon_sym_namespace] = ACTIONS(5077),
    [anon_sym_class] = ACTIONS(5077),
    [anon_sym_ref] = ACTIONS(5077),
    [anon_sym_struct] = ACTIONS(5077),
    [anon_sym_enum] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5079),
    [anon_sym_interface] = ACTIONS(5077),
    [anon_sym_delegate] = ACTIONS(5077),
    [anon_sym_record] = ACTIONS(5077),
    [anon_sym_abstract] = ACTIONS(5077),
    [anon_sym_async] = ACTIONS(5077),
    [anon_sym_const] = ACTIONS(5077),
    [anon_sym_file] = ACTIONS(5077),
    [anon_sym_fixed] = ACTIONS(5077),
    [anon_sym_internal] = ACTIONS(5077),
    [anon_sym_new] = ACTIONS(5077),
    [anon_sym_override] = ACTIONS(5077),
    [anon_sym_partial] = ACTIONS(5077),
    [anon_sym_private] = ACTIONS(5077),
    [anon_sym_protected] = ACTIONS(5077),
    [anon_sym_public] = ACTIONS(5077),
    [anon_sym_readonly] = ACTIONS(5077),
    [anon_sym_required] = ACTIONS(5077),
    [anon_sym_sealed] = ACTIONS(5077),
    [anon_sym_virtual] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_where] = ACTIONS(5077),
    [anon_sym_notnull] = ACTIONS(5077),
    [anon_sym_unmanaged] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5079),
    [anon_sym_implicit] = ACTIONS(5077),
    [anon_sym_explicit] = ACTIONS(5077),
    [anon_sym_scoped] = ACTIONS(5077),
    [anon_sym_var] = ACTIONS(5077),
    [sym_predefined_type] = ACTIONS(5077),
    [anon_sym_yield] = ACTIONS(5077),
    [anon_sym_when] = ACTIONS(5077),
    [anon_sym_from] = ACTIONS(5077),
    [anon_sym_into] = ACTIONS(5077),
    [anon_sym_join] = ACTIONS(5077),
    [anon_sym_on] = ACTIONS(5077),
    [anon_sym_equals] = ACTIONS(5077),
    [anon_sym_let] = ACTIONS(5077),
    [anon_sym_orderby] = ACTIONS(5077),
    [anon_sym_ascending] = ACTIONS(5077),
    [anon_sym_descending] = ACTIONS(5077),
    [anon_sym_group] = ACTIONS(5077),
    [anon_sym_by] = ACTIONS(5077),
    [anon_sym_select] = ACTIONS(5077),
    [aux_sym_preproc_if_token1] = ACTIONS(5079),
    [aux_sym_preproc_if_token3] = ACTIONS(5079),
    [aux_sym_preproc_else_token1] = ACTIONS(5079),
    [aux_sym_preproc_elif_token1] = ACTIONS(5079),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3488] = {
    [sym_preproc_region] = STATE(3488),
    [sym_preproc_endregion] = STATE(3488),
    [sym_preproc_line] = STATE(3488),
    [sym_preproc_pragma] = STATE(3488),
    [sym_preproc_nullable] = STATE(3488),
    [sym_preproc_error] = STATE(3488),
    [sym_preproc_define] = STATE(3488),
    [sym_preproc_undef] = STATE(3488),
    [sym__identifier_token] = ACTIONS(5081),
    [anon_sym_extern] = ACTIONS(5081),
    [anon_sym_alias] = ACTIONS(5081),
    [anon_sym_global] = ACTIONS(5081),
    [anon_sym_using] = ACTIONS(5081),
    [anon_sym_unsafe] = ACTIONS(5081),
    [anon_sym_static] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5083),
    [anon_sym_LPAREN] = ACTIONS(5083),
    [anon_sym_event] = ACTIONS(5081),
    [anon_sym_namespace] = ACTIONS(5081),
    [anon_sym_class] = ACTIONS(5081),
    [anon_sym_ref] = ACTIONS(5081),
    [anon_sym_struct] = ACTIONS(5081),
    [anon_sym_enum] = ACTIONS(5081),
    [anon_sym_RBRACE] = ACTIONS(5083),
    [anon_sym_interface] = ACTIONS(5081),
    [anon_sym_delegate] = ACTIONS(5081),
    [anon_sym_record] = ACTIONS(5081),
    [anon_sym_abstract] = ACTIONS(5081),
    [anon_sym_async] = ACTIONS(5081),
    [anon_sym_const] = ACTIONS(5081),
    [anon_sym_file] = ACTIONS(5081),
    [anon_sym_fixed] = ACTIONS(5081),
    [anon_sym_internal] = ACTIONS(5081),
    [anon_sym_new] = ACTIONS(5081),
    [anon_sym_override] = ACTIONS(5081),
    [anon_sym_partial] = ACTIONS(5081),
    [anon_sym_private] = ACTIONS(5081),
    [anon_sym_protected] = ACTIONS(5081),
    [anon_sym_public] = ACTIONS(5081),
    [anon_sym_readonly] = ACTIONS(5081),
    [anon_sym_required] = ACTIONS(5081),
    [anon_sym_sealed] = ACTIONS(5081),
    [anon_sym_virtual] = ACTIONS(5081),
    [anon_sym_volatile] = ACTIONS(5081),
    [anon_sym_where] = ACTIONS(5081),
    [anon_sym_notnull] = ACTIONS(5081),
    [anon_sym_unmanaged] = ACTIONS(5081),
    [anon_sym_TILDE] = ACTIONS(5083),
    [anon_sym_implicit] = ACTIONS(5081),
    [anon_sym_explicit] = ACTIONS(5081),
    [anon_sym_scoped] = ACTIONS(5081),
    [anon_sym_var] = ACTIONS(5081),
    [sym_predefined_type] = ACTIONS(5081),
    [anon_sym_yield] = ACTIONS(5081),
    [anon_sym_when] = ACTIONS(5081),
    [anon_sym_from] = ACTIONS(5081),
    [anon_sym_into] = ACTIONS(5081),
    [anon_sym_join] = ACTIONS(5081),
    [anon_sym_on] = ACTIONS(5081),
    [anon_sym_equals] = ACTIONS(5081),
    [anon_sym_let] = ACTIONS(5081),
    [anon_sym_orderby] = ACTIONS(5081),
    [anon_sym_ascending] = ACTIONS(5081),
    [anon_sym_descending] = ACTIONS(5081),
    [anon_sym_group] = ACTIONS(5081),
    [anon_sym_by] = ACTIONS(5081),
    [anon_sym_select] = ACTIONS(5081),
    [aux_sym_preproc_if_token1] = ACTIONS(5083),
    [aux_sym_preproc_if_token3] = ACTIONS(5083),
    [aux_sym_preproc_else_token1] = ACTIONS(5083),
    [aux_sym_preproc_elif_token1] = ACTIONS(5083),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3489] = {
    [sym_preproc_region] = STATE(3489),
    [sym_preproc_endregion] = STATE(3489),
    [sym_preproc_line] = STATE(3489),
    [sym_preproc_pragma] = STATE(3489),
    [sym_preproc_nullable] = STATE(3489),
    [sym_preproc_error] = STATE(3489),
    [sym_preproc_define] = STATE(3489),
    [sym_preproc_undef] = STATE(3489),
    [sym__identifier_token] = ACTIONS(5085),
    [anon_sym_extern] = ACTIONS(5085),
    [anon_sym_alias] = ACTIONS(5085),
    [anon_sym_global] = ACTIONS(5085),
    [anon_sym_using] = ACTIONS(5085),
    [anon_sym_unsafe] = ACTIONS(5085),
    [anon_sym_static] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5087),
    [anon_sym_LPAREN] = ACTIONS(5087),
    [anon_sym_event] = ACTIONS(5085),
    [anon_sym_namespace] = ACTIONS(5085),
    [anon_sym_class] = ACTIONS(5085),
    [anon_sym_ref] = ACTIONS(5085),
    [anon_sym_struct] = ACTIONS(5085),
    [anon_sym_enum] = ACTIONS(5085),
    [anon_sym_RBRACE] = ACTIONS(5087),
    [anon_sym_interface] = ACTIONS(5085),
    [anon_sym_delegate] = ACTIONS(5085),
    [anon_sym_record] = ACTIONS(5085),
    [anon_sym_abstract] = ACTIONS(5085),
    [anon_sym_async] = ACTIONS(5085),
    [anon_sym_const] = ACTIONS(5085),
    [anon_sym_file] = ACTIONS(5085),
    [anon_sym_fixed] = ACTIONS(5085),
    [anon_sym_internal] = ACTIONS(5085),
    [anon_sym_new] = ACTIONS(5085),
    [anon_sym_override] = ACTIONS(5085),
    [anon_sym_partial] = ACTIONS(5085),
    [anon_sym_private] = ACTIONS(5085),
    [anon_sym_protected] = ACTIONS(5085),
    [anon_sym_public] = ACTIONS(5085),
    [anon_sym_readonly] = ACTIONS(5085),
    [anon_sym_required] = ACTIONS(5085),
    [anon_sym_sealed] = ACTIONS(5085),
    [anon_sym_virtual] = ACTIONS(5085),
    [anon_sym_volatile] = ACTIONS(5085),
    [anon_sym_where] = ACTIONS(5085),
    [anon_sym_notnull] = ACTIONS(5085),
    [anon_sym_unmanaged] = ACTIONS(5085),
    [anon_sym_TILDE] = ACTIONS(5087),
    [anon_sym_implicit] = ACTIONS(5085),
    [anon_sym_explicit] = ACTIONS(5085),
    [anon_sym_scoped] = ACTIONS(5085),
    [anon_sym_var] = ACTIONS(5085),
    [sym_predefined_type] = ACTIONS(5085),
    [anon_sym_yield] = ACTIONS(5085),
    [anon_sym_when] = ACTIONS(5085),
    [anon_sym_from] = ACTIONS(5085),
    [anon_sym_into] = ACTIONS(5085),
    [anon_sym_join] = ACTIONS(5085),
    [anon_sym_on] = ACTIONS(5085),
    [anon_sym_equals] = ACTIONS(5085),
    [anon_sym_let] = ACTIONS(5085),
    [anon_sym_orderby] = ACTIONS(5085),
    [anon_sym_ascending] = ACTIONS(5085),
    [anon_sym_descending] = ACTIONS(5085),
    [anon_sym_group] = ACTIONS(5085),
    [anon_sym_by] = ACTIONS(5085),
    [anon_sym_select] = ACTIONS(5085),
    [aux_sym_preproc_if_token1] = ACTIONS(5087),
    [aux_sym_preproc_if_token3] = ACTIONS(5087),
    [aux_sym_preproc_else_token1] = ACTIONS(5087),
    [aux_sym_preproc_elif_token1] = ACTIONS(5087),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3490] = {
    [sym_preproc_region] = STATE(3490),
    [sym_preproc_endregion] = STATE(3490),
    [sym_preproc_line] = STATE(3490),
    [sym_preproc_pragma] = STATE(3490),
    [sym_preproc_nullable] = STATE(3490),
    [sym_preproc_error] = STATE(3490),
    [sym_preproc_define] = STATE(3490),
    [sym_preproc_undef] = STATE(3490),
    [sym__identifier_token] = ACTIONS(5089),
    [anon_sym_extern] = ACTIONS(5089),
    [anon_sym_alias] = ACTIONS(5089),
    [anon_sym_global] = ACTIONS(5089),
    [anon_sym_using] = ACTIONS(5089),
    [anon_sym_unsafe] = ACTIONS(5089),
    [anon_sym_static] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_LPAREN] = ACTIONS(5091),
    [anon_sym_event] = ACTIONS(5089),
    [anon_sym_namespace] = ACTIONS(5089),
    [anon_sym_class] = ACTIONS(5089),
    [anon_sym_ref] = ACTIONS(5089),
    [anon_sym_struct] = ACTIONS(5089),
    [anon_sym_enum] = ACTIONS(5089),
    [anon_sym_RBRACE] = ACTIONS(5091),
    [anon_sym_interface] = ACTIONS(5089),
    [anon_sym_delegate] = ACTIONS(5089),
    [anon_sym_record] = ACTIONS(5089),
    [anon_sym_abstract] = ACTIONS(5089),
    [anon_sym_async] = ACTIONS(5089),
    [anon_sym_const] = ACTIONS(5089),
    [anon_sym_file] = ACTIONS(5089),
    [anon_sym_fixed] = ACTIONS(5089),
    [anon_sym_internal] = ACTIONS(5089),
    [anon_sym_new] = ACTIONS(5089),
    [anon_sym_override] = ACTIONS(5089),
    [anon_sym_partial] = ACTIONS(5089),
    [anon_sym_private] = ACTIONS(5089),
    [anon_sym_protected] = ACTIONS(5089),
    [anon_sym_public] = ACTIONS(5089),
    [anon_sym_readonly] = ACTIONS(5089),
    [anon_sym_required] = ACTIONS(5089),
    [anon_sym_sealed] = ACTIONS(5089),
    [anon_sym_virtual] = ACTIONS(5089),
    [anon_sym_volatile] = ACTIONS(5089),
    [anon_sym_where] = ACTIONS(5089),
    [anon_sym_notnull] = ACTIONS(5089),
    [anon_sym_unmanaged] = ACTIONS(5089),
    [anon_sym_TILDE] = ACTIONS(5091),
    [anon_sym_implicit] = ACTIONS(5089),
    [anon_sym_explicit] = ACTIONS(5089),
    [anon_sym_scoped] = ACTIONS(5089),
    [anon_sym_var] = ACTIONS(5089),
    [sym_predefined_type] = ACTIONS(5089),
    [anon_sym_yield] = ACTIONS(5089),
    [anon_sym_when] = ACTIONS(5089),
    [anon_sym_from] = ACTIONS(5089),
    [anon_sym_into] = ACTIONS(5089),
    [anon_sym_join] = ACTIONS(5089),
    [anon_sym_on] = ACTIONS(5089),
    [anon_sym_equals] = ACTIONS(5089),
    [anon_sym_let] = ACTIONS(5089),
    [anon_sym_orderby] = ACTIONS(5089),
    [anon_sym_ascending] = ACTIONS(5089),
    [anon_sym_descending] = ACTIONS(5089),
    [anon_sym_group] = ACTIONS(5089),
    [anon_sym_by] = ACTIONS(5089),
    [anon_sym_select] = ACTIONS(5089),
    [aux_sym_preproc_if_token1] = ACTIONS(5091),
    [aux_sym_preproc_if_token3] = ACTIONS(5091),
    [aux_sym_preproc_else_token1] = ACTIONS(5091),
    [aux_sym_preproc_elif_token1] = ACTIONS(5091),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3491] = {
    [sym_preproc_region] = STATE(3491),
    [sym_preproc_endregion] = STATE(3491),
    [sym_preproc_line] = STATE(3491),
    [sym_preproc_pragma] = STATE(3491),
    [sym_preproc_nullable] = STATE(3491),
    [sym_preproc_error] = STATE(3491),
    [sym_preproc_define] = STATE(3491),
    [sym_preproc_undef] = STATE(3491),
    [sym__identifier_token] = ACTIONS(5093),
    [anon_sym_extern] = ACTIONS(5093),
    [anon_sym_alias] = ACTIONS(5093),
    [anon_sym_global] = ACTIONS(5093),
    [anon_sym_using] = ACTIONS(5093),
    [anon_sym_unsafe] = ACTIONS(5093),
    [anon_sym_static] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_LPAREN] = ACTIONS(5095),
    [anon_sym_event] = ACTIONS(5093),
    [anon_sym_namespace] = ACTIONS(5093),
    [anon_sym_class] = ACTIONS(5093),
    [anon_sym_ref] = ACTIONS(5093),
    [anon_sym_struct] = ACTIONS(5093),
    [anon_sym_enum] = ACTIONS(5093),
    [anon_sym_RBRACE] = ACTIONS(5095),
    [anon_sym_interface] = ACTIONS(5093),
    [anon_sym_delegate] = ACTIONS(5093),
    [anon_sym_record] = ACTIONS(5093),
    [anon_sym_abstract] = ACTIONS(5093),
    [anon_sym_async] = ACTIONS(5093),
    [anon_sym_const] = ACTIONS(5093),
    [anon_sym_file] = ACTIONS(5093),
    [anon_sym_fixed] = ACTIONS(5093),
    [anon_sym_internal] = ACTIONS(5093),
    [anon_sym_new] = ACTIONS(5093),
    [anon_sym_override] = ACTIONS(5093),
    [anon_sym_partial] = ACTIONS(5093),
    [anon_sym_private] = ACTIONS(5093),
    [anon_sym_protected] = ACTIONS(5093),
    [anon_sym_public] = ACTIONS(5093),
    [anon_sym_readonly] = ACTIONS(5093),
    [anon_sym_required] = ACTIONS(5093),
    [anon_sym_sealed] = ACTIONS(5093),
    [anon_sym_virtual] = ACTIONS(5093),
    [anon_sym_volatile] = ACTIONS(5093),
    [anon_sym_where] = ACTIONS(5093),
    [anon_sym_notnull] = ACTIONS(5093),
    [anon_sym_unmanaged] = ACTIONS(5093),
    [anon_sym_TILDE] = ACTIONS(5095),
    [anon_sym_implicit] = ACTIONS(5093),
    [anon_sym_explicit] = ACTIONS(5093),
    [anon_sym_scoped] = ACTIONS(5093),
    [anon_sym_var] = ACTIONS(5093),
    [sym_predefined_type] = ACTIONS(5093),
    [anon_sym_yield] = ACTIONS(5093),
    [anon_sym_when] = ACTIONS(5093),
    [anon_sym_from] = ACTIONS(5093),
    [anon_sym_into] = ACTIONS(5093),
    [anon_sym_join] = ACTIONS(5093),
    [anon_sym_on] = ACTIONS(5093),
    [anon_sym_equals] = ACTIONS(5093),
    [anon_sym_let] = ACTIONS(5093),
    [anon_sym_orderby] = ACTIONS(5093),
    [anon_sym_ascending] = ACTIONS(5093),
    [anon_sym_descending] = ACTIONS(5093),
    [anon_sym_group] = ACTIONS(5093),
    [anon_sym_by] = ACTIONS(5093),
    [anon_sym_select] = ACTIONS(5093),
    [aux_sym_preproc_if_token1] = ACTIONS(5095),
    [aux_sym_preproc_if_token3] = ACTIONS(5095),
    [aux_sym_preproc_else_token1] = ACTIONS(5095),
    [aux_sym_preproc_elif_token1] = ACTIONS(5095),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3492] = {
    [sym_preproc_region] = STATE(3492),
    [sym_preproc_endregion] = STATE(3492),
    [sym_preproc_line] = STATE(3492),
    [sym_preproc_pragma] = STATE(3492),
    [sym_preproc_nullable] = STATE(3492),
    [sym_preproc_error] = STATE(3492),
    [sym_preproc_define] = STATE(3492),
    [sym_preproc_undef] = STATE(3492),
    [sym__identifier_token] = ACTIONS(5097),
    [anon_sym_extern] = ACTIONS(5097),
    [anon_sym_alias] = ACTIONS(5097),
    [anon_sym_global] = ACTIONS(5097),
    [anon_sym_using] = ACTIONS(5097),
    [anon_sym_unsafe] = ACTIONS(5097),
    [anon_sym_static] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_LPAREN] = ACTIONS(5099),
    [anon_sym_event] = ACTIONS(5097),
    [anon_sym_namespace] = ACTIONS(5097),
    [anon_sym_class] = ACTIONS(5097),
    [anon_sym_ref] = ACTIONS(5097),
    [anon_sym_struct] = ACTIONS(5097),
    [anon_sym_enum] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(5099),
    [anon_sym_interface] = ACTIONS(5097),
    [anon_sym_delegate] = ACTIONS(5097),
    [anon_sym_record] = ACTIONS(5097),
    [anon_sym_abstract] = ACTIONS(5097),
    [anon_sym_async] = ACTIONS(5097),
    [anon_sym_const] = ACTIONS(5097),
    [anon_sym_file] = ACTIONS(5097),
    [anon_sym_fixed] = ACTIONS(5097),
    [anon_sym_internal] = ACTIONS(5097),
    [anon_sym_new] = ACTIONS(5097),
    [anon_sym_override] = ACTIONS(5097),
    [anon_sym_partial] = ACTIONS(5097),
    [anon_sym_private] = ACTIONS(5097),
    [anon_sym_protected] = ACTIONS(5097),
    [anon_sym_public] = ACTIONS(5097),
    [anon_sym_readonly] = ACTIONS(5097),
    [anon_sym_required] = ACTIONS(5097),
    [anon_sym_sealed] = ACTIONS(5097),
    [anon_sym_virtual] = ACTIONS(5097),
    [anon_sym_volatile] = ACTIONS(5097),
    [anon_sym_where] = ACTIONS(5097),
    [anon_sym_notnull] = ACTIONS(5097),
    [anon_sym_unmanaged] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5099),
    [anon_sym_implicit] = ACTIONS(5097),
    [anon_sym_explicit] = ACTIONS(5097),
    [anon_sym_scoped] = ACTIONS(5097),
    [anon_sym_var] = ACTIONS(5097),
    [sym_predefined_type] = ACTIONS(5097),
    [anon_sym_yield] = ACTIONS(5097),
    [anon_sym_when] = ACTIONS(5097),
    [anon_sym_from] = ACTIONS(5097),
    [anon_sym_into] = ACTIONS(5097),
    [anon_sym_join] = ACTIONS(5097),
    [anon_sym_on] = ACTIONS(5097),
    [anon_sym_equals] = ACTIONS(5097),
    [anon_sym_let] = ACTIONS(5097),
    [anon_sym_orderby] = ACTIONS(5097),
    [anon_sym_ascending] = ACTIONS(5097),
    [anon_sym_descending] = ACTIONS(5097),
    [anon_sym_group] = ACTIONS(5097),
    [anon_sym_by] = ACTIONS(5097),
    [anon_sym_select] = ACTIONS(5097),
    [aux_sym_preproc_if_token1] = ACTIONS(5099),
    [aux_sym_preproc_if_token3] = ACTIONS(5099),
    [aux_sym_preproc_else_token1] = ACTIONS(5099),
    [aux_sym_preproc_elif_token1] = ACTIONS(5099),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3493] = {
    [sym_preproc_region] = STATE(3493),
    [sym_preproc_endregion] = STATE(3493),
    [sym_preproc_line] = STATE(3493),
    [sym_preproc_pragma] = STATE(3493),
    [sym_preproc_nullable] = STATE(3493),
    [sym_preproc_error] = STATE(3493),
    [sym_preproc_define] = STATE(3493),
    [sym_preproc_undef] = STATE(3493),
    [sym__identifier_token] = ACTIONS(5101),
    [anon_sym_extern] = ACTIONS(5101),
    [anon_sym_alias] = ACTIONS(5101),
    [anon_sym_global] = ACTIONS(5101),
    [anon_sym_using] = ACTIONS(5101),
    [anon_sym_unsafe] = ACTIONS(5101),
    [anon_sym_static] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_LPAREN] = ACTIONS(5103),
    [anon_sym_event] = ACTIONS(5101),
    [anon_sym_namespace] = ACTIONS(5101),
    [anon_sym_class] = ACTIONS(5101),
    [anon_sym_ref] = ACTIONS(5101),
    [anon_sym_struct] = ACTIONS(5101),
    [anon_sym_enum] = ACTIONS(5101),
    [anon_sym_RBRACE] = ACTIONS(5103),
    [anon_sym_interface] = ACTIONS(5101),
    [anon_sym_delegate] = ACTIONS(5101),
    [anon_sym_record] = ACTIONS(5101),
    [anon_sym_abstract] = ACTIONS(5101),
    [anon_sym_async] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_file] = ACTIONS(5101),
    [anon_sym_fixed] = ACTIONS(5101),
    [anon_sym_internal] = ACTIONS(5101),
    [anon_sym_new] = ACTIONS(5101),
    [anon_sym_override] = ACTIONS(5101),
    [anon_sym_partial] = ACTIONS(5101),
    [anon_sym_private] = ACTIONS(5101),
    [anon_sym_protected] = ACTIONS(5101),
    [anon_sym_public] = ACTIONS(5101),
    [anon_sym_readonly] = ACTIONS(5101),
    [anon_sym_required] = ACTIONS(5101),
    [anon_sym_sealed] = ACTIONS(5101),
    [anon_sym_virtual] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_where] = ACTIONS(5101),
    [anon_sym_notnull] = ACTIONS(5101),
    [anon_sym_unmanaged] = ACTIONS(5101),
    [anon_sym_TILDE] = ACTIONS(5103),
    [anon_sym_implicit] = ACTIONS(5101),
    [anon_sym_explicit] = ACTIONS(5101),
    [anon_sym_scoped] = ACTIONS(5101),
    [anon_sym_var] = ACTIONS(5101),
    [sym_predefined_type] = ACTIONS(5101),
    [anon_sym_yield] = ACTIONS(5101),
    [anon_sym_when] = ACTIONS(5101),
    [anon_sym_from] = ACTIONS(5101),
    [anon_sym_into] = ACTIONS(5101),
    [anon_sym_join] = ACTIONS(5101),
    [anon_sym_on] = ACTIONS(5101),
    [anon_sym_equals] = ACTIONS(5101),
    [anon_sym_let] = ACTIONS(5101),
    [anon_sym_orderby] = ACTIONS(5101),
    [anon_sym_ascending] = ACTIONS(5101),
    [anon_sym_descending] = ACTIONS(5101),
    [anon_sym_group] = ACTIONS(5101),
    [anon_sym_by] = ACTIONS(5101),
    [anon_sym_select] = ACTIONS(5101),
    [aux_sym_preproc_if_token1] = ACTIONS(5103),
    [aux_sym_preproc_if_token3] = ACTIONS(5103),
    [aux_sym_preproc_else_token1] = ACTIONS(5103),
    [aux_sym_preproc_elif_token1] = ACTIONS(5103),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3494] = {
    [sym_preproc_region] = STATE(3494),
    [sym_preproc_endregion] = STATE(3494),
    [sym_preproc_line] = STATE(3494),
    [sym_preproc_pragma] = STATE(3494),
    [sym_preproc_nullable] = STATE(3494),
    [sym_preproc_error] = STATE(3494),
    [sym_preproc_define] = STATE(3494),
    [sym_preproc_undef] = STATE(3494),
    [sym__identifier_token] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym_alias] = ACTIONS(5105),
    [anon_sym_global] = ACTIONS(5105),
    [anon_sym_using] = ACTIONS(5105),
    [anon_sym_unsafe] = ACTIONS(5105),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_LPAREN] = ACTIONS(5107),
    [anon_sym_event] = ACTIONS(5105),
    [anon_sym_namespace] = ACTIONS(5105),
    [anon_sym_class] = ACTIONS(5105),
    [anon_sym_ref] = ACTIONS(5105),
    [anon_sym_struct] = ACTIONS(5105),
    [anon_sym_enum] = ACTIONS(5105),
    [anon_sym_RBRACE] = ACTIONS(5107),
    [anon_sym_interface] = ACTIONS(5105),
    [anon_sym_delegate] = ACTIONS(5105),
    [anon_sym_record] = ACTIONS(5105),
    [anon_sym_abstract] = ACTIONS(5105),
    [anon_sym_async] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_file] = ACTIONS(5105),
    [anon_sym_fixed] = ACTIONS(5105),
    [anon_sym_internal] = ACTIONS(5105),
    [anon_sym_new] = ACTIONS(5105),
    [anon_sym_override] = ACTIONS(5105),
    [anon_sym_partial] = ACTIONS(5105),
    [anon_sym_private] = ACTIONS(5105),
    [anon_sym_protected] = ACTIONS(5105),
    [anon_sym_public] = ACTIONS(5105),
    [anon_sym_readonly] = ACTIONS(5105),
    [anon_sym_required] = ACTIONS(5105),
    [anon_sym_sealed] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_where] = ACTIONS(5105),
    [anon_sym_notnull] = ACTIONS(5105),
    [anon_sym_unmanaged] = ACTIONS(5105),
    [anon_sym_TILDE] = ACTIONS(5107),
    [anon_sym_implicit] = ACTIONS(5105),
    [anon_sym_explicit] = ACTIONS(5105),
    [anon_sym_scoped] = ACTIONS(5105),
    [anon_sym_var] = ACTIONS(5105),
    [sym_predefined_type] = ACTIONS(5105),
    [anon_sym_yield] = ACTIONS(5105),
    [anon_sym_when] = ACTIONS(5105),
    [anon_sym_from] = ACTIONS(5105),
    [anon_sym_into] = ACTIONS(5105),
    [anon_sym_join] = ACTIONS(5105),
    [anon_sym_on] = ACTIONS(5105),
    [anon_sym_equals] = ACTIONS(5105),
    [anon_sym_let] = ACTIONS(5105),
    [anon_sym_orderby] = ACTIONS(5105),
    [anon_sym_ascending] = ACTIONS(5105),
    [anon_sym_descending] = ACTIONS(5105),
    [anon_sym_group] = ACTIONS(5105),
    [anon_sym_by] = ACTIONS(5105),
    [anon_sym_select] = ACTIONS(5105),
    [aux_sym_preproc_if_token1] = ACTIONS(5107),
    [aux_sym_preproc_if_token3] = ACTIONS(5107),
    [aux_sym_preproc_else_token1] = ACTIONS(5107),
    [aux_sym_preproc_elif_token1] = ACTIONS(5107),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3495] = {
    [sym_preproc_region] = STATE(3495),
    [sym_preproc_endregion] = STATE(3495),
    [sym_preproc_line] = STATE(3495),
    [sym_preproc_pragma] = STATE(3495),
    [sym_preproc_nullable] = STATE(3495),
    [sym_preproc_error] = STATE(3495),
    [sym_preproc_define] = STATE(3495),
    [sym_preproc_undef] = STATE(3495),
    [sym__identifier_token] = ACTIONS(3709),
    [anon_sym_extern] = ACTIONS(3709),
    [anon_sym_alias] = ACTIONS(3709),
    [anon_sym_global] = ACTIONS(3709),
    [anon_sym_using] = ACTIONS(3709),
    [anon_sym_unsafe] = ACTIONS(3709),
    [anon_sym_static] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3711),
    [anon_sym_LPAREN] = ACTIONS(3711),
    [anon_sym_event] = ACTIONS(3709),
    [anon_sym_namespace] = ACTIONS(3709),
    [anon_sym_class] = ACTIONS(3709),
    [anon_sym_ref] = ACTIONS(3709),
    [anon_sym_struct] = ACTIONS(3709),
    [anon_sym_enum] = ACTIONS(3709),
    [anon_sym_RBRACE] = ACTIONS(3711),
    [anon_sym_interface] = ACTIONS(3709),
    [anon_sym_delegate] = ACTIONS(3709),
    [anon_sym_record] = ACTIONS(3709),
    [anon_sym_abstract] = ACTIONS(3709),
    [anon_sym_async] = ACTIONS(3709),
    [anon_sym_const] = ACTIONS(3709),
    [anon_sym_file] = ACTIONS(3709),
    [anon_sym_fixed] = ACTIONS(3709),
    [anon_sym_internal] = ACTIONS(3709),
    [anon_sym_new] = ACTIONS(3709),
    [anon_sym_override] = ACTIONS(3709),
    [anon_sym_partial] = ACTIONS(3709),
    [anon_sym_private] = ACTIONS(3709),
    [anon_sym_protected] = ACTIONS(3709),
    [anon_sym_public] = ACTIONS(3709),
    [anon_sym_readonly] = ACTIONS(3709),
    [anon_sym_required] = ACTIONS(3709),
    [anon_sym_sealed] = ACTIONS(3709),
    [anon_sym_virtual] = ACTIONS(3709),
    [anon_sym_volatile] = ACTIONS(3709),
    [anon_sym_where] = ACTIONS(3709),
    [anon_sym_notnull] = ACTIONS(3709),
    [anon_sym_unmanaged] = ACTIONS(3709),
    [anon_sym_TILDE] = ACTIONS(3711),
    [anon_sym_implicit] = ACTIONS(3709),
    [anon_sym_explicit] = ACTIONS(3709),
    [anon_sym_scoped] = ACTIONS(3709),
    [anon_sym_var] = ACTIONS(3709),
    [sym_predefined_type] = ACTIONS(3709),
    [anon_sym_yield] = ACTIONS(3709),
    [anon_sym_when] = ACTIONS(3709),
    [anon_sym_from] = ACTIONS(3709),
    [anon_sym_into] = ACTIONS(3709),
    [anon_sym_join] = ACTIONS(3709),
    [anon_sym_on] = ACTIONS(3709),
    [anon_sym_equals] = ACTIONS(3709),
    [anon_sym_let] = ACTIONS(3709),
    [anon_sym_orderby] = ACTIONS(3709),
    [anon_sym_ascending] = ACTIONS(3709),
    [anon_sym_descending] = ACTIONS(3709),
    [anon_sym_group] = ACTIONS(3709),
    [anon_sym_by] = ACTIONS(3709),
    [anon_sym_select] = ACTIONS(3709),
    [aux_sym_preproc_if_token1] = ACTIONS(3711),
    [aux_sym_preproc_if_token3] = ACTIONS(3711),
    [aux_sym_preproc_else_token1] = ACTIONS(3711),
    [aux_sym_preproc_elif_token1] = ACTIONS(3711),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3496] = {
    [sym_preproc_region] = STATE(3496),
    [sym_preproc_endregion] = STATE(3496),
    [sym_preproc_line] = STATE(3496),
    [sym_preproc_pragma] = STATE(3496),
    [sym_preproc_nullable] = STATE(3496),
    [sym_preproc_error] = STATE(3496),
    [sym_preproc_define] = STATE(3496),
    [sym_preproc_undef] = STATE(3496),
    [sym__identifier_token] = ACTIONS(5109),
    [anon_sym_extern] = ACTIONS(5109),
    [anon_sym_alias] = ACTIONS(5109),
    [anon_sym_global] = ACTIONS(5109),
    [anon_sym_using] = ACTIONS(5109),
    [anon_sym_unsafe] = ACTIONS(5109),
    [anon_sym_static] = ACTIONS(5109),
    [anon_sym_LBRACK] = ACTIONS(5111),
    [anon_sym_LPAREN] = ACTIONS(5111),
    [anon_sym_event] = ACTIONS(5109),
    [anon_sym_namespace] = ACTIONS(5109),
    [anon_sym_class] = ACTIONS(5109),
    [anon_sym_ref] = ACTIONS(5109),
    [anon_sym_struct] = ACTIONS(5109),
    [anon_sym_enum] = ACTIONS(5109),
    [anon_sym_RBRACE] = ACTIONS(5111),
    [anon_sym_interface] = ACTIONS(5109),
    [anon_sym_delegate] = ACTIONS(5109),
    [anon_sym_record] = ACTIONS(5109),
    [anon_sym_abstract] = ACTIONS(5109),
    [anon_sym_async] = ACTIONS(5109),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_file] = ACTIONS(5109),
    [anon_sym_fixed] = ACTIONS(5109),
    [anon_sym_internal] = ACTIONS(5109),
    [anon_sym_new] = ACTIONS(5109),
    [anon_sym_override] = ACTIONS(5109),
    [anon_sym_partial] = ACTIONS(5109),
    [anon_sym_private] = ACTIONS(5109),
    [anon_sym_protected] = ACTIONS(5109),
    [anon_sym_public] = ACTIONS(5109),
    [anon_sym_readonly] = ACTIONS(5109),
    [anon_sym_required] = ACTIONS(5109),
    [anon_sym_sealed] = ACTIONS(5109),
    [anon_sym_virtual] = ACTIONS(5109),
    [anon_sym_volatile] = ACTIONS(5109),
    [anon_sym_where] = ACTIONS(5109),
    [anon_sym_notnull] = ACTIONS(5109),
    [anon_sym_unmanaged] = ACTIONS(5109),
    [anon_sym_TILDE] = ACTIONS(5111),
    [anon_sym_implicit] = ACTIONS(5109),
    [anon_sym_explicit] = ACTIONS(5109),
    [anon_sym_scoped] = ACTIONS(5109),
    [anon_sym_var] = ACTIONS(5109),
    [sym_predefined_type] = ACTIONS(5109),
    [anon_sym_yield] = ACTIONS(5109),
    [anon_sym_when] = ACTIONS(5109),
    [anon_sym_from] = ACTIONS(5109),
    [anon_sym_into] = ACTIONS(5109),
    [anon_sym_join] = ACTIONS(5109),
    [anon_sym_on] = ACTIONS(5109),
    [anon_sym_equals] = ACTIONS(5109),
    [anon_sym_let] = ACTIONS(5109),
    [anon_sym_orderby] = ACTIONS(5109),
    [anon_sym_ascending] = ACTIONS(5109),
    [anon_sym_descending] = ACTIONS(5109),
    [anon_sym_group] = ACTIONS(5109),
    [anon_sym_by] = ACTIONS(5109),
    [anon_sym_select] = ACTIONS(5109),
    [aux_sym_preproc_if_token1] = ACTIONS(5111),
    [aux_sym_preproc_if_token3] = ACTIONS(5111),
    [aux_sym_preproc_else_token1] = ACTIONS(5111),
    [aux_sym_preproc_elif_token1] = ACTIONS(5111),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3497] = {
    [sym_preproc_region] = STATE(3497),
    [sym_preproc_endregion] = STATE(3497),
    [sym_preproc_line] = STATE(3497),
    [sym_preproc_pragma] = STATE(3497),
    [sym_preproc_nullable] = STATE(3497),
    [sym_preproc_error] = STATE(3497),
    [sym_preproc_define] = STATE(3497),
    [sym_preproc_undef] = STATE(3497),
    [sym__identifier_token] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym_alias] = ACTIONS(5113),
    [anon_sym_global] = ACTIONS(5113),
    [anon_sym_using] = ACTIONS(5113),
    [anon_sym_unsafe] = ACTIONS(5113),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_LBRACK] = ACTIONS(5115),
    [anon_sym_LPAREN] = ACTIONS(5115),
    [anon_sym_event] = ACTIONS(5113),
    [anon_sym_namespace] = ACTIONS(5113),
    [anon_sym_class] = ACTIONS(5113),
    [anon_sym_ref] = ACTIONS(5113),
    [anon_sym_struct] = ACTIONS(5113),
    [anon_sym_enum] = ACTIONS(5113),
    [anon_sym_RBRACE] = ACTIONS(5115),
    [anon_sym_interface] = ACTIONS(5113),
    [anon_sym_delegate] = ACTIONS(5113),
    [anon_sym_record] = ACTIONS(5113),
    [anon_sym_abstract] = ACTIONS(5113),
    [anon_sym_async] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_file] = ACTIONS(5113),
    [anon_sym_fixed] = ACTIONS(5113),
    [anon_sym_internal] = ACTIONS(5113),
    [anon_sym_new] = ACTIONS(5113),
    [anon_sym_override] = ACTIONS(5113),
    [anon_sym_partial] = ACTIONS(5113),
    [anon_sym_private] = ACTIONS(5113),
    [anon_sym_protected] = ACTIONS(5113),
    [anon_sym_public] = ACTIONS(5113),
    [anon_sym_readonly] = ACTIONS(5113),
    [anon_sym_required] = ACTIONS(5113),
    [anon_sym_sealed] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_where] = ACTIONS(5113),
    [anon_sym_notnull] = ACTIONS(5113),
    [anon_sym_unmanaged] = ACTIONS(5113),
    [anon_sym_TILDE] = ACTIONS(5115),
    [anon_sym_implicit] = ACTIONS(5113),
    [anon_sym_explicit] = ACTIONS(5113),
    [anon_sym_scoped] = ACTIONS(5113),
    [anon_sym_var] = ACTIONS(5113),
    [sym_predefined_type] = ACTIONS(5113),
    [anon_sym_yield] = ACTIONS(5113),
    [anon_sym_when] = ACTIONS(5113),
    [anon_sym_from] = ACTIONS(5113),
    [anon_sym_into] = ACTIONS(5113),
    [anon_sym_join] = ACTIONS(5113),
    [anon_sym_on] = ACTIONS(5113),
    [anon_sym_equals] = ACTIONS(5113),
    [anon_sym_let] = ACTIONS(5113),
    [anon_sym_orderby] = ACTIONS(5113),
    [anon_sym_ascending] = ACTIONS(5113),
    [anon_sym_descending] = ACTIONS(5113),
    [anon_sym_group] = ACTIONS(5113),
    [anon_sym_by] = ACTIONS(5113),
    [anon_sym_select] = ACTIONS(5113),
    [aux_sym_preproc_if_token1] = ACTIONS(5115),
    [aux_sym_preproc_if_token3] = ACTIONS(5115),
    [aux_sym_preproc_else_token1] = ACTIONS(5115),
    [aux_sym_preproc_elif_token1] = ACTIONS(5115),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3498] = {
    [sym_preproc_region] = STATE(3498),
    [sym_preproc_endregion] = STATE(3498),
    [sym_preproc_line] = STATE(3498),
    [sym_preproc_pragma] = STATE(3498),
    [sym_preproc_nullable] = STATE(3498),
    [sym_preproc_error] = STATE(3498),
    [sym_preproc_define] = STATE(3498),
    [sym_preproc_undef] = STATE(3498),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3499] = {
    [sym_preproc_region] = STATE(3499),
    [sym_preproc_endregion] = STATE(3499),
    [sym_preproc_line] = STATE(3499),
    [sym_preproc_pragma] = STATE(3499),
    [sym_preproc_nullable] = STATE(3499),
    [sym_preproc_error] = STATE(3499),
    [sym_preproc_define] = STATE(3499),
    [sym_preproc_undef] = STATE(3499),
    [sym__identifier_token] = ACTIONS(5117),
    [anon_sym_extern] = ACTIONS(5117),
    [anon_sym_alias] = ACTIONS(5117),
    [anon_sym_global] = ACTIONS(5117),
    [anon_sym_using] = ACTIONS(5117),
    [anon_sym_unsafe] = ACTIONS(5117),
    [anon_sym_static] = ACTIONS(5117),
    [anon_sym_LBRACK] = ACTIONS(5119),
    [anon_sym_LPAREN] = ACTIONS(5119),
    [anon_sym_event] = ACTIONS(5117),
    [anon_sym_namespace] = ACTIONS(5117),
    [anon_sym_class] = ACTIONS(5117),
    [anon_sym_ref] = ACTIONS(5117),
    [anon_sym_struct] = ACTIONS(5117),
    [anon_sym_enum] = ACTIONS(5117),
    [anon_sym_RBRACE] = ACTIONS(5119),
    [anon_sym_interface] = ACTIONS(5117),
    [anon_sym_delegate] = ACTIONS(5117),
    [anon_sym_record] = ACTIONS(5117),
    [anon_sym_abstract] = ACTIONS(5117),
    [anon_sym_async] = ACTIONS(5117),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_file] = ACTIONS(5117),
    [anon_sym_fixed] = ACTIONS(5117),
    [anon_sym_internal] = ACTIONS(5117),
    [anon_sym_new] = ACTIONS(5117),
    [anon_sym_override] = ACTIONS(5117),
    [anon_sym_partial] = ACTIONS(5117),
    [anon_sym_private] = ACTIONS(5117),
    [anon_sym_protected] = ACTIONS(5117),
    [anon_sym_public] = ACTIONS(5117),
    [anon_sym_readonly] = ACTIONS(5117),
    [anon_sym_required] = ACTIONS(5117),
    [anon_sym_sealed] = ACTIONS(5117),
    [anon_sym_virtual] = ACTIONS(5117),
    [anon_sym_volatile] = ACTIONS(5117),
    [anon_sym_where] = ACTIONS(5117),
    [anon_sym_notnull] = ACTIONS(5117),
    [anon_sym_unmanaged] = ACTIONS(5117),
    [anon_sym_TILDE] = ACTIONS(5119),
    [anon_sym_implicit] = ACTIONS(5117),
    [anon_sym_explicit] = ACTIONS(5117),
    [anon_sym_scoped] = ACTIONS(5117),
    [anon_sym_var] = ACTIONS(5117),
    [sym_predefined_type] = ACTIONS(5117),
    [anon_sym_yield] = ACTIONS(5117),
    [anon_sym_when] = ACTIONS(5117),
    [anon_sym_from] = ACTIONS(5117),
    [anon_sym_into] = ACTIONS(5117),
    [anon_sym_join] = ACTIONS(5117),
    [anon_sym_on] = ACTIONS(5117),
    [anon_sym_equals] = ACTIONS(5117),
    [anon_sym_let] = ACTIONS(5117),
    [anon_sym_orderby] = ACTIONS(5117),
    [anon_sym_ascending] = ACTIONS(5117),
    [anon_sym_descending] = ACTIONS(5117),
    [anon_sym_group] = ACTIONS(5117),
    [anon_sym_by] = ACTIONS(5117),
    [anon_sym_select] = ACTIONS(5117),
    [aux_sym_preproc_if_token1] = ACTIONS(5119),
    [aux_sym_preproc_if_token3] = ACTIONS(5119),
    [aux_sym_preproc_else_token1] = ACTIONS(5119),
    [aux_sym_preproc_elif_token1] = ACTIONS(5119),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3500] = {
    [sym_preproc_region] = STATE(3500),
    [sym_preproc_endregion] = STATE(3500),
    [sym_preproc_line] = STATE(3500),
    [sym_preproc_pragma] = STATE(3500),
    [sym_preproc_nullable] = STATE(3500),
    [sym_preproc_error] = STATE(3500),
    [sym_preproc_define] = STATE(3500),
    [sym_preproc_undef] = STATE(3500),
    [sym__identifier_token] = ACTIONS(5121),
    [anon_sym_extern] = ACTIONS(5121),
    [anon_sym_alias] = ACTIONS(5121),
    [anon_sym_global] = ACTIONS(5121),
    [anon_sym_using] = ACTIONS(5121),
    [anon_sym_unsafe] = ACTIONS(5121),
    [anon_sym_static] = ACTIONS(5121),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_LPAREN] = ACTIONS(5123),
    [anon_sym_event] = ACTIONS(5121),
    [anon_sym_namespace] = ACTIONS(5121),
    [anon_sym_class] = ACTIONS(5121),
    [anon_sym_ref] = ACTIONS(5121),
    [anon_sym_struct] = ACTIONS(5121),
    [anon_sym_enum] = ACTIONS(5121),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_interface] = ACTIONS(5121),
    [anon_sym_delegate] = ACTIONS(5121),
    [anon_sym_record] = ACTIONS(5121),
    [anon_sym_abstract] = ACTIONS(5121),
    [anon_sym_async] = ACTIONS(5121),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_file] = ACTIONS(5121),
    [anon_sym_fixed] = ACTIONS(5121),
    [anon_sym_internal] = ACTIONS(5121),
    [anon_sym_new] = ACTIONS(5121),
    [anon_sym_override] = ACTIONS(5121),
    [anon_sym_partial] = ACTIONS(5121),
    [anon_sym_private] = ACTIONS(5121),
    [anon_sym_protected] = ACTIONS(5121),
    [anon_sym_public] = ACTIONS(5121),
    [anon_sym_readonly] = ACTIONS(5121),
    [anon_sym_required] = ACTIONS(5121),
    [anon_sym_sealed] = ACTIONS(5121),
    [anon_sym_virtual] = ACTIONS(5121),
    [anon_sym_volatile] = ACTIONS(5121),
    [anon_sym_where] = ACTIONS(5121),
    [anon_sym_notnull] = ACTIONS(5121),
    [anon_sym_unmanaged] = ACTIONS(5121),
    [anon_sym_TILDE] = ACTIONS(5123),
    [anon_sym_implicit] = ACTIONS(5121),
    [anon_sym_explicit] = ACTIONS(5121),
    [anon_sym_scoped] = ACTIONS(5121),
    [anon_sym_var] = ACTIONS(5121),
    [sym_predefined_type] = ACTIONS(5121),
    [anon_sym_yield] = ACTIONS(5121),
    [anon_sym_when] = ACTIONS(5121),
    [anon_sym_from] = ACTIONS(5121),
    [anon_sym_into] = ACTIONS(5121),
    [anon_sym_join] = ACTIONS(5121),
    [anon_sym_on] = ACTIONS(5121),
    [anon_sym_equals] = ACTIONS(5121),
    [anon_sym_let] = ACTIONS(5121),
    [anon_sym_orderby] = ACTIONS(5121),
    [anon_sym_ascending] = ACTIONS(5121),
    [anon_sym_descending] = ACTIONS(5121),
    [anon_sym_group] = ACTIONS(5121),
    [anon_sym_by] = ACTIONS(5121),
    [anon_sym_select] = ACTIONS(5121),
    [aux_sym_preproc_if_token1] = ACTIONS(5123),
    [aux_sym_preproc_if_token3] = ACTIONS(5123),
    [aux_sym_preproc_else_token1] = ACTIONS(5123),
    [aux_sym_preproc_elif_token1] = ACTIONS(5123),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3501] = {
    [sym_preproc_region] = STATE(3501),
    [sym_preproc_endregion] = STATE(3501),
    [sym_preproc_line] = STATE(3501),
    [sym_preproc_pragma] = STATE(3501),
    [sym_preproc_nullable] = STATE(3501),
    [sym_preproc_error] = STATE(3501),
    [sym_preproc_define] = STATE(3501),
    [sym_preproc_undef] = STATE(3501),
    [sym__identifier_token] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym_alias] = ACTIONS(5125),
    [anon_sym_global] = ACTIONS(5125),
    [anon_sym_using] = ACTIONS(5125),
    [anon_sym_unsafe] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_LPAREN] = ACTIONS(5127),
    [anon_sym_event] = ACTIONS(5125),
    [anon_sym_namespace] = ACTIONS(5125),
    [anon_sym_class] = ACTIONS(5125),
    [anon_sym_ref] = ACTIONS(5125),
    [anon_sym_struct] = ACTIONS(5125),
    [anon_sym_enum] = ACTIONS(5125),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_interface] = ACTIONS(5125),
    [anon_sym_delegate] = ACTIONS(5125),
    [anon_sym_record] = ACTIONS(5125),
    [anon_sym_abstract] = ACTIONS(5125),
    [anon_sym_async] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_file] = ACTIONS(5125),
    [anon_sym_fixed] = ACTIONS(5125),
    [anon_sym_internal] = ACTIONS(5125),
    [anon_sym_new] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
    [anon_sym_partial] = ACTIONS(5125),
    [anon_sym_private] = ACTIONS(5125),
    [anon_sym_protected] = ACTIONS(5125),
    [anon_sym_public] = ACTIONS(5125),
    [anon_sym_readonly] = ACTIONS(5125),
    [anon_sym_required] = ACTIONS(5125),
    [anon_sym_sealed] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_where] = ACTIONS(5125),
    [anon_sym_notnull] = ACTIONS(5125),
    [anon_sym_unmanaged] = ACTIONS(5125),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_implicit] = ACTIONS(5125),
    [anon_sym_explicit] = ACTIONS(5125),
    [anon_sym_scoped] = ACTIONS(5125),
    [anon_sym_var] = ACTIONS(5125),
    [sym_predefined_type] = ACTIONS(5125),
    [anon_sym_yield] = ACTIONS(5125),
    [anon_sym_when] = ACTIONS(5125),
    [anon_sym_from] = ACTIONS(5125),
    [anon_sym_into] = ACTIONS(5125),
    [anon_sym_join] = ACTIONS(5125),
    [anon_sym_on] = ACTIONS(5125),
    [anon_sym_equals] = ACTIONS(5125),
    [anon_sym_let] = ACTIONS(5125),
    [anon_sym_orderby] = ACTIONS(5125),
    [anon_sym_ascending] = ACTIONS(5125),
    [anon_sym_descending] = ACTIONS(5125),
    [anon_sym_group] = ACTIONS(5125),
    [anon_sym_by] = ACTIONS(5125),
    [anon_sym_select] = ACTIONS(5125),
    [aux_sym_preproc_if_token1] = ACTIONS(5127),
    [aux_sym_preproc_if_token3] = ACTIONS(5127),
    [aux_sym_preproc_else_token1] = ACTIONS(5127),
    [aux_sym_preproc_elif_token1] = ACTIONS(5127),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3502] = {
    [sym_preproc_region] = STATE(3502),
    [sym_preproc_endregion] = STATE(3502),
    [sym_preproc_line] = STATE(3502),
    [sym_preproc_pragma] = STATE(3502),
    [sym_preproc_nullable] = STATE(3502),
    [sym_preproc_error] = STATE(3502),
    [sym_preproc_define] = STATE(3502),
    [sym_preproc_undef] = STATE(3502),
    [sym__identifier_token] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym_alias] = ACTIONS(5129),
    [anon_sym_global] = ACTIONS(5129),
    [anon_sym_using] = ACTIONS(5129),
    [anon_sym_unsafe] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_LBRACK] = ACTIONS(5131),
    [anon_sym_LPAREN] = ACTIONS(5131),
    [anon_sym_event] = ACTIONS(5129),
    [anon_sym_namespace] = ACTIONS(5129),
    [anon_sym_class] = ACTIONS(5129),
    [anon_sym_ref] = ACTIONS(5129),
    [anon_sym_struct] = ACTIONS(5129),
    [anon_sym_enum] = ACTIONS(5129),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_interface] = ACTIONS(5129),
    [anon_sym_delegate] = ACTIONS(5129),
    [anon_sym_record] = ACTIONS(5129),
    [anon_sym_abstract] = ACTIONS(5129),
    [anon_sym_async] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_file] = ACTIONS(5129),
    [anon_sym_fixed] = ACTIONS(5129),
    [anon_sym_internal] = ACTIONS(5129),
    [anon_sym_new] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
    [anon_sym_partial] = ACTIONS(5129),
    [anon_sym_private] = ACTIONS(5129),
    [anon_sym_protected] = ACTIONS(5129),
    [anon_sym_public] = ACTIONS(5129),
    [anon_sym_readonly] = ACTIONS(5129),
    [anon_sym_required] = ACTIONS(5129),
    [anon_sym_sealed] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_where] = ACTIONS(5129),
    [anon_sym_notnull] = ACTIONS(5129),
    [anon_sym_unmanaged] = ACTIONS(5129),
    [anon_sym_TILDE] = ACTIONS(5131),
    [anon_sym_implicit] = ACTIONS(5129),
    [anon_sym_explicit] = ACTIONS(5129),
    [anon_sym_scoped] = ACTIONS(5129),
    [anon_sym_var] = ACTIONS(5129),
    [sym_predefined_type] = ACTIONS(5129),
    [anon_sym_yield] = ACTIONS(5129),
    [anon_sym_when] = ACTIONS(5129),
    [anon_sym_from] = ACTIONS(5129),
    [anon_sym_into] = ACTIONS(5129),
    [anon_sym_join] = ACTIONS(5129),
    [anon_sym_on] = ACTIONS(5129),
    [anon_sym_equals] = ACTIONS(5129),
    [anon_sym_let] = ACTIONS(5129),
    [anon_sym_orderby] = ACTIONS(5129),
    [anon_sym_ascending] = ACTIONS(5129),
    [anon_sym_descending] = ACTIONS(5129),
    [anon_sym_group] = ACTIONS(5129),
    [anon_sym_by] = ACTIONS(5129),
    [anon_sym_select] = ACTIONS(5129),
    [aux_sym_preproc_if_token1] = ACTIONS(5131),
    [aux_sym_preproc_if_token3] = ACTIONS(5131),
    [aux_sym_preproc_else_token1] = ACTIONS(5131),
    [aux_sym_preproc_elif_token1] = ACTIONS(5131),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3503] = {
    [sym_preproc_region] = STATE(3503),
    [sym_preproc_endregion] = STATE(3503),
    [sym_preproc_line] = STATE(3503),
    [sym_preproc_pragma] = STATE(3503),
    [sym_preproc_nullable] = STATE(3503),
    [sym_preproc_error] = STATE(3503),
    [sym_preproc_define] = STATE(3503),
    [sym_preproc_undef] = STATE(3503),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4844),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5133),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4475),
  },
  [3504] = {
    [sym_preproc_region] = STATE(3504),
    [sym_preproc_endregion] = STATE(3504),
    [sym_preproc_line] = STATE(3504),
    [sym_preproc_pragma] = STATE(3504),
    [sym_preproc_nullable] = STATE(3504),
    [sym_preproc_error] = STATE(3504),
    [sym_preproc_define] = STATE(3504),
    [sym_preproc_undef] = STATE(3504),
    [sym__identifier_token] = ACTIONS(5135),
    [anon_sym_extern] = ACTIONS(5135),
    [anon_sym_alias] = ACTIONS(5135),
    [anon_sym_global] = ACTIONS(5135),
    [anon_sym_using] = ACTIONS(5135),
    [anon_sym_unsafe] = ACTIONS(5135),
    [anon_sym_static] = ACTIONS(5135),
    [anon_sym_LBRACK] = ACTIONS(5137),
    [anon_sym_LPAREN] = ACTIONS(5137),
    [anon_sym_event] = ACTIONS(5135),
    [anon_sym_namespace] = ACTIONS(5135),
    [anon_sym_class] = ACTIONS(5135),
    [anon_sym_ref] = ACTIONS(5135),
    [anon_sym_struct] = ACTIONS(5135),
    [anon_sym_enum] = ACTIONS(5135),
    [anon_sym_RBRACE] = ACTIONS(5137),
    [anon_sym_interface] = ACTIONS(5135),
    [anon_sym_delegate] = ACTIONS(5135),
    [anon_sym_record] = ACTIONS(5135),
    [anon_sym_abstract] = ACTIONS(5135),
    [anon_sym_async] = ACTIONS(5135),
    [anon_sym_const] = ACTIONS(5135),
    [anon_sym_file] = ACTIONS(5135),
    [anon_sym_fixed] = ACTIONS(5135),
    [anon_sym_internal] = ACTIONS(5135),
    [anon_sym_new] = ACTIONS(5135),
    [anon_sym_override] = ACTIONS(5135),
    [anon_sym_partial] = ACTIONS(5135),
    [anon_sym_private] = ACTIONS(5135),
    [anon_sym_protected] = ACTIONS(5135),
    [anon_sym_public] = ACTIONS(5135),
    [anon_sym_readonly] = ACTIONS(5135),
    [anon_sym_required] = ACTIONS(5135),
    [anon_sym_sealed] = ACTIONS(5135),
    [anon_sym_virtual] = ACTIONS(5135),
    [anon_sym_volatile] = ACTIONS(5135),
    [anon_sym_where] = ACTIONS(5135),
    [anon_sym_notnull] = ACTIONS(5135),
    [anon_sym_unmanaged] = ACTIONS(5135),
    [anon_sym_TILDE] = ACTIONS(5137),
    [anon_sym_implicit] = ACTIONS(5135),
    [anon_sym_explicit] = ACTIONS(5135),
    [anon_sym_scoped] = ACTIONS(5135),
    [anon_sym_var] = ACTIONS(5135),
    [sym_predefined_type] = ACTIONS(5135),
    [anon_sym_yield] = ACTIONS(5135),
    [anon_sym_when] = ACTIONS(5135),
    [anon_sym_from] = ACTIONS(5135),
    [anon_sym_into] = ACTIONS(5135),
    [anon_sym_join] = ACTIONS(5135),
    [anon_sym_on] = ACTIONS(5135),
    [anon_sym_equals] = ACTIONS(5135),
    [anon_sym_let] = ACTIONS(5135),
    [anon_sym_orderby] = ACTIONS(5135),
    [anon_sym_ascending] = ACTIONS(5135),
    [anon_sym_descending] = ACTIONS(5135),
    [anon_sym_group] = ACTIONS(5135),
    [anon_sym_by] = ACTIONS(5135),
    [anon_sym_select] = ACTIONS(5135),
    [aux_sym_preproc_if_token1] = ACTIONS(5137),
    [aux_sym_preproc_if_token3] = ACTIONS(5137),
    [aux_sym_preproc_else_token1] = ACTIONS(5137),
    [aux_sym_preproc_elif_token1] = ACTIONS(5137),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3505] = {
    [sym_preproc_region] = STATE(3505),
    [sym_preproc_endregion] = STATE(3505),
    [sym_preproc_line] = STATE(3505),
    [sym_preproc_pragma] = STATE(3505),
    [sym_preproc_nullable] = STATE(3505),
    [sym_preproc_error] = STATE(3505),
    [sym_preproc_define] = STATE(3505),
    [sym_preproc_undef] = STATE(3505),
    [sym__identifier_token] = ACTIONS(5139),
    [anon_sym_extern] = ACTIONS(5139),
    [anon_sym_alias] = ACTIONS(5139),
    [anon_sym_global] = ACTIONS(5139),
    [anon_sym_using] = ACTIONS(5139),
    [anon_sym_unsafe] = ACTIONS(5139),
    [anon_sym_static] = ACTIONS(5139),
    [anon_sym_LBRACK] = ACTIONS(5141),
    [anon_sym_LPAREN] = ACTIONS(5141),
    [anon_sym_event] = ACTIONS(5139),
    [anon_sym_namespace] = ACTIONS(5139),
    [anon_sym_class] = ACTIONS(5139),
    [anon_sym_ref] = ACTIONS(5139),
    [anon_sym_struct] = ACTIONS(5139),
    [anon_sym_enum] = ACTIONS(5139),
    [anon_sym_RBRACE] = ACTIONS(5141),
    [anon_sym_interface] = ACTIONS(5139),
    [anon_sym_delegate] = ACTIONS(5139),
    [anon_sym_record] = ACTIONS(5139),
    [anon_sym_abstract] = ACTIONS(5139),
    [anon_sym_async] = ACTIONS(5139),
    [anon_sym_const] = ACTIONS(5139),
    [anon_sym_file] = ACTIONS(5139),
    [anon_sym_fixed] = ACTIONS(5139),
    [anon_sym_internal] = ACTIONS(5139),
    [anon_sym_new] = ACTIONS(5139),
    [anon_sym_override] = ACTIONS(5139),
    [anon_sym_partial] = ACTIONS(5139),
    [anon_sym_private] = ACTIONS(5139),
    [anon_sym_protected] = ACTIONS(5139),
    [anon_sym_public] = ACTIONS(5139),
    [anon_sym_readonly] = ACTIONS(5139),
    [anon_sym_required] = ACTIONS(5139),
    [anon_sym_sealed] = ACTIONS(5139),
    [anon_sym_virtual] = ACTIONS(5139),
    [anon_sym_volatile] = ACTIONS(5139),
    [anon_sym_where] = ACTIONS(5139),
    [anon_sym_notnull] = ACTIONS(5139),
    [anon_sym_unmanaged] = ACTIONS(5139),
    [anon_sym_TILDE] = ACTIONS(5141),
    [anon_sym_implicit] = ACTIONS(5139),
    [anon_sym_explicit] = ACTIONS(5139),
    [anon_sym_scoped] = ACTIONS(5139),
    [anon_sym_var] = ACTIONS(5139),
    [sym_predefined_type] = ACTIONS(5139),
    [anon_sym_yield] = ACTIONS(5139),
    [anon_sym_when] = ACTIONS(5139),
    [anon_sym_from] = ACTIONS(5139),
    [anon_sym_into] = ACTIONS(5139),
    [anon_sym_join] = ACTIONS(5139),
    [anon_sym_on] = ACTIONS(5139),
    [anon_sym_equals] = ACTIONS(5139),
    [anon_sym_let] = ACTIONS(5139),
    [anon_sym_orderby] = ACTIONS(5139),
    [anon_sym_ascending] = ACTIONS(5139),
    [anon_sym_descending] = ACTIONS(5139),
    [anon_sym_group] = ACTIONS(5139),
    [anon_sym_by] = ACTIONS(5139),
    [anon_sym_select] = ACTIONS(5139),
    [aux_sym_preproc_if_token1] = ACTIONS(5141),
    [aux_sym_preproc_if_token3] = ACTIONS(5141),
    [aux_sym_preproc_else_token1] = ACTIONS(5141),
    [aux_sym_preproc_elif_token1] = ACTIONS(5141),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3506] = {
    [sym_preproc_region] = STATE(3506),
    [sym_preproc_endregion] = STATE(3506),
    [sym_preproc_line] = STATE(3506),
    [sym_preproc_pragma] = STATE(3506),
    [sym_preproc_nullable] = STATE(3506),
    [sym_preproc_error] = STATE(3506),
    [sym_preproc_define] = STATE(3506),
    [sym_preproc_undef] = STATE(3506),
    [sym__identifier_token] = ACTIONS(5143),
    [anon_sym_extern] = ACTIONS(5143),
    [anon_sym_alias] = ACTIONS(5143),
    [anon_sym_global] = ACTIONS(5143),
    [anon_sym_using] = ACTIONS(5143),
    [anon_sym_unsafe] = ACTIONS(5143),
    [anon_sym_static] = ACTIONS(5143),
    [anon_sym_LBRACK] = ACTIONS(5145),
    [anon_sym_LPAREN] = ACTIONS(5145),
    [anon_sym_event] = ACTIONS(5143),
    [anon_sym_namespace] = ACTIONS(5143),
    [anon_sym_class] = ACTIONS(5143),
    [anon_sym_ref] = ACTIONS(5143),
    [anon_sym_struct] = ACTIONS(5143),
    [anon_sym_enum] = ACTIONS(5143),
    [anon_sym_RBRACE] = ACTIONS(5145),
    [anon_sym_interface] = ACTIONS(5143),
    [anon_sym_delegate] = ACTIONS(5143),
    [anon_sym_record] = ACTIONS(5143),
    [anon_sym_abstract] = ACTIONS(5143),
    [anon_sym_async] = ACTIONS(5143),
    [anon_sym_const] = ACTIONS(5143),
    [anon_sym_file] = ACTIONS(5143),
    [anon_sym_fixed] = ACTIONS(5143),
    [anon_sym_internal] = ACTIONS(5143),
    [anon_sym_new] = ACTIONS(5143),
    [anon_sym_override] = ACTIONS(5143),
    [anon_sym_partial] = ACTIONS(5143),
    [anon_sym_private] = ACTIONS(5143),
    [anon_sym_protected] = ACTIONS(5143),
    [anon_sym_public] = ACTIONS(5143),
    [anon_sym_readonly] = ACTIONS(5143),
    [anon_sym_required] = ACTIONS(5143),
    [anon_sym_sealed] = ACTIONS(5143),
    [anon_sym_virtual] = ACTIONS(5143),
    [anon_sym_volatile] = ACTIONS(5143),
    [anon_sym_where] = ACTIONS(5143),
    [anon_sym_notnull] = ACTIONS(5143),
    [anon_sym_unmanaged] = ACTIONS(5143),
    [anon_sym_TILDE] = ACTIONS(5145),
    [anon_sym_implicit] = ACTIONS(5143),
    [anon_sym_explicit] = ACTIONS(5143),
    [anon_sym_scoped] = ACTIONS(5143),
    [anon_sym_var] = ACTIONS(5143),
    [sym_predefined_type] = ACTIONS(5143),
    [anon_sym_yield] = ACTIONS(5143),
    [anon_sym_when] = ACTIONS(5143),
    [anon_sym_from] = ACTIONS(5143),
    [anon_sym_into] = ACTIONS(5143),
    [anon_sym_join] = ACTIONS(5143),
    [anon_sym_on] = ACTIONS(5143),
    [anon_sym_equals] = ACTIONS(5143),
    [anon_sym_let] = ACTIONS(5143),
    [anon_sym_orderby] = ACTIONS(5143),
    [anon_sym_ascending] = ACTIONS(5143),
    [anon_sym_descending] = ACTIONS(5143),
    [anon_sym_group] = ACTIONS(5143),
    [anon_sym_by] = ACTIONS(5143),
    [anon_sym_select] = ACTIONS(5143),
    [aux_sym_preproc_if_token1] = ACTIONS(5145),
    [aux_sym_preproc_if_token3] = ACTIONS(5145),
    [aux_sym_preproc_else_token1] = ACTIONS(5145),
    [aux_sym_preproc_elif_token1] = ACTIONS(5145),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3507] = {
    [sym_preproc_region] = STATE(3507),
    [sym_preproc_endregion] = STATE(3507),
    [sym_preproc_line] = STATE(3507),
    [sym_preproc_pragma] = STATE(3507),
    [sym_preproc_nullable] = STATE(3507),
    [sym_preproc_error] = STATE(3507),
    [sym_preproc_define] = STATE(3507),
    [sym_preproc_undef] = STATE(3507),
    [sym__identifier_token] = ACTIONS(5147),
    [anon_sym_extern] = ACTIONS(5147),
    [anon_sym_alias] = ACTIONS(5147),
    [anon_sym_global] = ACTIONS(5147),
    [anon_sym_using] = ACTIONS(5147),
    [anon_sym_unsafe] = ACTIONS(5147),
    [anon_sym_static] = ACTIONS(5147),
    [anon_sym_LBRACK] = ACTIONS(5149),
    [anon_sym_LPAREN] = ACTIONS(5149),
    [anon_sym_event] = ACTIONS(5147),
    [anon_sym_namespace] = ACTIONS(5147),
    [anon_sym_class] = ACTIONS(5147),
    [anon_sym_ref] = ACTIONS(5147),
    [anon_sym_struct] = ACTIONS(5147),
    [anon_sym_enum] = ACTIONS(5147),
    [anon_sym_RBRACE] = ACTIONS(5149),
    [anon_sym_interface] = ACTIONS(5147),
    [anon_sym_delegate] = ACTIONS(5147),
    [anon_sym_record] = ACTIONS(5147),
    [anon_sym_abstract] = ACTIONS(5147),
    [anon_sym_async] = ACTIONS(5147),
    [anon_sym_const] = ACTIONS(5147),
    [anon_sym_file] = ACTIONS(5147),
    [anon_sym_fixed] = ACTIONS(5147),
    [anon_sym_internal] = ACTIONS(5147),
    [anon_sym_new] = ACTIONS(5147),
    [anon_sym_override] = ACTIONS(5147),
    [anon_sym_partial] = ACTIONS(5147),
    [anon_sym_private] = ACTIONS(5147),
    [anon_sym_protected] = ACTIONS(5147),
    [anon_sym_public] = ACTIONS(5147),
    [anon_sym_readonly] = ACTIONS(5147),
    [anon_sym_required] = ACTIONS(5147),
    [anon_sym_sealed] = ACTIONS(5147),
    [anon_sym_virtual] = ACTIONS(5147),
    [anon_sym_volatile] = ACTIONS(5147),
    [anon_sym_where] = ACTIONS(5147),
    [anon_sym_notnull] = ACTIONS(5147),
    [anon_sym_unmanaged] = ACTIONS(5147),
    [anon_sym_TILDE] = ACTIONS(5149),
    [anon_sym_implicit] = ACTIONS(5147),
    [anon_sym_explicit] = ACTIONS(5147),
    [anon_sym_scoped] = ACTIONS(5147),
    [anon_sym_var] = ACTIONS(5147),
    [sym_predefined_type] = ACTIONS(5147),
    [anon_sym_yield] = ACTIONS(5147),
    [anon_sym_when] = ACTIONS(5147),
    [anon_sym_from] = ACTIONS(5147),
    [anon_sym_into] = ACTIONS(5147),
    [anon_sym_join] = ACTIONS(5147),
    [anon_sym_on] = ACTIONS(5147),
    [anon_sym_equals] = ACTIONS(5147),
    [anon_sym_let] = ACTIONS(5147),
    [anon_sym_orderby] = ACTIONS(5147),
    [anon_sym_ascending] = ACTIONS(5147),
    [anon_sym_descending] = ACTIONS(5147),
    [anon_sym_group] = ACTIONS(5147),
    [anon_sym_by] = ACTIONS(5147),
    [anon_sym_select] = ACTIONS(5147),
    [aux_sym_preproc_if_token1] = ACTIONS(5149),
    [aux_sym_preproc_if_token3] = ACTIONS(5149),
    [aux_sym_preproc_else_token1] = ACTIONS(5149),
    [aux_sym_preproc_elif_token1] = ACTIONS(5149),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3508] = {
    [sym_preproc_region] = STATE(3508),
    [sym_preproc_endregion] = STATE(3508),
    [sym_preproc_line] = STATE(3508),
    [sym_preproc_pragma] = STATE(3508),
    [sym_preproc_nullable] = STATE(3508),
    [sym_preproc_error] = STATE(3508),
    [sym_preproc_define] = STATE(3508),
    [sym_preproc_undef] = STATE(3508),
    [sym__identifier_token] = ACTIONS(5151),
    [anon_sym_extern] = ACTIONS(5151),
    [anon_sym_alias] = ACTIONS(5151),
    [anon_sym_global] = ACTIONS(5151),
    [anon_sym_using] = ACTIONS(5151),
    [anon_sym_unsafe] = ACTIONS(5151),
    [anon_sym_static] = ACTIONS(5151),
    [anon_sym_LBRACK] = ACTIONS(5153),
    [anon_sym_LPAREN] = ACTIONS(5153),
    [anon_sym_event] = ACTIONS(5151),
    [anon_sym_namespace] = ACTIONS(5151),
    [anon_sym_class] = ACTIONS(5151),
    [anon_sym_ref] = ACTIONS(5151),
    [anon_sym_struct] = ACTIONS(5151),
    [anon_sym_enum] = ACTIONS(5151),
    [anon_sym_RBRACE] = ACTIONS(5153),
    [anon_sym_interface] = ACTIONS(5151),
    [anon_sym_delegate] = ACTIONS(5151),
    [anon_sym_record] = ACTIONS(5151),
    [anon_sym_abstract] = ACTIONS(5151),
    [anon_sym_async] = ACTIONS(5151),
    [anon_sym_const] = ACTIONS(5151),
    [anon_sym_file] = ACTIONS(5151),
    [anon_sym_fixed] = ACTIONS(5151),
    [anon_sym_internal] = ACTIONS(5151),
    [anon_sym_new] = ACTIONS(5151),
    [anon_sym_override] = ACTIONS(5151),
    [anon_sym_partial] = ACTIONS(5151),
    [anon_sym_private] = ACTIONS(5151),
    [anon_sym_protected] = ACTIONS(5151),
    [anon_sym_public] = ACTIONS(5151),
    [anon_sym_readonly] = ACTIONS(5151),
    [anon_sym_required] = ACTIONS(5151),
    [anon_sym_sealed] = ACTIONS(5151),
    [anon_sym_virtual] = ACTIONS(5151),
    [anon_sym_volatile] = ACTIONS(5151),
    [anon_sym_where] = ACTIONS(5151),
    [anon_sym_notnull] = ACTIONS(5151),
    [anon_sym_unmanaged] = ACTIONS(5151),
    [anon_sym_TILDE] = ACTIONS(5153),
    [anon_sym_implicit] = ACTIONS(5151),
    [anon_sym_explicit] = ACTIONS(5151),
    [anon_sym_scoped] = ACTIONS(5151),
    [anon_sym_var] = ACTIONS(5151),
    [sym_predefined_type] = ACTIONS(5151),
    [anon_sym_yield] = ACTIONS(5151),
    [anon_sym_when] = ACTIONS(5151),
    [anon_sym_from] = ACTIONS(5151),
    [anon_sym_into] = ACTIONS(5151),
    [anon_sym_join] = ACTIONS(5151),
    [anon_sym_on] = ACTIONS(5151),
    [anon_sym_equals] = ACTIONS(5151),
    [anon_sym_let] = ACTIONS(5151),
    [anon_sym_orderby] = ACTIONS(5151),
    [anon_sym_ascending] = ACTIONS(5151),
    [anon_sym_descending] = ACTIONS(5151),
    [anon_sym_group] = ACTIONS(5151),
    [anon_sym_by] = ACTIONS(5151),
    [anon_sym_select] = ACTIONS(5151),
    [aux_sym_preproc_if_token1] = ACTIONS(5153),
    [aux_sym_preproc_if_token3] = ACTIONS(5153),
    [aux_sym_preproc_else_token1] = ACTIONS(5153),
    [aux_sym_preproc_elif_token1] = ACTIONS(5153),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3509] = {
    [sym_preproc_region] = STATE(3509),
    [sym_preproc_endregion] = STATE(3509),
    [sym_preproc_line] = STATE(3509),
    [sym_preproc_pragma] = STATE(3509),
    [sym_preproc_nullable] = STATE(3509),
    [sym_preproc_error] = STATE(3509),
    [sym_preproc_define] = STATE(3509),
    [sym_preproc_undef] = STATE(3509),
    [sym__identifier_token] = ACTIONS(5155),
    [anon_sym_extern] = ACTIONS(5155),
    [anon_sym_alias] = ACTIONS(5155),
    [anon_sym_global] = ACTIONS(5155),
    [anon_sym_using] = ACTIONS(5155),
    [anon_sym_unsafe] = ACTIONS(5155),
    [anon_sym_static] = ACTIONS(5155),
    [anon_sym_LBRACK] = ACTIONS(5157),
    [anon_sym_LPAREN] = ACTIONS(5157),
    [anon_sym_event] = ACTIONS(5155),
    [anon_sym_namespace] = ACTIONS(5155),
    [anon_sym_class] = ACTIONS(5155),
    [anon_sym_ref] = ACTIONS(5155),
    [anon_sym_struct] = ACTIONS(5155),
    [anon_sym_enum] = ACTIONS(5155),
    [anon_sym_RBRACE] = ACTIONS(5157),
    [anon_sym_interface] = ACTIONS(5155),
    [anon_sym_delegate] = ACTIONS(5155),
    [anon_sym_record] = ACTIONS(5155),
    [anon_sym_abstract] = ACTIONS(5155),
    [anon_sym_async] = ACTIONS(5155),
    [anon_sym_const] = ACTIONS(5155),
    [anon_sym_file] = ACTIONS(5155),
    [anon_sym_fixed] = ACTIONS(5155),
    [anon_sym_internal] = ACTIONS(5155),
    [anon_sym_new] = ACTIONS(5155),
    [anon_sym_override] = ACTIONS(5155),
    [anon_sym_partial] = ACTIONS(5155),
    [anon_sym_private] = ACTIONS(5155),
    [anon_sym_protected] = ACTIONS(5155),
    [anon_sym_public] = ACTIONS(5155),
    [anon_sym_readonly] = ACTIONS(5155),
    [anon_sym_required] = ACTIONS(5155),
    [anon_sym_sealed] = ACTIONS(5155),
    [anon_sym_virtual] = ACTIONS(5155),
    [anon_sym_volatile] = ACTIONS(5155),
    [anon_sym_where] = ACTIONS(5155),
    [anon_sym_notnull] = ACTIONS(5155),
    [anon_sym_unmanaged] = ACTIONS(5155),
    [anon_sym_TILDE] = ACTIONS(5157),
    [anon_sym_implicit] = ACTIONS(5155),
    [anon_sym_explicit] = ACTIONS(5155),
    [anon_sym_scoped] = ACTIONS(5155),
    [anon_sym_var] = ACTIONS(5155),
    [sym_predefined_type] = ACTIONS(5155),
    [anon_sym_yield] = ACTIONS(5155),
    [anon_sym_when] = ACTIONS(5155),
    [anon_sym_from] = ACTIONS(5155),
    [anon_sym_into] = ACTIONS(5155),
    [anon_sym_join] = ACTIONS(5155),
    [anon_sym_on] = ACTIONS(5155),
    [anon_sym_equals] = ACTIONS(5155),
    [anon_sym_let] = ACTIONS(5155),
    [anon_sym_orderby] = ACTIONS(5155),
    [anon_sym_ascending] = ACTIONS(5155),
    [anon_sym_descending] = ACTIONS(5155),
    [anon_sym_group] = ACTIONS(5155),
    [anon_sym_by] = ACTIONS(5155),
    [anon_sym_select] = ACTIONS(5155),
    [aux_sym_preproc_if_token1] = ACTIONS(5157),
    [aux_sym_preproc_if_token3] = ACTIONS(5157),
    [aux_sym_preproc_else_token1] = ACTIONS(5157),
    [aux_sym_preproc_elif_token1] = ACTIONS(5157),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3510] = {
    [sym_preproc_region] = STATE(3510),
    [sym_preproc_endregion] = STATE(3510),
    [sym_preproc_line] = STATE(3510),
    [sym_preproc_pragma] = STATE(3510),
    [sym_preproc_nullable] = STATE(3510),
    [sym_preproc_error] = STATE(3510),
    [sym_preproc_define] = STATE(3510),
    [sym_preproc_undef] = STATE(3510),
    [sym__identifier_token] = ACTIONS(5159),
    [anon_sym_extern] = ACTIONS(5159),
    [anon_sym_alias] = ACTIONS(5159),
    [anon_sym_global] = ACTIONS(5159),
    [anon_sym_using] = ACTIONS(5159),
    [anon_sym_unsafe] = ACTIONS(5159),
    [anon_sym_static] = ACTIONS(5159),
    [anon_sym_LBRACK] = ACTIONS(5161),
    [anon_sym_LPAREN] = ACTIONS(5161),
    [anon_sym_event] = ACTIONS(5159),
    [anon_sym_namespace] = ACTIONS(5159),
    [anon_sym_class] = ACTIONS(5159),
    [anon_sym_ref] = ACTIONS(5159),
    [anon_sym_struct] = ACTIONS(5159),
    [anon_sym_enum] = ACTIONS(5159),
    [anon_sym_RBRACE] = ACTIONS(5161),
    [anon_sym_interface] = ACTIONS(5159),
    [anon_sym_delegate] = ACTIONS(5159),
    [anon_sym_record] = ACTIONS(5159),
    [anon_sym_abstract] = ACTIONS(5159),
    [anon_sym_async] = ACTIONS(5159),
    [anon_sym_const] = ACTIONS(5159),
    [anon_sym_file] = ACTIONS(5159),
    [anon_sym_fixed] = ACTIONS(5159),
    [anon_sym_internal] = ACTIONS(5159),
    [anon_sym_new] = ACTIONS(5159),
    [anon_sym_override] = ACTIONS(5159),
    [anon_sym_partial] = ACTIONS(5159),
    [anon_sym_private] = ACTIONS(5159),
    [anon_sym_protected] = ACTIONS(5159),
    [anon_sym_public] = ACTIONS(5159),
    [anon_sym_readonly] = ACTIONS(5159),
    [anon_sym_required] = ACTIONS(5159),
    [anon_sym_sealed] = ACTIONS(5159),
    [anon_sym_virtual] = ACTIONS(5159),
    [anon_sym_volatile] = ACTIONS(5159),
    [anon_sym_where] = ACTIONS(5159),
    [anon_sym_notnull] = ACTIONS(5159),
    [anon_sym_unmanaged] = ACTIONS(5159),
    [anon_sym_TILDE] = ACTIONS(5161),
    [anon_sym_implicit] = ACTIONS(5159),
    [anon_sym_explicit] = ACTIONS(5159),
    [anon_sym_scoped] = ACTIONS(5159),
    [anon_sym_var] = ACTIONS(5159),
    [sym_predefined_type] = ACTIONS(5159),
    [anon_sym_yield] = ACTIONS(5159),
    [anon_sym_when] = ACTIONS(5159),
    [anon_sym_from] = ACTIONS(5159),
    [anon_sym_into] = ACTIONS(5159),
    [anon_sym_join] = ACTIONS(5159),
    [anon_sym_on] = ACTIONS(5159),
    [anon_sym_equals] = ACTIONS(5159),
    [anon_sym_let] = ACTIONS(5159),
    [anon_sym_orderby] = ACTIONS(5159),
    [anon_sym_ascending] = ACTIONS(5159),
    [anon_sym_descending] = ACTIONS(5159),
    [anon_sym_group] = ACTIONS(5159),
    [anon_sym_by] = ACTIONS(5159),
    [anon_sym_select] = ACTIONS(5159),
    [aux_sym_preproc_if_token1] = ACTIONS(5161),
    [aux_sym_preproc_if_token3] = ACTIONS(5161),
    [aux_sym_preproc_else_token1] = ACTIONS(5161),
    [aux_sym_preproc_elif_token1] = ACTIONS(5161),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3511] = {
    [sym_preproc_region] = STATE(3511),
    [sym_preproc_endregion] = STATE(3511),
    [sym_preproc_line] = STATE(3511),
    [sym_preproc_pragma] = STATE(3511),
    [sym_preproc_nullable] = STATE(3511),
    [sym_preproc_error] = STATE(3511),
    [sym_preproc_define] = STATE(3511),
    [sym_preproc_undef] = STATE(3511),
    [sym__identifier_token] = ACTIONS(5163),
    [anon_sym_extern] = ACTIONS(5163),
    [anon_sym_alias] = ACTIONS(5163),
    [anon_sym_global] = ACTIONS(5163),
    [anon_sym_using] = ACTIONS(5163),
    [anon_sym_unsafe] = ACTIONS(5163),
    [anon_sym_static] = ACTIONS(5163),
    [anon_sym_LBRACK] = ACTIONS(5165),
    [anon_sym_LPAREN] = ACTIONS(5165),
    [anon_sym_event] = ACTIONS(5163),
    [anon_sym_namespace] = ACTIONS(5163),
    [anon_sym_class] = ACTIONS(5163),
    [anon_sym_ref] = ACTIONS(5163),
    [anon_sym_struct] = ACTIONS(5163),
    [anon_sym_enum] = ACTIONS(5163),
    [anon_sym_RBRACE] = ACTIONS(5165),
    [anon_sym_interface] = ACTIONS(5163),
    [anon_sym_delegate] = ACTIONS(5163),
    [anon_sym_record] = ACTIONS(5163),
    [anon_sym_abstract] = ACTIONS(5163),
    [anon_sym_async] = ACTIONS(5163),
    [anon_sym_const] = ACTIONS(5163),
    [anon_sym_file] = ACTIONS(5163),
    [anon_sym_fixed] = ACTIONS(5163),
    [anon_sym_internal] = ACTIONS(5163),
    [anon_sym_new] = ACTIONS(5163),
    [anon_sym_override] = ACTIONS(5163),
    [anon_sym_partial] = ACTIONS(5163),
    [anon_sym_private] = ACTIONS(5163),
    [anon_sym_protected] = ACTIONS(5163),
    [anon_sym_public] = ACTIONS(5163),
    [anon_sym_readonly] = ACTIONS(5163),
    [anon_sym_required] = ACTIONS(5163),
    [anon_sym_sealed] = ACTIONS(5163),
    [anon_sym_virtual] = ACTIONS(5163),
    [anon_sym_volatile] = ACTIONS(5163),
    [anon_sym_where] = ACTIONS(5163),
    [anon_sym_notnull] = ACTIONS(5163),
    [anon_sym_unmanaged] = ACTIONS(5163),
    [anon_sym_TILDE] = ACTIONS(5165),
    [anon_sym_implicit] = ACTIONS(5163),
    [anon_sym_explicit] = ACTIONS(5163),
    [anon_sym_scoped] = ACTIONS(5163),
    [anon_sym_var] = ACTIONS(5163),
    [sym_predefined_type] = ACTIONS(5163),
    [anon_sym_yield] = ACTIONS(5163),
    [anon_sym_when] = ACTIONS(5163),
    [anon_sym_from] = ACTIONS(5163),
    [anon_sym_into] = ACTIONS(5163),
    [anon_sym_join] = ACTIONS(5163),
    [anon_sym_on] = ACTIONS(5163),
    [anon_sym_equals] = ACTIONS(5163),
    [anon_sym_let] = ACTIONS(5163),
    [anon_sym_orderby] = ACTIONS(5163),
    [anon_sym_ascending] = ACTIONS(5163),
    [anon_sym_descending] = ACTIONS(5163),
    [anon_sym_group] = ACTIONS(5163),
    [anon_sym_by] = ACTIONS(5163),
    [anon_sym_select] = ACTIONS(5163),
    [aux_sym_preproc_if_token1] = ACTIONS(5165),
    [aux_sym_preproc_if_token3] = ACTIONS(5165),
    [aux_sym_preproc_else_token1] = ACTIONS(5165),
    [aux_sym_preproc_elif_token1] = ACTIONS(5165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3512] = {
    [sym_preproc_region] = STATE(3512),
    [sym_preproc_endregion] = STATE(3512),
    [sym_preproc_line] = STATE(3512),
    [sym_preproc_pragma] = STATE(3512),
    [sym_preproc_nullable] = STATE(3512),
    [sym_preproc_error] = STATE(3512),
    [sym_preproc_define] = STATE(3512),
    [sym_preproc_undef] = STATE(3512),
    [sym__identifier_token] = ACTIONS(5167),
    [anon_sym_extern] = ACTIONS(5167),
    [anon_sym_alias] = ACTIONS(5167),
    [anon_sym_global] = ACTIONS(5167),
    [anon_sym_using] = ACTIONS(5167),
    [anon_sym_unsafe] = ACTIONS(5167),
    [anon_sym_static] = ACTIONS(5167),
    [anon_sym_LBRACK] = ACTIONS(5169),
    [anon_sym_LPAREN] = ACTIONS(5169),
    [anon_sym_event] = ACTIONS(5167),
    [anon_sym_namespace] = ACTIONS(5167),
    [anon_sym_class] = ACTIONS(5167),
    [anon_sym_ref] = ACTIONS(5167),
    [anon_sym_struct] = ACTIONS(5167),
    [anon_sym_enum] = ACTIONS(5167),
    [anon_sym_RBRACE] = ACTIONS(5169),
    [anon_sym_interface] = ACTIONS(5167),
    [anon_sym_delegate] = ACTIONS(5167),
    [anon_sym_record] = ACTIONS(5167),
    [anon_sym_abstract] = ACTIONS(5167),
    [anon_sym_async] = ACTIONS(5167),
    [anon_sym_const] = ACTIONS(5167),
    [anon_sym_file] = ACTIONS(5167),
    [anon_sym_fixed] = ACTIONS(5167),
    [anon_sym_internal] = ACTIONS(5167),
    [anon_sym_new] = ACTIONS(5167),
    [anon_sym_override] = ACTIONS(5167),
    [anon_sym_partial] = ACTIONS(5167),
    [anon_sym_private] = ACTIONS(5167),
    [anon_sym_protected] = ACTIONS(5167),
    [anon_sym_public] = ACTIONS(5167),
    [anon_sym_readonly] = ACTIONS(5167),
    [anon_sym_required] = ACTIONS(5167),
    [anon_sym_sealed] = ACTIONS(5167),
    [anon_sym_virtual] = ACTIONS(5167),
    [anon_sym_volatile] = ACTIONS(5167),
    [anon_sym_where] = ACTIONS(5167),
    [anon_sym_notnull] = ACTIONS(5167),
    [anon_sym_unmanaged] = ACTIONS(5167),
    [anon_sym_TILDE] = ACTIONS(5169),
    [anon_sym_implicit] = ACTIONS(5167),
    [anon_sym_explicit] = ACTIONS(5167),
    [anon_sym_scoped] = ACTIONS(5167),
    [anon_sym_var] = ACTIONS(5167),
    [sym_predefined_type] = ACTIONS(5167),
    [anon_sym_yield] = ACTIONS(5167),
    [anon_sym_when] = ACTIONS(5167),
    [anon_sym_from] = ACTIONS(5167),
    [anon_sym_into] = ACTIONS(5167),
    [anon_sym_join] = ACTIONS(5167),
    [anon_sym_on] = ACTIONS(5167),
    [anon_sym_equals] = ACTIONS(5167),
    [anon_sym_let] = ACTIONS(5167),
    [anon_sym_orderby] = ACTIONS(5167),
    [anon_sym_ascending] = ACTIONS(5167),
    [anon_sym_descending] = ACTIONS(5167),
    [anon_sym_group] = ACTIONS(5167),
    [anon_sym_by] = ACTIONS(5167),
    [anon_sym_select] = ACTIONS(5167),
    [aux_sym_preproc_if_token1] = ACTIONS(5169),
    [aux_sym_preproc_if_token3] = ACTIONS(5169),
    [aux_sym_preproc_else_token1] = ACTIONS(5169),
    [aux_sym_preproc_elif_token1] = ACTIONS(5169),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3513] = {
    [sym_preproc_region] = STATE(3513),
    [sym_preproc_endregion] = STATE(3513),
    [sym_preproc_line] = STATE(3513),
    [sym_preproc_pragma] = STATE(3513),
    [sym_preproc_nullable] = STATE(3513),
    [sym_preproc_error] = STATE(3513),
    [sym_preproc_define] = STATE(3513),
    [sym_preproc_undef] = STATE(3513),
    [sym__identifier_token] = ACTIONS(5171),
    [anon_sym_extern] = ACTIONS(5171),
    [anon_sym_alias] = ACTIONS(5171),
    [anon_sym_global] = ACTIONS(5171),
    [anon_sym_using] = ACTIONS(5171),
    [anon_sym_unsafe] = ACTIONS(5171),
    [anon_sym_static] = ACTIONS(5171),
    [anon_sym_LBRACK] = ACTIONS(5173),
    [anon_sym_LPAREN] = ACTIONS(5173),
    [anon_sym_event] = ACTIONS(5171),
    [anon_sym_namespace] = ACTIONS(5171),
    [anon_sym_class] = ACTIONS(5171),
    [anon_sym_ref] = ACTIONS(5171),
    [anon_sym_struct] = ACTIONS(5171),
    [anon_sym_enum] = ACTIONS(5171),
    [anon_sym_RBRACE] = ACTIONS(5173),
    [anon_sym_interface] = ACTIONS(5171),
    [anon_sym_delegate] = ACTIONS(5171),
    [anon_sym_record] = ACTIONS(5171),
    [anon_sym_abstract] = ACTIONS(5171),
    [anon_sym_async] = ACTIONS(5171),
    [anon_sym_const] = ACTIONS(5171),
    [anon_sym_file] = ACTIONS(5171),
    [anon_sym_fixed] = ACTIONS(5171),
    [anon_sym_internal] = ACTIONS(5171),
    [anon_sym_new] = ACTIONS(5171),
    [anon_sym_override] = ACTIONS(5171),
    [anon_sym_partial] = ACTIONS(5171),
    [anon_sym_private] = ACTIONS(5171),
    [anon_sym_protected] = ACTIONS(5171),
    [anon_sym_public] = ACTIONS(5171),
    [anon_sym_readonly] = ACTIONS(5171),
    [anon_sym_required] = ACTIONS(5171),
    [anon_sym_sealed] = ACTIONS(5171),
    [anon_sym_virtual] = ACTIONS(5171),
    [anon_sym_volatile] = ACTIONS(5171),
    [anon_sym_where] = ACTIONS(5171),
    [anon_sym_notnull] = ACTIONS(5171),
    [anon_sym_unmanaged] = ACTIONS(5171),
    [anon_sym_TILDE] = ACTIONS(5173),
    [anon_sym_implicit] = ACTIONS(5171),
    [anon_sym_explicit] = ACTIONS(5171),
    [anon_sym_scoped] = ACTIONS(5171),
    [anon_sym_var] = ACTIONS(5171),
    [sym_predefined_type] = ACTIONS(5171),
    [anon_sym_yield] = ACTIONS(5171),
    [anon_sym_when] = ACTIONS(5171),
    [anon_sym_from] = ACTIONS(5171),
    [anon_sym_into] = ACTIONS(5171),
    [anon_sym_join] = ACTIONS(5171),
    [anon_sym_on] = ACTIONS(5171),
    [anon_sym_equals] = ACTIONS(5171),
    [anon_sym_let] = ACTIONS(5171),
    [anon_sym_orderby] = ACTIONS(5171),
    [anon_sym_ascending] = ACTIONS(5171),
    [anon_sym_descending] = ACTIONS(5171),
    [anon_sym_group] = ACTIONS(5171),
    [anon_sym_by] = ACTIONS(5171),
    [anon_sym_select] = ACTIONS(5171),
    [aux_sym_preproc_if_token1] = ACTIONS(5173),
    [aux_sym_preproc_if_token3] = ACTIONS(5173),
    [aux_sym_preproc_else_token1] = ACTIONS(5173),
    [aux_sym_preproc_elif_token1] = ACTIONS(5173),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3514] = {
    [sym_preproc_region] = STATE(3514),
    [sym_preproc_endregion] = STATE(3514),
    [sym_preproc_line] = STATE(3514),
    [sym_preproc_pragma] = STATE(3514),
    [sym_preproc_nullable] = STATE(3514),
    [sym_preproc_error] = STATE(3514),
    [sym_preproc_define] = STATE(3514),
    [sym_preproc_undef] = STATE(3514),
    [sym__identifier_token] = ACTIONS(5175),
    [anon_sym_extern] = ACTIONS(5175),
    [anon_sym_alias] = ACTIONS(5175),
    [anon_sym_global] = ACTIONS(5175),
    [anon_sym_using] = ACTIONS(5175),
    [anon_sym_unsafe] = ACTIONS(5175),
    [anon_sym_static] = ACTIONS(5175),
    [anon_sym_LBRACK] = ACTIONS(5177),
    [anon_sym_LPAREN] = ACTIONS(5177),
    [anon_sym_event] = ACTIONS(5175),
    [anon_sym_namespace] = ACTIONS(5175),
    [anon_sym_class] = ACTIONS(5175),
    [anon_sym_ref] = ACTIONS(5175),
    [anon_sym_struct] = ACTIONS(5175),
    [anon_sym_enum] = ACTIONS(5175),
    [anon_sym_RBRACE] = ACTIONS(5177),
    [anon_sym_interface] = ACTIONS(5175),
    [anon_sym_delegate] = ACTIONS(5175),
    [anon_sym_record] = ACTIONS(5175),
    [anon_sym_abstract] = ACTIONS(5175),
    [anon_sym_async] = ACTIONS(5175),
    [anon_sym_const] = ACTIONS(5175),
    [anon_sym_file] = ACTIONS(5175),
    [anon_sym_fixed] = ACTIONS(5175),
    [anon_sym_internal] = ACTIONS(5175),
    [anon_sym_new] = ACTIONS(5175),
    [anon_sym_override] = ACTIONS(5175),
    [anon_sym_partial] = ACTIONS(5175),
    [anon_sym_private] = ACTIONS(5175),
    [anon_sym_protected] = ACTIONS(5175),
    [anon_sym_public] = ACTIONS(5175),
    [anon_sym_readonly] = ACTIONS(5175),
    [anon_sym_required] = ACTIONS(5175),
    [anon_sym_sealed] = ACTIONS(5175),
    [anon_sym_virtual] = ACTIONS(5175),
    [anon_sym_volatile] = ACTIONS(5175),
    [anon_sym_where] = ACTIONS(5175),
    [anon_sym_notnull] = ACTIONS(5175),
    [anon_sym_unmanaged] = ACTIONS(5175),
    [anon_sym_TILDE] = ACTIONS(5177),
    [anon_sym_implicit] = ACTIONS(5175),
    [anon_sym_explicit] = ACTIONS(5175),
    [anon_sym_scoped] = ACTIONS(5175),
    [anon_sym_var] = ACTIONS(5175),
    [sym_predefined_type] = ACTIONS(5175),
    [anon_sym_yield] = ACTIONS(5175),
    [anon_sym_when] = ACTIONS(5175),
    [anon_sym_from] = ACTIONS(5175),
    [anon_sym_into] = ACTIONS(5175),
    [anon_sym_join] = ACTIONS(5175),
    [anon_sym_on] = ACTIONS(5175),
    [anon_sym_equals] = ACTIONS(5175),
    [anon_sym_let] = ACTIONS(5175),
    [anon_sym_orderby] = ACTIONS(5175),
    [anon_sym_ascending] = ACTIONS(5175),
    [anon_sym_descending] = ACTIONS(5175),
    [anon_sym_group] = ACTIONS(5175),
    [anon_sym_by] = ACTIONS(5175),
    [anon_sym_select] = ACTIONS(5175),
    [aux_sym_preproc_if_token1] = ACTIONS(5177),
    [aux_sym_preproc_if_token3] = ACTIONS(5177),
    [aux_sym_preproc_else_token1] = ACTIONS(5177),
    [aux_sym_preproc_elif_token1] = ACTIONS(5177),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3515] = {
    [sym_preproc_region] = STATE(3515),
    [sym_preproc_endregion] = STATE(3515),
    [sym_preproc_line] = STATE(3515),
    [sym_preproc_pragma] = STATE(3515),
    [sym_preproc_nullable] = STATE(3515),
    [sym_preproc_error] = STATE(3515),
    [sym_preproc_define] = STATE(3515),
    [sym_preproc_undef] = STATE(3515),
    [sym__identifier_token] = ACTIONS(5179),
    [anon_sym_extern] = ACTIONS(5179),
    [anon_sym_alias] = ACTIONS(5179),
    [anon_sym_global] = ACTIONS(5179),
    [anon_sym_using] = ACTIONS(5179),
    [anon_sym_unsafe] = ACTIONS(5179),
    [anon_sym_static] = ACTIONS(5179),
    [anon_sym_LBRACK] = ACTIONS(5181),
    [anon_sym_LPAREN] = ACTIONS(5181),
    [anon_sym_event] = ACTIONS(5179),
    [anon_sym_namespace] = ACTIONS(5179),
    [anon_sym_class] = ACTIONS(5179),
    [anon_sym_ref] = ACTIONS(5179),
    [anon_sym_struct] = ACTIONS(5179),
    [anon_sym_enum] = ACTIONS(5179),
    [anon_sym_RBRACE] = ACTIONS(5181),
    [anon_sym_interface] = ACTIONS(5179),
    [anon_sym_delegate] = ACTIONS(5179),
    [anon_sym_record] = ACTIONS(5179),
    [anon_sym_abstract] = ACTIONS(5179),
    [anon_sym_async] = ACTIONS(5179),
    [anon_sym_const] = ACTIONS(5179),
    [anon_sym_file] = ACTIONS(5179),
    [anon_sym_fixed] = ACTIONS(5179),
    [anon_sym_internal] = ACTIONS(5179),
    [anon_sym_new] = ACTIONS(5179),
    [anon_sym_override] = ACTIONS(5179),
    [anon_sym_partial] = ACTIONS(5179),
    [anon_sym_private] = ACTIONS(5179),
    [anon_sym_protected] = ACTIONS(5179),
    [anon_sym_public] = ACTIONS(5179),
    [anon_sym_readonly] = ACTIONS(5179),
    [anon_sym_required] = ACTIONS(5179),
    [anon_sym_sealed] = ACTIONS(5179),
    [anon_sym_virtual] = ACTIONS(5179),
    [anon_sym_volatile] = ACTIONS(5179),
    [anon_sym_where] = ACTIONS(5179),
    [anon_sym_notnull] = ACTIONS(5179),
    [anon_sym_unmanaged] = ACTIONS(5179),
    [anon_sym_TILDE] = ACTIONS(5181),
    [anon_sym_implicit] = ACTIONS(5179),
    [anon_sym_explicit] = ACTIONS(5179),
    [anon_sym_scoped] = ACTIONS(5179),
    [anon_sym_var] = ACTIONS(5179),
    [sym_predefined_type] = ACTIONS(5179),
    [anon_sym_yield] = ACTIONS(5179),
    [anon_sym_when] = ACTIONS(5179),
    [anon_sym_from] = ACTIONS(5179),
    [anon_sym_into] = ACTIONS(5179),
    [anon_sym_join] = ACTIONS(5179),
    [anon_sym_on] = ACTIONS(5179),
    [anon_sym_equals] = ACTIONS(5179),
    [anon_sym_let] = ACTIONS(5179),
    [anon_sym_orderby] = ACTIONS(5179),
    [anon_sym_ascending] = ACTIONS(5179),
    [anon_sym_descending] = ACTIONS(5179),
    [anon_sym_group] = ACTIONS(5179),
    [anon_sym_by] = ACTIONS(5179),
    [anon_sym_select] = ACTIONS(5179),
    [aux_sym_preproc_if_token1] = ACTIONS(5181),
    [aux_sym_preproc_if_token3] = ACTIONS(5181),
    [aux_sym_preproc_else_token1] = ACTIONS(5181),
    [aux_sym_preproc_elif_token1] = ACTIONS(5181),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3516] = {
    [sym_preproc_region] = STATE(3516),
    [sym_preproc_endregion] = STATE(3516),
    [sym_preproc_line] = STATE(3516),
    [sym_preproc_pragma] = STATE(3516),
    [sym_preproc_nullable] = STATE(3516),
    [sym_preproc_error] = STATE(3516),
    [sym_preproc_define] = STATE(3516),
    [sym_preproc_undef] = STATE(3516),
    [sym__identifier_token] = ACTIONS(5183),
    [anon_sym_extern] = ACTIONS(5183),
    [anon_sym_alias] = ACTIONS(5183),
    [anon_sym_global] = ACTIONS(5183),
    [anon_sym_using] = ACTIONS(5183),
    [anon_sym_unsafe] = ACTIONS(5183),
    [anon_sym_static] = ACTIONS(5183),
    [anon_sym_LBRACK] = ACTIONS(5185),
    [anon_sym_LPAREN] = ACTIONS(5185),
    [anon_sym_event] = ACTIONS(5183),
    [anon_sym_namespace] = ACTIONS(5183),
    [anon_sym_class] = ACTIONS(5183),
    [anon_sym_ref] = ACTIONS(5183),
    [anon_sym_struct] = ACTIONS(5183),
    [anon_sym_enum] = ACTIONS(5183),
    [anon_sym_RBRACE] = ACTIONS(5185),
    [anon_sym_interface] = ACTIONS(5183),
    [anon_sym_delegate] = ACTIONS(5183),
    [anon_sym_record] = ACTIONS(5183),
    [anon_sym_abstract] = ACTIONS(5183),
    [anon_sym_async] = ACTIONS(5183),
    [anon_sym_const] = ACTIONS(5183),
    [anon_sym_file] = ACTIONS(5183),
    [anon_sym_fixed] = ACTIONS(5183),
    [anon_sym_internal] = ACTIONS(5183),
    [anon_sym_new] = ACTIONS(5183),
    [anon_sym_override] = ACTIONS(5183),
    [anon_sym_partial] = ACTIONS(5183),
    [anon_sym_private] = ACTIONS(5183),
    [anon_sym_protected] = ACTIONS(5183),
    [anon_sym_public] = ACTIONS(5183),
    [anon_sym_readonly] = ACTIONS(5183),
    [anon_sym_required] = ACTIONS(5183),
    [anon_sym_sealed] = ACTIONS(5183),
    [anon_sym_virtual] = ACTIONS(5183),
    [anon_sym_volatile] = ACTIONS(5183),
    [anon_sym_where] = ACTIONS(5183),
    [anon_sym_notnull] = ACTIONS(5183),
    [anon_sym_unmanaged] = ACTIONS(5183),
    [anon_sym_TILDE] = ACTIONS(5185),
    [anon_sym_implicit] = ACTIONS(5183),
    [anon_sym_explicit] = ACTIONS(5183),
    [anon_sym_scoped] = ACTIONS(5183),
    [anon_sym_var] = ACTIONS(5183),
    [sym_predefined_type] = ACTIONS(5183),
    [anon_sym_yield] = ACTIONS(5183),
    [anon_sym_when] = ACTIONS(5183),
    [anon_sym_from] = ACTIONS(5183),
    [anon_sym_into] = ACTIONS(5183),
    [anon_sym_join] = ACTIONS(5183),
    [anon_sym_on] = ACTIONS(5183),
    [anon_sym_equals] = ACTIONS(5183),
    [anon_sym_let] = ACTIONS(5183),
    [anon_sym_orderby] = ACTIONS(5183),
    [anon_sym_ascending] = ACTIONS(5183),
    [anon_sym_descending] = ACTIONS(5183),
    [anon_sym_group] = ACTIONS(5183),
    [anon_sym_by] = ACTIONS(5183),
    [anon_sym_select] = ACTIONS(5183),
    [aux_sym_preproc_if_token1] = ACTIONS(5185),
    [aux_sym_preproc_if_token3] = ACTIONS(5185),
    [aux_sym_preproc_else_token1] = ACTIONS(5185),
    [aux_sym_preproc_elif_token1] = ACTIONS(5185),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3517] = {
    [sym_preproc_region] = STATE(3517),
    [sym_preproc_endregion] = STATE(3517),
    [sym_preproc_line] = STATE(3517),
    [sym_preproc_pragma] = STATE(3517),
    [sym_preproc_nullable] = STATE(3517),
    [sym_preproc_error] = STATE(3517),
    [sym_preproc_define] = STATE(3517),
    [sym_preproc_undef] = STATE(3517),
    [sym__identifier_token] = ACTIONS(5187),
    [anon_sym_extern] = ACTIONS(5187),
    [anon_sym_alias] = ACTIONS(5187),
    [anon_sym_global] = ACTIONS(5187),
    [anon_sym_using] = ACTIONS(5187),
    [anon_sym_unsafe] = ACTIONS(5187),
    [anon_sym_static] = ACTIONS(5187),
    [anon_sym_LBRACK] = ACTIONS(5189),
    [anon_sym_LPAREN] = ACTIONS(5189),
    [anon_sym_event] = ACTIONS(5187),
    [anon_sym_namespace] = ACTIONS(5187),
    [anon_sym_class] = ACTIONS(5187),
    [anon_sym_ref] = ACTIONS(5187),
    [anon_sym_struct] = ACTIONS(5187),
    [anon_sym_enum] = ACTIONS(5187),
    [anon_sym_RBRACE] = ACTIONS(5189),
    [anon_sym_interface] = ACTIONS(5187),
    [anon_sym_delegate] = ACTIONS(5187),
    [anon_sym_record] = ACTIONS(5187),
    [anon_sym_abstract] = ACTIONS(5187),
    [anon_sym_async] = ACTIONS(5187),
    [anon_sym_const] = ACTIONS(5187),
    [anon_sym_file] = ACTIONS(5187),
    [anon_sym_fixed] = ACTIONS(5187),
    [anon_sym_internal] = ACTIONS(5187),
    [anon_sym_new] = ACTIONS(5187),
    [anon_sym_override] = ACTIONS(5187),
    [anon_sym_partial] = ACTIONS(5187),
    [anon_sym_private] = ACTIONS(5187),
    [anon_sym_protected] = ACTIONS(5187),
    [anon_sym_public] = ACTIONS(5187),
    [anon_sym_readonly] = ACTIONS(5187),
    [anon_sym_required] = ACTIONS(5187),
    [anon_sym_sealed] = ACTIONS(5187),
    [anon_sym_virtual] = ACTIONS(5187),
    [anon_sym_volatile] = ACTIONS(5187),
    [anon_sym_where] = ACTIONS(5187),
    [anon_sym_notnull] = ACTIONS(5187),
    [anon_sym_unmanaged] = ACTIONS(5187),
    [anon_sym_TILDE] = ACTIONS(5189),
    [anon_sym_implicit] = ACTIONS(5187),
    [anon_sym_explicit] = ACTIONS(5187),
    [anon_sym_scoped] = ACTIONS(5187),
    [anon_sym_var] = ACTIONS(5187),
    [sym_predefined_type] = ACTIONS(5187),
    [anon_sym_yield] = ACTIONS(5187),
    [anon_sym_when] = ACTIONS(5187),
    [anon_sym_from] = ACTIONS(5187),
    [anon_sym_into] = ACTIONS(5187),
    [anon_sym_join] = ACTIONS(5187),
    [anon_sym_on] = ACTIONS(5187),
    [anon_sym_equals] = ACTIONS(5187),
    [anon_sym_let] = ACTIONS(5187),
    [anon_sym_orderby] = ACTIONS(5187),
    [anon_sym_ascending] = ACTIONS(5187),
    [anon_sym_descending] = ACTIONS(5187),
    [anon_sym_group] = ACTIONS(5187),
    [anon_sym_by] = ACTIONS(5187),
    [anon_sym_select] = ACTIONS(5187),
    [aux_sym_preproc_if_token1] = ACTIONS(5189),
    [aux_sym_preproc_if_token3] = ACTIONS(5189),
    [aux_sym_preproc_else_token1] = ACTIONS(5189),
    [aux_sym_preproc_elif_token1] = ACTIONS(5189),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3518] = {
    [sym_preproc_region] = STATE(3518),
    [sym_preproc_endregion] = STATE(3518),
    [sym_preproc_line] = STATE(3518),
    [sym_preproc_pragma] = STATE(3518),
    [sym_preproc_nullable] = STATE(3518),
    [sym_preproc_error] = STATE(3518),
    [sym_preproc_define] = STATE(3518),
    [sym_preproc_undef] = STATE(3518),
    [sym__identifier_token] = ACTIONS(5191),
    [anon_sym_extern] = ACTIONS(5191),
    [anon_sym_alias] = ACTIONS(5191),
    [anon_sym_global] = ACTIONS(5191),
    [anon_sym_using] = ACTIONS(5191),
    [anon_sym_unsafe] = ACTIONS(5191),
    [anon_sym_static] = ACTIONS(5191),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [anon_sym_LPAREN] = ACTIONS(5193),
    [anon_sym_event] = ACTIONS(5191),
    [anon_sym_namespace] = ACTIONS(5191),
    [anon_sym_class] = ACTIONS(5191),
    [anon_sym_ref] = ACTIONS(5191),
    [anon_sym_struct] = ACTIONS(5191),
    [anon_sym_enum] = ACTIONS(5191),
    [anon_sym_RBRACE] = ACTIONS(5193),
    [anon_sym_interface] = ACTIONS(5191),
    [anon_sym_delegate] = ACTIONS(5191),
    [anon_sym_record] = ACTIONS(5191),
    [anon_sym_abstract] = ACTIONS(5191),
    [anon_sym_async] = ACTIONS(5191),
    [anon_sym_const] = ACTIONS(5191),
    [anon_sym_file] = ACTIONS(5191),
    [anon_sym_fixed] = ACTIONS(5191),
    [anon_sym_internal] = ACTIONS(5191),
    [anon_sym_new] = ACTIONS(5191),
    [anon_sym_override] = ACTIONS(5191),
    [anon_sym_partial] = ACTIONS(5191),
    [anon_sym_private] = ACTIONS(5191),
    [anon_sym_protected] = ACTIONS(5191),
    [anon_sym_public] = ACTIONS(5191),
    [anon_sym_readonly] = ACTIONS(5191),
    [anon_sym_required] = ACTIONS(5191),
    [anon_sym_sealed] = ACTIONS(5191),
    [anon_sym_virtual] = ACTIONS(5191),
    [anon_sym_volatile] = ACTIONS(5191),
    [anon_sym_where] = ACTIONS(5191),
    [anon_sym_notnull] = ACTIONS(5191),
    [anon_sym_unmanaged] = ACTIONS(5191),
    [anon_sym_TILDE] = ACTIONS(5193),
    [anon_sym_implicit] = ACTIONS(5191),
    [anon_sym_explicit] = ACTIONS(5191),
    [anon_sym_scoped] = ACTIONS(5191),
    [anon_sym_var] = ACTIONS(5191),
    [sym_predefined_type] = ACTIONS(5191),
    [anon_sym_yield] = ACTIONS(5191),
    [anon_sym_when] = ACTIONS(5191),
    [anon_sym_from] = ACTIONS(5191),
    [anon_sym_into] = ACTIONS(5191),
    [anon_sym_join] = ACTIONS(5191),
    [anon_sym_on] = ACTIONS(5191),
    [anon_sym_equals] = ACTIONS(5191),
    [anon_sym_let] = ACTIONS(5191),
    [anon_sym_orderby] = ACTIONS(5191),
    [anon_sym_ascending] = ACTIONS(5191),
    [anon_sym_descending] = ACTIONS(5191),
    [anon_sym_group] = ACTIONS(5191),
    [anon_sym_by] = ACTIONS(5191),
    [anon_sym_select] = ACTIONS(5191),
    [aux_sym_preproc_if_token1] = ACTIONS(5193),
    [aux_sym_preproc_if_token3] = ACTIONS(5193),
    [aux_sym_preproc_else_token1] = ACTIONS(5193),
    [aux_sym_preproc_elif_token1] = ACTIONS(5193),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3519] = {
    [sym_preproc_region] = STATE(3519),
    [sym_preproc_endregion] = STATE(3519),
    [sym_preproc_line] = STATE(3519),
    [sym_preproc_pragma] = STATE(3519),
    [sym_preproc_nullable] = STATE(3519),
    [sym_preproc_error] = STATE(3519),
    [sym_preproc_define] = STATE(3519),
    [sym_preproc_undef] = STATE(3519),
    [sym__identifier_token] = ACTIONS(5195),
    [anon_sym_extern] = ACTIONS(5195),
    [anon_sym_alias] = ACTIONS(5195),
    [anon_sym_global] = ACTIONS(5195),
    [anon_sym_using] = ACTIONS(5195),
    [anon_sym_unsafe] = ACTIONS(5195),
    [anon_sym_static] = ACTIONS(5195),
    [anon_sym_LBRACK] = ACTIONS(5197),
    [anon_sym_LPAREN] = ACTIONS(5197),
    [anon_sym_event] = ACTIONS(5195),
    [anon_sym_namespace] = ACTIONS(5195),
    [anon_sym_class] = ACTIONS(5195),
    [anon_sym_ref] = ACTIONS(5195),
    [anon_sym_struct] = ACTIONS(5195),
    [anon_sym_enum] = ACTIONS(5195),
    [anon_sym_RBRACE] = ACTIONS(5197),
    [anon_sym_interface] = ACTIONS(5195),
    [anon_sym_delegate] = ACTIONS(5195),
    [anon_sym_record] = ACTIONS(5195),
    [anon_sym_abstract] = ACTIONS(5195),
    [anon_sym_async] = ACTIONS(5195),
    [anon_sym_const] = ACTIONS(5195),
    [anon_sym_file] = ACTIONS(5195),
    [anon_sym_fixed] = ACTIONS(5195),
    [anon_sym_internal] = ACTIONS(5195),
    [anon_sym_new] = ACTIONS(5195),
    [anon_sym_override] = ACTIONS(5195),
    [anon_sym_partial] = ACTIONS(5195),
    [anon_sym_private] = ACTIONS(5195),
    [anon_sym_protected] = ACTIONS(5195),
    [anon_sym_public] = ACTIONS(5195),
    [anon_sym_readonly] = ACTIONS(5195),
    [anon_sym_required] = ACTIONS(5195),
    [anon_sym_sealed] = ACTIONS(5195),
    [anon_sym_virtual] = ACTIONS(5195),
    [anon_sym_volatile] = ACTIONS(5195),
    [anon_sym_where] = ACTIONS(5195),
    [anon_sym_notnull] = ACTIONS(5195),
    [anon_sym_unmanaged] = ACTIONS(5195),
    [anon_sym_TILDE] = ACTIONS(5197),
    [anon_sym_implicit] = ACTIONS(5195),
    [anon_sym_explicit] = ACTIONS(5195),
    [anon_sym_scoped] = ACTIONS(5195),
    [anon_sym_var] = ACTIONS(5195),
    [sym_predefined_type] = ACTIONS(5195),
    [anon_sym_yield] = ACTIONS(5195),
    [anon_sym_when] = ACTIONS(5195),
    [anon_sym_from] = ACTIONS(5195),
    [anon_sym_into] = ACTIONS(5195),
    [anon_sym_join] = ACTIONS(5195),
    [anon_sym_on] = ACTIONS(5195),
    [anon_sym_equals] = ACTIONS(5195),
    [anon_sym_let] = ACTIONS(5195),
    [anon_sym_orderby] = ACTIONS(5195),
    [anon_sym_ascending] = ACTIONS(5195),
    [anon_sym_descending] = ACTIONS(5195),
    [anon_sym_group] = ACTIONS(5195),
    [anon_sym_by] = ACTIONS(5195),
    [anon_sym_select] = ACTIONS(5195),
    [aux_sym_preproc_if_token1] = ACTIONS(5197),
    [aux_sym_preproc_if_token3] = ACTIONS(5197),
    [aux_sym_preproc_else_token1] = ACTIONS(5197),
    [aux_sym_preproc_elif_token1] = ACTIONS(5197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3520] = {
    [sym_preproc_region] = STATE(3520),
    [sym_preproc_endregion] = STATE(3520),
    [sym_preproc_line] = STATE(3520),
    [sym_preproc_pragma] = STATE(3520),
    [sym_preproc_nullable] = STATE(3520),
    [sym_preproc_error] = STATE(3520),
    [sym_preproc_define] = STATE(3520),
    [sym_preproc_undef] = STATE(3520),
    [sym__identifier_token] = ACTIONS(5199),
    [anon_sym_extern] = ACTIONS(5199),
    [anon_sym_alias] = ACTIONS(5199),
    [anon_sym_global] = ACTIONS(5199),
    [anon_sym_using] = ACTIONS(5199),
    [anon_sym_unsafe] = ACTIONS(5199),
    [anon_sym_static] = ACTIONS(5199),
    [anon_sym_LBRACK] = ACTIONS(5201),
    [anon_sym_LPAREN] = ACTIONS(5201),
    [anon_sym_event] = ACTIONS(5199),
    [anon_sym_namespace] = ACTIONS(5199),
    [anon_sym_class] = ACTIONS(5199),
    [anon_sym_ref] = ACTIONS(5199),
    [anon_sym_struct] = ACTIONS(5199),
    [anon_sym_enum] = ACTIONS(5199),
    [anon_sym_RBRACE] = ACTIONS(5201),
    [anon_sym_interface] = ACTIONS(5199),
    [anon_sym_delegate] = ACTIONS(5199),
    [anon_sym_record] = ACTIONS(5199),
    [anon_sym_abstract] = ACTIONS(5199),
    [anon_sym_async] = ACTIONS(5199),
    [anon_sym_const] = ACTIONS(5199),
    [anon_sym_file] = ACTIONS(5199),
    [anon_sym_fixed] = ACTIONS(5199),
    [anon_sym_internal] = ACTIONS(5199),
    [anon_sym_new] = ACTIONS(5199),
    [anon_sym_override] = ACTIONS(5199),
    [anon_sym_partial] = ACTIONS(5199),
    [anon_sym_private] = ACTIONS(5199),
    [anon_sym_protected] = ACTIONS(5199),
    [anon_sym_public] = ACTIONS(5199),
    [anon_sym_readonly] = ACTIONS(5199),
    [anon_sym_required] = ACTIONS(5199),
    [anon_sym_sealed] = ACTIONS(5199),
    [anon_sym_virtual] = ACTIONS(5199),
    [anon_sym_volatile] = ACTIONS(5199),
    [anon_sym_where] = ACTIONS(5199),
    [anon_sym_notnull] = ACTIONS(5199),
    [anon_sym_unmanaged] = ACTIONS(5199),
    [anon_sym_TILDE] = ACTIONS(5201),
    [anon_sym_implicit] = ACTIONS(5199),
    [anon_sym_explicit] = ACTIONS(5199),
    [anon_sym_scoped] = ACTIONS(5199),
    [anon_sym_var] = ACTIONS(5199),
    [sym_predefined_type] = ACTIONS(5199),
    [anon_sym_yield] = ACTIONS(5199),
    [anon_sym_when] = ACTIONS(5199),
    [anon_sym_from] = ACTIONS(5199),
    [anon_sym_into] = ACTIONS(5199),
    [anon_sym_join] = ACTIONS(5199),
    [anon_sym_on] = ACTIONS(5199),
    [anon_sym_equals] = ACTIONS(5199),
    [anon_sym_let] = ACTIONS(5199),
    [anon_sym_orderby] = ACTIONS(5199),
    [anon_sym_ascending] = ACTIONS(5199),
    [anon_sym_descending] = ACTIONS(5199),
    [anon_sym_group] = ACTIONS(5199),
    [anon_sym_by] = ACTIONS(5199),
    [anon_sym_select] = ACTIONS(5199),
    [aux_sym_preproc_if_token1] = ACTIONS(5201),
    [aux_sym_preproc_if_token3] = ACTIONS(5201),
    [aux_sym_preproc_else_token1] = ACTIONS(5201),
    [aux_sym_preproc_elif_token1] = ACTIONS(5201),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3521] = {
    [sym_preproc_region] = STATE(3521),
    [sym_preproc_endregion] = STATE(3521),
    [sym_preproc_line] = STATE(3521),
    [sym_preproc_pragma] = STATE(3521),
    [sym_preproc_nullable] = STATE(3521),
    [sym_preproc_error] = STATE(3521),
    [sym_preproc_define] = STATE(3521),
    [sym_preproc_undef] = STATE(3521),
    [sym__identifier_token] = ACTIONS(5203),
    [anon_sym_extern] = ACTIONS(5203),
    [anon_sym_alias] = ACTIONS(5203),
    [anon_sym_global] = ACTIONS(5203),
    [anon_sym_using] = ACTIONS(5203),
    [anon_sym_unsafe] = ACTIONS(5203),
    [anon_sym_static] = ACTIONS(5203),
    [anon_sym_LBRACK] = ACTIONS(5205),
    [anon_sym_LPAREN] = ACTIONS(5205),
    [anon_sym_event] = ACTIONS(5203),
    [anon_sym_namespace] = ACTIONS(5203),
    [anon_sym_class] = ACTIONS(5203),
    [anon_sym_ref] = ACTIONS(5203),
    [anon_sym_struct] = ACTIONS(5203),
    [anon_sym_enum] = ACTIONS(5203),
    [anon_sym_RBRACE] = ACTIONS(5205),
    [anon_sym_interface] = ACTIONS(5203),
    [anon_sym_delegate] = ACTIONS(5203),
    [anon_sym_record] = ACTIONS(5203),
    [anon_sym_abstract] = ACTIONS(5203),
    [anon_sym_async] = ACTIONS(5203),
    [anon_sym_const] = ACTIONS(5203),
    [anon_sym_file] = ACTIONS(5203),
    [anon_sym_fixed] = ACTIONS(5203),
    [anon_sym_internal] = ACTIONS(5203),
    [anon_sym_new] = ACTIONS(5203),
    [anon_sym_override] = ACTIONS(5203),
    [anon_sym_partial] = ACTIONS(5203),
    [anon_sym_private] = ACTIONS(5203),
    [anon_sym_protected] = ACTIONS(5203),
    [anon_sym_public] = ACTIONS(5203),
    [anon_sym_readonly] = ACTIONS(5203),
    [anon_sym_required] = ACTIONS(5203),
    [anon_sym_sealed] = ACTIONS(5203),
    [anon_sym_virtual] = ACTIONS(5203),
    [anon_sym_volatile] = ACTIONS(5203),
    [anon_sym_where] = ACTIONS(5203),
    [anon_sym_notnull] = ACTIONS(5203),
    [anon_sym_unmanaged] = ACTIONS(5203),
    [anon_sym_TILDE] = ACTIONS(5205),
    [anon_sym_implicit] = ACTIONS(5203),
    [anon_sym_explicit] = ACTIONS(5203),
    [anon_sym_scoped] = ACTIONS(5203),
    [anon_sym_var] = ACTIONS(5203),
    [sym_predefined_type] = ACTIONS(5203),
    [anon_sym_yield] = ACTIONS(5203),
    [anon_sym_when] = ACTIONS(5203),
    [anon_sym_from] = ACTIONS(5203),
    [anon_sym_into] = ACTIONS(5203),
    [anon_sym_join] = ACTIONS(5203),
    [anon_sym_on] = ACTIONS(5203),
    [anon_sym_equals] = ACTIONS(5203),
    [anon_sym_let] = ACTIONS(5203),
    [anon_sym_orderby] = ACTIONS(5203),
    [anon_sym_ascending] = ACTIONS(5203),
    [anon_sym_descending] = ACTIONS(5203),
    [anon_sym_group] = ACTIONS(5203),
    [anon_sym_by] = ACTIONS(5203),
    [anon_sym_select] = ACTIONS(5203),
    [aux_sym_preproc_if_token1] = ACTIONS(5205),
    [aux_sym_preproc_if_token3] = ACTIONS(5205),
    [aux_sym_preproc_else_token1] = ACTIONS(5205),
    [aux_sym_preproc_elif_token1] = ACTIONS(5205),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3522] = {
    [sym_preproc_region] = STATE(3522),
    [sym_preproc_endregion] = STATE(3522),
    [sym_preproc_line] = STATE(3522),
    [sym_preproc_pragma] = STATE(3522),
    [sym_preproc_nullable] = STATE(3522),
    [sym_preproc_error] = STATE(3522),
    [sym_preproc_define] = STATE(3522),
    [sym_preproc_undef] = STATE(3522),
    [sym__identifier_token] = ACTIONS(5207),
    [anon_sym_extern] = ACTIONS(5207),
    [anon_sym_alias] = ACTIONS(5207),
    [anon_sym_global] = ACTIONS(5207),
    [anon_sym_using] = ACTIONS(5207),
    [anon_sym_unsafe] = ACTIONS(5207),
    [anon_sym_static] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5209),
    [anon_sym_LPAREN] = ACTIONS(5209),
    [anon_sym_event] = ACTIONS(5207),
    [anon_sym_namespace] = ACTIONS(5207),
    [anon_sym_class] = ACTIONS(5207),
    [anon_sym_ref] = ACTIONS(5207),
    [anon_sym_struct] = ACTIONS(5207),
    [anon_sym_enum] = ACTIONS(5207),
    [anon_sym_RBRACE] = ACTIONS(5209),
    [anon_sym_interface] = ACTIONS(5207),
    [anon_sym_delegate] = ACTIONS(5207),
    [anon_sym_record] = ACTIONS(5207),
    [anon_sym_abstract] = ACTIONS(5207),
    [anon_sym_async] = ACTIONS(5207),
    [anon_sym_const] = ACTIONS(5207),
    [anon_sym_file] = ACTIONS(5207),
    [anon_sym_fixed] = ACTIONS(5207),
    [anon_sym_internal] = ACTIONS(5207),
    [anon_sym_new] = ACTIONS(5207),
    [anon_sym_override] = ACTIONS(5207),
    [anon_sym_partial] = ACTIONS(5207),
    [anon_sym_private] = ACTIONS(5207),
    [anon_sym_protected] = ACTIONS(5207),
    [anon_sym_public] = ACTIONS(5207),
    [anon_sym_readonly] = ACTIONS(5207),
    [anon_sym_required] = ACTIONS(5207),
    [anon_sym_sealed] = ACTIONS(5207),
    [anon_sym_virtual] = ACTIONS(5207),
    [anon_sym_volatile] = ACTIONS(5207),
    [anon_sym_where] = ACTIONS(5207),
    [anon_sym_notnull] = ACTIONS(5207),
    [anon_sym_unmanaged] = ACTIONS(5207),
    [anon_sym_TILDE] = ACTIONS(5209),
    [anon_sym_implicit] = ACTIONS(5207),
    [anon_sym_explicit] = ACTIONS(5207),
    [anon_sym_scoped] = ACTIONS(5207),
    [anon_sym_var] = ACTIONS(5207),
    [sym_predefined_type] = ACTIONS(5207),
    [anon_sym_yield] = ACTIONS(5207),
    [anon_sym_when] = ACTIONS(5207),
    [anon_sym_from] = ACTIONS(5207),
    [anon_sym_into] = ACTIONS(5207),
    [anon_sym_join] = ACTIONS(5207),
    [anon_sym_on] = ACTIONS(5207),
    [anon_sym_equals] = ACTIONS(5207),
    [anon_sym_let] = ACTIONS(5207),
    [anon_sym_orderby] = ACTIONS(5207),
    [anon_sym_ascending] = ACTIONS(5207),
    [anon_sym_descending] = ACTIONS(5207),
    [anon_sym_group] = ACTIONS(5207),
    [anon_sym_by] = ACTIONS(5207),
    [anon_sym_select] = ACTIONS(5207),
    [aux_sym_preproc_if_token1] = ACTIONS(5209),
    [aux_sym_preproc_if_token3] = ACTIONS(5209),
    [aux_sym_preproc_else_token1] = ACTIONS(5209),
    [aux_sym_preproc_elif_token1] = ACTIONS(5209),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3523] = {
    [sym__variable_designation] = STATE(5020),
    [sym_parenthesized_variable_designation] = STATE(5026),
    [sym_identifier] = STATE(5005),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(3523),
    [sym_preproc_endregion] = STATE(3523),
    [sym_preproc_line] = STATE(3523),
    [sym_preproc_pragma] = STATE(3523),
    [sym_preproc_nullable] = STATE(3523),
    [sym_preproc_error] = STATE(3523),
    [sym_preproc_define] = STATE(3523),
    [sym_preproc_undef] = STATE(3523),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4393),
    [anon_sym_LPAREN] = ACTIONS(4393),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_where] = ACTIONS(4395),
    [anon_sym_QMARK] = ACTIONS(4395),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_BANG] = ACTIONS(4395),
    [anon_sym_PLUS_PLUS] = ACTIONS(4393),
    [anon_sym_DASH_DASH] = ACTIONS(4393),
    [anon_sym_PLUS] = ACTIONS(4395),
    [anon_sym_DASH] = ACTIONS(4395),
    [anon_sym_STAR] = ACTIONS(4393),
    [anon_sym_SLASH] = ACTIONS(4395),
    [anon_sym_PERCENT] = ACTIONS(4393),
    [anon_sym_CARET] = ACTIONS(4393),
    [anon_sym_PIPE] = ACTIONS(4395),
    [anon_sym_AMP] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4393),
    [anon_sym_GT_GT] = ACTIONS(4395),
    [anon_sym_GT_GT_GT] = ACTIONS(4393),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT_EQ] = ACTIONS(4393),
    [anon_sym_LT_EQ] = ACTIONS(4393),
    [anon_sym_DOT] = ACTIONS(4395),
    [anon_sym_scoped] = ACTIONS(4337),
    [anon_sym_var] = ACTIONS(4337),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_switch] = ACTIONS(4395),
    [anon_sym_when] = ACTIONS(4337),
    [sym_discard] = ACTIONS(4717),
    [anon_sym_DOT_DOT] = ACTIONS(4393),
    [anon_sym_and] = ACTIONS(4395),
    [anon_sym_or] = ACTIONS(4395),
    [anon_sym_AMP_AMP] = ACTIONS(4393),
    [anon_sym_PIPE_PIPE] = ACTIONS(4393),
    [anon_sym_QMARK_QMARK] = ACTIONS(4393),
    [anon_sym_from] = ACTIONS(4395),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4395),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4395),
    [anon_sym_orderby] = ACTIONS(4395),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4395),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4395),
    [anon_sym_as] = ACTIONS(4395),
    [anon_sym_is] = ACTIONS(4395),
    [anon_sym_DASH_GT] = ACTIONS(4393),
    [anon_sym_with] = ACTIONS(4395),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3524] = {
    [sym_preproc_region] = STATE(3524),
    [sym_preproc_endregion] = STATE(3524),
    [sym_preproc_line] = STATE(3524),
    [sym_preproc_pragma] = STATE(3524),
    [sym_preproc_nullable] = STATE(3524),
    [sym_preproc_error] = STATE(3524),
    [sym_preproc_define] = STATE(3524),
    [sym_preproc_undef] = STATE(3524),
    [sym__identifier_token] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5211),
    [anon_sym_alias] = ACTIONS(5211),
    [anon_sym_global] = ACTIONS(5211),
    [anon_sym_using] = ACTIONS(5211),
    [anon_sym_unsafe] = ACTIONS(5211),
    [anon_sym_static] = ACTIONS(5211),
    [anon_sym_LBRACK] = ACTIONS(5213),
    [anon_sym_LPAREN] = ACTIONS(5213),
    [anon_sym_event] = ACTIONS(5211),
    [anon_sym_namespace] = ACTIONS(5211),
    [anon_sym_class] = ACTIONS(5211),
    [anon_sym_ref] = ACTIONS(5211),
    [anon_sym_struct] = ACTIONS(5211),
    [anon_sym_enum] = ACTIONS(5211),
    [anon_sym_RBRACE] = ACTIONS(5213),
    [anon_sym_interface] = ACTIONS(5211),
    [anon_sym_delegate] = ACTIONS(5211),
    [anon_sym_record] = ACTIONS(5211),
    [anon_sym_abstract] = ACTIONS(5211),
    [anon_sym_async] = ACTIONS(5211),
    [anon_sym_const] = ACTIONS(5211),
    [anon_sym_file] = ACTIONS(5211),
    [anon_sym_fixed] = ACTIONS(5211),
    [anon_sym_internal] = ACTIONS(5211),
    [anon_sym_new] = ACTIONS(5211),
    [anon_sym_override] = ACTIONS(5211),
    [anon_sym_partial] = ACTIONS(5211),
    [anon_sym_private] = ACTIONS(5211),
    [anon_sym_protected] = ACTIONS(5211),
    [anon_sym_public] = ACTIONS(5211),
    [anon_sym_readonly] = ACTIONS(5211),
    [anon_sym_required] = ACTIONS(5211),
    [anon_sym_sealed] = ACTIONS(5211),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_volatile] = ACTIONS(5211),
    [anon_sym_where] = ACTIONS(5211),
    [anon_sym_notnull] = ACTIONS(5211),
    [anon_sym_unmanaged] = ACTIONS(5211),
    [anon_sym_TILDE] = ACTIONS(5213),
    [anon_sym_implicit] = ACTIONS(5211),
    [anon_sym_explicit] = ACTIONS(5211),
    [anon_sym_scoped] = ACTIONS(5211),
    [anon_sym_var] = ACTIONS(5211),
    [sym_predefined_type] = ACTIONS(5211),
    [anon_sym_yield] = ACTIONS(5211),
    [anon_sym_when] = ACTIONS(5211),
    [anon_sym_from] = ACTIONS(5211),
    [anon_sym_into] = ACTIONS(5211),
    [anon_sym_join] = ACTIONS(5211),
    [anon_sym_on] = ACTIONS(5211),
    [anon_sym_equals] = ACTIONS(5211),
    [anon_sym_let] = ACTIONS(5211),
    [anon_sym_orderby] = ACTIONS(5211),
    [anon_sym_ascending] = ACTIONS(5211),
    [anon_sym_descending] = ACTIONS(5211),
    [anon_sym_group] = ACTIONS(5211),
    [anon_sym_by] = ACTIONS(5211),
    [anon_sym_select] = ACTIONS(5211),
    [aux_sym_preproc_if_token1] = ACTIONS(5213),
    [aux_sym_preproc_if_token3] = ACTIONS(5213),
    [aux_sym_preproc_else_token1] = ACTIONS(5213),
    [aux_sym_preproc_elif_token1] = ACTIONS(5213),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3525] = {
    [sym_preproc_region] = STATE(3525),
    [sym_preproc_endregion] = STATE(3525),
    [sym_preproc_line] = STATE(3525),
    [sym_preproc_pragma] = STATE(3525),
    [sym_preproc_nullable] = STATE(3525),
    [sym_preproc_error] = STATE(3525),
    [sym_preproc_define] = STATE(3525),
    [sym_preproc_undef] = STATE(3525),
    [sym__identifier_token] = ACTIONS(5215),
    [anon_sym_extern] = ACTIONS(5215),
    [anon_sym_alias] = ACTIONS(5215),
    [anon_sym_global] = ACTIONS(5215),
    [anon_sym_using] = ACTIONS(5215),
    [anon_sym_unsafe] = ACTIONS(5215),
    [anon_sym_static] = ACTIONS(5215),
    [anon_sym_LBRACK] = ACTIONS(5217),
    [anon_sym_LPAREN] = ACTIONS(5217),
    [anon_sym_event] = ACTIONS(5215),
    [anon_sym_namespace] = ACTIONS(5215),
    [anon_sym_class] = ACTIONS(5215),
    [anon_sym_ref] = ACTIONS(5215),
    [anon_sym_struct] = ACTIONS(5215),
    [anon_sym_enum] = ACTIONS(5215),
    [anon_sym_RBRACE] = ACTIONS(5217),
    [anon_sym_interface] = ACTIONS(5215),
    [anon_sym_delegate] = ACTIONS(5215),
    [anon_sym_record] = ACTIONS(5215),
    [anon_sym_abstract] = ACTIONS(5215),
    [anon_sym_async] = ACTIONS(5215),
    [anon_sym_const] = ACTIONS(5215),
    [anon_sym_file] = ACTIONS(5215),
    [anon_sym_fixed] = ACTIONS(5215),
    [anon_sym_internal] = ACTIONS(5215),
    [anon_sym_new] = ACTIONS(5215),
    [anon_sym_override] = ACTIONS(5215),
    [anon_sym_partial] = ACTIONS(5215),
    [anon_sym_private] = ACTIONS(5215),
    [anon_sym_protected] = ACTIONS(5215),
    [anon_sym_public] = ACTIONS(5215),
    [anon_sym_readonly] = ACTIONS(5215),
    [anon_sym_required] = ACTIONS(5215),
    [anon_sym_sealed] = ACTIONS(5215),
    [anon_sym_virtual] = ACTIONS(5215),
    [anon_sym_volatile] = ACTIONS(5215),
    [anon_sym_where] = ACTIONS(5215),
    [anon_sym_notnull] = ACTIONS(5215),
    [anon_sym_unmanaged] = ACTIONS(5215),
    [anon_sym_TILDE] = ACTIONS(5217),
    [anon_sym_implicit] = ACTIONS(5215),
    [anon_sym_explicit] = ACTIONS(5215),
    [anon_sym_scoped] = ACTIONS(5215),
    [anon_sym_var] = ACTIONS(5215),
    [sym_predefined_type] = ACTIONS(5215),
    [anon_sym_yield] = ACTIONS(5215),
    [anon_sym_when] = ACTIONS(5215),
    [anon_sym_from] = ACTIONS(5215),
    [anon_sym_into] = ACTIONS(5215),
    [anon_sym_join] = ACTIONS(5215),
    [anon_sym_on] = ACTIONS(5215),
    [anon_sym_equals] = ACTIONS(5215),
    [anon_sym_let] = ACTIONS(5215),
    [anon_sym_orderby] = ACTIONS(5215),
    [anon_sym_ascending] = ACTIONS(5215),
    [anon_sym_descending] = ACTIONS(5215),
    [anon_sym_group] = ACTIONS(5215),
    [anon_sym_by] = ACTIONS(5215),
    [anon_sym_select] = ACTIONS(5215),
    [aux_sym_preproc_if_token1] = ACTIONS(5217),
    [aux_sym_preproc_if_token3] = ACTIONS(5217),
    [aux_sym_preproc_else_token1] = ACTIONS(5217),
    [aux_sym_preproc_elif_token1] = ACTIONS(5217),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3526] = {
    [sym_preproc_region] = STATE(3526),
    [sym_preproc_endregion] = STATE(3526),
    [sym_preproc_line] = STATE(3526),
    [sym_preproc_pragma] = STATE(3526),
    [sym_preproc_nullable] = STATE(3526),
    [sym_preproc_error] = STATE(3526),
    [sym_preproc_define] = STATE(3526),
    [sym_preproc_undef] = STATE(3526),
    [sym__identifier_token] = ACTIONS(5219),
    [anon_sym_extern] = ACTIONS(5219),
    [anon_sym_alias] = ACTIONS(5219),
    [anon_sym_global] = ACTIONS(5219),
    [anon_sym_using] = ACTIONS(5219),
    [anon_sym_unsafe] = ACTIONS(5219),
    [anon_sym_static] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5221),
    [anon_sym_LPAREN] = ACTIONS(5221),
    [anon_sym_event] = ACTIONS(5219),
    [anon_sym_namespace] = ACTIONS(5219),
    [anon_sym_class] = ACTIONS(5219),
    [anon_sym_ref] = ACTIONS(5219),
    [anon_sym_struct] = ACTIONS(5219),
    [anon_sym_enum] = ACTIONS(5219),
    [anon_sym_RBRACE] = ACTIONS(5221),
    [anon_sym_interface] = ACTIONS(5219),
    [anon_sym_delegate] = ACTIONS(5219),
    [anon_sym_record] = ACTIONS(5219),
    [anon_sym_abstract] = ACTIONS(5219),
    [anon_sym_async] = ACTIONS(5219),
    [anon_sym_const] = ACTIONS(5219),
    [anon_sym_file] = ACTIONS(5219),
    [anon_sym_fixed] = ACTIONS(5219),
    [anon_sym_internal] = ACTIONS(5219),
    [anon_sym_new] = ACTIONS(5219),
    [anon_sym_override] = ACTIONS(5219),
    [anon_sym_partial] = ACTIONS(5219),
    [anon_sym_private] = ACTIONS(5219),
    [anon_sym_protected] = ACTIONS(5219),
    [anon_sym_public] = ACTIONS(5219),
    [anon_sym_readonly] = ACTIONS(5219),
    [anon_sym_required] = ACTIONS(5219),
    [anon_sym_sealed] = ACTIONS(5219),
    [anon_sym_virtual] = ACTIONS(5219),
    [anon_sym_volatile] = ACTIONS(5219),
    [anon_sym_where] = ACTIONS(5219),
    [anon_sym_notnull] = ACTIONS(5219),
    [anon_sym_unmanaged] = ACTIONS(5219),
    [anon_sym_TILDE] = ACTIONS(5221),
    [anon_sym_implicit] = ACTIONS(5219),
    [anon_sym_explicit] = ACTIONS(5219),
    [anon_sym_scoped] = ACTIONS(5219),
    [anon_sym_var] = ACTIONS(5219),
    [sym_predefined_type] = ACTIONS(5219),
    [anon_sym_yield] = ACTIONS(5219),
    [anon_sym_when] = ACTIONS(5219),
    [anon_sym_from] = ACTIONS(5219),
    [anon_sym_into] = ACTIONS(5219),
    [anon_sym_join] = ACTIONS(5219),
    [anon_sym_on] = ACTIONS(5219),
    [anon_sym_equals] = ACTIONS(5219),
    [anon_sym_let] = ACTIONS(5219),
    [anon_sym_orderby] = ACTIONS(5219),
    [anon_sym_ascending] = ACTIONS(5219),
    [anon_sym_descending] = ACTIONS(5219),
    [anon_sym_group] = ACTIONS(5219),
    [anon_sym_by] = ACTIONS(5219),
    [anon_sym_select] = ACTIONS(5219),
    [aux_sym_preproc_if_token1] = ACTIONS(5221),
    [aux_sym_preproc_if_token3] = ACTIONS(5221),
    [aux_sym_preproc_else_token1] = ACTIONS(5221),
    [aux_sym_preproc_elif_token1] = ACTIONS(5221),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3527] = {
    [sym_preproc_region] = STATE(3527),
    [sym_preproc_endregion] = STATE(3527),
    [sym_preproc_line] = STATE(3527),
    [sym_preproc_pragma] = STATE(3527),
    [sym_preproc_nullable] = STATE(3527),
    [sym_preproc_error] = STATE(3527),
    [sym_preproc_define] = STATE(3527),
    [sym_preproc_undef] = STATE(3527),
    [sym__identifier_token] = ACTIONS(5223),
    [anon_sym_extern] = ACTIONS(5223),
    [anon_sym_alias] = ACTIONS(5223),
    [anon_sym_global] = ACTIONS(5223),
    [anon_sym_using] = ACTIONS(5223),
    [anon_sym_unsafe] = ACTIONS(5223),
    [anon_sym_static] = ACTIONS(5223),
    [anon_sym_LBRACK] = ACTIONS(5225),
    [anon_sym_LPAREN] = ACTIONS(5225),
    [anon_sym_event] = ACTIONS(5223),
    [anon_sym_namespace] = ACTIONS(5223),
    [anon_sym_class] = ACTIONS(5223),
    [anon_sym_ref] = ACTIONS(5223),
    [anon_sym_struct] = ACTIONS(5223),
    [anon_sym_enum] = ACTIONS(5223),
    [anon_sym_RBRACE] = ACTIONS(5225),
    [anon_sym_interface] = ACTIONS(5223),
    [anon_sym_delegate] = ACTIONS(5223),
    [anon_sym_record] = ACTIONS(5223),
    [anon_sym_abstract] = ACTIONS(5223),
    [anon_sym_async] = ACTIONS(5223),
    [anon_sym_const] = ACTIONS(5223),
    [anon_sym_file] = ACTIONS(5223),
    [anon_sym_fixed] = ACTIONS(5223),
    [anon_sym_internal] = ACTIONS(5223),
    [anon_sym_new] = ACTIONS(5223),
    [anon_sym_override] = ACTIONS(5223),
    [anon_sym_partial] = ACTIONS(5223),
    [anon_sym_private] = ACTIONS(5223),
    [anon_sym_protected] = ACTIONS(5223),
    [anon_sym_public] = ACTIONS(5223),
    [anon_sym_readonly] = ACTIONS(5223),
    [anon_sym_required] = ACTIONS(5223),
    [anon_sym_sealed] = ACTIONS(5223),
    [anon_sym_virtual] = ACTIONS(5223),
    [anon_sym_volatile] = ACTIONS(5223),
    [anon_sym_where] = ACTIONS(5223),
    [anon_sym_notnull] = ACTIONS(5223),
    [anon_sym_unmanaged] = ACTIONS(5223),
    [anon_sym_TILDE] = ACTIONS(5225),
    [anon_sym_implicit] = ACTIONS(5223),
    [anon_sym_explicit] = ACTIONS(5223),
    [anon_sym_scoped] = ACTIONS(5223),
    [anon_sym_var] = ACTIONS(5223),
    [sym_predefined_type] = ACTIONS(5223),
    [anon_sym_yield] = ACTIONS(5223),
    [anon_sym_when] = ACTIONS(5223),
    [anon_sym_from] = ACTIONS(5223),
    [anon_sym_into] = ACTIONS(5223),
    [anon_sym_join] = ACTIONS(5223),
    [anon_sym_on] = ACTIONS(5223),
    [anon_sym_equals] = ACTIONS(5223),
    [anon_sym_let] = ACTIONS(5223),
    [anon_sym_orderby] = ACTIONS(5223),
    [anon_sym_ascending] = ACTIONS(5223),
    [anon_sym_descending] = ACTIONS(5223),
    [anon_sym_group] = ACTIONS(5223),
    [anon_sym_by] = ACTIONS(5223),
    [anon_sym_select] = ACTIONS(5223),
    [aux_sym_preproc_if_token1] = ACTIONS(5225),
    [aux_sym_preproc_if_token3] = ACTIONS(5225),
    [aux_sym_preproc_else_token1] = ACTIONS(5225),
    [aux_sym_preproc_elif_token1] = ACTIONS(5225),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3528] = {
    [sym__variable_designation] = STATE(4006),
    [sym_parenthesized_variable_designation] = STATE(4073),
    [sym_identifier] = STATE(4075),
    [sym__reserved_identifier] = STATE(3921),
    [sym_preproc_region] = STATE(3528),
    [sym_preproc_endregion] = STATE(3528),
    [sym_preproc_line] = STATE(3528),
    [sym_preproc_pragma] = STATE(3528),
    [sym_preproc_nullable] = STATE(3528),
    [sym_preproc_error] = STATE(3528),
    [sym_preproc_define] = STATE(3528),
    [sym_preproc_undef] = STATE(3528),
    [sym__identifier_token] = ACTIONS(4341),
    [anon_sym_alias] = ACTIONS(4343),
    [anon_sym_global] = ACTIONS(4343),
    [anon_sym_LBRACK] = ACTIONS(4445),
    [anon_sym_LPAREN] = ACTIONS(4445),
    [anon_sym_file] = ACTIONS(4343),
    [anon_sym_LT] = ACTIONS(4447),
    [anon_sym_GT] = ACTIONS(4447),
    [anon_sym_where] = ACTIONS(4343),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_notnull] = ACTIONS(4343),
    [anon_sym_unmanaged] = ACTIONS(4343),
    [anon_sym_BANG] = ACTIONS(4447),
    [anon_sym_PLUS_PLUS] = ACTIONS(4445),
    [anon_sym_DASH_DASH] = ACTIONS(4445),
    [anon_sym_PLUS] = ACTIONS(4447),
    [anon_sym_DASH] = ACTIONS(4447),
    [anon_sym_STAR] = ACTIONS(4445),
    [anon_sym_SLASH] = ACTIONS(4447),
    [anon_sym_PERCENT] = ACTIONS(4445),
    [anon_sym_CARET] = ACTIONS(4445),
    [anon_sym_PIPE] = ACTIONS(4447),
    [anon_sym_AMP] = ACTIONS(4447),
    [anon_sym_LT_LT] = ACTIONS(4445),
    [anon_sym_GT_GT] = ACTIONS(4447),
    [anon_sym_GT_GT_GT] = ACTIONS(4445),
    [anon_sym_EQ_EQ] = ACTIONS(4445),
    [anon_sym_BANG_EQ] = ACTIONS(4445),
    [anon_sym_GT_EQ] = ACTIONS(4445),
    [anon_sym_LT_EQ] = ACTIONS(4445),
    [anon_sym_DOT] = ACTIONS(4447),
    [anon_sym_scoped] = ACTIONS(4343),
    [anon_sym_var] = ACTIONS(4343),
    [anon_sym_yield] = ACTIONS(4343),
    [anon_sym_switch] = ACTIONS(4447),
    [anon_sym_when] = ACTIONS(4343),
    [sym_discard] = ACTIONS(4351),
    [anon_sym_DOT_DOT] = ACTIONS(4445),
    [anon_sym_and] = ACTIONS(4447),
    [anon_sym_or] = ACTIONS(4447),
    [anon_sym_AMP_AMP] = ACTIONS(4445),
    [anon_sym_PIPE_PIPE] = ACTIONS(4445),
    [anon_sym_QMARK_QMARK] = ACTIONS(4445),
    [anon_sym_from] = ACTIONS(4343),
    [anon_sym_into] = ACTIONS(4447),
    [anon_sym_join] = ACTIONS(4343),
    [anon_sym_on] = ACTIONS(4343),
    [anon_sym_equals] = ACTIONS(4343),
    [anon_sym_let] = ACTIONS(4343),
    [anon_sym_orderby] = ACTIONS(4343),
    [anon_sym_ascending] = ACTIONS(4343),
    [anon_sym_descending] = ACTIONS(4343),
    [anon_sym_group] = ACTIONS(4343),
    [anon_sym_by] = ACTIONS(4447),
    [anon_sym_select] = ACTIONS(4343),
    [anon_sym_as] = ACTIONS(4447),
    [anon_sym_is] = ACTIONS(4447),
    [anon_sym_DASH_GT] = ACTIONS(4445),
    [anon_sym_with] = ACTIONS(4447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3529] = {
    [sym_preproc_region] = STATE(3529),
    [sym_preproc_endregion] = STATE(3529),
    [sym_preproc_line] = STATE(3529),
    [sym_preproc_pragma] = STATE(3529),
    [sym_preproc_nullable] = STATE(3529),
    [sym_preproc_error] = STATE(3529),
    [sym_preproc_define] = STATE(3529),
    [sym_preproc_undef] = STATE(3529),
    [sym__identifier_token] = ACTIONS(4660),
    [anon_sym_alias] = ACTIONS(4660),
    [anon_sym_global] = ACTIONS(4660),
    [anon_sym_LBRACK] = ACTIONS(4662),
    [anon_sym_COLON] = ACTIONS(4662),
    [anon_sym_COMMA] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(4662),
    [anon_sym_file] = ACTIONS(4660),
    [anon_sym_LT] = ACTIONS(4660),
    [anon_sym_GT] = ACTIONS(4660),
    [anon_sym_where] = ACTIONS(4660),
    [anon_sym_QMARK] = ACTIONS(4660),
    [anon_sym_notnull] = ACTIONS(4660),
    [anon_sym_unmanaged] = ACTIONS(4660),
    [anon_sym_BANG] = ACTIONS(4660),
    [anon_sym_PLUS_PLUS] = ACTIONS(4662),
    [anon_sym_DASH_DASH] = ACTIONS(4662),
    [anon_sym_PLUS] = ACTIONS(4660),
    [anon_sym_DASH] = ACTIONS(4660),
    [anon_sym_STAR] = ACTIONS(4662),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4662),
    [anon_sym_CARET] = ACTIONS(4662),
    [anon_sym_PIPE] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_LT_LT] = ACTIONS(4662),
    [anon_sym_GT_GT] = ACTIONS(4660),
    [anon_sym_GT_GT_GT] = ACTIONS(4662),
    [anon_sym_EQ_EQ] = ACTIONS(4662),
    [anon_sym_BANG_EQ] = ACTIONS(4662),
    [anon_sym_GT_EQ] = ACTIONS(4662),
    [anon_sym_LT_EQ] = ACTIONS(4662),
    [anon_sym_DOT] = ACTIONS(4660),
    [anon_sym_scoped] = ACTIONS(4660),
    [anon_sym_var] = ACTIONS(4660),
    [anon_sym_yield] = ACTIONS(4660),
    [anon_sym_switch] = ACTIONS(4660),
    [anon_sym_when] = ACTIONS(4660),
    [sym_discard] = ACTIONS(4660),
    [anon_sym_DOT_DOT] = ACTIONS(4662),
    [anon_sym_and] = ACTIONS(4660),
    [anon_sym_or] = ACTIONS(4660),
    [anon_sym_AMP_AMP] = ACTIONS(4662),
    [anon_sym_PIPE_PIPE] = ACTIONS(4662),
    [anon_sym_QMARK_QMARK] = ACTIONS(4662),
    [anon_sym_from] = ACTIONS(4660),
    [anon_sym_into] = ACTIONS(4660),
    [anon_sym_join] = ACTIONS(4660),
    [anon_sym_on] = ACTIONS(4660),
    [anon_sym_equals] = ACTIONS(4660),
    [anon_sym_let] = ACTIONS(4660),
    [anon_sym_orderby] = ACTIONS(4660),
    [anon_sym_ascending] = ACTIONS(4660),
    [anon_sym_descending] = ACTIONS(4660),
    [anon_sym_group] = ACTIONS(4660),
    [anon_sym_by] = ACTIONS(4660),
    [anon_sym_select] = ACTIONS(4660),
    [anon_sym_as] = ACTIONS(4660),
    [anon_sym_is] = ACTIONS(4660),
    [anon_sym_DASH_GT] = ACTIONS(4662),
    [anon_sym_with] = ACTIONS(4660),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4662),
  },
  [3530] = {
    [sym_preproc_region] = STATE(3530),
    [sym_preproc_endregion] = STATE(3530),
    [sym_preproc_line] = STATE(3530),
    [sym_preproc_pragma] = STATE(3530),
    [sym_preproc_nullable] = STATE(3530),
    [sym_preproc_error] = STATE(3530),
    [sym_preproc_define] = STATE(3530),
    [sym_preproc_undef] = STATE(3530),
    [sym__identifier_token] = ACTIONS(4660),
    [anon_sym_alias] = ACTIONS(4660),
    [anon_sym_global] = ACTIONS(4660),
    [anon_sym_LBRACK] = ACTIONS(4662),
    [anon_sym_COLON] = ACTIONS(4662),
    [anon_sym_COMMA] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(4662),
    [anon_sym_file] = ACTIONS(4660),
    [anon_sym_LT] = ACTIONS(4660),
    [anon_sym_GT] = ACTIONS(4660),
    [anon_sym_where] = ACTIONS(4660),
    [anon_sym_QMARK] = ACTIONS(4660),
    [anon_sym_notnull] = ACTIONS(4660),
    [anon_sym_unmanaged] = ACTIONS(4660),
    [anon_sym_BANG] = ACTIONS(4660),
    [anon_sym_PLUS_PLUS] = ACTIONS(4662),
    [anon_sym_DASH_DASH] = ACTIONS(4662),
    [anon_sym_PLUS] = ACTIONS(4660),
    [anon_sym_DASH] = ACTIONS(4660),
    [anon_sym_STAR] = ACTIONS(4662),
    [anon_sym_SLASH] = ACTIONS(4660),
    [anon_sym_PERCENT] = ACTIONS(4662),
    [anon_sym_CARET] = ACTIONS(4662),
    [anon_sym_PIPE] = ACTIONS(4660),
    [anon_sym_AMP] = ACTIONS(4660),
    [anon_sym_LT_LT] = ACTIONS(4662),
    [anon_sym_GT_GT] = ACTIONS(4660),
    [anon_sym_GT_GT_GT] = ACTIONS(4662),
    [anon_sym_EQ_EQ] = ACTIONS(4662),
    [anon_sym_BANG_EQ] = ACTIONS(4662),
    [anon_sym_GT_EQ] = ACTIONS(4662),
    [anon_sym_LT_EQ] = ACTIONS(4662),
    [anon_sym_DOT] = ACTIONS(4660),
    [anon_sym_scoped] = ACTIONS(4660),
    [anon_sym_var] = ACTIONS(4660),
    [anon_sym_yield] = ACTIONS(4660),
    [anon_sym_switch] = ACTIONS(4660),
    [anon_sym_when] = ACTIONS(4660),
    [sym_discard] = ACTIONS(4660),
    [anon_sym_DOT_DOT] = ACTIONS(4662),
    [anon_sym_and] = ACTIONS(4660),
    [anon_sym_or] = ACTIONS(4660),
    [anon_sym_AMP_AMP] = ACTIONS(4662),
    [anon_sym_PIPE_PIPE] = ACTIONS(4662),
    [anon_sym_QMARK_QMARK] = ACTIONS(4662),
    [anon_sym_from] = ACTIONS(4660),
    [anon_sym_into] = ACTIONS(4660),
    [anon_sym_join] = ACTIONS(4660),
    [anon_sym_on] = ACTIONS(4660),
    [anon_sym_equals] = ACTIONS(4660),
    [anon_sym_let] = ACTIONS(4660),
    [anon_sym_orderby] = ACTIONS(4660),
    [anon_sym_ascending] = ACTIONS(4660),
    [anon_sym_descending] = ACTIONS(4660),
    [anon_sym_group] = ACTIONS(4660),
    [anon_sym_by] = ACTIONS(4660),
    [anon_sym_select] = ACTIONS(4660),
    [anon_sym_as] = ACTIONS(4660),
    [anon_sym_is] = ACTIONS(4660),
    [anon_sym_DASH_GT] = ACTIONS(4662),
    [anon_sym_with] = ACTIONS(4660),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4662),
  },
  [3531] = {
    [sym_preproc_region] = STATE(3531),
    [sym_preproc_endregion] = STATE(3531),
    [sym_preproc_line] = STATE(3531),
    [sym_preproc_pragma] = STATE(3531),
    [sym_preproc_nullable] = STATE(3531),
    [sym_preproc_error] = STATE(3531),
    [sym_preproc_define] = STATE(3531),
    [sym_preproc_undef] = STATE(3531),
    [sym__identifier_token] = ACTIONS(4652),
    [anon_sym_alias] = ACTIONS(4652),
    [anon_sym_global] = ACTIONS(4652),
    [anon_sym_LBRACK] = ACTIONS(4654),
    [anon_sym_COLON] = ACTIONS(4654),
    [anon_sym_COMMA] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4654),
    [anon_sym_file] = ACTIONS(4652),
    [anon_sym_LT] = ACTIONS(4652),
    [anon_sym_GT] = ACTIONS(4652),
    [anon_sym_where] = ACTIONS(4652),
    [anon_sym_QMARK] = ACTIONS(4652),
    [anon_sym_notnull] = ACTIONS(4652),
    [anon_sym_unmanaged] = ACTIONS(4652),
    [anon_sym_BANG] = ACTIONS(4652),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS] = ACTIONS(4652),
    [anon_sym_DASH] = ACTIONS(4652),
    [anon_sym_STAR] = ACTIONS(4654),
    [anon_sym_SLASH] = ACTIONS(4652),
    [anon_sym_PERCENT] = ACTIONS(4654),
    [anon_sym_CARET] = ACTIONS(4654),
    [anon_sym_PIPE] = ACTIONS(4652),
    [anon_sym_AMP] = ACTIONS(4652),
    [anon_sym_LT_LT] = ACTIONS(4654),
    [anon_sym_GT_GT] = ACTIONS(4652),
    [anon_sym_GT_GT_GT] = ACTIONS(4654),
    [anon_sym_EQ_EQ] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4654),
    [anon_sym_GT_EQ] = ACTIONS(4654),
    [anon_sym_LT_EQ] = ACTIONS(4654),
    [anon_sym_DOT] = ACTIONS(4652),
    [anon_sym_scoped] = ACTIONS(4652),
    [anon_sym_var] = ACTIONS(4652),
    [anon_sym_yield] = ACTIONS(4652),
    [anon_sym_switch] = ACTIONS(4652),
    [anon_sym_when] = ACTIONS(4652),
    [sym_discard] = ACTIONS(4652),
    [anon_sym_DOT_DOT] = ACTIONS(4654),
    [anon_sym_and] = ACTIONS(4652),
    [anon_sym_or] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_PIPE_PIPE] = ACTIONS(4654),
    [anon_sym_QMARK_QMARK] = ACTIONS(4654),
    [anon_sym_from] = ACTIONS(4652),
    [anon_sym_into] = ACTIONS(4652),
    [anon_sym_join] = ACTIONS(4652),
    [anon_sym_on] = ACTIONS(4652),
    [anon_sym_equals] = ACTIONS(4652),
    [anon_sym_let] = ACTIONS(4652),
    [anon_sym_orderby] = ACTIONS(4652),
    [anon_sym_ascending] = ACTIONS(4652),
    [anon_sym_descending] = ACTIONS(4652),
    [anon_sym_group] = ACTIONS(4652),
    [anon_sym_by] = ACTIONS(4652),
    [anon_sym_select] = ACTIONS(4652),
    [anon_sym_as] = ACTIONS(4652),
    [anon_sym_is] = ACTIONS(4652),
    [anon_sym_DASH_GT] = ACTIONS(4654),
    [anon_sym_with] = ACTIONS(4652),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4654),
  },
  [3532] = {
    [sym_preproc_region] = STATE(3532),
    [sym_preproc_endregion] = STATE(3532),
    [sym_preproc_line] = STATE(3532),
    [sym_preproc_pragma] = STATE(3532),
    [sym_preproc_nullable] = STATE(3532),
    [sym_preproc_error] = STATE(3532),
    [sym_preproc_define] = STATE(3532),
    [sym_preproc_undef] = STATE(3532),
    [sym__identifier_token] = ACTIONS(4678),
    [anon_sym_alias] = ACTIONS(4678),
    [anon_sym_global] = ACTIONS(4678),
    [anon_sym_LBRACK] = ACTIONS(4680),
    [anon_sym_COLON] = ACTIONS(4680),
    [anon_sym_COMMA] = ACTIONS(4680),
    [anon_sym_LPAREN] = ACTIONS(4680),
    [anon_sym_file] = ACTIONS(4678),
    [anon_sym_LT] = ACTIONS(4678),
    [anon_sym_GT] = ACTIONS(4678),
    [anon_sym_where] = ACTIONS(4678),
    [anon_sym_QMARK] = ACTIONS(4678),
    [anon_sym_notnull] = ACTIONS(4678),
    [anon_sym_unmanaged] = ACTIONS(4678),
    [anon_sym_BANG] = ACTIONS(4678),
    [anon_sym_PLUS_PLUS] = ACTIONS(4680),
    [anon_sym_DASH_DASH] = ACTIONS(4680),
    [anon_sym_PLUS] = ACTIONS(4678),
    [anon_sym_DASH] = ACTIONS(4678),
    [anon_sym_STAR] = ACTIONS(4680),
    [anon_sym_SLASH] = ACTIONS(4678),
    [anon_sym_PERCENT] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4680),
    [anon_sym_PIPE] = ACTIONS(4678),
    [anon_sym_AMP] = ACTIONS(4678),
    [anon_sym_LT_LT] = ACTIONS(4680),
    [anon_sym_GT_GT] = ACTIONS(4678),
    [anon_sym_GT_GT_GT] = ACTIONS(4680),
    [anon_sym_EQ_EQ] = ACTIONS(4680),
    [anon_sym_BANG_EQ] = ACTIONS(4680),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_LT_EQ] = ACTIONS(4680),
    [anon_sym_DOT] = ACTIONS(4678),
    [anon_sym_scoped] = ACTIONS(4678),
    [anon_sym_var] = ACTIONS(4678),
    [anon_sym_yield] = ACTIONS(4678),
    [anon_sym_switch] = ACTIONS(4678),
    [anon_sym_when] = ACTIONS(4678),
    [sym_discard] = ACTIONS(4678),
    [anon_sym_DOT_DOT] = ACTIONS(4680),
    [anon_sym_and] = ACTIONS(4678),
    [anon_sym_or] = ACTIONS(4678),
    [anon_sym_AMP_AMP] = ACTIONS(4680),
    [anon_sym_PIPE_PIPE] = ACTIONS(4680),
    [anon_sym_QMARK_QMARK] = ACTIONS(4680),
    [anon_sym_from] = ACTIONS(4678),
    [anon_sym_into] = ACTIONS(4678),
    [anon_sym_join] = ACTIONS(4678),
    [anon_sym_on] = ACTIONS(4678),
    [anon_sym_equals] = ACTIONS(4678),
    [anon_sym_let] = ACTIONS(4678),
    [anon_sym_orderby] = ACTIONS(4678),
    [anon_sym_ascending] = ACTIONS(4678),
    [anon_sym_descending] = ACTIONS(4678),
    [anon_sym_group] = ACTIONS(4678),
    [anon_sym_by] = ACTIONS(4678),
    [anon_sym_select] = ACTIONS(4678),
    [anon_sym_as] = ACTIONS(4678),
    [anon_sym_is] = ACTIONS(4678),
    [anon_sym_DASH_GT] = ACTIONS(4680),
    [anon_sym_with] = ACTIONS(4678),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4680),
  },
  [3533] = {
    [sym_preproc_region] = STATE(3533),
    [sym_preproc_endregion] = STATE(3533),
    [sym_preproc_line] = STATE(3533),
    [sym_preproc_pragma] = STATE(3533),
    [sym_preproc_nullable] = STATE(3533),
    [sym_preproc_error] = STATE(3533),
    [sym_preproc_define] = STATE(3533),
    [sym_preproc_undef] = STATE(3533),
    [sym__identifier_token] = ACTIONS(4652),
    [anon_sym_alias] = ACTIONS(4652),
    [anon_sym_global] = ACTIONS(4652),
    [anon_sym_LBRACK] = ACTIONS(4654),
    [anon_sym_COLON] = ACTIONS(4654),
    [anon_sym_COMMA] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4654),
    [anon_sym_file] = ACTIONS(4652),
    [anon_sym_LT] = ACTIONS(4652),
    [anon_sym_GT] = ACTIONS(4652),
    [anon_sym_where] = ACTIONS(4652),
    [anon_sym_QMARK] = ACTIONS(4652),
    [anon_sym_notnull] = ACTIONS(4652),
    [anon_sym_unmanaged] = ACTIONS(4652),
    [anon_sym_BANG] = ACTIONS(4652),
    [anon_sym_PLUS_PLUS] = ACTIONS(4654),
    [anon_sym_DASH_DASH] = ACTIONS(4654),
    [anon_sym_PLUS] = ACTIONS(4652),
    [anon_sym_DASH] = ACTIONS(4652),
    [anon_sym_STAR] = ACTIONS(4654),
    [anon_sym_SLASH] = ACTIONS(4652),
    [anon_sym_PERCENT] = ACTIONS(4654),
    [anon_sym_CARET] = ACTIONS(4654),
    [anon_sym_PIPE] = ACTIONS(4652),
    [anon_sym_AMP] = ACTIONS(4652),
    [anon_sym_LT_LT] = ACTIONS(4654),
    [anon_sym_GT_GT] = ACTIONS(4652),
    [anon_sym_GT_GT_GT] = ACTIONS(4654),
    [anon_sym_EQ_EQ] = ACTIONS(4654),
    [anon_sym_BANG_EQ] = ACTIONS(4654),
    [anon_sym_GT_EQ] = ACTIONS(4654),
    [anon_sym_LT_EQ] = ACTIONS(4654),
    [anon_sym_DOT] = ACTIONS(4652),
    [anon_sym_scoped] = ACTIONS(4652),
    [anon_sym_var] = ACTIONS(4652),
    [anon_sym_yield] = ACTIONS(4652),
    [anon_sym_switch] = ACTIONS(4652),
    [anon_sym_when] = ACTIONS(4652),
    [sym_discard] = ACTIONS(4652),
    [anon_sym_DOT_DOT] = ACTIONS(4654),
    [anon_sym_and] = ACTIONS(4652),
    [anon_sym_or] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_PIPE_PIPE] = ACTIONS(4654),
    [anon_sym_QMARK_QMARK] = ACTIONS(4654),
    [anon_sym_from] = ACTIONS(4652),
    [anon_sym_into] = ACTIONS(4652),
    [anon_sym_join] = ACTIONS(4652),
    [anon_sym_on] = ACTIONS(4652),
    [anon_sym_equals] = ACTIONS(4652),
    [anon_sym_let] = ACTIONS(4652),
    [anon_sym_orderby] = ACTIONS(4652),
    [anon_sym_ascending] = ACTIONS(4652),
    [anon_sym_descending] = ACTIONS(4652),
    [anon_sym_group] = ACTIONS(4652),
    [anon_sym_by] = ACTIONS(4652),
    [anon_sym_select] = ACTIONS(4652),
    [anon_sym_as] = ACTIONS(4652),
    [anon_sym_is] = ACTIONS(4652),
    [anon_sym_DASH_GT] = ACTIONS(4654),
    [anon_sym_with] = ACTIONS(4652),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4654),
  },
  [3534] = {
    [sym_preproc_region] = STATE(3534),
    [sym_preproc_endregion] = STATE(3534),
    [sym_preproc_line] = STATE(3534),
    [sym_preproc_pragma] = STATE(3534),
    [sym_preproc_nullable] = STATE(3534),
    [sym_preproc_error] = STATE(3534),
    [sym_preproc_define] = STATE(3534),
    [sym_preproc_undef] = STATE(3534),
    [sym__identifier_token] = ACTIONS(4668),
    [anon_sym_alias] = ACTIONS(4668),
    [anon_sym_global] = ACTIONS(4668),
    [anon_sym_LBRACK] = ACTIONS(4670),
    [anon_sym_COLON] = ACTIONS(4670),
    [anon_sym_COMMA] = ACTIONS(4670),
    [anon_sym_LPAREN] = ACTIONS(4670),
    [anon_sym_file] = ACTIONS(4668),
    [anon_sym_LT] = ACTIONS(4668),
    [anon_sym_GT] = ACTIONS(4668),
    [anon_sym_where] = ACTIONS(4668),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_notnull] = ACTIONS(4668),
    [anon_sym_unmanaged] = ACTIONS(4668),
    [anon_sym_BANG] = ACTIONS(4668),
    [anon_sym_PLUS_PLUS] = ACTIONS(4670),
    [anon_sym_DASH_DASH] = ACTIONS(4670),
    [anon_sym_PLUS] = ACTIONS(4668),
    [anon_sym_DASH] = ACTIONS(4668),
    [anon_sym_STAR] = ACTIONS(4670),
    [anon_sym_SLASH] = ACTIONS(4668),
    [anon_sym_PERCENT] = ACTIONS(4670),
    [anon_sym_CARET] = ACTIONS(4670),
    [anon_sym_PIPE] = ACTIONS(4668),
    [anon_sym_AMP] = ACTIONS(4668),
    [anon_sym_LT_LT] = ACTIONS(4670),
    [anon_sym_GT_GT] = ACTIONS(4668),
    [anon_sym_GT_GT_GT] = ACTIONS(4670),
    [anon_sym_EQ_EQ] = ACTIONS(4670),
    [anon_sym_BANG_EQ] = ACTIONS(4670),
    [anon_sym_GT_EQ] = ACTIONS(4670),
    [anon_sym_LT_EQ] = ACTIONS(4670),
    [anon_sym_DOT] = ACTIONS(4668),
    [anon_sym_scoped] = ACTIONS(4668),
    [anon_sym_var] = ACTIONS(4668),
    [anon_sym_yield] = ACTIONS(4668),
    [anon_sym_switch] = ACTIONS(4668),
    [anon_sym_when] = ACTIONS(4668),
    [sym_discard] = ACTIONS(4668),
    [anon_sym_DOT_DOT] = ACTIONS(4670),
    [anon_sym_and] = ACTIONS(4668),
    [anon_sym_or] = ACTIONS(4668),
    [anon_sym_AMP_AMP] = ACTIONS(4670),
    [anon_sym_PIPE_PIPE] = ACTIONS(4670),
    [anon_sym_QMARK_QMARK] = ACTIONS(4670),
    [anon_sym_from] = ACTIONS(4668),
    [anon_sym_into] = ACTIONS(4668),
    [anon_sym_join] = ACTIONS(4668),
    [anon_sym_on] = ACTIONS(4668),
    [anon_sym_equals] = ACTIONS(4668),
    [anon_sym_let] = ACTIONS(4668),
    [anon_sym_orderby] = ACTIONS(4668),
    [anon_sym_ascending] = ACTIONS(4668),
    [anon_sym_descending] = ACTIONS(4668),
    [anon_sym_group] = ACTIONS(4668),
    [anon_sym_by] = ACTIONS(4668),
    [anon_sym_select] = ACTIONS(4668),
    [anon_sym_as] = ACTIONS(4668),
    [anon_sym_is] = ACTIONS(4668),
    [anon_sym_DASH_GT] = ACTIONS(4670),
    [anon_sym_with] = ACTIONS(4668),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4670),
  },
  [3535] = {
    [sym_preproc_region] = STATE(3535),
    [sym_preproc_endregion] = STATE(3535),
    [sym_preproc_line] = STATE(3535),
    [sym_preproc_pragma] = STATE(3535),
    [sym_preproc_nullable] = STATE(3535),
    [sym_preproc_error] = STATE(3535),
    [sym_preproc_define] = STATE(3535),
    [sym_preproc_undef] = STATE(3535),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5227),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3536] = {
    [sym_preproc_region] = STATE(3536),
    [sym_preproc_endregion] = STATE(3536),
    [sym_preproc_line] = STATE(3536),
    [sym_preproc_pragma] = STATE(3536),
    [sym_preproc_nullable] = STATE(3536),
    [sym_preproc_error] = STATE(3536),
    [sym_preproc_define] = STATE(3536),
    [sym_preproc_undef] = STATE(3536),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5231),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3537] = {
    [sym_preproc_region] = STATE(3537),
    [sym_preproc_endregion] = STATE(3537),
    [sym_preproc_line] = STATE(3537),
    [sym_preproc_pragma] = STATE(3537),
    [sym_preproc_nullable] = STATE(3537),
    [sym_preproc_error] = STATE(3537),
    [sym_preproc_define] = STATE(3537),
    [sym_preproc_undef] = STATE(3537),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5233),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3538] = {
    [sym_preproc_region] = STATE(3538),
    [sym_preproc_endregion] = STATE(3538),
    [sym_preproc_line] = STATE(3538),
    [sym_preproc_pragma] = STATE(3538),
    [sym_preproc_nullable] = STATE(3538),
    [sym_preproc_error] = STATE(3538),
    [sym_preproc_define] = STATE(3538),
    [sym_preproc_undef] = STATE(3538),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3539] = {
    [sym_preproc_region] = STATE(3539),
    [sym_preproc_endregion] = STATE(3539),
    [sym_preproc_line] = STATE(3539),
    [sym_preproc_pragma] = STATE(3539),
    [sym_preproc_nullable] = STATE(3539),
    [sym_preproc_error] = STATE(3539),
    [sym_preproc_define] = STATE(3539),
    [sym_preproc_undef] = STATE(3539),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5237),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3540] = {
    [sym_preproc_region] = STATE(3540),
    [sym_preproc_endregion] = STATE(3540),
    [sym_preproc_line] = STATE(3540),
    [sym_preproc_pragma] = STATE(3540),
    [sym_preproc_nullable] = STATE(3540),
    [sym_preproc_error] = STATE(3540),
    [sym_preproc_define] = STATE(3540),
    [sym_preproc_undef] = STATE(3540),
    [sym__identifier_token] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(4538),
    [anon_sym_global] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_file] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_where] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4538),
    [anon_sym_notnull] = ACTIONS(4538),
    [anon_sym_unmanaged] = ACTIONS(4538),
    [anon_sym_BANG] = ACTIONS(4538),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_GT_GT_GT] = ACTIONS(4540),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_scoped] = ACTIONS(4538),
    [anon_sym_EQ_GT] = ACTIONS(4540),
    [anon_sym_var] = ACTIONS(4538),
    [anon_sym_yield] = ACTIONS(4538),
    [anon_sym_switch] = ACTIONS(4538),
    [anon_sym_when] = ACTIONS(4538),
    [sym_discard] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(4540),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_QMARK_QMARK] = ACTIONS(4540),
    [anon_sym_from] = ACTIONS(4538),
    [anon_sym_into] = ACTIONS(4538),
    [anon_sym_join] = ACTIONS(4538),
    [anon_sym_on] = ACTIONS(4538),
    [anon_sym_equals] = ACTIONS(4538),
    [anon_sym_let] = ACTIONS(4538),
    [anon_sym_orderby] = ACTIONS(4538),
    [anon_sym_ascending] = ACTIONS(4538),
    [anon_sym_descending] = ACTIONS(4538),
    [anon_sym_group] = ACTIONS(4538),
    [anon_sym_by] = ACTIONS(4538),
    [anon_sym_select] = ACTIONS(4538),
    [anon_sym_as] = ACTIONS(4538),
    [anon_sym_is] = ACTIONS(4538),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [anon_sym_with] = ACTIONS(4538),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3541] = {
    [sym_preproc_region] = STATE(3541),
    [sym_preproc_endregion] = STATE(3541),
    [sym_preproc_line] = STATE(3541),
    [sym_preproc_pragma] = STATE(3541),
    [sym_preproc_nullable] = STATE(3541),
    [sym_preproc_error] = STATE(3541),
    [sym_preproc_define] = STATE(3541),
    [sym_preproc_undef] = STATE(3541),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5239),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3542] = {
    [sym_preproc_region] = STATE(3542),
    [sym_preproc_endregion] = STATE(3542),
    [sym_preproc_line] = STATE(3542),
    [sym_preproc_pragma] = STATE(3542),
    [sym_preproc_nullable] = STATE(3542),
    [sym_preproc_error] = STATE(3542),
    [sym_preproc_define] = STATE(3542),
    [sym_preproc_undef] = STATE(3542),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5241),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3543] = {
    [sym_preproc_region] = STATE(3543),
    [sym_preproc_endregion] = STATE(3543),
    [sym_preproc_line] = STATE(3543),
    [sym_preproc_pragma] = STATE(3543),
    [sym_preproc_nullable] = STATE(3543),
    [sym_preproc_error] = STATE(3543),
    [sym_preproc_define] = STATE(3543),
    [sym_preproc_undef] = STATE(3543),
    [sym__identifier_token] = ACTIONS(4538),
    [anon_sym_alias] = ACTIONS(4538),
    [anon_sym_global] = ACTIONS(4538),
    [anon_sym_LBRACK] = ACTIONS(4540),
    [anon_sym_LPAREN] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(4540),
    [anon_sym_file] = ACTIONS(4538),
    [anon_sym_LT] = ACTIONS(4538),
    [anon_sym_GT] = ACTIONS(4538),
    [anon_sym_where] = ACTIONS(4538),
    [anon_sym_QMARK] = ACTIONS(4538),
    [anon_sym_notnull] = ACTIONS(4538),
    [anon_sym_unmanaged] = ACTIONS(4538),
    [anon_sym_BANG] = ACTIONS(4538),
    [anon_sym_PLUS_PLUS] = ACTIONS(4540),
    [anon_sym_DASH_DASH] = ACTIONS(4540),
    [anon_sym_PLUS] = ACTIONS(4538),
    [anon_sym_DASH] = ACTIONS(4538),
    [anon_sym_STAR] = ACTIONS(4540),
    [anon_sym_SLASH] = ACTIONS(4538),
    [anon_sym_PERCENT] = ACTIONS(4540),
    [anon_sym_CARET] = ACTIONS(4540),
    [anon_sym_PIPE] = ACTIONS(4538),
    [anon_sym_AMP] = ACTIONS(4538),
    [anon_sym_LT_LT] = ACTIONS(4540),
    [anon_sym_GT_GT] = ACTIONS(4538),
    [anon_sym_GT_GT_GT] = ACTIONS(4540),
    [anon_sym_EQ_EQ] = ACTIONS(4540),
    [anon_sym_BANG_EQ] = ACTIONS(4540),
    [anon_sym_GT_EQ] = ACTIONS(4540),
    [anon_sym_LT_EQ] = ACTIONS(4540),
    [anon_sym_DOT] = ACTIONS(4538),
    [anon_sym_scoped] = ACTIONS(4538),
    [anon_sym_EQ_GT] = ACTIONS(4540),
    [anon_sym_var] = ACTIONS(4538),
    [anon_sym_yield] = ACTIONS(4538),
    [anon_sym_switch] = ACTIONS(4538),
    [anon_sym_when] = ACTIONS(4538),
    [sym_discard] = ACTIONS(4538),
    [anon_sym_DOT_DOT] = ACTIONS(4540),
    [anon_sym_and] = ACTIONS(4538),
    [anon_sym_or] = ACTIONS(4538),
    [anon_sym_AMP_AMP] = ACTIONS(4540),
    [anon_sym_PIPE_PIPE] = ACTIONS(4540),
    [anon_sym_QMARK_QMARK] = ACTIONS(4540),
    [anon_sym_from] = ACTIONS(4538),
    [anon_sym_into] = ACTIONS(4538),
    [anon_sym_join] = ACTIONS(4538),
    [anon_sym_on] = ACTIONS(4538),
    [anon_sym_equals] = ACTIONS(4538),
    [anon_sym_let] = ACTIONS(4538),
    [anon_sym_orderby] = ACTIONS(4538),
    [anon_sym_ascending] = ACTIONS(4538),
    [anon_sym_descending] = ACTIONS(4538),
    [anon_sym_group] = ACTIONS(4538),
    [anon_sym_by] = ACTIONS(4538),
    [anon_sym_select] = ACTIONS(4538),
    [anon_sym_as] = ACTIONS(4538),
    [anon_sym_is] = ACTIONS(4538),
    [anon_sym_DASH_GT] = ACTIONS(4540),
    [anon_sym_with] = ACTIONS(4538),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3544] = {
    [sym_argument_list] = STATE(3583),
    [sym_initializer_expression] = STATE(3722),
    [sym_preproc_region] = STATE(3544),
    [sym_preproc_endregion] = STATE(3544),
    [sym_preproc_line] = STATE(3544),
    [sym_preproc_pragma] = STATE(3544),
    [sym_preproc_nullable] = STATE(3544),
    [sym_preproc_error] = STATE(3544),
    [sym_preproc_define] = STATE(3544),
    [sym_preproc_undef] = STATE(3544),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_COLON] = ACTIONS(5243),
    [anon_sym_COMMA] = ACTIONS(5243),
    [anon_sym_RBRACK] = ACTIONS(5243),
    [anon_sym_LPAREN] = ACTIONS(5245),
    [anon_sym_RPAREN] = ACTIONS(5243),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(5243),
    [anon_sym_LT] = ACTIONS(5247),
    [anon_sym_GT] = ACTIONS(5247),
    [anon_sym_in] = ACTIONS(5247),
    [anon_sym_where] = ACTIONS(5243),
    [anon_sym_QMARK] = ACTIONS(5247),
    [anon_sym_BANG] = ACTIONS(5247),
    [anon_sym_PLUS_PLUS] = ACTIONS(5243),
    [anon_sym_DASH_DASH] = ACTIONS(5243),
    [anon_sym_PLUS] = ACTIONS(5247),
    [anon_sym_DASH] = ACTIONS(5247),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_SLASH] = ACTIONS(5247),
    [anon_sym_PERCENT] = ACTIONS(5243),
    [anon_sym_CARET] = ACTIONS(5243),
    [anon_sym_PIPE] = ACTIONS(5247),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_LT_LT] = ACTIONS(5243),
    [anon_sym_GT_GT] = ACTIONS(5247),
    [anon_sym_GT_GT_GT] = ACTIONS(5243),
    [anon_sym_EQ_EQ] = ACTIONS(5243),
    [anon_sym_BANG_EQ] = ACTIONS(5243),
    [anon_sym_GT_EQ] = ACTIONS(5243),
    [anon_sym_LT_EQ] = ACTIONS(5243),
    [anon_sym_DOT] = ACTIONS(5247),
    [anon_sym_EQ_GT] = ACTIONS(5243),
    [anon_sym_switch] = ACTIONS(5243),
    [anon_sym_DOT_DOT] = ACTIONS(5243),
    [anon_sym_and] = ACTIONS(5243),
    [anon_sym_or] = ACTIONS(5247),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_PIPE_PIPE] = ACTIONS(5243),
    [anon_sym_QMARK_QMARK] = ACTIONS(5243),
    [anon_sym_from] = ACTIONS(5243),
    [anon_sym_into] = ACTIONS(5243),
    [anon_sym_join] = ACTIONS(5243),
    [anon_sym_on] = ACTIONS(5243),
    [anon_sym_equals] = ACTIONS(5243),
    [anon_sym_let] = ACTIONS(5243),
    [anon_sym_orderby] = ACTIONS(5243),
    [anon_sym_group] = ACTIONS(5243),
    [anon_sym_by] = ACTIONS(5243),
    [anon_sym_select] = ACTIONS(5243),
    [anon_sym_as] = ACTIONS(5243),
    [anon_sym_is] = ACTIONS(5243),
    [anon_sym_DASH_GT] = ACTIONS(5243),
    [anon_sym_with] = ACTIONS(5243),
    [aux_sym_preproc_if_token3] = ACTIONS(5243),
    [aux_sym_preproc_else_token1] = ACTIONS(5243),
    [aux_sym_preproc_elif_token1] = ACTIONS(5243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3545] = {
    [sym_preproc_region] = STATE(3545),
    [sym_preproc_endregion] = STATE(3545),
    [sym_preproc_line] = STATE(3545),
    [sym_preproc_pragma] = STATE(3545),
    [sym_preproc_nullable] = STATE(3545),
    [sym_preproc_error] = STATE(3545),
    [sym_preproc_define] = STATE(3545),
    [sym_preproc_undef] = STATE(3545),
    [anon_sym_EQ] = ACTIONS(4642),
    [anon_sym_LBRACK] = ACTIONS(4640),
    [anon_sym_COLON] = ACTIONS(4640),
    [anon_sym_COMMA] = ACTIONS(4640),
    [anon_sym_LPAREN] = ACTIONS(4640),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_GT] = ACTIONS(4642),
    [anon_sym_where] = ACTIONS(4640),
    [anon_sym_QMARK] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(4642),
    [anon_sym_DASH] = ACTIONS(4642),
    [anon_sym_STAR] = ACTIONS(4642),
    [anon_sym_SLASH] = ACTIONS(4642),
    [anon_sym_PERCENT] = ACTIONS(4642),
    [anon_sym_CARET] = ACTIONS(4642),
    [anon_sym_PIPE] = ACTIONS(4642),
    [anon_sym_AMP] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(4642),
    [anon_sym_GT_GT] = ACTIONS(4642),
    [anon_sym_GT_GT_GT] = ACTIONS(4642),
    [anon_sym_EQ_EQ] = ACTIONS(4640),
    [anon_sym_BANG_EQ] = ACTIONS(4640),
    [anon_sym_GT_EQ] = ACTIONS(4640),
    [anon_sym_LT_EQ] = ACTIONS(4640),
    [anon_sym_DOT] = ACTIONS(4642),
    [anon_sym_switch] = ACTIONS(4640),
    [anon_sym_DOT_DOT] = ACTIONS(4640),
    [anon_sym_and] = ACTIONS(4640),
    [anon_sym_or] = ACTIONS(4642),
    [anon_sym_PLUS_EQ] = ACTIONS(4640),
    [anon_sym_DASH_EQ] = ACTIONS(4640),
    [anon_sym_STAR_EQ] = ACTIONS(4640),
    [anon_sym_SLASH_EQ] = ACTIONS(4640),
    [anon_sym_PERCENT_EQ] = ACTIONS(4640),
    [anon_sym_AMP_EQ] = ACTIONS(4640),
    [anon_sym_CARET_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_LT_LT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4640),
    [anon_sym_AMP_AMP] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK] = ACTIONS(4642),
    [anon_sym_from] = ACTIONS(4640),
    [anon_sym_into] = ACTIONS(4640),
    [anon_sym_join] = ACTIONS(4640),
    [anon_sym_let] = ACTIONS(4640),
    [anon_sym_orderby] = ACTIONS(4640),
    [anon_sym_ascending] = ACTIONS(4640),
    [anon_sym_descending] = ACTIONS(4640),
    [anon_sym_group] = ACTIONS(4640),
    [anon_sym_select] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4642),
    [anon_sym_is] = ACTIONS(4640),
    [anon_sym_DASH_GT] = ACTIONS(4640),
    [anon_sym_with] = ACTIONS(4640),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3546] = {
    [sym_preproc_region] = STATE(3546),
    [sym_preproc_endregion] = STATE(3546),
    [sym_preproc_line] = STATE(3546),
    [sym_preproc_pragma] = STATE(3546),
    [sym_preproc_nullable] = STATE(3546),
    [sym_preproc_error] = STATE(3546),
    [sym_preproc_define] = STATE(3546),
    [sym_preproc_undef] = STATE(3546),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5249),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3547] = {
    [sym_preproc_region] = STATE(3547),
    [sym_preproc_endregion] = STATE(3547),
    [sym_preproc_line] = STATE(3547),
    [sym_preproc_pragma] = STATE(3547),
    [sym_preproc_nullable] = STATE(3547),
    [sym_preproc_error] = STATE(3547),
    [sym_preproc_define] = STATE(3547),
    [sym_preproc_undef] = STATE(3547),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2995),
    [anon_sym_where] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_catch] = ACTIONS(2995),
    [anon_sym_finally] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_from] = ACTIONS(2995),
    [anon_sym_join] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_orderby] = ACTIONS(2995),
    [anon_sym_group] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_select] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3548] = {
    [sym_preproc_region] = STATE(3548),
    [sym_preproc_endregion] = STATE(3548),
    [sym_preproc_line] = STATE(3548),
    [sym_preproc_pragma] = STATE(3548),
    [sym_preproc_nullable] = STATE(3548),
    [sym_preproc_error] = STATE(3548),
    [sym_preproc_define] = STATE(3548),
    [sym_preproc_undef] = STATE(3548),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5251),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(5253),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3549] = {
    [sym_preproc_region] = STATE(3549),
    [sym_preproc_endregion] = STATE(3549),
    [sym_preproc_line] = STATE(3549),
    [sym_preproc_pragma] = STATE(3549),
    [sym_preproc_nullable] = STATE(3549),
    [sym_preproc_error] = STATE(3549),
    [sym_preproc_define] = STATE(3549),
    [sym_preproc_undef] = STATE(3549),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5255),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3550] = {
    [sym_preproc_region] = STATE(3550),
    [sym_preproc_endregion] = STATE(3550),
    [sym_preproc_line] = STATE(3550),
    [sym_preproc_pragma] = STATE(3550),
    [sym_preproc_nullable] = STATE(3550),
    [sym_preproc_error] = STATE(3550),
    [sym_preproc_define] = STATE(3550),
    [sym_preproc_undef] = STATE(3550),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_COLON] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_LPAREN] = ACTIONS(4709),
    [anon_sym_LT] = ACTIONS(4711),
    [anon_sym_GT] = ACTIONS(4711),
    [anon_sym_where] = ACTIONS(4709),
    [anon_sym_QMARK] = ACTIONS(4711),
    [anon_sym_BANG] = ACTIONS(4711),
    [anon_sym_PLUS_PLUS] = ACTIONS(4709),
    [anon_sym_DASH_DASH] = ACTIONS(4709),
    [anon_sym_PLUS] = ACTIONS(4711),
    [anon_sym_DASH] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_SLASH] = ACTIONS(4711),
    [anon_sym_PERCENT] = ACTIONS(4711),
    [anon_sym_CARET] = ACTIONS(4711),
    [anon_sym_PIPE] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4711),
    [anon_sym_LT_LT] = ACTIONS(4711),
    [anon_sym_GT_GT] = ACTIONS(4711),
    [anon_sym_GT_GT_GT] = ACTIONS(4711),
    [anon_sym_EQ_EQ] = ACTIONS(4709),
    [anon_sym_BANG_EQ] = ACTIONS(4709),
    [anon_sym_GT_EQ] = ACTIONS(4709),
    [anon_sym_LT_EQ] = ACTIONS(4709),
    [anon_sym_DOT] = ACTIONS(4711),
    [anon_sym_switch] = ACTIONS(4709),
    [anon_sym_DOT_DOT] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4711),
    [anon_sym_PLUS_EQ] = ACTIONS(4709),
    [anon_sym_DASH_EQ] = ACTIONS(4709),
    [anon_sym_STAR_EQ] = ACTIONS(4709),
    [anon_sym_SLASH_EQ] = ACTIONS(4709),
    [anon_sym_PERCENT_EQ] = ACTIONS(4709),
    [anon_sym_AMP_EQ] = ACTIONS(4709),
    [anon_sym_CARET_EQ] = ACTIONS(4709),
    [anon_sym_PIPE_EQ] = ACTIONS(4709),
    [anon_sym_LT_LT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4709),
    [anon_sym_AMP_AMP] = ACTIONS(4709),
    [anon_sym_PIPE_PIPE] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK] = ACTIONS(4711),
    [anon_sym_from] = ACTIONS(4709),
    [anon_sym_into] = ACTIONS(4709),
    [anon_sym_join] = ACTIONS(4709),
    [anon_sym_let] = ACTIONS(4709),
    [anon_sym_orderby] = ACTIONS(4709),
    [anon_sym_ascending] = ACTIONS(4709),
    [anon_sym_descending] = ACTIONS(4709),
    [anon_sym_group] = ACTIONS(4709),
    [anon_sym_select] = ACTIONS(4709),
    [anon_sym_as] = ACTIONS(4711),
    [anon_sym_is] = ACTIONS(4709),
    [anon_sym_DASH_GT] = ACTIONS(4709),
    [anon_sym_with] = ACTIONS(4709),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3551] = {
    [sym_preproc_region] = STATE(3551),
    [sym_preproc_endregion] = STATE(3551),
    [sym_preproc_line] = STATE(3551),
    [sym_preproc_pragma] = STATE(3551),
    [sym_preproc_nullable] = STATE(3551),
    [sym_preproc_error] = STATE(3551),
    [sym_preproc_define] = STATE(3551),
    [sym_preproc_undef] = STATE(3551),
    [anon_sym_EQ] = ACTIONS(4688),
    [anon_sym_LBRACK] = ACTIONS(4686),
    [anon_sym_COLON] = ACTIONS(4686),
    [anon_sym_COMMA] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4686),
    [anon_sym_LT] = ACTIONS(4688),
    [anon_sym_GT] = ACTIONS(4688),
    [anon_sym_where] = ACTIONS(4686),
    [anon_sym_QMARK] = ACTIONS(4688),
    [anon_sym_BANG] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4686),
    [anon_sym_DASH_DASH] = ACTIONS(4686),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_DASH] = ACTIONS(4688),
    [anon_sym_STAR] = ACTIONS(4688),
    [anon_sym_SLASH] = ACTIONS(4688),
    [anon_sym_PERCENT] = ACTIONS(4688),
    [anon_sym_CARET] = ACTIONS(4688),
    [anon_sym_PIPE] = ACTIONS(4688),
    [anon_sym_AMP] = ACTIONS(4688),
    [anon_sym_LT_LT] = ACTIONS(4688),
    [anon_sym_GT_GT] = ACTIONS(4688),
    [anon_sym_GT_GT_GT] = ACTIONS(4688),
    [anon_sym_EQ_EQ] = ACTIONS(4686),
    [anon_sym_BANG_EQ] = ACTIONS(4686),
    [anon_sym_GT_EQ] = ACTIONS(4686),
    [anon_sym_LT_EQ] = ACTIONS(4686),
    [anon_sym_DOT] = ACTIONS(4688),
    [anon_sym_switch] = ACTIONS(4686),
    [anon_sym_DOT_DOT] = ACTIONS(4686),
    [anon_sym_and] = ACTIONS(4686),
    [anon_sym_or] = ACTIONS(4688),
    [anon_sym_PLUS_EQ] = ACTIONS(4686),
    [anon_sym_DASH_EQ] = ACTIONS(4686),
    [anon_sym_STAR_EQ] = ACTIONS(4686),
    [anon_sym_SLASH_EQ] = ACTIONS(4686),
    [anon_sym_PERCENT_EQ] = ACTIONS(4686),
    [anon_sym_AMP_EQ] = ACTIONS(4686),
    [anon_sym_CARET_EQ] = ACTIONS(4686),
    [anon_sym_PIPE_EQ] = ACTIONS(4686),
    [anon_sym_LT_LT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4686),
    [anon_sym_AMP_AMP] = ACTIONS(4686),
    [anon_sym_PIPE_PIPE] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK] = ACTIONS(4688),
    [anon_sym_from] = ACTIONS(4686),
    [anon_sym_into] = ACTIONS(4686),
    [anon_sym_join] = ACTIONS(4686),
    [anon_sym_let] = ACTIONS(4686),
    [anon_sym_orderby] = ACTIONS(4686),
    [anon_sym_ascending] = ACTIONS(4686),
    [anon_sym_descending] = ACTIONS(4686),
    [anon_sym_group] = ACTIONS(4686),
    [anon_sym_select] = ACTIONS(4686),
    [anon_sym_as] = ACTIONS(4688),
    [anon_sym_is] = ACTIONS(4686),
    [anon_sym_DASH_GT] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3552] = {
    [sym_preproc_region] = STATE(3552),
    [sym_preproc_endregion] = STATE(3552),
    [sym_preproc_line] = STATE(3552),
    [sym_preproc_pragma] = STATE(3552),
    [sym_preproc_nullable] = STATE(3552),
    [sym_preproc_error] = STATE(3552),
    [sym_preproc_define] = STATE(3552),
    [sym_preproc_undef] = STATE(3552),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_COLON] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [anon_sym_RBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_GT] = ACTIONS(3043),
    [anon_sym_in] = ACTIONS(3045),
    [anon_sym_where] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_GT_GT] = ACTIONS(3043),
    [anon_sym_GT_GT_GT] = ACTIONS(3045),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3045),
    [anon_sym_while] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_catch] = ACTIONS(3045),
    [anon_sym_finally] = ACTIONS(3045),
    [anon_sym_else] = ACTIONS(3045),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_and] = ACTIONS(3045),
    [anon_sym_or] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_QMARK_QMARK] = ACTIONS(3045),
    [anon_sym_from] = ACTIONS(3045),
    [anon_sym_join] = ACTIONS(3045),
    [anon_sym_on] = ACTIONS(3045),
    [anon_sym_equals] = ACTIONS(3045),
    [anon_sym_let] = ACTIONS(3045),
    [anon_sym_orderby] = ACTIONS(3045),
    [anon_sym_group] = ACTIONS(3045),
    [anon_sym_by] = ACTIONS(3045),
    [anon_sym_select] = ACTIONS(3045),
    [anon_sym_as] = ACTIONS(3045),
    [anon_sym_is] = ACTIONS(3045),
    [anon_sym_DASH_GT] = ACTIONS(3045),
    [anon_sym_with] = ACTIONS(3045),
    [aux_sym_preproc_if_token3] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3553] = {
    [sym_preproc_region] = STATE(3553),
    [sym_preproc_endregion] = STATE(3553),
    [sym_preproc_line] = STATE(3553),
    [sym_preproc_pragma] = STATE(3553),
    [sym_preproc_nullable] = STATE(3553),
    [sym_preproc_error] = STATE(3553),
    [sym_preproc_define] = STATE(3553),
    [sym_preproc_undef] = STATE(3553),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(5253),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3554] = {
    [sym_preproc_region] = STATE(3554),
    [sym_preproc_endregion] = STATE(3554),
    [sym_preproc_line] = STATE(3554),
    [sym_preproc_pragma] = STATE(3554),
    [sym_preproc_nullable] = STATE(3554),
    [sym_preproc_error] = STATE(3554),
    [sym_preproc_define] = STATE(3554),
    [sym_preproc_undef] = STATE(3554),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5259),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3555] = {
    [sym_preproc_region] = STATE(3555),
    [sym_preproc_endregion] = STATE(3555),
    [sym_preproc_line] = STATE(3555),
    [sym_preproc_pragma] = STATE(3555),
    [sym_preproc_nullable] = STATE(3555),
    [sym_preproc_error] = STATE(3555),
    [sym_preproc_define] = STATE(3555),
    [sym_preproc_undef] = STATE(3555),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5261),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(5253),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3556] = {
    [sym_preproc_region] = STATE(3556),
    [sym_preproc_endregion] = STATE(3556),
    [sym_preproc_line] = STATE(3556),
    [sym_preproc_pragma] = STATE(3556),
    [sym_preproc_nullable] = STATE(3556),
    [sym_preproc_error] = STATE(3556),
    [sym_preproc_define] = STATE(3556),
    [sym_preproc_undef] = STATE(3556),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5263),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3557] = {
    [sym_preproc_region] = STATE(3557),
    [sym_preproc_endregion] = STATE(3557),
    [sym_preproc_line] = STATE(3557),
    [sym_preproc_pragma] = STATE(3557),
    [sym_preproc_nullable] = STATE(3557),
    [sym_preproc_error] = STATE(3557),
    [sym_preproc_define] = STATE(3557),
    [sym_preproc_undef] = STATE(3557),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5265),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3558] = {
    [sym_preproc_region] = STATE(3558),
    [sym_preproc_endregion] = STATE(3558),
    [sym_preproc_line] = STATE(3558),
    [sym_preproc_pragma] = STATE(3558),
    [sym_preproc_nullable] = STATE(3558),
    [sym_preproc_error] = STATE(3558),
    [sym_preproc_define] = STATE(3558),
    [sym_preproc_undef] = STATE(3558),
    [sym__identifier_token] = ACTIONS(4473),
    [anon_sym_alias] = ACTIONS(4473),
    [anon_sym_global] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_file] = ACTIONS(4473),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4581),
    [anon_sym_notnull] = ACTIONS(4473),
    [anon_sym_unmanaged] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5267),
    [anon_sym_scoped] = ACTIONS(4473),
    [anon_sym_var] = ACTIONS(4473),
    [anon_sym_yield] = ACTIONS(4473),
    [anon_sym_switch] = ACTIONS(4473),
    [anon_sym_when] = ACTIONS(4473),
    [sym_discard] = ACTIONS(4473),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4473),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4473),
    [anon_sym_into] = ACTIONS(4473),
    [anon_sym_join] = ACTIONS(4473),
    [anon_sym_on] = ACTIONS(4473),
    [anon_sym_equals] = ACTIONS(4473),
    [anon_sym_let] = ACTIONS(4473),
    [anon_sym_orderby] = ACTIONS(4473),
    [anon_sym_ascending] = ACTIONS(4473),
    [anon_sym_descending] = ACTIONS(4473),
    [anon_sym_group] = ACTIONS(4473),
    [anon_sym_by] = ACTIONS(4473),
    [anon_sym_select] = ACTIONS(4473),
    [anon_sym_as] = ACTIONS(4473),
    [anon_sym_is] = ACTIONS(4473),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(4473),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3559] = {
    [sym_preproc_region] = STATE(3559),
    [sym_preproc_endregion] = STATE(3559),
    [sym_preproc_line] = STATE(3559),
    [sym_preproc_pragma] = STATE(3559),
    [sym_preproc_nullable] = STATE(3559),
    [sym_preproc_error] = STATE(3559),
    [sym_preproc_define] = STATE(3559),
    [sym_preproc_undef] = STATE(3559),
    [sym__identifier_token] = ACTIONS(4660),
    [anon_sym_alias] = ACTIONS(4660),
    [anon_sym_global] = ACTIONS(4660),
    [anon_sym_LBRACK] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(4662),
    [anon_sym_file] = ACTIONS(4660),
    [anon_sym_LT] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4759),
    [anon_sym_where] = ACTIONS(4660),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_notnull] = ACTIONS(4660),
    [anon_sym_unmanaged] = ACTIONS(4660),
    [anon_sym_BANG] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4759),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4759),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_PIPE] = ACTIONS(4759),
    [anon_sym_AMP] = ACTIONS(4759),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4759),
    [anon_sym_GT_GT_GT] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4757),
    [anon_sym_BANG_EQ] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4757),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_DOT] = ACTIONS(4759),
    [anon_sym_scoped] = ACTIONS(4660),
    [anon_sym_var] = ACTIONS(4660),
    [anon_sym_yield] = ACTIONS(4660),
    [anon_sym_switch] = ACTIONS(4759),
    [anon_sym_when] = ACTIONS(4660),
    [sym_discard] = ACTIONS(4660),
    [anon_sym_DOT_DOT] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4660),
    [anon_sym_or] = ACTIONS(4660),
    [anon_sym_AMP_AMP] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4757),
    [anon_sym_QMARK_QMARK] = ACTIONS(4757),
    [anon_sym_from] = ACTIONS(4660),
    [anon_sym_into] = ACTIONS(4660),
    [anon_sym_join] = ACTIONS(4660),
    [anon_sym_on] = ACTIONS(4660),
    [anon_sym_equals] = ACTIONS(4660),
    [anon_sym_let] = ACTIONS(4660),
    [anon_sym_orderby] = ACTIONS(4660),
    [anon_sym_ascending] = ACTIONS(4660),
    [anon_sym_descending] = ACTIONS(4660),
    [anon_sym_group] = ACTIONS(4660),
    [anon_sym_by] = ACTIONS(4660),
    [anon_sym_select] = ACTIONS(4660),
    [anon_sym_as] = ACTIONS(4759),
    [anon_sym_is] = ACTIONS(4759),
    [anon_sym_DASH_GT] = ACTIONS(4757),
    [anon_sym_with] = ACTIONS(4759),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3560] = {
    [sym_preproc_region] = STATE(3560),
    [sym_preproc_endregion] = STATE(3560),
    [sym_preproc_line] = STATE(3560),
    [sym_preproc_pragma] = STATE(3560),
    [sym_preproc_nullable] = STATE(3560),
    [sym_preproc_error] = STATE(3560),
    [sym_preproc_define] = STATE(3560),
    [sym_preproc_undef] = STATE(3560),
    [sym__identifier_token] = ACTIONS(4652),
    [anon_sym_alias] = ACTIONS(4652),
    [anon_sym_global] = ACTIONS(4652),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_COLON] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4654),
    [anon_sym_file] = ACTIONS(4652),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_where] = ACTIONS(4652),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_notnull] = ACTIONS(4652),
    [anon_sym_unmanaged] = ACTIONS(4652),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_scoped] = ACTIONS(4652),
    [anon_sym_var] = ACTIONS(4652),
    [anon_sym_yield] = ACTIONS(4652),
    [anon_sym_switch] = ACTIONS(2997),
    [anon_sym_when] = ACTIONS(4652),
    [sym_discard] = ACTIONS(4652),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(4652),
    [anon_sym_or] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_from] = ACTIONS(4652),
    [anon_sym_into] = ACTIONS(4652),
    [anon_sym_join] = ACTIONS(4652),
    [anon_sym_on] = ACTIONS(4652),
    [anon_sym_equals] = ACTIONS(4652),
    [anon_sym_let] = ACTIONS(4652),
    [anon_sym_orderby] = ACTIONS(4652),
    [anon_sym_ascending] = ACTIONS(4652),
    [anon_sym_descending] = ACTIONS(4652),
    [anon_sym_group] = ACTIONS(4652),
    [anon_sym_by] = ACTIONS(4652),
    [anon_sym_select] = ACTIONS(4652),
    [anon_sym_as] = ACTIONS(2997),
    [anon_sym_is] = ACTIONS(2997),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_with] = ACTIONS(2997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3561] = {
    [sym_preproc_region] = STATE(3561),
    [sym_preproc_endregion] = STATE(3561),
    [sym_preproc_line] = STATE(3561),
    [sym_preproc_pragma] = STATE(3561),
    [sym_preproc_nullable] = STATE(3561),
    [sym_preproc_error] = STATE(3561),
    [sym_preproc_define] = STATE(3561),
    [sym_preproc_undef] = STATE(3561),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_LPAREN] = ACTIONS(4705),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_GT] = ACTIONS(4707),
    [anon_sym_where] = ACTIONS(4705),
    [anon_sym_QMARK] = ACTIONS(4707),
    [anon_sym_BANG] = ACTIONS(4707),
    [anon_sym_PLUS_PLUS] = ACTIONS(4705),
    [anon_sym_DASH_DASH] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4707),
    [anon_sym_DASH] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_SLASH] = ACTIONS(4707),
    [anon_sym_PERCENT] = ACTIONS(4707),
    [anon_sym_CARET] = ACTIONS(4707),
    [anon_sym_PIPE] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4707),
    [anon_sym_LT_LT] = ACTIONS(4707),
    [anon_sym_GT_GT] = ACTIONS(4707),
    [anon_sym_GT_GT_GT] = ACTIONS(4707),
    [anon_sym_EQ_EQ] = ACTIONS(4705),
    [anon_sym_BANG_EQ] = ACTIONS(4705),
    [anon_sym_GT_EQ] = ACTIONS(4705),
    [anon_sym_LT_EQ] = ACTIONS(4705),
    [anon_sym_DOT] = ACTIONS(4707),
    [anon_sym_switch] = ACTIONS(4705),
    [anon_sym_DOT_DOT] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4707),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4705),
    [anon_sym_PIPE_PIPE] = ACTIONS(4705),
    [anon_sym_QMARK_QMARK] = ACTIONS(4707),
    [anon_sym_from] = ACTIONS(4705),
    [anon_sym_into] = ACTIONS(4705),
    [anon_sym_join] = ACTIONS(4705),
    [anon_sym_let] = ACTIONS(4705),
    [anon_sym_orderby] = ACTIONS(4705),
    [anon_sym_ascending] = ACTIONS(4705),
    [anon_sym_descending] = ACTIONS(4705),
    [anon_sym_group] = ACTIONS(4705),
    [anon_sym_select] = ACTIONS(4705),
    [anon_sym_as] = ACTIONS(4707),
    [anon_sym_is] = ACTIONS(4705),
    [anon_sym_DASH_GT] = ACTIONS(4705),
    [anon_sym_with] = ACTIONS(4705),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3562] = {
    [sym_preproc_region] = STATE(3562),
    [sym_preproc_endregion] = STATE(3562),
    [sym_preproc_line] = STATE(3562),
    [sym_preproc_pragma] = STATE(3562),
    [sym_preproc_nullable] = STATE(3562),
    [sym_preproc_error] = STATE(3562),
    [sym_preproc_define] = STATE(3562),
    [sym_preproc_undef] = STATE(3562),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4165),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_where] = ACTIONS(4165),
    [anon_sym_QMARK] = ACTIONS(4167),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4167),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4167),
    [anon_sym_switch] = ACTIONS(4165),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4165),
    [anon_sym_or] = ACTIONS(4167),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_from] = ACTIONS(4165),
    [anon_sym_into] = ACTIONS(4165),
    [anon_sym_join] = ACTIONS(4165),
    [anon_sym_let] = ACTIONS(4165),
    [anon_sym_orderby] = ACTIONS(4165),
    [anon_sym_ascending] = ACTIONS(4165),
    [anon_sym_descending] = ACTIONS(4165),
    [anon_sym_group] = ACTIONS(4165),
    [anon_sym_select] = ACTIONS(4165),
    [anon_sym_as] = ACTIONS(4167),
    [anon_sym_is] = ACTIONS(4165),
    [anon_sym_DASH_GT] = ACTIONS(4165),
    [anon_sym_with] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3563] = {
    [sym_preproc_region] = STATE(3563),
    [sym_preproc_endregion] = STATE(3563),
    [sym_preproc_line] = STATE(3563),
    [sym_preproc_pragma] = STATE(3563),
    [sym_preproc_nullable] = STATE(3563),
    [sym_preproc_error] = STATE(3563),
    [sym_preproc_define] = STATE(3563),
    [sym_preproc_undef] = STATE(3563),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_where] = ACTIONS(4197),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4197),
    [anon_sym_or] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_from] = ACTIONS(4197),
    [anon_sym_into] = ACTIONS(4197),
    [anon_sym_join] = ACTIONS(4197),
    [anon_sym_let] = ACTIONS(4197),
    [anon_sym_orderby] = ACTIONS(4197),
    [anon_sym_ascending] = ACTIONS(4197),
    [anon_sym_descending] = ACTIONS(4197),
    [anon_sym_group] = ACTIONS(4197),
    [anon_sym_select] = ACTIONS(4197),
    [anon_sym_as] = ACTIONS(4182),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3564] = {
    [sym_preproc_region] = STATE(3564),
    [sym_preproc_endregion] = STATE(3564),
    [sym_preproc_line] = STATE(3564),
    [sym_preproc_pragma] = STATE(3564),
    [sym_preproc_nullable] = STATE(3564),
    [sym_preproc_error] = STATE(3564),
    [sym_preproc_define] = STATE(3564),
    [sym_preproc_undef] = STATE(3564),
    [anon_sym_EQ] = ACTIONS(4658),
    [anon_sym_LBRACK] = ACTIONS(4656),
    [anon_sym_COMMA] = ACTIONS(4656),
    [anon_sym_LPAREN] = ACTIONS(4656),
    [anon_sym_LT] = ACTIONS(4658),
    [anon_sym_GT] = ACTIONS(4658),
    [anon_sym_where] = ACTIONS(4656),
    [anon_sym_QMARK] = ACTIONS(4658),
    [anon_sym_BANG] = ACTIONS(4658),
    [anon_sym_PLUS_PLUS] = ACTIONS(4656),
    [anon_sym_DASH_DASH] = ACTIONS(4656),
    [anon_sym_PLUS] = ACTIONS(4658),
    [anon_sym_DASH] = ACTIONS(4658),
    [anon_sym_STAR] = ACTIONS(4658),
    [anon_sym_SLASH] = ACTIONS(4658),
    [anon_sym_PERCENT] = ACTIONS(4658),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_AMP] = ACTIONS(4658),
    [anon_sym_LT_LT] = ACTIONS(4658),
    [anon_sym_GT_GT] = ACTIONS(4658),
    [anon_sym_GT_GT_GT] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_GT_EQ] = ACTIONS(4656),
    [anon_sym_LT_EQ] = ACTIONS(4656),
    [anon_sym_DOT] = ACTIONS(4658),
    [anon_sym_switch] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(4656),
    [anon_sym_and] = ACTIONS(4656),
    [anon_sym_or] = ACTIONS(4658),
    [anon_sym_PLUS_EQ] = ACTIONS(4656),
    [anon_sym_DASH_EQ] = ACTIONS(4656),
    [anon_sym_STAR_EQ] = ACTIONS(4656),
    [anon_sym_SLASH_EQ] = ACTIONS(4656),
    [anon_sym_PERCENT_EQ] = ACTIONS(4656),
    [anon_sym_AMP_EQ] = ACTIONS(4656),
    [anon_sym_CARET_EQ] = ACTIONS(4656),
    [anon_sym_PIPE_EQ] = ACTIONS(4656),
    [anon_sym_LT_LT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4656),
    [anon_sym_AMP_AMP] = ACTIONS(4656),
    [anon_sym_PIPE_PIPE] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK] = ACTIONS(4658),
    [anon_sym_from] = ACTIONS(4656),
    [anon_sym_into] = ACTIONS(4656),
    [anon_sym_join] = ACTIONS(4656),
    [anon_sym_let] = ACTIONS(4656),
    [anon_sym_orderby] = ACTIONS(4656),
    [anon_sym_ascending] = ACTIONS(4656),
    [anon_sym_descending] = ACTIONS(4656),
    [anon_sym_group] = ACTIONS(4656),
    [anon_sym_select] = ACTIONS(4656),
    [anon_sym_as] = ACTIONS(4658),
    [anon_sym_is] = ACTIONS(4656),
    [anon_sym_DASH_GT] = ACTIONS(4656),
    [anon_sym_with] = ACTIONS(4656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3565] = {
    [sym_preproc_region] = STATE(3565),
    [sym_preproc_endregion] = STATE(3565),
    [sym_preproc_line] = STATE(3565),
    [sym_preproc_pragma] = STATE(3565),
    [sym_preproc_nullable] = STATE(3565),
    [sym_preproc_error] = STATE(3565),
    [sym_preproc_define] = STATE(3565),
    [sym_preproc_undef] = STATE(3565),
    [anon_sym_EQ] = ACTIONS(4692),
    [anon_sym_LBRACK] = ACTIONS(4690),
    [anon_sym_COMMA] = ACTIONS(4690),
    [anon_sym_LPAREN] = ACTIONS(4690),
    [anon_sym_LT] = ACTIONS(4692),
    [anon_sym_GT] = ACTIONS(4692),
    [anon_sym_where] = ACTIONS(4690),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_BANG] = ACTIONS(4692),
    [anon_sym_PLUS_PLUS] = ACTIONS(4690),
    [anon_sym_DASH_DASH] = ACTIONS(4690),
    [anon_sym_PLUS] = ACTIONS(4692),
    [anon_sym_DASH] = ACTIONS(4692),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_SLASH] = ACTIONS(4692),
    [anon_sym_PERCENT] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4692),
    [anon_sym_PIPE] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_LT_LT] = ACTIONS(4692),
    [anon_sym_GT_GT] = ACTIONS(4692),
    [anon_sym_GT_GT_GT] = ACTIONS(4692),
    [anon_sym_EQ_EQ] = ACTIONS(4690),
    [anon_sym_BANG_EQ] = ACTIONS(4690),
    [anon_sym_GT_EQ] = ACTIONS(4690),
    [anon_sym_LT_EQ] = ACTIONS(4690),
    [anon_sym_DOT] = ACTIONS(4692),
    [anon_sym_switch] = ACTIONS(4690),
    [anon_sym_DOT_DOT] = ACTIONS(4690),
    [anon_sym_and] = ACTIONS(4690),
    [anon_sym_or] = ACTIONS(4692),
    [anon_sym_PLUS_EQ] = ACTIONS(4690),
    [anon_sym_DASH_EQ] = ACTIONS(4690),
    [anon_sym_STAR_EQ] = ACTIONS(4690),
    [anon_sym_SLASH_EQ] = ACTIONS(4690),
    [anon_sym_PERCENT_EQ] = ACTIONS(4690),
    [anon_sym_AMP_EQ] = ACTIONS(4690),
    [anon_sym_CARET_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_LT_LT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4690),
    [anon_sym_AMP_AMP] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK] = ACTIONS(4692),
    [anon_sym_from] = ACTIONS(4690),
    [anon_sym_into] = ACTIONS(4690),
    [anon_sym_join] = ACTIONS(4690),
    [anon_sym_let] = ACTIONS(4690),
    [anon_sym_orderby] = ACTIONS(4690),
    [anon_sym_ascending] = ACTIONS(4690),
    [anon_sym_descending] = ACTIONS(4690),
    [anon_sym_group] = ACTIONS(4690),
    [anon_sym_select] = ACTIONS(4690),
    [anon_sym_as] = ACTIONS(4692),
    [anon_sym_is] = ACTIONS(4690),
    [anon_sym_DASH_GT] = ACTIONS(4690),
    [anon_sym_with] = ACTIONS(4690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3566] = {
    [sym_preproc_region] = STATE(3566),
    [sym_preproc_endregion] = STATE(3566),
    [sym_preproc_line] = STATE(3566),
    [sym_preproc_pragma] = STATE(3566),
    [sym_preproc_nullable] = STATE(3566),
    [sym_preproc_error] = STATE(3566),
    [sym_preproc_define] = STATE(3566),
    [sym_preproc_undef] = STATE(3566),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(4646),
    [anon_sym_LT] = ACTIONS(4648),
    [anon_sym_GT] = ACTIONS(4648),
    [anon_sym_where] = ACTIONS(4646),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_STAR] = ACTIONS(4648),
    [anon_sym_SLASH] = ACTIONS(4648),
    [anon_sym_PERCENT] = ACTIONS(4648),
    [anon_sym_CARET] = ACTIONS(4648),
    [anon_sym_PIPE] = ACTIONS(4648),
    [anon_sym_AMP] = ACTIONS(4648),
    [anon_sym_LT_LT] = ACTIONS(4648),
    [anon_sym_GT_GT] = ACTIONS(4648),
    [anon_sym_GT_GT_GT] = ACTIONS(4648),
    [anon_sym_EQ_EQ] = ACTIONS(4646),
    [anon_sym_BANG_EQ] = ACTIONS(4646),
    [anon_sym_GT_EQ] = ACTIONS(4646),
    [anon_sym_LT_EQ] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(4648),
    [anon_sym_switch] = ACTIONS(4646),
    [anon_sym_DOT_DOT] = ACTIONS(4646),
    [anon_sym_and] = ACTIONS(4646),
    [anon_sym_or] = ACTIONS(4648),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4646),
    [anon_sym_PIPE_PIPE] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK] = ACTIONS(4648),
    [anon_sym_from] = ACTIONS(4646),
    [anon_sym_into] = ACTIONS(4646),
    [anon_sym_join] = ACTIONS(4646),
    [anon_sym_let] = ACTIONS(4646),
    [anon_sym_orderby] = ACTIONS(4646),
    [anon_sym_ascending] = ACTIONS(4646),
    [anon_sym_descending] = ACTIONS(4646),
    [anon_sym_group] = ACTIONS(4646),
    [anon_sym_select] = ACTIONS(4646),
    [anon_sym_as] = ACTIONS(4648),
    [anon_sym_is] = ACTIONS(4646),
    [anon_sym_DASH_GT] = ACTIONS(4646),
    [anon_sym_with] = ACTIONS(4646),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3567] = {
    [sym_argument_list] = STATE(3656),
    [sym_bracketed_argument_list] = STATE(3004),
    [sym_preproc_region] = STATE(3567),
    [sym_preproc_endregion] = STATE(3567),
    [sym_preproc_line] = STATE(3567),
    [sym_preproc_pragma] = STATE(3567),
    [sym_preproc_nullable] = STATE(3567),
    [sym_preproc_error] = STATE(3567),
    [sym_preproc_define] = STATE(3567),
    [sym_preproc_undef] = STATE(3567),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_COLON] = ACTIONS(5269),
    [anon_sym_COMMA] = ACTIONS(5269),
    [anon_sym_RBRACK] = ACTIONS(5269),
    [anon_sym_LPAREN] = ACTIONS(5245),
    [anon_sym_RPAREN] = ACTIONS(5269),
    [anon_sym_RBRACE] = ACTIONS(5269),
    [anon_sym_LT] = ACTIONS(5273),
    [anon_sym_GT] = ACTIONS(5273),
    [anon_sym_in] = ACTIONS(5273),
    [anon_sym_where] = ACTIONS(5269),
    [anon_sym_QMARK] = ACTIONS(5273),
    [anon_sym_BANG] = ACTIONS(5275),
    [anon_sym_PLUS_PLUS] = ACTIONS(5277),
    [anon_sym_DASH_DASH] = ACTIONS(5277),
    [anon_sym_PLUS] = ACTIONS(5273),
    [anon_sym_DASH] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_SLASH] = ACTIONS(5273),
    [anon_sym_PERCENT] = ACTIONS(5269),
    [anon_sym_CARET] = ACTIONS(5269),
    [anon_sym_PIPE] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_LT_LT] = ACTIONS(5269),
    [anon_sym_GT_GT] = ACTIONS(5273),
    [anon_sym_GT_GT_GT] = ACTIONS(5269),
    [anon_sym_EQ_EQ] = ACTIONS(5269),
    [anon_sym_BANG_EQ] = ACTIONS(5269),
    [anon_sym_GT_EQ] = ACTIONS(5269),
    [anon_sym_LT_EQ] = ACTIONS(5269),
    [anon_sym_DOT] = ACTIONS(5261),
    [anon_sym_EQ_GT] = ACTIONS(5269),
    [anon_sym_switch] = ACTIONS(5269),
    [anon_sym_DOT_DOT] = ACTIONS(5269),
    [anon_sym_and] = ACTIONS(5269),
    [anon_sym_or] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_PIPE_PIPE] = ACTIONS(5269),
    [anon_sym_QMARK_QMARK] = ACTIONS(5269),
    [anon_sym_from] = ACTIONS(5269),
    [anon_sym_into] = ACTIONS(5269),
    [anon_sym_join] = ACTIONS(5269),
    [anon_sym_on] = ACTIONS(5269),
    [anon_sym_equals] = ACTIONS(5269),
    [anon_sym_let] = ACTIONS(5269),
    [anon_sym_orderby] = ACTIONS(5269),
    [anon_sym_group] = ACTIONS(5269),
    [anon_sym_by] = ACTIONS(5269),
    [anon_sym_select] = ACTIONS(5269),
    [anon_sym_as] = ACTIONS(5269),
    [anon_sym_is] = ACTIONS(5269),
    [anon_sym_DASH_GT] = ACTIONS(5253),
    [anon_sym_with] = ACTIONS(5269),
    [aux_sym_preproc_if_token3] = ACTIONS(5269),
    [aux_sym_preproc_else_token1] = ACTIONS(5269),
    [aux_sym_preproc_elif_token1] = ACTIONS(5269),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3568] = {
    [sym_initializer_expression] = STATE(3717),
    [sym_preproc_region] = STATE(3568),
    [sym_preproc_endregion] = STATE(3568),
    [sym_preproc_line] = STATE(3568),
    [sym_preproc_pragma] = STATE(3568),
    [sym_preproc_nullable] = STATE(3568),
    [sym_preproc_error] = STATE(3568),
    [sym_preproc_define] = STATE(3568),
    [sym_preproc_undef] = STATE(3568),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_COLON] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_RBRACK] = ACTIONS(5279),
    [anon_sym_LPAREN] = ACTIONS(5279),
    [anon_sym_RPAREN] = ACTIONS(5279),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(5279),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_in] = ACTIONS(5281),
    [anon_sym_where] = ACTIONS(5279),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_BANG] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_GT_GT_GT] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_EQ_GT] = ACTIONS(5279),
    [anon_sym_switch] = ACTIONS(5279),
    [anon_sym_DOT_DOT] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_QMARK_QMARK] = ACTIONS(5279),
    [anon_sym_from] = ACTIONS(5279),
    [anon_sym_into] = ACTIONS(5279),
    [anon_sym_join] = ACTIONS(5279),
    [anon_sym_on] = ACTIONS(5279),
    [anon_sym_equals] = ACTIONS(5279),
    [anon_sym_let] = ACTIONS(5279),
    [anon_sym_orderby] = ACTIONS(5279),
    [anon_sym_group] = ACTIONS(5279),
    [anon_sym_by] = ACTIONS(5279),
    [anon_sym_select] = ACTIONS(5279),
    [anon_sym_as] = ACTIONS(5279),
    [anon_sym_is] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_with] = ACTIONS(5279),
    [aux_sym_preproc_if_token3] = ACTIONS(5279),
    [aux_sym_preproc_else_token1] = ACTIONS(5279),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3569] = {
    [sym_preproc_region] = STATE(3569),
    [sym_preproc_endregion] = STATE(3569),
    [sym_preproc_line] = STATE(3569),
    [sym_preproc_pragma] = STATE(3569),
    [sym_preproc_nullable] = STATE(3569),
    [sym_preproc_error] = STATE(3569),
    [sym_preproc_define] = STATE(3569),
    [sym_preproc_undef] = STATE(3569),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4794),
    [anon_sym_where] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4794),
    [anon_sym_PLUS_PLUS] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4794),
    [anon_sym_DASH] = ACTIONS(4794),
    [anon_sym_STAR] = ACTIONS(4794),
    [anon_sym_SLASH] = ACTIONS(4794),
    [anon_sym_PERCENT] = ACTIONS(4794),
    [anon_sym_CARET] = ACTIONS(4794),
    [anon_sym_PIPE] = ACTIONS(4794),
    [anon_sym_AMP] = ACTIONS(4794),
    [anon_sym_LT_LT] = ACTIONS(4794),
    [anon_sym_GT_GT] = ACTIONS(4794),
    [anon_sym_GT_GT_GT] = ACTIONS(4794),
    [anon_sym_EQ_EQ] = ACTIONS(4791),
    [anon_sym_BANG_EQ] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4791),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_switch] = ACTIONS(4791),
    [anon_sym_DOT_DOT] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4797),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4791),
    [anon_sym_QMARK_QMARK] = ACTIONS(4794),
    [anon_sym_from] = ACTIONS(4789),
    [anon_sym_into] = ACTIONS(4789),
    [anon_sym_join] = ACTIONS(4789),
    [anon_sym_let] = ACTIONS(4789),
    [anon_sym_orderby] = ACTIONS(4789),
    [anon_sym_ascending] = ACTIONS(4789),
    [anon_sym_descending] = ACTIONS(4789),
    [anon_sym_group] = ACTIONS(4789),
    [anon_sym_select] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(4794),
    [anon_sym_is] = ACTIONS(4791),
    [anon_sym_DASH_GT] = ACTIONS(4791),
    [anon_sym_with] = ACTIONS(4791),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3570] = {
    [sym_type_argument_list] = STATE(3611),
    [sym_preproc_region] = STATE(3570),
    [sym_preproc_endregion] = STATE(3570),
    [sym_preproc_line] = STATE(3570),
    [sym_preproc_pragma] = STATE(3570),
    [sym_preproc_nullable] = STATE(3570),
    [sym_preproc_error] = STATE(3570),
    [sym_preproc_define] = STATE(3570),
    [sym_preproc_undef] = STATE(3570),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5283),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_join] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_let] = ACTIONS(4134),
    [anon_sym_orderby] = ACTIONS(4134),
    [anon_sym_group] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3571] = {
    [sym_initializer_expression] = STATE(3635),
    [sym_preproc_region] = STATE(3571),
    [sym_preproc_endregion] = STATE(3571),
    [sym_preproc_line] = STATE(3571),
    [sym_preproc_pragma] = STATE(3571),
    [sym_preproc_nullable] = STATE(3571),
    [sym_preproc_error] = STATE(3571),
    [sym_preproc_define] = STATE(3571),
    [sym_preproc_undef] = STATE(3571),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_COLON] = ACTIONS(5286),
    [anon_sym_COMMA] = ACTIONS(5286),
    [anon_sym_RBRACK] = ACTIONS(5286),
    [anon_sym_LPAREN] = ACTIONS(5286),
    [anon_sym_RPAREN] = ACTIONS(5286),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(5286),
    [anon_sym_LT] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5291),
    [anon_sym_in] = ACTIONS(5291),
    [anon_sym_where] = ACTIONS(5286),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_BANG] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5286),
    [anon_sym_DASH_DASH] = ACTIONS(5286),
    [anon_sym_PLUS] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_SLASH] = ACTIONS(5291),
    [anon_sym_PERCENT] = ACTIONS(5286),
    [anon_sym_CARET] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_LT_LT] = ACTIONS(5286),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_GT_GT_GT] = ACTIONS(5286),
    [anon_sym_EQ_EQ] = ACTIONS(5286),
    [anon_sym_BANG_EQ] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5286),
    [anon_sym_LT_EQ] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5291),
    [anon_sym_EQ_GT] = ACTIONS(5286),
    [anon_sym_switch] = ACTIONS(5286),
    [anon_sym_DOT_DOT] = ACTIONS(5286),
    [anon_sym_and] = ACTIONS(5286),
    [anon_sym_or] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_PIPE_PIPE] = ACTIONS(5286),
    [anon_sym_QMARK_QMARK] = ACTIONS(5286),
    [anon_sym_from] = ACTIONS(5286),
    [anon_sym_into] = ACTIONS(5286),
    [anon_sym_join] = ACTIONS(5286),
    [anon_sym_on] = ACTIONS(5286),
    [anon_sym_equals] = ACTIONS(5286),
    [anon_sym_let] = ACTIONS(5286),
    [anon_sym_orderby] = ACTIONS(5286),
    [anon_sym_group] = ACTIONS(5286),
    [anon_sym_by] = ACTIONS(5286),
    [anon_sym_select] = ACTIONS(5286),
    [anon_sym_as] = ACTIONS(5286),
    [anon_sym_is] = ACTIONS(5286),
    [anon_sym_DASH_GT] = ACTIONS(5286),
    [anon_sym_with] = ACTIONS(5286),
    [aux_sym_preproc_if_token3] = ACTIONS(5286),
    [aux_sym_preproc_else_token1] = ACTIONS(5286),
    [aux_sym_preproc_elif_token1] = ACTIONS(5286),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3572] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym_tuple_pattern] = STATE(8669),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7357),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6742),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3572),
    [sym_preproc_endregion] = STATE(3572),
    [sym_preproc_line] = STATE(3572),
    [sym_preproc_pragma] = STATE(3572),
    [sym_preproc_nullable] = STATE(3572),
    [sym_preproc_error] = STATE(3572),
    [sym_preproc_define] = STATE(3572),
    [sym_preproc_undef] = STATE(3572),
    [aux_sym_class_declaration_repeat1] = STATE(3807),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(5295),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [sym_discard] = ACTIONS(5301),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3573] = {
    [sym_preproc_region] = STATE(3573),
    [sym_preproc_endregion] = STATE(3573),
    [sym_preproc_line] = STATE(3573),
    [sym_preproc_pragma] = STATE(3573),
    [sym_preproc_nullable] = STATE(3573),
    [sym_preproc_error] = STATE(3573),
    [sym_preproc_define] = STATE(3573),
    [sym_preproc_undef] = STATE(3573),
    [anon_sym_EQ] = ACTIONS(5303),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_ascending] = ACTIONS(5305),
    [anon_sym_descending] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5307),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3574] = {
    [sym_preproc_region] = STATE(3574),
    [sym_preproc_endregion] = STATE(3574),
    [sym_preproc_line] = STATE(3574),
    [sym_preproc_pragma] = STATE(3574),
    [sym_preproc_nullable] = STATE(3574),
    [sym_preproc_error] = STATE(3574),
    [sym_preproc_define] = STATE(3574),
    [sym_preproc_undef] = STATE(3574),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4089),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(4086),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4086),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4086),
    [anon_sym_into] = ACTIONS(4086),
    [anon_sym_join] = ACTIONS(4086),
    [anon_sym_on] = ACTIONS(4086),
    [anon_sym_equals] = ACTIONS(4086),
    [anon_sym_let] = ACTIONS(4086),
    [anon_sym_orderby] = ACTIONS(4086),
    [anon_sym_group] = ACTIONS(4086),
    [anon_sym_by] = ACTIONS(4086),
    [anon_sym_select] = ACTIONS(4086),
    [anon_sym_as] = ACTIONS(4086),
    [anon_sym_is] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3575] = {
    [sym_preproc_region] = STATE(3575),
    [sym_preproc_endregion] = STATE(3575),
    [sym_preproc_line] = STATE(3575),
    [sym_preproc_pragma] = STATE(3575),
    [sym_preproc_nullable] = STATE(3575),
    [sym_preproc_error] = STATE(3575),
    [sym_preproc_define] = STATE(3575),
    [sym_preproc_undef] = STATE(3575),
    [anon_sym_EQ] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [anon_sym_COMMA] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4696),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_GT] = ACTIONS(4698),
    [anon_sym_where] = ACTIONS(4696),
    [anon_sym_QMARK] = ACTIONS(4698),
    [anon_sym_BANG] = ACTIONS(4698),
    [anon_sym_PLUS_PLUS] = ACTIONS(4696),
    [anon_sym_DASH_DASH] = ACTIONS(4696),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_DASH] = ACTIONS(4698),
    [anon_sym_STAR] = ACTIONS(4698),
    [anon_sym_SLASH] = ACTIONS(4698),
    [anon_sym_PERCENT] = ACTIONS(4698),
    [anon_sym_CARET] = ACTIONS(4698),
    [anon_sym_PIPE] = ACTIONS(4698),
    [anon_sym_AMP] = ACTIONS(4698),
    [anon_sym_LT_LT] = ACTIONS(4698),
    [anon_sym_GT_GT] = ACTIONS(4698),
    [anon_sym_GT_GT_GT] = ACTIONS(4698),
    [anon_sym_EQ_EQ] = ACTIONS(4696),
    [anon_sym_BANG_EQ] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4696),
    [anon_sym_LT_EQ] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(4698),
    [anon_sym_switch] = ACTIONS(4696),
    [anon_sym_DOT_DOT] = ACTIONS(4696),
    [anon_sym_and] = ACTIONS(4696),
    [anon_sym_or] = ACTIONS(4698),
    [anon_sym_PLUS_EQ] = ACTIONS(4696),
    [anon_sym_DASH_EQ] = ACTIONS(4696),
    [anon_sym_STAR_EQ] = ACTIONS(4696),
    [anon_sym_SLASH_EQ] = ACTIONS(4696),
    [anon_sym_PERCENT_EQ] = ACTIONS(4696),
    [anon_sym_AMP_EQ] = ACTIONS(4696),
    [anon_sym_CARET_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_LT_LT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4696),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK] = ACTIONS(4698),
    [anon_sym_from] = ACTIONS(4696),
    [anon_sym_into] = ACTIONS(4696),
    [anon_sym_join] = ACTIONS(4696),
    [anon_sym_let] = ACTIONS(4696),
    [anon_sym_orderby] = ACTIONS(4696),
    [anon_sym_ascending] = ACTIONS(4696),
    [anon_sym_descending] = ACTIONS(4696),
    [anon_sym_group] = ACTIONS(4696),
    [anon_sym_select] = ACTIONS(4696),
    [anon_sym_as] = ACTIONS(4698),
    [anon_sym_is] = ACTIONS(4696),
    [anon_sym_DASH_GT] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3576] = {
    [sym_argument_list] = STATE(3656),
    [sym_bracketed_argument_list] = STATE(3004),
    [sym_preproc_region] = STATE(3576),
    [sym_preproc_endregion] = STATE(3576),
    [sym_preproc_line] = STATE(3576),
    [sym_preproc_pragma] = STATE(3576),
    [sym_preproc_nullable] = STATE(3576),
    [sym_preproc_error] = STATE(3576),
    [sym_preproc_define] = STATE(3576),
    [sym_preproc_undef] = STATE(3576),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_COLON] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RBRACK] = ACTIONS(5311),
    [anon_sym_LPAREN] = ACTIONS(5245),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_in] = ACTIONS(5313),
    [anon_sym_where] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_BANG] = ACTIONS(5275),
    [anon_sym_PLUS_PLUS] = ACTIONS(5277),
    [anon_sym_DASH_DASH] = ACTIONS(5277),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_GT_GT_GT] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5261),
    [anon_sym_EQ_GT] = ACTIONS(5311),
    [anon_sym_switch] = ACTIONS(5311),
    [anon_sym_DOT_DOT] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_QMARK_QMARK] = ACTIONS(5311),
    [anon_sym_from] = ACTIONS(5311),
    [anon_sym_into] = ACTIONS(5311),
    [anon_sym_join] = ACTIONS(5311),
    [anon_sym_on] = ACTIONS(5311),
    [anon_sym_equals] = ACTIONS(5311),
    [anon_sym_let] = ACTIONS(5311),
    [anon_sym_orderby] = ACTIONS(5311),
    [anon_sym_group] = ACTIONS(5311),
    [anon_sym_by] = ACTIONS(5311),
    [anon_sym_select] = ACTIONS(5311),
    [anon_sym_as] = ACTIONS(5311),
    [anon_sym_is] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5253),
    [anon_sym_with] = ACTIONS(5311),
    [aux_sym_preproc_if_token3] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3577] = {
    [sym_preproc_region] = STATE(3577),
    [sym_preproc_endregion] = STATE(3577),
    [sym_preproc_line] = STATE(3577),
    [sym_preproc_pragma] = STATE(3577),
    [sym_preproc_nullable] = STATE(3577),
    [sym_preproc_error] = STATE(3577),
    [sym_preproc_define] = STATE(3577),
    [sym_preproc_undef] = STATE(3577),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_where] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3995),
    [anon_sym_into] = ACTIONS(3995),
    [anon_sym_join] = ACTIONS(3995),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_let] = ACTIONS(3995),
    [anon_sym_orderby] = ACTIONS(3995),
    [anon_sym_group] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_select] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3578] = {
    [sym_argument_list] = STATE(3656),
    [sym_bracketed_argument_list] = STATE(3004),
    [sym_preproc_region] = STATE(3578),
    [sym_preproc_endregion] = STATE(3578),
    [sym_preproc_line] = STATE(3578),
    [sym_preproc_pragma] = STATE(3578),
    [sym_preproc_nullable] = STATE(3578),
    [sym_preproc_error] = STATE(3578),
    [sym_preproc_define] = STATE(3578),
    [sym_preproc_undef] = STATE(3578),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5271),
    [anon_sym_COLON] = ACTIONS(5315),
    [anon_sym_COMMA] = ACTIONS(5315),
    [anon_sym_RBRACK] = ACTIONS(5315),
    [anon_sym_LPAREN] = ACTIONS(5245),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_RBRACE] = ACTIONS(5315),
    [anon_sym_LT] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5317),
    [anon_sym_in] = ACTIONS(5317),
    [anon_sym_where] = ACTIONS(5315),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_BANG] = ACTIONS(5275),
    [anon_sym_PLUS_PLUS] = ACTIONS(5277),
    [anon_sym_DASH_DASH] = ACTIONS(5277),
    [anon_sym_PLUS] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5317),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_PIPE] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5317),
    [anon_sym_GT_GT_GT] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5315),
    [anon_sym_BANG_EQ] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5315),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_DOT] = ACTIONS(5261),
    [anon_sym_EQ_GT] = ACTIONS(5315),
    [anon_sym_switch] = ACTIONS(5315),
    [anon_sym_DOT_DOT] = ACTIONS(5315),
    [anon_sym_and] = ACTIONS(5315),
    [anon_sym_or] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5315),
    [anon_sym_QMARK_QMARK] = ACTIONS(5315),
    [anon_sym_from] = ACTIONS(5315),
    [anon_sym_into] = ACTIONS(5315),
    [anon_sym_join] = ACTIONS(5315),
    [anon_sym_on] = ACTIONS(5315),
    [anon_sym_equals] = ACTIONS(5315),
    [anon_sym_let] = ACTIONS(5315),
    [anon_sym_orderby] = ACTIONS(5315),
    [anon_sym_group] = ACTIONS(5315),
    [anon_sym_by] = ACTIONS(5315),
    [anon_sym_select] = ACTIONS(5315),
    [anon_sym_as] = ACTIONS(5315),
    [anon_sym_is] = ACTIONS(5315),
    [anon_sym_DASH_GT] = ACTIONS(5253),
    [anon_sym_with] = ACTIONS(5315),
    [aux_sym_preproc_if_token3] = ACTIONS(5315),
    [aux_sym_preproc_else_token1] = ACTIONS(5315),
    [aux_sym_preproc_elif_token1] = ACTIONS(5315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3579] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6993),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9070),
    [sym_identifier] = STATE(6702),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3579),
    [sym_preproc_endregion] = STATE(3579),
    [sym_preproc_line] = STATE(3579),
    [sym_preproc_pragma] = STATE(3579),
    [sym_preproc_nullable] = STATE(3579),
    [sym_preproc_error] = STATE(3579),
    [sym_preproc_define] = STATE(3579),
    [sym_preproc_undef] = STATE(3579),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4320),
    [aux_sym_lambda_expression_repeat1] = STATE(4303),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5319),
    [anon_sym_params] = ACTIONS(5321),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3580] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7026),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9019),
    [sym_identifier] = STATE(6702),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3580),
    [sym_preproc_endregion] = STATE(3580),
    [sym_preproc_line] = STATE(3580),
    [sym_preproc_pragma] = STATE(3580),
    [sym_preproc_nullable] = STATE(3580),
    [sym_preproc_error] = STATE(3580),
    [sym_preproc_define] = STATE(3580),
    [sym_preproc_undef] = STATE(3580),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4320),
    [aux_sym_lambda_expression_repeat1] = STATE(4259),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5319),
    [anon_sym_params] = ACTIONS(5321),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3581] = {
    [sym_preproc_region] = STATE(3581),
    [sym_preproc_endregion] = STATE(3581),
    [sym_preproc_line] = STATE(3581),
    [sym_preproc_pragma] = STATE(3581),
    [sym_preproc_nullable] = STATE(3581),
    [sym_preproc_error] = STATE(3581),
    [sym_preproc_define] = STATE(3581),
    [sym_preproc_undef] = STATE(3581),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4120),
    [anon_sym_where] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_from] = ACTIONS(4122),
    [anon_sym_into] = ACTIONS(4122),
    [anon_sym_join] = ACTIONS(4122),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_let] = ACTIONS(4122),
    [anon_sym_orderby] = ACTIONS(4122),
    [anon_sym_group] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_select] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3582] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7057),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9815),
    [sym_identifier] = STATE(6702),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3582),
    [sym_preproc_endregion] = STATE(3582),
    [sym_preproc_line] = STATE(3582),
    [sym_preproc_pragma] = STATE(3582),
    [sym_preproc_nullable] = STATE(3582),
    [sym_preproc_error] = STATE(3582),
    [sym_preproc_define] = STATE(3582),
    [sym_preproc_undef] = STATE(3582),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4320),
    [aux_sym_lambda_expression_repeat1] = STATE(4298),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5319),
    [anon_sym_params] = ACTIONS(5321),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3583] = {
    [sym_initializer_expression] = STATE(3690),
    [sym_preproc_region] = STATE(3583),
    [sym_preproc_endregion] = STATE(3583),
    [sym_preproc_line] = STATE(3583),
    [sym_preproc_pragma] = STATE(3583),
    [sym_preproc_nullable] = STATE(3583),
    [sym_preproc_error] = STATE(3583),
    [sym_preproc_define] = STATE(3583),
    [sym_preproc_undef] = STATE(3583),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_RBRACK] = ACTIONS(5323),
    [anon_sym_LPAREN] = ACTIONS(5323),
    [anon_sym_RPAREN] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_in] = ACTIONS(5325),
    [anon_sym_where] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_BANG] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_GT_GT_GT] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_EQ_GT] = ACTIONS(5323),
    [anon_sym_switch] = ACTIONS(5323),
    [anon_sym_DOT_DOT] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_QMARK_QMARK] = ACTIONS(5323),
    [anon_sym_from] = ACTIONS(5323),
    [anon_sym_into] = ACTIONS(5323),
    [anon_sym_join] = ACTIONS(5323),
    [anon_sym_on] = ACTIONS(5323),
    [anon_sym_equals] = ACTIONS(5323),
    [anon_sym_let] = ACTIONS(5323),
    [anon_sym_orderby] = ACTIONS(5323),
    [anon_sym_group] = ACTIONS(5323),
    [anon_sym_by] = ACTIONS(5323),
    [anon_sym_select] = ACTIONS(5323),
    [anon_sym_as] = ACTIONS(5323),
    [anon_sym_is] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_with] = ACTIONS(5323),
    [aux_sym_preproc_if_token3] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3584] = {
    [sym_preproc_region] = STATE(3584),
    [sym_preproc_endregion] = STATE(3584),
    [sym_preproc_line] = STATE(3584),
    [sym_preproc_pragma] = STATE(3584),
    [sym_preproc_nullable] = STATE(3584),
    [sym_preproc_error] = STATE(3584),
    [sym_preproc_define] = STATE(3584),
    [sym_preproc_undef] = STATE(3584),
    [anon_sym_EQ] = ACTIONS(4666),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_COMMA] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(4664),
    [anon_sym_LT] = ACTIONS(4666),
    [anon_sym_GT] = ACTIONS(4666),
    [anon_sym_where] = ACTIONS(4664),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_BANG] = ACTIONS(4666),
    [anon_sym_PLUS_PLUS] = ACTIONS(4664),
    [anon_sym_DASH_DASH] = ACTIONS(4664),
    [anon_sym_PLUS] = ACTIONS(4666),
    [anon_sym_DASH] = ACTIONS(4666),
    [anon_sym_STAR] = ACTIONS(4666),
    [anon_sym_SLASH] = ACTIONS(4666),
    [anon_sym_PERCENT] = ACTIONS(4666),
    [anon_sym_CARET] = ACTIONS(4666),
    [anon_sym_PIPE] = ACTIONS(4666),
    [anon_sym_AMP] = ACTIONS(4666),
    [anon_sym_LT_LT] = ACTIONS(4666),
    [anon_sym_GT_GT] = ACTIONS(4666),
    [anon_sym_GT_GT_GT] = ACTIONS(4666),
    [anon_sym_EQ_EQ] = ACTIONS(4664),
    [anon_sym_BANG_EQ] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4664),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_DOT] = ACTIONS(4666),
    [anon_sym_switch] = ACTIONS(4664),
    [anon_sym_DOT_DOT] = ACTIONS(4664),
    [anon_sym_and] = ACTIONS(4664),
    [anon_sym_or] = ACTIONS(4666),
    [anon_sym_PLUS_EQ] = ACTIONS(4664),
    [anon_sym_DASH_EQ] = ACTIONS(4664),
    [anon_sym_STAR_EQ] = ACTIONS(4664),
    [anon_sym_SLASH_EQ] = ACTIONS(4664),
    [anon_sym_PERCENT_EQ] = ACTIONS(4664),
    [anon_sym_AMP_EQ] = ACTIONS(4664),
    [anon_sym_CARET_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_LT_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4664),
    [anon_sym_AMP_AMP] = ACTIONS(4664),
    [anon_sym_PIPE_PIPE] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK] = ACTIONS(4666),
    [anon_sym_from] = ACTIONS(4664),
    [anon_sym_into] = ACTIONS(4664),
    [anon_sym_join] = ACTIONS(4664),
    [anon_sym_let] = ACTIONS(4664),
    [anon_sym_orderby] = ACTIONS(4664),
    [anon_sym_ascending] = ACTIONS(4664),
    [anon_sym_descending] = ACTIONS(4664),
    [anon_sym_group] = ACTIONS(4664),
    [anon_sym_select] = ACTIONS(4664),
    [anon_sym_as] = ACTIONS(4666),
    [anon_sym_is] = ACTIONS(4664),
    [anon_sym_DASH_GT] = ACTIONS(4664),
    [anon_sym_with] = ACTIONS(4664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3585] = {
    [sym_preproc_region] = STATE(3585),
    [sym_preproc_endregion] = STATE(3585),
    [sym_preproc_line] = STATE(3585),
    [sym_preproc_pragma] = STATE(3585),
    [sym_preproc_nullable] = STATE(3585),
    [sym_preproc_error] = STATE(3585),
    [sym_preproc_define] = STATE(3585),
    [sym_preproc_undef] = STATE(3585),
    [anon_sym_SEMI] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_COMMA] = ACTIONS(4487),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_RPAREN] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4487),
    [anon_sym_RBRACE] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4485),
    [anon_sym_GT] = ACTIONS(4485),
    [anon_sym_in] = ACTIONS(4485),
    [anon_sym_where] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4485),
    [anon_sym_BANG] = ACTIONS(4485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4485),
    [anon_sym_DASH] = ACTIONS(4485),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4485),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_PIPE] = ACTIONS(4485),
    [anon_sym_AMP] = ACTIONS(4485),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4485),
    [anon_sym_GT_GT_GT] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4487),
    [anon_sym_BANG_EQ] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4487),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_EQ_GT] = ACTIONS(4487),
    [anon_sym_switch] = ACTIONS(4487),
    [anon_sym_DOT_DOT] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_or] = ACTIONS(4485),
    [anon_sym_AMP_AMP] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4487),
    [anon_sym_QMARK_QMARK] = ACTIONS(4487),
    [anon_sym_from] = ACTIONS(4487),
    [anon_sym_into] = ACTIONS(4487),
    [anon_sym_join] = ACTIONS(4487),
    [anon_sym_on] = ACTIONS(4487),
    [anon_sym_equals] = ACTIONS(4487),
    [anon_sym_let] = ACTIONS(4487),
    [anon_sym_orderby] = ACTIONS(4487),
    [anon_sym_group] = ACTIONS(4487),
    [anon_sym_by] = ACTIONS(4487),
    [anon_sym_select] = ACTIONS(4487),
    [anon_sym_as] = ACTIONS(4487),
    [anon_sym_is] = ACTIONS(4487),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [anon_sym_with] = ACTIONS(4487),
    [aux_sym_preproc_if_token3] = ACTIONS(4487),
    [aux_sym_preproc_else_token1] = ACTIONS(4487),
    [aux_sym_preproc_elif_token1] = ACTIONS(4487),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3586] = {
    [sym_preproc_region] = STATE(3586),
    [sym_preproc_endregion] = STATE(3586),
    [sym_preproc_line] = STATE(3586),
    [sym_preproc_pragma] = STATE(3586),
    [sym_preproc_nullable] = STATE(3586),
    [sym_preproc_error] = STATE(3586),
    [sym_preproc_define] = STATE(3586),
    [sym_preproc_undef] = STATE(3586),
    [anon_sym_SEMI] = ACTIONS(4565),
    [anon_sym_LBRACK] = ACTIONS(4565),
    [anon_sym_COLON] = ACTIONS(4565),
    [anon_sym_COMMA] = ACTIONS(4565),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(4565),
    [anon_sym_RPAREN] = ACTIONS(4565),
    [anon_sym_LBRACE] = ACTIONS(4565),
    [anon_sym_RBRACE] = ACTIONS(4565),
    [anon_sym_LT] = ACTIONS(4563),
    [anon_sym_GT] = ACTIONS(4563),
    [anon_sym_in] = ACTIONS(4563),
    [anon_sym_where] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4565),
    [anon_sym_DASH_DASH] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_SLASH] = ACTIONS(4563),
    [anon_sym_PERCENT] = ACTIONS(4565),
    [anon_sym_CARET] = ACTIONS(4565),
    [anon_sym_PIPE] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(4563),
    [anon_sym_LT_LT] = ACTIONS(4565),
    [anon_sym_GT_GT] = ACTIONS(4563),
    [anon_sym_GT_GT_GT] = ACTIONS(4565),
    [anon_sym_EQ_EQ] = ACTIONS(4565),
    [anon_sym_BANG_EQ] = ACTIONS(4565),
    [anon_sym_GT_EQ] = ACTIONS(4565),
    [anon_sym_LT_EQ] = ACTIONS(4565),
    [anon_sym_DOT] = ACTIONS(4563),
    [anon_sym_EQ_GT] = ACTIONS(4565),
    [anon_sym_switch] = ACTIONS(4565),
    [anon_sym_DOT_DOT] = ACTIONS(4565),
    [anon_sym_and] = ACTIONS(4565),
    [anon_sym_or] = ACTIONS(4563),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_PIPE_PIPE] = ACTIONS(4565),
    [anon_sym_QMARK_QMARK] = ACTIONS(4565),
    [anon_sym_from] = ACTIONS(4565),
    [anon_sym_into] = ACTIONS(4565),
    [anon_sym_join] = ACTIONS(4565),
    [anon_sym_on] = ACTIONS(4565),
    [anon_sym_equals] = ACTIONS(4565),
    [anon_sym_let] = ACTIONS(4565),
    [anon_sym_orderby] = ACTIONS(4565),
    [anon_sym_group] = ACTIONS(4565),
    [anon_sym_by] = ACTIONS(4565),
    [anon_sym_select] = ACTIONS(4565),
    [anon_sym_as] = ACTIONS(4565),
    [anon_sym_is] = ACTIONS(4565),
    [anon_sym_DASH_GT] = ACTIONS(4565),
    [anon_sym_with] = ACTIONS(4565),
    [aux_sym_preproc_if_token3] = ACTIONS(4565),
    [aux_sym_preproc_else_token1] = ACTIONS(4565),
    [aux_sym_preproc_elif_token1] = ACTIONS(4565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3587] = {
    [sym_preproc_region] = STATE(3587),
    [sym_preproc_endregion] = STATE(3587),
    [sym_preproc_line] = STATE(3587),
    [sym_preproc_pragma] = STATE(3587),
    [sym_preproc_nullable] = STATE(3587),
    [sym_preproc_error] = STATE(3587),
    [sym_preproc_define] = STATE(3587),
    [sym_preproc_undef] = STATE(3587),
    [anon_sym_SEMI] = ACTIONS(4461),
    [anon_sym_LBRACK] = ACTIONS(4461),
    [anon_sym_COLON] = ACTIONS(4461),
    [anon_sym_COMMA] = ACTIONS(4461),
    [anon_sym_RBRACK] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(4461),
    [anon_sym_RPAREN] = ACTIONS(4461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_RBRACE] = ACTIONS(4461),
    [anon_sym_LT] = ACTIONS(4459),
    [anon_sym_GT] = ACTIONS(4459),
    [anon_sym_in] = ACTIONS(4459),
    [anon_sym_where] = ACTIONS(4461),
    [anon_sym_QMARK] = ACTIONS(4459),
    [anon_sym_BANG] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4461),
    [anon_sym_DASH_DASH] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_STAR] = ACTIONS(4461),
    [anon_sym_SLASH] = ACTIONS(4459),
    [anon_sym_PERCENT] = ACTIONS(4461),
    [anon_sym_CARET] = ACTIONS(4461),
    [anon_sym_PIPE] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(4459),
    [anon_sym_LT_LT] = ACTIONS(4461),
    [anon_sym_GT_GT] = ACTIONS(4459),
    [anon_sym_GT_GT_GT] = ACTIONS(4461),
    [anon_sym_EQ_EQ] = ACTIONS(4461),
    [anon_sym_BANG_EQ] = ACTIONS(4461),
    [anon_sym_GT_EQ] = ACTIONS(4461),
    [anon_sym_LT_EQ] = ACTIONS(4461),
    [anon_sym_DOT] = ACTIONS(4459),
    [anon_sym_EQ_GT] = ACTIONS(4461),
    [anon_sym_switch] = ACTIONS(4461),
    [anon_sym_DOT_DOT] = ACTIONS(4461),
    [anon_sym_and] = ACTIONS(4461),
    [anon_sym_or] = ACTIONS(4459),
    [anon_sym_AMP_AMP] = ACTIONS(4461),
    [anon_sym_PIPE_PIPE] = ACTIONS(4461),
    [anon_sym_QMARK_QMARK] = ACTIONS(4461),
    [anon_sym_from] = ACTIONS(4461),
    [anon_sym_into] = ACTIONS(4461),
    [anon_sym_join] = ACTIONS(4461),
    [anon_sym_on] = ACTIONS(4461),
    [anon_sym_equals] = ACTIONS(4461),
    [anon_sym_let] = ACTIONS(4461),
    [anon_sym_orderby] = ACTIONS(4461),
    [anon_sym_group] = ACTIONS(4461),
    [anon_sym_by] = ACTIONS(4461),
    [anon_sym_select] = ACTIONS(4461),
    [anon_sym_as] = ACTIONS(4461),
    [anon_sym_is] = ACTIONS(4461),
    [anon_sym_DASH_GT] = ACTIONS(4461),
    [anon_sym_with] = ACTIONS(4461),
    [aux_sym_preproc_if_token3] = ACTIONS(4461),
    [aux_sym_preproc_else_token1] = ACTIONS(4461),
    [aux_sym_preproc_elif_token1] = ACTIONS(4461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3588] = {
    [sym_preproc_region] = STATE(3588),
    [sym_preproc_endregion] = STATE(3588),
    [sym_preproc_line] = STATE(3588),
    [sym_preproc_pragma] = STATE(3588),
    [sym_preproc_nullable] = STATE(3588),
    [sym_preproc_error] = STATE(3588),
    [sym_preproc_define] = STATE(3588),
    [sym_preproc_undef] = STATE(3588),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4128),
    [anon_sym_where] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4130),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4130),
    [anon_sym_CARET] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4130),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4130),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4128),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4130),
    [anon_sym_from] = ACTIONS(4130),
    [anon_sym_into] = ACTIONS(4130),
    [anon_sym_join] = ACTIONS(4130),
    [anon_sym_on] = ACTIONS(4130),
    [anon_sym_equals] = ACTIONS(4130),
    [anon_sym_let] = ACTIONS(4130),
    [anon_sym_orderby] = ACTIONS(4130),
    [anon_sym_group] = ACTIONS(4130),
    [anon_sym_by] = ACTIONS(4130),
    [anon_sym_select] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3589] = {
    [sym_preproc_region] = STATE(3589),
    [sym_preproc_endregion] = STATE(3589),
    [sym_preproc_line] = STATE(3589),
    [sym_preproc_pragma] = STATE(3589),
    [sym_preproc_nullable] = STATE(3589),
    [sym_preproc_error] = STATE(3589),
    [sym_preproc_define] = STATE(3589),
    [sym_preproc_undef] = STATE(3589),
    [anon_sym_SEMI] = ACTIONS(4561),
    [anon_sym_LBRACK] = ACTIONS(4561),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_COMMA] = ACTIONS(4561),
    [anon_sym_RBRACK] = ACTIONS(4561),
    [anon_sym_LPAREN] = ACTIONS(4561),
    [anon_sym_RPAREN] = ACTIONS(4561),
    [anon_sym_LBRACE] = ACTIONS(4561),
    [anon_sym_RBRACE] = ACTIONS(4561),
    [anon_sym_LT] = ACTIONS(4559),
    [anon_sym_GT] = ACTIONS(4559),
    [anon_sym_in] = ACTIONS(4559),
    [anon_sym_where] = ACTIONS(4561),
    [anon_sym_QMARK] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(4559),
    [anon_sym_PLUS_PLUS] = ACTIONS(4561),
    [anon_sym_DASH_DASH] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_STAR] = ACTIONS(4561),
    [anon_sym_SLASH] = ACTIONS(4559),
    [anon_sym_PERCENT] = ACTIONS(4561),
    [anon_sym_CARET] = ACTIONS(4561),
    [anon_sym_PIPE] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym_LT_LT] = ACTIONS(4561),
    [anon_sym_GT_GT] = ACTIONS(4559),
    [anon_sym_GT_GT_GT] = ACTIONS(4561),
    [anon_sym_EQ_EQ] = ACTIONS(4561),
    [anon_sym_BANG_EQ] = ACTIONS(4561),
    [anon_sym_GT_EQ] = ACTIONS(4561),
    [anon_sym_LT_EQ] = ACTIONS(4561),
    [anon_sym_DOT] = ACTIONS(4559),
    [anon_sym_EQ_GT] = ACTIONS(4561),
    [anon_sym_switch] = ACTIONS(4561),
    [anon_sym_DOT_DOT] = ACTIONS(4561),
    [anon_sym_and] = ACTIONS(4561),
    [anon_sym_or] = ACTIONS(4559),
    [anon_sym_AMP_AMP] = ACTIONS(4561),
    [anon_sym_PIPE_PIPE] = ACTIONS(4561),
    [anon_sym_QMARK_QMARK] = ACTIONS(4561),
    [anon_sym_from] = ACTIONS(4561),
    [anon_sym_into] = ACTIONS(4561),
    [anon_sym_join] = ACTIONS(4561),
    [anon_sym_on] = ACTIONS(4561),
    [anon_sym_equals] = ACTIONS(4561),
    [anon_sym_let] = ACTIONS(4561),
    [anon_sym_orderby] = ACTIONS(4561),
    [anon_sym_group] = ACTIONS(4561),
    [anon_sym_by] = ACTIONS(4561),
    [anon_sym_select] = ACTIONS(4561),
    [anon_sym_as] = ACTIONS(4561),
    [anon_sym_is] = ACTIONS(4561),
    [anon_sym_DASH_GT] = ACTIONS(4561),
    [anon_sym_with] = ACTIONS(4561),
    [aux_sym_preproc_if_token3] = ACTIONS(4561),
    [aux_sym_preproc_else_token1] = ACTIONS(4561),
    [aux_sym_preproc_elif_token1] = ACTIONS(4561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3590] = {
    [sym_preproc_region] = STATE(3590),
    [sym_preproc_endregion] = STATE(3590),
    [sym_preproc_line] = STATE(3590),
    [sym_preproc_pragma] = STATE(3590),
    [sym_preproc_nullable] = STATE(3590),
    [sym_preproc_error] = STATE(3590),
    [sym_preproc_define] = STATE(3590),
    [sym_preproc_undef] = STATE(3590),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4138),
    [anon_sym_where] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4140),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4140),
    [anon_sym_from] = ACTIONS(4140),
    [anon_sym_into] = ACTIONS(4140),
    [anon_sym_join] = ACTIONS(4140),
    [anon_sym_on] = ACTIONS(4140),
    [anon_sym_equals] = ACTIONS(4140),
    [anon_sym_let] = ACTIONS(4140),
    [anon_sym_orderby] = ACTIONS(4140),
    [anon_sym_group] = ACTIONS(4140),
    [anon_sym_by] = ACTIONS(4140),
    [anon_sym_select] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3591] = {
    [sym_preproc_region] = STATE(3591),
    [sym_preproc_endregion] = STATE(3591),
    [sym_preproc_line] = STATE(3591),
    [sym_preproc_pragma] = STATE(3591),
    [sym_preproc_nullable] = STATE(3591),
    [sym_preproc_error] = STATE(3591),
    [sym_preproc_define] = STATE(3591),
    [sym_preproc_undef] = STATE(3591),
    [anon_sym_SEMI] = ACTIONS(4465),
    [anon_sym_LBRACK] = ACTIONS(4465),
    [anon_sym_COLON] = ACTIONS(4465),
    [anon_sym_COMMA] = ACTIONS(4465),
    [anon_sym_RBRACK] = ACTIONS(4465),
    [anon_sym_LPAREN] = ACTIONS(4465),
    [anon_sym_RPAREN] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4465),
    [anon_sym_RBRACE] = ACTIONS(4465),
    [anon_sym_LT] = ACTIONS(4463),
    [anon_sym_GT] = ACTIONS(4463),
    [anon_sym_in] = ACTIONS(4463),
    [anon_sym_where] = ACTIONS(4465),
    [anon_sym_QMARK] = ACTIONS(4463),
    [anon_sym_BANG] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4465),
    [anon_sym_DASH_DASH] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_STAR] = ACTIONS(4465),
    [anon_sym_SLASH] = ACTIONS(4463),
    [anon_sym_PERCENT] = ACTIONS(4465),
    [anon_sym_CARET] = ACTIONS(4465),
    [anon_sym_PIPE] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(4463),
    [anon_sym_LT_LT] = ACTIONS(4465),
    [anon_sym_GT_GT] = ACTIONS(4463),
    [anon_sym_GT_GT_GT] = ACTIONS(4465),
    [anon_sym_EQ_EQ] = ACTIONS(4465),
    [anon_sym_BANG_EQ] = ACTIONS(4465),
    [anon_sym_GT_EQ] = ACTIONS(4465),
    [anon_sym_LT_EQ] = ACTIONS(4465),
    [anon_sym_DOT] = ACTIONS(4463),
    [anon_sym_EQ_GT] = ACTIONS(4465),
    [anon_sym_switch] = ACTIONS(4465),
    [anon_sym_DOT_DOT] = ACTIONS(4465),
    [anon_sym_and] = ACTIONS(4465),
    [anon_sym_or] = ACTIONS(4463),
    [anon_sym_AMP_AMP] = ACTIONS(4465),
    [anon_sym_PIPE_PIPE] = ACTIONS(4465),
    [anon_sym_QMARK_QMARK] = ACTIONS(4465),
    [anon_sym_from] = ACTIONS(4465),
    [anon_sym_into] = ACTIONS(4465),
    [anon_sym_join] = ACTIONS(4465),
    [anon_sym_on] = ACTIONS(4465),
    [anon_sym_equals] = ACTIONS(4465),
    [anon_sym_let] = ACTIONS(4465),
    [anon_sym_orderby] = ACTIONS(4465),
    [anon_sym_group] = ACTIONS(4465),
    [anon_sym_by] = ACTIONS(4465),
    [anon_sym_select] = ACTIONS(4465),
    [anon_sym_as] = ACTIONS(4465),
    [anon_sym_is] = ACTIONS(4465),
    [anon_sym_DASH_GT] = ACTIONS(4465),
    [anon_sym_with] = ACTIONS(4465),
    [aux_sym_preproc_if_token3] = ACTIONS(4465),
    [aux_sym_preproc_else_token1] = ACTIONS(4465),
    [aux_sym_preproc_elif_token1] = ACTIONS(4465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3592] = {
    [sym_preproc_region] = STATE(3592),
    [sym_preproc_endregion] = STATE(3592),
    [sym_preproc_line] = STATE(3592),
    [sym_preproc_pragma] = STATE(3592),
    [sym_preproc_nullable] = STATE(3592),
    [sym_preproc_error] = STATE(3592),
    [sym_preproc_define] = STATE(3592),
    [sym_preproc_undef] = STATE(3592),
    [anon_sym_SEMI] = ACTIONS(4598),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [anon_sym_COLON] = ACTIONS(4598),
    [anon_sym_COMMA] = ACTIONS(4598),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_LPAREN] = ACTIONS(4598),
    [anon_sym_RPAREN] = ACTIONS(4598),
    [anon_sym_LBRACE] = ACTIONS(4598),
    [anon_sym_RBRACE] = ACTIONS(4598),
    [anon_sym_LT] = ACTIONS(4596),
    [anon_sym_GT] = ACTIONS(4596),
    [anon_sym_in] = ACTIONS(4596),
    [anon_sym_where] = ACTIONS(4598),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_BANG] = ACTIONS(4596),
    [anon_sym_PLUS_PLUS] = ACTIONS(4598),
    [anon_sym_DASH_DASH] = ACTIONS(4598),
    [anon_sym_PLUS] = ACTIONS(4596),
    [anon_sym_DASH] = ACTIONS(4596),
    [anon_sym_STAR] = ACTIONS(4598),
    [anon_sym_SLASH] = ACTIONS(4596),
    [anon_sym_PERCENT] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4598),
    [anon_sym_PIPE] = ACTIONS(4596),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_LT_LT] = ACTIONS(4598),
    [anon_sym_GT_GT] = ACTIONS(4596),
    [anon_sym_GT_GT_GT] = ACTIONS(4598),
    [anon_sym_EQ_EQ] = ACTIONS(4598),
    [anon_sym_BANG_EQ] = ACTIONS(4598),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_LT_EQ] = ACTIONS(4598),
    [anon_sym_DOT] = ACTIONS(4596),
    [anon_sym_EQ_GT] = ACTIONS(4598),
    [anon_sym_switch] = ACTIONS(4598),
    [anon_sym_DOT_DOT] = ACTIONS(4598),
    [anon_sym_and] = ACTIONS(4598),
    [anon_sym_or] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_PIPE_PIPE] = ACTIONS(4598),
    [anon_sym_QMARK_QMARK] = ACTIONS(4598),
    [anon_sym_from] = ACTIONS(4598),
    [anon_sym_into] = ACTIONS(4598),
    [anon_sym_join] = ACTIONS(4598),
    [anon_sym_on] = ACTIONS(4598),
    [anon_sym_equals] = ACTIONS(4598),
    [anon_sym_let] = ACTIONS(4598),
    [anon_sym_orderby] = ACTIONS(4598),
    [anon_sym_group] = ACTIONS(4598),
    [anon_sym_by] = ACTIONS(4598),
    [anon_sym_select] = ACTIONS(4598),
    [anon_sym_as] = ACTIONS(4598),
    [anon_sym_is] = ACTIONS(4598),
    [anon_sym_DASH_GT] = ACTIONS(4598),
    [anon_sym_with] = ACTIONS(4598),
    [aux_sym_preproc_if_token3] = ACTIONS(4598),
    [aux_sym_preproc_else_token1] = ACTIONS(4598),
    [aux_sym_preproc_elif_token1] = ACTIONS(4598),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3593] = {
    [sym_preproc_region] = STATE(3593),
    [sym_preproc_endregion] = STATE(3593),
    [sym_preproc_line] = STATE(3593),
    [sym_preproc_pragma] = STATE(3593),
    [sym_preproc_nullable] = STATE(3593),
    [sym_preproc_error] = STATE(3593),
    [sym_preproc_define] = STATE(3593),
    [sym_preproc_undef] = STATE(3593),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_COLON] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [anon_sym_RBRACK] = ACTIONS(5327),
    [anon_sym_LPAREN] = ACTIONS(5327),
    [anon_sym_RPAREN] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5327),
    [anon_sym_RBRACE] = ACTIONS(5327),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_in] = ACTIONS(5329),
    [anon_sym_where] = ACTIONS(5327),
    [anon_sym_QMARK] = ACTIONS(5329),
    [anon_sym_BANG] = ACTIONS(5329),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5327),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5327),
    [anon_sym_CARET] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5327),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_GT_GT_GT] = ACTIONS(5327),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT_EQ] = ACTIONS(5327),
    [anon_sym_LT_EQ] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_EQ_GT] = ACTIONS(5327),
    [anon_sym_switch] = ACTIONS(5327),
    [anon_sym_DOT_DOT] = ACTIONS(5327),
    [anon_sym_and] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5329),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_QMARK_QMARK] = ACTIONS(5327),
    [anon_sym_from] = ACTIONS(5327),
    [anon_sym_into] = ACTIONS(5327),
    [anon_sym_join] = ACTIONS(5327),
    [anon_sym_on] = ACTIONS(5327),
    [anon_sym_equals] = ACTIONS(5327),
    [anon_sym_let] = ACTIONS(5327),
    [anon_sym_orderby] = ACTIONS(5327),
    [anon_sym_group] = ACTIONS(5327),
    [anon_sym_by] = ACTIONS(5327),
    [anon_sym_select] = ACTIONS(5327),
    [anon_sym_as] = ACTIONS(5327),
    [anon_sym_is] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5327),
    [anon_sym_with] = ACTIONS(5327),
    [aux_sym_preproc_if_token3] = ACTIONS(5327),
    [aux_sym_preproc_else_token1] = ACTIONS(5327),
    [aux_sym_preproc_elif_token1] = ACTIONS(5327),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3594] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7283),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_identifier] = STATE(6768),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3594),
    [sym_preproc_endregion] = STATE(3594),
    [sym_preproc_line] = STATE(3594),
    [sym_preproc_pragma] = STATE(3594),
    [sym_preproc_nullable] = STATE(3594),
    [sym_preproc_error] = STATE(3594),
    [sym_preproc_define] = STATE(3594),
    [sym_preproc_undef] = STATE(3594),
    [aux_sym_class_declaration_repeat1] = STATE(3807),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3595] = {
    [sym_preproc_region] = STATE(3595),
    [sym_preproc_endregion] = STATE(3595),
    [sym_preproc_line] = STATE(3595),
    [sym_preproc_pragma] = STATE(3595),
    [sym_preproc_nullable] = STATE(3595),
    [sym_preproc_error] = STATE(3595),
    [sym_preproc_define] = STATE(3595),
    [sym_preproc_undef] = STATE(3595),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3995),
    [anon_sym_where] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_from] = ACTIONS(3995),
    [anon_sym_join] = ACTIONS(3995),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_let] = ACTIONS(3995),
    [anon_sym_orderby] = ACTIONS(3995),
    [anon_sym_group] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_select] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3596] = {
    [sym_preproc_region] = STATE(3596),
    [sym_preproc_endregion] = STATE(3596),
    [sym_preproc_line] = STATE(3596),
    [sym_preproc_pragma] = STATE(3596),
    [sym_preproc_nullable] = STATE(3596),
    [sym_preproc_error] = STATE(3596),
    [sym_preproc_define] = STATE(3596),
    [sym_preproc_undef] = STATE(3596),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3597] = {
    [sym_preproc_region] = STATE(3597),
    [sym_preproc_endregion] = STATE(3597),
    [sym_preproc_line] = STATE(3597),
    [sym_preproc_pragma] = STATE(3597),
    [sym_preproc_nullable] = STATE(3597),
    [sym_preproc_error] = STATE(3597),
    [sym_preproc_define] = STATE(3597),
    [sym_preproc_undef] = STATE(3597),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3598] = {
    [sym_preproc_region] = STATE(3598),
    [sym_preproc_endregion] = STATE(3598),
    [sym_preproc_line] = STATE(3598),
    [sym_preproc_pragma] = STATE(3598),
    [sym_preproc_nullable] = STATE(3598),
    [sym_preproc_error] = STATE(3598),
    [sym_preproc_define] = STATE(3598),
    [sym_preproc_undef] = STATE(3598),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_LPAREN] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_in] = ACTIONS(5338),
    [anon_sym_where] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5338),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5338),
    [anon_sym_GT_GT_GT] = ACTIONS(5336),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_EQ_GT] = ACTIONS(5336),
    [anon_sym_switch] = ACTIONS(5336),
    [anon_sym_DOT_DOT] = ACTIONS(5336),
    [anon_sym_and] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5338),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_QMARK_QMARK] = ACTIONS(5336),
    [anon_sym_from] = ACTIONS(5336),
    [anon_sym_into] = ACTIONS(5336),
    [anon_sym_join] = ACTIONS(5336),
    [anon_sym_on] = ACTIONS(5336),
    [anon_sym_equals] = ACTIONS(5336),
    [anon_sym_let] = ACTIONS(5336),
    [anon_sym_orderby] = ACTIONS(5336),
    [anon_sym_group] = ACTIONS(5336),
    [anon_sym_by] = ACTIONS(5336),
    [anon_sym_select] = ACTIONS(5336),
    [anon_sym_as] = ACTIONS(5336),
    [anon_sym_is] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [anon_sym_with] = ACTIONS(5336),
    [sym_string_literal_encoding] = ACTIONS(5340),
    [aux_sym_preproc_if_token3] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5336),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3599] = {
    [sym_preproc_region] = STATE(3599),
    [sym_preproc_endregion] = STATE(3599),
    [sym_preproc_line] = STATE(3599),
    [sym_preproc_pragma] = STATE(3599),
    [sym_preproc_nullable] = STATE(3599),
    [sym_preproc_error] = STATE(3599),
    [sym_preproc_define] = STATE(3599),
    [sym_preproc_undef] = STATE(3599),
    [anon_sym_SEMI] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [anon_sym_COLON] = ACTIONS(5342),
    [anon_sym_COMMA] = ACTIONS(5342),
    [anon_sym_RBRACK] = ACTIONS(5342),
    [anon_sym_LPAREN] = ACTIONS(5342),
    [anon_sym_RPAREN] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5342),
    [anon_sym_RBRACE] = ACTIONS(5342),
    [anon_sym_LT] = ACTIONS(5344),
    [anon_sym_GT] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_where] = ACTIONS(5342),
    [anon_sym_QMARK] = ACTIONS(5344),
    [anon_sym_BANG] = ACTIONS(5344),
    [anon_sym_PLUS_PLUS] = ACTIONS(5342),
    [anon_sym_DASH_DASH] = ACTIONS(5342),
    [anon_sym_PLUS] = ACTIONS(5344),
    [anon_sym_DASH] = ACTIONS(5344),
    [anon_sym_STAR] = ACTIONS(5342),
    [anon_sym_SLASH] = ACTIONS(5344),
    [anon_sym_PERCENT] = ACTIONS(5342),
    [anon_sym_CARET] = ACTIONS(5342),
    [anon_sym_PIPE] = ACTIONS(5344),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_LT_LT] = ACTIONS(5342),
    [anon_sym_GT_GT] = ACTIONS(5344),
    [anon_sym_GT_GT_GT] = ACTIONS(5342),
    [anon_sym_EQ_EQ] = ACTIONS(5342),
    [anon_sym_BANG_EQ] = ACTIONS(5342),
    [anon_sym_GT_EQ] = ACTIONS(5342),
    [anon_sym_LT_EQ] = ACTIONS(5342),
    [anon_sym_DOT] = ACTIONS(5344),
    [anon_sym_EQ_GT] = ACTIONS(5342),
    [anon_sym_switch] = ACTIONS(5342),
    [anon_sym_DOT_DOT] = ACTIONS(5342),
    [anon_sym_and] = ACTIONS(5342),
    [anon_sym_or] = ACTIONS(5344),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_PIPE_PIPE] = ACTIONS(5342),
    [anon_sym_QMARK_QMARK] = ACTIONS(5342),
    [anon_sym_from] = ACTIONS(5342),
    [anon_sym_into] = ACTIONS(5342),
    [anon_sym_join] = ACTIONS(5342),
    [anon_sym_on] = ACTIONS(5342),
    [anon_sym_equals] = ACTIONS(5342),
    [anon_sym_let] = ACTIONS(5342),
    [anon_sym_orderby] = ACTIONS(5342),
    [anon_sym_group] = ACTIONS(5342),
    [anon_sym_by] = ACTIONS(5342),
    [anon_sym_select] = ACTIONS(5342),
    [anon_sym_as] = ACTIONS(5342),
    [anon_sym_is] = ACTIONS(5342),
    [anon_sym_DASH_GT] = ACTIONS(5342),
    [anon_sym_with] = ACTIONS(5342),
    [aux_sym_preproc_if_token3] = ACTIONS(5342),
    [aux_sym_preproc_else_token1] = ACTIONS(5342),
    [aux_sym_preproc_elif_token1] = ACTIONS(5342),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3600] = {
    [sym_preproc_region] = STATE(3600),
    [sym_preproc_endregion] = STATE(3600),
    [sym_preproc_line] = STATE(3600),
    [sym_preproc_pragma] = STATE(3600),
    [sym_preproc_nullable] = STATE(3600),
    [sym_preproc_error] = STATE(3600),
    [sym_preproc_define] = STATE(3600),
    [sym_preproc_undef] = STATE(3600),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3601] = {
    [sym_preproc_region] = STATE(3601),
    [sym_preproc_endregion] = STATE(3601),
    [sym_preproc_line] = STATE(3601),
    [sym_preproc_pragma] = STATE(3601),
    [sym_preproc_nullable] = STATE(3601),
    [sym_preproc_error] = STATE(3601),
    [sym_preproc_define] = STATE(3601),
    [sym_preproc_undef] = STATE(3601),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_LPAREN] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_in] = ACTIONS(4477),
    [anon_sym_where] = ACTIONS(4479),
    [anon_sym_QMARK] = ACTIONS(4477),
    [anon_sym_BANG] = ACTIONS(4477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_GT_GT_GT] = ACTIONS(4479),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_EQ_GT] = ACTIONS(4479),
    [anon_sym_switch] = ACTIONS(4479),
    [anon_sym_DOT_DOT] = ACTIONS(4479),
    [anon_sym_and] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_QMARK_QMARK] = ACTIONS(4479),
    [anon_sym_from] = ACTIONS(4479),
    [anon_sym_into] = ACTIONS(4479),
    [anon_sym_join] = ACTIONS(4479),
    [anon_sym_on] = ACTIONS(4479),
    [anon_sym_equals] = ACTIONS(4479),
    [anon_sym_let] = ACTIONS(4479),
    [anon_sym_orderby] = ACTIONS(4479),
    [anon_sym_group] = ACTIONS(4479),
    [anon_sym_by] = ACTIONS(4479),
    [anon_sym_select] = ACTIONS(4479),
    [anon_sym_as] = ACTIONS(4479),
    [anon_sym_is] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [anon_sym_with] = ACTIONS(4479),
    [aux_sym_preproc_if_token3] = ACTIONS(4479),
    [aux_sym_preproc_else_token1] = ACTIONS(4479),
    [aux_sym_preproc_elif_token1] = ACTIONS(4479),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3602] = {
    [sym_preproc_region] = STATE(3602),
    [sym_preproc_endregion] = STATE(3602),
    [sym_preproc_line] = STATE(3602),
    [sym_preproc_pragma] = STATE(3602),
    [sym_preproc_nullable] = STATE(3602),
    [sym_preproc_error] = STATE(3602),
    [sym_preproc_define] = STATE(3602),
    [sym_preproc_undef] = STATE(3602),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3603] = {
    [sym_preproc_region] = STATE(3603),
    [sym_preproc_endregion] = STATE(3603),
    [sym_preproc_line] = STATE(3603),
    [sym_preproc_pragma] = STATE(3603),
    [sym_preproc_nullable] = STATE(3603),
    [sym_preproc_error] = STATE(3603),
    [sym_preproc_define] = STATE(3603),
    [sym_preproc_undef] = STATE(3603),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_EQ] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_in] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5348),
    [anon_sym_DASH_EQ] = ACTIONS(5348),
    [anon_sym_STAR_EQ] = ACTIONS(5348),
    [anon_sym_SLASH_EQ] = ACTIONS(5348),
    [anon_sym_PERCENT_EQ] = ACTIONS(5348),
    [anon_sym_AMP_EQ] = ACTIONS(5348),
    [anon_sym_CARET_EQ] = ACTIONS(5348),
    [anon_sym_PIPE_EQ] = ACTIONS(5348),
    [anon_sym_LT_LT_EQ] = ACTIONS(5348),
    [anon_sym_GT_GT_EQ] = ACTIONS(5348),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5348),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5348),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3604] = {
    [sym_preproc_region] = STATE(3604),
    [sym_preproc_endregion] = STATE(3604),
    [sym_preproc_line] = STATE(3604),
    [sym_preproc_pragma] = STATE(3604),
    [sym_preproc_nullable] = STATE(3604),
    [sym_preproc_error] = STATE(3604),
    [sym_preproc_define] = STATE(3604),
    [sym_preproc_undef] = STATE(3604),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_in] = ACTIONS(4534),
    [anon_sym_where] = ACTIONS(4536),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_BANG] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_GT_GT_GT] = ACTIONS(4536),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_EQ_GT] = ACTIONS(4536),
    [anon_sym_switch] = ACTIONS(4536),
    [anon_sym_DOT_DOT] = ACTIONS(4536),
    [anon_sym_and] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_QMARK_QMARK] = ACTIONS(4536),
    [anon_sym_from] = ACTIONS(4536),
    [anon_sym_into] = ACTIONS(4536),
    [anon_sym_join] = ACTIONS(4536),
    [anon_sym_on] = ACTIONS(4536),
    [anon_sym_equals] = ACTIONS(4536),
    [anon_sym_let] = ACTIONS(4536),
    [anon_sym_orderby] = ACTIONS(4536),
    [anon_sym_group] = ACTIONS(4536),
    [anon_sym_by] = ACTIONS(4536),
    [anon_sym_select] = ACTIONS(4536),
    [anon_sym_as] = ACTIONS(4536),
    [anon_sym_is] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [anon_sym_with] = ACTIONS(4536),
    [aux_sym_preproc_if_token3] = ACTIONS(4536),
    [aux_sym_preproc_else_token1] = ACTIONS(4536),
    [aux_sym_preproc_elif_token1] = ACTIONS(4536),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3605] = {
    [sym_preproc_region] = STATE(3605),
    [sym_preproc_endregion] = STATE(3605),
    [sym_preproc_line] = STATE(3605),
    [sym_preproc_pragma] = STATE(3605),
    [sym_preproc_nullable] = STATE(3605),
    [sym_preproc_error] = STATE(3605),
    [sym_preproc_define] = STATE(3605),
    [sym_preproc_undef] = STATE(3605),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_COLON] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4457),
    [anon_sym_LPAREN] = ACTIONS(4457),
    [anon_sym_RPAREN] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4457),
    [anon_sym_RBRACE] = ACTIONS(4457),
    [anon_sym_LT] = ACTIONS(4455),
    [anon_sym_GT] = ACTIONS(4455),
    [anon_sym_in] = ACTIONS(4455),
    [anon_sym_where] = ACTIONS(4457),
    [anon_sym_QMARK] = ACTIONS(4455),
    [anon_sym_BANG] = ACTIONS(4455),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_STAR] = ACTIONS(4457),
    [anon_sym_SLASH] = ACTIONS(4455),
    [anon_sym_PERCENT] = ACTIONS(4457),
    [anon_sym_CARET] = ACTIONS(4457),
    [anon_sym_PIPE] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(4455),
    [anon_sym_LT_LT] = ACTIONS(4457),
    [anon_sym_GT_GT] = ACTIONS(4455),
    [anon_sym_GT_GT_GT] = ACTIONS(4457),
    [anon_sym_EQ_EQ] = ACTIONS(4457),
    [anon_sym_BANG_EQ] = ACTIONS(4457),
    [anon_sym_GT_EQ] = ACTIONS(4457),
    [anon_sym_LT_EQ] = ACTIONS(4457),
    [anon_sym_DOT] = ACTIONS(4455),
    [anon_sym_EQ_GT] = ACTIONS(4457),
    [anon_sym_switch] = ACTIONS(4457),
    [anon_sym_DOT_DOT] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_or] = ACTIONS(4455),
    [anon_sym_AMP_AMP] = ACTIONS(4457),
    [anon_sym_PIPE_PIPE] = ACTIONS(4457),
    [anon_sym_QMARK_QMARK] = ACTIONS(4457),
    [anon_sym_from] = ACTIONS(4457),
    [anon_sym_into] = ACTIONS(4457),
    [anon_sym_join] = ACTIONS(4457),
    [anon_sym_on] = ACTIONS(4457),
    [anon_sym_equals] = ACTIONS(4457),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_orderby] = ACTIONS(4457),
    [anon_sym_group] = ACTIONS(4457),
    [anon_sym_by] = ACTIONS(4457),
    [anon_sym_select] = ACTIONS(4457),
    [anon_sym_as] = ACTIONS(4457),
    [anon_sym_is] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_with] = ACTIONS(4457),
    [aux_sym_preproc_if_token3] = ACTIONS(4457),
    [aux_sym_preproc_else_token1] = ACTIONS(4457),
    [aux_sym_preproc_elif_token1] = ACTIONS(4457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3606] = {
    [sym_preproc_region] = STATE(3606),
    [sym_preproc_endregion] = STATE(3606),
    [sym_preproc_line] = STATE(3606),
    [sym_preproc_pragma] = STATE(3606),
    [sym_preproc_nullable] = STATE(3606),
    [sym_preproc_error] = STATE(3606),
    [sym_preproc_define] = STATE(3606),
    [sym_preproc_undef] = STATE(3606),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_LPAREN] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_where] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_BANG] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_GT_GT_GT] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5350),
    [anon_sym_switch] = ACTIONS(5350),
    [anon_sym_DOT_DOT] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_QMARK_QMARK] = ACTIONS(5350),
    [anon_sym_from] = ACTIONS(5350),
    [anon_sym_into] = ACTIONS(5350),
    [anon_sym_join] = ACTIONS(5350),
    [anon_sym_on] = ACTIONS(5350),
    [anon_sym_equals] = ACTIONS(5350),
    [anon_sym_let] = ACTIONS(5350),
    [anon_sym_orderby] = ACTIONS(5350),
    [anon_sym_group] = ACTIONS(5350),
    [anon_sym_by] = ACTIONS(5350),
    [anon_sym_select] = ACTIONS(5350),
    [anon_sym_as] = ACTIONS(5350),
    [anon_sym_is] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_with] = ACTIONS(5350),
    [sym_string_literal_encoding] = ACTIONS(5354),
    [aux_sym_preproc_if_token3] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3607] = {
    [sym_preproc_region] = STATE(3607),
    [sym_preproc_endregion] = STATE(3607),
    [sym_preproc_line] = STATE(3607),
    [sym_preproc_pragma] = STATE(3607),
    [sym_preproc_nullable] = STATE(3607),
    [sym_preproc_error] = STATE(3607),
    [sym_preproc_define] = STATE(3607),
    [sym_preproc_undef] = STATE(3607),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_COLON] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RBRACK] = ACTIONS(5356),
    [anon_sym_LPAREN] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_in] = ACTIONS(5358),
    [anon_sym_where] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5358),
    [anon_sym_BANG] = ACTIONS(5358),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_GT_GT_GT] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_EQ_GT] = ACTIONS(5356),
    [anon_sym_switch] = ACTIONS(5356),
    [anon_sym_DOT_DOT] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_QMARK_QMARK] = ACTIONS(5356),
    [anon_sym_from] = ACTIONS(5356),
    [anon_sym_into] = ACTIONS(5356),
    [anon_sym_join] = ACTIONS(5356),
    [anon_sym_on] = ACTIONS(5356),
    [anon_sym_equals] = ACTIONS(5356),
    [anon_sym_let] = ACTIONS(5356),
    [anon_sym_orderby] = ACTIONS(5356),
    [anon_sym_group] = ACTIONS(5356),
    [anon_sym_by] = ACTIONS(5356),
    [anon_sym_select] = ACTIONS(5356),
    [anon_sym_as] = ACTIONS(5356),
    [anon_sym_is] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_with] = ACTIONS(5356),
    [aux_sym_raw_string_literal_token1] = ACTIONS(5360),
    [aux_sym_preproc_if_token3] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3608] = {
    [sym_initializer_expression] = STATE(3745),
    [sym_preproc_region] = STATE(3608),
    [sym_preproc_endregion] = STATE(3608),
    [sym_preproc_line] = STATE(3608),
    [sym_preproc_pragma] = STATE(3608),
    [sym_preproc_nullable] = STATE(3608),
    [sym_preproc_error] = STATE(3608),
    [sym_preproc_define] = STATE(3608),
    [sym_preproc_undef] = STATE(3608),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_RBRACK] = ACTIONS(5323),
    [anon_sym_LPAREN] = ACTIONS(5323),
    [anon_sym_RPAREN] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_in] = ACTIONS(5323),
    [anon_sym_where] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_BANG] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_GT_GT_GT] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_EQ_GT] = ACTIONS(5323),
    [anon_sym_switch] = ACTIONS(5323),
    [anon_sym_DOT_DOT] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_QMARK_QMARK] = ACTIONS(5323),
    [anon_sym_from] = ACTIONS(5323),
    [anon_sym_join] = ACTIONS(5323),
    [anon_sym_on] = ACTIONS(5323),
    [anon_sym_equals] = ACTIONS(5323),
    [anon_sym_let] = ACTIONS(5323),
    [anon_sym_orderby] = ACTIONS(5323),
    [anon_sym_group] = ACTIONS(5323),
    [anon_sym_by] = ACTIONS(5323),
    [anon_sym_select] = ACTIONS(5323),
    [anon_sym_as] = ACTIONS(5323),
    [anon_sym_is] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_with] = ACTIONS(5323),
    [aux_sym_preproc_if_token3] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3609] = {
    [sym_preproc_region] = STATE(3609),
    [sym_preproc_endregion] = STATE(3609),
    [sym_preproc_line] = STATE(3609),
    [sym_preproc_pragma] = STATE(3609),
    [sym_preproc_nullable] = STATE(3609),
    [sym_preproc_error] = STATE(3609),
    [sym_preproc_define] = STATE(3609),
    [sym_preproc_undef] = STATE(3609),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_where] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_join] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_let] = ACTIONS(4134),
    [anon_sym_orderby] = ACTIONS(4134),
    [anon_sym_group] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3610] = {
    [sym_preproc_region] = STATE(3610),
    [sym_preproc_endregion] = STATE(3610),
    [sym_preproc_line] = STATE(3610),
    [sym_preproc_pragma] = STATE(3610),
    [sym_preproc_nullable] = STATE(3610),
    [sym_preproc_error] = STATE(3610),
    [sym_preproc_define] = STATE(3610),
    [sym_preproc_undef] = STATE(3610),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_COLON] = ACTIONS(5362),
    [anon_sym_COMMA] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5362),
    [anon_sym_LPAREN] = ACTIONS(5362),
    [anon_sym_RPAREN] = ACTIONS(5362),
    [anon_sym_LBRACE] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5362),
    [anon_sym_LT] = ACTIONS(5364),
    [anon_sym_GT] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_where] = ACTIONS(5362),
    [anon_sym_QMARK] = ACTIONS(5364),
    [anon_sym_BANG] = ACTIONS(5364),
    [anon_sym_PLUS_PLUS] = ACTIONS(5362),
    [anon_sym_DASH_DASH] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5364),
    [anon_sym_DASH] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_SLASH] = ACTIONS(5364),
    [anon_sym_PERCENT] = ACTIONS(5362),
    [anon_sym_CARET] = ACTIONS(5362),
    [anon_sym_PIPE] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_LT_LT] = ACTIONS(5362),
    [anon_sym_GT_GT] = ACTIONS(5364),
    [anon_sym_GT_GT_GT] = ACTIONS(5362),
    [anon_sym_EQ_EQ] = ACTIONS(5362),
    [anon_sym_BANG_EQ] = ACTIONS(5362),
    [anon_sym_GT_EQ] = ACTIONS(5362),
    [anon_sym_LT_EQ] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_EQ_GT] = ACTIONS(5362),
    [anon_sym_switch] = ACTIONS(5362),
    [anon_sym_DOT_DOT] = ACTIONS(5362),
    [anon_sym_and] = ACTIONS(5362),
    [anon_sym_or] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_PIPE_PIPE] = ACTIONS(5362),
    [anon_sym_QMARK_QMARK] = ACTIONS(5362),
    [anon_sym_from] = ACTIONS(5362),
    [anon_sym_into] = ACTIONS(5362),
    [anon_sym_join] = ACTIONS(5362),
    [anon_sym_on] = ACTIONS(5362),
    [anon_sym_equals] = ACTIONS(5362),
    [anon_sym_let] = ACTIONS(5362),
    [anon_sym_orderby] = ACTIONS(5362),
    [anon_sym_group] = ACTIONS(5362),
    [anon_sym_by] = ACTIONS(5362),
    [anon_sym_select] = ACTIONS(5362),
    [anon_sym_as] = ACTIONS(5362),
    [anon_sym_is] = ACTIONS(5362),
    [anon_sym_DASH_GT] = ACTIONS(5362),
    [anon_sym_with] = ACTIONS(5362),
    [aux_sym_preproc_if_token3] = ACTIONS(5362),
    [aux_sym_preproc_else_token1] = ACTIONS(5362),
    [aux_sym_preproc_elif_token1] = ACTIONS(5362),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3611] = {
    [sym_preproc_region] = STATE(3611),
    [sym_preproc_endregion] = STATE(3611),
    [sym_preproc_line] = STATE(3611),
    [sym_preproc_pragma] = STATE(3611),
    [sym_preproc_nullable] = STATE(3611),
    [sym_preproc_error] = STATE(3611),
    [sym_preproc_define] = STATE(3611),
    [sym_preproc_undef] = STATE(3611),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4149),
    [anon_sym_where] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4151),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_CARET] = ACTIONS(4151),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4151),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4151),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4149),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4151),
    [anon_sym_from] = ACTIONS(4151),
    [anon_sym_into] = ACTIONS(4151),
    [anon_sym_join] = ACTIONS(4151),
    [anon_sym_on] = ACTIONS(4151),
    [anon_sym_equals] = ACTIONS(4151),
    [anon_sym_let] = ACTIONS(4151),
    [anon_sym_orderby] = ACTIONS(4151),
    [anon_sym_group] = ACTIONS(4151),
    [anon_sym_by] = ACTIONS(4151),
    [anon_sym_select] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3612] = {
    [sym_attribute_list] = STATE(3790),
    [sym_preproc_region] = STATE(3612),
    [sym_preproc_endregion] = STATE(3612),
    [sym_preproc_line] = STATE(3612),
    [sym_preproc_pragma] = STATE(3612),
    [sym_preproc_nullable] = STATE(3612),
    [sym_preproc_error] = STATE(3612),
    [sym_preproc_define] = STATE(3612),
    [sym_preproc_undef] = STATE(3612),
    [aux_sym_class_declaration_repeat1] = STATE(3612),
    [sym__identifier_token] = ACTIONS(5366),
    [anon_sym_extern] = ACTIONS(5366),
    [anon_sym_alias] = ACTIONS(5366),
    [anon_sym_global] = ACTIONS(5366),
    [anon_sym_unsafe] = ACTIONS(5366),
    [anon_sym_static] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_LPAREN] = ACTIONS(5371),
    [anon_sym_event] = ACTIONS(5366),
    [anon_sym_class] = ACTIONS(5366),
    [anon_sym_ref] = ACTIONS(5366),
    [anon_sym_struct] = ACTIONS(5366),
    [anon_sym_enum] = ACTIONS(5366),
    [anon_sym_interface] = ACTIONS(5366),
    [anon_sym_delegate] = ACTIONS(5366),
    [anon_sym_record] = ACTIONS(5366),
    [anon_sym_abstract] = ACTIONS(5366),
    [anon_sym_async] = ACTIONS(5366),
    [anon_sym_const] = ACTIONS(5366),
    [anon_sym_file] = ACTIONS(5366),
    [anon_sym_fixed] = ACTIONS(5366),
    [anon_sym_internal] = ACTIONS(5366),
    [anon_sym_new] = ACTIONS(5366),
    [anon_sym_override] = ACTIONS(5366),
    [anon_sym_partial] = ACTIONS(5366),
    [anon_sym_private] = ACTIONS(5366),
    [anon_sym_protected] = ACTIONS(5366),
    [anon_sym_public] = ACTIONS(5366),
    [anon_sym_readonly] = ACTIONS(5366),
    [anon_sym_required] = ACTIONS(5366),
    [anon_sym_sealed] = ACTIONS(5366),
    [anon_sym_virtual] = ACTIONS(5366),
    [anon_sym_volatile] = ACTIONS(5366),
    [anon_sym_where] = ACTIONS(5366),
    [anon_sym_notnull] = ACTIONS(5366),
    [anon_sym_unmanaged] = ACTIONS(5366),
    [anon_sym_TILDE] = ACTIONS(5371),
    [anon_sym_implicit] = ACTIONS(5366),
    [anon_sym_explicit] = ACTIONS(5366),
    [anon_sym_scoped] = ACTIONS(5366),
    [anon_sym_var] = ACTIONS(5366),
    [sym_predefined_type] = ACTIONS(5366),
    [anon_sym_yield] = ACTIONS(5366),
    [anon_sym_when] = ACTIONS(5366),
    [anon_sym_from] = ACTIONS(5366),
    [anon_sym_into] = ACTIONS(5366),
    [anon_sym_join] = ACTIONS(5366),
    [anon_sym_on] = ACTIONS(5366),
    [anon_sym_equals] = ACTIONS(5366),
    [anon_sym_let] = ACTIONS(5366),
    [anon_sym_orderby] = ACTIONS(5366),
    [anon_sym_ascending] = ACTIONS(5366),
    [anon_sym_descending] = ACTIONS(5366),
    [anon_sym_group] = ACTIONS(5366),
    [anon_sym_by] = ACTIONS(5366),
    [anon_sym_select] = ACTIONS(5366),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3613] = {
    [sym_preproc_region] = STATE(3613),
    [sym_preproc_endregion] = STATE(3613),
    [sym_preproc_line] = STATE(3613),
    [sym_preproc_pragma] = STATE(3613),
    [sym_preproc_nullable] = STATE(3613),
    [sym_preproc_error] = STATE(3613),
    [sym_preproc_define] = STATE(3613),
    [sym_preproc_undef] = STATE(3613),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4124),
    [anon_sym_where] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4126),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4126),
    [anon_sym_CARET] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4126),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4126),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4126),
    [anon_sym_from] = ACTIONS(4126),
    [anon_sym_into] = ACTIONS(4126),
    [anon_sym_join] = ACTIONS(4126),
    [anon_sym_on] = ACTIONS(4126),
    [anon_sym_equals] = ACTIONS(4126),
    [anon_sym_let] = ACTIONS(4126),
    [anon_sym_orderby] = ACTIONS(4126),
    [anon_sym_group] = ACTIONS(4126),
    [anon_sym_by] = ACTIONS(4126),
    [anon_sym_select] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3614] = {
    [sym_initializer_expression] = STATE(3788),
    [sym_preproc_region] = STATE(3614),
    [sym_preproc_endregion] = STATE(3614),
    [sym_preproc_line] = STATE(3614),
    [sym_preproc_pragma] = STATE(3614),
    [sym_preproc_nullable] = STATE(3614),
    [sym_preproc_error] = STATE(3614),
    [sym_preproc_define] = STATE(3614),
    [sym_preproc_undef] = STATE(3614),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_COLON] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_RBRACK] = ACTIONS(5279),
    [anon_sym_LPAREN] = ACTIONS(5279),
    [anon_sym_RPAREN] = ACTIONS(5279),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(5279),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_in] = ACTIONS(5279),
    [anon_sym_where] = ACTIONS(5279),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_BANG] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_GT_GT_GT] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_EQ_GT] = ACTIONS(5279),
    [anon_sym_switch] = ACTIONS(5279),
    [anon_sym_DOT_DOT] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_QMARK_QMARK] = ACTIONS(5279),
    [anon_sym_from] = ACTIONS(5279),
    [anon_sym_join] = ACTIONS(5279),
    [anon_sym_on] = ACTIONS(5279),
    [anon_sym_equals] = ACTIONS(5279),
    [anon_sym_let] = ACTIONS(5279),
    [anon_sym_orderby] = ACTIONS(5279),
    [anon_sym_group] = ACTIONS(5279),
    [anon_sym_by] = ACTIONS(5279),
    [anon_sym_select] = ACTIONS(5279),
    [anon_sym_as] = ACTIONS(5279),
    [anon_sym_is] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_with] = ACTIONS(5279),
    [aux_sym_preproc_if_token3] = ACTIONS(5279),
    [aux_sym_preproc_else_token1] = ACTIONS(5279),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3615] = {
    [sym_preproc_region] = STATE(3615),
    [sym_preproc_endregion] = STATE(3615),
    [sym_preproc_line] = STATE(3615),
    [sym_preproc_pragma] = STATE(3615),
    [sym_preproc_nullable] = STATE(3615),
    [sym_preproc_error] = STATE(3615),
    [sym_preproc_define] = STATE(3615),
    [sym_preproc_undef] = STATE(3615),
    [anon_sym_EQ] = ACTIONS(5373),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_PLUS_EQ] = ACTIONS(5375),
    [anon_sym_DASH_EQ] = ACTIONS(5375),
    [anon_sym_STAR_EQ] = ACTIONS(5375),
    [anon_sym_SLASH_EQ] = ACTIONS(5375),
    [anon_sym_PERCENT_EQ] = ACTIONS(5375),
    [anon_sym_AMP_EQ] = ACTIONS(5375),
    [anon_sym_CARET_EQ] = ACTIONS(5375),
    [anon_sym_PIPE_EQ] = ACTIONS(5375),
    [anon_sym_LT_LT_EQ] = ACTIONS(5375),
    [anon_sym_GT_GT_EQ] = ACTIONS(5375),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5375),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5375),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_ascending] = ACTIONS(5305),
    [anon_sym_descending] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5307),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3616] = {
    [sym_preproc_region] = STATE(3616),
    [sym_preproc_endregion] = STATE(3616),
    [sym_preproc_line] = STATE(3616),
    [sym_preproc_pragma] = STATE(3616),
    [sym_preproc_nullable] = STATE(3616),
    [sym_preproc_error] = STATE(3616),
    [sym_preproc_define] = STATE(3616),
    [sym_preproc_undef] = STATE(3616),
    [anon_sym_SEMI] = ACTIONS(4188),
    [anon_sym_LBRACK] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4188),
    [anon_sym_RPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4188),
    [anon_sym_LT] = ACTIONS(4177),
    [anon_sym_GT] = ACTIONS(4177),
    [anon_sym_in] = ACTIONS(4177),
    [anon_sym_where] = ACTIONS(4188),
    [anon_sym_QMARK] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4177),
    [anon_sym_PLUS_PLUS] = ACTIONS(4188),
    [anon_sym_DASH_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4177),
    [anon_sym_DASH] = ACTIONS(4177),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_SLASH] = ACTIONS(4177),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4188),
    [anon_sym_PIPE] = ACTIONS(4177),
    [anon_sym_AMP] = ACTIONS(4177),
    [anon_sym_LT_LT] = ACTIONS(4188),
    [anon_sym_GT_GT] = ACTIONS(4177),
    [anon_sym_GT_GT_GT] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4188),
    [anon_sym_BANG_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_DOT] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4188),
    [anon_sym_switch] = ACTIONS(4188),
    [anon_sym_DOT_DOT] = ACTIONS(4188),
    [anon_sym_and] = ACTIONS(4188),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4188),
    [anon_sym_QMARK_QMARK] = ACTIONS(4188),
    [anon_sym_from] = ACTIONS(4188),
    [anon_sym_into] = ACTIONS(4188),
    [anon_sym_join] = ACTIONS(4188),
    [anon_sym_on] = ACTIONS(4188),
    [anon_sym_equals] = ACTIONS(4188),
    [anon_sym_let] = ACTIONS(4188),
    [anon_sym_orderby] = ACTIONS(4188),
    [anon_sym_group] = ACTIONS(4188),
    [anon_sym_by] = ACTIONS(4188),
    [anon_sym_select] = ACTIONS(4188),
    [anon_sym_as] = ACTIONS(4188),
    [anon_sym_is] = ACTIONS(4188),
    [anon_sym_DASH_GT] = ACTIONS(4188),
    [anon_sym_with] = ACTIONS(4188),
    [aux_sym_preproc_if_token3] = ACTIONS(4188),
    [aux_sym_preproc_else_token1] = ACTIONS(4188),
    [aux_sym_preproc_elif_token1] = ACTIONS(4188),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3617] = {
    [sym_preproc_region] = STATE(3617),
    [sym_preproc_endregion] = STATE(3617),
    [sym_preproc_line] = STATE(3617),
    [sym_preproc_pragma] = STATE(3617),
    [sym_preproc_nullable] = STATE(3617),
    [sym_preproc_error] = STATE(3617),
    [sym_preproc_define] = STATE(3617),
    [sym_preproc_undef] = STATE(3617),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4086),
    [anon_sym_where] = ACTIONS(4086),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(4086),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4086),
    [anon_sym_or] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4086),
    [anon_sym_from] = ACTIONS(4086),
    [anon_sym_join] = ACTIONS(4086),
    [anon_sym_on] = ACTIONS(4086),
    [anon_sym_equals] = ACTIONS(4086),
    [anon_sym_let] = ACTIONS(4086),
    [anon_sym_orderby] = ACTIONS(4086),
    [anon_sym_group] = ACTIONS(4086),
    [anon_sym_by] = ACTIONS(4086),
    [anon_sym_select] = ACTIONS(4086),
    [anon_sym_as] = ACTIONS(4086),
    [anon_sym_is] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3618] = {
    [sym_type_argument_list] = STATE(3731),
    [sym_preproc_region] = STATE(3618),
    [sym_preproc_endregion] = STATE(3618),
    [sym_preproc_line] = STATE(3618),
    [sym_preproc_pragma] = STATE(3618),
    [sym_preproc_nullable] = STATE(3618),
    [sym_preproc_error] = STATE(3618),
    [sym_preproc_define] = STATE(3618),
    [sym_preproc_undef] = STATE(3618),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5377),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4134),
    [anon_sym_where] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_COLON_COLON] = ACTIONS(5380),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4134),
    [anon_sym_join] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_let] = ACTIONS(4134),
    [anon_sym_orderby] = ACTIONS(4134),
    [anon_sym_group] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3619] = {
    [sym_preproc_region] = STATE(3619),
    [sym_preproc_endregion] = STATE(3619),
    [sym_preproc_line] = STATE(3619),
    [sym_preproc_pragma] = STATE(3619),
    [sym_preproc_nullable] = STATE(3619),
    [sym_preproc_error] = STATE(3619),
    [sym_preproc_define] = STATE(3619),
    [sym_preproc_undef] = STATE(3619),
    [anon_sym_SEMI] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4172),
    [anon_sym_RPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(4163),
    [anon_sym_GT] = ACTIONS(4163),
    [anon_sym_in] = ACTIONS(4163),
    [anon_sym_where] = ACTIONS(4172),
    [anon_sym_QMARK] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4163),
    [anon_sym_PLUS_PLUS] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4163),
    [anon_sym_DASH] = ACTIONS(4163),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_SLASH] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_PIPE] = ACTIONS(4163),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym_LT_LT] = ACTIONS(4172),
    [anon_sym_GT_GT] = ACTIONS(4163),
    [anon_sym_GT_GT_GT] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4172),
    [anon_sym_BANG_EQ] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4172),
    [anon_sym_LT_EQ] = ACTIONS(4172),
    [anon_sym_DOT] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4172),
    [anon_sym_switch] = ACTIONS(4172),
    [anon_sym_DOT_DOT] = ACTIONS(4172),
    [anon_sym_and] = ACTIONS(4172),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_AMP_AMP] = ACTIONS(4172),
    [anon_sym_PIPE_PIPE] = ACTIONS(4172),
    [anon_sym_QMARK_QMARK] = ACTIONS(4172),
    [anon_sym_from] = ACTIONS(4172),
    [anon_sym_into] = ACTIONS(4172),
    [anon_sym_join] = ACTIONS(4172),
    [anon_sym_on] = ACTIONS(4172),
    [anon_sym_equals] = ACTIONS(4172),
    [anon_sym_let] = ACTIONS(4172),
    [anon_sym_orderby] = ACTIONS(4172),
    [anon_sym_group] = ACTIONS(4172),
    [anon_sym_by] = ACTIONS(4172),
    [anon_sym_select] = ACTIONS(4172),
    [anon_sym_as] = ACTIONS(4172),
    [anon_sym_is] = ACTIONS(4172),
    [anon_sym_DASH_GT] = ACTIONS(4172),
    [anon_sym_with] = ACTIONS(4172),
    [aux_sym_preproc_if_token3] = ACTIONS(4172),
    [aux_sym_preproc_else_token1] = ACTIONS(4172),
    [aux_sym_preproc_elif_token1] = ACTIONS(4172),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3620] = {
    [sym_preproc_region] = STATE(3620),
    [sym_preproc_endregion] = STATE(3620),
    [sym_preproc_line] = STATE(3620),
    [sym_preproc_pragma] = STATE(3620),
    [sym_preproc_nullable] = STATE(3620),
    [sym_preproc_error] = STATE(3620),
    [sym_preproc_define] = STATE(3620),
    [sym_preproc_undef] = STATE(3620),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_RPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_where] = ACTIONS(4429),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_EQ_GT] = ACTIONS(4429),
    [anon_sym_switch] = ACTIONS(4429),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4429),
    [anon_sym_or] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_from] = ACTIONS(4429),
    [anon_sym_into] = ACTIONS(4429),
    [anon_sym_join] = ACTIONS(4429),
    [anon_sym_on] = ACTIONS(4429),
    [anon_sym_equals] = ACTIONS(4429),
    [anon_sym_let] = ACTIONS(4429),
    [anon_sym_orderby] = ACTIONS(4429),
    [anon_sym_group] = ACTIONS(4429),
    [anon_sym_by] = ACTIONS(4429),
    [anon_sym_select] = ACTIONS(4429),
    [anon_sym_as] = ACTIONS(4429),
    [anon_sym_is] = ACTIONS(4429),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4429),
    [aux_sym_preproc_if_token3] = ACTIONS(4429),
    [aux_sym_preproc_else_token1] = ACTIONS(4429),
    [aux_sym_preproc_elif_token1] = ACTIONS(4429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3621] = {
    [sym_preproc_region] = STATE(3621),
    [sym_preproc_endregion] = STATE(3621),
    [sym_preproc_line] = STATE(3621),
    [sym_preproc_pragma] = STATE(3621),
    [sym_preproc_nullable] = STATE(3621),
    [sym_preproc_error] = STATE(3621),
    [sym_preproc_define] = STATE(3621),
    [sym_preproc_undef] = STATE(3621),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4122),
    [anon_sym_where] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4120),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_from] = ACTIONS(4122),
    [anon_sym_join] = ACTIONS(4122),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_let] = ACTIONS(4122),
    [anon_sym_orderby] = ACTIONS(4122),
    [anon_sym_group] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_select] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3622] = {
    [sym_preproc_region] = STATE(3622),
    [sym_preproc_endregion] = STATE(3622),
    [sym_preproc_line] = STATE(3622),
    [sym_preproc_pragma] = STATE(3622),
    [sym_preproc_nullable] = STATE(3622),
    [sym_preproc_error] = STATE(3622),
    [sym_preproc_define] = STATE(3622),
    [sym_preproc_undef] = STATE(3622),
    [anon_sym_SEMI] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [anon_sym_COLON] = ACTIONS(4483),
    [anon_sym_COMMA] = ACTIONS(4483),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_RPAREN] = ACTIONS(4483),
    [anon_sym_LBRACE] = ACTIONS(4483),
    [anon_sym_RBRACE] = ACTIONS(4483),
    [anon_sym_LT] = ACTIONS(4481),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_in] = ACTIONS(4481),
    [anon_sym_where] = ACTIONS(4483),
    [anon_sym_QMARK] = ACTIONS(4481),
    [anon_sym_BANG] = ACTIONS(4481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS] = ACTIONS(4481),
    [anon_sym_DASH] = ACTIONS(4481),
    [anon_sym_STAR] = ACTIONS(4483),
    [anon_sym_SLASH] = ACTIONS(4481),
    [anon_sym_PERCENT] = ACTIONS(4483),
    [anon_sym_CARET] = ACTIONS(4483),
    [anon_sym_PIPE] = ACTIONS(4481),
    [anon_sym_AMP] = ACTIONS(4481),
    [anon_sym_LT_LT] = ACTIONS(4483),
    [anon_sym_GT_GT] = ACTIONS(4481),
    [anon_sym_GT_GT_GT] = ACTIONS(4483),
    [anon_sym_EQ_EQ] = ACTIONS(4483),
    [anon_sym_BANG_EQ] = ACTIONS(4483),
    [anon_sym_GT_EQ] = ACTIONS(4483),
    [anon_sym_LT_EQ] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_EQ_GT] = ACTIONS(4483),
    [anon_sym_switch] = ACTIONS(4483),
    [anon_sym_DOT_DOT] = ACTIONS(4483),
    [anon_sym_and] = ACTIONS(4483),
    [anon_sym_or] = ACTIONS(4481),
    [anon_sym_AMP_AMP] = ACTIONS(4483),
    [anon_sym_PIPE_PIPE] = ACTIONS(4483),
    [anon_sym_QMARK_QMARK] = ACTIONS(4483),
    [anon_sym_from] = ACTIONS(4483),
    [anon_sym_into] = ACTIONS(4483),
    [anon_sym_join] = ACTIONS(4483),
    [anon_sym_on] = ACTIONS(4483),
    [anon_sym_equals] = ACTIONS(4483),
    [anon_sym_let] = ACTIONS(4483),
    [anon_sym_orderby] = ACTIONS(4483),
    [anon_sym_group] = ACTIONS(4483),
    [anon_sym_by] = ACTIONS(4483),
    [anon_sym_select] = ACTIONS(4483),
    [anon_sym_as] = ACTIONS(4483),
    [anon_sym_is] = ACTIONS(4483),
    [anon_sym_DASH_GT] = ACTIONS(4483),
    [anon_sym_with] = ACTIONS(4483),
    [aux_sym_preproc_if_token3] = ACTIONS(4483),
    [aux_sym_preproc_else_token1] = ACTIONS(4483),
    [aux_sym_preproc_elif_token1] = ACTIONS(4483),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3623] = {
    [sym_initializer_expression] = STATE(3756),
    [sym_preproc_region] = STATE(3623),
    [sym_preproc_endregion] = STATE(3623),
    [sym_preproc_line] = STATE(3623),
    [sym_preproc_pragma] = STATE(3623),
    [sym_preproc_nullable] = STATE(3623),
    [sym_preproc_error] = STATE(3623),
    [sym_preproc_define] = STATE(3623),
    [sym_preproc_undef] = STATE(3623),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_RBRACK] = ACTIONS(5386),
    [anon_sym_LPAREN] = ACTIONS(5386),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5389),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_in] = ACTIONS(5386),
    [anon_sym_where] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(5395),
    [anon_sym_BANG] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_GT_GT_GT] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_EQ_GT] = ACTIONS(5386),
    [anon_sym_switch] = ACTIONS(5386),
    [anon_sym_DOT_DOT] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5392),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_QMARK_QMARK] = ACTIONS(5386),
    [anon_sym_from] = ACTIONS(5386),
    [anon_sym_join] = ACTIONS(5386),
    [anon_sym_on] = ACTIONS(5386),
    [anon_sym_equals] = ACTIONS(5386),
    [anon_sym_let] = ACTIONS(5386),
    [anon_sym_orderby] = ACTIONS(5386),
    [anon_sym_group] = ACTIONS(5386),
    [anon_sym_by] = ACTIONS(5386),
    [anon_sym_select] = ACTIONS(5386),
    [anon_sym_as] = ACTIONS(5386),
    [anon_sym_is] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [anon_sym_with] = ACTIONS(5386),
    [aux_sym_preproc_if_token3] = ACTIONS(5386),
    [aux_sym_preproc_else_token1] = ACTIONS(5386),
    [aux_sym_preproc_elif_token1] = ACTIONS(5386),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3624] = {
    [sym_type_argument_list] = STATE(3731),
    [sym_preproc_region] = STATE(3624),
    [sym_preproc_endregion] = STATE(3624),
    [sym_preproc_line] = STATE(3624),
    [sym_preproc_pragma] = STATE(3624),
    [sym_preproc_nullable] = STATE(3624),
    [sym_preproc_error] = STATE(3624),
    [sym_preproc_define] = STATE(3624),
    [sym_preproc_undef] = STATE(3624),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5377),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4134),
    [anon_sym_where] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4134),
    [anon_sym_join] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_let] = ACTIONS(4134),
    [anon_sym_orderby] = ACTIONS(4134),
    [anon_sym_group] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3625] = {
    [sym_preproc_region] = STATE(3625),
    [sym_preproc_endregion] = STATE(3625),
    [sym_preproc_line] = STATE(3625),
    [sym_preproc_pragma] = STATE(3625),
    [sym_preproc_nullable] = STATE(3625),
    [sym_preproc_error] = STATE(3625),
    [sym_preproc_define] = STATE(3625),
    [sym_preproc_undef] = STATE(3625),
    [anon_sym_SEMI] = ACTIONS(4554),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_COMMA] = ACTIONS(4554),
    [anon_sym_RBRACK] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(4554),
    [anon_sym_RPAREN] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4554),
    [anon_sym_RBRACE] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4552),
    [anon_sym_in] = ACTIONS(4552),
    [anon_sym_where] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_BANG] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4552),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4552),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_PIPE] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_GT_GT_GT] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4554),
    [anon_sym_BANG_EQ] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4554),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_DOT] = ACTIONS(4552),
    [anon_sym_EQ_GT] = ACTIONS(4554),
    [anon_sym_switch] = ACTIONS(4554),
    [anon_sym_DOT_DOT] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_or] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4554),
    [anon_sym_QMARK_QMARK] = ACTIONS(4554),
    [anon_sym_from] = ACTIONS(4554),
    [anon_sym_into] = ACTIONS(4554),
    [anon_sym_join] = ACTIONS(4554),
    [anon_sym_on] = ACTIONS(4554),
    [anon_sym_equals] = ACTIONS(4554),
    [anon_sym_let] = ACTIONS(4554),
    [anon_sym_orderby] = ACTIONS(4554),
    [anon_sym_group] = ACTIONS(4554),
    [anon_sym_by] = ACTIONS(4554),
    [anon_sym_select] = ACTIONS(4554),
    [anon_sym_as] = ACTIONS(4554),
    [anon_sym_is] = ACTIONS(4554),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [anon_sym_with] = ACTIONS(4554),
    [aux_sym_preproc_if_token3] = ACTIONS(4554),
    [aux_sym_preproc_else_token1] = ACTIONS(4554),
    [aux_sym_preproc_elif_token1] = ACTIONS(4554),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3626] = {
    [sym_preproc_region] = STATE(3626),
    [sym_preproc_endregion] = STATE(3626),
    [sym_preproc_line] = STATE(3626),
    [sym_preproc_pragma] = STATE(3626),
    [sym_preproc_nullable] = STATE(3626),
    [sym_preproc_error] = STATE(3626),
    [sym_preproc_define] = STATE(3626),
    [sym_preproc_undef] = STATE(3626),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_LPAREN] = ACTIONS(4469),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_LBRACE] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_GT] = ACTIONS(4467),
    [anon_sym_in] = ACTIONS(4467),
    [anon_sym_where] = ACTIONS(4469),
    [anon_sym_QMARK] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(4467),
    [anon_sym_PLUS_PLUS] = ACTIONS(4469),
    [anon_sym_DASH_DASH] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_STAR] = ACTIONS(4469),
    [anon_sym_SLASH] = ACTIONS(4467),
    [anon_sym_PERCENT] = ACTIONS(4469),
    [anon_sym_CARET] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4467),
    [anon_sym_LT_LT] = ACTIONS(4469),
    [anon_sym_GT_GT] = ACTIONS(4467),
    [anon_sym_GT_GT_GT] = ACTIONS(4469),
    [anon_sym_EQ_EQ] = ACTIONS(4469),
    [anon_sym_BANG_EQ] = ACTIONS(4469),
    [anon_sym_GT_EQ] = ACTIONS(4469),
    [anon_sym_LT_EQ] = ACTIONS(4469),
    [anon_sym_DOT] = ACTIONS(4467),
    [anon_sym_EQ_GT] = ACTIONS(4469),
    [anon_sym_switch] = ACTIONS(4469),
    [anon_sym_DOT_DOT] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4469),
    [anon_sym_or] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4469),
    [anon_sym_PIPE_PIPE] = ACTIONS(4469),
    [anon_sym_QMARK_QMARK] = ACTIONS(4469),
    [anon_sym_from] = ACTIONS(4469),
    [anon_sym_into] = ACTIONS(4469),
    [anon_sym_join] = ACTIONS(4469),
    [anon_sym_on] = ACTIONS(4469),
    [anon_sym_equals] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4469),
    [anon_sym_orderby] = ACTIONS(4469),
    [anon_sym_group] = ACTIONS(4469),
    [anon_sym_by] = ACTIONS(4469),
    [anon_sym_select] = ACTIONS(4469),
    [anon_sym_as] = ACTIONS(4469),
    [anon_sym_is] = ACTIONS(4469),
    [anon_sym_DASH_GT] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4469),
    [aux_sym_preproc_if_token3] = ACTIONS(4469),
    [aux_sym_preproc_else_token1] = ACTIONS(4469),
    [aux_sym_preproc_elif_token1] = ACTIONS(4469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3627] = {
    [sym_preproc_region] = STATE(3627),
    [sym_preproc_endregion] = STATE(3627),
    [sym_preproc_line] = STATE(3627),
    [sym_preproc_pragma] = STATE(3627),
    [sym_preproc_nullable] = STATE(3627),
    [sym_preproc_error] = STATE(3627),
    [sym_preproc_define] = STATE(3627),
    [sym_preproc_undef] = STATE(3627),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4451),
    [anon_sym_where] = ACTIONS(4453),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4451),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4453),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4453),
    [anon_sym_into] = ACTIONS(4453),
    [anon_sym_join] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_let] = ACTIONS(4453),
    [anon_sym_orderby] = ACTIONS(4453),
    [anon_sym_group] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_select] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3628] = {
    [sym_preproc_region] = STATE(3628),
    [sym_preproc_endregion] = STATE(3628),
    [sym_preproc_line] = STATE(3628),
    [sym_preproc_pragma] = STATE(3628),
    [sym_preproc_nullable] = STATE(3628),
    [sym_preproc_error] = STATE(3628),
    [sym_preproc_define] = STATE(3628),
    [sym_preproc_undef] = STATE(3628),
    [anon_sym_SEMI] = ACTIONS(4602),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_COLON] = ACTIONS(4602),
    [anon_sym_COMMA] = ACTIONS(4602),
    [anon_sym_RBRACK] = ACTIONS(4602),
    [anon_sym_LPAREN] = ACTIONS(4602),
    [anon_sym_RPAREN] = ACTIONS(4602),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_RBRACE] = ACTIONS(4602),
    [anon_sym_LT] = ACTIONS(4600),
    [anon_sym_GT] = ACTIONS(4600),
    [anon_sym_in] = ACTIONS(4600),
    [anon_sym_where] = ACTIONS(4602),
    [anon_sym_QMARK] = ACTIONS(4600),
    [anon_sym_BANG] = ACTIONS(4600),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS] = ACTIONS(4600),
    [anon_sym_DASH] = ACTIONS(4600),
    [anon_sym_STAR] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4600),
    [anon_sym_PERCENT] = ACTIONS(4602),
    [anon_sym_CARET] = ACTIONS(4602),
    [anon_sym_PIPE] = ACTIONS(4600),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym_LT_LT] = ACTIONS(4602),
    [anon_sym_GT_GT] = ACTIONS(4600),
    [anon_sym_GT_GT_GT] = ACTIONS(4602),
    [anon_sym_EQ_EQ] = ACTIONS(4602),
    [anon_sym_BANG_EQ] = ACTIONS(4602),
    [anon_sym_GT_EQ] = ACTIONS(4602),
    [anon_sym_LT_EQ] = ACTIONS(4602),
    [anon_sym_DOT] = ACTIONS(4600),
    [anon_sym_EQ_GT] = ACTIONS(4602),
    [anon_sym_switch] = ACTIONS(4602),
    [anon_sym_DOT_DOT] = ACTIONS(4602),
    [anon_sym_and] = ACTIONS(4602),
    [anon_sym_or] = ACTIONS(4600),
    [anon_sym_AMP_AMP] = ACTIONS(4602),
    [anon_sym_PIPE_PIPE] = ACTIONS(4602),
    [anon_sym_QMARK_QMARK] = ACTIONS(4602),
    [anon_sym_from] = ACTIONS(4602),
    [anon_sym_into] = ACTIONS(4602),
    [anon_sym_join] = ACTIONS(4602),
    [anon_sym_on] = ACTIONS(4602),
    [anon_sym_equals] = ACTIONS(4602),
    [anon_sym_let] = ACTIONS(4602),
    [anon_sym_orderby] = ACTIONS(4602),
    [anon_sym_group] = ACTIONS(4602),
    [anon_sym_by] = ACTIONS(4602),
    [anon_sym_select] = ACTIONS(4602),
    [anon_sym_as] = ACTIONS(4602),
    [anon_sym_is] = ACTIONS(4602),
    [anon_sym_DASH_GT] = ACTIONS(4602),
    [anon_sym_with] = ACTIONS(4602),
    [aux_sym_preproc_if_token3] = ACTIONS(4602),
    [aux_sym_preproc_else_token1] = ACTIONS(4602),
    [aux_sym_preproc_elif_token1] = ACTIONS(4602),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3629] = {
    [sym_initializer_expression] = STATE(3775),
    [sym_preproc_region] = STATE(3629),
    [sym_preproc_endregion] = STATE(3629),
    [sym_preproc_line] = STATE(3629),
    [sym_preproc_pragma] = STATE(3629),
    [sym_preproc_nullable] = STATE(3629),
    [sym_preproc_error] = STATE(3629),
    [sym_preproc_define] = STATE(3629),
    [sym_preproc_undef] = STATE(3629),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_COLON] = ACTIONS(5286),
    [anon_sym_COMMA] = ACTIONS(5286),
    [anon_sym_RBRACK] = ACTIONS(5286),
    [anon_sym_LPAREN] = ACTIONS(5286),
    [anon_sym_RPAREN] = ACTIONS(5286),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(5286),
    [anon_sym_LT] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5291),
    [anon_sym_in] = ACTIONS(5286),
    [anon_sym_where] = ACTIONS(5286),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_BANG] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5286),
    [anon_sym_DASH_DASH] = ACTIONS(5286),
    [anon_sym_PLUS] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_SLASH] = ACTIONS(5291),
    [anon_sym_PERCENT] = ACTIONS(5286),
    [anon_sym_CARET] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_LT_LT] = ACTIONS(5286),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_GT_GT_GT] = ACTIONS(5286),
    [anon_sym_EQ_EQ] = ACTIONS(5286),
    [anon_sym_BANG_EQ] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5286),
    [anon_sym_LT_EQ] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5291),
    [anon_sym_EQ_GT] = ACTIONS(5286),
    [anon_sym_switch] = ACTIONS(5286),
    [anon_sym_DOT_DOT] = ACTIONS(5286),
    [anon_sym_and] = ACTIONS(5286),
    [anon_sym_or] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_PIPE_PIPE] = ACTIONS(5286),
    [anon_sym_QMARK_QMARK] = ACTIONS(5286),
    [anon_sym_from] = ACTIONS(5286),
    [anon_sym_join] = ACTIONS(5286),
    [anon_sym_on] = ACTIONS(5286),
    [anon_sym_equals] = ACTIONS(5286),
    [anon_sym_let] = ACTIONS(5286),
    [anon_sym_orderby] = ACTIONS(5286),
    [anon_sym_group] = ACTIONS(5286),
    [anon_sym_by] = ACTIONS(5286),
    [anon_sym_select] = ACTIONS(5286),
    [anon_sym_as] = ACTIONS(5286),
    [anon_sym_is] = ACTIONS(5286),
    [anon_sym_DASH_GT] = ACTIONS(5286),
    [anon_sym_with] = ACTIONS(5286),
    [aux_sym_preproc_if_token3] = ACTIONS(5286),
    [aux_sym_preproc_else_token1] = ACTIONS(5286),
    [aux_sym_preproc_elif_token1] = ACTIONS(5286),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3630] = {
    [sym_preproc_region] = STATE(3630),
    [sym_preproc_endregion] = STATE(3630),
    [sym_preproc_line] = STATE(3630),
    [sym_preproc_pragma] = STATE(3630),
    [sym_preproc_nullable] = STATE(3630),
    [sym_preproc_error] = STATE(3630),
    [sym_preproc_define] = STATE(3630),
    [sym_preproc_undef] = STATE(3630),
    [anon_sym_SEMI] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_COMMA] = ACTIONS(5399),
    [anon_sym_RBRACK] = ACTIONS(5399),
    [anon_sym_LPAREN] = ACTIONS(5399),
    [anon_sym_RPAREN] = ACTIONS(5399),
    [anon_sym_RBRACE] = ACTIONS(5399),
    [anon_sym_LT] = ACTIONS(5401),
    [anon_sym_GT] = ACTIONS(5401),
    [anon_sym_in] = ACTIONS(5401),
    [anon_sym_where] = ACTIONS(5399),
    [anon_sym_QMARK] = ACTIONS(5401),
    [anon_sym_BANG] = ACTIONS(5401),
    [anon_sym_PLUS_PLUS] = ACTIONS(5399),
    [anon_sym_DASH_DASH] = ACTIONS(5399),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5399),
    [anon_sym_SLASH] = ACTIONS(5401),
    [anon_sym_PERCENT] = ACTIONS(5399),
    [anon_sym_CARET] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5401),
    [anon_sym_LT_LT] = ACTIONS(5399),
    [anon_sym_GT_GT] = ACTIONS(5401),
    [anon_sym_GT_GT_GT] = ACTIONS(5399),
    [anon_sym_EQ_EQ] = ACTIONS(5399),
    [anon_sym_BANG_EQ] = ACTIONS(5399),
    [anon_sym_GT_EQ] = ACTIONS(5399),
    [anon_sym_LT_EQ] = ACTIONS(5399),
    [anon_sym_DOT] = ACTIONS(5401),
    [anon_sym_EQ_GT] = ACTIONS(5399),
    [anon_sym_switch] = ACTIONS(5399),
    [anon_sym_DOT_DOT] = ACTIONS(5399),
    [anon_sym_and] = ACTIONS(5399),
    [anon_sym_or] = ACTIONS(5401),
    [anon_sym_AMP_AMP] = ACTIONS(5399),
    [anon_sym_PIPE_PIPE] = ACTIONS(5399),
    [anon_sym_QMARK_QMARK] = ACTIONS(5399),
    [anon_sym_from] = ACTIONS(5399),
    [anon_sym_into] = ACTIONS(5399),
    [anon_sym_join] = ACTIONS(5399),
    [anon_sym_on] = ACTIONS(5399),
    [anon_sym_equals] = ACTIONS(5399),
    [anon_sym_let] = ACTIONS(5399),
    [anon_sym_orderby] = ACTIONS(5399),
    [anon_sym_group] = ACTIONS(5399),
    [anon_sym_by] = ACTIONS(5399),
    [anon_sym_select] = ACTIONS(5399),
    [anon_sym_as] = ACTIONS(5399),
    [anon_sym_is] = ACTIONS(5399),
    [anon_sym_DASH_GT] = ACTIONS(5399),
    [anon_sym_with] = ACTIONS(5399),
    [aux_sym_preproc_if_token3] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3631] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter] = STATE(8539),
    [sym__parameter_array] = STATE(8545),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7357),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6748),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3631),
    [sym_preproc_endregion] = STATE(3631),
    [sym_preproc_line] = STATE(3631),
    [sym_preproc_pragma] = STATE(3631),
    [sym_preproc_nullable] = STATE(3631),
    [sym_preproc_error] = STATE(3631),
    [sym_preproc_define] = STATE(3631),
    [sym_preproc_undef] = STATE(3631),
    [aux_sym_class_declaration_repeat1] = STATE(3807),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_RPAREN] = ACTIONS(2601),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3632] = {
    [sym_preproc_region] = STATE(3632),
    [sym_preproc_endregion] = STATE(3632),
    [sym_preproc_line] = STATE(3632),
    [sym_preproc_pragma] = STATE(3632),
    [sym_preproc_nullable] = STATE(3632),
    [sym_preproc_error] = STATE(3632),
    [sym_preproc_define] = STATE(3632),
    [sym_preproc_undef] = STATE(3632),
    [anon_sym_SEMI] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_COLON] = ACTIONS(5403),
    [anon_sym_COMMA] = ACTIONS(5403),
    [anon_sym_RBRACK] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5403),
    [anon_sym_RPAREN] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5403),
    [anon_sym_LT] = ACTIONS(5405),
    [anon_sym_GT] = ACTIONS(5405),
    [anon_sym_in] = ACTIONS(5405),
    [anon_sym_where] = ACTIONS(5403),
    [anon_sym_QMARK] = ACTIONS(5405),
    [anon_sym_BANG] = ACTIONS(5405),
    [anon_sym_PLUS_PLUS] = ACTIONS(5403),
    [anon_sym_DASH_DASH] = ACTIONS(5403),
    [anon_sym_PLUS] = ACTIONS(5405),
    [anon_sym_DASH] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_SLASH] = ACTIONS(5405),
    [anon_sym_PERCENT] = ACTIONS(5403),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_PIPE] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5405),
    [anon_sym_LT_LT] = ACTIONS(5403),
    [anon_sym_GT_GT] = ACTIONS(5405),
    [anon_sym_GT_GT_GT] = ACTIONS(5403),
    [anon_sym_EQ_EQ] = ACTIONS(5403),
    [anon_sym_BANG_EQ] = ACTIONS(5403),
    [anon_sym_GT_EQ] = ACTIONS(5403),
    [anon_sym_LT_EQ] = ACTIONS(5403),
    [anon_sym_DOT] = ACTIONS(5405),
    [anon_sym_EQ_GT] = ACTIONS(5403),
    [anon_sym_switch] = ACTIONS(5403),
    [anon_sym_DOT_DOT] = ACTIONS(5403),
    [anon_sym_and] = ACTIONS(5403),
    [anon_sym_or] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_PIPE_PIPE] = ACTIONS(5403),
    [anon_sym_QMARK_QMARK] = ACTIONS(5403),
    [anon_sym_from] = ACTIONS(5403),
    [anon_sym_into] = ACTIONS(5403),
    [anon_sym_join] = ACTIONS(5403),
    [anon_sym_on] = ACTIONS(5403),
    [anon_sym_equals] = ACTIONS(5403),
    [anon_sym_let] = ACTIONS(5403),
    [anon_sym_orderby] = ACTIONS(5403),
    [anon_sym_group] = ACTIONS(5403),
    [anon_sym_by] = ACTIONS(5403),
    [anon_sym_select] = ACTIONS(5403),
    [anon_sym_as] = ACTIONS(5403),
    [anon_sym_is] = ACTIONS(5403),
    [anon_sym_DASH_GT] = ACTIONS(5403),
    [anon_sym_with] = ACTIONS(5403),
    [aux_sym_preproc_if_token3] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3633] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter] = STATE(8553),
    [sym__parameter_array] = STATE(8556),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7357),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6748),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3633),
    [sym_preproc_endregion] = STATE(3633),
    [sym_preproc_line] = STATE(3633),
    [sym_preproc_pragma] = STATE(3633),
    [sym_preproc_nullable] = STATE(3633),
    [sym_preproc_error] = STATE(3633),
    [sym_preproc_define] = STATE(3633),
    [sym_preproc_undef] = STATE(3633),
    [aux_sym_class_declaration_repeat1] = STATE(3807),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_RBRACK] = ACTIONS(5407),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3634] = {
    [sym_preproc_region] = STATE(3634),
    [sym_preproc_endregion] = STATE(3634),
    [sym_preproc_line] = STATE(3634),
    [sym_preproc_pragma] = STATE(3634),
    [sym_preproc_nullable] = STATE(3634),
    [sym_preproc_error] = STATE(3634),
    [sym_preproc_define] = STATE(3634),
    [sym_preproc_undef] = STATE(3634),
    [anon_sym_SEMI] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_COLON] = ACTIONS(5409),
    [anon_sym_COMMA] = ACTIONS(5409),
    [anon_sym_RBRACK] = ACTIONS(5409),
    [anon_sym_LPAREN] = ACTIONS(5409),
    [anon_sym_RPAREN] = ACTIONS(5409),
    [anon_sym_RBRACE] = ACTIONS(5409),
    [anon_sym_LT] = ACTIONS(5411),
    [anon_sym_GT] = ACTIONS(5411),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_where] = ACTIONS(5409),
    [anon_sym_QMARK] = ACTIONS(5411),
    [anon_sym_BANG] = ACTIONS(5411),
    [anon_sym_PLUS_PLUS] = ACTIONS(5409),
    [anon_sym_DASH_DASH] = ACTIONS(5409),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_STAR] = ACTIONS(5409),
    [anon_sym_SLASH] = ACTIONS(5411),
    [anon_sym_PERCENT] = ACTIONS(5409),
    [anon_sym_CARET] = ACTIONS(5409),
    [anon_sym_PIPE] = ACTIONS(5411),
    [anon_sym_AMP] = ACTIONS(5411),
    [anon_sym_LT_LT] = ACTIONS(5409),
    [anon_sym_GT_GT] = ACTIONS(5411),
    [anon_sym_GT_GT_GT] = ACTIONS(5409),
    [anon_sym_EQ_EQ] = ACTIONS(5409),
    [anon_sym_BANG_EQ] = ACTIONS(5409),
    [anon_sym_GT_EQ] = ACTIONS(5409),
    [anon_sym_LT_EQ] = ACTIONS(5409),
    [anon_sym_DOT] = ACTIONS(5411),
    [anon_sym_EQ_GT] = ACTIONS(5409),
    [anon_sym_switch] = ACTIONS(5409),
    [anon_sym_DOT_DOT] = ACTIONS(5409),
    [anon_sym_and] = ACTIONS(5409),
    [anon_sym_or] = ACTIONS(5411),
    [anon_sym_AMP_AMP] = ACTIONS(5409),
    [anon_sym_PIPE_PIPE] = ACTIONS(5409),
    [anon_sym_QMARK_QMARK] = ACTIONS(5409),
    [anon_sym_from] = ACTIONS(5409),
    [anon_sym_into] = ACTIONS(5409),
    [anon_sym_join] = ACTIONS(5409),
    [anon_sym_on] = ACTIONS(5409),
    [anon_sym_equals] = ACTIONS(5409),
    [anon_sym_let] = ACTIONS(5409),
    [anon_sym_orderby] = ACTIONS(5409),
    [anon_sym_group] = ACTIONS(5409),
    [anon_sym_by] = ACTIONS(5409),
    [anon_sym_select] = ACTIONS(5409),
    [anon_sym_as] = ACTIONS(5409),
    [anon_sym_is] = ACTIONS(5409),
    [anon_sym_DASH_GT] = ACTIONS(5409),
    [anon_sym_with] = ACTIONS(5409),
    [aux_sym_preproc_if_token3] = ACTIONS(5409),
    [aux_sym_preproc_else_token1] = ACTIONS(5409),
    [aux_sym_preproc_elif_token1] = ACTIONS(5409),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3635] = {
    [sym_preproc_region] = STATE(3635),
    [sym_preproc_endregion] = STATE(3635),
    [sym_preproc_line] = STATE(3635),
    [sym_preproc_pragma] = STATE(3635),
    [sym_preproc_nullable] = STATE(3635),
    [sym_preproc_error] = STATE(3635),
    [sym_preproc_define] = STATE(3635),
    [sym_preproc_undef] = STATE(3635),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym_LBRACK] = ACTIONS(5413),
    [anon_sym_COLON] = ACTIONS(5413),
    [anon_sym_COMMA] = ACTIONS(5413),
    [anon_sym_RBRACK] = ACTIONS(5413),
    [anon_sym_LPAREN] = ACTIONS(5413),
    [anon_sym_RPAREN] = ACTIONS(5413),
    [anon_sym_RBRACE] = ACTIONS(5413),
    [anon_sym_LT] = ACTIONS(5415),
    [anon_sym_GT] = ACTIONS(5415),
    [anon_sym_in] = ACTIONS(5415),
    [anon_sym_where] = ACTIONS(5413),
    [anon_sym_QMARK] = ACTIONS(5415),
    [anon_sym_BANG] = ACTIONS(5415),
    [anon_sym_PLUS_PLUS] = ACTIONS(5413),
    [anon_sym_DASH_DASH] = ACTIONS(5413),
    [anon_sym_PLUS] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5415),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_SLASH] = ACTIONS(5415),
    [anon_sym_PERCENT] = ACTIONS(5413),
    [anon_sym_CARET] = ACTIONS(5413),
    [anon_sym_PIPE] = ACTIONS(5415),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_LT_LT] = ACTIONS(5413),
    [anon_sym_GT_GT] = ACTIONS(5415),
    [anon_sym_GT_GT_GT] = ACTIONS(5413),
    [anon_sym_EQ_EQ] = ACTIONS(5413),
    [anon_sym_BANG_EQ] = ACTIONS(5413),
    [anon_sym_GT_EQ] = ACTIONS(5413),
    [anon_sym_LT_EQ] = ACTIONS(5413),
    [anon_sym_DOT] = ACTIONS(5415),
    [anon_sym_EQ_GT] = ACTIONS(5413),
    [anon_sym_switch] = ACTIONS(5413),
    [anon_sym_DOT_DOT] = ACTIONS(5413),
    [anon_sym_and] = ACTIONS(5413),
    [anon_sym_or] = ACTIONS(5415),
    [anon_sym_AMP_AMP] = ACTIONS(5413),
    [anon_sym_PIPE_PIPE] = ACTIONS(5413),
    [anon_sym_QMARK_QMARK] = ACTIONS(5413),
    [anon_sym_from] = ACTIONS(5413),
    [anon_sym_into] = ACTIONS(5413),
    [anon_sym_join] = ACTIONS(5413),
    [anon_sym_on] = ACTIONS(5413),
    [anon_sym_equals] = ACTIONS(5413),
    [anon_sym_let] = ACTIONS(5413),
    [anon_sym_orderby] = ACTIONS(5413),
    [anon_sym_group] = ACTIONS(5413),
    [anon_sym_by] = ACTIONS(5413),
    [anon_sym_select] = ACTIONS(5413),
    [anon_sym_as] = ACTIONS(5413),
    [anon_sym_is] = ACTIONS(5413),
    [anon_sym_DASH_GT] = ACTIONS(5413),
    [anon_sym_with] = ACTIONS(5413),
    [aux_sym_preproc_if_token3] = ACTIONS(5413),
    [aux_sym_preproc_else_token1] = ACTIONS(5413),
    [aux_sym_preproc_elif_token1] = ACTIONS(5413),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3636] = {
    [sym_preproc_region] = STATE(3636),
    [sym_preproc_endregion] = STATE(3636),
    [sym_preproc_line] = STATE(3636),
    [sym_preproc_pragma] = STATE(3636),
    [sym_preproc_nullable] = STATE(3636),
    [sym_preproc_error] = STATE(3636),
    [sym_preproc_define] = STATE(3636),
    [sym_preproc_undef] = STATE(3636),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_COLON] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_RBRACK] = ACTIONS(5417),
    [anon_sym_LPAREN] = ACTIONS(5417),
    [anon_sym_RPAREN] = ACTIONS(5417),
    [anon_sym_RBRACE] = ACTIONS(5417),
    [anon_sym_LT] = ACTIONS(5419),
    [anon_sym_GT] = ACTIONS(5419),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_where] = ACTIONS(5417),
    [anon_sym_QMARK] = ACTIONS(5419),
    [anon_sym_BANG] = ACTIONS(5419),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5419),
    [anon_sym_DASH] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5417),
    [anon_sym_SLASH] = ACTIONS(5419),
    [anon_sym_PERCENT] = ACTIONS(5417),
    [anon_sym_CARET] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_LT_LT] = ACTIONS(5417),
    [anon_sym_GT_GT] = ACTIONS(5419),
    [anon_sym_GT_GT_GT] = ACTIONS(5417),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5419),
    [anon_sym_EQ_GT] = ACTIONS(5417),
    [anon_sym_switch] = ACTIONS(5417),
    [anon_sym_DOT_DOT] = ACTIONS(5417),
    [anon_sym_and] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5419),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_QMARK_QMARK] = ACTIONS(5417),
    [anon_sym_from] = ACTIONS(5417),
    [anon_sym_into] = ACTIONS(5417),
    [anon_sym_join] = ACTIONS(5417),
    [anon_sym_on] = ACTIONS(5417),
    [anon_sym_equals] = ACTIONS(5417),
    [anon_sym_let] = ACTIONS(5417),
    [anon_sym_orderby] = ACTIONS(5417),
    [anon_sym_group] = ACTIONS(5417),
    [anon_sym_by] = ACTIONS(5417),
    [anon_sym_select] = ACTIONS(5417),
    [anon_sym_as] = ACTIONS(5417),
    [anon_sym_is] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_with] = ACTIONS(5417),
    [aux_sym_preproc_if_token3] = ACTIONS(5417),
    [aux_sym_preproc_else_token1] = ACTIONS(5417),
    [aux_sym_preproc_elif_token1] = ACTIONS(5417),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3637] = {
    [sym_preproc_region] = STATE(3637),
    [sym_preproc_endregion] = STATE(3637),
    [sym_preproc_line] = STATE(3637),
    [sym_preproc_pragma] = STATE(3637),
    [sym_preproc_nullable] = STATE(3637),
    [sym_preproc_error] = STATE(3637),
    [sym_preproc_define] = STATE(3637),
    [sym_preproc_undef] = STATE(3637),
    [anon_sym_SEMI] = ACTIONS(4554),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_COMMA] = ACTIONS(4554),
    [anon_sym_RBRACK] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(4554),
    [anon_sym_RPAREN] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4554),
    [anon_sym_RBRACE] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4552),
    [anon_sym_in] = ACTIONS(4554),
    [anon_sym_where] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_BANG] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4552),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4552),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_PIPE] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_GT_GT_GT] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4554),
    [anon_sym_BANG_EQ] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4554),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_DOT] = ACTIONS(4552),
    [anon_sym_EQ_GT] = ACTIONS(4554),
    [anon_sym_switch] = ACTIONS(4554),
    [anon_sym_DOT_DOT] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_or] = ACTIONS(4552),
    [anon_sym_AMP_AMP] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4554),
    [anon_sym_QMARK_QMARK] = ACTIONS(4554),
    [anon_sym_from] = ACTIONS(4554),
    [anon_sym_join] = ACTIONS(4554),
    [anon_sym_on] = ACTIONS(4554),
    [anon_sym_equals] = ACTIONS(4554),
    [anon_sym_let] = ACTIONS(4554),
    [anon_sym_orderby] = ACTIONS(4554),
    [anon_sym_group] = ACTIONS(4554),
    [anon_sym_by] = ACTIONS(4554),
    [anon_sym_select] = ACTIONS(4554),
    [anon_sym_as] = ACTIONS(4554),
    [anon_sym_is] = ACTIONS(4554),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [anon_sym_with] = ACTIONS(4554),
    [aux_sym_preproc_if_token3] = ACTIONS(4554),
    [aux_sym_preproc_else_token1] = ACTIONS(4554),
    [aux_sym_preproc_elif_token1] = ACTIONS(4554),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3638] = {
    [sym_preproc_region] = STATE(3638),
    [sym_preproc_endregion] = STATE(3638),
    [sym_preproc_line] = STATE(3638),
    [sym_preproc_pragma] = STATE(3638),
    [sym_preproc_nullable] = STATE(3638),
    [sym_preproc_error] = STATE(3638),
    [sym_preproc_define] = STATE(3638),
    [sym_preproc_undef] = STATE(3638),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_where] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_from] = ACTIONS(2995),
    [anon_sym_into] = ACTIONS(2995),
    [anon_sym_join] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_orderby] = ACTIONS(2995),
    [anon_sym_group] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_select] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3639] = {
    [sym_preproc_region] = STATE(3639),
    [sym_preproc_endregion] = STATE(3639),
    [sym_preproc_line] = STATE(3639),
    [sym_preproc_pragma] = STATE(3639),
    [sym_preproc_nullable] = STATE(3639),
    [sym_preproc_error] = STATE(3639),
    [sym_preproc_define] = STATE(3639),
    [sym_preproc_undef] = STATE(3639),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5421),
    [anon_sym_COLON] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5421),
    [anon_sym_RBRACK] = ACTIONS(5421),
    [anon_sym_LPAREN] = ACTIONS(5421),
    [anon_sym_RPAREN] = ACTIONS(5421),
    [anon_sym_RBRACE] = ACTIONS(5421),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_in] = ACTIONS(5423),
    [anon_sym_where] = ACTIONS(5421),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_BANG] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5421),
    [anon_sym_DASH_DASH] = ACTIONS(5421),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5421),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5421),
    [anon_sym_CARET] = ACTIONS(5421),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5421),
    [anon_sym_GT_GT] = ACTIONS(5423),
    [anon_sym_GT_GT_GT] = ACTIONS(5421),
    [anon_sym_EQ_EQ] = ACTIONS(5421),
    [anon_sym_BANG_EQ] = ACTIONS(5421),
    [anon_sym_GT_EQ] = ACTIONS(5421),
    [anon_sym_LT_EQ] = ACTIONS(5421),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_EQ_GT] = ACTIONS(5421),
    [anon_sym_switch] = ACTIONS(5421),
    [anon_sym_DOT_DOT] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_or] = ACTIONS(5423),
    [anon_sym_AMP_AMP] = ACTIONS(5421),
    [anon_sym_PIPE_PIPE] = ACTIONS(5421),
    [anon_sym_QMARK_QMARK] = ACTIONS(5421),
    [anon_sym_from] = ACTIONS(5421),
    [anon_sym_into] = ACTIONS(5421),
    [anon_sym_join] = ACTIONS(5421),
    [anon_sym_on] = ACTIONS(5421),
    [anon_sym_equals] = ACTIONS(5421),
    [anon_sym_let] = ACTIONS(5421),
    [anon_sym_orderby] = ACTIONS(5421),
    [anon_sym_group] = ACTIONS(5421),
    [anon_sym_by] = ACTIONS(5421),
    [anon_sym_select] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5421),
    [anon_sym_is] = ACTIONS(5421),
    [anon_sym_DASH_GT] = ACTIONS(5421),
    [anon_sym_with] = ACTIONS(5421),
    [aux_sym_preproc_if_token3] = ACTIONS(5421),
    [aux_sym_preproc_else_token1] = ACTIONS(5421),
    [aux_sym_preproc_elif_token1] = ACTIONS(5421),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3640] = {
    [sym_preproc_region] = STATE(3640),
    [sym_preproc_endregion] = STATE(3640),
    [sym_preproc_line] = STATE(3640),
    [sym_preproc_pragma] = STATE(3640),
    [sym_preproc_nullable] = STATE(3640),
    [sym_preproc_error] = STATE(3640),
    [sym_preproc_define] = STATE(3640),
    [sym_preproc_undef] = STATE(3640),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5425),
    [anon_sym_COMMA] = ACTIONS(5425),
    [anon_sym_RBRACK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5425),
    [anon_sym_RPAREN] = ACTIONS(5425),
    [anon_sym_RBRACE] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_where] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_BANG] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5427),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5427),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_PIPE] = ACTIONS(5427),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5427),
    [anon_sym_GT_GT_GT] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5425),
    [anon_sym_BANG_EQ] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5425),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_DOT] = ACTIONS(5427),
    [anon_sym_EQ_GT] = ACTIONS(5425),
    [anon_sym_switch] = ACTIONS(5425),
    [anon_sym_DOT_DOT] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_or] = ACTIONS(5427),
    [anon_sym_AMP_AMP] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5425),
    [anon_sym_QMARK_QMARK] = ACTIONS(5425),
    [anon_sym_from] = ACTIONS(5425),
    [anon_sym_into] = ACTIONS(5425),
    [anon_sym_join] = ACTIONS(5425),
    [anon_sym_on] = ACTIONS(5425),
    [anon_sym_equals] = ACTIONS(5425),
    [anon_sym_let] = ACTIONS(5425),
    [anon_sym_orderby] = ACTIONS(5425),
    [anon_sym_group] = ACTIONS(5425),
    [anon_sym_by] = ACTIONS(5425),
    [anon_sym_select] = ACTIONS(5425),
    [anon_sym_as] = ACTIONS(5425),
    [anon_sym_is] = ACTIONS(5425),
    [anon_sym_DASH_GT] = ACTIONS(5425),
    [anon_sym_with] = ACTIONS(5425),
    [aux_sym_preproc_if_token3] = ACTIONS(5425),
    [aux_sym_preproc_else_token1] = ACTIONS(5425),
    [aux_sym_preproc_elif_token1] = ACTIONS(5425),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3641] = {
    [sym_preproc_region] = STATE(3641),
    [sym_preproc_endregion] = STATE(3641),
    [sym_preproc_line] = STATE(3641),
    [sym_preproc_pragma] = STATE(3641),
    [sym_preproc_nullable] = STATE(3641),
    [sym_preproc_error] = STATE(3641),
    [sym_preproc_define] = STATE(3641),
    [sym_preproc_undef] = STATE(3641),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_COLON] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [anon_sym_RBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_GT] = ACTIONS(3043),
    [anon_sym_in] = ACTIONS(3043),
    [anon_sym_where] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_GT_GT] = ACTIONS(3043),
    [anon_sym_GT_GT_GT] = ACTIONS(3045),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_and] = ACTIONS(3045),
    [anon_sym_or] = ACTIONS(3043),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_QMARK_QMARK] = ACTIONS(3045),
    [anon_sym_from] = ACTIONS(3045),
    [anon_sym_into] = ACTIONS(3045),
    [anon_sym_join] = ACTIONS(3045),
    [anon_sym_on] = ACTIONS(3045),
    [anon_sym_equals] = ACTIONS(3045),
    [anon_sym_let] = ACTIONS(3045),
    [anon_sym_orderby] = ACTIONS(3045),
    [anon_sym_group] = ACTIONS(3045),
    [anon_sym_by] = ACTIONS(3045),
    [anon_sym_select] = ACTIONS(3045),
    [anon_sym_as] = ACTIONS(3045),
    [anon_sym_is] = ACTIONS(3045),
    [anon_sym_DASH_GT] = ACTIONS(3045),
    [anon_sym_with] = ACTIONS(3045),
    [aux_sym_preproc_if_token3] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3642] = {
    [sym_attribute_list] = STATE(4408),
    [sym_modifier] = STATE(4476),
    [sym_accessor_declaration] = STATE(4348),
    [sym_identifier] = STATE(7898),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3642),
    [sym_preproc_endregion] = STATE(3642),
    [sym_preproc_line] = STATE(3642),
    [sym_preproc_pragma] = STATE(3642),
    [sym_preproc_nullable] = STATE(3642),
    [sym_preproc_error] = STATE(3642),
    [sym_preproc_define] = STATE(3642),
    [sym_preproc_undef] = STATE(3642),
    [aux_sym_class_declaration_repeat1] = STATE(3804),
    [aux_sym_class_declaration_repeat2] = STATE(4009),
    [aux_sym_accessor_list_repeat1] = STATE(3716),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(5429),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(5429),
    [anon_sym_static] = ACTIONS(5429),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5433),
    [anon_sym_abstract] = ACTIONS(5429),
    [anon_sym_async] = ACTIONS(5429),
    [anon_sym_const] = ACTIONS(5429),
    [anon_sym_file] = ACTIONS(5435),
    [anon_sym_fixed] = ACTIONS(5429),
    [anon_sym_internal] = ACTIONS(5429),
    [anon_sym_new] = ACTIONS(5429),
    [anon_sym_override] = ACTIONS(5429),
    [anon_sym_partial] = ACTIONS(5429),
    [anon_sym_private] = ACTIONS(5429),
    [anon_sym_protected] = ACTIONS(5429),
    [anon_sym_public] = ACTIONS(5429),
    [anon_sym_readonly] = ACTIONS(5429),
    [anon_sym_required] = ACTIONS(5429),
    [anon_sym_sealed] = ACTIONS(5429),
    [anon_sym_virtual] = ACTIONS(5429),
    [anon_sym_volatile] = ACTIONS(5429),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_get] = ACTIONS(5437),
    [anon_sym_set] = ACTIONS(5437),
    [anon_sym_add] = ACTIONS(5437),
    [anon_sym_remove] = ACTIONS(5437),
    [anon_sym_init] = ACTIONS(5437),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3643] = {
    [sym_preproc_region] = STATE(3643),
    [sym_preproc_endregion] = STATE(3643),
    [sym_preproc_line] = STATE(3643),
    [sym_preproc_pragma] = STATE(3643),
    [sym_preproc_nullable] = STATE(3643),
    [sym_preproc_error] = STATE(3643),
    [sym_preproc_define] = STATE(3643),
    [sym_preproc_undef] = STATE(3643),
    [anon_sym_SEMI] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_COMMA] = ACTIONS(5439),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_LPAREN] = ACTIONS(5439),
    [anon_sym_RPAREN] = ACTIONS(5439),
    [anon_sym_RBRACE] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5441),
    [anon_sym_in] = ACTIONS(5441),
    [anon_sym_where] = ACTIONS(5439),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_BANG] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5441),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_PIPE] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5441),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_GT_GT_GT] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5439),
    [anon_sym_BANG_EQ] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_EQ_GT] = ACTIONS(5439),
    [anon_sym_switch] = ACTIONS(5439),
    [anon_sym_DOT_DOT] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_or] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5439),
    [anon_sym_QMARK_QMARK] = ACTIONS(5439),
    [anon_sym_from] = ACTIONS(5439),
    [anon_sym_into] = ACTIONS(5439),
    [anon_sym_join] = ACTIONS(5439),
    [anon_sym_on] = ACTIONS(5439),
    [anon_sym_equals] = ACTIONS(5439),
    [anon_sym_let] = ACTIONS(5439),
    [anon_sym_orderby] = ACTIONS(5439),
    [anon_sym_group] = ACTIONS(5439),
    [anon_sym_by] = ACTIONS(5439),
    [anon_sym_select] = ACTIONS(5439),
    [anon_sym_as] = ACTIONS(5439),
    [anon_sym_is] = ACTIONS(5439),
    [anon_sym_DASH_GT] = ACTIONS(5439),
    [anon_sym_with] = ACTIONS(5439),
    [aux_sym_preproc_if_token3] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3644] = {
    [sym_preproc_region] = STATE(3644),
    [sym_preproc_endregion] = STATE(3644),
    [sym_preproc_line] = STATE(3644),
    [sym_preproc_pragma] = STATE(3644),
    [sym_preproc_nullable] = STATE(3644),
    [sym_preproc_error] = STATE(3644),
    [sym_preproc_define] = STATE(3644),
    [sym_preproc_undef] = STATE(3644),
    [anon_sym_SEMI] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_COLON] = ACTIONS(5443),
    [anon_sym_COMMA] = ACTIONS(5443),
    [anon_sym_RBRACK] = ACTIONS(5443),
    [anon_sym_LPAREN] = ACTIONS(5443),
    [anon_sym_RPAREN] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5443),
    [anon_sym_LT] = ACTIONS(5445),
    [anon_sym_GT] = ACTIONS(5445),
    [anon_sym_in] = ACTIONS(5445),
    [anon_sym_where] = ACTIONS(5443),
    [anon_sym_QMARK] = ACTIONS(5445),
    [anon_sym_BANG] = ACTIONS(5445),
    [anon_sym_PLUS_PLUS] = ACTIONS(5443),
    [anon_sym_DASH_DASH] = ACTIONS(5443),
    [anon_sym_PLUS] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5443),
    [anon_sym_SLASH] = ACTIONS(5445),
    [anon_sym_PERCENT] = ACTIONS(5443),
    [anon_sym_CARET] = ACTIONS(5443),
    [anon_sym_PIPE] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5445),
    [anon_sym_LT_LT] = ACTIONS(5443),
    [anon_sym_GT_GT] = ACTIONS(5445),
    [anon_sym_GT_GT_GT] = ACTIONS(5443),
    [anon_sym_EQ_EQ] = ACTIONS(5443),
    [anon_sym_BANG_EQ] = ACTIONS(5443),
    [anon_sym_GT_EQ] = ACTIONS(5443),
    [anon_sym_LT_EQ] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_EQ_GT] = ACTIONS(5443),
    [anon_sym_switch] = ACTIONS(5443),
    [anon_sym_DOT_DOT] = ACTIONS(5443),
    [anon_sym_and] = ACTIONS(5443),
    [anon_sym_or] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5443),
    [anon_sym_PIPE_PIPE] = ACTIONS(5443),
    [anon_sym_QMARK_QMARK] = ACTIONS(5443),
    [anon_sym_from] = ACTIONS(5443),
    [anon_sym_into] = ACTIONS(5443),
    [anon_sym_join] = ACTIONS(5443),
    [anon_sym_on] = ACTIONS(5443),
    [anon_sym_equals] = ACTIONS(5443),
    [anon_sym_let] = ACTIONS(5443),
    [anon_sym_orderby] = ACTIONS(5443),
    [anon_sym_group] = ACTIONS(5443),
    [anon_sym_by] = ACTIONS(5443),
    [anon_sym_select] = ACTIONS(5443),
    [anon_sym_as] = ACTIONS(5443),
    [anon_sym_is] = ACTIONS(5443),
    [anon_sym_DASH_GT] = ACTIONS(5443),
    [anon_sym_with] = ACTIONS(5443),
    [aux_sym_preproc_if_token3] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3645] = {
    [sym_preproc_region] = STATE(3645),
    [sym_preproc_endregion] = STATE(3645),
    [sym_preproc_line] = STATE(3645),
    [sym_preproc_pragma] = STATE(3645),
    [sym_preproc_nullable] = STATE(3645),
    [sym_preproc_error] = STATE(3645),
    [sym_preproc_define] = STATE(3645),
    [sym_preproc_undef] = STATE(3645),
    [anon_sym_SEMI] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_COLON] = ACTIONS(5447),
    [anon_sym_COMMA] = ACTIONS(5447),
    [anon_sym_RBRACK] = ACTIONS(5447),
    [anon_sym_LPAREN] = ACTIONS(5447),
    [anon_sym_RPAREN] = ACTIONS(5447),
    [anon_sym_RBRACE] = ACTIONS(5447),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_in] = ACTIONS(5449),
    [anon_sym_where] = ACTIONS(5447),
    [anon_sym_QMARK] = ACTIONS(5449),
    [anon_sym_BANG] = ACTIONS(5449),
    [anon_sym_PLUS_PLUS] = ACTIONS(5447),
    [anon_sym_DASH_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5447),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5447),
    [anon_sym_CARET] = ACTIONS(5447),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5447),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_GT_GT_GT] = ACTIONS(5447),
    [anon_sym_EQ_EQ] = ACTIONS(5447),
    [anon_sym_BANG_EQ] = ACTIONS(5447),
    [anon_sym_GT_EQ] = ACTIONS(5447),
    [anon_sym_LT_EQ] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_EQ_GT] = ACTIONS(5447),
    [anon_sym_switch] = ACTIONS(5447),
    [anon_sym_DOT_DOT] = ACTIONS(5447),
    [anon_sym_and] = ACTIONS(5447),
    [anon_sym_or] = ACTIONS(5449),
    [anon_sym_AMP_AMP] = ACTIONS(5447),
    [anon_sym_PIPE_PIPE] = ACTIONS(5447),
    [anon_sym_QMARK_QMARK] = ACTIONS(5447),
    [anon_sym_from] = ACTIONS(5447),
    [anon_sym_into] = ACTIONS(5447),
    [anon_sym_join] = ACTIONS(5447),
    [anon_sym_on] = ACTIONS(5447),
    [anon_sym_equals] = ACTIONS(5447),
    [anon_sym_let] = ACTIONS(5447),
    [anon_sym_orderby] = ACTIONS(5447),
    [anon_sym_group] = ACTIONS(5447),
    [anon_sym_by] = ACTIONS(5447),
    [anon_sym_select] = ACTIONS(5447),
    [anon_sym_as] = ACTIONS(5447),
    [anon_sym_is] = ACTIONS(5447),
    [anon_sym_DASH_GT] = ACTIONS(5447),
    [anon_sym_with] = ACTIONS(5447),
    [aux_sym_preproc_if_token3] = ACTIONS(5447),
    [aux_sym_preproc_else_token1] = ACTIONS(5447),
    [aux_sym_preproc_elif_token1] = ACTIONS(5447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3646] = {
    [sym_preproc_region] = STATE(3646),
    [sym_preproc_endregion] = STATE(3646),
    [sym_preproc_line] = STATE(3646),
    [sym_preproc_pragma] = STATE(3646),
    [sym_preproc_nullable] = STATE(3646),
    [sym_preproc_error] = STATE(3646),
    [sym_preproc_define] = STATE(3646),
    [sym_preproc_undef] = STATE(3646),
    [anon_sym_SEMI] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_COLON] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [anon_sym_RBRACK] = ACTIONS(5451),
    [anon_sym_LPAREN] = ACTIONS(5451),
    [anon_sym_RPAREN] = ACTIONS(5451),
    [anon_sym_RBRACE] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_in] = ACTIONS(5453),
    [anon_sym_where] = ACTIONS(5451),
    [anon_sym_QMARK] = ACTIONS(5453),
    [anon_sym_BANG] = ACTIONS(5453),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5451),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5451),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_GT_GT_GT] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_EQ_GT] = ACTIONS(5451),
    [anon_sym_switch] = ACTIONS(5451),
    [anon_sym_DOT_DOT] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_QMARK_QMARK] = ACTIONS(5451),
    [anon_sym_from] = ACTIONS(5451),
    [anon_sym_into] = ACTIONS(5451),
    [anon_sym_join] = ACTIONS(5451),
    [anon_sym_on] = ACTIONS(5451),
    [anon_sym_equals] = ACTIONS(5451),
    [anon_sym_let] = ACTIONS(5451),
    [anon_sym_orderby] = ACTIONS(5451),
    [anon_sym_group] = ACTIONS(5451),
    [anon_sym_by] = ACTIONS(5451),
    [anon_sym_select] = ACTIONS(5451),
    [anon_sym_as] = ACTIONS(5451),
    [anon_sym_is] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_with] = ACTIONS(5451),
    [aux_sym_preproc_if_token3] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3647] = {
    [sym_preproc_region] = STATE(3647),
    [sym_preproc_endregion] = STATE(3647),
    [sym_preproc_line] = STATE(3647),
    [sym_preproc_pragma] = STATE(3647),
    [sym_preproc_nullable] = STATE(3647),
    [sym_preproc_error] = STATE(3647),
    [sym_preproc_define] = STATE(3647),
    [sym_preproc_undef] = STATE(3647),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_ascending] = ACTIONS(5305),
    [anon_sym_descending] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5307),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3648] = {
    [sym_preproc_region] = STATE(3648),
    [sym_preproc_endregion] = STATE(3648),
    [sym_preproc_line] = STATE(3648),
    [sym_preproc_pragma] = STATE(3648),
    [sym_preproc_nullable] = STATE(3648),
    [sym_preproc_error] = STATE(3648),
    [sym_preproc_define] = STATE(3648),
    [sym_preproc_undef] = STATE(3648),
    [anon_sym_SEMI] = ACTIONS(4188),
    [anon_sym_LBRACK] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4188),
    [anon_sym_RPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4188),
    [anon_sym_LT] = ACTIONS(4177),
    [anon_sym_GT] = ACTIONS(4177),
    [anon_sym_in] = ACTIONS(4188),
    [anon_sym_where] = ACTIONS(4188),
    [anon_sym_QMARK] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4177),
    [anon_sym_PLUS_PLUS] = ACTIONS(4188),
    [anon_sym_DASH_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4177),
    [anon_sym_DASH] = ACTIONS(4177),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_SLASH] = ACTIONS(4177),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4188),
    [anon_sym_PIPE] = ACTIONS(4177),
    [anon_sym_AMP] = ACTIONS(4177),
    [anon_sym_LT_LT] = ACTIONS(4188),
    [anon_sym_GT_GT] = ACTIONS(4177),
    [anon_sym_GT_GT_GT] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4188),
    [anon_sym_BANG_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_DOT] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4188),
    [anon_sym_switch] = ACTIONS(4188),
    [anon_sym_DOT_DOT] = ACTIONS(4188),
    [anon_sym_and] = ACTIONS(4188),
    [anon_sym_or] = ACTIONS(4177),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4188),
    [anon_sym_QMARK_QMARK] = ACTIONS(4188),
    [anon_sym_from] = ACTIONS(4188),
    [anon_sym_join] = ACTIONS(4188),
    [anon_sym_on] = ACTIONS(4188),
    [anon_sym_equals] = ACTIONS(4188),
    [anon_sym_let] = ACTIONS(4188),
    [anon_sym_orderby] = ACTIONS(4188),
    [anon_sym_group] = ACTIONS(4188),
    [anon_sym_by] = ACTIONS(4188),
    [anon_sym_select] = ACTIONS(4188),
    [anon_sym_as] = ACTIONS(4188),
    [anon_sym_is] = ACTIONS(4188),
    [anon_sym_DASH_GT] = ACTIONS(4188),
    [anon_sym_with] = ACTIONS(4188),
    [aux_sym_preproc_if_token3] = ACTIONS(4188),
    [aux_sym_preproc_else_token1] = ACTIONS(4188),
    [aux_sym_preproc_elif_token1] = ACTIONS(4188),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3649] = {
    [sym_preproc_region] = STATE(3649),
    [sym_preproc_endregion] = STATE(3649),
    [sym_preproc_line] = STATE(3649),
    [sym_preproc_pragma] = STATE(3649),
    [sym_preproc_nullable] = STATE(3649),
    [sym_preproc_error] = STATE(3649),
    [sym_preproc_define] = STATE(3649),
    [sym_preproc_undef] = STATE(3649),
    [anon_sym_SEMI] = ACTIONS(4561),
    [anon_sym_LBRACK] = ACTIONS(4561),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_COMMA] = ACTIONS(4561),
    [anon_sym_RBRACK] = ACTIONS(4561),
    [anon_sym_LPAREN] = ACTIONS(4561),
    [anon_sym_RPAREN] = ACTIONS(4561),
    [anon_sym_LBRACE] = ACTIONS(4561),
    [anon_sym_RBRACE] = ACTIONS(4561),
    [anon_sym_LT] = ACTIONS(4559),
    [anon_sym_GT] = ACTIONS(4559),
    [anon_sym_in] = ACTIONS(4561),
    [anon_sym_where] = ACTIONS(4561),
    [anon_sym_QMARK] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(4559),
    [anon_sym_PLUS_PLUS] = ACTIONS(4561),
    [anon_sym_DASH_DASH] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_STAR] = ACTIONS(4561),
    [anon_sym_SLASH] = ACTIONS(4559),
    [anon_sym_PERCENT] = ACTIONS(4561),
    [anon_sym_CARET] = ACTIONS(4561),
    [anon_sym_PIPE] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym_LT_LT] = ACTIONS(4561),
    [anon_sym_GT_GT] = ACTIONS(4559),
    [anon_sym_GT_GT_GT] = ACTIONS(4561),
    [anon_sym_EQ_EQ] = ACTIONS(4561),
    [anon_sym_BANG_EQ] = ACTIONS(4561),
    [anon_sym_GT_EQ] = ACTIONS(4561),
    [anon_sym_LT_EQ] = ACTIONS(4561),
    [anon_sym_DOT] = ACTIONS(4559),
    [anon_sym_EQ_GT] = ACTIONS(4561),
    [anon_sym_switch] = ACTIONS(4561),
    [anon_sym_DOT_DOT] = ACTIONS(4561),
    [anon_sym_and] = ACTIONS(4561),
    [anon_sym_or] = ACTIONS(4559),
    [anon_sym_AMP_AMP] = ACTIONS(4561),
    [anon_sym_PIPE_PIPE] = ACTIONS(4561),
    [anon_sym_QMARK_QMARK] = ACTIONS(4561),
    [anon_sym_from] = ACTIONS(4561),
    [anon_sym_join] = ACTIONS(4561),
    [anon_sym_on] = ACTIONS(4561),
    [anon_sym_equals] = ACTIONS(4561),
    [anon_sym_let] = ACTIONS(4561),
    [anon_sym_orderby] = ACTIONS(4561),
    [anon_sym_group] = ACTIONS(4561),
    [anon_sym_by] = ACTIONS(4561),
    [anon_sym_select] = ACTIONS(4561),
    [anon_sym_as] = ACTIONS(4561),
    [anon_sym_is] = ACTIONS(4561),
    [anon_sym_DASH_GT] = ACTIONS(4561),
    [anon_sym_with] = ACTIONS(4561),
    [aux_sym_preproc_if_token3] = ACTIONS(4561),
    [aux_sym_preproc_else_token1] = ACTIONS(4561),
    [aux_sym_preproc_elif_token1] = ACTIONS(4561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3650] = {
    [sym_preproc_region] = STATE(3650),
    [sym_preproc_endregion] = STATE(3650),
    [sym_preproc_line] = STATE(3650),
    [sym_preproc_pragma] = STATE(3650),
    [sym_preproc_nullable] = STATE(3650),
    [sym_preproc_error] = STATE(3650),
    [sym_preproc_define] = STATE(3650),
    [sym_preproc_undef] = STATE(3650),
    [anon_sym_SEMI] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_COMMA] = ACTIONS(5459),
    [anon_sym_RBRACK] = ACTIONS(5459),
    [anon_sym_LPAREN] = ACTIONS(5459),
    [anon_sym_RPAREN] = ACTIONS(5459),
    [anon_sym_RBRACE] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5461),
    [anon_sym_in] = ACTIONS(5461),
    [anon_sym_where] = ACTIONS(5459),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_BANG] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5459),
    [anon_sym_SLASH] = ACTIONS(5461),
    [anon_sym_PERCENT] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5459),
    [anon_sym_PIPE] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5461),
    [anon_sym_LT_LT] = ACTIONS(5459),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym_GT_GT_GT] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5459),
    [anon_sym_BANG_EQ] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5459),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_EQ_GT] = ACTIONS(5459),
    [anon_sym_switch] = ACTIONS(5459),
    [anon_sym_DOT_DOT] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_or] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5459),
    [anon_sym_PIPE_PIPE] = ACTIONS(5459),
    [anon_sym_QMARK_QMARK] = ACTIONS(5459),
    [anon_sym_from] = ACTIONS(5459),
    [anon_sym_into] = ACTIONS(5459),
    [anon_sym_join] = ACTIONS(5459),
    [anon_sym_on] = ACTIONS(5459),
    [anon_sym_equals] = ACTIONS(5459),
    [anon_sym_let] = ACTIONS(5459),
    [anon_sym_orderby] = ACTIONS(5459),
    [anon_sym_group] = ACTIONS(5459),
    [anon_sym_by] = ACTIONS(5459),
    [anon_sym_select] = ACTIONS(5459),
    [anon_sym_as] = ACTIONS(5459),
    [anon_sym_is] = ACTIONS(5459),
    [anon_sym_DASH_GT] = ACTIONS(5459),
    [anon_sym_with] = ACTIONS(5459),
    [aux_sym_preproc_if_token3] = ACTIONS(5459),
    [aux_sym_preproc_else_token1] = ACTIONS(5459),
    [aux_sym_preproc_elif_token1] = ACTIONS(5459),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3651] = {
    [sym_preproc_region] = STATE(3651),
    [sym_preproc_endregion] = STATE(3651),
    [sym_preproc_line] = STATE(3651),
    [sym_preproc_pragma] = STATE(3651),
    [sym_preproc_nullable] = STATE(3651),
    [sym_preproc_error] = STATE(3651),
    [sym_preproc_define] = STATE(3651),
    [sym_preproc_undef] = STATE(3651),
    [anon_sym_SEMI] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_COLON] = ACTIONS(5463),
    [anon_sym_COMMA] = ACTIONS(5463),
    [anon_sym_RBRACK] = ACTIONS(5463),
    [anon_sym_LPAREN] = ACTIONS(5463),
    [anon_sym_RPAREN] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5463),
    [anon_sym_LT] = ACTIONS(5465),
    [anon_sym_GT] = ACTIONS(5465),
    [anon_sym_in] = ACTIONS(5465),
    [anon_sym_where] = ACTIONS(5463),
    [anon_sym_QMARK] = ACTIONS(5465),
    [anon_sym_BANG] = ACTIONS(5465),
    [anon_sym_PLUS_PLUS] = ACTIONS(5463),
    [anon_sym_DASH_DASH] = ACTIONS(5463),
    [anon_sym_PLUS] = ACTIONS(5465),
    [anon_sym_DASH] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5463),
    [anon_sym_SLASH] = ACTIONS(5465),
    [anon_sym_PERCENT] = ACTIONS(5463),
    [anon_sym_CARET] = ACTIONS(5463),
    [anon_sym_PIPE] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5465),
    [anon_sym_LT_LT] = ACTIONS(5463),
    [anon_sym_GT_GT] = ACTIONS(5465),
    [anon_sym_GT_GT_GT] = ACTIONS(5463),
    [anon_sym_EQ_EQ] = ACTIONS(5463),
    [anon_sym_BANG_EQ] = ACTIONS(5463),
    [anon_sym_GT_EQ] = ACTIONS(5463),
    [anon_sym_LT_EQ] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_EQ_GT] = ACTIONS(5463),
    [anon_sym_switch] = ACTIONS(5463),
    [anon_sym_DOT_DOT] = ACTIONS(5463),
    [anon_sym_and] = ACTIONS(5463),
    [anon_sym_or] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5463),
    [anon_sym_PIPE_PIPE] = ACTIONS(5463),
    [anon_sym_QMARK_QMARK] = ACTIONS(5463),
    [anon_sym_from] = ACTIONS(5463),
    [anon_sym_into] = ACTIONS(5463),
    [anon_sym_join] = ACTIONS(5463),
    [anon_sym_on] = ACTIONS(5463),
    [anon_sym_equals] = ACTIONS(5463),
    [anon_sym_let] = ACTIONS(5463),
    [anon_sym_orderby] = ACTIONS(5463),
    [anon_sym_group] = ACTIONS(5463),
    [anon_sym_by] = ACTIONS(5463),
    [anon_sym_select] = ACTIONS(5463),
    [anon_sym_as] = ACTIONS(5463),
    [anon_sym_is] = ACTIONS(5463),
    [anon_sym_DASH_GT] = ACTIONS(5463),
    [anon_sym_with] = ACTIONS(5463),
    [aux_sym_preproc_if_token3] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3652] = {
    [sym_preproc_region] = STATE(3652),
    [sym_preproc_endregion] = STATE(3652),
    [sym_preproc_line] = STATE(3652),
    [sym_preproc_pragma] = STATE(3652),
    [sym_preproc_nullable] = STATE(3652),
    [sym_preproc_error] = STATE(3652),
    [sym_preproc_define] = STATE(3652),
    [sym_preproc_undef] = STATE(3652),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3653] = {
    [sym_preproc_region] = STATE(3653),
    [sym_preproc_endregion] = STATE(3653),
    [sym_preproc_line] = STATE(3653),
    [sym_preproc_pragma] = STATE(3653),
    [sym_preproc_nullable] = STATE(3653),
    [sym_preproc_error] = STATE(3653),
    [sym_preproc_define] = STATE(3653),
    [sym_preproc_undef] = STATE(3653),
    [anon_sym_SEMI] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_COLON] = ACTIONS(5467),
    [anon_sym_COMMA] = ACTIONS(5467),
    [anon_sym_RBRACK] = ACTIONS(5467),
    [anon_sym_LPAREN] = ACTIONS(5467),
    [anon_sym_RPAREN] = ACTIONS(5467),
    [anon_sym_RBRACE] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5469),
    [anon_sym_GT] = ACTIONS(5469),
    [anon_sym_in] = ACTIONS(5469),
    [anon_sym_where] = ACTIONS(5467),
    [anon_sym_QMARK] = ACTIONS(5469),
    [anon_sym_BANG] = ACTIONS(5469),
    [anon_sym_PLUS_PLUS] = ACTIONS(5467),
    [anon_sym_DASH_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5469),
    [anon_sym_DASH] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5467),
    [anon_sym_SLASH] = ACTIONS(5469),
    [anon_sym_PERCENT] = ACTIONS(5467),
    [anon_sym_CARET] = ACTIONS(5467),
    [anon_sym_PIPE] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5469),
    [anon_sym_LT_LT] = ACTIONS(5467),
    [anon_sym_GT_GT] = ACTIONS(5469),
    [anon_sym_GT_GT_GT] = ACTIONS(5467),
    [anon_sym_EQ_EQ] = ACTIONS(5467),
    [anon_sym_BANG_EQ] = ACTIONS(5467),
    [anon_sym_GT_EQ] = ACTIONS(5467),
    [anon_sym_LT_EQ] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_EQ_GT] = ACTIONS(5467),
    [anon_sym_switch] = ACTIONS(5467),
    [anon_sym_DOT_DOT] = ACTIONS(5467),
    [anon_sym_and] = ACTIONS(5467),
    [anon_sym_or] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5467),
    [anon_sym_PIPE_PIPE] = ACTIONS(5467),
    [anon_sym_QMARK_QMARK] = ACTIONS(5467),
    [anon_sym_from] = ACTIONS(5467),
    [anon_sym_into] = ACTIONS(5467),
    [anon_sym_join] = ACTIONS(5467),
    [anon_sym_on] = ACTIONS(5467),
    [anon_sym_equals] = ACTIONS(5467),
    [anon_sym_let] = ACTIONS(5467),
    [anon_sym_orderby] = ACTIONS(5467),
    [anon_sym_group] = ACTIONS(5467),
    [anon_sym_by] = ACTIONS(5467),
    [anon_sym_select] = ACTIONS(5467),
    [anon_sym_as] = ACTIONS(5467),
    [anon_sym_is] = ACTIONS(5467),
    [anon_sym_DASH_GT] = ACTIONS(5467),
    [anon_sym_with] = ACTIONS(5467),
    [aux_sym_preproc_if_token3] = ACTIONS(5467),
    [aux_sym_preproc_else_token1] = ACTIONS(5467),
    [aux_sym_preproc_elif_token1] = ACTIONS(5467),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3654] = {
    [sym_preproc_region] = STATE(3654),
    [sym_preproc_endregion] = STATE(3654),
    [sym_preproc_line] = STATE(3654),
    [sym_preproc_pragma] = STATE(3654),
    [sym_preproc_nullable] = STATE(3654),
    [sym_preproc_error] = STATE(3654),
    [sym_preproc_define] = STATE(3654),
    [sym_preproc_undef] = STATE(3654),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(5471),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3655] = {
    [sym_preproc_region] = STATE(3655),
    [sym_preproc_endregion] = STATE(3655),
    [sym_preproc_line] = STATE(3655),
    [sym_preproc_pragma] = STATE(3655),
    [sym_preproc_nullable] = STATE(3655),
    [sym_preproc_error] = STATE(3655),
    [sym_preproc_define] = STATE(3655),
    [sym_preproc_undef] = STATE(3655),
    [anon_sym_SEMI] = ACTIONS(4465),
    [anon_sym_LBRACK] = ACTIONS(4465),
    [anon_sym_COLON] = ACTIONS(4465),
    [anon_sym_COMMA] = ACTIONS(4465),
    [anon_sym_RBRACK] = ACTIONS(4465),
    [anon_sym_LPAREN] = ACTIONS(4465),
    [anon_sym_RPAREN] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4465),
    [anon_sym_RBRACE] = ACTIONS(4465),
    [anon_sym_LT] = ACTIONS(4463),
    [anon_sym_GT] = ACTIONS(4463),
    [anon_sym_in] = ACTIONS(4465),
    [anon_sym_where] = ACTIONS(4465),
    [anon_sym_QMARK] = ACTIONS(4463),
    [anon_sym_BANG] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4465),
    [anon_sym_DASH_DASH] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_STAR] = ACTIONS(4465),
    [anon_sym_SLASH] = ACTIONS(4463),
    [anon_sym_PERCENT] = ACTIONS(4465),
    [anon_sym_CARET] = ACTIONS(4465),
    [anon_sym_PIPE] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(4463),
    [anon_sym_LT_LT] = ACTIONS(4465),
    [anon_sym_GT_GT] = ACTIONS(4463),
    [anon_sym_GT_GT_GT] = ACTIONS(4465),
    [anon_sym_EQ_EQ] = ACTIONS(4465),
    [anon_sym_BANG_EQ] = ACTIONS(4465),
    [anon_sym_GT_EQ] = ACTIONS(4465),
    [anon_sym_LT_EQ] = ACTIONS(4465),
    [anon_sym_DOT] = ACTIONS(4463),
    [anon_sym_EQ_GT] = ACTIONS(4465),
    [anon_sym_switch] = ACTIONS(4465),
    [anon_sym_DOT_DOT] = ACTIONS(4465),
    [anon_sym_and] = ACTIONS(4465),
    [anon_sym_or] = ACTIONS(4463),
    [anon_sym_AMP_AMP] = ACTIONS(4465),
    [anon_sym_PIPE_PIPE] = ACTIONS(4465),
    [anon_sym_QMARK_QMARK] = ACTIONS(4465),
    [anon_sym_from] = ACTIONS(4465),
    [anon_sym_join] = ACTIONS(4465),
    [anon_sym_on] = ACTIONS(4465),
    [anon_sym_equals] = ACTIONS(4465),
    [anon_sym_let] = ACTIONS(4465),
    [anon_sym_orderby] = ACTIONS(4465),
    [anon_sym_group] = ACTIONS(4465),
    [anon_sym_by] = ACTIONS(4465),
    [anon_sym_select] = ACTIONS(4465),
    [anon_sym_as] = ACTIONS(4465),
    [anon_sym_is] = ACTIONS(4465),
    [anon_sym_DASH_GT] = ACTIONS(4465),
    [anon_sym_with] = ACTIONS(4465),
    [aux_sym_preproc_if_token3] = ACTIONS(4465),
    [aux_sym_preproc_else_token1] = ACTIONS(4465),
    [aux_sym_preproc_elif_token1] = ACTIONS(4465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3656] = {
    [sym_preproc_region] = STATE(3656),
    [sym_preproc_endregion] = STATE(3656),
    [sym_preproc_line] = STATE(3656),
    [sym_preproc_pragma] = STATE(3656),
    [sym_preproc_nullable] = STATE(3656),
    [sym_preproc_error] = STATE(3656),
    [sym_preproc_define] = STATE(3656),
    [sym_preproc_undef] = STATE(3656),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_LPAREN] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_in] = ACTIONS(5476),
    [anon_sym_where] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_BANG] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_GT_GT_GT] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_EQ_GT] = ACTIONS(5474),
    [anon_sym_switch] = ACTIONS(5474),
    [anon_sym_DOT_DOT] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5476),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_QMARK_QMARK] = ACTIONS(5474),
    [anon_sym_from] = ACTIONS(5474),
    [anon_sym_into] = ACTIONS(5474),
    [anon_sym_join] = ACTIONS(5474),
    [anon_sym_on] = ACTIONS(5474),
    [anon_sym_equals] = ACTIONS(5474),
    [anon_sym_let] = ACTIONS(5474),
    [anon_sym_orderby] = ACTIONS(5474),
    [anon_sym_group] = ACTIONS(5474),
    [anon_sym_by] = ACTIONS(5474),
    [anon_sym_select] = ACTIONS(5474),
    [anon_sym_as] = ACTIONS(5474),
    [anon_sym_is] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [anon_sym_with] = ACTIONS(5474),
    [aux_sym_preproc_if_token3] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5474),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3657] = {
    [sym_preproc_region] = STATE(3657),
    [sym_preproc_endregion] = STATE(3657),
    [sym_preproc_line] = STATE(3657),
    [sym_preproc_pragma] = STATE(3657),
    [sym_preproc_nullable] = STATE(3657),
    [sym_preproc_error] = STATE(3657),
    [sym_preproc_define] = STATE(3657),
    [sym_preproc_undef] = STATE(3657),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3658] = {
    [sym_preproc_region] = STATE(3658),
    [sym_preproc_endregion] = STATE(3658),
    [sym_preproc_line] = STATE(3658),
    [sym_preproc_pragma] = STATE(3658),
    [sym_preproc_nullable] = STATE(3658),
    [sym_preproc_error] = STATE(3658),
    [sym_preproc_define] = STATE(3658),
    [sym_preproc_undef] = STATE(3658),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(5471),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3659] = {
    [sym_preproc_region] = STATE(3659),
    [sym_preproc_endregion] = STATE(3659),
    [sym_preproc_line] = STATE(3659),
    [sym_preproc_pragma] = STATE(3659),
    [sym_preproc_nullable] = STATE(3659),
    [sym_preproc_error] = STATE(3659),
    [sym_preproc_define] = STATE(3659),
    [sym_preproc_undef] = STATE(3659),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_LPAREN] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_in] = ACTIONS(5480),
    [anon_sym_where] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_BANG] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_GT_GT_GT] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_EQ_GT] = ACTIONS(5478),
    [anon_sym_switch] = ACTIONS(5478),
    [anon_sym_DOT_DOT] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_QMARK_QMARK] = ACTIONS(5478),
    [anon_sym_from] = ACTIONS(5478),
    [anon_sym_into] = ACTIONS(5478),
    [anon_sym_join] = ACTIONS(5478),
    [anon_sym_on] = ACTIONS(5478),
    [anon_sym_equals] = ACTIONS(5478),
    [anon_sym_let] = ACTIONS(5478),
    [anon_sym_orderby] = ACTIONS(5478),
    [anon_sym_group] = ACTIONS(5478),
    [anon_sym_by] = ACTIONS(5478),
    [anon_sym_select] = ACTIONS(5478),
    [anon_sym_as] = ACTIONS(5478),
    [anon_sym_is] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [anon_sym_with] = ACTIONS(5478),
    [aux_sym_preproc_if_token3] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5478),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3660] = {
    [sym_preproc_region] = STATE(3660),
    [sym_preproc_endregion] = STATE(3660),
    [sym_preproc_line] = STATE(3660),
    [sym_preproc_pragma] = STATE(3660),
    [sym_preproc_nullable] = STATE(3660),
    [sym_preproc_error] = STATE(3660),
    [sym_preproc_define] = STATE(3660),
    [sym_preproc_undef] = STATE(3660),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4453),
    [anon_sym_where] = ACTIONS(4453),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4451),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4453),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4453),
    [anon_sym_join] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_let] = ACTIONS(4453),
    [anon_sym_orderby] = ACTIONS(4453),
    [anon_sym_group] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_select] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3661] = {
    [sym_preproc_region] = STATE(3661),
    [sym_preproc_endregion] = STATE(3661),
    [sym_preproc_line] = STATE(3661),
    [sym_preproc_pragma] = STATE(3661),
    [sym_preproc_nullable] = STATE(3661),
    [sym_preproc_error] = STATE(3661),
    [sym_preproc_define] = STATE(3661),
    [sym_preproc_undef] = STATE(3661),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_LPAREN] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_where] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_BANG] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_GT_GT_GT] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5350),
    [anon_sym_switch] = ACTIONS(5350),
    [anon_sym_DOT_DOT] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_QMARK_QMARK] = ACTIONS(5350),
    [anon_sym_from] = ACTIONS(5350),
    [anon_sym_into] = ACTIONS(5350),
    [anon_sym_join] = ACTIONS(5350),
    [anon_sym_on] = ACTIONS(5350),
    [anon_sym_equals] = ACTIONS(5350),
    [anon_sym_let] = ACTIONS(5350),
    [anon_sym_orderby] = ACTIONS(5350),
    [anon_sym_group] = ACTIONS(5350),
    [anon_sym_by] = ACTIONS(5350),
    [anon_sym_select] = ACTIONS(5350),
    [anon_sym_as] = ACTIONS(5350),
    [anon_sym_is] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_with] = ACTIONS(5350),
    [aux_sym_preproc_if_token3] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3662] = {
    [sym_preproc_region] = STATE(3662),
    [sym_preproc_endregion] = STATE(3662),
    [sym_preproc_line] = STATE(3662),
    [sym_preproc_pragma] = STATE(3662),
    [sym_preproc_nullable] = STATE(3662),
    [sym_preproc_error] = STATE(3662),
    [sym_preproc_define] = STATE(3662),
    [sym_preproc_undef] = STATE(3662),
    [anon_sym_SEMI] = ACTIONS(4598),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [anon_sym_COLON] = ACTIONS(4598),
    [anon_sym_COMMA] = ACTIONS(4598),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_LPAREN] = ACTIONS(4598),
    [anon_sym_RPAREN] = ACTIONS(4598),
    [anon_sym_LBRACE] = ACTIONS(4598),
    [anon_sym_RBRACE] = ACTIONS(4598),
    [anon_sym_LT] = ACTIONS(4596),
    [anon_sym_GT] = ACTIONS(4596),
    [anon_sym_in] = ACTIONS(4598),
    [anon_sym_where] = ACTIONS(4598),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_BANG] = ACTIONS(4596),
    [anon_sym_PLUS_PLUS] = ACTIONS(4598),
    [anon_sym_DASH_DASH] = ACTIONS(4598),
    [anon_sym_PLUS] = ACTIONS(4596),
    [anon_sym_DASH] = ACTIONS(4596),
    [anon_sym_STAR] = ACTIONS(4598),
    [anon_sym_SLASH] = ACTIONS(4596),
    [anon_sym_PERCENT] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4598),
    [anon_sym_PIPE] = ACTIONS(4596),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_LT_LT] = ACTIONS(4598),
    [anon_sym_GT_GT] = ACTIONS(4596),
    [anon_sym_GT_GT_GT] = ACTIONS(4598),
    [anon_sym_EQ_EQ] = ACTIONS(4598),
    [anon_sym_BANG_EQ] = ACTIONS(4598),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_LT_EQ] = ACTIONS(4598),
    [anon_sym_DOT] = ACTIONS(4596),
    [anon_sym_EQ_GT] = ACTIONS(4598),
    [anon_sym_switch] = ACTIONS(4598),
    [anon_sym_DOT_DOT] = ACTIONS(4598),
    [anon_sym_and] = ACTIONS(4598),
    [anon_sym_or] = ACTIONS(4596),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_PIPE_PIPE] = ACTIONS(4598),
    [anon_sym_QMARK_QMARK] = ACTIONS(4598),
    [anon_sym_from] = ACTIONS(4598),
    [anon_sym_join] = ACTIONS(4598),
    [anon_sym_on] = ACTIONS(4598),
    [anon_sym_equals] = ACTIONS(4598),
    [anon_sym_let] = ACTIONS(4598),
    [anon_sym_orderby] = ACTIONS(4598),
    [anon_sym_group] = ACTIONS(4598),
    [anon_sym_by] = ACTIONS(4598),
    [anon_sym_select] = ACTIONS(4598),
    [anon_sym_as] = ACTIONS(4598),
    [anon_sym_is] = ACTIONS(4598),
    [anon_sym_DASH_GT] = ACTIONS(4598),
    [anon_sym_with] = ACTIONS(4598),
    [aux_sym_preproc_if_token3] = ACTIONS(4598),
    [aux_sym_preproc_else_token1] = ACTIONS(4598),
    [aux_sym_preproc_elif_token1] = ACTIONS(4598),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3663] = {
    [sym_preproc_region] = STATE(3663),
    [sym_preproc_endregion] = STATE(3663),
    [sym_preproc_line] = STATE(3663),
    [sym_preproc_pragma] = STATE(3663),
    [sym_preproc_nullable] = STATE(3663),
    [sym_preproc_error] = STATE(3663),
    [sym_preproc_define] = STATE(3663),
    [sym_preproc_undef] = STATE(3663),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_in] = ACTIONS(5484),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5484),
    [anon_sym_BANG] = ACTIONS(5484),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_GT_GT_GT] = ACTIONS(5482),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_EQ_GT] = ACTIONS(5482),
    [anon_sym_switch] = ACTIONS(5482),
    [anon_sym_DOT_DOT] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5484),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_QMARK_QMARK] = ACTIONS(5482),
    [anon_sym_from] = ACTIONS(5482),
    [anon_sym_into] = ACTIONS(5482),
    [anon_sym_join] = ACTIONS(5482),
    [anon_sym_on] = ACTIONS(5482),
    [anon_sym_equals] = ACTIONS(5482),
    [anon_sym_let] = ACTIONS(5482),
    [anon_sym_orderby] = ACTIONS(5482),
    [anon_sym_group] = ACTIONS(5482),
    [anon_sym_by] = ACTIONS(5482),
    [anon_sym_select] = ACTIONS(5482),
    [anon_sym_as] = ACTIONS(5482),
    [anon_sym_is] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [anon_sym_with] = ACTIONS(5482),
    [aux_sym_preproc_if_token3] = ACTIONS(5482),
    [aux_sym_preproc_else_token1] = ACTIONS(5482),
    [aux_sym_preproc_elif_token1] = ACTIONS(5482),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3664] = {
    [sym_preproc_region] = STATE(3664),
    [sym_preproc_endregion] = STATE(3664),
    [sym_preproc_line] = STATE(3664),
    [sym_preproc_pragma] = STATE(3664),
    [sym_preproc_nullable] = STATE(3664),
    [sym_preproc_error] = STATE(3664),
    [sym_preproc_define] = STATE(3664),
    [sym_preproc_undef] = STATE(3664),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_LPAREN] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_in] = ACTIONS(5488),
    [anon_sym_where] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5488),
    [anon_sym_BANG] = ACTIONS(5488),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_GT_GT_GT] = ACTIONS(5486),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_EQ_GT] = ACTIONS(5486),
    [anon_sym_switch] = ACTIONS(5486),
    [anon_sym_DOT_DOT] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_QMARK_QMARK] = ACTIONS(5486),
    [anon_sym_from] = ACTIONS(5486),
    [anon_sym_into] = ACTIONS(5486),
    [anon_sym_join] = ACTIONS(5486),
    [anon_sym_on] = ACTIONS(5486),
    [anon_sym_equals] = ACTIONS(5486),
    [anon_sym_let] = ACTIONS(5486),
    [anon_sym_orderby] = ACTIONS(5486),
    [anon_sym_group] = ACTIONS(5486),
    [anon_sym_by] = ACTIONS(5486),
    [anon_sym_select] = ACTIONS(5486),
    [anon_sym_as] = ACTIONS(5486),
    [anon_sym_is] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [anon_sym_with] = ACTIONS(5486),
    [aux_sym_preproc_if_token3] = ACTIONS(5486),
    [aux_sym_preproc_else_token1] = ACTIONS(5486),
    [aux_sym_preproc_elif_token1] = ACTIONS(5486),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3665] = {
    [sym_preproc_region] = STATE(3665),
    [sym_preproc_endregion] = STATE(3665),
    [sym_preproc_line] = STATE(3665),
    [sym_preproc_pragma] = STATE(3665),
    [sym_preproc_nullable] = STATE(3665),
    [sym_preproc_error] = STATE(3665),
    [sym_preproc_define] = STATE(3665),
    [sym_preproc_undef] = STATE(3665),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_RPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4429),
    [anon_sym_where] = ACTIONS(4429),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_EQ_GT] = ACTIONS(4429),
    [anon_sym_switch] = ACTIONS(4429),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4429),
    [anon_sym_or] = ACTIONS(4427),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_from] = ACTIONS(4429),
    [anon_sym_join] = ACTIONS(4429),
    [anon_sym_on] = ACTIONS(4429),
    [anon_sym_equals] = ACTIONS(4429),
    [anon_sym_let] = ACTIONS(4429),
    [anon_sym_orderby] = ACTIONS(4429),
    [anon_sym_group] = ACTIONS(4429),
    [anon_sym_by] = ACTIONS(4429),
    [anon_sym_select] = ACTIONS(4429),
    [anon_sym_as] = ACTIONS(4429),
    [anon_sym_is] = ACTIONS(4429),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4429),
    [aux_sym_preproc_if_token3] = ACTIONS(4429),
    [aux_sym_preproc_else_token1] = ACTIONS(4429),
    [aux_sym_preproc_elif_token1] = ACTIONS(4429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3666] = {
    [sym_preproc_region] = STATE(3666),
    [sym_preproc_endregion] = STATE(3666),
    [sym_preproc_line] = STATE(3666),
    [sym_preproc_pragma] = STATE(3666),
    [sym_preproc_nullable] = STATE(3666),
    [sym_preproc_error] = STATE(3666),
    [sym_preproc_define] = STATE(3666),
    [sym_preproc_undef] = STATE(3666),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_where] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_BANG] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_GT_GT_GT] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_EQ_GT] = ACTIONS(5490),
    [anon_sym_switch] = ACTIONS(5490),
    [anon_sym_DOT_DOT] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5492),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_QMARK_QMARK] = ACTIONS(5490),
    [anon_sym_from] = ACTIONS(5490),
    [anon_sym_into] = ACTIONS(5490),
    [anon_sym_join] = ACTIONS(5490),
    [anon_sym_on] = ACTIONS(5490),
    [anon_sym_equals] = ACTIONS(5490),
    [anon_sym_let] = ACTIONS(5490),
    [anon_sym_orderby] = ACTIONS(5490),
    [anon_sym_group] = ACTIONS(5490),
    [anon_sym_by] = ACTIONS(5490),
    [anon_sym_select] = ACTIONS(5490),
    [anon_sym_as] = ACTIONS(5490),
    [anon_sym_is] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [anon_sym_with] = ACTIONS(5490),
    [aux_sym_preproc_if_token3] = ACTIONS(5490),
    [aux_sym_preproc_else_token1] = ACTIONS(5490),
    [aux_sym_preproc_elif_token1] = ACTIONS(5490),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3667] = {
    [sym_preproc_region] = STATE(3667),
    [sym_preproc_endregion] = STATE(3667),
    [sym_preproc_line] = STATE(3667),
    [sym_preproc_pragma] = STATE(3667),
    [sym_preproc_nullable] = STATE(3667),
    [sym_preproc_error] = STATE(3667),
    [sym_preproc_define] = STATE(3667),
    [sym_preproc_undef] = STATE(3667),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4134),
    [anon_sym_where] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4132),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_from] = ACTIONS(4134),
    [anon_sym_join] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_let] = ACTIONS(4134),
    [anon_sym_orderby] = ACTIONS(4134),
    [anon_sym_group] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_select] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3668] = {
    [sym_preproc_region] = STATE(3668),
    [sym_preproc_endregion] = STATE(3668),
    [sym_preproc_line] = STATE(3668),
    [sym_preproc_pragma] = STATE(3668),
    [sym_preproc_nullable] = STATE(3668),
    [sym_preproc_error] = STATE(3668),
    [sym_preproc_define] = STATE(3668),
    [sym_preproc_undef] = STATE(3668),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_LPAREN] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_in] = ACTIONS(5496),
    [anon_sym_where] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_BANG] = ACTIONS(5496),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_GT_GT_GT] = ACTIONS(5494),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_EQ_GT] = ACTIONS(5494),
    [anon_sym_switch] = ACTIONS(5494),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_QMARK_QMARK] = ACTIONS(5494),
    [anon_sym_from] = ACTIONS(5494),
    [anon_sym_into] = ACTIONS(5494),
    [anon_sym_join] = ACTIONS(5494),
    [anon_sym_on] = ACTIONS(5494),
    [anon_sym_equals] = ACTIONS(5494),
    [anon_sym_let] = ACTIONS(5494),
    [anon_sym_orderby] = ACTIONS(5494),
    [anon_sym_group] = ACTIONS(5494),
    [anon_sym_by] = ACTIONS(5494),
    [anon_sym_select] = ACTIONS(5494),
    [anon_sym_as] = ACTIONS(5494),
    [anon_sym_is] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [anon_sym_with] = ACTIONS(5494),
    [aux_sym_preproc_if_token3] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5494),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3669] = {
    [sym_preproc_region] = STATE(3669),
    [sym_preproc_endregion] = STATE(3669),
    [sym_preproc_line] = STATE(3669),
    [sym_preproc_pragma] = STATE(3669),
    [sym_preproc_nullable] = STATE(3669),
    [sym_preproc_error] = STATE(3669),
    [sym_preproc_define] = STATE(3669),
    [sym_preproc_undef] = STATE(3669),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_LPAREN] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_in] = ACTIONS(5500),
    [anon_sym_where] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_BANG] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_GT_GT_GT] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_EQ_GT] = ACTIONS(5498),
    [anon_sym_switch] = ACTIONS(5498),
    [anon_sym_DOT_DOT] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_QMARK_QMARK] = ACTIONS(5498),
    [anon_sym_from] = ACTIONS(5498),
    [anon_sym_into] = ACTIONS(5498),
    [anon_sym_join] = ACTIONS(5498),
    [anon_sym_on] = ACTIONS(5498),
    [anon_sym_equals] = ACTIONS(5498),
    [anon_sym_let] = ACTIONS(5498),
    [anon_sym_orderby] = ACTIONS(5498),
    [anon_sym_group] = ACTIONS(5498),
    [anon_sym_by] = ACTIONS(5498),
    [anon_sym_select] = ACTIONS(5498),
    [anon_sym_as] = ACTIONS(5498),
    [anon_sym_is] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [anon_sym_with] = ACTIONS(5498),
    [aux_sym_preproc_if_token3] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5498),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3670] = {
    [sym_attribute_list] = STATE(4408),
    [sym_modifier] = STATE(4476),
    [sym_accessor_declaration] = STATE(4348),
    [sym_identifier] = STATE(7898),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3670),
    [sym_preproc_endregion] = STATE(3670),
    [sym_preproc_line] = STATE(3670),
    [sym_preproc_pragma] = STATE(3670),
    [sym_preproc_nullable] = STATE(3670),
    [sym_preproc_error] = STATE(3670),
    [sym_preproc_define] = STATE(3670),
    [sym_preproc_undef] = STATE(3670),
    [aux_sym_class_declaration_repeat1] = STATE(3804),
    [aux_sym_class_declaration_repeat2] = STATE(4009),
    [aux_sym_accessor_list_repeat1] = STATE(3670),
    [sym__identifier_token] = ACTIONS(5502),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym_alias] = ACTIONS(5508),
    [anon_sym_global] = ACTIONS(5508),
    [anon_sym_unsafe] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5511),
    [anon_sym_RBRACE] = ACTIONS(5514),
    [anon_sym_abstract] = ACTIONS(5505),
    [anon_sym_async] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_file] = ACTIONS(5516),
    [anon_sym_fixed] = ACTIONS(5505),
    [anon_sym_internal] = ACTIONS(5505),
    [anon_sym_new] = ACTIONS(5505),
    [anon_sym_override] = ACTIONS(5505),
    [anon_sym_partial] = ACTIONS(5505),
    [anon_sym_private] = ACTIONS(5505),
    [anon_sym_protected] = ACTIONS(5505),
    [anon_sym_public] = ACTIONS(5505),
    [anon_sym_readonly] = ACTIONS(5505),
    [anon_sym_required] = ACTIONS(5505),
    [anon_sym_sealed] = ACTIONS(5505),
    [anon_sym_virtual] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_where] = ACTIONS(5508),
    [anon_sym_notnull] = ACTIONS(5508),
    [anon_sym_unmanaged] = ACTIONS(5508),
    [anon_sym_get] = ACTIONS(5519),
    [anon_sym_set] = ACTIONS(5519),
    [anon_sym_add] = ACTIONS(5519),
    [anon_sym_remove] = ACTIONS(5519),
    [anon_sym_init] = ACTIONS(5519),
    [anon_sym_scoped] = ACTIONS(5508),
    [anon_sym_var] = ACTIONS(5508),
    [anon_sym_yield] = ACTIONS(5508),
    [anon_sym_when] = ACTIONS(5508),
    [anon_sym_from] = ACTIONS(5508),
    [anon_sym_into] = ACTIONS(5508),
    [anon_sym_join] = ACTIONS(5508),
    [anon_sym_on] = ACTIONS(5508),
    [anon_sym_equals] = ACTIONS(5508),
    [anon_sym_let] = ACTIONS(5508),
    [anon_sym_orderby] = ACTIONS(5508),
    [anon_sym_ascending] = ACTIONS(5508),
    [anon_sym_descending] = ACTIONS(5508),
    [anon_sym_group] = ACTIONS(5508),
    [anon_sym_by] = ACTIONS(5508),
    [anon_sym_select] = ACTIONS(5508),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3671] = {
    [sym_preproc_region] = STATE(3671),
    [sym_preproc_endregion] = STATE(3671),
    [sym_preproc_line] = STATE(3671),
    [sym_preproc_pragma] = STATE(3671),
    [sym_preproc_nullable] = STATE(3671),
    [sym_preproc_error] = STATE(3671),
    [sym_preproc_define] = STATE(3671),
    [sym_preproc_undef] = STATE(3671),
    [anon_sym_SEMI] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5522),
    [anon_sym_COMMA] = ACTIONS(5522),
    [anon_sym_RBRACK] = ACTIONS(5522),
    [anon_sym_LPAREN] = ACTIONS(5522),
    [anon_sym_RPAREN] = ACTIONS(5522),
    [anon_sym_RBRACE] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5524),
    [anon_sym_in] = ACTIONS(5524),
    [anon_sym_where] = ACTIONS(5522),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_BANG] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5524),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5522),
    [anon_sym_PIPE] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_GT_GT_GT] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5522),
    [anon_sym_BANG_EQ] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5522),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_DOT] = ACTIONS(5524),
    [anon_sym_EQ_GT] = ACTIONS(5522),
    [anon_sym_switch] = ACTIONS(5522),
    [anon_sym_DOT_DOT] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_or] = ACTIONS(5524),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5522),
    [anon_sym_QMARK_QMARK] = ACTIONS(5522),
    [anon_sym_from] = ACTIONS(5522),
    [anon_sym_into] = ACTIONS(5522),
    [anon_sym_join] = ACTIONS(5522),
    [anon_sym_on] = ACTIONS(5522),
    [anon_sym_equals] = ACTIONS(5522),
    [anon_sym_let] = ACTIONS(5522),
    [anon_sym_orderby] = ACTIONS(5522),
    [anon_sym_group] = ACTIONS(5522),
    [anon_sym_by] = ACTIONS(5522),
    [anon_sym_select] = ACTIONS(5522),
    [anon_sym_as] = ACTIONS(5522),
    [anon_sym_is] = ACTIONS(5522),
    [anon_sym_DASH_GT] = ACTIONS(5522),
    [anon_sym_with] = ACTIONS(5522),
    [aux_sym_preproc_if_token3] = ACTIONS(5522),
    [aux_sym_preproc_else_token1] = ACTIONS(5522),
    [aux_sym_preproc_elif_token1] = ACTIONS(5522),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3672] = {
    [sym_preproc_region] = STATE(3672),
    [sym_preproc_endregion] = STATE(3672),
    [sym_preproc_line] = STATE(3672),
    [sym_preproc_pragma] = STATE(3672),
    [sym_preproc_nullable] = STATE(3672),
    [sym_preproc_error] = STATE(3672),
    [sym_preproc_define] = STATE(3672),
    [sym_preproc_undef] = STATE(3672),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RBRACK] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_where] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2989),
    [anon_sym_GT_GT_GT] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_and] = ACTIONS(2991),
    [anon_sym_or] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_QMARK_QMARK] = ACTIONS(2991),
    [anon_sym_from] = ACTIONS(2991),
    [anon_sym_into] = ACTIONS(2991),
    [anon_sym_join] = ACTIONS(2991),
    [anon_sym_on] = ACTIONS(2991),
    [anon_sym_equals] = ACTIONS(2991),
    [anon_sym_let] = ACTIONS(2991),
    [anon_sym_orderby] = ACTIONS(2991),
    [anon_sym_group] = ACTIONS(2991),
    [anon_sym_by] = ACTIONS(2991),
    [anon_sym_select] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_with] = ACTIONS(2991),
    [aux_sym_preproc_if_token3] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3673] = {
    [sym_preproc_region] = STATE(3673),
    [sym_preproc_endregion] = STATE(3673),
    [sym_preproc_line] = STATE(3673),
    [sym_preproc_pragma] = STATE(3673),
    [sym_preproc_nullable] = STATE(3673),
    [sym_preproc_error] = STATE(3673),
    [sym_preproc_define] = STATE(3673),
    [sym_preproc_undef] = STATE(3673),
    [anon_sym_SEMI] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5526),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_RBRACK] = ACTIONS(5526),
    [anon_sym_LPAREN] = ACTIONS(5526),
    [anon_sym_RPAREN] = ACTIONS(5526),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5528),
    [anon_sym_in] = ACTIONS(5528),
    [anon_sym_where] = ACTIONS(5526),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_BANG] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_SLASH] = ACTIONS(5528),
    [anon_sym_PERCENT] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_PIPE] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym_LT_LT] = ACTIONS(5526),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_GT_GT_GT] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5526),
    [anon_sym_BANG_EQ] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5526),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_EQ_GT] = ACTIONS(5526),
    [anon_sym_switch] = ACTIONS(5526),
    [anon_sym_DOT_DOT] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_or] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE] = ACTIONS(5526),
    [anon_sym_QMARK_QMARK] = ACTIONS(5526),
    [anon_sym_from] = ACTIONS(5526),
    [anon_sym_into] = ACTIONS(5526),
    [anon_sym_join] = ACTIONS(5526),
    [anon_sym_on] = ACTIONS(5526),
    [anon_sym_equals] = ACTIONS(5526),
    [anon_sym_let] = ACTIONS(5526),
    [anon_sym_orderby] = ACTIONS(5526),
    [anon_sym_group] = ACTIONS(5526),
    [anon_sym_by] = ACTIONS(5526),
    [anon_sym_select] = ACTIONS(5526),
    [anon_sym_as] = ACTIONS(5526),
    [anon_sym_is] = ACTIONS(5526),
    [anon_sym_DASH_GT] = ACTIONS(5526),
    [anon_sym_with] = ACTIONS(5526),
    [aux_sym_preproc_if_token3] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3674] = {
    [sym_preproc_region] = STATE(3674),
    [sym_preproc_endregion] = STATE(3674),
    [sym_preproc_line] = STATE(3674),
    [sym_preproc_pragma] = STATE(3674),
    [sym_preproc_nullable] = STATE(3674),
    [sym_preproc_error] = STATE(3674),
    [sym_preproc_define] = STATE(3674),
    [sym_preproc_undef] = STATE(3674),
    [anon_sym_SEMI] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5530),
    [anon_sym_COMMA] = ACTIONS(5530),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_LPAREN] = ACTIONS(5530),
    [anon_sym_RPAREN] = ACTIONS(5530),
    [anon_sym_RBRACE] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5532),
    [anon_sym_in] = ACTIONS(5532),
    [anon_sym_where] = ACTIONS(5530),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_BANG] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5532),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_SLASH] = ACTIONS(5532),
    [anon_sym_PERCENT] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5530),
    [anon_sym_PIPE] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym_LT_LT] = ACTIONS(5530),
    [anon_sym_GT_GT] = ACTIONS(5532),
    [anon_sym_GT_GT_GT] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5530),
    [anon_sym_BANG_EQ] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5530),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5532),
    [anon_sym_EQ_GT] = ACTIONS(5530),
    [anon_sym_switch] = ACTIONS(5530),
    [anon_sym_DOT_DOT] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_or] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_PIPE_PIPE] = ACTIONS(5530),
    [anon_sym_QMARK_QMARK] = ACTIONS(5530),
    [anon_sym_from] = ACTIONS(5530),
    [anon_sym_into] = ACTIONS(5530),
    [anon_sym_join] = ACTIONS(5530),
    [anon_sym_on] = ACTIONS(5530),
    [anon_sym_equals] = ACTIONS(5530),
    [anon_sym_let] = ACTIONS(5530),
    [anon_sym_orderby] = ACTIONS(5530),
    [anon_sym_group] = ACTIONS(5530),
    [anon_sym_by] = ACTIONS(5530),
    [anon_sym_select] = ACTIONS(5530),
    [anon_sym_as] = ACTIONS(5530),
    [anon_sym_is] = ACTIONS(5530),
    [anon_sym_DASH_GT] = ACTIONS(5530),
    [anon_sym_with] = ACTIONS(5530),
    [aux_sym_preproc_if_token3] = ACTIONS(5530),
    [aux_sym_preproc_else_token1] = ACTIONS(5530),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3675] = {
    [sym_preproc_region] = STATE(3675),
    [sym_preproc_endregion] = STATE(3675),
    [sym_preproc_line] = STATE(3675),
    [sym_preproc_pragma] = STATE(3675),
    [sym_preproc_nullable] = STATE(3675),
    [sym_preproc_error] = STATE(3675),
    [sym_preproc_define] = STATE(3675),
    [sym_preproc_undef] = STATE(3675),
    [anon_sym_SEMI] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5534),
    [anon_sym_COMMA] = ACTIONS(5534),
    [anon_sym_RBRACK] = ACTIONS(5534),
    [anon_sym_LPAREN] = ACTIONS(5534),
    [anon_sym_RPAREN] = ACTIONS(5534),
    [anon_sym_RBRACE] = ACTIONS(5534),
    [anon_sym_LT] = ACTIONS(5536),
    [anon_sym_GT] = ACTIONS(5536),
    [anon_sym_in] = ACTIONS(5536),
    [anon_sym_where] = ACTIONS(5534),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_BANG] = ACTIONS(5536),
    [anon_sym_PLUS_PLUS] = ACTIONS(5534),
    [anon_sym_DASH_DASH] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(5536),
    [anon_sym_DASH] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_SLASH] = ACTIONS(5536),
    [anon_sym_PERCENT] = ACTIONS(5534),
    [anon_sym_CARET] = ACTIONS(5534),
    [anon_sym_PIPE] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym_LT_LT] = ACTIONS(5534),
    [anon_sym_GT_GT] = ACTIONS(5536),
    [anon_sym_GT_GT_GT] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5534),
    [anon_sym_BANG_EQ] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5534),
    [anon_sym_LT_EQ] = ACTIONS(5534),
    [anon_sym_DOT] = ACTIONS(5536),
    [anon_sym_EQ_GT] = ACTIONS(5534),
    [anon_sym_switch] = ACTIONS(5534),
    [anon_sym_DOT_DOT] = ACTIONS(5534),
    [anon_sym_and] = ACTIONS(5534),
    [anon_sym_or] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_PIPE_PIPE] = ACTIONS(5534),
    [anon_sym_QMARK_QMARK] = ACTIONS(5534),
    [anon_sym_from] = ACTIONS(5534),
    [anon_sym_into] = ACTIONS(5534),
    [anon_sym_join] = ACTIONS(5534),
    [anon_sym_on] = ACTIONS(5534),
    [anon_sym_equals] = ACTIONS(5534),
    [anon_sym_let] = ACTIONS(5534),
    [anon_sym_orderby] = ACTIONS(5534),
    [anon_sym_group] = ACTIONS(5534),
    [anon_sym_by] = ACTIONS(5534),
    [anon_sym_select] = ACTIONS(5534),
    [anon_sym_as] = ACTIONS(5534),
    [anon_sym_is] = ACTIONS(5534),
    [anon_sym_DASH_GT] = ACTIONS(5534),
    [anon_sym_with] = ACTIONS(5534),
    [aux_sym_preproc_if_token3] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3676] = {
    [sym_preproc_region] = STATE(3676),
    [sym_preproc_endregion] = STATE(3676),
    [sym_preproc_line] = STATE(3676),
    [sym_preproc_pragma] = STATE(3676),
    [sym_preproc_nullable] = STATE(3676),
    [sym_preproc_error] = STATE(3676),
    [sym_preproc_define] = STATE(3676),
    [sym_preproc_undef] = STATE(3676),
    [anon_sym_SEMI] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5538),
    [anon_sym_COMMA] = ACTIONS(5538),
    [anon_sym_RBRACK] = ACTIONS(5538),
    [anon_sym_LPAREN] = ACTIONS(5538),
    [anon_sym_RPAREN] = ACTIONS(5538),
    [anon_sym_RBRACE] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5540),
    [anon_sym_in] = ACTIONS(5540),
    [anon_sym_where] = ACTIONS(5538),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_BANG] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_SLASH] = ACTIONS(5540),
    [anon_sym_PERCENT] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5538),
    [anon_sym_PIPE] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym_LT_LT] = ACTIONS(5538),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_GT_GT_GT] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5538),
    [anon_sym_BANG_EQ] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5538),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5540),
    [anon_sym_EQ_GT] = ACTIONS(5538),
    [anon_sym_switch] = ACTIONS(5538),
    [anon_sym_DOT_DOT] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_or] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_PIPE_PIPE] = ACTIONS(5538),
    [anon_sym_QMARK_QMARK] = ACTIONS(5538),
    [anon_sym_from] = ACTIONS(5538),
    [anon_sym_into] = ACTIONS(5538),
    [anon_sym_join] = ACTIONS(5538),
    [anon_sym_on] = ACTIONS(5538),
    [anon_sym_equals] = ACTIONS(5538),
    [anon_sym_let] = ACTIONS(5538),
    [anon_sym_orderby] = ACTIONS(5538),
    [anon_sym_group] = ACTIONS(5538),
    [anon_sym_by] = ACTIONS(5538),
    [anon_sym_select] = ACTIONS(5538),
    [anon_sym_as] = ACTIONS(5538),
    [anon_sym_is] = ACTIONS(5538),
    [anon_sym_DASH_GT] = ACTIONS(5538),
    [anon_sym_with] = ACTIONS(5538),
    [aux_sym_preproc_if_token3] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3677] = {
    [sym_preproc_region] = STATE(3677),
    [sym_preproc_endregion] = STATE(3677),
    [sym_preproc_line] = STATE(3677),
    [sym_preproc_pragma] = STATE(3677),
    [sym_preproc_nullable] = STATE(3677),
    [sym_preproc_error] = STATE(3677),
    [sym_preproc_define] = STATE(3677),
    [sym_preproc_undef] = STATE(3677),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_LPAREN] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_in] = ACTIONS(4479),
    [anon_sym_where] = ACTIONS(4479),
    [anon_sym_QMARK] = ACTIONS(4477),
    [anon_sym_BANG] = ACTIONS(4477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_GT_GT_GT] = ACTIONS(4479),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_EQ_GT] = ACTIONS(4479),
    [anon_sym_switch] = ACTIONS(4479),
    [anon_sym_DOT_DOT] = ACTIONS(4479),
    [anon_sym_and] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4477),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_QMARK_QMARK] = ACTIONS(4479),
    [anon_sym_from] = ACTIONS(4479),
    [anon_sym_join] = ACTIONS(4479),
    [anon_sym_on] = ACTIONS(4479),
    [anon_sym_equals] = ACTIONS(4479),
    [anon_sym_let] = ACTIONS(4479),
    [anon_sym_orderby] = ACTIONS(4479),
    [anon_sym_group] = ACTIONS(4479),
    [anon_sym_by] = ACTIONS(4479),
    [anon_sym_select] = ACTIONS(4479),
    [anon_sym_as] = ACTIONS(4479),
    [anon_sym_is] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [anon_sym_with] = ACTIONS(4479),
    [aux_sym_preproc_if_token3] = ACTIONS(4479),
    [aux_sym_preproc_else_token1] = ACTIONS(4479),
    [aux_sym_preproc_elif_token1] = ACTIONS(4479),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3678] = {
    [sym_preproc_region] = STATE(3678),
    [sym_preproc_endregion] = STATE(3678),
    [sym_preproc_line] = STATE(3678),
    [sym_preproc_pragma] = STATE(3678),
    [sym_preproc_nullable] = STATE(3678),
    [sym_preproc_error] = STATE(3678),
    [sym_preproc_define] = STATE(3678),
    [sym_preproc_undef] = STATE(3678),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_COLON] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4457),
    [anon_sym_LPAREN] = ACTIONS(4457),
    [anon_sym_RPAREN] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4457),
    [anon_sym_RBRACE] = ACTIONS(4457),
    [anon_sym_LT] = ACTIONS(4455),
    [anon_sym_GT] = ACTIONS(4455),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_where] = ACTIONS(4457),
    [anon_sym_QMARK] = ACTIONS(4455),
    [anon_sym_BANG] = ACTIONS(4455),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_STAR] = ACTIONS(4457),
    [anon_sym_SLASH] = ACTIONS(4455),
    [anon_sym_PERCENT] = ACTIONS(4457),
    [anon_sym_CARET] = ACTIONS(4457),
    [anon_sym_PIPE] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(4455),
    [anon_sym_LT_LT] = ACTIONS(4457),
    [anon_sym_GT_GT] = ACTIONS(4455),
    [anon_sym_GT_GT_GT] = ACTIONS(4457),
    [anon_sym_EQ_EQ] = ACTIONS(4457),
    [anon_sym_BANG_EQ] = ACTIONS(4457),
    [anon_sym_GT_EQ] = ACTIONS(4457),
    [anon_sym_LT_EQ] = ACTIONS(4457),
    [anon_sym_DOT] = ACTIONS(4455),
    [anon_sym_EQ_GT] = ACTIONS(4457),
    [anon_sym_switch] = ACTIONS(4457),
    [anon_sym_DOT_DOT] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_or] = ACTIONS(4455),
    [anon_sym_AMP_AMP] = ACTIONS(4457),
    [anon_sym_PIPE_PIPE] = ACTIONS(4457),
    [anon_sym_QMARK_QMARK] = ACTIONS(4457),
    [anon_sym_from] = ACTIONS(4457),
    [anon_sym_join] = ACTIONS(4457),
    [anon_sym_on] = ACTIONS(4457),
    [anon_sym_equals] = ACTIONS(4457),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_orderby] = ACTIONS(4457),
    [anon_sym_group] = ACTIONS(4457),
    [anon_sym_by] = ACTIONS(4457),
    [anon_sym_select] = ACTIONS(4457),
    [anon_sym_as] = ACTIONS(4457),
    [anon_sym_is] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_with] = ACTIONS(4457),
    [aux_sym_preproc_if_token3] = ACTIONS(4457),
    [aux_sym_preproc_else_token1] = ACTIONS(4457),
    [aux_sym_preproc_elif_token1] = ACTIONS(4457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3679] = {
    [sym_preproc_region] = STATE(3679),
    [sym_preproc_endregion] = STATE(3679),
    [sym_preproc_line] = STATE(3679),
    [sym_preproc_pragma] = STATE(3679),
    [sym_preproc_nullable] = STATE(3679),
    [sym_preproc_error] = STATE(3679),
    [sym_preproc_define] = STATE(3679),
    [sym_preproc_undef] = STATE(3679),
    [sym__identifier_token] = ACTIONS(4037),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4037),
    [anon_sym_global] = ACTIONS(4037),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4037),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_where] = ACTIONS(4037),
    [anon_sym_QMARK] = ACTIONS(3995),
    [anon_sym_notnull] = ACTIONS(4037),
    [anon_sym_unmanaged] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_scoped] = ACTIONS(4037),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4037),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4037),
    [anon_sym_when] = ACTIONS(4037),
    [anon_sym_from] = ACTIONS(4037),
    [anon_sym_into] = ACTIONS(4037),
    [anon_sym_join] = ACTIONS(4037),
    [anon_sym_on] = ACTIONS(4037),
    [anon_sym_equals] = ACTIONS(4037),
    [anon_sym_let] = ACTIONS(4037),
    [anon_sym_orderby] = ACTIONS(4037),
    [anon_sym_ascending] = ACTIONS(4037),
    [anon_sym_descending] = ACTIONS(4037),
    [anon_sym_group] = ACTIONS(4037),
    [anon_sym_by] = ACTIONS(4037),
    [anon_sym_select] = ACTIONS(4037),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3680] = {
    [sym_preproc_region] = STATE(3680),
    [sym_preproc_endregion] = STATE(3680),
    [sym_preproc_line] = STATE(3680),
    [sym_preproc_pragma] = STATE(3680),
    [sym_preproc_nullable] = STATE(3680),
    [sym_preproc_error] = STATE(3680),
    [sym_preproc_define] = STATE(3680),
    [sym_preproc_undef] = STATE(3680),
    [anon_sym_SEMI] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [anon_sym_COLON] = ACTIONS(4483),
    [anon_sym_COMMA] = ACTIONS(4483),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_RPAREN] = ACTIONS(4483),
    [anon_sym_LBRACE] = ACTIONS(4483),
    [anon_sym_RBRACE] = ACTIONS(4483),
    [anon_sym_LT] = ACTIONS(4481),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_in] = ACTIONS(4483),
    [anon_sym_where] = ACTIONS(4483),
    [anon_sym_QMARK] = ACTIONS(4481),
    [anon_sym_BANG] = ACTIONS(4481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS] = ACTIONS(4481),
    [anon_sym_DASH] = ACTIONS(4481),
    [anon_sym_STAR] = ACTIONS(4483),
    [anon_sym_SLASH] = ACTIONS(4481),
    [anon_sym_PERCENT] = ACTIONS(4483),
    [anon_sym_CARET] = ACTIONS(4483),
    [anon_sym_PIPE] = ACTIONS(4481),
    [anon_sym_AMP] = ACTIONS(4481),
    [anon_sym_LT_LT] = ACTIONS(4483),
    [anon_sym_GT_GT] = ACTIONS(4481),
    [anon_sym_GT_GT_GT] = ACTIONS(4483),
    [anon_sym_EQ_EQ] = ACTIONS(4483),
    [anon_sym_BANG_EQ] = ACTIONS(4483),
    [anon_sym_GT_EQ] = ACTIONS(4483),
    [anon_sym_LT_EQ] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_EQ_GT] = ACTIONS(4483),
    [anon_sym_switch] = ACTIONS(4483),
    [anon_sym_DOT_DOT] = ACTIONS(4483),
    [anon_sym_and] = ACTIONS(4483),
    [anon_sym_or] = ACTIONS(4481),
    [anon_sym_AMP_AMP] = ACTIONS(4483),
    [anon_sym_PIPE_PIPE] = ACTIONS(4483),
    [anon_sym_QMARK_QMARK] = ACTIONS(4483),
    [anon_sym_from] = ACTIONS(4483),
    [anon_sym_join] = ACTIONS(4483),
    [anon_sym_on] = ACTIONS(4483),
    [anon_sym_equals] = ACTIONS(4483),
    [anon_sym_let] = ACTIONS(4483),
    [anon_sym_orderby] = ACTIONS(4483),
    [anon_sym_group] = ACTIONS(4483),
    [anon_sym_by] = ACTIONS(4483),
    [anon_sym_select] = ACTIONS(4483),
    [anon_sym_as] = ACTIONS(4483),
    [anon_sym_is] = ACTIONS(4483),
    [anon_sym_DASH_GT] = ACTIONS(4483),
    [anon_sym_with] = ACTIONS(4483),
    [aux_sym_preproc_if_token3] = ACTIONS(4483),
    [aux_sym_preproc_else_token1] = ACTIONS(4483),
    [aux_sym_preproc_elif_token1] = ACTIONS(4483),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3681] = {
    [sym_preproc_region] = STATE(3681),
    [sym_preproc_endregion] = STATE(3681),
    [sym_preproc_line] = STATE(3681),
    [sym_preproc_pragma] = STATE(3681),
    [sym_preproc_nullable] = STATE(3681),
    [sym_preproc_error] = STATE(3681),
    [sym_preproc_define] = STATE(3681),
    [sym_preproc_undef] = STATE(3681),
    [anon_sym_SEMI] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_COMMA] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5544),
    [anon_sym_LPAREN] = ACTIONS(5544),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [anon_sym_RBRACE] = ACTIONS(5544),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_in] = ACTIONS(5546),
    [anon_sym_where] = ACTIONS(5544),
    [anon_sym_QMARK] = ACTIONS(5546),
    [anon_sym_BANG] = ACTIONS(5546),
    [anon_sym_PLUS_PLUS] = ACTIONS(5544),
    [anon_sym_DASH_DASH] = ACTIONS(5544),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_CARET] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5546),
    [anon_sym_GT_GT_GT] = ACTIONS(5544),
    [anon_sym_EQ_EQ] = ACTIONS(5544),
    [anon_sym_BANG_EQ] = ACTIONS(5544),
    [anon_sym_GT_EQ] = ACTIONS(5544),
    [anon_sym_LT_EQ] = ACTIONS(5544),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_EQ_GT] = ACTIONS(5544),
    [anon_sym_switch] = ACTIONS(5544),
    [anon_sym_DOT_DOT] = ACTIONS(5544),
    [anon_sym_and] = ACTIONS(5544),
    [anon_sym_or] = ACTIONS(5546),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_QMARK_QMARK] = ACTIONS(5544),
    [anon_sym_from] = ACTIONS(5544),
    [anon_sym_into] = ACTIONS(5544),
    [anon_sym_join] = ACTIONS(5544),
    [anon_sym_on] = ACTIONS(5544),
    [anon_sym_equals] = ACTIONS(5544),
    [anon_sym_let] = ACTIONS(5544),
    [anon_sym_orderby] = ACTIONS(5544),
    [anon_sym_group] = ACTIONS(5544),
    [anon_sym_by] = ACTIONS(5544),
    [anon_sym_select] = ACTIONS(5544),
    [anon_sym_as] = ACTIONS(5544),
    [anon_sym_is] = ACTIONS(5544),
    [anon_sym_DASH_GT] = ACTIONS(5544),
    [anon_sym_with] = ACTIONS(5544),
    [aux_sym_preproc_if_token3] = ACTIONS(5544),
    [aux_sym_preproc_else_token1] = ACTIONS(5544),
    [aux_sym_preproc_elif_token1] = ACTIONS(5544),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3682] = {
    [sym_preproc_region] = STATE(3682),
    [sym_preproc_endregion] = STATE(3682),
    [sym_preproc_line] = STATE(3682),
    [sym_preproc_pragma] = STATE(3682),
    [sym_preproc_nullable] = STATE(3682),
    [sym_preproc_error] = STATE(3682),
    [sym_preproc_define] = STATE(3682),
    [sym_preproc_undef] = STATE(3682),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_in] = ACTIONS(2997),
    [anon_sym_where] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(2999),
    [anon_sym_or] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_from] = ACTIONS(2999),
    [anon_sym_into] = ACTIONS(2999),
    [anon_sym_join] = ACTIONS(2999),
    [anon_sym_on] = ACTIONS(2999),
    [anon_sym_equals] = ACTIONS(2999),
    [anon_sym_let] = ACTIONS(2999),
    [anon_sym_orderby] = ACTIONS(2999),
    [anon_sym_group] = ACTIONS(2999),
    [anon_sym_by] = ACTIONS(2999),
    [anon_sym_select] = ACTIONS(2999),
    [anon_sym_as] = ACTIONS(2999),
    [anon_sym_is] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_with] = ACTIONS(2999),
    [aux_sym_preproc_if_token3] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3683] = {
    [sym_preproc_region] = STATE(3683),
    [sym_preproc_endregion] = STATE(3683),
    [sym_preproc_line] = STATE(3683),
    [sym_preproc_pragma] = STATE(3683),
    [sym_preproc_nullable] = STATE(3683),
    [sym_preproc_error] = STATE(3683),
    [sym_preproc_define] = STATE(3683),
    [sym_preproc_undef] = STATE(3683),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_LPAREN] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_in] = ACTIONS(5550),
    [anon_sym_where] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_BANG] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_GT_GT_GT] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_EQ_GT] = ACTIONS(5548),
    [anon_sym_switch] = ACTIONS(5548),
    [anon_sym_DOT_DOT] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_QMARK_QMARK] = ACTIONS(5548),
    [anon_sym_from] = ACTIONS(5548),
    [anon_sym_into] = ACTIONS(5548),
    [anon_sym_join] = ACTIONS(5548),
    [anon_sym_on] = ACTIONS(5548),
    [anon_sym_equals] = ACTIONS(5548),
    [anon_sym_let] = ACTIONS(5548),
    [anon_sym_orderby] = ACTIONS(5548),
    [anon_sym_group] = ACTIONS(5548),
    [anon_sym_by] = ACTIONS(5548),
    [anon_sym_select] = ACTIONS(5548),
    [anon_sym_as] = ACTIONS(5548),
    [anon_sym_is] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [anon_sym_with] = ACTIONS(5548),
    [aux_sym_preproc_if_token3] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3684] = {
    [sym_preproc_region] = STATE(3684),
    [sym_preproc_endregion] = STATE(3684),
    [sym_preproc_line] = STATE(3684),
    [sym_preproc_pragma] = STATE(3684),
    [sym_preproc_nullable] = STATE(3684),
    [sym_preproc_error] = STATE(3684),
    [sym_preproc_define] = STATE(3684),
    [sym_preproc_undef] = STATE(3684),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_LPAREN] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_in] = ACTIONS(5554),
    [anon_sym_where] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5554),
    [anon_sym_BANG] = ACTIONS(5554),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_CARET] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym_GT_GT_GT] = ACTIONS(5552),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(5552),
    [anon_sym_switch] = ACTIONS(5552),
    [anon_sym_DOT_DOT] = ACTIONS(5552),
    [anon_sym_and] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_QMARK_QMARK] = ACTIONS(5552),
    [anon_sym_from] = ACTIONS(5552),
    [anon_sym_into] = ACTIONS(5552),
    [anon_sym_join] = ACTIONS(5552),
    [anon_sym_on] = ACTIONS(5552),
    [anon_sym_equals] = ACTIONS(5552),
    [anon_sym_let] = ACTIONS(5552),
    [anon_sym_orderby] = ACTIONS(5552),
    [anon_sym_group] = ACTIONS(5552),
    [anon_sym_by] = ACTIONS(5552),
    [anon_sym_select] = ACTIONS(5552),
    [anon_sym_as] = ACTIONS(5552),
    [anon_sym_is] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [anon_sym_with] = ACTIONS(5552),
    [aux_sym_preproc_if_token3] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5552),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3685] = {
    [sym_preproc_region] = STATE(3685),
    [sym_preproc_endregion] = STATE(3685),
    [sym_preproc_line] = STATE(3685),
    [sym_preproc_pragma] = STATE(3685),
    [sym_preproc_nullable] = STATE(3685),
    [sym_preproc_error] = STATE(3685),
    [sym_preproc_define] = STATE(3685),
    [sym_preproc_undef] = STATE(3685),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_LPAREN] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_LT] = ACTIONS(5558),
    [anon_sym_GT] = ACTIONS(5558),
    [anon_sym_in] = ACTIONS(5558),
    [anon_sym_where] = ACTIONS(5556),
    [anon_sym_QMARK] = ACTIONS(5558),
    [anon_sym_BANG] = ACTIONS(5558),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS] = ACTIONS(5558),
    [anon_sym_DASH] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5558),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_CARET] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5558),
    [anon_sym_GT_GT_GT] = ACTIONS(5556),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5558),
    [anon_sym_EQ_GT] = ACTIONS(5556),
    [anon_sym_switch] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5556),
    [anon_sym_and] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5558),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_QMARK_QMARK] = ACTIONS(5556),
    [anon_sym_from] = ACTIONS(5556),
    [anon_sym_into] = ACTIONS(5556),
    [anon_sym_join] = ACTIONS(5556),
    [anon_sym_on] = ACTIONS(5556),
    [anon_sym_equals] = ACTIONS(5556),
    [anon_sym_let] = ACTIONS(5556),
    [anon_sym_orderby] = ACTIONS(5556),
    [anon_sym_group] = ACTIONS(5556),
    [anon_sym_by] = ACTIONS(5556),
    [anon_sym_select] = ACTIONS(5556),
    [anon_sym_as] = ACTIONS(5556),
    [anon_sym_is] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [anon_sym_with] = ACTIONS(5556),
    [aux_sym_preproc_if_token3] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3686] = {
    [sym_preproc_region] = STATE(3686),
    [sym_preproc_endregion] = STATE(3686),
    [sym_preproc_line] = STATE(3686),
    [sym_preproc_pragma] = STATE(3686),
    [sym_preproc_nullable] = STATE(3686),
    [sym_preproc_error] = STATE(3686),
    [sym_preproc_define] = STATE(3686),
    [sym_preproc_undef] = STATE(3686),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_in] = ACTIONS(4536),
    [anon_sym_where] = ACTIONS(4536),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_BANG] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_GT_GT_GT] = ACTIONS(4536),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_EQ_GT] = ACTIONS(4536),
    [anon_sym_switch] = ACTIONS(4536),
    [anon_sym_DOT_DOT] = ACTIONS(4536),
    [anon_sym_and] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4534),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_QMARK_QMARK] = ACTIONS(4536),
    [anon_sym_from] = ACTIONS(4536),
    [anon_sym_join] = ACTIONS(4536),
    [anon_sym_on] = ACTIONS(4536),
    [anon_sym_equals] = ACTIONS(4536),
    [anon_sym_let] = ACTIONS(4536),
    [anon_sym_orderby] = ACTIONS(4536),
    [anon_sym_group] = ACTIONS(4536),
    [anon_sym_by] = ACTIONS(4536),
    [anon_sym_select] = ACTIONS(4536),
    [anon_sym_as] = ACTIONS(4536),
    [anon_sym_is] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [anon_sym_with] = ACTIONS(4536),
    [aux_sym_preproc_if_token3] = ACTIONS(4536),
    [aux_sym_preproc_else_token1] = ACTIONS(4536),
    [aux_sym_preproc_elif_token1] = ACTIONS(4536),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3687] = {
    [sym_preproc_region] = STATE(3687),
    [sym_preproc_endregion] = STATE(3687),
    [sym_preproc_line] = STATE(3687),
    [sym_preproc_pragma] = STATE(3687),
    [sym_preproc_nullable] = STATE(3687),
    [sym_preproc_error] = STATE(3687),
    [sym_preproc_define] = STATE(3687),
    [sym_preproc_undef] = STATE(3687),
    [anon_sym_SEMI] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_COMMA] = ACTIONS(4487),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_RPAREN] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4487),
    [anon_sym_RBRACE] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4485),
    [anon_sym_GT] = ACTIONS(4485),
    [anon_sym_in] = ACTIONS(4487),
    [anon_sym_where] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4485),
    [anon_sym_BANG] = ACTIONS(4485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4485),
    [anon_sym_DASH] = ACTIONS(4485),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4485),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_PIPE] = ACTIONS(4485),
    [anon_sym_AMP] = ACTIONS(4485),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4485),
    [anon_sym_GT_GT_GT] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4487),
    [anon_sym_BANG_EQ] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4487),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_EQ_GT] = ACTIONS(4487),
    [anon_sym_switch] = ACTIONS(4487),
    [anon_sym_DOT_DOT] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_or] = ACTIONS(4485),
    [anon_sym_AMP_AMP] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4487),
    [anon_sym_QMARK_QMARK] = ACTIONS(4487),
    [anon_sym_from] = ACTIONS(4487),
    [anon_sym_join] = ACTIONS(4487),
    [anon_sym_on] = ACTIONS(4487),
    [anon_sym_equals] = ACTIONS(4487),
    [anon_sym_let] = ACTIONS(4487),
    [anon_sym_orderby] = ACTIONS(4487),
    [anon_sym_group] = ACTIONS(4487),
    [anon_sym_by] = ACTIONS(4487),
    [anon_sym_select] = ACTIONS(4487),
    [anon_sym_as] = ACTIONS(4487),
    [anon_sym_is] = ACTIONS(4487),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [anon_sym_with] = ACTIONS(4487),
    [aux_sym_preproc_if_token3] = ACTIONS(4487),
    [aux_sym_preproc_else_token1] = ACTIONS(4487),
    [aux_sym_preproc_elif_token1] = ACTIONS(4487),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3688] = {
    [sym_preproc_region] = STATE(3688),
    [sym_preproc_endregion] = STATE(3688),
    [sym_preproc_line] = STATE(3688),
    [sym_preproc_pragma] = STATE(3688),
    [sym_preproc_nullable] = STATE(3688),
    [sym_preproc_error] = STATE(3688),
    [sym_preproc_define] = STATE(3688),
    [sym_preproc_undef] = STATE(3688),
    [anon_sym_SEMI] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [anon_sym_COLON] = ACTIONS(5560),
    [anon_sym_COMMA] = ACTIONS(5560),
    [anon_sym_RBRACK] = ACTIONS(5560),
    [anon_sym_LPAREN] = ACTIONS(5560),
    [anon_sym_RPAREN] = ACTIONS(5560),
    [anon_sym_RBRACE] = ACTIONS(5560),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_in] = ACTIONS(5562),
    [anon_sym_where] = ACTIONS(5560),
    [anon_sym_QMARK] = ACTIONS(5562),
    [anon_sym_BANG] = ACTIONS(5562),
    [anon_sym_PLUS_PLUS] = ACTIONS(5560),
    [anon_sym_DASH_DASH] = ACTIONS(5560),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5560),
    [anon_sym_CARET] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5560),
    [anon_sym_GT_GT] = ACTIONS(5562),
    [anon_sym_GT_GT_GT] = ACTIONS(5560),
    [anon_sym_EQ_EQ] = ACTIONS(5560),
    [anon_sym_BANG_EQ] = ACTIONS(5560),
    [anon_sym_GT_EQ] = ACTIONS(5560),
    [anon_sym_LT_EQ] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5562),
    [anon_sym_EQ_GT] = ACTIONS(5560),
    [anon_sym_switch] = ACTIONS(5560),
    [anon_sym_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(5560),
    [anon_sym_or] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_PIPE_PIPE] = ACTIONS(5560),
    [anon_sym_QMARK_QMARK] = ACTIONS(5560),
    [anon_sym_from] = ACTIONS(5560),
    [anon_sym_into] = ACTIONS(5560),
    [anon_sym_join] = ACTIONS(5560),
    [anon_sym_on] = ACTIONS(5560),
    [anon_sym_equals] = ACTIONS(5560),
    [anon_sym_let] = ACTIONS(5560),
    [anon_sym_orderby] = ACTIONS(5560),
    [anon_sym_group] = ACTIONS(5560),
    [anon_sym_by] = ACTIONS(5560),
    [anon_sym_select] = ACTIONS(5560),
    [anon_sym_as] = ACTIONS(5560),
    [anon_sym_is] = ACTIONS(5560),
    [anon_sym_DASH_GT] = ACTIONS(5560),
    [anon_sym_with] = ACTIONS(5560),
    [aux_sym_preproc_if_token3] = ACTIONS(5560),
    [aux_sym_preproc_else_token1] = ACTIONS(5560),
    [aux_sym_preproc_elif_token1] = ACTIONS(5560),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3689] = {
    [sym_preproc_region] = STATE(3689),
    [sym_preproc_endregion] = STATE(3689),
    [sym_preproc_line] = STATE(3689),
    [sym_preproc_pragma] = STATE(3689),
    [sym_preproc_nullable] = STATE(3689),
    [sym_preproc_error] = STATE(3689),
    [sym_preproc_define] = STATE(3689),
    [sym_preproc_undef] = STATE(3689),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_RBRACK] = ACTIONS(5564),
    [anon_sym_LPAREN] = ACTIONS(5564),
    [anon_sym_RPAREN] = ACTIONS(5564),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_LT] = ACTIONS(5566),
    [anon_sym_GT] = ACTIONS(5566),
    [anon_sym_in] = ACTIONS(5566),
    [anon_sym_where] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(5566),
    [anon_sym_BANG] = ACTIONS(5566),
    [anon_sym_PLUS_PLUS] = ACTIONS(5564),
    [anon_sym_DASH_DASH] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5566),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5566),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5566),
    [anon_sym_GT_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5566),
    [anon_sym_EQ_GT] = ACTIONS(5564),
    [anon_sym_switch] = ACTIONS(5564),
    [anon_sym_DOT_DOT] = ACTIONS(5564),
    [anon_sym_and] = ACTIONS(5564),
    [anon_sym_or] = ACTIONS(5566),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_QMARK_QMARK] = ACTIONS(5564),
    [anon_sym_from] = ACTIONS(5564),
    [anon_sym_into] = ACTIONS(5564),
    [anon_sym_join] = ACTIONS(5564),
    [anon_sym_on] = ACTIONS(5564),
    [anon_sym_equals] = ACTIONS(5564),
    [anon_sym_let] = ACTIONS(5564),
    [anon_sym_orderby] = ACTIONS(5564),
    [anon_sym_group] = ACTIONS(5564),
    [anon_sym_by] = ACTIONS(5564),
    [anon_sym_select] = ACTIONS(5564),
    [anon_sym_as] = ACTIONS(5564),
    [anon_sym_is] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [anon_sym_with] = ACTIONS(5564),
    [aux_sym_preproc_if_token3] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3690] = {
    [sym_preproc_region] = STATE(3690),
    [sym_preproc_endregion] = STATE(3690),
    [sym_preproc_line] = STATE(3690),
    [sym_preproc_pragma] = STATE(3690),
    [sym_preproc_nullable] = STATE(3690),
    [sym_preproc_error] = STATE(3690),
    [sym_preproc_define] = STATE(3690),
    [sym_preproc_undef] = STATE(3690),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_RBRACK] = ACTIONS(5568),
    [anon_sym_LPAREN] = ACTIONS(5568),
    [anon_sym_RPAREN] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_in] = ACTIONS(5570),
    [anon_sym_where] = ACTIONS(5568),
    [anon_sym_QMARK] = ACTIONS(5570),
    [anon_sym_BANG] = ACTIONS(5570),
    [anon_sym_PLUS_PLUS] = ACTIONS(5568),
    [anon_sym_DASH_DASH] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5570),
    [anon_sym_GT_GT_GT] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_EQ_GT] = ACTIONS(5568),
    [anon_sym_switch] = ACTIONS(5568),
    [anon_sym_DOT_DOT] = ACTIONS(5568),
    [anon_sym_and] = ACTIONS(5568),
    [anon_sym_or] = ACTIONS(5570),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5568),
    [anon_sym_QMARK_QMARK] = ACTIONS(5568),
    [anon_sym_from] = ACTIONS(5568),
    [anon_sym_into] = ACTIONS(5568),
    [anon_sym_join] = ACTIONS(5568),
    [anon_sym_on] = ACTIONS(5568),
    [anon_sym_equals] = ACTIONS(5568),
    [anon_sym_let] = ACTIONS(5568),
    [anon_sym_orderby] = ACTIONS(5568),
    [anon_sym_group] = ACTIONS(5568),
    [anon_sym_by] = ACTIONS(5568),
    [anon_sym_select] = ACTIONS(5568),
    [anon_sym_as] = ACTIONS(5568),
    [anon_sym_is] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [anon_sym_with] = ACTIONS(5568),
    [aux_sym_preproc_if_token3] = ACTIONS(5568),
    [aux_sym_preproc_else_token1] = ACTIONS(5568),
    [aux_sym_preproc_elif_token1] = ACTIONS(5568),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3691] = {
    [sym_preproc_region] = STATE(3691),
    [sym_preproc_endregion] = STATE(3691),
    [sym_preproc_line] = STATE(3691),
    [sym_preproc_pragma] = STATE(3691),
    [sym_preproc_nullable] = STATE(3691),
    [sym_preproc_error] = STATE(3691),
    [sym_preproc_define] = STATE(3691),
    [sym_preproc_undef] = STATE(3691),
    [anon_sym_SEMI] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_COLON] = ACTIONS(5572),
    [anon_sym_COMMA] = ACTIONS(5572),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_LPAREN] = ACTIONS(5572),
    [anon_sym_RPAREN] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_GT] = ACTIONS(5574),
    [anon_sym_in] = ACTIONS(5574),
    [anon_sym_where] = ACTIONS(5572),
    [anon_sym_QMARK] = ACTIONS(5574),
    [anon_sym_BANG] = ACTIONS(5574),
    [anon_sym_PLUS_PLUS] = ACTIONS(5572),
    [anon_sym_DASH_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5574),
    [anon_sym_PERCENT] = ACTIONS(5572),
    [anon_sym_CARET] = ACTIONS(5572),
    [anon_sym_PIPE] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(5572),
    [anon_sym_GT_GT] = ACTIONS(5574),
    [anon_sym_GT_GT_GT] = ACTIONS(5572),
    [anon_sym_EQ_EQ] = ACTIONS(5572),
    [anon_sym_BANG_EQ] = ACTIONS(5572),
    [anon_sym_GT_EQ] = ACTIONS(5572),
    [anon_sym_LT_EQ] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(5574),
    [anon_sym_EQ_GT] = ACTIONS(5572),
    [anon_sym_switch] = ACTIONS(5572),
    [anon_sym_DOT_DOT] = ACTIONS(5572),
    [anon_sym_and] = ACTIONS(5572),
    [anon_sym_or] = ACTIONS(5574),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_PIPE_PIPE] = ACTIONS(5572),
    [anon_sym_QMARK_QMARK] = ACTIONS(5572),
    [anon_sym_from] = ACTIONS(5572),
    [anon_sym_into] = ACTIONS(5572),
    [anon_sym_join] = ACTIONS(5572),
    [anon_sym_on] = ACTIONS(5572),
    [anon_sym_equals] = ACTIONS(5572),
    [anon_sym_let] = ACTIONS(5572),
    [anon_sym_orderby] = ACTIONS(5572),
    [anon_sym_group] = ACTIONS(5572),
    [anon_sym_by] = ACTIONS(5572),
    [anon_sym_select] = ACTIONS(5572),
    [anon_sym_as] = ACTIONS(5572),
    [anon_sym_is] = ACTIONS(5572),
    [anon_sym_DASH_GT] = ACTIONS(5572),
    [anon_sym_with] = ACTIONS(5572),
    [aux_sym_preproc_if_token3] = ACTIONS(5572),
    [aux_sym_preproc_else_token1] = ACTIONS(5572),
    [aux_sym_preproc_elif_token1] = ACTIONS(5572),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3692] = {
    [sym_preproc_region] = STATE(3692),
    [sym_preproc_endregion] = STATE(3692),
    [sym_preproc_line] = STATE(3692),
    [sym_preproc_pragma] = STATE(3692),
    [sym_preproc_nullable] = STATE(3692),
    [sym_preproc_error] = STATE(3692),
    [sym_preproc_define] = STATE(3692),
    [sym_preproc_undef] = STATE(3692),
    [anon_sym_SEMI] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_COLON] = ACTIONS(5576),
    [anon_sym_COMMA] = ACTIONS(5576),
    [anon_sym_RBRACK] = ACTIONS(5576),
    [anon_sym_LPAREN] = ACTIONS(5576),
    [anon_sym_RPAREN] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_in] = ACTIONS(5578),
    [anon_sym_where] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(5578),
    [anon_sym_BANG] = ACTIONS(5578),
    [anon_sym_PLUS_PLUS] = ACTIONS(5576),
    [anon_sym_DASH_DASH] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5576),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5576),
    [anon_sym_CARET] = ACTIONS(5576),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5576),
    [anon_sym_GT_GT] = ACTIONS(5578),
    [anon_sym_GT_GT_GT] = ACTIONS(5576),
    [anon_sym_EQ_EQ] = ACTIONS(5576),
    [anon_sym_BANG_EQ] = ACTIONS(5576),
    [anon_sym_GT_EQ] = ACTIONS(5576),
    [anon_sym_LT_EQ] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_EQ_GT] = ACTIONS(5576),
    [anon_sym_switch] = ACTIONS(5576),
    [anon_sym_DOT_DOT] = ACTIONS(5576),
    [anon_sym_and] = ACTIONS(5576),
    [anon_sym_or] = ACTIONS(5578),
    [anon_sym_AMP_AMP] = ACTIONS(5576),
    [anon_sym_PIPE_PIPE] = ACTIONS(5576),
    [anon_sym_QMARK_QMARK] = ACTIONS(5576),
    [anon_sym_from] = ACTIONS(5576),
    [anon_sym_into] = ACTIONS(5576),
    [anon_sym_join] = ACTIONS(5576),
    [anon_sym_on] = ACTIONS(5576),
    [anon_sym_equals] = ACTIONS(5576),
    [anon_sym_let] = ACTIONS(5576),
    [anon_sym_orderby] = ACTIONS(5576),
    [anon_sym_group] = ACTIONS(5576),
    [anon_sym_by] = ACTIONS(5576),
    [anon_sym_select] = ACTIONS(5576),
    [anon_sym_as] = ACTIONS(5576),
    [anon_sym_is] = ACTIONS(5576),
    [anon_sym_DASH_GT] = ACTIONS(5576),
    [anon_sym_with] = ACTIONS(5576),
    [aux_sym_preproc_if_token3] = ACTIONS(5576),
    [aux_sym_preproc_else_token1] = ACTIONS(5576),
    [aux_sym_preproc_elif_token1] = ACTIONS(5576),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3693] = {
    [sym_preproc_region] = STATE(3693),
    [sym_preproc_endregion] = STATE(3693),
    [sym_preproc_line] = STATE(3693),
    [sym_preproc_pragma] = STATE(3693),
    [sym_preproc_nullable] = STATE(3693),
    [sym_preproc_error] = STATE(3693),
    [sym_preproc_define] = STATE(3693),
    [sym_preproc_undef] = STATE(3693),
    [anon_sym_SEMI] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(2099),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_in] = ACTIONS(2101),
    [anon_sym_where] = ACTIONS(2099),
    [anon_sym_QMARK] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2099),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_EQ_GT] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_DOT_DOT] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2101),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_from] = ACTIONS(2099),
    [anon_sym_into] = ACTIONS(2099),
    [anon_sym_join] = ACTIONS(2099),
    [anon_sym_on] = ACTIONS(2099),
    [anon_sym_equals] = ACTIONS(2099),
    [anon_sym_let] = ACTIONS(2099),
    [anon_sym_orderby] = ACTIONS(2099),
    [anon_sym_group] = ACTIONS(2099),
    [anon_sym_by] = ACTIONS(2099),
    [anon_sym_select] = ACTIONS(2099),
    [anon_sym_as] = ACTIONS(2099),
    [anon_sym_is] = ACTIONS(2099),
    [anon_sym_DASH_GT] = ACTIONS(2099),
    [anon_sym_with] = ACTIONS(2099),
    [aux_sym_preproc_if_token3] = ACTIONS(2099),
    [aux_sym_preproc_else_token1] = ACTIONS(2099),
    [aux_sym_preproc_elif_token1] = ACTIONS(2099),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3694] = {
    [sym_preproc_region] = STATE(3694),
    [sym_preproc_endregion] = STATE(3694),
    [sym_preproc_line] = STATE(3694),
    [sym_preproc_pragma] = STATE(3694),
    [sym_preproc_nullable] = STATE(3694),
    [sym_preproc_error] = STATE(3694),
    [sym_preproc_define] = STATE(3694),
    [sym_preproc_undef] = STATE(3694),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_LPAREN] = ACTIONS(4469),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_LBRACE] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_GT] = ACTIONS(4467),
    [anon_sym_in] = ACTIONS(4469),
    [anon_sym_where] = ACTIONS(4469),
    [anon_sym_QMARK] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(4467),
    [anon_sym_PLUS_PLUS] = ACTIONS(4469),
    [anon_sym_DASH_DASH] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_STAR] = ACTIONS(4469),
    [anon_sym_SLASH] = ACTIONS(4467),
    [anon_sym_PERCENT] = ACTIONS(4469),
    [anon_sym_CARET] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4467),
    [anon_sym_LT_LT] = ACTIONS(4469),
    [anon_sym_GT_GT] = ACTIONS(4467),
    [anon_sym_GT_GT_GT] = ACTIONS(4469),
    [anon_sym_EQ_EQ] = ACTIONS(4469),
    [anon_sym_BANG_EQ] = ACTIONS(4469),
    [anon_sym_GT_EQ] = ACTIONS(4469),
    [anon_sym_LT_EQ] = ACTIONS(4469),
    [anon_sym_DOT] = ACTIONS(4467),
    [anon_sym_EQ_GT] = ACTIONS(4469),
    [anon_sym_switch] = ACTIONS(4469),
    [anon_sym_DOT_DOT] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4469),
    [anon_sym_or] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4469),
    [anon_sym_PIPE_PIPE] = ACTIONS(4469),
    [anon_sym_QMARK_QMARK] = ACTIONS(4469),
    [anon_sym_from] = ACTIONS(4469),
    [anon_sym_join] = ACTIONS(4469),
    [anon_sym_on] = ACTIONS(4469),
    [anon_sym_equals] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4469),
    [anon_sym_orderby] = ACTIONS(4469),
    [anon_sym_group] = ACTIONS(4469),
    [anon_sym_by] = ACTIONS(4469),
    [anon_sym_select] = ACTIONS(4469),
    [anon_sym_as] = ACTIONS(4469),
    [anon_sym_is] = ACTIONS(4469),
    [anon_sym_DASH_GT] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4469),
    [aux_sym_preproc_if_token3] = ACTIONS(4469),
    [aux_sym_preproc_else_token1] = ACTIONS(4469),
    [aux_sym_preproc_elif_token1] = ACTIONS(4469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3695] = {
    [sym_preproc_region] = STATE(3695),
    [sym_preproc_endregion] = STATE(3695),
    [sym_preproc_line] = STATE(3695),
    [sym_preproc_pragma] = STATE(3695),
    [sym_preproc_nullable] = STATE(3695),
    [sym_preproc_error] = STATE(3695),
    [sym_preproc_define] = STATE(3695),
    [sym_preproc_undef] = STATE(3695),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_LPAREN] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_in] = ACTIONS(5582),
    [anon_sym_where] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_BANG] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_GT_GT_GT] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_EQ_GT] = ACTIONS(5580),
    [anon_sym_switch] = ACTIONS(5580),
    [anon_sym_DOT_DOT] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_QMARK_QMARK] = ACTIONS(5580),
    [anon_sym_from] = ACTIONS(5580),
    [anon_sym_into] = ACTIONS(5580),
    [anon_sym_join] = ACTIONS(5580),
    [anon_sym_on] = ACTIONS(5580),
    [anon_sym_equals] = ACTIONS(5580),
    [anon_sym_let] = ACTIONS(5580),
    [anon_sym_orderby] = ACTIONS(5580),
    [anon_sym_group] = ACTIONS(5580),
    [anon_sym_by] = ACTIONS(5580),
    [anon_sym_select] = ACTIONS(5580),
    [anon_sym_as] = ACTIONS(5580),
    [anon_sym_is] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [anon_sym_with] = ACTIONS(5580),
    [aux_sym_preproc_if_token3] = ACTIONS(5580),
    [aux_sym_preproc_else_token1] = ACTIONS(5580),
    [aux_sym_preproc_elif_token1] = ACTIONS(5580),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3696] = {
    [sym_preproc_region] = STATE(3696),
    [sym_preproc_endregion] = STATE(3696),
    [sym_preproc_line] = STATE(3696),
    [sym_preproc_pragma] = STATE(3696),
    [sym_preproc_nullable] = STATE(3696),
    [sym_preproc_error] = STATE(3696),
    [sym_preproc_define] = STATE(3696),
    [sym_preproc_undef] = STATE(3696),
    [anon_sym_SEMI] = ACTIONS(4757),
    [anon_sym_LBRACK] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4757),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [anon_sym_LPAREN] = ACTIONS(4757),
    [anon_sym_RPAREN] = ACTIONS(4757),
    [anon_sym_RBRACE] = ACTIONS(4757),
    [anon_sym_LT] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4759),
    [anon_sym_in] = ACTIONS(4759),
    [anon_sym_where] = ACTIONS(4757),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_BANG] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4759),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4759),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_PIPE] = ACTIONS(4759),
    [anon_sym_AMP] = ACTIONS(4759),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4759),
    [anon_sym_GT_GT_GT] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4757),
    [anon_sym_BANG_EQ] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4757),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_DOT] = ACTIONS(4759),
    [anon_sym_EQ_GT] = ACTIONS(4757),
    [anon_sym_switch] = ACTIONS(4757),
    [anon_sym_DOT_DOT] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4757),
    [anon_sym_or] = ACTIONS(4759),
    [anon_sym_AMP_AMP] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4757),
    [anon_sym_QMARK_QMARK] = ACTIONS(4757),
    [anon_sym_from] = ACTIONS(4757),
    [anon_sym_into] = ACTIONS(4757),
    [anon_sym_join] = ACTIONS(4757),
    [anon_sym_on] = ACTIONS(4757),
    [anon_sym_equals] = ACTIONS(4757),
    [anon_sym_let] = ACTIONS(4757),
    [anon_sym_orderby] = ACTIONS(4757),
    [anon_sym_group] = ACTIONS(4757),
    [anon_sym_by] = ACTIONS(4757),
    [anon_sym_select] = ACTIONS(4757),
    [anon_sym_as] = ACTIONS(4757),
    [anon_sym_is] = ACTIONS(4757),
    [anon_sym_DASH_GT] = ACTIONS(4757),
    [anon_sym_with] = ACTIONS(4757),
    [aux_sym_preproc_if_token3] = ACTIONS(4757),
    [aux_sym_preproc_else_token1] = ACTIONS(4757),
    [aux_sym_preproc_elif_token1] = ACTIONS(4757),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3697] = {
    [sym_preproc_region] = STATE(3697),
    [sym_preproc_endregion] = STATE(3697),
    [sym_preproc_line] = STATE(3697),
    [sym_preproc_pragma] = STATE(3697),
    [sym_preproc_nullable] = STATE(3697),
    [sym_preproc_error] = STATE(3697),
    [sym_preproc_define] = STATE(3697),
    [sym_preproc_undef] = STATE(3697),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_LPAREN] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5586),
    [anon_sym_in] = ACTIONS(5586),
    [anon_sym_where] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_BANG] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5586),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5586),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_GT_GT_GT] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5586),
    [anon_sym_EQ_GT] = ACTIONS(5584),
    [anon_sym_switch] = ACTIONS(5584),
    [anon_sym_DOT_DOT] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_QMARK_QMARK] = ACTIONS(5584),
    [anon_sym_from] = ACTIONS(5584),
    [anon_sym_into] = ACTIONS(5584),
    [anon_sym_join] = ACTIONS(5584),
    [anon_sym_on] = ACTIONS(5584),
    [anon_sym_equals] = ACTIONS(5584),
    [anon_sym_let] = ACTIONS(5584),
    [anon_sym_orderby] = ACTIONS(5584),
    [anon_sym_group] = ACTIONS(5584),
    [anon_sym_by] = ACTIONS(5584),
    [anon_sym_select] = ACTIONS(5584),
    [anon_sym_as] = ACTIONS(5584),
    [anon_sym_is] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [anon_sym_with] = ACTIONS(5584),
    [aux_sym_preproc_if_token3] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3698] = {
    [sym_preproc_region] = STATE(3698),
    [sym_preproc_endregion] = STATE(3698),
    [sym_preproc_line] = STATE(3698),
    [sym_preproc_pragma] = STATE(3698),
    [sym_preproc_nullable] = STATE(3698),
    [sym_preproc_error] = STATE(3698),
    [sym_preproc_define] = STATE(3698),
    [sym_preproc_undef] = STATE(3698),
    [anon_sym_SEMI] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4172),
    [anon_sym_RPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(4163),
    [anon_sym_GT] = ACTIONS(4163),
    [anon_sym_in] = ACTIONS(4172),
    [anon_sym_where] = ACTIONS(4172),
    [anon_sym_QMARK] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4163),
    [anon_sym_PLUS_PLUS] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4163),
    [anon_sym_DASH] = ACTIONS(4163),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_SLASH] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_PIPE] = ACTIONS(4163),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym_LT_LT] = ACTIONS(4172),
    [anon_sym_GT_GT] = ACTIONS(4163),
    [anon_sym_GT_GT_GT] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4172),
    [anon_sym_BANG_EQ] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4172),
    [anon_sym_LT_EQ] = ACTIONS(4172),
    [anon_sym_DOT] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4172),
    [anon_sym_switch] = ACTIONS(4172),
    [anon_sym_DOT_DOT] = ACTIONS(4172),
    [anon_sym_and] = ACTIONS(4172),
    [anon_sym_or] = ACTIONS(4163),
    [anon_sym_AMP_AMP] = ACTIONS(4172),
    [anon_sym_PIPE_PIPE] = ACTIONS(4172),
    [anon_sym_QMARK_QMARK] = ACTIONS(4172),
    [anon_sym_from] = ACTIONS(4172),
    [anon_sym_join] = ACTIONS(4172),
    [anon_sym_on] = ACTIONS(4172),
    [anon_sym_equals] = ACTIONS(4172),
    [anon_sym_let] = ACTIONS(4172),
    [anon_sym_orderby] = ACTIONS(4172),
    [anon_sym_group] = ACTIONS(4172),
    [anon_sym_by] = ACTIONS(4172),
    [anon_sym_select] = ACTIONS(4172),
    [anon_sym_as] = ACTIONS(4172),
    [anon_sym_is] = ACTIONS(4172),
    [anon_sym_DASH_GT] = ACTIONS(4172),
    [anon_sym_with] = ACTIONS(4172),
    [aux_sym_preproc_if_token3] = ACTIONS(4172),
    [aux_sym_preproc_else_token1] = ACTIONS(4172),
    [aux_sym_preproc_elif_token1] = ACTIONS(4172),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3699] = {
    [sym_preproc_region] = STATE(3699),
    [sym_preproc_endregion] = STATE(3699),
    [sym_preproc_line] = STATE(3699),
    [sym_preproc_pragma] = STATE(3699),
    [sym_preproc_nullable] = STATE(3699),
    [sym_preproc_error] = STATE(3699),
    [sym_preproc_define] = STATE(3699),
    [sym_preproc_undef] = STATE(3699),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5588),
    [anon_sym_COMMA] = ACTIONS(5588),
    [anon_sym_RBRACK] = ACTIONS(5588),
    [anon_sym_LPAREN] = ACTIONS(5588),
    [anon_sym_RPAREN] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5590),
    [anon_sym_in] = ACTIONS(5590),
    [anon_sym_where] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_BANG] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5590),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_PIPE] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5590),
    [anon_sym_GT_GT_GT] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5588),
    [anon_sym_BANG_EQ] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5588),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5590),
    [anon_sym_EQ_GT] = ACTIONS(5588),
    [anon_sym_switch] = ACTIONS(5588),
    [anon_sym_DOT_DOT] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_or] = ACTIONS(5590),
    [anon_sym_AMP_AMP] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5588),
    [anon_sym_QMARK_QMARK] = ACTIONS(5588),
    [anon_sym_from] = ACTIONS(5588),
    [anon_sym_into] = ACTIONS(5588),
    [anon_sym_join] = ACTIONS(5588),
    [anon_sym_on] = ACTIONS(5588),
    [anon_sym_equals] = ACTIONS(5588),
    [anon_sym_let] = ACTIONS(5588),
    [anon_sym_orderby] = ACTIONS(5588),
    [anon_sym_group] = ACTIONS(5588),
    [anon_sym_by] = ACTIONS(5588),
    [anon_sym_select] = ACTIONS(5588),
    [anon_sym_as] = ACTIONS(5588),
    [anon_sym_is] = ACTIONS(5588),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [anon_sym_with] = ACTIONS(5588),
    [aux_sym_preproc_if_token3] = ACTIONS(5588),
    [aux_sym_preproc_else_token1] = ACTIONS(5588),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3700] = {
    [sym_preproc_region] = STATE(3700),
    [sym_preproc_endregion] = STATE(3700),
    [sym_preproc_line] = STATE(3700),
    [sym_preproc_pragma] = STATE(3700),
    [sym_preproc_nullable] = STATE(3700),
    [sym_preproc_error] = STATE(3700),
    [sym_preproc_define] = STATE(3700),
    [sym_preproc_undef] = STATE(3700),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_LPAREN] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_in] = ACTIONS(5594),
    [anon_sym_where] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5594),
    [anon_sym_BANG] = ACTIONS(5594),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_GT_GT_GT] = ACTIONS(5592),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_EQ_GT] = ACTIONS(5592),
    [anon_sym_switch] = ACTIONS(5592),
    [anon_sym_DOT_DOT] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5594),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_QMARK_QMARK] = ACTIONS(5592),
    [anon_sym_from] = ACTIONS(5592),
    [anon_sym_into] = ACTIONS(5592),
    [anon_sym_join] = ACTIONS(5592),
    [anon_sym_on] = ACTIONS(5592),
    [anon_sym_equals] = ACTIONS(5592),
    [anon_sym_let] = ACTIONS(5592),
    [anon_sym_orderby] = ACTIONS(5592),
    [anon_sym_group] = ACTIONS(5592),
    [anon_sym_by] = ACTIONS(5592),
    [anon_sym_select] = ACTIONS(5592),
    [anon_sym_as] = ACTIONS(5592),
    [anon_sym_is] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [anon_sym_with] = ACTIONS(5592),
    [aux_sym_preproc_if_token3] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3701] = {
    [sym_preproc_region] = STATE(3701),
    [sym_preproc_endregion] = STATE(3701),
    [sym_preproc_line] = STATE(3701),
    [sym_preproc_pragma] = STATE(3701),
    [sym_preproc_nullable] = STATE(3701),
    [sym_preproc_error] = STATE(3701),
    [sym_preproc_define] = STATE(3701),
    [sym_preproc_undef] = STATE(3701),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_LPAREN] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_in] = ACTIONS(5598),
    [anon_sym_where] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_BANG] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5596),
    [anon_sym_CARET] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5596),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym_GT_GT_GT] = ACTIONS(5596),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_EQ_GT] = ACTIONS(5596),
    [anon_sym_switch] = ACTIONS(5596),
    [anon_sym_DOT_DOT] = ACTIONS(5596),
    [anon_sym_and] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5598),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_QMARK_QMARK] = ACTIONS(5596),
    [anon_sym_from] = ACTIONS(5596),
    [anon_sym_into] = ACTIONS(5596),
    [anon_sym_join] = ACTIONS(5596),
    [anon_sym_on] = ACTIONS(5596),
    [anon_sym_equals] = ACTIONS(5596),
    [anon_sym_let] = ACTIONS(5596),
    [anon_sym_orderby] = ACTIONS(5596),
    [anon_sym_group] = ACTIONS(5596),
    [anon_sym_by] = ACTIONS(5596),
    [anon_sym_select] = ACTIONS(5596),
    [anon_sym_as] = ACTIONS(5596),
    [anon_sym_is] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [anon_sym_with] = ACTIONS(5596),
    [aux_sym_preproc_if_token3] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5596),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3702] = {
    [sym_preproc_region] = STATE(3702),
    [sym_preproc_endregion] = STATE(3702),
    [sym_preproc_line] = STATE(3702),
    [sym_preproc_pragma] = STATE(3702),
    [sym_preproc_nullable] = STATE(3702),
    [sym_preproc_error] = STATE(3702),
    [sym_preproc_define] = STATE(3702),
    [sym_preproc_undef] = STATE(3702),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4126),
    [anon_sym_where] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4126),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4126),
    [anon_sym_CARET] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4126),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4126),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4124),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4126),
    [anon_sym_from] = ACTIONS(4126),
    [anon_sym_join] = ACTIONS(4126),
    [anon_sym_on] = ACTIONS(4126),
    [anon_sym_equals] = ACTIONS(4126),
    [anon_sym_let] = ACTIONS(4126),
    [anon_sym_orderby] = ACTIONS(4126),
    [anon_sym_group] = ACTIONS(4126),
    [anon_sym_by] = ACTIONS(4126),
    [anon_sym_select] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3703] = {
    [sym_preproc_region] = STATE(3703),
    [sym_preproc_endregion] = STATE(3703),
    [sym_preproc_line] = STATE(3703),
    [sym_preproc_pragma] = STATE(3703),
    [sym_preproc_nullable] = STATE(3703),
    [sym_preproc_error] = STATE(3703),
    [sym_preproc_define] = STATE(3703),
    [sym_preproc_undef] = STATE(3703),
    [anon_sym_SEMI] = ACTIONS(4461),
    [anon_sym_LBRACK] = ACTIONS(4461),
    [anon_sym_COLON] = ACTIONS(4461),
    [anon_sym_COMMA] = ACTIONS(4461),
    [anon_sym_RBRACK] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(4461),
    [anon_sym_RPAREN] = ACTIONS(4461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_RBRACE] = ACTIONS(4461),
    [anon_sym_LT] = ACTIONS(4459),
    [anon_sym_GT] = ACTIONS(4459),
    [anon_sym_in] = ACTIONS(4461),
    [anon_sym_where] = ACTIONS(4461),
    [anon_sym_QMARK] = ACTIONS(4459),
    [anon_sym_BANG] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4461),
    [anon_sym_DASH_DASH] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_STAR] = ACTIONS(4461),
    [anon_sym_SLASH] = ACTIONS(4459),
    [anon_sym_PERCENT] = ACTIONS(4461),
    [anon_sym_CARET] = ACTIONS(4461),
    [anon_sym_PIPE] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(4459),
    [anon_sym_LT_LT] = ACTIONS(4461),
    [anon_sym_GT_GT] = ACTIONS(4459),
    [anon_sym_GT_GT_GT] = ACTIONS(4461),
    [anon_sym_EQ_EQ] = ACTIONS(4461),
    [anon_sym_BANG_EQ] = ACTIONS(4461),
    [anon_sym_GT_EQ] = ACTIONS(4461),
    [anon_sym_LT_EQ] = ACTIONS(4461),
    [anon_sym_DOT] = ACTIONS(4459),
    [anon_sym_EQ_GT] = ACTIONS(4461),
    [anon_sym_switch] = ACTIONS(4461),
    [anon_sym_DOT_DOT] = ACTIONS(4461),
    [anon_sym_and] = ACTIONS(4461),
    [anon_sym_or] = ACTIONS(4459),
    [anon_sym_AMP_AMP] = ACTIONS(4461),
    [anon_sym_PIPE_PIPE] = ACTIONS(4461),
    [anon_sym_QMARK_QMARK] = ACTIONS(4461),
    [anon_sym_from] = ACTIONS(4461),
    [anon_sym_join] = ACTIONS(4461),
    [anon_sym_on] = ACTIONS(4461),
    [anon_sym_equals] = ACTIONS(4461),
    [anon_sym_let] = ACTIONS(4461),
    [anon_sym_orderby] = ACTIONS(4461),
    [anon_sym_group] = ACTIONS(4461),
    [anon_sym_by] = ACTIONS(4461),
    [anon_sym_select] = ACTIONS(4461),
    [anon_sym_as] = ACTIONS(4461),
    [anon_sym_is] = ACTIONS(4461),
    [anon_sym_DASH_GT] = ACTIONS(4461),
    [anon_sym_with] = ACTIONS(4461),
    [aux_sym_preproc_if_token3] = ACTIONS(4461),
    [aux_sym_preproc_else_token1] = ACTIONS(4461),
    [aux_sym_preproc_elif_token1] = ACTIONS(4461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3704] = {
    [sym_preproc_region] = STATE(3704),
    [sym_preproc_endregion] = STATE(3704),
    [sym_preproc_line] = STATE(3704),
    [sym_preproc_pragma] = STATE(3704),
    [sym_preproc_nullable] = STATE(3704),
    [sym_preproc_error] = STATE(3704),
    [sym_preproc_define] = STATE(3704),
    [sym_preproc_undef] = STATE(3704),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [anon_sym_LPAREN] = ACTIONS(5600),
    [anon_sym_RPAREN] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_in] = ACTIONS(5602),
    [anon_sym_where] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5602),
    [anon_sym_BANG] = ACTIONS(5602),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_GT_GT_GT] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_EQ_GT] = ACTIONS(5600),
    [anon_sym_switch] = ACTIONS(5600),
    [anon_sym_DOT_DOT] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_QMARK_QMARK] = ACTIONS(5600),
    [anon_sym_from] = ACTIONS(5600),
    [anon_sym_into] = ACTIONS(5600),
    [anon_sym_join] = ACTIONS(5600),
    [anon_sym_on] = ACTIONS(5600),
    [anon_sym_equals] = ACTIONS(5600),
    [anon_sym_let] = ACTIONS(5600),
    [anon_sym_orderby] = ACTIONS(5600),
    [anon_sym_group] = ACTIONS(5600),
    [anon_sym_by] = ACTIONS(5600),
    [anon_sym_select] = ACTIONS(5600),
    [anon_sym_as] = ACTIONS(5600),
    [anon_sym_is] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [anon_sym_with] = ACTIONS(5600),
    [aux_sym_preproc_if_token3] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3705] = {
    [sym_preproc_region] = STATE(3705),
    [sym_preproc_endregion] = STATE(3705),
    [sym_preproc_line] = STATE(3705),
    [sym_preproc_pragma] = STATE(3705),
    [sym_preproc_nullable] = STATE(3705),
    [sym_preproc_error] = STATE(3705),
    [sym_preproc_define] = STATE(3705),
    [sym_preproc_undef] = STATE(3705),
    [anon_sym_SEMI] = ACTIONS(4602),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_COLON] = ACTIONS(4602),
    [anon_sym_COMMA] = ACTIONS(4602),
    [anon_sym_RBRACK] = ACTIONS(4602),
    [anon_sym_LPAREN] = ACTIONS(4602),
    [anon_sym_RPAREN] = ACTIONS(4602),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_RBRACE] = ACTIONS(4602),
    [anon_sym_LT] = ACTIONS(4600),
    [anon_sym_GT] = ACTIONS(4600),
    [anon_sym_in] = ACTIONS(4602),
    [anon_sym_where] = ACTIONS(4602),
    [anon_sym_QMARK] = ACTIONS(4600),
    [anon_sym_BANG] = ACTIONS(4600),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS] = ACTIONS(4600),
    [anon_sym_DASH] = ACTIONS(4600),
    [anon_sym_STAR] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4600),
    [anon_sym_PERCENT] = ACTIONS(4602),
    [anon_sym_CARET] = ACTIONS(4602),
    [anon_sym_PIPE] = ACTIONS(4600),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym_LT_LT] = ACTIONS(4602),
    [anon_sym_GT_GT] = ACTIONS(4600),
    [anon_sym_GT_GT_GT] = ACTIONS(4602),
    [anon_sym_EQ_EQ] = ACTIONS(4602),
    [anon_sym_BANG_EQ] = ACTIONS(4602),
    [anon_sym_GT_EQ] = ACTIONS(4602),
    [anon_sym_LT_EQ] = ACTIONS(4602),
    [anon_sym_DOT] = ACTIONS(4600),
    [anon_sym_EQ_GT] = ACTIONS(4602),
    [anon_sym_switch] = ACTIONS(4602),
    [anon_sym_DOT_DOT] = ACTIONS(4602),
    [anon_sym_and] = ACTIONS(4602),
    [anon_sym_or] = ACTIONS(4600),
    [anon_sym_AMP_AMP] = ACTIONS(4602),
    [anon_sym_PIPE_PIPE] = ACTIONS(4602),
    [anon_sym_QMARK_QMARK] = ACTIONS(4602),
    [anon_sym_from] = ACTIONS(4602),
    [anon_sym_join] = ACTIONS(4602),
    [anon_sym_on] = ACTIONS(4602),
    [anon_sym_equals] = ACTIONS(4602),
    [anon_sym_let] = ACTIONS(4602),
    [anon_sym_orderby] = ACTIONS(4602),
    [anon_sym_group] = ACTIONS(4602),
    [anon_sym_by] = ACTIONS(4602),
    [anon_sym_select] = ACTIONS(4602),
    [anon_sym_as] = ACTIONS(4602),
    [anon_sym_is] = ACTIONS(4602),
    [anon_sym_DASH_GT] = ACTIONS(4602),
    [anon_sym_with] = ACTIONS(4602),
    [aux_sym_preproc_if_token3] = ACTIONS(4602),
    [aux_sym_preproc_else_token1] = ACTIONS(4602),
    [aux_sym_preproc_elif_token1] = ACTIONS(4602),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3706] = {
    [sym_preproc_region] = STATE(3706),
    [sym_preproc_endregion] = STATE(3706),
    [sym_preproc_line] = STATE(3706),
    [sym_preproc_pragma] = STATE(3706),
    [sym_preproc_nullable] = STATE(3706),
    [sym_preproc_error] = STATE(3706),
    [sym_preproc_define] = STATE(3706),
    [sym_preproc_undef] = STATE(3706),
    [anon_sym_SEMI] = ACTIONS(4565),
    [anon_sym_LBRACK] = ACTIONS(4565),
    [anon_sym_COLON] = ACTIONS(4565),
    [anon_sym_COMMA] = ACTIONS(4565),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(4565),
    [anon_sym_RPAREN] = ACTIONS(4565),
    [anon_sym_LBRACE] = ACTIONS(4565),
    [anon_sym_RBRACE] = ACTIONS(4565),
    [anon_sym_LT] = ACTIONS(4563),
    [anon_sym_GT] = ACTIONS(4563),
    [anon_sym_in] = ACTIONS(4565),
    [anon_sym_where] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4565),
    [anon_sym_DASH_DASH] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_SLASH] = ACTIONS(4563),
    [anon_sym_PERCENT] = ACTIONS(4565),
    [anon_sym_CARET] = ACTIONS(4565),
    [anon_sym_PIPE] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(4563),
    [anon_sym_LT_LT] = ACTIONS(4565),
    [anon_sym_GT_GT] = ACTIONS(4563),
    [anon_sym_GT_GT_GT] = ACTIONS(4565),
    [anon_sym_EQ_EQ] = ACTIONS(4565),
    [anon_sym_BANG_EQ] = ACTIONS(4565),
    [anon_sym_GT_EQ] = ACTIONS(4565),
    [anon_sym_LT_EQ] = ACTIONS(4565),
    [anon_sym_DOT] = ACTIONS(4563),
    [anon_sym_EQ_GT] = ACTIONS(4565),
    [anon_sym_switch] = ACTIONS(4565),
    [anon_sym_DOT_DOT] = ACTIONS(4565),
    [anon_sym_and] = ACTIONS(4565),
    [anon_sym_or] = ACTIONS(4563),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_PIPE_PIPE] = ACTIONS(4565),
    [anon_sym_QMARK_QMARK] = ACTIONS(4565),
    [anon_sym_from] = ACTIONS(4565),
    [anon_sym_join] = ACTIONS(4565),
    [anon_sym_on] = ACTIONS(4565),
    [anon_sym_equals] = ACTIONS(4565),
    [anon_sym_let] = ACTIONS(4565),
    [anon_sym_orderby] = ACTIONS(4565),
    [anon_sym_group] = ACTIONS(4565),
    [anon_sym_by] = ACTIONS(4565),
    [anon_sym_select] = ACTIONS(4565),
    [anon_sym_as] = ACTIONS(4565),
    [anon_sym_is] = ACTIONS(4565),
    [anon_sym_DASH_GT] = ACTIONS(4565),
    [anon_sym_with] = ACTIONS(4565),
    [aux_sym_preproc_if_token3] = ACTIONS(4565),
    [aux_sym_preproc_else_token1] = ACTIONS(4565),
    [aux_sym_preproc_elif_token1] = ACTIONS(4565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3707] = {
    [sym_preproc_region] = STATE(3707),
    [sym_preproc_endregion] = STATE(3707),
    [sym_preproc_line] = STATE(3707),
    [sym_preproc_pragma] = STATE(3707),
    [sym_preproc_nullable] = STATE(3707),
    [sym_preproc_error] = STATE(3707),
    [sym_preproc_define] = STATE(3707),
    [sym_preproc_undef] = STATE(3707),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_in] = ACTIONS(5606),
    [anon_sym_where] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_BANG] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_GT_GT_GT] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_EQ_GT] = ACTIONS(5604),
    [anon_sym_switch] = ACTIONS(5604),
    [anon_sym_DOT_DOT] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_QMARK_QMARK] = ACTIONS(5604),
    [anon_sym_from] = ACTIONS(5604),
    [anon_sym_into] = ACTIONS(5604),
    [anon_sym_join] = ACTIONS(5604),
    [anon_sym_on] = ACTIONS(5604),
    [anon_sym_equals] = ACTIONS(5604),
    [anon_sym_let] = ACTIONS(5604),
    [anon_sym_orderby] = ACTIONS(5604),
    [anon_sym_group] = ACTIONS(5604),
    [anon_sym_by] = ACTIONS(5604),
    [anon_sym_select] = ACTIONS(5604),
    [anon_sym_as] = ACTIONS(5604),
    [anon_sym_is] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_with] = ACTIONS(5604),
    [aux_sym_preproc_if_token3] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3708] = {
    [sym_preproc_region] = STATE(3708),
    [sym_preproc_endregion] = STATE(3708),
    [sym_preproc_line] = STATE(3708),
    [sym_preproc_pragma] = STATE(3708),
    [sym_preproc_nullable] = STATE(3708),
    [sym_preproc_error] = STATE(3708),
    [sym_preproc_define] = STATE(3708),
    [sym_preproc_undef] = STATE(3708),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_LPAREN] = ACTIONS(5608),
    [anon_sym_RPAREN] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_in] = ACTIONS(5610),
    [anon_sym_where] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5610),
    [anon_sym_BANG] = ACTIONS(5610),
    [anon_sym_PLUS_PLUS] = ACTIONS(5608),
    [anon_sym_DASH_DASH] = ACTIONS(5608),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5608),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5608),
    [anon_sym_CARET] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5608),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_GT_GT_GT] = ACTIONS(5608),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_EQ_GT] = ACTIONS(5608),
    [anon_sym_switch] = ACTIONS(5608),
    [anon_sym_DOT_DOT] = ACTIONS(5608),
    [anon_sym_and] = ACTIONS(5608),
    [anon_sym_or] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_PIPE_PIPE] = ACTIONS(5608),
    [anon_sym_QMARK_QMARK] = ACTIONS(5608),
    [anon_sym_from] = ACTIONS(5608),
    [anon_sym_into] = ACTIONS(5608),
    [anon_sym_join] = ACTIONS(5608),
    [anon_sym_on] = ACTIONS(5608),
    [anon_sym_equals] = ACTIONS(5608),
    [anon_sym_let] = ACTIONS(5608),
    [anon_sym_orderby] = ACTIONS(5608),
    [anon_sym_group] = ACTIONS(5608),
    [anon_sym_by] = ACTIONS(5608),
    [anon_sym_select] = ACTIONS(5608),
    [anon_sym_as] = ACTIONS(5608),
    [anon_sym_is] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [anon_sym_with] = ACTIONS(5608),
    [aux_sym_preproc_if_token3] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5608),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3709] = {
    [sym_preproc_region] = STATE(3709),
    [sym_preproc_endregion] = STATE(3709),
    [sym_preproc_line] = STATE(3709),
    [sym_preproc_pragma] = STATE(3709),
    [sym_preproc_nullable] = STATE(3709),
    [sym_preproc_error] = STATE(3709),
    [sym_preproc_define] = STATE(3709),
    [sym_preproc_undef] = STATE(3709),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_LPAREN] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_in] = ACTIONS(5614),
    [anon_sym_where] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5614),
    [anon_sym_BANG] = ACTIONS(5614),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5612),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_GT_GT_GT] = ACTIONS(5612),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_EQ_GT] = ACTIONS(5612),
    [anon_sym_switch] = ACTIONS(5612),
    [anon_sym_DOT_DOT] = ACTIONS(5612),
    [anon_sym_and] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_QMARK_QMARK] = ACTIONS(5612),
    [anon_sym_from] = ACTIONS(5612),
    [anon_sym_into] = ACTIONS(5612),
    [anon_sym_join] = ACTIONS(5612),
    [anon_sym_on] = ACTIONS(5612),
    [anon_sym_equals] = ACTIONS(5612),
    [anon_sym_let] = ACTIONS(5612),
    [anon_sym_orderby] = ACTIONS(5612),
    [anon_sym_group] = ACTIONS(5612),
    [anon_sym_by] = ACTIONS(5612),
    [anon_sym_select] = ACTIONS(5612),
    [anon_sym_as] = ACTIONS(5612),
    [anon_sym_is] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [anon_sym_with] = ACTIONS(5612),
    [aux_sym_preproc_if_token3] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3710] = {
    [sym_preproc_region] = STATE(3710),
    [sym_preproc_endregion] = STATE(3710),
    [sym_preproc_line] = STATE(3710),
    [sym_preproc_pragma] = STATE(3710),
    [sym_preproc_nullable] = STATE(3710),
    [sym_preproc_error] = STATE(3710),
    [sym_preproc_define] = STATE(3710),
    [sym_preproc_undef] = STATE(3710),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_LPAREN] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym_GT] = ACTIONS(5618),
    [anon_sym_in] = ACTIONS(5618),
    [anon_sym_where] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5618),
    [anon_sym_BANG] = ACTIONS(5618),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_SLASH] = ACTIONS(5618),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5618),
    [anon_sym_AMP] = ACTIONS(5618),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5618),
    [anon_sym_GT_GT_GT] = ACTIONS(5616),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_EQ_GT] = ACTIONS(5616),
    [anon_sym_switch] = ACTIONS(5616),
    [anon_sym_DOT_DOT] = ACTIONS(5616),
    [anon_sym_and] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5618),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_QMARK_QMARK] = ACTIONS(5616),
    [anon_sym_from] = ACTIONS(5616),
    [anon_sym_into] = ACTIONS(5616),
    [anon_sym_join] = ACTIONS(5616),
    [anon_sym_on] = ACTIONS(5616),
    [anon_sym_equals] = ACTIONS(5616),
    [anon_sym_let] = ACTIONS(5616),
    [anon_sym_orderby] = ACTIONS(5616),
    [anon_sym_group] = ACTIONS(5616),
    [anon_sym_by] = ACTIONS(5616),
    [anon_sym_select] = ACTIONS(5616),
    [anon_sym_as] = ACTIONS(5616),
    [anon_sym_is] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [anon_sym_with] = ACTIONS(5616),
    [aux_sym_preproc_if_token3] = ACTIONS(5616),
    [aux_sym_preproc_else_token1] = ACTIONS(5616),
    [aux_sym_preproc_elif_token1] = ACTIONS(5616),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3711] = {
    [sym_preproc_region] = STATE(3711),
    [sym_preproc_endregion] = STATE(3711),
    [sym_preproc_line] = STATE(3711),
    [sym_preproc_pragma] = STATE(3711),
    [sym_preproc_nullable] = STATE(3711),
    [sym_preproc_error] = STATE(3711),
    [sym_preproc_define] = STATE(3711),
    [sym_preproc_undef] = STATE(3711),
    [anon_sym_SEMI] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [anon_sym_COLON] = ACTIONS(5620),
    [anon_sym_COMMA] = ACTIONS(5620),
    [anon_sym_RBRACK] = ACTIONS(5620),
    [anon_sym_LPAREN] = ACTIONS(5620),
    [anon_sym_RPAREN] = ACTIONS(5620),
    [anon_sym_RBRACE] = ACTIONS(5620),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_in] = ACTIONS(5622),
    [anon_sym_where] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(5622),
    [anon_sym_BANG] = ACTIONS(5622),
    [anon_sym_PLUS_PLUS] = ACTIONS(5620),
    [anon_sym_DASH_DASH] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5620),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5620),
    [anon_sym_CARET] = ACTIONS(5620),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5620),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_GT_GT_GT] = ACTIONS(5620),
    [anon_sym_EQ_EQ] = ACTIONS(5620),
    [anon_sym_BANG_EQ] = ACTIONS(5620),
    [anon_sym_GT_EQ] = ACTIONS(5620),
    [anon_sym_LT_EQ] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_EQ_GT] = ACTIONS(5620),
    [anon_sym_switch] = ACTIONS(5620),
    [anon_sym_DOT_DOT] = ACTIONS(5620),
    [anon_sym_and] = ACTIONS(5620),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_AMP_AMP] = ACTIONS(5620),
    [anon_sym_PIPE_PIPE] = ACTIONS(5620),
    [anon_sym_QMARK_QMARK] = ACTIONS(5620),
    [anon_sym_from] = ACTIONS(5620),
    [anon_sym_into] = ACTIONS(5620),
    [anon_sym_join] = ACTIONS(5620),
    [anon_sym_on] = ACTIONS(5620),
    [anon_sym_equals] = ACTIONS(5620),
    [anon_sym_let] = ACTIONS(5620),
    [anon_sym_orderby] = ACTIONS(5620),
    [anon_sym_group] = ACTIONS(5620),
    [anon_sym_by] = ACTIONS(5620),
    [anon_sym_select] = ACTIONS(5620),
    [anon_sym_as] = ACTIONS(5620),
    [anon_sym_is] = ACTIONS(5620),
    [anon_sym_DASH_GT] = ACTIONS(5620),
    [anon_sym_with] = ACTIONS(5620),
    [aux_sym_preproc_if_token3] = ACTIONS(5620),
    [aux_sym_preproc_else_token1] = ACTIONS(5620),
    [aux_sym_preproc_elif_token1] = ACTIONS(5620),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3712] = {
    [sym_preproc_region] = STATE(3712),
    [sym_preproc_endregion] = STATE(3712),
    [sym_preproc_line] = STATE(3712),
    [sym_preproc_pragma] = STATE(3712),
    [sym_preproc_nullable] = STATE(3712),
    [sym_preproc_error] = STATE(3712),
    [sym_preproc_define] = STATE(3712),
    [sym_preproc_undef] = STATE(3712),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_LPAREN] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_in] = ACTIONS(5626),
    [anon_sym_where] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5626),
    [anon_sym_BANG] = ACTIONS(5626),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_GT_GT_GT] = ACTIONS(5624),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_EQ_GT] = ACTIONS(5624),
    [anon_sym_switch] = ACTIONS(5624),
    [anon_sym_DOT_DOT] = ACTIONS(5624),
    [anon_sym_and] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_QMARK_QMARK] = ACTIONS(5624),
    [anon_sym_from] = ACTIONS(5624),
    [anon_sym_into] = ACTIONS(5624),
    [anon_sym_join] = ACTIONS(5624),
    [anon_sym_on] = ACTIONS(5624),
    [anon_sym_equals] = ACTIONS(5624),
    [anon_sym_let] = ACTIONS(5624),
    [anon_sym_orderby] = ACTIONS(5624),
    [anon_sym_group] = ACTIONS(5624),
    [anon_sym_by] = ACTIONS(5624),
    [anon_sym_select] = ACTIONS(5624),
    [anon_sym_as] = ACTIONS(5624),
    [anon_sym_is] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [anon_sym_with] = ACTIONS(5624),
    [aux_sym_preproc_if_token3] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5624),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3713] = {
    [sym_preproc_region] = STATE(3713),
    [sym_preproc_endregion] = STATE(3713),
    [sym_preproc_line] = STATE(3713),
    [sym_preproc_pragma] = STATE(3713),
    [sym_preproc_nullable] = STATE(3713),
    [sym_preproc_error] = STATE(3713),
    [sym_preproc_define] = STATE(3713),
    [sym_preproc_undef] = STATE(3713),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_LPAREN] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LT] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5630),
    [anon_sym_in] = ACTIONS(5630),
    [anon_sym_where] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_BANG] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5630),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5630),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5630),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5630),
    [anon_sym_GT_GT_GT] = ACTIONS(5628),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_EQ_GT] = ACTIONS(5628),
    [anon_sym_switch] = ACTIONS(5628),
    [anon_sym_DOT_DOT] = ACTIONS(5628),
    [anon_sym_and] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_QMARK_QMARK] = ACTIONS(5628),
    [anon_sym_from] = ACTIONS(5628),
    [anon_sym_into] = ACTIONS(5628),
    [anon_sym_join] = ACTIONS(5628),
    [anon_sym_on] = ACTIONS(5628),
    [anon_sym_equals] = ACTIONS(5628),
    [anon_sym_let] = ACTIONS(5628),
    [anon_sym_orderby] = ACTIONS(5628),
    [anon_sym_group] = ACTIONS(5628),
    [anon_sym_by] = ACTIONS(5628),
    [anon_sym_select] = ACTIONS(5628),
    [anon_sym_as] = ACTIONS(5628),
    [anon_sym_is] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [anon_sym_with] = ACTIONS(5628),
    [aux_sym_preproc_if_token3] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5628),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3714] = {
    [sym_preproc_region] = STATE(3714),
    [sym_preproc_endregion] = STATE(3714),
    [sym_preproc_line] = STATE(3714),
    [sym_preproc_pragma] = STATE(3714),
    [sym_preproc_nullable] = STATE(3714),
    [sym_preproc_error] = STATE(3714),
    [sym_preproc_define] = STATE(3714),
    [sym_preproc_undef] = STATE(3714),
    [anon_sym_SEMI] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [anon_sym_COLON] = ACTIONS(5632),
    [anon_sym_COMMA] = ACTIONS(5632),
    [anon_sym_RBRACK] = ACTIONS(5632),
    [anon_sym_LPAREN] = ACTIONS(5632),
    [anon_sym_RPAREN] = ACTIONS(5632),
    [anon_sym_RBRACE] = ACTIONS(5632),
    [anon_sym_LT] = ACTIONS(5634),
    [anon_sym_GT] = ACTIONS(5634),
    [anon_sym_in] = ACTIONS(5634),
    [anon_sym_where] = ACTIONS(5632),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_BANG] = ACTIONS(5634),
    [anon_sym_PLUS_PLUS] = ACTIONS(5632),
    [anon_sym_DASH_DASH] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5632),
    [anon_sym_SLASH] = ACTIONS(5634),
    [anon_sym_PERCENT] = ACTIONS(5632),
    [anon_sym_CARET] = ACTIONS(5632),
    [anon_sym_PIPE] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5634),
    [anon_sym_LT_LT] = ACTIONS(5632),
    [anon_sym_GT_GT] = ACTIONS(5634),
    [anon_sym_GT_GT_GT] = ACTIONS(5632),
    [anon_sym_EQ_EQ] = ACTIONS(5632),
    [anon_sym_BANG_EQ] = ACTIONS(5632),
    [anon_sym_GT_EQ] = ACTIONS(5632),
    [anon_sym_LT_EQ] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_EQ_GT] = ACTIONS(5632),
    [anon_sym_switch] = ACTIONS(5632),
    [anon_sym_DOT_DOT] = ACTIONS(5632),
    [anon_sym_and] = ACTIONS(5632),
    [anon_sym_or] = ACTIONS(5634),
    [anon_sym_AMP_AMP] = ACTIONS(5632),
    [anon_sym_PIPE_PIPE] = ACTIONS(5632),
    [anon_sym_QMARK_QMARK] = ACTIONS(5632),
    [anon_sym_from] = ACTIONS(5632),
    [anon_sym_into] = ACTIONS(5632),
    [anon_sym_join] = ACTIONS(5632),
    [anon_sym_on] = ACTIONS(5632),
    [anon_sym_equals] = ACTIONS(5632),
    [anon_sym_let] = ACTIONS(5632),
    [anon_sym_orderby] = ACTIONS(5632),
    [anon_sym_group] = ACTIONS(5632),
    [anon_sym_by] = ACTIONS(5632),
    [anon_sym_select] = ACTIONS(5632),
    [anon_sym_as] = ACTIONS(5632),
    [anon_sym_is] = ACTIONS(5632),
    [anon_sym_DASH_GT] = ACTIONS(5632),
    [anon_sym_with] = ACTIONS(5632),
    [aux_sym_preproc_if_token3] = ACTIONS(5632),
    [aux_sym_preproc_else_token1] = ACTIONS(5632),
    [aux_sym_preproc_elif_token1] = ACTIONS(5632),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3715] = {
    [sym_preproc_region] = STATE(3715),
    [sym_preproc_endregion] = STATE(3715),
    [sym_preproc_line] = STATE(3715),
    [sym_preproc_pragma] = STATE(3715),
    [sym_preproc_nullable] = STATE(3715),
    [sym_preproc_error] = STATE(3715),
    [sym_preproc_define] = STATE(3715),
    [sym_preproc_undef] = STATE(3715),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_where] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4130),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4130),
    [anon_sym_CARET] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4130),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4130),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4128),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4130),
    [anon_sym_from] = ACTIONS(4130),
    [anon_sym_join] = ACTIONS(4130),
    [anon_sym_on] = ACTIONS(4130),
    [anon_sym_equals] = ACTIONS(4130),
    [anon_sym_let] = ACTIONS(4130),
    [anon_sym_orderby] = ACTIONS(4130),
    [anon_sym_group] = ACTIONS(4130),
    [anon_sym_by] = ACTIONS(4130),
    [anon_sym_select] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3716] = {
    [sym_attribute_list] = STATE(4408),
    [sym_modifier] = STATE(4476),
    [sym_accessor_declaration] = STATE(4348),
    [sym_identifier] = STATE(7898),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3716),
    [sym_preproc_endregion] = STATE(3716),
    [sym_preproc_line] = STATE(3716),
    [sym_preproc_pragma] = STATE(3716),
    [sym_preproc_nullable] = STATE(3716),
    [sym_preproc_error] = STATE(3716),
    [sym_preproc_define] = STATE(3716),
    [sym_preproc_undef] = STATE(3716),
    [aux_sym_class_declaration_repeat1] = STATE(3804),
    [aux_sym_class_declaration_repeat2] = STATE(4009),
    [aux_sym_accessor_list_repeat1] = STATE(3670),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(5429),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(5429),
    [anon_sym_static] = ACTIONS(5429),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACE] = ACTIONS(5636),
    [anon_sym_abstract] = ACTIONS(5429),
    [anon_sym_async] = ACTIONS(5429),
    [anon_sym_const] = ACTIONS(5429),
    [anon_sym_file] = ACTIONS(5435),
    [anon_sym_fixed] = ACTIONS(5429),
    [anon_sym_internal] = ACTIONS(5429),
    [anon_sym_new] = ACTIONS(5429),
    [anon_sym_override] = ACTIONS(5429),
    [anon_sym_partial] = ACTIONS(5429),
    [anon_sym_private] = ACTIONS(5429),
    [anon_sym_protected] = ACTIONS(5429),
    [anon_sym_public] = ACTIONS(5429),
    [anon_sym_readonly] = ACTIONS(5429),
    [anon_sym_required] = ACTIONS(5429),
    [anon_sym_sealed] = ACTIONS(5429),
    [anon_sym_virtual] = ACTIONS(5429),
    [anon_sym_volatile] = ACTIONS(5429),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_get] = ACTIONS(5437),
    [anon_sym_set] = ACTIONS(5437),
    [anon_sym_add] = ACTIONS(5437),
    [anon_sym_remove] = ACTIONS(5437),
    [anon_sym_init] = ACTIONS(5437),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3717] = {
    [sym_preproc_region] = STATE(3717),
    [sym_preproc_endregion] = STATE(3717),
    [sym_preproc_line] = STATE(3717),
    [sym_preproc_pragma] = STATE(3717),
    [sym_preproc_nullable] = STATE(3717),
    [sym_preproc_error] = STATE(3717),
    [sym_preproc_define] = STATE(3717),
    [sym_preproc_undef] = STATE(3717),
    [anon_sym_SEMI] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [anon_sym_COLON] = ACTIONS(5638),
    [anon_sym_COMMA] = ACTIONS(5638),
    [anon_sym_RBRACK] = ACTIONS(5638),
    [anon_sym_LPAREN] = ACTIONS(5638),
    [anon_sym_RPAREN] = ACTIONS(5638),
    [anon_sym_RBRACE] = ACTIONS(5638),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_in] = ACTIONS(5640),
    [anon_sym_where] = ACTIONS(5638),
    [anon_sym_QMARK] = ACTIONS(5640),
    [anon_sym_BANG] = ACTIONS(5640),
    [anon_sym_PLUS_PLUS] = ACTIONS(5638),
    [anon_sym_DASH_DASH] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [anon_sym_CARET] = ACTIONS(5638),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5638),
    [anon_sym_GT_GT] = ACTIONS(5640),
    [anon_sym_GT_GT_GT] = ACTIONS(5638),
    [anon_sym_EQ_EQ] = ACTIONS(5638),
    [anon_sym_BANG_EQ] = ACTIONS(5638),
    [anon_sym_GT_EQ] = ACTIONS(5638),
    [anon_sym_LT_EQ] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_EQ_GT] = ACTIONS(5638),
    [anon_sym_switch] = ACTIONS(5638),
    [anon_sym_DOT_DOT] = ACTIONS(5638),
    [anon_sym_and] = ACTIONS(5638),
    [anon_sym_or] = ACTIONS(5640),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_PIPE_PIPE] = ACTIONS(5638),
    [anon_sym_QMARK_QMARK] = ACTIONS(5638),
    [anon_sym_from] = ACTIONS(5638),
    [anon_sym_into] = ACTIONS(5638),
    [anon_sym_join] = ACTIONS(5638),
    [anon_sym_on] = ACTIONS(5638),
    [anon_sym_equals] = ACTIONS(5638),
    [anon_sym_let] = ACTIONS(5638),
    [anon_sym_orderby] = ACTIONS(5638),
    [anon_sym_group] = ACTIONS(5638),
    [anon_sym_by] = ACTIONS(5638),
    [anon_sym_select] = ACTIONS(5638),
    [anon_sym_as] = ACTIONS(5638),
    [anon_sym_is] = ACTIONS(5638),
    [anon_sym_DASH_GT] = ACTIONS(5638),
    [anon_sym_with] = ACTIONS(5638),
    [aux_sym_preproc_if_token3] = ACTIONS(5638),
    [aux_sym_preproc_else_token1] = ACTIONS(5638),
    [aux_sym_preproc_elif_token1] = ACTIONS(5638),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3718] = {
    [sym_preproc_region] = STATE(3718),
    [sym_preproc_endregion] = STATE(3718),
    [sym_preproc_line] = STATE(3718),
    [sym_preproc_pragma] = STATE(3718),
    [sym_preproc_nullable] = STATE(3718),
    [sym_preproc_error] = STATE(3718),
    [sym_preproc_define] = STATE(3718),
    [sym_preproc_undef] = STATE(3718),
    [anon_sym_SEMI] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [anon_sym_RBRACK] = ACTIONS(5642),
    [anon_sym_LPAREN] = ACTIONS(5642),
    [anon_sym_RPAREN] = ACTIONS(5642),
    [anon_sym_RBRACE] = ACTIONS(5642),
    [anon_sym_LT] = ACTIONS(5644),
    [anon_sym_GT] = ACTIONS(5644),
    [anon_sym_in] = ACTIONS(5644),
    [anon_sym_where] = ACTIONS(5642),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_BANG] = ACTIONS(5644),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5644),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_CARET] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(5644),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5644),
    [anon_sym_GT_GT_GT] = ACTIONS(5642),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5644),
    [anon_sym_EQ_GT] = ACTIONS(5642),
    [anon_sym_switch] = ACTIONS(5642),
    [anon_sym_DOT_DOT] = ACTIONS(5642),
    [anon_sym_and] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5644),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_QMARK_QMARK] = ACTIONS(5642),
    [anon_sym_from] = ACTIONS(5642),
    [anon_sym_into] = ACTIONS(5642),
    [anon_sym_join] = ACTIONS(5642),
    [anon_sym_on] = ACTIONS(5642),
    [anon_sym_equals] = ACTIONS(5642),
    [anon_sym_let] = ACTIONS(5642),
    [anon_sym_orderby] = ACTIONS(5642),
    [anon_sym_group] = ACTIONS(5642),
    [anon_sym_by] = ACTIONS(5642),
    [anon_sym_select] = ACTIONS(5642),
    [anon_sym_as] = ACTIONS(5642),
    [anon_sym_is] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [anon_sym_with] = ACTIONS(5642),
    [aux_sym_preproc_if_token3] = ACTIONS(5642),
    [aux_sym_preproc_else_token1] = ACTIONS(5642),
    [aux_sym_preproc_elif_token1] = ACTIONS(5642),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3719] = {
    [sym_preproc_region] = STATE(3719),
    [sym_preproc_endregion] = STATE(3719),
    [sym_preproc_line] = STATE(3719),
    [sym_preproc_pragma] = STATE(3719),
    [sym_preproc_nullable] = STATE(3719),
    [sym_preproc_error] = STATE(3719),
    [sym_preproc_define] = STATE(3719),
    [sym_preproc_undef] = STATE(3719),
    [anon_sym_SEMI] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_COLON] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_RBRACK] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(5646),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_RBRACE] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(1995),
    [anon_sym_where] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1995),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(1997),
    [anon_sym_PIPE] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1995),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1995),
    [anon_sym_GT_GT_GT] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_EQ_GT] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_DOT_DOT] = ACTIONS(1997),
    [anon_sym_and] = ACTIONS(1997),
    [anon_sym_or] = ACTIONS(1995),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_QMARK_QMARK] = ACTIONS(1997),
    [anon_sym_from] = ACTIONS(1997),
    [anon_sym_into] = ACTIONS(1997),
    [anon_sym_join] = ACTIONS(1997),
    [anon_sym_on] = ACTIONS(1997),
    [anon_sym_equals] = ACTIONS(1997),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_orderby] = ACTIONS(1997),
    [anon_sym_group] = ACTIONS(1997),
    [anon_sym_by] = ACTIONS(1997),
    [anon_sym_select] = ACTIONS(1997),
    [anon_sym_as] = ACTIONS(1997),
    [anon_sym_is] = ACTIONS(1997),
    [anon_sym_DASH_GT] = ACTIONS(1997),
    [anon_sym_with] = ACTIONS(1997),
    [aux_sym_preproc_if_token3] = ACTIONS(1997),
    [aux_sym_preproc_else_token1] = ACTIONS(1997),
    [aux_sym_preproc_elif_token1] = ACTIONS(1997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3720] = {
    [sym_preproc_region] = STATE(3720),
    [sym_preproc_endregion] = STATE(3720),
    [sym_preproc_line] = STATE(3720),
    [sym_preproc_pragma] = STATE(3720),
    [sym_preproc_nullable] = STATE(3720),
    [sym_preproc_error] = STATE(3720),
    [sym_preproc_define] = STATE(3720),
    [sym_preproc_undef] = STATE(3720),
    [anon_sym_SEMI] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_COMMA] = ACTIONS(5648),
    [anon_sym_RBRACK] = ACTIONS(5648),
    [anon_sym_LPAREN] = ACTIONS(5648),
    [anon_sym_RPAREN] = ACTIONS(5648),
    [anon_sym_RBRACE] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_in] = ACTIONS(5650),
    [anon_sym_where] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_BANG] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_GT_GT_GT] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5648),
    [anon_sym_BANG_EQ] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5648),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_EQ_GT] = ACTIONS(5648),
    [anon_sym_switch] = ACTIONS(5648),
    [anon_sym_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_or] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5648),
    [anon_sym_QMARK_QMARK] = ACTIONS(5648),
    [anon_sym_from] = ACTIONS(5648),
    [anon_sym_into] = ACTIONS(5648),
    [anon_sym_join] = ACTIONS(5648),
    [anon_sym_on] = ACTIONS(5648),
    [anon_sym_equals] = ACTIONS(5648),
    [anon_sym_let] = ACTIONS(5648),
    [anon_sym_orderby] = ACTIONS(5648),
    [anon_sym_group] = ACTIONS(5648),
    [anon_sym_by] = ACTIONS(5648),
    [anon_sym_select] = ACTIONS(5648),
    [anon_sym_as] = ACTIONS(5648),
    [anon_sym_is] = ACTIONS(5648),
    [anon_sym_DASH_GT] = ACTIONS(5648),
    [anon_sym_with] = ACTIONS(5648),
    [aux_sym_preproc_if_token3] = ACTIONS(5648),
    [aux_sym_preproc_else_token1] = ACTIONS(5648),
    [aux_sym_preproc_elif_token1] = ACTIONS(5648),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3721] = {
    [sym_preproc_region] = STATE(3721),
    [sym_preproc_endregion] = STATE(3721),
    [sym_preproc_line] = STATE(3721),
    [sym_preproc_pragma] = STATE(3721),
    [sym_preproc_nullable] = STATE(3721),
    [sym_preproc_error] = STATE(3721),
    [sym_preproc_define] = STATE(3721),
    [sym_preproc_undef] = STATE(3721),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_LPAREN] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_in] = ACTIONS(5654),
    [anon_sym_where] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_BANG] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_GT_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_EQ_GT] = ACTIONS(5652),
    [anon_sym_switch] = ACTIONS(5652),
    [anon_sym_DOT_DOT] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_QMARK_QMARK] = ACTIONS(5652),
    [anon_sym_from] = ACTIONS(5652),
    [anon_sym_into] = ACTIONS(5652),
    [anon_sym_join] = ACTIONS(5652),
    [anon_sym_on] = ACTIONS(5652),
    [anon_sym_equals] = ACTIONS(5652),
    [anon_sym_let] = ACTIONS(5652),
    [anon_sym_orderby] = ACTIONS(5652),
    [anon_sym_group] = ACTIONS(5652),
    [anon_sym_by] = ACTIONS(5652),
    [anon_sym_select] = ACTIONS(5652),
    [anon_sym_as] = ACTIONS(5652),
    [anon_sym_is] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [anon_sym_with] = ACTIONS(5652),
    [aux_sym_preproc_if_token3] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3722] = {
    [sym_preproc_region] = STATE(3722),
    [sym_preproc_endregion] = STATE(3722),
    [sym_preproc_line] = STATE(3722),
    [sym_preproc_pragma] = STATE(3722),
    [sym_preproc_nullable] = STATE(3722),
    [sym_preproc_error] = STATE(3722),
    [sym_preproc_define] = STATE(3722),
    [sym_preproc_undef] = STATE(3722),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RBRACK] = ACTIONS(5656),
    [anon_sym_LPAREN] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_in] = ACTIONS(5658),
    [anon_sym_where] = ACTIONS(5656),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_BANG] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5656),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_GT_GT_GT] = ACTIONS(5656),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(5656),
    [anon_sym_switch] = ACTIONS(5656),
    [anon_sym_DOT_DOT] = ACTIONS(5656),
    [anon_sym_and] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_QMARK_QMARK] = ACTIONS(5656),
    [anon_sym_from] = ACTIONS(5656),
    [anon_sym_into] = ACTIONS(5656),
    [anon_sym_join] = ACTIONS(5656),
    [anon_sym_on] = ACTIONS(5656),
    [anon_sym_equals] = ACTIONS(5656),
    [anon_sym_let] = ACTIONS(5656),
    [anon_sym_orderby] = ACTIONS(5656),
    [anon_sym_group] = ACTIONS(5656),
    [anon_sym_by] = ACTIONS(5656),
    [anon_sym_select] = ACTIONS(5656),
    [anon_sym_as] = ACTIONS(5656),
    [anon_sym_is] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [anon_sym_with] = ACTIONS(5656),
    [aux_sym_preproc_if_token3] = ACTIONS(5656),
    [aux_sym_preproc_else_token1] = ACTIONS(5656),
    [aux_sym_preproc_elif_token1] = ACTIONS(5656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3723] = {
    [sym_preproc_region] = STATE(3723),
    [sym_preproc_endregion] = STATE(3723),
    [sym_preproc_line] = STATE(3723),
    [sym_preproc_pragma] = STATE(3723),
    [sym_preproc_nullable] = STATE(3723),
    [sym_preproc_error] = STATE(3723),
    [sym_preproc_define] = STATE(3723),
    [sym_preproc_undef] = STATE(3723),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_where] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_from] = ACTIONS(2995),
    [anon_sym_into] = ACTIONS(2995),
    [anon_sym_join] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_orderby] = ACTIONS(2995),
    [anon_sym_group] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_select] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3724] = {
    [sym_preproc_region] = STATE(3724),
    [sym_preproc_endregion] = STATE(3724),
    [sym_preproc_line] = STATE(3724),
    [sym_preproc_pragma] = STATE(3724),
    [sym_preproc_nullable] = STATE(3724),
    [sym_preproc_error] = STATE(3724),
    [sym_preproc_define] = STATE(3724),
    [sym_preproc_undef] = STATE(3724),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_LPAREN] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_in] = ACTIONS(5662),
    [anon_sym_where] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_BANG] = ACTIONS(5662),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_GT_GT_GT] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_EQ_GT] = ACTIONS(5660),
    [anon_sym_switch] = ACTIONS(5660),
    [anon_sym_DOT_DOT] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_QMARK_QMARK] = ACTIONS(5660),
    [anon_sym_from] = ACTIONS(5660),
    [anon_sym_into] = ACTIONS(5660),
    [anon_sym_join] = ACTIONS(5660),
    [anon_sym_on] = ACTIONS(5660),
    [anon_sym_equals] = ACTIONS(5660),
    [anon_sym_let] = ACTIONS(5660),
    [anon_sym_orderby] = ACTIONS(5660),
    [anon_sym_group] = ACTIONS(5660),
    [anon_sym_by] = ACTIONS(5660),
    [anon_sym_select] = ACTIONS(5660),
    [anon_sym_as] = ACTIONS(5660),
    [anon_sym_is] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [anon_sym_with] = ACTIONS(5660),
    [aux_sym_preproc_if_token3] = ACTIONS(5660),
    [aux_sym_preproc_else_token1] = ACTIONS(5660),
    [aux_sym_preproc_elif_token1] = ACTIONS(5660),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3725] = {
    [sym_preproc_region] = STATE(3725),
    [sym_preproc_endregion] = STATE(3725),
    [sym_preproc_line] = STATE(3725),
    [sym_preproc_pragma] = STATE(3725),
    [sym_preproc_nullable] = STATE(3725),
    [sym_preproc_error] = STATE(3725),
    [sym_preproc_define] = STATE(3725),
    [sym_preproc_undef] = STATE(3725),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_LPAREN] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_in] = ACTIONS(5666),
    [anon_sym_where] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_BANG] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_GT_GT_GT] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_EQ_GT] = ACTIONS(5664),
    [anon_sym_switch] = ACTIONS(5664),
    [anon_sym_DOT_DOT] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_QMARK_QMARK] = ACTIONS(5664),
    [anon_sym_from] = ACTIONS(5664),
    [anon_sym_into] = ACTIONS(5664),
    [anon_sym_join] = ACTIONS(5664),
    [anon_sym_on] = ACTIONS(5664),
    [anon_sym_equals] = ACTIONS(5664),
    [anon_sym_let] = ACTIONS(5664),
    [anon_sym_orderby] = ACTIONS(5664),
    [anon_sym_group] = ACTIONS(5664),
    [anon_sym_by] = ACTIONS(5664),
    [anon_sym_select] = ACTIONS(5664),
    [anon_sym_as] = ACTIONS(5664),
    [anon_sym_is] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_with] = ACTIONS(5664),
    [aux_sym_preproc_if_token3] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3726] = {
    [sym_preproc_region] = STATE(3726),
    [sym_preproc_endregion] = STATE(3726),
    [sym_preproc_line] = STATE(3726),
    [sym_preproc_pragma] = STATE(3726),
    [sym_preproc_nullable] = STATE(3726),
    [sym_preproc_error] = STATE(3726),
    [sym_preproc_define] = STATE(3726),
    [sym_preproc_undef] = STATE(3726),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_LPAREN] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_where] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_BANG] = ACTIONS(5670),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5668),
    [anon_sym_CARET] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5668),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_GT_GT_GT] = ACTIONS(5668),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_EQ_GT] = ACTIONS(5668),
    [anon_sym_switch] = ACTIONS(5668),
    [anon_sym_DOT_DOT] = ACTIONS(5668),
    [anon_sym_and] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_QMARK_QMARK] = ACTIONS(5668),
    [anon_sym_from] = ACTIONS(5668),
    [anon_sym_into] = ACTIONS(5668),
    [anon_sym_join] = ACTIONS(5668),
    [anon_sym_on] = ACTIONS(5668),
    [anon_sym_equals] = ACTIONS(5668),
    [anon_sym_let] = ACTIONS(5668),
    [anon_sym_orderby] = ACTIONS(5668),
    [anon_sym_group] = ACTIONS(5668),
    [anon_sym_by] = ACTIONS(5668),
    [anon_sym_select] = ACTIONS(5668),
    [anon_sym_as] = ACTIONS(5668),
    [anon_sym_is] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_with] = ACTIONS(5668),
    [aux_sym_preproc_if_token3] = ACTIONS(5668),
    [aux_sym_preproc_else_token1] = ACTIONS(5668),
    [aux_sym_preproc_elif_token1] = ACTIONS(5668),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3727] = {
    [sym_preproc_region] = STATE(3727),
    [sym_preproc_endregion] = STATE(3727),
    [sym_preproc_line] = STATE(3727),
    [sym_preproc_pragma] = STATE(3727),
    [sym_preproc_nullable] = STATE(3727),
    [sym_preproc_error] = STATE(3727),
    [sym_preproc_define] = STATE(3727),
    [sym_preproc_undef] = STATE(3727),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4140),
    [anon_sym_where] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4140),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4140),
    [anon_sym_from] = ACTIONS(4140),
    [anon_sym_join] = ACTIONS(4140),
    [anon_sym_on] = ACTIONS(4140),
    [anon_sym_equals] = ACTIONS(4140),
    [anon_sym_let] = ACTIONS(4140),
    [anon_sym_orderby] = ACTIONS(4140),
    [anon_sym_group] = ACTIONS(4140),
    [anon_sym_by] = ACTIONS(4140),
    [anon_sym_select] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3728] = {
    [sym_preproc_region] = STATE(3728),
    [sym_preproc_endregion] = STATE(3728),
    [sym_preproc_line] = STATE(3728),
    [sym_preproc_pragma] = STATE(3728),
    [sym_preproc_nullable] = STATE(3728),
    [sym_preproc_error] = STATE(3728),
    [sym_preproc_define] = STATE(3728),
    [sym_preproc_undef] = STATE(3728),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_LPAREN] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_in] = ACTIONS(5674),
    [anon_sym_where] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5674),
    [anon_sym_BANG] = ACTIONS(5674),
    [anon_sym_PLUS_PLUS] = ACTIONS(5672),
    [anon_sym_DASH_DASH] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_GT_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_switch] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_QMARK_QMARK] = ACTIONS(5672),
    [anon_sym_from] = ACTIONS(5672),
    [anon_sym_into] = ACTIONS(5672),
    [anon_sym_join] = ACTIONS(5672),
    [anon_sym_on] = ACTIONS(5672),
    [anon_sym_equals] = ACTIONS(5672),
    [anon_sym_let] = ACTIONS(5672),
    [anon_sym_orderby] = ACTIONS(5672),
    [anon_sym_group] = ACTIONS(5672),
    [anon_sym_by] = ACTIONS(5672),
    [anon_sym_select] = ACTIONS(5672),
    [anon_sym_as] = ACTIONS(5672),
    [anon_sym_is] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_with] = ACTIONS(5672),
    [aux_sym_preproc_if_token3] = ACTIONS(5672),
    [aux_sym_preproc_else_token1] = ACTIONS(5672),
    [aux_sym_preproc_elif_token1] = ACTIONS(5672),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3729] = {
    [sym_preproc_region] = STATE(3729),
    [sym_preproc_endregion] = STATE(3729),
    [sym_preproc_line] = STATE(3729),
    [sym_preproc_pragma] = STATE(3729),
    [sym_preproc_nullable] = STATE(3729),
    [sym_preproc_error] = STATE(3729),
    [sym_preproc_define] = STATE(3729),
    [sym_preproc_undef] = STATE(3729),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_LPAREN] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_in] = ACTIONS(5678),
    [anon_sym_where] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_BANG] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_GT_GT_GT] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_EQ_GT] = ACTIONS(5676),
    [anon_sym_switch] = ACTIONS(5676),
    [anon_sym_DOT_DOT] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_QMARK_QMARK] = ACTIONS(5676),
    [anon_sym_from] = ACTIONS(5676),
    [anon_sym_into] = ACTIONS(5676),
    [anon_sym_join] = ACTIONS(5676),
    [anon_sym_on] = ACTIONS(5676),
    [anon_sym_equals] = ACTIONS(5676),
    [anon_sym_let] = ACTIONS(5676),
    [anon_sym_orderby] = ACTIONS(5676),
    [anon_sym_group] = ACTIONS(5676),
    [anon_sym_by] = ACTIONS(5676),
    [anon_sym_select] = ACTIONS(5676),
    [anon_sym_as] = ACTIONS(5676),
    [anon_sym_is] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_with] = ACTIONS(5676),
    [aux_sym_preproc_if_token3] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3730] = {
    [sym_preproc_region] = STATE(3730),
    [sym_preproc_endregion] = STATE(3730),
    [sym_preproc_line] = STATE(3730),
    [sym_preproc_pragma] = STATE(3730),
    [sym_preproc_nullable] = STATE(3730),
    [sym_preproc_error] = STATE(3730),
    [sym_preproc_define] = STATE(3730),
    [sym_preproc_undef] = STATE(3730),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_in] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5305),
    [anon_sym_CARET] = ACTIONS(5305),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5305),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5305),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5305),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_on] = ACTIONS(5305),
    [anon_sym_equals] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_by] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3731] = {
    [sym_preproc_region] = STATE(3731),
    [sym_preproc_endregion] = STATE(3731),
    [sym_preproc_line] = STATE(3731),
    [sym_preproc_pragma] = STATE(3731),
    [sym_preproc_nullable] = STATE(3731),
    [sym_preproc_error] = STATE(3731),
    [sym_preproc_define] = STATE(3731),
    [sym_preproc_undef] = STATE(3731),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4151),
    [anon_sym_where] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4151),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_CARET] = ACTIONS(4151),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4151),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4151),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4149),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4151),
    [anon_sym_from] = ACTIONS(4151),
    [anon_sym_join] = ACTIONS(4151),
    [anon_sym_on] = ACTIONS(4151),
    [anon_sym_equals] = ACTIONS(4151),
    [anon_sym_let] = ACTIONS(4151),
    [anon_sym_orderby] = ACTIONS(4151),
    [anon_sym_group] = ACTIONS(4151),
    [anon_sym_by] = ACTIONS(4151),
    [anon_sym_select] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3732] = {
    [sym_preproc_region] = STATE(3732),
    [sym_preproc_endregion] = STATE(3732),
    [sym_preproc_line] = STATE(3732),
    [sym_preproc_pragma] = STATE(3732),
    [sym_preproc_nullable] = STATE(3732),
    [sym_preproc_error] = STATE(3732),
    [sym_preproc_define] = STATE(3732),
    [sym_preproc_undef] = STATE(3732),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_LPAREN] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5586),
    [anon_sym_in] = ACTIONS(5584),
    [anon_sym_where] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_BANG] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5586),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5586),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_GT_GT_GT] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5586),
    [anon_sym_EQ_GT] = ACTIONS(5584),
    [anon_sym_switch] = ACTIONS(5584),
    [anon_sym_DOT_DOT] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5586),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_QMARK_QMARK] = ACTIONS(5584),
    [anon_sym_from] = ACTIONS(5584),
    [anon_sym_join] = ACTIONS(5584),
    [anon_sym_on] = ACTIONS(5584),
    [anon_sym_equals] = ACTIONS(5584),
    [anon_sym_let] = ACTIONS(5584),
    [anon_sym_orderby] = ACTIONS(5584),
    [anon_sym_group] = ACTIONS(5584),
    [anon_sym_by] = ACTIONS(5584),
    [anon_sym_select] = ACTIONS(5584),
    [anon_sym_as] = ACTIONS(5584),
    [anon_sym_is] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [anon_sym_with] = ACTIONS(5584),
    [aux_sym_preproc_if_token3] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3733] = {
    [sym_preproc_region] = STATE(3733),
    [sym_preproc_endregion] = STATE(3733),
    [sym_preproc_line] = STATE(3733),
    [sym_preproc_pragma] = STATE(3733),
    [sym_preproc_nullable] = STATE(3733),
    [sym_preproc_error] = STATE(3733),
    [sym_preproc_define] = STATE(3733),
    [sym_preproc_undef] = STATE(3733),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_LPAREN] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_where] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5614),
    [anon_sym_BANG] = ACTIONS(5614),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5612),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_GT_GT_GT] = ACTIONS(5612),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_EQ_GT] = ACTIONS(5612),
    [anon_sym_switch] = ACTIONS(5612),
    [anon_sym_DOT_DOT] = ACTIONS(5612),
    [anon_sym_and] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_QMARK_QMARK] = ACTIONS(5612),
    [anon_sym_from] = ACTIONS(5612),
    [anon_sym_join] = ACTIONS(5612),
    [anon_sym_on] = ACTIONS(5612),
    [anon_sym_equals] = ACTIONS(5612),
    [anon_sym_let] = ACTIONS(5612),
    [anon_sym_orderby] = ACTIONS(5612),
    [anon_sym_group] = ACTIONS(5612),
    [anon_sym_by] = ACTIONS(5612),
    [anon_sym_select] = ACTIONS(5612),
    [anon_sym_as] = ACTIONS(5612),
    [anon_sym_is] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [anon_sym_with] = ACTIONS(5612),
    [aux_sym_preproc_if_token3] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3734] = {
    [sym_preproc_region] = STATE(3734),
    [sym_preproc_endregion] = STATE(3734),
    [sym_preproc_line] = STATE(3734),
    [sym_preproc_pragma] = STATE(3734),
    [sym_preproc_nullable] = STATE(3734),
    [sym_preproc_error] = STATE(3734),
    [sym_preproc_define] = STATE(3734),
    [sym_preproc_undef] = STATE(3734),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_LPAREN] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_in] = ACTIONS(5664),
    [anon_sym_where] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_BANG] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_GT_GT_GT] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_EQ_GT] = ACTIONS(5664),
    [anon_sym_switch] = ACTIONS(5664),
    [anon_sym_DOT_DOT] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5666),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_QMARK_QMARK] = ACTIONS(5664),
    [anon_sym_from] = ACTIONS(5664),
    [anon_sym_join] = ACTIONS(5664),
    [anon_sym_on] = ACTIONS(5664),
    [anon_sym_equals] = ACTIONS(5664),
    [anon_sym_let] = ACTIONS(5664),
    [anon_sym_orderby] = ACTIONS(5664),
    [anon_sym_group] = ACTIONS(5664),
    [anon_sym_by] = ACTIONS(5664),
    [anon_sym_select] = ACTIONS(5664),
    [anon_sym_as] = ACTIONS(5664),
    [anon_sym_is] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_with] = ACTIONS(5664),
    [aux_sym_preproc_if_token3] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3735] = {
    [sym_preproc_region] = STATE(3735),
    [sym_preproc_endregion] = STATE(3735),
    [sym_preproc_line] = STATE(3735),
    [sym_preproc_pragma] = STATE(3735),
    [sym_preproc_nullable] = STATE(3735),
    [sym_preproc_error] = STATE(3735),
    [sym_preproc_define] = STATE(3735),
    [sym_preproc_undef] = STATE(3735),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_LPAREN] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym_GT] = ACTIONS(5618),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_where] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5618),
    [anon_sym_BANG] = ACTIONS(5618),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_SLASH] = ACTIONS(5618),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5618),
    [anon_sym_AMP] = ACTIONS(5618),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5618),
    [anon_sym_GT_GT_GT] = ACTIONS(5616),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_EQ_GT] = ACTIONS(5616),
    [anon_sym_switch] = ACTIONS(5616),
    [anon_sym_DOT_DOT] = ACTIONS(5616),
    [anon_sym_and] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5618),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_QMARK_QMARK] = ACTIONS(5616),
    [anon_sym_from] = ACTIONS(5616),
    [anon_sym_join] = ACTIONS(5616),
    [anon_sym_on] = ACTIONS(5616),
    [anon_sym_equals] = ACTIONS(5616),
    [anon_sym_let] = ACTIONS(5616),
    [anon_sym_orderby] = ACTIONS(5616),
    [anon_sym_group] = ACTIONS(5616),
    [anon_sym_by] = ACTIONS(5616),
    [anon_sym_select] = ACTIONS(5616),
    [anon_sym_as] = ACTIONS(5616),
    [anon_sym_is] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [anon_sym_with] = ACTIONS(5616),
    [aux_sym_preproc_if_token3] = ACTIONS(5616),
    [aux_sym_preproc_else_token1] = ACTIONS(5616),
    [aux_sym_preproc_elif_token1] = ACTIONS(5616),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3736] = {
    [sym_preproc_region] = STATE(3736),
    [sym_preproc_endregion] = STATE(3736),
    [sym_preproc_line] = STATE(3736),
    [sym_preproc_pragma] = STATE(3736),
    [sym_preproc_nullable] = STATE(3736),
    [sym_preproc_error] = STATE(3736),
    [sym_preproc_define] = STATE(3736),
    [sym_preproc_undef] = STATE(3736),
    [anon_sym_SEMI] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_COLON] = ACTIONS(5443),
    [anon_sym_COMMA] = ACTIONS(5443),
    [anon_sym_RBRACK] = ACTIONS(5443),
    [anon_sym_LPAREN] = ACTIONS(5443),
    [anon_sym_RPAREN] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5443),
    [anon_sym_LT] = ACTIONS(5445),
    [anon_sym_GT] = ACTIONS(5445),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_where] = ACTIONS(5443),
    [anon_sym_QMARK] = ACTIONS(5445),
    [anon_sym_BANG] = ACTIONS(5445),
    [anon_sym_PLUS_PLUS] = ACTIONS(5443),
    [anon_sym_DASH_DASH] = ACTIONS(5443),
    [anon_sym_PLUS] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5443),
    [anon_sym_SLASH] = ACTIONS(5445),
    [anon_sym_PERCENT] = ACTIONS(5443),
    [anon_sym_CARET] = ACTIONS(5443),
    [anon_sym_PIPE] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5445),
    [anon_sym_LT_LT] = ACTIONS(5443),
    [anon_sym_GT_GT] = ACTIONS(5445),
    [anon_sym_GT_GT_GT] = ACTIONS(5443),
    [anon_sym_EQ_EQ] = ACTIONS(5443),
    [anon_sym_BANG_EQ] = ACTIONS(5443),
    [anon_sym_GT_EQ] = ACTIONS(5443),
    [anon_sym_LT_EQ] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_EQ_GT] = ACTIONS(5443),
    [anon_sym_switch] = ACTIONS(5443),
    [anon_sym_DOT_DOT] = ACTIONS(5443),
    [anon_sym_and] = ACTIONS(5443),
    [anon_sym_or] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(5443),
    [anon_sym_PIPE_PIPE] = ACTIONS(5443),
    [anon_sym_QMARK_QMARK] = ACTIONS(5443),
    [anon_sym_from] = ACTIONS(5443),
    [anon_sym_join] = ACTIONS(5443),
    [anon_sym_on] = ACTIONS(5443),
    [anon_sym_equals] = ACTIONS(5443),
    [anon_sym_let] = ACTIONS(5443),
    [anon_sym_orderby] = ACTIONS(5443),
    [anon_sym_group] = ACTIONS(5443),
    [anon_sym_by] = ACTIONS(5443),
    [anon_sym_select] = ACTIONS(5443),
    [anon_sym_as] = ACTIONS(5443),
    [anon_sym_is] = ACTIONS(5443),
    [anon_sym_DASH_GT] = ACTIONS(5443),
    [anon_sym_with] = ACTIONS(5443),
    [aux_sym_preproc_if_token3] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3737] = {
    [sym_preproc_region] = STATE(3737),
    [sym_preproc_endregion] = STATE(3737),
    [sym_preproc_line] = STATE(3737),
    [sym_preproc_pragma] = STATE(3737),
    [sym_preproc_nullable] = STATE(3737),
    [sym_preproc_error] = STATE(3737),
    [sym_preproc_define] = STATE(3737),
    [sym_preproc_undef] = STATE(3737),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_LPAREN] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_in] = ACTIONS(5494),
    [anon_sym_where] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_BANG] = ACTIONS(5496),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_GT_GT_GT] = ACTIONS(5494),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_EQ_GT] = ACTIONS(5494),
    [anon_sym_switch] = ACTIONS(5494),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5496),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_QMARK_QMARK] = ACTIONS(5494),
    [anon_sym_from] = ACTIONS(5494),
    [anon_sym_join] = ACTIONS(5494),
    [anon_sym_on] = ACTIONS(5494),
    [anon_sym_equals] = ACTIONS(5494),
    [anon_sym_let] = ACTIONS(5494),
    [anon_sym_orderby] = ACTIONS(5494),
    [anon_sym_group] = ACTIONS(5494),
    [anon_sym_by] = ACTIONS(5494),
    [anon_sym_select] = ACTIONS(5494),
    [anon_sym_as] = ACTIONS(5494),
    [anon_sym_is] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [anon_sym_with] = ACTIONS(5494),
    [aux_sym_preproc_if_token3] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5494),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3738] = {
    [sym_preproc_region] = STATE(3738),
    [sym_preproc_endregion] = STATE(3738),
    [sym_preproc_line] = STATE(3738),
    [sym_preproc_pragma] = STATE(3738),
    [sym_preproc_nullable] = STATE(3738),
    [sym_preproc_error] = STATE(3738),
    [sym_preproc_define] = STATE(3738),
    [sym_preproc_undef] = STATE(3738),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RBRACK] = ACTIONS(5656),
    [anon_sym_LPAREN] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_in] = ACTIONS(5656),
    [anon_sym_where] = ACTIONS(5656),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_BANG] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5656),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_GT_GT_GT] = ACTIONS(5656),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(5656),
    [anon_sym_switch] = ACTIONS(5656),
    [anon_sym_DOT_DOT] = ACTIONS(5656),
    [anon_sym_and] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_QMARK_QMARK] = ACTIONS(5656),
    [anon_sym_from] = ACTIONS(5656),
    [anon_sym_join] = ACTIONS(5656),
    [anon_sym_on] = ACTIONS(5656),
    [anon_sym_equals] = ACTIONS(5656),
    [anon_sym_let] = ACTIONS(5656),
    [anon_sym_orderby] = ACTIONS(5656),
    [anon_sym_group] = ACTIONS(5656),
    [anon_sym_by] = ACTIONS(5656),
    [anon_sym_select] = ACTIONS(5656),
    [anon_sym_as] = ACTIONS(5656),
    [anon_sym_is] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [anon_sym_with] = ACTIONS(5656),
    [aux_sym_preproc_if_token3] = ACTIONS(5656),
    [aux_sym_preproc_else_token1] = ACTIONS(5656),
    [aux_sym_preproc_elif_token1] = ACTIONS(5656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3739] = {
    [sym_preproc_region] = STATE(3739),
    [sym_preproc_endregion] = STATE(3739),
    [sym_preproc_line] = STATE(3739),
    [sym_preproc_pragma] = STATE(3739),
    [sym_preproc_nullable] = STATE(3739),
    [sym_preproc_error] = STATE(3739),
    [sym_preproc_define] = STATE(3739),
    [sym_preproc_undef] = STATE(3739),
    [sym__identifier_token] = ACTIONS(5680),
    [anon_sym_extern] = ACTIONS(5680),
    [anon_sym_alias] = ACTIONS(5680),
    [anon_sym_global] = ACTIONS(5680),
    [anon_sym_unsafe] = ACTIONS(5680),
    [anon_sym_static] = ACTIONS(5680),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [anon_sym_LPAREN] = ACTIONS(5682),
    [anon_sym_event] = ACTIONS(5680),
    [anon_sym_class] = ACTIONS(5680),
    [anon_sym_ref] = ACTIONS(5680),
    [anon_sym_struct] = ACTIONS(5680),
    [anon_sym_enum] = ACTIONS(5680),
    [anon_sym_interface] = ACTIONS(5680),
    [anon_sym_delegate] = ACTIONS(5680),
    [anon_sym_record] = ACTIONS(5680),
    [anon_sym_abstract] = ACTIONS(5680),
    [anon_sym_async] = ACTIONS(5680),
    [anon_sym_const] = ACTIONS(5680),
    [anon_sym_file] = ACTIONS(5680),
    [anon_sym_fixed] = ACTIONS(5680),
    [anon_sym_internal] = ACTIONS(5680),
    [anon_sym_new] = ACTIONS(5680),
    [anon_sym_override] = ACTIONS(5680),
    [anon_sym_partial] = ACTIONS(5680),
    [anon_sym_private] = ACTIONS(5680),
    [anon_sym_protected] = ACTIONS(5680),
    [anon_sym_public] = ACTIONS(5680),
    [anon_sym_readonly] = ACTIONS(5680),
    [anon_sym_required] = ACTIONS(5680),
    [anon_sym_sealed] = ACTIONS(5680),
    [anon_sym_virtual] = ACTIONS(5680),
    [anon_sym_volatile] = ACTIONS(5680),
    [anon_sym_where] = ACTIONS(5680),
    [anon_sym_notnull] = ACTIONS(5680),
    [anon_sym_unmanaged] = ACTIONS(5680),
    [anon_sym_TILDE] = ACTIONS(5682),
    [anon_sym_implicit] = ACTIONS(5680),
    [anon_sym_explicit] = ACTIONS(5680),
    [anon_sym_scoped] = ACTIONS(5680),
    [anon_sym_var] = ACTIONS(5680),
    [sym_predefined_type] = ACTIONS(5680),
    [anon_sym_yield] = ACTIONS(5680),
    [anon_sym_when] = ACTIONS(5680),
    [anon_sym_from] = ACTIONS(5680),
    [anon_sym_into] = ACTIONS(5680),
    [anon_sym_join] = ACTIONS(5680),
    [anon_sym_on] = ACTIONS(5680),
    [anon_sym_equals] = ACTIONS(5680),
    [anon_sym_let] = ACTIONS(5680),
    [anon_sym_orderby] = ACTIONS(5680),
    [anon_sym_ascending] = ACTIONS(5680),
    [anon_sym_descending] = ACTIONS(5680),
    [anon_sym_group] = ACTIONS(5680),
    [anon_sym_by] = ACTIONS(5680),
    [anon_sym_select] = ACTIONS(5680),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3740] = {
    [sym_preproc_region] = STATE(3740),
    [sym_preproc_endregion] = STATE(3740),
    [sym_preproc_line] = STATE(3740),
    [sym_preproc_pragma] = STATE(3740),
    [sym_preproc_nullable] = STATE(3740),
    [sym_preproc_error] = STATE(3740),
    [sym_preproc_define] = STATE(3740),
    [sym_preproc_undef] = STATE(3740),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_LPAREN] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_in] = ACTIONS(5672),
    [anon_sym_where] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5674),
    [anon_sym_BANG] = ACTIONS(5674),
    [anon_sym_PLUS_PLUS] = ACTIONS(5672),
    [anon_sym_DASH_DASH] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_GT_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_switch] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_QMARK_QMARK] = ACTIONS(5672),
    [anon_sym_from] = ACTIONS(5672),
    [anon_sym_join] = ACTIONS(5672),
    [anon_sym_on] = ACTIONS(5672),
    [anon_sym_equals] = ACTIONS(5672),
    [anon_sym_let] = ACTIONS(5672),
    [anon_sym_orderby] = ACTIONS(5672),
    [anon_sym_group] = ACTIONS(5672),
    [anon_sym_by] = ACTIONS(5672),
    [anon_sym_select] = ACTIONS(5672),
    [anon_sym_as] = ACTIONS(5672),
    [anon_sym_is] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_with] = ACTIONS(5672),
    [aux_sym_preproc_if_token3] = ACTIONS(5672),
    [aux_sym_preproc_else_token1] = ACTIONS(5672),
    [aux_sym_preproc_elif_token1] = ACTIONS(5672),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3741] = {
    [sym_preproc_region] = STATE(3741),
    [sym_preproc_endregion] = STATE(3741),
    [sym_preproc_line] = STATE(3741),
    [sym_preproc_pragma] = STATE(3741),
    [sym_preproc_nullable] = STATE(3741),
    [sym_preproc_error] = STATE(3741),
    [sym_preproc_define] = STATE(3741),
    [sym_preproc_undef] = STATE(3741),
    [anon_sym_SEMI] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_COMMA] = ACTIONS(5439),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_LPAREN] = ACTIONS(5439),
    [anon_sym_RPAREN] = ACTIONS(5439),
    [anon_sym_RBRACE] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5441),
    [anon_sym_in] = ACTIONS(5439),
    [anon_sym_where] = ACTIONS(5439),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_BANG] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5441),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_PIPE] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5441),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_GT_GT_GT] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5439),
    [anon_sym_BANG_EQ] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_EQ_GT] = ACTIONS(5439),
    [anon_sym_switch] = ACTIONS(5439),
    [anon_sym_DOT_DOT] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_or] = ACTIONS(5441),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5439),
    [anon_sym_QMARK_QMARK] = ACTIONS(5439),
    [anon_sym_from] = ACTIONS(5439),
    [anon_sym_join] = ACTIONS(5439),
    [anon_sym_on] = ACTIONS(5439),
    [anon_sym_equals] = ACTIONS(5439),
    [anon_sym_let] = ACTIONS(5439),
    [anon_sym_orderby] = ACTIONS(5439),
    [anon_sym_group] = ACTIONS(5439),
    [anon_sym_by] = ACTIONS(5439),
    [anon_sym_select] = ACTIONS(5439),
    [anon_sym_as] = ACTIONS(5439),
    [anon_sym_is] = ACTIONS(5439),
    [anon_sym_DASH_GT] = ACTIONS(5439),
    [anon_sym_with] = ACTIONS(5439),
    [aux_sym_preproc_if_token3] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3742] = {
    [sym_preproc_region] = STATE(3742),
    [sym_preproc_endregion] = STATE(3742),
    [sym_preproc_line] = STATE(3742),
    [sym_preproc_pragma] = STATE(3742),
    [sym_preproc_nullable] = STATE(3742),
    [sym_preproc_error] = STATE(3742),
    [sym_preproc_define] = STATE(3742),
    [sym_preproc_undef] = STATE(3742),
    [anon_sym_SEMI] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5530),
    [anon_sym_COMMA] = ACTIONS(5530),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_LPAREN] = ACTIONS(5530),
    [anon_sym_RPAREN] = ACTIONS(5530),
    [anon_sym_RBRACE] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5532),
    [anon_sym_in] = ACTIONS(5530),
    [anon_sym_where] = ACTIONS(5530),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_BANG] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5532),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_SLASH] = ACTIONS(5532),
    [anon_sym_PERCENT] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5530),
    [anon_sym_PIPE] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym_LT_LT] = ACTIONS(5530),
    [anon_sym_GT_GT] = ACTIONS(5532),
    [anon_sym_GT_GT_GT] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5530),
    [anon_sym_BANG_EQ] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5530),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5532),
    [anon_sym_EQ_GT] = ACTIONS(5530),
    [anon_sym_switch] = ACTIONS(5530),
    [anon_sym_DOT_DOT] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_or] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_PIPE_PIPE] = ACTIONS(5530),
    [anon_sym_QMARK_QMARK] = ACTIONS(5530),
    [anon_sym_from] = ACTIONS(5530),
    [anon_sym_join] = ACTIONS(5530),
    [anon_sym_on] = ACTIONS(5530),
    [anon_sym_equals] = ACTIONS(5530),
    [anon_sym_let] = ACTIONS(5530),
    [anon_sym_orderby] = ACTIONS(5530),
    [anon_sym_group] = ACTIONS(5530),
    [anon_sym_by] = ACTIONS(5530),
    [anon_sym_select] = ACTIONS(5530),
    [anon_sym_as] = ACTIONS(5530),
    [anon_sym_is] = ACTIONS(5530),
    [anon_sym_DASH_GT] = ACTIONS(5530),
    [anon_sym_with] = ACTIONS(5530),
    [aux_sym_preproc_if_token3] = ACTIONS(5530),
    [aux_sym_preproc_else_token1] = ACTIONS(5530),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3743] = {
    [sym_preproc_region] = STATE(3743),
    [sym_preproc_endregion] = STATE(3743),
    [sym_preproc_line] = STATE(3743),
    [sym_preproc_pragma] = STATE(3743),
    [sym_preproc_nullable] = STATE(3743),
    [sym_preproc_error] = STATE(3743),
    [sym_preproc_define] = STATE(3743),
    [sym_preproc_undef] = STATE(3743),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_where] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(5471),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4473),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_from] = ACTIONS(4475),
    [anon_sym_join] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_let] = ACTIONS(4475),
    [anon_sym_orderby] = ACTIONS(4475),
    [anon_sym_group] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_select] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3744] = {
    [sym_preproc_region] = STATE(3744),
    [sym_preproc_endregion] = STATE(3744),
    [sym_preproc_line] = STATE(3744),
    [sym_preproc_pragma] = STATE(3744),
    [sym_preproc_nullable] = STATE(3744),
    [sym_preproc_error] = STATE(3744),
    [sym_preproc_define] = STATE(3744),
    [sym_preproc_undef] = STATE(3744),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_LPAREN] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_in] = ACTIONS(5548),
    [anon_sym_where] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_BANG] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_GT_GT_GT] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_EQ_GT] = ACTIONS(5548),
    [anon_sym_switch] = ACTIONS(5548),
    [anon_sym_DOT_DOT] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_QMARK_QMARK] = ACTIONS(5548),
    [anon_sym_from] = ACTIONS(5548),
    [anon_sym_join] = ACTIONS(5548),
    [anon_sym_on] = ACTIONS(5548),
    [anon_sym_equals] = ACTIONS(5548),
    [anon_sym_let] = ACTIONS(5548),
    [anon_sym_orderby] = ACTIONS(5548),
    [anon_sym_group] = ACTIONS(5548),
    [anon_sym_by] = ACTIONS(5548),
    [anon_sym_select] = ACTIONS(5548),
    [anon_sym_as] = ACTIONS(5548),
    [anon_sym_is] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [anon_sym_with] = ACTIONS(5548),
    [aux_sym_preproc_if_token3] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3745] = {
    [sym_preproc_region] = STATE(3745),
    [sym_preproc_endregion] = STATE(3745),
    [sym_preproc_line] = STATE(3745),
    [sym_preproc_pragma] = STATE(3745),
    [sym_preproc_nullable] = STATE(3745),
    [sym_preproc_error] = STATE(3745),
    [sym_preproc_define] = STATE(3745),
    [sym_preproc_undef] = STATE(3745),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_RBRACK] = ACTIONS(5568),
    [anon_sym_LPAREN] = ACTIONS(5568),
    [anon_sym_RPAREN] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_in] = ACTIONS(5568),
    [anon_sym_where] = ACTIONS(5568),
    [anon_sym_QMARK] = ACTIONS(5570),
    [anon_sym_BANG] = ACTIONS(5570),
    [anon_sym_PLUS_PLUS] = ACTIONS(5568),
    [anon_sym_DASH_DASH] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5570),
    [anon_sym_GT_GT_GT] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_EQ_GT] = ACTIONS(5568),
    [anon_sym_switch] = ACTIONS(5568),
    [anon_sym_DOT_DOT] = ACTIONS(5568),
    [anon_sym_and] = ACTIONS(5568),
    [anon_sym_or] = ACTIONS(5570),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5568),
    [anon_sym_QMARK_QMARK] = ACTIONS(5568),
    [anon_sym_from] = ACTIONS(5568),
    [anon_sym_join] = ACTIONS(5568),
    [anon_sym_on] = ACTIONS(5568),
    [anon_sym_equals] = ACTIONS(5568),
    [anon_sym_let] = ACTIONS(5568),
    [anon_sym_orderby] = ACTIONS(5568),
    [anon_sym_group] = ACTIONS(5568),
    [anon_sym_by] = ACTIONS(5568),
    [anon_sym_select] = ACTIONS(5568),
    [anon_sym_as] = ACTIONS(5568),
    [anon_sym_is] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [anon_sym_with] = ACTIONS(5568),
    [aux_sym_preproc_if_token3] = ACTIONS(5568),
    [aux_sym_preproc_else_token1] = ACTIONS(5568),
    [aux_sym_preproc_elif_token1] = ACTIONS(5568),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3746] = {
    [sym_preproc_region] = STATE(3746),
    [sym_preproc_endregion] = STATE(3746),
    [sym_preproc_line] = STATE(3746),
    [sym_preproc_pragma] = STATE(3746),
    [sym_preproc_nullable] = STATE(3746),
    [sym_preproc_error] = STATE(3746),
    [sym_preproc_define] = STATE(3746),
    [sym_preproc_undef] = STATE(3746),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [anon_sym_LPAREN] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4794),
    [anon_sym_where] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4794),
    [anon_sym_PLUS_PLUS] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4794),
    [anon_sym_DASH] = ACTIONS(4794),
    [anon_sym_STAR] = ACTIONS(4794),
    [anon_sym_SLASH] = ACTIONS(4794),
    [anon_sym_PERCENT] = ACTIONS(4794),
    [anon_sym_CARET] = ACTIONS(4794),
    [anon_sym_PIPE] = ACTIONS(4794),
    [anon_sym_AMP] = ACTIONS(4794),
    [anon_sym_LT_LT] = ACTIONS(4794),
    [anon_sym_GT_GT] = ACTIONS(4794),
    [anon_sym_GT_GT_GT] = ACTIONS(4794),
    [anon_sym_EQ_EQ] = ACTIONS(4791),
    [anon_sym_BANG_EQ] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4791),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_switch] = ACTIONS(4791),
    [anon_sym_DOT_DOT] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4797),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4791),
    [anon_sym_QMARK_QMARK] = ACTIONS(4794),
    [anon_sym_from] = ACTIONS(4789),
    [anon_sym_into] = ACTIONS(4789),
    [anon_sym_join] = ACTIONS(4789),
    [anon_sym_let] = ACTIONS(4789),
    [anon_sym_orderby] = ACTIONS(4789),
    [anon_sym_group] = ACTIONS(4789),
    [anon_sym_select] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(4791),
    [anon_sym_is] = ACTIONS(4791),
    [anon_sym_DASH_GT] = ACTIONS(4791),
    [anon_sym_with] = ACTIONS(4791),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3747] = {
    [sym_preproc_region] = STATE(3747),
    [sym_preproc_endregion] = STATE(3747),
    [sym_preproc_line] = STATE(3747),
    [sym_preproc_pragma] = STATE(3747),
    [sym_preproc_nullable] = STATE(3747),
    [sym_preproc_error] = STATE(3747),
    [sym_preproc_define] = STATE(3747),
    [sym_preproc_undef] = STATE(3747),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_LPAREN] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_in] = ACTIONS(5592),
    [anon_sym_where] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5594),
    [anon_sym_BANG] = ACTIONS(5594),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_GT_GT_GT] = ACTIONS(5592),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_EQ_GT] = ACTIONS(5592),
    [anon_sym_switch] = ACTIONS(5592),
    [anon_sym_DOT_DOT] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5594),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_QMARK_QMARK] = ACTIONS(5592),
    [anon_sym_from] = ACTIONS(5592),
    [anon_sym_join] = ACTIONS(5592),
    [anon_sym_on] = ACTIONS(5592),
    [anon_sym_equals] = ACTIONS(5592),
    [anon_sym_let] = ACTIONS(5592),
    [anon_sym_orderby] = ACTIONS(5592),
    [anon_sym_group] = ACTIONS(5592),
    [anon_sym_by] = ACTIONS(5592),
    [anon_sym_select] = ACTIONS(5592),
    [anon_sym_as] = ACTIONS(5592),
    [anon_sym_is] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [anon_sym_with] = ACTIONS(5592),
    [aux_sym_preproc_if_token3] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3748] = {
    [sym_preproc_region] = STATE(3748),
    [sym_preproc_endregion] = STATE(3748),
    [sym_preproc_line] = STATE(3748),
    [sym_preproc_pragma] = STATE(3748),
    [sym_preproc_nullable] = STATE(3748),
    [sym_preproc_error] = STATE(3748),
    [sym_preproc_define] = STATE(3748),
    [sym_preproc_undef] = STATE(3748),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2995),
    [anon_sym_where] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_from] = ACTIONS(2995),
    [anon_sym_join] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_let] = ACTIONS(2995),
    [anon_sym_orderby] = ACTIONS(2995),
    [anon_sym_group] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_select] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3749] = {
    [sym_preproc_region] = STATE(3749),
    [sym_preproc_endregion] = STATE(3749),
    [sym_preproc_line] = STATE(3749),
    [sym_preproc_pragma] = STATE(3749),
    [sym_preproc_nullable] = STATE(3749),
    [sym_preproc_error] = STATE(3749),
    [sym_preproc_define] = STATE(3749),
    [sym_preproc_undef] = STATE(3749),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_LPAREN] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5668),
    [anon_sym_where] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_BANG] = ACTIONS(5670),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5668),
    [anon_sym_CARET] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5668),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_GT_GT_GT] = ACTIONS(5668),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_EQ_GT] = ACTIONS(5668),
    [anon_sym_switch] = ACTIONS(5668),
    [anon_sym_DOT_DOT] = ACTIONS(5668),
    [anon_sym_and] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5670),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_QMARK_QMARK] = ACTIONS(5668),
    [anon_sym_from] = ACTIONS(5668),
    [anon_sym_join] = ACTIONS(5668),
    [anon_sym_on] = ACTIONS(5668),
    [anon_sym_equals] = ACTIONS(5668),
    [anon_sym_let] = ACTIONS(5668),
    [anon_sym_orderby] = ACTIONS(5668),
    [anon_sym_group] = ACTIONS(5668),
    [anon_sym_by] = ACTIONS(5668),
    [anon_sym_select] = ACTIONS(5668),
    [anon_sym_as] = ACTIONS(5668),
    [anon_sym_is] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_with] = ACTIONS(5668),
    [aux_sym_preproc_if_token3] = ACTIONS(5668),
    [aux_sym_preproc_else_token1] = ACTIONS(5668),
    [aux_sym_preproc_elif_token1] = ACTIONS(5668),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3750] = {
    [sym_preproc_region] = STATE(3750),
    [sym_preproc_endregion] = STATE(3750),
    [sym_preproc_line] = STATE(3750),
    [sym_preproc_pragma] = STATE(3750),
    [sym_preproc_nullable] = STATE(3750),
    [sym_preproc_error] = STATE(3750),
    [sym_preproc_define] = STATE(3750),
    [sym_preproc_undef] = STATE(3750),
    [sym__identifier_token] = ACTIONS(5686),
    [anon_sym_extern] = ACTIONS(5686),
    [anon_sym_alias] = ACTIONS(5686),
    [anon_sym_global] = ACTIONS(5686),
    [anon_sym_unsafe] = ACTIONS(5686),
    [anon_sym_static] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5688),
    [anon_sym_LPAREN] = ACTIONS(5688),
    [anon_sym_event] = ACTIONS(5686),
    [anon_sym_class] = ACTIONS(5686),
    [anon_sym_ref] = ACTIONS(5686),
    [anon_sym_struct] = ACTIONS(5686),
    [anon_sym_enum] = ACTIONS(5686),
    [anon_sym_interface] = ACTIONS(5686),
    [anon_sym_delegate] = ACTIONS(5686),
    [anon_sym_record] = ACTIONS(5686),
    [anon_sym_abstract] = ACTIONS(5686),
    [anon_sym_async] = ACTIONS(5686),
    [anon_sym_const] = ACTIONS(5686),
    [anon_sym_file] = ACTIONS(5686),
    [anon_sym_fixed] = ACTIONS(5686),
    [anon_sym_internal] = ACTIONS(5686),
    [anon_sym_new] = ACTIONS(5686),
    [anon_sym_override] = ACTIONS(5686),
    [anon_sym_partial] = ACTIONS(5686),
    [anon_sym_private] = ACTIONS(5686),
    [anon_sym_protected] = ACTIONS(5686),
    [anon_sym_public] = ACTIONS(5686),
    [anon_sym_readonly] = ACTIONS(5686),
    [anon_sym_required] = ACTIONS(5686),
    [anon_sym_sealed] = ACTIONS(5686),
    [anon_sym_virtual] = ACTIONS(5686),
    [anon_sym_volatile] = ACTIONS(5686),
    [anon_sym_where] = ACTIONS(5686),
    [anon_sym_notnull] = ACTIONS(5686),
    [anon_sym_unmanaged] = ACTIONS(5686),
    [anon_sym_TILDE] = ACTIONS(5688),
    [anon_sym_implicit] = ACTIONS(5686),
    [anon_sym_explicit] = ACTIONS(5686),
    [anon_sym_scoped] = ACTIONS(5686),
    [anon_sym_var] = ACTIONS(5686),
    [sym_predefined_type] = ACTIONS(5686),
    [anon_sym_yield] = ACTIONS(5686),
    [anon_sym_when] = ACTIONS(5686),
    [anon_sym_from] = ACTIONS(5686),
    [anon_sym_into] = ACTIONS(5686),
    [anon_sym_join] = ACTIONS(5686),
    [anon_sym_on] = ACTIONS(5686),
    [anon_sym_equals] = ACTIONS(5686),
    [anon_sym_let] = ACTIONS(5686),
    [anon_sym_orderby] = ACTIONS(5686),
    [anon_sym_ascending] = ACTIONS(5686),
    [anon_sym_descending] = ACTIONS(5686),
    [anon_sym_group] = ACTIONS(5686),
    [anon_sym_by] = ACTIONS(5686),
    [anon_sym_select] = ACTIONS(5686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3751] = {
    [sym_preproc_region] = STATE(3751),
    [sym_preproc_endregion] = STATE(3751),
    [sym_preproc_line] = STATE(3751),
    [sym_preproc_pragma] = STATE(3751),
    [sym_preproc_nullable] = STATE(3751),
    [sym_preproc_error] = STATE(3751),
    [sym_preproc_define] = STATE(3751),
    [sym_preproc_undef] = STATE(3751),
    [anon_sym_SEMI] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_COLON] = ACTIONS(5467),
    [anon_sym_COMMA] = ACTIONS(5467),
    [anon_sym_RBRACK] = ACTIONS(5467),
    [anon_sym_LPAREN] = ACTIONS(5467),
    [anon_sym_RPAREN] = ACTIONS(5467),
    [anon_sym_RBRACE] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5469),
    [anon_sym_GT] = ACTIONS(5469),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_where] = ACTIONS(5467),
    [anon_sym_QMARK] = ACTIONS(5469),
    [anon_sym_BANG] = ACTIONS(5469),
    [anon_sym_PLUS_PLUS] = ACTIONS(5467),
    [anon_sym_DASH_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5469),
    [anon_sym_DASH] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5467),
    [anon_sym_SLASH] = ACTIONS(5469),
    [anon_sym_PERCENT] = ACTIONS(5467),
    [anon_sym_CARET] = ACTIONS(5467),
    [anon_sym_PIPE] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5469),
    [anon_sym_LT_LT] = ACTIONS(5467),
    [anon_sym_GT_GT] = ACTIONS(5469),
    [anon_sym_GT_GT_GT] = ACTIONS(5467),
    [anon_sym_EQ_EQ] = ACTIONS(5467),
    [anon_sym_BANG_EQ] = ACTIONS(5467),
    [anon_sym_GT_EQ] = ACTIONS(5467),
    [anon_sym_LT_EQ] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_EQ_GT] = ACTIONS(5467),
    [anon_sym_switch] = ACTIONS(5467),
    [anon_sym_DOT_DOT] = ACTIONS(5467),
    [anon_sym_and] = ACTIONS(5467),
    [anon_sym_or] = ACTIONS(5469),
    [anon_sym_AMP_AMP] = ACTIONS(5467),
    [anon_sym_PIPE_PIPE] = ACTIONS(5467),
    [anon_sym_QMARK_QMARK] = ACTIONS(5467),
    [anon_sym_from] = ACTIONS(5467),
    [anon_sym_join] = ACTIONS(5467),
    [anon_sym_on] = ACTIONS(5467),
    [anon_sym_equals] = ACTIONS(5467),
    [anon_sym_let] = ACTIONS(5467),
    [anon_sym_orderby] = ACTIONS(5467),
    [anon_sym_group] = ACTIONS(5467),
    [anon_sym_by] = ACTIONS(5467),
    [anon_sym_select] = ACTIONS(5467),
    [anon_sym_as] = ACTIONS(5467),
    [anon_sym_is] = ACTIONS(5467),
    [anon_sym_DASH_GT] = ACTIONS(5467),
    [anon_sym_with] = ACTIONS(5467),
    [aux_sym_preproc_if_token3] = ACTIONS(5467),
    [aux_sym_preproc_else_token1] = ACTIONS(5467),
    [aux_sym_preproc_elif_token1] = ACTIONS(5467),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3752] = {
    [sym_modifier] = STATE(3806),
    [sym_preproc_region] = STATE(3752),
    [sym_preproc_endregion] = STATE(3752),
    [sym_preproc_line] = STATE(3752),
    [sym_preproc_pragma] = STATE(3752),
    [sym_preproc_nullable] = STATE(3752),
    [sym_preproc_error] = STATE(3752),
    [sym_preproc_define] = STATE(3752),
    [sym_preproc_undef] = STATE(3752),
    [aux_sym_class_declaration_repeat2] = STATE(3752),
    [sym__identifier_token] = ACTIONS(5690),
    [anon_sym_extern] = ACTIONS(5692),
    [anon_sym_alias] = ACTIONS(5690),
    [anon_sym_global] = ACTIONS(5690),
    [anon_sym_unsafe] = ACTIONS(5692),
    [anon_sym_static] = ACTIONS(5692),
    [anon_sym_LPAREN] = ACTIONS(5695),
    [anon_sym_event] = ACTIONS(5690),
    [anon_sym_class] = ACTIONS(5690),
    [anon_sym_ref] = ACTIONS(5690),
    [anon_sym_struct] = ACTIONS(5690),
    [anon_sym_enum] = ACTIONS(5690),
    [anon_sym_interface] = ACTIONS(5690),
    [anon_sym_delegate] = ACTIONS(5690),
    [anon_sym_record] = ACTIONS(5690),
    [anon_sym_abstract] = ACTIONS(5692),
    [anon_sym_async] = ACTIONS(5692),
    [anon_sym_const] = ACTIONS(5692),
    [anon_sym_file] = ACTIONS(5692),
    [anon_sym_fixed] = ACTIONS(5692),
    [anon_sym_internal] = ACTIONS(5692),
    [anon_sym_new] = ACTIONS(5692),
    [anon_sym_override] = ACTIONS(5692),
    [anon_sym_partial] = ACTIONS(5692),
    [anon_sym_private] = ACTIONS(5692),
    [anon_sym_protected] = ACTIONS(5692),
    [anon_sym_public] = ACTIONS(5692),
    [anon_sym_readonly] = ACTIONS(5692),
    [anon_sym_required] = ACTIONS(5692),
    [anon_sym_sealed] = ACTIONS(5692),
    [anon_sym_virtual] = ACTIONS(5692),
    [anon_sym_volatile] = ACTIONS(5692),
    [anon_sym_where] = ACTIONS(5690),
    [anon_sym_notnull] = ACTIONS(5690),
    [anon_sym_unmanaged] = ACTIONS(5690),
    [anon_sym_implicit] = ACTIONS(5690),
    [anon_sym_explicit] = ACTIONS(5690),
    [anon_sym_scoped] = ACTIONS(5690),
    [anon_sym_var] = ACTIONS(5690),
    [sym_predefined_type] = ACTIONS(5690),
    [anon_sym_yield] = ACTIONS(5690),
    [anon_sym_when] = ACTIONS(5690),
    [anon_sym_from] = ACTIONS(5690),
    [anon_sym_into] = ACTIONS(5690),
    [anon_sym_join] = ACTIONS(5690),
    [anon_sym_on] = ACTIONS(5690),
    [anon_sym_equals] = ACTIONS(5690),
    [anon_sym_let] = ACTIONS(5690),
    [anon_sym_orderby] = ACTIONS(5690),
    [anon_sym_ascending] = ACTIONS(5690),
    [anon_sym_descending] = ACTIONS(5690),
    [anon_sym_group] = ACTIONS(5690),
    [anon_sym_by] = ACTIONS(5690),
    [anon_sym_select] = ACTIONS(5690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3753] = {
    [sym_preproc_region] = STATE(3753),
    [sym_preproc_endregion] = STATE(3753),
    [sym_preproc_line] = STATE(3753),
    [sym_preproc_pragma] = STATE(3753),
    [sym_preproc_nullable] = STATE(3753),
    [sym_preproc_error] = STATE(3753),
    [sym_preproc_define] = STATE(3753),
    [sym_preproc_undef] = STATE(3753),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_LPAREN] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LT] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5630),
    [anon_sym_in] = ACTIONS(5628),
    [anon_sym_where] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_BANG] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5630),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5630),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5630),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5630),
    [anon_sym_GT_GT_GT] = ACTIONS(5628),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_EQ_GT] = ACTIONS(5628),
    [anon_sym_switch] = ACTIONS(5628),
    [anon_sym_DOT_DOT] = ACTIONS(5628),
    [anon_sym_and] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5630),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_QMARK_QMARK] = ACTIONS(5628),
    [anon_sym_from] = ACTIONS(5628),
    [anon_sym_join] = ACTIONS(5628),
    [anon_sym_on] = ACTIONS(5628),
    [anon_sym_equals] = ACTIONS(5628),
    [anon_sym_let] = ACTIONS(5628),
    [anon_sym_orderby] = ACTIONS(5628),
    [anon_sym_group] = ACTIONS(5628),
    [anon_sym_by] = ACTIONS(5628),
    [anon_sym_select] = ACTIONS(5628),
    [anon_sym_as] = ACTIONS(5628),
    [anon_sym_is] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [anon_sym_with] = ACTIONS(5628),
    [aux_sym_preproc_if_token3] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5628),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3754] = {
    [sym_preproc_region] = STATE(3754),
    [sym_preproc_endregion] = STATE(3754),
    [sym_preproc_line] = STATE(3754),
    [sym_preproc_pragma] = STATE(3754),
    [sym_preproc_nullable] = STATE(3754),
    [sym_preproc_error] = STATE(3754),
    [sym_preproc_define] = STATE(3754),
    [sym_preproc_undef] = STATE(3754),
    [anon_sym_SEMI] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [anon_sym_COLON] = ACTIONS(5632),
    [anon_sym_COMMA] = ACTIONS(5632),
    [anon_sym_RBRACK] = ACTIONS(5632),
    [anon_sym_LPAREN] = ACTIONS(5632),
    [anon_sym_RPAREN] = ACTIONS(5632),
    [anon_sym_RBRACE] = ACTIONS(5632),
    [anon_sym_LT] = ACTIONS(5634),
    [anon_sym_GT] = ACTIONS(5634),
    [anon_sym_in] = ACTIONS(5632),
    [anon_sym_where] = ACTIONS(5632),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_BANG] = ACTIONS(5634),
    [anon_sym_PLUS_PLUS] = ACTIONS(5632),
    [anon_sym_DASH_DASH] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5632),
    [anon_sym_SLASH] = ACTIONS(5634),
    [anon_sym_PERCENT] = ACTIONS(5632),
    [anon_sym_CARET] = ACTIONS(5632),
    [anon_sym_PIPE] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5634),
    [anon_sym_LT_LT] = ACTIONS(5632),
    [anon_sym_GT_GT] = ACTIONS(5634),
    [anon_sym_GT_GT_GT] = ACTIONS(5632),
    [anon_sym_EQ_EQ] = ACTIONS(5632),
    [anon_sym_BANG_EQ] = ACTIONS(5632),
    [anon_sym_GT_EQ] = ACTIONS(5632),
    [anon_sym_LT_EQ] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_EQ_GT] = ACTIONS(5632),
    [anon_sym_switch] = ACTIONS(5632),
    [anon_sym_DOT_DOT] = ACTIONS(5632),
    [anon_sym_and] = ACTIONS(5632),
    [anon_sym_or] = ACTIONS(5634),
    [anon_sym_AMP_AMP] = ACTIONS(5632),
    [anon_sym_PIPE_PIPE] = ACTIONS(5632),
    [anon_sym_QMARK_QMARK] = ACTIONS(5632),
    [anon_sym_from] = ACTIONS(5632),
    [anon_sym_join] = ACTIONS(5632),
    [anon_sym_on] = ACTIONS(5632),
    [anon_sym_equals] = ACTIONS(5632),
    [anon_sym_let] = ACTIONS(5632),
    [anon_sym_orderby] = ACTIONS(5632),
    [anon_sym_group] = ACTIONS(5632),
    [anon_sym_by] = ACTIONS(5632),
    [anon_sym_select] = ACTIONS(5632),
    [anon_sym_as] = ACTIONS(5632),
    [anon_sym_is] = ACTIONS(5632),
    [anon_sym_DASH_GT] = ACTIONS(5632),
    [anon_sym_with] = ACTIONS(5632),
    [aux_sym_preproc_if_token3] = ACTIONS(5632),
    [aux_sym_preproc_else_token1] = ACTIONS(5632),
    [aux_sym_preproc_elif_token1] = ACTIONS(5632),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3755] = {
    [sym_preproc_region] = STATE(3755),
    [sym_preproc_endregion] = STATE(3755),
    [sym_preproc_line] = STATE(3755),
    [sym_preproc_pragma] = STATE(3755),
    [sym_preproc_nullable] = STATE(3755),
    [sym_preproc_error] = STATE(3755),
    [sym_preproc_define] = STATE(3755),
    [sym_preproc_undef] = STATE(3755),
    [anon_sym_SEMI] = ACTIONS(4757),
    [anon_sym_LBRACK] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4757),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [anon_sym_LPAREN] = ACTIONS(4757),
    [anon_sym_RPAREN] = ACTIONS(4757),
    [anon_sym_RBRACE] = ACTIONS(4757),
    [anon_sym_LT] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4759),
    [anon_sym_in] = ACTIONS(4757),
    [anon_sym_where] = ACTIONS(4757),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_BANG] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4759),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4759),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_PIPE] = ACTIONS(4759),
    [anon_sym_AMP] = ACTIONS(4759),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4759),
    [anon_sym_GT_GT_GT] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4757),
    [anon_sym_BANG_EQ] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4757),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_DOT] = ACTIONS(4759),
    [anon_sym_EQ_GT] = ACTIONS(4757),
    [anon_sym_switch] = ACTIONS(4757),
    [anon_sym_DOT_DOT] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4757),
    [anon_sym_or] = ACTIONS(4759),
    [anon_sym_AMP_AMP] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4757),
    [anon_sym_QMARK_QMARK] = ACTIONS(4757),
    [anon_sym_from] = ACTIONS(4757),
    [anon_sym_join] = ACTIONS(4757),
    [anon_sym_on] = ACTIONS(4757),
    [anon_sym_equals] = ACTIONS(4757),
    [anon_sym_let] = ACTIONS(4757),
    [anon_sym_orderby] = ACTIONS(4757),
    [anon_sym_group] = ACTIONS(4757),
    [anon_sym_by] = ACTIONS(4757),
    [anon_sym_select] = ACTIONS(4757),
    [anon_sym_as] = ACTIONS(4757),
    [anon_sym_is] = ACTIONS(4757),
    [anon_sym_DASH_GT] = ACTIONS(4757),
    [anon_sym_with] = ACTIONS(4757),
    [aux_sym_preproc_if_token3] = ACTIONS(4757),
    [aux_sym_preproc_else_token1] = ACTIONS(4757),
    [aux_sym_preproc_elif_token1] = ACTIONS(4757),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3756] = {
    [sym_preproc_region] = STATE(3756),
    [sym_preproc_endregion] = STATE(3756),
    [sym_preproc_line] = STATE(3756),
    [sym_preproc_pragma] = STATE(3756),
    [sym_preproc_nullable] = STATE(3756),
    [sym_preproc_error] = STATE(3756),
    [sym_preproc_define] = STATE(3756),
    [sym_preproc_undef] = STATE(3756),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_LPAREN] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_in] = ACTIONS(5660),
    [anon_sym_where] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_BANG] = ACTIONS(5662),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_GT_GT_GT] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_EQ_GT] = ACTIONS(5660),
    [anon_sym_switch] = ACTIONS(5660),
    [anon_sym_DOT_DOT] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_QMARK_QMARK] = ACTIONS(5660),
    [anon_sym_from] = ACTIONS(5660),
    [anon_sym_join] = ACTIONS(5660),
    [anon_sym_on] = ACTIONS(5660),
    [anon_sym_equals] = ACTIONS(5660),
    [anon_sym_let] = ACTIONS(5660),
    [anon_sym_orderby] = ACTIONS(5660),
    [anon_sym_group] = ACTIONS(5660),
    [anon_sym_by] = ACTIONS(5660),
    [anon_sym_select] = ACTIONS(5660),
    [anon_sym_as] = ACTIONS(5660),
    [anon_sym_is] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [anon_sym_with] = ACTIONS(5660),
    [aux_sym_preproc_if_token3] = ACTIONS(5660),
    [aux_sym_preproc_else_token1] = ACTIONS(5660),
    [aux_sym_preproc_elif_token1] = ACTIONS(5660),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3757] = {
    [sym_preproc_region] = STATE(3757),
    [sym_preproc_endregion] = STATE(3757),
    [sym_preproc_line] = STATE(3757),
    [sym_preproc_pragma] = STATE(3757),
    [sym_preproc_nullable] = STATE(3757),
    [sym_preproc_error] = STATE(3757),
    [sym_preproc_define] = STATE(3757),
    [sym_preproc_undef] = STATE(3757),
    [anon_sym_SEMI] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_COLON] = ACTIONS(5403),
    [anon_sym_COMMA] = ACTIONS(5403),
    [anon_sym_RBRACK] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5403),
    [anon_sym_RPAREN] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5403),
    [anon_sym_LT] = ACTIONS(5405),
    [anon_sym_GT] = ACTIONS(5405),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_where] = ACTIONS(5403),
    [anon_sym_QMARK] = ACTIONS(5405),
    [anon_sym_BANG] = ACTIONS(5405),
    [anon_sym_PLUS_PLUS] = ACTIONS(5403),
    [anon_sym_DASH_DASH] = ACTIONS(5403),
    [anon_sym_PLUS] = ACTIONS(5405),
    [anon_sym_DASH] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_SLASH] = ACTIONS(5405),
    [anon_sym_PERCENT] = ACTIONS(5403),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_PIPE] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5405),
    [anon_sym_LT_LT] = ACTIONS(5403),
    [anon_sym_GT_GT] = ACTIONS(5405),
    [anon_sym_GT_GT_GT] = ACTIONS(5403),
    [anon_sym_EQ_EQ] = ACTIONS(5403),
    [anon_sym_BANG_EQ] = ACTIONS(5403),
    [anon_sym_GT_EQ] = ACTIONS(5403),
    [anon_sym_LT_EQ] = ACTIONS(5403),
    [anon_sym_DOT] = ACTIONS(5405),
    [anon_sym_EQ_GT] = ACTIONS(5403),
    [anon_sym_switch] = ACTIONS(5403),
    [anon_sym_DOT_DOT] = ACTIONS(5403),
    [anon_sym_and] = ACTIONS(5403),
    [anon_sym_or] = ACTIONS(5405),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_PIPE_PIPE] = ACTIONS(5403),
    [anon_sym_QMARK_QMARK] = ACTIONS(5403),
    [anon_sym_from] = ACTIONS(5403),
    [anon_sym_join] = ACTIONS(5403),
    [anon_sym_on] = ACTIONS(5403),
    [anon_sym_equals] = ACTIONS(5403),
    [anon_sym_let] = ACTIONS(5403),
    [anon_sym_orderby] = ACTIONS(5403),
    [anon_sym_group] = ACTIONS(5403),
    [anon_sym_by] = ACTIONS(5403),
    [anon_sym_select] = ACTIONS(5403),
    [anon_sym_as] = ACTIONS(5403),
    [anon_sym_is] = ACTIONS(5403),
    [anon_sym_DASH_GT] = ACTIONS(5403),
    [anon_sym_with] = ACTIONS(5403),
    [aux_sym_preproc_if_token3] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3758] = {
    [sym_preproc_region] = STATE(3758),
    [sym_preproc_endregion] = STATE(3758),
    [sym_preproc_line] = STATE(3758),
    [sym_preproc_pragma] = STATE(3758),
    [sym_preproc_nullable] = STATE(3758),
    [sym_preproc_error] = STATE(3758),
    [sym_preproc_define] = STATE(3758),
    [sym_preproc_undef] = STATE(3758),
    [anon_sym_SEMI] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_COLON] = ACTIONS(5572),
    [anon_sym_COMMA] = ACTIONS(5572),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_LPAREN] = ACTIONS(5572),
    [anon_sym_RPAREN] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_GT] = ACTIONS(5574),
    [anon_sym_in] = ACTIONS(5572),
    [anon_sym_where] = ACTIONS(5572),
    [anon_sym_QMARK] = ACTIONS(5574),
    [anon_sym_BANG] = ACTIONS(5574),
    [anon_sym_PLUS_PLUS] = ACTIONS(5572),
    [anon_sym_DASH_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5574),
    [anon_sym_PERCENT] = ACTIONS(5572),
    [anon_sym_CARET] = ACTIONS(5572),
    [anon_sym_PIPE] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(5572),
    [anon_sym_GT_GT] = ACTIONS(5574),
    [anon_sym_GT_GT_GT] = ACTIONS(5572),
    [anon_sym_EQ_EQ] = ACTIONS(5572),
    [anon_sym_BANG_EQ] = ACTIONS(5572),
    [anon_sym_GT_EQ] = ACTIONS(5572),
    [anon_sym_LT_EQ] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(5574),
    [anon_sym_EQ_GT] = ACTIONS(5572),
    [anon_sym_switch] = ACTIONS(5572),
    [anon_sym_DOT_DOT] = ACTIONS(5572),
    [anon_sym_and] = ACTIONS(5572),
    [anon_sym_or] = ACTIONS(5574),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_PIPE_PIPE] = ACTIONS(5572),
    [anon_sym_QMARK_QMARK] = ACTIONS(5572),
    [anon_sym_from] = ACTIONS(5572),
    [anon_sym_join] = ACTIONS(5572),
    [anon_sym_on] = ACTIONS(5572),
    [anon_sym_equals] = ACTIONS(5572),
    [anon_sym_let] = ACTIONS(5572),
    [anon_sym_orderby] = ACTIONS(5572),
    [anon_sym_group] = ACTIONS(5572),
    [anon_sym_by] = ACTIONS(5572),
    [anon_sym_select] = ACTIONS(5572),
    [anon_sym_as] = ACTIONS(5572),
    [anon_sym_is] = ACTIONS(5572),
    [anon_sym_DASH_GT] = ACTIONS(5572),
    [anon_sym_with] = ACTIONS(5572),
    [aux_sym_preproc_if_token3] = ACTIONS(5572),
    [aux_sym_preproc_else_token1] = ACTIONS(5572),
    [aux_sym_preproc_elif_token1] = ACTIONS(5572),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3759] = {
    [sym_preproc_region] = STATE(3759),
    [sym_preproc_endregion] = STATE(3759),
    [sym_preproc_line] = STATE(3759),
    [sym_preproc_pragma] = STATE(3759),
    [sym_preproc_nullable] = STATE(3759),
    [sym_preproc_error] = STATE(3759),
    [sym_preproc_define] = STATE(3759),
    [sym_preproc_undef] = STATE(3759),
    [anon_sym_SEMI] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5522),
    [anon_sym_COMMA] = ACTIONS(5522),
    [anon_sym_RBRACK] = ACTIONS(5522),
    [anon_sym_LPAREN] = ACTIONS(5522),
    [anon_sym_RPAREN] = ACTIONS(5522),
    [anon_sym_RBRACE] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5524),
    [anon_sym_in] = ACTIONS(5522),
    [anon_sym_where] = ACTIONS(5522),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_BANG] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5524),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5522),
    [anon_sym_PIPE] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_GT_GT_GT] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5522),
    [anon_sym_BANG_EQ] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5522),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_DOT] = ACTIONS(5524),
    [anon_sym_EQ_GT] = ACTIONS(5522),
    [anon_sym_switch] = ACTIONS(5522),
    [anon_sym_DOT_DOT] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_or] = ACTIONS(5524),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5522),
    [anon_sym_QMARK_QMARK] = ACTIONS(5522),
    [anon_sym_from] = ACTIONS(5522),
    [anon_sym_join] = ACTIONS(5522),
    [anon_sym_on] = ACTIONS(5522),
    [anon_sym_equals] = ACTIONS(5522),
    [anon_sym_let] = ACTIONS(5522),
    [anon_sym_orderby] = ACTIONS(5522),
    [anon_sym_group] = ACTIONS(5522),
    [anon_sym_by] = ACTIONS(5522),
    [anon_sym_select] = ACTIONS(5522),
    [anon_sym_as] = ACTIONS(5522),
    [anon_sym_is] = ACTIONS(5522),
    [anon_sym_DASH_GT] = ACTIONS(5522),
    [anon_sym_with] = ACTIONS(5522),
    [aux_sym_preproc_if_token3] = ACTIONS(5522),
    [aux_sym_preproc_else_token1] = ACTIONS(5522),
    [aux_sym_preproc_elif_token1] = ACTIONS(5522),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3760] = {
    [sym_preproc_region] = STATE(3760),
    [sym_preproc_endregion] = STATE(3760),
    [sym_preproc_line] = STATE(3760),
    [sym_preproc_pragma] = STATE(3760),
    [sym_preproc_nullable] = STATE(3760),
    [sym_preproc_error] = STATE(3760),
    [sym_preproc_define] = STATE(3760),
    [sym_preproc_undef] = STATE(3760),
    [anon_sym_SEMI] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_COMMA] = ACTIONS(5648),
    [anon_sym_RBRACK] = ACTIONS(5648),
    [anon_sym_LPAREN] = ACTIONS(5648),
    [anon_sym_RPAREN] = ACTIONS(5648),
    [anon_sym_RBRACE] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_in] = ACTIONS(5648),
    [anon_sym_where] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_BANG] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_GT_GT_GT] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5648),
    [anon_sym_BANG_EQ] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5648),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_EQ_GT] = ACTIONS(5648),
    [anon_sym_switch] = ACTIONS(5648),
    [anon_sym_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_or] = ACTIONS(5650),
    [anon_sym_AMP_AMP] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5648),
    [anon_sym_QMARK_QMARK] = ACTIONS(5648),
    [anon_sym_from] = ACTIONS(5648),
    [anon_sym_join] = ACTIONS(5648),
    [anon_sym_on] = ACTIONS(5648),
    [anon_sym_equals] = ACTIONS(5648),
    [anon_sym_let] = ACTIONS(5648),
    [anon_sym_orderby] = ACTIONS(5648),
    [anon_sym_group] = ACTIONS(5648),
    [anon_sym_by] = ACTIONS(5648),
    [anon_sym_select] = ACTIONS(5648),
    [anon_sym_as] = ACTIONS(5648),
    [anon_sym_is] = ACTIONS(5648),
    [anon_sym_DASH_GT] = ACTIONS(5648),
    [anon_sym_with] = ACTIONS(5648),
    [aux_sym_preproc_if_token3] = ACTIONS(5648),
    [aux_sym_preproc_else_token1] = ACTIONS(5648),
    [aux_sym_preproc_elif_token1] = ACTIONS(5648),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3761] = {
    [sym_preproc_region] = STATE(3761),
    [sym_preproc_endregion] = STATE(3761),
    [sym_preproc_line] = STATE(3761),
    [sym_preproc_pragma] = STATE(3761),
    [sym_preproc_nullable] = STATE(3761),
    [sym_preproc_error] = STATE(3761),
    [sym_preproc_define] = STATE(3761),
    [sym_preproc_undef] = STATE(3761),
    [sym__identifier_token] = ACTIONS(5697),
    [anon_sym_extern] = ACTIONS(5697),
    [anon_sym_alias] = ACTIONS(5697),
    [anon_sym_global] = ACTIONS(5697),
    [anon_sym_unsafe] = ACTIONS(5697),
    [anon_sym_static] = ACTIONS(5697),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_LPAREN] = ACTIONS(5699),
    [anon_sym_event] = ACTIONS(5697),
    [anon_sym_class] = ACTIONS(5697),
    [anon_sym_ref] = ACTIONS(5697),
    [anon_sym_struct] = ACTIONS(5697),
    [anon_sym_enum] = ACTIONS(5697),
    [anon_sym_interface] = ACTIONS(5697),
    [anon_sym_delegate] = ACTIONS(5697),
    [anon_sym_record] = ACTIONS(5697),
    [anon_sym_abstract] = ACTIONS(5697),
    [anon_sym_async] = ACTIONS(5697),
    [anon_sym_const] = ACTIONS(5697),
    [anon_sym_file] = ACTIONS(5697),
    [anon_sym_fixed] = ACTIONS(5697),
    [anon_sym_internal] = ACTIONS(5697),
    [anon_sym_new] = ACTIONS(5697),
    [anon_sym_override] = ACTIONS(5697),
    [anon_sym_partial] = ACTIONS(5697),
    [anon_sym_private] = ACTIONS(5697),
    [anon_sym_protected] = ACTIONS(5697),
    [anon_sym_public] = ACTIONS(5697),
    [anon_sym_readonly] = ACTIONS(5697),
    [anon_sym_required] = ACTIONS(5697),
    [anon_sym_sealed] = ACTIONS(5697),
    [anon_sym_virtual] = ACTIONS(5697),
    [anon_sym_volatile] = ACTIONS(5697),
    [anon_sym_where] = ACTIONS(5697),
    [anon_sym_notnull] = ACTIONS(5697),
    [anon_sym_unmanaged] = ACTIONS(5697),
    [anon_sym_TILDE] = ACTIONS(5699),
    [anon_sym_implicit] = ACTIONS(5697),
    [anon_sym_explicit] = ACTIONS(5697),
    [anon_sym_scoped] = ACTIONS(5697),
    [anon_sym_var] = ACTIONS(5697),
    [sym_predefined_type] = ACTIONS(5697),
    [anon_sym_yield] = ACTIONS(5697),
    [anon_sym_when] = ACTIONS(5697),
    [anon_sym_from] = ACTIONS(5697),
    [anon_sym_into] = ACTIONS(5697),
    [anon_sym_join] = ACTIONS(5697),
    [anon_sym_on] = ACTIONS(5697),
    [anon_sym_equals] = ACTIONS(5697),
    [anon_sym_let] = ACTIONS(5697),
    [anon_sym_orderby] = ACTIONS(5697),
    [anon_sym_ascending] = ACTIONS(5697),
    [anon_sym_descending] = ACTIONS(5697),
    [anon_sym_group] = ACTIONS(5697),
    [anon_sym_by] = ACTIONS(5697),
    [anon_sym_select] = ACTIONS(5697),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3762] = {
    [sym_preproc_region] = STATE(3762),
    [sym_preproc_endregion] = STATE(3762),
    [sym_preproc_line] = STATE(3762),
    [sym_preproc_pragma] = STATE(3762),
    [sym_preproc_nullable] = STATE(3762),
    [sym_preproc_error] = STATE(3762),
    [sym_preproc_define] = STATE(3762),
    [sym_preproc_undef] = STATE(3762),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_in] = ACTIONS(5604),
    [anon_sym_where] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_BANG] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_GT_GT_GT] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_EQ_GT] = ACTIONS(5604),
    [anon_sym_switch] = ACTIONS(5604),
    [anon_sym_DOT_DOT] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5606),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_QMARK_QMARK] = ACTIONS(5604),
    [anon_sym_from] = ACTIONS(5604),
    [anon_sym_join] = ACTIONS(5604),
    [anon_sym_on] = ACTIONS(5604),
    [anon_sym_equals] = ACTIONS(5604),
    [anon_sym_let] = ACTIONS(5604),
    [anon_sym_orderby] = ACTIONS(5604),
    [anon_sym_group] = ACTIONS(5604),
    [anon_sym_by] = ACTIONS(5604),
    [anon_sym_select] = ACTIONS(5604),
    [anon_sym_as] = ACTIONS(5604),
    [anon_sym_is] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_with] = ACTIONS(5604),
    [aux_sym_preproc_if_token3] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3763] = {
    [sym_preproc_region] = STATE(3763),
    [sym_preproc_endregion] = STATE(3763),
    [sym_preproc_line] = STATE(3763),
    [sym_preproc_pragma] = STATE(3763),
    [sym_preproc_nullable] = STATE(3763),
    [sym_preproc_error] = STATE(3763),
    [sym_preproc_define] = STATE(3763),
    [sym_preproc_undef] = STATE(3763),
    [anon_sym_EQ] = ACTIONS(5701),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5703),
    [anon_sym_DASH_EQ] = ACTIONS(5703),
    [anon_sym_STAR_EQ] = ACTIONS(5703),
    [anon_sym_SLASH_EQ] = ACTIONS(5703),
    [anon_sym_PERCENT_EQ] = ACTIONS(5703),
    [anon_sym_AMP_EQ] = ACTIONS(5703),
    [anon_sym_CARET_EQ] = ACTIONS(5703),
    [anon_sym_PIPE_EQ] = ACTIONS(5703),
    [anon_sym_LT_LT_EQ] = ACTIONS(5703),
    [anon_sym_GT_GT_EQ] = ACTIONS(5703),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5703),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5703),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_ascending] = ACTIONS(5305),
    [anon_sym_descending] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5307),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3764] = {
    [sym_preproc_region] = STATE(3764),
    [sym_preproc_endregion] = STATE(3764),
    [sym_preproc_line] = STATE(3764),
    [sym_preproc_pragma] = STATE(3764),
    [sym_preproc_nullable] = STATE(3764),
    [sym_preproc_error] = STATE(3764),
    [sym_preproc_define] = STATE(3764),
    [sym_preproc_undef] = STATE(3764),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_EQ] = ACTIONS(5705),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_in] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5707),
    [anon_sym_DASH_EQ] = ACTIONS(5707),
    [anon_sym_STAR_EQ] = ACTIONS(5707),
    [anon_sym_SLASH_EQ] = ACTIONS(5707),
    [anon_sym_PERCENT_EQ] = ACTIONS(5707),
    [anon_sym_AMP_EQ] = ACTIONS(5707),
    [anon_sym_CARET_EQ] = ACTIONS(5707),
    [anon_sym_PIPE_EQ] = ACTIONS(5707),
    [anon_sym_LT_LT_EQ] = ACTIONS(5707),
    [anon_sym_GT_GT_EQ] = ACTIONS(5707),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5707),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5707),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3765] = {
    [sym_preproc_region] = STATE(3765),
    [sym_preproc_endregion] = STATE(3765),
    [sym_preproc_line] = STATE(3765),
    [sym_preproc_pragma] = STATE(3765),
    [sym_preproc_nullable] = STATE(3765),
    [sym_preproc_error] = STATE(3765),
    [sym_preproc_define] = STATE(3765),
    [sym_preproc_undef] = STATE(3765),
    [anon_sym_EQ] = ACTIONS(5709),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_PLUS_EQ] = ACTIONS(5711),
    [anon_sym_DASH_EQ] = ACTIONS(5711),
    [anon_sym_STAR_EQ] = ACTIONS(5711),
    [anon_sym_SLASH_EQ] = ACTIONS(5711),
    [anon_sym_PERCENT_EQ] = ACTIONS(5711),
    [anon_sym_AMP_EQ] = ACTIONS(5711),
    [anon_sym_CARET_EQ] = ACTIONS(5711),
    [anon_sym_PIPE_EQ] = ACTIONS(5711),
    [anon_sym_LT_LT_EQ] = ACTIONS(5711),
    [anon_sym_GT_GT_EQ] = ACTIONS(5711),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5711),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5711),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3766] = {
    [sym_preproc_region] = STATE(3766),
    [sym_preproc_endregion] = STATE(3766),
    [sym_preproc_line] = STATE(3766),
    [sym_preproc_pragma] = STATE(3766),
    [sym_preproc_nullable] = STATE(3766),
    [sym_preproc_error] = STATE(3766),
    [sym_preproc_define] = STATE(3766),
    [sym_preproc_undef] = STATE(3766),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_LPAREN] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_in] = ACTIONS(5486),
    [anon_sym_where] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5488),
    [anon_sym_BANG] = ACTIONS(5488),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_GT_GT_GT] = ACTIONS(5486),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_EQ_GT] = ACTIONS(5486),
    [anon_sym_switch] = ACTIONS(5486),
    [anon_sym_DOT_DOT] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_QMARK_QMARK] = ACTIONS(5486),
    [anon_sym_from] = ACTIONS(5486),
    [anon_sym_join] = ACTIONS(5486),
    [anon_sym_on] = ACTIONS(5486),
    [anon_sym_equals] = ACTIONS(5486),
    [anon_sym_let] = ACTIONS(5486),
    [anon_sym_orderby] = ACTIONS(5486),
    [anon_sym_group] = ACTIONS(5486),
    [anon_sym_by] = ACTIONS(5486),
    [anon_sym_select] = ACTIONS(5486),
    [anon_sym_as] = ACTIONS(5486),
    [anon_sym_is] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [anon_sym_with] = ACTIONS(5486),
    [aux_sym_preproc_if_token3] = ACTIONS(5486),
    [aux_sym_preproc_else_token1] = ACTIONS(5486),
    [aux_sym_preproc_elif_token1] = ACTIONS(5486),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3767] = {
    [sym_preproc_region] = STATE(3767),
    [sym_preproc_endregion] = STATE(3767),
    [sym_preproc_line] = STATE(3767),
    [sym_preproc_pragma] = STATE(3767),
    [sym_preproc_nullable] = STATE(3767),
    [sym_preproc_error] = STATE(3767),
    [sym_preproc_define] = STATE(3767),
    [sym_preproc_undef] = STATE(3767),
    [anon_sym_SEMI] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_COLON] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [anon_sym_RBRACK] = ACTIONS(5451),
    [anon_sym_LPAREN] = ACTIONS(5451),
    [anon_sym_RPAREN] = ACTIONS(5451),
    [anon_sym_RBRACE] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_in] = ACTIONS(5451),
    [anon_sym_where] = ACTIONS(5451),
    [anon_sym_QMARK] = ACTIONS(5453),
    [anon_sym_BANG] = ACTIONS(5453),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5451),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5451),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_GT_GT_GT] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_EQ_GT] = ACTIONS(5451),
    [anon_sym_switch] = ACTIONS(5451),
    [anon_sym_DOT_DOT] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_QMARK_QMARK] = ACTIONS(5451),
    [anon_sym_from] = ACTIONS(5451),
    [anon_sym_join] = ACTIONS(5451),
    [anon_sym_on] = ACTIONS(5451),
    [anon_sym_equals] = ACTIONS(5451),
    [anon_sym_let] = ACTIONS(5451),
    [anon_sym_orderby] = ACTIONS(5451),
    [anon_sym_group] = ACTIONS(5451),
    [anon_sym_by] = ACTIONS(5451),
    [anon_sym_select] = ACTIONS(5451),
    [anon_sym_as] = ACTIONS(5451),
    [anon_sym_is] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_with] = ACTIONS(5451),
    [aux_sym_preproc_if_token3] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3768] = {
    [sym_preproc_region] = STATE(3768),
    [sym_preproc_endregion] = STATE(3768),
    [sym_preproc_line] = STATE(3768),
    [sym_preproc_pragma] = STATE(3768),
    [sym_preproc_nullable] = STATE(3768),
    [sym_preproc_error] = STATE(3768),
    [sym_preproc_define] = STATE(3768),
    [sym_preproc_undef] = STATE(3768),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_LPAREN] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_in] = ACTIONS(5478),
    [anon_sym_where] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_BANG] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_GT_GT_GT] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_EQ_GT] = ACTIONS(5478),
    [anon_sym_switch] = ACTIONS(5478),
    [anon_sym_DOT_DOT] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5480),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_QMARK_QMARK] = ACTIONS(5478),
    [anon_sym_from] = ACTIONS(5478),
    [anon_sym_join] = ACTIONS(5478),
    [anon_sym_on] = ACTIONS(5478),
    [anon_sym_equals] = ACTIONS(5478),
    [anon_sym_let] = ACTIONS(5478),
    [anon_sym_orderby] = ACTIONS(5478),
    [anon_sym_group] = ACTIONS(5478),
    [anon_sym_by] = ACTIONS(5478),
    [anon_sym_select] = ACTIONS(5478),
    [anon_sym_as] = ACTIONS(5478),
    [anon_sym_is] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [anon_sym_with] = ACTIONS(5478),
    [aux_sym_preproc_if_token3] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5478),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3769] = {
    [sym_preproc_region] = STATE(3769),
    [sym_preproc_endregion] = STATE(3769),
    [sym_preproc_line] = STATE(3769),
    [sym_preproc_pragma] = STATE(3769),
    [sym_preproc_nullable] = STATE(3769),
    [sym_preproc_error] = STATE(3769),
    [sym_preproc_define] = STATE(3769),
    [sym_preproc_undef] = STATE(3769),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_LPAREN] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_in] = ACTIONS(5652),
    [anon_sym_where] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_BANG] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_GT_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_EQ_GT] = ACTIONS(5652),
    [anon_sym_switch] = ACTIONS(5652),
    [anon_sym_DOT_DOT] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5654),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_QMARK_QMARK] = ACTIONS(5652),
    [anon_sym_from] = ACTIONS(5652),
    [anon_sym_join] = ACTIONS(5652),
    [anon_sym_on] = ACTIONS(5652),
    [anon_sym_equals] = ACTIONS(5652),
    [anon_sym_let] = ACTIONS(5652),
    [anon_sym_orderby] = ACTIONS(5652),
    [anon_sym_group] = ACTIONS(5652),
    [anon_sym_by] = ACTIONS(5652),
    [anon_sym_select] = ACTIONS(5652),
    [anon_sym_as] = ACTIONS(5652),
    [anon_sym_is] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [anon_sym_with] = ACTIONS(5652),
    [aux_sym_preproc_if_token3] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3770] = {
    [sym_preproc_region] = STATE(3770),
    [sym_preproc_endregion] = STATE(3770),
    [sym_preproc_line] = STATE(3770),
    [sym_preproc_pragma] = STATE(3770),
    [sym_preproc_nullable] = STATE(3770),
    [sym_preproc_error] = STATE(3770),
    [sym_preproc_define] = STATE(3770),
    [sym_preproc_undef] = STATE(3770),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_in] = ACTIONS(5305),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5305),
    [anon_sym_CARET] = ACTIONS(5305),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5305),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5305),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5305),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_on] = ACTIONS(5305),
    [anon_sym_equals] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_by] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3771] = {
    [sym_preproc_region] = STATE(3771),
    [sym_preproc_endregion] = STATE(3771),
    [sym_preproc_line] = STATE(3771),
    [sym_preproc_pragma] = STATE(3771),
    [sym_preproc_nullable] = STATE(3771),
    [sym_preproc_error] = STATE(3771),
    [sym_preproc_define] = STATE(3771),
    [sym_preproc_undef] = STATE(3771),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5421),
    [anon_sym_COLON] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5421),
    [anon_sym_RBRACK] = ACTIONS(5421),
    [anon_sym_LPAREN] = ACTIONS(5421),
    [anon_sym_RPAREN] = ACTIONS(5421),
    [anon_sym_RBRACE] = ACTIONS(5421),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_in] = ACTIONS(5421),
    [anon_sym_where] = ACTIONS(5421),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_BANG] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5421),
    [anon_sym_DASH_DASH] = ACTIONS(5421),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5421),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5421),
    [anon_sym_CARET] = ACTIONS(5421),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5421),
    [anon_sym_GT_GT] = ACTIONS(5423),
    [anon_sym_GT_GT_GT] = ACTIONS(5421),
    [anon_sym_EQ_EQ] = ACTIONS(5421),
    [anon_sym_BANG_EQ] = ACTIONS(5421),
    [anon_sym_GT_EQ] = ACTIONS(5421),
    [anon_sym_LT_EQ] = ACTIONS(5421),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_EQ_GT] = ACTIONS(5421),
    [anon_sym_switch] = ACTIONS(5421),
    [anon_sym_DOT_DOT] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_or] = ACTIONS(5423),
    [anon_sym_AMP_AMP] = ACTIONS(5421),
    [anon_sym_PIPE_PIPE] = ACTIONS(5421),
    [anon_sym_QMARK_QMARK] = ACTIONS(5421),
    [anon_sym_from] = ACTIONS(5421),
    [anon_sym_join] = ACTIONS(5421),
    [anon_sym_on] = ACTIONS(5421),
    [anon_sym_equals] = ACTIONS(5421),
    [anon_sym_let] = ACTIONS(5421),
    [anon_sym_orderby] = ACTIONS(5421),
    [anon_sym_group] = ACTIONS(5421),
    [anon_sym_by] = ACTIONS(5421),
    [anon_sym_select] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5421),
    [anon_sym_is] = ACTIONS(5421),
    [anon_sym_DASH_GT] = ACTIONS(5421),
    [anon_sym_with] = ACTIONS(5421),
    [aux_sym_preproc_if_token3] = ACTIONS(5421),
    [aux_sym_preproc_else_token1] = ACTIONS(5421),
    [aux_sym_preproc_elif_token1] = ACTIONS(5421),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3772] = {
    [sym_preproc_region] = STATE(3772),
    [sym_preproc_endregion] = STATE(3772),
    [sym_preproc_line] = STATE(3772),
    [sym_preproc_pragma] = STATE(3772),
    [sym_preproc_nullable] = STATE(3772),
    [sym_preproc_error] = STATE(3772),
    [sym_preproc_define] = STATE(3772),
    [sym_preproc_undef] = STATE(3772),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4453),
    [anon_sym_where] = ACTIONS(4453),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(5684),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4453),
    [anon_sym_or] = ACTIONS(4451),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_from] = ACTIONS(4453),
    [anon_sym_join] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_let] = ACTIONS(4453),
    [anon_sym_orderby] = ACTIONS(4453),
    [anon_sym_group] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_select] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3773] = {
    [sym_preproc_region] = STATE(3773),
    [sym_preproc_endregion] = STATE(3773),
    [sym_preproc_line] = STATE(3773),
    [sym_preproc_pragma] = STATE(3773),
    [sym_preproc_nullable] = STATE(3773),
    [sym_preproc_error] = STATE(3773),
    [sym_preproc_define] = STATE(3773),
    [sym_preproc_undef] = STATE(3773),
    [anon_sym_SEMI] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [anon_sym_RBRACK] = ACTIONS(5642),
    [anon_sym_LPAREN] = ACTIONS(5642),
    [anon_sym_RPAREN] = ACTIONS(5642),
    [anon_sym_RBRACE] = ACTIONS(5642),
    [anon_sym_LT] = ACTIONS(5644),
    [anon_sym_GT] = ACTIONS(5644),
    [anon_sym_in] = ACTIONS(5642),
    [anon_sym_where] = ACTIONS(5642),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_BANG] = ACTIONS(5644),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5644),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_CARET] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(5644),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5644),
    [anon_sym_GT_GT_GT] = ACTIONS(5642),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5644),
    [anon_sym_EQ_GT] = ACTIONS(5642),
    [anon_sym_switch] = ACTIONS(5642),
    [anon_sym_DOT_DOT] = ACTIONS(5642),
    [anon_sym_and] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5644),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_QMARK_QMARK] = ACTIONS(5642),
    [anon_sym_from] = ACTIONS(5642),
    [anon_sym_join] = ACTIONS(5642),
    [anon_sym_on] = ACTIONS(5642),
    [anon_sym_equals] = ACTIONS(5642),
    [anon_sym_let] = ACTIONS(5642),
    [anon_sym_orderby] = ACTIONS(5642),
    [anon_sym_group] = ACTIONS(5642),
    [anon_sym_by] = ACTIONS(5642),
    [anon_sym_select] = ACTIONS(5642),
    [anon_sym_as] = ACTIONS(5642),
    [anon_sym_is] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [anon_sym_with] = ACTIONS(5642),
    [aux_sym_preproc_if_token3] = ACTIONS(5642),
    [aux_sym_preproc_else_token1] = ACTIONS(5642),
    [aux_sym_preproc_elif_token1] = ACTIONS(5642),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3774] = {
    [sym_preproc_region] = STATE(3774),
    [sym_preproc_endregion] = STATE(3774),
    [sym_preproc_line] = STATE(3774),
    [sym_preproc_pragma] = STATE(3774),
    [sym_preproc_nullable] = STATE(3774),
    [sym_preproc_error] = STATE(3774),
    [sym_preproc_define] = STATE(3774),
    [sym_preproc_undef] = STATE(3774),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RBRACK] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_in] = ACTIONS(2991),
    [anon_sym_where] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2989),
    [anon_sym_GT_GT_GT] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_and] = ACTIONS(2991),
    [anon_sym_or] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_QMARK_QMARK] = ACTIONS(2991),
    [anon_sym_from] = ACTIONS(2991),
    [anon_sym_join] = ACTIONS(2991),
    [anon_sym_on] = ACTIONS(2991),
    [anon_sym_equals] = ACTIONS(2991),
    [anon_sym_let] = ACTIONS(2991),
    [anon_sym_orderby] = ACTIONS(2991),
    [anon_sym_group] = ACTIONS(2991),
    [anon_sym_by] = ACTIONS(2991),
    [anon_sym_select] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_with] = ACTIONS(2991),
    [aux_sym_preproc_if_token3] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3775] = {
    [sym_preproc_region] = STATE(3775),
    [sym_preproc_endregion] = STATE(3775),
    [sym_preproc_line] = STATE(3775),
    [sym_preproc_pragma] = STATE(3775),
    [sym_preproc_nullable] = STATE(3775),
    [sym_preproc_error] = STATE(3775),
    [sym_preproc_define] = STATE(3775),
    [sym_preproc_undef] = STATE(3775),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym_LBRACK] = ACTIONS(5413),
    [anon_sym_COLON] = ACTIONS(5413),
    [anon_sym_COMMA] = ACTIONS(5413),
    [anon_sym_RBRACK] = ACTIONS(5413),
    [anon_sym_LPAREN] = ACTIONS(5413),
    [anon_sym_RPAREN] = ACTIONS(5413),
    [anon_sym_RBRACE] = ACTIONS(5413),
    [anon_sym_LT] = ACTIONS(5415),
    [anon_sym_GT] = ACTIONS(5415),
    [anon_sym_in] = ACTIONS(5413),
    [anon_sym_where] = ACTIONS(5413),
    [anon_sym_QMARK] = ACTIONS(5415),
    [anon_sym_BANG] = ACTIONS(5415),
    [anon_sym_PLUS_PLUS] = ACTIONS(5413),
    [anon_sym_DASH_DASH] = ACTIONS(5413),
    [anon_sym_PLUS] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5415),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_SLASH] = ACTIONS(5415),
    [anon_sym_PERCENT] = ACTIONS(5413),
    [anon_sym_CARET] = ACTIONS(5413),
    [anon_sym_PIPE] = ACTIONS(5415),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_LT_LT] = ACTIONS(5413),
    [anon_sym_GT_GT] = ACTIONS(5415),
    [anon_sym_GT_GT_GT] = ACTIONS(5413),
    [anon_sym_EQ_EQ] = ACTIONS(5413),
    [anon_sym_BANG_EQ] = ACTIONS(5413),
    [anon_sym_GT_EQ] = ACTIONS(5413),
    [anon_sym_LT_EQ] = ACTIONS(5413),
    [anon_sym_DOT] = ACTIONS(5415),
    [anon_sym_EQ_GT] = ACTIONS(5413),
    [anon_sym_switch] = ACTIONS(5413),
    [anon_sym_DOT_DOT] = ACTIONS(5413),
    [anon_sym_and] = ACTIONS(5413),
    [anon_sym_or] = ACTIONS(5415),
    [anon_sym_AMP_AMP] = ACTIONS(5413),
    [anon_sym_PIPE_PIPE] = ACTIONS(5413),
    [anon_sym_QMARK_QMARK] = ACTIONS(5413),
    [anon_sym_from] = ACTIONS(5413),
    [anon_sym_join] = ACTIONS(5413),
    [anon_sym_on] = ACTIONS(5413),
    [anon_sym_equals] = ACTIONS(5413),
    [anon_sym_let] = ACTIONS(5413),
    [anon_sym_orderby] = ACTIONS(5413),
    [anon_sym_group] = ACTIONS(5413),
    [anon_sym_by] = ACTIONS(5413),
    [anon_sym_select] = ACTIONS(5413),
    [anon_sym_as] = ACTIONS(5413),
    [anon_sym_is] = ACTIONS(5413),
    [anon_sym_DASH_GT] = ACTIONS(5413),
    [anon_sym_with] = ACTIONS(5413),
    [aux_sym_preproc_if_token3] = ACTIONS(5413),
    [aux_sym_preproc_else_token1] = ACTIONS(5413),
    [aux_sym_preproc_elif_token1] = ACTIONS(5413),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3776] = {
    [sym_preproc_region] = STATE(3776),
    [sym_preproc_endregion] = STATE(3776),
    [sym_preproc_line] = STATE(3776),
    [sym_preproc_pragma] = STATE(3776),
    [sym_preproc_nullable] = STATE(3776),
    [sym_preproc_error] = STATE(3776),
    [sym_preproc_define] = STATE(3776),
    [sym_preproc_undef] = STATE(3776),
    [anon_sym_SEMI] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [anon_sym_COLON] = ACTIONS(5620),
    [anon_sym_COMMA] = ACTIONS(5620),
    [anon_sym_RBRACK] = ACTIONS(5620),
    [anon_sym_LPAREN] = ACTIONS(5620),
    [anon_sym_RPAREN] = ACTIONS(5620),
    [anon_sym_RBRACE] = ACTIONS(5620),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_in] = ACTIONS(5620),
    [anon_sym_where] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(5622),
    [anon_sym_BANG] = ACTIONS(5622),
    [anon_sym_PLUS_PLUS] = ACTIONS(5620),
    [anon_sym_DASH_DASH] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5620),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5620),
    [anon_sym_CARET] = ACTIONS(5620),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5620),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_GT_GT_GT] = ACTIONS(5620),
    [anon_sym_EQ_EQ] = ACTIONS(5620),
    [anon_sym_BANG_EQ] = ACTIONS(5620),
    [anon_sym_GT_EQ] = ACTIONS(5620),
    [anon_sym_LT_EQ] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_EQ_GT] = ACTIONS(5620),
    [anon_sym_switch] = ACTIONS(5620),
    [anon_sym_DOT_DOT] = ACTIONS(5620),
    [anon_sym_and] = ACTIONS(5620),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_AMP_AMP] = ACTIONS(5620),
    [anon_sym_PIPE_PIPE] = ACTIONS(5620),
    [anon_sym_QMARK_QMARK] = ACTIONS(5620),
    [anon_sym_from] = ACTIONS(5620),
    [anon_sym_join] = ACTIONS(5620),
    [anon_sym_on] = ACTIONS(5620),
    [anon_sym_equals] = ACTIONS(5620),
    [anon_sym_let] = ACTIONS(5620),
    [anon_sym_orderby] = ACTIONS(5620),
    [anon_sym_group] = ACTIONS(5620),
    [anon_sym_by] = ACTIONS(5620),
    [anon_sym_select] = ACTIONS(5620),
    [anon_sym_as] = ACTIONS(5620),
    [anon_sym_is] = ACTIONS(5620),
    [anon_sym_DASH_GT] = ACTIONS(5620),
    [anon_sym_with] = ACTIONS(5620),
    [aux_sym_preproc_if_token3] = ACTIONS(5620),
    [aux_sym_preproc_else_token1] = ACTIONS(5620),
    [aux_sym_preproc_elif_token1] = ACTIONS(5620),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3777] = {
    [sym_preproc_region] = STATE(3777),
    [sym_preproc_endregion] = STATE(3777),
    [sym_preproc_line] = STATE(3777),
    [sym_preproc_pragma] = STATE(3777),
    [sym_preproc_nullable] = STATE(3777),
    [sym_preproc_error] = STATE(3777),
    [sym_preproc_define] = STATE(3777),
    [sym_preproc_undef] = STATE(3777),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5425),
    [anon_sym_COMMA] = ACTIONS(5425),
    [anon_sym_RBRACK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5425),
    [anon_sym_RPAREN] = ACTIONS(5425),
    [anon_sym_RBRACE] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5425),
    [anon_sym_where] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_BANG] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5427),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5427),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_PIPE] = ACTIONS(5427),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5427),
    [anon_sym_GT_GT_GT] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5425),
    [anon_sym_BANG_EQ] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5425),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_DOT] = ACTIONS(5427),
    [anon_sym_EQ_GT] = ACTIONS(5425),
    [anon_sym_switch] = ACTIONS(5425),
    [anon_sym_DOT_DOT] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_or] = ACTIONS(5427),
    [anon_sym_AMP_AMP] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5425),
    [anon_sym_QMARK_QMARK] = ACTIONS(5425),
    [anon_sym_from] = ACTIONS(5425),
    [anon_sym_join] = ACTIONS(5425),
    [anon_sym_on] = ACTIONS(5425),
    [anon_sym_equals] = ACTIONS(5425),
    [anon_sym_let] = ACTIONS(5425),
    [anon_sym_orderby] = ACTIONS(5425),
    [anon_sym_group] = ACTIONS(5425),
    [anon_sym_by] = ACTIONS(5425),
    [anon_sym_select] = ACTIONS(5425),
    [anon_sym_as] = ACTIONS(5425),
    [anon_sym_is] = ACTIONS(5425),
    [anon_sym_DASH_GT] = ACTIONS(5425),
    [anon_sym_with] = ACTIONS(5425),
    [aux_sym_preproc_if_token3] = ACTIONS(5425),
    [aux_sym_preproc_else_token1] = ACTIONS(5425),
    [aux_sym_preproc_elif_token1] = ACTIONS(5425),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3778] = {
    [sym_preproc_region] = STATE(3778),
    [sym_preproc_endregion] = STATE(3778),
    [sym_preproc_line] = STATE(3778),
    [sym_preproc_pragma] = STATE(3778),
    [sym_preproc_nullable] = STATE(3778),
    [sym_preproc_error] = STATE(3778),
    [sym_preproc_define] = STATE(3778),
    [sym_preproc_undef] = STATE(3778),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_LPAREN] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_LT] = ACTIONS(5558),
    [anon_sym_GT] = ACTIONS(5558),
    [anon_sym_in] = ACTIONS(5556),
    [anon_sym_where] = ACTIONS(5556),
    [anon_sym_QMARK] = ACTIONS(5558),
    [anon_sym_BANG] = ACTIONS(5558),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS] = ACTIONS(5558),
    [anon_sym_DASH] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5558),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_CARET] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5558),
    [anon_sym_GT_GT_GT] = ACTIONS(5556),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5558),
    [anon_sym_EQ_GT] = ACTIONS(5556),
    [anon_sym_switch] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5556),
    [anon_sym_and] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5558),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_QMARK_QMARK] = ACTIONS(5556),
    [anon_sym_from] = ACTIONS(5556),
    [anon_sym_join] = ACTIONS(5556),
    [anon_sym_on] = ACTIONS(5556),
    [anon_sym_equals] = ACTIONS(5556),
    [anon_sym_let] = ACTIONS(5556),
    [anon_sym_orderby] = ACTIONS(5556),
    [anon_sym_group] = ACTIONS(5556),
    [anon_sym_by] = ACTIONS(5556),
    [anon_sym_select] = ACTIONS(5556),
    [anon_sym_as] = ACTIONS(5556),
    [anon_sym_is] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [anon_sym_with] = ACTIONS(5556),
    [aux_sym_preproc_if_token3] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3779] = {
    [sym_preproc_region] = STATE(3779),
    [sym_preproc_endregion] = STATE(3779),
    [sym_preproc_line] = STATE(3779),
    [sym_preproc_pragma] = STATE(3779),
    [sym_preproc_nullable] = STATE(3779),
    [sym_preproc_error] = STATE(3779),
    [sym_preproc_define] = STATE(3779),
    [sym_preproc_undef] = STATE(3779),
    [anon_sym_SEMI] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_COLON] = ACTIONS(5463),
    [anon_sym_COMMA] = ACTIONS(5463),
    [anon_sym_RBRACK] = ACTIONS(5463),
    [anon_sym_LPAREN] = ACTIONS(5463),
    [anon_sym_RPAREN] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5463),
    [anon_sym_LT] = ACTIONS(5465),
    [anon_sym_GT] = ACTIONS(5465),
    [anon_sym_in] = ACTIONS(5463),
    [anon_sym_where] = ACTIONS(5463),
    [anon_sym_QMARK] = ACTIONS(5465),
    [anon_sym_BANG] = ACTIONS(5465),
    [anon_sym_PLUS_PLUS] = ACTIONS(5463),
    [anon_sym_DASH_DASH] = ACTIONS(5463),
    [anon_sym_PLUS] = ACTIONS(5465),
    [anon_sym_DASH] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5463),
    [anon_sym_SLASH] = ACTIONS(5465),
    [anon_sym_PERCENT] = ACTIONS(5463),
    [anon_sym_CARET] = ACTIONS(5463),
    [anon_sym_PIPE] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5465),
    [anon_sym_LT_LT] = ACTIONS(5463),
    [anon_sym_GT_GT] = ACTIONS(5465),
    [anon_sym_GT_GT_GT] = ACTIONS(5463),
    [anon_sym_EQ_EQ] = ACTIONS(5463),
    [anon_sym_BANG_EQ] = ACTIONS(5463),
    [anon_sym_GT_EQ] = ACTIONS(5463),
    [anon_sym_LT_EQ] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_EQ_GT] = ACTIONS(5463),
    [anon_sym_switch] = ACTIONS(5463),
    [anon_sym_DOT_DOT] = ACTIONS(5463),
    [anon_sym_and] = ACTIONS(5463),
    [anon_sym_or] = ACTIONS(5465),
    [anon_sym_AMP_AMP] = ACTIONS(5463),
    [anon_sym_PIPE_PIPE] = ACTIONS(5463),
    [anon_sym_QMARK_QMARK] = ACTIONS(5463),
    [anon_sym_from] = ACTIONS(5463),
    [anon_sym_join] = ACTIONS(5463),
    [anon_sym_on] = ACTIONS(5463),
    [anon_sym_equals] = ACTIONS(5463),
    [anon_sym_let] = ACTIONS(5463),
    [anon_sym_orderby] = ACTIONS(5463),
    [anon_sym_group] = ACTIONS(5463),
    [anon_sym_by] = ACTIONS(5463),
    [anon_sym_select] = ACTIONS(5463),
    [anon_sym_as] = ACTIONS(5463),
    [anon_sym_is] = ACTIONS(5463),
    [anon_sym_DASH_GT] = ACTIONS(5463),
    [anon_sym_with] = ACTIONS(5463),
    [aux_sym_preproc_if_token3] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3780] = {
    [sym_preproc_region] = STATE(3780),
    [sym_preproc_endregion] = STATE(3780),
    [sym_preproc_line] = STATE(3780),
    [sym_preproc_pragma] = STATE(3780),
    [sym_preproc_nullable] = STATE(3780),
    [sym_preproc_error] = STATE(3780),
    [sym_preproc_define] = STATE(3780),
    [sym_preproc_undef] = STATE(3780),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_RBRACK] = ACTIONS(5564),
    [anon_sym_LPAREN] = ACTIONS(5564),
    [anon_sym_RPAREN] = ACTIONS(5564),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_LT] = ACTIONS(5566),
    [anon_sym_GT] = ACTIONS(5566),
    [anon_sym_in] = ACTIONS(5564),
    [anon_sym_where] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(5566),
    [anon_sym_BANG] = ACTIONS(5566),
    [anon_sym_PLUS_PLUS] = ACTIONS(5564),
    [anon_sym_DASH_DASH] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5566),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5566),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5566),
    [anon_sym_GT_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5566),
    [anon_sym_EQ_GT] = ACTIONS(5564),
    [anon_sym_switch] = ACTIONS(5564),
    [anon_sym_DOT_DOT] = ACTIONS(5564),
    [anon_sym_and] = ACTIONS(5564),
    [anon_sym_or] = ACTIONS(5566),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_QMARK_QMARK] = ACTIONS(5564),
    [anon_sym_from] = ACTIONS(5564),
    [anon_sym_join] = ACTIONS(5564),
    [anon_sym_on] = ACTIONS(5564),
    [anon_sym_equals] = ACTIONS(5564),
    [anon_sym_let] = ACTIONS(5564),
    [anon_sym_orderby] = ACTIONS(5564),
    [anon_sym_group] = ACTIONS(5564),
    [anon_sym_by] = ACTIONS(5564),
    [anon_sym_select] = ACTIONS(5564),
    [anon_sym_as] = ACTIONS(5564),
    [anon_sym_is] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [anon_sym_with] = ACTIONS(5564),
    [aux_sym_preproc_if_token3] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3781] = {
    [sym_preproc_region] = STATE(3781),
    [sym_preproc_endregion] = STATE(3781),
    [sym_preproc_line] = STATE(3781),
    [sym_preproc_pragma] = STATE(3781),
    [sym_preproc_nullable] = STATE(3781),
    [sym_preproc_error] = STATE(3781),
    [sym_preproc_define] = STATE(3781),
    [sym_preproc_undef] = STATE(3781),
    [anon_sym_SEMI] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [anon_sym_COLON] = ACTIONS(5560),
    [anon_sym_COMMA] = ACTIONS(5560),
    [anon_sym_RBRACK] = ACTIONS(5560),
    [anon_sym_LPAREN] = ACTIONS(5560),
    [anon_sym_RPAREN] = ACTIONS(5560),
    [anon_sym_RBRACE] = ACTIONS(5560),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_in] = ACTIONS(5560),
    [anon_sym_where] = ACTIONS(5560),
    [anon_sym_QMARK] = ACTIONS(5562),
    [anon_sym_BANG] = ACTIONS(5562),
    [anon_sym_PLUS_PLUS] = ACTIONS(5560),
    [anon_sym_DASH_DASH] = ACTIONS(5560),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5560),
    [anon_sym_CARET] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5560),
    [anon_sym_GT_GT] = ACTIONS(5562),
    [anon_sym_GT_GT_GT] = ACTIONS(5560),
    [anon_sym_EQ_EQ] = ACTIONS(5560),
    [anon_sym_BANG_EQ] = ACTIONS(5560),
    [anon_sym_GT_EQ] = ACTIONS(5560),
    [anon_sym_LT_EQ] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5562),
    [anon_sym_EQ_GT] = ACTIONS(5560),
    [anon_sym_switch] = ACTIONS(5560),
    [anon_sym_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(5560),
    [anon_sym_or] = ACTIONS(5562),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_PIPE_PIPE] = ACTIONS(5560),
    [anon_sym_QMARK_QMARK] = ACTIONS(5560),
    [anon_sym_from] = ACTIONS(5560),
    [anon_sym_join] = ACTIONS(5560),
    [anon_sym_on] = ACTIONS(5560),
    [anon_sym_equals] = ACTIONS(5560),
    [anon_sym_let] = ACTIONS(5560),
    [anon_sym_orderby] = ACTIONS(5560),
    [anon_sym_group] = ACTIONS(5560),
    [anon_sym_by] = ACTIONS(5560),
    [anon_sym_select] = ACTIONS(5560),
    [anon_sym_as] = ACTIONS(5560),
    [anon_sym_is] = ACTIONS(5560),
    [anon_sym_DASH_GT] = ACTIONS(5560),
    [anon_sym_with] = ACTIONS(5560),
    [aux_sym_preproc_if_token3] = ACTIONS(5560),
    [aux_sym_preproc_else_token1] = ACTIONS(5560),
    [aux_sym_preproc_elif_token1] = ACTIONS(5560),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3782] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter] = STATE(8677),
    [sym__parameter_array] = STATE(8678),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7357),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6748),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3782),
    [sym_preproc_endregion] = STATE(3782),
    [sym_preproc_line] = STATE(3782),
    [sym_preproc_pragma] = STATE(3782),
    [sym_preproc_nullable] = STATE(3782),
    [sym_preproc_error] = STATE(3782),
    [sym_preproc_define] = STATE(3782),
    [sym_preproc_undef] = STATE(3782),
    [aux_sym_class_declaration_repeat1] = STATE(3807),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4270),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_params] = ACTIONS(1137),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3783] = {
    [sym_preproc_region] = STATE(3783),
    [sym_preproc_endregion] = STATE(3783),
    [sym_preproc_line] = STATE(3783),
    [sym_preproc_pragma] = STATE(3783),
    [sym_preproc_nullable] = STATE(3783),
    [sym_preproc_error] = STATE(3783),
    [sym_preproc_define] = STATE(3783),
    [sym_preproc_undef] = STATE(3783),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_LPAREN] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_in] = ACTIONS(5624),
    [anon_sym_where] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5626),
    [anon_sym_BANG] = ACTIONS(5626),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_GT_GT_GT] = ACTIONS(5624),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_EQ_GT] = ACTIONS(5624),
    [anon_sym_switch] = ACTIONS(5624),
    [anon_sym_DOT_DOT] = ACTIONS(5624),
    [anon_sym_and] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_QMARK_QMARK] = ACTIONS(5624),
    [anon_sym_from] = ACTIONS(5624),
    [anon_sym_join] = ACTIONS(5624),
    [anon_sym_on] = ACTIONS(5624),
    [anon_sym_equals] = ACTIONS(5624),
    [anon_sym_let] = ACTIONS(5624),
    [anon_sym_orderby] = ACTIONS(5624),
    [anon_sym_group] = ACTIONS(5624),
    [anon_sym_by] = ACTIONS(5624),
    [anon_sym_select] = ACTIONS(5624),
    [anon_sym_as] = ACTIONS(5624),
    [anon_sym_is] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [anon_sym_with] = ACTIONS(5624),
    [aux_sym_preproc_if_token3] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5624),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3784] = {
    [sym_preproc_region] = STATE(3784),
    [sym_preproc_endregion] = STATE(3784),
    [sym_preproc_line] = STATE(3784),
    [sym_preproc_pragma] = STATE(3784),
    [sym_preproc_nullable] = STATE(3784),
    [sym_preproc_error] = STATE(3784),
    [sym_preproc_define] = STATE(3784),
    [sym_preproc_undef] = STATE(3784),
    [sym__identifier_token] = ACTIONS(5713),
    [anon_sym_extern] = ACTIONS(5713),
    [anon_sym_alias] = ACTIONS(5713),
    [anon_sym_global] = ACTIONS(5713),
    [anon_sym_unsafe] = ACTIONS(5713),
    [anon_sym_static] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5715),
    [anon_sym_LPAREN] = ACTIONS(5715),
    [anon_sym_event] = ACTIONS(5713),
    [anon_sym_class] = ACTIONS(5713),
    [anon_sym_ref] = ACTIONS(5713),
    [anon_sym_struct] = ACTIONS(5713),
    [anon_sym_enum] = ACTIONS(5713),
    [anon_sym_interface] = ACTIONS(5713),
    [anon_sym_delegate] = ACTIONS(5713),
    [anon_sym_record] = ACTIONS(5713),
    [anon_sym_abstract] = ACTIONS(5713),
    [anon_sym_async] = ACTIONS(5713),
    [anon_sym_const] = ACTIONS(5713),
    [anon_sym_file] = ACTIONS(5713),
    [anon_sym_fixed] = ACTIONS(5713),
    [anon_sym_internal] = ACTIONS(5713),
    [anon_sym_new] = ACTIONS(5713),
    [anon_sym_override] = ACTIONS(5713),
    [anon_sym_partial] = ACTIONS(5713),
    [anon_sym_private] = ACTIONS(5713),
    [anon_sym_protected] = ACTIONS(5713),
    [anon_sym_public] = ACTIONS(5713),
    [anon_sym_readonly] = ACTIONS(5713),
    [anon_sym_required] = ACTIONS(5713),
    [anon_sym_sealed] = ACTIONS(5713),
    [anon_sym_virtual] = ACTIONS(5713),
    [anon_sym_volatile] = ACTIONS(5713),
    [anon_sym_where] = ACTIONS(5713),
    [anon_sym_notnull] = ACTIONS(5713),
    [anon_sym_unmanaged] = ACTIONS(5713),
    [anon_sym_TILDE] = ACTIONS(5715),
    [anon_sym_implicit] = ACTIONS(5713),
    [anon_sym_explicit] = ACTIONS(5713),
    [anon_sym_scoped] = ACTIONS(5713),
    [anon_sym_var] = ACTIONS(5713),
    [sym_predefined_type] = ACTIONS(5713),
    [anon_sym_yield] = ACTIONS(5713),
    [anon_sym_when] = ACTIONS(5713),
    [anon_sym_from] = ACTIONS(5713),
    [anon_sym_into] = ACTIONS(5713),
    [anon_sym_join] = ACTIONS(5713),
    [anon_sym_on] = ACTIONS(5713),
    [anon_sym_equals] = ACTIONS(5713),
    [anon_sym_let] = ACTIONS(5713),
    [anon_sym_orderby] = ACTIONS(5713),
    [anon_sym_ascending] = ACTIONS(5713),
    [anon_sym_descending] = ACTIONS(5713),
    [anon_sym_group] = ACTIONS(5713),
    [anon_sym_by] = ACTIONS(5713),
    [anon_sym_select] = ACTIONS(5713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3785] = {
    [sym_preproc_region] = STATE(3785),
    [sym_preproc_endregion] = STATE(3785),
    [sym_preproc_line] = STATE(3785),
    [sym_preproc_pragma] = STATE(3785),
    [sym_preproc_nullable] = STATE(3785),
    [sym_preproc_error] = STATE(3785),
    [sym_preproc_define] = STATE(3785),
    [sym_preproc_undef] = STATE(3785),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_LPAREN] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_in] = ACTIONS(5580),
    [anon_sym_where] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_BANG] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_GT_GT_GT] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_EQ_GT] = ACTIONS(5580),
    [anon_sym_switch] = ACTIONS(5580),
    [anon_sym_DOT_DOT] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5582),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_QMARK_QMARK] = ACTIONS(5580),
    [anon_sym_from] = ACTIONS(5580),
    [anon_sym_join] = ACTIONS(5580),
    [anon_sym_on] = ACTIONS(5580),
    [anon_sym_equals] = ACTIONS(5580),
    [anon_sym_let] = ACTIONS(5580),
    [anon_sym_orderby] = ACTIONS(5580),
    [anon_sym_group] = ACTIONS(5580),
    [anon_sym_by] = ACTIONS(5580),
    [anon_sym_select] = ACTIONS(5580),
    [anon_sym_as] = ACTIONS(5580),
    [anon_sym_is] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [anon_sym_with] = ACTIONS(5580),
    [aux_sym_preproc_if_token3] = ACTIONS(5580),
    [aux_sym_preproc_else_token1] = ACTIONS(5580),
    [aux_sym_preproc_elif_token1] = ACTIONS(5580),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3786] = {
    [sym_preproc_region] = STATE(3786),
    [sym_preproc_endregion] = STATE(3786),
    [sym_preproc_line] = STATE(3786),
    [sym_preproc_pragma] = STATE(3786),
    [sym_preproc_nullable] = STATE(3786),
    [sym_preproc_error] = STATE(3786),
    [sym_preproc_define] = STATE(3786),
    [sym_preproc_undef] = STATE(3786),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_LPAREN] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_where] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_BANG] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_GT_GT_GT] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_EQ_GT] = ACTIONS(5676),
    [anon_sym_switch] = ACTIONS(5676),
    [anon_sym_DOT_DOT] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_QMARK_QMARK] = ACTIONS(5676),
    [anon_sym_from] = ACTIONS(5676),
    [anon_sym_join] = ACTIONS(5676),
    [anon_sym_on] = ACTIONS(5676),
    [anon_sym_equals] = ACTIONS(5676),
    [anon_sym_let] = ACTIONS(5676),
    [anon_sym_orderby] = ACTIONS(5676),
    [anon_sym_group] = ACTIONS(5676),
    [anon_sym_by] = ACTIONS(5676),
    [anon_sym_select] = ACTIONS(5676),
    [anon_sym_as] = ACTIONS(5676),
    [anon_sym_is] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_with] = ACTIONS(5676),
    [aux_sym_preproc_if_token3] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3787] = {
    [sym_preproc_region] = STATE(3787),
    [sym_preproc_endregion] = STATE(3787),
    [sym_preproc_line] = STATE(3787),
    [sym_preproc_pragma] = STATE(3787),
    [sym_preproc_nullable] = STATE(3787),
    [sym_preproc_error] = STATE(3787),
    [sym_preproc_define] = STATE(3787),
    [sym_preproc_undef] = STATE(3787),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_LPAREN] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_in] = ACTIONS(5498),
    [anon_sym_where] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_BANG] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_GT_GT_GT] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_EQ_GT] = ACTIONS(5498),
    [anon_sym_switch] = ACTIONS(5498),
    [anon_sym_DOT_DOT] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_QMARK_QMARK] = ACTIONS(5498),
    [anon_sym_from] = ACTIONS(5498),
    [anon_sym_join] = ACTIONS(5498),
    [anon_sym_on] = ACTIONS(5498),
    [anon_sym_equals] = ACTIONS(5498),
    [anon_sym_let] = ACTIONS(5498),
    [anon_sym_orderby] = ACTIONS(5498),
    [anon_sym_group] = ACTIONS(5498),
    [anon_sym_by] = ACTIONS(5498),
    [anon_sym_select] = ACTIONS(5498),
    [anon_sym_as] = ACTIONS(5498),
    [anon_sym_is] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [anon_sym_with] = ACTIONS(5498),
    [aux_sym_preproc_if_token3] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5498),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3788] = {
    [sym_preproc_region] = STATE(3788),
    [sym_preproc_endregion] = STATE(3788),
    [sym_preproc_line] = STATE(3788),
    [sym_preproc_pragma] = STATE(3788),
    [sym_preproc_nullable] = STATE(3788),
    [sym_preproc_error] = STATE(3788),
    [sym_preproc_define] = STATE(3788),
    [sym_preproc_undef] = STATE(3788),
    [anon_sym_SEMI] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [anon_sym_COLON] = ACTIONS(5638),
    [anon_sym_COMMA] = ACTIONS(5638),
    [anon_sym_RBRACK] = ACTIONS(5638),
    [anon_sym_LPAREN] = ACTIONS(5638),
    [anon_sym_RPAREN] = ACTIONS(5638),
    [anon_sym_RBRACE] = ACTIONS(5638),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_in] = ACTIONS(5638),
    [anon_sym_where] = ACTIONS(5638),
    [anon_sym_QMARK] = ACTIONS(5640),
    [anon_sym_BANG] = ACTIONS(5640),
    [anon_sym_PLUS_PLUS] = ACTIONS(5638),
    [anon_sym_DASH_DASH] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [anon_sym_CARET] = ACTIONS(5638),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5638),
    [anon_sym_GT_GT] = ACTIONS(5640),
    [anon_sym_GT_GT_GT] = ACTIONS(5638),
    [anon_sym_EQ_EQ] = ACTIONS(5638),
    [anon_sym_BANG_EQ] = ACTIONS(5638),
    [anon_sym_GT_EQ] = ACTIONS(5638),
    [anon_sym_LT_EQ] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_EQ_GT] = ACTIONS(5638),
    [anon_sym_switch] = ACTIONS(5638),
    [anon_sym_DOT_DOT] = ACTIONS(5638),
    [anon_sym_and] = ACTIONS(5638),
    [anon_sym_or] = ACTIONS(5640),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_PIPE_PIPE] = ACTIONS(5638),
    [anon_sym_QMARK_QMARK] = ACTIONS(5638),
    [anon_sym_from] = ACTIONS(5638),
    [anon_sym_join] = ACTIONS(5638),
    [anon_sym_on] = ACTIONS(5638),
    [anon_sym_equals] = ACTIONS(5638),
    [anon_sym_let] = ACTIONS(5638),
    [anon_sym_orderby] = ACTIONS(5638),
    [anon_sym_group] = ACTIONS(5638),
    [anon_sym_by] = ACTIONS(5638),
    [anon_sym_select] = ACTIONS(5638),
    [anon_sym_as] = ACTIONS(5638),
    [anon_sym_is] = ACTIONS(5638),
    [anon_sym_DASH_GT] = ACTIONS(5638),
    [anon_sym_with] = ACTIONS(5638),
    [aux_sym_preproc_if_token3] = ACTIONS(5638),
    [aux_sym_preproc_else_token1] = ACTIONS(5638),
    [aux_sym_preproc_elif_token1] = ACTIONS(5638),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3789] = {
    [sym_preproc_region] = STATE(3789),
    [sym_preproc_endregion] = STATE(3789),
    [sym_preproc_line] = STATE(3789),
    [sym_preproc_pragma] = STATE(3789),
    [sym_preproc_nullable] = STATE(3789),
    [sym_preproc_error] = STATE(3789),
    [sym_preproc_define] = STATE(3789),
    [sym_preproc_undef] = STATE(3789),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_LPAREN] = ACTIONS(5608),
    [anon_sym_RPAREN] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_in] = ACTIONS(5608),
    [anon_sym_where] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5610),
    [anon_sym_BANG] = ACTIONS(5610),
    [anon_sym_PLUS_PLUS] = ACTIONS(5608),
    [anon_sym_DASH_DASH] = ACTIONS(5608),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5608),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5608),
    [anon_sym_CARET] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5608),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_GT_GT_GT] = ACTIONS(5608),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_EQ_GT] = ACTIONS(5608),
    [anon_sym_switch] = ACTIONS(5608),
    [anon_sym_DOT_DOT] = ACTIONS(5608),
    [anon_sym_and] = ACTIONS(5608),
    [anon_sym_or] = ACTIONS(5610),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_PIPE_PIPE] = ACTIONS(5608),
    [anon_sym_QMARK_QMARK] = ACTIONS(5608),
    [anon_sym_from] = ACTIONS(5608),
    [anon_sym_join] = ACTIONS(5608),
    [anon_sym_on] = ACTIONS(5608),
    [anon_sym_equals] = ACTIONS(5608),
    [anon_sym_let] = ACTIONS(5608),
    [anon_sym_orderby] = ACTIONS(5608),
    [anon_sym_group] = ACTIONS(5608),
    [anon_sym_by] = ACTIONS(5608),
    [anon_sym_select] = ACTIONS(5608),
    [anon_sym_as] = ACTIONS(5608),
    [anon_sym_is] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [anon_sym_with] = ACTIONS(5608),
    [aux_sym_preproc_if_token3] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5608),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3790] = {
    [sym_preproc_region] = STATE(3790),
    [sym_preproc_endregion] = STATE(3790),
    [sym_preproc_line] = STATE(3790),
    [sym_preproc_pragma] = STATE(3790),
    [sym_preproc_nullable] = STATE(3790),
    [sym_preproc_error] = STATE(3790),
    [sym_preproc_define] = STATE(3790),
    [sym_preproc_undef] = STATE(3790),
    [sym__identifier_token] = ACTIONS(5717),
    [anon_sym_extern] = ACTIONS(5717),
    [anon_sym_alias] = ACTIONS(5717),
    [anon_sym_global] = ACTIONS(5717),
    [anon_sym_unsafe] = ACTIONS(5717),
    [anon_sym_static] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5719),
    [anon_sym_LPAREN] = ACTIONS(5719),
    [anon_sym_event] = ACTIONS(5717),
    [anon_sym_class] = ACTIONS(5717),
    [anon_sym_ref] = ACTIONS(5717),
    [anon_sym_struct] = ACTIONS(5717),
    [anon_sym_enum] = ACTIONS(5717),
    [anon_sym_interface] = ACTIONS(5717),
    [anon_sym_delegate] = ACTIONS(5717),
    [anon_sym_record] = ACTIONS(5717),
    [anon_sym_abstract] = ACTIONS(5717),
    [anon_sym_async] = ACTIONS(5717),
    [anon_sym_const] = ACTIONS(5717),
    [anon_sym_file] = ACTIONS(5717),
    [anon_sym_fixed] = ACTIONS(5717),
    [anon_sym_internal] = ACTIONS(5717),
    [anon_sym_new] = ACTIONS(5717),
    [anon_sym_override] = ACTIONS(5717),
    [anon_sym_partial] = ACTIONS(5717),
    [anon_sym_private] = ACTIONS(5717),
    [anon_sym_protected] = ACTIONS(5717),
    [anon_sym_public] = ACTIONS(5717),
    [anon_sym_readonly] = ACTIONS(5717),
    [anon_sym_required] = ACTIONS(5717),
    [anon_sym_sealed] = ACTIONS(5717),
    [anon_sym_virtual] = ACTIONS(5717),
    [anon_sym_volatile] = ACTIONS(5717),
    [anon_sym_where] = ACTIONS(5717),
    [anon_sym_notnull] = ACTIONS(5717),
    [anon_sym_unmanaged] = ACTIONS(5717),
    [anon_sym_TILDE] = ACTIONS(5719),
    [anon_sym_implicit] = ACTIONS(5717),
    [anon_sym_explicit] = ACTIONS(5717),
    [anon_sym_scoped] = ACTIONS(5717),
    [anon_sym_var] = ACTIONS(5717),
    [sym_predefined_type] = ACTIONS(5717),
    [anon_sym_yield] = ACTIONS(5717),
    [anon_sym_when] = ACTIONS(5717),
    [anon_sym_from] = ACTIONS(5717),
    [anon_sym_into] = ACTIONS(5717),
    [anon_sym_join] = ACTIONS(5717),
    [anon_sym_on] = ACTIONS(5717),
    [anon_sym_equals] = ACTIONS(5717),
    [anon_sym_let] = ACTIONS(5717),
    [anon_sym_orderby] = ACTIONS(5717),
    [anon_sym_ascending] = ACTIONS(5717),
    [anon_sym_descending] = ACTIONS(5717),
    [anon_sym_group] = ACTIONS(5717),
    [anon_sym_by] = ACTIONS(5717),
    [anon_sym_select] = ACTIONS(5717),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3791] = {
    [sym_preproc_region] = STATE(3791),
    [sym_preproc_endregion] = STATE(3791),
    [sym_preproc_line] = STATE(3791),
    [sym_preproc_pragma] = STATE(3791),
    [sym_preproc_nullable] = STATE(3791),
    [sym_preproc_error] = STATE(3791),
    [sym_preproc_define] = STATE(3791),
    [sym_preproc_undef] = STATE(3791),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_in] = ACTIONS(2999),
    [anon_sym_where] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(2999),
    [anon_sym_or] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_from] = ACTIONS(2999),
    [anon_sym_join] = ACTIONS(2999),
    [anon_sym_on] = ACTIONS(2999),
    [anon_sym_equals] = ACTIONS(2999),
    [anon_sym_let] = ACTIONS(2999),
    [anon_sym_orderby] = ACTIONS(2999),
    [anon_sym_group] = ACTIONS(2999),
    [anon_sym_by] = ACTIONS(2999),
    [anon_sym_select] = ACTIONS(2999),
    [anon_sym_as] = ACTIONS(2999),
    [anon_sym_is] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_with] = ACTIONS(2999),
    [aux_sym_preproc_if_token3] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3792] = {
    [sym_preproc_region] = STATE(3792),
    [sym_preproc_endregion] = STATE(3792),
    [sym_preproc_line] = STATE(3792),
    [sym_preproc_pragma] = STATE(3792),
    [sym_preproc_nullable] = STATE(3792),
    [sym_preproc_error] = STATE(3792),
    [sym_preproc_define] = STATE(3792),
    [sym_preproc_undef] = STATE(3792),
    [anon_sym_SEMI] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_COMMA] = ACTIONS(5459),
    [anon_sym_RBRACK] = ACTIONS(5459),
    [anon_sym_LPAREN] = ACTIONS(5459),
    [anon_sym_RPAREN] = ACTIONS(5459),
    [anon_sym_RBRACE] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5461),
    [anon_sym_in] = ACTIONS(5459),
    [anon_sym_where] = ACTIONS(5459),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_BANG] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5459),
    [anon_sym_SLASH] = ACTIONS(5461),
    [anon_sym_PERCENT] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5459),
    [anon_sym_PIPE] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5461),
    [anon_sym_LT_LT] = ACTIONS(5459),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym_GT_GT_GT] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5459),
    [anon_sym_BANG_EQ] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5459),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_EQ_GT] = ACTIONS(5459),
    [anon_sym_switch] = ACTIONS(5459),
    [anon_sym_DOT_DOT] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_or] = ACTIONS(5461),
    [anon_sym_AMP_AMP] = ACTIONS(5459),
    [anon_sym_PIPE_PIPE] = ACTIONS(5459),
    [anon_sym_QMARK_QMARK] = ACTIONS(5459),
    [anon_sym_from] = ACTIONS(5459),
    [anon_sym_join] = ACTIONS(5459),
    [anon_sym_on] = ACTIONS(5459),
    [anon_sym_equals] = ACTIONS(5459),
    [anon_sym_let] = ACTIONS(5459),
    [anon_sym_orderby] = ACTIONS(5459),
    [anon_sym_group] = ACTIONS(5459),
    [anon_sym_by] = ACTIONS(5459),
    [anon_sym_select] = ACTIONS(5459),
    [anon_sym_as] = ACTIONS(5459),
    [anon_sym_is] = ACTIONS(5459),
    [anon_sym_DASH_GT] = ACTIONS(5459),
    [anon_sym_with] = ACTIONS(5459),
    [aux_sym_preproc_if_token3] = ACTIONS(5459),
    [aux_sym_preproc_else_token1] = ACTIONS(5459),
    [aux_sym_preproc_elif_token1] = ACTIONS(5459),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3793] = {
    [sym_preproc_region] = STATE(3793),
    [sym_preproc_endregion] = STATE(3793),
    [sym_preproc_line] = STATE(3793),
    [sym_preproc_pragma] = STATE(3793),
    [sym_preproc_nullable] = STATE(3793),
    [sym_preproc_error] = STATE(3793),
    [sym_preproc_define] = STATE(3793),
    [sym_preproc_undef] = STATE(3793),
    [anon_sym_SEMI] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5526),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_RBRACK] = ACTIONS(5526),
    [anon_sym_LPAREN] = ACTIONS(5526),
    [anon_sym_RPAREN] = ACTIONS(5526),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5528),
    [anon_sym_in] = ACTIONS(5526),
    [anon_sym_where] = ACTIONS(5526),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_BANG] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_SLASH] = ACTIONS(5528),
    [anon_sym_PERCENT] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_PIPE] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym_LT_LT] = ACTIONS(5526),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_GT_GT_GT] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5526),
    [anon_sym_BANG_EQ] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5526),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_EQ_GT] = ACTIONS(5526),
    [anon_sym_switch] = ACTIONS(5526),
    [anon_sym_DOT_DOT] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_or] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE] = ACTIONS(5526),
    [anon_sym_QMARK_QMARK] = ACTIONS(5526),
    [anon_sym_from] = ACTIONS(5526),
    [anon_sym_join] = ACTIONS(5526),
    [anon_sym_on] = ACTIONS(5526),
    [anon_sym_equals] = ACTIONS(5526),
    [anon_sym_let] = ACTIONS(5526),
    [anon_sym_orderby] = ACTIONS(5526),
    [anon_sym_group] = ACTIONS(5526),
    [anon_sym_by] = ACTIONS(5526),
    [anon_sym_select] = ACTIONS(5526),
    [anon_sym_as] = ACTIONS(5526),
    [anon_sym_is] = ACTIONS(5526),
    [anon_sym_DASH_GT] = ACTIONS(5526),
    [anon_sym_with] = ACTIONS(5526),
    [aux_sym_preproc_if_token3] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3794] = {
    [sym_preproc_region] = STATE(3794),
    [sym_preproc_endregion] = STATE(3794),
    [sym_preproc_line] = STATE(3794),
    [sym_preproc_pragma] = STATE(3794),
    [sym_preproc_nullable] = STATE(3794),
    [sym_preproc_error] = STATE(3794),
    [sym_preproc_define] = STATE(3794),
    [sym_preproc_undef] = STATE(3794),
    [sym__identifier_token] = ACTIONS(4037),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4037),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4037),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4042),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4037),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_where] = ACTIONS(4037),
    [anon_sym_QMARK] = ACTIONS(3995),
    [anon_sym_notnull] = ACTIONS(4037),
    [anon_sym_unmanaged] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_scoped] = ACTIONS(4037),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4037),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4037),
    [anon_sym_when] = ACTIONS(4037),
    [anon_sym_from] = ACTIONS(4037),
    [anon_sym_into] = ACTIONS(4037),
    [anon_sym_join] = ACTIONS(4037),
    [anon_sym_on] = ACTIONS(4037),
    [anon_sym_equals] = ACTIONS(4037),
    [anon_sym_let] = ACTIONS(4037),
    [anon_sym_orderby] = ACTIONS(4037),
    [anon_sym_ascending] = ACTIONS(4037),
    [anon_sym_descending] = ACTIONS(4037),
    [anon_sym_group] = ACTIONS(4037),
    [anon_sym_by] = ACTIONS(4037),
    [anon_sym_select] = ACTIONS(4037),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3795] = {
    [sym_preproc_region] = STATE(3795),
    [sym_preproc_endregion] = STATE(3795),
    [sym_preproc_line] = STATE(3795),
    [sym_preproc_pragma] = STATE(3795),
    [sym_preproc_nullable] = STATE(3795),
    [sym_preproc_error] = STATE(3795),
    [sym_preproc_define] = STATE(3795),
    [sym_preproc_undef] = STATE(3795),
    [anon_sym_EQ] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5307),
    [anon_sym_PLUS_EQ] = ACTIONS(5723),
    [anon_sym_DASH_EQ] = ACTIONS(5723),
    [anon_sym_STAR_EQ] = ACTIONS(5723),
    [anon_sym_SLASH_EQ] = ACTIONS(5723),
    [anon_sym_PERCENT_EQ] = ACTIONS(5723),
    [anon_sym_AMP_EQ] = ACTIONS(5723),
    [anon_sym_CARET_EQ] = ACTIONS(5723),
    [anon_sym_PIPE_EQ] = ACTIONS(5723),
    [anon_sym_LT_LT_EQ] = ACTIONS(5723),
    [anon_sym_GT_GT_EQ] = ACTIONS(5723),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5723),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5723),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3796] = {
    [sym_preproc_region] = STATE(3796),
    [sym_preproc_endregion] = STATE(3796),
    [sym_preproc_line] = STATE(3796),
    [sym_preproc_pragma] = STATE(3796),
    [sym_preproc_nullable] = STATE(3796),
    [sym_preproc_error] = STATE(3796),
    [sym_preproc_define] = STATE(3796),
    [sym_preproc_undef] = STATE(3796),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_event] = ACTIONS(4040),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_TILDE] = ACTIONS(5725),
    [anon_sym_implicit] = ACTIONS(4040),
    [anon_sym_explicit] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3797] = {
    [sym_preproc_region] = STATE(3797),
    [sym_preproc_endregion] = STATE(3797),
    [sym_preproc_line] = STATE(3797),
    [sym_preproc_pragma] = STATE(3797),
    [sym_preproc_nullable] = STATE(3797),
    [sym_preproc_error] = STATE(3797),
    [sym_preproc_define] = STATE(3797),
    [sym_preproc_undef] = STATE(3797),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_event] = ACTIONS(4040),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_TILDE] = ACTIONS(4302),
    [anon_sym_implicit] = ACTIONS(4040),
    [anon_sym_explicit] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3798] = {
    [sym_preproc_region] = STATE(3798),
    [sym_preproc_endregion] = STATE(3798),
    [sym_preproc_line] = STATE(3798),
    [sym_preproc_pragma] = STATE(3798),
    [sym_preproc_nullable] = STATE(3798),
    [sym_preproc_error] = STATE(3798),
    [sym_preproc_define] = STATE(3798),
    [sym_preproc_undef] = STATE(3798),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4791),
    [anon_sym_RBRACK] = ACTIONS(4791),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_RPAREN] = ACTIONS(4791),
    [anon_sym_RBRACE] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_EQ_GT] = ACTIONS(4789),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3799] = {
    [sym_preproc_region] = STATE(3799),
    [sym_preproc_endregion] = STATE(3799),
    [sym_preproc_line] = STATE(3799),
    [sym_preproc_pragma] = STATE(3799),
    [sym_preproc_nullable] = STATE(3799),
    [sym_preproc_error] = STATE(3799),
    [sym_preproc_define] = STATE(3799),
    [sym_preproc_undef] = STATE(3799),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_COLON] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_LPAREN] = ACTIONS(4705),
    [anon_sym_RPAREN] = ACTIONS(4705),
    [anon_sym_RBRACE] = ACTIONS(4705),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_GT] = ACTIONS(4707),
    [anon_sym_QMARK] = ACTIONS(4707),
    [anon_sym_BANG] = ACTIONS(4707),
    [anon_sym_PLUS_PLUS] = ACTIONS(4705),
    [anon_sym_DASH_DASH] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4707),
    [anon_sym_DASH] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_SLASH] = ACTIONS(4707),
    [anon_sym_PERCENT] = ACTIONS(4707),
    [anon_sym_CARET] = ACTIONS(4707),
    [anon_sym_PIPE] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4707),
    [anon_sym_LT_LT] = ACTIONS(4707),
    [anon_sym_GT_GT] = ACTIONS(4707),
    [anon_sym_GT_GT_GT] = ACTIONS(4707),
    [anon_sym_EQ_EQ] = ACTIONS(4705),
    [anon_sym_BANG_EQ] = ACTIONS(4705),
    [anon_sym_GT_EQ] = ACTIONS(4705),
    [anon_sym_LT_EQ] = ACTIONS(4705),
    [anon_sym_DOT] = ACTIONS(4707),
    [anon_sym_switch] = ACTIONS(4705),
    [anon_sym_when] = ACTIONS(4705),
    [anon_sym_DOT_DOT] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4705),
    [anon_sym_PIPE_PIPE] = ACTIONS(4705),
    [anon_sym_QMARK_QMARK] = ACTIONS(4707),
    [anon_sym_into] = ACTIONS(4705),
    [anon_sym_as] = ACTIONS(4705),
    [anon_sym_is] = ACTIONS(4705),
    [anon_sym_DASH_GT] = ACTIONS(4705),
    [anon_sym_with] = ACTIONS(4705),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3800] = {
    [sym_preproc_region] = STATE(3800),
    [sym_preproc_endregion] = STATE(3800),
    [sym_preproc_line] = STATE(3800),
    [sym_preproc_pragma] = STATE(3800),
    [sym_preproc_nullable] = STATE(3800),
    [sym_preproc_error] = STATE(3800),
    [sym_preproc_define] = STATE(3800),
    [sym_preproc_undef] = STATE(3800),
    [anon_sym_EQ] = ACTIONS(5727),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5729),
    [anon_sym_DASH_EQ] = ACTIONS(5729),
    [anon_sym_STAR_EQ] = ACTIONS(5729),
    [anon_sym_SLASH_EQ] = ACTIONS(5729),
    [anon_sym_PERCENT_EQ] = ACTIONS(5729),
    [anon_sym_AMP_EQ] = ACTIONS(5729),
    [anon_sym_CARET_EQ] = ACTIONS(5729),
    [anon_sym_PIPE_EQ] = ACTIONS(5729),
    [anon_sym_LT_LT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5729),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3801] = {
    [sym_type_argument_list] = STATE(3915),
    [sym_preproc_region] = STATE(3801),
    [sym_preproc_endregion] = STATE(3801),
    [sym_preproc_line] = STATE(3801),
    [sym_preproc_pragma] = STATE(3801),
    [sym_preproc_nullable] = STATE(3801),
    [sym_preproc_error] = STATE(3801),
    [sym_preproc_define] = STATE(3801),
    [sym_preproc_undef] = STATE(3801),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_COLON_COLON] = ACTIONS(5734),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3802] = {
    [sym_preproc_region] = STATE(3802),
    [sym_preproc_endregion] = STATE(3802),
    [sym_preproc_line] = STATE(3802),
    [sym_preproc_pragma] = STATE(3802),
    [sym_preproc_nullable] = STATE(3802),
    [sym_preproc_error] = STATE(3802),
    [sym_preproc_define] = STATE(3802),
    [sym_preproc_undef] = STATE(3802),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_event] = ACTIONS(4040),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_implicit] = ACTIONS(4040),
    [anon_sym_explicit] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3803] = {
    [sym_attribute_list] = STATE(7287),
    [sym_type_parameter] = STATE(8498),
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8606),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(7599),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3803),
    [sym_preproc_endregion] = STATE(3803),
    [sym_preproc_line] = STATE(3803),
    [sym_preproc_pragma] = STATE(3803),
    [sym_preproc_nullable] = STATE(3803),
    [sym_preproc_error] = STATE(3803),
    [sym_preproc_define] = STATE(3803),
    [sym_preproc_undef] = STATE(3803),
    [aux_sym_class_declaration_repeat1] = STATE(6839),
    [aux_sym_type_argument_list_repeat1] = STATE(8609),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(5736),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_in] = ACTIONS(5746),
    [anon_sym_out] = ACTIONS(5746),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3804] = {
    [sym_attribute_list] = STATE(4408),
    [sym_modifier] = STATE(4476),
    [sym_identifier] = STATE(7897),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3804),
    [sym_preproc_endregion] = STATE(3804),
    [sym_preproc_line] = STATE(3804),
    [sym_preproc_pragma] = STATE(3804),
    [sym_preproc_nullable] = STATE(3804),
    [sym_preproc_error] = STATE(3804),
    [sym_preproc_define] = STATE(3804),
    [sym_preproc_undef] = STATE(3804),
    [aux_sym_class_declaration_repeat1] = STATE(4117),
    [aux_sym_class_declaration_repeat2] = STATE(4001),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(5429),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(5429),
    [anon_sym_static] = ACTIONS(5429),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_abstract] = ACTIONS(5429),
    [anon_sym_async] = ACTIONS(5429),
    [anon_sym_const] = ACTIONS(5429),
    [anon_sym_file] = ACTIONS(5435),
    [anon_sym_fixed] = ACTIONS(5429),
    [anon_sym_internal] = ACTIONS(5429),
    [anon_sym_new] = ACTIONS(5429),
    [anon_sym_override] = ACTIONS(5429),
    [anon_sym_partial] = ACTIONS(5429),
    [anon_sym_private] = ACTIONS(5429),
    [anon_sym_protected] = ACTIONS(5429),
    [anon_sym_public] = ACTIONS(5429),
    [anon_sym_readonly] = ACTIONS(5429),
    [anon_sym_required] = ACTIONS(5429),
    [anon_sym_sealed] = ACTIONS(5429),
    [anon_sym_virtual] = ACTIONS(5429),
    [anon_sym_volatile] = ACTIONS(5429),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_get] = ACTIONS(5752),
    [anon_sym_set] = ACTIONS(5752),
    [anon_sym_add] = ACTIONS(5752),
    [anon_sym_remove] = ACTIONS(5752),
    [anon_sym_init] = ACTIONS(5752),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3805] = {
    [sym_argument_list] = STATE(3812),
    [sym_initializer_expression] = STATE(4088),
    [sym_preproc_region] = STATE(3805),
    [sym_preproc_endregion] = STATE(3805),
    [sym_preproc_line] = STATE(3805),
    [sym_preproc_pragma] = STATE(3805),
    [sym_preproc_nullable] = STATE(3805),
    [sym_preproc_error] = STATE(3805),
    [sym_preproc_define] = STATE(3805),
    [sym_preproc_undef] = STATE(3805),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_COLON] = ACTIONS(5243),
    [anon_sym_COMMA] = ACTIONS(5243),
    [anon_sym_RBRACK] = ACTIONS(5243),
    [anon_sym_LPAREN] = ACTIONS(5754),
    [anon_sym_RPAREN] = ACTIONS(5243),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(5243),
    [anon_sym_LT] = ACTIONS(5247),
    [anon_sym_GT] = ACTIONS(5247),
    [anon_sym_in] = ACTIONS(5247),
    [anon_sym_QMARK] = ACTIONS(5247),
    [anon_sym_BANG] = ACTIONS(5247),
    [anon_sym_PLUS_PLUS] = ACTIONS(5243),
    [anon_sym_DASH_DASH] = ACTIONS(5243),
    [anon_sym_PLUS] = ACTIONS(5247),
    [anon_sym_DASH] = ACTIONS(5247),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_SLASH] = ACTIONS(5247),
    [anon_sym_PERCENT] = ACTIONS(5243),
    [anon_sym_CARET] = ACTIONS(5243),
    [anon_sym_PIPE] = ACTIONS(5247),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_LT_LT] = ACTIONS(5243),
    [anon_sym_GT_GT] = ACTIONS(5247),
    [anon_sym_GT_GT_GT] = ACTIONS(5243),
    [anon_sym_EQ_EQ] = ACTIONS(5243),
    [anon_sym_BANG_EQ] = ACTIONS(5243),
    [anon_sym_GT_EQ] = ACTIONS(5243),
    [anon_sym_LT_EQ] = ACTIONS(5243),
    [anon_sym_DOT] = ACTIONS(5247),
    [anon_sym_EQ_GT] = ACTIONS(5243),
    [anon_sym_switch] = ACTIONS(5243),
    [anon_sym_when] = ACTIONS(5243),
    [anon_sym_DOT_DOT] = ACTIONS(5243),
    [anon_sym_and] = ACTIONS(5243),
    [anon_sym_or] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_PIPE_PIPE] = ACTIONS(5243),
    [anon_sym_QMARK_QMARK] = ACTIONS(5243),
    [anon_sym_into] = ACTIONS(5243),
    [anon_sym_on] = ACTIONS(5243),
    [anon_sym_equals] = ACTIONS(5243),
    [anon_sym_by] = ACTIONS(5243),
    [anon_sym_as] = ACTIONS(5243),
    [anon_sym_is] = ACTIONS(5243),
    [anon_sym_DASH_GT] = ACTIONS(5243),
    [anon_sym_with] = ACTIONS(5243),
    [aux_sym_preproc_if_token3] = ACTIONS(5243),
    [aux_sym_preproc_else_token1] = ACTIONS(5243),
    [aux_sym_preproc_elif_token1] = ACTIONS(5243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3806] = {
    [sym_preproc_region] = STATE(3806),
    [sym_preproc_endregion] = STATE(3806),
    [sym_preproc_line] = STATE(3806),
    [sym_preproc_pragma] = STATE(3806),
    [sym_preproc_nullable] = STATE(3806),
    [sym_preproc_error] = STATE(3806),
    [sym_preproc_define] = STATE(3806),
    [sym_preproc_undef] = STATE(3806),
    [sym__identifier_token] = ACTIONS(5756),
    [anon_sym_extern] = ACTIONS(5756),
    [anon_sym_alias] = ACTIONS(5756),
    [anon_sym_global] = ACTIONS(5756),
    [anon_sym_unsafe] = ACTIONS(5756),
    [anon_sym_static] = ACTIONS(5756),
    [anon_sym_LPAREN] = ACTIONS(5758),
    [anon_sym_event] = ACTIONS(5756),
    [anon_sym_class] = ACTIONS(5756),
    [anon_sym_ref] = ACTIONS(5756),
    [anon_sym_struct] = ACTIONS(5756),
    [anon_sym_enum] = ACTIONS(5756),
    [anon_sym_interface] = ACTIONS(5756),
    [anon_sym_delegate] = ACTIONS(5756),
    [anon_sym_record] = ACTIONS(5756),
    [anon_sym_abstract] = ACTIONS(5756),
    [anon_sym_async] = ACTIONS(5756),
    [anon_sym_const] = ACTIONS(5756),
    [anon_sym_file] = ACTIONS(5756),
    [anon_sym_fixed] = ACTIONS(5756),
    [anon_sym_internal] = ACTIONS(5756),
    [anon_sym_new] = ACTIONS(5756),
    [anon_sym_override] = ACTIONS(5756),
    [anon_sym_partial] = ACTIONS(5756),
    [anon_sym_private] = ACTIONS(5756),
    [anon_sym_protected] = ACTIONS(5756),
    [anon_sym_public] = ACTIONS(5756),
    [anon_sym_readonly] = ACTIONS(5756),
    [anon_sym_required] = ACTIONS(5756),
    [anon_sym_sealed] = ACTIONS(5756),
    [anon_sym_virtual] = ACTIONS(5756),
    [anon_sym_volatile] = ACTIONS(5756),
    [anon_sym_where] = ACTIONS(5756),
    [anon_sym_notnull] = ACTIONS(5756),
    [anon_sym_unmanaged] = ACTIONS(5756),
    [anon_sym_implicit] = ACTIONS(5756),
    [anon_sym_explicit] = ACTIONS(5756),
    [anon_sym_scoped] = ACTIONS(5756),
    [anon_sym_var] = ACTIONS(5756),
    [sym_predefined_type] = ACTIONS(5756),
    [anon_sym_yield] = ACTIONS(5756),
    [anon_sym_when] = ACTIONS(5756),
    [anon_sym_from] = ACTIONS(5756),
    [anon_sym_into] = ACTIONS(5756),
    [anon_sym_join] = ACTIONS(5756),
    [anon_sym_on] = ACTIONS(5756),
    [anon_sym_equals] = ACTIONS(5756),
    [anon_sym_let] = ACTIONS(5756),
    [anon_sym_orderby] = ACTIONS(5756),
    [anon_sym_ascending] = ACTIONS(5756),
    [anon_sym_descending] = ACTIONS(5756),
    [anon_sym_group] = ACTIONS(5756),
    [anon_sym_by] = ACTIONS(5756),
    [anon_sym_select] = ACTIONS(5756),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3807] = {
    [sym_attribute_list] = STATE(6712),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7374),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(6746),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3807),
    [sym_preproc_endregion] = STATE(3807),
    [sym_preproc_line] = STATE(3807),
    [sym_preproc_pragma] = STATE(3807),
    [sym_preproc_nullable] = STATE(3807),
    [sym_preproc_error] = STATE(3807),
    [sym_preproc_define] = STATE(3807),
    [sym_preproc_undef] = STATE(3807),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(4320),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_params] = ACTIONS(5321),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3808] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6991),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9019),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3808),
    [sym_preproc_endregion] = STATE(3808),
    [sym_preproc_line] = STATE(3808),
    [sym_preproc_pragma] = STATE(3808),
    [sym_preproc_nullable] = STATE(3808),
    [sym_preproc_error] = STATE(3808),
    [sym_preproc_define] = STATE(3808),
    [sym_preproc_undef] = STATE(3808),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4259),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3809] = {
    [sym_initializer_expression] = STATE(4024),
    [sym_preproc_region] = STATE(3809),
    [sym_preproc_endregion] = STATE(3809),
    [sym_preproc_line] = STATE(3809),
    [sym_preproc_pragma] = STATE(3809),
    [sym_preproc_nullable] = STATE(3809),
    [sym_preproc_error] = STATE(3809),
    [sym_preproc_define] = STATE(3809),
    [sym_preproc_undef] = STATE(3809),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_COLON] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_RBRACK] = ACTIONS(5279),
    [anon_sym_LPAREN] = ACTIONS(5279),
    [anon_sym_RPAREN] = ACTIONS(5279),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(5279),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_in] = ACTIONS(5281),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_BANG] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_GT_GT_GT] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_EQ_GT] = ACTIONS(5279),
    [anon_sym_switch] = ACTIONS(5279),
    [anon_sym_when] = ACTIONS(5279),
    [anon_sym_DOT_DOT] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_QMARK_QMARK] = ACTIONS(5279),
    [anon_sym_into] = ACTIONS(5279),
    [anon_sym_on] = ACTIONS(5279),
    [anon_sym_equals] = ACTIONS(5279),
    [anon_sym_by] = ACTIONS(5279),
    [anon_sym_as] = ACTIONS(5279),
    [anon_sym_is] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_with] = ACTIONS(5279),
    [aux_sym_preproc_if_token3] = ACTIONS(5279),
    [aux_sym_preproc_else_token1] = ACTIONS(5279),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3810] = {
    [sym_argument_list] = STATE(3993),
    [sym_bracketed_argument_list] = STATE(3187),
    [sym_preproc_region] = STATE(3810),
    [sym_preproc_endregion] = STATE(3810),
    [sym_preproc_line] = STATE(3810),
    [sym_preproc_pragma] = STATE(3810),
    [sym_preproc_nullable] = STATE(3810),
    [sym_preproc_error] = STATE(3810),
    [sym_preproc_define] = STATE(3810),
    [sym_preproc_undef] = STATE(3810),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5269),
    [anon_sym_COMMA] = ACTIONS(5269),
    [anon_sym_RBRACK] = ACTIONS(5269),
    [anon_sym_LPAREN] = ACTIONS(5754),
    [anon_sym_RPAREN] = ACTIONS(5269),
    [anon_sym_RBRACE] = ACTIONS(5269),
    [anon_sym_LT] = ACTIONS(5273),
    [anon_sym_GT] = ACTIONS(5273),
    [anon_sym_in] = ACTIONS(5273),
    [anon_sym_QMARK] = ACTIONS(5273),
    [anon_sym_BANG] = ACTIONS(5762),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5273),
    [anon_sym_DASH] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_SLASH] = ACTIONS(5273),
    [anon_sym_PERCENT] = ACTIONS(5269),
    [anon_sym_CARET] = ACTIONS(5269),
    [anon_sym_PIPE] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_LT_LT] = ACTIONS(5269),
    [anon_sym_GT_GT] = ACTIONS(5273),
    [anon_sym_GT_GT_GT] = ACTIONS(5269),
    [anon_sym_EQ_EQ] = ACTIONS(5269),
    [anon_sym_BANG_EQ] = ACTIONS(5269),
    [anon_sym_GT_EQ] = ACTIONS(5269),
    [anon_sym_LT_EQ] = ACTIONS(5269),
    [anon_sym_DOT] = ACTIONS(4592),
    [anon_sym_EQ_GT] = ACTIONS(5269),
    [anon_sym_switch] = ACTIONS(5269),
    [anon_sym_when] = ACTIONS(5269),
    [anon_sym_DOT_DOT] = ACTIONS(5269),
    [anon_sym_and] = ACTIONS(5269),
    [anon_sym_or] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_PIPE_PIPE] = ACTIONS(5269),
    [anon_sym_QMARK_QMARK] = ACTIONS(5269),
    [anon_sym_into] = ACTIONS(5269),
    [anon_sym_on] = ACTIONS(5269),
    [anon_sym_equals] = ACTIONS(5269),
    [anon_sym_by] = ACTIONS(5269),
    [anon_sym_as] = ACTIONS(5269),
    [anon_sym_is] = ACTIONS(5269),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(5269),
    [aux_sym_preproc_if_token3] = ACTIONS(5269),
    [aux_sym_preproc_else_token1] = ACTIONS(5269),
    [aux_sym_preproc_elif_token1] = ACTIONS(5269),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3811] = {
    [sym_initializer_expression] = STATE(4031),
    [sym_preproc_region] = STATE(3811),
    [sym_preproc_endregion] = STATE(3811),
    [sym_preproc_line] = STATE(3811),
    [sym_preproc_pragma] = STATE(3811),
    [sym_preproc_nullable] = STATE(3811),
    [sym_preproc_error] = STATE(3811),
    [sym_preproc_define] = STATE(3811),
    [sym_preproc_undef] = STATE(3811),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_COLON] = ACTIONS(5286),
    [anon_sym_COMMA] = ACTIONS(5286),
    [anon_sym_RBRACK] = ACTIONS(5286),
    [anon_sym_LPAREN] = ACTIONS(5286),
    [anon_sym_RPAREN] = ACTIONS(5286),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(5286),
    [anon_sym_LT] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5291),
    [anon_sym_in] = ACTIONS(5291),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_BANG] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5286),
    [anon_sym_DASH_DASH] = ACTIONS(5286),
    [anon_sym_PLUS] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_SLASH] = ACTIONS(5291),
    [anon_sym_PERCENT] = ACTIONS(5286),
    [anon_sym_CARET] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_LT_LT] = ACTIONS(5286),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_GT_GT_GT] = ACTIONS(5286),
    [anon_sym_EQ_EQ] = ACTIONS(5286),
    [anon_sym_BANG_EQ] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5286),
    [anon_sym_LT_EQ] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5291),
    [anon_sym_EQ_GT] = ACTIONS(5286),
    [anon_sym_switch] = ACTIONS(5286),
    [anon_sym_when] = ACTIONS(5286),
    [anon_sym_DOT_DOT] = ACTIONS(5286),
    [anon_sym_and] = ACTIONS(5286),
    [anon_sym_or] = ACTIONS(5286),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_PIPE_PIPE] = ACTIONS(5286),
    [anon_sym_QMARK_QMARK] = ACTIONS(5286),
    [anon_sym_into] = ACTIONS(5286),
    [anon_sym_on] = ACTIONS(5286),
    [anon_sym_equals] = ACTIONS(5286),
    [anon_sym_by] = ACTIONS(5286),
    [anon_sym_as] = ACTIONS(5286),
    [anon_sym_is] = ACTIONS(5286),
    [anon_sym_DASH_GT] = ACTIONS(5286),
    [anon_sym_with] = ACTIONS(5286),
    [aux_sym_preproc_if_token3] = ACTIONS(5286),
    [aux_sym_preproc_else_token1] = ACTIONS(5286),
    [aux_sym_preproc_elif_token1] = ACTIONS(5286),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3812] = {
    [sym_initializer_expression] = STATE(4043),
    [sym_preproc_region] = STATE(3812),
    [sym_preproc_endregion] = STATE(3812),
    [sym_preproc_line] = STATE(3812),
    [sym_preproc_pragma] = STATE(3812),
    [sym_preproc_nullable] = STATE(3812),
    [sym_preproc_error] = STATE(3812),
    [sym_preproc_define] = STATE(3812),
    [sym_preproc_undef] = STATE(3812),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_RBRACK] = ACTIONS(5323),
    [anon_sym_LPAREN] = ACTIONS(5323),
    [anon_sym_RPAREN] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_in] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_BANG] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_GT_GT_GT] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_EQ_GT] = ACTIONS(5323),
    [anon_sym_switch] = ACTIONS(5323),
    [anon_sym_when] = ACTIONS(5323),
    [anon_sym_DOT_DOT] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_QMARK_QMARK] = ACTIONS(5323),
    [anon_sym_into] = ACTIONS(5323),
    [anon_sym_on] = ACTIONS(5323),
    [anon_sym_equals] = ACTIONS(5323),
    [anon_sym_by] = ACTIONS(5323),
    [anon_sym_as] = ACTIONS(5323),
    [anon_sym_is] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_with] = ACTIONS(5323),
    [aux_sym_preproc_if_token3] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3813] = {
    [sym_type_argument_list] = STATE(3895),
    [sym_preproc_region] = STATE(3813),
    [sym_preproc_endregion] = STATE(3813),
    [sym_preproc_line] = STATE(3813),
    [sym_preproc_pragma] = STATE(3813),
    [sym_preproc_nullable] = STATE(3813),
    [sym_preproc_error] = STATE(3813),
    [sym_preproc_define] = STATE(3813),
    [sym_preproc_undef] = STATE(3813),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [3814] = {
    [sym__name] = STATE(8930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_identifier] = STATE(7890),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3814),
    [sym_preproc_endregion] = STATE(3814),
    [sym_preproc_line] = STATE(3814),
    [sym_preproc_pragma] = STATE(3814),
    [sym_preproc_nullable] = STATE(3814),
    [sym_preproc_error] = STATE(3814),
    [sym_preproc_define] = STATE(3814),
    [sym_preproc_undef] = STATE(3814),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3815] = {
    [sym_initializer_expression] = STATE(4027),
    [sym_preproc_region] = STATE(3815),
    [sym_preproc_endregion] = STATE(3815),
    [sym_preproc_line] = STATE(3815),
    [sym_preproc_pragma] = STATE(3815),
    [sym_preproc_nullable] = STATE(3815),
    [sym_preproc_error] = STATE(3815),
    [sym_preproc_define] = STATE(3815),
    [sym_preproc_undef] = STATE(3815),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_RBRACK] = ACTIONS(5386),
    [anon_sym_LPAREN] = ACTIONS(5386),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5769),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_in] = ACTIONS(5392),
    [anon_sym_QMARK] = ACTIONS(5772),
    [anon_sym_BANG] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_GT_GT_GT] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_EQ_GT] = ACTIONS(5386),
    [anon_sym_switch] = ACTIONS(5386),
    [anon_sym_when] = ACTIONS(5386),
    [anon_sym_DOT_DOT] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_QMARK_QMARK] = ACTIONS(5386),
    [anon_sym_into] = ACTIONS(5386),
    [anon_sym_on] = ACTIONS(5386),
    [anon_sym_equals] = ACTIONS(5386),
    [anon_sym_by] = ACTIONS(5386),
    [anon_sym_as] = ACTIONS(5386),
    [anon_sym_is] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [anon_sym_with] = ACTIONS(5386),
    [aux_sym_preproc_if_token3] = ACTIONS(5386),
    [aux_sym_preproc_else_token1] = ACTIONS(5386),
    [aux_sym_preproc_elif_token1] = ACTIONS(5386),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3816] = {
    [sym_preproc_region] = STATE(3816),
    [sym_preproc_endregion] = STATE(3816),
    [sym_preproc_line] = STATE(3816),
    [sym_preproc_pragma] = STATE(3816),
    [sym_preproc_nullable] = STATE(3816),
    [sym_preproc_error] = STATE(3816),
    [sym_preproc_define] = STATE(3816),
    [sym_preproc_undef] = STATE(3816),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_RBRACK] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_RPAREN] = ACTIONS(4789),
    [anon_sym_RBRACE] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3817] = {
    [sym__name] = STATE(8970),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_identifier] = STATE(7926),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3817),
    [sym_preproc_endregion] = STATE(3817),
    [sym_preproc_line] = STATE(3817),
    [sym_preproc_pragma] = STATE(3817),
    [sym_preproc_nullable] = STATE(3817),
    [sym_preproc_error] = STATE(3817),
    [sym_preproc_define] = STATE(3817),
    [sym_preproc_undef] = STATE(3817),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3818] = {
    [sym__name] = STATE(8970),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3818),
    [sym_preproc_endregion] = STATE(3818),
    [sym_preproc_line] = STATE(3818),
    [sym_preproc_pragma] = STATE(3818),
    [sym_preproc_nullable] = STATE(3818),
    [sym_preproc_error] = STATE(3818),
    [sym_preproc_define] = STATE(3818),
    [sym_preproc_undef] = STATE(3818),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(5776),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3819] = {
    [sym_type_argument_list] = STATE(3915),
    [sym_preproc_region] = STATE(3819),
    [sym_preproc_endregion] = STATE(3819),
    [sym_preproc_line] = STATE(3819),
    [sym_preproc_pragma] = STATE(3819),
    [sym_preproc_nullable] = STATE(3819),
    [sym_preproc_error] = STATE(3819),
    [sym_preproc_define] = STATE(3819),
    [sym_preproc_undef] = STATE(3819),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3820] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7085),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9155),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3820),
    [sym_preproc_endregion] = STATE(3820),
    [sym_preproc_line] = STATE(3820),
    [sym_preproc_pragma] = STATE(3820),
    [sym_preproc_nullable] = STATE(3820),
    [sym_preproc_error] = STATE(3820),
    [sym_preproc_define] = STATE(3820),
    [sym_preproc_undef] = STATE(3820),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4284),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3821] = {
    [sym__name] = STATE(8930),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(3821),
    [sym_preproc_endregion] = STATE(3821),
    [sym_preproc_line] = STATE(3821),
    [sym_preproc_pragma] = STATE(3821),
    [sym_preproc_nullable] = STATE(3821),
    [sym_preproc_error] = STATE(3821),
    [sym_preproc_define] = STATE(3821),
    [sym_preproc_undef] = STATE(3821),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(5778),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(27),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3822] = {
    [sym_preproc_region] = STATE(3822),
    [sym_preproc_endregion] = STATE(3822),
    [sym_preproc_line] = STATE(3822),
    [sym_preproc_pragma] = STATE(3822),
    [sym_preproc_nullable] = STATE(3822),
    [sym_preproc_error] = STATE(3822),
    [sym_preproc_define] = STATE(3822),
    [sym_preproc_undef] = STATE(3822),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(4086),
    [anon_sym_when] = ACTIONS(4086),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4086),
    [anon_sym_or] = ACTIONS(4086),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4086),
    [anon_sym_into] = ACTIONS(4086),
    [anon_sym_on] = ACTIONS(4086),
    [anon_sym_equals] = ACTIONS(4086),
    [anon_sym_by] = ACTIONS(4086),
    [anon_sym_as] = ACTIONS(4086),
    [anon_sym_is] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3823] = {
    [sym_preproc_region] = STATE(3823),
    [sym_preproc_endregion] = STATE(3823),
    [sym_preproc_line] = STATE(3823),
    [sym_preproc_pragma] = STATE(3823),
    [sym_preproc_nullable] = STATE(3823),
    [sym_preproc_error] = STATE(3823),
    [sym_preproc_define] = STATE(3823),
    [sym_preproc_undef] = STATE(3823),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_EQ] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5782),
    [anon_sym_DASH_EQ] = ACTIONS(5782),
    [anon_sym_STAR_EQ] = ACTIONS(5782),
    [anon_sym_SLASH_EQ] = ACTIONS(5782),
    [anon_sym_PERCENT_EQ] = ACTIONS(5782),
    [anon_sym_AMP_EQ] = ACTIONS(5782),
    [anon_sym_CARET_EQ] = ACTIONS(5782),
    [anon_sym_PIPE_EQ] = ACTIONS(5782),
    [anon_sym_LT_LT_EQ] = ACTIONS(5782),
    [anon_sym_GT_GT_EQ] = ACTIONS(5782),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5782),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5782),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3824] = {
    [sym_preproc_region] = STATE(3824),
    [sym_preproc_endregion] = STATE(3824),
    [sym_preproc_line] = STATE(3824),
    [sym_preproc_pragma] = STATE(3824),
    [sym_preproc_nullable] = STATE(3824),
    [sym_preproc_error] = STATE(3824),
    [sym_preproc_define] = STATE(3824),
    [sym_preproc_undef] = STATE(3824),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_when] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_into] = ACTIONS(3995),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3825] = {
    [sym_preproc_region] = STATE(3825),
    [sym_preproc_endregion] = STATE(3825),
    [sym_preproc_line] = STATE(3825),
    [sym_preproc_pragma] = STATE(3825),
    [sym_preproc_nullable] = STATE(3825),
    [sym_preproc_error] = STATE(3825),
    [sym_preproc_define] = STATE(3825),
    [sym_preproc_undef] = STATE(3825),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_into] = ACTIONS(4122),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3826] = {
    [sym_argument_list] = STATE(3935),
    [sym_initializer_expression] = STATE(4126),
    [sym_preproc_region] = STATE(3826),
    [sym_preproc_endregion] = STATE(3826),
    [sym_preproc_line] = STATE(3826),
    [sym_preproc_pragma] = STATE(3826),
    [sym_preproc_nullable] = STATE(3826),
    [sym_preproc_error] = STATE(3826),
    [sym_preproc_define] = STATE(3826),
    [sym_preproc_undef] = STATE(3826),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_COLON] = ACTIONS(5243),
    [anon_sym_COMMA] = ACTIONS(5243),
    [anon_sym_RBRACK] = ACTIONS(5243),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5243),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(5243),
    [anon_sym_LT] = ACTIONS(5247),
    [anon_sym_GT] = ACTIONS(5247),
    [anon_sym_in] = ACTIONS(5243),
    [anon_sym_QMARK] = ACTIONS(5247),
    [anon_sym_BANG] = ACTIONS(5247),
    [anon_sym_PLUS_PLUS] = ACTIONS(5243),
    [anon_sym_DASH_DASH] = ACTIONS(5243),
    [anon_sym_PLUS] = ACTIONS(5247),
    [anon_sym_DASH] = ACTIONS(5247),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_SLASH] = ACTIONS(5247),
    [anon_sym_PERCENT] = ACTIONS(5243),
    [anon_sym_CARET] = ACTIONS(5243),
    [anon_sym_PIPE] = ACTIONS(5247),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_LT_LT] = ACTIONS(5243),
    [anon_sym_GT_GT] = ACTIONS(5247),
    [anon_sym_GT_GT_GT] = ACTIONS(5243),
    [anon_sym_EQ_EQ] = ACTIONS(5243),
    [anon_sym_BANG_EQ] = ACTIONS(5243),
    [anon_sym_GT_EQ] = ACTIONS(5243),
    [anon_sym_LT_EQ] = ACTIONS(5243),
    [anon_sym_DOT] = ACTIONS(5247),
    [anon_sym_EQ_GT] = ACTIONS(5243),
    [anon_sym_switch] = ACTIONS(5243),
    [anon_sym_when] = ACTIONS(5243),
    [anon_sym_DOT_DOT] = ACTIONS(5243),
    [anon_sym_and] = ACTIONS(5243),
    [anon_sym_or] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_PIPE_PIPE] = ACTIONS(5243),
    [anon_sym_QMARK_QMARK] = ACTIONS(5243),
    [anon_sym_on] = ACTIONS(5243),
    [anon_sym_equals] = ACTIONS(5243),
    [anon_sym_by] = ACTIONS(5243),
    [anon_sym_as] = ACTIONS(5243),
    [anon_sym_is] = ACTIONS(5243),
    [anon_sym_DASH_GT] = ACTIONS(5243),
    [anon_sym_with] = ACTIONS(5243),
    [aux_sym_preproc_if_token3] = ACTIONS(5243),
    [aux_sym_preproc_else_token1] = ACTIONS(5243),
    [aux_sym_preproc_elif_token1] = ACTIONS(5243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3827] = {
    [sym_argument_list] = STATE(3993),
    [sym_bracketed_argument_list] = STATE(3187),
    [sym_preproc_region] = STATE(3827),
    [sym_preproc_endregion] = STATE(3827),
    [sym_preproc_line] = STATE(3827),
    [sym_preproc_pragma] = STATE(3827),
    [sym_preproc_nullable] = STATE(3827),
    [sym_preproc_error] = STATE(3827),
    [sym_preproc_define] = STATE(3827),
    [sym_preproc_undef] = STATE(3827),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RBRACK] = ACTIONS(5311),
    [anon_sym_LPAREN] = ACTIONS(5754),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_in] = ACTIONS(5313),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_BANG] = ACTIONS(5762),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_GT_GT_GT] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(4592),
    [anon_sym_EQ_GT] = ACTIONS(5311),
    [anon_sym_switch] = ACTIONS(5311),
    [anon_sym_when] = ACTIONS(5311),
    [anon_sym_DOT_DOT] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_QMARK_QMARK] = ACTIONS(5311),
    [anon_sym_into] = ACTIONS(5311),
    [anon_sym_on] = ACTIONS(5311),
    [anon_sym_equals] = ACTIONS(5311),
    [anon_sym_by] = ACTIONS(5311),
    [anon_sym_as] = ACTIONS(5311),
    [anon_sym_is] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(5311),
    [aux_sym_preproc_if_token3] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3828] = {
    [sym_block] = STATE(2228),
    [sym_preproc_region] = STATE(3828),
    [sym_preproc_endregion] = STATE(3828),
    [sym_preproc_line] = STATE(3828),
    [sym_preproc_pragma] = STATE(3828),
    [sym_preproc_nullable] = STATE(3828),
    [sym_preproc_error] = STATE(3828),
    [sym_preproc_define] = STATE(3828),
    [sym_preproc_undef] = STATE(3828),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3829] = {
    [sym_preproc_region] = STATE(3829),
    [sym_preproc_endregion] = STATE(3829),
    [sym_preproc_line] = STATE(3829),
    [sym_preproc_pragma] = STATE(3829),
    [sym_preproc_nullable] = STATE(3829),
    [sym_preproc_error] = STATE(3829),
    [sym_preproc_define] = STATE(3829),
    [sym_preproc_undef] = STATE(3829),
    [anon_sym_EQ] = ACTIONS(5788),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_where] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5790),
    [anon_sym_DASH_EQ] = ACTIONS(5790),
    [anon_sym_STAR_EQ] = ACTIONS(5790),
    [anon_sym_SLASH_EQ] = ACTIONS(5790),
    [anon_sym_PERCENT_EQ] = ACTIONS(5790),
    [anon_sym_AMP_EQ] = ACTIONS(5790),
    [anon_sym_CARET_EQ] = ACTIONS(5790),
    [anon_sym_PIPE_EQ] = ACTIONS(5790),
    [anon_sym_LT_LT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5790),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5790),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_from] = ACTIONS(5305),
    [anon_sym_join] = ACTIONS(5305),
    [anon_sym_let] = ACTIONS(5305),
    [anon_sym_orderby] = ACTIONS(5305),
    [anon_sym_group] = ACTIONS(5305),
    [anon_sym_select] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3830] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7065),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9894),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3830),
    [sym_preproc_endregion] = STATE(3830),
    [sym_preproc_line] = STATE(3830),
    [sym_preproc_pragma] = STATE(3830),
    [sym_preproc_nullable] = STATE(3830),
    [sym_preproc_error] = STATE(3830),
    [sym_preproc_define] = STATE(3830),
    [sym_preproc_undef] = STATE(3830),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4132),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3831] = {
    [sym_preproc_region] = STATE(3831),
    [sym_preproc_endregion] = STATE(3831),
    [sym_preproc_line] = STATE(3831),
    [sym_preproc_pragma] = STATE(3831),
    [sym_preproc_nullable] = STATE(3831),
    [sym_preproc_error] = STATE(3831),
    [sym_preproc_define] = STATE(3831),
    [sym_preproc_undef] = STATE(3831),
    [anon_sym_EQ] = ACTIONS(5792),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5794),
    [anon_sym_DASH_EQ] = ACTIONS(5794),
    [anon_sym_STAR_EQ] = ACTIONS(5794),
    [anon_sym_SLASH_EQ] = ACTIONS(5794),
    [anon_sym_PERCENT_EQ] = ACTIONS(5794),
    [anon_sym_AMP_EQ] = ACTIONS(5794),
    [anon_sym_CARET_EQ] = ACTIONS(5794),
    [anon_sym_PIPE_EQ] = ACTIONS(5794),
    [anon_sym_LT_LT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5794),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5794),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3832] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7032),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9426),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3832),
    [sym_preproc_endregion] = STATE(3832),
    [sym_preproc_line] = STATE(3832),
    [sym_preproc_pragma] = STATE(3832),
    [sym_preproc_nullable] = STATE(3832),
    [sym_preproc_error] = STATE(3832),
    [sym_preproc_define] = STATE(3832),
    [sym_preproc_undef] = STATE(3832),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4142),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3833] = {
    [sym_block] = STATE(2444),
    [sym_preproc_region] = STATE(3833),
    [sym_preproc_endregion] = STATE(3833),
    [sym_preproc_line] = STATE(3833),
    [sym_preproc_pragma] = STATE(3833),
    [sym_preproc_nullable] = STATE(3833),
    [sym_preproc_error] = STATE(3833),
    [sym_preproc_define] = STATE(3833),
    [sym_preproc_undef] = STATE(3833),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3834] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7080),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9586),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3834),
    [sym_preproc_endregion] = STATE(3834),
    [sym_preproc_line] = STATE(3834),
    [sym_preproc_pragma] = STATE(3834),
    [sym_preproc_nullable] = STATE(3834),
    [sym_preproc_error] = STATE(3834),
    [sym_preproc_define] = STATE(3834),
    [sym_preproc_undef] = STATE(3834),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4153),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3835] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6986),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9642),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3835),
    [sym_preproc_endregion] = STATE(3835),
    [sym_preproc_line] = STATE(3835),
    [sym_preproc_pragma] = STATE(3835),
    [sym_preproc_nullable] = STATE(3835),
    [sym_preproc_error] = STATE(3835),
    [sym_preproc_define] = STATE(3835),
    [sym_preproc_undef] = STATE(3835),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4163),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3836] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7054),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9690),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3836),
    [sym_preproc_endregion] = STATE(3836),
    [sym_preproc_line] = STATE(3836),
    [sym_preproc_pragma] = STATE(3836),
    [sym_preproc_nullable] = STATE(3836),
    [sym_preproc_error] = STATE(3836),
    [sym_preproc_define] = STATE(3836),
    [sym_preproc_undef] = STATE(3836),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4173),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3837] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7103),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9759),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3837),
    [sym_preproc_endregion] = STATE(3837),
    [sym_preproc_line] = STATE(3837),
    [sym_preproc_pragma] = STATE(3837),
    [sym_preproc_nullable] = STATE(3837),
    [sym_preproc_error] = STATE(3837),
    [sym_preproc_define] = STATE(3837),
    [sym_preproc_undef] = STATE(3837),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4182),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3838] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7147),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9928),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3838),
    [sym_preproc_endregion] = STATE(3838),
    [sym_preproc_line] = STATE(3838),
    [sym_preproc_pragma] = STATE(3838),
    [sym_preproc_nullable] = STATE(3838),
    [sym_preproc_error] = STATE(3838),
    [sym_preproc_define] = STATE(3838),
    [sym_preproc_undef] = STATE(3838),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4189),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3839] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7016),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9184),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3839),
    [sym_preproc_endregion] = STATE(3839),
    [sym_preproc_line] = STATE(3839),
    [sym_preproc_pragma] = STATE(3839),
    [sym_preproc_nullable] = STATE(3839),
    [sym_preproc_error] = STATE(3839),
    [sym_preproc_define] = STATE(3839),
    [sym_preproc_undef] = STATE(3839),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4191),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3840] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7082),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9318),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3840),
    [sym_preproc_endregion] = STATE(3840),
    [sym_preproc_line] = STATE(3840),
    [sym_preproc_pragma] = STATE(3840),
    [sym_preproc_nullable] = STATE(3840),
    [sym_preproc_error] = STATE(3840),
    [sym_preproc_define] = STATE(3840),
    [sym_preproc_undef] = STATE(3840),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4194),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3841] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6994),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9357),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3841),
    [sym_preproc_endregion] = STATE(3841),
    [sym_preproc_line] = STATE(3841),
    [sym_preproc_pragma] = STATE(3841),
    [sym_preproc_nullable] = STATE(3841),
    [sym_preproc_error] = STATE(3841),
    [sym_preproc_define] = STATE(3841),
    [sym_preproc_undef] = STATE(3841),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4196),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3842] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7004),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9403),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3842),
    [sym_preproc_endregion] = STATE(3842),
    [sym_preproc_line] = STATE(3842),
    [sym_preproc_pragma] = STATE(3842),
    [sym_preproc_nullable] = STATE(3842),
    [sym_preproc_error] = STATE(3842),
    [sym_preproc_define] = STATE(3842),
    [sym_preproc_undef] = STATE(3842),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4198),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3843] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7021),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9455),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3843),
    [sym_preproc_endregion] = STATE(3843),
    [sym_preproc_line] = STATE(3843),
    [sym_preproc_pragma] = STATE(3843),
    [sym_preproc_nullable] = STATE(3843),
    [sym_preproc_error] = STATE(3843),
    [sym_preproc_define] = STATE(3843),
    [sym_preproc_undef] = STATE(3843),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4200),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3844] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7155),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9910),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3844),
    [sym_preproc_endregion] = STATE(3844),
    [sym_preproc_line] = STATE(3844),
    [sym_preproc_pragma] = STATE(3844),
    [sym_preproc_nullable] = STATE(3844),
    [sym_preproc_error] = STATE(3844),
    [sym_preproc_define] = STATE(3844),
    [sym_preproc_undef] = STATE(3844),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4326),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3845] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7052),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9289),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3845),
    [sym_preproc_endregion] = STATE(3845),
    [sym_preproc_line] = STATE(3845),
    [sym_preproc_pragma] = STATE(3845),
    [sym_preproc_nullable] = STATE(3845),
    [sym_preproc_error] = STATE(3845),
    [sym_preproc_define] = STATE(3845),
    [sym_preproc_undef] = STATE(3845),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4328),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3846] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7073),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9551),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3846),
    [sym_preproc_endregion] = STATE(3846),
    [sym_preproc_line] = STATE(3846),
    [sym_preproc_pragma] = STATE(3846),
    [sym_preproc_nullable] = STATE(3846),
    [sym_preproc_error] = STATE(3846),
    [sym_preproc_define] = STATE(3846),
    [sym_preproc_undef] = STATE(3846),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4207),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3847] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7089),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9576),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3847),
    [sym_preproc_endregion] = STATE(3847),
    [sym_preproc_line] = STATE(3847),
    [sym_preproc_pragma] = STATE(3847),
    [sym_preproc_nullable] = STATE(3847),
    [sym_preproc_error] = STATE(3847),
    [sym_preproc_define] = STATE(3847),
    [sym_preproc_undef] = STATE(3847),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4209),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3848] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7113),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9420),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3848),
    [sym_preproc_endregion] = STATE(3848),
    [sym_preproc_line] = STATE(3848),
    [sym_preproc_pragma] = STATE(3848),
    [sym_preproc_nullable] = STATE(3848),
    [sym_preproc_error] = STATE(3848),
    [sym_preproc_define] = STATE(3848),
    [sym_preproc_undef] = STATE(3848),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4212),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3849] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7137),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9873),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3849),
    [sym_preproc_endregion] = STATE(3849),
    [sym_preproc_line] = STATE(3849),
    [sym_preproc_pragma] = STATE(3849),
    [sym_preproc_nullable] = STATE(3849),
    [sym_preproc_error] = STATE(3849),
    [sym_preproc_define] = STATE(3849),
    [sym_preproc_undef] = STATE(3849),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4214),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3850] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7064),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9600),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3850),
    [sym_preproc_endregion] = STATE(3850),
    [sym_preproc_line] = STATE(3850),
    [sym_preproc_pragma] = STATE(3850),
    [sym_preproc_nullable] = STATE(3850),
    [sym_preproc_error] = STATE(3850),
    [sym_preproc_define] = STATE(3850),
    [sym_preproc_undef] = STATE(3850),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4217),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3851] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6952),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9116),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3851),
    [sym_preproc_endregion] = STATE(3851),
    [sym_preproc_line] = STATE(3851),
    [sym_preproc_pragma] = STATE(3851),
    [sym_preproc_nullable] = STATE(3851),
    [sym_preproc_error] = STATE(3851),
    [sym_preproc_define] = STATE(3851),
    [sym_preproc_undef] = STATE(3851),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4219),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3852] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6990),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9618),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3852),
    [sym_preproc_endregion] = STATE(3852),
    [sym_preproc_line] = STATE(3852),
    [sym_preproc_pragma] = STATE(3852),
    [sym_preproc_nullable] = STATE(3852),
    [sym_preproc_error] = STATE(3852),
    [sym_preproc_define] = STATE(3852),
    [sym_preproc_undef] = STATE(3852),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4222),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3853] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7009),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9647),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3853),
    [sym_preproc_endregion] = STATE(3853),
    [sym_preproc_line] = STATE(3853),
    [sym_preproc_pragma] = STATE(3853),
    [sym_preproc_nullable] = STATE(3853),
    [sym_preproc_error] = STATE(3853),
    [sym_preproc_define] = STATE(3853),
    [sym_preproc_undef] = STATE(3853),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4225),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3854] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7033),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9674),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3854),
    [sym_preproc_endregion] = STATE(3854),
    [sym_preproc_line] = STATE(3854),
    [sym_preproc_pragma] = STATE(3854),
    [sym_preproc_nullable] = STATE(3854),
    [sym_preproc_error] = STATE(3854),
    [sym_preproc_define] = STATE(3854),
    [sym_preproc_undef] = STATE(3854),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4227),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3855] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7055),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9699),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3855),
    [sym_preproc_endregion] = STATE(3855),
    [sym_preproc_line] = STATE(3855),
    [sym_preproc_pragma] = STATE(3855),
    [sym_preproc_nullable] = STATE(3855),
    [sym_preproc_error] = STATE(3855),
    [sym_preproc_define] = STATE(3855),
    [sym_preproc_undef] = STATE(3855),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4229),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3856] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7097),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9724),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3856),
    [sym_preproc_endregion] = STATE(3856),
    [sym_preproc_line] = STATE(3856),
    [sym_preproc_pragma] = STATE(3856),
    [sym_preproc_nullable] = STATE(3856),
    [sym_preproc_error] = STATE(3856),
    [sym_preproc_define] = STATE(3856),
    [sym_preproc_undef] = STATE(3856),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4232),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3857] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7123),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9756),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3857),
    [sym_preproc_endregion] = STATE(3857),
    [sym_preproc_line] = STATE(3857),
    [sym_preproc_pragma] = STATE(3857),
    [sym_preproc_nullable] = STATE(3857),
    [sym_preproc_error] = STATE(3857),
    [sym_preproc_define] = STATE(3857),
    [sym_preproc_undef] = STATE(3857),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4234),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3858] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7142),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9775),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3858),
    [sym_preproc_endregion] = STATE(3858),
    [sym_preproc_line] = STATE(3858),
    [sym_preproc_pragma] = STATE(3858),
    [sym_preproc_nullable] = STATE(3858),
    [sym_preproc_error] = STATE(3858),
    [sym_preproc_define] = STATE(3858),
    [sym_preproc_undef] = STATE(3858),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4237),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3859] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7153),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9800),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3859),
    [sym_preproc_endregion] = STATE(3859),
    [sym_preproc_line] = STATE(3859),
    [sym_preproc_pragma] = STATE(3859),
    [sym_preproc_nullable] = STATE(3859),
    [sym_preproc_error] = STATE(3859),
    [sym_preproc_define] = STATE(3859),
    [sym_preproc_undef] = STATE(3859),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4239),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3860] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6953),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9475),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3860),
    [sym_preproc_endregion] = STATE(3860),
    [sym_preproc_line] = STATE(3860),
    [sym_preproc_pragma] = STATE(3860),
    [sym_preproc_nullable] = STATE(3860),
    [sym_preproc_error] = STATE(3860),
    [sym_preproc_define] = STATE(3860),
    [sym_preproc_undef] = STATE(3860),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4242),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3861] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6958),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9821),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3861),
    [sym_preproc_endregion] = STATE(3861),
    [sym_preproc_line] = STATE(3861),
    [sym_preproc_pragma] = STATE(3861),
    [sym_preproc_nullable] = STATE(3861),
    [sym_preproc_error] = STATE(3861),
    [sym_preproc_define] = STATE(3861),
    [sym_preproc_undef] = STATE(3861),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4244),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3862] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6962),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9524),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3862),
    [sym_preproc_endregion] = STATE(3862),
    [sym_preproc_line] = STATE(3862),
    [sym_preproc_pragma] = STATE(3862),
    [sym_preproc_nullable] = STATE(3862),
    [sym_preproc_error] = STATE(3862),
    [sym_preproc_define] = STATE(3862),
    [sym_preproc_undef] = STATE(3862),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4246),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3863] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6966),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9839),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3863),
    [sym_preproc_endregion] = STATE(3863),
    [sym_preproc_line] = STATE(3863),
    [sym_preproc_pragma] = STATE(3863),
    [sym_preproc_nullable] = STATE(3863),
    [sym_preproc_error] = STATE(3863),
    [sym_preproc_define] = STATE(3863),
    [sym_preproc_undef] = STATE(3863),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4248),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3864] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6970),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9861),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3864),
    [sym_preproc_endregion] = STATE(3864),
    [sym_preproc_line] = STATE(3864),
    [sym_preproc_pragma] = STATE(3864),
    [sym_preproc_nullable] = STATE(3864),
    [sym_preproc_error] = STATE(3864),
    [sym_preproc_define] = STATE(3864),
    [sym_preproc_undef] = STATE(3864),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4250),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3865] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6975),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9879),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3865),
    [sym_preproc_endregion] = STATE(3865),
    [sym_preproc_line] = STATE(3865),
    [sym_preproc_pragma] = STATE(3865),
    [sym_preproc_nullable] = STATE(3865),
    [sym_preproc_error] = STATE(3865),
    [sym_preproc_define] = STATE(3865),
    [sym_preproc_undef] = STATE(3865),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4252),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3866] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6979),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9905),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3866),
    [sym_preproc_endregion] = STATE(3866),
    [sym_preproc_line] = STATE(3866),
    [sym_preproc_pragma] = STATE(3866),
    [sym_preproc_nullable] = STATE(3866),
    [sym_preproc_error] = STATE(3866),
    [sym_preproc_define] = STATE(3866),
    [sym_preproc_undef] = STATE(3866),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4254),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3867] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7056),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9212),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3867),
    [sym_preproc_endregion] = STATE(3867),
    [sym_preproc_line] = STATE(3867),
    [sym_preproc_pragma] = STATE(3867),
    [sym_preproc_nullable] = STATE(3867),
    [sym_preproc_error] = STATE(3867),
    [sym_preproc_define] = STATE(3867),
    [sym_preproc_undef] = STATE(3867),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4287),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3868] = {
    [sym_argument_list] = STATE(3993),
    [sym_bracketed_argument_list] = STATE(3187),
    [sym_preproc_region] = STATE(3868),
    [sym_preproc_endregion] = STATE(3868),
    [sym_preproc_line] = STATE(3868),
    [sym_preproc_pragma] = STATE(3868),
    [sym_preproc_nullable] = STATE(3868),
    [sym_preproc_error] = STATE(3868),
    [sym_preproc_define] = STATE(3868),
    [sym_preproc_undef] = STATE(3868),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5315),
    [anon_sym_COMMA] = ACTIONS(5315),
    [anon_sym_RBRACK] = ACTIONS(5315),
    [anon_sym_LPAREN] = ACTIONS(5754),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_RBRACE] = ACTIONS(5315),
    [anon_sym_LT] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5317),
    [anon_sym_in] = ACTIONS(5317),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_BANG] = ACTIONS(5762),
    [anon_sym_PLUS_PLUS] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5317),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_PIPE] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5317),
    [anon_sym_GT_GT_GT] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5315),
    [anon_sym_BANG_EQ] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5315),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_DOT] = ACTIONS(4592),
    [anon_sym_EQ_GT] = ACTIONS(5315),
    [anon_sym_switch] = ACTIONS(5315),
    [anon_sym_when] = ACTIONS(5315),
    [anon_sym_DOT_DOT] = ACTIONS(5315),
    [anon_sym_and] = ACTIONS(5315),
    [anon_sym_or] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5315),
    [anon_sym_QMARK_QMARK] = ACTIONS(5315),
    [anon_sym_into] = ACTIONS(5315),
    [anon_sym_on] = ACTIONS(5315),
    [anon_sym_equals] = ACTIONS(5315),
    [anon_sym_by] = ACTIONS(5315),
    [anon_sym_as] = ACTIONS(5315),
    [anon_sym_is] = ACTIONS(5315),
    [anon_sym_DASH_GT] = ACTIONS(4594),
    [anon_sym_with] = ACTIONS(5315),
    [aux_sym_preproc_if_token3] = ACTIONS(5315),
    [aux_sym_preproc_else_token1] = ACTIONS(5315),
    [aux_sym_preproc_elif_token1] = ACTIONS(5315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3869] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7047),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9622),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3869),
    [sym_preproc_endregion] = STATE(3869),
    [sym_preproc_line] = STATE(3869),
    [sym_preproc_pragma] = STATE(3869),
    [sym_preproc_nullable] = STATE(3869),
    [sym_preproc_error] = STATE(3869),
    [sym_preproc_define] = STATE(3869),
    [sym_preproc_undef] = STATE(3869),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4280),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3870] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7072),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3870),
    [sym_preproc_endregion] = STATE(3870),
    [sym_preproc_line] = STATE(3870),
    [sym_preproc_pragma] = STATE(3870),
    [sym_preproc_nullable] = STATE(3870),
    [sym_preproc_error] = STATE(3870),
    [sym_preproc_define] = STATE(3870),
    [sym_preproc_undef] = STATE(3870),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4258),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3871] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7075),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9456),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3871),
    [sym_preproc_endregion] = STATE(3871),
    [sym_preproc_line] = STATE(3871),
    [sym_preproc_pragma] = STATE(3871),
    [sym_preproc_nullable] = STATE(3871),
    [sym_preproc_error] = STATE(3871),
    [sym_preproc_define] = STATE(3871),
    [sym_preproc_undef] = STATE(3871),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4294),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3872] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7096),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9815),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3872),
    [sym_preproc_endregion] = STATE(3872),
    [sym_preproc_line] = STATE(3872),
    [sym_preproc_pragma] = STATE(3872),
    [sym_preproc_nullable] = STATE(3872),
    [sym_preproc_error] = STATE(3872),
    [sym_preproc_define] = STATE(3872),
    [sym_preproc_undef] = STATE(3872),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4298),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3873] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7104),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9015),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3873),
    [sym_preproc_endregion] = STATE(3873),
    [sym_preproc_line] = STATE(3873),
    [sym_preproc_pragma] = STATE(3873),
    [sym_preproc_nullable] = STATE(3873),
    [sym_preproc_error] = STATE(3873),
    [sym_preproc_define] = STATE(3873),
    [sym_preproc_undef] = STATE(3873),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4301),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3874] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7114),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9070),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3874),
    [sym_preproc_endregion] = STATE(3874),
    [sym_preproc_line] = STATE(3874),
    [sym_preproc_pragma] = STATE(3874),
    [sym_preproc_nullable] = STATE(3874),
    [sym_preproc_error] = STATE(3874),
    [sym_preproc_define] = STATE(3874),
    [sym_preproc_undef] = STATE(3874),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4303),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3875] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7118),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9110),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3875),
    [sym_preproc_endregion] = STATE(3875),
    [sym_preproc_line] = STATE(3875),
    [sym_preproc_pragma] = STATE(3875),
    [sym_preproc_nullable] = STATE(3875),
    [sym_preproc_error] = STATE(3875),
    [sym_preproc_define] = STATE(3875),
    [sym_preproc_undef] = STATE(3875),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4309),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3876] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7127),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9146),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3876),
    [sym_preproc_endregion] = STATE(3876),
    [sym_preproc_line] = STATE(3876),
    [sym_preproc_pragma] = STATE(3876),
    [sym_preproc_nullable] = STATE(3876),
    [sym_preproc_error] = STATE(3876),
    [sym_preproc_define] = STATE(3876),
    [sym_preproc_undef] = STATE(3876),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4312),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3877] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7133),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9174),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3877),
    [sym_preproc_endregion] = STATE(3877),
    [sym_preproc_line] = STATE(3877),
    [sym_preproc_pragma] = STATE(3877),
    [sym_preproc_nullable] = STATE(3877),
    [sym_preproc_error] = STATE(3877),
    [sym_preproc_define] = STATE(3877),
    [sym_preproc_undef] = STATE(3877),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4315),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3878] = {
    [sym_attribute_list] = STATE(6712),
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7031),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9514),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(3878),
    [sym_preproc_endregion] = STATE(3878),
    [sym_preproc_line] = STATE(3878),
    [sym_preproc_pragma] = STATE(3878),
    [sym_preproc_nullable] = STATE(3878),
    [sym_preproc_error] = STATE(3878),
    [sym_preproc_define] = STATE(3878),
    [sym_preproc_undef] = STATE(3878),
    [aux_sym_class_declaration_repeat1] = STATE(6238),
    [aux_sym_lambda_expression_repeat1] = STATE(4202),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(5293),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3879] = {
    [sym_preproc_region] = STATE(3879),
    [sym_preproc_endregion] = STATE(3879),
    [sym_preproc_line] = STATE(3879),
    [sym_preproc_pragma] = STATE(3879),
    [sym_preproc_nullable] = STATE(3879),
    [sym_preproc_error] = STATE(3879),
    [sym_preproc_define] = STATE(3879),
    [sym_preproc_undef] = STATE(3879),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3997),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3995),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_when] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3880] = {
    [sym_preproc_region] = STATE(3880),
    [sym_preproc_endregion] = STATE(3880),
    [sym_preproc_line] = STATE(3880),
    [sym_preproc_pragma] = STATE(3880),
    [sym_preproc_nullable] = STATE(3880),
    [sym_preproc_error] = STATE(3880),
    [sym_preproc_define] = STATE(3880),
    [sym_preproc_undef] = STATE(3880),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_COLON] = ACTIONS(5362),
    [anon_sym_COMMA] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5362),
    [anon_sym_LPAREN] = ACTIONS(5362),
    [anon_sym_RPAREN] = ACTIONS(5362),
    [anon_sym_LBRACE] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5362),
    [anon_sym_LT] = ACTIONS(5364),
    [anon_sym_GT] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5362),
    [anon_sym_where] = ACTIONS(5362),
    [anon_sym_QMARK] = ACTIONS(5364),
    [anon_sym_BANG] = ACTIONS(5364),
    [anon_sym_PLUS_PLUS] = ACTIONS(5362),
    [anon_sym_DASH_DASH] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5364),
    [anon_sym_DASH] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_SLASH] = ACTIONS(5364),
    [anon_sym_PERCENT] = ACTIONS(5362),
    [anon_sym_CARET] = ACTIONS(5362),
    [anon_sym_PIPE] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_LT_LT] = ACTIONS(5362),
    [anon_sym_GT_GT] = ACTIONS(5364),
    [anon_sym_GT_GT_GT] = ACTIONS(5362),
    [anon_sym_EQ_EQ] = ACTIONS(5362),
    [anon_sym_BANG_EQ] = ACTIONS(5362),
    [anon_sym_GT_EQ] = ACTIONS(5362),
    [anon_sym_LT_EQ] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_EQ_GT] = ACTIONS(5362),
    [anon_sym_switch] = ACTIONS(5362),
    [anon_sym_when] = ACTIONS(5362),
    [anon_sym_DOT_DOT] = ACTIONS(5362),
    [anon_sym_and] = ACTIONS(5362),
    [anon_sym_or] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_PIPE_PIPE] = ACTIONS(5362),
    [anon_sym_QMARK_QMARK] = ACTIONS(5362),
    [anon_sym_on] = ACTIONS(5362),
    [anon_sym_equals] = ACTIONS(5362),
    [anon_sym_by] = ACTIONS(5362),
    [anon_sym_as] = ACTIONS(5362),
    [anon_sym_is] = ACTIONS(5362),
    [anon_sym_DASH_GT] = ACTIONS(5362),
    [anon_sym_with] = ACTIONS(5362),
    [aux_sym_preproc_if_token3] = ACTIONS(5362),
    [aux_sym_preproc_else_token1] = ACTIONS(5362),
    [aux_sym_preproc_elif_token1] = ACTIONS(5362),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3881] = {
    [sym_preproc_region] = STATE(3881),
    [sym_preproc_endregion] = STATE(3881),
    [sym_preproc_line] = STATE(3881),
    [sym_preproc_pragma] = STATE(3881),
    [sym_preproc_nullable] = STATE(3881),
    [sym_preproc_error] = STATE(3881),
    [sym_preproc_define] = STATE(3881),
    [sym_preproc_undef] = STATE(3881),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_LPAREN] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_BANG] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_GT_GT_GT] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5350),
    [anon_sym_switch] = ACTIONS(5350),
    [anon_sym_when] = ACTIONS(5350),
    [anon_sym_DOT_DOT] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_QMARK_QMARK] = ACTIONS(5350),
    [anon_sym_on] = ACTIONS(5350),
    [anon_sym_equals] = ACTIONS(5350),
    [anon_sym_by] = ACTIONS(5350),
    [anon_sym_as] = ACTIONS(5350),
    [anon_sym_is] = ACTIONS(5350),
    [anon_sym_DQUOTE] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_with] = ACTIONS(5350),
    [sym_string_literal_encoding] = ACTIONS(5798),
    [aux_sym_preproc_if_token3] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3882] = {
    [sym_preproc_region] = STATE(3882),
    [sym_preproc_endregion] = STATE(3882),
    [sym_preproc_line] = STATE(3882),
    [sym_preproc_pragma] = STATE(3882),
    [sym_preproc_nullable] = STATE(3882),
    [sym_preproc_error] = STATE(3882),
    [sym_preproc_define] = STATE(3882),
    [sym_preproc_undef] = STATE(3882),
    [anon_sym_SEMI] = ACTIONS(4188),
    [anon_sym_LBRACK] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4188),
    [anon_sym_RPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4188),
    [anon_sym_LT] = ACTIONS(4177),
    [anon_sym_GT] = ACTIONS(4177),
    [anon_sym_in] = ACTIONS(4177),
    [anon_sym_QMARK] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4177),
    [anon_sym_PLUS_PLUS] = ACTIONS(4188),
    [anon_sym_DASH_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4177),
    [anon_sym_DASH] = ACTIONS(4177),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_SLASH] = ACTIONS(4177),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4188),
    [anon_sym_PIPE] = ACTIONS(4177),
    [anon_sym_AMP] = ACTIONS(4177),
    [anon_sym_LT_LT] = ACTIONS(4188),
    [anon_sym_GT_GT] = ACTIONS(4177),
    [anon_sym_GT_GT_GT] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4188),
    [anon_sym_BANG_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_DOT] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4188),
    [anon_sym_switch] = ACTIONS(4188),
    [anon_sym_when] = ACTIONS(4188),
    [anon_sym_DOT_DOT] = ACTIONS(4188),
    [anon_sym_and] = ACTIONS(4188),
    [anon_sym_or] = ACTIONS(4188),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4188),
    [anon_sym_QMARK_QMARK] = ACTIONS(4188),
    [anon_sym_into] = ACTIONS(4188),
    [anon_sym_on] = ACTIONS(4188),
    [anon_sym_equals] = ACTIONS(4188),
    [anon_sym_by] = ACTIONS(4188),
    [anon_sym_as] = ACTIONS(4188),
    [anon_sym_is] = ACTIONS(4188),
    [anon_sym_DASH_GT] = ACTIONS(4188),
    [anon_sym_with] = ACTIONS(4188),
    [aux_sym_preproc_if_token3] = ACTIONS(4188),
    [aux_sym_preproc_else_token1] = ACTIONS(4188),
    [aux_sym_preproc_elif_token1] = ACTIONS(4188),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3883] = {
    [sym_preproc_region] = STATE(3883),
    [sym_preproc_endregion] = STATE(3883),
    [sym_preproc_line] = STATE(3883),
    [sym_preproc_pragma] = STATE(3883),
    [sym_preproc_nullable] = STATE(3883),
    [sym_preproc_error] = STATE(3883),
    [sym_preproc_define] = STATE(3883),
    [sym_preproc_undef] = STATE(3883),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4132),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4134),
  },
  [3884] = {
    [sym_preproc_region] = STATE(3884),
    [sym_preproc_endregion] = STATE(3884),
    [sym_preproc_line] = STATE(3884),
    [sym_preproc_pragma] = STATE(3884),
    [sym_preproc_nullable] = STATE(3884),
    [sym_preproc_error] = STATE(3884),
    [sym_preproc_define] = STATE(3884),
    [sym_preproc_undef] = STATE(3884),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3885] = {
    [sym_preproc_region] = STATE(3885),
    [sym_preproc_endregion] = STATE(3885),
    [sym_preproc_line] = STATE(3885),
    [sym_preproc_pragma] = STATE(3885),
    [sym_preproc_nullable] = STATE(3885),
    [sym_preproc_error] = STATE(3885),
    [sym_preproc_define] = STATE(3885),
    [sym_preproc_undef] = STATE(3885),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3886] = {
    [sym_preproc_region] = STATE(3886),
    [sym_preproc_endregion] = STATE(3886),
    [sym_preproc_line] = STATE(3886),
    [sym_preproc_pragma] = STATE(3886),
    [sym_preproc_nullable] = STATE(3886),
    [sym_preproc_error] = STATE(3886),
    [sym_preproc_define] = STATE(3886),
    [sym_preproc_undef] = STATE(3886),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3887] = {
    [sym_preproc_region] = STATE(3887),
    [sym_preproc_endregion] = STATE(3887),
    [sym_preproc_line] = STATE(3887),
    [sym_preproc_pragma] = STATE(3887),
    [sym_preproc_nullable] = STATE(3887),
    [sym_preproc_error] = STATE(3887),
    [sym_preproc_define] = STATE(3887),
    [sym_preproc_undef] = STATE(3887),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3888] = {
    [sym_preproc_region] = STATE(3888),
    [sym_preproc_endregion] = STATE(3888),
    [sym_preproc_line] = STATE(3888),
    [sym_preproc_pragma] = STATE(3888),
    [sym_preproc_nullable] = STATE(3888),
    [sym_preproc_error] = STATE(3888),
    [sym_preproc_define] = STATE(3888),
    [sym_preproc_undef] = STATE(3888),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(5800),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5803),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3889] = {
    [sym_preproc_region] = STATE(3889),
    [sym_preproc_endregion] = STATE(3889),
    [sym_preproc_line] = STATE(3889),
    [sym_preproc_pragma] = STATE(3889),
    [sym_preproc_nullable] = STATE(3889),
    [sym_preproc_error] = STATE(3889),
    [sym_preproc_define] = STATE(3889),
    [sym_preproc_undef] = STATE(3889),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(5803),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_when] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4453),
    [anon_sym_or] = ACTIONS(4453),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_into] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3890] = {
    [sym_preproc_region] = STATE(3890),
    [sym_preproc_endregion] = STATE(3890),
    [sym_preproc_line] = STATE(3890),
    [sym_preproc_pragma] = STATE(3890),
    [sym_preproc_nullable] = STATE(3890),
    [sym_preproc_error] = STATE(3890),
    [sym_preproc_define] = STATE(3890),
    [sym_preproc_undef] = STATE(3890),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4451),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_when] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4453),
    [anon_sym_or] = ACTIONS(4453),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_into] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3891] = {
    [sym_preproc_region] = STATE(3891),
    [sym_preproc_endregion] = STATE(3891),
    [sym_preproc_line] = STATE(3891),
    [sym_preproc_pragma] = STATE(3891),
    [sym_preproc_nullable] = STATE(3891),
    [sym_preproc_error] = STATE(3891),
    [sym_preproc_define] = STATE(3891),
    [sym_preproc_undef] = STATE(3891),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_COLON] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4457),
    [anon_sym_LPAREN] = ACTIONS(4457),
    [anon_sym_RPAREN] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4457),
    [anon_sym_RBRACE] = ACTIONS(4457),
    [anon_sym_LT] = ACTIONS(4455),
    [anon_sym_GT] = ACTIONS(4455),
    [anon_sym_in] = ACTIONS(4455),
    [anon_sym_QMARK] = ACTIONS(4455),
    [anon_sym_BANG] = ACTIONS(4455),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_STAR] = ACTIONS(4457),
    [anon_sym_SLASH] = ACTIONS(4455),
    [anon_sym_PERCENT] = ACTIONS(4457),
    [anon_sym_CARET] = ACTIONS(4457),
    [anon_sym_PIPE] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(4455),
    [anon_sym_LT_LT] = ACTIONS(4457),
    [anon_sym_GT_GT] = ACTIONS(4455),
    [anon_sym_GT_GT_GT] = ACTIONS(4457),
    [anon_sym_EQ_EQ] = ACTIONS(4457),
    [anon_sym_BANG_EQ] = ACTIONS(4457),
    [anon_sym_GT_EQ] = ACTIONS(4457),
    [anon_sym_LT_EQ] = ACTIONS(4457),
    [anon_sym_DOT] = ACTIONS(4455),
    [anon_sym_EQ_GT] = ACTIONS(4457),
    [anon_sym_switch] = ACTIONS(4457),
    [anon_sym_when] = ACTIONS(4457),
    [anon_sym_DOT_DOT] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_or] = ACTIONS(4457),
    [anon_sym_AMP_AMP] = ACTIONS(4457),
    [anon_sym_PIPE_PIPE] = ACTIONS(4457),
    [anon_sym_QMARK_QMARK] = ACTIONS(4457),
    [anon_sym_into] = ACTIONS(4457),
    [anon_sym_on] = ACTIONS(4457),
    [anon_sym_equals] = ACTIONS(4457),
    [anon_sym_by] = ACTIONS(4457),
    [anon_sym_as] = ACTIONS(4457),
    [anon_sym_is] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_with] = ACTIONS(4457),
    [aux_sym_preproc_if_token3] = ACTIONS(4457),
    [aux_sym_preproc_else_token1] = ACTIONS(4457),
    [aux_sym_preproc_elif_token1] = ACTIONS(4457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3892] = {
    [sym_preproc_region] = STATE(3892),
    [sym_preproc_endregion] = STATE(3892),
    [sym_preproc_line] = STATE(3892),
    [sym_preproc_pragma] = STATE(3892),
    [sym_preproc_nullable] = STATE(3892),
    [sym_preproc_error] = STATE(3892),
    [sym_preproc_define] = STATE(3892),
    [sym_preproc_undef] = STATE(3892),
    [anon_sym_SEMI] = ACTIONS(4461),
    [anon_sym_LBRACK] = ACTIONS(4461),
    [anon_sym_COLON] = ACTIONS(4461),
    [anon_sym_COMMA] = ACTIONS(4461),
    [anon_sym_RBRACK] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(4461),
    [anon_sym_RPAREN] = ACTIONS(4461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_RBRACE] = ACTIONS(4461),
    [anon_sym_LT] = ACTIONS(4459),
    [anon_sym_GT] = ACTIONS(4459),
    [anon_sym_in] = ACTIONS(4459),
    [anon_sym_QMARK] = ACTIONS(4459),
    [anon_sym_BANG] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4461),
    [anon_sym_DASH_DASH] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_STAR] = ACTIONS(4461),
    [anon_sym_SLASH] = ACTIONS(4459),
    [anon_sym_PERCENT] = ACTIONS(4461),
    [anon_sym_CARET] = ACTIONS(4461),
    [anon_sym_PIPE] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(4459),
    [anon_sym_LT_LT] = ACTIONS(4461),
    [anon_sym_GT_GT] = ACTIONS(4459),
    [anon_sym_GT_GT_GT] = ACTIONS(4461),
    [anon_sym_EQ_EQ] = ACTIONS(4461),
    [anon_sym_BANG_EQ] = ACTIONS(4461),
    [anon_sym_GT_EQ] = ACTIONS(4461),
    [anon_sym_LT_EQ] = ACTIONS(4461),
    [anon_sym_DOT] = ACTIONS(4459),
    [anon_sym_EQ_GT] = ACTIONS(4461),
    [anon_sym_switch] = ACTIONS(4461),
    [anon_sym_when] = ACTIONS(4461),
    [anon_sym_DOT_DOT] = ACTIONS(4461),
    [anon_sym_and] = ACTIONS(4461),
    [anon_sym_or] = ACTIONS(4461),
    [anon_sym_AMP_AMP] = ACTIONS(4461),
    [anon_sym_PIPE_PIPE] = ACTIONS(4461),
    [anon_sym_QMARK_QMARK] = ACTIONS(4461),
    [anon_sym_into] = ACTIONS(4461),
    [anon_sym_on] = ACTIONS(4461),
    [anon_sym_equals] = ACTIONS(4461),
    [anon_sym_by] = ACTIONS(4461),
    [anon_sym_as] = ACTIONS(4461),
    [anon_sym_is] = ACTIONS(4461),
    [anon_sym_DASH_GT] = ACTIONS(4461),
    [anon_sym_with] = ACTIONS(4461),
    [aux_sym_preproc_if_token3] = ACTIONS(4461),
    [aux_sym_preproc_else_token1] = ACTIONS(4461),
    [aux_sym_preproc_elif_token1] = ACTIONS(4461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3893] = {
    [sym_preproc_region] = STATE(3893),
    [sym_preproc_endregion] = STATE(3893),
    [sym_preproc_line] = STATE(3893),
    [sym_preproc_pragma] = STATE(3893),
    [sym_preproc_nullable] = STATE(3893),
    [sym_preproc_error] = STATE(3893),
    [sym_preproc_define] = STATE(3893),
    [sym_preproc_undef] = STATE(3893),
    [anon_sym_SEMI] = ACTIONS(4561),
    [anon_sym_LBRACK] = ACTIONS(4561),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_COMMA] = ACTIONS(4561),
    [anon_sym_RBRACK] = ACTIONS(4561),
    [anon_sym_LPAREN] = ACTIONS(4561),
    [anon_sym_RPAREN] = ACTIONS(4561),
    [anon_sym_LBRACE] = ACTIONS(4561),
    [anon_sym_RBRACE] = ACTIONS(4561),
    [anon_sym_LT] = ACTIONS(4559),
    [anon_sym_GT] = ACTIONS(4559),
    [anon_sym_in] = ACTIONS(4559),
    [anon_sym_QMARK] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(4559),
    [anon_sym_PLUS_PLUS] = ACTIONS(4561),
    [anon_sym_DASH_DASH] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_STAR] = ACTIONS(4561),
    [anon_sym_SLASH] = ACTIONS(4559),
    [anon_sym_PERCENT] = ACTIONS(4561),
    [anon_sym_CARET] = ACTIONS(4561),
    [anon_sym_PIPE] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym_LT_LT] = ACTIONS(4561),
    [anon_sym_GT_GT] = ACTIONS(4559),
    [anon_sym_GT_GT_GT] = ACTIONS(4561),
    [anon_sym_EQ_EQ] = ACTIONS(4561),
    [anon_sym_BANG_EQ] = ACTIONS(4561),
    [anon_sym_GT_EQ] = ACTIONS(4561),
    [anon_sym_LT_EQ] = ACTIONS(4561),
    [anon_sym_DOT] = ACTIONS(4559),
    [anon_sym_EQ_GT] = ACTIONS(4561),
    [anon_sym_switch] = ACTIONS(4561),
    [anon_sym_when] = ACTIONS(4561),
    [anon_sym_DOT_DOT] = ACTIONS(4561),
    [anon_sym_and] = ACTIONS(4561),
    [anon_sym_or] = ACTIONS(4561),
    [anon_sym_AMP_AMP] = ACTIONS(4561),
    [anon_sym_PIPE_PIPE] = ACTIONS(4561),
    [anon_sym_QMARK_QMARK] = ACTIONS(4561),
    [anon_sym_into] = ACTIONS(4561),
    [anon_sym_on] = ACTIONS(4561),
    [anon_sym_equals] = ACTIONS(4561),
    [anon_sym_by] = ACTIONS(4561),
    [anon_sym_as] = ACTIONS(4561),
    [anon_sym_is] = ACTIONS(4561),
    [anon_sym_DASH_GT] = ACTIONS(4561),
    [anon_sym_with] = ACTIONS(4561),
    [aux_sym_preproc_if_token3] = ACTIONS(4561),
    [aux_sym_preproc_else_token1] = ACTIONS(4561),
    [aux_sym_preproc_elif_token1] = ACTIONS(4561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3894] = {
    [sym_preproc_region] = STATE(3894),
    [sym_preproc_endregion] = STATE(3894),
    [sym_preproc_line] = STATE(3894),
    [sym_preproc_pragma] = STATE(3894),
    [sym_preproc_nullable] = STATE(3894),
    [sym_preproc_error] = STATE(3894),
    [sym_preproc_define] = STATE(3894),
    [sym_preproc_undef] = STATE(3894),
    [anon_sym_SEMI] = ACTIONS(4465),
    [anon_sym_LBRACK] = ACTIONS(4465),
    [anon_sym_COLON] = ACTIONS(4465),
    [anon_sym_COMMA] = ACTIONS(4465),
    [anon_sym_RBRACK] = ACTIONS(4465),
    [anon_sym_LPAREN] = ACTIONS(4465),
    [anon_sym_RPAREN] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4465),
    [anon_sym_RBRACE] = ACTIONS(4465),
    [anon_sym_LT] = ACTIONS(4463),
    [anon_sym_GT] = ACTIONS(4463),
    [anon_sym_in] = ACTIONS(4463),
    [anon_sym_QMARK] = ACTIONS(4463),
    [anon_sym_BANG] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4465),
    [anon_sym_DASH_DASH] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_STAR] = ACTIONS(4465),
    [anon_sym_SLASH] = ACTIONS(4463),
    [anon_sym_PERCENT] = ACTIONS(4465),
    [anon_sym_CARET] = ACTIONS(4465),
    [anon_sym_PIPE] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(4463),
    [anon_sym_LT_LT] = ACTIONS(4465),
    [anon_sym_GT_GT] = ACTIONS(4463),
    [anon_sym_GT_GT_GT] = ACTIONS(4465),
    [anon_sym_EQ_EQ] = ACTIONS(4465),
    [anon_sym_BANG_EQ] = ACTIONS(4465),
    [anon_sym_GT_EQ] = ACTIONS(4465),
    [anon_sym_LT_EQ] = ACTIONS(4465),
    [anon_sym_DOT] = ACTIONS(4463),
    [anon_sym_EQ_GT] = ACTIONS(4465),
    [anon_sym_switch] = ACTIONS(4465),
    [anon_sym_when] = ACTIONS(4465),
    [anon_sym_DOT_DOT] = ACTIONS(4465),
    [anon_sym_and] = ACTIONS(4465),
    [anon_sym_or] = ACTIONS(4465),
    [anon_sym_AMP_AMP] = ACTIONS(4465),
    [anon_sym_PIPE_PIPE] = ACTIONS(4465),
    [anon_sym_QMARK_QMARK] = ACTIONS(4465),
    [anon_sym_into] = ACTIONS(4465),
    [anon_sym_on] = ACTIONS(4465),
    [anon_sym_equals] = ACTIONS(4465),
    [anon_sym_by] = ACTIONS(4465),
    [anon_sym_as] = ACTIONS(4465),
    [anon_sym_is] = ACTIONS(4465),
    [anon_sym_DASH_GT] = ACTIONS(4465),
    [anon_sym_with] = ACTIONS(4465),
    [aux_sym_preproc_if_token3] = ACTIONS(4465),
    [aux_sym_preproc_else_token1] = ACTIONS(4465),
    [aux_sym_preproc_elif_token1] = ACTIONS(4465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3895] = {
    [sym_preproc_region] = STATE(3895),
    [sym_preproc_endregion] = STATE(3895),
    [sym_preproc_line] = STATE(3895),
    [sym_preproc_pragma] = STATE(3895),
    [sym_preproc_nullable] = STATE(3895),
    [sym_preproc_error] = STATE(3895),
    [sym_preproc_define] = STATE(3895),
    [sym_preproc_undef] = STATE(3895),
    [anon_sym_EQ] = ACTIONS(4149),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4149),
    [anon_sym_CARET] = ACTIONS(4149),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4149),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4149),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4151),
    [anon_sym_PLUS_EQ] = ACTIONS(4151),
    [anon_sym_DASH_EQ] = ACTIONS(4151),
    [anon_sym_STAR_EQ] = ACTIONS(4151),
    [anon_sym_SLASH_EQ] = ACTIONS(4151),
    [anon_sym_PERCENT_EQ] = ACTIONS(4151),
    [anon_sym_AMP_EQ] = ACTIONS(4151),
    [anon_sym_CARET_EQ] = ACTIONS(4151),
    [anon_sym_PIPE_EQ] = ACTIONS(4151),
    [anon_sym_LT_LT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4149),
    [anon_sym_into] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4151),
  },
  [3896] = {
    [sym_preproc_region] = STATE(3896),
    [sym_preproc_endregion] = STATE(3896),
    [sym_preproc_line] = STATE(3896),
    [sym_preproc_pragma] = STATE(3896),
    [sym_preproc_nullable] = STATE(3896),
    [sym_preproc_error] = STATE(3896),
    [sym_preproc_define] = STATE(3896),
    [sym_preproc_undef] = STATE(3896),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_RPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_EQ_GT] = ACTIONS(4429),
    [anon_sym_switch] = ACTIONS(4429),
    [anon_sym_when] = ACTIONS(4429),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4429),
    [anon_sym_or] = ACTIONS(4429),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_into] = ACTIONS(4429),
    [anon_sym_on] = ACTIONS(4429),
    [anon_sym_equals] = ACTIONS(4429),
    [anon_sym_by] = ACTIONS(4429),
    [anon_sym_as] = ACTIONS(4429),
    [anon_sym_is] = ACTIONS(4429),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4429),
    [aux_sym_preproc_if_token3] = ACTIONS(4429),
    [aux_sym_preproc_else_token1] = ACTIONS(4429),
    [aux_sym_preproc_elif_token1] = ACTIONS(4429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3897] = {
    [sym_preproc_region] = STATE(3897),
    [sym_preproc_endregion] = STATE(3897),
    [sym_preproc_line] = STATE(3897),
    [sym_preproc_pragma] = STATE(3897),
    [sym_preproc_nullable] = STATE(3897),
    [sym_preproc_error] = STATE(3897),
    [sym_preproc_define] = STATE(3897),
    [sym_preproc_undef] = STATE(3897),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_LPAREN] = ACTIONS(4469),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_LBRACE] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_GT] = ACTIONS(4467),
    [anon_sym_in] = ACTIONS(4467),
    [anon_sym_QMARK] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(4467),
    [anon_sym_PLUS_PLUS] = ACTIONS(4469),
    [anon_sym_DASH_DASH] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_STAR] = ACTIONS(4469),
    [anon_sym_SLASH] = ACTIONS(4467),
    [anon_sym_PERCENT] = ACTIONS(4469),
    [anon_sym_CARET] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4467),
    [anon_sym_LT_LT] = ACTIONS(4469),
    [anon_sym_GT_GT] = ACTIONS(4467),
    [anon_sym_GT_GT_GT] = ACTIONS(4469),
    [anon_sym_EQ_EQ] = ACTIONS(4469),
    [anon_sym_BANG_EQ] = ACTIONS(4469),
    [anon_sym_GT_EQ] = ACTIONS(4469),
    [anon_sym_LT_EQ] = ACTIONS(4469),
    [anon_sym_DOT] = ACTIONS(4467),
    [anon_sym_EQ_GT] = ACTIONS(4469),
    [anon_sym_switch] = ACTIONS(4469),
    [anon_sym_when] = ACTIONS(4469),
    [anon_sym_DOT_DOT] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4469),
    [anon_sym_or] = ACTIONS(4469),
    [anon_sym_AMP_AMP] = ACTIONS(4469),
    [anon_sym_PIPE_PIPE] = ACTIONS(4469),
    [anon_sym_QMARK_QMARK] = ACTIONS(4469),
    [anon_sym_into] = ACTIONS(4469),
    [anon_sym_on] = ACTIONS(4469),
    [anon_sym_equals] = ACTIONS(4469),
    [anon_sym_by] = ACTIONS(4469),
    [anon_sym_as] = ACTIONS(4469),
    [anon_sym_is] = ACTIONS(4469),
    [anon_sym_DASH_GT] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4469),
    [aux_sym_preproc_if_token3] = ACTIONS(4469),
    [aux_sym_preproc_else_token1] = ACTIONS(4469),
    [aux_sym_preproc_elif_token1] = ACTIONS(4469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3898] = {
    [sym_preproc_region] = STATE(3898),
    [sym_preproc_endregion] = STATE(3898),
    [sym_preproc_line] = STATE(3898),
    [sym_preproc_pragma] = STATE(3898),
    [sym_preproc_nullable] = STATE(3898),
    [sym_preproc_error] = STATE(3898),
    [sym_preproc_define] = STATE(3898),
    [sym_preproc_undef] = STATE(3898),
    [anon_sym_SEMI] = ACTIONS(4602),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_COLON] = ACTIONS(4602),
    [anon_sym_COMMA] = ACTIONS(4602),
    [anon_sym_RBRACK] = ACTIONS(4602),
    [anon_sym_LPAREN] = ACTIONS(4602),
    [anon_sym_RPAREN] = ACTIONS(4602),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_RBRACE] = ACTIONS(4602),
    [anon_sym_LT] = ACTIONS(4600),
    [anon_sym_GT] = ACTIONS(4600),
    [anon_sym_in] = ACTIONS(4600),
    [anon_sym_QMARK] = ACTIONS(4600),
    [anon_sym_BANG] = ACTIONS(4600),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS] = ACTIONS(4600),
    [anon_sym_DASH] = ACTIONS(4600),
    [anon_sym_STAR] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4600),
    [anon_sym_PERCENT] = ACTIONS(4602),
    [anon_sym_CARET] = ACTIONS(4602),
    [anon_sym_PIPE] = ACTIONS(4600),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym_LT_LT] = ACTIONS(4602),
    [anon_sym_GT_GT] = ACTIONS(4600),
    [anon_sym_GT_GT_GT] = ACTIONS(4602),
    [anon_sym_EQ_EQ] = ACTIONS(4602),
    [anon_sym_BANG_EQ] = ACTIONS(4602),
    [anon_sym_GT_EQ] = ACTIONS(4602),
    [anon_sym_LT_EQ] = ACTIONS(4602),
    [anon_sym_DOT] = ACTIONS(4600),
    [anon_sym_EQ_GT] = ACTIONS(4602),
    [anon_sym_switch] = ACTIONS(4602),
    [anon_sym_when] = ACTIONS(4602),
    [anon_sym_DOT_DOT] = ACTIONS(4602),
    [anon_sym_and] = ACTIONS(4602),
    [anon_sym_or] = ACTIONS(4602),
    [anon_sym_AMP_AMP] = ACTIONS(4602),
    [anon_sym_PIPE_PIPE] = ACTIONS(4602),
    [anon_sym_QMARK_QMARK] = ACTIONS(4602),
    [anon_sym_into] = ACTIONS(4602),
    [anon_sym_on] = ACTIONS(4602),
    [anon_sym_equals] = ACTIONS(4602),
    [anon_sym_by] = ACTIONS(4602),
    [anon_sym_as] = ACTIONS(4602),
    [anon_sym_is] = ACTIONS(4602),
    [anon_sym_DASH_GT] = ACTIONS(4602),
    [anon_sym_with] = ACTIONS(4602),
    [aux_sym_preproc_if_token3] = ACTIONS(4602),
    [aux_sym_preproc_else_token1] = ACTIONS(4602),
    [aux_sym_preproc_elif_token1] = ACTIONS(4602),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3899] = {
    [sym_preproc_region] = STATE(3899),
    [sym_preproc_endregion] = STATE(3899),
    [sym_preproc_line] = STATE(3899),
    [sym_preproc_pragma] = STATE(3899),
    [sym_preproc_nullable] = STATE(3899),
    [sym_preproc_error] = STATE(3899),
    [sym_preproc_define] = STATE(3899),
    [sym_preproc_undef] = STATE(3899),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4126),
    [anon_sym_PLUS_EQ] = ACTIONS(4126),
    [anon_sym_DASH_EQ] = ACTIONS(4126),
    [anon_sym_STAR_EQ] = ACTIONS(4126),
    [anon_sym_SLASH_EQ] = ACTIONS(4126),
    [anon_sym_PERCENT_EQ] = ACTIONS(4126),
    [anon_sym_AMP_EQ] = ACTIONS(4126),
    [anon_sym_CARET_EQ] = ACTIONS(4126),
    [anon_sym_PIPE_EQ] = ACTIONS(4126),
    [anon_sym_LT_LT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4124),
    [anon_sym_into] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4126),
  },
  [3900] = {
    [sym_preproc_region] = STATE(3900),
    [sym_preproc_endregion] = STATE(3900),
    [sym_preproc_line] = STATE(3900),
    [sym_preproc_pragma] = STATE(3900),
    [sym_preproc_nullable] = STATE(3900),
    [sym_preproc_error] = STATE(3900),
    [sym_preproc_define] = STATE(3900),
    [sym_preproc_undef] = STATE(3900),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_in] = ACTIONS(4534),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_BANG] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_GT_GT_GT] = ACTIONS(4536),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_EQ_GT] = ACTIONS(4536),
    [anon_sym_switch] = ACTIONS(4536),
    [anon_sym_when] = ACTIONS(4536),
    [anon_sym_DOT_DOT] = ACTIONS(4536),
    [anon_sym_and] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_QMARK_QMARK] = ACTIONS(4536),
    [anon_sym_into] = ACTIONS(4536),
    [anon_sym_on] = ACTIONS(4536),
    [anon_sym_equals] = ACTIONS(4536),
    [anon_sym_by] = ACTIONS(4536),
    [anon_sym_as] = ACTIONS(4536),
    [anon_sym_is] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [anon_sym_with] = ACTIONS(4536),
    [aux_sym_preproc_if_token3] = ACTIONS(4536),
    [aux_sym_preproc_else_token1] = ACTIONS(4536),
    [aux_sym_preproc_elif_token1] = ACTIONS(4536),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3901] = {
    [sym_preproc_region] = STATE(3901),
    [sym_preproc_endregion] = STATE(3901),
    [sym_preproc_line] = STATE(3901),
    [sym_preproc_pragma] = STATE(3901),
    [sym_preproc_nullable] = STATE(3901),
    [sym_preproc_error] = STATE(3901),
    [sym_preproc_define] = STATE(3901),
    [sym_preproc_undef] = STATE(3901),
    [anon_sym_SEMI] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4172),
    [anon_sym_RPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(4163),
    [anon_sym_GT] = ACTIONS(4163),
    [anon_sym_in] = ACTIONS(4163),
    [anon_sym_QMARK] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4163),
    [anon_sym_PLUS_PLUS] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4163),
    [anon_sym_DASH] = ACTIONS(4163),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_SLASH] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_PIPE] = ACTIONS(4163),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym_LT_LT] = ACTIONS(4172),
    [anon_sym_GT_GT] = ACTIONS(4163),
    [anon_sym_GT_GT_GT] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4172),
    [anon_sym_BANG_EQ] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4172),
    [anon_sym_LT_EQ] = ACTIONS(4172),
    [anon_sym_DOT] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4172),
    [anon_sym_switch] = ACTIONS(4172),
    [anon_sym_when] = ACTIONS(4172),
    [anon_sym_DOT_DOT] = ACTIONS(4172),
    [anon_sym_and] = ACTIONS(4172),
    [anon_sym_or] = ACTIONS(4172),
    [anon_sym_AMP_AMP] = ACTIONS(4172),
    [anon_sym_PIPE_PIPE] = ACTIONS(4172),
    [anon_sym_QMARK_QMARK] = ACTIONS(4172),
    [anon_sym_into] = ACTIONS(4172),
    [anon_sym_on] = ACTIONS(4172),
    [anon_sym_equals] = ACTIONS(4172),
    [anon_sym_by] = ACTIONS(4172),
    [anon_sym_as] = ACTIONS(4172),
    [anon_sym_is] = ACTIONS(4172),
    [anon_sym_DASH_GT] = ACTIONS(4172),
    [anon_sym_with] = ACTIONS(4172),
    [aux_sym_preproc_if_token3] = ACTIONS(4172),
    [aux_sym_preproc_else_token1] = ACTIONS(4172),
    [aux_sym_preproc_elif_token1] = ACTIONS(4172),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3902] = {
    [sym_preproc_region] = STATE(3902),
    [sym_preproc_endregion] = STATE(3902),
    [sym_preproc_line] = STATE(3902),
    [sym_preproc_pragma] = STATE(3902),
    [sym_preproc_nullable] = STATE(3902),
    [sym_preproc_error] = STATE(3902),
    [sym_preproc_define] = STATE(3902),
    [sym_preproc_undef] = STATE(3902),
    [anon_sym_SEMI] = ACTIONS(4554),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_COMMA] = ACTIONS(4554),
    [anon_sym_RBRACK] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(4554),
    [anon_sym_RPAREN] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4554),
    [anon_sym_RBRACE] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4552),
    [anon_sym_in] = ACTIONS(4552),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_BANG] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4552),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4552),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_PIPE] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_GT_GT_GT] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4554),
    [anon_sym_BANG_EQ] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4554),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_DOT] = ACTIONS(4552),
    [anon_sym_EQ_GT] = ACTIONS(4554),
    [anon_sym_switch] = ACTIONS(4554),
    [anon_sym_when] = ACTIONS(4554),
    [anon_sym_DOT_DOT] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_AMP_AMP] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4554),
    [anon_sym_QMARK_QMARK] = ACTIONS(4554),
    [anon_sym_into] = ACTIONS(4554),
    [anon_sym_on] = ACTIONS(4554),
    [anon_sym_equals] = ACTIONS(4554),
    [anon_sym_by] = ACTIONS(4554),
    [anon_sym_as] = ACTIONS(4554),
    [anon_sym_is] = ACTIONS(4554),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [anon_sym_with] = ACTIONS(4554),
    [aux_sym_preproc_if_token3] = ACTIONS(4554),
    [aux_sym_preproc_else_token1] = ACTIONS(4554),
    [aux_sym_preproc_elif_token1] = ACTIONS(4554),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3903] = {
    [sym_preproc_region] = STATE(3903),
    [sym_preproc_endregion] = STATE(3903),
    [sym_preproc_line] = STATE(3903),
    [sym_preproc_pragma] = STATE(3903),
    [sym_preproc_nullable] = STATE(3903),
    [sym_preproc_error] = STATE(3903),
    [sym_preproc_define] = STATE(3903),
    [sym_preproc_undef] = STATE(3903),
    [anon_sym_SEMI] = ACTIONS(4598),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [anon_sym_COLON] = ACTIONS(4598),
    [anon_sym_COMMA] = ACTIONS(4598),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_LPAREN] = ACTIONS(4598),
    [anon_sym_RPAREN] = ACTIONS(4598),
    [anon_sym_LBRACE] = ACTIONS(4598),
    [anon_sym_RBRACE] = ACTIONS(4598),
    [anon_sym_LT] = ACTIONS(4596),
    [anon_sym_GT] = ACTIONS(4596),
    [anon_sym_in] = ACTIONS(4596),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_BANG] = ACTIONS(4596),
    [anon_sym_PLUS_PLUS] = ACTIONS(4598),
    [anon_sym_DASH_DASH] = ACTIONS(4598),
    [anon_sym_PLUS] = ACTIONS(4596),
    [anon_sym_DASH] = ACTIONS(4596),
    [anon_sym_STAR] = ACTIONS(4598),
    [anon_sym_SLASH] = ACTIONS(4596),
    [anon_sym_PERCENT] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4598),
    [anon_sym_PIPE] = ACTIONS(4596),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_LT_LT] = ACTIONS(4598),
    [anon_sym_GT_GT] = ACTIONS(4596),
    [anon_sym_GT_GT_GT] = ACTIONS(4598),
    [anon_sym_EQ_EQ] = ACTIONS(4598),
    [anon_sym_BANG_EQ] = ACTIONS(4598),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_LT_EQ] = ACTIONS(4598),
    [anon_sym_DOT] = ACTIONS(4596),
    [anon_sym_EQ_GT] = ACTIONS(4598),
    [anon_sym_switch] = ACTIONS(4598),
    [anon_sym_when] = ACTIONS(4598),
    [anon_sym_DOT_DOT] = ACTIONS(4598),
    [anon_sym_and] = ACTIONS(4598),
    [anon_sym_or] = ACTIONS(4598),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_PIPE_PIPE] = ACTIONS(4598),
    [anon_sym_QMARK_QMARK] = ACTIONS(4598),
    [anon_sym_into] = ACTIONS(4598),
    [anon_sym_on] = ACTIONS(4598),
    [anon_sym_equals] = ACTIONS(4598),
    [anon_sym_by] = ACTIONS(4598),
    [anon_sym_as] = ACTIONS(4598),
    [anon_sym_is] = ACTIONS(4598),
    [anon_sym_DASH_GT] = ACTIONS(4598),
    [anon_sym_with] = ACTIONS(4598),
    [aux_sym_preproc_if_token3] = ACTIONS(4598),
    [aux_sym_preproc_else_token1] = ACTIONS(4598),
    [aux_sym_preproc_elif_token1] = ACTIONS(4598),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3904] = {
    [sym_preproc_region] = STATE(3904),
    [sym_preproc_endregion] = STATE(3904),
    [sym_preproc_line] = STATE(3904),
    [sym_preproc_pragma] = STATE(3904),
    [sym_preproc_nullable] = STATE(3904),
    [sym_preproc_error] = STATE(3904),
    [sym_preproc_define] = STATE(3904),
    [sym_preproc_undef] = STATE(3904),
    [anon_sym_EQ] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4128),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4128),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4128),
    [anon_sym_into] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4130),
  },
  [3905] = {
    [sym_preproc_region] = STATE(3905),
    [sym_preproc_endregion] = STATE(3905),
    [sym_preproc_line] = STATE(3905),
    [sym_preproc_pragma] = STATE(3905),
    [sym_preproc_nullable] = STATE(3905),
    [sym_preproc_error] = STATE(3905),
    [sym_preproc_define] = STATE(3905),
    [sym_preproc_undef] = STATE(3905),
    [anon_sym_SEMI] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [anon_sym_COLON] = ACTIONS(4483),
    [anon_sym_COMMA] = ACTIONS(4483),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_RPAREN] = ACTIONS(4483),
    [anon_sym_LBRACE] = ACTIONS(4483),
    [anon_sym_RBRACE] = ACTIONS(4483),
    [anon_sym_LT] = ACTIONS(4481),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_in] = ACTIONS(4481),
    [anon_sym_QMARK] = ACTIONS(4481),
    [anon_sym_BANG] = ACTIONS(4481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS] = ACTIONS(4481),
    [anon_sym_DASH] = ACTIONS(4481),
    [anon_sym_STAR] = ACTIONS(4483),
    [anon_sym_SLASH] = ACTIONS(4481),
    [anon_sym_PERCENT] = ACTIONS(4483),
    [anon_sym_CARET] = ACTIONS(4483),
    [anon_sym_PIPE] = ACTIONS(4481),
    [anon_sym_AMP] = ACTIONS(4481),
    [anon_sym_LT_LT] = ACTIONS(4483),
    [anon_sym_GT_GT] = ACTIONS(4481),
    [anon_sym_GT_GT_GT] = ACTIONS(4483),
    [anon_sym_EQ_EQ] = ACTIONS(4483),
    [anon_sym_BANG_EQ] = ACTIONS(4483),
    [anon_sym_GT_EQ] = ACTIONS(4483),
    [anon_sym_LT_EQ] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_EQ_GT] = ACTIONS(4483),
    [anon_sym_switch] = ACTIONS(4483),
    [anon_sym_when] = ACTIONS(4483),
    [anon_sym_DOT_DOT] = ACTIONS(4483),
    [anon_sym_and] = ACTIONS(4483),
    [anon_sym_or] = ACTIONS(4483),
    [anon_sym_AMP_AMP] = ACTIONS(4483),
    [anon_sym_PIPE_PIPE] = ACTIONS(4483),
    [anon_sym_QMARK_QMARK] = ACTIONS(4483),
    [anon_sym_into] = ACTIONS(4483),
    [anon_sym_on] = ACTIONS(4483),
    [anon_sym_equals] = ACTIONS(4483),
    [anon_sym_by] = ACTIONS(4483),
    [anon_sym_as] = ACTIONS(4483),
    [anon_sym_is] = ACTIONS(4483),
    [anon_sym_DASH_GT] = ACTIONS(4483),
    [anon_sym_with] = ACTIONS(4483),
    [aux_sym_preproc_if_token3] = ACTIONS(4483),
    [aux_sym_preproc_else_token1] = ACTIONS(4483),
    [aux_sym_preproc_elif_token1] = ACTIONS(4483),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3906] = {
    [sym_preproc_region] = STATE(3906),
    [sym_preproc_endregion] = STATE(3906),
    [sym_preproc_line] = STATE(3906),
    [sym_preproc_pragma] = STATE(3906),
    [sym_preproc_nullable] = STATE(3906),
    [sym_preproc_error] = STATE(3906),
    [sym_preproc_define] = STATE(3906),
    [sym_preproc_undef] = STATE(3906),
    [anon_sym_SEMI] = ACTIONS(4565),
    [anon_sym_LBRACK] = ACTIONS(4565),
    [anon_sym_COLON] = ACTIONS(4565),
    [anon_sym_COMMA] = ACTIONS(4565),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(4565),
    [anon_sym_RPAREN] = ACTIONS(4565),
    [anon_sym_LBRACE] = ACTIONS(4565),
    [anon_sym_RBRACE] = ACTIONS(4565),
    [anon_sym_LT] = ACTIONS(4563),
    [anon_sym_GT] = ACTIONS(4563),
    [anon_sym_in] = ACTIONS(4563),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4565),
    [anon_sym_DASH_DASH] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_SLASH] = ACTIONS(4563),
    [anon_sym_PERCENT] = ACTIONS(4565),
    [anon_sym_CARET] = ACTIONS(4565),
    [anon_sym_PIPE] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(4563),
    [anon_sym_LT_LT] = ACTIONS(4565),
    [anon_sym_GT_GT] = ACTIONS(4563),
    [anon_sym_GT_GT_GT] = ACTIONS(4565),
    [anon_sym_EQ_EQ] = ACTIONS(4565),
    [anon_sym_BANG_EQ] = ACTIONS(4565),
    [anon_sym_GT_EQ] = ACTIONS(4565),
    [anon_sym_LT_EQ] = ACTIONS(4565),
    [anon_sym_DOT] = ACTIONS(4563),
    [anon_sym_EQ_GT] = ACTIONS(4565),
    [anon_sym_switch] = ACTIONS(4565),
    [anon_sym_when] = ACTIONS(4565),
    [anon_sym_DOT_DOT] = ACTIONS(4565),
    [anon_sym_and] = ACTIONS(4565),
    [anon_sym_or] = ACTIONS(4565),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_PIPE_PIPE] = ACTIONS(4565),
    [anon_sym_QMARK_QMARK] = ACTIONS(4565),
    [anon_sym_into] = ACTIONS(4565),
    [anon_sym_on] = ACTIONS(4565),
    [anon_sym_equals] = ACTIONS(4565),
    [anon_sym_by] = ACTIONS(4565),
    [anon_sym_as] = ACTIONS(4565),
    [anon_sym_is] = ACTIONS(4565),
    [anon_sym_DASH_GT] = ACTIONS(4565),
    [anon_sym_with] = ACTIONS(4565),
    [aux_sym_preproc_if_token3] = ACTIONS(4565),
    [aux_sym_preproc_else_token1] = ACTIONS(4565),
    [aux_sym_preproc_elif_token1] = ACTIONS(4565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3907] = {
    [sym_preproc_region] = STATE(3907),
    [sym_preproc_endregion] = STATE(3907),
    [sym_preproc_line] = STATE(3907),
    [sym_preproc_pragma] = STATE(3907),
    [sym_preproc_nullable] = STATE(3907),
    [sym_preproc_error] = STATE(3907),
    [sym_preproc_define] = STATE(3907),
    [sym_preproc_undef] = STATE(3907),
    [anon_sym_EQ] = ACTIONS(4138),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4138),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4140),
    [anon_sym_PLUS_EQ] = ACTIONS(4140),
    [anon_sym_DASH_EQ] = ACTIONS(4140),
    [anon_sym_STAR_EQ] = ACTIONS(4140),
    [anon_sym_SLASH_EQ] = ACTIONS(4140),
    [anon_sym_PERCENT_EQ] = ACTIONS(4140),
    [anon_sym_AMP_EQ] = ACTIONS(4140),
    [anon_sym_CARET_EQ] = ACTIONS(4140),
    [anon_sym_PIPE_EQ] = ACTIONS(4140),
    [anon_sym_LT_LT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4138),
    [anon_sym_into] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4140),
  },
  [3908] = {
    [sym_preproc_region] = STATE(3908),
    [sym_preproc_endregion] = STATE(3908),
    [sym_preproc_line] = STATE(3908),
    [sym_preproc_pragma] = STATE(3908),
    [sym_preproc_nullable] = STATE(3908),
    [sym_preproc_error] = STATE(3908),
    [sym_preproc_define] = STATE(3908),
    [sym_preproc_undef] = STATE(3908),
    [anon_sym_SEMI] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_COMMA] = ACTIONS(4487),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_RPAREN] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4487),
    [anon_sym_RBRACE] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4485),
    [anon_sym_GT] = ACTIONS(4485),
    [anon_sym_in] = ACTIONS(4485),
    [anon_sym_QMARK] = ACTIONS(4485),
    [anon_sym_BANG] = ACTIONS(4485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4485),
    [anon_sym_DASH] = ACTIONS(4485),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4485),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_PIPE] = ACTIONS(4485),
    [anon_sym_AMP] = ACTIONS(4485),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4485),
    [anon_sym_GT_GT_GT] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4487),
    [anon_sym_BANG_EQ] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4487),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_EQ_GT] = ACTIONS(4487),
    [anon_sym_switch] = ACTIONS(4487),
    [anon_sym_when] = ACTIONS(4487),
    [anon_sym_DOT_DOT] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_AMP_AMP] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4487),
    [anon_sym_QMARK_QMARK] = ACTIONS(4487),
    [anon_sym_into] = ACTIONS(4487),
    [anon_sym_on] = ACTIONS(4487),
    [anon_sym_equals] = ACTIONS(4487),
    [anon_sym_by] = ACTIONS(4487),
    [anon_sym_as] = ACTIONS(4487),
    [anon_sym_is] = ACTIONS(4487),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [anon_sym_with] = ACTIONS(4487),
    [aux_sym_preproc_if_token3] = ACTIONS(4487),
    [aux_sym_preproc_else_token1] = ACTIONS(4487),
    [aux_sym_preproc_elif_token1] = ACTIONS(4487),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3909] = {
    [sym_preproc_region] = STATE(3909),
    [sym_preproc_endregion] = STATE(3909),
    [sym_preproc_line] = STATE(3909),
    [sym_preproc_pragma] = STATE(3909),
    [sym_preproc_nullable] = STATE(3909),
    [sym_preproc_error] = STATE(3909),
    [sym_preproc_define] = STATE(3909),
    [sym_preproc_undef] = STATE(3909),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_LPAREN] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_in] = ACTIONS(4477),
    [anon_sym_QMARK] = ACTIONS(4477),
    [anon_sym_BANG] = ACTIONS(4477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_GT_GT_GT] = ACTIONS(4479),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_EQ_GT] = ACTIONS(4479),
    [anon_sym_switch] = ACTIONS(4479),
    [anon_sym_when] = ACTIONS(4479),
    [anon_sym_DOT_DOT] = ACTIONS(4479),
    [anon_sym_and] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_QMARK_QMARK] = ACTIONS(4479),
    [anon_sym_into] = ACTIONS(4479),
    [anon_sym_on] = ACTIONS(4479),
    [anon_sym_equals] = ACTIONS(4479),
    [anon_sym_by] = ACTIONS(4479),
    [anon_sym_as] = ACTIONS(4479),
    [anon_sym_is] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [anon_sym_with] = ACTIONS(4479),
    [aux_sym_preproc_if_token3] = ACTIONS(4479),
    [aux_sym_preproc_else_token1] = ACTIONS(4479),
    [aux_sym_preproc_elif_token1] = ACTIONS(4479),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3910] = {
    [sym_preproc_region] = STATE(3910),
    [sym_preproc_endregion] = STATE(3910),
    [sym_preproc_line] = STATE(3910),
    [sym_preproc_pragma] = STATE(3910),
    [sym_preproc_nullable] = STATE(3910),
    [sym_preproc_error] = STATE(3910),
    [sym_preproc_define] = STATE(3910),
    [sym_preproc_undef] = STATE(3910),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3995),
    [anon_sym_PLUS_EQ] = ACTIONS(3995),
    [anon_sym_DASH_EQ] = ACTIONS(3995),
    [anon_sym_STAR_EQ] = ACTIONS(3995),
    [anon_sym_SLASH_EQ] = ACTIONS(3995),
    [anon_sym_PERCENT_EQ] = ACTIONS(3995),
    [anon_sym_AMP_EQ] = ACTIONS(3995),
    [anon_sym_CARET_EQ] = ACTIONS(3995),
    [anon_sym_PIPE_EQ] = ACTIONS(3995),
    [anon_sym_LT_LT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3997),
    [anon_sym_into] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(3995),
  },
  [3911] = {
    [sym_preproc_region] = STATE(3911),
    [sym_preproc_endregion] = STATE(3911),
    [sym_preproc_line] = STATE(3911),
    [sym_preproc_pragma] = STATE(3911),
    [sym_preproc_nullable] = STATE(3911),
    [sym_preproc_error] = STATE(3911),
    [sym_preproc_define] = STATE(3911),
    [sym_preproc_undef] = STATE(3911),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4120),
    [anon_sym_into] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4122),
  },
  [3912] = {
    [sym_preproc_region] = STATE(3912),
    [sym_preproc_endregion] = STATE(3912),
    [sym_preproc_line] = STATE(3912),
    [sym_preproc_pragma] = STATE(3912),
    [sym_preproc_nullable] = STATE(3912),
    [sym_preproc_error] = STATE(3912),
    [sym_preproc_define] = STATE(3912),
    [sym_preproc_undef] = STATE(3912),
    [anon_sym_SEMI] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [anon_sym_COLON] = ACTIONS(5342),
    [anon_sym_COMMA] = ACTIONS(5342),
    [anon_sym_RBRACK] = ACTIONS(5342),
    [anon_sym_LPAREN] = ACTIONS(5342),
    [anon_sym_RPAREN] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5342),
    [anon_sym_RBRACE] = ACTIONS(5342),
    [anon_sym_LT] = ACTIONS(5344),
    [anon_sym_GT] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5342),
    [anon_sym_where] = ACTIONS(5342),
    [anon_sym_QMARK] = ACTIONS(5344),
    [anon_sym_BANG] = ACTIONS(5344),
    [anon_sym_PLUS_PLUS] = ACTIONS(5342),
    [anon_sym_DASH_DASH] = ACTIONS(5342),
    [anon_sym_PLUS] = ACTIONS(5344),
    [anon_sym_DASH] = ACTIONS(5344),
    [anon_sym_STAR] = ACTIONS(5342),
    [anon_sym_SLASH] = ACTIONS(5344),
    [anon_sym_PERCENT] = ACTIONS(5342),
    [anon_sym_CARET] = ACTIONS(5342),
    [anon_sym_PIPE] = ACTIONS(5344),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_LT_LT] = ACTIONS(5342),
    [anon_sym_GT_GT] = ACTIONS(5344),
    [anon_sym_GT_GT_GT] = ACTIONS(5342),
    [anon_sym_EQ_EQ] = ACTIONS(5342),
    [anon_sym_BANG_EQ] = ACTIONS(5342),
    [anon_sym_GT_EQ] = ACTIONS(5342),
    [anon_sym_LT_EQ] = ACTIONS(5342),
    [anon_sym_DOT] = ACTIONS(5344),
    [anon_sym_EQ_GT] = ACTIONS(5342),
    [anon_sym_switch] = ACTIONS(5342),
    [anon_sym_when] = ACTIONS(5342),
    [anon_sym_DOT_DOT] = ACTIONS(5342),
    [anon_sym_and] = ACTIONS(5342),
    [anon_sym_or] = ACTIONS(5342),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_PIPE_PIPE] = ACTIONS(5342),
    [anon_sym_QMARK_QMARK] = ACTIONS(5342),
    [anon_sym_on] = ACTIONS(5342),
    [anon_sym_equals] = ACTIONS(5342),
    [anon_sym_by] = ACTIONS(5342),
    [anon_sym_as] = ACTIONS(5342),
    [anon_sym_is] = ACTIONS(5342),
    [anon_sym_DASH_GT] = ACTIONS(5342),
    [anon_sym_with] = ACTIONS(5342),
    [aux_sym_preproc_if_token3] = ACTIONS(5342),
    [aux_sym_preproc_else_token1] = ACTIONS(5342),
    [aux_sym_preproc_elif_token1] = ACTIONS(5342),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3913] = {
    [sym_type_argument_list] = STATE(4059),
    [sym_preproc_region] = STATE(3913),
    [sym_preproc_endregion] = STATE(3913),
    [sym_preproc_line] = STATE(3913),
    [sym_preproc_pragma] = STATE(3913),
    [sym_preproc_nullable] = STATE(3913),
    [sym_preproc_error] = STATE(3913),
    [sym_preproc_define] = STATE(3913),
    [sym_preproc_undef] = STATE(3913),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5805),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3914] = {
    [sym_preproc_region] = STATE(3914),
    [sym_preproc_endregion] = STATE(3914),
    [sym_preproc_line] = STATE(3914),
    [sym_preproc_pragma] = STATE(3914),
    [sym_preproc_nullable] = STATE(3914),
    [sym_preproc_error] = STATE(3914),
    [sym_preproc_define] = STATE(3914),
    [sym_preproc_undef] = STATE(3914),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3915] = {
    [sym_preproc_region] = STATE(3915),
    [sym_preproc_endregion] = STATE(3915),
    [sym_preproc_line] = STATE(3915),
    [sym_preproc_pragma] = STATE(3915),
    [sym_preproc_nullable] = STATE(3915),
    [sym_preproc_error] = STATE(3915),
    [sym_preproc_define] = STATE(3915),
    [sym_preproc_undef] = STATE(3915),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4149),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4151),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_CARET] = ACTIONS(4151),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4151),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4151),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_when] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4151),
    [anon_sym_into] = ACTIONS(4151),
    [anon_sym_on] = ACTIONS(4151),
    [anon_sym_equals] = ACTIONS(4151),
    [anon_sym_by] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3916] = {
    [sym_preproc_region] = STATE(3916),
    [sym_preproc_endregion] = STATE(3916),
    [sym_preproc_line] = STATE(3916),
    [sym_preproc_pragma] = STATE(3916),
    [sym_preproc_nullable] = STATE(3916),
    [sym_preproc_error] = STATE(3916),
    [sym_preproc_define] = STATE(3916),
    [sym_preproc_undef] = STATE(3916),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4126),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4126),
    [anon_sym_CARET] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4126),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4126),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_when] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4126),
    [anon_sym_into] = ACTIONS(4126),
    [anon_sym_on] = ACTIONS(4126),
    [anon_sym_equals] = ACTIONS(4126),
    [anon_sym_by] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3917] = {
    [sym_preproc_region] = STATE(3917),
    [sym_preproc_endregion] = STATE(3917),
    [sym_preproc_line] = STATE(3917),
    [sym_preproc_pragma] = STATE(3917),
    [sym_preproc_nullable] = STATE(3917),
    [sym_preproc_error] = STATE(3917),
    [sym_preproc_define] = STATE(3917),
    [sym_preproc_undef] = STATE(3917),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4130),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4130),
    [anon_sym_CARET] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4130),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4130),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4130),
    [anon_sym_into] = ACTIONS(4130),
    [anon_sym_on] = ACTIONS(4130),
    [anon_sym_equals] = ACTIONS(4130),
    [anon_sym_by] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3918] = {
    [sym_preproc_region] = STATE(3918),
    [sym_preproc_endregion] = STATE(3918),
    [sym_preproc_line] = STATE(3918),
    [sym_preproc_pragma] = STATE(3918),
    [sym_preproc_nullable] = STATE(3918),
    [sym_preproc_error] = STATE(3918),
    [sym_preproc_define] = STATE(3918),
    [sym_preproc_undef] = STATE(3918),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4138),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4140),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_when] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4140),
    [anon_sym_into] = ACTIONS(4140),
    [anon_sym_on] = ACTIONS(4140),
    [anon_sym_equals] = ACTIONS(4140),
    [anon_sym_by] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3919] = {
    [sym_preproc_region] = STATE(3919),
    [sym_preproc_endregion] = STATE(3919),
    [sym_preproc_line] = STATE(3919),
    [sym_preproc_pragma] = STATE(3919),
    [sym_preproc_nullable] = STATE(3919),
    [sym_preproc_error] = STATE(3919),
    [sym_preproc_define] = STATE(3919),
    [sym_preproc_undef] = STATE(3919),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_COLON] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [anon_sym_RBRACK] = ACTIONS(5327),
    [anon_sym_LPAREN] = ACTIONS(5327),
    [anon_sym_RPAREN] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5327),
    [anon_sym_RBRACE] = ACTIONS(5327),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_in] = ACTIONS(5329),
    [anon_sym_QMARK] = ACTIONS(5329),
    [anon_sym_BANG] = ACTIONS(5329),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5327),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5327),
    [anon_sym_CARET] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5327),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_GT_GT_GT] = ACTIONS(5327),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT_EQ] = ACTIONS(5327),
    [anon_sym_LT_EQ] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_EQ_GT] = ACTIONS(5327),
    [anon_sym_switch] = ACTIONS(5327),
    [anon_sym_when] = ACTIONS(5327),
    [anon_sym_DOT_DOT] = ACTIONS(5327),
    [anon_sym_and] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_QMARK_QMARK] = ACTIONS(5327),
    [anon_sym_into] = ACTIONS(5327),
    [anon_sym_on] = ACTIONS(5327),
    [anon_sym_equals] = ACTIONS(5327),
    [anon_sym_by] = ACTIONS(5327),
    [anon_sym_as] = ACTIONS(5327),
    [anon_sym_is] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5327),
    [anon_sym_with] = ACTIONS(5327),
    [aux_sym_preproc_if_token3] = ACTIONS(5327),
    [aux_sym_preproc_else_token1] = ACTIONS(5327),
    [aux_sym_preproc_elif_token1] = ACTIONS(5327),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3920] = {
    [sym_preproc_region] = STATE(3920),
    [sym_preproc_endregion] = STATE(3920),
    [sym_preproc_line] = STATE(3920),
    [sym_preproc_pragma] = STATE(3920),
    [sym_preproc_nullable] = STATE(3920),
    [sym_preproc_error] = STATE(3920),
    [sym_preproc_define] = STATE(3920),
    [sym_preproc_undef] = STATE(3920),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COLON] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_in] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3997),
    [anon_sym_BANG] = ACTIONS(3997),
    [anon_sym_PLUS_PLUS] = ACTIONS(3995),
    [anon_sym_DASH_DASH] = ACTIONS(3995),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3995),
    [anon_sym_CARET] = ACTIONS(3995),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3995),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_GT_GT_GT] = ACTIONS(3995),
    [anon_sym_EQ_EQ] = ACTIONS(3995),
    [anon_sym_BANG_EQ] = ACTIONS(3995),
    [anon_sym_GT_EQ] = ACTIONS(3995),
    [anon_sym_LT_EQ] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(3995),
    [anon_sym_when] = ACTIONS(3995),
    [anon_sym_DOT_DOT] = ACTIONS(3995),
    [anon_sym_and] = ACTIONS(3995),
    [anon_sym_or] = ACTIONS(3995),
    [anon_sym_AMP_AMP] = ACTIONS(3995),
    [anon_sym_PIPE_PIPE] = ACTIONS(3995),
    [anon_sym_QMARK_QMARK] = ACTIONS(3995),
    [anon_sym_into] = ACTIONS(3995),
    [anon_sym_on] = ACTIONS(3995),
    [anon_sym_equals] = ACTIONS(3995),
    [anon_sym_by] = ACTIONS(3995),
    [anon_sym_as] = ACTIONS(3995),
    [anon_sym_is] = ACTIONS(3995),
    [anon_sym_DASH_GT] = ACTIONS(3995),
    [anon_sym_with] = ACTIONS(3995),
    [aux_sym_preproc_if_token3] = ACTIONS(3995),
    [aux_sym_preproc_else_token1] = ACTIONS(3995),
    [aux_sym_preproc_elif_token1] = ACTIONS(3995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3921] = {
    [sym_preproc_region] = STATE(3921),
    [sym_preproc_endregion] = STATE(3921),
    [sym_preproc_line] = STATE(3921),
    [sym_preproc_pragma] = STATE(3921),
    [sym_preproc_nullable] = STATE(3921),
    [sym_preproc_error] = STATE(3921),
    [sym_preproc_define] = STATE(3921),
    [sym_preproc_undef] = STATE(3921),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_into] = ACTIONS(4122),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3922] = {
    [sym_preproc_region] = STATE(3922),
    [sym_preproc_endregion] = STATE(3922),
    [sym_preproc_line] = STATE(3922),
    [sym_preproc_pragma] = STATE(3922),
    [sym_preproc_nullable] = STATE(3922),
    [sym_preproc_error] = STATE(3922),
    [sym_preproc_define] = STATE(3922),
    [sym_preproc_undef] = STATE(3922),
    [anon_sym_SEMI] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4086),
    [anon_sym_RBRACK] = ACTIONS(4086),
    [anon_sym_LPAREN] = ACTIONS(4086),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4086),
    [anon_sym_LT] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4089),
    [anon_sym_in] = ACTIONS(4086),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4086),
    [anon_sym_DASH_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4089),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4089),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_PIPE] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_GT_GT_GT] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4086),
    [anon_sym_BANG_EQ] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4086),
    [anon_sym_LT_EQ] = ACTIONS(4086),
    [anon_sym_DOT] = ACTIONS(4089),
    [anon_sym_EQ_GT] = ACTIONS(4086),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_switch] = ACTIONS(4086),
    [anon_sym_when] = ACTIONS(4086),
    [anon_sym_DOT_DOT] = ACTIONS(4086),
    [anon_sym_and] = ACTIONS(4086),
    [anon_sym_or] = ACTIONS(4086),
    [anon_sym_AMP_AMP] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4086),
    [anon_sym_QMARK_QMARK] = ACTIONS(4086),
    [anon_sym_on] = ACTIONS(4086),
    [anon_sym_equals] = ACTIONS(4086),
    [anon_sym_by] = ACTIONS(4086),
    [anon_sym_as] = ACTIONS(4086),
    [anon_sym_is] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4086),
    [anon_sym_with] = ACTIONS(4086),
    [aux_sym_preproc_if_token3] = ACTIONS(4086),
    [aux_sym_preproc_else_token1] = ACTIONS(4086),
    [aux_sym_preproc_elif_token1] = ACTIONS(4086),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3923] = {
    [sym_preproc_region] = STATE(3923),
    [sym_preproc_endregion] = STATE(3923),
    [sym_preproc_line] = STATE(3923),
    [sym_preproc_pragma] = STATE(3923),
    [sym_preproc_nullable] = STATE(3923),
    [sym_preproc_error] = STATE(3923),
    [sym_preproc_define] = STATE(3923),
    [sym_preproc_undef] = STATE(3923),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4705),
    [anon_sym_COLON] = ACTIONS(4705),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_LPAREN] = ACTIONS(4705),
    [anon_sym_LT] = ACTIONS(4707),
    [anon_sym_GT] = ACTIONS(4707),
    [anon_sym_QMARK] = ACTIONS(4707),
    [anon_sym_BANG] = ACTIONS(4707),
    [anon_sym_PLUS_PLUS] = ACTIONS(4705),
    [anon_sym_DASH_DASH] = ACTIONS(4705),
    [anon_sym_PLUS] = ACTIONS(4707),
    [anon_sym_DASH] = ACTIONS(4707),
    [anon_sym_STAR] = ACTIONS(4707),
    [anon_sym_SLASH] = ACTIONS(4707),
    [anon_sym_PERCENT] = ACTIONS(4707),
    [anon_sym_CARET] = ACTIONS(4707),
    [anon_sym_PIPE] = ACTIONS(4707),
    [anon_sym_AMP] = ACTIONS(4707),
    [anon_sym_LT_LT] = ACTIONS(4707),
    [anon_sym_GT_GT] = ACTIONS(4707),
    [anon_sym_GT_GT_GT] = ACTIONS(4707),
    [anon_sym_EQ_EQ] = ACTIONS(4705),
    [anon_sym_BANG_EQ] = ACTIONS(4705),
    [anon_sym_GT_EQ] = ACTIONS(4705),
    [anon_sym_LT_EQ] = ACTIONS(4705),
    [anon_sym_DOT] = ACTIONS(4707),
    [anon_sym_switch] = ACTIONS(4705),
    [anon_sym_DOT_DOT] = ACTIONS(4705),
    [anon_sym_and] = ACTIONS(4705),
    [anon_sym_or] = ACTIONS(4705),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4705),
    [anon_sym_PIPE_PIPE] = ACTIONS(4705),
    [anon_sym_QMARK_QMARK] = ACTIONS(4707),
    [anon_sym_into] = ACTIONS(4705),
    [anon_sym_as] = ACTIONS(4705),
    [anon_sym_is] = ACTIONS(4705),
    [anon_sym_DASH_GT] = ACTIONS(4705),
    [anon_sym_with] = ACTIONS(4705),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4705),
  },
  [3924] = {
    [sym_preproc_region] = STATE(3924),
    [sym_preproc_endregion] = STATE(3924),
    [sym_preproc_line] = STATE(3924),
    [sym_preproc_pragma] = STATE(3924),
    [sym_preproc_nullable] = STATE(3924),
    [sym_preproc_error] = STATE(3924),
    [sym_preproc_define] = STATE(3924),
    [sym_preproc_undef] = STATE(3924),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_COLON] = ACTIONS(4120),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym_LPAREN] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_in] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4120),
    [anon_sym_BANG] = ACTIONS(4120),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_GT_GT_GT] = ACTIONS(4122),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_EQ_GT] = ACTIONS(4122),
    [anon_sym_COLON_COLON] = ACTIONS(4122),
    [anon_sym_switch] = ACTIONS(4122),
    [anon_sym_when] = ACTIONS(4122),
    [anon_sym_DOT_DOT] = ACTIONS(4122),
    [anon_sym_and] = ACTIONS(4122),
    [anon_sym_or] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_QMARK_QMARK] = ACTIONS(4122),
    [anon_sym_on] = ACTIONS(4122),
    [anon_sym_equals] = ACTIONS(4122),
    [anon_sym_by] = ACTIONS(4122),
    [anon_sym_as] = ACTIONS(4122),
    [anon_sym_is] = ACTIONS(4122),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [anon_sym_with] = ACTIONS(4122),
    [aux_sym_preproc_if_token3] = ACTIONS(4122),
    [aux_sym_preproc_else_token1] = ACTIONS(4122),
    [aux_sym_preproc_elif_token1] = ACTIONS(4122),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3925] = {
    [sym_initializer_expression] = STATE(4124),
    [sym_preproc_region] = STATE(3925),
    [sym_preproc_endregion] = STATE(3925),
    [sym_preproc_line] = STATE(3925),
    [sym_preproc_pragma] = STATE(3925),
    [sym_preproc_nullable] = STATE(3925),
    [sym_preproc_error] = STATE(3925),
    [sym_preproc_define] = STATE(3925),
    [sym_preproc_undef] = STATE(3925),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_COLON] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_RBRACK] = ACTIONS(5279),
    [anon_sym_LPAREN] = ACTIONS(5279),
    [anon_sym_RPAREN] = ACTIONS(5279),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(5279),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_in] = ACTIONS(5279),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_BANG] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_GT_GT_GT] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_EQ_GT] = ACTIONS(5279),
    [anon_sym_switch] = ACTIONS(5279),
    [anon_sym_when] = ACTIONS(5279),
    [anon_sym_DOT_DOT] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_QMARK_QMARK] = ACTIONS(5279),
    [anon_sym_on] = ACTIONS(5279),
    [anon_sym_equals] = ACTIONS(5279),
    [anon_sym_by] = ACTIONS(5279),
    [anon_sym_as] = ACTIONS(5279),
    [anon_sym_is] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_with] = ACTIONS(5279),
    [aux_sym_preproc_if_token3] = ACTIONS(5279),
    [aux_sym_preproc_else_token1] = ACTIONS(5279),
    [aux_sym_preproc_elif_token1] = ACTIONS(5279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3926] = {
    [sym_type_argument_list] = STATE(4059),
    [sym_preproc_region] = STATE(3926),
    [sym_preproc_endregion] = STATE(3926),
    [sym_preproc_line] = STATE(3926),
    [sym_preproc_pragma] = STATE(3926),
    [sym_preproc_nullable] = STATE(3926),
    [sym_preproc_error] = STATE(3926),
    [sym_preproc_define] = STATE(3926),
    [sym_preproc_undef] = STATE(3926),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5805),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_COLON_COLON] = ACTIONS(5808),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3927] = {
    [sym_argument_list] = STATE(4231),
    [sym_bracketed_argument_list] = STATE(3263),
    [sym_preproc_region] = STATE(3927),
    [sym_preproc_endregion] = STATE(3927),
    [sym_preproc_line] = STATE(3927),
    [sym_preproc_pragma] = STATE(3927),
    [sym_preproc_nullable] = STATE(3927),
    [sym_preproc_error] = STATE(3927),
    [sym_preproc_define] = STATE(3927),
    [sym_preproc_undef] = STATE(3927),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym_LBRACK] = ACTIONS(5810),
    [anon_sym_COLON] = ACTIONS(5269),
    [anon_sym_COMMA] = ACTIONS(5269),
    [anon_sym_RBRACK] = ACTIONS(5269),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5269),
    [anon_sym_RBRACE] = ACTIONS(5269),
    [anon_sym_LT] = ACTIONS(5273),
    [anon_sym_GT] = ACTIONS(5273),
    [anon_sym_in] = ACTIONS(5269),
    [anon_sym_QMARK] = ACTIONS(5273),
    [anon_sym_BANG] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5273),
    [anon_sym_DASH] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_SLASH] = ACTIONS(5273),
    [anon_sym_PERCENT] = ACTIONS(5269),
    [anon_sym_CARET] = ACTIONS(5269),
    [anon_sym_PIPE] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_LT_LT] = ACTIONS(5269),
    [anon_sym_GT_GT] = ACTIONS(5273),
    [anon_sym_GT_GT_GT] = ACTIONS(5269),
    [anon_sym_EQ_EQ] = ACTIONS(5269),
    [anon_sym_BANG_EQ] = ACTIONS(5269),
    [anon_sym_GT_EQ] = ACTIONS(5269),
    [anon_sym_LT_EQ] = ACTIONS(5269),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_EQ_GT] = ACTIONS(5269),
    [anon_sym_switch] = ACTIONS(5269),
    [anon_sym_when] = ACTIONS(5269),
    [anon_sym_DOT_DOT] = ACTIONS(5269),
    [anon_sym_and] = ACTIONS(5269),
    [anon_sym_or] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_PIPE_PIPE] = ACTIONS(5269),
    [anon_sym_QMARK_QMARK] = ACTIONS(5269),
    [anon_sym_on] = ACTIONS(5269),
    [anon_sym_equals] = ACTIONS(5269),
    [anon_sym_by] = ACTIONS(5269),
    [anon_sym_as] = ACTIONS(5269),
    [anon_sym_is] = ACTIONS(5269),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(5269),
    [aux_sym_preproc_if_token3] = ACTIONS(5269),
    [aux_sym_preproc_else_token1] = ACTIONS(5269),
    [aux_sym_preproc_elif_token1] = ACTIONS(5269),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3928] = {
    [sym_initializer_expression] = STATE(4130),
    [sym_preproc_region] = STATE(3928),
    [sym_preproc_endregion] = STATE(3928),
    [sym_preproc_line] = STATE(3928),
    [sym_preproc_pragma] = STATE(3928),
    [sym_preproc_nullable] = STATE(3928),
    [sym_preproc_error] = STATE(3928),
    [sym_preproc_define] = STATE(3928),
    [sym_preproc_undef] = STATE(3928),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_COLON] = ACTIONS(5286),
    [anon_sym_COMMA] = ACTIONS(5286),
    [anon_sym_RBRACK] = ACTIONS(5286),
    [anon_sym_LPAREN] = ACTIONS(5286),
    [anon_sym_RPAREN] = ACTIONS(5286),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(5286),
    [anon_sym_LT] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5291),
    [anon_sym_in] = ACTIONS(5286),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_BANG] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5286),
    [anon_sym_DASH_DASH] = ACTIONS(5286),
    [anon_sym_PLUS] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_SLASH] = ACTIONS(5291),
    [anon_sym_PERCENT] = ACTIONS(5286),
    [anon_sym_CARET] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_LT_LT] = ACTIONS(5286),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_GT_GT_GT] = ACTIONS(5286),
    [anon_sym_EQ_EQ] = ACTIONS(5286),
    [anon_sym_BANG_EQ] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5286),
    [anon_sym_LT_EQ] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5291),
    [anon_sym_EQ_GT] = ACTIONS(5286),
    [anon_sym_switch] = ACTIONS(5286),
    [anon_sym_when] = ACTIONS(5286),
    [anon_sym_DOT_DOT] = ACTIONS(5286),
    [anon_sym_and] = ACTIONS(5286),
    [anon_sym_or] = ACTIONS(5286),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_PIPE_PIPE] = ACTIONS(5286),
    [anon_sym_QMARK_QMARK] = ACTIONS(5286),
    [anon_sym_on] = ACTIONS(5286),
    [anon_sym_equals] = ACTIONS(5286),
    [anon_sym_by] = ACTIONS(5286),
    [anon_sym_as] = ACTIONS(5286),
    [anon_sym_is] = ACTIONS(5286),
    [anon_sym_DASH_GT] = ACTIONS(5286),
    [anon_sym_with] = ACTIONS(5286),
    [aux_sym_preproc_if_token3] = ACTIONS(5286),
    [aux_sym_preproc_else_token1] = ACTIONS(5286),
    [aux_sym_preproc_elif_token1] = ACTIONS(5286),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3929] = {
    [sym_preproc_region] = STATE(3929),
    [sym_preproc_endregion] = STATE(3929),
    [sym_preproc_line] = STATE(3929),
    [sym_preproc_pragma] = STATE(3929),
    [sym_preproc_nullable] = STATE(3929),
    [sym_preproc_error] = STATE(3929),
    [sym_preproc_define] = STATE(3929),
    [sym_preproc_undef] = STATE(3929),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_LPAREN] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_in] = ACTIONS(5338),
    [anon_sym_QMARK] = ACTIONS(5338),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5338),
    [anon_sym_GT_GT_GT] = ACTIONS(5336),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_EQ_GT] = ACTIONS(5336),
    [anon_sym_switch] = ACTIONS(5336),
    [anon_sym_when] = ACTIONS(5336),
    [anon_sym_DOT_DOT] = ACTIONS(5336),
    [anon_sym_and] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_QMARK_QMARK] = ACTIONS(5336),
    [anon_sym_into] = ACTIONS(5336),
    [anon_sym_on] = ACTIONS(5336),
    [anon_sym_equals] = ACTIONS(5336),
    [anon_sym_by] = ACTIONS(5336),
    [anon_sym_as] = ACTIONS(5336),
    [anon_sym_is] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [anon_sym_with] = ACTIONS(5336),
    [sym_string_literal_encoding] = ACTIONS(5816),
    [aux_sym_preproc_if_token3] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5336),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3930] = {
    [sym_preproc_region] = STATE(3930),
    [sym_preproc_endregion] = STATE(3930),
    [sym_preproc_line] = STATE(3930),
    [sym_preproc_pragma] = STATE(3930),
    [sym_preproc_nullable] = STATE(3930),
    [sym_preproc_error] = STATE(3930),
    [sym_preproc_define] = STATE(3930),
    [sym_preproc_undef] = STATE(3930),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_COLON] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RBRACK] = ACTIONS(5356),
    [anon_sym_LPAREN] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_in] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5358),
    [anon_sym_BANG] = ACTIONS(5358),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_GT_GT_GT] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_EQ_GT] = ACTIONS(5356),
    [anon_sym_switch] = ACTIONS(5356),
    [anon_sym_when] = ACTIONS(5356),
    [anon_sym_DOT_DOT] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_QMARK_QMARK] = ACTIONS(5356),
    [anon_sym_into] = ACTIONS(5356),
    [anon_sym_on] = ACTIONS(5356),
    [anon_sym_equals] = ACTIONS(5356),
    [anon_sym_by] = ACTIONS(5356),
    [anon_sym_as] = ACTIONS(5356),
    [anon_sym_is] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_with] = ACTIONS(5356),
    [aux_sym_raw_string_literal_token1] = ACTIONS(5818),
    [aux_sym_preproc_if_token3] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3931] = {
    [sym_preproc_region] = STATE(3931),
    [sym_preproc_endregion] = STATE(3931),
    [sym_preproc_line] = STATE(3931),
    [sym_preproc_pragma] = STATE(3931),
    [sym_preproc_nullable] = STATE(3931),
    [sym_preproc_error] = STATE(3931),
    [sym_preproc_define] = STATE(3931),
    [sym_preproc_undef] = STATE(3931),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4197),
    [anon_sym_COMMA] = ACTIONS(4197),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4197),
    [anon_sym_or] = ACTIONS(4197),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_into] = ACTIONS(4197),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4197),
  },
  [3932] = {
    [sym_argument_list] = STATE(4231),
    [sym_bracketed_argument_list] = STATE(3263),
    [sym_preproc_region] = STATE(3932),
    [sym_preproc_endregion] = STATE(3932),
    [sym_preproc_line] = STATE(3932),
    [sym_preproc_pragma] = STATE(3932),
    [sym_preproc_nullable] = STATE(3932),
    [sym_preproc_error] = STATE(3932),
    [sym_preproc_define] = STATE(3932),
    [sym_preproc_undef] = STATE(3932),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5810),
    [anon_sym_COLON] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RBRACK] = ACTIONS(5311),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_in] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_BANG] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_GT_GT_GT] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_EQ_GT] = ACTIONS(5311),
    [anon_sym_switch] = ACTIONS(5311),
    [anon_sym_when] = ACTIONS(5311),
    [anon_sym_DOT_DOT] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_QMARK_QMARK] = ACTIONS(5311),
    [anon_sym_on] = ACTIONS(5311),
    [anon_sym_equals] = ACTIONS(5311),
    [anon_sym_by] = ACTIONS(5311),
    [anon_sym_as] = ACTIONS(5311),
    [anon_sym_is] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(5311),
    [aux_sym_preproc_if_token3] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3933] = {
    [sym_preproc_region] = STATE(3933),
    [sym_preproc_endregion] = STATE(3933),
    [sym_preproc_line] = STATE(3933),
    [sym_preproc_pragma] = STATE(3933),
    [sym_preproc_nullable] = STATE(3933),
    [sym_preproc_error] = STATE(3933),
    [sym_preproc_define] = STATE(3933),
    [sym_preproc_undef] = STATE(3933),
    [anon_sym_EQ] = ACTIONS(4648),
    [anon_sym_LBRACK] = ACTIONS(4646),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_COMMA] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(4646),
    [anon_sym_LT] = ACTIONS(4648),
    [anon_sym_GT] = ACTIONS(4648),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_BANG] = ACTIONS(4648),
    [anon_sym_PLUS_PLUS] = ACTIONS(4646),
    [anon_sym_DASH_DASH] = ACTIONS(4646),
    [anon_sym_PLUS] = ACTIONS(4648),
    [anon_sym_DASH] = ACTIONS(4648),
    [anon_sym_STAR] = ACTIONS(4648),
    [anon_sym_SLASH] = ACTIONS(4648),
    [anon_sym_PERCENT] = ACTIONS(4648),
    [anon_sym_CARET] = ACTIONS(4648),
    [anon_sym_PIPE] = ACTIONS(4648),
    [anon_sym_AMP] = ACTIONS(4648),
    [anon_sym_LT_LT] = ACTIONS(4648),
    [anon_sym_GT_GT] = ACTIONS(4648),
    [anon_sym_GT_GT_GT] = ACTIONS(4648),
    [anon_sym_EQ_EQ] = ACTIONS(4646),
    [anon_sym_BANG_EQ] = ACTIONS(4646),
    [anon_sym_GT_EQ] = ACTIONS(4646),
    [anon_sym_LT_EQ] = ACTIONS(4646),
    [anon_sym_DOT] = ACTIONS(4648),
    [anon_sym_switch] = ACTIONS(4646),
    [anon_sym_DOT_DOT] = ACTIONS(4646),
    [anon_sym_and] = ACTIONS(4646),
    [anon_sym_or] = ACTIONS(4646),
    [anon_sym_PLUS_EQ] = ACTIONS(4646),
    [anon_sym_DASH_EQ] = ACTIONS(4646),
    [anon_sym_STAR_EQ] = ACTIONS(4646),
    [anon_sym_SLASH_EQ] = ACTIONS(4646),
    [anon_sym_PERCENT_EQ] = ACTIONS(4646),
    [anon_sym_AMP_EQ] = ACTIONS(4646),
    [anon_sym_CARET_EQ] = ACTIONS(4646),
    [anon_sym_PIPE_EQ] = ACTIONS(4646),
    [anon_sym_LT_LT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4646),
    [anon_sym_AMP_AMP] = ACTIONS(4646),
    [anon_sym_PIPE_PIPE] = ACTIONS(4646),
    [anon_sym_QMARK_QMARK] = ACTIONS(4648),
    [anon_sym_into] = ACTIONS(4646),
    [anon_sym_as] = ACTIONS(4646),
    [anon_sym_is] = ACTIONS(4646),
    [anon_sym_DASH_GT] = ACTIONS(4646),
    [anon_sym_with] = ACTIONS(4646),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4646),
  },
  [3934] = {
    [sym_preproc_region] = STATE(3934),
    [sym_preproc_endregion] = STATE(3934),
    [sym_preproc_line] = STATE(3934),
    [sym_preproc_pragma] = STATE(3934),
    [sym_preproc_nullable] = STATE(3934),
    [sym_preproc_error] = STATE(3934),
    [sym_preproc_define] = STATE(3934),
    [sym_preproc_undef] = STATE(3934),
    [anon_sym_SEMI] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_COLON] = ACTIONS(5362),
    [anon_sym_COMMA] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5362),
    [anon_sym_LPAREN] = ACTIONS(5362),
    [anon_sym_RPAREN] = ACTIONS(5362),
    [anon_sym_LBRACE] = ACTIONS(5362),
    [anon_sym_RBRACE] = ACTIONS(5362),
    [anon_sym_LT] = ACTIONS(5364),
    [anon_sym_GT] = ACTIONS(5364),
    [anon_sym_in] = ACTIONS(5364),
    [anon_sym_QMARK] = ACTIONS(5364),
    [anon_sym_BANG] = ACTIONS(5364),
    [anon_sym_PLUS_PLUS] = ACTIONS(5362),
    [anon_sym_DASH_DASH] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5364),
    [anon_sym_DASH] = ACTIONS(5364),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_SLASH] = ACTIONS(5364),
    [anon_sym_PERCENT] = ACTIONS(5362),
    [anon_sym_CARET] = ACTIONS(5362),
    [anon_sym_PIPE] = ACTIONS(5364),
    [anon_sym_AMP] = ACTIONS(5364),
    [anon_sym_LT_LT] = ACTIONS(5362),
    [anon_sym_GT_GT] = ACTIONS(5364),
    [anon_sym_GT_GT_GT] = ACTIONS(5362),
    [anon_sym_EQ_EQ] = ACTIONS(5362),
    [anon_sym_BANG_EQ] = ACTIONS(5362),
    [anon_sym_GT_EQ] = ACTIONS(5362),
    [anon_sym_LT_EQ] = ACTIONS(5362),
    [anon_sym_DOT] = ACTIONS(5364),
    [anon_sym_EQ_GT] = ACTIONS(5362),
    [anon_sym_switch] = ACTIONS(5362),
    [anon_sym_when] = ACTIONS(5362),
    [anon_sym_DOT_DOT] = ACTIONS(5362),
    [anon_sym_and] = ACTIONS(5362),
    [anon_sym_or] = ACTIONS(5362),
    [anon_sym_AMP_AMP] = ACTIONS(5362),
    [anon_sym_PIPE_PIPE] = ACTIONS(5362),
    [anon_sym_QMARK_QMARK] = ACTIONS(5362),
    [anon_sym_into] = ACTIONS(5362),
    [anon_sym_on] = ACTIONS(5362),
    [anon_sym_equals] = ACTIONS(5362),
    [anon_sym_by] = ACTIONS(5362),
    [anon_sym_as] = ACTIONS(5362),
    [anon_sym_is] = ACTIONS(5362),
    [anon_sym_DASH_GT] = ACTIONS(5362),
    [anon_sym_with] = ACTIONS(5362),
    [aux_sym_preproc_if_token3] = ACTIONS(5362),
    [aux_sym_preproc_else_token1] = ACTIONS(5362),
    [aux_sym_preproc_elif_token1] = ACTIONS(5362),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3935] = {
    [sym_initializer_expression] = STATE(4266),
    [sym_preproc_region] = STATE(3935),
    [sym_preproc_endregion] = STATE(3935),
    [sym_preproc_line] = STATE(3935),
    [sym_preproc_pragma] = STATE(3935),
    [sym_preproc_nullable] = STATE(3935),
    [sym_preproc_error] = STATE(3935),
    [sym_preproc_define] = STATE(3935),
    [sym_preproc_undef] = STATE(3935),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_RBRACK] = ACTIONS(5323),
    [anon_sym_LPAREN] = ACTIONS(5323),
    [anon_sym_RPAREN] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(5323),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_in] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_BANG] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_GT_GT_GT] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_EQ_GT] = ACTIONS(5323),
    [anon_sym_switch] = ACTIONS(5323),
    [anon_sym_when] = ACTIONS(5323),
    [anon_sym_DOT_DOT] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_QMARK_QMARK] = ACTIONS(5323),
    [anon_sym_on] = ACTIONS(5323),
    [anon_sym_equals] = ACTIONS(5323),
    [anon_sym_by] = ACTIONS(5323),
    [anon_sym_as] = ACTIONS(5323),
    [anon_sym_is] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_with] = ACTIONS(5323),
    [aux_sym_preproc_if_token3] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3936] = {
    [sym_preproc_region] = STATE(3936),
    [sym_preproc_endregion] = STATE(3936),
    [sym_preproc_line] = STATE(3936),
    [sym_preproc_pragma] = STATE(3936),
    [sym_preproc_nullable] = STATE(3936),
    [sym_preproc_error] = STATE(3936),
    [sym_preproc_define] = STATE(3936),
    [sym_preproc_undef] = STATE(3936),
    [anon_sym_EQ] = ACTIONS(4692),
    [anon_sym_LBRACK] = ACTIONS(4690),
    [anon_sym_COLON] = ACTIONS(4690),
    [anon_sym_COMMA] = ACTIONS(4690),
    [anon_sym_LPAREN] = ACTIONS(4690),
    [anon_sym_LT] = ACTIONS(4692),
    [anon_sym_GT] = ACTIONS(4692),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_BANG] = ACTIONS(4692),
    [anon_sym_PLUS_PLUS] = ACTIONS(4690),
    [anon_sym_DASH_DASH] = ACTIONS(4690),
    [anon_sym_PLUS] = ACTIONS(4692),
    [anon_sym_DASH] = ACTIONS(4692),
    [anon_sym_STAR] = ACTIONS(4692),
    [anon_sym_SLASH] = ACTIONS(4692),
    [anon_sym_PERCENT] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4692),
    [anon_sym_PIPE] = ACTIONS(4692),
    [anon_sym_AMP] = ACTIONS(4692),
    [anon_sym_LT_LT] = ACTIONS(4692),
    [anon_sym_GT_GT] = ACTIONS(4692),
    [anon_sym_GT_GT_GT] = ACTIONS(4692),
    [anon_sym_EQ_EQ] = ACTIONS(4690),
    [anon_sym_BANG_EQ] = ACTIONS(4690),
    [anon_sym_GT_EQ] = ACTIONS(4690),
    [anon_sym_LT_EQ] = ACTIONS(4690),
    [anon_sym_DOT] = ACTIONS(4692),
    [anon_sym_switch] = ACTIONS(4690),
    [anon_sym_DOT_DOT] = ACTIONS(4690),
    [anon_sym_and] = ACTIONS(4690),
    [anon_sym_or] = ACTIONS(4690),
    [anon_sym_PLUS_EQ] = ACTIONS(4690),
    [anon_sym_DASH_EQ] = ACTIONS(4690),
    [anon_sym_STAR_EQ] = ACTIONS(4690),
    [anon_sym_SLASH_EQ] = ACTIONS(4690),
    [anon_sym_PERCENT_EQ] = ACTIONS(4690),
    [anon_sym_AMP_EQ] = ACTIONS(4690),
    [anon_sym_CARET_EQ] = ACTIONS(4690),
    [anon_sym_PIPE_EQ] = ACTIONS(4690),
    [anon_sym_LT_LT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4690),
    [anon_sym_AMP_AMP] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE] = ACTIONS(4690),
    [anon_sym_QMARK_QMARK] = ACTIONS(4692),
    [anon_sym_into] = ACTIONS(4690),
    [anon_sym_as] = ACTIONS(4690),
    [anon_sym_is] = ACTIONS(4690),
    [anon_sym_DASH_GT] = ACTIONS(4690),
    [anon_sym_with] = ACTIONS(4690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4690),
  },
  [3937] = {
    [sym_argument_list] = STATE(4231),
    [sym_bracketed_argument_list] = STATE(3263),
    [sym_preproc_region] = STATE(3937),
    [sym_preproc_endregion] = STATE(3937),
    [sym_preproc_line] = STATE(3937),
    [sym_preproc_pragma] = STATE(3937),
    [sym_preproc_nullable] = STATE(3937),
    [sym_preproc_error] = STATE(3937),
    [sym_preproc_define] = STATE(3937),
    [sym_preproc_undef] = STATE(3937),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(5810),
    [anon_sym_COLON] = ACTIONS(5315),
    [anon_sym_COMMA] = ACTIONS(5315),
    [anon_sym_RBRACK] = ACTIONS(5315),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_RBRACE] = ACTIONS(5315),
    [anon_sym_LT] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5317),
    [anon_sym_in] = ACTIONS(5315),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_BANG] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5317),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_PIPE] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5317),
    [anon_sym_GT_GT_GT] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5315),
    [anon_sym_BANG_EQ] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5315),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_EQ_GT] = ACTIONS(5315),
    [anon_sym_switch] = ACTIONS(5315),
    [anon_sym_when] = ACTIONS(5315),
    [anon_sym_DOT_DOT] = ACTIONS(5315),
    [anon_sym_and] = ACTIONS(5315),
    [anon_sym_or] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5315),
    [anon_sym_QMARK_QMARK] = ACTIONS(5315),
    [anon_sym_on] = ACTIONS(5315),
    [anon_sym_equals] = ACTIONS(5315),
    [anon_sym_by] = ACTIONS(5315),
    [anon_sym_as] = ACTIONS(5315),
    [anon_sym_is] = ACTIONS(5315),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(5315),
    [aux_sym_preproc_if_token3] = ACTIONS(5315),
    [aux_sym_preproc_else_token1] = ACTIONS(5315),
    [aux_sym_preproc_elif_token1] = ACTIONS(5315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3938] = {
    [sym_preproc_region] = STATE(3938),
    [sym_preproc_endregion] = STATE(3938),
    [sym_preproc_line] = STATE(3938),
    [sym_preproc_pragma] = STATE(3938),
    [sym_preproc_nullable] = STATE(3938),
    [sym_preproc_error] = STATE(3938),
    [sym_preproc_define] = STATE(3938),
    [sym_preproc_undef] = STATE(3938),
    [anon_sym_EQ] = ACTIONS(4666),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_COLON] = ACTIONS(4664),
    [anon_sym_COMMA] = ACTIONS(4664),
    [anon_sym_LPAREN] = ACTIONS(4664),
    [anon_sym_LT] = ACTIONS(4666),
    [anon_sym_GT] = ACTIONS(4666),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_BANG] = ACTIONS(4666),
    [anon_sym_PLUS_PLUS] = ACTIONS(4664),
    [anon_sym_DASH_DASH] = ACTIONS(4664),
    [anon_sym_PLUS] = ACTIONS(4666),
    [anon_sym_DASH] = ACTIONS(4666),
    [anon_sym_STAR] = ACTIONS(4666),
    [anon_sym_SLASH] = ACTIONS(4666),
    [anon_sym_PERCENT] = ACTIONS(4666),
    [anon_sym_CARET] = ACTIONS(4666),
    [anon_sym_PIPE] = ACTIONS(4666),
    [anon_sym_AMP] = ACTIONS(4666),
    [anon_sym_LT_LT] = ACTIONS(4666),
    [anon_sym_GT_GT] = ACTIONS(4666),
    [anon_sym_GT_GT_GT] = ACTIONS(4666),
    [anon_sym_EQ_EQ] = ACTIONS(4664),
    [anon_sym_BANG_EQ] = ACTIONS(4664),
    [anon_sym_GT_EQ] = ACTIONS(4664),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_DOT] = ACTIONS(4666),
    [anon_sym_switch] = ACTIONS(4664),
    [anon_sym_DOT_DOT] = ACTIONS(4664),
    [anon_sym_and] = ACTIONS(4664),
    [anon_sym_or] = ACTIONS(4664),
    [anon_sym_PLUS_EQ] = ACTIONS(4664),
    [anon_sym_DASH_EQ] = ACTIONS(4664),
    [anon_sym_STAR_EQ] = ACTIONS(4664),
    [anon_sym_SLASH_EQ] = ACTIONS(4664),
    [anon_sym_PERCENT_EQ] = ACTIONS(4664),
    [anon_sym_AMP_EQ] = ACTIONS(4664),
    [anon_sym_CARET_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_LT_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4664),
    [anon_sym_AMP_AMP] = ACTIONS(4664),
    [anon_sym_PIPE_PIPE] = ACTIONS(4664),
    [anon_sym_QMARK_QMARK] = ACTIONS(4666),
    [anon_sym_into] = ACTIONS(4664),
    [anon_sym_as] = ACTIONS(4664),
    [anon_sym_is] = ACTIONS(4664),
    [anon_sym_DASH_GT] = ACTIONS(4664),
    [anon_sym_with] = ACTIONS(4664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4664),
  },
  [3939] = {
    [sym_preproc_region] = STATE(3939),
    [sym_preproc_endregion] = STATE(3939),
    [sym_preproc_line] = STATE(3939),
    [sym_preproc_pragma] = STATE(3939),
    [sym_preproc_nullable] = STATE(3939),
    [sym_preproc_error] = STATE(3939),
    [sym_preproc_define] = STATE(3939),
    [sym_preproc_undef] = STATE(3939),
    [anon_sym_EQ] = ACTIONS(5820),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5822),
    [anon_sym_DASH_EQ] = ACTIONS(5822),
    [anon_sym_STAR_EQ] = ACTIONS(5822),
    [anon_sym_SLASH_EQ] = ACTIONS(5822),
    [anon_sym_PERCENT_EQ] = ACTIONS(5822),
    [anon_sym_AMP_EQ] = ACTIONS(5822),
    [anon_sym_CARET_EQ] = ACTIONS(5822),
    [anon_sym_PIPE_EQ] = ACTIONS(5822),
    [anon_sym_LT_LT_EQ] = ACTIONS(5822),
    [anon_sym_GT_GT_EQ] = ACTIONS(5822),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5822),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5822),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(5305),
  },
  [3940] = {
    [sym_preproc_region] = STATE(3940),
    [sym_preproc_endregion] = STATE(3940),
    [sym_preproc_line] = STATE(3940),
    [sym_preproc_pragma] = STATE(3940),
    [sym_preproc_nullable] = STATE(3940),
    [sym_preproc_error] = STATE(3940),
    [sym_preproc_define] = STATE(3940),
    [sym_preproc_undef] = STATE(3940),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_COLON] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [anon_sym_RBRACK] = ACTIONS(5327),
    [anon_sym_LPAREN] = ACTIONS(5327),
    [anon_sym_RPAREN] = ACTIONS(5327),
    [anon_sym_LBRACE] = ACTIONS(5327),
    [anon_sym_RBRACE] = ACTIONS(5327),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_in] = ACTIONS(5327),
    [anon_sym_where] = ACTIONS(5327),
    [anon_sym_QMARK] = ACTIONS(5329),
    [anon_sym_BANG] = ACTIONS(5329),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5327),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5327),
    [anon_sym_CARET] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5327),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_GT_GT_GT] = ACTIONS(5327),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT_EQ] = ACTIONS(5327),
    [anon_sym_LT_EQ] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_EQ_GT] = ACTIONS(5327),
    [anon_sym_switch] = ACTIONS(5327),
    [anon_sym_when] = ACTIONS(5327),
    [anon_sym_DOT_DOT] = ACTIONS(5327),
    [anon_sym_and] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_QMARK_QMARK] = ACTIONS(5327),
    [anon_sym_on] = ACTIONS(5327),
    [anon_sym_equals] = ACTIONS(5327),
    [anon_sym_by] = ACTIONS(5327),
    [anon_sym_as] = ACTIONS(5327),
    [anon_sym_is] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5327),
    [anon_sym_with] = ACTIONS(5327),
    [aux_sym_preproc_if_token3] = ACTIONS(5327),
    [aux_sym_preproc_else_token1] = ACTIONS(5327),
    [aux_sym_preproc_elif_token1] = ACTIONS(5327),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3941] = {
    [sym_preproc_region] = STATE(3941),
    [sym_preproc_endregion] = STATE(3941),
    [sym_preproc_line] = STATE(3941),
    [sym_preproc_pragma] = STATE(3941),
    [sym_preproc_nullable] = STATE(3941),
    [sym_preproc_error] = STATE(3941),
    [sym_preproc_define] = STATE(3941),
    [sym_preproc_undef] = STATE(3941),
    [anon_sym_EQ] = ACTIONS(4688),
    [anon_sym_LBRACK] = ACTIONS(4686),
    [anon_sym_COLON] = ACTIONS(4686),
    [anon_sym_COMMA] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4686),
    [anon_sym_LT] = ACTIONS(4688),
    [anon_sym_GT] = ACTIONS(4688),
    [anon_sym_QMARK] = ACTIONS(4688),
    [anon_sym_BANG] = ACTIONS(4688),
    [anon_sym_PLUS_PLUS] = ACTIONS(4686),
    [anon_sym_DASH_DASH] = ACTIONS(4686),
    [anon_sym_PLUS] = ACTIONS(4688),
    [anon_sym_DASH] = ACTIONS(4688),
    [anon_sym_STAR] = ACTIONS(4688),
    [anon_sym_SLASH] = ACTIONS(4688),
    [anon_sym_PERCENT] = ACTIONS(4688),
    [anon_sym_CARET] = ACTIONS(4688),
    [anon_sym_PIPE] = ACTIONS(4688),
    [anon_sym_AMP] = ACTIONS(4688),
    [anon_sym_LT_LT] = ACTIONS(4688),
    [anon_sym_GT_GT] = ACTIONS(4688),
    [anon_sym_GT_GT_GT] = ACTIONS(4688),
    [anon_sym_EQ_EQ] = ACTIONS(4686),
    [anon_sym_BANG_EQ] = ACTIONS(4686),
    [anon_sym_GT_EQ] = ACTIONS(4686),
    [anon_sym_LT_EQ] = ACTIONS(4686),
    [anon_sym_DOT] = ACTIONS(4688),
    [anon_sym_switch] = ACTIONS(4686),
    [anon_sym_DOT_DOT] = ACTIONS(4686),
    [anon_sym_and] = ACTIONS(4686),
    [anon_sym_or] = ACTIONS(4686),
    [anon_sym_PLUS_EQ] = ACTIONS(4686),
    [anon_sym_DASH_EQ] = ACTIONS(4686),
    [anon_sym_STAR_EQ] = ACTIONS(4686),
    [anon_sym_SLASH_EQ] = ACTIONS(4686),
    [anon_sym_PERCENT_EQ] = ACTIONS(4686),
    [anon_sym_AMP_EQ] = ACTIONS(4686),
    [anon_sym_CARET_EQ] = ACTIONS(4686),
    [anon_sym_PIPE_EQ] = ACTIONS(4686),
    [anon_sym_LT_LT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4686),
    [anon_sym_AMP_AMP] = ACTIONS(4686),
    [anon_sym_PIPE_PIPE] = ACTIONS(4686),
    [anon_sym_QMARK_QMARK] = ACTIONS(4688),
    [anon_sym_into] = ACTIONS(4686),
    [anon_sym_as] = ACTIONS(4686),
    [anon_sym_is] = ACTIONS(4686),
    [anon_sym_DASH_GT] = ACTIONS(4686),
    [anon_sym_with] = ACTIONS(4686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4686),
  },
  [3942] = {
    [sym_preproc_region] = STATE(3942),
    [sym_preproc_endregion] = STATE(3942),
    [sym_preproc_line] = STATE(3942),
    [sym_preproc_pragma] = STATE(3942),
    [sym_preproc_nullable] = STATE(3942),
    [sym_preproc_error] = STATE(3942),
    [sym_preproc_define] = STATE(3942),
    [sym_preproc_undef] = STATE(3942),
    [anon_sym_EQ] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4696),
    [anon_sym_COMMA] = ACTIONS(4696),
    [anon_sym_LPAREN] = ACTIONS(4696),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_GT] = ACTIONS(4698),
    [anon_sym_QMARK] = ACTIONS(4698),
    [anon_sym_BANG] = ACTIONS(4698),
    [anon_sym_PLUS_PLUS] = ACTIONS(4696),
    [anon_sym_DASH_DASH] = ACTIONS(4696),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_DASH] = ACTIONS(4698),
    [anon_sym_STAR] = ACTIONS(4698),
    [anon_sym_SLASH] = ACTIONS(4698),
    [anon_sym_PERCENT] = ACTIONS(4698),
    [anon_sym_CARET] = ACTIONS(4698),
    [anon_sym_PIPE] = ACTIONS(4698),
    [anon_sym_AMP] = ACTIONS(4698),
    [anon_sym_LT_LT] = ACTIONS(4698),
    [anon_sym_GT_GT] = ACTIONS(4698),
    [anon_sym_GT_GT_GT] = ACTIONS(4698),
    [anon_sym_EQ_EQ] = ACTIONS(4696),
    [anon_sym_BANG_EQ] = ACTIONS(4696),
    [anon_sym_GT_EQ] = ACTIONS(4696),
    [anon_sym_LT_EQ] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(4698),
    [anon_sym_switch] = ACTIONS(4696),
    [anon_sym_DOT_DOT] = ACTIONS(4696),
    [anon_sym_and] = ACTIONS(4696),
    [anon_sym_or] = ACTIONS(4696),
    [anon_sym_PLUS_EQ] = ACTIONS(4696),
    [anon_sym_DASH_EQ] = ACTIONS(4696),
    [anon_sym_STAR_EQ] = ACTIONS(4696),
    [anon_sym_SLASH_EQ] = ACTIONS(4696),
    [anon_sym_PERCENT_EQ] = ACTIONS(4696),
    [anon_sym_AMP_EQ] = ACTIONS(4696),
    [anon_sym_CARET_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_LT_LT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4696),
    [anon_sym_AMP_AMP] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE] = ACTIONS(4696),
    [anon_sym_QMARK_QMARK] = ACTIONS(4698),
    [anon_sym_into] = ACTIONS(4696),
    [anon_sym_as] = ACTIONS(4696),
    [anon_sym_is] = ACTIONS(4696),
    [anon_sym_DASH_GT] = ACTIONS(4696),
    [anon_sym_with] = ACTIONS(4696),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4696),
  },
  [3943] = {
    [sym_preproc_region] = STATE(3943),
    [sym_preproc_endregion] = STATE(3943),
    [sym_preproc_line] = STATE(3943),
    [sym_preproc_pragma] = STATE(3943),
    [sym_preproc_nullable] = STATE(3943),
    [sym_preproc_error] = STATE(3943),
    [sym_preproc_define] = STATE(3943),
    [sym_preproc_undef] = STATE(3943),
    [anon_sym_EQ] = ACTIONS(4167),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_COLON] = ACTIONS(4165),
    [anon_sym_COMMA] = ACTIONS(4165),
    [anon_sym_LPAREN] = ACTIONS(4165),
    [anon_sym_LT] = ACTIONS(4167),
    [anon_sym_GT] = ACTIONS(4167),
    [anon_sym_QMARK] = ACTIONS(4167),
    [anon_sym_BANG] = ACTIONS(4167),
    [anon_sym_PLUS_PLUS] = ACTIONS(4165),
    [anon_sym_DASH_DASH] = ACTIONS(4165),
    [anon_sym_PLUS] = ACTIONS(4167),
    [anon_sym_DASH] = ACTIONS(4167),
    [anon_sym_STAR] = ACTIONS(4167),
    [anon_sym_SLASH] = ACTIONS(4167),
    [anon_sym_PERCENT] = ACTIONS(4167),
    [anon_sym_CARET] = ACTIONS(4167),
    [anon_sym_PIPE] = ACTIONS(4167),
    [anon_sym_AMP] = ACTIONS(4167),
    [anon_sym_LT_LT] = ACTIONS(4167),
    [anon_sym_GT_GT] = ACTIONS(4167),
    [anon_sym_GT_GT_GT] = ACTIONS(4167),
    [anon_sym_EQ_EQ] = ACTIONS(4165),
    [anon_sym_BANG_EQ] = ACTIONS(4165),
    [anon_sym_GT_EQ] = ACTIONS(4165),
    [anon_sym_LT_EQ] = ACTIONS(4165),
    [anon_sym_DOT] = ACTIONS(4167),
    [anon_sym_switch] = ACTIONS(4165),
    [anon_sym_DOT_DOT] = ACTIONS(4165),
    [anon_sym_and] = ACTIONS(4165),
    [anon_sym_or] = ACTIONS(4165),
    [anon_sym_PLUS_EQ] = ACTIONS(4165),
    [anon_sym_DASH_EQ] = ACTIONS(4165),
    [anon_sym_STAR_EQ] = ACTIONS(4165),
    [anon_sym_SLASH_EQ] = ACTIONS(4165),
    [anon_sym_PERCENT_EQ] = ACTIONS(4165),
    [anon_sym_AMP_EQ] = ACTIONS(4165),
    [anon_sym_CARET_EQ] = ACTIONS(4165),
    [anon_sym_PIPE_EQ] = ACTIONS(4165),
    [anon_sym_LT_LT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4165),
    [anon_sym_AMP_AMP] = ACTIONS(4165),
    [anon_sym_PIPE_PIPE] = ACTIONS(4165),
    [anon_sym_QMARK_QMARK] = ACTIONS(4167),
    [anon_sym_into] = ACTIONS(4165),
    [anon_sym_as] = ACTIONS(4165),
    [anon_sym_is] = ACTIONS(4165),
    [anon_sym_DASH_GT] = ACTIONS(4165),
    [anon_sym_with] = ACTIONS(4165),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4165),
  },
  [3944] = {
    [sym_preproc_region] = STATE(3944),
    [sym_preproc_endregion] = STATE(3944),
    [sym_preproc_line] = STATE(3944),
    [sym_preproc_pragma] = STATE(3944),
    [sym_preproc_nullable] = STATE(3944),
    [sym_preproc_error] = STATE(3944),
    [sym_preproc_define] = STATE(3944),
    [sym_preproc_undef] = STATE(3944),
    [anon_sym_EQ] = ACTIONS(5824),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5826),
    [anon_sym_DASH_EQ] = ACTIONS(5826),
    [anon_sym_STAR_EQ] = ACTIONS(5826),
    [anon_sym_SLASH_EQ] = ACTIONS(5826),
    [anon_sym_PERCENT_EQ] = ACTIONS(5826),
    [anon_sym_AMP_EQ] = ACTIONS(5826),
    [anon_sym_CARET_EQ] = ACTIONS(5826),
    [anon_sym_PIPE_EQ] = ACTIONS(5826),
    [anon_sym_LT_LT_EQ] = ACTIONS(5826),
    [anon_sym_GT_GT_EQ] = ACTIONS(5826),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5826),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5826),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3945] = {
    [sym_preproc_region] = STATE(3945),
    [sym_preproc_endregion] = STATE(3945),
    [sym_preproc_line] = STATE(3945),
    [sym_preproc_pragma] = STATE(3945),
    [sym_preproc_nullable] = STATE(3945),
    [sym_preproc_error] = STATE(3945),
    [sym_preproc_define] = STATE(3945),
    [sym_preproc_undef] = STATE(3945),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4791),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(4791),
    [anon_sym_LT] = ACTIONS(4794),
    [anon_sym_GT] = ACTIONS(4794),
    [anon_sym_QMARK] = ACTIONS(4794),
    [anon_sym_BANG] = ACTIONS(4794),
    [anon_sym_PLUS_PLUS] = ACTIONS(4791),
    [anon_sym_DASH_DASH] = ACTIONS(4791),
    [anon_sym_PLUS] = ACTIONS(4794),
    [anon_sym_DASH] = ACTIONS(4794),
    [anon_sym_STAR] = ACTIONS(4794),
    [anon_sym_SLASH] = ACTIONS(4794),
    [anon_sym_PERCENT] = ACTIONS(4794),
    [anon_sym_CARET] = ACTIONS(4794),
    [anon_sym_PIPE] = ACTIONS(4794),
    [anon_sym_AMP] = ACTIONS(4794),
    [anon_sym_LT_LT] = ACTIONS(4794),
    [anon_sym_GT_GT] = ACTIONS(4794),
    [anon_sym_GT_GT_GT] = ACTIONS(4794),
    [anon_sym_EQ_EQ] = ACTIONS(4791),
    [anon_sym_BANG_EQ] = ACTIONS(4791),
    [anon_sym_GT_EQ] = ACTIONS(4791),
    [anon_sym_LT_EQ] = ACTIONS(4791),
    [anon_sym_DOT] = ACTIONS(4794),
    [anon_sym_switch] = ACTIONS(4791),
    [anon_sym_DOT_DOT] = ACTIONS(4791),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4791),
    [anon_sym_QMARK_QMARK] = ACTIONS(4794),
    [anon_sym_into] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(4791),
    [anon_sym_is] = ACTIONS(4791),
    [anon_sym_DASH_GT] = ACTIONS(4791),
    [anon_sym_with] = ACTIONS(4791),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4789),
  },
  [3946] = {
    [sym_preproc_region] = STATE(3946),
    [sym_preproc_endregion] = STATE(3946),
    [sym_preproc_line] = STATE(3946),
    [sym_preproc_pragma] = STATE(3946),
    [sym_preproc_nullable] = STATE(3946),
    [sym_preproc_error] = STATE(3946),
    [sym_preproc_define] = STATE(3946),
    [sym_preproc_undef] = STATE(3946),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_LPAREN] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_BANG] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_GT_GT_GT] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5350),
    [anon_sym_switch] = ACTIONS(5350),
    [anon_sym_when] = ACTIONS(5350),
    [anon_sym_DOT_DOT] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_QMARK_QMARK] = ACTIONS(5350),
    [anon_sym_into] = ACTIONS(5350),
    [anon_sym_on] = ACTIONS(5350),
    [anon_sym_equals] = ACTIONS(5350),
    [anon_sym_by] = ACTIONS(5350),
    [anon_sym_as] = ACTIONS(5350),
    [anon_sym_is] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_with] = ACTIONS(5350),
    [sym_string_literal_encoding] = ACTIONS(5828),
    [aux_sym_preproc_if_token3] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3947] = {
    [sym_preproc_region] = STATE(3947),
    [sym_preproc_endregion] = STATE(3947),
    [sym_preproc_line] = STATE(3947),
    [sym_preproc_pragma] = STATE(3947),
    [sym_preproc_nullable] = STATE(3947),
    [sym_preproc_error] = STATE(3947),
    [sym_preproc_define] = STATE(3947),
    [sym_preproc_undef] = STATE(3947),
    [anon_sym_SEMI] = ACTIONS(5336),
    [anon_sym_LBRACK] = ACTIONS(5336),
    [anon_sym_COLON] = ACTIONS(5336),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RBRACK] = ACTIONS(5336),
    [anon_sym_LPAREN] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_RBRACE] = ACTIONS(5336),
    [anon_sym_LT] = ACTIONS(5338),
    [anon_sym_GT] = ACTIONS(5338),
    [anon_sym_in] = ACTIONS(5336),
    [anon_sym_QMARK] = ACTIONS(5338),
    [anon_sym_BANG] = ACTIONS(5338),
    [anon_sym_PLUS_PLUS] = ACTIONS(5336),
    [anon_sym_DASH_DASH] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(5338),
    [anon_sym_DASH] = ACTIONS(5338),
    [anon_sym_STAR] = ACTIONS(5336),
    [anon_sym_SLASH] = ACTIONS(5338),
    [anon_sym_PERCENT] = ACTIONS(5336),
    [anon_sym_CARET] = ACTIONS(5336),
    [anon_sym_PIPE] = ACTIONS(5338),
    [anon_sym_AMP] = ACTIONS(5338),
    [anon_sym_LT_LT] = ACTIONS(5336),
    [anon_sym_GT_GT] = ACTIONS(5338),
    [anon_sym_GT_GT_GT] = ACTIONS(5336),
    [anon_sym_EQ_EQ] = ACTIONS(5336),
    [anon_sym_BANG_EQ] = ACTIONS(5336),
    [anon_sym_GT_EQ] = ACTIONS(5336),
    [anon_sym_LT_EQ] = ACTIONS(5336),
    [anon_sym_DOT] = ACTIONS(5338),
    [anon_sym_EQ_GT] = ACTIONS(5336),
    [anon_sym_switch] = ACTIONS(5336),
    [anon_sym_when] = ACTIONS(5336),
    [anon_sym_DOT_DOT] = ACTIONS(5336),
    [anon_sym_and] = ACTIONS(5336),
    [anon_sym_or] = ACTIONS(5336),
    [anon_sym_AMP_AMP] = ACTIONS(5336),
    [anon_sym_PIPE_PIPE] = ACTIONS(5336),
    [anon_sym_QMARK_QMARK] = ACTIONS(5336),
    [anon_sym_on] = ACTIONS(5336),
    [anon_sym_equals] = ACTIONS(5336),
    [anon_sym_by] = ACTIONS(5336),
    [anon_sym_as] = ACTIONS(5336),
    [anon_sym_is] = ACTIONS(5336),
    [anon_sym_DQUOTE] = ACTIONS(5336),
    [anon_sym_DASH_GT] = ACTIONS(5336),
    [anon_sym_with] = ACTIONS(5336),
    [sym_string_literal_encoding] = ACTIONS(5830),
    [aux_sym_preproc_if_token3] = ACTIONS(5336),
    [aux_sym_preproc_else_token1] = ACTIONS(5336),
    [aux_sym_preproc_elif_token1] = ACTIONS(5336),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3948] = {
    [sym_preproc_region] = STATE(3948),
    [sym_preproc_endregion] = STATE(3948),
    [sym_preproc_line] = STATE(3948),
    [sym_preproc_pragma] = STATE(3948),
    [sym_preproc_nullable] = STATE(3948),
    [sym_preproc_error] = STATE(3948),
    [sym_preproc_define] = STATE(3948),
    [sym_preproc_undef] = STATE(3948),
    [anon_sym_EQ] = ACTIONS(4711),
    [anon_sym_LBRACK] = ACTIONS(4709),
    [anon_sym_COLON] = ACTIONS(4709),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_LPAREN] = ACTIONS(4709),
    [anon_sym_LT] = ACTIONS(4711),
    [anon_sym_GT] = ACTIONS(4711),
    [anon_sym_QMARK] = ACTIONS(4711),
    [anon_sym_BANG] = ACTIONS(4711),
    [anon_sym_PLUS_PLUS] = ACTIONS(4709),
    [anon_sym_DASH_DASH] = ACTIONS(4709),
    [anon_sym_PLUS] = ACTIONS(4711),
    [anon_sym_DASH] = ACTIONS(4711),
    [anon_sym_STAR] = ACTIONS(4711),
    [anon_sym_SLASH] = ACTIONS(4711),
    [anon_sym_PERCENT] = ACTIONS(4711),
    [anon_sym_CARET] = ACTIONS(4711),
    [anon_sym_PIPE] = ACTIONS(4711),
    [anon_sym_AMP] = ACTIONS(4711),
    [anon_sym_LT_LT] = ACTIONS(4711),
    [anon_sym_GT_GT] = ACTIONS(4711),
    [anon_sym_GT_GT_GT] = ACTIONS(4711),
    [anon_sym_EQ_EQ] = ACTIONS(4709),
    [anon_sym_BANG_EQ] = ACTIONS(4709),
    [anon_sym_GT_EQ] = ACTIONS(4709),
    [anon_sym_LT_EQ] = ACTIONS(4709),
    [anon_sym_DOT] = ACTIONS(4711),
    [anon_sym_switch] = ACTIONS(4709),
    [anon_sym_DOT_DOT] = ACTIONS(4709),
    [anon_sym_and] = ACTIONS(4709),
    [anon_sym_or] = ACTIONS(4709),
    [anon_sym_PLUS_EQ] = ACTIONS(4709),
    [anon_sym_DASH_EQ] = ACTIONS(4709),
    [anon_sym_STAR_EQ] = ACTIONS(4709),
    [anon_sym_SLASH_EQ] = ACTIONS(4709),
    [anon_sym_PERCENT_EQ] = ACTIONS(4709),
    [anon_sym_AMP_EQ] = ACTIONS(4709),
    [anon_sym_CARET_EQ] = ACTIONS(4709),
    [anon_sym_PIPE_EQ] = ACTIONS(4709),
    [anon_sym_LT_LT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4709),
    [anon_sym_AMP_AMP] = ACTIONS(4709),
    [anon_sym_PIPE_PIPE] = ACTIONS(4709),
    [anon_sym_QMARK_QMARK] = ACTIONS(4711),
    [anon_sym_into] = ACTIONS(4709),
    [anon_sym_as] = ACTIONS(4709),
    [anon_sym_is] = ACTIONS(4709),
    [anon_sym_DASH_GT] = ACTIONS(4709),
    [anon_sym_with] = ACTIONS(4709),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4709),
  },
  [3949] = {
    [sym_preproc_region] = STATE(3949),
    [sym_preproc_endregion] = STATE(3949),
    [sym_preproc_line] = STATE(3949),
    [sym_preproc_pragma] = STATE(3949),
    [sym_preproc_nullable] = STATE(3949),
    [sym_preproc_error] = STATE(3949),
    [sym_preproc_define] = STATE(3949),
    [sym_preproc_undef] = STATE(3949),
    [anon_sym_EQ] = ACTIONS(4658),
    [anon_sym_LBRACK] = ACTIONS(4656),
    [anon_sym_COLON] = ACTIONS(4656),
    [anon_sym_COMMA] = ACTIONS(4656),
    [anon_sym_LPAREN] = ACTIONS(4656),
    [anon_sym_LT] = ACTIONS(4658),
    [anon_sym_GT] = ACTIONS(4658),
    [anon_sym_QMARK] = ACTIONS(4658),
    [anon_sym_BANG] = ACTIONS(4658),
    [anon_sym_PLUS_PLUS] = ACTIONS(4656),
    [anon_sym_DASH_DASH] = ACTIONS(4656),
    [anon_sym_PLUS] = ACTIONS(4658),
    [anon_sym_DASH] = ACTIONS(4658),
    [anon_sym_STAR] = ACTIONS(4658),
    [anon_sym_SLASH] = ACTIONS(4658),
    [anon_sym_PERCENT] = ACTIONS(4658),
    [anon_sym_CARET] = ACTIONS(4658),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_AMP] = ACTIONS(4658),
    [anon_sym_LT_LT] = ACTIONS(4658),
    [anon_sym_GT_GT] = ACTIONS(4658),
    [anon_sym_GT_GT_GT] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_GT_EQ] = ACTIONS(4656),
    [anon_sym_LT_EQ] = ACTIONS(4656),
    [anon_sym_DOT] = ACTIONS(4658),
    [anon_sym_switch] = ACTIONS(4656),
    [anon_sym_DOT_DOT] = ACTIONS(4656),
    [anon_sym_and] = ACTIONS(4656),
    [anon_sym_or] = ACTIONS(4656),
    [anon_sym_PLUS_EQ] = ACTIONS(4656),
    [anon_sym_DASH_EQ] = ACTIONS(4656),
    [anon_sym_STAR_EQ] = ACTIONS(4656),
    [anon_sym_SLASH_EQ] = ACTIONS(4656),
    [anon_sym_PERCENT_EQ] = ACTIONS(4656),
    [anon_sym_AMP_EQ] = ACTIONS(4656),
    [anon_sym_CARET_EQ] = ACTIONS(4656),
    [anon_sym_PIPE_EQ] = ACTIONS(4656),
    [anon_sym_LT_LT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4656),
    [anon_sym_AMP_AMP] = ACTIONS(4656),
    [anon_sym_PIPE_PIPE] = ACTIONS(4656),
    [anon_sym_QMARK_QMARK] = ACTIONS(4658),
    [anon_sym_into] = ACTIONS(4656),
    [anon_sym_as] = ACTIONS(4656),
    [anon_sym_is] = ACTIONS(4656),
    [anon_sym_DASH_GT] = ACTIONS(4656),
    [anon_sym_with] = ACTIONS(4656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4656),
  },
  [3950] = {
    [sym_preproc_region] = STATE(3950),
    [sym_preproc_endregion] = STATE(3950),
    [sym_preproc_line] = STATE(3950),
    [sym_preproc_pragma] = STATE(3950),
    [sym_preproc_nullable] = STATE(3950),
    [sym_preproc_error] = STATE(3950),
    [sym_preproc_define] = STATE(3950),
    [sym_preproc_undef] = STATE(3950),
    [anon_sym_SEMI] = ACTIONS(5342),
    [anon_sym_LBRACK] = ACTIONS(5342),
    [anon_sym_COLON] = ACTIONS(5342),
    [anon_sym_COMMA] = ACTIONS(5342),
    [anon_sym_RBRACK] = ACTIONS(5342),
    [anon_sym_LPAREN] = ACTIONS(5342),
    [anon_sym_RPAREN] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(5342),
    [anon_sym_RBRACE] = ACTIONS(5342),
    [anon_sym_LT] = ACTIONS(5344),
    [anon_sym_GT] = ACTIONS(5344),
    [anon_sym_in] = ACTIONS(5344),
    [anon_sym_QMARK] = ACTIONS(5344),
    [anon_sym_BANG] = ACTIONS(5344),
    [anon_sym_PLUS_PLUS] = ACTIONS(5342),
    [anon_sym_DASH_DASH] = ACTIONS(5342),
    [anon_sym_PLUS] = ACTIONS(5344),
    [anon_sym_DASH] = ACTIONS(5344),
    [anon_sym_STAR] = ACTIONS(5342),
    [anon_sym_SLASH] = ACTIONS(5344),
    [anon_sym_PERCENT] = ACTIONS(5342),
    [anon_sym_CARET] = ACTIONS(5342),
    [anon_sym_PIPE] = ACTIONS(5344),
    [anon_sym_AMP] = ACTIONS(5344),
    [anon_sym_LT_LT] = ACTIONS(5342),
    [anon_sym_GT_GT] = ACTIONS(5344),
    [anon_sym_GT_GT_GT] = ACTIONS(5342),
    [anon_sym_EQ_EQ] = ACTIONS(5342),
    [anon_sym_BANG_EQ] = ACTIONS(5342),
    [anon_sym_GT_EQ] = ACTIONS(5342),
    [anon_sym_LT_EQ] = ACTIONS(5342),
    [anon_sym_DOT] = ACTIONS(5344),
    [anon_sym_EQ_GT] = ACTIONS(5342),
    [anon_sym_switch] = ACTIONS(5342),
    [anon_sym_when] = ACTIONS(5342),
    [anon_sym_DOT_DOT] = ACTIONS(5342),
    [anon_sym_and] = ACTIONS(5342),
    [anon_sym_or] = ACTIONS(5342),
    [anon_sym_AMP_AMP] = ACTIONS(5342),
    [anon_sym_PIPE_PIPE] = ACTIONS(5342),
    [anon_sym_QMARK_QMARK] = ACTIONS(5342),
    [anon_sym_into] = ACTIONS(5342),
    [anon_sym_on] = ACTIONS(5342),
    [anon_sym_equals] = ACTIONS(5342),
    [anon_sym_by] = ACTIONS(5342),
    [anon_sym_as] = ACTIONS(5342),
    [anon_sym_is] = ACTIONS(5342),
    [anon_sym_DASH_GT] = ACTIONS(5342),
    [anon_sym_with] = ACTIONS(5342),
    [aux_sym_preproc_if_token3] = ACTIONS(5342),
    [aux_sym_preproc_else_token1] = ACTIONS(5342),
    [aux_sym_preproc_elif_token1] = ACTIONS(5342),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3951] = {
    [sym_preproc_region] = STATE(3951),
    [sym_preproc_endregion] = STATE(3951),
    [sym_preproc_line] = STATE(3951),
    [sym_preproc_pragma] = STATE(3951),
    [sym_preproc_nullable] = STATE(3951),
    [sym_preproc_error] = STATE(3951),
    [sym_preproc_define] = STATE(3951),
    [sym_preproc_undef] = STATE(3951),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_EQ] = ACTIONS(5832),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5834),
    [anon_sym_DASH_EQ] = ACTIONS(5834),
    [anon_sym_STAR_EQ] = ACTIONS(5834),
    [anon_sym_SLASH_EQ] = ACTIONS(5834),
    [anon_sym_PERCENT_EQ] = ACTIONS(5834),
    [anon_sym_AMP_EQ] = ACTIONS(5834),
    [anon_sym_CARET_EQ] = ACTIONS(5834),
    [anon_sym_PIPE_EQ] = ACTIONS(5834),
    [anon_sym_LT_LT_EQ] = ACTIONS(5834),
    [anon_sym_GT_GT_EQ] = ACTIONS(5834),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5834),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5834),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3952] = {
    [sym_preproc_region] = STATE(3952),
    [sym_preproc_endregion] = STATE(3952),
    [sym_preproc_line] = STATE(3952),
    [sym_preproc_pragma] = STATE(3952),
    [sym_preproc_nullable] = STATE(3952),
    [sym_preproc_error] = STATE(3952),
    [sym_preproc_define] = STATE(3952),
    [sym_preproc_undef] = STATE(3952),
    [anon_sym_EQ] = ACTIONS(4642),
    [anon_sym_LBRACK] = ACTIONS(4640),
    [anon_sym_COLON] = ACTIONS(4640),
    [anon_sym_COMMA] = ACTIONS(4640),
    [anon_sym_LPAREN] = ACTIONS(4640),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_GT] = ACTIONS(4642),
    [anon_sym_QMARK] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(4642),
    [anon_sym_PLUS_PLUS] = ACTIONS(4640),
    [anon_sym_DASH_DASH] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(4642),
    [anon_sym_DASH] = ACTIONS(4642),
    [anon_sym_STAR] = ACTIONS(4642),
    [anon_sym_SLASH] = ACTIONS(4642),
    [anon_sym_PERCENT] = ACTIONS(4642),
    [anon_sym_CARET] = ACTIONS(4642),
    [anon_sym_PIPE] = ACTIONS(4642),
    [anon_sym_AMP] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(4642),
    [anon_sym_GT_GT] = ACTIONS(4642),
    [anon_sym_GT_GT_GT] = ACTIONS(4642),
    [anon_sym_EQ_EQ] = ACTIONS(4640),
    [anon_sym_BANG_EQ] = ACTIONS(4640),
    [anon_sym_GT_EQ] = ACTIONS(4640),
    [anon_sym_LT_EQ] = ACTIONS(4640),
    [anon_sym_DOT] = ACTIONS(4642),
    [anon_sym_switch] = ACTIONS(4640),
    [anon_sym_DOT_DOT] = ACTIONS(4640),
    [anon_sym_and] = ACTIONS(4640),
    [anon_sym_or] = ACTIONS(4640),
    [anon_sym_PLUS_EQ] = ACTIONS(4640),
    [anon_sym_DASH_EQ] = ACTIONS(4640),
    [anon_sym_STAR_EQ] = ACTIONS(4640),
    [anon_sym_SLASH_EQ] = ACTIONS(4640),
    [anon_sym_PERCENT_EQ] = ACTIONS(4640),
    [anon_sym_AMP_EQ] = ACTIONS(4640),
    [anon_sym_CARET_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_LT_LT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4640),
    [anon_sym_AMP_AMP] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE] = ACTIONS(4640),
    [anon_sym_QMARK_QMARK] = ACTIONS(4642),
    [anon_sym_into] = ACTIONS(4640),
    [anon_sym_as] = ACTIONS(4640),
    [anon_sym_is] = ACTIONS(4640),
    [anon_sym_DASH_GT] = ACTIONS(4640),
    [anon_sym_with] = ACTIONS(4640),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(4640),
  },
  [3953] = {
    [sym_preproc_region] = STATE(3953),
    [sym_preproc_endregion] = STATE(3953),
    [sym_preproc_line] = STATE(3953),
    [sym_preproc_pragma] = STATE(3953),
    [sym_preproc_nullable] = STATE(3953),
    [sym_preproc_error] = STATE(3953),
    [sym_preproc_define] = STATE(3953),
    [sym_preproc_undef] = STATE(3953),
    [sym__identifier_token] = ACTIONS(4037),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4037),
    [anon_sym_global] = ACTIONS(4037),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4037),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_where] = ACTIONS(4037),
    [anon_sym_QMARK] = ACTIONS(3995),
    [anon_sym_notnull] = ACTIONS(4037),
    [anon_sym_unmanaged] = ACTIONS(4037),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_scoped] = ACTIONS(4037),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4037),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4037),
    [anon_sym_when] = ACTIONS(4037),
    [anon_sym_from] = ACTIONS(4037),
    [anon_sym_into] = ACTIONS(4037),
    [anon_sym_join] = ACTIONS(4037),
    [anon_sym_on] = ACTIONS(4037),
    [anon_sym_equals] = ACTIONS(4037),
    [anon_sym_let] = ACTIONS(4037),
    [anon_sym_orderby] = ACTIONS(4037),
    [anon_sym_ascending] = ACTIONS(4037),
    [anon_sym_descending] = ACTIONS(4037),
    [anon_sym_group] = ACTIONS(4037),
    [anon_sym_by] = ACTIONS(4037),
    [anon_sym_select] = ACTIONS(4037),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3954] = {
    [sym_preproc_region] = STATE(3954),
    [sym_preproc_endregion] = STATE(3954),
    [sym_preproc_line] = STATE(3954),
    [sym_preproc_pragma] = STATE(3954),
    [sym_preproc_nullable] = STATE(3954),
    [sym_preproc_error] = STATE(3954),
    [sym_preproc_define] = STATE(3954),
    [sym_preproc_undef] = STATE(3954),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_in] = ACTIONS(5484),
    [anon_sym_QMARK] = ACTIONS(5484),
    [anon_sym_BANG] = ACTIONS(5484),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_GT_GT_GT] = ACTIONS(5482),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_EQ_GT] = ACTIONS(5482),
    [anon_sym_switch] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_DOT_DOT] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_QMARK_QMARK] = ACTIONS(5482),
    [anon_sym_into] = ACTIONS(5482),
    [anon_sym_on] = ACTIONS(5482),
    [anon_sym_equals] = ACTIONS(5482),
    [anon_sym_by] = ACTIONS(5482),
    [anon_sym_as] = ACTIONS(5482),
    [anon_sym_is] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [anon_sym_with] = ACTIONS(5482),
    [aux_sym_preproc_if_token3] = ACTIONS(5482),
    [aux_sym_preproc_else_token1] = ACTIONS(5482),
    [aux_sym_preproc_elif_token1] = ACTIONS(5482),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3955] = {
    [sym_preproc_region] = STATE(3955),
    [sym_preproc_endregion] = STATE(3955),
    [sym_preproc_line] = STATE(3955),
    [sym_preproc_pragma] = STATE(3955),
    [sym_preproc_nullable] = STATE(3955),
    [sym_preproc_error] = STATE(3955),
    [sym_preproc_define] = STATE(3955),
    [sym_preproc_undef] = STATE(3955),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RBRACK] = ACTIONS(4140),
    [anon_sym_LPAREN] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4140),
    [anon_sym_RBRACE] = ACTIONS(4140),
    [anon_sym_LT] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4138),
    [anon_sym_in] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4140),
    [anon_sym_DASH_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4138),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_SLASH] = ACTIONS(4138),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4138),
    [anon_sym_LT_LT] = ACTIONS(4140),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_GT_GT_GT] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4140),
    [anon_sym_BANG_EQ] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4140),
    [anon_sym_LT_EQ] = ACTIONS(4140),
    [anon_sym_DOT] = ACTIONS(4138),
    [anon_sym_EQ_GT] = ACTIONS(4140),
    [anon_sym_switch] = ACTIONS(4140),
    [anon_sym_when] = ACTIONS(4140),
    [anon_sym_DOT_DOT] = ACTIONS(4140),
    [anon_sym_and] = ACTIONS(4140),
    [anon_sym_or] = ACTIONS(4140),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4140),
    [anon_sym_QMARK_QMARK] = ACTIONS(4140),
    [anon_sym_on] = ACTIONS(4140),
    [anon_sym_equals] = ACTIONS(4140),
    [anon_sym_by] = ACTIONS(4140),
    [anon_sym_as] = ACTIONS(4140),
    [anon_sym_is] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4140),
    [anon_sym_with] = ACTIONS(4140),
    [aux_sym_preproc_if_token3] = ACTIONS(4140),
    [aux_sym_preproc_else_token1] = ACTIONS(4140),
    [aux_sym_preproc_elif_token1] = ACTIONS(4140),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3956] = {
    [sym_preproc_region] = STATE(3956),
    [sym_preproc_endregion] = STATE(3956),
    [sym_preproc_line] = STATE(3956),
    [sym_preproc_pragma] = STATE(3956),
    [sym_preproc_nullable] = STATE(3956),
    [sym_preproc_error] = STATE(3956),
    [sym_preproc_define] = STATE(3956),
    [sym_preproc_undef] = STATE(3956),
    [anon_sym_SEMI] = ACTIONS(4487),
    [anon_sym_LBRACK] = ACTIONS(4487),
    [anon_sym_COLON] = ACTIONS(4487),
    [anon_sym_COMMA] = ACTIONS(4487),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_LPAREN] = ACTIONS(4487),
    [anon_sym_RPAREN] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4487),
    [anon_sym_RBRACE] = ACTIONS(4487),
    [anon_sym_LT] = ACTIONS(4485),
    [anon_sym_GT] = ACTIONS(4485),
    [anon_sym_in] = ACTIONS(4487),
    [anon_sym_QMARK] = ACTIONS(4485),
    [anon_sym_BANG] = ACTIONS(4485),
    [anon_sym_PLUS_PLUS] = ACTIONS(4487),
    [anon_sym_DASH_DASH] = ACTIONS(4487),
    [anon_sym_PLUS] = ACTIONS(4485),
    [anon_sym_DASH] = ACTIONS(4485),
    [anon_sym_STAR] = ACTIONS(4487),
    [anon_sym_SLASH] = ACTIONS(4485),
    [anon_sym_PERCENT] = ACTIONS(4487),
    [anon_sym_CARET] = ACTIONS(4487),
    [anon_sym_PIPE] = ACTIONS(4485),
    [anon_sym_AMP] = ACTIONS(4485),
    [anon_sym_LT_LT] = ACTIONS(4487),
    [anon_sym_GT_GT] = ACTIONS(4485),
    [anon_sym_GT_GT_GT] = ACTIONS(4487),
    [anon_sym_EQ_EQ] = ACTIONS(4487),
    [anon_sym_BANG_EQ] = ACTIONS(4487),
    [anon_sym_GT_EQ] = ACTIONS(4487),
    [anon_sym_LT_EQ] = ACTIONS(4487),
    [anon_sym_DOT] = ACTIONS(4485),
    [anon_sym_EQ_GT] = ACTIONS(4487),
    [anon_sym_switch] = ACTIONS(4487),
    [anon_sym_when] = ACTIONS(4487),
    [anon_sym_DOT_DOT] = ACTIONS(4487),
    [anon_sym_and] = ACTIONS(4487),
    [anon_sym_or] = ACTIONS(4487),
    [anon_sym_AMP_AMP] = ACTIONS(4487),
    [anon_sym_PIPE_PIPE] = ACTIONS(4487),
    [anon_sym_QMARK_QMARK] = ACTIONS(4487),
    [anon_sym_on] = ACTIONS(4487),
    [anon_sym_equals] = ACTIONS(4487),
    [anon_sym_by] = ACTIONS(4487),
    [anon_sym_as] = ACTIONS(4487),
    [anon_sym_is] = ACTIONS(4487),
    [anon_sym_DASH_GT] = ACTIONS(4487),
    [anon_sym_with] = ACTIONS(4487),
    [aux_sym_preproc_if_token3] = ACTIONS(4487),
    [aux_sym_preproc_else_token1] = ACTIONS(4487),
    [aux_sym_preproc_elif_token1] = ACTIONS(4487),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3957] = {
    [sym_preproc_region] = STATE(3957),
    [sym_preproc_endregion] = STATE(3957),
    [sym_preproc_line] = STATE(3957),
    [sym_preproc_pragma] = STATE(3957),
    [sym_preproc_nullable] = STATE(3957),
    [sym_preproc_error] = STATE(3957),
    [sym_preproc_define] = STATE(3957),
    [sym_preproc_undef] = STATE(3957),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(5836),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3958] = {
    [sym_preproc_region] = STATE(3958),
    [sym_preproc_endregion] = STATE(3958),
    [sym_preproc_line] = STATE(3958),
    [sym_preproc_pragma] = STATE(3958),
    [sym_preproc_nullable] = STATE(3958),
    [sym_preproc_error] = STATE(3958),
    [sym_preproc_define] = STATE(3958),
    [sym_preproc_undef] = STATE(3958),
    [anon_sym_SEMI] = ACTIONS(4479),
    [anon_sym_LBRACK] = ACTIONS(4479),
    [anon_sym_COLON] = ACTIONS(4479),
    [anon_sym_COMMA] = ACTIONS(4479),
    [anon_sym_RBRACK] = ACTIONS(4479),
    [anon_sym_LPAREN] = ACTIONS(4479),
    [anon_sym_RPAREN] = ACTIONS(4479),
    [anon_sym_LBRACE] = ACTIONS(4479),
    [anon_sym_RBRACE] = ACTIONS(4479),
    [anon_sym_LT] = ACTIONS(4477),
    [anon_sym_GT] = ACTIONS(4477),
    [anon_sym_in] = ACTIONS(4479),
    [anon_sym_QMARK] = ACTIONS(4477),
    [anon_sym_BANG] = ACTIONS(4477),
    [anon_sym_PLUS_PLUS] = ACTIONS(4479),
    [anon_sym_DASH_DASH] = ACTIONS(4479),
    [anon_sym_PLUS] = ACTIONS(4477),
    [anon_sym_DASH] = ACTIONS(4477),
    [anon_sym_STAR] = ACTIONS(4479),
    [anon_sym_SLASH] = ACTIONS(4477),
    [anon_sym_PERCENT] = ACTIONS(4479),
    [anon_sym_CARET] = ACTIONS(4479),
    [anon_sym_PIPE] = ACTIONS(4477),
    [anon_sym_AMP] = ACTIONS(4477),
    [anon_sym_LT_LT] = ACTIONS(4479),
    [anon_sym_GT_GT] = ACTIONS(4477),
    [anon_sym_GT_GT_GT] = ACTIONS(4479),
    [anon_sym_EQ_EQ] = ACTIONS(4479),
    [anon_sym_BANG_EQ] = ACTIONS(4479),
    [anon_sym_GT_EQ] = ACTIONS(4479),
    [anon_sym_LT_EQ] = ACTIONS(4479),
    [anon_sym_DOT] = ACTIONS(4477),
    [anon_sym_EQ_GT] = ACTIONS(4479),
    [anon_sym_switch] = ACTIONS(4479),
    [anon_sym_when] = ACTIONS(4479),
    [anon_sym_DOT_DOT] = ACTIONS(4479),
    [anon_sym_and] = ACTIONS(4479),
    [anon_sym_or] = ACTIONS(4479),
    [anon_sym_AMP_AMP] = ACTIONS(4479),
    [anon_sym_PIPE_PIPE] = ACTIONS(4479),
    [anon_sym_QMARK_QMARK] = ACTIONS(4479),
    [anon_sym_on] = ACTIONS(4479),
    [anon_sym_equals] = ACTIONS(4479),
    [anon_sym_by] = ACTIONS(4479),
    [anon_sym_as] = ACTIONS(4479),
    [anon_sym_is] = ACTIONS(4479),
    [anon_sym_DASH_GT] = ACTIONS(4479),
    [anon_sym_with] = ACTIONS(4479),
    [aux_sym_preproc_if_token3] = ACTIONS(4479),
    [aux_sym_preproc_else_token1] = ACTIONS(4479),
    [aux_sym_preproc_elif_token1] = ACTIONS(4479),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3959] = {
    [sym_preproc_region] = STATE(3959),
    [sym_preproc_endregion] = STATE(3959),
    [sym_preproc_line] = STATE(3959),
    [sym_preproc_pragma] = STATE(3959),
    [sym_preproc_nullable] = STATE(3959),
    [sym_preproc_error] = STATE(3959),
    [sym_preproc_define] = STATE(3959),
    [sym_preproc_undef] = STATE(3959),
    [anon_sym_SEMI] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5522),
    [anon_sym_COMMA] = ACTIONS(5522),
    [anon_sym_RBRACK] = ACTIONS(5522),
    [anon_sym_LPAREN] = ACTIONS(5522),
    [anon_sym_RPAREN] = ACTIONS(5522),
    [anon_sym_RBRACE] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5524),
    [anon_sym_in] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_BANG] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5524),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5522),
    [anon_sym_PIPE] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_GT_GT_GT] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5522),
    [anon_sym_BANG_EQ] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5522),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_DOT] = ACTIONS(5524),
    [anon_sym_EQ_GT] = ACTIONS(5522),
    [anon_sym_switch] = ACTIONS(5522),
    [anon_sym_when] = ACTIONS(5522),
    [anon_sym_DOT_DOT] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_or] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5522),
    [anon_sym_QMARK_QMARK] = ACTIONS(5522),
    [anon_sym_into] = ACTIONS(5522),
    [anon_sym_on] = ACTIONS(5522),
    [anon_sym_equals] = ACTIONS(5522),
    [anon_sym_by] = ACTIONS(5522),
    [anon_sym_as] = ACTIONS(5522),
    [anon_sym_is] = ACTIONS(5522),
    [anon_sym_DASH_GT] = ACTIONS(5522),
    [anon_sym_with] = ACTIONS(5522),
    [aux_sym_preproc_if_token3] = ACTIONS(5522),
    [aux_sym_preproc_else_token1] = ACTIONS(5522),
    [aux_sym_preproc_elif_token1] = ACTIONS(5522),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3960] = {
    [sym_preproc_region] = STATE(3960),
    [sym_preproc_endregion] = STATE(3960),
    [sym_preproc_line] = STATE(3960),
    [sym_preproc_pragma] = STATE(3960),
    [sym_preproc_nullable] = STATE(3960),
    [sym_preproc_error] = STATE(3960),
    [sym_preproc_define] = STATE(3960),
    [sym_preproc_undef] = STATE(3960),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_LPAREN] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5670),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_BANG] = ACTIONS(5670),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5668),
    [anon_sym_CARET] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5668),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_GT_GT_GT] = ACTIONS(5668),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_EQ_GT] = ACTIONS(5668),
    [anon_sym_switch] = ACTIONS(5668),
    [anon_sym_when] = ACTIONS(5668),
    [anon_sym_DOT_DOT] = ACTIONS(5668),
    [anon_sym_and] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_QMARK_QMARK] = ACTIONS(5668),
    [anon_sym_into] = ACTIONS(5668),
    [anon_sym_on] = ACTIONS(5668),
    [anon_sym_equals] = ACTIONS(5668),
    [anon_sym_by] = ACTIONS(5668),
    [anon_sym_as] = ACTIONS(5668),
    [anon_sym_is] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_with] = ACTIONS(5668),
    [aux_sym_preproc_if_token3] = ACTIONS(5668),
    [aux_sym_preproc_else_token1] = ACTIONS(5668),
    [aux_sym_preproc_elif_token1] = ACTIONS(5668),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3961] = {
    [sym_preproc_region] = STATE(3961),
    [sym_preproc_endregion] = STATE(3961),
    [sym_preproc_line] = STATE(3961),
    [sym_preproc_pragma] = STATE(3961),
    [sym_preproc_nullable] = STATE(3961),
    [sym_preproc_error] = STATE(3961),
    [sym_preproc_define] = STATE(3961),
    [sym_preproc_undef] = STATE(3961),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_LPAREN] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_in] = ACTIONS(5496),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_BANG] = ACTIONS(5496),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_GT_GT_GT] = ACTIONS(5494),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_EQ_GT] = ACTIONS(5494),
    [anon_sym_switch] = ACTIONS(5494),
    [anon_sym_when] = ACTIONS(5494),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_QMARK_QMARK] = ACTIONS(5494),
    [anon_sym_into] = ACTIONS(5494),
    [anon_sym_on] = ACTIONS(5494),
    [anon_sym_equals] = ACTIONS(5494),
    [anon_sym_by] = ACTIONS(5494),
    [anon_sym_as] = ACTIONS(5494),
    [anon_sym_is] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [anon_sym_with] = ACTIONS(5494),
    [aux_sym_preproc_if_token3] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5494),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3962] = {
    [sym_preproc_region] = STATE(3962),
    [sym_preproc_endregion] = STATE(3962),
    [sym_preproc_line] = STATE(3962),
    [sym_preproc_pragma] = STATE(3962),
    [sym_preproc_nullable] = STATE(3962),
    [sym_preproc_error] = STATE(3962),
    [sym_preproc_define] = STATE(3962),
    [sym_preproc_undef] = STATE(3962),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_LPAREN] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_in] = ACTIONS(5500),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_BANG] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_GT_GT_GT] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_EQ_GT] = ACTIONS(5498),
    [anon_sym_switch] = ACTIONS(5498),
    [anon_sym_when] = ACTIONS(5498),
    [anon_sym_DOT_DOT] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_QMARK_QMARK] = ACTIONS(5498),
    [anon_sym_into] = ACTIONS(5498),
    [anon_sym_on] = ACTIONS(5498),
    [anon_sym_equals] = ACTIONS(5498),
    [anon_sym_by] = ACTIONS(5498),
    [anon_sym_as] = ACTIONS(5498),
    [anon_sym_is] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [anon_sym_with] = ACTIONS(5498),
    [aux_sym_preproc_if_token3] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5498),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3963] = {
    [sym_preproc_region] = STATE(3963),
    [sym_preproc_endregion] = STATE(3963),
    [sym_preproc_line] = STATE(3963),
    [sym_preproc_pragma] = STATE(3963),
    [sym_preproc_nullable] = STATE(3963),
    [sym_preproc_error] = STATE(3963),
    [sym_preproc_define] = STATE(3963),
    [sym_preproc_undef] = STATE(3963),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5588),
    [anon_sym_COMMA] = ACTIONS(5588),
    [anon_sym_RBRACK] = ACTIONS(5588),
    [anon_sym_LPAREN] = ACTIONS(5588),
    [anon_sym_RPAREN] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5590),
    [anon_sym_in] = ACTIONS(5590),
    [anon_sym_QMARK] = ACTIONS(5590),
    [anon_sym_BANG] = ACTIONS(5590),
    [anon_sym_PLUS_PLUS] = ACTIONS(5588),
    [anon_sym_DASH_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_SLASH] = ACTIONS(5590),
    [anon_sym_PERCENT] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5588),
    [anon_sym_PIPE] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym_LT_LT] = ACTIONS(5588),
    [anon_sym_GT_GT] = ACTIONS(5590),
    [anon_sym_GT_GT_GT] = ACTIONS(5588),
    [anon_sym_EQ_EQ] = ACTIONS(5588),
    [anon_sym_BANG_EQ] = ACTIONS(5588),
    [anon_sym_GT_EQ] = ACTIONS(5588),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5590),
    [anon_sym_EQ_GT] = ACTIONS(5588),
    [anon_sym_switch] = ACTIONS(5588),
    [anon_sym_when] = ACTIONS(5588),
    [anon_sym_DOT_DOT] = ACTIONS(5588),
    [anon_sym_and] = ACTIONS(5588),
    [anon_sym_or] = ACTIONS(5588),
    [anon_sym_AMP_AMP] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE] = ACTIONS(5588),
    [anon_sym_QMARK_QMARK] = ACTIONS(5588),
    [anon_sym_into] = ACTIONS(5588),
    [anon_sym_on] = ACTIONS(5588),
    [anon_sym_equals] = ACTIONS(5588),
    [anon_sym_by] = ACTIONS(5588),
    [anon_sym_as] = ACTIONS(5588),
    [anon_sym_is] = ACTIONS(5588),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [anon_sym_with] = ACTIONS(5588),
    [aux_sym_preproc_if_token3] = ACTIONS(5588),
    [aux_sym_preproc_else_token1] = ACTIONS(5588),
    [aux_sym_preproc_elif_token1] = ACTIONS(5588),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3964] = {
    [sym_preproc_region] = STATE(3964),
    [sym_preproc_endregion] = STATE(3964),
    [sym_preproc_line] = STATE(3964),
    [sym_preproc_pragma] = STATE(3964),
    [sym_preproc_nullable] = STATE(3964),
    [sym_preproc_error] = STATE(3964),
    [sym_preproc_define] = STATE(3964),
    [sym_preproc_undef] = STATE(3964),
    [anon_sym_SEMI] = ACTIONS(5838),
    [anon_sym_LBRACK] = ACTIONS(5838),
    [anon_sym_COLON] = ACTIONS(5838),
    [anon_sym_COMMA] = ACTIONS(5838),
    [anon_sym_RBRACK] = ACTIONS(5838),
    [anon_sym_LPAREN] = ACTIONS(5838),
    [anon_sym_RPAREN] = ACTIONS(5838),
    [anon_sym_RBRACE] = ACTIONS(5838),
    [anon_sym_LT] = ACTIONS(5840),
    [anon_sym_GT] = ACTIONS(5840),
    [anon_sym_in] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5840),
    [anon_sym_BANG] = ACTIONS(5840),
    [anon_sym_PLUS_PLUS] = ACTIONS(5838),
    [anon_sym_DASH_DASH] = ACTIONS(5838),
    [anon_sym_PLUS] = ACTIONS(5840),
    [anon_sym_DASH] = ACTIONS(5840),
    [anon_sym_STAR] = ACTIONS(5838),
    [anon_sym_SLASH] = ACTIONS(5840),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [anon_sym_CARET] = ACTIONS(5838),
    [anon_sym_PIPE] = ACTIONS(5840),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT_LT] = ACTIONS(5838),
    [anon_sym_GT_GT] = ACTIONS(5840),
    [anon_sym_GT_GT_GT] = ACTIONS(5838),
    [anon_sym_EQ_EQ] = ACTIONS(5838),
    [anon_sym_BANG_EQ] = ACTIONS(5838),
    [anon_sym_GT_EQ] = ACTIONS(5838),
    [anon_sym_LT_EQ] = ACTIONS(5838),
    [anon_sym_DOT] = ACTIONS(5840),
    [anon_sym_EQ_GT] = ACTIONS(5838),
    [anon_sym_switch] = ACTIONS(5838),
    [anon_sym_when] = ACTIONS(5838),
    [anon_sym_DOT_DOT] = ACTIONS(5838),
    [anon_sym_and] = ACTIONS(5838),
    [anon_sym_or] = ACTIONS(5838),
    [anon_sym_AMP_AMP] = ACTIONS(5838),
    [anon_sym_PIPE_PIPE] = ACTIONS(5838),
    [anon_sym_QMARK_QMARK] = ACTIONS(5838),
    [anon_sym_into] = ACTIONS(5838),
    [anon_sym_on] = ACTIONS(5838),
    [anon_sym_equals] = ACTIONS(5838),
    [anon_sym_by] = ACTIONS(5838),
    [anon_sym_as] = ACTIONS(5838),
    [anon_sym_is] = ACTIONS(5838),
    [anon_sym_DASH_GT] = ACTIONS(5838),
    [anon_sym_with] = ACTIONS(5838),
    [aux_sym_preproc_if_token3] = ACTIONS(5838),
    [aux_sym_preproc_else_token1] = ACTIONS(5838),
    [aux_sym_preproc_elif_token1] = ACTIONS(5838),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3965] = {
    [sym_preproc_region] = STATE(3965),
    [sym_preproc_endregion] = STATE(3965),
    [sym_preproc_line] = STATE(3965),
    [sym_preproc_pragma] = STATE(3965),
    [sym_preproc_nullable] = STATE(3965),
    [sym_preproc_error] = STATE(3965),
    [sym_preproc_define] = STATE(3965),
    [sym_preproc_undef] = STATE(3965),
    [anon_sym_SEMI] = ACTIONS(5842),
    [anon_sym_LBRACK] = ACTIONS(5842),
    [anon_sym_COLON] = ACTIONS(5842),
    [anon_sym_COMMA] = ACTIONS(5842),
    [anon_sym_RBRACK] = ACTIONS(5842),
    [anon_sym_LPAREN] = ACTIONS(5842),
    [anon_sym_RPAREN] = ACTIONS(5842),
    [anon_sym_RBRACE] = ACTIONS(5842),
    [anon_sym_LT] = ACTIONS(5844),
    [anon_sym_GT] = ACTIONS(5844),
    [anon_sym_in] = ACTIONS(5844),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_BANG] = ACTIONS(5844),
    [anon_sym_PLUS_PLUS] = ACTIONS(5842),
    [anon_sym_DASH_DASH] = ACTIONS(5842),
    [anon_sym_PLUS] = ACTIONS(5844),
    [anon_sym_DASH] = ACTIONS(5844),
    [anon_sym_STAR] = ACTIONS(5842),
    [anon_sym_SLASH] = ACTIONS(5844),
    [anon_sym_PERCENT] = ACTIONS(5842),
    [anon_sym_CARET] = ACTIONS(5842),
    [anon_sym_PIPE] = ACTIONS(5844),
    [anon_sym_AMP] = ACTIONS(5844),
    [anon_sym_LT_LT] = ACTIONS(5842),
    [anon_sym_GT_GT] = ACTIONS(5844),
    [anon_sym_GT_GT_GT] = ACTIONS(5842),
    [anon_sym_EQ_EQ] = ACTIONS(5842),
    [anon_sym_BANG_EQ] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5842),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_DOT] = ACTIONS(5844),
    [anon_sym_EQ_GT] = ACTIONS(5842),
    [anon_sym_switch] = ACTIONS(5842),
    [anon_sym_when] = ACTIONS(5842),
    [anon_sym_DOT_DOT] = ACTIONS(5842),
    [anon_sym_and] = ACTIONS(5842),
    [anon_sym_or] = ACTIONS(5842),
    [anon_sym_AMP_AMP] = ACTIONS(5842),
    [anon_sym_PIPE_PIPE] = ACTIONS(5842),
    [anon_sym_QMARK_QMARK] = ACTIONS(5842),
    [anon_sym_into] = ACTIONS(5842),
    [anon_sym_on] = ACTIONS(5842),
    [anon_sym_equals] = ACTIONS(5842),
    [anon_sym_by] = ACTIONS(5842),
    [anon_sym_as] = ACTIONS(5842),
    [anon_sym_is] = ACTIONS(5842),
    [anon_sym_DASH_GT] = ACTIONS(5842),
    [anon_sym_with] = ACTIONS(5842),
    [aux_sym_preproc_if_token3] = ACTIONS(5842),
    [aux_sym_preproc_else_token1] = ACTIONS(5842),
    [aux_sym_preproc_elif_token1] = ACTIONS(5842),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3966] = {
    [sym_preproc_region] = STATE(3966),
    [sym_preproc_endregion] = STATE(3966),
    [sym_preproc_line] = STATE(3966),
    [sym_preproc_pragma] = STATE(3966),
    [sym_preproc_nullable] = STATE(3966),
    [sym_preproc_error] = STATE(3966),
    [sym_preproc_define] = STATE(3966),
    [sym_preproc_undef] = STATE(3966),
    [anon_sym_SEMI] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5526),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_RBRACK] = ACTIONS(5526),
    [anon_sym_LPAREN] = ACTIONS(5526),
    [anon_sym_RPAREN] = ACTIONS(5526),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5528),
    [anon_sym_in] = ACTIONS(5528),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_BANG] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_SLASH] = ACTIONS(5528),
    [anon_sym_PERCENT] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_PIPE] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym_LT_LT] = ACTIONS(5526),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_GT_GT_GT] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5526),
    [anon_sym_BANG_EQ] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5526),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_EQ_GT] = ACTIONS(5526),
    [anon_sym_switch] = ACTIONS(5526),
    [anon_sym_when] = ACTIONS(5526),
    [anon_sym_DOT_DOT] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_or] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE] = ACTIONS(5526),
    [anon_sym_QMARK_QMARK] = ACTIONS(5526),
    [anon_sym_into] = ACTIONS(5526),
    [anon_sym_on] = ACTIONS(5526),
    [anon_sym_equals] = ACTIONS(5526),
    [anon_sym_by] = ACTIONS(5526),
    [anon_sym_as] = ACTIONS(5526),
    [anon_sym_is] = ACTIONS(5526),
    [anon_sym_DASH_GT] = ACTIONS(5526),
    [anon_sym_with] = ACTIONS(5526),
    [aux_sym_preproc_if_token3] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3967] = {
    [sym_preproc_region] = STATE(3967),
    [sym_preproc_endregion] = STATE(3967),
    [sym_preproc_line] = STATE(3967),
    [sym_preproc_pragma] = STATE(3967),
    [sym_preproc_nullable] = STATE(3967),
    [sym_preproc_error] = STATE(3967),
    [sym_preproc_define] = STATE(3967),
    [sym_preproc_undef] = STATE(3967),
    [anon_sym_SEMI] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_COMMA] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5544),
    [anon_sym_LPAREN] = ACTIONS(5544),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [anon_sym_RBRACE] = ACTIONS(5544),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_in] = ACTIONS(5546),
    [anon_sym_QMARK] = ACTIONS(5546),
    [anon_sym_BANG] = ACTIONS(5546),
    [anon_sym_PLUS_PLUS] = ACTIONS(5544),
    [anon_sym_DASH_DASH] = ACTIONS(5544),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_CARET] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5546),
    [anon_sym_GT_GT_GT] = ACTIONS(5544),
    [anon_sym_EQ_EQ] = ACTIONS(5544),
    [anon_sym_BANG_EQ] = ACTIONS(5544),
    [anon_sym_GT_EQ] = ACTIONS(5544),
    [anon_sym_LT_EQ] = ACTIONS(5544),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_EQ_GT] = ACTIONS(5544),
    [anon_sym_switch] = ACTIONS(5544),
    [anon_sym_when] = ACTIONS(5544),
    [anon_sym_DOT_DOT] = ACTIONS(5544),
    [anon_sym_and] = ACTIONS(5544),
    [anon_sym_or] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_QMARK_QMARK] = ACTIONS(5544),
    [anon_sym_into] = ACTIONS(5544),
    [anon_sym_on] = ACTIONS(5544),
    [anon_sym_equals] = ACTIONS(5544),
    [anon_sym_by] = ACTIONS(5544),
    [anon_sym_as] = ACTIONS(5544),
    [anon_sym_is] = ACTIONS(5544),
    [anon_sym_DASH_GT] = ACTIONS(5544),
    [anon_sym_with] = ACTIONS(5544),
    [aux_sym_preproc_if_token3] = ACTIONS(5544),
    [aux_sym_preproc_else_token1] = ACTIONS(5544),
    [aux_sym_preproc_elif_token1] = ACTIONS(5544),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3968] = {
    [sym_preproc_region] = STATE(3968),
    [sym_preproc_endregion] = STATE(3968),
    [sym_preproc_line] = STATE(3968),
    [sym_preproc_pragma] = STATE(3968),
    [sym_preproc_nullable] = STATE(3968),
    [sym_preproc_error] = STATE(3968),
    [sym_preproc_define] = STATE(3968),
    [sym_preproc_undef] = STATE(3968),
    [anon_sym_SEMI] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [anon_sym_COLON] = ACTIONS(5560),
    [anon_sym_COMMA] = ACTIONS(5560),
    [anon_sym_RBRACK] = ACTIONS(5560),
    [anon_sym_LPAREN] = ACTIONS(5560),
    [anon_sym_RPAREN] = ACTIONS(5560),
    [anon_sym_RBRACE] = ACTIONS(5560),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_in] = ACTIONS(5562),
    [anon_sym_QMARK] = ACTIONS(5562),
    [anon_sym_BANG] = ACTIONS(5562),
    [anon_sym_PLUS_PLUS] = ACTIONS(5560),
    [anon_sym_DASH_DASH] = ACTIONS(5560),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5560),
    [anon_sym_CARET] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5560),
    [anon_sym_GT_GT] = ACTIONS(5562),
    [anon_sym_GT_GT_GT] = ACTIONS(5560),
    [anon_sym_EQ_EQ] = ACTIONS(5560),
    [anon_sym_BANG_EQ] = ACTIONS(5560),
    [anon_sym_GT_EQ] = ACTIONS(5560),
    [anon_sym_LT_EQ] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5562),
    [anon_sym_EQ_GT] = ACTIONS(5560),
    [anon_sym_switch] = ACTIONS(5560),
    [anon_sym_when] = ACTIONS(5560),
    [anon_sym_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(5560),
    [anon_sym_or] = ACTIONS(5560),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_PIPE_PIPE] = ACTIONS(5560),
    [anon_sym_QMARK_QMARK] = ACTIONS(5560),
    [anon_sym_into] = ACTIONS(5560),
    [anon_sym_on] = ACTIONS(5560),
    [anon_sym_equals] = ACTIONS(5560),
    [anon_sym_by] = ACTIONS(5560),
    [anon_sym_as] = ACTIONS(5560),
    [anon_sym_is] = ACTIONS(5560),
    [anon_sym_DASH_GT] = ACTIONS(5560),
    [anon_sym_with] = ACTIONS(5560),
    [aux_sym_preproc_if_token3] = ACTIONS(5560),
    [aux_sym_preproc_else_token1] = ACTIONS(5560),
    [aux_sym_preproc_elif_token1] = ACTIONS(5560),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3969] = {
    [sym_preproc_region] = STATE(3969),
    [sym_preproc_endregion] = STATE(3969),
    [sym_preproc_line] = STATE(3969),
    [sym_preproc_pragma] = STATE(3969),
    [sym_preproc_nullable] = STATE(3969),
    [sym_preproc_error] = STATE(3969),
    [sym_preproc_define] = STATE(3969),
    [sym_preproc_undef] = STATE(3969),
    [anon_sym_SEMI] = ACTIONS(5846),
    [anon_sym_LBRACK] = ACTIONS(5846),
    [anon_sym_COLON] = ACTIONS(5846),
    [anon_sym_COMMA] = ACTIONS(5846),
    [anon_sym_RBRACK] = ACTIONS(5846),
    [anon_sym_LPAREN] = ACTIONS(5846),
    [anon_sym_RPAREN] = ACTIONS(5846),
    [anon_sym_RBRACE] = ACTIONS(5846),
    [anon_sym_LT] = ACTIONS(5848),
    [anon_sym_GT] = ACTIONS(5848),
    [anon_sym_in] = ACTIONS(5848),
    [anon_sym_QMARK] = ACTIONS(5848),
    [anon_sym_BANG] = ACTIONS(5848),
    [anon_sym_PLUS_PLUS] = ACTIONS(5846),
    [anon_sym_DASH_DASH] = ACTIONS(5846),
    [anon_sym_PLUS] = ACTIONS(5848),
    [anon_sym_DASH] = ACTIONS(5848),
    [anon_sym_STAR] = ACTIONS(5846),
    [anon_sym_SLASH] = ACTIONS(5848),
    [anon_sym_PERCENT] = ACTIONS(5846),
    [anon_sym_CARET] = ACTIONS(5846),
    [anon_sym_PIPE] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5848),
    [anon_sym_LT_LT] = ACTIONS(5846),
    [anon_sym_GT_GT] = ACTIONS(5848),
    [anon_sym_GT_GT_GT] = ACTIONS(5846),
    [anon_sym_EQ_EQ] = ACTIONS(5846),
    [anon_sym_BANG_EQ] = ACTIONS(5846),
    [anon_sym_GT_EQ] = ACTIONS(5846),
    [anon_sym_LT_EQ] = ACTIONS(5846),
    [anon_sym_DOT] = ACTIONS(5848),
    [anon_sym_EQ_GT] = ACTIONS(5846),
    [anon_sym_switch] = ACTIONS(5846),
    [anon_sym_when] = ACTIONS(5846),
    [anon_sym_DOT_DOT] = ACTIONS(5846),
    [anon_sym_and] = ACTIONS(5846),
    [anon_sym_or] = ACTIONS(5846),
    [anon_sym_AMP_AMP] = ACTIONS(5846),
    [anon_sym_PIPE_PIPE] = ACTIONS(5846),
    [anon_sym_QMARK_QMARK] = ACTIONS(5846),
    [anon_sym_into] = ACTIONS(5846),
    [anon_sym_on] = ACTIONS(5846),
    [anon_sym_equals] = ACTIONS(5846),
    [anon_sym_by] = ACTIONS(5846),
    [anon_sym_as] = ACTIONS(5846),
    [anon_sym_is] = ACTIONS(5846),
    [anon_sym_DASH_GT] = ACTIONS(5846),
    [anon_sym_with] = ACTIONS(5846),
    [aux_sym_preproc_if_token3] = ACTIONS(5846),
    [aux_sym_preproc_else_token1] = ACTIONS(5846),
    [aux_sym_preproc_elif_token1] = ACTIONS(5846),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3970] = {
    [sym_preproc_region] = STATE(3970),
    [sym_preproc_endregion] = STATE(3970),
    [sym_preproc_line] = STATE(3970),
    [sym_preproc_pragma] = STATE(3970),
    [sym_preproc_nullable] = STATE(3970),
    [sym_preproc_error] = STATE(3970),
    [sym_preproc_define] = STATE(3970),
    [sym_preproc_undef] = STATE(3970),
    [anon_sym_SEMI] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_COLON] = ACTIONS(5409),
    [anon_sym_COMMA] = ACTIONS(5409),
    [anon_sym_RBRACK] = ACTIONS(5409),
    [anon_sym_LPAREN] = ACTIONS(5409),
    [anon_sym_RPAREN] = ACTIONS(5409),
    [anon_sym_RBRACE] = ACTIONS(5409),
    [anon_sym_LT] = ACTIONS(5411),
    [anon_sym_GT] = ACTIONS(5411),
    [anon_sym_in] = ACTIONS(5411),
    [anon_sym_QMARK] = ACTIONS(5411),
    [anon_sym_BANG] = ACTIONS(5411),
    [anon_sym_PLUS_PLUS] = ACTIONS(5409),
    [anon_sym_DASH_DASH] = ACTIONS(5409),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_STAR] = ACTIONS(5409),
    [anon_sym_SLASH] = ACTIONS(5411),
    [anon_sym_PERCENT] = ACTIONS(5409),
    [anon_sym_CARET] = ACTIONS(5409),
    [anon_sym_PIPE] = ACTIONS(5411),
    [anon_sym_AMP] = ACTIONS(5411),
    [anon_sym_LT_LT] = ACTIONS(5409),
    [anon_sym_GT_GT] = ACTIONS(5411),
    [anon_sym_GT_GT_GT] = ACTIONS(5409),
    [anon_sym_EQ_EQ] = ACTIONS(5409),
    [anon_sym_BANG_EQ] = ACTIONS(5409),
    [anon_sym_GT_EQ] = ACTIONS(5409),
    [anon_sym_LT_EQ] = ACTIONS(5409),
    [anon_sym_DOT] = ACTIONS(5411),
    [anon_sym_EQ_GT] = ACTIONS(5409),
    [anon_sym_switch] = ACTIONS(5409),
    [anon_sym_when] = ACTIONS(5409),
    [anon_sym_DOT_DOT] = ACTIONS(5409),
    [anon_sym_and] = ACTIONS(5409),
    [anon_sym_or] = ACTIONS(5409),
    [anon_sym_AMP_AMP] = ACTIONS(5409),
    [anon_sym_PIPE_PIPE] = ACTIONS(5409),
    [anon_sym_QMARK_QMARK] = ACTIONS(5409),
    [anon_sym_into] = ACTIONS(5409),
    [anon_sym_on] = ACTIONS(5409),
    [anon_sym_equals] = ACTIONS(5409),
    [anon_sym_by] = ACTIONS(5409),
    [anon_sym_as] = ACTIONS(5409),
    [anon_sym_is] = ACTIONS(5409),
    [anon_sym_DASH_GT] = ACTIONS(5409),
    [anon_sym_with] = ACTIONS(5409),
    [aux_sym_preproc_if_token3] = ACTIONS(5409),
    [aux_sym_preproc_else_token1] = ACTIONS(5409),
    [aux_sym_preproc_elif_token1] = ACTIONS(5409),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3971] = {
    [sym_preproc_region] = STATE(3971),
    [sym_preproc_endregion] = STATE(3971),
    [sym_preproc_line] = STATE(3971),
    [sym_preproc_pragma] = STATE(3971),
    [sym_preproc_nullable] = STATE(3971),
    [sym_preproc_error] = STATE(3971),
    [sym_preproc_define] = STATE(3971),
    [sym_preproc_undef] = STATE(3971),
    [anon_sym_SEMI] = ACTIONS(4188),
    [anon_sym_LBRACK] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4188),
    [anon_sym_COMMA] = ACTIONS(4188),
    [anon_sym_RBRACK] = ACTIONS(4188),
    [anon_sym_LPAREN] = ACTIONS(4188),
    [anon_sym_RPAREN] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4188),
    [anon_sym_RBRACE] = ACTIONS(4188),
    [anon_sym_LT] = ACTIONS(4177),
    [anon_sym_GT] = ACTIONS(4177),
    [anon_sym_in] = ACTIONS(4188),
    [anon_sym_QMARK] = ACTIONS(4177),
    [anon_sym_BANG] = ACTIONS(4177),
    [anon_sym_PLUS_PLUS] = ACTIONS(4188),
    [anon_sym_DASH_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4177),
    [anon_sym_DASH] = ACTIONS(4177),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_SLASH] = ACTIONS(4177),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4188),
    [anon_sym_PIPE] = ACTIONS(4177),
    [anon_sym_AMP] = ACTIONS(4177),
    [anon_sym_LT_LT] = ACTIONS(4188),
    [anon_sym_GT_GT] = ACTIONS(4177),
    [anon_sym_GT_GT_GT] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4188),
    [anon_sym_BANG_EQ] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4188),
    [anon_sym_LT_EQ] = ACTIONS(4188),
    [anon_sym_DOT] = ACTIONS(4177),
    [anon_sym_EQ_GT] = ACTIONS(4188),
    [anon_sym_switch] = ACTIONS(4188),
    [anon_sym_when] = ACTIONS(4188),
    [anon_sym_DOT_DOT] = ACTIONS(4188),
    [anon_sym_and] = ACTIONS(4188),
    [anon_sym_or] = ACTIONS(4188),
    [anon_sym_AMP_AMP] = ACTIONS(4188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4188),
    [anon_sym_QMARK_QMARK] = ACTIONS(4188),
    [anon_sym_on] = ACTIONS(4188),
    [anon_sym_equals] = ACTIONS(4188),
    [anon_sym_by] = ACTIONS(4188),
    [anon_sym_as] = ACTIONS(4188),
    [anon_sym_is] = ACTIONS(4188),
    [anon_sym_DASH_GT] = ACTIONS(4188),
    [anon_sym_with] = ACTIONS(4188),
    [aux_sym_preproc_if_token3] = ACTIONS(4188),
    [aux_sym_preproc_else_token1] = ACTIONS(4188),
    [aux_sym_preproc_elif_token1] = ACTIONS(4188),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3972] = {
    [sym_preproc_region] = STATE(3972),
    [sym_preproc_endregion] = STATE(3972),
    [sym_preproc_line] = STATE(3972),
    [sym_preproc_pragma] = STATE(3972),
    [sym_preproc_nullable] = STATE(3972),
    [sym_preproc_error] = STATE(3972),
    [sym_preproc_define] = STATE(3972),
    [sym_preproc_undef] = STATE(3972),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_LPAREN] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_in] = ACTIONS(5626),
    [anon_sym_QMARK] = ACTIONS(5626),
    [anon_sym_BANG] = ACTIONS(5626),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_GT_GT_GT] = ACTIONS(5624),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_EQ_GT] = ACTIONS(5624),
    [anon_sym_switch] = ACTIONS(5624),
    [anon_sym_when] = ACTIONS(5624),
    [anon_sym_DOT_DOT] = ACTIONS(5624),
    [anon_sym_and] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_QMARK_QMARK] = ACTIONS(5624),
    [anon_sym_into] = ACTIONS(5624),
    [anon_sym_on] = ACTIONS(5624),
    [anon_sym_equals] = ACTIONS(5624),
    [anon_sym_by] = ACTIONS(5624),
    [anon_sym_as] = ACTIONS(5624),
    [anon_sym_is] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [anon_sym_with] = ACTIONS(5624),
    [aux_sym_preproc_if_token3] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5624),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3973] = {
    [sym_preproc_region] = STATE(3973),
    [sym_preproc_endregion] = STATE(3973),
    [sym_preproc_line] = STATE(3973),
    [sym_preproc_pragma] = STATE(3973),
    [sym_preproc_nullable] = STATE(3973),
    [sym_preproc_error] = STATE(3973),
    [sym_preproc_define] = STATE(3973),
    [sym_preproc_undef] = STATE(3973),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4475),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3974] = {
    [sym_preproc_region] = STATE(3974),
    [sym_preproc_endregion] = STATE(3974),
    [sym_preproc_line] = STATE(3974),
    [sym_preproc_pragma] = STATE(3974),
    [sym_preproc_nullable] = STATE(3974),
    [sym_preproc_error] = STATE(3974),
    [sym_preproc_define] = STATE(3974),
    [sym_preproc_undef] = STATE(3974),
    [anon_sym_EQ] = ACTIONS(5850),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5852),
    [anon_sym_DASH_EQ] = ACTIONS(5852),
    [anon_sym_STAR_EQ] = ACTIONS(5852),
    [anon_sym_SLASH_EQ] = ACTIONS(5852),
    [anon_sym_PERCENT_EQ] = ACTIONS(5852),
    [anon_sym_AMP_EQ] = ACTIONS(5852),
    [anon_sym_CARET_EQ] = ACTIONS(5852),
    [anon_sym_PIPE_EQ] = ACTIONS(5852),
    [anon_sym_LT_LT_EQ] = ACTIONS(5852),
    [anon_sym_GT_GT_EQ] = ACTIONS(5852),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5852),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5852),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3975] = {
    [sym_preproc_region] = STATE(3975),
    [sym_preproc_endregion] = STATE(3975),
    [sym_preproc_line] = STATE(3975),
    [sym_preproc_pragma] = STATE(3975),
    [sym_preproc_nullable] = STATE(3975),
    [sym_preproc_error] = STATE(3975),
    [sym_preproc_define] = STATE(3975),
    [sym_preproc_undef] = STATE(3975),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5854),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3976] = {
    [sym_preproc_region] = STATE(3976),
    [sym_preproc_endregion] = STATE(3976),
    [sym_preproc_line] = STATE(3976),
    [sym_preproc_pragma] = STATE(3976),
    [sym_preproc_nullable] = STATE(3976),
    [sym_preproc_error] = STATE(3976),
    [sym_preproc_define] = STATE(3976),
    [sym_preproc_undef] = STATE(3976),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym_LBRACK] = ACTIONS(5856),
    [anon_sym_COLON] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_RBRACK] = ACTIONS(5856),
    [anon_sym_LPAREN] = ACTIONS(5856),
    [anon_sym_RPAREN] = ACTIONS(5856),
    [anon_sym_RBRACE] = ACTIONS(5856),
    [anon_sym_LT] = ACTIONS(5858),
    [anon_sym_GT] = ACTIONS(5858),
    [anon_sym_in] = ACTIONS(5858),
    [anon_sym_QMARK] = ACTIONS(5858),
    [anon_sym_BANG] = ACTIONS(5858),
    [anon_sym_PLUS_PLUS] = ACTIONS(5856),
    [anon_sym_DASH_DASH] = ACTIONS(5856),
    [anon_sym_PLUS] = ACTIONS(5858),
    [anon_sym_DASH] = ACTIONS(5858),
    [anon_sym_STAR] = ACTIONS(5856),
    [anon_sym_SLASH] = ACTIONS(5858),
    [anon_sym_PERCENT] = ACTIONS(5856),
    [anon_sym_CARET] = ACTIONS(5856),
    [anon_sym_PIPE] = ACTIONS(5858),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5858),
    [anon_sym_GT_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5856),
    [anon_sym_BANG_EQ] = ACTIONS(5856),
    [anon_sym_GT_EQ] = ACTIONS(5856),
    [anon_sym_LT_EQ] = ACTIONS(5856),
    [anon_sym_DOT] = ACTIONS(5858),
    [anon_sym_EQ_GT] = ACTIONS(5856),
    [anon_sym_switch] = ACTIONS(5856),
    [anon_sym_when] = ACTIONS(5856),
    [anon_sym_DOT_DOT] = ACTIONS(5856),
    [anon_sym_and] = ACTIONS(5856),
    [anon_sym_or] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5856),
    [anon_sym_PIPE_PIPE] = ACTIONS(5856),
    [anon_sym_QMARK_QMARK] = ACTIONS(5856),
    [anon_sym_into] = ACTIONS(5856),
    [anon_sym_on] = ACTIONS(5856),
    [anon_sym_equals] = ACTIONS(5856),
    [anon_sym_by] = ACTIONS(5856),
    [anon_sym_as] = ACTIONS(5856),
    [anon_sym_is] = ACTIONS(5856),
    [anon_sym_DASH_GT] = ACTIONS(5856),
    [anon_sym_with] = ACTIONS(5856),
    [aux_sym_preproc_if_token3] = ACTIONS(5856),
    [aux_sym_preproc_else_token1] = ACTIONS(5856),
    [aux_sym_preproc_elif_token1] = ACTIONS(5856),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3977] = {
    [sym_preproc_region] = STATE(3977),
    [sym_preproc_endregion] = STATE(3977),
    [sym_preproc_line] = STATE(3977),
    [sym_preproc_pragma] = STATE(3977),
    [sym_preproc_nullable] = STATE(3977),
    [sym_preproc_error] = STATE(3977),
    [sym_preproc_define] = STATE(3977),
    [sym_preproc_undef] = STATE(3977),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4475),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3978] = {
    [sym_preproc_region] = STATE(3978),
    [sym_preproc_endregion] = STATE(3978),
    [sym_preproc_line] = STATE(3978),
    [sym_preproc_pragma] = STATE(3978),
    [sym_preproc_nullable] = STATE(3978),
    [sym_preproc_error] = STATE(3978),
    [sym_preproc_define] = STATE(3978),
    [sym_preproc_undef] = STATE(3978),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_in] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5305),
    [anon_sym_CARET] = ACTIONS(5305),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5305),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5305),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_when] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5305),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_on] = ACTIONS(5305),
    [anon_sym_equals] = ACTIONS(5305),
    [anon_sym_by] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3979] = {
    [sym_preproc_region] = STATE(3979),
    [sym_preproc_endregion] = STATE(3979),
    [sym_preproc_line] = STATE(3979),
    [sym_preproc_pragma] = STATE(3979),
    [sym_preproc_nullable] = STATE(3979),
    [sym_preproc_error] = STATE(3979),
    [sym_preproc_define] = STATE(3979),
    [sym_preproc_undef] = STATE(3979),
    [anon_sym_SEMI] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_COMMA] = ACTIONS(5459),
    [anon_sym_RBRACK] = ACTIONS(5459),
    [anon_sym_LPAREN] = ACTIONS(5459),
    [anon_sym_RPAREN] = ACTIONS(5459),
    [anon_sym_RBRACE] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5461),
    [anon_sym_in] = ACTIONS(5461),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_BANG] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5459),
    [anon_sym_SLASH] = ACTIONS(5461),
    [anon_sym_PERCENT] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5459),
    [anon_sym_PIPE] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5461),
    [anon_sym_LT_LT] = ACTIONS(5459),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym_GT_GT_GT] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5459),
    [anon_sym_BANG_EQ] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5459),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_EQ_GT] = ACTIONS(5459),
    [anon_sym_switch] = ACTIONS(5459),
    [anon_sym_when] = ACTIONS(5459),
    [anon_sym_DOT_DOT] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_or] = ACTIONS(5459),
    [anon_sym_AMP_AMP] = ACTIONS(5459),
    [anon_sym_PIPE_PIPE] = ACTIONS(5459),
    [anon_sym_QMARK_QMARK] = ACTIONS(5459),
    [anon_sym_into] = ACTIONS(5459),
    [anon_sym_on] = ACTIONS(5459),
    [anon_sym_equals] = ACTIONS(5459),
    [anon_sym_by] = ACTIONS(5459),
    [anon_sym_as] = ACTIONS(5459),
    [anon_sym_is] = ACTIONS(5459),
    [anon_sym_DASH_GT] = ACTIONS(5459),
    [anon_sym_with] = ACTIONS(5459),
    [aux_sym_preproc_if_token3] = ACTIONS(5459),
    [aux_sym_preproc_else_token1] = ACTIONS(5459),
    [aux_sym_preproc_elif_token1] = ACTIONS(5459),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3980] = {
    [sym_preproc_region] = STATE(3980),
    [sym_preproc_endregion] = STATE(3980),
    [sym_preproc_line] = STATE(3980),
    [sym_preproc_pragma] = STATE(3980),
    [sym_preproc_nullable] = STATE(3980),
    [sym_preproc_error] = STATE(3980),
    [sym_preproc_define] = STATE(3980),
    [sym_preproc_undef] = STATE(3980),
    [anon_sym_SEMI] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_COLON] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_RBRACK] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(5863),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_RBRACE] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(1995),
    [anon_sym_QMARK] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1995),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(1997),
    [anon_sym_PIPE] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1995),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1995),
    [anon_sym_GT_GT_GT] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_EQ_GT] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(1997),
    [anon_sym_DOT_DOT] = ACTIONS(1997),
    [anon_sym_and] = ACTIONS(1997),
    [anon_sym_or] = ACTIONS(1997),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_QMARK_QMARK] = ACTIONS(1997),
    [anon_sym_into] = ACTIONS(1997),
    [anon_sym_on] = ACTIONS(1997),
    [anon_sym_equals] = ACTIONS(1997),
    [anon_sym_by] = ACTIONS(1997),
    [anon_sym_as] = ACTIONS(1997),
    [anon_sym_is] = ACTIONS(1997),
    [anon_sym_DASH_GT] = ACTIONS(1997),
    [anon_sym_with] = ACTIONS(1997),
    [aux_sym_preproc_if_token3] = ACTIONS(1997),
    [aux_sym_preproc_else_token1] = ACTIONS(1997),
    [aux_sym_preproc_elif_token1] = ACTIONS(1997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3981] = {
    [sym_type_argument_list] = STATE(3611),
    [sym_preproc_region] = STATE(3981),
    [sym_preproc_endregion] = STATE(3981),
    [sym_preproc_line] = STATE(3981),
    [sym_preproc_pragma] = STATE(3981),
    [sym_preproc_nullable] = STATE(3981),
    [sym_preproc_error] = STATE(3981),
    [sym_preproc_define] = STATE(3981),
    [sym_preproc_undef] = STATE(3981),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4132),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(5283),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_COLON_COLON] = ACTIONS(5865),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_into] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3982] = {
    [sym_preproc_region] = STATE(3982),
    [sym_preproc_endregion] = STATE(3982),
    [sym_preproc_line] = STATE(3982),
    [sym_preproc_pragma] = STATE(3982),
    [sym_preproc_nullable] = STATE(3982),
    [sym_preproc_error] = STATE(3982),
    [sym_preproc_define] = STATE(3982),
    [sym_preproc_undef] = STATE(3982),
    [anon_sym_SEMI] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_COMMA] = ACTIONS(5399),
    [anon_sym_RBRACK] = ACTIONS(5399),
    [anon_sym_LPAREN] = ACTIONS(5399),
    [anon_sym_RPAREN] = ACTIONS(5399),
    [anon_sym_RBRACE] = ACTIONS(5399),
    [anon_sym_LT] = ACTIONS(5401),
    [anon_sym_GT] = ACTIONS(5401),
    [anon_sym_in] = ACTIONS(5401),
    [anon_sym_QMARK] = ACTIONS(5401),
    [anon_sym_BANG] = ACTIONS(5401),
    [anon_sym_PLUS_PLUS] = ACTIONS(5399),
    [anon_sym_DASH_DASH] = ACTIONS(5399),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5399),
    [anon_sym_SLASH] = ACTIONS(5401),
    [anon_sym_PERCENT] = ACTIONS(5399),
    [anon_sym_CARET] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5401),
    [anon_sym_LT_LT] = ACTIONS(5399),
    [anon_sym_GT_GT] = ACTIONS(5401),
    [anon_sym_GT_GT_GT] = ACTIONS(5399),
    [anon_sym_EQ_EQ] = ACTIONS(5399),
    [anon_sym_BANG_EQ] = ACTIONS(5399),
    [anon_sym_GT_EQ] = ACTIONS(5399),
    [anon_sym_LT_EQ] = ACTIONS(5399),
    [anon_sym_DOT] = ACTIONS(5401),
    [anon_sym_EQ_GT] = ACTIONS(5399),
    [anon_sym_switch] = ACTIONS(5399),
    [anon_sym_when] = ACTIONS(5399),
    [anon_sym_DOT_DOT] = ACTIONS(5399),
    [anon_sym_and] = ACTIONS(5399),
    [anon_sym_or] = ACTIONS(5399),
    [anon_sym_AMP_AMP] = ACTIONS(5399),
    [anon_sym_PIPE_PIPE] = ACTIONS(5399),
    [anon_sym_QMARK_QMARK] = ACTIONS(5399),
    [anon_sym_into] = ACTIONS(5399),
    [anon_sym_on] = ACTIONS(5399),
    [anon_sym_equals] = ACTIONS(5399),
    [anon_sym_by] = ACTIONS(5399),
    [anon_sym_as] = ACTIONS(5399),
    [anon_sym_is] = ACTIONS(5399),
    [anon_sym_DASH_GT] = ACTIONS(5399),
    [anon_sym_with] = ACTIONS(5399),
    [aux_sym_preproc_if_token3] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3983] = {
    [sym_preproc_region] = STATE(3983),
    [sym_preproc_endregion] = STATE(3983),
    [sym_preproc_line] = STATE(3983),
    [sym_preproc_pragma] = STATE(3983),
    [sym_preproc_nullable] = STATE(3983),
    [sym_preproc_error] = STATE(3983),
    [sym_preproc_define] = STATE(3983),
    [sym_preproc_undef] = STATE(3983),
    [anon_sym_EQ] = ACTIONS(5867),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_when] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5869),
    [anon_sym_DASH_EQ] = ACTIONS(5869),
    [anon_sym_STAR_EQ] = ACTIONS(5869),
    [anon_sym_SLASH_EQ] = ACTIONS(5869),
    [anon_sym_PERCENT_EQ] = ACTIONS(5869),
    [anon_sym_AMP_EQ] = ACTIONS(5869),
    [anon_sym_CARET_EQ] = ACTIONS(5869),
    [anon_sym_PIPE_EQ] = ACTIONS(5869),
    [anon_sym_LT_LT_EQ] = ACTIONS(5869),
    [anon_sym_GT_GT_EQ] = ACTIONS(5869),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5869),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5869),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3984] = {
    [sym_preproc_region] = STATE(3984),
    [sym_preproc_endregion] = STATE(3984),
    [sym_preproc_line] = STATE(3984),
    [sym_preproc_pragma] = STATE(3984),
    [sym_preproc_nullable] = STATE(3984),
    [sym_preproc_error] = STATE(3984),
    [sym_preproc_define] = STATE(3984),
    [sym_preproc_undef] = STATE(3984),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(4473),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3985] = {
    [sym_preproc_region] = STATE(3985),
    [sym_preproc_endregion] = STATE(3985),
    [sym_preproc_line] = STATE(3985),
    [sym_preproc_pragma] = STATE(3985),
    [sym_preproc_nullable] = STATE(3985),
    [sym_preproc_error] = STATE(3985),
    [sym_preproc_define] = STATE(3985),
    [sym_preproc_undef] = STATE(3985),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_LPAREN] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_in] = ACTIONS(5654),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_BANG] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_GT_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_EQ_GT] = ACTIONS(5652),
    [anon_sym_switch] = ACTIONS(5652),
    [anon_sym_when] = ACTIONS(5652),
    [anon_sym_DOT_DOT] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_QMARK_QMARK] = ACTIONS(5652),
    [anon_sym_into] = ACTIONS(5652),
    [anon_sym_on] = ACTIONS(5652),
    [anon_sym_equals] = ACTIONS(5652),
    [anon_sym_by] = ACTIONS(5652),
    [anon_sym_as] = ACTIONS(5652),
    [anon_sym_is] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [anon_sym_with] = ACTIONS(5652),
    [aux_sym_preproc_if_token3] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3986] = {
    [sym_preproc_region] = STATE(3986),
    [sym_preproc_endregion] = STATE(3986),
    [sym_preproc_line] = STATE(3986),
    [sym_preproc_pragma] = STATE(3986),
    [sym_preproc_nullable] = STATE(3986),
    [sym_preproc_error] = STATE(3986),
    [sym_preproc_define] = STATE(3986),
    [sym_preproc_undef] = STATE(3986),
    [anon_sym_SEMI] = ACTIONS(5871),
    [anon_sym_LBRACK] = ACTIONS(5871),
    [anon_sym_COLON] = ACTIONS(5871),
    [anon_sym_COMMA] = ACTIONS(5871),
    [anon_sym_RBRACK] = ACTIONS(5871),
    [anon_sym_LPAREN] = ACTIONS(5871),
    [anon_sym_RPAREN] = ACTIONS(5871),
    [anon_sym_RBRACE] = ACTIONS(5871),
    [anon_sym_LT] = ACTIONS(5873),
    [anon_sym_GT] = ACTIONS(5873),
    [anon_sym_in] = ACTIONS(5873),
    [anon_sym_QMARK] = ACTIONS(5873),
    [anon_sym_BANG] = ACTIONS(5873),
    [anon_sym_PLUS_PLUS] = ACTIONS(5871),
    [anon_sym_DASH_DASH] = ACTIONS(5871),
    [anon_sym_PLUS] = ACTIONS(5873),
    [anon_sym_DASH] = ACTIONS(5873),
    [anon_sym_STAR] = ACTIONS(5871),
    [anon_sym_SLASH] = ACTIONS(5873),
    [anon_sym_PERCENT] = ACTIONS(5871),
    [anon_sym_CARET] = ACTIONS(5871),
    [anon_sym_PIPE] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(5873),
    [anon_sym_LT_LT] = ACTIONS(5871),
    [anon_sym_GT_GT] = ACTIONS(5873),
    [anon_sym_GT_GT_GT] = ACTIONS(5871),
    [anon_sym_EQ_EQ] = ACTIONS(5871),
    [anon_sym_BANG_EQ] = ACTIONS(5871),
    [anon_sym_GT_EQ] = ACTIONS(5871),
    [anon_sym_LT_EQ] = ACTIONS(5871),
    [anon_sym_DOT] = ACTIONS(5873),
    [anon_sym_EQ_GT] = ACTIONS(5871),
    [anon_sym_switch] = ACTIONS(5871),
    [anon_sym_when] = ACTIONS(5871),
    [anon_sym_DOT_DOT] = ACTIONS(5871),
    [anon_sym_and] = ACTIONS(5871),
    [anon_sym_or] = ACTIONS(5871),
    [anon_sym_AMP_AMP] = ACTIONS(5871),
    [anon_sym_PIPE_PIPE] = ACTIONS(5871),
    [anon_sym_QMARK_QMARK] = ACTIONS(5871),
    [anon_sym_into] = ACTIONS(5871),
    [anon_sym_on] = ACTIONS(5871),
    [anon_sym_equals] = ACTIONS(5871),
    [anon_sym_by] = ACTIONS(5871),
    [anon_sym_as] = ACTIONS(5871),
    [anon_sym_is] = ACTIONS(5871),
    [anon_sym_DASH_GT] = ACTIONS(5871),
    [anon_sym_with] = ACTIONS(5871),
    [aux_sym_preproc_if_token3] = ACTIONS(5871),
    [aux_sym_preproc_else_token1] = ACTIONS(5871),
    [aux_sym_preproc_elif_token1] = ACTIONS(5871),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3987] = {
    [sym_preproc_region] = STATE(3987),
    [sym_preproc_endregion] = STATE(3987),
    [sym_preproc_line] = STATE(3987),
    [sym_preproc_pragma] = STATE(3987),
    [sym_preproc_nullable] = STATE(3987),
    [sym_preproc_error] = STATE(3987),
    [sym_preproc_define] = STATE(3987),
    [sym_preproc_undef] = STATE(3987),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4475),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(4473),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3988] = {
    [sym_preproc_region] = STATE(3988),
    [sym_preproc_endregion] = STATE(3988),
    [sym_preproc_line] = STATE(3988),
    [sym_preproc_pragma] = STATE(3988),
    [sym_preproc_nullable] = STATE(3988),
    [sym_preproc_error] = STATE(3988),
    [sym_preproc_define] = STATE(3988),
    [sym_preproc_undef] = STATE(3988),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4453),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(4451),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_when] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4453),
    [anon_sym_or] = ACTIONS(4453),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3989] = {
    [sym_preproc_region] = STATE(3989),
    [sym_preproc_endregion] = STATE(3989),
    [sym_preproc_line] = STATE(3989),
    [sym_preproc_pragma] = STATE(3989),
    [sym_preproc_nullable] = STATE(3989),
    [sym_preproc_error] = STATE(3989),
    [sym_preproc_define] = STATE(3989),
    [sym_preproc_undef] = STATE(3989),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_COLON] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4457),
    [anon_sym_LPAREN] = ACTIONS(4457),
    [anon_sym_RPAREN] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4457),
    [anon_sym_RBRACE] = ACTIONS(4457),
    [anon_sym_LT] = ACTIONS(4455),
    [anon_sym_GT] = ACTIONS(4455),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_QMARK] = ACTIONS(4455),
    [anon_sym_BANG] = ACTIONS(4455),
    [anon_sym_PLUS_PLUS] = ACTIONS(4457),
    [anon_sym_DASH_DASH] = ACTIONS(4457),
    [anon_sym_PLUS] = ACTIONS(4455),
    [anon_sym_DASH] = ACTIONS(4455),
    [anon_sym_STAR] = ACTIONS(4457),
    [anon_sym_SLASH] = ACTIONS(4455),
    [anon_sym_PERCENT] = ACTIONS(4457),
    [anon_sym_CARET] = ACTIONS(4457),
    [anon_sym_PIPE] = ACTIONS(4455),
    [anon_sym_AMP] = ACTIONS(4455),
    [anon_sym_LT_LT] = ACTIONS(4457),
    [anon_sym_GT_GT] = ACTIONS(4455),
    [anon_sym_GT_GT_GT] = ACTIONS(4457),
    [anon_sym_EQ_EQ] = ACTIONS(4457),
    [anon_sym_BANG_EQ] = ACTIONS(4457),
    [anon_sym_GT_EQ] = ACTIONS(4457),
    [anon_sym_LT_EQ] = ACTIONS(4457),
    [anon_sym_DOT] = ACTIONS(4455),
    [anon_sym_EQ_GT] = ACTIONS(4457),
    [anon_sym_switch] = ACTIONS(4457),
    [anon_sym_when] = ACTIONS(4457),
    [anon_sym_DOT_DOT] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_or] = ACTIONS(4457),
    [anon_sym_AMP_AMP] = ACTIONS(4457),
    [anon_sym_PIPE_PIPE] = ACTIONS(4457),
    [anon_sym_QMARK_QMARK] = ACTIONS(4457),
    [anon_sym_on] = ACTIONS(4457),
    [anon_sym_equals] = ACTIONS(4457),
    [anon_sym_by] = ACTIONS(4457),
    [anon_sym_as] = ACTIONS(4457),
    [anon_sym_is] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_with] = ACTIONS(4457),
    [aux_sym_preproc_if_token3] = ACTIONS(4457),
    [aux_sym_preproc_else_token1] = ACTIONS(4457),
    [aux_sym_preproc_elif_token1] = ACTIONS(4457),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3990] = {
    [sym_preproc_region] = STATE(3990),
    [sym_preproc_endregion] = STATE(3990),
    [sym_preproc_line] = STATE(3990),
    [sym_preproc_pragma] = STATE(3990),
    [sym_preproc_nullable] = STATE(3990),
    [sym_preproc_error] = STATE(3990),
    [sym_preproc_define] = STATE(3990),
    [sym_preproc_undef] = STATE(3990),
    [anon_sym_SEMI] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_COLON] = ACTIONS(5447),
    [anon_sym_COMMA] = ACTIONS(5447),
    [anon_sym_RBRACK] = ACTIONS(5447),
    [anon_sym_LPAREN] = ACTIONS(5447),
    [anon_sym_RPAREN] = ACTIONS(5447),
    [anon_sym_RBRACE] = ACTIONS(5447),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_in] = ACTIONS(5449),
    [anon_sym_QMARK] = ACTIONS(5449),
    [anon_sym_BANG] = ACTIONS(5449),
    [anon_sym_PLUS_PLUS] = ACTIONS(5447),
    [anon_sym_DASH_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5447),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5447),
    [anon_sym_CARET] = ACTIONS(5447),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5447),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_GT_GT_GT] = ACTIONS(5447),
    [anon_sym_EQ_EQ] = ACTIONS(5447),
    [anon_sym_BANG_EQ] = ACTIONS(5447),
    [anon_sym_GT_EQ] = ACTIONS(5447),
    [anon_sym_LT_EQ] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_EQ_GT] = ACTIONS(5447),
    [anon_sym_switch] = ACTIONS(5447),
    [anon_sym_when] = ACTIONS(5447),
    [anon_sym_DOT_DOT] = ACTIONS(5447),
    [anon_sym_and] = ACTIONS(5447),
    [anon_sym_or] = ACTIONS(5447),
    [anon_sym_AMP_AMP] = ACTIONS(5447),
    [anon_sym_PIPE_PIPE] = ACTIONS(5447),
    [anon_sym_QMARK_QMARK] = ACTIONS(5447),
    [anon_sym_into] = ACTIONS(5447),
    [anon_sym_on] = ACTIONS(5447),
    [anon_sym_equals] = ACTIONS(5447),
    [anon_sym_by] = ACTIONS(5447),
    [anon_sym_as] = ACTIONS(5447),
    [anon_sym_is] = ACTIONS(5447),
    [anon_sym_DASH_GT] = ACTIONS(5447),
    [anon_sym_with] = ACTIONS(5447),
    [aux_sym_preproc_if_token3] = ACTIONS(5447),
    [aux_sym_preproc_else_token1] = ACTIONS(5447),
    [aux_sym_preproc_elif_token1] = ACTIONS(5447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3991] = {
    [sym_preproc_region] = STATE(3991),
    [sym_preproc_endregion] = STATE(3991),
    [sym_preproc_line] = STATE(3991),
    [sym_preproc_pragma] = STATE(3991),
    [sym_preproc_nullable] = STATE(3991),
    [sym_preproc_error] = STATE(3991),
    [sym_preproc_define] = STATE(3991),
    [sym_preproc_undef] = STATE(3991),
    [anon_sym_SEMI] = ACTIONS(5417),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym_COLON] = ACTIONS(5417),
    [anon_sym_COMMA] = ACTIONS(5417),
    [anon_sym_RBRACK] = ACTIONS(5417),
    [anon_sym_LPAREN] = ACTIONS(5417),
    [anon_sym_RPAREN] = ACTIONS(5417),
    [anon_sym_RBRACE] = ACTIONS(5417),
    [anon_sym_LT] = ACTIONS(5419),
    [anon_sym_GT] = ACTIONS(5419),
    [anon_sym_in] = ACTIONS(5419),
    [anon_sym_QMARK] = ACTIONS(5419),
    [anon_sym_BANG] = ACTIONS(5419),
    [anon_sym_PLUS_PLUS] = ACTIONS(5417),
    [anon_sym_DASH_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5419),
    [anon_sym_DASH] = ACTIONS(5419),
    [anon_sym_STAR] = ACTIONS(5417),
    [anon_sym_SLASH] = ACTIONS(5419),
    [anon_sym_PERCENT] = ACTIONS(5417),
    [anon_sym_CARET] = ACTIONS(5417),
    [anon_sym_PIPE] = ACTIONS(5419),
    [anon_sym_AMP] = ACTIONS(5419),
    [anon_sym_LT_LT] = ACTIONS(5417),
    [anon_sym_GT_GT] = ACTIONS(5419),
    [anon_sym_GT_GT_GT] = ACTIONS(5417),
    [anon_sym_EQ_EQ] = ACTIONS(5417),
    [anon_sym_BANG_EQ] = ACTIONS(5417),
    [anon_sym_GT_EQ] = ACTIONS(5417),
    [anon_sym_LT_EQ] = ACTIONS(5417),
    [anon_sym_DOT] = ACTIONS(5419),
    [anon_sym_EQ_GT] = ACTIONS(5417),
    [anon_sym_switch] = ACTIONS(5417),
    [anon_sym_when] = ACTIONS(5417),
    [anon_sym_DOT_DOT] = ACTIONS(5417),
    [anon_sym_and] = ACTIONS(5417),
    [anon_sym_or] = ACTIONS(5417),
    [anon_sym_AMP_AMP] = ACTIONS(5417),
    [anon_sym_PIPE_PIPE] = ACTIONS(5417),
    [anon_sym_QMARK_QMARK] = ACTIONS(5417),
    [anon_sym_into] = ACTIONS(5417),
    [anon_sym_on] = ACTIONS(5417),
    [anon_sym_equals] = ACTIONS(5417),
    [anon_sym_by] = ACTIONS(5417),
    [anon_sym_as] = ACTIONS(5417),
    [anon_sym_is] = ACTIONS(5417),
    [anon_sym_DASH_GT] = ACTIONS(5417),
    [anon_sym_with] = ACTIONS(5417),
    [aux_sym_preproc_if_token3] = ACTIONS(5417),
    [aux_sym_preproc_else_token1] = ACTIONS(5417),
    [aux_sym_preproc_elif_token1] = ACTIONS(5417),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3992] = {
    [sym_preproc_region] = STATE(3992),
    [sym_preproc_endregion] = STATE(3992),
    [sym_preproc_line] = STATE(3992),
    [sym_preproc_pragma] = STATE(3992),
    [sym_preproc_nullable] = STATE(3992),
    [sym_preproc_error] = STATE(3992),
    [sym_preproc_define] = STATE(3992),
    [sym_preproc_undef] = STATE(3992),
    [anon_sym_SEMI] = ACTIONS(5875),
    [anon_sym_LBRACK] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5875),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_RBRACK] = ACTIONS(5875),
    [anon_sym_LPAREN] = ACTIONS(5875),
    [anon_sym_RPAREN] = ACTIONS(5875),
    [anon_sym_RBRACE] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5877),
    [anon_sym_in] = ACTIONS(5877),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_BANG] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5875),
    [anon_sym_DASH_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5875),
    [anon_sym_SLASH] = ACTIONS(5877),
    [anon_sym_PERCENT] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5875),
    [anon_sym_PIPE] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5877),
    [anon_sym_LT_LT] = ACTIONS(5875),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_GT_GT_GT] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5875),
    [anon_sym_BANG_EQ] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5875),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_DOT] = ACTIONS(5877),
    [anon_sym_EQ_GT] = ACTIONS(5875),
    [anon_sym_switch] = ACTIONS(5875),
    [anon_sym_when] = ACTIONS(5875),
    [anon_sym_DOT_DOT] = ACTIONS(5875),
    [anon_sym_and] = ACTIONS(5875),
    [anon_sym_or] = ACTIONS(5875),
    [anon_sym_AMP_AMP] = ACTIONS(5875),
    [anon_sym_PIPE_PIPE] = ACTIONS(5875),
    [anon_sym_QMARK_QMARK] = ACTIONS(5875),
    [anon_sym_into] = ACTIONS(5875),
    [anon_sym_on] = ACTIONS(5875),
    [anon_sym_equals] = ACTIONS(5875),
    [anon_sym_by] = ACTIONS(5875),
    [anon_sym_as] = ACTIONS(5875),
    [anon_sym_is] = ACTIONS(5875),
    [anon_sym_DASH_GT] = ACTIONS(5875),
    [anon_sym_with] = ACTIONS(5875),
    [aux_sym_preproc_if_token3] = ACTIONS(5875),
    [aux_sym_preproc_else_token1] = ACTIONS(5875),
    [aux_sym_preproc_elif_token1] = ACTIONS(5875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3993] = {
    [sym_preproc_region] = STATE(3993),
    [sym_preproc_endregion] = STATE(3993),
    [sym_preproc_line] = STATE(3993),
    [sym_preproc_pragma] = STATE(3993),
    [sym_preproc_nullable] = STATE(3993),
    [sym_preproc_error] = STATE(3993),
    [sym_preproc_define] = STATE(3993),
    [sym_preproc_undef] = STATE(3993),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_LPAREN] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_in] = ACTIONS(5476),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_BANG] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_GT_GT_GT] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_EQ_GT] = ACTIONS(5474),
    [anon_sym_switch] = ACTIONS(5474),
    [anon_sym_when] = ACTIONS(5474),
    [anon_sym_DOT_DOT] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_QMARK_QMARK] = ACTIONS(5474),
    [anon_sym_into] = ACTIONS(5474),
    [anon_sym_on] = ACTIONS(5474),
    [anon_sym_equals] = ACTIONS(5474),
    [anon_sym_by] = ACTIONS(5474),
    [anon_sym_as] = ACTIONS(5474),
    [anon_sym_is] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [anon_sym_with] = ACTIONS(5474),
    [aux_sym_preproc_if_token3] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5474),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3994] = {
    [sym_preproc_region] = STATE(3994),
    [sym_preproc_endregion] = STATE(3994),
    [sym_preproc_line] = STATE(3994),
    [sym_preproc_pragma] = STATE(3994),
    [sym_preproc_nullable] = STATE(3994),
    [sym_preproc_error] = STATE(3994),
    [sym_preproc_define] = STATE(3994),
    [sym_preproc_undef] = STATE(3994),
    [anon_sym_SEMI] = ACTIONS(4461),
    [anon_sym_LBRACK] = ACTIONS(4461),
    [anon_sym_COLON] = ACTIONS(4461),
    [anon_sym_COMMA] = ACTIONS(4461),
    [anon_sym_RBRACK] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(4461),
    [anon_sym_RPAREN] = ACTIONS(4461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_RBRACE] = ACTIONS(4461),
    [anon_sym_LT] = ACTIONS(4459),
    [anon_sym_GT] = ACTIONS(4459),
    [anon_sym_in] = ACTIONS(4461),
    [anon_sym_QMARK] = ACTIONS(4459),
    [anon_sym_BANG] = ACTIONS(4459),
    [anon_sym_PLUS_PLUS] = ACTIONS(4461),
    [anon_sym_DASH_DASH] = ACTIONS(4461),
    [anon_sym_PLUS] = ACTIONS(4459),
    [anon_sym_DASH] = ACTIONS(4459),
    [anon_sym_STAR] = ACTIONS(4461),
    [anon_sym_SLASH] = ACTIONS(4459),
    [anon_sym_PERCENT] = ACTIONS(4461),
    [anon_sym_CARET] = ACTIONS(4461),
    [anon_sym_PIPE] = ACTIONS(4459),
    [anon_sym_AMP] = ACTIONS(4459),
    [anon_sym_LT_LT] = ACTIONS(4461),
    [anon_sym_GT_GT] = ACTIONS(4459),
    [anon_sym_GT_GT_GT] = ACTIONS(4461),
    [anon_sym_EQ_EQ] = ACTIONS(4461),
    [anon_sym_BANG_EQ] = ACTIONS(4461),
    [anon_sym_GT_EQ] = ACTIONS(4461),
    [anon_sym_LT_EQ] = ACTIONS(4461),
    [anon_sym_DOT] = ACTIONS(4459),
    [anon_sym_EQ_GT] = ACTIONS(4461),
    [anon_sym_switch] = ACTIONS(4461),
    [anon_sym_when] = ACTIONS(4461),
    [anon_sym_DOT_DOT] = ACTIONS(4461),
    [anon_sym_and] = ACTIONS(4461),
    [anon_sym_or] = ACTIONS(4461),
    [anon_sym_AMP_AMP] = ACTIONS(4461),
    [anon_sym_PIPE_PIPE] = ACTIONS(4461),
    [anon_sym_QMARK_QMARK] = ACTIONS(4461),
    [anon_sym_on] = ACTIONS(4461),
    [anon_sym_equals] = ACTIONS(4461),
    [anon_sym_by] = ACTIONS(4461),
    [anon_sym_as] = ACTIONS(4461),
    [anon_sym_is] = ACTIONS(4461),
    [anon_sym_DASH_GT] = ACTIONS(4461),
    [anon_sym_with] = ACTIONS(4461),
    [aux_sym_preproc_if_token3] = ACTIONS(4461),
    [aux_sym_preproc_else_token1] = ACTIONS(4461),
    [aux_sym_preproc_elif_token1] = ACTIONS(4461),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3995] = {
    [sym_preproc_region] = STATE(3995),
    [sym_preproc_endregion] = STATE(3995),
    [sym_preproc_line] = STATE(3995),
    [sym_preproc_pragma] = STATE(3995),
    [sym_preproc_nullable] = STATE(3995),
    [sym_preproc_error] = STATE(3995),
    [sym_preproc_define] = STATE(3995),
    [sym_preproc_undef] = STATE(3995),
    [anon_sym_SEMI] = ACTIONS(5879),
    [anon_sym_LBRACK] = ACTIONS(5879),
    [anon_sym_COLON] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(5879),
    [anon_sym_RBRACK] = ACTIONS(5879),
    [anon_sym_LPAREN] = ACTIONS(5879),
    [anon_sym_RPAREN] = ACTIONS(5879),
    [anon_sym_RBRACE] = ACTIONS(5879),
    [anon_sym_LT] = ACTIONS(5881),
    [anon_sym_GT] = ACTIONS(5881),
    [anon_sym_in] = ACTIONS(5881),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_BANG] = ACTIONS(5881),
    [anon_sym_PLUS_PLUS] = ACTIONS(5879),
    [anon_sym_DASH_DASH] = ACTIONS(5879),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_STAR] = ACTIONS(5879),
    [anon_sym_SLASH] = ACTIONS(5881),
    [anon_sym_PERCENT] = ACTIONS(5879),
    [anon_sym_CARET] = ACTIONS(5879),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(5881),
    [anon_sym_LT_LT] = ACTIONS(5879),
    [anon_sym_GT_GT] = ACTIONS(5881),
    [anon_sym_GT_GT_GT] = ACTIONS(5879),
    [anon_sym_EQ_EQ] = ACTIONS(5879),
    [anon_sym_BANG_EQ] = ACTIONS(5879),
    [anon_sym_GT_EQ] = ACTIONS(5879),
    [anon_sym_LT_EQ] = ACTIONS(5879),
    [anon_sym_DOT] = ACTIONS(5881),
    [anon_sym_EQ_GT] = ACTIONS(5879),
    [anon_sym_switch] = ACTIONS(5879),
    [anon_sym_when] = ACTIONS(5879),
    [anon_sym_DOT_DOT] = ACTIONS(5879),
    [anon_sym_and] = ACTIONS(5879),
    [anon_sym_or] = ACTIONS(5879),
    [anon_sym_AMP_AMP] = ACTIONS(5879),
    [anon_sym_PIPE_PIPE] = ACTIONS(5879),
    [anon_sym_QMARK_QMARK] = ACTIONS(5879),
    [anon_sym_into] = ACTIONS(5879),
    [anon_sym_on] = ACTIONS(5879),
    [anon_sym_equals] = ACTIONS(5879),
    [anon_sym_by] = ACTIONS(5879),
    [anon_sym_as] = ACTIONS(5879),
    [anon_sym_is] = ACTIONS(5879),
    [anon_sym_DASH_GT] = ACTIONS(5879),
    [anon_sym_with] = ACTIONS(5879),
    [aux_sym_preproc_if_token3] = ACTIONS(5879),
    [aux_sym_preproc_else_token1] = ACTIONS(5879),
    [aux_sym_preproc_elif_token1] = ACTIONS(5879),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3996] = {
    [sym_preproc_region] = STATE(3996),
    [sym_preproc_endregion] = STATE(3996),
    [sym_preproc_line] = STATE(3996),
    [sym_preproc_pragma] = STATE(3996),
    [sym_preproc_nullable] = STATE(3996),
    [sym_preproc_error] = STATE(3996),
    [sym_preproc_define] = STATE(3996),
    [sym_preproc_undef] = STATE(3996),
    [anon_sym_SEMI] = ACTIONS(4561),
    [anon_sym_LBRACK] = ACTIONS(4561),
    [anon_sym_COLON] = ACTIONS(4561),
    [anon_sym_COMMA] = ACTIONS(4561),
    [anon_sym_RBRACK] = ACTIONS(4561),
    [anon_sym_LPAREN] = ACTIONS(4561),
    [anon_sym_RPAREN] = ACTIONS(4561),
    [anon_sym_LBRACE] = ACTIONS(4561),
    [anon_sym_RBRACE] = ACTIONS(4561),
    [anon_sym_LT] = ACTIONS(4559),
    [anon_sym_GT] = ACTIONS(4559),
    [anon_sym_in] = ACTIONS(4561),
    [anon_sym_QMARK] = ACTIONS(4559),
    [anon_sym_BANG] = ACTIONS(4559),
    [anon_sym_PLUS_PLUS] = ACTIONS(4561),
    [anon_sym_DASH_DASH] = ACTIONS(4561),
    [anon_sym_PLUS] = ACTIONS(4559),
    [anon_sym_DASH] = ACTIONS(4559),
    [anon_sym_STAR] = ACTIONS(4561),
    [anon_sym_SLASH] = ACTIONS(4559),
    [anon_sym_PERCENT] = ACTIONS(4561),
    [anon_sym_CARET] = ACTIONS(4561),
    [anon_sym_PIPE] = ACTIONS(4559),
    [anon_sym_AMP] = ACTIONS(4559),
    [anon_sym_LT_LT] = ACTIONS(4561),
    [anon_sym_GT_GT] = ACTIONS(4559),
    [anon_sym_GT_GT_GT] = ACTIONS(4561),
    [anon_sym_EQ_EQ] = ACTIONS(4561),
    [anon_sym_BANG_EQ] = ACTIONS(4561),
    [anon_sym_GT_EQ] = ACTIONS(4561),
    [anon_sym_LT_EQ] = ACTIONS(4561),
    [anon_sym_DOT] = ACTIONS(4559),
    [anon_sym_EQ_GT] = ACTIONS(4561),
    [anon_sym_switch] = ACTIONS(4561),
    [anon_sym_when] = ACTIONS(4561),
    [anon_sym_DOT_DOT] = ACTIONS(4561),
    [anon_sym_and] = ACTIONS(4561),
    [anon_sym_or] = ACTIONS(4561),
    [anon_sym_AMP_AMP] = ACTIONS(4561),
    [anon_sym_PIPE_PIPE] = ACTIONS(4561),
    [anon_sym_QMARK_QMARK] = ACTIONS(4561),
    [anon_sym_on] = ACTIONS(4561),
    [anon_sym_equals] = ACTIONS(4561),
    [anon_sym_by] = ACTIONS(4561),
    [anon_sym_as] = ACTIONS(4561),
    [anon_sym_is] = ACTIONS(4561),
    [anon_sym_DASH_GT] = ACTIONS(4561),
    [anon_sym_with] = ACTIONS(4561),
    [aux_sym_preproc_if_token3] = ACTIONS(4561),
    [aux_sym_preproc_else_token1] = ACTIONS(4561),
    [aux_sym_preproc_elif_token1] = ACTIONS(4561),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3997] = {
    [sym_preproc_region] = STATE(3997),
    [sym_preproc_endregion] = STATE(3997),
    [sym_preproc_line] = STATE(3997),
    [sym_preproc_pragma] = STATE(3997),
    [sym_preproc_nullable] = STATE(3997),
    [sym_preproc_error] = STATE(3997),
    [sym_preproc_define] = STATE(3997),
    [sym_preproc_undef] = STATE(3997),
    [anon_sym_SEMI] = ACTIONS(4465),
    [anon_sym_LBRACK] = ACTIONS(4465),
    [anon_sym_COLON] = ACTIONS(4465),
    [anon_sym_COMMA] = ACTIONS(4465),
    [anon_sym_RBRACK] = ACTIONS(4465),
    [anon_sym_LPAREN] = ACTIONS(4465),
    [anon_sym_RPAREN] = ACTIONS(4465),
    [anon_sym_LBRACE] = ACTIONS(4465),
    [anon_sym_RBRACE] = ACTIONS(4465),
    [anon_sym_LT] = ACTIONS(4463),
    [anon_sym_GT] = ACTIONS(4463),
    [anon_sym_in] = ACTIONS(4465),
    [anon_sym_QMARK] = ACTIONS(4463),
    [anon_sym_BANG] = ACTIONS(4463),
    [anon_sym_PLUS_PLUS] = ACTIONS(4465),
    [anon_sym_DASH_DASH] = ACTIONS(4465),
    [anon_sym_PLUS] = ACTIONS(4463),
    [anon_sym_DASH] = ACTIONS(4463),
    [anon_sym_STAR] = ACTIONS(4465),
    [anon_sym_SLASH] = ACTIONS(4463),
    [anon_sym_PERCENT] = ACTIONS(4465),
    [anon_sym_CARET] = ACTIONS(4465),
    [anon_sym_PIPE] = ACTIONS(4463),
    [anon_sym_AMP] = ACTIONS(4463),
    [anon_sym_LT_LT] = ACTIONS(4465),
    [anon_sym_GT_GT] = ACTIONS(4463),
    [anon_sym_GT_GT_GT] = ACTIONS(4465),
    [anon_sym_EQ_EQ] = ACTIONS(4465),
    [anon_sym_BANG_EQ] = ACTIONS(4465),
    [anon_sym_GT_EQ] = ACTIONS(4465),
    [anon_sym_LT_EQ] = ACTIONS(4465),
    [anon_sym_DOT] = ACTIONS(4463),
    [anon_sym_EQ_GT] = ACTIONS(4465),
    [anon_sym_switch] = ACTIONS(4465),
    [anon_sym_when] = ACTIONS(4465),
    [anon_sym_DOT_DOT] = ACTIONS(4465),
    [anon_sym_and] = ACTIONS(4465),
    [anon_sym_or] = ACTIONS(4465),
    [anon_sym_AMP_AMP] = ACTIONS(4465),
    [anon_sym_PIPE_PIPE] = ACTIONS(4465),
    [anon_sym_QMARK_QMARK] = ACTIONS(4465),
    [anon_sym_on] = ACTIONS(4465),
    [anon_sym_equals] = ACTIONS(4465),
    [anon_sym_by] = ACTIONS(4465),
    [anon_sym_as] = ACTIONS(4465),
    [anon_sym_is] = ACTIONS(4465),
    [anon_sym_DASH_GT] = ACTIONS(4465),
    [anon_sym_with] = ACTIONS(4465),
    [aux_sym_preproc_if_token3] = ACTIONS(4465),
    [aux_sym_preproc_else_token1] = ACTIONS(4465),
    [aux_sym_preproc_elif_token1] = ACTIONS(4465),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3998] = {
    [sym_preproc_region] = STATE(3998),
    [sym_preproc_endregion] = STATE(3998),
    [sym_preproc_line] = STATE(3998),
    [sym_preproc_pragma] = STATE(3998),
    [sym_preproc_nullable] = STATE(3998),
    [sym_preproc_error] = STATE(3998),
    [sym_preproc_define] = STATE(3998),
    [sym_preproc_undef] = STATE(3998),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [3999] = {
    [sym_preproc_region] = STATE(3999),
    [sym_preproc_endregion] = STATE(3999),
    [sym_preproc_line] = STATE(3999),
    [sym_preproc_pragma] = STATE(3999),
    [sym_preproc_nullable] = STATE(3999),
    [sym_preproc_error] = STATE(3999),
    [sym_preproc_define] = STATE(3999),
    [sym_preproc_undef] = STATE(3999),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_LPAREN] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_in] = ACTIONS(5554),
    [anon_sym_QMARK] = ACTIONS(5554),
    [anon_sym_BANG] = ACTIONS(5554),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_CARET] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym_GT_GT_GT] = ACTIONS(5552),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(5552),
    [anon_sym_switch] = ACTIONS(5552),
    [anon_sym_when] = ACTIONS(5552),
    [anon_sym_DOT_DOT] = ACTIONS(5552),
    [anon_sym_and] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_QMARK_QMARK] = ACTIONS(5552),
    [anon_sym_into] = ACTIONS(5552),
    [anon_sym_on] = ACTIONS(5552),
    [anon_sym_equals] = ACTIONS(5552),
    [anon_sym_by] = ACTIONS(5552),
    [anon_sym_as] = ACTIONS(5552),
    [anon_sym_is] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [anon_sym_with] = ACTIONS(5552),
    [aux_sym_preproc_if_token3] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5552),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4000] = {
    [sym_preproc_region] = STATE(4000),
    [sym_preproc_endregion] = STATE(4000),
    [sym_preproc_line] = STATE(4000),
    [sym_preproc_pragma] = STATE(4000),
    [sym_preproc_nullable] = STATE(4000),
    [sym_preproc_error] = STATE(4000),
    [sym_preproc_define] = STATE(4000),
    [sym_preproc_undef] = STATE(4000),
    [anon_sym_SEMI] = ACTIONS(4429),
    [anon_sym_LBRACK] = ACTIONS(4429),
    [anon_sym_COLON] = ACTIONS(4429),
    [anon_sym_COMMA] = ACTIONS(4429),
    [anon_sym_RBRACK] = ACTIONS(4429),
    [anon_sym_LPAREN] = ACTIONS(4429),
    [anon_sym_RPAREN] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4429),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_LT] = ACTIONS(4427),
    [anon_sym_GT] = ACTIONS(4427),
    [anon_sym_in] = ACTIONS(4429),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_BANG] = ACTIONS(4427),
    [anon_sym_PLUS_PLUS] = ACTIONS(4429),
    [anon_sym_DASH_DASH] = ACTIONS(4429),
    [anon_sym_PLUS] = ACTIONS(4427),
    [anon_sym_DASH] = ACTIONS(4427),
    [anon_sym_STAR] = ACTIONS(4429),
    [anon_sym_SLASH] = ACTIONS(4427),
    [anon_sym_PERCENT] = ACTIONS(4429),
    [anon_sym_CARET] = ACTIONS(4429),
    [anon_sym_PIPE] = ACTIONS(4427),
    [anon_sym_AMP] = ACTIONS(4427),
    [anon_sym_LT_LT] = ACTIONS(4429),
    [anon_sym_GT_GT] = ACTIONS(4427),
    [anon_sym_GT_GT_GT] = ACTIONS(4429),
    [anon_sym_EQ_EQ] = ACTIONS(4429),
    [anon_sym_BANG_EQ] = ACTIONS(4429),
    [anon_sym_GT_EQ] = ACTIONS(4429),
    [anon_sym_LT_EQ] = ACTIONS(4429),
    [anon_sym_DOT] = ACTIONS(4427),
    [anon_sym_EQ_GT] = ACTIONS(4429),
    [anon_sym_switch] = ACTIONS(4429),
    [anon_sym_when] = ACTIONS(4429),
    [anon_sym_DOT_DOT] = ACTIONS(4429),
    [anon_sym_and] = ACTIONS(4429),
    [anon_sym_or] = ACTIONS(4429),
    [anon_sym_AMP_AMP] = ACTIONS(4429),
    [anon_sym_PIPE_PIPE] = ACTIONS(4429),
    [anon_sym_QMARK_QMARK] = ACTIONS(4429),
    [anon_sym_on] = ACTIONS(4429),
    [anon_sym_equals] = ACTIONS(4429),
    [anon_sym_by] = ACTIONS(4429),
    [anon_sym_as] = ACTIONS(4429),
    [anon_sym_is] = ACTIONS(4429),
    [anon_sym_DASH_GT] = ACTIONS(4429),
    [anon_sym_with] = ACTIONS(4429),
    [aux_sym_preproc_if_token3] = ACTIONS(4429),
    [aux_sym_preproc_else_token1] = ACTIONS(4429),
    [aux_sym_preproc_elif_token1] = ACTIONS(4429),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4001] = {
    [sym_modifier] = STATE(4476),
    [sym_identifier] = STATE(7907),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(4001),
    [sym_preproc_endregion] = STATE(4001),
    [sym_preproc_line] = STATE(4001),
    [sym_preproc_pragma] = STATE(4001),
    [sym_preproc_nullable] = STATE(4001),
    [sym_preproc_error] = STATE(4001),
    [sym_preproc_define] = STATE(4001),
    [sym_preproc_undef] = STATE(4001),
    [aux_sym_class_declaration_repeat2] = STATE(4343),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(5429),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(5429),
    [anon_sym_static] = ACTIONS(5429),
    [anon_sym_abstract] = ACTIONS(5429),
    [anon_sym_async] = ACTIONS(5429),
    [anon_sym_const] = ACTIONS(5429),
    [anon_sym_file] = ACTIONS(5435),
    [anon_sym_fixed] = ACTIONS(5429),
    [anon_sym_internal] = ACTIONS(5429),
    [anon_sym_new] = ACTIONS(5429),
    [anon_sym_override] = ACTIONS(5429),
    [anon_sym_partial] = ACTIONS(5429),
    [anon_sym_private] = ACTIONS(5429),
    [anon_sym_protected] = ACTIONS(5429),
    [anon_sym_public] = ACTIONS(5429),
    [anon_sym_readonly] = ACTIONS(5429),
    [anon_sym_required] = ACTIONS(5429),
    [anon_sym_sealed] = ACTIONS(5429),
    [anon_sym_virtual] = ACTIONS(5429),
    [anon_sym_volatile] = ACTIONS(5429),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_get] = ACTIONS(5883),
    [anon_sym_set] = ACTIONS(5883),
    [anon_sym_add] = ACTIONS(5883),
    [anon_sym_remove] = ACTIONS(5883),
    [anon_sym_init] = ACTIONS(5883),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4002] = {
    [sym_preproc_region] = STATE(4002),
    [sym_preproc_endregion] = STATE(4002),
    [sym_preproc_line] = STATE(4002),
    [sym_preproc_pragma] = STATE(4002),
    [sym_preproc_nullable] = STATE(4002),
    [sym_preproc_error] = STATE(4002),
    [sym_preproc_define] = STATE(4002),
    [sym_preproc_undef] = STATE(4002),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_LBRACK] = ACTIONS(4469),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_LPAREN] = ACTIONS(4469),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_LBRACE] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_GT] = ACTIONS(4467),
    [anon_sym_in] = ACTIONS(4469),
    [anon_sym_QMARK] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(4467),
    [anon_sym_PLUS_PLUS] = ACTIONS(4469),
    [anon_sym_DASH_DASH] = ACTIONS(4469),
    [anon_sym_PLUS] = ACTIONS(4467),
    [anon_sym_DASH] = ACTIONS(4467),
    [anon_sym_STAR] = ACTIONS(4469),
    [anon_sym_SLASH] = ACTIONS(4467),
    [anon_sym_PERCENT] = ACTIONS(4469),
    [anon_sym_CARET] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4467),
    [anon_sym_LT_LT] = ACTIONS(4469),
    [anon_sym_GT_GT] = ACTIONS(4467),
    [anon_sym_GT_GT_GT] = ACTIONS(4469),
    [anon_sym_EQ_EQ] = ACTIONS(4469),
    [anon_sym_BANG_EQ] = ACTIONS(4469),
    [anon_sym_GT_EQ] = ACTIONS(4469),
    [anon_sym_LT_EQ] = ACTIONS(4469),
    [anon_sym_DOT] = ACTIONS(4467),
    [anon_sym_EQ_GT] = ACTIONS(4469),
    [anon_sym_switch] = ACTIONS(4469),
    [anon_sym_when] = ACTIONS(4469),
    [anon_sym_DOT_DOT] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4469),
    [anon_sym_or] = ACTIONS(4469),
    [anon_sym_AMP_AMP] = ACTIONS(4469),
    [anon_sym_PIPE_PIPE] = ACTIONS(4469),
    [anon_sym_QMARK_QMARK] = ACTIONS(4469),
    [anon_sym_on] = ACTIONS(4469),
    [anon_sym_equals] = ACTIONS(4469),
    [anon_sym_by] = ACTIONS(4469),
    [anon_sym_as] = ACTIONS(4469),
    [anon_sym_is] = ACTIONS(4469),
    [anon_sym_DASH_GT] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4469),
    [aux_sym_preproc_if_token3] = ACTIONS(4469),
    [aux_sym_preproc_else_token1] = ACTIONS(4469),
    [aux_sym_preproc_elif_token1] = ACTIONS(4469),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4003] = {
    [sym_preproc_region] = STATE(4003),
    [sym_preproc_endregion] = STATE(4003),
    [sym_preproc_line] = STATE(4003),
    [sym_preproc_pragma] = STATE(4003),
    [sym_preproc_nullable] = STATE(4003),
    [sym_preproc_error] = STATE(4003),
    [sym_preproc_define] = STATE(4003),
    [sym_preproc_undef] = STATE(4003),
    [anon_sym_SEMI] = ACTIONS(4602),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_COLON] = ACTIONS(4602),
    [anon_sym_COMMA] = ACTIONS(4602),
    [anon_sym_RBRACK] = ACTIONS(4602),
    [anon_sym_LPAREN] = ACTIONS(4602),
    [anon_sym_RPAREN] = ACTIONS(4602),
    [anon_sym_LBRACE] = ACTIONS(4602),
    [anon_sym_RBRACE] = ACTIONS(4602),
    [anon_sym_LT] = ACTIONS(4600),
    [anon_sym_GT] = ACTIONS(4600),
    [anon_sym_in] = ACTIONS(4602),
    [anon_sym_QMARK] = ACTIONS(4600),
    [anon_sym_BANG] = ACTIONS(4600),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS] = ACTIONS(4600),
    [anon_sym_DASH] = ACTIONS(4600),
    [anon_sym_STAR] = ACTIONS(4602),
    [anon_sym_SLASH] = ACTIONS(4600),
    [anon_sym_PERCENT] = ACTIONS(4602),
    [anon_sym_CARET] = ACTIONS(4602),
    [anon_sym_PIPE] = ACTIONS(4600),
    [anon_sym_AMP] = ACTIONS(4600),
    [anon_sym_LT_LT] = ACTIONS(4602),
    [anon_sym_GT_GT] = ACTIONS(4600),
    [anon_sym_GT_GT_GT] = ACTIONS(4602),
    [anon_sym_EQ_EQ] = ACTIONS(4602),
    [anon_sym_BANG_EQ] = ACTIONS(4602),
    [anon_sym_GT_EQ] = ACTIONS(4602),
    [anon_sym_LT_EQ] = ACTIONS(4602),
    [anon_sym_DOT] = ACTIONS(4600),
    [anon_sym_EQ_GT] = ACTIONS(4602),
    [anon_sym_switch] = ACTIONS(4602),
    [anon_sym_when] = ACTIONS(4602),
    [anon_sym_DOT_DOT] = ACTIONS(4602),
    [anon_sym_and] = ACTIONS(4602),
    [anon_sym_or] = ACTIONS(4602),
    [anon_sym_AMP_AMP] = ACTIONS(4602),
    [anon_sym_PIPE_PIPE] = ACTIONS(4602),
    [anon_sym_QMARK_QMARK] = ACTIONS(4602),
    [anon_sym_on] = ACTIONS(4602),
    [anon_sym_equals] = ACTIONS(4602),
    [anon_sym_by] = ACTIONS(4602),
    [anon_sym_as] = ACTIONS(4602),
    [anon_sym_is] = ACTIONS(4602),
    [anon_sym_DASH_GT] = ACTIONS(4602),
    [anon_sym_with] = ACTIONS(4602),
    [aux_sym_preproc_if_token3] = ACTIONS(4602),
    [aux_sym_preproc_else_token1] = ACTIONS(4602),
    [aux_sym_preproc_elif_token1] = ACTIONS(4602),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4004] = {
    [sym_preproc_region] = STATE(4004),
    [sym_preproc_endregion] = STATE(4004),
    [sym_preproc_line] = STATE(4004),
    [sym_preproc_pragma] = STATE(4004),
    [sym_preproc_nullable] = STATE(4004),
    [sym_preproc_error] = STATE(4004),
    [sym_preproc_define] = STATE(4004),
    [sym_preproc_undef] = STATE(4004),
    [anon_sym_SEMI] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5885),
    [anon_sym_COLON] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5885),
    [anon_sym_RBRACK] = ACTIONS(5885),
    [anon_sym_LPAREN] = ACTIONS(5885),
    [anon_sym_RPAREN] = ACTIONS(5885),
    [anon_sym_RBRACE] = ACTIONS(5885),
    [anon_sym_LT] = ACTIONS(5887),
    [anon_sym_GT] = ACTIONS(5887),
    [anon_sym_in] = ACTIONS(5887),
    [anon_sym_QMARK] = ACTIONS(5887),
    [anon_sym_BANG] = ACTIONS(5887),
    [anon_sym_PLUS_PLUS] = ACTIONS(5885),
    [anon_sym_DASH_DASH] = ACTIONS(5885),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_STAR] = ACTIONS(5885),
    [anon_sym_SLASH] = ACTIONS(5887),
    [anon_sym_PERCENT] = ACTIONS(5885),
    [anon_sym_CARET] = ACTIONS(5885),
    [anon_sym_PIPE] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_LT_LT] = ACTIONS(5885),
    [anon_sym_GT_GT] = ACTIONS(5887),
    [anon_sym_GT_GT_GT] = ACTIONS(5885),
    [anon_sym_EQ_EQ] = ACTIONS(5885),
    [anon_sym_BANG_EQ] = ACTIONS(5885),
    [anon_sym_GT_EQ] = ACTIONS(5885),
    [anon_sym_LT_EQ] = ACTIONS(5885),
    [anon_sym_DOT] = ACTIONS(5887),
    [anon_sym_EQ_GT] = ACTIONS(5885),
    [anon_sym_switch] = ACTIONS(5885),
    [anon_sym_when] = ACTIONS(5885),
    [anon_sym_DOT_DOT] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_or] = ACTIONS(5885),
    [anon_sym_AMP_AMP] = ACTIONS(5885),
    [anon_sym_PIPE_PIPE] = ACTIONS(5885),
    [anon_sym_QMARK_QMARK] = ACTIONS(5885),
    [anon_sym_into] = ACTIONS(5885),
    [anon_sym_on] = ACTIONS(5885),
    [anon_sym_equals] = ACTIONS(5885),
    [anon_sym_by] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_is] = ACTIONS(5885),
    [anon_sym_DASH_GT] = ACTIONS(5885),
    [anon_sym_with] = ACTIONS(5885),
    [aux_sym_preproc_if_token3] = ACTIONS(5885),
    [aux_sym_preproc_else_token1] = ACTIONS(5885),
    [aux_sym_preproc_elif_token1] = ACTIONS(5885),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4005] = {
    [sym_preproc_region] = STATE(4005),
    [sym_preproc_endregion] = STATE(4005),
    [sym_preproc_line] = STATE(4005),
    [sym_preproc_pragma] = STATE(4005),
    [sym_preproc_nullable] = STATE(4005),
    [sym_preproc_error] = STATE(4005),
    [sym_preproc_define] = STATE(4005),
    [sym_preproc_undef] = STATE(4005),
    [anon_sym_SEMI] = ACTIONS(5875),
    [anon_sym_LBRACK] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5875),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_RBRACK] = ACTIONS(5875),
    [anon_sym_LPAREN] = ACTIONS(5875),
    [anon_sym_RPAREN] = ACTIONS(5875),
    [anon_sym_RBRACE] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5877),
    [anon_sym_in] = ACTIONS(5877),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_BANG] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5875),
    [anon_sym_DASH_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5875),
    [anon_sym_SLASH] = ACTIONS(5877),
    [anon_sym_PERCENT] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5875),
    [anon_sym_PIPE] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5877),
    [anon_sym_LT_LT] = ACTIONS(5875),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_GT_GT_GT] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5875),
    [anon_sym_BANG_EQ] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5875),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_DOT] = ACTIONS(5877),
    [anon_sym_EQ_GT] = ACTIONS(5875),
    [anon_sym_switch] = ACTIONS(5875),
    [anon_sym_when] = ACTIONS(5875),
    [anon_sym_DOT_DOT] = ACTIONS(5875),
    [anon_sym_and] = ACTIONS(5875),
    [anon_sym_or] = ACTIONS(5875),
    [anon_sym_AMP_AMP] = ACTIONS(5875),
    [anon_sym_PIPE_PIPE] = ACTIONS(5875),
    [anon_sym_QMARK_QMARK] = ACTIONS(5875),
    [anon_sym_into] = ACTIONS(5875),
    [anon_sym_on] = ACTIONS(5875),
    [anon_sym_equals] = ACTIONS(5875),
    [anon_sym_by] = ACTIONS(5875),
    [anon_sym_as] = ACTIONS(5875),
    [anon_sym_is] = ACTIONS(5875),
    [anon_sym_DASH_GT] = ACTIONS(5875),
    [anon_sym_with] = ACTIONS(5875),
    [aux_sym_preproc_if_token3] = ACTIONS(5875),
    [aux_sym_preproc_else_token1] = ACTIONS(5875),
    [aux_sym_preproc_elif_token1] = ACTIONS(5875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4006] = {
    [sym_preproc_region] = STATE(4006),
    [sym_preproc_endregion] = STATE(4006),
    [sym_preproc_line] = STATE(4006),
    [sym_preproc_pragma] = STATE(4006),
    [sym_preproc_nullable] = STATE(4006),
    [sym_preproc_error] = STATE(4006),
    [sym_preproc_define] = STATE(4006),
    [sym_preproc_undef] = STATE(4006),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_COLON] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_LPAREN] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [anon_sym_RBRACE] = ACTIONS(5889),
    [anon_sym_LT] = ACTIONS(5891),
    [anon_sym_GT] = ACTIONS(5891),
    [anon_sym_in] = ACTIONS(5891),
    [anon_sym_QMARK] = ACTIONS(5891),
    [anon_sym_BANG] = ACTIONS(5891),
    [anon_sym_PLUS_PLUS] = ACTIONS(5889),
    [anon_sym_DASH_DASH] = ACTIONS(5889),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_STAR] = ACTIONS(5889),
    [anon_sym_SLASH] = ACTIONS(5891),
    [anon_sym_PERCENT] = ACTIONS(5889),
    [anon_sym_CARET] = ACTIONS(5889),
    [anon_sym_PIPE] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(5891),
    [anon_sym_LT_LT] = ACTIONS(5889),
    [anon_sym_GT_GT] = ACTIONS(5891),
    [anon_sym_GT_GT_GT] = ACTIONS(5889),
    [anon_sym_EQ_EQ] = ACTIONS(5889),
    [anon_sym_BANG_EQ] = ACTIONS(5889),
    [anon_sym_GT_EQ] = ACTIONS(5889),
    [anon_sym_LT_EQ] = ACTIONS(5889),
    [anon_sym_DOT] = ACTIONS(5891),
    [anon_sym_EQ_GT] = ACTIONS(5889),
    [anon_sym_switch] = ACTIONS(5889),
    [anon_sym_when] = ACTIONS(5889),
    [anon_sym_DOT_DOT] = ACTIONS(5889),
    [anon_sym_and] = ACTIONS(5889),
    [anon_sym_or] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_PIPE_PIPE] = ACTIONS(5889),
    [anon_sym_QMARK_QMARK] = ACTIONS(5889),
    [anon_sym_into] = ACTIONS(5889),
    [anon_sym_on] = ACTIONS(5889),
    [anon_sym_equals] = ACTIONS(5889),
    [anon_sym_by] = ACTIONS(5889),
    [anon_sym_as] = ACTIONS(5889),
    [anon_sym_is] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [anon_sym_with] = ACTIONS(5889),
    [aux_sym_preproc_if_token3] = ACTIONS(5889),
    [aux_sym_preproc_else_token1] = ACTIONS(5889),
    [aux_sym_preproc_elif_token1] = ACTIONS(5889),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4007] = {
    [sym_preproc_region] = STATE(4007),
    [sym_preproc_endregion] = STATE(4007),
    [sym_preproc_line] = STATE(4007),
    [sym_preproc_pragma] = STATE(4007),
    [sym_preproc_nullable] = STATE(4007),
    [sym_preproc_error] = STATE(4007),
    [sym_preproc_define] = STATE(4007),
    [sym_preproc_undef] = STATE(4007),
    [anon_sym_SEMI] = ACTIONS(4536),
    [anon_sym_LBRACK] = ACTIONS(4536),
    [anon_sym_COLON] = ACTIONS(4536),
    [anon_sym_COMMA] = ACTIONS(4536),
    [anon_sym_RBRACK] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(4536),
    [anon_sym_RPAREN] = ACTIONS(4536),
    [anon_sym_LBRACE] = ACTIONS(4536),
    [anon_sym_RBRACE] = ACTIONS(4536),
    [anon_sym_LT] = ACTIONS(4534),
    [anon_sym_GT] = ACTIONS(4534),
    [anon_sym_in] = ACTIONS(4536),
    [anon_sym_QMARK] = ACTIONS(4534),
    [anon_sym_BANG] = ACTIONS(4534),
    [anon_sym_PLUS_PLUS] = ACTIONS(4536),
    [anon_sym_DASH_DASH] = ACTIONS(4536),
    [anon_sym_PLUS] = ACTIONS(4534),
    [anon_sym_DASH] = ACTIONS(4534),
    [anon_sym_STAR] = ACTIONS(4536),
    [anon_sym_SLASH] = ACTIONS(4534),
    [anon_sym_PERCENT] = ACTIONS(4536),
    [anon_sym_CARET] = ACTIONS(4536),
    [anon_sym_PIPE] = ACTIONS(4534),
    [anon_sym_AMP] = ACTIONS(4534),
    [anon_sym_LT_LT] = ACTIONS(4536),
    [anon_sym_GT_GT] = ACTIONS(4534),
    [anon_sym_GT_GT_GT] = ACTIONS(4536),
    [anon_sym_EQ_EQ] = ACTIONS(4536),
    [anon_sym_BANG_EQ] = ACTIONS(4536),
    [anon_sym_GT_EQ] = ACTIONS(4536),
    [anon_sym_LT_EQ] = ACTIONS(4536),
    [anon_sym_DOT] = ACTIONS(4534),
    [anon_sym_EQ_GT] = ACTIONS(4536),
    [anon_sym_switch] = ACTIONS(4536),
    [anon_sym_when] = ACTIONS(4536),
    [anon_sym_DOT_DOT] = ACTIONS(4536),
    [anon_sym_and] = ACTIONS(4536),
    [anon_sym_or] = ACTIONS(4536),
    [anon_sym_AMP_AMP] = ACTIONS(4536),
    [anon_sym_PIPE_PIPE] = ACTIONS(4536),
    [anon_sym_QMARK_QMARK] = ACTIONS(4536),
    [anon_sym_on] = ACTIONS(4536),
    [anon_sym_equals] = ACTIONS(4536),
    [anon_sym_by] = ACTIONS(4536),
    [anon_sym_as] = ACTIONS(4536),
    [anon_sym_is] = ACTIONS(4536),
    [anon_sym_DASH_GT] = ACTIONS(4536),
    [anon_sym_with] = ACTIONS(4536),
    [aux_sym_preproc_if_token3] = ACTIONS(4536),
    [aux_sym_preproc_else_token1] = ACTIONS(4536),
    [aux_sym_preproc_elif_token1] = ACTIONS(4536),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4008] = {
    [sym_preproc_region] = STATE(4008),
    [sym_preproc_endregion] = STATE(4008),
    [sym_preproc_line] = STATE(4008),
    [sym_preproc_pragma] = STATE(4008),
    [sym_preproc_nullable] = STATE(4008),
    [sym_preproc_error] = STATE(4008),
    [sym_preproc_define] = STATE(4008),
    [sym_preproc_undef] = STATE(4008),
    [anon_sym_SEMI] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4172),
    [anon_sym_COMMA] = ACTIONS(4172),
    [anon_sym_RBRACK] = ACTIONS(4172),
    [anon_sym_LPAREN] = ACTIONS(4172),
    [anon_sym_RPAREN] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4172),
    [anon_sym_RBRACE] = ACTIONS(4172),
    [anon_sym_LT] = ACTIONS(4163),
    [anon_sym_GT] = ACTIONS(4163),
    [anon_sym_in] = ACTIONS(4172),
    [anon_sym_QMARK] = ACTIONS(4163),
    [anon_sym_BANG] = ACTIONS(4163),
    [anon_sym_PLUS_PLUS] = ACTIONS(4172),
    [anon_sym_DASH_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4163),
    [anon_sym_DASH] = ACTIONS(4163),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_SLASH] = ACTIONS(4163),
    [anon_sym_PERCENT] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_PIPE] = ACTIONS(4163),
    [anon_sym_AMP] = ACTIONS(4163),
    [anon_sym_LT_LT] = ACTIONS(4172),
    [anon_sym_GT_GT] = ACTIONS(4163),
    [anon_sym_GT_GT_GT] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4172),
    [anon_sym_BANG_EQ] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4172),
    [anon_sym_LT_EQ] = ACTIONS(4172),
    [anon_sym_DOT] = ACTIONS(4163),
    [anon_sym_EQ_GT] = ACTIONS(4172),
    [anon_sym_switch] = ACTIONS(4172),
    [anon_sym_when] = ACTIONS(4172),
    [anon_sym_DOT_DOT] = ACTIONS(4172),
    [anon_sym_and] = ACTIONS(4172),
    [anon_sym_or] = ACTIONS(4172),
    [anon_sym_AMP_AMP] = ACTIONS(4172),
    [anon_sym_PIPE_PIPE] = ACTIONS(4172),
    [anon_sym_QMARK_QMARK] = ACTIONS(4172),
    [anon_sym_on] = ACTIONS(4172),
    [anon_sym_equals] = ACTIONS(4172),
    [anon_sym_by] = ACTIONS(4172),
    [anon_sym_as] = ACTIONS(4172),
    [anon_sym_is] = ACTIONS(4172),
    [anon_sym_DASH_GT] = ACTIONS(4172),
    [anon_sym_with] = ACTIONS(4172),
    [aux_sym_preproc_if_token3] = ACTIONS(4172),
    [aux_sym_preproc_else_token1] = ACTIONS(4172),
    [aux_sym_preproc_elif_token1] = ACTIONS(4172),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4009] = {
    [sym_modifier] = STATE(4476),
    [sym_identifier] = STATE(7897),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(4009),
    [sym_preproc_endregion] = STATE(4009),
    [sym_preproc_line] = STATE(4009),
    [sym_preproc_pragma] = STATE(4009),
    [sym_preproc_nullable] = STATE(4009),
    [sym_preproc_error] = STATE(4009),
    [sym_preproc_define] = STATE(4009),
    [sym_preproc_undef] = STATE(4009),
    [aux_sym_class_declaration_repeat2] = STATE(4343),
    [sym__identifier_token] = ACTIONS(23),
    [anon_sym_extern] = ACTIONS(5429),
    [anon_sym_alias] = ACTIONS(27),
    [anon_sym_global] = ACTIONS(27),
    [anon_sym_unsafe] = ACTIONS(5429),
    [anon_sym_static] = ACTIONS(5429),
    [anon_sym_abstract] = ACTIONS(5429),
    [anon_sym_async] = ACTIONS(5429),
    [anon_sym_const] = ACTIONS(5429),
    [anon_sym_file] = ACTIONS(5435),
    [anon_sym_fixed] = ACTIONS(5429),
    [anon_sym_internal] = ACTIONS(5429),
    [anon_sym_new] = ACTIONS(5429),
    [anon_sym_override] = ACTIONS(5429),
    [anon_sym_partial] = ACTIONS(5429),
    [anon_sym_private] = ACTIONS(5429),
    [anon_sym_protected] = ACTIONS(5429),
    [anon_sym_public] = ACTIONS(5429),
    [anon_sym_readonly] = ACTIONS(5429),
    [anon_sym_required] = ACTIONS(5429),
    [anon_sym_sealed] = ACTIONS(5429),
    [anon_sym_virtual] = ACTIONS(5429),
    [anon_sym_volatile] = ACTIONS(5429),
    [anon_sym_where] = ACTIONS(27),
    [anon_sym_notnull] = ACTIONS(27),
    [anon_sym_unmanaged] = ACTIONS(27),
    [anon_sym_get] = ACTIONS(5752),
    [anon_sym_set] = ACTIONS(5752),
    [anon_sym_add] = ACTIONS(5752),
    [anon_sym_remove] = ACTIONS(5752),
    [anon_sym_init] = ACTIONS(5752),
    [anon_sym_scoped] = ACTIONS(27),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_yield] = ACTIONS(27),
    [anon_sym_when] = ACTIONS(27),
    [anon_sym_from] = ACTIONS(27),
    [anon_sym_into] = ACTIONS(27),
    [anon_sym_join] = ACTIONS(27),
    [anon_sym_on] = ACTIONS(27),
    [anon_sym_equals] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(27),
    [anon_sym_orderby] = ACTIONS(27),
    [anon_sym_ascending] = ACTIONS(27),
    [anon_sym_descending] = ACTIONS(27),
    [anon_sym_group] = ACTIONS(27),
    [anon_sym_by] = ACTIONS(27),
    [anon_sym_select] = ACTIONS(27),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4010] = {
    [sym_preproc_region] = STATE(4010),
    [sym_preproc_endregion] = STATE(4010),
    [sym_preproc_line] = STATE(4010),
    [sym_preproc_pragma] = STATE(4010),
    [sym_preproc_nullable] = STATE(4010),
    [sym_preproc_error] = STATE(4010),
    [sym_preproc_define] = STATE(4010),
    [sym_preproc_undef] = STATE(4010),
    [anon_sym_SEMI] = ACTIONS(4554),
    [anon_sym_LBRACK] = ACTIONS(4554),
    [anon_sym_COLON] = ACTIONS(4554),
    [anon_sym_COMMA] = ACTIONS(4554),
    [anon_sym_RBRACK] = ACTIONS(4554),
    [anon_sym_LPAREN] = ACTIONS(4554),
    [anon_sym_RPAREN] = ACTIONS(4554),
    [anon_sym_LBRACE] = ACTIONS(4554),
    [anon_sym_RBRACE] = ACTIONS(4554),
    [anon_sym_LT] = ACTIONS(4552),
    [anon_sym_GT] = ACTIONS(4552),
    [anon_sym_in] = ACTIONS(4554),
    [anon_sym_QMARK] = ACTIONS(4552),
    [anon_sym_BANG] = ACTIONS(4552),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS] = ACTIONS(4552),
    [anon_sym_DASH] = ACTIONS(4552),
    [anon_sym_STAR] = ACTIONS(4554),
    [anon_sym_SLASH] = ACTIONS(4552),
    [anon_sym_PERCENT] = ACTIONS(4554),
    [anon_sym_CARET] = ACTIONS(4554),
    [anon_sym_PIPE] = ACTIONS(4552),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT_LT] = ACTIONS(4554),
    [anon_sym_GT_GT] = ACTIONS(4552),
    [anon_sym_GT_GT_GT] = ACTIONS(4554),
    [anon_sym_EQ_EQ] = ACTIONS(4554),
    [anon_sym_BANG_EQ] = ACTIONS(4554),
    [anon_sym_GT_EQ] = ACTIONS(4554),
    [anon_sym_LT_EQ] = ACTIONS(4554),
    [anon_sym_DOT] = ACTIONS(4552),
    [anon_sym_EQ_GT] = ACTIONS(4554),
    [anon_sym_switch] = ACTIONS(4554),
    [anon_sym_when] = ACTIONS(4554),
    [anon_sym_DOT_DOT] = ACTIONS(4554),
    [anon_sym_and] = ACTIONS(4554),
    [anon_sym_or] = ACTIONS(4554),
    [anon_sym_AMP_AMP] = ACTIONS(4554),
    [anon_sym_PIPE_PIPE] = ACTIONS(4554),
    [anon_sym_QMARK_QMARK] = ACTIONS(4554),
    [anon_sym_on] = ACTIONS(4554),
    [anon_sym_equals] = ACTIONS(4554),
    [anon_sym_by] = ACTIONS(4554),
    [anon_sym_as] = ACTIONS(4554),
    [anon_sym_is] = ACTIONS(4554),
    [anon_sym_DASH_GT] = ACTIONS(4554),
    [anon_sym_with] = ACTIONS(4554),
    [aux_sym_preproc_if_token3] = ACTIONS(4554),
    [aux_sym_preproc_else_token1] = ACTIONS(4554),
    [aux_sym_preproc_elif_token1] = ACTIONS(4554),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4011] = {
    [sym_preproc_region] = STATE(4011),
    [sym_preproc_endregion] = STATE(4011),
    [sym_preproc_line] = STATE(4011),
    [sym_preproc_pragma] = STATE(4011),
    [sym_preproc_nullable] = STATE(4011),
    [sym_preproc_error] = STATE(4011),
    [sym_preproc_define] = STATE(4011),
    [sym_preproc_undef] = STATE(4011),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_LPAREN] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_in] = ACTIONS(5480),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_BANG] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_GT_GT_GT] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_EQ_GT] = ACTIONS(5478),
    [anon_sym_switch] = ACTIONS(5478),
    [anon_sym_when] = ACTIONS(5478),
    [anon_sym_DOT_DOT] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_QMARK_QMARK] = ACTIONS(5478),
    [anon_sym_into] = ACTIONS(5478),
    [anon_sym_on] = ACTIONS(5478),
    [anon_sym_equals] = ACTIONS(5478),
    [anon_sym_by] = ACTIONS(5478),
    [anon_sym_as] = ACTIONS(5478),
    [anon_sym_is] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [anon_sym_with] = ACTIONS(5478),
    [aux_sym_preproc_if_token3] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5478),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4012] = {
    [sym_preproc_region] = STATE(4012),
    [sym_preproc_endregion] = STATE(4012),
    [sym_preproc_line] = STATE(4012),
    [sym_preproc_pragma] = STATE(4012),
    [sym_preproc_nullable] = STATE(4012),
    [sym_preproc_error] = STATE(4012),
    [sym_preproc_define] = STATE(4012),
    [sym_preproc_undef] = STATE(4012),
    [anon_sym_SEMI] = ACTIONS(4598),
    [anon_sym_LBRACK] = ACTIONS(4598),
    [anon_sym_COLON] = ACTIONS(4598),
    [anon_sym_COMMA] = ACTIONS(4598),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_LPAREN] = ACTIONS(4598),
    [anon_sym_RPAREN] = ACTIONS(4598),
    [anon_sym_LBRACE] = ACTIONS(4598),
    [anon_sym_RBRACE] = ACTIONS(4598),
    [anon_sym_LT] = ACTIONS(4596),
    [anon_sym_GT] = ACTIONS(4596),
    [anon_sym_in] = ACTIONS(4598),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_BANG] = ACTIONS(4596),
    [anon_sym_PLUS_PLUS] = ACTIONS(4598),
    [anon_sym_DASH_DASH] = ACTIONS(4598),
    [anon_sym_PLUS] = ACTIONS(4596),
    [anon_sym_DASH] = ACTIONS(4596),
    [anon_sym_STAR] = ACTIONS(4598),
    [anon_sym_SLASH] = ACTIONS(4596),
    [anon_sym_PERCENT] = ACTIONS(4598),
    [anon_sym_CARET] = ACTIONS(4598),
    [anon_sym_PIPE] = ACTIONS(4596),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_LT_LT] = ACTIONS(4598),
    [anon_sym_GT_GT] = ACTIONS(4596),
    [anon_sym_GT_GT_GT] = ACTIONS(4598),
    [anon_sym_EQ_EQ] = ACTIONS(4598),
    [anon_sym_BANG_EQ] = ACTIONS(4598),
    [anon_sym_GT_EQ] = ACTIONS(4598),
    [anon_sym_LT_EQ] = ACTIONS(4598),
    [anon_sym_DOT] = ACTIONS(4596),
    [anon_sym_EQ_GT] = ACTIONS(4598),
    [anon_sym_switch] = ACTIONS(4598),
    [anon_sym_when] = ACTIONS(4598),
    [anon_sym_DOT_DOT] = ACTIONS(4598),
    [anon_sym_and] = ACTIONS(4598),
    [anon_sym_or] = ACTIONS(4598),
    [anon_sym_AMP_AMP] = ACTIONS(4598),
    [anon_sym_PIPE_PIPE] = ACTIONS(4598),
    [anon_sym_QMARK_QMARK] = ACTIONS(4598),
    [anon_sym_on] = ACTIONS(4598),
    [anon_sym_equals] = ACTIONS(4598),
    [anon_sym_by] = ACTIONS(4598),
    [anon_sym_as] = ACTIONS(4598),
    [anon_sym_is] = ACTIONS(4598),
    [anon_sym_DASH_GT] = ACTIONS(4598),
    [anon_sym_with] = ACTIONS(4598),
    [aux_sym_preproc_if_token3] = ACTIONS(4598),
    [aux_sym_preproc_else_token1] = ACTIONS(4598),
    [aux_sym_preproc_elif_token1] = ACTIONS(4598),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4013] = {
    [sym_preproc_region] = STATE(4013),
    [sym_preproc_endregion] = STATE(4013),
    [sym_preproc_line] = STATE(4013),
    [sym_preproc_pragma] = STATE(4013),
    [sym_preproc_nullable] = STATE(4013),
    [sym_preproc_error] = STATE(4013),
    [sym_preproc_define] = STATE(4013),
    [sym_preproc_undef] = STATE(4013),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_LPAREN] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_BANG] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_GT_GT_GT] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5350),
    [anon_sym_switch] = ACTIONS(5350),
    [anon_sym_when] = ACTIONS(5350),
    [anon_sym_DOT_DOT] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_QMARK_QMARK] = ACTIONS(5350),
    [anon_sym_on] = ACTIONS(5350),
    [anon_sym_equals] = ACTIONS(5350),
    [anon_sym_by] = ACTIONS(5350),
    [anon_sym_as] = ACTIONS(5350),
    [anon_sym_is] = ACTIONS(5350),
    [anon_sym_DQUOTE] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_with] = ACTIONS(5350),
    [aux_sym_preproc_if_token3] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4014] = {
    [sym_preproc_region] = STATE(4014),
    [sym_preproc_endregion] = STATE(4014),
    [sym_preproc_line] = STATE(4014),
    [sym_preproc_pragma] = STATE(4014),
    [sym_preproc_nullable] = STATE(4014),
    [sym_preproc_error] = STATE(4014),
    [sym_preproc_define] = STATE(4014),
    [sym_preproc_undef] = STATE(4014),
    [anon_sym_SEMI] = ACTIONS(5893),
    [anon_sym_LBRACK] = ACTIONS(5893),
    [anon_sym_COLON] = ACTIONS(5893),
    [anon_sym_COMMA] = ACTIONS(5893),
    [anon_sym_RBRACK] = ACTIONS(5893),
    [anon_sym_LPAREN] = ACTIONS(5893),
    [anon_sym_RPAREN] = ACTIONS(5893),
    [anon_sym_RBRACE] = ACTIONS(5893),
    [anon_sym_LT] = ACTIONS(5895),
    [anon_sym_GT] = ACTIONS(5895),
    [anon_sym_in] = ACTIONS(5895),
    [anon_sym_QMARK] = ACTIONS(5895),
    [anon_sym_BANG] = ACTIONS(5895),
    [anon_sym_PLUS_PLUS] = ACTIONS(5893),
    [anon_sym_DASH_DASH] = ACTIONS(5893),
    [anon_sym_PLUS] = ACTIONS(5895),
    [anon_sym_DASH] = ACTIONS(5895),
    [anon_sym_STAR] = ACTIONS(5893),
    [anon_sym_SLASH] = ACTIONS(5895),
    [anon_sym_PERCENT] = ACTIONS(5893),
    [anon_sym_CARET] = ACTIONS(5893),
    [anon_sym_PIPE] = ACTIONS(5895),
    [anon_sym_AMP] = ACTIONS(5895),
    [anon_sym_LT_LT] = ACTIONS(5893),
    [anon_sym_GT_GT] = ACTIONS(5895),
    [anon_sym_GT_GT_GT] = ACTIONS(5893),
    [anon_sym_EQ_EQ] = ACTIONS(5893),
    [anon_sym_BANG_EQ] = ACTIONS(5893),
    [anon_sym_GT_EQ] = ACTIONS(5893),
    [anon_sym_LT_EQ] = ACTIONS(5893),
    [anon_sym_DOT] = ACTIONS(5895),
    [anon_sym_EQ_GT] = ACTIONS(5893),
    [anon_sym_switch] = ACTIONS(5893),
    [anon_sym_when] = ACTIONS(5893),
    [anon_sym_DOT_DOT] = ACTIONS(5893),
    [anon_sym_and] = ACTIONS(5893),
    [anon_sym_or] = ACTIONS(5893),
    [anon_sym_AMP_AMP] = ACTIONS(5893),
    [anon_sym_PIPE_PIPE] = ACTIONS(5893),
    [anon_sym_QMARK_QMARK] = ACTIONS(5893),
    [anon_sym_into] = ACTIONS(5893),
    [anon_sym_on] = ACTIONS(5893),
    [anon_sym_equals] = ACTIONS(5893),
    [anon_sym_by] = ACTIONS(5893),
    [anon_sym_as] = ACTIONS(5893),
    [anon_sym_is] = ACTIONS(5893),
    [anon_sym_DASH_GT] = ACTIONS(5893),
    [anon_sym_with] = ACTIONS(5893),
    [aux_sym_preproc_if_token3] = ACTIONS(5893),
    [aux_sym_preproc_else_token1] = ACTIONS(5893),
    [aux_sym_preproc_elif_token1] = ACTIONS(5893),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4015] = {
    [sym_preproc_region] = STATE(4015),
    [sym_preproc_endregion] = STATE(4015),
    [sym_preproc_line] = STATE(4015),
    [sym_preproc_pragma] = STATE(4015),
    [sym_preproc_nullable] = STATE(4015),
    [sym_preproc_error] = STATE(4015),
    [sym_preproc_define] = STATE(4015),
    [sym_preproc_undef] = STATE(4015),
    [anon_sym_SEMI] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_COLON] = ACTIONS(5467),
    [anon_sym_COMMA] = ACTIONS(5467),
    [anon_sym_RBRACK] = ACTIONS(5467),
    [anon_sym_LPAREN] = ACTIONS(5467),
    [anon_sym_RPAREN] = ACTIONS(5467),
    [anon_sym_RBRACE] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5469),
    [anon_sym_GT] = ACTIONS(5469),
    [anon_sym_in] = ACTIONS(5469),
    [anon_sym_QMARK] = ACTIONS(5469),
    [anon_sym_BANG] = ACTIONS(5469),
    [anon_sym_PLUS_PLUS] = ACTIONS(5467),
    [anon_sym_DASH_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5469),
    [anon_sym_DASH] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5467),
    [anon_sym_SLASH] = ACTIONS(5469),
    [anon_sym_PERCENT] = ACTIONS(5467),
    [anon_sym_CARET] = ACTIONS(5467),
    [anon_sym_PIPE] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5469),
    [anon_sym_LT_LT] = ACTIONS(5467),
    [anon_sym_GT_GT] = ACTIONS(5469),
    [anon_sym_GT_GT_GT] = ACTIONS(5467),
    [anon_sym_EQ_EQ] = ACTIONS(5467),
    [anon_sym_BANG_EQ] = ACTIONS(5467),
    [anon_sym_GT_EQ] = ACTIONS(5467),
    [anon_sym_LT_EQ] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_EQ_GT] = ACTIONS(5467),
    [anon_sym_switch] = ACTIONS(5467),
    [anon_sym_when] = ACTIONS(5467),
    [anon_sym_DOT_DOT] = ACTIONS(5467),
    [anon_sym_and] = ACTIONS(5467),
    [anon_sym_or] = ACTIONS(5467),
    [anon_sym_AMP_AMP] = ACTIONS(5467),
    [anon_sym_PIPE_PIPE] = ACTIONS(5467),
    [anon_sym_QMARK_QMARK] = ACTIONS(5467),
    [anon_sym_into] = ACTIONS(5467),
    [anon_sym_on] = ACTIONS(5467),
    [anon_sym_equals] = ACTIONS(5467),
    [anon_sym_by] = ACTIONS(5467),
    [anon_sym_as] = ACTIONS(5467),
    [anon_sym_is] = ACTIONS(5467),
    [anon_sym_DASH_GT] = ACTIONS(5467),
    [anon_sym_with] = ACTIONS(5467),
    [aux_sym_preproc_if_token3] = ACTIONS(5467),
    [aux_sym_preproc_else_token1] = ACTIONS(5467),
    [aux_sym_preproc_elif_token1] = ACTIONS(5467),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4016] = {
    [sym_preproc_region] = STATE(4016),
    [sym_preproc_endregion] = STATE(4016),
    [sym_preproc_line] = STATE(4016),
    [sym_preproc_pragma] = STATE(4016),
    [sym_preproc_nullable] = STATE(4016),
    [sym_preproc_error] = STATE(4016),
    [sym_preproc_define] = STATE(4016),
    [sym_preproc_undef] = STATE(4016),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_in] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_when] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(2999),
    [anon_sym_or] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_into] = ACTIONS(2999),
    [anon_sym_on] = ACTIONS(2999),
    [anon_sym_equals] = ACTIONS(2999),
    [anon_sym_by] = ACTIONS(2999),
    [anon_sym_as] = ACTIONS(2999),
    [anon_sym_is] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_with] = ACTIONS(2999),
    [aux_sym_preproc_if_token3] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4017] = {
    [sym_preproc_region] = STATE(4017),
    [sym_preproc_endregion] = STATE(4017),
    [sym_preproc_line] = STATE(4017),
    [sym_preproc_pragma] = STATE(4017),
    [sym_preproc_nullable] = STATE(4017),
    [sym_preproc_error] = STATE(4017),
    [sym_preproc_define] = STATE(4017),
    [sym_preproc_undef] = STATE(4017),
    [anon_sym_SEMI] = ACTIONS(4483),
    [anon_sym_LBRACK] = ACTIONS(4483),
    [anon_sym_COLON] = ACTIONS(4483),
    [anon_sym_COMMA] = ACTIONS(4483),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_LPAREN] = ACTIONS(4483),
    [anon_sym_RPAREN] = ACTIONS(4483),
    [anon_sym_LBRACE] = ACTIONS(4483),
    [anon_sym_RBRACE] = ACTIONS(4483),
    [anon_sym_LT] = ACTIONS(4481),
    [anon_sym_GT] = ACTIONS(4481),
    [anon_sym_in] = ACTIONS(4483),
    [anon_sym_QMARK] = ACTIONS(4481),
    [anon_sym_BANG] = ACTIONS(4481),
    [anon_sym_PLUS_PLUS] = ACTIONS(4483),
    [anon_sym_DASH_DASH] = ACTIONS(4483),
    [anon_sym_PLUS] = ACTIONS(4481),
    [anon_sym_DASH] = ACTIONS(4481),
    [anon_sym_STAR] = ACTIONS(4483),
    [anon_sym_SLASH] = ACTIONS(4481),
    [anon_sym_PERCENT] = ACTIONS(4483),
    [anon_sym_CARET] = ACTIONS(4483),
    [anon_sym_PIPE] = ACTIONS(4481),
    [anon_sym_AMP] = ACTIONS(4481),
    [anon_sym_LT_LT] = ACTIONS(4483),
    [anon_sym_GT_GT] = ACTIONS(4481),
    [anon_sym_GT_GT_GT] = ACTIONS(4483),
    [anon_sym_EQ_EQ] = ACTIONS(4483),
    [anon_sym_BANG_EQ] = ACTIONS(4483),
    [anon_sym_GT_EQ] = ACTIONS(4483),
    [anon_sym_LT_EQ] = ACTIONS(4483),
    [anon_sym_DOT] = ACTIONS(4481),
    [anon_sym_EQ_GT] = ACTIONS(4483),
    [anon_sym_switch] = ACTIONS(4483),
    [anon_sym_when] = ACTIONS(4483),
    [anon_sym_DOT_DOT] = ACTIONS(4483),
    [anon_sym_and] = ACTIONS(4483),
    [anon_sym_or] = ACTIONS(4483),
    [anon_sym_AMP_AMP] = ACTIONS(4483),
    [anon_sym_PIPE_PIPE] = ACTIONS(4483),
    [anon_sym_QMARK_QMARK] = ACTIONS(4483),
    [anon_sym_on] = ACTIONS(4483),
    [anon_sym_equals] = ACTIONS(4483),
    [anon_sym_by] = ACTIONS(4483),
    [anon_sym_as] = ACTIONS(4483),
    [anon_sym_is] = ACTIONS(4483),
    [anon_sym_DASH_GT] = ACTIONS(4483),
    [anon_sym_with] = ACTIONS(4483),
    [aux_sym_preproc_if_token3] = ACTIONS(4483),
    [aux_sym_preproc_else_token1] = ACTIONS(4483),
    [aux_sym_preproc_elif_token1] = ACTIONS(4483),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4018] = {
    [sym_preproc_region] = STATE(4018),
    [sym_preproc_endregion] = STATE(4018),
    [sym_preproc_line] = STATE(4018),
    [sym_preproc_pragma] = STATE(4018),
    [sym_preproc_nullable] = STATE(4018),
    [sym_preproc_error] = STATE(4018),
    [sym_preproc_define] = STATE(4018),
    [sym_preproc_undef] = STATE(4018),
    [anon_sym_EQ] = ACTIONS(5897),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_when] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5899),
    [anon_sym_DASH_EQ] = ACTIONS(5899),
    [anon_sym_STAR_EQ] = ACTIONS(5899),
    [anon_sym_SLASH_EQ] = ACTIONS(5899),
    [anon_sym_PERCENT_EQ] = ACTIONS(5899),
    [anon_sym_AMP_EQ] = ACTIONS(5899),
    [anon_sym_CARET_EQ] = ACTIONS(5899),
    [anon_sym_PIPE_EQ] = ACTIONS(5899),
    [anon_sym_LT_LT_EQ] = ACTIONS(5899),
    [anon_sym_GT_GT_EQ] = ACTIONS(5899),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5899),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5899),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4019] = {
    [sym_preproc_region] = STATE(4019),
    [sym_preproc_endregion] = STATE(4019),
    [sym_preproc_line] = STATE(4019),
    [sym_preproc_pragma] = STATE(4019),
    [sym_preproc_nullable] = STATE(4019),
    [sym_preproc_error] = STATE(4019),
    [sym_preproc_define] = STATE(4019),
    [sym_preproc_undef] = STATE(4019),
    [anon_sym_SEMI] = ACTIONS(4757),
    [anon_sym_LBRACK] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4757),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [anon_sym_LPAREN] = ACTIONS(4757),
    [anon_sym_RPAREN] = ACTIONS(4757),
    [anon_sym_RBRACE] = ACTIONS(4757),
    [anon_sym_LT] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4759),
    [anon_sym_in] = ACTIONS(4759),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_BANG] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4759),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4759),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_PIPE] = ACTIONS(4759),
    [anon_sym_AMP] = ACTIONS(4759),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4759),
    [anon_sym_GT_GT_GT] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4757),
    [anon_sym_BANG_EQ] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4757),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_DOT] = ACTIONS(4759),
    [anon_sym_EQ_GT] = ACTIONS(4757),
    [anon_sym_switch] = ACTIONS(4757),
    [anon_sym_when] = ACTIONS(4757),
    [anon_sym_DOT_DOT] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4757),
    [anon_sym_or] = ACTIONS(4757),
    [anon_sym_AMP_AMP] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4757),
    [anon_sym_QMARK_QMARK] = ACTIONS(4757),
    [anon_sym_into] = ACTIONS(4757),
    [anon_sym_on] = ACTIONS(4757),
    [anon_sym_equals] = ACTIONS(4757),
    [anon_sym_by] = ACTIONS(4757),
    [anon_sym_as] = ACTIONS(4757),
    [anon_sym_is] = ACTIONS(4757),
    [anon_sym_DASH_GT] = ACTIONS(4757),
    [anon_sym_with] = ACTIONS(4757),
    [aux_sym_preproc_if_token3] = ACTIONS(4757),
    [aux_sym_preproc_else_token1] = ACTIONS(4757),
    [aux_sym_preproc_elif_token1] = ACTIONS(4757),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4020] = {
    [sym_preproc_region] = STATE(4020),
    [sym_preproc_endregion] = STATE(4020),
    [sym_preproc_line] = STATE(4020),
    [sym_preproc_pragma] = STATE(4020),
    [sym_preproc_nullable] = STATE(4020),
    [sym_preproc_error] = STATE(4020),
    [sym_preproc_define] = STATE(4020),
    [sym_preproc_undef] = STATE(4020),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_when] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_into] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4021] = {
    [sym_preproc_region] = STATE(4021),
    [sym_preproc_endregion] = STATE(4021),
    [sym_preproc_line] = STATE(4021),
    [sym_preproc_pragma] = STATE(4021),
    [sym_preproc_nullable] = STATE(4021),
    [sym_preproc_error] = STATE(4021),
    [sym_preproc_define] = STATE(4021),
    [sym_preproc_undef] = STATE(4021),
    [anon_sym_SEMI] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_COLON] = ACTIONS(5576),
    [anon_sym_COMMA] = ACTIONS(5576),
    [anon_sym_RBRACK] = ACTIONS(5576),
    [anon_sym_LPAREN] = ACTIONS(5576),
    [anon_sym_RPAREN] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_in] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(5578),
    [anon_sym_BANG] = ACTIONS(5578),
    [anon_sym_PLUS_PLUS] = ACTIONS(5576),
    [anon_sym_DASH_DASH] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5576),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5576),
    [anon_sym_CARET] = ACTIONS(5576),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5576),
    [anon_sym_GT_GT] = ACTIONS(5578),
    [anon_sym_GT_GT_GT] = ACTIONS(5576),
    [anon_sym_EQ_EQ] = ACTIONS(5576),
    [anon_sym_BANG_EQ] = ACTIONS(5576),
    [anon_sym_GT_EQ] = ACTIONS(5576),
    [anon_sym_LT_EQ] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_EQ_GT] = ACTIONS(5576),
    [anon_sym_switch] = ACTIONS(5576),
    [anon_sym_when] = ACTIONS(5576),
    [anon_sym_DOT_DOT] = ACTIONS(5576),
    [anon_sym_and] = ACTIONS(5576),
    [anon_sym_or] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5576),
    [anon_sym_PIPE_PIPE] = ACTIONS(5576),
    [anon_sym_QMARK_QMARK] = ACTIONS(5576),
    [anon_sym_on] = ACTIONS(5576),
    [anon_sym_equals] = ACTIONS(5576),
    [anon_sym_by] = ACTIONS(5576),
    [anon_sym_as] = ACTIONS(5576),
    [anon_sym_is] = ACTIONS(5576),
    [anon_sym_DQUOTE] = ACTIONS(5576),
    [anon_sym_DASH_GT] = ACTIONS(5576),
    [anon_sym_with] = ACTIONS(5576),
    [aux_sym_preproc_if_token3] = ACTIONS(5576),
    [aux_sym_preproc_else_token1] = ACTIONS(5576),
    [aux_sym_preproc_elif_token1] = ACTIONS(5576),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4022] = {
    [sym_preproc_region] = STATE(4022),
    [sym_preproc_endregion] = STATE(4022),
    [sym_preproc_line] = STATE(4022),
    [sym_preproc_pragma] = STATE(4022),
    [sym_preproc_nullable] = STATE(4022),
    [sym_preproc_error] = STATE(4022),
    [sym_preproc_define] = STATE(4022),
    [sym_preproc_undef] = STATE(4022),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_LPAREN] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5586),
    [anon_sym_in] = ACTIONS(5586),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_BANG] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5586),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5586),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_GT_GT_GT] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5586),
    [anon_sym_EQ_GT] = ACTIONS(5584),
    [anon_sym_switch] = ACTIONS(5584),
    [anon_sym_when] = ACTIONS(5584),
    [anon_sym_DOT_DOT] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5584),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_QMARK_QMARK] = ACTIONS(5584),
    [anon_sym_into] = ACTIONS(5584),
    [anon_sym_on] = ACTIONS(5584),
    [anon_sym_equals] = ACTIONS(5584),
    [anon_sym_by] = ACTIONS(5584),
    [anon_sym_as] = ACTIONS(5584),
    [anon_sym_is] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [anon_sym_with] = ACTIONS(5584),
    [aux_sym_preproc_if_token3] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4023] = {
    [sym_preproc_region] = STATE(4023),
    [sym_preproc_endregion] = STATE(4023),
    [sym_preproc_line] = STATE(4023),
    [sym_preproc_pragma] = STATE(4023),
    [sym_preproc_nullable] = STATE(4023),
    [sym_preproc_error] = STATE(4023),
    [sym_preproc_define] = STATE(4023),
    [sym_preproc_undef] = STATE(4023),
    [anon_sym_SEMI] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [anon_sym_COLON] = ACTIONS(5620),
    [anon_sym_COMMA] = ACTIONS(5620),
    [anon_sym_RBRACK] = ACTIONS(5620),
    [anon_sym_LPAREN] = ACTIONS(5620),
    [anon_sym_RPAREN] = ACTIONS(5620),
    [anon_sym_RBRACE] = ACTIONS(5620),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_in] = ACTIONS(5622),
    [anon_sym_QMARK] = ACTIONS(5622),
    [anon_sym_BANG] = ACTIONS(5622),
    [anon_sym_PLUS_PLUS] = ACTIONS(5620),
    [anon_sym_DASH_DASH] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5620),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5620),
    [anon_sym_CARET] = ACTIONS(5620),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5620),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_GT_GT_GT] = ACTIONS(5620),
    [anon_sym_EQ_EQ] = ACTIONS(5620),
    [anon_sym_BANG_EQ] = ACTIONS(5620),
    [anon_sym_GT_EQ] = ACTIONS(5620),
    [anon_sym_LT_EQ] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_EQ_GT] = ACTIONS(5620),
    [anon_sym_switch] = ACTIONS(5620),
    [anon_sym_when] = ACTIONS(5620),
    [anon_sym_DOT_DOT] = ACTIONS(5620),
    [anon_sym_and] = ACTIONS(5620),
    [anon_sym_or] = ACTIONS(5620),
    [anon_sym_AMP_AMP] = ACTIONS(5620),
    [anon_sym_PIPE_PIPE] = ACTIONS(5620),
    [anon_sym_QMARK_QMARK] = ACTIONS(5620),
    [anon_sym_into] = ACTIONS(5620),
    [anon_sym_on] = ACTIONS(5620),
    [anon_sym_equals] = ACTIONS(5620),
    [anon_sym_by] = ACTIONS(5620),
    [anon_sym_as] = ACTIONS(5620),
    [anon_sym_is] = ACTIONS(5620),
    [anon_sym_DASH_GT] = ACTIONS(5620),
    [anon_sym_with] = ACTIONS(5620),
    [aux_sym_preproc_if_token3] = ACTIONS(5620),
    [aux_sym_preproc_else_token1] = ACTIONS(5620),
    [aux_sym_preproc_elif_token1] = ACTIONS(5620),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4024] = {
    [sym_preproc_region] = STATE(4024),
    [sym_preproc_endregion] = STATE(4024),
    [sym_preproc_line] = STATE(4024),
    [sym_preproc_pragma] = STATE(4024),
    [sym_preproc_nullable] = STATE(4024),
    [sym_preproc_error] = STATE(4024),
    [sym_preproc_define] = STATE(4024),
    [sym_preproc_undef] = STATE(4024),
    [anon_sym_SEMI] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [anon_sym_COLON] = ACTIONS(5638),
    [anon_sym_COMMA] = ACTIONS(5638),
    [anon_sym_RBRACK] = ACTIONS(5638),
    [anon_sym_LPAREN] = ACTIONS(5638),
    [anon_sym_RPAREN] = ACTIONS(5638),
    [anon_sym_RBRACE] = ACTIONS(5638),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_in] = ACTIONS(5640),
    [anon_sym_QMARK] = ACTIONS(5640),
    [anon_sym_BANG] = ACTIONS(5640),
    [anon_sym_PLUS_PLUS] = ACTIONS(5638),
    [anon_sym_DASH_DASH] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [anon_sym_CARET] = ACTIONS(5638),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5638),
    [anon_sym_GT_GT] = ACTIONS(5640),
    [anon_sym_GT_GT_GT] = ACTIONS(5638),
    [anon_sym_EQ_EQ] = ACTIONS(5638),
    [anon_sym_BANG_EQ] = ACTIONS(5638),
    [anon_sym_GT_EQ] = ACTIONS(5638),
    [anon_sym_LT_EQ] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_EQ_GT] = ACTIONS(5638),
    [anon_sym_switch] = ACTIONS(5638),
    [anon_sym_when] = ACTIONS(5638),
    [anon_sym_DOT_DOT] = ACTIONS(5638),
    [anon_sym_and] = ACTIONS(5638),
    [anon_sym_or] = ACTIONS(5638),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_PIPE_PIPE] = ACTIONS(5638),
    [anon_sym_QMARK_QMARK] = ACTIONS(5638),
    [anon_sym_into] = ACTIONS(5638),
    [anon_sym_on] = ACTIONS(5638),
    [anon_sym_equals] = ACTIONS(5638),
    [anon_sym_by] = ACTIONS(5638),
    [anon_sym_as] = ACTIONS(5638),
    [anon_sym_is] = ACTIONS(5638),
    [anon_sym_DASH_GT] = ACTIONS(5638),
    [anon_sym_with] = ACTIONS(5638),
    [aux_sym_preproc_if_token3] = ACTIONS(5638),
    [aux_sym_preproc_else_token1] = ACTIONS(5638),
    [aux_sym_preproc_elif_token1] = ACTIONS(5638),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4025] = {
    [sym_preproc_region] = STATE(4025),
    [sym_preproc_endregion] = STATE(4025),
    [sym_preproc_line] = STATE(4025),
    [sym_preproc_pragma] = STATE(4025),
    [sym_preproc_nullable] = STATE(4025),
    [sym_preproc_error] = STATE(4025),
    [sym_preproc_define] = STATE(4025),
    [sym_preproc_undef] = STATE(4025),
    [anon_sym_SEMI] = ACTIONS(5901),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [anon_sym_COLON] = ACTIONS(5901),
    [anon_sym_COMMA] = ACTIONS(5901),
    [anon_sym_RBRACK] = ACTIONS(5901),
    [anon_sym_LPAREN] = ACTIONS(5901),
    [anon_sym_RPAREN] = ACTIONS(5901),
    [anon_sym_RBRACE] = ACTIONS(5901),
    [anon_sym_LT] = ACTIONS(5903),
    [anon_sym_GT] = ACTIONS(5903),
    [anon_sym_in] = ACTIONS(5903),
    [anon_sym_QMARK] = ACTIONS(5903),
    [anon_sym_BANG] = ACTIONS(5903),
    [anon_sym_PLUS_PLUS] = ACTIONS(5901),
    [anon_sym_DASH_DASH] = ACTIONS(5901),
    [anon_sym_PLUS] = ACTIONS(5903),
    [anon_sym_DASH] = ACTIONS(5903),
    [anon_sym_STAR] = ACTIONS(5901),
    [anon_sym_SLASH] = ACTIONS(5903),
    [anon_sym_PERCENT] = ACTIONS(5901),
    [anon_sym_CARET] = ACTIONS(5901),
    [anon_sym_PIPE] = ACTIONS(5903),
    [anon_sym_AMP] = ACTIONS(5903),
    [anon_sym_LT_LT] = ACTIONS(5901),
    [anon_sym_GT_GT] = ACTIONS(5903),
    [anon_sym_GT_GT_GT] = ACTIONS(5901),
    [anon_sym_EQ_EQ] = ACTIONS(5901),
    [anon_sym_BANG_EQ] = ACTIONS(5901),
    [anon_sym_GT_EQ] = ACTIONS(5901),
    [anon_sym_LT_EQ] = ACTIONS(5901),
    [anon_sym_DOT] = ACTIONS(5903),
    [anon_sym_EQ_GT] = ACTIONS(5901),
    [anon_sym_switch] = ACTIONS(5901),
    [anon_sym_when] = ACTIONS(5901),
    [anon_sym_DOT_DOT] = ACTIONS(5901),
    [anon_sym_and] = ACTIONS(5901),
    [anon_sym_or] = ACTIONS(5901),
    [anon_sym_AMP_AMP] = ACTIONS(5901),
    [anon_sym_PIPE_PIPE] = ACTIONS(5901),
    [anon_sym_QMARK_QMARK] = ACTIONS(5901),
    [anon_sym_into] = ACTIONS(5901),
    [anon_sym_on] = ACTIONS(5901),
    [anon_sym_equals] = ACTIONS(5901),
    [anon_sym_by] = ACTIONS(5901),
    [anon_sym_as] = ACTIONS(5901),
    [anon_sym_is] = ACTIONS(5901),
    [anon_sym_DASH_GT] = ACTIONS(5901),
    [anon_sym_with] = ACTIONS(5901),
    [aux_sym_preproc_if_token3] = ACTIONS(5901),
    [aux_sym_preproc_else_token1] = ACTIONS(5901),
    [aux_sym_preproc_elif_token1] = ACTIONS(5901),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4026] = {
    [sym_preproc_region] = STATE(4026),
    [sym_preproc_endregion] = STATE(4026),
    [sym_preproc_line] = STATE(4026),
    [sym_preproc_pragma] = STATE(4026),
    [sym_preproc_nullable] = STATE(4026),
    [sym_preproc_error] = STATE(4026),
    [sym_preproc_define] = STATE(4026),
    [sym_preproc_undef] = STATE(4026),
    [anon_sym_SEMI] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_COLON] = ACTIONS(5443),
    [anon_sym_COMMA] = ACTIONS(5443),
    [anon_sym_RBRACK] = ACTIONS(5443),
    [anon_sym_LPAREN] = ACTIONS(5443),
    [anon_sym_RPAREN] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5443),
    [anon_sym_LT] = ACTIONS(5445),
    [anon_sym_GT] = ACTIONS(5445),
    [anon_sym_in] = ACTIONS(5445),
    [anon_sym_QMARK] = ACTIONS(5445),
    [anon_sym_BANG] = ACTIONS(5445),
    [anon_sym_PLUS_PLUS] = ACTIONS(5443),
    [anon_sym_DASH_DASH] = ACTIONS(5443),
    [anon_sym_PLUS] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5443),
    [anon_sym_SLASH] = ACTIONS(5445),
    [anon_sym_PERCENT] = ACTIONS(5443),
    [anon_sym_CARET] = ACTIONS(5443),
    [anon_sym_PIPE] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5445),
    [anon_sym_LT_LT] = ACTIONS(5443),
    [anon_sym_GT_GT] = ACTIONS(5445),
    [anon_sym_GT_GT_GT] = ACTIONS(5443),
    [anon_sym_EQ_EQ] = ACTIONS(5443),
    [anon_sym_BANG_EQ] = ACTIONS(5443),
    [anon_sym_GT_EQ] = ACTIONS(5443),
    [anon_sym_LT_EQ] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_EQ_GT] = ACTIONS(5443),
    [anon_sym_switch] = ACTIONS(5443),
    [anon_sym_when] = ACTIONS(5443),
    [anon_sym_DOT_DOT] = ACTIONS(5443),
    [anon_sym_and] = ACTIONS(5443),
    [anon_sym_or] = ACTIONS(5443),
    [anon_sym_AMP_AMP] = ACTIONS(5443),
    [anon_sym_PIPE_PIPE] = ACTIONS(5443),
    [anon_sym_QMARK_QMARK] = ACTIONS(5443),
    [anon_sym_into] = ACTIONS(5443),
    [anon_sym_on] = ACTIONS(5443),
    [anon_sym_equals] = ACTIONS(5443),
    [anon_sym_by] = ACTIONS(5443),
    [anon_sym_as] = ACTIONS(5443),
    [anon_sym_is] = ACTIONS(5443),
    [anon_sym_DASH_GT] = ACTIONS(5443),
    [anon_sym_with] = ACTIONS(5443),
    [aux_sym_preproc_if_token3] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4027] = {
    [sym_preproc_region] = STATE(4027),
    [sym_preproc_endregion] = STATE(4027),
    [sym_preproc_line] = STATE(4027),
    [sym_preproc_pragma] = STATE(4027),
    [sym_preproc_nullable] = STATE(4027),
    [sym_preproc_error] = STATE(4027),
    [sym_preproc_define] = STATE(4027),
    [sym_preproc_undef] = STATE(4027),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_LPAREN] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_in] = ACTIONS(5662),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_BANG] = ACTIONS(5662),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_GT_GT_GT] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_EQ_GT] = ACTIONS(5660),
    [anon_sym_switch] = ACTIONS(5660),
    [anon_sym_when] = ACTIONS(5660),
    [anon_sym_DOT_DOT] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_QMARK_QMARK] = ACTIONS(5660),
    [anon_sym_into] = ACTIONS(5660),
    [anon_sym_on] = ACTIONS(5660),
    [anon_sym_equals] = ACTIONS(5660),
    [anon_sym_by] = ACTIONS(5660),
    [anon_sym_as] = ACTIONS(5660),
    [anon_sym_is] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [anon_sym_with] = ACTIONS(5660),
    [aux_sym_preproc_if_token3] = ACTIONS(5660),
    [aux_sym_preproc_else_token1] = ACTIONS(5660),
    [aux_sym_preproc_elif_token1] = ACTIONS(5660),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4028] = {
    [sym_preproc_region] = STATE(4028),
    [sym_preproc_endregion] = STATE(4028),
    [sym_preproc_line] = STATE(4028),
    [sym_preproc_pragma] = STATE(4028),
    [sym_preproc_nullable] = STATE(4028),
    [sym_preproc_error] = STATE(4028),
    [sym_preproc_define] = STATE(4028),
    [sym_preproc_undef] = STATE(4028),
    [anon_sym_SEMI] = ACTIONS(5905),
    [anon_sym_LBRACK] = ACTIONS(5905),
    [anon_sym_COLON] = ACTIONS(5905),
    [anon_sym_COMMA] = ACTIONS(5905),
    [anon_sym_RBRACK] = ACTIONS(5905),
    [anon_sym_LPAREN] = ACTIONS(5905),
    [anon_sym_RPAREN] = ACTIONS(5905),
    [anon_sym_RBRACE] = ACTIONS(5905),
    [anon_sym_LT] = ACTIONS(5907),
    [anon_sym_GT] = ACTIONS(5907),
    [anon_sym_in] = ACTIONS(5907),
    [anon_sym_QMARK] = ACTIONS(5907),
    [anon_sym_BANG] = ACTIONS(5907),
    [anon_sym_PLUS_PLUS] = ACTIONS(5905),
    [anon_sym_DASH_DASH] = ACTIONS(5905),
    [anon_sym_PLUS] = ACTIONS(5907),
    [anon_sym_DASH] = ACTIONS(5907),
    [anon_sym_STAR] = ACTIONS(5905),
    [anon_sym_SLASH] = ACTIONS(5907),
    [anon_sym_PERCENT] = ACTIONS(5905),
    [anon_sym_CARET] = ACTIONS(5905),
    [anon_sym_PIPE] = ACTIONS(5907),
    [anon_sym_AMP] = ACTIONS(5907),
    [anon_sym_LT_LT] = ACTIONS(5905),
    [anon_sym_GT_GT] = ACTIONS(5907),
    [anon_sym_GT_GT_GT] = ACTIONS(5905),
    [anon_sym_EQ_EQ] = ACTIONS(5905),
    [anon_sym_BANG_EQ] = ACTIONS(5905),
    [anon_sym_GT_EQ] = ACTIONS(5905),
    [anon_sym_LT_EQ] = ACTIONS(5905),
    [anon_sym_DOT] = ACTIONS(5907),
    [anon_sym_EQ_GT] = ACTIONS(5905),
    [anon_sym_switch] = ACTIONS(5905),
    [anon_sym_when] = ACTIONS(5905),
    [anon_sym_DOT_DOT] = ACTIONS(5905),
    [anon_sym_and] = ACTIONS(5905),
    [anon_sym_or] = ACTIONS(5905),
    [anon_sym_AMP_AMP] = ACTIONS(5905),
    [anon_sym_PIPE_PIPE] = ACTIONS(5905),
    [anon_sym_QMARK_QMARK] = ACTIONS(5905),
    [anon_sym_into] = ACTIONS(5905),
    [anon_sym_on] = ACTIONS(5905),
    [anon_sym_equals] = ACTIONS(5905),
    [anon_sym_by] = ACTIONS(5905),
    [anon_sym_as] = ACTIONS(5905),
    [anon_sym_is] = ACTIONS(5905),
    [anon_sym_DASH_GT] = ACTIONS(5905),
    [anon_sym_with] = ACTIONS(5905),
    [aux_sym_preproc_if_token3] = ACTIONS(5905),
    [aux_sym_preproc_else_token1] = ACTIONS(5905),
    [aux_sym_preproc_elif_token1] = ACTIONS(5905),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4029] = {
    [sym_preproc_region] = STATE(4029),
    [sym_preproc_endregion] = STATE(4029),
    [sym_preproc_line] = STATE(4029),
    [sym_preproc_pragma] = STATE(4029),
    [sym_preproc_nullable] = STATE(4029),
    [sym_preproc_error] = STATE(4029),
    [sym_preproc_define] = STATE(4029),
    [sym_preproc_undef] = STATE(4029),
    [anon_sym_SEMI] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(5350),
    [anon_sym_LPAREN] = ACTIONS(5350),
    [anon_sym_RPAREN] = ACTIONS(5350),
    [anon_sym_RBRACE] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5352),
    [anon_sym_in] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_BANG] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5352),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5352),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_PIPE] = ACTIONS(5352),
    [anon_sym_AMP] = ACTIONS(5352),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5352),
    [anon_sym_GT_GT_GT] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5350),
    [anon_sym_BANG_EQ] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5350),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_DOT] = ACTIONS(5352),
    [anon_sym_EQ_GT] = ACTIONS(5350),
    [anon_sym_switch] = ACTIONS(5350),
    [anon_sym_when] = ACTIONS(5350),
    [anon_sym_DOT_DOT] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_AMP_AMP] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5350),
    [anon_sym_QMARK_QMARK] = ACTIONS(5350),
    [anon_sym_into] = ACTIONS(5350),
    [anon_sym_on] = ACTIONS(5350),
    [anon_sym_equals] = ACTIONS(5350),
    [anon_sym_by] = ACTIONS(5350),
    [anon_sym_as] = ACTIONS(5350),
    [anon_sym_is] = ACTIONS(5350),
    [anon_sym_DASH_GT] = ACTIONS(5350),
    [anon_sym_with] = ACTIONS(5350),
    [aux_sym_preproc_if_token3] = ACTIONS(5350),
    [aux_sym_preproc_else_token1] = ACTIONS(5350),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4030] = {
    [sym_preproc_region] = STATE(4030),
    [sym_preproc_endregion] = STATE(4030),
    [sym_preproc_line] = STATE(4030),
    [sym_preproc_pragma] = STATE(4030),
    [sym_preproc_nullable] = STATE(4030),
    [sym_preproc_error] = STATE(4030),
    [sym_preproc_define] = STATE(4030),
    [sym_preproc_undef] = STATE(4030),
    [anon_sym_SEMI] = ACTIONS(4565),
    [anon_sym_LBRACK] = ACTIONS(4565),
    [anon_sym_COLON] = ACTIONS(4565),
    [anon_sym_COMMA] = ACTIONS(4565),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(4565),
    [anon_sym_RPAREN] = ACTIONS(4565),
    [anon_sym_LBRACE] = ACTIONS(4565),
    [anon_sym_RBRACE] = ACTIONS(4565),
    [anon_sym_LT] = ACTIONS(4563),
    [anon_sym_GT] = ACTIONS(4563),
    [anon_sym_in] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_BANG] = ACTIONS(4563),
    [anon_sym_PLUS_PLUS] = ACTIONS(4565),
    [anon_sym_DASH_DASH] = ACTIONS(4565),
    [anon_sym_PLUS] = ACTIONS(4563),
    [anon_sym_DASH] = ACTIONS(4563),
    [anon_sym_STAR] = ACTIONS(4565),
    [anon_sym_SLASH] = ACTIONS(4563),
    [anon_sym_PERCENT] = ACTIONS(4565),
    [anon_sym_CARET] = ACTIONS(4565),
    [anon_sym_PIPE] = ACTIONS(4563),
    [anon_sym_AMP] = ACTIONS(4563),
    [anon_sym_LT_LT] = ACTIONS(4565),
    [anon_sym_GT_GT] = ACTIONS(4563),
    [anon_sym_GT_GT_GT] = ACTIONS(4565),
    [anon_sym_EQ_EQ] = ACTIONS(4565),
    [anon_sym_BANG_EQ] = ACTIONS(4565),
    [anon_sym_GT_EQ] = ACTIONS(4565),
    [anon_sym_LT_EQ] = ACTIONS(4565),
    [anon_sym_DOT] = ACTIONS(4563),
    [anon_sym_EQ_GT] = ACTIONS(4565),
    [anon_sym_switch] = ACTIONS(4565),
    [anon_sym_when] = ACTIONS(4565),
    [anon_sym_DOT_DOT] = ACTIONS(4565),
    [anon_sym_and] = ACTIONS(4565),
    [anon_sym_or] = ACTIONS(4565),
    [anon_sym_AMP_AMP] = ACTIONS(4565),
    [anon_sym_PIPE_PIPE] = ACTIONS(4565),
    [anon_sym_QMARK_QMARK] = ACTIONS(4565),
    [anon_sym_on] = ACTIONS(4565),
    [anon_sym_equals] = ACTIONS(4565),
    [anon_sym_by] = ACTIONS(4565),
    [anon_sym_as] = ACTIONS(4565),
    [anon_sym_is] = ACTIONS(4565),
    [anon_sym_DASH_GT] = ACTIONS(4565),
    [anon_sym_with] = ACTIONS(4565),
    [aux_sym_preproc_if_token3] = ACTIONS(4565),
    [aux_sym_preproc_else_token1] = ACTIONS(4565),
    [aux_sym_preproc_elif_token1] = ACTIONS(4565),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4031] = {
    [sym_preproc_region] = STATE(4031),
    [sym_preproc_endregion] = STATE(4031),
    [sym_preproc_line] = STATE(4031),
    [sym_preproc_pragma] = STATE(4031),
    [sym_preproc_nullable] = STATE(4031),
    [sym_preproc_error] = STATE(4031),
    [sym_preproc_define] = STATE(4031),
    [sym_preproc_undef] = STATE(4031),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym_LBRACK] = ACTIONS(5413),
    [anon_sym_COLON] = ACTIONS(5413),
    [anon_sym_COMMA] = ACTIONS(5413),
    [anon_sym_RBRACK] = ACTIONS(5413),
    [anon_sym_LPAREN] = ACTIONS(5413),
    [anon_sym_RPAREN] = ACTIONS(5413),
    [anon_sym_RBRACE] = ACTIONS(5413),
    [anon_sym_LT] = ACTIONS(5415),
    [anon_sym_GT] = ACTIONS(5415),
    [anon_sym_in] = ACTIONS(5415),
    [anon_sym_QMARK] = ACTIONS(5415),
    [anon_sym_BANG] = ACTIONS(5415),
    [anon_sym_PLUS_PLUS] = ACTIONS(5413),
    [anon_sym_DASH_DASH] = ACTIONS(5413),
    [anon_sym_PLUS] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5415),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_SLASH] = ACTIONS(5415),
    [anon_sym_PERCENT] = ACTIONS(5413),
    [anon_sym_CARET] = ACTIONS(5413),
    [anon_sym_PIPE] = ACTIONS(5415),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_LT_LT] = ACTIONS(5413),
    [anon_sym_GT_GT] = ACTIONS(5415),
    [anon_sym_GT_GT_GT] = ACTIONS(5413),
    [anon_sym_EQ_EQ] = ACTIONS(5413),
    [anon_sym_BANG_EQ] = ACTIONS(5413),
    [anon_sym_GT_EQ] = ACTIONS(5413),
    [anon_sym_LT_EQ] = ACTIONS(5413),
    [anon_sym_DOT] = ACTIONS(5415),
    [anon_sym_EQ_GT] = ACTIONS(5413),
    [anon_sym_switch] = ACTIONS(5413),
    [anon_sym_when] = ACTIONS(5413),
    [anon_sym_DOT_DOT] = ACTIONS(5413),
    [anon_sym_and] = ACTIONS(5413),
    [anon_sym_or] = ACTIONS(5413),
    [anon_sym_AMP_AMP] = ACTIONS(5413),
    [anon_sym_PIPE_PIPE] = ACTIONS(5413),
    [anon_sym_QMARK_QMARK] = ACTIONS(5413),
    [anon_sym_into] = ACTIONS(5413),
    [anon_sym_on] = ACTIONS(5413),
    [anon_sym_equals] = ACTIONS(5413),
    [anon_sym_by] = ACTIONS(5413),
    [anon_sym_as] = ACTIONS(5413),
    [anon_sym_is] = ACTIONS(5413),
    [anon_sym_DASH_GT] = ACTIONS(5413),
    [anon_sym_with] = ACTIONS(5413),
    [aux_sym_preproc_if_token3] = ACTIONS(5413),
    [aux_sym_preproc_else_token1] = ACTIONS(5413),
    [aux_sym_preproc_elif_token1] = ACTIONS(5413),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4032] = {
    [sym_preproc_region] = STATE(4032),
    [sym_preproc_endregion] = STATE(4032),
    [sym_preproc_line] = STATE(4032),
    [sym_preproc_pragma] = STATE(4032),
    [sym_preproc_nullable] = STATE(4032),
    [sym_preproc_error] = STATE(4032),
    [sym_preproc_define] = STATE(4032),
    [sym_preproc_undef] = STATE(4032),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_in] = ACTIONS(5492),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_BANG] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_GT_GT_GT] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_EQ_GT] = ACTIONS(5490),
    [anon_sym_switch] = ACTIONS(5490),
    [anon_sym_when] = ACTIONS(5490),
    [anon_sym_DOT_DOT] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_QMARK_QMARK] = ACTIONS(5490),
    [anon_sym_into] = ACTIONS(5490),
    [anon_sym_on] = ACTIONS(5490),
    [anon_sym_equals] = ACTIONS(5490),
    [anon_sym_by] = ACTIONS(5490),
    [anon_sym_as] = ACTIONS(5490),
    [anon_sym_is] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [anon_sym_with] = ACTIONS(5490),
    [aux_sym_preproc_if_token3] = ACTIONS(5490),
    [aux_sym_preproc_else_token1] = ACTIONS(5490),
    [aux_sym_preproc_elif_token1] = ACTIONS(5490),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4033] = {
    [sym_preproc_region] = STATE(4033),
    [sym_preproc_endregion] = STATE(4033),
    [sym_preproc_line] = STATE(4033),
    [sym_preproc_pragma] = STATE(4033),
    [sym_preproc_nullable] = STATE(4033),
    [sym_preproc_error] = STATE(4033),
    [sym_preproc_define] = STATE(4033),
    [sym_preproc_undef] = STATE(4033),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5421),
    [anon_sym_COLON] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5421),
    [anon_sym_RBRACK] = ACTIONS(5421),
    [anon_sym_LPAREN] = ACTIONS(5421),
    [anon_sym_RPAREN] = ACTIONS(5421),
    [anon_sym_RBRACE] = ACTIONS(5421),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_in] = ACTIONS(5423),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_BANG] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5421),
    [anon_sym_DASH_DASH] = ACTIONS(5421),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5421),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5421),
    [anon_sym_CARET] = ACTIONS(5421),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5421),
    [anon_sym_GT_GT] = ACTIONS(5423),
    [anon_sym_GT_GT_GT] = ACTIONS(5421),
    [anon_sym_EQ_EQ] = ACTIONS(5421),
    [anon_sym_BANG_EQ] = ACTIONS(5421),
    [anon_sym_GT_EQ] = ACTIONS(5421),
    [anon_sym_LT_EQ] = ACTIONS(5421),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_EQ_GT] = ACTIONS(5421),
    [anon_sym_switch] = ACTIONS(5421),
    [anon_sym_when] = ACTIONS(5421),
    [anon_sym_DOT_DOT] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_or] = ACTIONS(5421),
    [anon_sym_AMP_AMP] = ACTIONS(5421),
    [anon_sym_PIPE_PIPE] = ACTIONS(5421),
    [anon_sym_QMARK_QMARK] = ACTIONS(5421),
    [anon_sym_into] = ACTIONS(5421),
    [anon_sym_on] = ACTIONS(5421),
    [anon_sym_equals] = ACTIONS(5421),
    [anon_sym_by] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5421),
    [anon_sym_is] = ACTIONS(5421),
    [anon_sym_DASH_GT] = ACTIONS(5421),
    [anon_sym_with] = ACTIONS(5421),
    [aux_sym_preproc_if_token3] = ACTIONS(5421),
    [aux_sym_preproc_else_token1] = ACTIONS(5421),
    [aux_sym_preproc_elif_token1] = ACTIONS(5421),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4034] = {
    [sym_preproc_region] = STATE(4034),
    [sym_preproc_endregion] = STATE(4034),
    [sym_preproc_line] = STATE(4034),
    [sym_preproc_pragma] = STATE(4034),
    [sym_preproc_nullable] = STATE(4034),
    [sym_preproc_error] = STATE(4034),
    [sym_preproc_define] = STATE(4034),
    [sym_preproc_undef] = STATE(4034),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5425),
    [anon_sym_COMMA] = ACTIONS(5425),
    [anon_sym_RBRACK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5425),
    [anon_sym_RPAREN] = ACTIONS(5425),
    [anon_sym_RBRACE] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_BANG] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5427),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5427),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_PIPE] = ACTIONS(5427),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5427),
    [anon_sym_GT_GT_GT] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5425),
    [anon_sym_BANG_EQ] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5425),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_DOT] = ACTIONS(5427),
    [anon_sym_EQ_GT] = ACTIONS(5425),
    [anon_sym_switch] = ACTIONS(5425),
    [anon_sym_when] = ACTIONS(5425),
    [anon_sym_DOT_DOT] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_AMP_AMP] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5425),
    [anon_sym_QMARK_QMARK] = ACTIONS(5425),
    [anon_sym_into] = ACTIONS(5425),
    [anon_sym_on] = ACTIONS(5425),
    [anon_sym_equals] = ACTIONS(5425),
    [anon_sym_by] = ACTIONS(5425),
    [anon_sym_as] = ACTIONS(5425),
    [anon_sym_is] = ACTIONS(5425),
    [anon_sym_DASH_GT] = ACTIONS(5425),
    [anon_sym_with] = ACTIONS(5425),
    [aux_sym_preproc_if_token3] = ACTIONS(5425),
    [aux_sym_preproc_else_token1] = ACTIONS(5425),
    [aux_sym_preproc_elif_token1] = ACTIONS(5425),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4035] = {
    [sym_preproc_region] = STATE(4035),
    [sym_preproc_endregion] = STATE(4035),
    [sym_preproc_line] = STATE(4035),
    [sym_preproc_pragma] = STATE(4035),
    [sym_preproc_nullable] = STATE(4035),
    [sym_preproc_error] = STATE(4035),
    [sym_preproc_define] = STATE(4035),
    [sym_preproc_undef] = STATE(4035),
    [anon_sym_SEMI] = ACTIONS(4789),
    [anon_sym_LBRACK] = ACTIONS(5909),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_RBRACK] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(5909),
    [anon_sym_RPAREN] = ACTIONS(4789),
    [anon_sym_RBRACE] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_in] = ACTIONS(4797),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_PLUS_PLUS] = ACTIONS(5909),
    [anon_sym_DASH_DASH] = ACTIONS(5909),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5909),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5909),
    [anon_sym_CARET] = ACTIONS(5909),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5909),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_GT_GT_GT] = ACTIONS(5909),
    [anon_sym_EQ_EQ] = ACTIONS(5909),
    [anon_sym_BANG_EQ] = ACTIONS(5909),
    [anon_sym_GT_EQ] = ACTIONS(5909),
    [anon_sym_LT_EQ] = ACTIONS(5909),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_EQ_GT] = ACTIONS(4789),
    [anon_sym_switch] = ACTIONS(5909),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(5909),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_AMP_AMP] = ACTIONS(5909),
    [anon_sym_PIPE_PIPE] = ACTIONS(5909),
    [anon_sym_QMARK_QMARK] = ACTIONS(5909),
    [anon_sym_into] = ACTIONS(4789),
    [anon_sym_on] = ACTIONS(4789),
    [anon_sym_equals] = ACTIONS(4789),
    [anon_sym_by] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(5909),
    [anon_sym_is] = ACTIONS(5909),
    [anon_sym_DASH_GT] = ACTIONS(5909),
    [anon_sym_with] = ACTIONS(5909),
    [aux_sym_preproc_if_token3] = ACTIONS(4789),
    [aux_sym_preproc_else_token1] = ACTIONS(4789),
    [aux_sym_preproc_elif_token1] = ACTIONS(4789),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4036] = {
    [sym_preproc_region] = STATE(4036),
    [sym_preproc_endregion] = STATE(4036),
    [sym_preproc_line] = STATE(4036),
    [sym_preproc_pragma] = STATE(4036),
    [sym_preproc_nullable] = STATE(4036),
    [sym_preproc_error] = STATE(4036),
    [sym_preproc_define] = STATE(4036),
    [sym_preproc_undef] = STATE(4036),
    [anon_sym_SEMI] = ACTIONS(4789),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_RBRACK] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(5915),
    [anon_sym_RPAREN] = ACTIONS(4789),
    [anon_sym_RBRACE] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5918),
    [anon_sym_in] = ACTIONS(4797),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_BANG] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5915),
    [anon_sym_DASH_DASH] = ACTIONS(5915),
    [anon_sym_PLUS] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5915),
    [anon_sym_SLASH] = ACTIONS(5918),
    [anon_sym_PERCENT] = ACTIONS(5915),
    [anon_sym_CARET] = ACTIONS(5915),
    [anon_sym_PIPE] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5918),
    [anon_sym_LT_LT] = ACTIONS(5915),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_GT_GT_GT] = ACTIONS(5915),
    [anon_sym_EQ_EQ] = ACTIONS(5915),
    [anon_sym_BANG_EQ] = ACTIONS(5915),
    [anon_sym_GT_EQ] = ACTIONS(5915),
    [anon_sym_LT_EQ] = ACTIONS(5915),
    [anon_sym_DOT] = ACTIONS(5918),
    [anon_sym_EQ_GT] = ACTIONS(4789),
    [anon_sym_switch] = ACTIONS(5915),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(5915),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_AMP_AMP] = ACTIONS(5915),
    [anon_sym_PIPE_PIPE] = ACTIONS(5915),
    [anon_sym_QMARK_QMARK] = ACTIONS(5915),
    [anon_sym_into] = ACTIONS(4789),
    [anon_sym_on] = ACTIONS(4789),
    [anon_sym_equals] = ACTIONS(4789),
    [anon_sym_by] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(5915),
    [anon_sym_is] = ACTIONS(5915),
    [anon_sym_DASH_GT] = ACTIONS(5915),
    [anon_sym_with] = ACTIONS(5915),
    [aux_sym_preproc_if_token3] = ACTIONS(4789),
    [aux_sym_preproc_else_token1] = ACTIONS(4789),
    [aux_sym_preproc_elif_token1] = ACTIONS(4789),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4037] = {
    [sym_preproc_region] = STATE(4037),
    [sym_preproc_endregion] = STATE(4037),
    [sym_preproc_line] = STATE(4037),
    [sym_preproc_pragma] = STATE(4037),
    [sym_preproc_nullable] = STATE(4037),
    [sym_preproc_error] = STATE(4037),
    [sym_preproc_define] = STATE(4037),
    [sym_preproc_undef] = STATE(4037),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_LPAREN] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_in] = ACTIONS(5488),
    [anon_sym_QMARK] = ACTIONS(5488),
    [anon_sym_BANG] = ACTIONS(5488),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_GT_GT_GT] = ACTIONS(5486),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_EQ_GT] = ACTIONS(5486),
    [anon_sym_switch] = ACTIONS(5486),
    [anon_sym_when] = ACTIONS(5486),
    [anon_sym_DOT_DOT] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_QMARK_QMARK] = ACTIONS(5486),
    [anon_sym_into] = ACTIONS(5486),
    [anon_sym_on] = ACTIONS(5486),
    [anon_sym_equals] = ACTIONS(5486),
    [anon_sym_by] = ACTIONS(5486),
    [anon_sym_as] = ACTIONS(5486),
    [anon_sym_is] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [anon_sym_with] = ACTIONS(5486),
    [aux_sym_preproc_if_token3] = ACTIONS(5486),
    [aux_sym_preproc_else_token1] = ACTIONS(5486),
    [aux_sym_preproc_elif_token1] = ACTIONS(5486),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4038] = {
    [sym_preproc_region] = STATE(4038),
    [sym_preproc_endregion] = STATE(4038),
    [sym_preproc_line] = STATE(4038),
    [sym_preproc_pragma] = STATE(4038),
    [sym_preproc_nullable] = STATE(4038),
    [sym_preproc_error] = STATE(4038),
    [sym_preproc_define] = STATE(4038),
    [sym_preproc_undef] = STATE(4038),
    [anon_sym_SEMI] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5530),
    [anon_sym_COMMA] = ACTIONS(5530),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_LPAREN] = ACTIONS(5530),
    [anon_sym_RPAREN] = ACTIONS(5530),
    [anon_sym_RBRACE] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5532),
    [anon_sym_in] = ACTIONS(5532),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_BANG] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5532),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_SLASH] = ACTIONS(5532),
    [anon_sym_PERCENT] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5530),
    [anon_sym_PIPE] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym_LT_LT] = ACTIONS(5530),
    [anon_sym_GT_GT] = ACTIONS(5532),
    [anon_sym_GT_GT_GT] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5530),
    [anon_sym_BANG_EQ] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5530),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5532),
    [anon_sym_EQ_GT] = ACTIONS(5530),
    [anon_sym_switch] = ACTIONS(5530),
    [anon_sym_when] = ACTIONS(5530),
    [anon_sym_DOT_DOT] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_or] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_PIPE_PIPE] = ACTIONS(5530),
    [anon_sym_QMARK_QMARK] = ACTIONS(5530),
    [anon_sym_into] = ACTIONS(5530),
    [anon_sym_on] = ACTIONS(5530),
    [anon_sym_equals] = ACTIONS(5530),
    [anon_sym_by] = ACTIONS(5530),
    [anon_sym_as] = ACTIONS(5530),
    [anon_sym_is] = ACTIONS(5530),
    [anon_sym_DASH_GT] = ACTIONS(5530),
    [anon_sym_with] = ACTIONS(5530),
    [aux_sym_preproc_if_token3] = ACTIONS(5530),
    [aux_sym_preproc_else_token1] = ACTIONS(5530),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4039] = {
    [sym_preproc_region] = STATE(4039),
    [sym_preproc_endregion] = STATE(4039),
    [sym_preproc_line] = STATE(4039),
    [sym_preproc_pragma] = STATE(4039),
    [sym_preproc_nullable] = STATE(4039),
    [sym_preproc_error] = STATE(4039),
    [sym_preproc_define] = STATE(4039),
    [sym_preproc_undef] = STATE(4039),
    [anon_sym_SEMI] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5534),
    [anon_sym_COMMA] = ACTIONS(5534),
    [anon_sym_RBRACK] = ACTIONS(5534),
    [anon_sym_LPAREN] = ACTIONS(5534),
    [anon_sym_RPAREN] = ACTIONS(5534),
    [anon_sym_RBRACE] = ACTIONS(5534),
    [anon_sym_LT] = ACTIONS(5536),
    [anon_sym_GT] = ACTIONS(5536),
    [anon_sym_in] = ACTIONS(5536),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_BANG] = ACTIONS(5536),
    [anon_sym_PLUS_PLUS] = ACTIONS(5534),
    [anon_sym_DASH_DASH] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(5536),
    [anon_sym_DASH] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_SLASH] = ACTIONS(5536),
    [anon_sym_PERCENT] = ACTIONS(5534),
    [anon_sym_CARET] = ACTIONS(5534),
    [anon_sym_PIPE] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym_LT_LT] = ACTIONS(5534),
    [anon_sym_GT_GT] = ACTIONS(5536),
    [anon_sym_GT_GT_GT] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5534),
    [anon_sym_BANG_EQ] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5534),
    [anon_sym_LT_EQ] = ACTIONS(5534),
    [anon_sym_DOT] = ACTIONS(5536),
    [anon_sym_EQ_GT] = ACTIONS(5534),
    [anon_sym_switch] = ACTIONS(5534),
    [anon_sym_when] = ACTIONS(5534),
    [anon_sym_DOT_DOT] = ACTIONS(5534),
    [anon_sym_and] = ACTIONS(5534),
    [anon_sym_or] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_PIPE_PIPE] = ACTIONS(5534),
    [anon_sym_QMARK_QMARK] = ACTIONS(5534),
    [anon_sym_into] = ACTIONS(5534),
    [anon_sym_on] = ACTIONS(5534),
    [anon_sym_equals] = ACTIONS(5534),
    [anon_sym_by] = ACTIONS(5534),
    [anon_sym_as] = ACTIONS(5534),
    [anon_sym_is] = ACTIONS(5534),
    [anon_sym_DASH_GT] = ACTIONS(5534),
    [anon_sym_with] = ACTIONS(5534),
    [aux_sym_preproc_if_token3] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4040] = {
    [sym_preproc_region] = STATE(4040),
    [sym_preproc_endregion] = STATE(4040),
    [sym_preproc_line] = STATE(4040),
    [sym_preproc_pragma] = STATE(4040),
    [sym_preproc_nullable] = STATE(4040),
    [sym_preproc_error] = STATE(4040),
    [sym_preproc_define] = STATE(4040),
    [sym_preproc_undef] = STATE(4040),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_LPAREN] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_in] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_BANG] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_GT_GT_GT] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_EQ_GT] = ACTIONS(5548),
    [anon_sym_switch] = ACTIONS(5548),
    [anon_sym_when] = ACTIONS(5548),
    [anon_sym_DOT_DOT] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_QMARK_QMARK] = ACTIONS(5548),
    [anon_sym_into] = ACTIONS(5548),
    [anon_sym_on] = ACTIONS(5548),
    [anon_sym_equals] = ACTIONS(5548),
    [anon_sym_by] = ACTIONS(5548),
    [anon_sym_as] = ACTIONS(5548),
    [anon_sym_is] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [anon_sym_with] = ACTIONS(5548),
    [aux_sym_preproc_if_token3] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4041] = {
    [sym_preproc_region] = STATE(4041),
    [sym_preproc_endregion] = STATE(4041),
    [sym_preproc_line] = STATE(4041),
    [sym_preproc_pragma] = STATE(4041),
    [sym_preproc_nullable] = STATE(4041),
    [sym_preproc_error] = STATE(4041),
    [sym_preproc_define] = STATE(4041),
    [sym_preproc_undef] = STATE(4041),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_LPAREN] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_LT] = ACTIONS(5558),
    [anon_sym_GT] = ACTIONS(5558),
    [anon_sym_in] = ACTIONS(5558),
    [anon_sym_QMARK] = ACTIONS(5558),
    [anon_sym_BANG] = ACTIONS(5558),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS] = ACTIONS(5558),
    [anon_sym_DASH] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5558),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_CARET] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5558),
    [anon_sym_GT_GT_GT] = ACTIONS(5556),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5558),
    [anon_sym_EQ_GT] = ACTIONS(5556),
    [anon_sym_switch] = ACTIONS(5556),
    [anon_sym_when] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5556),
    [anon_sym_and] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5556),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_QMARK_QMARK] = ACTIONS(5556),
    [anon_sym_into] = ACTIONS(5556),
    [anon_sym_on] = ACTIONS(5556),
    [anon_sym_equals] = ACTIONS(5556),
    [anon_sym_by] = ACTIONS(5556),
    [anon_sym_as] = ACTIONS(5556),
    [anon_sym_is] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [anon_sym_with] = ACTIONS(5556),
    [aux_sym_preproc_if_token3] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4042] = {
    [sym_preproc_region] = STATE(4042),
    [sym_preproc_endregion] = STATE(4042),
    [sym_preproc_line] = STATE(4042),
    [sym_preproc_pragma] = STATE(4042),
    [sym_preproc_nullable] = STATE(4042),
    [sym_preproc_error] = STATE(4042),
    [sym_preproc_define] = STATE(4042),
    [sym_preproc_undef] = STATE(4042),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_RBRACK] = ACTIONS(5564),
    [anon_sym_LPAREN] = ACTIONS(5564),
    [anon_sym_RPAREN] = ACTIONS(5564),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_LT] = ACTIONS(5566),
    [anon_sym_GT] = ACTIONS(5566),
    [anon_sym_in] = ACTIONS(5566),
    [anon_sym_QMARK] = ACTIONS(5566),
    [anon_sym_BANG] = ACTIONS(5566),
    [anon_sym_PLUS_PLUS] = ACTIONS(5564),
    [anon_sym_DASH_DASH] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5566),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5566),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5566),
    [anon_sym_GT_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5566),
    [anon_sym_EQ_GT] = ACTIONS(5564),
    [anon_sym_switch] = ACTIONS(5564),
    [anon_sym_when] = ACTIONS(5564),
    [anon_sym_DOT_DOT] = ACTIONS(5564),
    [anon_sym_and] = ACTIONS(5564),
    [anon_sym_or] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_QMARK_QMARK] = ACTIONS(5564),
    [anon_sym_into] = ACTIONS(5564),
    [anon_sym_on] = ACTIONS(5564),
    [anon_sym_equals] = ACTIONS(5564),
    [anon_sym_by] = ACTIONS(5564),
    [anon_sym_as] = ACTIONS(5564),
    [anon_sym_is] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [anon_sym_with] = ACTIONS(5564),
    [aux_sym_preproc_if_token3] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4043] = {
    [sym_preproc_region] = STATE(4043),
    [sym_preproc_endregion] = STATE(4043),
    [sym_preproc_line] = STATE(4043),
    [sym_preproc_pragma] = STATE(4043),
    [sym_preproc_nullable] = STATE(4043),
    [sym_preproc_error] = STATE(4043),
    [sym_preproc_define] = STATE(4043),
    [sym_preproc_undef] = STATE(4043),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_RBRACK] = ACTIONS(5568),
    [anon_sym_LPAREN] = ACTIONS(5568),
    [anon_sym_RPAREN] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_in] = ACTIONS(5570),
    [anon_sym_QMARK] = ACTIONS(5570),
    [anon_sym_BANG] = ACTIONS(5570),
    [anon_sym_PLUS_PLUS] = ACTIONS(5568),
    [anon_sym_DASH_DASH] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5570),
    [anon_sym_GT_GT_GT] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_EQ_GT] = ACTIONS(5568),
    [anon_sym_switch] = ACTIONS(5568),
    [anon_sym_when] = ACTIONS(5568),
    [anon_sym_DOT_DOT] = ACTIONS(5568),
    [anon_sym_and] = ACTIONS(5568),
    [anon_sym_or] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5568),
    [anon_sym_QMARK_QMARK] = ACTIONS(5568),
    [anon_sym_into] = ACTIONS(5568),
    [anon_sym_on] = ACTIONS(5568),
    [anon_sym_equals] = ACTIONS(5568),
    [anon_sym_by] = ACTIONS(5568),
    [anon_sym_as] = ACTIONS(5568),
    [anon_sym_is] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [anon_sym_with] = ACTIONS(5568),
    [aux_sym_preproc_if_token3] = ACTIONS(5568),
    [aux_sym_preproc_else_token1] = ACTIONS(5568),
    [aux_sym_preproc_elif_token1] = ACTIONS(5568),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4044] = {
    [sym_preproc_region] = STATE(4044),
    [sym_preproc_endregion] = STATE(4044),
    [sym_preproc_line] = STATE(4044),
    [sym_preproc_pragma] = STATE(4044),
    [sym_preproc_nullable] = STATE(4044),
    [sym_preproc_error] = STATE(4044),
    [sym_preproc_define] = STATE(4044),
    [sym_preproc_undef] = STATE(4044),
    [anon_sym_SEMI] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_COLON] = ACTIONS(5572),
    [anon_sym_COMMA] = ACTIONS(5572),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_LPAREN] = ACTIONS(5572),
    [anon_sym_RPAREN] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_GT] = ACTIONS(5574),
    [anon_sym_in] = ACTIONS(5574),
    [anon_sym_QMARK] = ACTIONS(5574),
    [anon_sym_BANG] = ACTIONS(5574),
    [anon_sym_PLUS_PLUS] = ACTIONS(5572),
    [anon_sym_DASH_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5574),
    [anon_sym_PERCENT] = ACTIONS(5572),
    [anon_sym_CARET] = ACTIONS(5572),
    [anon_sym_PIPE] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(5572),
    [anon_sym_GT_GT] = ACTIONS(5574),
    [anon_sym_GT_GT_GT] = ACTIONS(5572),
    [anon_sym_EQ_EQ] = ACTIONS(5572),
    [anon_sym_BANG_EQ] = ACTIONS(5572),
    [anon_sym_GT_EQ] = ACTIONS(5572),
    [anon_sym_LT_EQ] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(5574),
    [anon_sym_EQ_GT] = ACTIONS(5572),
    [anon_sym_switch] = ACTIONS(5572),
    [anon_sym_when] = ACTIONS(5572),
    [anon_sym_DOT_DOT] = ACTIONS(5572),
    [anon_sym_and] = ACTIONS(5572),
    [anon_sym_or] = ACTIONS(5572),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_PIPE_PIPE] = ACTIONS(5572),
    [anon_sym_QMARK_QMARK] = ACTIONS(5572),
    [anon_sym_into] = ACTIONS(5572),
    [anon_sym_on] = ACTIONS(5572),
    [anon_sym_equals] = ACTIONS(5572),
    [anon_sym_by] = ACTIONS(5572),
    [anon_sym_as] = ACTIONS(5572),
    [anon_sym_is] = ACTIONS(5572),
    [anon_sym_DASH_GT] = ACTIONS(5572),
    [anon_sym_with] = ACTIONS(5572),
    [aux_sym_preproc_if_token3] = ACTIONS(5572),
    [aux_sym_preproc_else_token1] = ACTIONS(5572),
    [aux_sym_preproc_elif_token1] = ACTIONS(5572),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4045] = {
    [sym_preproc_region] = STATE(4045),
    [sym_preproc_endregion] = STATE(4045),
    [sym_preproc_line] = STATE(4045),
    [sym_preproc_pragma] = STATE(4045),
    [sym_preproc_nullable] = STATE(4045),
    [sym_preproc_error] = STATE(4045),
    [sym_preproc_define] = STATE(4045),
    [sym_preproc_undef] = STATE(4045),
    [anon_sym_SEMI] = ACTIONS(5576),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_COLON] = ACTIONS(5576),
    [anon_sym_COMMA] = ACTIONS(5576),
    [anon_sym_RBRACK] = ACTIONS(5576),
    [anon_sym_LPAREN] = ACTIONS(5576),
    [anon_sym_RPAREN] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_in] = ACTIONS(5578),
    [anon_sym_QMARK] = ACTIONS(5578),
    [anon_sym_BANG] = ACTIONS(5578),
    [anon_sym_PLUS_PLUS] = ACTIONS(5576),
    [anon_sym_DASH_DASH] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5576),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5576),
    [anon_sym_CARET] = ACTIONS(5576),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5576),
    [anon_sym_GT_GT] = ACTIONS(5578),
    [anon_sym_GT_GT_GT] = ACTIONS(5576),
    [anon_sym_EQ_EQ] = ACTIONS(5576),
    [anon_sym_BANG_EQ] = ACTIONS(5576),
    [anon_sym_GT_EQ] = ACTIONS(5576),
    [anon_sym_LT_EQ] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_EQ_GT] = ACTIONS(5576),
    [anon_sym_switch] = ACTIONS(5576),
    [anon_sym_when] = ACTIONS(5576),
    [anon_sym_DOT_DOT] = ACTIONS(5576),
    [anon_sym_and] = ACTIONS(5576),
    [anon_sym_or] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5576),
    [anon_sym_PIPE_PIPE] = ACTIONS(5576),
    [anon_sym_QMARK_QMARK] = ACTIONS(5576),
    [anon_sym_into] = ACTIONS(5576),
    [anon_sym_on] = ACTIONS(5576),
    [anon_sym_equals] = ACTIONS(5576),
    [anon_sym_by] = ACTIONS(5576),
    [anon_sym_as] = ACTIONS(5576),
    [anon_sym_is] = ACTIONS(5576),
    [anon_sym_DASH_GT] = ACTIONS(5576),
    [anon_sym_with] = ACTIONS(5576),
    [aux_sym_preproc_if_token3] = ACTIONS(5576),
    [aux_sym_preproc_else_token1] = ACTIONS(5576),
    [aux_sym_preproc_elif_token1] = ACTIONS(5576),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4046] = {
    [sym_preproc_region] = STATE(4046),
    [sym_preproc_endregion] = STATE(4046),
    [sym_preproc_line] = STATE(4046),
    [sym_preproc_pragma] = STATE(4046),
    [sym_preproc_nullable] = STATE(4046),
    [sym_preproc_error] = STATE(4046),
    [sym_preproc_define] = STATE(4046),
    [sym_preproc_undef] = STATE(4046),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_LPAREN] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_in] = ACTIONS(5594),
    [anon_sym_QMARK] = ACTIONS(5594),
    [anon_sym_BANG] = ACTIONS(5594),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_GT_GT_GT] = ACTIONS(5592),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_EQ_GT] = ACTIONS(5592),
    [anon_sym_switch] = ACTIONS(5592),
    [anon_sym_when] = ACTIONS(5592),
    [anon_sym_DOT_DOT] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_QMARK_QMARK] = ACTIONS(5592),
    [anon_sym_into] = ACTIONS(5592),
    [anon_sym_on] = ACTIONS(5592),
    [anon_sym_equals] = ACTIONS(5592),
    [anon_sym_by] = ACTIONS(5592),
    [anon_sym_as] = ACTIONS(5592),
    [anon_sym_is] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [anon_sym_with] = ACTIONS(5592),
    [aux_sym_preproc_if_token3] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4047] = {
    [sym_preproc_region] = STATE(4047),
    [sym_preproc_endregion] = STATE(4047),
    [sym_preproc_line] = STATE(4047),
    [sym_preproc_pragma] = STATE(4047),
    [sym_preproc_nullable] = STATE(4047),
    [sym_preproc_error] = STATE(4047),
    [sym_preproc_define] = STATE(4047),
    [sym_preproc_undef] = STATE(4047),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_in] = ACTIONS(5606),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_BANG] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_GT_GT_GT] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_EQ_GT] = ACTIONS(5604),
    [anon_sym_switch] = ACTIONS(5604),
    [anon_sym_when] = ACTIONS(5604),
    [anon_sym_DOT_DOT] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_QMARK_QMARK] = ACTIONS(5604),
    [anon_sym_into] = ACTIONS(5604),
    [anon_sym_on] = ACTIONS(5604),
    [anon_sym_equals] = ACTIONS(5604),
    [anon_sym_by] = ACTIONS(5604),
    [anon_sym_as] = ACTIONS(5604),
    [anon_sym_is] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_with] = ACTIONS(5604),
    [aux_sym_preproc_if_token3] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4048] = {
    [sym_preproc_region] = STATE(4048),
    [sym_preproc_endregion] = STATE(4048),
    [sym_preproc_line] = STATE(4048),
    [sym_preproc_pragma] = STATE(4048),
    [sym_preproc_nullable] = STATE(4048),
    [sym_preproc_error] = STATE(4048),
    [sym_preproc_define] = STATE(4048),
    [sym_preproc_undef] = STATE(4048),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_LPAREN] = ACTIONS(5608),
    [anon_sym_RPAREN] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_in] = ACTIONS(5610),
    [anon_sym_QMARK] = ACTIONS(5610),
    [anon_sym_BANG] = ACTIONS(5610),
    [anon_sym_PLUS_PLUS] = ACTIONS(5608),
    [anon_sym_DASH_DASH] = ACTIONS(5608),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5608),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5608),
    [anon_sym_CARET] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5608),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_GT_GT_GT] = ACTIONS(5608),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_EQ_GT] = ACTIONS(5608),
    [anon_sym_switch] = ACTIONS(5608),
    [anon_sym_when] = ACTIONS(5608),
    [anon_sym_DOT_DOT] = ACTIONS(5608),
    [anon_sym_and] = ACTIONS(5608),
    [anon_sym_or] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_PIPE_PIPE] = ACTIONS(5608),
    [anon_sym_QMARK_QMARK] = ACTIONS(5608),
    [anon_sym_into] = ACTIONS(5608),
    [anon_sym_on] = ACTIONS(5608),
    [anon_sym_equals] = ACTIONS(5608),
    [anon_sym_by] = ACTIONS(5608),
    [anon_sym_as] = ACTIONS(5608),
    [anon_sym_is] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [anon_sym_with] = ACTIONS(5608),
    [aux_sym_preproc_if_token3] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5608),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4049] = {
    [sym_preproc_region] = STATE(4049),
    [sym_preproc_endregion] = STATE(4049),
    [sym_preproc_line] = STATE(4049),
    [sym_preproc_pragma] = STATE(4049),
    [sym_preproc_nullable] = STATE(4049),
    [sym_preproc_error] = STATE(4049),
    [sym_preproc_define] = STATE(4049),
    [sym_preproc_undef] = STATE(4049),
    [anon_sym_SEMI] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5538),
    [anon_sym_COMMA] = ACTIONS(5538),
    [anon_sym_RBRACK] = ACTIONS(5538),
    [anon_sym_LPAREN] = ACTIONS(5538),
    [anon_sym_RPAREN] = ACTIONS(5538),
    [anon_sym_RBRACE] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5540),
    [anon_sym_in] = ACTIONS(5540),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_BANG] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_SLASH] = ACTIONS(5540),
    [anon_sym_PERCENT] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5538),
    [anon_sym_PIPE] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym_LT_LT] = ACTIONS(5538),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_GT_GT_GT] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5538),
    [anon_sym_BANG_EQ] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5538),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5540),
    [anon_sym_EQ_GT] = ACTIONS(5538),
    [anon_sym_switch] = ACTIONS(5538),
    [anon_sym_when] = ACTIONS(5538),
    [anon_sym_DOT_DOT] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_PIPE_PIPE] = ACTIONS(5538),
    [anon_sym_QMARK_QMARK] = ACTIONS(5538),
    [anon_sym_into] = ACTIONS(5538),
    [anon_sym_on] = ACTIONS(5538),
    [anon_sym_equals] = ACTIONS(5538),
    [anon_sym_by] = ACTIONS(5538),
    [anon_sym_as] = ACTIONS(5538),
    [anon_sym_is] = ACTIONS(5538),
    [anon_sym_DASH_GT] = ACTIONS(5538),
    [anon_sym_with] = ACTIONS(5538),
    [aux_sym_preproc_if_token3] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4050] = {
    [sym_preproc_region] = STATE(4050),
    [sym_preproc_endregion] = STATE(4050),
    [sym_preproc_line] = STATE(4050),
    [sym_preproc_pragma] = STATE(4050),
    [sym_preproc_nullable] = STATE(4050),
    [sym_preproc_error] = STATE(4050),
    [sym_preproc_define] = STATE(4050),
    [sym_preproc_undef] = STATE(4050),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_LPAREN] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_in] = ACTIONS(5614),
    [anon_sym_QMARK] = ACTIONS(5614),
    [anon_sym_BANG] = ACTIONS(5614),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5612),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_GT_GT_GT] = ACTIONS(5612),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_EQ_GT] = ACTIONS(5612),
    [anon_sym_switch] = ACTIONS(5612),
    [anon_sym_when] = ACTIONS(5612),
    [anon_sym_DOT_DOT] = ACTIONS(5612),
    [anon_sym_and] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_QMARK_QMARK] = ACTIONS(5612),
    [anon_sym_into] = ACTIONS(5612),
    [anon_sym_on] = ACTIONS(5612),
    [anon_sym_equals] = ACTIONS(5612),
    [anon_sym_by] = ACTIONS(5612),
    [anon_sym_as] = ACTIONS(5612),
    [anon_sym_is] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [anon_sym_with] = ACTIONS(5612),
    [aux_sym_preproc_if_token3] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4051] = {
    [sym_preproc_region] = STATE(4051),
    [sym_preproc_endregion] = STATE(4051),
    [sym_preproc_line] = STATE(4051),
    [sym_preproc_pragma] = STATE(4051),
    [sym_preproc_nullable] = STATE(4051),
    [sym_preproc_error] = STATE(4051),
    [sym_preproc_define] = STATE(4051),
    [sym_preproc_undef] = STATE(4051),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_LPAREN] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym_GT] = ACTIONS(5618),
    [anon_sym_in] = ACTIONS(5618),
    [anon_sym_QMARK] = ACTIONS(5618),
    [anon_sym_BANG] = ACTIONS(5618),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_SLASH] = ACTIONS(5618),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5618),
    [anon_sym_AMP] = ACTIONS(5618),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5618),
    [anon_sym_GT_GT_GT] = ACTIONS(5616),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_EQ_GT] = ACTIONS(5616),
    [anon_sym_switch] = ACTIONS(5616),
    [anon_sym_when] = ACTIONS(5616),
    [anon_sym_DOT_DOT] = ACTIONS(5616),
    [anon_sym_and] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_QMARK_QMARK] = ACTIONS(5616),
    [anon_sym_into] = ACTIONS(5616),
    [anon_sym_on] = ACTIONS(5616),
    [anon_sym_equals] = ACTIONS(5616),
    [anon_sym_by] = ACTIONS(5616),
    [anon_sym_as] = ACTIONS(5616),
    [anon_sym_is] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [anon_sym_with] = ACTIONS(5616),
    [aux_sym_preproc_if_token3] = ACTIONS(5616),
    [aux_sym_preproc_else_token1] = ACTIONS(5616),
    [aux_sym_preproc_elif_token1] = ACTIONS(5616),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4052] = {
    [sym_preproc_region] = STATE(4052),
    [sym_preproc_endregion] = STATE(4052),
    [sym_preproc_line] = STATE(4052),
    [sym_preproc_pragma] = STATE(4052),
    [sym_preproc_nullable] = STATE(4052),
    [sym_preproc_error] = STATE(4052),
    [sym_preproc_define] = STATE(4052),
    [sym_preproc_undef] = STATE(4052),
    [anon_sym_SEMI] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_COMMA] = ACTIONS(5648),
    [anon_sym_RBRACK] = ACTIONS(5648),
    [anon_sym_LPAREN] = ACTIONS(5648),
    [anon_sym_RPAREN] = ACTIONS(5648),
    [anon_sym_RBRACE] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_in] = ACTIONS(5650),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_BANG] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_GT_GT_GT] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5648),
    [anon_sym_BANG_EQ] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5648),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_EQ_GT] = ACTIONS(5648),
    [anon_sym_switch] = ACTIONS(5648),
    [anon_sym_when] = ACTIONS(5648),
    [anon_sym_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_or] = ACTIONS(5648),
    [anon_sym_AMP_AMP] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5648),
    [anon_sym_QMARK_QMARK] = ACTIONS(5648),
    [anon_sym_into] = ACTIONS(5648),
    [anon_sym_on] = ACTIONS(5648),
    [anon_sym_equals] = ACTIONS(5648),
    [anon_sym_by] = ACTIONS(5648),
    [anon_sym_as] = ACTIONS(5648),
    [anon_sym_is] = ACTIONS(5648),
    [anon_sym_DASH_GT] = ACTIONS(5648),
    [anon_sym_with] = ACTIONS(5648),
    [aux_sym_preproc_if_token3] = ACTIONS(5648),
    [aux_sym_preproc_else_token1] = ACTIONS(5648),
    [aux_sym_preproc_elif_token1] = ACTIONS(5648),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4053] = {
    [sym_preproc_region] = STATE(4053),
    [sym_preproc_endregion] = STATE(4053),
    [sym_preproc_line] = STATE(4053),
    [sym_preproc_pragma] = STATE(4053),
    [sym_preproc_nullable] = STATE(4053),
    [sym_preproc_error] = STATE(4053),
    [sym_preproc_define] = STATE(4053),
    [sym_preproc_undef] = STATE(4053),
    [anon_sym_SEMI] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_COLON] = ACTIONS(4276),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_RBRACK] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_RBRACE] = ACTIONS(4276),
    [anon_sym_LT] = ACTIONS(5921),
    [anon_sym_GT] = ACTIONS(5921),
    [anon_sym_in] = ACTIONS(5921),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_BANG] = ACTIONS(5921),
    [anon_sym_PLUS_PLUS] = ACTIONS(4276),
    [anon_sym_DASH_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(5921),
    [anon_sym_DASH] = ACTIONS(5921),
    [anon_sym_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(5921),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(5921),
    [anon_sym_AMP] = ACTIONS(5921),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_GT_GT] = ACTIONS(5921),
    [anon_sym_GT_GT_GT] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4276),
    [anon_sym_BANG_EQ] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4276),
    [anon_sym_LT_EQ] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(5921),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_switch] = ACTIONS(4276),
    [anon_sym_when] = ACTIONS(4276),
    [anon_sym_DOT_DOT] = ACTIONS(4276),
    [anon_sym_and] = ACTIONS(4276),
    [anon_sym_or] = ACTIONS(4276),
    [anon_sym_AMP_AMP] = ACTIONS(4276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4276),
    [anon_sym_QMARK_QMARK] = ACTIONS(4276),
    [anon_sym_into] = ACTIONS(4276),
    [anon_sym_on] = ACTIONS(4276),
    [anon_sym_equals] = ACTIONS(4276),
    [anon_sym_by] = ACTIONS(4276),
    [anon_sym_as] = ACTIONS(4276),
    [anon_sym_is] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4276),
    [anon_sym_with] = ACTIONS(4276),
    [aux_sym_preproc_if_token3] = ACTIONS(4276),
    [aux_sym_preproc_else_token1] = ACTIONS(4276),
    [aux_sym_preproc_elif_token1] = ACTIONS(4276),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4054] = {
    [sym_initializer_expression] = STATE(4127),
    [sym_preproc_region] = STATE(4054),
    [sym_preproc_endregion] = STATE(4054),
    [sym_preproc_line] = STATE(4054),
    [sym_preproc_pragma] = STATE(4054),
    [sym_preproc_nullable] = STATE(4054),
    [sym_preproc_error] = STATE(4054),
    [sym_preproc_define] = STATE(4054),
    [sym_preproc_undef] = STATE(4054),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_RBRACK] = ACTIONS(5386),
    [anon_sym_LPAREN] = ACTIONS(5386),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5923),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_BANG] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_GT_GT_GT] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_EQ_GT] = ACTIONS(5386),
    [anon_sym_switch] = ACTIONS(5386),
    [anon_sym_when] = ACTIONS(5386),
    [anon_sym_DOT_DOT] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_QMARK_QMARK] = ACTIONS(5386),
    [anon_sym_on] = ACTIONS(5386),
    [anon_sym_equals] = ACTIONS(5386),
    [anon_sym_by] = ACTIONS(5386),
    [anon_sym_as] = ACTIONS(5386),
    [anon_sym_is] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [anon_sym_with] = ACTIONS(5386),
    [aux_sym_preproc_if_token3] = ACTIONS(5386),
    [aux_sym_preproc_else_token1] = ACTIONS(5386),
    [aux_sym_preproc_elif_token1] = ACTIONS(5386),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4055] = {
    [sym_preproc_region] = STATE(4055),
    [sym_preproc_endregion] = STATE(4055),
    [sym_preproc_line] = STATE(4055),
    [sym_preproc_pragma] = STATE(4055),
    [sym_preproc_nullable] = STATE(4055),
    [sym_preproc_error] = STATE(4055),
    [sym_preproc_define] = STATE(4055),
    [sym_preproc_undef] = STATE(4055),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym_LPAREN] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_in] = ACTIONS(4134),
    [anon_sym_QMARK] = ACTIONS(4132),
    [anon_sym_BANG] = ACTIONS(4132),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_GT_GT_GT] = ACTIONS(4134),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_EQ_GT] = ACTIONS(4134),
    [anon_sym_switch] = ACTIONS(4134),
    [anon_sym_when] = ACTIONS(4134),
    [anon_sym_DOT_DOT] = ACTIONS(4134),
    [anon_sym_and] = ACTIONS(4134),
    [anon_sym_or] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_QMARK_QMARK] = ACTIONS(4134),
    [anon_sym_on] = ACTIONS(4134),
    [anon_sym_equals] = ACTIONS(4134),
    [anon_sym_by] = ACTIONS(4134),
    [anon_sym_as] = ACTIONS(4134),
    [anon_sym_is] = ACTIONS(4134),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [anon_sym_with] = ACTIONS(4134),
    [aux_sym_preproc_if_token3] = ACTIONS(4134),
    [aux_sym_preproc_else_token1] = ACTIONS(4134),
    [aux_sym_preproc_elif_token1] = ACTIONS(4134),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4056] = {
    [sym_preproc_region] = STATE(4056),
    [sym_preproc_endregion] = STATE(4056),
    [sym_preproc_line] = STATE(4056),
    [sym_preproc_pragma] = STATE(4056),
    [sym_preproc_nullable] = STATE(4056),
    [sym_preproc_error] = STATE(4056),
    [sym_preproc_define] = STATE(4056),
    [sym_preproc_undef] = STATE(4056),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(5930),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4057] = {
    [sym_preproc_region] = STATE(4057),
    [sym_preproc_endregion] = STATE(4057),
    [sym_preproc_line] = STATE(4057),
    [sym_preproc_pragma] = STATE(4057),
    [sym_preproc_nullable] = STATE(4057),
    [sym_preproc_error] = STATE(4057),
    [sym_preproc_define] = STATE(4057),
    [sym_preproc_undef] = STATE(4057),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5932),
    [anon_sym_class] = ACTIONS(4040),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4040),
    [anon_sym_enum] = ACTIONS(4040),
    [anon_sym_interface] = ACTIONS(4040),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_record] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4058] = {
    [sym_preproc_region] = STATE(4058),
    [sym_preproc_endregion] = STATE(4058),
    [sym_preproc_line] = STATE(4058),
    [sym_preproc_pragma] = STATE(4058),
    [sym_preproc_nullable] = STATE(4058),
    [sym_preproc_error] = STATE(4058),
    [sym_preproc_define] = STATE(4058),
    [sym_preproc_undef] = STATE(4058),
    [anon_sym_SEMI] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_COMMA] = ACTIONS(5439),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_LPAREN] = ACTIONS(5439),
    [anon_sym_RPAREN] = ACTIONS(5439),
    [anon_sym_RBRACE] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5441),
    [anon_sym_in] = ACTIONS(5441),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_BANG] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5441),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_PIPE] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5441),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_GT_GT_GT] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5439),
    [anon_sym_BANG_EQ] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_EQ_GT] = ACTIONS(5439),
    [anon_sym_switch] = ACTIONS(5439),
    [anon_sym_when] = ACTIONS(5439),
    [anon_sym_DOT_DOT] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5439),
    [anon_sym_QMARK_QMARK] = ACTIONS(5439),
    [anon_sym_into] = ACTIONS(5439),
    [anon_sym_on] = ACTIONS(5439),
    [anon_sym_equals] = ACTIONS(5439),
    [anon_sym_by] = ACTIONS(5439),
    [anon_sym_as] = ACTIONS(5439),
    [anon_sym_is] = ACTIONS(5439),
    [anon_sym_DASH_GT] = ACTIONS(5439),
    [anon_sym_with] = ACTIONS(5439),
    [aux_sym_preproc_if_token3] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4059] = {
    [sym_preproc_region] = STATE(4059),
    [sym_preproc_endregion] = STATE(4059),
    [sym_preproc_line] = STATE(4059),
    [sym_preproc_pragma] = STATE(4059),
    [sym_preproc_nullable] = STATE(4059),
    [sym_preproc_error] = STATE(4059),
    [sym_preproc_define] = STATE(4059),
    [sym_preproc_undef] = STATE(4059),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_COLON] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_LPAREN] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LT] = ACTIONS(4149),
    [anon_sym_GT] = ACTIONS(4149),
    [anon_sym_in] = ACTIONS(4151),
    [anon_sym_QMARK] = ACTIONS(4149),
    [anon_sym_BANG] = ACTIONS(4149),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS] = ACTIONS(4149),
    [anon_sym_DASH] = ACTIONS(4149),
    [anon_sym_STAR] = ACTIONS(4151),
    [anon_sym_SLASH] = ACTIONS(4149),
    [anon_sym_PERCENT] = ACTIONS(4151),
    [anon_sym_CARET] = ACTIONS(4151),
    [anon_sym_PIPE] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(4149),
    [anon_sym_LT_LT] = ACTIONS(4151),
    [anon_sym_GT_GT] = ACTIONS(4149),
    [anon_sym_GT_GT_GT] = ACTIONS(4151),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(4149),
    [anon_sym_EQ_GT] = ACTIONS(4151),
    [anon_sym_switch] = ACTIONS(4151),
    [anon_sym_when] = ACTIONS(4151),
    [anon_sym_DOT_DOT] = ACTIONS(4151),
    [anon_sym_and] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_QMARK_QMARK] = ACTIONS(4151),
    [anon_sym_on] = ACTIONS(4151),
    [anon_sym_equals] = ACTIONS(4151),
    [anon_sym_by] = ACTIONS(4151),
    [anon_sym_as] = ACTIONS(4151),
    [anon_sym_is] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [anon_sym_with] = ACTIONS(4151),
    [aux_sym_preproc_if_token3] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(4151),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4060] = {
    [sym_preproc_region] = STATE(4060),
    [sym_preproc_endregion] = STATE(4060),
    [sym_preproc_line] = STATE(4060),
    [sym_preproc_pragma] = STATE(4060),
    [sym_preproc_nullable] = STATE(4060),
    [sym_preproc_error] = STATE(4060),
    [sym_preproc_define] = STATE(4060),
    [sym_preproc_undef] = STATE(4060),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_when] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_into] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4061] = {
    [sym_preproc_region] = STATE(4061),
    [sym_preproc_endregion] = STATE(4061),
    [sym_preproc_line] = STATE(4061),
    [sym_preproc_pragma] = STATE(4061),
    [sym_preproc_nullable] = STATE(4061),
    [sym_preproc_error] = STATE(4061),
    [sym_preproc_define] = STATE(4061),
    [sym_preproc_undef] = STATE(4061),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_LPAREN] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_in] = ACTIONS(5674),
    [anon_sym_QMARK] = ACTIONS(5674),
    [anon_sym_BANG] = ACTIONS(5674),
    [anon_sym_PLUS_PLUS] = ACTIONS(5672),
    [anon_sym_DASH_DASH] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_GT_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_switch] = ACTIONS(5672),
    [anon_sym_when] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_QMARK_QMARK] = ACTIONS(5672),
    [anon_sym_into] = ACTIONS(5672),
    [anon_sym_on] = ACTIONS(5672),
    [anon_sym_equals] = ACTIONS(5672),
    [anon_sym_by] = ACTIONS(5672),
    [anon_sym_as] = ACTIONS(5672),
    [anon_sym_is] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_with] = ACTIONS(5672),
    [aux_sym_preproc_if_token3] = ACTIONS(5672),
    [aux_sym_preproc_else_token1] = ACTIONS(5672),
    [aux_sym_preproc_elif_token1] = ACTIONS(5672),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4062] = {
    [sym_preproc_region] = STATE(4062),
    [sym_preproc_endregion] = STATE(4062),
    [sym_preproc_line] = STATE(4062),
    [sym_preproc_pragma] = STATE(4062),
    [sym_preproc_nullable] = STATE(4062),
    [sym_preproc_error] = STATE(4062),
    [sym_preproc_define] = STATE(4062),
    [sym_preproc_undef] = STATE(4062),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_COLON] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [anon_sym_RBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_GT] = ACTIONS(3043),
    [anon_sym_in] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_GT_GT] = ACTIONS(3043),
    [anon_sym_GT_GT_GT] = ACTIONS(3045),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_when] = ACTIONS(3045),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_and] = ACTIONS(3045),
    [anon_sym_or] = ACTIONS(3045),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_QMARK_QMARK] = ACTIONS(3045),
    [anon_sym_into] = ACTIONS(3045),
    [anon_sym_on] = ACTIONS(3045),
    [anon_sym_equals] = ACTIONS(3045),
    [anon_sym_by] = ACTIONS(3045),
    [anon_sym_as] = ACTIONS(3045),
    [anon_sym_is] = ACTIONS(3045),
    [anon_sym_DASH_GT] = ACTIONS(3045),
    [anon_sym_with] = ACTIONS(3045),
    [aux_sym_preproc_if_token3] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4063] = {
    [sym_preproc_region] = STATE(4063),
    [sym_preproc_endregion] = STATE(4063),
    [sym_preproc_line] = STATE(4063),
    [sym_preproc_pragma] = STATE(4063),
    [sym_preproc_nullable] = STATE(4063),
    [sym_preproc_error] = STATE(4063),
    [sym_preproc_define] = STATE(4063),
    [sym_preproc_undef] = STATE(4063),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_COLON] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RBRACK] = ACTIONS(5356),
    [anon_sym_LPAREN] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_in] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5358),
    [anon_sym_BANG] = ACTIONS(5358),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_GT_GT_GT] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_EQ_GT] = ACTIONS(5356),
    [anon_sym_switch] = ACTIONS(5356),
    [anon_sym_when] = ACTIONS(5356),
    [anon_sym_DOT_DOT] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_QMARK_QMARK] = ACTIONS(5356),
    [anon_sym_on] = ACTIONS(5356),
    [anon_sym_equals] = ACTIONS(5356),
    [anon_sym_by] = ACTIONS(5356),
    [anon_sym_as] = ACTIONS(5356),
    [anon_sym_is] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_with] = ACTIONS(5356),
    [aux_sym_raw_string_literal_token1] = ACTIONS(5934),
    [aux_sym_preproc_if_token3] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4064] = {
    [sym_preproc_region] = STATE(4064),
    [sym_preproc_endregion] = STATE(4064),
    [sym_preproc_line] = STATE(4064),
    [sym_preproc_pragma] = STATE(4064),
    [sym_preproc_nullable] = STATE(4064),
    [sym_preproc_error] = STATE(4064),
    [sym_preproc_define] = STATE(4064),
    [sym_preproc_undef] = STATE(4064),
    [anon_sym_EQ] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5938),
    [anon_sym_DASH_EQ] = ACTIONS(5938),
    [anon_sym_STAR_EQ] = ACTIONS(5938),
    [anon_sym_SLASH_EQ] = ACTIONS(5938),
    [anon_sym_PERCENT_EQ] = ACTIONS(5938),
    [anon_sym_AMP_EQ] = ACTIONS(5938),
    [anon_sym_CARET_EQ] = ACTIONS(5938),
    [anon_sym_PIPE_EQ] = ACTIONS(5938),
    [anon_sym_LT_LT_EQ] = ACTIONS(5938),
    [anon_sym_GT_GT_EQ] = ACTIONS(5938),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5938),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5938),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(5305),
  },
  [4065] = {
    [sym_preproc_region] = STATE(4065),
    [sym_preproc_endregion] = STATE(4065),
    [sym_preproc_line] = STATE(4065),
    [sym_preproc_pragma] = STATE(4065),
    [sym_preproc_nullable] = STATE(4065),
    [sym_preproc_error] = STATE(4065),
    [sym_preproc_define] = STATE(4065),
    [sym_preproc_undef] = STATE(4065),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_LPAREN] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5942),
    [anon_sym_GT] = ACTIONS(5942),
    [anon_sym_in] = ACTIONS(5942),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_BANG] = ACTIONS(5942),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5942),
    [anon_sym_DASH] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5942),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5942),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_GT_GT_GT] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5942),
    [anon_sym_EQ_GT] = ACTIONS(5940),
    [anon_sym_switch] = ACTIONS(5940),
    [anon_sym_when] = ACTIONS(5940),
    [anon_sym_DOT_DOT] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_QMARK_QMARK] = ACTIONS(5940),
    [anon_sym_into] = ACTIONS(5940),
    [anon_sym_on] = ACTIONS(5940),
    [anon_sym_equals] = ACTIONS(5940),
    [anon_sym_by] = ACTIONS(5940),
    [anon_sym_as] = ACTIONS(5940),
    [anon_sym_is] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [anon_sym_with] = ACTIONS(5940),
    [aux_sym_preproc_if_token3] = ACTIONS(5940),
    [aux_sym_preproc_else_token1] = ACTIONS(5940),
    [aux_sym_preproc_elif_token1] = ACTIONS(5940),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4066] = {
    [sym_preproc_region] = STATE(4066),
    [sym_preproc_endregion] = STATE(4066),
    [sym_preproc_line] = STATE(4066),
    [sym_preproc_pragma] = STATE(4066),
    [sym_preproc_nullable] = STATE(4066),
    [sym_preproc_error] = STATE(4066),
    [sym_preproc_define] = STATE(4066),
    [sym_preproc_undef] = STATE(4066),
    [anon_sym_SEMI] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(2099),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_in] = ACTIONS(2101),
    [anon_sym_QMARK] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2099),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_EQ_GT] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_when] = ACTIONS(2099),
    [anon_sym_DOT_DOT] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_into] = ACTIONS(2099),
    [anon_sym_on] = ACTIONS(2099),
    [anon_sym_equals] = ACTIONS(2099),
    [anon_sym_by] = ACTIONS(2099),
    [anon_sym_as] = ACTIONS(2099),
    [anon_sym_is] = ACTIONS(2099),
    [anon_sym_DASH_GT] = ACTIONS(2099),
    [anon_sym_with] = ACTIONS(2099),
    [aux_sym_preproc_if_token3] = ACTIONS(2099),
    [aux_sym_preproc_else_token1] = ACTIONS(2099),
    [aux_sym_preproc_elif_token1] = ACTIONS(2099),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4067] = {
    [sym_preproc_region] = STATE(4067),
    [sym_preproc_endregion] = STATE(4067),
    [sym_preproc_line] = STATE(4067),
    [sym_preproc_pragma] = STATE(4067),
    [sym_preproc_nullable] = STATE(4067),
    [sym_preproc_error] = STATE(4067),
    [sym_preproc_define] = STATE(4067),
    [sym_preproc_undef] = STATE(4067),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_LPAREN] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_in] = ACTIONS(5598),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_BANG] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5596),
    [anon_sym_CARET] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5596),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym_GT_GT_GT] = ACTIONS(5596),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_EQ_GT] = ACTIONS(5596),
    [anon_sym_switch] = ACTIONS(5596),
    [anon_sym_when] = ACTIONS(5596),
    [anon_sym_DOT_DOT] = ACTIONS(5596),
    [anon_sym_and] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_QMARK_QMARK] = ACTIONS(5596),
    [anon_sym_into] = ACTIONS(5596),
    [anon_sym_on] = ACTIONS(5596),
    [anon_sym_equals] = ACTIONS(5596),
    [anon_sym_by] = ACTIONS(5596),
    [anon_sym_as] = ACTIONS(5596),
    [anon_sym_is] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [anon_sym_with] = ACTIONS(5596),
    [aux_sym_preproc_if_token3] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5596),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4068] = {
    [sym_preproc_region] = STATE(4068),
    [sym_preproc_endregion] = STATE(4068),
    [sym_preproc_line] = STATE(4068),
    [sym_preproc_pragma] = STATE(4068),
    [sym_preproc_nullable] = STATE(4068),
    [sym_preproc_error] = STATE(4068),
    [sym_preproc_define] = STATE(4068),
    [sym_preproc_undef] = STATE(4068),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [anon_sym_LPAREN] = ACTIONS(5600),
    [anon_sym_RPAREN] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_in] = ACTIONS(5602),
    [anon_sym_QMARK] = ACTIONS(5602),
    [anon_sym_BANG] = ACTIONS(5602),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_GT_GT_GT] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_EQ_GT] = ACTIONS(5600),
    [anon_sym_switch] = ACTIONS(5600),
    [anon_sym_when] = ACTIONS(5600),
    [anon_sym_DOT_DOT] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_QMARK_QMARK] = ACTIONS(5600),
    [anon_sym_into] = ACTIONS(5600),
    [anon_sym_on] = ACTIONS(5600),
    [anon_sym_equals] = ACTIONS(5600),
    [anon_sym_by] = ACTIONS(5600),
    [anon_sym_as] = ACTIONS(5600),
    [anon_sym_is] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [anon_sym_with] = ACTIONS(5600),
    [aux_sym_preproc_if_token3] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4069] = {
    [sym_preproc_region] = STATE(4069),
    [sym_preproc_endregion] = STATE(4069),
    [sym_preproc_line] = STATE(4069),
    [sym_preproc_pragma] = STATE(4069),
    [sym_preproc_nullable] = STATE(4069),
    [sym_preproc_error] = STATE(4069),
    [sym_preproc_define] = STATE(4069),
    [sym_preproc_undef] = STATE(4069),
    [anon_sym_SEMI] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_COLON] = ACTIONS(5403),
    [anon_sym_COMMA] = ACTIONS(5403),
    [anon_sym_RBRACK] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5403),
    [anon_sym_RPAREN] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5403),
    [anon_sym_LT] = ACTIONS(5405),
    [anon_sym_GT] = ACTIONS(5405),
    [anon_sym_in] = ACTIONS(5405),
    [anon_sym_QMARK] = ACTIONS(5405),
    [anon_sym_BANG] = ACTIONS(5405),
    [anon_sym_PLUS_PLUS] = ACTIONS(5403),
    [anon_sym_DASH_DASH] = ACTIONS(5403),
    [anon_sym_PLUS] = ACTIONS(5405),
    [anon_sym_DASH] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_SLASH] = ACTIONS(5405),
    [anon_sym_PERCENT] = ACTIONS(5403),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_PIPE] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5405),
    [anon_sym_LT_LT] = ACTIONS(5403),
    [anon_sym_GT_GT] = ACTIONS(5405),
    [anon_sym_GT_GT_GT] = ACTIONS(5403),
    [anon_sym_EQ_EQ] = ACTIONS(5403),
    [anon_sym_BANG_EQ] = ACTIONS(5403),
    [anon_sym_GT_EQ] = ACTIONS(5403),
    [anon_sym_LT_EQ] = ACTIONS(5403),
    [anon_sym_DOT] = ACTIONS(5405),
    [anon_sym_EQ_GT] = ACTIONS(5403),
    [anon_sym_switch] = ACTIONS(5403),
    [anon_sym_when] = ACTIONS(5403),
    [anon_sym_DOT_DOT] = ACTIONS(5403),
    [anon_sym_and] = ACTIONS(5403),
    [anon_sym_or] = ACTIONS(5403),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_PIPE_PIPE] = ACTIONS(5403),
    [anon_sym_QMARK_QMARK] = ACTIONS(5403),
    [anon_sym_into] = ACTIONS(5403),
    [anon_sym_on] = ACTIONS(5403),
    [anon_sym_equals] = ACTIONS(5403),
    [anon_sym_by] = ACTIONS(5403),
    [anon_sym_as] = ACTIONS(5403),
    [anon_sym_is] = ACTIONS(5403),
    [anon_sym_DASH_GT] = ACTIONS(5403),
    [anon_sym_with] = ACTIONS(5403),
    [aux_sym_preproc_if_token3] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4070] = {
    [sym_preproc_region] = STATE(4070),
    [sym_preproc_endregion] = STATE(4070),
    [sym_preproc_line] = STATE(4070),
    [sym_preproc_pragma] = STATE(4070),
    [sym_preproc_nullable] = STATE(4070),
    [sym_preproc_error] = STATE(4070),
    [sym_preproc_define] = STATE(4070),
    [sym_preproc_undef] = STATE(4070),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RBRACK] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_in] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2989),
    [anon_sym_GT_GT_GT] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_when] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_and] = ACTIONS(2991),
    [anon_sym_or] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_QMARK_QMARK] = ACTIONS(2991),
    [anon_sym_into] = ACTIONS(2991),
    [anon_sym_on] = ACTIONS(2991),
    [anon_sym_equals] = ACTIONS(2991),
    [anon_sym_by] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_with] = ACTIONS(2991),
    [aux_sym_preproc_if_token3] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4071] = {
    [sym_preproc_region] = STATE(4071),
    [sym_preproc_endregion] = STATE(4071),
    [sym_preproc_line] = STATE(4071),
    [sym_preproc_pragma] = STATE(4071),
    [sym_preproc_nullable] = STATE(4071),
    [sym_preproc_error] = STATE(4071),
    [sym_preproc_define] = STATE(4071),
    [sym_preproc_undef] = STATE(4071),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_in] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_BANG] = ACTIONS(4124),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4126),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4126),
    [anon_sym_CARET] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4126),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_GT_GT_GT] = ACTIONS(4126),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_EQ_GT] = ACTIONS(4126),
    [anon_sym_switch] = ACTIONS(4126),
    [anon_sym_when] = ACTIONS(4126),
    [anon_sym_DOT_DOT] = ACTIONS(4126),
    [anon_sym_and] = ACTIONS(4126),
    [anon_sym_or] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_QMARK_QMARK] = ACTIONS(4126),
    [anon_sym_on] = ACTIONS(4126),
    [anon_sym_equals] = ACTIONS(4126),
    [anon_sym_by] = ACTIONS(4126),
    [anon_sym_as] = ACTIONS(4126),
    [anon_sym_is] = ACTIONS(4126),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [anon_sym_with] = ACTIONS(4126),
    [aux_sym_preproc_if_token3] = ACTIONS(4126),
    [aux_sym_preproc_else_token1] = ACTIONS(4126),
    [aux_sym_preproc_elif_token1] = ACTIONS(4126),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4072] = {
    [sym_preproc_region] = STATE(4072),
    [sym_preproc_endregion] = STATE(4072),
    [sym_preproc_line] = STATE(4072),
    [sym_preproc_pragma] = STATE(4072),
    [sym_preproc_nullable] = STATE(4072),
    [sym_preproc_error] = STATE(4072),
    [sym_preproc_define] = STATE(4072),
    [sym_preproc_undef] = STATE(4072),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5944),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_COMMA] = ACTIONS(5944),
    [anon_sym_RBRACK] = ACTIONS(5944),
    [anon_sym_LPAREN] = ACTIONS(5944),
    [anon_sym_RPAREN] = ACTIONS(5944),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(5946),
    [anon_sym_in] = ACTIONS(5946),
    [anon_sym_QMARK] = ACTIONS(5946),
    [anon_sym_BANG] = ACTIONS(5946),
    [anon_sym_PLUS_PLUS] = ACTIONS(5944),
    [anon_sym_DASH_DASH] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5944),
    [anon_sym_SLASH] = ACTIONS(5946),
    [anon_sym_PERCENT] = ACTIONS(5944),
    [anon_sym_CARET] = ACTIONS(5944),
    [anon_sym_PIPE] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_LT_LT] = ACTIONS(5944),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym_GT_GT_GT] = ACTIONS(5944),
    [anon_sym_EQ_EQ] = ACTIONS(5944),
    [anon_sym_BANG_EQ] = ACTIONS(5944),
    [anon_sym_GT_EQ] = ACTIONS(5944),
    [anon_sym_LT_EQ] = ACTIONS(5944),
    [anon_sym_DOT] = ACTIONS(5946),
    [anon_sym_EQ_GT] = ACTIONS(5944),
    [anon_sym_switch] = ACTIONS(5944),
    [anon_sym_when] = ACTIONS(5944),
    [anon_sym_DOT_DOT] = ACTIONS(5944),
    [anon_sym_and] = ACTIONS(5944),
    [anon_sym_or] = ACTIONS(5944),
    [anon_sym_AMP_AMP] = ACTIONS(5944),
    [anon_sym_PIPE_PIPE] = ACTIONS(5944),
    [anon_sym_QMARK_QMARK] = ACTIONS(5944),
    [anon_sym_into] = ACTIONS(5944),
    [anon_sym_on] = ACTIONS(5944),
    [anon_sym_equals] = ACTIONS(5944),
    [anon_sym_by] = ACTIONS(5944),
    [anon_sym_as] = ACTIONS(5944),
    [anon_sym_is] = ACTIONS(5944),
    [anon_sym_DASH_GT] = ACTIONS(5944),
    [anon_sym_with] = ACTIONS(5944),
    [aux_sym_preproc_if_token3] = ACTIONS(5944),
    [aux_sym_preproc_else_token1] = ACTIONS(5944),
    [aux_sym_preproc_elif_token1] = ACTIONS(5944),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4073] = {
    [sym_preproc_region] = STATE(4073),
    [sym_preproc_endregion] = STATE(4073),
    [sym_preproc_line] = STATE(4073),
    [sym_preproc_pragma] = STATE(4073),
    [sym_preproc_nullable] = STATE(4073),
    [sym_preproc_error] = STATE(4073),
    [sym_preproc_define] = STATE(4073),
    [sym_preproc_undef] = STATE(4073),
    [anon_sym_SEMI] = ACTIONS(5948),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_COLON] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_RBRACK] = ACTIONS(5948),
    [anon_sym_LPAREN] = ACTIONS(5948),
    [anon_sym_RPAREN] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_LT] = ACTIONS(5950),
    [anon_sym_GT] = ACTIONS(5950),
    [anon_sym_in] = ACTIONS(5950),
    [anon_sym_QMARK] = ACTIONS(5950),
    [anon_sym_BANG] = ACTIONS(5950),
    [anon_sym_PLUS_PLUS] = ACTIONS(5948),
    [anon_sym_DASH_DASH] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5950),
    [anon_sym_DASH] = ACTIONS(5950),
    [anon_sym_STAR] = ACTIONS(5948),
    [anon_sym_SLASH] = ACTIONS(5950),
    [anon_sym_PERCENT] = ACTIONS(5948),
    [anon_sym_CARET] = ACTIONS(5948),
    [anon_sym_PIPE] = ACTIONS(5950),
    [anon_sym_AMP] = ACTIONS(5950),
    [anon_sym_LT_LT] = ACTIONS(5948),
    [anon_sym_GT_GT] = ACTIONS(5950),
    [anon_sym_GT_GT_GT] = ACTIONS(5948),
    [anon_sym_EQ_EQ] = ACTIONS(5948),
    [anon_sym_BANG_EQ] = ACTIONS(5948),
    [anon_sym_GT_EQ] = ACTIONS(5948),
    [anon_sym_LT_EQ] = ACTIONS(5948),
    [anon_sym_DOT] = ACTIONS(5950),
    [anon_sym_EQ_GT] = ACTIONS(5948),
    [anon_sym_switch] = ACTIONS(5948),
    [anon_sym_when] = ACTIONS(5948),
    [anon_sym_DOT_DOT] = ACTIONS(5948),
    [anon_sym_and] = ACTIONS(5948),
    [anon_sym_or] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_PIPE_PIPE] = ACTIONS(5948),
    [anon_sym_QMARK_QMARK] = ACTIONS(5948),
    [anon_sym_into] = ACTIONS(5948),
    [anon_sym_on] = ACTIONS(5948),
    [anon_sym_equals] = ACTIONS(5948),
    [anon_sym_by] = ACTIONS(5948),
    [anon_sym_as] = ACTIONS(5948),
    [anon_sym_is] = ACTIONS(5948),
    [anon_sym_DASH_GT] = ACTIONS(5948),
    [anon_sym_with] = ACTIONS(5948),
    [aux_sym_preproc_if_token3] = ACTIONS(5948),
    [aux_sym_preproc_else_token1] = ACTIONS(5948),
    [aux_sym_preproc_elif_token1] = ACTIONS(5948),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4074] = {
    [sym_preproc_region] = STATE(4074),
    [sym_preproc_endregion] = STATE(4074),
    [sym_preproc_line] = STATE(4074),
    [sym_preproc_pragma] = STATE(4074),
    [sym_preproc_nullable] = STATE(4074),
    [sym_preproc_error] = STATE(4074),
    [sym_preproc_define] = STATE(4074),
    [sym_preproc_undef] = STATE(4074),
    [anon_sym_SEMI] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5952),
    [anon_sym_COLON] = ACTIONS(5952),
    [anon_sym_COMMA] = ACTIONS(5952),
    [anon_sym_RBRACK] = ACTIONS(5952),
    [anon_sym_LPAREN] = ACTIONS(5952),
    [anon_sym_RPAREN] = ACTIONS(5952),
    [anon_sym_RBRACE] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5954),
    [anon_sym_in] = ACTIONS(5954),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_BANG] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5952),
    [anon_sym_DASH_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5954),
    [anon_sym_STAR] = ACTIONS(5952),
    [anon_sym_SLASH] = ACTIONS(5954),
    [anon_sym_PERCENT] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5952),
    [anon_sym_PIPE] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5954),
    [anon_sym_LT_LT] = ACTIONS(5952),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_GT_GT_GT] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5952),
    [anon_sym_BANG_EQ] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5952),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_DOT] = ACTIONS(5954),
    [anon_sym_EQ_GT] = ACTIONS(5952),
    [anon_sym_switch] = ACTIONS(5952),
    [anon_sym_when] = ACTIONS(5952),
    [anon_sym_DOT_DOT] = ACTIONS(5952),
    [anon_sym_and] = ACTIONS(5952),
    [anon_sym_or] = ACTIONS(5952),
    [anon_sym_AMP_AMP] = ACTIONS(5952),
    [anon_sym_PIPE_PIPE] = ACTIONS(5952),
    [anon_sym_QMARK_QMARK] = ACTIONS(5952),
    [anon_sym_into] = ACTIONS(5952),
    [anon_sym_on] = ACTIONS(5952),
    [anon_sym_equals] = ACTIONS(5952),
    [anon_sym_by] = ACTIONS(5952),
    [anon_sym_as] = ACTIONS(5952),
    [anon_sym_is] = ACTIONS(5952),
    [anon_sym_DASH_GT] = ACTIONS(5952),
    [anon_sym_with] = ACTIONS(5952),
    [aux_sym_preproc_if_token3] = ACTIONS(5952),
    [aux_sym_preproc_else_token1] = ACTIONS(5952),
    [aux_sym_preproc_elif_token1] = ACTIONS(5952),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4075] = {
    [sym_preproc_region] = STATE(4075),
    [sym_preproc_endregion] = STATE(4075),
    [sym_preproc_line] = STATE(4075),
    [sym_preproc_pragma] = STATE(4075),
    [sym_preproc_nullable] = STATE(4075),
    [sym_preproc_error] = STATE(4075),
    [sym_preproc_define] = STATE(4075),
    [sym_preproc_undef] = STATE(4075),
    [anon_sym_SEMI] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_COLON] = ACTIONS(4276),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_RBRACK] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_RBRACE] = ACTIONS(4276),
    [anon_sym_LT] = ACTIONS(5921),
    [anon_sym_GT] = ACTIONS(5921),
    [anon_sym_in] = ACTIONS(5921),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_BANG] = ACTIONS(5921),
    [anon_sym_PLUS_PLUS] = ACTIONS(4276),
    [anon_sym_DASH_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(5921),
    [anon_sym_DASH] = ACTIONS(5921),
    [anon_sym_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(5921),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(5921),
    [anon_sym_AMP] = ACTIONS(5921),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_GT_GT] = ACTIONS(5921),
    [anon_sym_GT_GT_GT] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4276),
    [anon_sym_BANG_EQ] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4276),
    [anon_sym_LT_EQ] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(5921),
    [anon_sym_EQ_GT] = ACTIONS(4276),
    [anon_sym_switch] = ACTIONS(4276),
    [anon_sym_when] = ACTIONS(4276),
    [anon_sym_DOT_DOT] = ACTIONS(4276),
    [anon_sym_and] = ACTIONS(4276),
    [anon_sym_or] = ACTIONS(4276),
    [anon_sym_AMP_AMP] = ACTIONS(4276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4276),
    [anon_sym_QMARK_QMARK] = ACTIONS(4276),
    [anon_sym_into] = ACTIONS(4276),
    [anon_sym_on] = ACTIONS(4276),
    [anon_sym_equals] = ACTIONS(4276),
    [anon_sym_by] = ACTIONS(4276),
    [anon_sym_as] = ACTIONS(4276),
    [anon_sym_is] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4276),
    [anon_sym_with] = ACTIONS(4276),
    [aux_sym_preproc_if_token3] = ACTIONS(4276),
    [aux_sym_preproc_else_token1] = ACTIONS(4276),
    [aux_sym_preproc_elif_token1] = ACTIONS(4276),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4076] = {
    [sym_preproc_region] = STATE(4076),
    [sym_preproc_endregion] = STATE(4076),
    [sym_preproc_line] = STATE(4076),
    [sym_preproc_pragma] = STATE(4076),
    [sym_preproc_nullable] = STATE(4076),
    [sym_preproc_error] = STATE(4076),
    [sym_preproc_define] = STATE(4076),
    [sym_preproc_undef] = STATE(4076),
    [anon_sym_SEMI] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5956),
    [anon_sym_COLON] = ACTIONS(5956),
    [anon_sym_COMMA] = ACTIONS(5956),
    [anon_sym_RBRACK] = ACTIONS(5956),
    [anon_sym_LPAREN] = ACTIONS(5956),
    [anon_sym_RPAREN] = ACTIONS(5956),
    [anon_sym_RBRACE] = ACTIONS(5956),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_in] = ACTIONS(5958),
    [anon_sym_QMARK] = ACTIONS(5958),
    [anon_sym_BANG] = ACTIONS(5958),
    [anon_sym_PLUS_PLUS] = ACTIONS(5956),
    [anon_sym_DASH_DASH] = ACTIONS(5956),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5956),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5956),
    [anon_sym_CARET] = ACTIONS(5956),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5956),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_GT_GT_GT] = ACTIONS(5956),
    [anon_sym_EQ_EQ] = ACTIONS(5956),
    [anon_sym_BANG_EQ] = ACTIONS(5956),
    [anon_sym_GT_EQ] = ACTIONS(5956),
    [anon_sym_LT_EQ] = ACTIONS(5956),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_EQ_GT] = ACTIONS(5956),
    [anon_sym_switch] = ACTIONS(5956),
    [anon_sym_when] = ACTIONS(5956),
    [anon_sym_DOT_DOT] = ACTIONS(5956),
    [anon_sym_and] = ACTIONS(5956),
    [anon_sym_or] = ACTIONS(5956),
    [anon_sym_AMP_AMP] = ACTIONS(5956),
    [anon_sym_PIPE_PIPE] = ACTIONS(5956),
    [anon_sym_QMARK_QMARK] = ACTIONS(5956),
    [anon_sym_into] = ACTIONS(5956),
    [anon_sym_on] = ACTIONS(5956),
    [anon_sym_equals] = ACTIONS(5956),
    [anon_sym_by] = ACTIONS(5956),
    [anon_sym_as] = ACTIONS(5956),
    [anon_sym_is] = ACTIONS(5956),
    [anon_sym_DASH_GT] = ACTIONS(5956),
    [anon_sym_with] = ACTIONS(5956),
    [aux_sym_preproc_if_token3] = ACTIONS(5956),
    [aux_sym_preproc_else_token1] = ACTIONS(5956),
    [aux_sym_preproc_elif_token1] = ACTIONS(5956),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4077] = {
    [sym_preproc_region] = STATE(4077),
    [sym_preproc_endregion] = STATE(4077),
    [sym_preproc_line] = STATE(4077),
    [sym_preproc_pragma] = STATE(4077),
    [sym_preproc_nullable] = STATE(4077),
    [sym_preproc_error] = STATE(4077),
    [sym_preproc_define] = STATE(4077),
    [sym_preproc_undef] = STATE(4077),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_LPAREN] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_in] = ACTIONS(5582),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_BANG] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_GT_GT_GT] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_EQ_GT] = ACTIONS(5580),
    [anon_sym_switch] = ACTIONS(5580),
    [anon_sym_when] = ACTIONS(5580),
    [anon_sym_DOT_DOT] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_QMARK_QMARK] = ACTIONS(5580),
    [anon_sym_into] = ACTIONS(5580),
    [anon_sym_on] = ACTIONS(5580),
    [anon_sym_equals] = ACTIONS(5580),
    [anon_sym_by] = ACTIONS(5580),
    [anon_sym_as] = ACTIONS(5580),
    [anon_sym_is] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [anon_sym_with] = ACTIONS(5580),
    [aux_sym_preproc_if_token3] = ACTIONS(5580),
    [aux_sym_preproc_else_token1] = ACTIONS(5580),
    [aux_sym_preproc_elif_token1] = ACTIONS(5580),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4078] = {
    [sym_preproc_region] = STATE(4078),
    [sym_preproc_endregion] = STATE(4078),
    [sym_preproc_line] = STATE(4078),
    [sym_preproc_pragma] = STATE(4078),
    [sym_preproc_nullable] = STATE(4078),
    [sym_preproc_error] = STATE(4078),
    [sym_preproc_define] = STATE(4078),
    [sym_preproc_undef] = STATE(4078),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_LPAREN] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_in] = ACTIONS(5962),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_BANG] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_GT_GT_GT] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_EQ_GT] = ACTIONS(5960),
    [anon_sym_switch] = ACTIONS(5960),
    [anon_sym_when] = ACTIONS(5960),
    [anon_sym_DOT_DOT] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_QMARK_QMARK] = ACTIONS(5960),
    [anon_sym_into] = ACTIONS(5960),
    [anon_sym_on] = ACTIONS(5960),
    [anon_sym_equals] = ACTIONS(5960),
    [anon_sym_by] = ACTIONS(5960),
    [anon_sym_as] = ACTIONS(5960),
    [anon_sym_is] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [anon_sym_with] = ACTIONS(5960),
    [aux_sym_preproc_if_token3] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5960),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4079] = {
    [sym_preproc_region] = STATE(4079),
    [sym_preproc_endregion] = STATE(4079),
    [sym_preproc_line] = STATE(4079),
    [sym_preproc_pragma] = STATE(4079),
    [sym_preproc_nullable] = STATE(4079),
    [sym_preproc_error] = STATE(4079),
    [sym_preproc_define] = STATE(4079),
    [sym_preproc_undef] = STATE(4079),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_LPAREN] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_in] = ACTIONS(5962),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_BANG] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_GT_GT_GT] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_EQ_GT] = ACTIONS(5960),
    [anon_sym_switch] = ACTIONS(5960),
    [anon_sym_when] = ACTIONS(5960),
    [anon_sym_DOT_DOT] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_QMARK_QMARK] = ACTIONS(5960),
    [anon_sym_into] = ACTIONS(5960),
    [anon_sym_on] = ACTIONS(5960),
    [anon_sym_equals] = ACTIONS(5960),
    [anon_sym_by] = ACTIONS(5960),
    [anon_sym_as] = ACTIONS(5960),
    [anon_sym_is] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [anon_sym_with] = ACTIONS(5960),
    [aux_sym_preproc_if_token3] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5960),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4080] = {
    [sym_preproc_region] = STATE(4080),
    [sym_preproc_endregion] = STATE(4080),
    [sym_preproc_line] = STATE(4080),
    [sym_preproc_pragma] = STATE(4080),
    [sym_preproc_nullable] = STATE(4080),
    [sym_preproc_error] = STATE(4080),
    [sym_preproc_define] = STATE(4080),
    [sym_preproc_undef] = STATE(4080),
    [anon_sym_SEMI] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_COLON] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [anon_sym_RBRACK] = ACTIONS(5451),
    [anon_sym_LPAREN] = ACTIONS(5451),
    [anon_sym_RPAREN] = ACTIONS(5451),
    [anon_sym_RBRACE] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_in] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5453),
    [anon_sym_BANG] = ACTIONS(5453),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5451),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5451),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_GT_GT_GT] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_EQ_GT] = ACTIONS(5451),
    [anon_sym_switch] = ACTIONS(5451),
    [anon_sym_when] = ACTIONS(5451),
    [anon_sym_DOT_DOT] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5451),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_QMARK_QMARK] = ACTIONS(5451),
    [anon_sym_into] = ACTIONS(5451),
    [anon_sym_on] = ACTIONS(5451),
    [anon_sym_equals] = ACTIONS(5451),
    [anon_sym_by] = ACTIONS(5451),
    [anon_sym_as] = ACTIONS(5451),
    [anon_sym_is] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_with] = ACTIONS(5451),
    [aux_sym_preproc_if_token3] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4081] = {
    [sym_preproc_region] = STATE(4081),
    [sym_preproc_endregion] = STATE(4081),
    [sym_preproc_line] = STATE(4081),
    [sym_preproc_pragma] = STATE(4081),
    [sym_preproc_nullable] = STATE(4081),
    [sym_preproc_error] = STATE(4081),
    [sym_preproc_define] = STATE(4081),
    [sym_preproc_undef] = STATE(4081),
    [anon_sym_SEMI] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_COLON] = ACTIONS(5463),
    [anon_sym_COMMA] = ACTIONS(5463),
    [anon_sym_RBRACK] = ACTIONS(5463),
    [anon_sym_LPAREN] = ACTIONS(5463),
    [anon_sym_RPAREN] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5463),
    [anon_sym_LT] = ACTIONS(5465),
    [anon_sym_GT] = ACTIONS(5465),
    [anon_sym_in] = ACTIONS(5465),
    [anon_sym_QMARK] = ACTIONS(5465),
    [anon_sym_BANG] = ACTIONS(5465),
    [anon_sym_PLUS_PLUS] = ACTIONS(5463),
    [anon_sym_DASH_DASH] = ACTIONS(5463),
    [anon_sym_PLUS] = ACTIONS(5465),
    [anon_sym_DASH] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5463),
    [anon_sym_SLASH] = ACTIONS(5465),
    [anon_sym_PERCENT] = ACTIONS(5463),
    [anon_sym_CARET] = ACTIONS(5463),
    [anon_sym_PIPE] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5465),
    [anon_sym_LT_LT] = ACTIONS(5463),
    [anon_sym_GT_GT] = ACTIONS(5465),
    [anon_sym_GT_GT_GT] = ACTIONS(5463),
    [anon_sym_EQ_EQ] = ACTIONS(5463),
    [anon_sym_BANG_EQ] = ACTIONS(5463),
    [anon_sym_GT_EQ] = ACTIONS(5463),
    [anon_sym_LT_EQ] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_EQ_GT] = ACTIONS(5463),
    [anon_sym_switch] = ACTIONS(5463),
    [anon_sym_when] = ACTIONS(5463),
    [anon_sym_DOT_DOT] = ACTIONS(5463),
    [anon_sym_and] = ACTIONS(5463),
    [anon_sym_or] = ACTIONS(5463),
    [anon_sym_AMP_AMP] = ACTIONS(5463),
    [anon_sym_PIPE_PIPE] = ACTIONS(5463),
    [anon_sym_QMARK_QMARK] = ACTIONS(5463),
    [anon_sym_into] = ACTIONS(5463),
    [anon_sym_on] = ACTIONS(5463),
    [anon_sym_equals] = ACTIONS(5463),
    [anon_sym_by] = ACTIONS(5463),
    [anon_sym_as] = ACTIONS(5463),
    [anon_sym_is] = ACTIONS(5463),
    [anon_sym_DASH_GT] = ACTIONS(5463),
    [anon_sym_with] = ACTIONS(5463),
    [aux_sym_preproc_if_token3] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4082] = {
    [sym_preproc_region] = STATE(4082),
    [sym_preproc_endregion] = STATE(4082),
    [sym_preproc_line] = STATE(4082),
    [sym_preproc_pragma] = STATE(4082),
    [sym_preproc_nullable] = STATE(4082),
    [sym_preproc_error] = STATE(4082),
    [sym_preproc_define] = STATE(4082),
    [sym_preproc_undef] = STATE(4082),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_LPAREN] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LT] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5630),
    [anon_sym_in] = ACTIONS(5630),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_BANG] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5630),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5630),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5630),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5630),
    [anon_sym_GT_GT_GT] = ACTIONS(5628),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_EQ_GT] = ACTIONS(5628),
    [anon_sym_switch] = ACTIONS(5628),
    [anon_sym_when] = ACTIONS(5628),
    [anon_sym_DOT_DOT] = ACTIONS(5628),
    [anon_sym_and] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_QMARK_QMARK] = ACTIONS(5628),
    [anon_sym_into] = ACTIONS(5628),
    [anon_sym_on] = ACTIONS(5628),
    [anon_sym_equals] = ACTIONS(5628),
    [anon_sym_by] = ACTIONS(5628),
    [anon_sym_as] = ACTIONS(5628),
    [anon_sym_is] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [anon_sym_with] = ACTIONS(5628),
    [aux_sym_preproc_if_token3] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5628),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4083] = {
    [sym_preproc_region] = STATE(4083),
    [sym_preproc_endregion] = STATE(4083),
    [sym_preproc_line] = STATE(4083),
    [sym_preproc_pragma] = STATE(4083),
    [sym_preproc_nullable] = STATE(4083),
    [sym_preproc_error] = STATE(4083),
    [sym_preproc_define] = STATE(4083),
    [sym_preproc_undef] = STATE(4083),
    [anon_sym_SEMI] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [anon_sym_COLON] = ACTIONS(5632),
    [anon_sym_COMMA] = ACTIONS(5632),
    [anon_sym_RBRACK] = ACTIONS(5632),
    [anon_sym_LPAREN] = ACTIONS(5632),
    [anon_sym_RPAREN] = ACTIONS(5632),
    [anon_sym_RBRACE] = ACTIONS(5632),
    [anon_sym_LT] = ACTIONS(5634),
    [anon_sym_GT] = ACTIONS(5634),
    [anon_sym_in] = ACTIONS(5634),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_BANG] = ACTIONS(5634),
    [anon_sym_PLUS_PLUS] = ACTIONS(5632),
    [anon_sym_DASH_DASH] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5632),
    [anon_sym_SLASH] = ACTIONS(5634),
    [anon_sym_PERCENT] = ACTIONS(5632),
    [anon_sym_CARET] = ACTIONS(5632),
    [anon_sym_PIPE] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5634),
    [anon_sym_LT_LT] = ACTIONS(5632),
    [anon_sym_GT_GT] = ACTIONS(5634),
    [anon_sym_GT_GT_GT] = ACTIONS(5632),
    [anon_sym_EQ_EQ] = ACTIONS(5632),
    [anon_sym_BANG_EQ] = ACTIONS(5632),
    [anon_sym_GT_EQ] = ACTIONS(5632),
    [anon_sym_LT_EQ] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_EQ_GT] = ACTIONS(5632),
    [anon_sym_switch] = ACTIONS(5632),
    [anon_sym_when] = ACTIONS(5632),
    [anon_sym_DOT_DOT] = ACTIONS(5632),
    [anon_sym_and] = ACTIONS(5632),
    [anon_sym_or] = ACTIONS(5632),
    [anon_sym_AMP_AMP] = ACTIONS(5632),
    [anon_sym_PIPE_PIPE] = ACTIONS(5632),
    [anon_sym_QMARK_QMARK] = ACTIONS(5632),
    [anon_sym_into] = ACTIONS(5632),
    [anon_sym_on] = ACTIONS(5632),
    [anon_sym_equals] = ACTIONS(5632),
    [anon_sym_by] = ACTIONS(5632),
    [anon_sym_as] = ACTIONS(5632),
    [anon_sym_is] = ACTIONS(5632),
    [anon_sym_DASH_GT] = ACTIONS(5632),
    [anon_sym_with] = ACTIONS(5632),
    [aux_sym_preproc_if_token3] = ACTIONS(5632),
    [aux_sym_preproc_else_token1] = ACTIONS(5632),
    [aux_sym_preproc_elif_token1] = ACTIONS(5632),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4084] = {
    [sym_preproc_region] = STATE(4084),
    [sym_preproc_endregion] = STATE(4084),
    [sym_preproc_line] = STATE(4084),
    [sym_preproc_pragma] = STATE(4084),
    [sym_preproc_nullable] = STATE(4084),
    [sym_preproc_error] = STATE(4084),
    [sym_preproc_define] = STATE(4084),
    [sym_preproc_undef] = STATE(4084),
    [anon_sym_SEMI] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [anon_sym_RBRACK] = ACTIONS(5642),
    [anon_sym_LPAREN] = ACTIONS(5642),
    [anon_sym_RPAREN] = ACTIONS(5642),
    [anon_sym_RBRACE] = ACTIONS(5642),
    [anon_sym_LT] = ACTIONS(5644),
    [anon_sym_GT] = ACTIONS(5644),
    [anon_sym_in] = ACTIONS(5644),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_BANG] = ACTIONS(5644),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5644),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_CARET] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(5644),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5644),
    [anon_sym_GT_GT_GT] = ACTIONS(5642),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5644),
    [anon_sym_EQ_GT] = ACTIONS(5642),
    [anon_sym_switch] = ACTIONS(5642),
    [anon_sym_when] = ACTIONS(5642),
    [anon_sym_DOT_DOT] = ACTIONS(5642),
    [anon_sym_and] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5642),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_QMARK_QMARK] = ACTIONS(5642),
    [anon_sym_into] = ACTIONS(5642),
    [anon_sym_on] = ACTIONS(5642),
    [anon_sym_equals] = ACTIONS(5642),
    [anon_sym_by] = ACTIONS(5642),
    [anon_sym_as] = ACTIONS(5642),
    [anon_sym_is] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [anon_sym_with] = ACTIONS(5642),
    [aux_sym_preproc_if_token3] = ACTIONS(5642),
    [aux_sym_preproc_else_token1] = ACTIONS(5642),
    [aux_sym_preproc_elif_token1] = ACTIONS(5642),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4085] = {
    [sym_preproc_region] = STATE(4085),
    [sym_preproc_endregion] = STATE(4085),
    [sym_preproc_line] = STATE(4085),
    [sym_preproc_pragma] = STATE(4085),
    [sym_preproc_nullable] = STATE(4085),
    [sym_preproc_error] = STATE(4085),
    [sym_preproc_define] = STATE(4085),
    [sym_preproc_undef] = STATE(4085),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_LPAREN] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_in] = ACTIONS(5666),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_BANG] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_GT_GT_GT] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_EQ_GT] = ACTIONS(5664),
    [anon_sym_switch] = ACTIONS(5664),
    [anon_sym_when] = ACTIONS(5664),
    [anon_sym_DOT_DOT] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_QMARK_QMARK] = ACTIONS(5664),
    [anon_sym_into] = ACTIONS(5664),
    [anon_sym_on] = ACTIONS(5664),
    [anon_sym_equals] = ACTIONS(5664),
    [anon_sym_by] = ACTIONS(5664),
    [anon_sym_as] = ACTIONS(5664),
    [anon_sym_is] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_with] = ACTIONS(5664),
    [aux_sym_preproc_if_token3] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4086] = {
    [sym_preproc_region] = STATE(4086),
    [sym_preproc_endregion] = STATE(4086),
    [sym_preproc_line] = STATE(4086),
    [sym_preproc_pragma] = STATE(4086),
    [sym_preproc_nullable] = STATE(4086),
    [sym_preproc_error] = STATE(4086),
    [sym_preproc_define] = STATE(4086),
    [sym_preproc_undef] = STATE(4086),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym_LPAREN] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_in] = ACTIONS(4130),
    [anon_sym_QMARK] = ACTIONS(4128),
    [anon_sym_BANG] = ACTIONS(4128),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4130),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4130),
    [anon_sym_CARET] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4130),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_GT_GT_GT] = ACTIONS(4130),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_EQ_GT] = ACTIONS(4130),
    [anon_sym_switch] = ACTIONS(4130),
    [anon_sym_when] = ACTIONS(4130),
    [anon_sym_DOT_DOT] = ACTIONS(4130),
    [anon_sym_and] = ACTIONS(4130),
    [anon_sym_or] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_QMARK_QMARK] = ACTIONS(4130),
    [anon_sym_on] = ACTIONS(4130),
    [anon_sym_equals] = ACTIONS(4130),
    [anon_sym_by] = ACTIONS(4130),
    [anon_sym_as] = ACTIONS(4130),
    [anon_sym_is] = ACTIONS(4130),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [anon_sym_with] = ACTIONS(4130),
    [aux_sym_preproc_if_token3] = ACTIONS(4130),
    [aux_sym_preproc_else_token1] = ACTIONS(4130),
    [aux_sym_preproc_elif_token1] = ACTIONS(4130),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4087] = {
    [sym_preproc_region] = STATE(4087),
    [sym_preproc_endregion] = STATE(4087),
    [sym_preproc_line] = STATE(4087),
    [sym_preproc_pragma] = STATE(4087),
    [sym_preproc_nullable] = STATE(4087),
    [sym_preproc_error] = STATE(4087),
    [sym_preproc_define] = STATE(4087),
    [sym_preproc_undef] = STATE(4087),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_LPAREN] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_in] = ACTIONS(5678),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_BANG] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_GT_GT_GT] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_EQ_GT] = ACTIONS(5676),
    [anon_sym_switch] = ACTIONS(5676),
    [anon_sym_when] = ACTIONS(5676),
    [anon_sym_DOT_DOT] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_QMARK_QMARK] = ACTIONS(5676),
    [anon_sym_into] = ACTIONS(5676),
    [anon_sym_on] = ACTIONS(5676),
    [anon_sym_equals] = ACTIONS(5676),
    [anon_sym_by] = ACTIONS(5676),
    [anon_sym_as] = ACTIONS(5676),
    [anon_sym_is] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_with] = ACTIONS(5676),
    [aux_sym_preproc_if_token3] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4088] = {
    [sym_preproc_region] = STATE(4088),
    [sym_preproc_endregion] = STATE(4088),
    [sym_preproc_line] = STATE(4088),
    [sym_preproc_pragma] = STATE(4088),
    [sym_preproc_nullable] = STATE(4088),
    [sym_preproc_error] = STATE(4088),
    [sym_preproc_define] = STATE(4088),
    [sym_preproc_undef] = STATE(4088),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RBRACK] = ACTIONS(5656),
    [anon_sym_LPAREN] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_in] = ACTIONS(5658),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_BANG] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5656),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_GT_GT_GT] = ACTIONS(5656),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(5656),
    [anon_sym_switch] = ACTIONS(5656),
    [anon_sym_when] = ACTIONS(5656),
    [anon_sym_DOT_DOT] = ACTIONS(5656),
    [anon_sym_and] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_QMARK_QMARK] = ACTIONS(5656),
    [anon_sym_into] = ACTIONS(5656),
    [anon_sym_on] = ACTIONS(5656),
    [anon_sym_equals] = ACTIONS(5656),
    [anon_sym_by] = ACTIONS(5656),
    [anon_sym_as] = ACTIONS(5656),
    [anon_sym_is] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [anon_sym_with] = ACTIONS(5656),
    [aux_sym_preproc_if_token3] = ACTIONS(5656),
    [aux_sym_preproc_else_token1] = ACTIONS(5656),
    [aux_sym_preproc_elif_token1] = ACTIONS(5656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4089] = {
    [sym_preproc_region] = STATE(4089),
    [sym_preproc_endregion] = STATE(4089),
    [sym_preproc_line] = STATE(4089),
    [sym_preproc_pragma] = STATE(4089),
    [sym_preproc_nullable] = STATE(4089),
    [sym_preproc_error] = STATE(4089),
    [sym_preproc_define] = STATE(4089),
    [sym_preproc_undef] = STATE(4089),
    [anon_sym_SEMI] = ACTIONS(5879),
    [anon_sym_LBRACK] = ACTIONS(5879),
    [anon_sym_COLON] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(5879),
    [anon_sym_RBRACK] = ACTIONS(5879),
    [anon_sym_LPAREN] = ACTIONS(5879),
    [anon_sym_RPAREN] = ACTIONS(5879),
    [anon_sym_RBRACE] = ACTIONS(5879),
    [anon_sym_LT] = ACTIONS(5881),
    [anon_sym_GT] = ACTIONS(5881),
    [anon_sym_in] = ACTIONS(5879),
    [anon_sym_QMARK] = ACTIONS(5881),
    [anon_sym_BANG] = ACTIONS(5881),
    [anon_sym_PLUS_PLUS] = ACTIONS(5879),
    [anon_sym_DASH_DASH] = ACTIONS(5879),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_STAR] = ACTIONS(5879),
    [anon_sym_SLASH] = ACTIONS(5881),
    [anon_sym_PERCENT] = ACTIONS(5879),
    [anon_sym_CARET] = ACTIONS(5879),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(5881),
    [anon_sym_LT_LT] = ACTIONS(5879),
    [anon_sym_GT_GT] = ACTIONS(5881),
    [anon_sym_GT_GT_GT] = ACTIONS(5879),
    [anon_sym_EQ_EQ] = ACTIONS(5879),
    [anon_sym_BANG_EQ] = ACTIONS(5879),
    [anon_sym_GT_EQ] = ACTIONS(5879),
    [anon_sym_LT_EQ] = ACTIONS(5879),
    [anon_sym_DOT] = ACTIONS(5881),
    [anon_sym_EQ_GT] = ACTIONS(5879),
    [anon_sym_switch] = ACTIONS(5879),
    [anon_sym_when] = ACTIONS(5879),
    [anon_sym_DOT_DOT] = ACTIONS(5879),
    [anon_sym_and] = ACTIONS(5879),
    [anon_sym_or] = ACTIONS(5879),
    [anon_sym_AMP_AMP] = ACTIONS(5879),
    [anon_sym_PIPE_PIPE] = ACTIONS(5879),
    [anon_sym_QMARK_QMARK] = ACTIONS(5879),
    [anon_sym_on] = ACTIONS(5879),
    [anon_sym_equals] = ACTIONS(5879),
    [anon_sym_by] = ACTIONS(5879),
    [anon_sym_as] = ACTIONS(5879),
    [anon_sym_is] = ACTIONS(5879),
    [anon_sym_DASH_GT] = ACTIONS(5879),
    [anon_sym_with] = ACTIONS(5879),
    [aux_sym_preproc_if_token3] = ACTIONS(5879),
    [aux_sym_preproc_else_token1] = ACTIONS(5879),
    [aux_sym_preproc_elif_token1] = ACTIONS(5879),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4090] = {
    [sym_preproc_region] = STATE(4090),
    [sym_preproc_endregion] = STATE(4090),
    [sym_preproc_line] = STATE(4090),
    [sym_preproc_pragma] = STATE(4090),
    [sym_preproc_nullable] = STATE(4090),
    [sym_preproc_error] = STATE(4090),
    [sym_preproc_define] = STATE(4090),
    [sym_preproc_undef] = STATE(4090),
    [anon_sym_EQ] = ACTIONS(5964),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5966),
    [anon_sym_DASH_EQ] = ACTIONS(5966),
    [anon_sym_STAR_EQ] = ACTIONS(5966),
    [anon_sym_SLASH_EQ] = ACTIONS(5966),
    [anon_sym_PERCENT_EQ] = ACTIONS(5966),
    [anon_sym_AMP_EQ] = ACTIONS(5966),
    [anon_sym_CARET_EQ] = ACTIONS(5966),
    [anon_sym_PIPE_EQ] = ACTIONS(5966),
    [anon_sym_LT_LT_EQ] = ACTIONS(5966),
    [anon_sym_GT_GT_EQ] = ACTIONS(5966),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5966),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(5305),
  },
  [4091] = {
    [sym_preproc_region] = STATE(4091),
    [sym_preproc_endregion] = STATE(4091),
    [sym_preproc_line] = STATE(4091),
    [sym_preproc_pragma] = STATE(4091),
    [sym_preproc_nullable] = STATE(4091),
    [sym_preproc_error] = STATE(4091),
    [sym_preproc_define] = STATE(4091),
    [sym_preproc_undef] = STATE(4091),
    [anon_sym_SEMI] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_COMMA] = ACTIONS(5544),
    [anon_sym_RBRACK] = ACTIONS(5544),
    [anon_sym_LPAREN] = ACTIONS(5544),
    [anon_sym_RPAREN] = ACTIONS(5544),
    [anon_sym_RBRACE] = ACTIONS(5544),
    [anon_sym_LT] = ACTIONS(5546),
    [anon_sym_GT] = ACTIONS(5546),
    [anon_sym_in] = ACTIONS(5544),
    [anon_sym_QMARK] = ACTIONS(5546),
    [anon_sym_BANG] = ACTIONS(5546),
    [anon_sym_PLUS_PLUS] = ACTIONS(5544),
    [anon_sym_DASH_DASH] = ACTIONS(5544),
    [anon_sym_PLUS] = ACTIONS(5546),
    [anon_sym_DASH] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5546),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_CARET] = ACTIONS(5544),
    [anon_sym_PIPE] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5546),
    [anon_sym_GT_GT_GT] = ACTIONS(5544),
    [anon_sym_EQ_EQ] = ACTIONS(5544),
    [anon_sym_BANG_EQ] = ACTIONS(5544),
    [anon_sym_GT_EQ] = ACTIONS(5544),
    [anon_sym_LT_EQ] = ACTIONS(5544),
    [anon_sym_DOT] = ACTIONS(5546),
    [anon_sym_EQ_GT] = ACTIONS(5544),
    [anon_sym_switch] = ACTIONS(5544),
    [anon_sym_when] = ACTIONS(5544),
    [anon_sym_DOT_DOT] = ACTIONS(5544),
    [anon_sym_and] = ACTIONS(5544),
    [anon_sym_or] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_QMARK_QMARK] = ACTIONS(5544),
    [anon_sym_on] = ACTIONS(5544),
    [anon_sym_equals] = ACTIONS(5544),
    [anon_sym_by] = ACTIONS(5544),
    [anon_sym_as] = ACTIONS(5544),
    [anon_sym_is] = ACTIONS(5544),
    [anon_sym_DASH_GT] = ACTIONS(5544),
    [anon_sym_with] = ACTIONS(5544),
    [aux_sym_preproc_if_token3] = ACTIONS(5544),
    [aux_sym_preproc_else_token1] = ACTIONS(5544),
    [aux_sym_preproc_elif_token1] = ACTIONS(5544),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4092] = {
    [sym_preproc_region] = STATE(4092),
    [sym_preproc_endregion] = STATE(4092),
    [sym_preproc_line] = STATE(4092),
    [sym_preproc_pragma] = STATE(4092),
    [sym_preproc_nullable] = STATE(4092),
    [sym_preproc_error] = STATE(4092),
    [sym_preproc_define] = STATE(4092),
    [sym_preproc_undef] = STATE(4092),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5944),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_COMMA] = ACTIONS(5944),
    [anon_sym_RBRACK] = ACTIONS(5944),
    [anon_sym_LPAREN] = ACTIONS(5944),
    [anon_sym_RPAREN] = ACTIONS(5944),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_GT] = ACTIONS(5946),
    [anon_sym_in] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5946),
    [anon_sym_BANG] = ACTIONS(5946),
    [anon_sym_PLUS_PLUS] = ACTIONS(5944),
    [anon_sym_DASH_DASH] = ACTIONS(5944),
    [anon_sym_PLUS] = ACTIONS(5946),
    [anon_sym_DASH] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5944),
    [anon_sym_SLASH] = ACTIONS(5946),
    [anon_sym_PERCENT] = ACTIONS(5944),
    [anon_sym_CARET] = ACTIONS(5944),
    [anon_sym_PIPE] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_LT_LT] = ACTIONS(5944),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym_GT_GT_GT] = ACTIONS(5944),
    [anon_sym_EQ_EQ] = ACTIONS(5944),
    [anon_sym_BANG_EQ] = ACTIONS(5944),
    [anon_sym_GT_EQ] = ACTIONS(5944),
    [anon_sym_LT_EQ] = ACTIONS(5944),
    [anon_sym_DOT] = ACTIONS(5946),
    [anon_sym_EQ_GT] = ACTIONS(5944),
    [anon_sym_switch] = ACTIONS(5944),
    [anon_sym_when] = ACTIONS(5944),
    [anon_sym_DOT_DOT] = ACTIONS(5944),
    [anon_sym_and] = ACTIONS(5944),
    [anon_sym_or] = ACTIONS(5944),
    [anon_sym_AMP_AMP] = ACTIONS(5944),
    [anon_sym_PIPE_PIPE] = ACTIONS(5944),
    [anon_sym_QMARK_QMARK] = ACTIONS(5944),
    [anon_sym_on] = ACTIONS(5944),
    [anon_sym_equals] = ACTIONS(5944),
    [anon_sym_by] = ACTIONS(5944),
    [anon_sym_as] = ACTIONS(5944),
    [anon_sym_is] = ACTIONS(5944),
    [anon_sym_DASH_GT] = ACTIONS(5944),
    [anon_sym_with] = ACTIONS(5944),
    [aux_sym_preproc_if_token3] = ACTIONS(5944),
    [aux_sym_preproc_else_token1] = ACTIONS(5944),
    [aux_sym_preproc_elif_token1] = ACTIONS(5944),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4093] = {
    [sym_preproc_region] = STATE(4093),
    [sym_preproc_endregion] = STATE(4093),
    [sym_preproc_line] = STATE(4093),
    [sym_preproc_pragma] = STATE(4093),
    [sym_preproc_nullable] = STATE(4093),
    [sym_preproc_error] = STATE(4093),
    [sym_preproc_define] = STATE(4093),
    [sym_preproc_undef] = STATE(4093),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_LPAREN] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5678),
    [anon_sym_BANG] = ACTIONS(5678),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5676),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_GT_GT_GT] = ACTIONS(5676),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_EQ_GT] = ACTIONS(5676),
    [anon_sym_switch] = ACTIONS(5676),
    [anon_sym_when] = ACTIONS(5676),
    [anon_sym_DOT_DOT] = ACTIONS(5676),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE] = ACTIONS(5676),
    [anon_sym_QMARK_QMARK] = ACTIONS(5676),
    [anon_sym_on] = ACTIONS(5676),
    [anon_sym_equals] = ACTIONS(5676),
    [anon_sym_by] = ACTIONS(5676),
    [anon_sym_as] = ACTIONS(5676),
    [anon_sym_is] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_with] = ACTIONS(5676),
    [aux_sym_preproc_if_token3] = ACTIONS(5676),
    [aux_sym_preproc_else_token1] = ACTIONS(5676),
    [aux_sym_preproc_elif_token1] = ACTIONS(5676),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4094] = {
    [sym_preproc_region] = STATE(4094),
    [sym_preproc_endregion] = STATE(4094),
    [sym_preproc_line] = STATE(4094),
    [sym_preproc_pragma] = STATE(4094),
    [sym_preproc_nullable] = STATE(4094),
    [sym_preproc_error] = STATE(4094),
    [sym_preproc_define] = STATE(4094),
    [sym_preproc_undef] = STATE(4094),
    [anon_sym_SEMI] = ACTIONS(5443),
    [anon_sym_LBRACK] = ACTIONS(5443),
    [anon_sym_COLON] = ACTIONS(5443),
    [anon_sym_COMMA] = ACTIONS(5443),
    [anon_sym_RBRACK] = ACTIONS(5443),
    [anon_sym_LPAREN] = ACTIONS(5443),
    [anon_sym_RPAREN] = ACTIONS(5443),
    [anon_sym_RBRACE] = ACTIONS(5443),
    [anon_sym_LT] = ACTIONS(5445),
    [anon_sym_GT] = ACTIONS(5445),
    [anon_sym_in] = ACTIONS(5443),
    [anon_sym_QMARK] = ACTIONS(5445),
    [anon_sym_BANG] = ACTIONS(5445),
    [anon_sym_PLUS_PLUS] = ACTIONS(5443),
    [anon_sym_DASH_DASH] = ACTIONS(5443),
    [anon_sym_PLUS] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5445),
    [anon_sym_STAR] = ACTIONS(5443),
    [anon_sym_SLASH] = ACTIONS(5445),
    [anon_sym_PERCENT] = ACTIONS(5443),
    [anon_sym_CARET] = ACTIONS(5443),
    [anon_sym_PIPE] = ACTIONS(5445),
    [anon_sym_AMP] = ACTIONS(5445),
    [anon_sym_LT_LT] = ACTIONS(5443),
    [anon_sym_GT_GT] = ACTIONS(5445),
    [anon_sym_GT_GT_GT] = ACTIONS(5443),
    [anon_sym_EQ_EQ] = ACTIONS(5443),
    [anon_sym_BANG_EQ] = ACTIONS(5443),
    [anon_sym_GT_EQ] = ACTIONS(5443),
    [anon_sym_LT_EQ] = ACTIONS(5443),
    [anon_sym_DOT] = ACTIONS(5445),
    [anon_sym_EQ_GT] = ACTIONS(5443),
    [anon_sym_switch] = ACTIONS(5443),
    [anon_sym_when] = ACTIONS(5443),
    [anon_sym_DOT_DOT] = ACTIONS(5443),
    [anon_sym_and] = ACTIONS(5443),
    [anon_sym_or] = ACTIONS(5443),
    [anon_sym_AMP_AMP] = ACTIONS(5443),
    [anon_sym_PIPE_PIPE] = ACTIONS(5443),
    [anon_sym_QMARK_QMARK] = ACTIONS(5443),
    [anon_sym_on] = ACTIONS(5443),
    [anon_sym_equals] = ACTIONS(5443),
    [anon_sym_by] = ACTIONS(5443),
    [anon_sym_as] = ACTIONS(5443),
    [anon_sym_is] = ACTIONS(5443),
    [anon_sym_DASH_GT] = ACTIONS(5443),
    [anon_sym_with] = ACTIONS(5443),
    [aux_sym_preproc_if_token3] = ACTIONS(5443),
    [aux_sym_preproc_else_token1] = ACTIONS(5443),
    [aux_sym_preproc_elif_token1] = ACTIONS(5443),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4095] = {
    [sym_preproc_region] = STATE(4095),
    [sym_preproc_endregion] = STATE(4095),
    [sym_preproc_line] = STATE(4095),
    [sym_preproc_pragma] = STATE(4095),
    [sym_preproc_nullable] = STATE(4095),
    [sym_preproc_error] = STATE(4095),
    [sym_preproc_define] = STATE(4095),
    [sym_preproc_undef] = STATE(4095),
    [anon_sym_SEMI] = ACTIONS(5893),
    [anon_sym_LBRACK] = ACTIONS(5893),
    [anon_sym_COLON] = ACTIONS(5893),
    [anon_sym_COMMA] = ACTIONS(5893),
    [anon_sym_RBRACK] = ACTIONS(5893),
    [anon_sym_LPAREN] = ACTIONS(5893),
    [anon_sym_RPAREN] = ACTIONS(5893),
    [anon_sym_RBRACE] = ACTIONS(5893),
    [anon_sym_LT] = ACTIONS(5895),
    [anon_sym_GT] = ACTIONS(5895),
    [anon_sym_in] = ACTIONS(5893),
    [anon_sym_QMARK] = ACTIONS(5895),
    [anon_sym_BANG] = ACTIONS(5895),
    [anon_sym_PLUS_PLUS] = ACTIONS(5893),
    [anon_sym_DASH_DASH] = ACTIONS(5893),
    [anon_sym_PLUS] = ACTIONS(5895),
    [anon_sym_DASH] = ACTIONS(5895),
    [anon_sym_STAR] = ACTIONS(5893),
    [anon_sym_SLASH] = ACTIONS(5895),
    [anon_sym_PERCENT] = ACTIONS(5893),
    [anon_sym_CARET] = ACTIONS(5893),
    [anon_sym_PIPE] = ACTIONS(5895),
    [anon_sym_AMP] = ACTIONS(5895),
    [anon_sym_LT_LT] = ACTIONS(5893),
    [anon_sym_GT_GT] = ACTIONS(5895),
    [anon_sym_GT_GT_GT] = ACTIONS(5893),
    [anon_sym_EQ_EQ] = ACTIONS(5893),
    [anon_sym_BANG_EQ] = ACTIONS(5893),
    [anon_sym_GT_EQ] = ACTIONS(5893),
    [anon_sym_LT_EQ] = ACTIONS(5893),
    [anon_sym_DOT] = ACTIONS(5895),
    [anon_sym_EQ_GT] = ACTIONS(5893),
    [anon_sym_switch] = ACTIONS(5893),
    [anon_sym_when] = ACTIONS(5893),
    [anon_sym_DOT_DOT] = ACTIONS(5893),
    [anon_sym_and] = ACTIONS(5893),
    [anon_sym_or] = ACTIONS(5893),
    [anon_sym_AMP_AMP] = ACTIONS(5893),
    [anon_sym_PIPE_PIPE] = ACTIONS(5893),
    [anon_sym_QMARK_QMARK] = ACTIONS(5893),
    [anon_sym_on] = ACTIONS(5893),
    [anon_sym_equals] = ACTIONS(5893),
    [anon_sym_by] = ACTIONS(5893),
    [anon_sym_as] = ACTIONS(5893),
    [anon_sym_is] = ACTIONS(5893),
    [anon_sym_DASH_GT] = ACTIONS(5893),
    [anon_sym_with] = ACTIONS(5893),
    [aux_sym_preproc_if_token3] = ACTIONS(5893),
    [aux_sym_preproc_else_token1] = ACTIONS(5893),
    [aux_sym_preproc_elif_token1] = ACTIONS(5893),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4096] = {
    [sym_preproc_region] = STATE(4096),
    [sym_preproc_endregion] = STATE(4096),
    [sym_preproc_line] = STATE(4096),
    [sym_preproc_pragma] = STATE(4096),
    [sym_preproc_nullable] = STATE(4096),
    [sym_preproc_error] = STATE(4096),
    [sym_preproc_define] = STATE(4096),
    [sym_preproc_undef] = STATE(4096),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym_LBRACK] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_RBRACK] = ACTIONS(5498),
    [anon_sym_LPAREN] = ACTIONS(5498),
    [anon_sym_RPAREN] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_in] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5500),
    [anon_sym_BANG] = ACTIONS(5500),
    [anon_sym_PLUS_PLUS] = ACTIONS(5498),
    [anon_sym_DASH_DASH] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5498),
    [anon_sym_CARET] = ACTIONS(5498),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5498),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_GT_GT_GT] = ACTIONS(5498),
    [anon_sym_EQ_EQ] = ACTIONS(5498),
    [anon_sym_BANG_EQ] = ACTIONS(5498),
    [anon_sym_GT_EQ] = ACTIONS(5498),
    [anon_sym_LT_EQ] = ACTIONS(5498),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_EQ_GT] = ACTIONS(5498),
    [anon_sym_switch] = ACTIONS(5498),
    [anon_sym_when] = ACTIONS(5498),
    [anon_sym_DOT_DOT] = ACTIONS(5498),
    [anon_sym_and] = ACTIONS(5498),
    [anon_sym_or] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE] = ACTIONS(5498),
    [anon_sym_QMARK_QMARK] = ACTIONS(5498),
    [anon_sym_on] = ACTIONS(5498),
    [anon_sym_equals] = ACTIONS(5498),
    [anon_sym_by] = ACTIONS(5498),
    [anon_sym_as] = ACTIONS(5498),
    [anon_sym_is] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(5498),
    [anon_sym_with] = ACTIONS(5498),
    [aux_sym_preproc_if_token3] = ACTIONS(5498),
    [aux_sym_preproc_else_token1] = ACTIONS(5498),
    [aux_sym_preproc_elif_token1] = ACTIONS(5498),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4097] = {
    [sym_type_parameter_constraint] = STATE(7904),
    [sym_constructor_constraint] = STATE(8171),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8176),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4097),
    [sym_preproc_endregion] = STATE(4097),
    [sym_preproc_line] = STATE(4097),
    [sym_preproc_pragma] = STATE(4097),
    [sym_preproc_nullable] = STATE(4097),
    [sym_preproc_error] = STATE(4097),
    [sym_preproc_define] = STATE(4097),
    [sym_preproc_undef] = STATE(4097),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(5968),
    [anon_sym_ref] = ACTIONS(5970),
    [anon_sym_struct] = ACTIONS(5972),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(5974),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(5976),
    [anon_sym_unmanaged] = ACTIONS(5976),
    [anon_sym_scoped] = ACTIONS(5978),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4098] = {
    [sym_preproc_region] = STATE(4098),
    [sym_preproc_endregion] = STATE(4098),
    [sym_preproc_line] = STATE(4098),
    [sym_preproc_pragma] = STATE(4098),
    [sym_preproc_nullable] = STATE(4098),
    [sym_preproc_error] = STATE(4098),
    [sym_preproc_define] = STATE(4098),
    [sym_preproc_undef] = STATE(4098),
    [anon_sym_SEMI] = ACTIONS(5948),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_COLON] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_RBRACK] = ACTIONS(5948),
    [anon_sym_LPAREN] = ACTIONS(5948),
    [anon_sym_RPAREN] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_LT] = ACTIONS(5950),
    [anon_sym_GT] = ACTIONS(5950),
    [anon_sym_in] = ACTIONS(5948),
    [anon_sym_QMARK] = ACTIONS(5950),
    [anon_sym_BANG] = ACTIONS(5950),
    [anon_sym_PLUS_PLUS] = ACTIONS(5948),
    [anon_sym_DASH_DASH] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5950),
    [anon_sym_DASH] = ACTIONS(5950),
    [anon_sym_STAR] = ACTIONS(5948),
    [anon_sym_SLASH] = ACTIONS(5950),
    [anon_sym_PERCENT] = ACTIONS(5948),
    [anon_sym_CARET] = ACTIONS(5948),
    [anon_sym_PIPE] = ACTIONS(5950),
    [anon_sym_AMP] = ACTIONS(5950),
    [anon_sym_LT_LT] = ACTIONS(5948),
    [anon_sym_GT_GT] = ACTIONS(5950),
    [anon_sym_GT_GT_GT] = ACTIONS(5948),
    [anon_sym_EQ_EQ] = ACTIONS(5948),
    [anon_sym_BANG_EQ] = ACTIONS(5948),
    [anon_sym_GT_EQ] = ACTIONS(5948),
    [anon_sym_LT_EQ] = ACTIONS(5948),
    [anon_sym_DOT] = ACTIONS(5950),
    [anon_sym_EQ_GT] = ACTIONS(5948),
    [anon_sym_switch] = ACTIONS(5948),
    [anon_sym_when] = ACTIONS(5948),
    [anon_sym_DOT_DOT] = ACTIONS(5948),
    [anon_sym_and] = ACTIONS(5948),
    [anon_sym_or] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_PIPE_PIPE] = ACTIONS(5948),
    [anon_sym_QMARK_QMARK] = ACTIONS(5948),
    [anon_sym_on] = ACTIONS(5948),
    [anon_sym_equals] = ACTIONS(5948),
    [anon_sym_by] = ACTIONS(5948),
    [anon_sym_as] = ACTIONS(5948),
    [anon_sym_is] = ACTIONS(5948),
    [anon_sym_DASH_GT] = ACTIONS(5948),
    [anon_sym_with] = ACTIONS(5948),
    [aux_sym_preproc_if_token3] = ACTIONS(5948),
    [aux_sym_preproc_else_token1] = ACTIONS(5948),
    [aux_sym_preproc_elif_token1] = ACTIONS(5948),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4099] = {
    [sym_preproc_region] = STATE(4099),
    [sym_preproc_endregion] = STATE(4099),
    [sym_preproc_line] = STATE(4099),
    [sym_preproc_pragma] = STATE(4099),
    [sym_preproc_nullable] = STATE(4099),
    [sym_preproc_error] = STATE(4099),
    [sym_preproc_define] = STATE(4099),
    [sym_preproc_undef] = STATE(4099),
    [anon_sym_SEMI] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5952),
    [anon_sym_COLON] = ACTIONS(5952),
    [anon_sym_COMMA] = ACTIONS(5952),
    [anon_sym_RBRACK] = ACTIONS(5952),
    [anon_sym_LPAREN] = ACTIONS(5952),
    [anon_sym_RPAREN] = ACTIONS(5952),
    [anon_sym_RBRACE] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5954),
    [anon_sym_in] = ACTIONS(5952),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_BANG] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5952),
    [anon_sym_DASH_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5954),
    [anon_sym_STAR] = ACTIONS(5952),
    [anon_sym_SLASH] = ACTIONS(5954),
    [anon_sym_PERCENT] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5952),
    [anon_sym_PIPE] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5954),
    [anon_sym_LT_LT] = ACTIONS(5952),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_GT_GT_GT] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5952),
    [anon_sym_BANG_EQ] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5952),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_DOT] = ACTIONS(5954),
    [anon_sym_EQ_GT] = ACTIONS(5952),
    [anon_sym_switch] = ACTIONS(5952),
    [anon_sym_when] = ACTIONS(5952),
    [anon_sym_DOT_DOT] = ACTIONS(5952),
    [anon_sym_and] = ACTIONS(5952),
    [anon_sym_or] = ACTIONS(5952),
    [anon_sym_AMP_AMP] = ACTIONS(5952),
    [anon_sym_PIPE_PIPE] = ACTIONS(5952),
    [anon_sym_QMARK_QMARK] = ACTIONS(5952),
    [anon_sym_on] = ACTIONS(5952),
    [anon_sym_equals] = ACTIONS(5952),
    [anon_sym_by] = ACTIONS(5952),
    [anon_sym_as] = ACTIONS(5952),
    [anon_sym_is] = ACTIONS(5952),
    [anon_sym_DASH_GT] = ACTIONS(5952),
    [anon_sym_with] = ACTIONS(5952),
    [aux_sym_preproc_if_token3] = ACTIONS(5952),
    [aux_sym_preproc_else_token1] = ACTIONS(5952),
    [aux_sym_preproc_elif_token1] = ACTIONS(5952),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4100] = {
    [sym_preproc_region] = STATE(4100),
    [sym_preproc_endregion] = STATE(4100),
    [sym_preproc_line] = STATE(4100),
    [sym_preproc_pragma] = STATE(4100),
    [sym_preproc_nullable] = STATE(4100),
    [sym_preproc_error] = STATE(4100),
    [sym_preproc_define] = STATE(4100),
    [sym_preproc_undef] = STATE(4100),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_COLON] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_LPAREN] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_in] = ACTIONS(5624),
    [anon_sym_QMARK] = ACTIONS(5626),
    [anon_sym_BANG] = ACTIONS(5626),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_GT_GT_GT] = ACTIONS(5624),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_EQ_GT] = ACTIONS(5624),
    [anon_sym_switch] = ACTIONS(5624),
    [anon_sym_when] = ACTIONS(5624),
    [anon_sym_DOT_DOT] = ACTIONS(5624),
    [anon_sym_and] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_QMARK_QMARK] = ACTIONS(5624),
    [anon_sym_on] = ACTIONS(5624),
    [anon_sym_equals] = ACTIONS(5624),
    [anon_sym_by] = ACTIONS(5624),
    [anon_sym_as] = ACTIONS(5624),
    [anon_sym_is] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [anon_sym_with] = ACTIONS(5624),
    [aux_sym_preproc_if_token3] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5624),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4101] = {
    [sym_preproc_region] = STATE(4101),
    [sym_preproc_endregion] = STATE(4101),
    [sym_preproc_line] = STATE(4101),
    [sym_preproc_pragma] = STATE(4101),
    [sym_preproc_nullable] = STATE(4101),
    [sym_preproc_error] = STATE(4101),
    [sym_preproc_define] = STATE(4101),
    [sym_preproc_undef] = STATE(4101),
    [anon_sym_SEMI] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_COLON] = ACTIONS(5526),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_RBRACK] = ACTIONS(5526),
    [anon_sym_LPAREN] = ACTIONS(5526),
    [anon_sym_RPAREN] = ACTIONS(5526),
    [anon_sym_RBRACE] = ACTIONS(5526),
    [anon_sym_LT] = ACTIONS(5528),
    [anon_sym_GT] = ACTIONS(5528),
    [anon_sym_in] = ACTIONS(5526),
    [anon_sym_QMARK] = ACTIONS(5528),
    [anon_sym_BANG] = ACTIONS(5528),
    [anon_sym_PLUS_PLUS] = ACTIONS(5526),
    [anon_sym_DASH_DASH] = ACTIONS(5526),
    [anon_sym_PLUS] = ACTIONS(5528),
    [anon_sym_DASH] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_SLASH] = ACTIONS(5528),
    [anon_sym_PERCENT] = ACTIONS(5526),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_PIPE] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym_LT_LT] = ACTIONS(5526),
    [anon_sym_GT_GT] = ACTIONS(5528),
    [anon_sym_GT_GT_GT] = ACTIONS(5526),
    [anon_sym_EQ_EQ] = ACTIONS(5526),
    [anon_sym_BANG_EQ] = ACTIONS(5526),
    [anon_sym_GT_EQ] = ACTIONS(5526),
    [anon_sym_LT_EQ] = ACTIONS(5526),
    [anon_sym_DOT] = ACTIONS(5528),
    [anon_sym_EQ_GT] = ACTIONS(5526),
    [anon_sym_switch] = ACTIONS(5526),
    [anon_sym_when] = ACTIONS(5526),
    [anon_sym_DOT_DOT] = ACTIONS(5526),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_or] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_PIPE_PIPE] = ACTIONS(5526),
    [anon_sym_QMARK_QMARK] = ACTIONS(5526),
    [anon_sym_on] = ACTIONS(5526),
    [anon_sym_equals] = ACTIONS(5526),
    [anon_sym_by] = ACTIONS(5526),
    [anon_sym_as] = ACTIONS(5526),
    [anon_sym_is] = ACTIONS(5526),
    [anon_sym_DASH_GT] = ACTIONS(5526),
    [anon_sym_with] = ACTIONS(5526),
    [aux_sym_preproc_if_token3] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4102] = {
    [sym_preproc_region] = STATE(4102),
    [sym_preproc_endregion] = STATE(4102),
    [sym_preproc_line] = STATE(4102),
    [sym_preproc_pragma] = STATE(4102),
    [sym_preproc_nullable] = STATE(4102),
    [sym_preproc_error] = STATE(4102),
    [sym_preproc_define] = STATE(4102),
    [sym_preproc_undef] = STATE(4102),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4791),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4103] = {
    [sym_preproc_region] = STATE(4103),
    [sym_preproc_endregion] = STATE(4103),
    [sym_preproc_line] = STATE(4103),
    [sym_preproc_pragma] = STATE(4103),
    [sym_preproc_nullable] = STATE(4103),
    [sym_preproc_error] = STATE(4103),
    [sym_preproc_define] = STATE(4103),
    [sym_preproc_undef] = STATE(4103),
    [anon_sym_SEMI] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_COLON] = ACTIONS(4276),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_RBRACK] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_RBRACE] = ACTIONS(4276),
    [anon_sym_LT] = ACTIONS(5921),
    [anon_sym_GT] = ACTIONS(5921),
    [anon_sym_in] = ACTIONS(4276),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_BANG] = ACTIONS(5921),
    [anon_sym_PLUS_PLUS] = ACTIONS(4276),
    [anon_sym_DASH_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(5921),
    [anon_sym_DASH] = ACTIONS(5921),
    [anon_sym_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(5921),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(5921),
    [anon_sym_AMP] = ACTIONS(5921),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_GT_GT] = ACTIONS(5921),
    [anon_sym_GT_GT_GT] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4276),
    [anon_sym_BANG_EQ] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4276),
    [anon_sym_LT_EQ] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(5921),
    [anon_sym_EQ_GT] = ACTIONS(4276),
    [anon_sym_switch] = ACTIONS(4276),
    [anon_sym_when] = ACTIONS(4276),
    [anon_sym_DOT_DOT] = ACTIONS(4276),
    [anon_sym_and] = ACTIONS(4276),
    [anon_sym_or] = ACTIONS(4276),
    [anon_sym_AMP_AMP] = ACTIONS(4276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4276),
    [anon_sym_QMARK_QMARK] = ACTIONS(4276),
    [anon_sym_on] = ACTIONS(4276),
    [anon_sym_equals] = ACTIONS(4276),
    [anon_sym_by] = ACTIONS(4276),
    [anon_sym_as] = ACTIONS(4276),
    [anon_sym_is] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4276),
    [anon_sym_with] = ACTIONS(4276),
    [aux_sym_preproc_if_token3] = ACTIONS(4276),
    [aux_sym_preproc_else_token1] = ACTIONS(4276),
    [aux_sym_preproc_elif_token1] = ACTIONS(4276),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4104] = {
    [sym_argument_list] = STATE(3608),
    [sym_initializer_expression] = STATE(3738),
    [sym_preproc_region] = STATE(4104),
    [sym_preproc_endregion] = STATE(4104),
    [sym_preproc_line] = STATE(4104),
    [sym_preproc_pragma] = STATE(4104),
    [sym_preproc_nullable] = STATE(4104),
    [sym_preproc_error] = STATE(4104),
    [sym_preproc_define] = STATE(4104),
    [sym_preproc_undef] = STATE(4104),
    [anon_sym_SEMI] = ACTIONS(5243),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_COLON] = ACTIONS(5243),
    [anon_sym_COMMA] = ACTIONS(5243),
    [anon_sym_RBRACK] = ACTIONS(5243),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5243),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(5243),
    [anon_sym_LT] = ACTIONS(5247),
    [anon_sym_GT] = ACTIONS(5247),
    [anon_sym_in] = ACTIONS(5243),
    [anon_sym_QMARK] = ACTIONS(5247),
    [anon_sym_BANG] = ACTIONS(5247),
    [anon_sym_PLUS_PLUS] = ACTIONS(5243),
    [anon_sym_DASH_DASH] = ACTIONS(5243),
    [anon_sym_PLUS] = ACTIONS(5247),
    [anon_sym_DASH] = ACTIONS(5247),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_SLASH] = ACTIONS(5247),
    [anon_sym_PERCENT] = ACTIONS(5243),
    [anon_sym_CARET] = ACTIONS(5243),
    [anon_sym_PIPE] = ACTIONS(5247),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_LT_LT] = ACTIONS(5243),
    [anon_sym_GT_GT] = ACTIONS(5247),
    [anon_sym_GT_GT_GT] = ACTIONS(5243),
    [anon_sym_EQ_EQ] = ACTIONS(5243),
    [anon_sym_BANG_EQ] = ACTIONS(5243),
    [anon_sym_GT_EQ] = ACTIONS(5243),
    [anon_sym_LT_EQ] = ACTIONS(5243),
    [anon_sym_DOT] = ACTIONS(5247),
    [anon_sym_EQ_GT] = ACTIONS(5243),
    [anon_sym_switch] = ACTIONS(5243),
    [anon_sym_DOT_DOT] = ACTIONS(5243),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_PIPE_PIPE] = ACTIONS(5243),
    [anon_sym_QMARK_QMARK] = ACTIONS(5243),
    [anon_sym_on] = ACTIONS(5243),
    [anon_sym_equals] = ACTIONS(5243),
    [anon_sym_by] = ACTIONS(5243),
    [anon_sym_as] = ACTIONS(5243),
    [anon_sym_is] = ACTIONS(5243),
    [anon_sym_DASH_GT] = ACTIONS(5243),
    [anon_sym_with] = ACTIONS(5243),
    [aux_sym_preproc_if_token3] = ACTIONS(5243),
    [aux_sym_preproc_else_token1] = ACTIONS(5243),
    [aux_sym_preproc_elif_token1] = ACTIONS(5243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4105] = {
    [sym_preproc_region] = STATE(4105),
    [sym_preproc_endregion] = STATE(4105),
    [sym_preproc_line] = STATE(4105),
    [sym_preproc_pragma] = STATE(4105),
    [sym_preproc_nullable] = STATE(4105),
    [sym_preproc_error] = STATE(4105),
    [sym_preproc_define] = STATE(4105),
    [sym_preproc_undef] = STATE(4105),
    [anon_sym_SEMI] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_COLON] = ACTIONS(2099),
    [anon_sym_COMMA] = ACTIONS(2099),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(2099),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2101),
    [anon_sym_GT] = ACTIONS(2101),
    [anon_sym_in] = ACTIONS(2099),
    [anon_sym_QMARK] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_STAR] = ACTIONS(2099),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_PERCENT] = ACTIONS(2099),
    [anon_sym_CARET] = ACTIONS(2099),
    [anon_sym_PIPE] = ACTIONS(2101),
    [anon_sym_AMP] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2099),
    [anon_sym_GT_GT] = ACTIONS(2101),
    [anon_sym_GT_GT_GT] = ACTIONS(2099),
    [anon_sym_EQ_EQ] = ACTIONS(2099),
    [anon_sym_BANG_EQ] = ACTIONS(2099),
    [anon_sym_GT_EQ] = ACTIONS(2099),
    [anon_sym_LT_EQ] = ACTIONS(2099),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_EQ_GT] = ACTIONS(2099),
    [anon_sym_switch] = ACTIONS(2099),
    [anon_sym_when] = ACTIONS(2099),
    [anon_sym_DOT_DOT] = ACTIONS(2099),
    [anon_sym_and] = ACTIONS(2099),
    [anon_sym_or] = ACTIONS(2099),
    [anon_sym_AMP_AMP] = ACTIONS(2099),
    [anon_sym_PIPE_PIPE] = ACTIONS(2099),
    [anon_sym_QMARK_QMARK] = ACTIONS(2099),
    [anon_sym_on] = ACTIONS(2099),
    [anon_sym_equals] = ACTIONS(2099),
    [anon_sym_by] = ACTIONS(2099),
    [anon_sym_as] = ACTIONS(2099),
    [anon_sym_is] = ACTIONS(2099),
    [anon_sym_DASH_GT] = ACTIONS(2099),
    [anon_sym_with] = ACTIONS(2099),
    [aux_sym_preproc_if_token3] = ACTIONS(2099),
    [aux_sym_preproc_else_token1] = ACTIONS(2099),
    [aux_sym_preproc_elif_token1] = ACTIONS(2099),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4106] = {
    [sym_preproc_region] = STATE(4106),
    [sym_preproc_endregion] = STATE(4106),
    [sym_preproc_line] = STATE(4106),
    [sym_preproc_pragma] = STATE(4106),
    [sym_preproc_nullable] = STATE(4106),
    [sym_preproc_error] = STATE(4106),
    [sym_preproc_define] = STATE(4106),
    [sym_preproc_undef] = STATE(4106),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_in] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5305),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5305),
    [anon_sym_CARET] = ACTIONS(5305),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5305),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5305),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_when] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5305),
    [anon_sym_on] = ACTIONS(5305),
    [anon_sym_equals] = ACTIONS(5305),
    [anon_sym_by] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4107] = {
    [sym_preproc_region] = STATE(4107),
    [sym_preproc_endregion] = STATE(4107),
    [sym_preproc_line] = STATE(4107),
    [sym_preproc_pragma] = STATE(4107),
    [sym_preproc_nullable] = STATE(4107),
    [sym_preproc_error] = STATE(4107),
    [sym_preproc_define] = STATE(4107),
    [sym_preproc_undef] = STATE(4107),
    [anon_sym_SEMI] = ACTIONS(5459),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym_COLON] = ACTIONS(5459),
    [anon_sym_COMMA] = ACTIONS(5459),
    [anon_sym_RBRACK] = ACTIONS(5459),
    [anon_sym_LPAREN] = ACTIONS(5459),
    [anon_sym_RPAREN] = ACTIONS(5459),
    [anon_sym_RBRACE] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5461),
    [anon_sym_GT] = ACTIONS(5461),
    [anon_sym_in] = ACTIONS(5459),
    [anon_sym_QMARK] = ACTIONS(5461),
    [anon_sym_BANG] = ACTIONS(5461),
    [anon_sym_PLUS_PLUS] = ACTIONS(5459),
    [anon_sym_DASH_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5461),
    [anon_sym_STAR] = ACTIONS(5459),
    [anon_sym_SLASH] = ACTIONS(5461),
    [anon_sym_PERCENT] = ACTIONS(5459),
    [anon_sym_CARET] = ACTIONS(5459),
    [anon_sym_PIPE] = ACTIONS(5461),
    [anon_sym_AMP] = ACTIONS(5461),
    [anon_sym_LT_LT] = ACTIONS(5459),
    [anon_sym_GT_GT] = ACTIONS(5461),
    [anon_sym_GT_GT_GT] = ACTIONS(5459),
    [anon_sym_EQ_EQ] = ACTIONS(5459),
    [anon_sym_BANG_EQ] = ACTIONS(5459),
    [anon_sym_GT_EQ] = ACTIONS(5459),
    [anon_sym_LT_EQ] = ACTIONS(5459),
    [anon_sym_DOT] = ACTIONS(5461),
    [anon_sym_EQ_GT] = ACTIONS(5459),
    [anon_sym_switch] = ACTIONS(5459),
    [anon_sym_when] = ACTIONS(5459),
    [anon_sym_DOT_DOT] = ACTIONS(5459),
    [anon_sym_and] = ACTIONS(5459),
    [anon_sym_or] = ACTIONS(5459),
    [anon_sym_AMP_AMP] = ACTIONS(5459),
    [anon_sym_PIPE_PIPE] = ACTIONS(5459),
    [anon_sym_QMARK_QMARK] = ACTIONS(5459),
    [anon_sym_on] = ACTIONS(5459),
    [anon_sym_equals] = ACTIONS(5459),
    [anon_sym_by] = ACTIONS(5459),
    [anon_sym_as] = ACTIONS(5459),
    [anon_sym_is] = ACTIONS(5459),
    [anon_sym_DASH_GT] = ACTIONS(5459),
    [anon_sym_with] = ACTIONS(5459),
    [aux_sym_preproc_if_token3] = ACTIONS(5459),
    [aux_sym_preproc_else_token1] = ACTIONS(5459),
    [aux_sym_preproc_elif_token1] = ACTIONS(5459),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4108] = {
    [sym_preproc_region] = STATE(4108),
    [sym_preproc_endregion] = STATE(4108),
    [sym_preproc_line] = STATE(4108),
    [sym_preproc_pragma] = STATE(4108),
    [sym_preproc_nullable] = STATE(4108),
    [sym_preproc_error] = STATE(4108),
    [sym_preproc_define] = STATE(4108),
    [sym_preproc_undef] = STATE(4108),
    [anon_sym_SEMI] = ACTIONS(4789),
    [anon_sym_LBRACK] = ACTIONS(5909),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_RBRACK] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(5909),
    [anon_sym_RPAREN] = ACTIONS(4789),
    [anon_sym_RBRACE] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_in] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(5912),
    [anon_sym_BANG] = ACTIONS(5912),
    [anon_sym_PLUS_PLUS] = ACTIONS(5909),
    [anon_sym_DASH_DASH] = ACTIONS(5909),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5909),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5909),
    [anon_sym_CARET] = ACTIONS(5909),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5909),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_GT_GT_GT] = ACTIONS(5909),
    [anon_sym_EQ_EQ] = ACTIONS(5909),
    [anon_sym_BANG_EQ] = ACTIONS(5909),
    [anon_sym_GT_EQ] = ACTIONS(5909),
    [anon_sym_LT_EQ] = ACTIONS(5909),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_EQ_GT] = ACTIONS(4789),
    [anon_sym_switch] = ACTIONS(5909),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(5909),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_AMP_AMP] = ACTIONS(5909),
    [anon_sym_PIPE_PIPE] = ACTIONS(5909),
    [anon_sym_QMARK_QMARK] = ACTIONS(5909),
    [anon_sym_on] = ACTIONS(4789),
    [anon_sym_equals] = ACTIONS(4789),
    [anon_sym_by] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(5909),
    [anon_sym_is] = ACTIONS(5909),
    [anon_sym_DASH_GT] = ACTIONS(5909),
    [anon_sym_with] = ACTIONS(5909),
    [aux_sym_preproc_if_token3] = ACTIONS(4789),
    [aux_sym_preproc_else_token1] = ACTIONS(4789),
    [aux_sym_preproc_elif_token1] = ACTIONS(4789),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4109] = {
    [sym_preproc_region] = STATE(4109),
    [sym_preproc_endregion] = STATE(4109),
    [sym_preproc_line] = STATE(4109),
    [sym_preproc_pragma] = STATE(4109),
    [sym_preproc_nullable] = STATE(4109),
    [sym_preproc_error] = STATE(4109),
    [sym_preproc_define] = STATE(4109),
    [sym_preproc_undef] = STATE(4109),
    [anon_sym_SEMI] = ACTIONS(4789),
    [anon_sym_LBRACK] = ACTIONS(5915),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_COMMA] = ACTIONS(4789),
    [anon_sym_RBRACK] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(5915),
    [anon_sym_RPAREN] = ACTIONS(4789),
    [anon_sym_RBRACE] = ACTIONS(4789),
    [anon_sym_LT] = ACTIONS(5918),
    [anon_sym_GT] = ACTIONS(5918),
    [anon_sym_in] = ACTIONS(4789),
    [anon_sym_QMARK] = ACTIONS(5918),
    [anon_sym_BANG] = ACTIONS(5918),
    [anon_sym_PLUS_PLUS] = ACTIONS(5915),
    [anon_sym_DASH_DASH] = ACTIONS(5915),
    [anon_sym_PLUS] = ACTIONS(5918),
    [anon_sym_DASH] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5915),
    [anon_sym_SLASH] = ACTIONS(5918),
    [anon_sym_PERCENT] = ACTIONS(5915),
    [anon_sym_CARET] = ACTIONS(5915),
    [anon_sym_PIPE] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5918),
    [anon_sym_LT_LT] = ACTIONS(5915),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_GT_GT_GT] = ACTIONS(5915),
    [anon_sym_EQ_EQ] = ACTIONS(5915),
    [anon_sym_BANG_EQ] = ACTIONS(5915),
    [anon_sym_GT_EQ] = ACTIONS(5915),
    [anon_sym_LT_EQ] = ACTIONS(5915),
    [anon_sym_DOT] = ACTIONS(5918),
    [anon_sym_EQ_GT] = ACTIONS(4789),
    [anon_sym_switch] = ACTIONS(5915),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(5915),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_AMP_AMP] = ACTIONS(5915),
    [anon_sym_PIPE_PIPE] = ACTIONS(5915),
    [anon_sym_QMARK_QMARK] = ACTIONS(5915),
    [anon_sym_on] = ACTIONS(4789),
    [anon_sym_equals] = ACTIONS(4789),
    [anon_sym_by] = ACTIONS(4789),
    [anon_sym_as] = ACTIONS(5915),
    [anon_sym_is] = ACTIONS(5915),
    [anon_sym_DASH_GT] = ACTIONS(5915),
    [anon_sym_with] = ACTIONS(5915),
    [aux_sym_preproc_if_token3] = ACTIONS(4789),
    [aux_sym_preproc_else_token1] = ACTIONS(4789),
    [aux_sym_preproc_elif_token1] = ACTIONS(4789),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4110] = {
    [sym_preproc_region] = STATE(4110),
    [sym_preproc_endregion] = STATE(4110),
    [sym_preproc_line] = STATE(4110),
    [sym_preproc_pragma] = STATE(4110),
    [sym_preproc_nullable] = STATE(4110),
    [sym_preproc_error] = STATE(4110),
    [sym_preproc_define] = STATE(4110),
    [sym_preproc_undef] = STATE(4110),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_LPAREN] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_in] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5654),
    [anon_sym_BANG] = ACTIONS(5654),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_GT_GT_GT] = ACTIONS(5652),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_EQ_GT] = ACTIONS(5652),
    [anon_sym_switch] = ACTIONS(5652),
    [anon_sym_when] = ACTIONS(5652),
    [anon_sym_DOT_DOT] = ACTIONS(5652),
    [anon_sym_and] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_QMARK_QMARK] = ACTIONS(5652),
    [anon_sym_on] = ACTIONS(5652),
    [anon_sym_equals] = ACTIONS(5652),
    [anon_sym_by] = ACTIONS(5652),
    [anon_sym_as] = ACTIONS(5652),
    [anon_sym_is] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [anon_sym_with] = ACTIONS(5652),
    [aux_sym_preproc_if_token3] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4111] = {
    [sym_preproc_region] = STATE(4111),
    [sym_preproc_endregion] = STATE(4111),
    [sym_preproc_line] = STATE(4111),
    [sym_preproc_pragma] = STATE(4111),
    [sym_preproc_nullable] = STATE(4111),
    [sym_preproc_error] = STATE(4111),
    [sym_preproc_define] = STATE(4111),
    [sym_preproc_undef] = STATE(4111),
    [anon_sym_SEMI] = ACTIONS(5560),
    [anon_sym_LBRACK] = ACTIONS(5560),
    [anon_sym_COLON] = ACTIONS(5560),
    [anon_sym_COMMA] = ACTIONS(5560),
    [anon_sym_RBRACK] = ACTIONS(5560),
    [anon_sym_LPAREN] = ACTIONS(5560),
    [anon_sym_RPAREN] = ACTIONS(5560),
    [anon_sym_RBRACE] = ACTIONS(5560),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_in] = ACTIONS(5560),
    [anon_sym_QMARK] = ACTIONS(5562),
    [anon_sym_BANG] = ACTIONS(5562),
    [anon_sym_PLUS_PLUS] = ACTIONS(5560),
    [anon_sym_DASH_DASH] = ACTIONS(5560),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5560),
    [anon_sym_CARET] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5560),
    [anon_sym_GT_GT] = ACTIONS(5562),
    [anon_sym_GT_GT_GT] = ACTIONS(5560),
    [anon_sym_EQ_EQ] = ACTIONS(5560),
    [anon_sym_BANG_EQ] = ACTIONS(5560),
    [anon_sym_GT_EQ] = ACTIONS(5560),
    [anon_sym_LT_EQ] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(5562),
    [anon_sym_EQ_GT] = ACTIONS(5560),
    [anon_sym_switch] = ACTIONS(5560),
    [anon_sym_when] = ACTIONS(5560),
    [anon_sym_DOT_DOT] = ACTIONS(5560),
    [anon_sym_and] = ACTIONS(5560),
    [anon_sym_or] = ACTIONS(5560),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_PIPE_PIPE] = ACTIONS(5560),
    [anon_sym_QMARK_QMARK] = ACTIONS(5560),
    [anon_sym_on] = ACTIONS(5560),
    [anon_sym_equals] = ACTIONS(5560),
    [anon_sym_by] = ACTIONS(5560),
    [anon_sym_as] = ACTIONS(5560),
    [anon_sym_is] = ACTIONS(5560),
    [anon_sym_DASH_GT] = ACTIONS(5560),
    [anon_sym_with] = ACTIONS(5560),
    [aux_sym_preproc_if_token3] = ACTIONS(5560),
    [aux_sym_preproc_else_token1] = ACTIONS(5560),
    [aux_sym_preproc_elif_token1] = ACTIONS(5560),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4112] = {
    [sym_preproc_region] = STATE(4112),
    [sym_preproc_endregion] = STATE(4112),
    [sym_preproc_line] = STATE(4112),
    [sym_preproc_pragma] = STATE(4112),
    [sym_preproc_nullable] = STATE(4112),
    [sym_preproc_error] = STATE(4112),
    [sym_preproc_define] = STATE(4112),
    [sym_preproc_undef] = STATE(4112),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_LPAREN] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_BANG] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_GT_GT_GT] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_EQ_GT] = ACTIONS(5960),
    [anon_sym_switch] = ACTIONS(5960),
    [anon_sym_when] = ACTIONS(5960),
    [anon_sym_DOT_DOT] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_QMARK_QMARK] = ACTIONS(5960),
    [anon_sym_on] = ACTIONS(5960),
    [anon_sym_equals] = ACTIONS(5960),
    [anon_sym_by] = ACTIONS(5960),
    [anon_sym_as] = ACTIONS(5960),
    [anon_sym_is] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [anon_sym_with] = ACTIONS(5960),
    [aux_sym_preproc_if_token3] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5960),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4113] = {
    [sym_preproc_region] = STATE(4113),
    [sym_preproc_endregion] = STATE(4113),
    [sym_preproc_line] = STATE(4113),
    [sym_preproc_pragma] = STATE(4113),
    [sym_preproc_nullable] = STATE(4113),
    [sym_preproc_error] = STATE(4113),
    [sym_preproc_define] = STATE(4113),
    [sym_preproc_undef] = STATE(4113),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_LPAREN] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_in] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5962),
    [anon_sym_BANG] = ACTIONS(5962),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5960),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5960),
    [anon_sym_CARET] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5960),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_GT_GT_GT] = ACTIONS(5960),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_EQ_GT] = ACTIONS(5960),
    [anon_sym_switch] = ACTIONS(5960),
    [anon_sym_when] = ACTIONS(5960),
    [anon_sym_DOT_DOT] = ACTIONS(5960),
    [anon_sym_and] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_QMARK_QMARK] = ACTIONS(5960),
    [anon_sym_on] = ACTIONS(5960),
    [anon_sym_equals] = ACTIONS(5960),
    [anon_sym_by] = ACTIONS(5960),
    [anon_sym_as] = ACTIONS(5960),
    [anon_sym_is] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [anon_sym_with] = ACTIONS(5960),
    [aux_sym_preproc_if_token3] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5960),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4114] = {
    [sym_preproc_region] = STATE(4114),
    [sym_preproc_endregion] = STATE(4114),
    [sym_preproc_line] = STATE(4114),
    [sym_preproc_pragma] = STATE(4114),
    [sym_preproc_nullable] = STATE(4114),
    [sym_preproc_error] = STATE(4114),
    [sym_preproc_define] = STATE(4114),
    [sym_preproc_undef] = STATE(4114),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(5980),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_when] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_and] = ACTIONS(4475),
    [anon_sym_or] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4115] = {
    [sym_preproc_region] = STATE(4115),
    [sym_preproc_endregion] = STATE(4115),
    [sym_preproc_line] = STATE(4115),
    [sym_preproc_pragma] = STATE(4115),
    [sym_preproc_nullable] = STATE(4115),
    [sym_preproc_error] = STATE(4115),
    [sym_preproc_define] = STATE(4115),
    [sym_preproc_undef] = STATE(4115),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(5980),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_when] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_and] = ACTIONS(4453),
    [anon_sym_or] = ACTIONS(4453),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4116] = {
    [sym_preproc_region] = STATE(4116),
    [sym_preproc_endregion] = STATE(4116),
    [sym_preproc_line] = STATE(4116),
    [sym_preproc_pragma] = STATE(4116),
    [sym_preproc_nullable] = STATE(4116),
    [sym_preproc_error] = STATE(4116),
    [sym_preproc_define] = STATE(4116),
    [sym_preproc_undef] = STATE(4116),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5478),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_LPAREN] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_GT] = ACTIONS(5480),
    [anon_sym_in] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5480),
    [anon_sym_BANG] = ACTIONS(5480),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS] = ACTIONS(5480),
    [anon_sym_DASH] = ACTIONS(5480),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_SLASH] = ACTIONS(5480),
    [anon_sym_PERCENT] = ACTIONS(5478),
    [anon_sym_CARET] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5480),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(5478),
    [anon_sym_GT_GT] = ACTIONS(5480),
    [anon_sym_GT_GT_GT] = ACTIONS(5478),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5480),
    [anon_sym_EQ_GT] = ACTIONS(5478),
    [anon_sym_switch] = ACTIONS(5478),
    [anon_sym_when] = ACTIONS(5478),
    [anon_sym_DOT_DOT] = ACTIONS(5478),
    [anon_sym_and] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_QMARK_QMARK] = ACTIONS(5478),
    [anon_sym_on] = ACTIONS(5478),
    [anon_sym_equals] = ACTIONS(5478),
    [anon_sym_by] = ACTIONS(5478),
    [anon_sym_as] = ACTIONS(5478),
    [anon_sym_is] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [anon_sym_with] = ACTIONS(5478),
    [aux_sym_preproc_if_token3] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5478),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4117] = {
    [sym_attribute_list] = STATE(4408),
    [sym_preproc_region] = STATE(4117),
    [sym_preproc_endregion] = STATE(4117),
    [sym_preproc_line] = STATE(4117),
    [sym_preproc_pragma] = STATE(4117),
    [sym_preproc_nullable] = STATE(4117),
    [sym_preproc_error] = STATE(4117),
    [sym_preproc_define] = STATE(4117),
    [sym_preproc_undef] = STATE(4117),
    [aux_sym_class_declaration_repeat1] = STATE(4117),
    [sym__identifier_token] = ACTIONS(5366),
    [anon_sym_extern] = ACTIONS(5366),
    [anon_sym_alias] = ACTIONS(5366),
    [anon_sym_global] = ACTIONS(5366),
    [anon_sym_unsafe] = ACTIONS(5366),
    [anon_sym_static] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(5982),
    [anon_sym_abstract] = ACTIONS(5366),
    [anon_sym_async] = ACTIONS(5366),
    [anon_sym_const] = ACTIONS(5366),
    [anon_sym_file] = ACTIONS(5366),
    [anon_sym_fixed] = ACTIONS(5366),
    [anon_sym_internal] = ACTIONS(5366),
    [anon_sym_new] = ACTIONS(5366),
    [anon_sym_override] = ACTIONS(5366),
    [anon_sym_partial] = ACTIONS(5366),
    [anon_sym_private] = ACTIONS(5366),
    [anon_sym_protected] = ACTIONS(5366),
    [anon_sym_public] = ACTIONS(5366),
    [anon_sym_readonly] = ACTIONS(5366),
    [anon_sym_required] = ACTIONS(5366),
    [anon_sym_sealed] = ACTIONS(5366),
    [anon_sym_virtual] = ACTIONS(5366),
    [anon_sym_volatile] = ACTIONS(5366),
    [anon_sym_where] = ACTIONS(5366),
    [anon_sym_notnull] = ACTIONS(5366),
    [anon_sym_unmanaged] = ACTIONS(5366),
    [anon_sym_get] = ACTIONS(5366),
    [anon_sym_set] = ACTIONS(5366),
    [anon_sym_add] = ACTIONS(5366),
    [anon_sym_remove] = ACTIONS(5366),
    [anon_sym_init] = ACTIONS(5366),
    [anon_sym_scoped] = ACTIONS(5366),
    [anon_sym_var] = ACTIONS(5366),
    [anon_sym_yield] = ACTIONS(5366),
    [anon_sym_when] = ACTIONS(5366),
    [anon_sym_from] = ACTIONS(5366),
    [anon_sym_into] = ACTIONS(5366),
    [anon_sym_join] = ACTIONS(5366),
    [anon_sym_on] = ACTIONS(5366),
    [anon_sym_equals] = ACTIONS(5366),
    [anon_sym_let] = ACTIONS(5366),
    [anon_sym_orderby] = ACTIONS(5366),
    [anon_sym_ascending] = ACTIONS(5366),
    [anon_sym_descending] = ACTIONS(5366),
    [anon_sym_group] = ACTIONS(5366),
    [anon_sym_by] = ACTIONS(5366),
    [anon_sym_select] = ACTIONS(5366),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4118] = {
    [sym_preproc_region] = STATE(4118),
    [sym_preproc_endregion] = STATE(4118),
    [sym_preproc_line] = STATE(4118),
    [sym_preproc_pragma] = STATE(4118),
    [sym_preproc_nullable] = STATE(4118),
    [sym_preproc_error] = STATE(4118),
    [sym_preproc_define] = STATE(4118),
    [sym_preproc_undef] = STATE(4118),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_when] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4119] = {
    [sym_preproc_region] = STATE(4119),
    [sym_preproc_endregion] = STATE(4119),
    [sym_preproc_line] = STATE(4119),
    [sym_preproc_pragma] = STATE(4119),
    [sym_preproc_nullable] = STATE(4119),
    [sym_preproc_error] = STATE(4119),
    [sym_preproc_define] = STATE(4119),
    [sym_preproc_undef] = STATE(4119),
    [anon_sym_SEMI] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_COLON] = ACTIONS(2999),
    [anon_sym_COMMA] = ACTIONS(2999),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [anon_sym_LPAREN] = ACTIONS(2999),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_RBRACE] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2997),
    [anon_sym_GT] = ACTIONS(2997),
    [anon_sym_in] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_GT_GT] = ACTIONS(2997),
    [anon_sym_GT_GT_GT] = ACTIONS(2999),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2999),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_when] = ACTIONS(2999),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_and] = ACTIONS(2999),
    [anon_sym_or] = ACTIONS(2999),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_QMARK_QMARK] = ACTIONS(2999),
    [anon_sym_on] = ACTIONS(2999),
    [anon_sym_equals] = ACTIONS(2999),
    [anon_sym_by] = ACTIONS(2999),
    [anon_sym_as] = ACTIONS(2999),
    [anon_sym_is] = ACTIONS(2999),
    [anon_sym_DASH_GT] = ACTIONS(2999),
    [anon_sym_with] = ACTIONS(2999),
    [aux_sym_preproc_if_token3] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4120] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9483),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4120),
    [sym_preproc_endregion] = STATE(4120),
    [sym_preproc_line] = STATE(4120),
    [sym_preproc_pragma] = STATE(4120),
    [sym_preproc_nullable] = STATE(4120),
    [sym_preproc_error] = STATE(4120),
    [sym_preproc_define] = STATE(4120),
    [sym_preproc_undef] = STATE(4120),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4121] = {
    [sym_preproc_region] = STATE(4121),
    [sym_preproc_endregion] = STATE(4121),
    [sym_preproc_line] = STATE(4121),
    [sym_preproc_pragma] = STATE(4121),
    [sym_preproc_nullable] = STATE(4121),
    [sym_preproc_error] = STATE(4121),
    [sym_preproc_define] = STATE(4121),
    [sym_preproc_undef] = STATE(4121),
    [anon_sym_SEMI] = ACTIONS(4757),
    [anon_sym_LBRACK] = ACTIONS(4757),
    [anon_sym_COLON] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4757),
    [anon_sym_RBRACK] = ACTIONS(4757),
    [anon_sym_LPAREN] = ACTIONS(4757),
    [anon_sym_RPAREN] = ACTIONS(4757),
    [anon_sym_RBRACE] = ACTIONS(4757),
    [anon_sym_LT] = ACTIONS(4759),
    [anon_sym_GT] = ACTIONS(4759),
    [anon_sym_in] = ACTIONS(4757),
    [anon_sym_QMARK] = ACTIONS(4759),
    [anon_sym_BANG] = ACTIONS(4759),
    [anon_sym_PLUS_PLUS] = ACTIONS(4757),
    [anon_sym_DASH_DASH] = ACTIONS(4757),
    [anon_sym_PLUS] = ACTIONS(4759),
    [anon_sym_DASH] = ACTIONS(4759),
    [anon_sym_STAR] = ACTIONS(4757),
    [anon_sym_SLASH] = ACTIONS(4759),
    [anon_sym_PERCENT] = ACTIONS(4757),
    [anon_sym_CARET] = ACTIONS(4757),
    [anon_sym_PIPE] = ACTIONS(4759),
    [anon_sym_AMP] = ACTIONS(4759),
    [anon_sym_LT_LT] = ACTIONS(4757),
    [anon_sym_GT_GT] = ACTIONS(4759),
    [anon_sym_GT_GT_GT] = ACTIONS(4757),
    [anon_sym_EQ_EQ] = ACTIONS(4757),
    [anon_sym_BANG_EQ] = ACTIONS(4757),
    [anon_sym_GT_EQ] = ACTIONS(4757),
    [anon_sym_LT_EQ] = ACTIONS(4757),
    [anon_sym_DOT] = ACTIONS(4759),
    [anon_sym_EQ_GT] = ACTIONS(4757),
    [anon_sym_switch] = ACTIONS(4757),
    [anon_sym_when] = ACTIONS(4757),
    [anon_sym_DOT_DOT] = ACTIONS(4757),
    [anon_sym_and] = ACTIONS(4757),
    [anon_sym_or] = ACTIONS(4757),
    [anon_sym_AMP_AMP] = ACTIONS(4757),
    [anon_sym_PIPE_PIPE] = ACTIONS(4757),
    [anon_sym_QMARK_QMARK] = ACTIONS(4757),
    [anon_sym_on] = ACTIONS(4757),
    [anon_sym_equals] = ACTIONS(4757),
    [anon_sym_by] = ACTIONS(4757),
    [anon_sym_as] = ACTIONS(4757),
    [anon_sym_is] = ACTIONS(4757),
    [anon_sym_DASH_GT] = ACTIONS(4757),
    [anon_sym_with] = ACTIONS(4757),
    [aux_sym_preproc_if_token3] = ACTIONS(4757),
    [aux_sym_preproc_else_token1] = ACTIONS(4757),
    [aux_sym_preproc_elif_token1] = ACTIONS(4757),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4122] = {
    [sym_preproc_region] = STATE(4122),
    [sym_preproc_endregion] = STATE(4122),
    [sym_preproc_line] = STATE(4122),
    [sym_preproc_pragma] = STATE(4122),
    [sym_preproc_nullable] = STATE(4122),
    [sym_preproc_error] = STATE(4122),
    [sym_preproc_define] = STATE(4122),
    [sym_preproc_undef] = STATE(4122),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_LPAREN] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_LT] = ACTIONS(5586),
    [anon_sym_GT] = ACTIONS(5586),
    [anon_sym_in] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5586),
    [anon_sym_BANG] = ACTIONS(5586),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5586),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5586),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5586),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5586),
    [anon_sym_GT_GT_GT] = ACTIONS(5584),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5586),
    [anon_sym_EQ_GT] = ACTIONS(5584),
    [anon_sym_switch] = ACTIONS(5584),
    [anon_sym_when] = ACTIONS(5584),
    [anon_sym_DOT_DOT] = ACTIONS(5584),
    [anon_sym_and] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5584),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_QMARK_QMARK] = ACTIONS(5584),
    [anon_sym_on] = ACTIONS(5584),
    [anon_sym_equals] = ACTIONS(5584),
    [anon_sym_by] = ACTIONS(5584),
    [anon_sym_as] = ACTIONS(5584),
    [anon_sym_is] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [anon_sym_with] = ACTIONS(5584),
    [aux_sym_preproc_if_token3] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5584),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4123] = {
    [sym_preproc_region] = STATE(4123),
    [sym_preproc_endregion] = STATE(4123),
    [sym_preproc_line] = STATE(4123),
    [sym_preproc_pragma] = STATE(4123),
    [sym_preproc_nullable] = STATE(4123),
    [sym_preproc_error] = STATE(4123),
    [sym_preproc_define] = STATE(4123),
    [sym_preproc_undef] = STATE(4123),
    [anon_sym_SEMI] = ACTIONS(5620),
    [anon_sym_LBRACK] = ACTIONS(5620),
    [anon_sym_COLON] = ACTIONS(5620),
    [anon_sym_COMMA] = ACTIONS(5620),
    [anon_sym_RBRACK] = ACTIONS(5620),
    [anon_sym_LPAREN] = ACTIONS(5620),
    [anon_sym_RPAREN] = ACTIONS(5620),
    [anon_sym_RBRACE] = ACTIONS(5620),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_in] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(5622),
    [anon_sym_BANG] = ACTIONS(5622),
    [anon_sym_PLUS_PLUS] = ACTIONS(5620),
    [anon_sym_DASH_DASH] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5620),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5620),
    [anon_sym_CARET] = ACTIONS(5620),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5620),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_GT_GT_GT] = ACTIONS(5620),
    [anon_sym_EQ_EQ] = ACTIONS(5620),
    [anon_sym_BANG_EQ] = ACTIONS(5620),
    [anon_sym_GT_EQ] = ACTIONS(5620),
    [anon_sym_LT_EQ] = ACTIONS(5620),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_EQ_GT] = ACTIONS(5620),
    [anon_sym_switch] = ACTIONS(5620),
    [anon_sym_when] = ACTIONS(5620),
    [anon_sym_DOT_DOT] = ACTIONS(5620),
    [anon_sym_and] = ACTIONS(5620),
    [anon_sym_or] = ACTIONS(5620),
    [anon_sym_AMP_AMP] = ACTIONS(5620),
    [anon_sym_PIPE_PIPE] = ACTIONS(5620),
    [anon_sym_QMARK_QMARK] = ACTIONS(5620),
    [anon_sym_on] = ACTIONS(5620),
    [anon_sym_equals] = ACTIONS(5620),
    [anon_sym_by] = ACTIONS(5620),
    [anon_sym_as] = ACTIONS(5620),
    [anon_sym_is] = ACTIONS(5620),
    [anon_sym_DASH_GT] = ACTIONS(5620),
    [anon_sym_with] = ACTIONS(5620),
    [aux_sym_preproc_if_token3] = ACTIONS(5620),
    [aux_sym_preproc_else_token1] = ACTIONS(5620),
    [aux_sym_preproc_elif_token1] = ACTIONS(5620),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4124] = {
    [sym_preproc_region] = STATE(4124),
    [sym_preproc_endregion] = STATE(4124),
    [sym_preproc_line] = STATE(4124),
    [sym_preproc_pragma] = STATE(4124),
    [sym_preproc_nullable] = STATE(4124),
    [sym_preproc_error] = STATE(4124),
    [sym_preproc_define] = STATE(4124),
    [sym_preproc_undef] = STATE(4124),
    [anon_sym_SEMI] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5638),
    [anon_sym_COLON] = ACTIONS(5638),
    [anon_sym_COMMA] = ACTIONS(5638),
    [anon_sym_RBRACK] = ACTIONS(5638),
    [anon_sym_LPAREN] = ACTIONS(5638),
    [anon_sym_RPAREN] = ACTIONS(5638),
    [anon_sym_RBRACE] = ACTIONS(5638),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym_GT] = ACTIONS(5640),
    [anon_sym_in] = ACTIONS(5638),
    [anon_sym_QMARK] = ACTIONS(5640),
    [anon_sym_BANG] = ACTIONS(5640),
    [anon_sym_PLUS_PLUS] = ACTIONS(5638),
    [anon_sym_DASH_DASH] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_SLASH] = ACTIONS(5640),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [anon_sym_CARET] = ACTIONS(5638),
    [anon_sym_PIPE] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5640),
    [anon_sym_LT_LT] = ACTIONS(5638),
    [anon_sym_GT_GT] = ACTIONS(5640),
    [anon_sym_GT_GT_GT] = ACTIONS(5638),
    [anon_sym_EQ_EQ] = ACTIONS(5638),
    [anon_sym_BANG_EQ] = ACTIONS(5638),
    [anon_sym_GT_EQ] = ACTIONS(5638),
    [anon_sym_LT_EQ] = ACTIONS(5638),
    [anon_sym_DOT] = ACTIONS(5640),
    [anon_sym_EQ_GT] = ACTIONS(5638),
    [anon_sym_switch] = ACTIONS(5638),
    [anon_sym_when] = ACTIONS(5638),
    [anon_sym_DOT_DOT] = ACTIONS(5638),
    [anon_sym_and] = ACTIONS(5638),
    [anon_sym_or] = ACTIONS(5638),
    [anon_sym_AMP_AMP] = ACTIONS(5638),
    [anon_sym_PIPE_PIPE] = ACTIONS(5638),
    [anon_sym_QMARK_QMARK] = ACTIONS(5638),
    [anon_sym_on] = ACTIONS(5638),
    [anon_sym_equals] = ACTIONS(5638),
    [anon_sym_by] = ACTIONS(5638),
    [anon_sym_as] = ACTIONS(5638),
    [anon_sym_is] = ACTIONS(5638),
    [anon_sym_DASH_GT] = ACTIONS(5638),
    [anon_sym_with] = ACTIONS(5638),
    [aux_sym_preproc_if_token3] = ACTIONS(5638),
    [aux_sym_preproc_else_token1] = ACTIONS(5638),
    [aux_sym_preproc_elif_token1] = ACTIONS(5638),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4125] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(4125),
    [sym_preproc_endregion] = STATE(4125),
    [sym_preproc_line] = STATE(4125),
    [sym_preproc_pragma] = STATE(4125),
    [sym_preproc_nullable] = STATE(4125),
    [sym_preproc_error] = STATE(4125),
    [sym_preproc_define] = STATE(4125),
    [sym_preproc_undef] = STATE(4125),
    [sym__identifier_token] = ACTIONS(4051),
    [anon_sym_alias] = ACTIONS(4055),
    [anon_sym_global] = ACTIONS(4055),
    [anon_sym_EQ] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(2667),
    [anon_sym_delegate] = ACTIONS(2667),
    [anon_sym_file] = ACTIONS(4055),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(4055),
    [anon_sym_QMARK] = ACTIONS(3995),
    [anon_sym_notnull] = ACTIONS(4055),
    [anon_sym_unmanaged] = ACTIONS(4055),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_this] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_scoped] = ACTIONS(4055),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4055),
    [sym_predefined_type] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(4055),
    [anon_sym_when] = ACTIONS(4055),
    [anon_sym_from] = ACTIONS(4055),
    [anon_sym_into] = ACTIONS(4055),
    [anon_sym_join] = ACTIONS(4055),
    [anon_sym_on] = ACTIONS(4055),
    [anon_sym_equals] = ACTIONS(4055),
    [anon_sym_let] = ACTIONS(4055),
    [anon_sym_orderby] = ACTIONS(4055),
    [anon_sym_ascending] = ACTIONS(4055),
    [anon_sym_descending] = ACTIONS(4055),
    [anon_sym_group] = ACTIONS(4055),
    [anon_sym_by] = ACTIONS(4055),
    [anon_sym_select] = ACTIONS(4055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4126] = {
    [sym_preproc_region] = STATE(4126),
    [sym_preproc_endregion] = STATE(4126),
    [sym_preproc_line] = STATE(4126),
    [sym_preproc_pragma] = STATE(4126),
    [sym_preproc_nullable] = STATE(4126),
    [sym_preproc_error] = STATE(4126),
    [sym_preproc_define] = STATE(4126),
    [sym_preproc_undef] = STATE(4126),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RBRACK] = ACTIONS(5656),
    [anon_sym_LPAREN] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_in] = ACTIONS(5656),
    [anon_sym_QMARK] = ACTIONS(5658),
    [anon_sym_BANG] = ACTIONS(5658),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5656),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_GT_GT_GT] = ACTIONS(5656),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_EQ_GT] = ACTIONS(5656),
    [anon_sym_switch] = ACTIONS(5656),
    [anon_sym_when] = ACTIONS(5656),
    [anon_sym_DOT_DOT] = ACTIONS(5656),
    [anon_sym_and] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_QMARK_QMARK] = ACTIONS(5656),
    [anon_sym_on] = ACTIONS(5656),
    [anon_sym_equals] = ACTIONS(5656),
    [anon_sym_by] = ACTIONS(5656),
    [anon_sym_as] = ACTIONS(5656),
    [anon_sym_is] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [anon_sym_with] = ACTIONS(5656),
    [aux_sym_preproc_if_token3] = ACTIONS(5656),
    [aux_sym_preproc_else_token1] = ACTIONS(5656),
    [aux_sym_preproc_elif_token1] = ACTIONS(5656),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4127] = {
    [sym_preproc_region] = STATE(4127),
    [sym_preproc_endregion] = STATE(4127),
    [sym_preproc_line] = STATE(4127),
    [sym_preproc_pragma] = STATE(4127),
    [sym_preproc_nullable] = STATE(4127),
    [sym_preproc_error] = STATE(4127),
    [sym_preproc_define] = STATE(4127),
    [sym_preproc_undef] = STATE(4127),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_LPAREN] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_in] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5662),
    [anon_sym_BANG] = ACTIONS(5662),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_GT_GT_GT] = ACTIONS(5660),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_EQ_GT] = ACTIONS(5660),
    [anon_sym_switch] = ACTIONS(5660),
    [anon_sym_when] = ACTIONS(5660),
    [anon_sym_DOT_DOT] = ACTIONS(5660),
    [anon_sym_and] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_QMARK_QMARK] = ACTIONS(5660),
    [anon_sym_on] = ACTIONS(5660),
    [anon_sym_equals] = ACTIONS(5660),
    [anon_sym_by] = ACTIONS(5660),
    [anon_sym_as] = ACTIONS(5660),
    [anon_sym_is] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [anon_sym_with] = ACTIONS(5660),
    [aux_sym_preproc_if_token3] = ACTIONS(5660),
    [aux_sym_preproc_else_token1] = ACTIONS(5660),
    [aux_sym_preproc_elif_token1] = ACTIONS(5660),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4128] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7065),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9894),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4128),
    [sym_preproc_endregion] = STATE(4128),
    [sym_preproc_line] = STATE(4128),
    [sym_preproc_pragma] = STATE(4128),
    [sym_preproc_nullable] = STATE(4128),
    [sym_preproc_error] = STATE(4128),
    [sym_preproc_define] = STATE(4128),
    [sym_preproc_undef] = STATE(4128),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5993),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4129] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9393),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4129),
    [sym_preproc_endregion] = STATE(4129),
    [sym_preproc_line] = STATE(4129),
    [sym_preproc_pragma] = STATE(4129),
    [sym_preproc_nullable] = STATE(4129),
    [sym_preproc_error] = STATE(4129),
    [sym_preproc_define] = STATE(4129),
    [sym_preproc_undef] = STATE(4129),
    [aux_sym_function_pointer_type_repeat1] = STATE(4283),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4130] = {
    [sym_preproc_region] = STATE(4130),
    [sym_preproc_endregion] = STATE(4130),
    [sym_preproc_line] = STATE(4130),
    [sym_preproc_pragma] = STATE(4130),
    [sym_preproc_nullable] = STATE(4130),
    [sym_preproc_error] = STATE(4130),
    [sym_preproc_define] = STATE(4130),
    [sym_preproc_undef] = STATE(4130),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym_LBRACK] = ACTIONS(5413),
    [anon_sym_COLON] = ACTIONS(5413),
    [anon_sym_COMMA] = ACTIONS(5413),
    [anon_sym_RBRACK] = ACTIONS(5413),
    [anon_sym_LPAREN] = ACTIONS(5413),
    [anon_sym_RPAREN] = ACTIONS(5413),
    [anon_sym_RBRACE] = ACTIONS(5413),
    [anon_sym_LT] = ACTIONS(5415),
    [anon_sym_GT] = ACTIONS(5415),
    [anon_sym_in] = ACTIONS(5413),
    [anon_sym_QMARK] = ACTIONS(5415),
    [anon_sym_BANG] = ACTIONS(5415),
    [anon_sym_PLUS_PLUS] = ACTIONS(5413),
    [anon_sym_DASH_DASH] = ACTIONS(5413),
    [anon_sym_PLUS] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5415),
    [anon_sym_STAR] = ACTIONS(5413),
    [anon_sym_SLASH] = ACTIONS(5415),
    [anon_sym_PERCENT] = ACTIONS(5413),
    [anon_sym_CARET] = ACTIONS(5413),
    [anon_sym_PIPE] = ACTIONS(5415),
    [anon_sym_AMP] = ACTIONS(5415),
    [anon_sym_LT_LT] = ACTIONS(5413),
    [anon_sym_GT_GT] = ACTIONS(5415),
    [anon_sym_GT_GT_GT] = ACTIONS(5413),
    [anon_sym_EQ_EQ] = ACTIONS(5413),
    [anon_sym_BANG_EQ] = ACTIONS(5413),
    [anon_sym_GT_EQ] = ACTIONS(5413),
    [anon_sym_LT_EQ] = ACTIONS(5413),
    [anon_sym_DOT] = ACTIONS(5415),
    [anon_sym_EQ_GT] = ACTIONS(5413),
    [anon_sym_switch] = ACTIONS(5413),
    [anon_sym_when] = ACTIONS(5413),
    [anon_sym_DOT_DOT] = ACTIONS(5413),
    [anon_sym_and] = ACTIONS(5413),
    [anon_sym_or] = ACTIONS(5413),
    [anon_sym_AMP_AMP] = ACTIONS(5413),
    [anon_sym_PIPE_PIPE] = ACTIONS(5413),
    [anon_sym_QMARK_QMARK] = ACTIONS(5413),
    [anon_sym_on] = ACTIONS(5413),
    [anon_sym_equals] = ACTIONS(5413),
    [anon_sym_by] = ACTIONS(5413),
    [anon_sym_as] = ACTIONS(5413),
    [anon_sym_is] = ACTIONS(5413),
    [anon_sym_DASH_GT] = ACTIONS(5413),
    [anon_sym_with] = ACTIONS(5413),
    [aux_sym_preproc_if_token3] = ACTIONS(5413),
    [aux_sym_preproc_else_token1] = ACTIONS(5413),
    [aux_sym_preproc_elif_token1] = ACTIONS(5413),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4131] = {
    [sym_preproc_region] = STATE(4131),
    [sym_preproc_endregion] = STATE(4131),
    [sym_preproc_line] = STATE(4131),
    [sym_preproc_pragma] = STATE(4131),
    [sym_preproc_nullable] = STATE(4131),
    [sym_preproc_error] = STATE(4131),
    [sym_preproc_define] = STATE(4131),
    [sym_preproc_undef] = STATE(4131),
    [anon_sym_SEMI] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5421),
    [anon_sym_COLON] = ACTIONS(5421),
    [anon_sym_COMMA] = ACTIONS(5421),
    [anon_sym_RBRACK] = ACTIONS(5421),
    [anon_sym_LPAREN] = ACTIONS(5421),
    [anon_sym_RPAREN] = ACTIONS(5421),
    [anon_sym_RBRACE] = ACTIONS(5421),
    [anon_sym_LT] = ACTIONS(5423),
    [anon_sym_GT] = ACTIONS(5423),
    [anon_sym_in] = ACTIONS(5421),
    [anon_sym_QMARK] = ACTIONS(5423),
    [anon_sym_BANG] = ACTIONS(5423),
    [anon_sym_PLUS_PLUS] = ACTIONS(5421),
    [anon_sym_DASH_DASH] = ACTIONS(5421),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_STAR] = ACTIONS(5421),
    [anon_sym_SLASH] = ACTIONS(5423),
    [anon_sym_PERCENT] = ACTIONS(5421),
    [anon_sym_CARET] = ACTIONS(5421),
    [anon_sym_PIPE] = ACTIONS(5423),
    [anon_sym_AMP] = ACTIONS(5423),
    [anon_sym_LT_LT] = ACTIONS(5421),
    [anon_sym_GT_GT] = ACTIONS(5423),
    [anon_sym_GT_GT_GT] = ACTIONS(5421),
    [anon_sym_EQ_EQ] = ACTIONS(5421),
    [anon_sym_BANG_EQ] = ACTIONS(5421),
    [anon_sym_GT_EQ] = ACTIONS(5421),
    [anon_sym_LT_EQ] = ACTIONS(5421),
    [anon_sym_DOT] = ACTIONS(5423),
    [anon_sym_EQ_GT] = ACTIONS(5421),
    [anon_sym_switch] = ACTIONS(5421),
    [anon_sym_when] = ACTIONS(5421),
    [anon_sym_DOT_DOT] = ACTIONS(5421),
    [anon_sym_and] = ACTIONS(5421),
    [anon_sym_or] = ACTIONS(5421),
    [anon_sym_AMP_AMP] = ACTIONS(5421),
    [anon_sym_PIPE_PIPE] = ACTIONS(5421),
    [anon_sym_QMARK_QMARK] = ACTIONS(5421),
    [anon_sym_on] = ACTIONS(5421),
    [anon_sym_equals] = ACTIONS(5421),
    [anon_sym_by] = ACTIONS(5421),
    [anon_sym_as] = ACTIONS(5421),
    [anon_sym_is] = ACTIONS(5421),
    [anon_sym_DASH_GT] = ACTIONS(5421),
    [anon_sym_with] = ACTIONS(5421),
    [aux_sym_preproc_if_token3] = ACTIONS(5421),
    [aux_sym_preproc_else_token1] = ACTIONS(5421),
    [aux_sym_preproc_elif_token1] = ACTIONS(5421),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4132] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7087),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9003),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4132),
    [sym_preproc_endregion] = STATE(4132),
    [sym_preproc_line] = STATE(4132),
    [sym_preproc_pragma] = STATE(4132),
    [sym_preproc_nullable] = STATE(4132),
    [sym_preproc_error] = STATE(4132),
    [sym_preproc_define] = STATE(4132),
    [sym_preproc_undef] = STATE(4132),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4133] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9920),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4133),
    [sym_preproc_endregion] = STATE(4133),
    [sym_preproc_line] = STATE(4133),
    [sym_preproc_pragma] = STATE(4133),
    [sym_preproc_nullable] = STATE(4133),
    [sym_preproc_error] = STATE(4133),
    [sym_preproc_define] = STATE(4133),
    [sym_preproc_undef] = STATE(4133),
    [aux_sym_function_pointer_type_repeat1] = STATE(4134),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4134] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9105),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4134),
    [sym_preproc_endregion] = STATE(4134),
    [sym_preproc_line] = STATE(4134),
    [sym_preproc_pragma] = STATE(4134),
    [sym_preproc_nullable] = STATE(4134),
    [sym_preproc_error] = STATE(4134),
    [sym_preproc_define] = STATE(4134),
    [sym_preproc_undef] = STATE(4134),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4135] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9105),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4135),
    [sym_preproc_endregion] = STATE(4135),
    [sym_preproc_line] = STATE(4135),
    [sym_preproc_pragma] = STATE(4135),
    [sym_preproc_nullable] = STATE(4135),
    [sym_preproc_error] = STATE(4135),
    [sym_preproc_define] = STATE(4135),
    [sym_preproc_undef] = STATE(4135),
    [aux_sym_function_pointer_type_repeat1] = STATE(4137),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4136] = {
    [sym_preproc_region] = STATE(4136),
    [sym_preproc_endregion] = STATE(4136),
    [sym_preproc_line] = STATE(4136),
    [sym_preproc_pragma] = STATE(4136),
    [sym_preproc_nullable] = STATE(4136),
    [sym_preproc_error] = STATE(4136),
    [sym_preproc_define] = STATE(4136),
    [sym_preproc_undef] = STATE(4136),
    [anon_sym_EQ] = ACTIONS(4182),
    [anon_sym_LBRACK] = ACTIONS(4197),
    [anon_sym_COLON] = ACTIONS(4789),
    [anon_sym_LPAREN] = ACTIONS(4197),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_BANG] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4197),
    [anon_sym_DASH_DASH] = ACTIONS(4197),
    [anon_sym_PLUS] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4182),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4182),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_GT_GT_GT] = ACTIONS(4182),
    [anon_sym_EQ_EQ] = ACTIONS(4197),
    [anon_sym_BANG_EQ] = ACTIONS(4197),
    [anon_sym_GT_EQ] = ACTIONS(4197),
    [anon_sym_LT_EQ] = ACTIONS(4197),
    [anon_sym_DOT] = ACTIONS(4182),
    [anon_sym_switch] = ACTIONS(4197),
    [anon_sym_when] = ACTIONS(4789),
    [anon_sym_DOT_DOT] = ACTIONS(4197),
    [anon_sym_and] = ACTIONS(4789),
    [anon_sym_or] = ACTIONS(4789),
    [anon_sym_PLUS_EQ] = ACTIONS(4197),
    [anon_sym_DASH_EQ] = ACTIONS(4197),
    [anon_sym_STAR_EQ] = ACTIONS(4197),
    [anon_sym_SLASH_EQ] = ACTIONS(4197),
    [anon_sym_PERCENT_EQ] = ACTIONS(4197),
    [anon_sym_AMP_EQ] = ACTIONS(4197),
    [anon_sym_CARET_EQ] = ACTIONS(4197),
    [anon_sym_PIPE_EQ] = ACTIONS(4197),
    [anon_sym_LT_LT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(4197),
    [anon_sym_AMP_AMP] = ACTIONS(4197),
    [anon_sym_PIPE_PIPE] = ACTIONS(4197),
    [anon_sym_QMARK_QMARK] = ACTIONS(4182),
    [anon_sym_as] = ACTIONS(4197),
    [anon_sym_is] = ACTIONS(4197),
    [anon_sym_DASH_GT] = ACTIONS(4197),
    [anon_sym_with] = ACTIONS(4197),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4137] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9106),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4137),
    [sym_preproc_endregion] = STATE(4137),
    [sym_preproc_line] = STATE(4137),
    [sym_preproc_pragma] = STATE(4137),
    [sym_preproc_nullable] = STATE(4137),
    [sym_preproc_error] = STATE(4137),
    [sym_preproc_define] = STATE(4137),
    [sym_preproc_undef] = STATE(4137),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4138] = {
    [sym_preproc_region] = STATE(4138),
    [sym_preproc_endregion] = STATE(4138),
    [sym_preproc_line] = STATE(4138),
    [sym_preproc_pragma] = STATE(4138),
    [sym_preproc_nullable] = STATE(4138),
    [sym_preproc_error] = STATE(4138),
    [sym_preproc_define] = STATE(4138),
    [sym_preproc_undef] = STATE(4138),
    [anon_sym_SEMI] = ACTIONS(5846),
    [anon_sym_LBRACK] = ACTIONS(5846),
    [anon_sym_COLON] = ACTIONS(5846),
    [anon_sym_COMMA] = ACTIONS(5846),
    [anon_sym_RBRACK] = ACTIONS(5846),
    [anon_sym_LPAREN] = ACTIONS(5846),
    [anon_sym_RPAREN] = ACTIONS(5846),
    [anon_sym_RBRACE] = ACTIONS(5846),
    [anon_sym_LT] = ACTIONS(5848),
    [anon_sym_GT] = ACTIONS(5848),
    [anon_sym_in] = ACTIONS(5846),
    [anon_sym_QMARK] = ACTIONS(5848),
    [anon_sym_BANG] = ACTIONS(5848),
    [anon_sym_PLUS_PLUS] = ACTIONS(5846),
    [anon_sym_DASH_DASH] = ACTIONS(5846),
    [anon_sym_PLUS] = ACTIONS(5848),
    [anon_sym_DASH] = ACTIONS(5848),
    [anon_sym_STAR] = ACTIONS(5846),
    [anon_sym_SLASH] = ACTIONS(5848),
    [anon_sym_PERCENT] = ACTIONS(5846),
    [anon_sym_CARET] = ACTIONS(5846),
    [anon_sym_PIPE] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5848),
    [anon_sym_LT_LT] = ACTIONS(5846),
    [anon_sym_GT_GT] = ACTIONS(5848),
    [anon_sym_GT_GT_GT] = ACTIONS(5846),
    [anon_sym_EQ_EQ] = ACTIONS(5846),
    [anon_sym_BANG_EQ] = ACTIONS(5846),
    [anon_sym_GT_EQ] = ACTIONS(5846),
    [anon_sym_LT_EQ] = ACTIONS(5846),
    [anon_sym_DOT] = ACTIONS(5848),
    [anon_sym_EQ_GT] = ACTIONS(5846),
    [anon_sym_switch] = ACTIONS(5846),
    [anon_sym_when] = ACTIONS(5846),
    [anon_sym_DOT_DOT] = ACTIONS(5846),
    [anon_sym_and] = ACTIONS(5846),
    [anon_sym_or] = ACTIONS(5846),
    [anon_sym_AMP_AMP] = ACTIONS(5846),
    [anon_sym_PIPE_PIPE] = ACTIONS(5846),
    [anon_sym_QMARK_QMARK] = ACTIONS(5846),
    [anon_sym_on] = ACTIONS(5846),
    [anon_sym_equals] = ACTIONS(5846),
    [anon_sym_by] = ACTIONS(5846),
    [anon_sym_as] = ACTIONS(5846),
    [anon_sym_is] = ACTIONS(5846),
    [anon_sym_DASH_GT] = ACTIONS(5846),
    [anon_sym_with] = ACTIONS(5846),
    [aux_sym_preproc_if_token3] = ACTIONS(5846),
    [aux_sym_preproc_else_token1] = ACTIONS(5846),
    [aux_sym_preproc_elif_token1] = ACTIONS(5846),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4139] = {
    [sym_preproc_region] = STATE(4139),
    [sym_preproc_endregion] = STATE(4139),
    [sym_preproc_line] = STATE(4139),
    [sym_preproc_pragma] = STATE(4139),
    [sym_preproc_nullable] = STATE(4139),
    [sym_preproc_error] = STATE(4139),
    [sym_preproc_define] = STATE(4139),
    [sym_preproc_undef] = STATE(4139),
    [anon_sym_EQ] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_when] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(5997),
    [anon_sym_DASH_EQ] = ACTIONS(5997),
    [anon_sym_STAR_EQ] = ACTIONS(5997),
    [anon_sym_SLASH_EQ] = ACTIONS(5997),
    [anon_sym_PERCENT_EQ] = ACTIONS(5997),
    [anon_sym_AMP_EQ] = ACTIONS(5997),
    [anon_sym_CARET_EQ] = ACTIONS(5997),
    [anon_sym_PIPE_EQ] = ACTIONS(5997),
    [anon_sym_LT_LT_EQ] = ACTIONS(5997),
    [anon_sym_GT_GT_EQ] = ACTIONS(5997),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(5997),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(5997),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4140] = {
    [sym_preproc_region] = STATE(4140),
    [sym_preproc_endregion] = STATE(4140),
    [sym_preproc_line] = STATE(4140),
    [sym_preproc_pragma] = STATE(4140),
    [sym_preproc_nullable] = STATE(4140),
    [sym_preproc_error] = STATE(4140),
    [sym_preproc_define] = STATE(4140),
    [sym_preproc_undef] = STATE(4140),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym_LBRACK] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5425),
    [anon_sym_COMMA] = ACTIONS(5425),
    [anon_sym_RBRACK] = ACTIONS(5425),
    [anon_sym_LPAREN] = ACTIONS(5425),
    [anon_sym_RPAREN] = ACTIONS(5425),
    [anon_sym_RBRACE] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5427),
    [anon_sym_in] = ACTIONS(5425),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_BANG] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5427),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5427),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_PIPE] = ACTIONS(5427),
    [anon_sym_AMP] = ACTIONS(5427),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5427),
    [anon_sym_GT_GT_GT] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5425),
    [anon_sym_BANG_EQ] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5425),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_DOT] = ACTIONS(5427),
    [anon_sym_EQ_GT] = ACTIONS(5425),
    [anon_sym_switch] = ACTIONS(5425),
    [anon_sym_when] = ACTIONS(5425),
    [anon_sym_DOT_DOT] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_AMP_AMP] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5425),
    [anon_sym_QMARK_QMARK] = ACTIONS(5425),
    [anon_sym_on] = ACTIONS(5425),
    [anon_sym_equals] = ACTIONS(5425),
    [anon_sym_by] = ACTIONS(5425),
    [anon_sym_as] = ACTIONS(5425),
    [anon_sym_is] = ACTIONS(5425),
    [anon_sym_DASH_GT] = ACTIONS(5425),
    [anon_sym_with] = ACTIONS(5425),
    [aux_sym_preproc_if_token3] = ACTIONS(5425),
    [aux_sym_preproc_else_token1] = ACTIONS(5425),
    [aux_sym_preproc_elif_token1] = ACTIONS(5425),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4141] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7032),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9426),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4141),
    [sym_preproc_endregion] = STATE(4141),
    [sym_preproc_line] = STATE(4141),
    [sym_preproc_pragma] = STATE(4141),
    [sym_preproc_nullable] = STATE(4141),
    [sym_preproc_error] = STATE(4141),
    [sym_preproc_define] = STATE(4141),
    [sym_preproc_undef] = STATE(4141),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4142] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7024),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9893),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4142),
    [sym_preproc_endregion] = STATE(4142),
    [sym_preproc_line] = STATE(4142),
    [sym_preproc_pragma] = STATE(4142),
    [sym_preproc_nullable] = STATE(4142),
    [sym_preproc_error] = STATE(4142),
    [sym_preproc_define] = STATE(4142),
    [sym_preproc_undef] = STATE(4142),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4143] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9260),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4143),
    [sym_preproc_endregion] = STATE(4143),
    [sym_preproc_line] = STATE(4143),
    [sym_preproc_pragma] = STATE(4143),
    [sym_preproc_nullable] = STATE(4143),
    [sym_preproc_error] = STATE(4143),
    [sym_preproc_define] = STATE(4143),
    [sym_preproc_undef] = STATE(4143),
    [aux_sym_function_pointer_type_repeat1] = STATE(4144),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4144] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9707),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4144),
    [sym_preproc_endregion] = STATE(4144),
    [sym_preproc_line] = STATE(4144),
    [sym_preproc_pragma] = STATE(4144),
    [sym_preproc_nullable] = STATE(4144),
    [sym_preproc_error] = STATE(4144),
    [sym_preproc_define] = STATE(4144),
    [sym_preproc_undef] = STATE(4144),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4145] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9707),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4145),
    [sym_preproc_endregion] = STATE(4145),
    [sym_preproc_line] = STATE(4145),
    [sym_preproc_pragma] = STATE(4145),
    [sym_preproc_nullable] = STATE(4145),
    [sym_preproc_error] = STATE(4145),
    [sym_preproc_define] = STATE(4145),
    [sym_preproc_undef] = STATE(4145),
    [aux_sym_function_pointer_type_repeat1] = STATE(4147),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4146] = {
    [sym_preproc_region] = STATE(4146),
    [sym_preproc_endregion] = STATE(4146),
    [sym_preproc_line] = STATE(4146),
    [sym_preproc_pragma] = STATE(4146),
    [sym_preproc_nullable] = STATE(4146),
    [sym_preproc_error] = STATE(4146),
    [sym_preproc_define] = STATE(4146),
    [sym_preproc_undef] = STATE(4146),
    [anon_sym_SEMI] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_COLON] = ACTIONS(2995),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RBRACK] = ACTIONS(2995),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_LT] = ACTIONS(2993),
    [anon_sym_GT] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2995),
    [anon_sym_SLASH] = ACTIONS(2993),
    [anon_sym_PERCENT] = ACTIONS(2995),
    [anon_sym_CARET] = ACTIONS(2995),
    [anon_sym_PIPE] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_LT_LT] = ACTIONS(2995),
    [anon_sym_GT_GT] = ACTIONS(2993),
    [anon_sym_GT_GT_GT] = ACTIONS(2995),
    [anon_sym_EQ_EQ] = ACTIONS(2995),
    [anon_sym_BANG_EQ] = ACTIONS(2995),
    [anon_sym_GT_EQ] = ACTIONS(2995),
    [anon_sym_LT_EQ] = ACTIONS(2995),
    [anon_sym_DOT] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_when] = ACTIONS(2995),
    [anon_sym_DOT_DOT] = ACTIONS(2995),
    [anon_sym_and] = ACTIONS(2995),
    [anon_sym_or] = ACTIONS(2995),
    [anon_sym_AMP_AMP] = ACTIONS(2995),
    [anon_sym_PIPE_PIPE] = ACTIONS(2995),
    [anon_sym_QMARK_QMARK] = ACTIONS(2995),
    [anon_sym_on] = ACTIONS(2995),
    [anon_sym_equals] = ACTIONS(2995),
    [anon_sym_by] = ACTIONS(2995),
    [anon_sym_as] = ACTIONS(2995),
    [anon_sym_is] = ACTIONS(2995),
    [anon_sym_DASH_GT] = ACTIONS(2995),
    [anon_sym_with] = ACTIONS(2995),
    [aux_sym_preproc_if_token3] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4147] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9076),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4147),
    [sym_preproc_endregion] = STATE(4147),
    [sym_preproc_line] = STATE(4147),
    [sym_preproc_pragma] = STATE(4147),
    [sym_preproc_nullable] = STATE(4147),
    [sym_preproc_error] = STATE(4147),
    [sym_preproc_define] = STATE(4147),
    [sym_preproc_undef] = STATE(4147),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4148] = {
    [sym_preproc_region] = STATE(4148),
    [sym_preproc_endregion] = STATE(4148),
    [sym_preproc_line] = STATE(4148),
    [sym_preproc_pragma] = STATE(4148),
    [sym_preproc_nullable] = STATE(4148),
    [sym_preproc_error] = STATE(4148),
    [sym_preproc_define] = STATE(4148),
    [sym_preproc_undef] = STATE(4148),
    [anon_sym_SEMI] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5956),
    [anon_sym_COLON] = ACTIONS(5956),
    [anon_sym_COMMA] = ACTIONS(5956),
    [anon_sym_RBRACK] = ACTIONS(5956),
    [anon_sym_LPAREN] = ACTIONS(5956),
    [anon_sym_RPAREN] = ACTIONS(5956),
    [anon_sym_RBRACE] = ACTIONS(5956),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_in] = ACTIONS(5956),
    [anon_sym_QMARK] = ACTIONS(5958),
    [anon_sym_BANG] = ACTIONS(5958),
    [anon_sym_PLUS_PLUS] = ACTIONS(5956),
    [anon_sym_DASH_DASH] = ACTIONS(5956),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5956),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5956),
    [anon_sym_CARET] = ACTIONS(5956),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5956),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_GT_GT_GT] = ACTIONS(5956),
    [anon_sym_EQ_EQ] = ACTIONS(5956),
    [anon_sym_BANG_EQ] = ACTIONS(5956),
    [anon_sym_GT_EQ] = ACTIONS(5956),
    [anon_sym_LT_EQ] = ACTIONS(5956),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_EQ_GT] = ACTIONS(5956),
    [anon_sym_switch] = ACTIONS(5956),
    [anon_sym_when] = ACTIONS(5956),
    [anon_sym_DOT_DOT] = ACTIONS(5956),
    [anon_sym_and] = ACTIONS(5956),
    [anon_sym_or] = ACTIONS(5956),
    [anon_sym_AMP_AMP] = ACTIONS(5956),
    [anon_sym_PIPE_PIPE] = ACTIONS(5956),
    [anon_sym_QMARK_QMARK] = ACTIONS(5956),
    [anon_sym_on] = ACTIONS(5956),
    [anon_sym_equals] = ACTIONS(5956),
    [anon_sym_by] = ACTIONS(5956),
    [anon_sym_as] = ACTIONS(5956),
    [anon_sym_is] = ACTIONS(5956),
    [anon_sym_DASH_GT] = ACTIONS(5956),
    [anon_sym_with] = ACTIONS(5956),
    [aux_sym_preproc_if_token3] = ACTIONS(5956),
    [aux_sym_preproc_else_token1] = ACTIONS(5956),
    [aux_sym_preproc_elif_token1] = ACTIONS(5956),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4149] = {
    [sym_preproc_region] = STATE(4149),
    [sym_preproc_endregion] = STATE(4149),
    [sym_preproc_line] = STATE(4149),
    [sym_preproc_pragma] = STATE(4149),
    [sym_preproc_nullable] = STATE(4149),
    [sym_preproc_error] = STATE(4149),
    [sym_preproc_define] = STATE(4149),
    [sym_preproc_undef] = STATE(4149),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_LPAREN] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LT] = ACTIONS(5942),
    [anon_sym_GT] = ACTIONS(5942),
    [anon_sym_in] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5942),
    [anon_sym_BANG] = ACTIONS(5942),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS] = ACTIONS(5942),
    [anon_sym_DASH] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5940),
    [anon_sym_SLASH] = ACTIONS(5942),
    [anon_sym_PERCENT] = ACTIONS(5940),
    [anon_sym_CARET] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5942),
    [anon_sym_LT_LT] = ACTIONS(5940),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_GT_GT_GT] = ACTIONS(5940),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5942),
    [anon_sym_EQ_GT] = ACTIONS(5940),
    [anon_sym_switch] = ACTIONS(5940),
    [anon_sym_when] = ACTIONS(5940),
    [anon_sym_DOT_DOT] = ACTIONS(5940),
    [anon_sym_and] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_QMARK_QMARK] = ACTIONS(5940),
    [anon_sym_on] = ACTIONS(5940),
    [anon_sym_equals] = ACTIONS(5940),
    [anon_sym_by] = ACTIONS(5940),
    [anon_sym_as] = ACTIONS(5940),
    [anon_sym_is] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [anon_sym_with] = ACTIONS(5940),
    [aux_sym_preproc_if_token3] = ACTIONS(5940),
    [aux_sym_preproc_else_token1] = ACTIONS(5940),
    [aux_sym_preproc_elif_token1] = ACTIONS(5940),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4150] = {
    [sym_preproc_region] = STATE(4150),
    [sym_preproc_endregion] = STATE(4150),
    [sym_preproc_line] = STATE(4150),
    [sym_preproc_pragma] = STATE(4150),
    [sym_preproc_nullable] = STATE(4150),
    [sym_preproc_error] = STATE(4150),
    [sym_preproc_define] = STATE(4150),
    [sym_preproc_undef] = STATE(4150),
    [anon_sym_SEMI] = ACTIONS(3045),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_COLON] = ACTIONS(3045),
    [anon_sym_COMMA] = ACTIONS(3045),
    [anon_sym_RBRACK] = ACTIONS(3045),
    [anon_sym_LPAREN] = ACTIONS(3045),
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(3043),
    [anon_sym_GT] = ACTIONS(3043),
    [anon_sym_in] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3043),
    [anon_sym_BANG] = ACTIONS(3043),
    [anon_sym_PLUS_PLUS] = ACTIONS(3045),
    [anon_sym_DASH_DASH] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(3043),
    [anon_sym_DASH] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(3045),
    [anon_sym_SLASH] = ACTIONS(3043),
    [anon_sym_PERCENT] = ACTIONS(3045),
    [anon_sym_CARET] = ACTIONS(3045),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_AMP] = ACTIONS(3043),
    [anon_sym_LT_LT] = ACTIONS(3045),
    [anon_sym_GT_GT] = ACTIONS(3043),
    [anon_sym_GT_GT_GT] = ACTIONS(3045),
    [anon_sym_EQ_EQ] = ACTIONS(3045),
    [anon_sym_BANG_EQ] = ACTIONS(3045),
    [anon_sym_GT_EQ] = ACTIONS(3045),
    [anon_sym_LT_EQ] = ACTIONS(3045),
    [anon_sym_DOT] = ACTIONS(3043),
    [anon_sym_EQ_GT] = ACTIONS(3045),
    [anon_sym_switch] = ACTIONS(3045),
    [anon_sym_when] = ACTIONS(3045),
    [anon_sym_DOT_DOT] = ACTIONS(3045),
    [anon_sym_and] = ACTIONS(3045),
    [anon_sym_or] = ACTIONS(3045),
    [anon_sym_AMP_AMP] = ACTIONS(3045),
    [anon_sym_PIPE_PIPE] = ACTIONS(3045),
    [anon_sym_QMARK_QMARK] = ACTIONS(3045),
    [anon_sym_on] = ACTIONS(3045),
    [anon_sym_equals] = ACTIONS(3045),
    [anon_sym_by] = ACTIONS(3045),
    [anon_sym_as] = ACTIONS(3045),
    [anon_sym_is] = ACTIONS(3045),
    [anon_sym_DASH_GT] = ACTIONS(3045),
    [anon_sym_with] = ACTIONS(3045),
    [aux_sym_preproc_if_token3] = ACTIONS(3045),
    [aux_sym_preproc_else_token1] = ACTIONS(3045),
    [aux_sym_preproc_elif_token1] = ACTIONS(3045),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4151] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7080),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9586),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4151),
    [sym_preproc_endregion] = STATE(4151),
    [sym_preproc_line] = STATE(4151),
    [sym_preproc_pragma] = STATE(4151),
    [sym_preproc_nullable] = STATE(4151),
    [sym_preproc_error] = STATE(4151),
    [sym_preproc_define] = STATE(4151),
    [sym_preproc_undef] = STATE(4151),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6001),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4152] = {
    [sym_preproc_region] = STATE(4152),
    [sym_preproc_endregion] = STATE(4152),
    [sym_preproc_line] = STATE(4152),
    [sym_preproc_pragma] = STATE(4152),
    [sym_preproc_nullable] = STATE(4152),
    [sym_preproc_error] = STATE(4152),
    [sym_preproc_define] = STATE(4152),
    [sym_preproc_undef] = STATE(4152),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_RBRACK] = ACTIONS(5486),
    [anon_sym_LPAREN] = ACTIONS(5486),
    [anon_sym_RPAREN] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_in] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5488),
    [anon_sym_BANG] = ACTIONS(5488),
    [anon_sym_PLUS_PLUS] = ACTIONS(5486),
    [anon_sym_DASH_DASH] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_GT_GT_GT] = ACTIONS(5486),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_EQ_GT] = ACTIONS(5486),
    [anon_sym_switch] = ACTIONS(5486),
    [anon_sym_when] = ACTIONS(5486),
    [anon_sym_DOT_DOT] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(5486),
    [anon_sym_QMARK_QMARK] = ACTIONS(5486),
    [anon_sym_on] = ACTIONS(5486),
    [anon_sym_equals] = ACTIONS(5486),
    [anon_sym_by] = ACTIONS(5486),
    [anon_sym_as] = ACTIONS(5486),
    [anon_sym_is] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [anon_sym_with] = ACTIONS(5486),
    [aux_sym_preproc_if_token3] = ACTIONS(5486),
    [aux_sym_preproc_else_token1] = ACTIONS(5486),
    [aux_sym_preproc_elif_token1] = ACTIONS(5486),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4153] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7111),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9044),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4153),
    [sym_preproc_endregion] = STATE(4153),
    [sym_preproc_line] = STATE(4153),
    [sym_preproc_pragma] = STATE(4153),
    [sym_preproc_nullable] = STATE(4153),
    [sym_preproc_error] = STATE(4153),
    [sym_preproc_define] = STATE(4153),
    [sym_preproc_undef] = STATE(4153),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4154] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9065),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4154),
    [sym_preproc_endregion] = STATE(4154),
    [sym_preproc_line] = STATE(4154),
    [sym_preproc_pragma] = STATE(4154),
    [sym_preproc_nullable] = STATE(4154),
    [sym_preproc_error] = STATE(4154),
    [sym_preproc_define] = STATE(4154),
    [sym_preproc_undef] = STATE(4154),
    [aux_sym_function_pointer_type_repeat1] = STATE(4155),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4155] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9132),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4155),
    [sym_preproc_endregion] = STATE(4155),
    [sym_preproc_line] = STATE(4155),
    [sym_preproc_pragma] = STATE(4155),
    [sym_preproc_nullable] = STATE(4155),
    [sym_preproc_error] = STATE(4155),
    [sym_preproc_define] = STATE(4155),
    [sym_preproc_undef] = STATE(4155),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4156] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9132),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4156),
    [sym_preproc_endregion] = STATE(4156),
    [sym_preproc_line] = STATE(4156),
    [sym_preproc_pragma] = STATE(4156),
    [sym_preproc_nullable] = STATE(4156),
    [sym_preproc_error] = STATE(4156),
    [sym_preproc_define] = STATE(4156),
    [sym_preproc_undef] = STATE(4156),
    [aux_sym_function_pointer_type_repeat1] = STATE(4157),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4157] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9186),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4157),
    [sym_preproc_endregion] = STATE(4157),
    [sym_preproc_line] = STATE(4157),
    [sym_preproc_pragma] = STATE(4157),
    [sym_preproc_nullable] = STATE(4157),
    [sym_preproc_error] = STATE(4157),
    [sym_preproc_define] = STATE(4157),
    [sym_preproc_undef] = STATE(4157),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4158] = {
    [sym_preproc_region] = STATE(4158),
    [sym_preproc_endregion] = STATE(4158),
    [sym_preproc_line] = STATE(4158),
    [sym_preproc_pragma] = STATE(4158),
    [sym_preproc_nullable] = STATE(4158),
    [sym_preproc_error] = STATE(4158),
    [sym_preproc_define] = STATE(4158),
    [sym_preproc_undef] = STATE(4158),
    [anon_sym_EQ] = ACTIONS(6003),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_when] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6005),
    [anon_sym_DASH_EQ] = ACTIONS(6005),
    [anon_sym_STAR_EQ] = ACTIONS(6005),
    [anon_sym_SLASH_EQ] = ACTIONS(6005),
    [anon_sym_PERCENT_EQ] = ACTIONS(6005),
    [anon_sym_AMP_EQ] = ACTIONS(6005),
    [anon_sym_CARET_EQ] = ACTIONS(6005),
    [anon_sym_PIPE_EQ] = ACTIONS(6005),
    [anon_sym_LT_LT_EQ] = ACTIONS(6005),
    [anon_sym_GT_GT_EQ] = ACTIONS(6005),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6005),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6005),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4159] = {
    [sym_preproc_region] = STATE(4159),
    [sym_preproc_endregion] = STATE(4159),
    [sym_preproc_line] = STATE(4159),
    [sym_preproc_pragma] = STATE(4159),
    [sym_preproc_nullable] = STATE(4159),
    [sym_preproc_error] = STATE(4159),
    [sym_preproc_define] = STATE(4159),
    [sym_preproc_undef] = STATE(4159),
    [anon_sym_EQ] = ACTIONS(6007),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6009),
    [anon_sym_DASH_EQ] = ACTIONS(6009),
    [anon_sym_STAR_EQ] = ACTIONS(6009),
    [anon_sym_SLASH_EQ] = ACTIONS(6009),
    [anon_sym_PERCENT_EQ] = ACTIONS(6009),
    [anon_sym_AMP_EQ] = ACTIONS(6009),
    [anon_sym_CARET_EQ] = ACTIONS(6009),
    [anon_sym_PIPE_EQ] = ACTIONS(6009),
    [anon_sym_LT_LT_EQ] = ACTIONS(6009),
    [anon_sym_GT_GT_EQ] = ACTIONS(6009),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6009),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6009),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_by] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4160] = {
    [sym_preproc_region] = STATE(4160),
    [sym_preproc_endregion] = STATE(4160),
    [sym_preproc_line] = STATE(4160),
    [sym_preproc_pragma] = STATE(4160),
    [sym_preproc_nullable] = STATE(4160),
    [sym_preproc_error] = STATE(4160),
    [sym_preproc_define] = STATE(4160),
    [sym_preproc_undef] = STATE(4160),
    [anon_sym_SEMI] = ACTIONS(5901),
    [anon_sym_LBRACK] = ACTIONS(5901),
    [anon_sym_COLON] = ACTIONS(5901),
    [anon_sym_COMMA] = ACTIONS(5901),
    [anon_sym_RBRACK] = ACTIONS(5901),
    [anon_sym_LPAREN] = ACTIONS(5901),
    [anon_sym_RPAREN] = ACTIONS(5901),
    [anon_sym_RBRACE] = ACTIONS(5901),
    [anon_sym_LT] = ACTIONS(5903),
    [anon_sym_GT] = ACTIONS(5903),
    [anon_sym_in] = ACTIONS(5901),
    [anon_sym_QMARK] = ACTIONS(5903),
    [anon_sym_BANG] = ACTIONS(5903),
    [anon_sym_PLUS_PLUS] = ACTIONS(5901),
    [anon_sym_DASH_DASH] = ACTIONS(5901),
    [anon_sym_PLUS] = ACTIONS(5903),
    [anon_sym_DASH] = ACTIONS(5903),
    [anon_sym_STAR] = ACTIONS(5901),
    [anon_sym_SLASH] = ACTIONS(5903),
    [anon_sym_PERCENT] = ACTIONS(5901),
    [anon_sym_CARET] = ACTIONS(5901),
    [anon_sym_PIPE] = ACTIONS(5903),
    [anon_sym_AMP] = ACTIONS(5903),
    [anon_sym_LT_LT] = ACTIONS(5901),
    [anon_sym_GT_GT] = ACTIONS(5903),
    [anon_sym_GT_GT_GT] = ACTIONS(5901),
    [anon_sym_EQ_EQ] = ACTIONS(5901),
    [anon_sym_BANG_EQ] = ACTIONS(5901),
    [anon_sym_GT_EQ] = ACTIONS(5901),
    [anon_sym_LT_EQ] = ACTIONS(5901),
    [anon_sym_DOT] = ACTIONS(5903),
    [anon_sym_EQ_GT] = ACTIONS(5901),
    [anon_sym_switch] = ACTIONS(5901),
    [anon_sym_when] = ACTIONS(5901),
    [anon_sym_DOT_DOT] = ACTIONS(5901),
    [anon_sym_and] = ACTIONS(5901),
    [anon_sym_or] = ACTIONS(5901),
    [anon_sym_AMP_AMP] = ACTIONS(5901),
    [anon_sym_PIPE_PIPE] = ACTIONS(5901),
    [anon_sym_QMARK_QMARK] = ACTIONS(5901),
    [anon_sym_on] = ACTIONS(5901),
    [anon_sym_equals] = ACTIONS(5901),
    [anon_sym_by] = ACTIONS(5901),
    [anon_sym_as] = ACTIONS(5901),
    [anon_sym_is] = ACTIONS(5901),
    [anon_sym_DASH_GT] = ACTIONS(5901),
    [anon_sym_with] = ACTIONS(5901),
    [aux_sym_preproc_if_token3] = ACTIONS(5901),
    [aux_sym_preproc_else_token1] = ACTIONS(5901),
    [aux_sym_preproc_elif_token1] = ACTIONS(5901),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4161] = {
    [sym_initializer_expression] = STATE(3724),
    [sym_preproc_region] = STATE(4161),
    [sym_preproc_endregion] = STATE(4161),
    [sym_preproc_line] = STATE(4161),
    [sym_preproc_pragma] = STATE(4161),
    [sym_preproc_nullable] = STATE(4161),
    [sym_preproc_error] = STATE(4161),
    [sym_preproc_define] = STATE(4161),
    [sym_preproc_undef] = STATE(4161),
    [anon_sym_SEMI] = ACTIONS(5386),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_COLON] = ACTIONS(5386),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_RBRACK] = ACTIONS(5386),
    [anon_sym_LPAREN] = ACTIONS(5386),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(6011),
    [anon_sym_RBRACE] = ACTIONS(5386),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_in] = ACTIONS(5392),
    [anon_sym_QMARK] = ACTIONS(6014),
    [anon_sym_BANG] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_GT_GT_GT] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_EQ_GT] = ACTIONS(5386),
    [anon_sym_switch] = ACTIONS(5386),
    [anon_sym_DOT_DOT] = ACTIONS(5386),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_QMARK_QMARK] = ACTIONS(5386),
    [anon_sym_into] = ACTIONS(5386),
    [anon_sym_on] = ACTIONS(5386),
    [anon_sym_equals] = ACTIONS(5386),
    [anon_sym_by] = ACTIONS(5386),
    [anon_sym_as] = ACTIONS(5386),
    [anon_sym_is] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [anon_sym_with] = ACTIONS(5386),
    [aux_sym_preproc_if_token3] = ACTIONS(5386),
    [aux_sym_preproc_else_token1] = ACTIONS(5386),
    [aux_sym_preproc_elif_token1] = ACTIONS(5386),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4162] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6986),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9642),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4162),
    [sym_preproc_endregion] = STATE(4162),
    [sym_preproc_line] = STATE(4162),
    [sym_preproc_pragma] = STATE(4162),
    [sym_preproc_nullable] = STATE(4162),
    [sym_preproc_error] = STATE(4162),
    [sym_preproc_define] = STATE(4162),
    [sym_preproc_undef] = STATE(4162),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4163] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6997),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9818),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4163),
    [sym_preproc_endregion] = STATE(4163),
    [sym_preproc_line] = STATE(4163),
    [sym_preproc_pragma] = STATE(4163),
    [sym_preproc_nullable] = STATE(4163),
    [sym_preproc_error] = STATE(4163),
    [sym_preproc_define] = STATE(4163),
    [sym_preproc_undef] = STATE(4163),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4164] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9836),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4164),
    [sym_preproc_endregion] = STATE(4164),
    [sym_preproc_line] = STATE(4164),
    [sym_preproc_pragma] = STATE(4164),
    [sym_preproc_nullable] = STATE(4164),
    [sym_preproc_error] = STATE(4164),
    [sym_preproc_define] = STATE(4164),
    [sym_preproc_undef] = STATE(4164),
    [aux_sym_function_pointer_type_repeat1] = STATE(4165),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4165] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9087),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4165),
    [sym_preproc_endregion] = STATE(4165),
    [sym_preproc_line] = STATE(4165),
    [sym_preproc_pragma] = STATE(4165),
    [sym_preproc_nullable] = STATE(4165),
    [sym_preproc_error] = STATE(4165),
    [sym_preproc_define] = STATE(4165),
    [sym_preproc_undef] = STATE(4165),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4166] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9087),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4166),
    [sym_preproc_endregion] = STATE(4166),
    [sym_preproc_line] = STATE(4166),
    [sym_preproc_pragma] = STATE(4166),
    [sym_preproc_nullable] = STATE(4166),
    [sym_preproc_error] = STATE(4166),
    [sym_preproc_define] = STATE(4166),
    [sym_preproc_undef] = STATE(4166),
    [aux_sym_function_pointer_type_repeat1] = STATE(4167),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4167] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9492),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4167),
    [sym_preproc_endregion] = STATE(4167),
    [sym_preproc_line] = STATE(4167),
    [sym_preproc_pragma] = STATE(4167),
    [sym_preproc_nullable] = STATE(4167),
    [sym_preproc_error] = STATE(4167),
    [sym_preproc_define] = STATE(4167),
    [sym_preproc_undef] = STATE(4167),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4168] = {
    [sym_preproc_region] = STATE(4168),
    [sym_preproc_endregion] = STATE(4168),
    [sym_preproc_line] = STATE(4168),
    [sym_preproc_pragma] = STATE(4168),
    [sym_preproc_nullable] = STATE(4168),
    [sym_preproc_error] = STATE(4168),
    [sym_preproc_define] = STATE(4168),
    [sym_preproc_undef] = STATE(4168),
    [anon_sym_EQ] = ACTIONS(6020),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6022),
    [anon_sym_DASH_EQ] = ACTIONS(6022),
    [anon_sym_STAR_EQ] = ACTIONS(6022),
    [anon_sym_SLASH_EQ] = ACTIONS(6022),
    [anon_sym_PERCENT_EQ] = ACTIONS(6022),
    [anon_sym_AMP_EQ] = ACTIONS(6022),
    [anon_sym_CARET_EQ] = ACTIONS(6022),
    [anon_sym_PIPE_EQ] = ACTIONS(6022),
    [anon_sym_LT_LT_EQ] = ACTIONS(6022),
    [anon_sym_GT_GT_EQ] = ACTIONS(6022),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6022),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6022),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_equals] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4169] = {
    [sym_preproc_region] = STATE(4169),
    [sym_preproc_endregion] = STATE(4169),
    [sym_preproc_line] = STATE(4169),
    [sym_preproc_pragma] = STATE(4169),
    [sym_preproc_nullable] = STATE(4169),
    [sym_preproc_error] = STATE(4169),
    [sym_preproc_define] = STATE(4169),
    [sym_preproc_undef] = STATE(4169),
    [anon_sym_SEMI] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_COLON] = ACTIONS(5530),
    [anon_sym_COMMA] = ACTIONS(5530),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_LPAREN] = ACTIONS(5530),
    [anon_sym_RPAREN] = ACTIONS(5530),
    [anon_sym_RBRACE] = ACTIONS(5530),
    [anon_sym_LT] = ACTIONS(5532),
    [anon_sym_GT] = ACTIONS(5532),
    [anon_sym_in] = ACTIONS(5530),
    [anon_sym_QMARK] = ACTIONS(5532),
    [anon_sym_BANG] = ACTIONS(5532),
    [anon_sym_PLUS_PLUS] = ACTIONS(5530),
    [anon_sym_DASH_DASH] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(5532),
    [anon_sym_DASH] = ACTIONS(5532),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_SLASH] = ACTIONS(5532),
    [anon_sym_PERCENT] = ACTIONS(5530),
    [anon_sym_CARET] = ACTIONS(5530),
    [anon_sym_PIPE] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym_LT_LT] = ACTIONS(5530),
    [anon_sym_GT_GT] = ACTIONS(5532),
    [anon_sym_GT_GT_GT] = ACTIONS(5530),
    [anon_sym_EQ_EQ] = ACTIONS(5530),
    [anon_sym_BANG_EQ] = ACTIONS(5530),
    [anon_sym_GT_EQ] = ACTIONS(5530),
    [anon_sym_LT_EQ] = ACTIONS(5530),
    [anon_sym_DOT] = ACTIONS(5532),
    [anon_sym_EQ_GT] = ACTIONS(5530),
    [anon_sym_switch] = ACTIONS(5530),
    [anon_sym_when] = ACTIONS(5530),
    [anon_sym_DOT_DOT] = ACTIONS(5530),
    [anon_sym_and] = ACTIONS(5530),
    [anon_sym_or] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_PIPE_PIPE] = ACTIONS(5530),
    [anon_sym_QMARK_QMARK] = ACTIONS(5530),
    [anon_sym_on] = ACTIONS(5530),
    [anon_sym_equals] = ACTIONS(5530),
    [anon_sym_by] = ACTIONS(5530),
    [anon_sym_as] = ACTIONS(5530),
    [anon_sym_is] = ACTIONS(5530),
    [anon_sym_DASH_GT] = ACTIONS(5530),
    [anon_sym_with] = ACTIONS(5530),
    [aux_sym_preproc_if_token3] = ACTIONS(5530),
    [aux_sym_preproc_else_token1] = ACTIONS(5530),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4170] = {
    [sym_preproc_region] = STATE(4170),
    [sym_preproc_endregion] = STATE(4170),
    [sym_preproc_line] = STATE(4170),
    [sym_preproc_pragma] = STATE(4170),
    [sym_preproc_nullable] = STATE(4170),
    [sym_preproc_error] = STATE(4170),
    [sym_preproc_define] = STATE(4170),
    [sym_preproc_undef] = STATE(4170),
    [anon_sym_SEMI] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5534),
    [anon_sym_COLON] = ACTIONS(5534),
    [anon_sym_COMMA] = ACTIONS(5534),
    [anon_sym_RBRACK] = ACTIONS(5534),
    [anon_sym_LPAREN] = ACTIONS(5534),
    [anon_sym_RPAREN] = ACTIONS(5534),
    [anon_sym_RBRACE] = ACTIONS(5534),
    [anon_sym_LT] = ACTIONS(5536),
    [anon_sym_GT] = ACTIONS(5536),
    [anon_sym_in] = ACTIONS(5534),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_BANG] = ACTIONS(5536),
    [anon_sym_PLUS_PLUS] = ACTIONS(5534),
    [anon_sym_DASH_DASH] = ACTIONS(5534),
    [anon_sym_PLUS] = ACTIONS(5536),
    [anon_sym_DASH] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_SLASH] = ACTIONS(5536),
    [anon_sym_PERCENT] = ACTIONS(5534),
    [anon_sym_CARET] = ACTIONS(5534),
    [anon_sym_PIPE] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym_LT_LT] = ACTIONS(5534),
    [anon_sym_GT_GT] = ACTIONS(5536),
    [anon_sym_GT_GT_GT] = ACTIONS(5534),
    [anon_sym_EQ_EQ] = ACTIONS(5534),
    [anon_sym_BANG_EQ] = ACTIONS(5534),
    [anon_sym_GT_EQ] = ACTIONS(5534),
    [anon_sym_LT_EQ] = ACTIONS(5534),
    [anon_sym_DOT] = ACTIONS(5536),
    [anon_sym_EQ_GT] = ACTIONS(5534),
    [anon_sym_switch] = ACTIONS(5534),
    [anon_sym_when] = ACTIONS(5534),
    [anon_sym_DOT_DOT] = ACTIONS(5534),
    [anon_sym_and] = ACTIONS(5534),
    [anon_sym_or] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_PIPE_PIPE] = ACTIONS(5534),
    [anon_sym_QMARK_QMARK] = ACTIONS(5534),
    [anon_sym_on] = ACTIONS(5534),
    [anon_sym_equals] = ACTIONS(5534),
    [anon_sym_by] = ACTIONS(5534),
    [anon_sym_as] = ACTIONS(5534),
    [anon_sym_is] = ACTIONS(5534),
    [anon_sym_DASH_GT] = ACTIONS(5534),
    [anon_sym_with] = ACTIONS(5534),
    [aux_sym_preproc_if_token3] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4171] = {
    [sym_preproc_region] = STATE(4171),
    [sym_preproc_endregion] = STATE(4171),
    [sym_preproc_line] = STATE(4171),
    [sym_preproc_pragma] = STATE(4171),
    [sym_preproc_nullable] = STATE(4171),
    [sym_preproc_error] = STATE(4171),
    [sym_preproc_define] = STATE(4171),
    [sym_preproc_undef] = STATE(4171),
    [anon_sym_SEMI] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [anon_sym_COLON] = ACTIONS(5538),
    [anon_sym_COMMA] = ACTIONS(5538),
    [anon_sym_RBRACK] = ACTIONS(5538),
    [anon_sym_LPAREN] = ACTIONS(5538),
    [anon_sym_RPAREN] = ACTIONS(5538),
    [anon_sym_RBRACE] = ACTIONS(5538),
    [anon_sym_LT] = ACTIONS(5540),
    [anon_sym_GT] = ACTIONS(5540),
    [anon_sym_in] = ACTIONS(5538),
    [anon_sym_QMARK] = ACTIONS(5540),
    [anon_sym_BANG] = ACTIONS(5540),
    [anon_sym_PLUS_PLUS] = ACTIONS(5538),
    [anon_sym_DASH_DASH] = ACTIONS(5538),
    [anon_sym_PLUS] = ACTIONS(5540),
    [anon_sym_DASH] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_SLASH] = ACTIONS(5540),
    [anon_sym_PERCENT] = ACTIONS(5538),
    [anon_sym_CARET] = ACTIONS(5538),
    [anon_sym_PIPE] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym_LT_LT] = ACTIONS(5538),
    [anon_sym_GT_GT] = ACTIONS(5540),
    [anon_sym_GT_GT_GT] = ACTIONS(5538),
    [anon_sym_EQ_EQ] = ACTIONS(5538),
    [anon_sym_BANG_EQ] = ACTIONS(5538),
    [anon_sym_GT_EQ] = ACTIONS(5538),
    [anon_sym_LT_EQ] = ACTIONS(5538),
    [anon_sym_DOT] = ACTIONS(5540),
    [anon_sym_EQ_GT] = ACTIONS(5538),
    [anon_sym_switch] = ACTIONS(5538),
    [anon_sym_when] = ACTIONS(5538),
    [anon_sym_DOT_DOT] = ACTIONS(5538),
    [anon_sym_and] = ACTIONS(5538),
    [anon_sym_or] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_PIPE_PIPE] = ACTIONS(5538),
    [anon_sym_QMARK_QMARK] = ACTIONS(5538),
    [anon_sym_on] = ACTIONS(5538),
    [anon_sym_equals] = ACTIONS(5538),
    [anon_sym_by] = ACTIONS(5538),
    [anon_sym_as] = ACTIONS(5538),
    [anon_sym_is] = ACTIONS(5538),
    [anon_sym_DASH_GT] = ACTIONS(5538),
    [anon_sym_with] = ACTIONS(5538),
    [aux_sym_preproc_if_token3] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4172] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7054),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9690),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4172),
    [sym_preproc_endregion] = STATE(4172),
    [sym_preproc_line] = STATE(4172),
    [sym_preproc_pragma] = STATE(4172),
    [sym_preproc_nullable] = STATE(4172),
    [sym_preproc_error] = STATE(4172),
    [sym_preproc_define] = STATE(4172),
    [sym_preproc_undef] = STATE(4172),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4173] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7063),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9046),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4173),
    [sym_preproc_endregion] = STATE(4173),
    [sym_preproc_line] = STATE(4173),
    [sym_preproc_pragma] = STATE(4173),
    [sym_preproc_nullable] = STATE(4173),
    [sym_preproc_error] = STATE(4173),
    [sym_preproc_define] = STATE(4173),
    [sym_preproc_undef] = STATE(4173),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4174] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9048),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4174),
    [sym_preproc_endregion] = STATE(4174),
    [sym_preproc_line] = STATE(4174),
    [sym_preproc_pragma] = STATE(4174),
    [sym_preproc_nullable] = STATE(4174),
    [sym_preproc_error] = STATE(4174),
    [sym_preproc_define] = STATE(4174),
    [sym_preproc_undef] = STATE(4174),
    [aux_sym_function_pointer_type_repeat1] = STATE(4175),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4175] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9163),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4175),
    [sym_preproc_endregion] = STATE(4175),
    [sym_preproc_line] = STATE(4175),
    [sym_preproc_pragma] = STATE(4175),
    [sym_preproc_nullable] = STATE(4175),
    [sym_preproc_error] = STATE(4175),
    [sym_preproc_define] = STATE(4175),
    [sym_preproc_undef] = STATE(4175),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4176] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9163),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4176),
    [sym_preproc_endregion] = STATE(4176),
    [sym_preproc_line] = STATE(4176),
    [sym_preproc_pragma] = STATE(4176),
    [sym_preproc_nullable] = STATE(4176),
    [sym_preproc_error] = STATE(4176),
    [sym_preproc_define] = STATE(4176),
    [sym_preproc_undef] = STATE(4176),
    [aux_sym_function_pointer_type_repeat1] = STATE(4177),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4177] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9259),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4177),
    [sym_preproc_endregion] = STATE(4177),
    [sym_preproc_line] = STATE(4177),
    [sym_preproc_pragma] = STATE(4177),
    [sym_preproc_nullable] = STATE(4177),
    [sym_preproc_error] = STATE(4177),
    [sym_preproc_define] = STATE(4177),
    [sym_preproc_undef] = STATE(4177),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4178] = {
    [sym_preproc_region] = STATE(4178),
    [sym_preproc_endregion] = STATE(4178),
    [sym_preproc_line] = STATE(4178),
    [sym_preproc_pragma] = STATE(4178),
    [sym_preproc_nullable] = STATE(4178),
    [sym_preproc_error] = STATE(4178),
    [sym_preproc_define] = STATE(4178),
    [sym_preproc_undef] = STATE(4178),
    [anon_sym_EQ] = ACTIONS(6024),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6026),
    [anon_sym_DASH_EQ] = ACTIONS(6026),
    [anon_sym_STAR_EQ] = ACTIONS(6026),
    [anon_sym_SLASH_EQ] = ACTIONS(6026),
    [anon_sym_PERCENT_EQ] = ACTIONS(6026),
    [anon_sym_AMP_EQ] = ACTIONS(6026),
    [anon_sym_CARET_EQ] = ACTIONS(6026),
    [anon_sym_PIPE_EQ] = ACTIONS(6026),
    [anon_sym_LT_LT_EQ] = ACTIONS(6026),
    [anon_sym_GT_GT_EQ] = ACTIONS(6026),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6026),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6026),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_on] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4179] = {
    [sym_preproc_region] = STATE(4179),
    [sym_preproc_endregion] = STATE(4179),
    [sym_preproc_line] = STATE(4179),
    [sym_preproc_pragma] = STATE(4179),
    [sym_preproc_nullable] = STATE(4179),
    [sym_preproc_error] = STATE(4179),
    [sym_preproc_define] = STATE(4179),
    [sym_preproc_undef] = STATE(4179),
    [anon_sym_EQ] = ACTIONS(6028),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6030),
    [anon_sym_DASH_EQ] = ACTIONS(6030),
    [anon_sym_STAR_EQ] = ACTIONS(6030),
    [anon_sym_SLASH_EQ] = ACTIONS(6030),
    [anon_sym_PERCENT_EQ] = ACTIONS(6030),
    [anon_sym_AMP_EQ] = ACTIONS(6030),
    [anon_sym_CARET_EQ] = ACTIONS(6030),
    [anon_sym_PIPE_EQ] = ACTIONS(6030),
    [anon_sym_LT_LT_EQ] = ACTIONS(6030),
    [anon_sym_GT_GT_EQ] = ACTIONS(6030),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6030),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6030),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4180] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7103),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9759),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4180),
    [sym_preproc_endregion] = STATE(4180),
    [sym_preproc_line] = STATE(4180),
    [sym_preproc_pragma] = STATE(4180),
    [sym_preproc_nullable] = STATE(4180),
    [sym_preproc_error] = STATE(4180),
    [sym_preproc_define] = STATE(4180),
    [sym_preproc_undef] = STATE(4180),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4181] = {
    [sym_preproc_region] = STATE(4181),
    [sym_preproc_endregion] = STATE(4181),
    [sym_preproc_line] = STATE(4181),
    [sym_preproc_pragma] = STATE(4181),
    [sym_preproc_nullable] = STATE(4181),
    [sym_preproc_error] = STATE(4181),
    [sym_preproc_define] = STATE(4181),
    [sym_preproc_undef] = STATE(4181),
    [anon_sym_SEMI] = ACTIONS(5467),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym_COLON] = ACTIONS(5467),
    [anon_sym_COMMA] = ACTIONS(5467),
    [anon_sym_RBRACK] = ACTIONS(5467),
    [anon_sym_LPAREN] = ACTIONS(5467),
    [anon_sym_RPAREN] = ACTIONS(5467),
    [anon_sym_RBRACE] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5469),
    [anon_sym_GT] = ACTIONS(5469),
    [anon_sym_in] = ACTIONS(5467),
    [anon_sym_QMARK] = ACTIONS(5469),
    [anon_sym_BANG] = ACTIONS(5469),
    [anon_sym_PLUS_PLUS] = ACTIONS(5467),
    [anon_sym_DASH_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5469),
    [anon_sym_DASH] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5467),
    [anon_sym_SLASH] = ACTIONS(5469),
    [anon_sym_PERCENT] = ACTIONS(5467),
    [anon_sym_CARET] = ACTIONS(5467),
    [anon_sym_PIPE] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5469),
    [anon_sym_LT_LT] = ACTIONS(5467),
    [anon_sym_GT_GT] = ACTIONS(5469),
    [anon_sym_GT_GT_GT] = ACTIONS(5467),
    [anon_sym_EQ_EQ] = ACTIONS(5467),
    [anon_sym_BANG_EQ] = ACTIONS(5467),
    [anon_sym_GT_EQ] = ACTIONS(5467),
    [anon_sym_LT_EQ] = ACTIONS(5467),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_EQ_GT] = ACTIONS(5467),
    [anon_sym_switch] = ACTIONS(5467),
    [anon_sym_when] = ACTIONS(5467),
    [anon_sym_DOT_DOT] = ACTIONS(5467),
    [anon_sym_and] = ACTIONS(5467),
    [anon_sym_or] = ACTIONS(5467),
    [anon_sym_AMP_AMP] = ACTIONS(5467),
    [anon_sym_PIPE_PIPE] = ACTIONS(5467),
    [anon_sym_QMARK_QMARK] = ACTIONS(5467),
    [anon_sym_on] = ACTIONS(5467),
    [anon_sym_equals] = ACTIONS(5467),
    [anon_sym_by] = ACTIONS(5467),
    [anon_sym_as] = ACTIONS(5467),
    [anon_sym_is] = ACTIONS(5467),
    [anon_sym_DASH_GT] = ACTIONS(5467),
    [anon_sym_with] = ACTIONS(5467),
    [aux_sym_preproc_if_token3] = ACTIONS(5467),
    [aux_sym_preproc_else_token1] = ACTIONS(5467),
    [aux_sym_preproc_elif_token1] = ACTIONS(5467),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4182] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7112),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9166),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4182),
    [sym_preproc_endregion] = STATE(4182),
    [sym_preproc_line] = STATE(4182),
    [sym_preproc_pragma] = STATE(4182),
    [sym_preproc_nullable] = STATE(4182),
    [sym_preproc_error] = STATE(4182),
    [sym_preproc_define] = STATE(4182),
    [sym_preproc_undef] = STATE(4182),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4183] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9167),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4183),
    [sym_preproc_endregion] = STATE(4183),
    [sym_preproc_line] = STATE(4183),
    [sym_preproc_pragma] = STATE(4183),
    [sym_preproc_nullable] = STATE(4183),
    [sym_preproc_error] = STATE(4183),
    [sym_preproc_define] = STATE(4183),
    [sym_preproc_undef] = STATE(4183),
    [aux_sym_function_pointer_type_repeat1] = STATE(4184),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4184] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9271),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4184),
    [sym_preproc_endregion] = STATE(4184),
    [sym_preproc_line] = STATE(4184),
    [sym_preproc_pragma] = STATE(4184),
    [sym_preproc_nullable] = STATE(4184),
    [sym_preproc_error] = STATE(4184),
    [sym_preproc_define] = STATE(4184),
    [sym_preproc_undef] = STATE(4184),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4185] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9271),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4185),
    [sym_preproc_endregion] = STATE(4185),
    [sym_preproc_line] = STATE(4185),
    [sym_preproc_pragma] = STATE(4185),
    [sym_preproc_nullable] = STATE(4185),
    [sym_preproc_error] = STATE(4185),
    [sym_preproc_define] = STATE(4185),
    [sym_preproc_undef] = STATE(4185),
    [aux_sym_function_pointer_type_repeat1] = STATE(4186),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4186] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9286),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4186),
    [sym_preproc_endregion] = STATE(4186),
    [sym_preproc_line] = STATE(4186),
    [sym_preproc_pragma] = STATE(4186),
    [sym_preproc_nullable] = STATE(4186),
    [sym_preproc_error] = STATE(4186),
    [sym_preproc_define] = STATE(4186),
    [sym_preproc_undef] = STATE(4186),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4187] = {
    [sym_preproc_region] = STATE(4187),
    [sym_preproc_endregion] = STATE(4187),
    [sym_preproc_line] = STATE(4187),
    [sym_preproc_pragma] = STATE(4187),
    [sym_preproc_nullable] = STATE(4187),
    [sym_preproc_error] = STATE(4187),
    [sym_preproc_define] = STATE(4187),
    [sym_preproc_undef] = STATE(4187),
    [anon_sym_EQ] = ACTIONS(6032),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6034),
    [anon_sym_DASH_EQ] = ACTIONS(6034),
    [anon_sym_STAR_EQ] = ACTIONS(6034),
    [anon_sym_SLASH_EQ] = ACTIONS(6034),
    [anon_sym_PERCENT_EQ] = ACTIONS(6034),
    [anon_sym_AMP_EQ] = ACTIONS(6034),
    [anon_sym_CARET_EQ] = ACTIONS(6034),
    [anon_sym_PIPE_EQ] = ACTIONS(6034),
    [anon_sym_LT_LT_EQ] = ACTIONS(6034),
    [anon_sym_GT_GT_EQ] = ACTIONS(6034),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6034),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6034),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4188] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7147),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9928),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4188),
    [sym_preproc_endregion] = STATE(4188),
    [sym_preproc_line] = STATE(4188),
    [sym_preproc_pragma] = STATE(4188),
    [sym_preproc_nullable] = STATE(4188),
    [sym_preproc_error] = STATE(4188),
    [sym_preproc_define] = STATE(4188),
    [sym_preproc_undef] = STATE(4188),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4189] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7017),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9031),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4189),
    [sym_preproc_endregion] = STATE(4189),
    [sym_preproc_line] = STATE(4189),
    [sym_preproc_pragma] = STATE(4189),
    [sym_preproc_nullable] = STATE(4189),
    [sym_preproc_error] = STATE(4189),
    [sym_preproc_define] = STATE(4189),
    [sym_preproc_undef] = STATE(4189),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4190] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7016),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9184),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4190),
    [sym_preproc_endregion] = STATE(4190),
    [sym_preproc_line] = STATE(4190),
    [sym_preproc_pragma] = STATE(4190),
    [sym_preproc_nullable] = STATE(4190),
    [sym_preproc_error] = STATE(4190),
    [sym_preproc_define] = STATE(4190),
    [sym_preproc_undef] = STATE(4190),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4191] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7044),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9219),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4191),
    [sym_preproc_endregion] = STATE(4191),
    [sym_preproc_line] = STATE(4191),
    [sym_preproc_pragma] = STATE(4191),
    [sym_preproc_nullable] = STATE(4191),
    [sym_preproc_error] = STATE(4191),
    [sym_preproc_define] = STATE(4191),
    [sym_preproc_undef] = STATE(4191),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4192] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7082),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9318),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4192),
    [sym_preproc_endregion] = STATE(4192),
    [sym_preproc_line] = STATE(4192),
    [sym_preproc_pragma] = STATE(4192),
    [sym_preproc_nullable] = STATE(4192),
    [sym_preproc_error] = STATE(4192),
    [sym_preproc_define] = STATE(4192),
    [sym_preproc_undef] = STATE(4192),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4193] = {
    [sym_preproc_region] = STATE(4193),
    [sym_preproc_endregion] = STATE(4193),
    [sym_preproc_line] = STATE(4193),
    [sym_preproc_pragma] = STATE(4193),
    [sym_preproc_nullable] = STATE(4193),
    [sym_preproc_error] = STATE(4193),
    [sym_preproc_define] = STATE(4193),
    [sym_preproc_undef] = STATE(4193),
    [anon_sym_SEMI] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5885),
    [anon_sym_COLON] = ACTIONS(5885),
    [anon_sym_COMMA] = ACTIONS(5885),
    [anon_sym_RBRACK] = ACTIONS(5885),
    [anon_sym_LPAREN] = ACTIONS(5885),
    [anon_sym_RPAREN] = ACTIONS(5885),
    [anon_sym_RBRACE] = ACTIONS(5885),
    [anon_sym_LT] = ACTIONS(5887),
    [anon_sym_GT] = ACTIONS(5887),
    [anon_sym_in] = ACTIONS(5885),
    [anon_sym_QMARK] = ACTIONS(5887),
    [anon_sym_BANG] = ACTIONS(5887),
    [anon_sym_PLUS_PLUS] = ACTIONS(5885),
    [anon_sym_DASH_DASH] = ACTIONS(5885),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_STAR] = ACTIONS(5885),
    [anon_sym_SLASH] = ACTIONS(5887),
    [anon_sym_PERCENT] = ACTIONS(5885),
    [anon_sym_CARET] = ACTIONS(5885),
    [anon_sym_PIPE] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_LT_LT] = ACTIONS(5885),
    [anon_sym_GT_GT] = ACTIONS(5887),
    [anon_sym_GT_GT_GT] = ACTIONS(5885),
    [anon_sym_EQ_EQ] = ACTIONS(5885),
    [anon_sym_BANG_EQ] = ACTIONS(5885),
    [anon_sym_GT_EQ] = ACTIONS(5885),
    [anon_sym_LT_EQ] = ACTIONS(5885),
    [anon_sym_DOT] = ACTIONS(5887),
    [anon_sym_EQ_GT] = ACTIONS(5885),
    [anon_sym_switch] = ACTIONS(5885),
    [anon_sym_when] = ACTIONS(5885),
    [anon_sym_DOT_DOT] = ACTIONS(5885),
    [anon_sym_and] = ACTIONS(5885),
    [anon_sym_or] = ACTIONS(5885),
    [anon_sym_AMP_AMP] = ACTIONS(5885),
    [anon_sym_PIPE_PIPE] = ACTIONS(5885),
    [anon_sym_QMARK_QMARK] = ACTIONS(5885),
    [anon_sym_on] = ACTIONS(5885),
    [anon_sym_equals] = ACTIONS(5885),
    [anon_sym_by] = ACTIONS(5885),
    [anon_sym_as] = ACTIONS(5885),
    [anon_sym_is] = ACTIONS(5885),
    [anon_sym_DASH_GT] = ACTIONS(5885),
    [anon_sym_with] = ACTIONS(5885),
    [aux_sym_preproc_if_token3] = ACTIONS(5885),
    [aux_sym_preproc_else_token1] = ACTIONS(5885),
    [aux_sym_preproc_elif_token1] = ACTIONS(5885),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4194] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6981),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9325),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4194),
    [sym_preproc_endregion] = STATE(4194),
    [sym_preproc_line] = STATE(4194),
    [sym_preproc_pragma] = STATE(4194),
    [sym_preproc_nullable] = STATE(4194),
    [sym_preproc_error] = STATE(4194),
    [sym_preproc_define] = STATE(4194),
    [sym_preproc_undef] = STATE(4194),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4195] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6994),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9357),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4195),
    [sym_preproc_endregion] = STATE(4195),
    [sym_preproc_line] = STATE(4195),
    [sym_preproc_pragma] = STATE(4195),
    [sym_preproc_nullable] = STATE(4195),
    [sym_preproc_error] = STATE(4195),
    [sym_preproc_define] = STATE(4195),
    [sym_preproc_undef] = STATE(4195),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5993),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4196] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6998),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9366),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4196),
    [sym_preproc_endregion] = STATE(4196),
    [sym_preproc_line] = STATE(4196),
    [sym_preproc_pragma] = STATE(4196),
    [sym_preproc_nullable] = STATE(4196),
    [sym_preproc_error] = STATE(4196),
    [sym_preproc_define] = STATE(4196),
    [sym_preproc_undef] = STATE(4196),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4197] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7004),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9403),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4197),
    [sym_preproc_endregion] = STATE(4197),
    [sym_preproc_line] = STATE(4197),
    [sym_preproc_pragma] = STATE(4197),
    [sym_preproc_nullable] = STATE(4197),
    [sym_preproc_error] = STATE(4197),
    [sym_preproc_define] = STATE(4197),
    [sym_preproc_undef] = STATE(4197),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4198] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7012),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9415),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4198),
    [sym_preproc_endregion] = STATE(4198),
    [sym_preproc_line] = STATE(4198),
    [sym_preproc_pragma] = STATE(4198),
    [sym_preproc_nullable] = STATE(4198),
    [sym_preproc_error] = STATE(4198),
    [sym_preproc_define] = STATE(4198),
    [sym_preproc_undef] = STATE(4198),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4199] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7021),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9455),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4199),
    [sym_preproc_endregion] = STATE(4199),
    [sym_preproc_line] = STATE(4199),
    [sym_preproc_pragma] = STATE(4199),
    [sym_preproc_nullable] = STATE(4199),
    [sym_preproc_error] = STATE(4199),
    [sym_preproc_define] = STATE(4199),
    [sym_preproc_undef] = STATE(4199),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6001),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4200] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7025),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9469),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4200),
    [sym_preproc_endregion] = STATE(4200),
    [sym_preproc_line] = STATE(4200),
    [sym_preproc_pragma] = STATE(4200),
    [sym_preproc_nullable] = STATE(4200),
    [sym_preproc_error] = STATE(4200),
    [sym_preproc_define] = STATE(4200),
    [sym_preproc_undef] = STATE(4200),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4201] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7031),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9514),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4201),
    [sym_preproc_endregion] = STATE(4201),
    [sym_preproc_line] = STATE(4201),
    [sym_preproc_pragma] = STATE(4201),
    [sym_preproc_nullable] = STATE(4201),
    [sym_preproc_error] = STATE(4201),
    [sym_preproc_define] = STATE(4201),
    [sym_preproc_undef] = STATE(4201),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4202] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7038),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9518),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4202),
    [sym_preproc_endregion] = STATE(4202),
    [sym_preproc_line] = STATE(4202),
    [sym_preproc_pragma] = STATE(4202),
    [sym_preproc_nullable] = STATE(4202),
    [sym_preproc_error] = STATE(4202),
    [sym_preproc_define] = STATE(4202),
    [sym_preproc_undef] = STATE(4202),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4203] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7052),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9289),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4203),
    [sym_preproc_endregion] = STATE(4203),
    [sym_preproc_line] = STATE(4203),
    [sym_preproc_pragma] = STATE(4203),
    [sym_preproc_nullable] = STATE(4203),
    [sym_preproc_error] = STATE(4203),
    [sym_preproc_define] = STATE(4203),
    [sym_preproc_undef] = STATE(4203),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4204] = {
    [sym_preproc_region] = STATE(4204),
    [sym_preproc_endregion] = STATE(4204),
    [sym_preproc_line] = STATE(4204),
    [sym_preproc_pragma] = STATE(4204),
    [sym_preproc_nullable] = STATE(4204),
    [sym_preproc_error] = STATE(4204),
    [sym_preproc_define] = STATE(4204),
    [sym_preproc_undef] = STATE(4204),
    [anon_sym_SEMI] = ACTIONS(5447),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym_COLON] = ACTIONS(5447),
    [anon_sym_COMMA] = ACTIONS(5447),
    [anon_sym_RBRACK] = ACTIONS(5447),
    [anon_sym_LPAREN] = ACTIONS(5447),
    [anon_sym_RPAREN] = ACTIONS(5447),
    [anon_sym_RBRACE] = ACTIONS(5447),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_in] = ACTIONS(5447),
    [anon_sym_QMARK] = ACTIONS(5449),
    [anon_sym_BANG] = ACTIONS(5449),
    [anon_sym_PLUS_PLUS] = ACTIONS(5447),
    [anon_sym_DASH_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5447),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5447),
    [anon_sym_CARET] = ACTIONS(5447),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5447),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_GT_GT_GT] = ACTIONS(5447),
    [anon_sym_EQ_EQ] = ACTIONS(5447),
    [anon_sym_BANG_EQ] = ACTIONS(5447),
    [anon_sym_GT_EQ] = ACTIONS(5447),
    [anon_sym_LT_EQ] = ACTIONS(5447),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_EQ_GT] = ACTIONS(5447),
    [anon_sym_switch] = ACTIONS(5447),
    [anon_sym_when] = ACTIONS(5447),
    [anon_sym_DOT_DOT] = ACTIONS(5447),
    [anon_sym_and] = ACTIONS(5447),
    [anon_sym_or] = ACTIONS(5447),
    [anon_sym_AMP_AMP] = ACTIONS(5447),
    [anon_sym_PIPE_PIPE] = ACTIONS(5447),
    [anon_sym_QMARK_QMARK] = ACTIONS(5447),
    [anon_sym_on] = ACTIONS(5447),
    [anon_sym_equals] = ACTIONS(5447),
    [anon_sym_by] = ACTIONS(5447),
    [anon_sym_as] = ACTIONS(5447),
    [anon_sym_is] = ACTIONS(5447),
    [anon_sym_DASH_GT] = ACTIONS(5447),
    [anon_sym_with] = ACTIONS(5447),
    [aux_sym_preproc_if_token3] = ACTIONS(5447),
    [aux_sym_preproc_else_token1] = ACTIONS(5447),
    [aux_sym_preproc_elif_token1] = ACTIONS(5447),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4205] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7073),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9551),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4205),
    [sym_preproc_endregion] = STATE(4205),
    [sym_preproc_line] = STATE(4205),
    [sym_preproc_pragma] = STATE(4205),
    [sym_preproc_nullable] = STATE(4205),
    [sym_preproc_error] = STATE(4205),
    [sym_preproc_define] = STATE(4205),
    [sym_preproc_undef] = STATE(4205),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4206] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(4206),
    [sym_preproc_endregion] = STATE(4206),
    [sym_preproc_line] = STATE(4206),
    [sym_preproc_pragma] = STATE(4206),
    [sym_preproc_nullable] = STATE(4206),
    [sym_preproc_error] = STATE(4206),
    [sym_preproc_define] = STATE(4206),
    [sym_preproc_undef] = STATE(4206),
    [sym__identifier_token] = ACTIONS(4051),
    [anon_sym_alias] = ACTIONS(4055),
    [anon_sym_global] = ACTIONS(4055),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(4059),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(2667),
    [anon_sym_delegate] = ACTIONS(2667),
    [anon_sym_file] = ACTIONS(4055),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(4055),
    [anon_sym_QMARK] = ACTIONS(3995),
    [anon_sym_notnull] = ACTIONS(4055),
    [anon_sym_unmanaged] = ACTIONS(4055),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_this] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_scoped] = ACTIONS(4055),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4055),
    [sym_predefined_type] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(4055),
    [anon_sym_when] = ACTIONS(4055),
    [anon_sym_from] = ACTIONS(4055),
    [anon_sym_into] = ACTIONS(4055),
    [anon_sym_join] = ACTIONS(4055),
    [anon_sym_on] = ACTIONS(4055),
    [anon_sym_equals] = ACTIONS(4055),
    [anon_sym_let] = ACTIONS(4055),
    [anon_sym_orderby] = ACTIONS(4055),
    [anon_sym_ascending] = ACTIONS(4055),
    [anon_sym_descending] = ACTIONS(4055),
    [anon_sym_group] = ACTIONS(4055),
    [anon_sym_by] = ACTIONS(4055),
    [anon_sym_select] = ACTIONS(4055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4207] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7079),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9557),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4207),
    [sym_preproc_endregion] = STATE(4207),
    [sym_preproc_line] = STATE(4207),
    [sym_preproc_pragma] = STATE(4207),
    [sym_preproc_nullable] = STATE(4207),
    [sym_preproc_error] = STATE(4207),
    [sym_preproc_define] = STATE(4207),
    [sym_preproc_undef] = STATE(4207),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4208] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7089),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9576),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4208),
    [sym_preproc_endregion] = STATE(4208),
    [sym_preproc_line] = STATE(4208),
    [sym_preproc_pragma] = STATE(4208),
    [sym_preproc_nullable] = STATE(4208),
    [sym_preproc_error] = STATE(4208),
    [sym_preproc_define] = STATE(4208),
    [sym_preproc_undef] = STATE(4208),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4209] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7093),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9580),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4209),
    [sym_preproc_endregion] = STATE(4209),
    [sym_preproc_line] = STATE(4209),
    [sym_preproc_pragma] = STATE(4209),
    [sym_preproc_nullable] = STATE(4209),
    [sym_preproc_error] = STATE(4209),
    [sym_preproc_define] = STATE(4209),
    [sym_preproc_undef] = STATE(4209),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4210] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7113),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9420),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4210),
    [sym_preproc_endregion] = STATE(4210),
    [sym_preproc_line] = STATE(4210),
    [sym_preproc_pragma] = STATE(4210),
    [sym_preproc_nullable] = STATE(4210),
    [sym_preproc_error] = STATE(4210),
    [sym_preproc_define] = STATE(4210),
    [sym_preproc_undef] = STATE(4210),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4211] = {
    [sym_preproc_region] = STATE(4211),
    [sym_preproc_endregion] = STATE(4211),
    [sym_preproc_line] = STATE(4211),
    [sym_preproc_pragma] = STATE(4211),
    [sym_preproc_nullable] = STATE(4211),
    [sym_preproc_error] = STATE(4211),
    [sym_preproc_define] = STATE(4211),
    [sym_preproc_undef] = STATE(4211),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_COLON] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_LPAREN] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [anon_sym_RBRACE] = ACTIONS(5889),
    [anon_sym_LT] = ACTIONS(5891),
    [anon_sym_GT] = ACTIONS(5891),
    [anon_sym_in] = ACTIONS(5889),
    [anon_sym_QMARK] = ACTIONS(5891),
    [anon_sym_BANG] = ACTIONS(5891),
    [anon_sym_PLUS_PLUS] = ACTIONS(5889),
    [anon_sym_DASH_DASH] = ACTIONS(5889),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_STAR] = ACTIONS(5889),
    [anon_sym_SLASH] = ACTIONS(5891),
    [anon_sym_PERCENT] = ACTIONS(5889),
    [anon_sym_CARET] = ACTIONS(5889),
    [anon_sym_PIPE] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(5891),
    [anon_sym_LT_LT] = ACTIONS(5889),
    [anon_sym_GT_GT] = ACTIONS(5891),
    [anon_sym_GT_GT_GT] = ACTIONS(5889),
    [anon_sym_EQ_EQ] = ACTIONS(5889),
    [anon_sym_BANG_EQ] = ACTIONS(5889),
    [anon_sym_GT_EQ] = ACTIONS(5889),
    [anon_sym_LT_EQ] = ACTIONS(5889),
    [anon_sym_DOT] = ACTIONS(5891),
    [anon_sym_EQ_GT] = ACTIONS(5889),
    [anon_sym_switch] = ACTIONS(5889),
    [anon_sym_when] = ACTIONS(5889),
    [anon_sym_DOT_DOT] = ACTIONS(5889),
    [anon_sym_and] = ACTIONS(5889),
    [anon_sym_or] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_PIPE_PIPE] = ACTIONS(5889),
    [anon_sym_QMARK_QMARK] = ACTIONS(5889),
    [anon_sym_on] = ACTIONS(5889),
    [anon_sym_equals] = ACTIONS(5889),
    [anon_sym_by] = ACTIONS(5889),
    [anon_sym_as] = ACTIONS(5889),
    [anon_sym_is] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [anon_sym_with] = ACTIONS(5889),
    [aux_sym_preproc_if_token3] = ACTIONS(5889),
    [aux_sym_preproc_else_token1] = ACTIONS(5889),
    [aux_sym_preproc_elif_token1] = ACTIONS(5889),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4212] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7121),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9438),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4212),
    [sym_preproc_endregion] = STATE(4212),
    [sym_preproc_line] = STATE(4212),
    [sym_preproc_pragma] = STATE(4212),
    [sym_preproc_nullable] = STATE(4212),
    [sym_preproc_error] = STATE(4212),
    [sym_preproc_define] = STATE(4212),
    [sym_preproc_undef] = STATE(4212),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4213] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7137),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9873),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4213),
    [sym_preproc_endregion] = STATE(4213),
    [sym_preproc_line] = STATE(4213),
    [sym_preproc_pragma] = STATE(4213),
    [sym_preproc_nullable] = STATE(4213),
    [sym_preproc_error] = STATE(4213),
    [sym_preproc_define] = STATE(4213),
    [sym_preproc_undef] = STATE(4213),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5993),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4214] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7138),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9889),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4214),
    [sym_preproc_endregion] = STATE(4214),
    [sym_preproc_line] = STATE(4214),
    [sym_preproc_pragma] = STATE(4214),
    [sym_preproc_nullable] = STATE(4214),
    [sym_preproc_error] = STATE(4214),
    [sym_preproc_define] = STATE(4214),
    [sym_preproc_undef] = STATE(4214),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4215] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7064),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9600),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4215),
    [sym_preproc_endregion] = STATE(4215),
    [sym_preproc_line] = STATE(4215),
    [sym_preproc_pragma] = STATE(4215),
    [sym_preproc_nullable] = STATE(4215),
    [sym_preproc_error] = STATE(4215),
    [sym_preproc_define] = STATE(4215),
    [sym_preproc_undef] = STATE(4215),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4216] = {
    [sym_preproc_region] = STATE(4216),
    [sym_preproc_endregion] = STATE(4216),
    [sym_preproc_line] = STATE(4216),
    [sym_preproc_pragma] = STATE(4216),
    [sym_preproc_nullable] = STATE(4216),
    [sym_preproc_error] = STATE(4216),
    [sym_preproc_define] = STATE(4216),
    [sym_preproc_undef] = STATE(4216),
    [anon_sym_SEMI] = ACTIONS(5875),
    [anon_sym_LBRACK] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5875),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_RBRACK] = ACTIONS(5875),
    [anon_sym_LPAREN] = ACTIONS(5875),
    [anon_sym_RPAREN] = ACTIONS(5875),
    [anon_sym_RBRACE] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5877),
    [anon_sym_in] = ACTIONS(5875),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_BANG] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5875),
    [anon_sym_DASH_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5875),
    [anon_sym_SLASH] = ACTIONS(5877),
    [anon_sym_PERCENT] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5875),
    [anon_sym_PIPE] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5877),
    [anon_sym_LT_LT] = ACTIONS(5875),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_GT_GT_GT] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5875),
    [anon_sym_BANG_EQ] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5875),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_DOT] = ACTIONS(5877),
    [anon_sym_EQ_GT] = ACTIONS(5875),
    [anon_sym_switch] = ACTIONS(5875),
    [anon_sym_when] = ACTIONS(5875),
    [anon_sym_DOT_DOT] = ACTIONS(5875),
    [anon_sym_and] = ACTIONS(5875),
    [anon_sym_or] = ACTIONS(5875),
    [anon_sym_AMP_AMP] = ACTIONS(5875),
    [anon_sym_PIPE_PIPE] = ACTIONS(5875),
    [anon_sym_QMARK_QMARK] = ACTIONS(5875),
    [anon_sym_on] = ACTIONS(5875),
    [anon_sym_equals] = ACTIONS(5875),
    [anon_sym_by] = ACTIONS(5875),
    [anon_sym_as] = ACTIONS(5875),
    [anon_sym_is] = ACTIONS(5875),
    [anon_sym_DASH_GT] = ACTIONS(5875),
    [anon_sym_with] = ACTIONS(5875),
    [aux_sym_preproc_if_token3] = ACTIONS(5875),
    [aux_sym_preproc_else_token1] = ACTIONS(5875),
    [aux_sym_preproc_elif_token1] = ACTIONS(5875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4217] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7152),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9604),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4217),
    [sym_preproc_endregion] = STATE(4217),
    [sym_preproc_line] = STATE(4217),
    [sym_preproc_pragma] = STATE(4217),
    [sym_preproc_nullable] = STATE(4217),
    [sym_preproc_error] = STATE(4217),
    [sym_preproc_define] = STATE(4217),
    [sym_preproc_undef] = STATE(4217),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4218] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6952),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9116),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4218),
    [sym_preproc_endregion] = STATE(4218),
    [sym_preproc_line] = STATE(4218),
    [sym_preproc_pragma] = STATE(4218),
    [sym_preproc_nullable] = STATE(4218),
    [sym_preproc_error] = STATE(4218),
    [sym_preproc_define] = STATE(4218),
    [sym_preproc_undef] = STATE(4218),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6001),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4219] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6972),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9211),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4219),
    [sym_preproc_endregion] = STATE(4219),
    [sym_preproc_line] = STATE(4219),
    [sym_preproc_pragma] = STATE(4219),
    [sym_preproc_nullable] = STATE(4219),
    [sym_preproc_error] = STATE(4219),
    [sym_preproc_define] = STATE(4219),
    [sym_preproc_undef] = STATE(4219),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4220] = {
    [sym_type_parameter_constraint] = STATE(7969),
    [sym_constructor_constraint] = STATE(8171),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8176),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4220),
    [sym_preproc_endregion] = STATE(4220),
    [sym_preproc_line] = STATE(4220),
    [sym_preproc_pragma] = STATE(4220),
    [sym_preproc_nullable] = STATE(4220),
    [sym_preproc_error] = STATE(4220),
    [sym_preproc_define] = STATE(4220),
    [sym_preproc_undef] = STATE(4220),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_class] = ACTIONS(5968),
    [anon_sym_ref] = ACTIONS(5970),
    [anon_sym_struct] = ACTIONS(5972),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(5974),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(5976),
    [anon_sym_unmanaged] = ACTIONS(5976),
    [anon_sym_scoped] = ACTIONS(5978),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4221] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6990),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9618),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4221),
    [sym_preproc_endregion] = STATE(4221),
    [sym_preproc_line] = STATE(4221),
    [sym_preproc_pragma] = STATE(4221),
    [sym_preproc_nullable] = STATE(4221),
    [sym_preproc_error] = STATE(4221),
    [sym_preproc_define] = STATE(4221),
    [sym_preproc_undef] = STATE(4221),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4222] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6995),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9627),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4222),
    [sym_preproc_endregion] = STATE(4222),
    [sym_preproc_line] = STATE(4222),
    [sym_preproc_pragma] = STATE(4222),
    [sym_preproc_nullable] = STATE(4222),
    [sym_preproc_error] = STATE(4222),
    [sym_preproc_define] = STATE(4222),
    [sym_preproc_undef] = STATE(4222),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4223] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7009),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9647),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4223),
    [sym_preproc_endregion] = STATE(4223),
    [sym_preproc_line] = STATE(4223),
    [sym_preproc_pragma] = STATE(4223),
    [sym_preproc_nullable] = STATE(4223),
    [sym_preproc_error] = STATE(4223),
    [sym_preproc_define] = STATE(4223),
    [sym_preproc_undef] = STATE(4223),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4224] = {
    [sym_preproc_region] = STATE(4224),
    [sym_preproc_endregion] = STATE(4224),
    [sym_preproc_line] = STATE(4224),
    [sym_preproc_pragma] = STATE(4224),
    [sym_preproc_nullable] = STATE(4224),
    [sym_preproc_error] = STATE(4224),
    [sym_preproc_define] = STATE(4224),
    [sym_preproc_undef] = STATE(4224),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_RBRACK] = ACTIONS(5490),
    [anon_sym_LPAREN] = ACTIONS(5490),
    [anon_sym_RPAREN] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_in] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5492),
    [anon_sym_BANG] = ACTIONS(5492),
    [anon_sym_PLUS_PLUS] = ACTIONS(5490),
    [anon_sym_DASH_DASH] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5490),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_GT_GT_GT] = ACTIONS(5490),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_EQ_GT] = ACTIONS(5490),
    [anon_sym_switch] = ACTIONS(5490),
    [anon_sym_when] = ACTIONS(5490),
    [anon_sym_DOT_DOT] = ACTIONS(5490),
    [anon_sym_and] = ACTIONS(5490),
    [anon_sym_or] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE] = ACTIONS(5490),
    [anon_sym_QMARK_QMARK] = ACTIONS(5490),
    [anon_sym_on] = ACTIONS(5490),
    [anon_sym_equals] = ACTIONS(5490),
    [anon_sym_by] = ACTIONS(5490),
    [anon_sym_as] = ACTIONS(5490),
    [anon_sym_is] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [anon_sym_with] = ACTIONS(5490),
    [aux_sym_preproc_if_token3] = ACTIONS(5490),
    [aux_sym_preproc_else_token1] = ACTIONS(5490),
    [aux_sym_preproc_elif_token1] = ACTIONS(5490),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4225] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7010),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9651),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4225),
    [sym_preproc_endregion] = STATE(4225),
    [sym_preproc_line] = STATE(4225),
    [sym_preproc_pragma] = STATE(4225),
    [sym_preproc_nullable] = STATE(4225),
    [sym_preproc_error] = STATE(4225),
    [sym_preproc_define] = STATE(4225),
    [sym_preproc_undef] = STATE(4225),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4226] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7033),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9674),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4226),
    [sym_preproc_endregion] = STATE(4226),
    [sym_preproc_line] = STATE(4226),
    [sym_preproc_pragma] = STATE(4226),
    [sym_preproc_nullable] = STATE(4226),
    [sym_preproc_error] = STATE(4226),
    [sym_preproc_define] = STATE(4226),
    [sym_preproc_undef] = STATE(4226),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4227] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7034),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9680),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4227),
    [sym_preproc_endregion] = STATE(4227),
    [sym_preproc_line] = STATE(4227),
    [sym_preproc_pragma] = STATE(4227),
    [sym_preproc_nullable] = STATE(4227),
    [sym_preproc_error] = STATE(4227),
    [sym_preproc_define] = STATE(4227),
    [sym_preproc_undef] = STATE(4227),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4228] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7055),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9699),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4228),
    [sym_preproc_endregion] = STATE(4228),
    [sym_preproc_line] = STATE(4228),
    [sym_preproc_pragma] = STATE(4228),
    [sym_preproc_nullable] = STATE(4228),
    [sym_preproc_error] = STATE(4228),
    [sym_preproc_define] = STATE(4228),
    [sym_preproc_undef] = STATE(4228),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4229] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7058),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9702),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4229),
    [sym_preproc_endregion] = STATE(4229),
    [sym_preproc_line] = STATE(4229),
    [sym_preproc_pragma] = STATE(4229),
    [sym_preproc_nullable] = STATE(4229),
    [sym_preproc_error] = STATE(4229),
    [sym_preproc_define] = STATE(4229),
    [sym_preproc_undef] = STATE(4229),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4230] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7097),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9724),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4230),
    [sym_preproc_endregion] = STATE(4230),
    [sym_preproc_line] = STATE(4230),
    [sym_preproc_pragma] = STATE(4230),
    [sym_preproc_nullable] = STATE(4230),
    [sym_preproc_error] = STATE(4230),
    [sym_preproc_define] = STATE(4230),
    [sym_preproc_undef] = STATE(4230),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4231] = {
    [sym_preproc_region] = STATE(4231),
    [sym_preproc_endregion] = STATE(4231),
    [sym_preproc_line] = STATE(4231),
    [sym_preproc_pragma] = STATE(4231),
    [sym_preproc_nullable] = STATE(4231),
    [sym_preproc_error] = STATE(4231),
    [sym_preproc_define] = STATE(4231),
    [sym_preproc_undef] = STATE(4231),
    [anon_sym_SEMI] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5474),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_COMMA] = ACTIONS(5474),
    [anon_sym_RBRACK] = ACTIONS(5474),
    [anon_sym_LPAREN] = ACTIONS(5474),
    [anon_sym_RPAREN] = ACTIONS(5474),
    [anon_sym_RBRACE] = ACTIONS(5474),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_in] = ACTIONS(5474),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_BANG] = ACTIONS(5476),
    [anon_sym_PLUS_PLUS] = ACTIONS(5474),
    [anon_sym_DASH_DASH] = ACTIONS(5474),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_CARET] = ACTIONS(5474),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_GT_GT_GT] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5474),
    [anon_sym_BANG_EQ] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5474),
    [anon_sym_LT_EQ] = ACTIONS(5474),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_EQ_GT] = ACTIONS(5474),
    [anon_sym_switch] = ACTIONS(5474),
    [anon_sym_when] = ACTIONS(5474),
    [anon_sym_DOT_DOT] = ACTIONS(5474),
    [anon_sym_and] = ACTIONS(5474),
    [anon_sym_or] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_QMARK_QMARK] = ACTIONS(5474),
    [anon_sym_on] = ACTIONS(5474),
    [anon_sym_equals] = ACTIONS(5474),
    [anon_sym_by] = ACTIONS(5474),
    [anon_sym_as] = ACTIONS(5474),
    [anon_sym_is] = ACTIONS(5474),
    [anon_sym_DASH_GT] = ACTIONS(5474),
    [anon_sym_with] = ACTIONS(5474),
    [aux_sym_preproc_if_token3] = ACTIONS(5474),
    [aux_sym_preproc_else_token1] = ACTIONS(5474),
    [aux_sym_preproc_elif_token1] = ACTIONS(5474),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4232] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7107),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9727),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4232),
    [sym_preproc_endregion] = STATE(4232),
    [sym_preproc_line] = STATE(4232),
    [sym_preproc_pragma] = STATE(4232),
    [sym_preproc_nullable] = STATE(4232),
    [sym_preproc_error] = STATE(4232),
    [sym_preproc_define] = STATE(4232),
    [sym_preproc_undef] = STATE(4232),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4233] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7123),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9756),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4233),
    [sym_preproc_endregion] = STATE(4233),
    [sym_preproc_line] = STATE(4233),
    [sym_preproc_pragma] = STATE(4233),
    [sym_preproc_nullable] = STATE(4233),
    [sym_preproc_error] = STATE(4233),
    [sym_preproc_define] = STATE(4233),
    [sym_preproc_undef] = STATE(4233),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4234] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7130),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9760),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4234),
    [sym_preproc_endregion] = STATE(4234),
    [sym_preproc_line] = STATE(4234),
    [sym_preproc_pragma] = STATE(4234),
    [sym_preproc_nullable] = STATE(4234),
    [sym_preproc_error] = STATE(4234),
    [sym_preproc_define] = STATE(4234),
    [sym_preproc_undef] = STATE(4234),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4235] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7142),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9775),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4235),
    [sym_preproc_endregion] = STATE(4235),
    [sym_preproc_line] = STATE(4235),
    [sym_preproc_pragma] = STATE(4235),
    [sym_preproc_nullable] = STATE(4235),
    [sym_preproc_error] = STATE(4235),
    [sym_preproc_define] = STATE(4235),
    [sym_preproc_undef] = STATE(4235),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4236] = {
    [sym_preproc_region] = STATE(4236),
    [sym_preproc_endregion] = STATE(4236),
    [sym_preproc_line] = STATE(4236),
    [sym_preproc_pragma] = STATE(4236),
    [sym_preproc_nullable] = STATE(4236),
    [sym_preproc_error] = STATE(4236),
    [sym_preproc_define] = STATE(4236),
    [sym_preproc_undef] = STATE(4236),
    [anon_sym_SEMI] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5399),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_COMMA] = ACTIONS(5399),
    [anon_sym_RBRACK] = ACTIONS(5399),
    [anon_sym_LPAREN] = ACTIONS(5399),
    [anon_sym_RPAREN] = ACTIONS(5399),
    [anon_sym_RBRACE] = ACTIONS(5399),
    [anon_sym_LT] = ACTIONS(5401),
    [anon_sym_GT] = ACTIONS(5401),
    [anon_sym_in] = ACTIONS(5399),
    [anon_sym_QMARK] = ACTIONS(5401),
    [anon_sym_BANG] = ACTIONS(5401),
    [anon_sym_PLUS_PLUS] = ACTIONS(5399),
    [anon_sym_DASH_DASH] = ACTIONS(5399),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_STAR] = ACTIONS(5399),
    [anon_sym_SLASH] = ACTIONS(5401),
    [anon_sym_PERCENT] = ACTIONS(5399),
    [anon_sym_CARET] = ACTIONS(5399),
    [anon_sym_PIPE] = ACTIONS(5401),
    [anon_sym_AMP] = ACTIONS(5401),
    [anon_sym_LT_LT] = ACTIONS(5399),
    [anon_sym_GT_GT] = ACTIONS(5401),
    [anon_sym_GT_GT_GT] = ACTIONS(5399),
    [anon_sym_EQ_EQ] = ACTIONS(5399),
    [anon_sym_BANG_EQ] = ACTIONS(5399),
    [anon_sym_GT_EQ] = ACTIONS(5399),
    [anon_sym_LT_EQ] = ACTIONS(5399),
    [anon_sym_DOT] = ACTIONS(5401),
    [anon_sym_EQ_GT] = ACTIONS(5399),
    [anon_sym_switch] = ACTIONS(5399),
    [anon_sym_when] = ACTIONS(5399),
    [anon_sym_DOT_DOT] = ACTIONS(5399),
    [anon_sym_and] = ACTIONS(5399),
    [anon_sym_or] = ACTIONS(5399),
    [anon_sym_AMP_AMP] = ACTIONS(5399),
    [anon_sym_PIPE_PIPE] = ACTIONS(5399),
    [anon_sym_QMARK_QMARK] = ACTIONS(5399),
    [anon_sym_on] = ACTIONS(5399),
    [anon_sym_equals] = ACTIONS(5399),
    [anon_sym_by] = ACTIONS(5399),
    [anon_sym_as] = ACTIONS(5399),
    [anon_sym_is] = ACTIONS(5399),
    [anon_sym_DASH_GT] = ACTIONS(5399),
    [anon_sym_with] = ACTIONS(5399),
    [aux_sym_preproc_if_token3] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4237] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7143),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9782),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4237),
    [sym_preproc_endregion] = STATE(4237),
    [sym_preproc_line] = STATE(4237),
    [sym_preproc_pragma] = STATE(4237),
    [sym_preproc_nullable] = STATE(4237),
    [sym_preproc_error] = STATE(4237),
    [sym_preproc_define] = STATE(4237),
    [sym_preproc_undef] = STATE(4237),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4238] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7153),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9800),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4238),
    [sym_preproc_endregion] = STATE(4238),
    [sym_preproc_line] = STATE(4238),
    [sym_preproc_pragma] = STATE(4238),
    [sym_preproc_nullable] = STATE(4238),
    [sym_preproc_error] = STATE(4238),
    [sym_preproc_define] = STATE(4238),
    [sym_preproc_undef] = STATE(4238),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4239] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6949),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9803),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4239),
    [sym_preproc_endregion] = STATE(4239),
    [sym_preproc_line] = STATE(4239),
    [sym_preproc_pragma] = STATE(4239),
    [sym_preproc_nullable] = STATE(4239),
    [sym_preproc_error] = STATE(4239),
    [sym_preproc_define] = STATE(4239),
    [sym_preproc_undef] = STATE(4239),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4240] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6953),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9475),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4240),
    [sym_preproc_endregion] = STATE(4240),
    [sym_preproc_line] = STATE(4240),
    [sym_preproc_pragma] = STATE(4240),
    [sym_preproc_nullable] = STATE(4240),
    [sym_preproc_error] = STATE(4240),
    [sym_preproc_define] = STATE(4240),
    [sym_preproc_undef] = STATE(4240),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5993),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4241] = {
    [sym_preproc_region] = STATE(4241),
    [sym_preproc_endregion] = STATE(4241),
    [sym_preproc_line] = STATE(4241),
    [sym_preproc_pragma] = STATE(4241),
    [sym_preproc_nullable] = STATE(4241),
    [sym_preproc_error] = STATE(4241),
    [sym_preproc_define] = STATE(4241),
    [sym_preproc_undef] = STATE(4241),
    [anon_sym_SEMI] = ACTIONS(5875),
    [anon_sym_LBRACK] = ACTIONS(5875),
    [anon_sym_COLON] = ACTIONS(5875),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_RBRACK] = ACTIONS(5875),
    [anon_sym_LPAREN] = ACTIONS(5875),
    [anon_sym_RPAREN] = ACTIONS(5875),
    [anon_sym_RBRACE] = ACTIONS(5875),
    [anon_sym_LT] = ACTIONS(5877),
    [anon_sym_GT] = ACTIONS(5877),
    [anon_sym_in] = ACTIONS(5875),
    [anon_sym_QMARK] = ACTIONS(5877),
    [anon_sym_BANG] = ACTIONS(5877),
    [anon_sym_PLUS_PLUS] = ACTIONS(5875),
    [anon_sym_DASH_DASH] = ACTIONS(5875),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5875),
    [anon_sym_SLASH] = ACTIONS(5877),
    [anon_sym_PERCENT] = ACTIONS(5875),
    [anon_sym_CARET] = ACTIONS(5875),
    [anon_sym_PIPE] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5877),
    [anon_sym_LT_LT] = ACTIONS(5875),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_GT_GT_GT] = ACTIONS(5875),
    [anon_sym_EQ_EQ] = ACTIONS(5875),
    [anon_sym_BANG_EQ] = ACTIONS(5875),
    [anon_sym_GT_EQ] = ACTIONS(5875),
    [anon_sym_LT_EQ] = ACTIONS(5875),
    [anon_sym_DOT] = ACTIONS(5877),
    [anon_sym_EQ_GT] = ACTIONS(5875),
    [anon_sym_switch] = ACTIONS(5875),
    [anon_sym_when] = ACTIONS(5875),
    [anon_sym_DOT_DOT] = ACTIONS(5875),
    [anon_sym_and] = ACTIONS(5875),
    [anon_sym_or] = ACTIONS(5875),
    [anon_sym_AMP_AMP] = ACTIONS(5875),
    [anon_sym_PIPE_PIPE] = ACTIONS(5875),
    [anon_sym_QMARK_QMARK] = ACTIONS(5875),
    [anon_sym_on] = ACTIONS(5875),
    [anon_sym_equals] = ACTIONS(5875),
    [anon_sym_by] = ACTIONS(5875),
    [anon_sym_as] = ACTIONS(5875),
    [anon_sym_is] = ACTIONS(5875),
    [anon_sym_DASH_GT] = ACTIONS(5875),
    [anon_sym_with] = ACTIONS(5875),
    [aux_sym_preproc_if_token3] = ACTIONS(5875),
    [aux_sym_preproc_else_token1] = ACTIONS(5875),
    [aux_sym_preproc_elif_token1] = ACTIONS(5875),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4242] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6954),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9491),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4242),
    [sym_preproc_endregion] = STATE(4242),
    [sym_preproc_line] = STATE(4242),
    [sym_preproc_pragma] = STATE(4242),
    [sym_preproc_nullable] = STATE(4242),
    [sym_preproc_error] = STATE(4242),
    [sym_preproc_define] = STATE(4242),
    [sym_preproc_undef] = STATE(4242),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4243] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6958),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9821),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4243),
    [sym_preproc_endregion] = STATE(4243),
    [sym_preproc_line] = STATE(4243),
    [sym_preproc_pragma] = STATE(4243),
    [sym_preproc_nullable] = STATE(4243),
    [sym_preproc_error] = STATE(4243),
    [sym_preproc_define] = STATE(4243),
    [sym_preproc_undef] = STATE(4243),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4244] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6959),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9825),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4244),
    [sym_preproc_endregion] = STATE(4244),
    [sym_preproc_line] = STATE(4244),
    [sym_preproc_pragma] = STATE(4244),
    [sym_preproc_nullable] = STATE(4244),
    [sym_preproc_error] = STATE(4244),
    [sym_preproc_define] = STATE(4244),
    [sym_preproc_undef] = STATE(4244),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4245] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6962),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9524),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4245),
    [sym_preproc_endregion] = STATE(4245),
    [sym_preproc_line] = STATE(4245),
    [sym_preproc_pragma] = STATE(4245),
    [sym_preproc_nullable] = STATE(4245),
    [sym_preproc_error] = STATE(4245),
    [sym_preproc_define] = STATE(4245),
    [sym_preproc_undef] = STATE(4245),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6001),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4246] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6963),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9558),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4246),
    [sym_preproc_endregion] = STATE(4246),
    [sym_preproc_line] = STATE(4246),
    [sym_preproc_pragma] = STATE(4246),
    [sym_preproc_nullable] = STATE(4246),
    [sym_preproc_error] = STATE(4246),
    [sym_preproc_define] = STATE(4246),
    [sym_preproc_undef] = STATE(4246),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4247] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6966),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9839),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4247),
    [sym_preproc_endregion] = STATE(4247),
    [sym_preproc_line] = STATE(4247),
    [sym_preproc_pragma] = STATE(4247),
    [sym_preproc_nullable] = STATE(4247),
    [sym_preproc_error] = STATE(4247),
    [sym_preproc_define] = STATE(4247),
    [sym_preproc_undef] = STATE(4247),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6018),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4248] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6967),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9844),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4248),
    [sym_preproc_endregion] = STATE(4248),
    [sym_preproc_line] = STATE(4248),
    [sym_preproc_pragma] = STATE(4248),
    [sym_preproc_nullable] = STATE(4248),
    [sym_preproc_error] = STATE(4248),
    [sym_preproc_define] = STATE(4248),
    [sym_preproc_undef] = STATE(4248),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4249] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6970),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9861),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4249),
    [sym_preproc_endregion] = STATE(4249),
    [sym_preproc_line] = STATE(4249),
    [sym_preproc_pragma] = STATE(4249),
    [sym_preproc_nullable] = STATE(4249),
    [sym_preproc_error] = STATE(4249),
    [sym_preproc_define] = STATE(4249),
    [sym_preproc_undef] = STATE(4249),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4250] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6971),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9864),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4250),
    [sym_preproc_endregion] = STATE(4250),
    [sym_preproc_line] = STATE(4250),
    [sym_preproc_pragma] = STATE(4250),
    [sym_preproc_nullable] = STATE(4250),
    [sym_preproc_error] = STATE(4250),
    [sym_preproc_define] = STATE(4250),
    [sym_preproc_undef] = STATE(4250),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4251] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6975),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9879),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4251),
    [sym_preproc_endregion] = STATE(4251),
    [sym_preproc_line] = STATE(4251),
    [sym_preproc_pragma] = STATE(4251),
    [sym_preproc_nullable] = STATE(4251),
    [sym_preproc_error] = STATE(4251),
    [sym_preproc_define] = STATE(4251),
    [sym_preproc_undef] = STATE(4251),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4252] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6976),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9884),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4252),
    [sym_preproc_endregion] = STATE(4252),
    [sym_preproc_line] = STATE(4252),
    [sym_preproc_pragma] = STATE(4252),
    [sym_preproc_nullable] = STATE(4252),
    [sym_preproc_error] = STATE(4252),
    [sym_preproc_define] = STATE(4252),
    [sym_preproc_undef] = STATE(4252),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4253] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6979),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9905),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4253),
    [sym_preproc_endregion] = STATE(4253),
    [sym_preproc_line] = STATE(4253),
    [sym_preproc_pragma] = STATE(4253),
    [sym_preproc_nullable] = STATE(4253),
    [sym_preproc_error] = STATE(4253),
    [sym_preproc_define] = STATE(4253),
    [sym_preproc_undef] = STATE(4253),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6036),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4254] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6980),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9913),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4254),
    [sym_preproc_endregion] = STATE(4254),
    [sym_preproc_line] = STATE(4254),
    [sym_preproc_pragma] = STATE(4254),
    [sym_preproc_nullable] = STATE(4254),
    [sym_preproc_error] = STATE(4254),
    [sym_preproc_define] = STATE(4254),
    [sym_preproc_undef] = STATE(4254),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4255] = {
    [sym_preproc_region] = STATE(4255),
    [sym_preproc_endregion] = STATE(4255),
    [sym_preproc_line] = STATE(4255),
    [sym_preproc_pragma] = STATE(4255),
    [sym_preproc_nullable] = STATE(4255),
    [sym_preproc_error] = STATE(4255),
    [sym_preproc_define] = STATE(4255),
    [sym_preproc_undef] = STATE(4255),
    [anon_sym_SEMI] = ACTIONS(5838),
    [anon_sym_LBRACK] = ACTIONS(5838),
    [anon_sym_COLON] = ACTIONS(5838),
    [anon_sym_COMMA] = ACTIONS(5838),
    [anon_sym_RBRACK] = ACTIONS(5838),
    [anon_sym_LPAREN] = ACTIONS(5838),
    [anon_sym_RPAREN] = ACTIONS(5838),
    [anon_sym_RBRACE] = ACTIONS(5838),
    [anon_sym_LT] = ACTIONS(5840),
    [anon_sym_GT] = ACTIONS(5840),
    [anon_sym_in] = ACTIONS(5838),
    [anon_sym_QMARK] = ACTIONS(5840),
    [anon_sym_BANG] = ACTIONS(5840),
    [anon_sym_PLUS_PLUS] = ACTIONS(5838),
    [anon_sym_DASH_DASH] = ACTIONS(5838),
    [anon_sym_PLUS] = ACTIONS(5840),
    [anon_sym_DASH] = ACTIONS(5840),
    [anon_sym_STAR] = ACTIONS(5838),
    [anon_sym_SLASH] = ACTIONS(5840),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [anon_sym_CARET] = ACTIONS(5838),
    [anon_sym_PIPE] = ACTIONS(5840),
    [anon_sym_AMP] = ACTIONS(5840),
    [anon_sym_LT_LT] = ACTIONS(5838),
    [anon_sym_GT_GT] = ACTIONS(5840),
    [anon_sym_GT_GT_GT] = ACTIONS(5838),
    [anon_sym_EQ_EQ] = ACTIONS(5838),
    [anon_sym_BANG_EQ] = ACTIONS(5838),
    [anon_sym_GT_EQ] = ACTIONS(5838),
    [anon_sym_LT_EQ] = ACTIONS(5838),
    [anon_sym_DOT] = ACTIONS(5840),
    [anon_sym_EQ_GT] = ACTIONS(5838),
    [anon_sym_switch] = ACTIONS(5838),
    [anon_sym_when] = ACTIONS(5838),
    [anon_sym_DOT_DOT] = ACTIONS(5838),
    [anon_sym_and] = ACTIONS(5838),
    [anon_sym_or] = ACTIONS(5838),
    [anon_sym_AMP_AMP] = ACTIONS(5838),
    [anon_sym_PIPE_PIPE] = ACTIONS(5838),
    [anon_sym_QMARK_QMARK] = ACTIONS(5838),
    [anon_sym_on] = ACTIONS(5838),
    [anon_sym_equals] = ACTIONS(5838),
    [anon_sym_by] = ACTIONS(5838),
    [anon_sym_as] = ACTIONS(5838),
    [anon_sym_is] = ACTIONS(5838),
    [anon_sym_DASH_GT] = ACTIONS(5838),
    [anon_sym_with] = ACTIONS(5838),
    [aux_sym_preproc_if_token3] = ACTIONS(5838),
    [aux_sym_preproc_else_token1] = ACTIONS(5838),
    [aux_sym_preproc_elif_token1] = ACTIONS(5838),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4256] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(6991),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9019),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4256),
    [sym_preproc_endregion] = STATE(4256),
    [sym_preproc_line] = STATE(4256),
    [sym_preproc_pragma] = STATE(4256),
    [sym_preproc_nullable] = STATE(4256),
    [sym_preproc_error] = STATE(4256),
    [sym_preproc_define] = STATE(4256),
    [sym_preproc_undef] = STATE(4256),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4257] = {
    [sym_preproc_region] = STATE(4257),
    [sym_preproc_endregion] = STATE(4257),
    [sym_preproc_line] = STATE(4257),
    [sym_preproc_pragma] = STATE(4257),
    [sym_preproc_nullable] = STATE(4257),
    [sym_preproc_error] = STATE(4257),
    [sym_preproc_define] = STATE(4257),
    [sym_preproc_undef] = STATE(4257),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_EQ] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6042),
    [anon_sym_DASH_EQ] = ACTIONS(6042),
    [anon_sym_STAR_EQ] = ACTIONS(6042),
    [anon_sym_SLASH_EQ] = ACTIONS(6042),
    [anon_sym_PERCENT_EQ] = ACTIONS(6042),
    [anon_sym_AMP_EQ] = ACTIONS(6042),
    [anon_sym_CARET_EQ] = ACTIONS(6042),
    [anon_sym_PIPE_EQ] = ACTIONS(6042),
    [anon_sym_LT_LT_EQ] = ACTIONS(6042),
    [anon_sym_GT_GT_EQ] = ACTIONS(6042),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6042),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6042),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4258] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7013),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9578),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4258),
    [sym_preproc_endregion] = STATE(4258),
    [sym_preproc_line] = STATE(4258),
    [sym_preproc_pragma] = STATE(4258),
    [sym_preproc_nullable] = STATE(4258),
    [sym_preproc_error] = STATE(4258),
    [sym_preproc_define] = STATE(4258),
    [sym_preproc_undef] = STATE(4258),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4259] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7001),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9020),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4259),
    [sym_preproc_endregion] = STATE(4259),
    [sym_preproc_line] = STATE(4259),
    [sym_preproc_pragma] = STATE(4259),
    [sym_preproc_nullable] = STATE(4259),
    [sym_preproc_error] = STATE(4259),
    [sym_preproc_define] = STATE(4259),
    [sym_preproc_undef] = STATE(4259),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4260] = {
    [sym_preproc_region] = STATE(4260),
    [sym_preproc_endregion] = STATE(4260),
    [sym_preproc_line] = STATE(4260),
    [sym_preproc_pragma] = STATE(4260),
    [sym_preproc_nullable] = STATE(4260),
    [sym_preproc_error] = STATE(4260),
    [sym_preproc_define] = STATE(4260),
    [sym_preproc_undef] = STATE(4260),
    [anon_sym_SEMI] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5522),
    [anon_sym_COLON] = ACTIONS(5522),
    [anon_sym_COMMA] = ACTIONS(5522),
    [anon_sym_RBRACK] = ACTIONS(5522),
    [anon_sym_LPAREN] = ACTIONS(5522),
    [anon_sym_RPAREN] = ACTIONS(5522),
    [anon_sym_RBRACE] = ACTIONS(5522),
    [anon_sym_LT] = ACTIONS(5524),
    [anon_sym_GT] = ACTIONS(5524),
    [anon_sym_in] = ACTIONS(5522),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_BANG] = ACTIONS(5524),
    [anon_sym_PLUS_PLUS] = ACTIONS(5522),
    [anon_sym_DASH_DASH] = ACTIONS(5522),
    [anon_sym_PLUS] = ACTIONS(5524),
    [anon_sym_DASH] = ACTIONS(5524),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5524),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_CARET] = ACTIONS(5522),
    [anon_sym_PIPE] = ACTIONS(5524),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5524),
    [anon_sym_GT_GT_GT] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5522),
    [anon_sym_BANG_EQ] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5522),
    [anon_sym_LT_EQ] = ACTIONS(5522),
    [anon_sym_DOT] = ACTIONS(5524),
    [anon_sym_EQ_GT] = ACTIONS(5522),
    [anon_sym_switch] = ACTIONS(5522),
    [anon_sym_when] = ACTIONS(5522),
    [anon_sym_DOT_DOT] = ACTIONS(5522),
    [anon_sym_and] = ACTIONS(5522),
    [anon_sym_or] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5522),
    [anon_sym_QMARK_QMARK] = ACTIONS(5522),
    [anon_sym_on] = ACTIONS(5522),
    [anon_sym_equals] = ACTIONS(5522),
    [anon_sym_by] = ACTIONS(5522),
    [anon_sym_as] = ACTIONS(5522),
    [anon_sym_is] = ACTIONS(5522),
    [anon_sym_DASH_GT] = ACTIONS(5522),
    [anon_sym_with] = ACTIONS(5522),
    [aux_sym_preproc_if_token3] = ACTIONS(5522),
    [aux_sym_preproc_else_token1] = ACTIONS(5522),
    [aux_sym_preproc_elif_token1] = ACTIONS(5522),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4261] = {
    [sym_preproc_region] = STATE(4261),
    [sym_preproc_endregion] = STATE(4261),
    [sym_preproc_line] = STATE(4261),
    [sym_preproc_pragma] = STATE(4261),
    [sym_preproc_nullable] = STATE(4261),
    [sym_preproc_error] = STATE(4261),
    [sym_preproc_define] = STATE(4261),
    [sym_preproc_undef] = STATE(4261),
    [anon_sym_SEMI] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_COMMA] = ACTIONS(5548),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_LPAREN] = ACTIONS(5548),
    [anon_sym_RPAREN] = ACTIONS(5548),
    [anon_sym_RBRACE] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_in] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_BANG] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_GT_GT_GT] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5548),
    [anon_sym_BANG_EQ] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5548),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_EQ_GT] = ACTIONS(5548),
    [anon_sym_switch] = ACTIONS(5548),
    [anon_sym_when] = ACTIONS(5548),
    [anon_sym_DOT_DOT] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_QMARK_QMARK] = ACTIONS(5548),
    [anon_sym_on] = ACTIONS(5548),
    [anon_sym_equals] = ACTIONS(5548),
    [anon_sym_by] = ACTIONS(5548),
    [anon_sym_as] = ACTIONS(5548),
    [anon_sym_is] = ACTIONS(5548),
    [anon_sym_DASH_GT] = ACTIONS(5548),
    [anon_sym_with] = ACTIONS(5548),
    [aux_sym_preproc_if_token3] = ACTIONS(5548),
    [aux_sym_preproc_else_token1] = ACTIONS(5548),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4262] = {
    [sym_preproc_region] = STATE(4262),
    [sym_preproc_endregion] = STATE(4262),
    [sym_preproc_line] = STATE(4262),
    [sym_preproc_pragma] = STATE(4262),
    [sym_preproc_nullable] = STATE(4262),
    [sym_preproc_error] = STATE(4262),
    [sym_preproc_define] = STATE(4262),
    [sym_preproc_undef] = STATE(4262),
    [anon_sym_SEMI] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_COMMA] = ACTIONS(5556),
    [anon_sym_RBRACK] = ACTIONS(5556),
    [anon_sym_LPAREN] = ACTIONS(5556),
    [anon_sym_RPAREN] = ACTIONS(5556),
    [anon_sym_RBRACE] = ACTIONS(5556),
    [anon_sym_LT] = ACTIONS(5558),
    [anon_sym_GT] = ACTIONS(5558),
    [anon_sym_in] = ACTIONS(5556),
    [anon_sym_QMARK] = ACTIONS(5558),
    [anon_sym_BANG] = ACTIONS(5558),
    [anon_sym_PLUS_PLUS] = ACTIONS(5556),
    [anon_sym_DASH_DASH] = ACTIONS(5556),
    [anon_sym_PLUS] = ACTIONS(5558),
    [anon_sym_DASH] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5558),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_CARET] = ACTIONS(5556),
    [anon_sym_PIPE] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5558),
    [anon_sym_GT_GT_GT] = ACTIONS(5556),
    [anon_sym_EQ_EQ] = ACTIONS(5556),
    [anon_sym_BANG_EQ] = ACTIONS(5556),
    [anon_sym_GT_EQ] = ACTIONS(5556),
    [anon_sym_LT_EQ] = ACTIONS(5556),
    [anon_sym_DOT] = ACTIONS(5558),
    [anon_sym_EQ_GT] = ACTIONS(5556),
    [anon_sym_switch] = ACTIONS(5556),
    [anon_sym_when] = ACTIONS(5556),
    [anon_sym_DOT_DOT] = ACTIONS(5556),
    [anon_sym_and] = ACTIONS(5556),
    [anon_sym_or] = ACTIONS(5556),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_QMARK_QMARK] = ACTIONS(5556),
    [anon_sym_on] = ACTIONS(5556),
    [anon_sym_equals] = ACTIONS(5556),
    [anon_sym_by] = ACTIONS(5556),
    [anon_sym_as] = ACTIONS(5556),
    [anon_sym_is] = ACTIONS(5556),
    [anon_sym_DASH_GT] = ACTIONS(5556),
    [anon_sym_with] = ACTIONS(5556),
    [aux_sym_preproc_if_token3] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4263] = {
    [sym_preproc_region] = STATE(4263),
    [sym_preproc_endregion] = STATE(4263),
    [sym_preproc_line] = STATE(4263),
    [sym_preproc_pragma] = STATE(4263),
    [sym_preproc_nullable] = STATE(4263),
    [sym_preproc_error] = STATE(4263),
    [sym_preproc_define] = STATE(4263),
    [sym_preproc_undef] = STATE(4263),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RBRACK] = ACTIONS(5668),
    [anon_sym_LPAREN] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_in] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5670),
    [anon_sym_BANG] = ACTIONS(5670),
    [anon_sym_PLUS_PLUS] = ACTIONS(5668),
    [anon_sym_DASH_DASH] = ACTIONS(5668),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5668),
    [anon_sym_CARET] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5668),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_GT_GT_GT] = ACTIONS(5668),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_EQ_GT] = ACTIONS(5668),
    [anon_sym_switch] = ACTIONS(5668),
    [anon_sym_when] = ACTIONS(5668),
    [anon_sym_DOT_DOT] = ACTIONS(5668),
    [anon_sym_and] = ACTIONS(5668),
    [anon_sym_or] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE] = ACTIONS(5668),
    [anon_sym_QMARK_QMARK] = ACTIONS(5668),
    [anon_sym_on] = ACTIONS(5668),
    [anon_sym_equals] = ACTIONS(5668),
    [anon_sym_by] = ACTIONS(5668),
    [anon_sym_as] = ACTIONS(5668),
    [anon_sym_is] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_with] = ACTIONS(5668),
    [aux_sym_preproc_if_token3] = ACTIONS(5668),
    [aux_sym_preproc_else_token1] = ACTIONS(5668),
    [aux_sym_preproc_elif_token1] = ACTIONS(5668),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4264] = {
    [sym_preproc_region] = STATE(4264),
    [sym_preproc_endregion] = STATE(4264),
    [sym_preproc_line] = STATE(4264),
    [sym_preproc_pragma] = STATE(4264),
    [sym_preproc_nullable] = STATE(4264),
    [sym_preproc_error] = STATE(4264),
    [sym_preproc_define] = STATE(4264),
    [sym_preproc_undef] = STATE(4264),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_RBRACK] = ACTIONS(5564),
    [anon_sym_LPAREN] = ACTIONS(5564),
    [anon_sym_RPAREN] = ACTIONS(5564),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_LT] = ACTIONS(5566),
    [anon_sym_GT] = ACTIONS(5566),
    [anon_sym_in] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(5566),
    [anon_sym_BANG] = ACTIONS(5566),
    [anon_sym_PLUS_PLUS] = ACTIONS(5564),
    [anon_sym_DASH_DASH] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_SLASH] = ACTIONS(5566),
    [anon_sym_PERCENT] = ACTIONS(5564),
    [anon_sym_CARET] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5566),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym_LT_LT] = ACTIONS(5564),
    [anon_sym_GT_GT] = ACTIONS(5566),
    [anon_sym_GT_GT_GT] = ACTIONS(5564),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5566),
    [anon_sym_EQ_GT] = ACTIONS(5564),
    [anon_sym_switch] = ACTIONS(5564),
    [anon_sym_when] = ACTIONS(5564),
    [anon_sym_DOT_DOT] = ACTIONS(5564),
    [anon_sym_and] = ACTIONS(5564),
    [anon_sym_or] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE] = ACTIONS(5564),
    [anon_sym_QMARK_QMARK] = ACTIONS(5564),
    [anon_sym_on] = ACTIONS(5564),
    [anon_sym_equals] = ACTIONS(5564),
    [anon_sym_by] = ACTIONS(5564),
    [anon_sym_as] = ACTIONS(5564),
    [anon_sym_is] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [anon_sym_with] = ACTIONS(5564),
    [aux_sym_preproc_if_token3] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4265] = {
    [sym_preproc_region] = STATE(4265),
    [sym_preproc_endregion] = STATE(4265),
    [sym_preproc_line] = STATE(4265),
    [sym_preproc_pragma] = STATE(4265),
    [sym_preproc_nullable] = STATE(4265),
    [sym_preproc_error] = STATE(4265),
    [sym_preproc_define] = STATE(4265),
    [sym_preproc_undef] = STATE(4265),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_RPAREN] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5484),
    [anon_sym_BANG] = ACTIONS(5484),
    [anon_sym_PLUS_PLUS] = ACTIONS(5482),
    [anon_sym_DASH_DASH] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5482),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_GT_GT_GT] = ACTIONS(5482),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(5484),
    [anon_sym_EQ_GT] = ACTIONS(5482),
    [anon_sym_switch] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_DOT_DOT] = ACTIONS(5482),
    [anon_sym_and] = ACTIONS(5482),
    [anon_sym_or] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE] = ACTIONS(5482),
    [anon_sym_QMARK_QMARK] = ACTIONS(5482),
    [anon_sym_on] = ACTIONS(5482),
    [anon_sym_equals] = ACTIONS(5482),
    [anon_sym_by] = ACTIONS(5482),
    [anon_sym_as] = ACTIONS(5482),
    [anon_sym_is] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(5482),
    [anon_sym_with] = ACTIONS(5482),
    [aux_sym_preproc_if_token3] = ACTIONS(5482),
    [aux_sym_preproc_else_token1] = ACTIONS(5482),
    [aux_sym_preproc_elif_token1] = ACTIONS(5482),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4266] = {
    [sym_preproc_region] = STATE(4266),
    [sym_preproc_endregion] = STATE(4266),
    [sym_preproc_line] = STATE(4266),
    [sym_preproc_pragma] = STATE(4266),
    [sym_preproc_nullable] = STATE(4266),
    [sym_preproc_error] = STATE(4266),
    [sym_preproc_define] = STATE(4266),
    [sym_preproc_undef] = STATE(4266),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_RBRACK] = ACTIONS(5568),
    [anon_sym_LPAREN] = ACTIONS(5568),
    [anon_sym_RPAREN] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_in] = ACTIONS(5568),
    [anon_sym_QMARK] = ACTIONS(5570),
    [anon_sym_BANG] = ACTIONS(5570),
    [anon_sym_PLUS_PLUS] = ACTIONS(5568),
    [anon_sym_DASH_DASH] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5568),
    [anon_sym_GT_GT] = ACTIONS(5570),
    [anon_sym_GT_GT_GT] = ACTIONS(5568),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_EQ_GT] = ACTIONS(5568),
    [anon_sym_switch] = ACTIONS(5568),
    [anon_sym_when] = ACTIONS(5568),
    [anon_sym_DOT_DOT] = ACTIONS(5568),
    [anon_sym_and] = ACTIONS(5568),
    [anon_sym_or] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE] = ACTIONS(5568),
    [anon_sym_QMARK_QMARK] = ACTIONS(5568),
    [anon_sym_on] = ACTIONS(5568),
    [anon_sym_equals] = ACTIONS(5568),
    [anon_sym_by] = ACTIONS(5568),
    [anon_sym_as] = ACTIONS(5568),
    [anon_sym_is] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [anon_sym_with] = ACTIONS(5568),
    [aux_sym_preproc_if_token3] = ACTIONS(5568),
    [aux_sym_preproc_else_token1] = ACTIONS(5568),
    [aux_sym_preproc_elif_token1] = ACTIONS(5568),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4267] = {
    [sym_preproc_region] = STATE(4267),
    [sym_preproc_endregion] = STATE(4267),
    [sym_preproc_line] = STATE(4267),
    [sym_preproc_pragma] = STATE(4267),
    [sym_preproc_nullable] = STATE(4267),
    [sym_preproc_error] = STATE(4267),
    [sym_preproc_define] = STATE(4267),
    [sym_preproc_undef] = STATE(4267),
    [anon_sym_SEMI] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4276),
    [anon_sym_COLON] = ACTIONS(4276),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_RBRACK] = ACTIONS(4276),
    [anon_sym_LPAREN] = ACTIONS(4276),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_RBRACE] = ACTIONS(4276),
    [anon_sym_LT] = ACTIONS(5921),
    [anon_sym_GT] = ACTIONS(5921),
    [anon_sym_in] = ACTIONS(4276),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_BANG] = ACTIONS(5921),
    [anon_sym_PLUS_PLUS] = ACTIONS(4276),
    [anon_sym_DASH_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(5921),
    [anon_sym_DASH] = ACTIONS(5921),
    [anon_sym_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(5921),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_PIPE] = ACTIONS(5921),
    [anon_sym_AMP] = ACTIONS(5921),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_GT_GT] = ACTIONS(5921),
    [anon_sym_GT_GT_GT] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4276),
    [anon_sym_BANG_EQ] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4276),
    [anon_sym_LT_EQ] = ACTIONS(4276),
    [anon_sym_DOT] = ACTIONS(5921),
    [anon_sym_EQ_GT] = ACTIONS(4145),
    [anon_sym_switch] = ACTIONS(4276),
    [anon_sym_when] = ACTIONS(4276),
    [anon_sym_DOT_DOT] = ACTIONS(4276),
    [anon_sym_and] = ACTIONS(4276),
    [anon_sym_or] = ACTIONS(4276),
    [anon_sym_AMP_AMP] = ACTIONS(4276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4276),
    [anon_sym_QMARK_QMARK] = ACTIONS(4276),
    [anon_sym_on] = ACTIONS(4276),
    [anon_sym_equals] = ACTIONS(4276),
    [anon_sym_by] = ACTIONS(4276),
    [anon_sym_as] = ACTIONS(4276),
    [anon_sym_is] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4276),
    [anon_sym_with] = ACTIONS(4276),
    [aux_sym_preproc_if_token3] = ACTIONS(4276),
    [aux_sym_preproc_else_token1] = ACTIONS(4276),
    [aux_sym_preproc_elif_token1] = ACTIONS(4276),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4268] = {
    [sym_preproc_region] = STATE(4268),
    [sym_preproc_endregion] = STATE(4268),
    [sym_preproc_line] = STATE(4268),
    [sym_preproc_pragma] = STATE(4268),
    [sym_preproc_nullable] = STATE(4268),
    [sym_preproc_error] = STATE(4268),
    [sym_preproc_define] = STATE(4268),
    [sym_preproc_undef] = STATE(4268),
    [anon_sym_SEMI] = ACTIONS(5572),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_COLON] = ACTIONS(5572),
    [anon_sym_COMMA] = ACTIONS(5572),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_LPAREN] = ACTIONS(5572),
    [anon_sym_RPAREN] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_GT] = ACTIONS(5574),
    [anon_sym_in] = ACTIONS(5572),
    [anon_sym_QMARK] = ACTIONS(5574),
    [anon_sym_BANG] = ACTIONS(5574),
    [anon_sym_PLUS_PLUS] = ACTIONS(5572),
    [anon_sym_DASH_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_SLASH] = ACTIONS(5574),
    [anon_sym_PERCENT] = ACTIONS(5572),
    [anon_sym_CARET] = ACTIONS(5572),
    [anon_sym_PIPE] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(5572),
    [anon_sym_GT_GT] = ACTIONS(5574),
    [anon_sym_GT_GT_GT] = ACTIONS(5572),
    [anon_sym_EQ_EQ] = ACTIONS(5572),
    [anon_sym_BANG_EQ] = ACTIONS(5572),
    [anon_sym_GT_EQ] = ACTIONS(5572),
    [anon_sym_LT_EQ] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(5574),
    [anon_sym_EQ_GT] = ACTIONS(5572),
    [anon_sym_switch] = ACTIONS(5572),
    [anon_sym_when] = ACTIONS(5572),
    [anon_sym_DOT_DOT] = ACTIONS(5572),
    [anon_sym_and] = ACTIONS(5572),
    [anon_sym_or] = ACTIONS(5572),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_PIPE_PIPE] = ACTIONS(5572),
    [anon_sym_QMARK_QMARK] = ACTIONS(5572),
    [anon_sym_on] = ACTIONS(5572),
    [anon_sym_equals] = ACTIONS(5572),
    [anon_sym_by] = ACTIONS(5572),
    [anon_sym_as] = ACTIONS(5572),
    [anon_sym_is] = ACTIONS(5572),
    [anon_sym_DASH_GT] = ACTIONS(5572),
    [anon_sym_with] = ACTIONS(5572),
    [aux_sym_preproc_if_token3] = ACTIONS(5572),
    [aux_sym_preproc_else_token1] = ACTIONS(5572),
    [aux_sym_preproc_elif_token1] = ACTIONS(5572),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4269] = {
    [sym_preproc_region] = STATE(4269),
    [sym_preproc_endregion] = STATE(4269),
    [sym_preproc_line] = STATE(4269),
    [sym_preproc_pragma] = STATE(4269),
    [sym_preproc_nullable] = STATE(4269),
    [sym_preproc_error] = STATE(4269),
    [sym_preproc_define] = STATE(4269),
    [sym_preproc_undef] = STATE(4269),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_RBRACK] = ACTIONS(5494),
    [anon_sym_LPAREN] = ACTIONS(5494),
    [anon_sym_RPAREN] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_in] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5496),
    [anon_sym_BANG] = ACTIONS(5496),
    [anon_sym_PLUS_PLUS] = ACTIONS(5494),
    [anon_sym_DASH_DASH] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5494),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_GT_GT_GT] = ACTIONS(5494),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_EQ_GT] = ACTIONS(5494),
    [anon_sym_switch] = ACTIONS(5494),
    [anon_sym_when] = ACTIONS(5494),
    [anon_sym_DOT_DOT] = ACTIONS(5494),
    [anon_sym_and] = ACTIONS(5494),
    [anon_sym_or] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE] = ACTIONS(5494),
    [anon_sym_QMARK_QMARK] = ACTIONS(5494),
    [anon_sym_on] = ACTIONS(5494),
    [anon_sym_equals] = ACTIONS(5494),
    [anon_sym_by] = ACTIONS(5494),
    [anon_sym_as] = ACTIONS(5494),
    [anon_sym_is] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [anon_sym_with] = ACTIONS(5494),
    [aux_sym_preproc_if_token3] = ACTIONS(5494),
    [aux_sym_preproc_else_token1] = ACTIONS(5494),
    [aux_sym_preproc_elif_token1] = ACTIONS(5494),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4270] = {
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7374),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4270),
    [sym_preproc_endregion] = STATE(4270),
    [sym_preproc_line] = STATE(4270),
    [sym_preproc_pragma] = STATE(4270),
    [sym_preproc_nullable] = STATE(4270),
    [sym_preproc_error] = STATE(4270),
    [sym_preproc_define] = STATE(4270),
    [sym_preproc_undef] = STATE(4270),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(6770),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4271] = {
    [sym_preproc_region] = STATE(4271),
    [sym_preproc_endregion] = STATE(4271),
    [sym_preproc_line] = STATE(4271),
    [sym_preproc_pragma] = STATE(4271),
    [sym_preproc_nullable] = STATE(4271),
    [sym_preproc_error] = STATE(4271),
    [sym_preproc_define] = STATE(4271),
    [sym_preproc_undef] = STATE(4271),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_RBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4272] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7085),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9155),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4272),
    [sym_preproc_endregion] = STATE(4272),
    [sym_preproc_line] = STATE(4272),
    [sym_preproc_pragma] = STATE(4272),
    [sym_preproc_nullable] = STATE(4272),
    [sym_preproc_error] = STATE(4272),
    [sym_preproc_define] = STATE(4272),
    [sym_preproc_undef] = STATE(4272),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4273] = {
    [sym_preproc_region] = STATE(4273),
    [sym_preproc_endregion] = STATE(4273),
    [sym_preproc_line] = STATE(4273),
    [sym_preproc_pragma] = STATE(4273),
    [sym_preproc_nullable] = STATE(4273),
    [sym_preproc_error] = STATE(4273),
    [sym_preproc_define] = STATE(4273),
    [sym_preproc_undef] = STATE(4273),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_LPAREN] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_in] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5594),
    [anon_sym_BANG] = ACTIONS(5594),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_GT_GT_GT] = ACTIONS(5592),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_EQ_GT] = ACTIONS(5592),
    [anon_sym_switch] = ACTIONS(5592),
    [anon_sym_when] = ACTIONS(5592),
    [anon_sym_DOT_DOT] = ACTIONS(5592),
    [anon_sym_and] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_QMARK_QMARK] = ACTIONS(5592),
    [anon_sym_on] = ACTIONS(5592),
    [anon_sym_equals] = ACTIONS(5592),
    [anon_sym_by] = ACTIONS(5592),
    [anon_sym_as] = ACTIONS(5592),
    [anon_sym_is] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [anon_sym_with] = ACTIONS(5592),
    [aux_sym_preproc_if_token3] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5592),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4274] = {
    [sym_preproc_region] = STATE(4274),
    [sym_preproc_endregion] = STATE(4274),
    [sym_preproc_line] = STATE(4274),
    [sym_preproc_pragma] = STATE(4274),
    [sym_preproc_nullable] = STATE(4274),
    [sym_preproc_error] = STATE(4274),
    [sym_preproc_define] = STATE(4274),
    [sym_preproc_undef] = STATE(4274),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_LPAREN] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_LT] = ACTIONS(5554),
    [anon_sym_GT] = ACTIONS(5554),
    [anon_sym_in] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5554),
    [anon_sym_BANG] = ACTIONS(5554),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS] = ACTIONS(5554),
    [anon_sym_DASH] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5554),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_CARET] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5554),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5554),
    [anon_sym_GT_GT_GT] = ACTIONS(5552),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5554),
    [anon_sym_EQ_GT] = ACTIONS(5552),
    [anon_sym_switch] = ACTIONS(5552),
    [anon_sym_when] = ACTIONS(5552),
    [anon_sym_DOT_DOT] = ACTIONS(5552),
    [anon_sym_and] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_QMARK_QMARK] = ACTIONS(5552),
    [anon_sym_on] = ACTIONS(5552),
    [anon_sym_equals] = ACTIONS(5552),
    [anon_sym_by] = ACTIONS(5552),
    [anon_sym_as] = ACTIONS(5552),
    [anon_sym_is] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [anon_sym_with] = ACTIONS(5552),
    [aux_sym_preproc_if_token3] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5552),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4275] = {
    [sym_preproc_region] = STATE(4275),
    [sym_preproc_endregion] = STATE(4275),
    [sym_preproc_line] = STATE(4275),
    [sym_preproc_pragma] = STATE(4275),
    [sym_preproc_nullable] = STATE(4275),
    [sym_preproc_error] = STATE(4275),
    [sym_preproc_define] = STATE(4275),
    [sym_preproc_undef] = STATE(4275),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_RBRACK] = ACTIONS(5604),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_RPAREN] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_in] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5606),
    [anon_sym_BANG] = ACTIONS(5606),
    [anon_sym_PLUS_PLUS] = ACTIONS(5604),
    [anon_sym_DASH_DASH] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5604),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_GT_GT_GT] = ACTIONS(5604),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_EQ_GT] = ACTIONS(5604),
    [anon_sym_switch] = ACTIONS(5604),
    [anon_sym_when] = ACTIONS(5604),
    [anon_sym_DOT_DOT] = ACTIONS(5604),
    [anon_sym_and] = ACTIONS(5604),
    [anon_sym_or] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE] = ACTIONS(5604),
    [anon_sym_QMARK_QMARK] = ACTIONS(5604),
    [anon_sym_on] = ACTIONS(5604),
    [anon_sym_equals] = ACTIONS(5604),
    [anon_sym_by] = ACTIONS(5604),
    [anon_sym_as] = ACTIONS(5604),
    [anon_sym_is] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_with] = ACTIONS(5604),
    [aux_sym_preproc_if_token3] = ACTIONS(5604),
    [aux_sym_preproc_else_token1] = ACTIONS(5604),
    [aux_sym_preproc_elif_token1] = ACTIONS(5604),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4276] = {
    [sym_preproc_region] = STATE(4276),
    [sym_preproc_endregion] = STATE(4276),
    [sym_preproc_line] = STATE(4276),
    [sym_preproc_pragma] = STATE(4276),
    [sym_preproc_nullable] = STATE(4276),
    [sym_preproc_error] = STATE(4276),
    [sym_preproc_define] = STATE(4276),
    [sym_preproc_undef] = STATE(4276),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_LPAREN] = ACTIONS(5608),
    [anon_sym_RPAREN] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_in] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5610),
    [anon_sym_BANG] = ACTIONS(5610),
    [anon_sym_PLUS_PLUS] = ACTIONS(5608),
    [anon_sym_DASH_DASH] = ACTIONS(5608),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5608),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5608),
    [anon_sym_CARET] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5608),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_GT_GT_GT] = ACTIONS(5608),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_EQ_GT] = ACTIONS(5608),
    [anon_sym_switch] = ACTIONS(5608),
    [anon_sym_when] = ACTIONS(5608),
    [anon_sym_DOT_DOT] = ACTIONS(5608),
    [anon_sym_and] = ACTIONS(5608),
    [anon_sym_or] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_PIPE_PIPE] = ACTIONS(5608),
    [anon_sym_QMARK_QMARK] = ACTIONS(5608),
    [anon_sym_on] = ACTIONS(5608),
    [anon_sym_equals] = ACTIONS(5608),
    [anon_sym_by] = ACTIONS(5608),
    [anon_sym_as] = ACTIONS(5608),
    [anon_sym_is] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [anon_sym_with] = ACTIONS(5608),
    [aux_sym_preproc_if_token3] = ACTIONS(5608),
    [aux_sym_preproc_else_token1] = ACTIONS(5608),
    [aux_sym_preproc_elif_token1] = ACTIONS(5608),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4277] = {
    [sym_preproc_region] = STATE(4277),
    [sym_preproc_endregion] = STATE(4277),
    [sym_preproc_line] = STATE(4277),
    [sym_preproc_pragma] = STATE(4277),
    [sym_preproc_nullable] = STATE(4277),
    [sym_preproc_error] = STATE(4277),
    [sym_preproc_define] = STATE(4277),
    [sym_preproc_undef] = STATE(4277),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_RBRACK] = ACTIONS(5612),
    [anon_sym_LPAREN] = ACTIONS(5612),
    [anon_sym_RPAREN] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5614),
    [anon_sym_BANG] = ACTIONS(5614),
    [anon_sym_PLUS_PLUS] = ACTIONS(5612),
    [anon_sym_DASH_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5612),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_GT_GT_GT] = ACTIONS(5612),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_EQ_GT] = ACTIONS(5612),
    [anon_sym_switch] = ACTIONS(5612),
    [anon_sym_when] = ACTIONS(5612),
    [anon_sym_DOT_DOT] = ACTIONS(5612),
    [anon_sym_and] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE] = ACTIONS(5612),
    [anon_sym_QMARK_QMARK] = ACTIONS(5612),
    [anon_sym_on] = ACTIONS(5612),
    [anon_sym_equals] = ACTIONS(5612),
    [anon_sym_by] = ACTIONS(5612),
    [anon_sym_as] = ACTIONS(5612),
    [anon_sym_is] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [anon_sym_with] = ACTIONS(5612),
    [aux_sym_preproc_if_token3] = ACTIONS(5612),
    [aux_sym_preproc_else_token1] = ACTIONS(5612),
    [aux_sym_preproc_elif_token1] = ACTIONS(5612),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4278] = {
    [sym_preproc_region] = STATE(4278),
    [sym_preproc_endregion] = STATE(4278),
    [sym_preproc_line] = STATE(4278),
    [sym_preproc_pragma] = STATE(4278),
    [sym_preproc_nullable] = STATE(4278),
    [sym_preproc_error] = STATE(4278),
    [sym_preproc_define] = STATE(4278),
    [sym_preproc_undef] = STATE(4278),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_COLON] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_RBRACK] = ACTIONS(5616),
    [anon_sym_LPAREN] = ACTIONS(5616),
    [anon_sym_RPAREN] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym_GT] = ACTIONS(5618),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5618),
    [anon_sym_BANG] = ACTIONS(5618),
    [anon_sym_PLUS_PLUS] = ACTIONS(5616),
    [anon_sym_DASH_DASH] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_SLASH] = ACTIONS(5618),
    [anon_sym_PERCENT] = ACTIONS(5616),
    [anon_sym_CARET] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5618),
    [anon_sym_AMP] = ACTIONS(5618),
    [anon_sym_LT_LT] = ACTIONS(5616),
    [anon_sym_GT_GT] = ACTIONS(5618),
    [anon_sym_GT_GT_GT] = ACTIONS(5616),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_EQ_GT] = ACTIONS(5616),
    [anon_sym_switch] = ACTIONS(5616),
    [anon_sym_when] = ACTIONS(5616),
    [anon_sym_DOT_DOT] = ACTIONS(5616),
    [anon_sym_and] = ACTIONS(5616),
    [anon_sym_or] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_PIPE_PIPE] = ACTIONS(5616),
    [anon_sym_QMARK_QMARK] = ACTIONS(5616),
    [anon_sym_on] = ACTIONS(5616),
    [anon_sym_equals] = ACTIONS(5616),
    [anon_sym_by] = ACTIONS(5616),
    [anon_sym_as] = ACTIONS(5616),
    [anon_sym_is] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [anon_sym_with] = ACTIONS(5616),
    [aux_sym_preproc_if_token3] = ACTIONS(5616),
    [aux_sym_preproc_else_token1] = ACTIONS(5616),
    [aux_sym_preproc_elif_token1] = ACTIONS(5616),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4279] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7047),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9622),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4279),
    [sym_preproc_endregion] = STATE(4279),
    [sym_preproc_line] = STATE(4279),
    [sym_preproc_pragma] = STATE(4279),
    [sym_preproc_nullable] = STATE(4279),
    [sym_preproc_error] = STATE(4279),
    [sym_preproc_define] = STATE(4279),
    [sym_preproc_undef] = STATE(4279),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(5999),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4280] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7048),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9625),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4280),
    [sym_preproc_endregion] = STATE(4280),
    [sym_preproc_line] = STATE(4280),
    [sym_preproc_pragma] = STATE(4280),
    [sym_preproc_nullable] = STATE(4280),
    [sym_preproc_error] = STATE(4280),
    [sym_preproc_define] = STATE(4280),
    [sym_preproc_undef] = STATE(4280),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4281] = {
    [sym_preproc_region] = STATE(4281),
    [sym_preproc_endregion] = STATE(4281),
    [sym_preproc_line] = STATE(4281),
    [sym_preproc_pragma] = STATE(4281),
    [sym_preproc_nullable] = STATE(4281),
    [sym_preproc_error] = STATE(4281),
    [sym_preproc_define] = STATE(4281),
    [sym_preproc_undef] = STATE(4281),
    [anon_sym_SEMI] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_COMMA] = ACTIONS(5648),
    [anon_sym_RBRACK] = ACTIONS(5648),
    [anon_sym_LPAREN] = ACTIONS(5648),
    [anon_sym_RPAREN] = ACTIONS(5648),
    [anon_sym_RBRACE] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_in] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(5650),
    [anon_sym_BANG] = ACTIONS(5650),
    [anon_sym_PLUS_PLUS] = ACTIONS(5648),
    [anon_sym_DASH_DASH] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_GT_GT_GT] = ACTIONS(5648),
    [anon_sym_EQ_EQ] = ACTIONS(5648),
    [anon_sym_BANG_EQ] = ACTIONS(5648),
    [anon_sym_GT_EQ] = ACTIONS(5648),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_EQ_GT] = ACTIONS(5648),
    [anon_sym_switch] = ACTIONS(5648),
    [anon_sym_when] = ACTIONS(5648),
    [anon_sym_DOT_DOT] = ACTIONS(5648),
    [anon_sym_and] = ACTIONS(5648),
    [anon_sym_or] = ACTIONS(5648),
    [anon_sym_AMP_AMP] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5648),
    [anon_sym_QMARK_QMARK] = ACTIONS(5648),
    [anon_sym_on] = ACTIONS(5648),
    [anon_sym_equals] = ACTIONS(5648),
    [anon_sym_by] = ACTIONS(5648),
    [anon_sym_as] = ACTIONS(5648),
    [anon_sym_is] = ACTIONS(5648),
    [anon_sym_DASH_GT] = ACTIONS(5648),
    [anon_sym_with] = ACTIONS(5648),
    [aux_sym_preproc_if_token3] = ACTIONS(5648),
    [aux_sym_preproc_else_token1] = ACTIONS(5648),
    [aux_sym_preproc_elif_token1] = ACTIONS(5648),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4282] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7056),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9212),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4282),
    [sym_preproc_endregion] = STATE(4282),
    [sym_preproc_line] = STATE(4282),
    [sym_preproc_pragma] = STATE(4282),
    [sym_preproc_nullable] = STATE(4282),
    [sym_preproc_error] = STATE(4282),
    [sym_preproc_define] = STATE(4282),
    [sym_preproc_undef] = STATE(4282),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4283] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9159),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4283),
    [sym_preproc_endregion] = STATE(4283),
    [sym_preproc_line] = STATE(4283),
    [sym_preproc_pragma] = STATE(4283),
    [sym_preproc_nullable] = STATE(4283),
    [sym_preproc_error] = STATE(4283),
    [sym_preproc_define] = STATE(4283),
    [sym_preproc_undef] = STATE(4283),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4284] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7049),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9129),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4284),
    [sym_preproc_endregion] = STATE(4284),
    [sym_preproc_line] = STATE(4284),
    [sym_preproc_pragma] = STATE(4284),
    [sym_preproc_nullable] = STATE(4284),
    [sym_preproc_error] = STATE(4284),
    [sym_preproc_define] = STATE(4284),
    [sym_preproc_undef] = STATE(4284),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4285] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9252),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4285),
    [sym_preproc_endregion] = STATE(4285),
    [sym_preproc_line] = STATE(4285),
    [sym_preproc_pragma] = STATE(4285),
    [sym_preproc_nullable] = STATE(4285),
    [sym_preproc_error] = STATE(4285),
    [sym_preproc_define] = STATE(4285),
    [sym_preproc_undef] = STATE(4285),
    [aux_sym_function_pointer_type_repeat1] = STATE(4288),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4286] = {
    [sym_preproc_region] = STATE(4286),
    [sym_preproc_endregion] = STATE(4286),
    [sym_preproc_line] = STATE(4286),
    [sym_preproc_pragma] = STATE(4286),
    [sym_preproc_nullable] = STATE(4286),
    [sym_preproc_error] = STATE(4286),
    [sym_preproc_define] = STATE(4286),
    [sym_preproc_undef] = STATE(4286),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_SEMI] = ACTIONS(3995),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_get] = ACTIONS(4040),
    [anon_sym_set] = ACTIONS(4040),
    [anon_sym_add] = ACTIONS(4040),
    [anon_sym_remove] = ACTIONS(4040),
    [anon_sym_init] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4287] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7060),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9552),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4287),
    [sym_preproc_endregion] = STATE(4287),
    [sym_preproc_line] = STATE(4287),
    [sym_preproc_pragma] = STATE(4287),
    [sym_preproc_nullable] = STATE(4287),
    [sym_preproc_error] = STATE(4287),
    [sym_preproc_define] = STATE(4287),
    [sym_preproc_undef] = STATE(4287),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4288] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9814),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4288),
    [sym_preproc_endregion] = STATE(4288),
    [sym_preproc_line] = STATE(4288),
    [sym_preproc_pragma] = STATE(4288),
    [sym_preproc_nullable] = STATE(4288),
    [sym_preproc_error] = STATE(4288),
    [sym_preproc_define] = STATE(4288),
    [sym_preproc_undef] = STATE(4288),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4289] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9814),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4289),
    [sym_preproc_endregion] = STATE(4289),
    [sym_preproc_line] = STATE(4289),
    [sym_preproc_pragma] = STATE(4289),
    [sym_preproc_nullable] = STATE(4289),
    [sym_preproc_error] = STATE(4289),
    [sym_preproc_define] = STATE(4289),
    [sym_preproc_undef] = STATE(4289),
    [aux_sym_function_pointer_type_repeat1] = STATE(4293),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4290] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7075),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9456),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4290),
    [sym_preproc_endregion] = STATE(4290),
    [sym_preproc_line] = STATE(4290),
    [sym_preproc_pragma] = STATE(4290),
    [sym_preproc_nullable] = STATE(4290),
    [sym_preproc_error] = STATE(4290),
    [sym_preproc_define] = STATE(4290),
    [sym_preproc_undef] = STATE(4290),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4291] = {
    [sym_preproc_region] = STATE(4291),
    [sym_preproc_endregion] = STATE(4291),
    [sym_preproc_line] = STATE(4291),
    [sym_preproc_pragma] = STATE(4291),
    [sym_preproc_nullable] = STATE(4291),
    [sym_preproc_error] = STATE(4291),
    [sym_preproc_define] = STATE(4291),
    [sym_preproc_undef] = STATE(4291),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_LPAREN] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_in] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5666),
    [anon_sym_BANG] = ACTIONS(5666),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_GT_GT_GT] = ACTIONS(5664),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_EQ_GT] = ACTIONS(5664),
    [anon_sym_switch] = ACTIONS(5664),
    [anon_sym_when] = ACTIONS(5664),
    [anon_sym_DOT_DOT] = ACTIONS(5664),
    [anon_sym_and] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_QMARK_QMARK] = ACTIONS(5664),
    [anon_sym_on] = ACTIONS(5664),
    [anon_sym_equals] = ACTIONS(5664),
    [anon_sym_by] = ACTIONS(5664),
    [anon_sym_as] = ACTIONS(5664),
    [anon_sym_is] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_with] = ACTIONS(5664),
    [aux_sym_preproc_if_token3] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5664),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4292] = {
    [sym_preproc_region] = STATE(4292),
    [sym_preproc_endregion] = STATE(4292),
    [sym_preproc_line] = STATE(4292),
    [sym_preproc_pragma] = STATE(4292),
    [sym_preproc_nullable] = STATE(4292),
    [sym_preproc_error] = STATE(4292),
    [sym_preproc_define] = STATE(4292),
    [sym_preproc_undef] = STATE(4292),
    [anon_sym_SEMI] = ACTIONS(5905),
    [anon_sym_LBRACK] = ACTIONS(5905),
    [anon_sym_COLON] = ACTIONS(5905),
    [anon_sym_COMMA] = ACTIONS(5905),
    [anon_sym_RBRACK] = ACTIONS(5905),
    [anon_sym_LPAREN] = ACTIONS(5905),
    [anon_sym_RPAREN] = ACTIONS(5905),
    [anon_sym_RBRACE] = ACTIONS(5905),
    [anon_sym_LT] = ACTIONS(5907),
    [anon_sym_GT] = ACTIONS(5907),
    [anon_sym_in] = ACTIONS(5905),
    [anon_sym_QMARK] = ACTIONS(5907),
    [anon_sym_BANG] = ACTIONS(5907),
    [anon_sym_PLUS_PLUS] = ACTIONS(5905),
    [anon_sym_DASH_DASH] = ACTIONS(5905),
    [anon_sym_PLUS] = ACTIONS(5907),
    [anon_sym_DASH] = ACTIONS(5907),
    [anon_sym_STAR] = ACTIONS(5905),
    [anon_sym_SLASH] = ACTIONS(5907),
    [anon_sym_PERCENT] = ACTIONS(5905),
    [anon_sym_CARET] = ACTIONS(5905),
    [anon_sym_PIPE] = ACTIONS(5907),
    [anon_sym_AMP] = ACTIONS(5907),
    [anon_sym_LT_LT] = ACTIONS(5905),
    [anon_sym_GT_GT] = ACTIONS(5907),
    [anon_sym_GT_GT_GT] = ACTIONS(5905),
    [anon_sym_EQ_EQ] = ACTIONS(5905),
    [anon_sym_BANG_EQ] = ACTIONS(5905),
    [anon_sym_GT_EQ] = ACTIONS(5905),
    [anon_sym_LT_EQ] = ACTIONS(5905),
    [anon_sym_DOT] = ACTIONS(5907),
    [anon_sym_EQ_GT] = ACTIONS(5905),
    [anon_sym_switch] = ACTIONS(5905),
    [anon_sym_when] = ACTIONS(5905),
    [anon_sym_DOT_DOT] = ACTIONS(5905),
    [anon_sym_and] = ACTIONS(5905),
    [anon_sym_or] = ACTIONS(5905),
    [anon_sym_AMP_AMP] = ACTIONS(5905),
    [anon_sym_PIPE_PIPE] = ACTIONS(5905),
    [anon_sym_QMARK_QMARK] = ACTIONS(5905),
    [anon_sym_on] = ACTIONS(5905),
    [anon_sym_equals] = ACTIONS(5905),
    [anon_sym_by] = ACTIONS(5905),
    [anon_sym_as] = ACTIONS(5905),
    [anon_sym_is] = ACTIONS(5905),
    [anon_sym_DASH_GT] = ACTIONS(5905),
    [anon_sym_with] = ACTIONS(5905),
    [aux_sym_preproc_if_token3] = ACTIONS(5905),
    [aux_sym_preproc_else_token1] = ACTIONS(5905),
    [aux_sym_preproc_elif_token1] = ACTIONS(5905),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4293] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9115),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4293),
    [sym_preproc_endregion] = STATE(4293),
    [sym_preproc_line] = STATE(4293),
    [sym_preproc_pragma] = STATE(4293),
    [sym_preproc_nullable] = STATE(4293),
    [sym_preproc_error] = STATE(4293),
    [sym_preproc_define] = STATE(4293),
    [sym_preproc_undef] = STATE(4293),
    [aux_sym_function_pointer_type_repeat1] = STATE(4470),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4294] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7078),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9494),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4294),
    [sym_preproc_endregion] = STATE(4294),
    [sym_preproc_line] = STATE(4294),
    [sym_preproc_pragma] = STATE(4294),
    [sym_preproc_nullable] = STATE(4294),
    [sym_preproc_error] = STATE(4294),
    [sym_preproc_define] = STATE(4294),
    [sym_preproc_undef] = STATE(4294),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4295] = {
    [sym_preproc_region] = STATE(4295),
    [sym_preproc_endregion] = STATE(4295),
    [sym_preproc_line] = STATE(4295),
    [sym_preproc_pragma] = STATE(4295),
    [sym_preproc_nullable] = STATE(4295),
    [sym_preproc_error] = STATE(4295),
    [sym_preproc_define] = STATE(4295),
    [sym_preproc_undef] = STATE(4295),
    [anon_sym_SEMI] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5439),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_COMMA] = ACTIONS(5439),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_LPAREN] = ACTIONS(5439),
    [anon_sym_RPAREN] = ACTIONS(5439),
    [anon_sym_RBRACE] = ACTIONS(5439),
    [anon_sym_LT] = ACTIONS(5441),
    [anon_sym_GT] = ACTIONS(5441),
    [anon_sym_in] = ACTIONS(5439),
    [anon_sym_QMARK] = ACTIONS(5441),
    [anon_sym_BANG] = ACTIONS(5441),
    [anon_sym_PLUS_PLUS] = ACTIONS(5439),
    [anon_sym_DASH_DASH] = ACTIONS(5439),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_STAR] = ACTIONS(5439),
    [anon_sym_SLASH] = ACTIONS(5441),
    [anon_sym_PERCENT] = ACTIONS(5439),
    [anon_sym_CARET] = ACTIONS(5439),
    [anon_sym_PIPE] = ACTIONS(5441),
    [anon_sym_AMP] = ACTIONS(5441),
    [anon_sym_LT_LT] = ACTIONS(5439),
    [anon_sym_GT_GT] = ACTIONS(5441),
    [anon_sym_GT_GT_GT] = ACTIONS(5439),
    [anon_sym_EQ_EQ] = ACTIONS(5439),
    [anon_sym_BANG_EQ] = ACTIONS(5439),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5441),
    [anon_sym_EQ_GT] = ACTIONS(5439),
    [anon_sym_switch] = ACTIONS(5439),
    [anon_sym_when] = ACTIONS(5439),
    [anon_sym_DOT_DOT] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(5439),
    [anon_sym_or] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_PIPE_PIPE] = ACTIONS(5439),
    [anon_sym_QMARK_QMARK] = ACTIONS(5439),
    [anon_sym_on] = ACTIONS(5439),
    [anon_sym_equals] = ACTIONS(5439),
    [anon_sym_by] = ACTIONS(5439),
    [anon_sym_as] = ACTIONS(5439),
    [anon_sym_is] = ACTIONS(5439),
    [anon_sym_DASH_GT] = ACTIONS(5439),
    [anon_sym_with] = ACTIONS(5439),
    [aux_sym_preproc_if_token3] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4296] = {
    [sym__name] = STATE(7789),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(9159),
    [sym_implicit_type] = STATE(8803),
    [sym_array_type] = STATE(8340),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(8345),
    [sym_pointer_type] = STATE(8345),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(8345),
    [sym_function_pointer_parameter] = STATE(9147),
    [sym_ref_type] = STATE(8859),
    [sym__ref_base_type] = STATE(9153),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8055),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4296),
    [sym_preproc_endregion] = STATE(4296),
    [sym_preproc_line] = STATE(4296),
    [sym_preproc_pragma] = STATE(4296),
    [sym_preproc_nullable] = STATE(4296),
    [sym_preproc_error] = STATE(4296),
    [sym_preproc_define] = STATE(4296),
    [sym_preproc_undef] = STATE(4296),
    [aux_sym_function_pointer_type_repeat1] = STATE(4120),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5985),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_in] = ACTIONS(5987),
    [anon_sym_out] = ACTIONS(5987),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5989),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5991),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4297] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7096),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9815),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4297),
    [sym_preproc_endregion] = STATE(4297),
    [sym_preproc_line] = STATE(4297),
    [sym_preproc_pragma] = STATE(4297),
    [sym_preproc_nullable] = STATE(4297),
    [sym_preproc_error] = STATE(4297),
    [sym_preproc_define] = STATE(4297),
    [sym_preproc_undef] = STATE(4297),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4298] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7098),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9854),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4298),
    [sym_preproc_endregion] = STATE(4298),
    [sym_preproc_line] = STATE(4298),
    [sym_preproc_pragma] = STATE(4298),
    [sym_preproc_nullable] = STATE(4298),
    [sym_preproc_error] = STATE(4298),
    [sym_preproc_define] = STATE(4298),
    [sym_preproc_undef] = STATE(4298),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4299] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7104),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9015),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4299),
    [sym_preproc_endregion] = STATE(4299),
    [sym_preproc_line] = STATE(4299),
    [sym_preproc_pragma] = STATE(4299),
    [sym_preproc_nullable] = STATE(4299),
    [sym_preproc_error] = STATE(4299),
    [sym_preproc_define] = STATE(4299),
    [sym_preproc_undef] = STATE(4299),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4300] = {
    [sym_preproc_region] = STATE(4300),
    [sym_preproc_endregion] = STATE(4300),
    [sym_preproc_line] = STATE(4300),
    [sym_preproc_pragma] = STATE(4300),
    [sym_preproc_nullable] = STATE(4300),
    [sym_preproc_error] = STATE(4300),
    [sym_preproc_define] = STATE(4300),
    [sym_preproc_undef] = STATE(4300),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RBRACK] = ACTIONS(5672),
    [anon_sym_LPAREN] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_in] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5674),
    [anon_sym_BANG] = ACTIONS(5674),
    [anon_sym_PLUS_PLUS] = ACTIONS(5672),
    [anon_sym_DASH_DASH] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5672),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5672),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_GT_GT_GT] = ACTIONS(5672),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_EQ_GT] = ACTIONS(5672),
    [anon_sym_switch] = ACTIONS(5672),
    [anon_sym_when] = ACTIONS(5672),
    [anon_sym_DOT_DOT] = ACTIONS(5672),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE] = ACTIONS(5672),
    [anon_sym_QMARK_QMARK] = ACTIONS(5672),
    [anon_sym_on] = ACTIONS(5672),
    [anon_sym_equals] = ACTIONS(5672),
    [anon_sym_by] = ACTIONS(5672),
    [anon_sym_as] = ACTIONS(5672),
    [anon_sym_is] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_with] = ACTIONS(5672),
    [aux_sym_preproc_if_token3] = ACTIONS(5672),
    [aux_sym_preproc_else_token1] = ACTIONS(5672),
    [aux_sym_preproc_elif_token1] = ACTIONS(5672),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4301] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7106),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9028),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4301),
    [sym_preproc_endregion] = STATE(4301),
    [sym_preproc_line] = STATE(4301),
    [sym_preproc_pragma] = STATE(4301),
    [sym_preproc_nullable] = STATE(4301),
    [sym_preproc_error] = STATE(4301),
    [sym_preproc_define] = STATE(4301),
    [sym_preproc_undef] = STATE(4301),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4302] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7114),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9070),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4302),
    [sym_preproc_endregion] = STATE(4302),
    [sym_preproc_line] = STATE(4302),
    [sym_preproc_pragma] = STATE(4302),
    [sym_preproc_nullable] = STATE(4302),
    [sym_preproc_error] = STATE(4302),
    [sym_preproc_define] = STATE(4302),
    [sym_preproc_undef] = STATE(4302),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4303] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7115),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9080),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4303),
    [sym_preproc_endregion] = STATE(4303),
    [sym_preproc_line] = STATE(4303),
    [sym_preproc_pragma] = STATE(4303),
    [sym_preproc_nullable] = STATE(4303),
    [sym_preproc_error] = STATE(4303),
    [sym_preproc_define] = STATE(4303),
    [sym_preproc_undef] = STATE(4303),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4304] = {
    [sym_preproc_region] = STATE(4304),
    [sym_preproc_endregion] = STATE(4304),
    [sym_preproc_line] = STATE(4304),
    [sym_preproc_pragma] = STATE(4304),
    [sym_preproc_nullable] = STATE(4304),
    [sym_preproc_error] = STATE(4304),
    [sym_preproc_define] = STATE(4304),
    [sym_preproc_undef] = STATE(4304),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_LPAREN] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_in] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5598),
    [anon_sym_BANG] = ACTIONS(5598),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5596),
    [anon_sym_CARET] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5596),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym_GT_GT_GT] = ACTIONS(5596),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_EQ_GT] = ACTIONS(5596),
    [anon_sym_switch] = ACTIONS(5596),
    [anon_sym_when] = ACTIONS(5596),
    [anon_sym_DOT_DOT] = ACTIONS(5596),
    [anon_sym_and] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_QMARK_QMARK] = ACTIONS(5596),
    [anon_sym_on] = ACTIONS(5596),
    [anon_sym_equals] = ACTIONS(5596),
    [anon_sym_by] = ACTIONS(5596),
    [anon_sym_as] = ACTIONS(5596),
    [anon_sym_is] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [anon_sym_with] = ACTIONS(5596),
    [aux_sym_preproc_if_token3] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5596),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4305] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7118),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9110),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4305),
    [sym_preproc_endregion] = STATE(4305),
    [sym_preproc_line] = STATE(4305),
    [sym_preproc_pragma] = STATE(4305),
    [sym_preproc_nullable] = STATE(4305),
    [sym_preproc_error] = STATE(4305),
    [sym_preproc_define] = STATE(4305),
    [sym_preproc_undef] = STATE(4305),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4306] = {
    [sym_preproc_region] = STATE(4306),
    [sym_preproc_endregion] = STATE(4306),
    [sym_preproc_line] = STATE(4306),
    [sym_preproc_pragma] = STATE(4306),
    [sym_preproc_nullable] = STATE(4306),
    [sym_preproc_error] = STATE(4306),
    [sym_preproc_define] = STATE(4306),
    [sym_preproc_undef] = STATE(4306),
    [anon_sym_SEMI] = ACTIONS(5842),
    [anon_sym_LBRACK] = ACTIONS(5842),
    [anon_sym_COLON] = ACTIONS(5842),
    [anon_sym_COMMA] = ACTIONS(5842),
    [anon_sym_RBRACK] = ACTIONS(5842),
    [anon_sym_LPAREN] = ACTIONS(5842),
    [anon_sym_RPAREN] = ACTIONS(5842),
    [anon_sym_RBRACE] = ACTIONS(5842),
    [anon_sym_LT] = ACTIONS(5844),
    [anon_sym_GT] = ACTIONS(5844),
    [anon_sym_in] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_BANG] = ACTIONS(5844),
    [anon_sym_PLUS_PLUS] = ACTIONS(5842),
    [anon_sym_DASH_DASH] = ACTIONS(5842),
    [anon_sym_PLUS] = ACTIONS(5844),
    [anon_sym_DASH] = ACTIONS(5844),
    [anon_sym_STAR] = ACTIONS(5842),
    [anon_sym_SLASH] = ACTIONS(5844),
    [anon_sym_PERCENT] = ACTIONS(5842),
    [anon_sym_CARET] = ACTIONS(5842),
    [anon_sym_PIPE] = ACTIONS(5844),
    [anon_sym_AMP] = ACTIONS(5844),
    [anon_sym_LT_LT] = ACTIONS(5842),
    [anon_sym_GT_GT] = ACTIONS(5844),
    [anon_sym_GT_GT_GT] = ACTIONS(5842),
    [anon_sym_EQ_EQ] = ACTIONS(5842),
    [anon_sym_BANG_EQ] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5842),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_DOT] = ACTIONS(5844),
    [anon_sym_EQ_GT] = ACTIONS(5842),
    [anon_sym_switch] = ACTIONS(5842),
    [anon_sym_when] = ACTIONS(5842),
    [anon_sym_DOT_DOT] = ACTIONS(5842),
    [anon_sym_and] = ACTIONS(5842),
    [anon_sym_or] = ACTIONS(5842),
    [anon_sym_AMP_AMP] = ACTIONS(5842),
    [anon_sym_PIPE_PIPE] = ACTIONS(5842),
    [anon_sym_QMARK_QMARK] = ACTIONS(5842),
    [anon_sym_on] = ACTIONS(5842),
    [anon_sym_equals] = ACTIONS(5842),
    [anon_sym_by] = ACTIONS(5842),
    [anon_sym_as] = ACTIONS(5842),
    [anon_sym_is] = ACTIONS(5842),
    [anon_sym_DASH_GT] = ACTIONS(5842),
    [anon_sym_with] = ACTIONS(5842),
    [aux_sym_preproc_if_token3] = ACTIONS(5842),
    [aux_sym_preproc_else_token1] = ACTIONS(5842),
    [aux_sym_preproc_elif_token1] = ACTIONS(5842),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4307] = {
    [sym_preproc_region] = STATE(4307),
    [sym_preproc_endregion] = STATE(4307),
    [sym_preproc_line] = STATE(4307),
    [sym_preproc_pragma] = STATE(4307),
    [sym_preproc_nullable] = STATE(4307),
    [sym_preproc_error] = STATE(4307),
    [sym_preproc_define] = STATE(4307),
    [sym_preproc_undef] = STATE(4307),
    [anon_sym_SEMI] = ACTIONS(5403),
    [anon_sym_LBRACK] = ACTIONS(5403),
    [anon_sym_COLON] = ACTIONS(5403),
    [anon_sym_COMMA] = ACTIONS(5403),
    [anon_sym_RBRACK] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5403),
    [anon_sym_RPAREN] = ACTIONS(5403),
    [anon_sym_RBRACE] = ACTIONS(5403),
    [anon_sym_LT] = ACTIONS(5405),
    [anon_sym_GT] = ACTIONS(5405),
    [anon_sym_in] = ACTIONS(5403),
    [anon_sym_QMARK] = ACTIONS(5405),
    [anon_sym_BANG] = ACTIONS(5405),
    [anon_sym_PLUS_PLUS] = ACTIONS(5403),
    [anon_sym_DASH_DASH] = ACTIONS(5403),
    [anon_sym_PLUS] = ACTIONS(5405),
    [anon_sym_DASH] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_SLASH] = ACTIONS(5405),
    [anon_sym_PERCENT] = ACTIONS(5403),
    [anon_sym_CARET] = ACTIONS(5403),
    [anon_sym_PIPE] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5405),
    [anon_sym_LT_LT] = ACTIONS(5403),
    [anon_sym_GT_GT] = ACTIONS(5405),
    [anon_sym_GT_GT_GT] = ACTIONS(5403),
    [anon_sym_EQ_EQ] = ACTIONS(5403),
    [anon_sym_BANG_EQ] = ACTIONS(5403),
    [anon_sym_GT_EQ] = ACTIONS(5403),
    [anon_sym_LT_EQ] = ACTIONS(5403),
    [anon_sym_DOT] = ACTIONS(5405),
    [anon_sym_EQ_GT] = ACTIONS(5403),
    [anon_sym_switch] = ACTIONS(5403),
    [anon_sym_when] = ACTIONS(5403),
    [anon_sym_DOT_DOT] = ACTIONS(5403),
    [anon_sym_and] = ACTIONS(5403),
    [anon_sym_or] = ACTIONS(5403),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_PIPE_PIPE] = ACTIONS(5403),
    [anon_sym_QMARK_QMARK] = ACTIONS(5403),
    [anon_sym_on] = ACTIONS(5403),
    [anon_sym_equals] = ACTIONS(5403),
    [anon_sym_by] = ACTIONS(5403),
    [anon_sym_as] = ACTIONS(5403),
    [anon_sym_is] = ACTIONS(5403),
    [anon_sym_DASH_GT] = ACTIONS(5403),
    [anon_sym_with] = ACTIONS(5403),
    [aux_sym_preproc_if_token3] = ACTIONS(5403),
    [aux_sym_preproc_else_token1] = ACTIONS(5403),
    [aux_sym_preproc_elif_token1] = ACTIONS(5403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4308] = {
    [sym_preproc_region] = STATE(4308),
    [sym_preproc_endregion] = STATE(4308),
    [sym_preproc_line] = STATE(4308),
    [sym_preproc_pragma] = STATE(4308),
    [sym_preproc_nullable] = STATE(4308),
    [sym_preproc_error] = STATE(4308),
    [sym_preproc_define] = STATE(4308),
    [sym_preproc_undef] = STATE(4308),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_COLON] = ACTIONS(2991),
    [anon_sym_COMMA] = ACTIONS(2991),
    [anon_sym_RBRACK] = ACTIONS(2991),
    [anon_sym_LPAREN] = ACTIONS(2991),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2989),
    [anon_sym_GT] = ACTIONS(2989),
    [anon_sym_in] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_GT_GT] = ACTIONS(2989),
    [anon_sym_GT_GT_GT] = ACTIONS(2991),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2991),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_when] = ACTIONS(2991),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_and] = ACTIONS(2991),
    [anon_sym_or] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_QMARK_QMARK] = ACTIONS(2991),
    [anon_sym_on] = ACTIONS(2991),
    [anon_sym_equals] = ACTIONS(2991),
    [anon_sym_by] = ACTIONS(2991),
    [anon_sym_as] = ACTIONS(2991),
    [anon_sym_is] = ACTIONS(2991),
    [anon_sym_DASH_GT] = ACTIONS(2991),
    [anon_sym_with] = ACTIONS(2991),
    [aux_sym_preproc_if_token3] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4309] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7119),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9120),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4309),
    [sym_preproc_endregion] = STATE(4309),
    [sym_preproc_line] = STATE(4309),
    [sym_preproc_pragma] = STATE(4309),
    [sym_preproc_nullable] = STATE(4309),
    [sym_preproc_error] = STATE(4309),
    [sym_preproc_define] = STATE(4309),
    [sym_preproc_undef] = STATE(4309),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4310] = {
    [sym_preproc_region] = STATE(4310),
    [sym_preproc_endregion] = STATE(4310),
    [sym_preproc_line] = STATE(4310),
    [sym_preproc_pragma] = STATE(4310),
    [sym_preproc_nullable] = STATE(4310),
    [sym_preproc_error] = STATE(4310),
    [sym_preproc_define] = STATE(4310),
    [sym_preproc_undef] = STATE(4310),
    [anon_sym_SEMI] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_COLON] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(1997),
    [anon_sym_RBRACK] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(6048),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_RBRACE] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_GT] = ACTIONS(1995),
    [anon_sym_in] = ACTIONS(1997),
    [anon_sym_QMARK] = ACTIONS(1995),
    [anon_sym_BANG] = ACTIONS(1995),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1995),
    [anon_sym_DASH] = ACTIONS(1995),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_SLASH] = ACTIONS(1995),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(1997),
    [anon_sym_PIPE] = ACTIONS(1995),
    [anon_sym_AMP] = ACTIONS(1995),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_GT_GT] = ACTIONS(1995),
    [anon_sym_GT_GT_GT] = ACTIONS(1997),
    [anon_sym_EQ_EQ] = ACTIONS(1997),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_DOT] = ACTIONS(1995),
    [anon_sym_EQ_GT] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_when] = ACTIONS(1997),
    [anon_sym_DOT_DOT] = ACTIONS(1997),
    [anon_sym_and] = ACTIONS(1997),
    [anon_sym_or] = ACTIONS(1997),
    [anon_sym_AMP_AMP] = ACTIONS(1997),
    [anon_sym_PIPE_PIPE] = ACTIONS(1997),
    [anon_sym_QMARK_QMARK] = ACTIONS(1997),
    [anon_sym_on] = ACTIONS(1997),
    [anon_sym_equals] = ACTIONS(1997),
    [anon_sym_by] = ACTIONS(1997),
    [anon_sym_as] = ACTIONS(1997),
    [anon_sym_is] = ACTIONS(1997),
    [anon_sym_DASH_GT] = ACTIONS(1997),
    [anon_sym_with] = ACTIONS(1997),
    [aux_sym_preproc_if_token3] = ACTIONS(1997),
    [aux_sym_preproc_else_token1] = ACTIONS(1997),
    [aux_sym_preproc_elif_token1] = ACTIONS(1997),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4311] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7127),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9146),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4311),
    [sym_preproc_endregion] = STATE(4311),
    [sym_preproc_line] = STATE(4311),
    [sym_preproc_pragma] = STATE(4311),
    [sym_preproc_nullable] = STATE(4311),
    [sym_preproc_error] = STATE(4311),
    [sym_preproc_define] = STATE(4311),
    [sym_preproc_undef] = STATE(4311),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4312] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7128),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9154),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4312),
    [sym_preproc_endregion] = STATE(4312),
    [sym_preproc_line] = STATE(4312),
    [sym_preproc_pragma] = STATE(4312),
    [sym_preproc_nullable] = STATE(4312),
    [sym_preproc_error] = STATE(4312),
    [sym_preproc_define] = STATE(4312),
    [sym_preproc_undef] = STATE(4312),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4313] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7133),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9174),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4313),
    [sym_preproc_endregion] = STATE(4313),
    [sym_preproc_line] = STATE(4313),
    [sym_preproc_pragma] = STATE(4313),
    [sym_preproc_nullable] = STATE(4313),
    [sym_preproc_error] = STATE(4313),
    [sym_preproc_define] = STATE(4313),
    [sym_preproc_undef] = STATE(4313),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4314] = {
    [sym_preproc_region] = STATE(4314),
    [sym_preproc_endregion] = STATE(4314),
    [sym_preproc_line] = STATE(4314),
    [sym_preproc_pragma] = STATE(4314),
    [sym_preproc_nullable] = STATE(4314),
    [sym_preproc_error] = STATE(4314),
    [sym_preproc_define] = STATE(4314),
    [sym_preproc_undef] = STATE(4314),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [anon_sym_LPAREN] = ACTIONS(5600),
    [anon_sym_RPAREN] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_in] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5602),
    [anon_sym_BANG] = ACTIONS(5602),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_GT_GT_GT] = ACTIONS(5600),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_EQ_GT] = ACTIONS(5600),
    [anon_sym_switch] = ACTIONS(5600),
    [anon_sym_when] = ACTIONS(5600),
    [anon_sym_DOT_DOT] = ACTIONS(5600),
    [anon_sym_and] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_QMARK_QMARK] = ACTIONS(5600),
    [anon_sym_on] = ACTIONS(5600),
    [anon_sym_equals] = ACTIONS(5600),
    [anon_sym_by] = ACTIONS(5600),
    [anon_sym_as] = ACTIONS(5600),
    [anon_sym_is] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [anon_sym_with] = ACTIONS(5600),
    [aux_sym_preproc_if_token3] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5600),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4315] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7134),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9182),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4315),
    [sym_preproc_endregion] = STATE(4315),
    [sym_preproc_line] = STATE(4315),
    [sym_preproc_pragma] = STATE(4315),
    [sym_preproc_nullable] = STATE(4315),
    [sym_preproc_error] = STATE(4315),
    [sym_preproc_define] = STATE(4315),
    [sym_preproc_undef] = STATE(4315),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4316] = {
    [sym_preproc_region] = STATE(4316),
    [sym_preproc_endregion] = STATE(4316),
    [sym_preproc_line] = STATE(4316),
    [sym_preproc_pragma] = STATE(4316),
    [sym_preproc_nullable] = STATE(4316),
    [sym_preproc_error] = STATE(4316),
    [sym_preproc_define] = STATE(4316),
    [sym_preproc_undef] = STATE(4316),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_LPAREN] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_in] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5582),
    [anon_sym_BANG] = ACTIONS(5582),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_GT_GT_GT] = ACTIONS(5580),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_EQ_GT] = ACTIONS(5580),
    [anon_sym_switch] = ACTIONS(5580),
    [anon_sym_when] = ACTIONS(5580),
    [anon_sym_DOT_DOT] = ACTIONS(5580),
    [anon_sym_and] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_QMARK_QMARK] = ACTIONS(5580),
    [anon_sym_on] = ACTIONS(5580),
    [anon_sym_equals] = ACTIONS(5580),
    [anon_sym_by] = ACTIONS(5580),
    [anon_sym_as] = ACTIONS(5580),
    [anon_sym_is] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [anon_sym_with] = ACTIONS(5580),
    [aux_sym_preproc_if_token3] = ACTIONS(5580),
    [aux_sym_preproc_else_token1] = ACTIONS(5580),
    [aux_sym_preproc_elif_token1] = ACTIONS(5580),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4317] = {
    [sym_preproc_region] = STATE(4317),
    [sym_preproc_endregion] = STATE(4317),
    [sym_preproc_line] = STATE(4317),
    [sym_preproc_pragma] = STATE(4317),
    [sym_preproc_nullable] = STATE(4317),
    [sym_preproc_error] = STATE(4317),
    [sym_preproc_define] = STATE(4317),
    [sym_preproc_undef] = STATE(4317),
    [anon_sym_SEMI] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_COLON] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [anon_sym_RBRACK] = ACTIONS(5451),
    [anon_sym_LPAREN] = ACTIONS(5451),
    [anon_sym_RPAREN] = ACTIONS(5451),
    [anon_sym_RBRACE] = ACTIONS(5451),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_in] = ACTIONS(5451),
    [anon_sym_QMARK] = ACTIONS(5453),
    [anon_sym_BANG] = ACTIONS(5453),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5451),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5451),
    [anon_sym_CARET] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5451),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_GT_GT_GT] = ACTIONS(5451),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_EQ_GT] = ACTIONS(5451),
    [anon_sym_switch] = ACTIONS(5451),
    [anon_sym_when] = ACTIONS(5451),
    [anon_sym_DOT_DOT] = ACTIONS(5451),
    [anon_sym_and] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5451),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_QMARK_QMARK] = ACTIONS(5451),
    [anon_sym_on] = ACTIONS(5451),
    [anon_sym_equals] = ACTIONS(5451),
    [anon_sym_by] = ACTIONS(5451),
    [anon_sym_as] = ACTIONS(5451),
    [anon_sym_is] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_with] = ACTIONS(5451),
    [aux_sym_preproc_if_token3] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4318] = {
    [sym_preproc_region] = STATE(4318),
    [sym_preproc_endregion] = STATE(4318),
    [sym_preproc_line] = STATE(4318),
    [sym_preproc_pragma] = STATE(4318),
    [sym_preproc_nullable] = STATE(4318),
    [sym_preproc_error] = STATE(4318),
    [sym_preproc_define] = STATE(4318),
    [sym_preproc_undef] = STATE(4318),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym_LBRACK] = ACTIONS(5856),
    [anon_sym_COLON] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_RBRACK] = ACTIONS(5856),
    [anon_sym_LPAREN] = ACTIONS(5856),
    [anon_sym_RPAREN] = ACTIONS(5856),
    [anon_sym_RBRACE] = ACTIONS(5856),
    [anon_sym_LT] = ACTIONS(5858),
    [anon_sym_GT] = ACTIONS(5858),
    [anon_sym_in] = ACTIONS(5856),
    [anon_sym_QMARK] = ACTIONS(5858),
    [anon_sym_BANG] = ACTIONS(5858),
    [anon_sym_PLUS_PLUS] = ACTIONS(5856),
    [anon_sym_DASH_DASH] = ACTIONS(5856),
    [anon_sym_PLUS] = ACTIONS(5858),
    [anon_sym_DASH] = ACTIONS(5858),
    [anon_sym_STAR] = ACTIONS(5856),
    [anon_sym_SLASH] = ACTIONS(5858),
    [anon_sym_PERCENT] = ACTIONS(5856),
    [anon_sym_CARET] = ACTIONS(5856),
    [anon_sym_PIPE] = ACTIONS(5858),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5858),
    [anon_sym_GT_GT_GT] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5856),
    [anon_sym_BANG_EQ] = ACTIONS(5856),
    [anon_sym_GT_EQ] = ACTIONS(5856),
    [anon_sym_LT_EQ] = ACTIONS(5856),
    [anon_sym_DOT] = ACTIONS(5858),
    [anon_sym_EQ_GT] = ACTIONS(5856),
    [anon_sym_switch] = ACTIONS(5856),
    [anon_sym_when] = ACTIONS(5856),
    [anon_sym_DOT_DOT] = ACTIONS(5856),
    [anon_sym_and] = ACTIONS(5856),
    [anon_sym_or] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5856),
    [anon_sym_PIPE_PIPE] = ACTIONS(5856),
    [anon_sym_QMARK_QMARK] = ACTIONS(5856),
    [anon_sym_on] = ACTIONS(5856),
    [anon_sym_equals] = ACTIONS(5856),
    [anon_sym_by] = ACTIONS(5856),
    [anon_sym_as] = ACTIONS(5856),
    [anon_sym_is] = ACTIONS(5856),
    [anon_sym_DASH_GT] = ACTIONS(5856),
    [anon_sym_with] = ACTIONS(5856),
    [aux_sym_preproc_if_token3] = ACTIONS(5856),
    [aux_sym_preproc_else_token1] = ACTIONS(5856),
    [aux_sym_preproc_elif_token1] = ACTIONS(5856),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4319] = {
    [sym_preproc_region] = STATE(4319),
    [sym_preproc_endregion] = STATE(4319),
    [sym_preproc_line] = STATE(4319),
    [sym_preproc_pragma] = STATE(4319),
    [sym_preproc_nullable] = STATE(4319),
    [sym_preproc_error] = STATE(4319),
    [sym_preproc_define] = STATE(4319),
    [sym_preproc_undef] = STATE(4319),
    [anon_sym_SEMI] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5642),
    [anon_sym_COMMA] = ACTIONS(5642),
    [anon_sym_RBRACK] = ACTIONS(5642),
    [anon_sym_LPAREN] = ACTIONS(5642),
    [anon_sym_RPAREN] = ACTIONS(5642),
    [anon_sym_RBRACE] = ACTIONS(5642),
    [anon_sym_LT] = ACTIONS(5644),
    [anon_sym_GT] = ACTIONS(5644),
    [anon_sym_in] = ACTIONS(5642),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_BANG] = ACTIONS(5644),
    [anon_sym_PLUS_PLUS] = ACTIONS(5642),
    [anon_sym_DASH_DASH] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5644),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_CARET] = ACTIONS(5642),
    [anon_sym_PIPE] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(5644),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5644),
    [anon_sym_GT_GT_GT] = ACTIONS(5642),
    [anon_sym_EQ_EQ] = ACTIONS(5642),
    [anon_sym_BANG_EQ] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5642),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_DOT] = ACTIONS(5644),
    [anon_sym_EQ_GT] = ACTIONS(5642),
    [anon_sym_switch] = ACTIONS(5642),
    [anon_sym_when] = ACTIONS(5642),
    [anon_sym_DOT_DOT] = ACTIONS(5642),
    [anon_sym_and] = ACTIONS(5642),
    [anon_sym_or] = ACTIONS(5642),
    [anon_sym_AMP_AMP] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5642),
    [anon_sym_QMARK_QMARK] = ACTIONS(5642),
    [anon_sym_on] = ACTIONS(5642),
    [anon_sym_equals] = ACTIONS(5642),
    [anon_sym_by] = ACTIONS(5642),
    [anon_sym_as] = ACTIONS(5642),
    [anon_sym_is] = ACTIONS(5642),
    [anon_sym_DASH_GT] = ACTIONS(5642),
    [anon_sym_with] = ACTIONS(5642),
    [aux_sym_preproc_if_token3] = ACTIONS(5642),
    [aux_sym_preproc_else_token1] = ACTIONS(5642),
    [aux_sym_preproc_elif_token1] = ACTIONS(5642),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4320] = {
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7379),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4320),
    [sym_preproc_endregion] = STATE(4320),
    [sym_preproc_line] = STATE(4320),
    [sym_preproc_pragma] = STATE(4320),
    [sym_preproc_nullable] = STATE(4320),
    [sym_preproc_error] = STATE(4320),
    [sym_preproc_define] = STATE(4320),
    [sym_preproc_undef] = STATE(4320),
    [aux_sym__parameter_type_with_modifiers_repeat1] = STATE(6770),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5297),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1123),
    [anon_sym_out] = ACTIONS(1123),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_this] = ACTIONS(1123),
    [anon_sym_scoped] = ACTIONS(5299),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4321] = {
    [sym_preproc_region] = STATE(4321),
    [sym_preproc_endregion] = STATE(4321),
    [sym_preproc_line] = STATE(4321),
    [sym_preproc_pragma] = STATE(4321),
    [sym_preproc_nullable] = STATE(4321),
    [sym_preproc_error] = STATE(4321),
    [sym_preproc_define] = STATE(4321),
    [sym_preproc_undef] = STATE(4321),
    [anon_sym_SEMI] = ACTIONS(5463),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym_COLON] = ACTIONS(5463),
    [anon_sym_COMMA] = ACTIONS(5463),
    [anon_sym_RBRACK] = ACTIONS(5463),
    [anon_sym_LPAREN] = ACTIONS(5463),
    [anon_sym_RPAREN] = ACTIONS(5463),
    [anon_sym_RBRACE] = ACTIONS(5463),
    [anon_sym_LT] = ACTIONS(5465),
    [anon_sym_GT] = ACTIONS(5465),
    [anon_sym_in] = ACTIONS(5463),
    [anon_sym_QMARK] = ACTIONS(5465),
    [anon_sym_BANG] = ACTIONS(5465),
    [anon_sym_PLUS_PLUS] = ACTIONS(5463),
    [anon_sym_DASH_DASH] = ACTIONS(5463),
    [anon_sym_PLUS] = ACTIONS(5465),
    [anon_sym_DASH] = ACTIONS(5465),
    [anon_sym_STAR] = ACTIONS(5463),
    [anon_sym_SLASH] = ACTIONS(5465),
    [anon_sym_PERCENT] = ACTIONS(5463),
    [anon_sym_CARET] = ACTIONS(5463),
    [anon_sym_PIPE] = ACTIONS(5465),
    [anon_sym_AMP] = ACTIONS(5465),
    [anon_sym_LT_LT] = ACTIONS(5463),
    [anon_sym_GT_GT] = ACTIONS(5465),
    [anon_sym_GT_GT_GT] = ACTIONS(5463),
    [anon_sym_EQ_EQ] = ACTIONS(5463),
    [anon_sym_BANG_EQ] = ACTIONS(5463),
    [anon_sym_GT_EQ] = ACTIONS(5463),
    [anon_sym_LT_EQ] = ACTIONS(5463),
    [anon_sym_DOT] = ACTIONS(5465),
    [anon_sym_EQ_GT] = ACTIONS(5463),
    [anon_sym_switch] = ACTIONS(5463),
    [anon_sym_when] = ACTIONS(5463),
    [anon_sym_DOT_DOT] = ACTIONS(5463),
    [anon_sym_and] = ACTIONS(5463),
    [anon_sym_or] = ACTIONS(5463),
    [anon_sym_AMP_AMP] = ACTIONS(5463),
    [anon_sym_PIPE_PIPE] = ACTIONS(5463),
    [anon_sym_QMARK_QMARK] = ACTIONS(5463),
    [anon_sym_on] = ACTIONS(5463),
    [anon_sym_equals] = ACTIONS(5463),
    [anon_sym_by] = ACTIONS(5463),
    [anon_sym_as] = ACTIONS(5463),
    [anon_sym_is] = ACTIONS(5463),
    [anon_sym_DASH_GT] = ACTIONS(5463),
    [anon_sym_with] = ACTIONS(5463),
    [aux_sym_preproc_if_token3] = ACTIONS(5463),
    [aux_sym_preproc_else_token1] = ACTIONS(5463),
    [aux_sym_preproc_elif_token1] = ACTIONS(5463),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4322] = {
    [sym_preproc_region] = STATE(4322),
    [sym_preproc_endregion] = STATE(4322),
    [sym_preproc_line] = STATE(4322),
    [sym_preproc_pragma] = STATE(4322),
    [sym_preproc_nullable] = STATE(4322),
    [sym_preproc_error] = STATE(4322),
    [sym_preproc_define] = STATE(4322),
    [sym_preproc_undef] = STATE(4322),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_LPAREN] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LT] = ACTIONS(5630),
    [anon_sym_GT] = ACTIONS(5630),
    [anon_sym_in] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5630),
    [anon_sym_BANG] = ACTIONS(5630),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS] = ACTIONS(5630),
    [anon_sym_DASH] = ACTIONS(5630),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5630),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5630),
    [anon_sym_AMP] = ACTIONS(5630),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5630),
    [anon_sym_GT_GT_GT] = ACTIONS(5628),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5630),
    [anon_sym_EQ_GT] = ACTIONS(5628),
    [anon_sym_switch] = ACTIONS(5628),
    [anon_sym_when] = ACTIONS(5628),
    [anon_sym_DOT_DOT] = ACTIONS(5628),
    [anon_sym_and] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_QMARK_QMARK] = ACTIONS(5628),
    [anon_sym_on] = ACTIONS(5628),
    [anon_sym_equals] = ACTIONS(5628),
    [anon_sym_by] = ACTIONS(5628),
    [anon_sym_as] = ACTIONS(5628),
    [anon_sym_is] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [anon_sym_with] = ACTIONS(5628),
    [aux_sym_preproc_if_token3] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5628),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4323] = {
    [sym_preproc_region] = STATE(4323),
    [sym_preproc_endregion] = STATE(4323),
    [sym_preproc_line] = STATE(4323),
    [sym_preproc_pragma] = STATE(4323),
    [sym_preproc_nullable] = STATE(4323),
    [sym_preproc_error] = STATE(4323),
    [sym_preproc_define] = STATE(4323),
    [sym_preproc_undef] = STATE(4323),
    [anon_sym_SEMI] = ACTIONS(5871),
    [anon_sym_LBRACK] = ACTIONS(5871),
    [anon_sym_COLON] = ACTIONS(5871),
    [anon_sym_COMMA] = ACTIONS(5871),
    [anon_sym_RBRACK] = ACTIONS(5871),
    [anon_sym_LPAREN] = ACTIONS(5871),
    [anon_sym_RPAREN] = ACTIONS(5871),
    [anon_sym_RBRACE] = ACTIONS(5871),
    [anon_sym_LT] = ACTIONS(5873),
    [anon_sym_GT] = ACTIONS(5873),
    [anon_sym_in] = ACTIONS(5871),
    [anon_sym_QMARK] = ACTIONS(5873),
    [anon_sym_BANG] = ACTIONS(5873),
    [anon_sym_PLUS_PLUS] = ACTIONS(5871),
    [anon_sym_DASH_DASH] = ACTIONS(5871),
    [anon_sym_PLUS] = ACTIONS(5873),
    [anon_sym_DASH] = ACTIONS(5873),
    [anon_sym_STAR] = ACTIONS(5871),
    [anon_sym_SLASH] = ACTIONS(5873),
    [anon_sym_PERCENT] = ACTIONS(5871),
    [anon_sym_CARET] = ACTIONS(5871),
    [anon_sym_PIPE] = ACTIONS(5873),
    [anon_sym_AMP] = ACTIONS(5873),
    [anon_sym_LT_LT] = ACTIONS(5871),
    [anon_sym_GT_GT] = ACTIONS(5873),
    [anon_sym_GT_GT_GT] = ACTIONS(5871),
    [anon_sym_EQ_EQ] = ACTIONS(5871),
    [anon_sym_BANG_EQ] = ACTIONS(5871),
    [anon_sym_GT_EQ] = ACTIONS(5871),
    [anon_sym_LT_EQ] = ACTIONS(5871),
    [anon_sym_DOT] = ACTIONS(5873),
    [anon_sym_EQ_GT] = ACTIONS(5871),
    [anon_sym_switch] = ACTIONS(5871),
    [anon_sym_when] = ACTIONS(5871),
    [anon_sym_DOT_DOT] = ACTIONS(5871),
    [anon_sym_and] = ACTIONS(5871),
    [anon_sym_or] = ACTIONS(5871),
    [anon_sym_AMP_AMP] = ACTIONS(5871),
    [anon_sym_PIPE_PIPE] = ACTIONS(5871),
    [anon_sym_QMARK_QMARK] = ACTIONS(5871),
    [anon_sym_on] = ACTIONS(5871),
    [anon_sym_equals] = ACTIONS(5871),
    [anon_sym_by] = ACTIONS(5871),
    [anon_sym_as] = ACTIONS(5871),
    [anon_sym_is] = ACTIONS(5871),
    [anon_sym_DASH_GT] = ACTIONS(5871),
    [anon_sym_with] = ACTIONS(5871),
    [aux_sym_preproc_if_token3] = ACTIONS(5871),
    [aux_sym_preproc_else_token1] = ACTIONS(5871),
    [aux_sym_preproc_elif_token1] = ACTIONS(5871),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4324] = {
    [sym_preproc_region] = STATE(4324),
    [sym_preproc_endregion] = STATE(4324),
    [sym_preproc_line] = STATE(4324),
    [sym_preproc_pragma] = STATE(4324),
    [sym_preproc_nullable] = STATE(4324),
    [sym_preproc_error] = STATE(4324),
    [sym_preproc_define] = STATE(4324),
    [sym_preproc_undef] = STATE(4324),
    [anon_sym_SEMI] = ACTIONS(5632),
    [anon_sym_LBRACK] = ACTIONS(5632),
    [anon_sym_COLON] = ACTIONS(5632),
    [anon_sym_COMMA] = ACTIONS(5632),
    [anon_sym_RBRACK] = ACTIONS(5632),
    [anon_sym_LPAREN] = ACTIONS(5632),
    [anon_sym_RPAREN] = ACTIONS(5632),
    [anon_sym_RBRACE] = ACTIONS(5632),
    [anon_sym_LT] = ACTIONS(5634),
    [anon_sym_GT] = ACTIONS(5634),
    [anon_sym_in] = ACTIONS(5632),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_BANG] = ACTIONS(5634),
    [anon_sym_PLUS_PLUS] = ACTIONS(5632),
    [anon_sym_DASH_DASH] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5632),
    [anon_sym_SLASH] = ACTIONS(5634),
    [anon_sym_PERCENT] = ACTIONS(5632),
    [anon_sym_CARET] = ACTIONS(5632),
    [anon_sym_PIPE] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5634),
    [anon_sym_LT_LT] = ACTIONS(5632),
    [anon_sym_GT_GT] = ACTIONS(5634),
    [anon_sym_GT_GT_GT] = ACTIONS(5632),
    [anon_sym_EQ_EQ] = ACTIONS(5632),
    [anon_sym_BANG_EQ] = ACTIONS(5632),
    [anon_sym_GT_EQ] = ACTIONS(5632),
    [anon_sym_LT_EQ] = ACTIONS(5632),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_EQ_GT] = ACTIONS(5632),
    [anon_sym_switch] = ACTIONS(5632),
    [anon_sym_when] = ACTIONS(5632),
    [anon_sym_DOT_DOT] = ACTIONS(5632),
    [anon_sym_and] = ACTIONS(5632),
    [anon_sym_or] = ACTIONS(5632),
    [anon_sym_AMP_AMP] = ACTIONS(5632),
    [anon_sym_PIPE_PIPE] = ACTIONS(5632),
    [anon_sym_QMARK_QMARK] = ACTIONS(5632),
    [anon_sym_on] = ACTIONS(5632),
    [anon_sym_equals] = ACTIONS(5632),
    [anon_sym_by] = ACTIONS(5632),
    [anon_sym_as] = ACTIONS(5632),
    [anon_sym_is] = ACTIONS(5632),
    [anon_sym_DASH_GT] = ACTIONS(5632),
    [anon_sym_with] = ACTIONS(5632),
    [aux_sym_preproc_if_token3] = ACTIONS(5632),
    [aux_sym_preproc_else_token1] = ACTIONS(5632),
    [aux_sym_preproc_elif_token1] = ACTIONS(5632),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4325] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7155),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9910),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4325),
    [sym_preproc_endregion] = STATE(4325),
    [sym_preproc_line] = STATE(4325),
    [sym_preproc_pragma] = STATE(4325),
    [sym_preproc_nullable] = STATE(4325),
    [sym_preproc_error] = STATE(4325),
    [sym_preproc_define] = STATE(4325),
    [sym_preproc_undef] = STATE(4325),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4326] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7156),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9919),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4326),
    [sym_preproc_endregion] = STATE(4326),
    [sym_preproc_line] = STATE(4326),
    [sym_preproc_pragma] = STATE(4326),
    [sym_preproc_nullable] = STATE(4326),
    [sym_preproc_error] = STATE(4326),
    [sym_preproc_define] = STATE(4326),
    [sym_preproc_undef] = STATE(4326),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4327] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7072),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9060),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4327),
    [sym_preproc_endregion] = STATE(4327),
    [sym_preproc_line] = STATE(4327),
    [sym_preproc_pragma] = STATE(4327),
    [sym_preproc_nullable] = STATE(4327),
    [sym_preproc_error] = STATE(4327),
    [sym_preproc_define] = STATE(4327),
    [sym_preproc_undef] = STATE(4327),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(6038),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4328] = {
    [sym_parameter_list] = STATE(9108),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7066),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym__lambda_parameters] = STATE(9347),
    [sym_identifier] = STATE(6781),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4328),
    [sym_preproc_endregion] = STATE(4328),
    [sym_preproc_line] = STATE(4328),
    [sym_preproc_pragma] = STATE(4328),
    [sym_preproc_nullable] = STATE(4328),
    [sym_preproc_error] = STATE(4328),
    [sym_preproc_define] = STATE(4328),
    [sym_preproc_undef] = STATE(4328),
    [aux_sym_lambda_expression_repeat1] = STATE(6832),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_async] = ACTIONS(1059),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4329] = {
    [sym_preproc_region] = STATE(4329),
    [sym_preproc_endregion] = STATE(4329),
    [sym_preproc_line] = STATE(4329),
    [sym_preproc_pragma] = STATE(4329),
    [sym_preproc_nullable] = STATE(4329),
    [sym_preproc_error] = STATE(4329),
    [sym_preproc_define] = STATE(4329),
    [sym_preproc_undef] = STATE(4329),
    [sym__identifier_token] = ACTIONS(3403),
    [anon_sym_extern] = ACTIONS(3403),
    [anon_sym_alias] = ACTIONS(3403),
    [anon_sym_global] = ACTIONS(3403),
    [anon_sym_unsafe] = ACTIONS(3403),
    [anon_sym_static] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_RBRACE] = ACTIONS(3405),
    [anon_sym_abstract] = ACTIONS(3403),
    [anon_sym_async] = ACTIONS(3403),
    [anon_sym_const] = ACTIONS(3403),
    [anon_sym_file] = ACTIONS(3403),
    [anon_sym_fixed] = ACTIONS(3403),
    [anon_sym_internal] = ACTIONS(3403),
    [anon_sym_new] = ACTIONS(3403),
    [anon_sym_override] = ACTIONS(3403),
    [anon_sym_partial] = ACTIONS(3403),
    [anon_sym_private] = ACTIONS(3403),
    [anon_sym_protected] = ACTIONS(3403),
    [anon_sym_public] = ACTIONS(3403),
    [anon_sym_readonly] = ACTIONS(3403),
    [anon_sym_required] = ACTIONS(3403),
    [anon_sym_sealed] = ACTIONS(3403),
    [anon_sym_virtual] = ACTIONS(3403),
    [anon_sym_volatile] = ACTIONS(3403),
    [anon_sym_where] = ACTIONS(3403),
    [anon_sym_notnull] = ACTIONS(3403),
    [anon_sym_unmanaged] = ACTIONS(3403),
    [anon_sym_get] = ACTIONS(3403),
    [anon_sym_set] = ACTIONS(3403),
    [anon_sym_add] = ACTIONS(3403),
    [anon_sym_remove] = ACTIONS(3403),
    [anon_sym_init] = ACTIONS(3403),
    [anon_sym_scoped] = ACTIONS(3403),
    [anon_sym_var] = ACTIONS(3403),
    [anon_sym_yield] = ACTIONS(3403),
    [anon_sym_when] = ACTIONS(3403),
    [anon_sym_from] = ACTIONS(3403),
    [anon_sym_into] = ACTIONS(3403),
    [anon_sym_join] = ACTIONS(3403),
    [anon_sym_on] = ACTIONS(3403),
    [anon_sym_equals] = ACTIONS(3403),
    [anon_sym_let] = ACTIONS(3403),
    [anon_sym_orderby] = ACTIONS(3403),
    [anon_sym_ascending] = ACTIONS(3403),
    [anon_sym_descending] = ACTIONS(3403),
    [anon_sym_group] = ACTIONS(3403),
    [anon_sym_by] = ACTIONS(3403),
    [anon_sym_select] = ACTIONS(3403),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4330] = {
    [sym_preproc_region] = STATE(4330),
    [sym_preproc_endregion] = STATE(4330),
    [sym_preproc_line] = STATE(4330),
    [sym_preproc_pragma] = STATE(4330),
    [sym_preproc_nullable] = STATE(4330),
    [sym_preproc_error] = STATE(4330),
    [sym_preproc_define] = STATE(4330),
    [sym_preproc_undef] = STATE(4330),
    [anon_sym_EQ] = ACTIONS(6050),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6052),
    [anon_sym_DASH_EQ] = ACTIONS(6052),
    [anon_sym_STAR_EQ] = ACTIONS(6052),
    [anon_sym_SLASH_EQ] = ACTIONS(6052),
    [anon_sym_PERCENT_EQ] = ACTIONS(6052),
    [anon_sym_AMP_EQ] = ACTIONS(6052),
    [anon_sym_CARET_EQ] = ACTIONS(6052),
    [anon_sym_PIPE_EQ] = ACTIONS(6052),
    [anon_sym_LT_LT_EQ] = ACTIONS(6052),
    [anon_sym_GT_GT_EQ] = ACTIONS(6052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6052),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6052),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4331] = {
    [sym_preproc_region] = STATE(4331),
    [sym_preproc_endregion] = STATE(4331),
    [sym_preproc_line] = STATE(4331),
    [sym_preproc_pragma] = STATE(4331),
    [sym_preproc_nullable] = STATE(4331),
    [sym_preproc_error] = STATE(4331),
    [sym_preproc_define] = STATE(4331),
    [sym_preproc_undef] = STATE(4331),
    [anon_sym_EQ] = ACTIONS(6054),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6056),
    [anon_sym_DASH_EQ] = ACTIONS(6056),
    [anon_sym_STAR_EQ] = ACTIONS(6056),
    [anon_sym_SLASH_EQ] = ACTIONS(6056),
    [anon_sym_PERCENT_EQ] = ACTIONS(6056),
    [anon_sym_AMP_EQ] = ACTIONS(6056),
    [anon_sym_CARET_EQ] = ACTIONS(6056),
    [anon_sym_PIPE_EQ] = ACTIONS(6056),
    [anon_sym_LT_LT_EQ] = ACTIONS(6056),
    [anon_sym_GT_GT_EQ] = ACTIONS(6056),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6056),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6056),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_if_token3] = ACTIONS(5305),
    [aux_sym_preproc_else_token1] = ACTIONS(5305),
    [aux_sym_preproc_elif_token1] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4332] = {
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(5892),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4332),
    [sym_preproc_endregion] = STATE(4332),
    [sym_preproc_line] = STATE(4332),
    [sym_preproc_pragma] = STATE(4332),
    [sym_preproc_nullable] = STATE(4332),
    [sym_preproc_error] = STATE(4332),
    [sym_preproc_define] = STATE(4332),
    [sym_preproc_undef] = STATE(4332),
    [sym__identifier_token] = ACTIONS(2667),
    [anon_sym_alias] = ACTIONS(2667),
    [anon_sym_global] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_ref] = ACTIONS(2667),
    [anon_sym_delegate] = ACTIONS(2667),
    [anon_sym_file] = ACTIONS(2667),
    [anon_sym_readonly] = ACTIONS(2667),
    [anon_sym_in] = ACTIONS(2667),
    [anon_sym_out] = ACTIONS(2667),
    [anon_sym_where] = ACTIONS(2667),
    [anon_sym_notnull] = ACTIONS(2667),
    [anon_sym_unmanaged] = ACTIONS(2667),
    [anon_sym_this] = ACTIONS(2667),
    [anon_sym_scoped] = ACTIONS(2667),
    [anon_sym_var] = ACTIONS(2667),
    [sym_predefined_type] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(2667),
    [anon_sym_when] = ACTIONS(2667),
    [anon_sym_from] = ACTIONS(2667),
    [anon_sym_into] = ACTIONS(2667),
    [anon_sym_join] = ACTIONS(2667),
    [anon_sym_on] = ACTIONS(2667),
    [anon_sym_equals] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_orderby] = ACTIONS(2667),
    [anon_sym_ascending] = ACTIONS(2667),
    [anon_sym_descending] = ACTIONS(2667),
    [anon_sym_group] = ACTIONS(2667),
    [anon_sym_by] = ACTIONS(2667),
    [anon_sym_select] = ACTIONS(2667),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4333] = {
    [sym_preproc_region] = STATE(4333),
    [sym_preproc_endregion] = STATE(4333),
    [sym_preproc_line] = STATE(4333),
    [sym_preproc_pragma] = STATE(4333),
    [sym_preproc_nullable] = STATE(4333),
    [sym_preproc_error] = STATE(4333),
    [sym_preproc_define] = STATE(4333),
    [sym_preproc_undef] = STATE(4333),
    [sym__identifier_token] = ACTIONS(6058),
    [anon_sym_extern] = ACTIONS(6058),
    [anon_sym_alias] = ACTIONS(6058),
    [anon_sym_global] = ACTIONS(6058),
    [anon_sym_unsafe] = ACTIONS(6058),
    [anon_sym_static] = ACTIONS(6058),
    [anon_sym_LBRACK] = ACTIONS(6060),
    [anon_sym_RBRACE] = ACTIONS(6060),
    [anon_sym_abstract] = ACTIONS(6058),
    [anon_sym_async] = ACTIONS(6058),
    [anon_sym_const] = ACTIONS(6058),
    [anon_sym_file] = ACTIONS(6058),
    [anon_sym_fixed] = ACTIONS(6058),
    [anon_sym_internal] = ACTIONS(6058),
    [anon_sym_new] = ACTIONS(6058),
    [anon_sym_override] = ACTIONS(6058),
    [anon_sym_partial] = ACTIONS(6058),
    [anon_sym_private] = ACTIONS(6058),
    [anon_sym_protected] = ACTIONS(6058),
    [anon_sym_public] = ACTIONS(6058),
    [anon_sym_readonly] = ACTIONS(6058),
    [anon_sym_required] = ACTIONS(6058),
    [anon_sym_sealed] = ACTIONS(6058),
    [anon_sym_virtual] = ACTIONS(6058),
    [anon_sym_volatile] = ACTIONS(6058),
    [anon_sym_where] = ACTIONS(6058),
    [anon_sym_notnull] = ACTIONS(6058),
    [anon_sym_unmanaged] = ACTIONS(6058),
    [anon_sym_get] = ACTIONS(6058),
    [anon_sym_set] = ACTIONS(6058),
    [anon_sym_add] = ACTIONS(6058),
    [anon_sym_remove] = ACTIONS(6058),
    [anon_sym_init] = ACTIONS(6058),
    [anon_sym_scoped] = ACTIONS(6058),
    [anon_sym_var] = ACTIONS(6058),
    [anon_sym_yield] = ACTIONS(6058),
    [anon_sym_when] = ACTIONS(6058),
    [anon_sym_from] = ACTIONS(6058),
    [anon_sym_into] = ACTIONS(6058),
    [anon_sym_join] = ACTIONS(6058),
    [anon_sym_on] = ACTIONS(6058),
    [anon_sym_equals] = ACTIONS(6058),
    [anon_sym_let] = ACTIONS(6058),
    [anon_sym_orderby] = ACTIONS(6058),
    [anon_sym_ascending] = ACTIONS(6058),
    [anon_sym_descending] = ACTIONS(6058),
    [anon_sym_group] = ACTIONS(6058),
    [anon_sym_by] = ACTIONS(6058),
    [anon_sym_select] = ACTIONS(6058),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4334] = {
    [sym_argument_list] = STATE(4369),
    [sym_initializer_expression] = STATE(4693),
    [sym_preproc_region] = STATE(4334),
    [sym_preproc_endregion] = STATE(4334),
    [sym_preproc_line] = STATE(4334),
    [sym_preproc_pragma] = STATE(4334),
    [sym_preproc_nullable] = STATE(4334),
    [sym_preproc_error] = STATE(4334),
    [sym_preproc_define] = STATE(4334),
    [sym_preproc_undef] = STATE(4334),
    [anon_sym_LBRACK] = ACTIONS(5243),
    [anon_sym_COMMA] = ACTIONS(5243),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(5247),
    [anon_sym_GT] = ACTIONS(5247),
    [anon_sym_where] = ACTIONS(5243),
    [anon_sym_QMARK] = ACTIONS(5247),
    [anon_sym_BANG] = ACTIONS(5247),
    [anon_sym_PLUS_PLUS] = ACTIONS(5243),
    [anon_sym_DASH_DASH] = ACTIONS(5243),
    [anon_sym_PLUS] = ACTIONS(5247),
    [anon_sym_DASH] = ACTIONS(5247),
    [anon_sym_STAR] = ACTIONS(5243),
    [anon_sym_SLASH] = ACTIONS(5247),
    [anon_sym_PERCENT] = ACTIONS(5243),
    [anon_sym_CARET] = ACTIONS(5243),
    [anon_sym_PIPE] = ACTIONS(5247),
    [anon_sym_AMP] = ACTIONS(5247),
    [anon_sym_LT_LT] = ACTIONS(5243),
    [anon_sym_GT_GT] = ACTIONS(5247),
    [anon_sym_GT_GT_GT] = ACTIONS(5243),
    [anon_sym_EQ_EQ] = ACTIONS(5243),
    [anon_sym_BANG_EQ] = ACTIONS(5243),
    [anon_sym_GT_EQ] = ACTIONS(5243),
    [anon_sym_LT_EQ] = ACTIONS(5243),
    [anon_sym_DOT] = ACTIONS(5247),
    [anon_sym_switch] = ACTIONS(5243),
    [anon_sym_DOT_DOT] = ACTIONS(5243),
    [anon_sym_and] = ACTIONS(5243),
    [anon_sym_or] = ACTIONS(5247),
    [anon_sym_AMP_AMP] = ACTIONS(5243),
    [anon_sym_PIPE_PIPE] = ACTIONS(5243),
    [anon_sym_QMARK_QMARK] = ACTIONS(5243),
    [anon_sym_from] = ACTIONS(5243),
    [anon_sym_into] = ACTIONS(5243),
    [anon_sym_join] = ACTIONS(5243),
    [anon_sym_let] = ACTIONS(5243),
    [anon_sym_orderby] = ACTIONS(5243),
    [anon_sym_ascending] = ACTIONS(5243),
    [anon_sym_descending] = ACTIONS(5243),
    [anon_sym_group] = ACTIONS(5243),
    [anon_sym_select] = ACTIONS(5243),
    [anon_sym_as] = ACTIONS(5247),
    [anon_sym_is] = ACTIONS(5243),
    [anon_sym_DASH_GT] = ACTIONS(5243),
    [anon_sym_with] = ACTIONS(5243),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4335] = {
    [sym_preproc_region] = STATE(4335),
    [sym_preproc_endregion] = STATE(4335),
    [sym_preproc_line] = STATE(4335),
    [sym_preproc_pragma] = STATE(4335),
    [sym_preproc_nullable] = STATE(4335),
    [sym_preproc_error] = STATE(4335),
    [sym_preproc_define] = STATE(4335),
    [sym_preproc_undef] = STATE(4335),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4453),
    [anon_sym_COLON] = ACTIONS(4453),
    [anon_sym_COMMA] = ACTIONS(4453),
    [anon_sym_RBRACK] = ACTIONS(4453),
    [anon_sym_LPAREN] = ACTIONS(4453),
    [anon_sym_RPAREN] = ACTIONS(4453),
    [anon_sym_LBRACE] = ACTIONS(4453),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_GT] = ACTIONS(4451),
    [anon_sym_in] = ACTIONS(4451),
    [anon_sym_QMARK] = ACTIONS(4451),
    [anon_sym_BANG] = ACTIONS(4451),
    [anon_sym_PLUS_PLUS] = ACTIONS(4453),
    [anon_sym_DASH_DASH] = ACTIONS(4453),
    [anon_sym_PLUS] = ACTIONS(4451),
    [anon_sym_DASH] = ACTIONS(4451),
    [anon_sym_STAR] = ACTIONS(4453),
    [anon_sym_SLASH] = ACTIONS(4451),
    [anon_sym_PERCENT] = ACTIONS(4453),
    [anon_sym_CARET] = ACTIONS(4453),
    [anon_sym_PIPE] = ACTIONS(4451),
    [anon_sym_AMP] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4453),
    [anon_sym_GT_GT] = ACTIONS(4451),
    [anon_sym_GT_GT_GT] = ACTIONS(4453),
    [anon_sym_EQ_EQ] = ACTIONS(4453),
    [anon_sym_BANG_EQ] = ACTIONS(4453),
    [anon_sym_GT_EQ] = ACTIONS(4453),
    [anon_sym_LT_EQ] = ACTIONS(4453),
    [anon_sym_DOT] = ACTIONS(6064),
    [anon_sym_EQ_GT] = ACTIONS(4453),
    [anon_sym_switch] = ACTIONS(4453),
    [anon_sym_DOT_DOT] = ACTIONS(4453),
    [anon_sym_AMP_AMP] = ACTIONS(4453),
    [anon_sym_PIPE_PIPE] = ACTIONS(4453),
    [anon_sym_QMARK_QMARK] = ACTIONS(4453),
    [anon_sym_into] = ACTIONS(4453),
    [anon_sym_on] = ACTIONS(4453),
    [anon_sym_equals] = ACTIONS(4453),
    [anon_sym_by] = ACTIONS(4453),
    [anon_sym_as] = ACTIONS(4453),
    [anon_sym_is] = ACTIONS(4453),
    [anon_sym_DASH_GT] = ACTIONS(4453),
    [anon_sym_with] = ACTIONS(4453),
    [aux_sym_preproc_if_token3] = ACTIONS(4453),
    [aux_sym_preproc_else_token1] = ACTIONS(4453),
    [aux_sym_preproc_elif_token1] = ACTIONS(4453),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4336] = {
    [sym_preproc_region] = STATE(4336),
    [sym_preproc_endregion] = STATE(4336),
    [sym_preproc_line] = STATE(4336),
    [sym_preproc_pragma] = STATE(4336),
    [sym_preproc_nullable] = STATE(4336),
    [sym_preproc_error] = STATE(4336),
    [sym_preproc_define] = STATE(4336),
    [sym_preproc_undef] = STATE(4336),
    [anon_sym_EQ] = ACTIONS(6066),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6068),
    [anon_sym_DASH_EQ] = ACTIONS(6068),
    [anon_sym_STAR_EQ] = ACTIONS(6068),
    [anon_sym_SLASH_EQ] = ACTIONS(6068),
    [anon_sym_PERCENT_EQ] = ACTIONS(6068),
    [anon_sym_AMP_EQ] = ACTIONS(6068),
    [anon_sym_CARET_EQ] = ACTIONS(6068),
    [anon_sym_PIPE_EQ] = ACTIONS(6068),
    [anon_sym_LT_LT_EQ] = ACTIONS(6068),
    [anon_sym_GT_GT_EQ] = ACTIONS(6068),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6068),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6068),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_by] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4337] = {
    [sym_argument_list] = STATE(4231),
    [sym_bracketed_argument_list] = STATE(3052),
    [sym_preproc_region] = STATE(4337),
    [sym_preproc_endregion] = STATE(4337),
    [sym_preproc_line] = STATE(4337),
    [sym_preproc_pragma] = STATE(4337),
    [sym_preproc_nullable] = STATE(4337),
    [sym_preproc_error] = STATE(4337),
    [sym_preproc_define] = STATE(4337),
    [sym_preproc_undef] = STATE(4337),
    [anon_sym_SEMI] = ACTIONS(5269),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [anon_sym_COLON] = ACTIONS(5269),
    [anon_sym_COMMA] = ACTIONS(5269),
    [anon_sym_RBRACK] = ACTIONS(5269),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5269),
    [anon_sym_RBRACE] = ACTIONS(5269),
    [anon_sym_LT] = ACTIONS(5273),
    [anon_sym_GT] = ACTIONS(5273),
    [anon_sym_in] = ACTIONS(5269),
    [anon_sym_QMARK] = ACTIONS(5273),
    [anon_sym_BANG] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5273),
    [anon_sym_DASH] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_SLASH] = ACTIONS(5273),
    [anon_sym_PERCENT] = ACTIONS(5269),
    [anon_sym_CARET] = ACTIONS(5269),
    [anon_sym_PIPE] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_LT_LT] = ACTIONS(5269),
    [anon_sym_GT_GT] = ACTIONS(5273),
    [anon_sym_GT_GT_GT] = ACTIONS(5269),
    [anon_sym_EQ_EQ] = ACTIONS(5269),
    [anon_sym_BANG_EQ] = ACTIONS(5269),
    [anon_sym_GT_EQ] = ACTIONS(5269),
    [anon_sym_LT_EQ] = ACTIONS(5269),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_EQ_GT] = ACTIONS(5269),
    [anon_sym_switch] = ACTIONS(5269),
    [anon_sym_DOT_DOT] = ACTIONS(5269),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_PIPE_PIPE] = ACTIONS(5269),
    [anon_sym_QMARK_QMARK] = ACTIONS(5269),
    [anon_sym_on] = ACTIONS(5269),
    [anon_sym_equals] = ACTIONS(5269),
    [anon_sym_by] = ACTIONS(5269),
    [anon_sym_as] = ACTIONS(5269),
    [anon_sym_is] = ACTIONS(5269),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(5269),
    [aux_sym_preproc_if_token3] = ACTIONS(5269),
    [aux_sym_preproc_else_token1] = ACTIONS(5269),
    [aux_sym_preproc_elif_token1] = ACTIONS(5269),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4338] = {
    [sym_preproc_region] = STATE(4338),
    [sym_preproc_endregion] = STATE(4338),
    [sym_preproc_line] = STATE(4338),
    [sym_preproc_pragma] = STATE(4338),
    [sym_preproc_nullable] = STATE(4338),
    [sym_preproc_error] = STATE(4338),
    [sym_preproc_define] = STATE(4338),
    [sym_preproc_undef] = STATE(4338),
    [anon_sym_EQ] = ACTIONS(6072),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6074),
    [anon_sym_DASH_EQ] = ACTIONS(6074),
    [anon_sym_STAR_EQ] = ACTIONS(6074),
    [anon_sym_SLASH_EQ] = ACTIONS(6074),
    [anon_sym_PERCENT_EQ] = ACTIONS(6074),
    [anon_sym_AMP_EQ] = ACTIONS(6074),
    [anon_sym_CARET_EQ] = ACTIONS(6074),
    [anon_sym_PIPE_EQ] = ACTIONS(6074),
    [anon_sym_LT_LT_EQ] = ACTIONS(6074),
    [anon_sym_GT_GT_EQ] = ACTIONS(6074),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6074),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6074),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_equals] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4339] = {
    [sym_preproc_region] = STATE(4339),
    [sym_preproc_endregion] = STATE(4339),
    [sym_preproc_line] = STATE(4339),
    [sym_preproc_pragma] = STATE(4339),
    [sym_preproc_nullable] = STATE(4339),
    [sym_preproc_error] = STATE(4339),
    [sym_preproc_define] = STATE(4339),
    [sym_preproc_undef] = STATE(4339),
    [anon_sym_EQ] = ACTIONS(6076),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6078),
    [anon_sym_DASH_EQ] = ACTIONS(6078),
    [anon_sym_STAR_EQ] = ACTIONS(6078),
    [anon_sym_SLASH_EQ] = ACTIONS(6078),
    [anon_sym_PERCENT_EQ] = ACTIONS(6078),
    [anon_sym_AMP_EQ] = ACTIONS(6078),
    [anon_sym_CARET_EQ] = ACTIONS(6078),
    [anon_sym_PIPE_EQ] = ACTIONS(6078),
    [anon_sym_LT_LT_EQ] = ACTIONS(6078),
    [anon_sym_GT_GT_EQ] = ACTIONS(6078),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6078),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6078),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_on] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4340] = {
    [sym_argument_list] = STATE(4231),
    [sym_bracketed_argument_list] = STATE(3052),
    [sym_preproc_region] = STATE(4340),
    [sym_preproc_endregion] = STATE(4340),
    [sym_preproc_line] = STATE(4340),
    [sym_preproc_pragma] = STATE(4340),
    [sym_preproc_nullable] = STATE(4340),
    [sym_preproc_error] = STATE(4340),
    [sym_preproc_define] = STATE(4340),
    [sym_preproc_undef] = STATE(4340),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [anon_sym_COLON] = ACTIONS(5315),
    [anon_sym_COMMA] = ACTIONS(5315),
    [anon_sym_RBRACK] = ACTIONS(5315),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_RBRACE] = ACTIONS(5315),
    [anon_sym_LT] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5317),
    [anon_sym_in] = ACTIONS(5315),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_BANG] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5317),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_PIPE] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5317),
    [anon_sym_GT_GT_GT] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5315),
    [anon_sym_BANG_EQ] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5315),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_EQ_GT] = ACTIONS(5315),
    [anon_sym_switch] = ACTIONS(5315),
    [anon_sym_DOT_DOT] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5315),
    [anon_sym_QMARK_QMARK] = ACTIONS(5315),
    [anon_sym_on] = ACTIONS(5315),
    [anon_sym_equals] = ACTIONS(5315),
    [anon_sym_by] = ACTIONS(5315),
    [anon_sym_as] = ACTIONS(5315),
    [anon_sym_is] = ACTIONS(5315),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(5315),
    [aux_sym_preproc_if_token3] = ACTIONS(5315),
    [aux_sym_preproc_else_token1] = ACTIONS(5315),
    [aux_sym_preproc_elif_token1] = ACTIONS(5315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4341] = {
    [sym_attribute_list] = STATE(4475),
    [sym_preproc_region] = STATE(4341),
    [sym_preproc_endregion] = STATE(4341),
    [sym_preproc_line] = STATE(4341),
    [sym_preproc_pragma] = STATE(4341),
    [sym_preproc_nullable] = STATE(4341),
    [sym_preproc_error] = STATE(4341),
    [sym_preproc_define] = STATE(4341),
    [sym_preproc_undef] = STATE(4341),
    [aux_sym_class_declaration_repeat1] = STATE(4341),
    [sym__identifier_token] = ACTIONS(5366),
    [anon_sym_extern] = ACTIONS(5366),
    [anon_sym_alias] = ACTIONS(5366),
    [anon_sym_global] = ACTIONS(5366),
    [anon_sym_unsafe] = ACTIONS(5366),
    [anon_sym_static] = ACTIONS(5366),
    [anon_sym_LBRACK] = ACTIONS(6080),
    [anon_sym_LPAREN] = ACTIONS(5371),
    [anon_sym_ref] = ACTIONS(5366),
    [anon_sym_delegate] = ACTIONS(5366),
    [anon_sym_abstract] = ACTIONS(5366),
    [anon_sym_async] = ACTIONS(5366),
    [anon_sym_const] = ACTIONS(5366),
    [anon_sym_file] = ACTIONS(5366),
    [anon_sym_fixed] = ACTIONS(5366),
    [anon_sym_internal] = ACTIONS(5366),
    [anon_sym_new] = ACTIONS(5366),
    [anon_sym_override] = ACTIONS(5366),
    [anon_sym_partial] = ACTIONS(5366),
    [anon_sym_private] = ACTIONS(5366),
    [anon_sym_protected] = ACTIONS(5366),
    [anon_sym_public] = ACTIONS(5366),
    [anon_sym_readonly] = ACTIONS(5366),
    [anon_sym_required] = ACTIONS(5366),
    [anon_sym_sealed] = ACTIONS(5366),
    [anon_sym_virtual] = ACTIONS(5366),
    [anon_sym_volatile] = ACTIONS(5366),
    [anon_sym_where] = ACTIONS(5366),
    [anon_sym_notnull] = ACTIONS(5366),
    [anon_sym_unmanaged] = ACTIONS(5366),
    [anon_sym_scoped] = ACTIONS(5366),
    [anon_sym_var] = ACTIONS(5366),
    [sym_predefined_type] = ACTIONS(5366),
    [anon_sym_yield] = ACTIONS(5366),
    [anon_sym_when] = ACTIONS(5366),
    [anon_sym_from] = ACTIONS(5366),
    [anon_sym_into] = ACTIONS(5366),
    [anon_sym_join] = ACTIONS(5366),
    [anon_sym_on] = ACTIONS(5366),
    [anon_sym_equals] = ACTIONS(5366),
    [anon_sym_let] = ACTIONS(5366),
    [anon_sym_orderby] = ACTIONS(5366),
    [anon_sym_ascending] = ACTIONS(5366),
    [anon_sym_descending] = ACTIONS(5366),
    [anon_sym_group] = ACTIONS(5366),
    [anon_sym_by] = ACTIONS(5366),
    [anon_sym_select] = ACTIONS(5366),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4342] = {
    [sym_preproc_region] = STATE(4342),
    [sym_preproc_endregion] = STATE(4342),
    [sym_preproc_line] = STATE(4342),
    [sym_preproc_pragma] = STATE(4342),
    [sym_preproc_nullable] = STATE(4342),
    [sym_preproc_error] = STATE(4342),
    [sym_preproc_define] = STATE(4342),
    [sym_preproc_undef] = STATE(4342),
    [anon_sym_EQ] = ACTIONS(6083),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6085),
    [anon_sym_DASH_EQ] = ACTIONS(6085),
    [anon_sym_STAR_EQ] = ACTIONS(6085),
    [anon_sym_SLASH_EQ] = ACTIONS(6085),
    [anon_sym_PERCENT_EQ] = ACTIONS(6085),
    [anon_sym_AMP_EQ] = ACTIONS(6085),
    [anon_sym_CARET_EQ] = ACTIONS(6085),
    [anon_sym_PIPE_EQ] = ACTIONS(6085),
    [anon_sym_LT_LT_EQ] = ACTIONS(6085),
    [anon_sym_GT_GT_EQ] = ACTIONS(6085),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6085),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4343] = {
    [sym_modifier] = STATE(4476),
    [sym_preproc_region] = STATE(4343),
    [sym_preproc_endregion] = STATE(4343),
    [sym_preproc_line] = STATE(4343),
    [sym_preproc_pragma] = STATE(4343),
    [sym_preproc_nullable] = STATE(4343),
    [sym_preproc_error] = STATE(4343),
    [sym_preproc_define] = STATE(4343),
    [sym_preproc_undef] = STATE(4343),
    [aux_sym_class_declaration_repeat2] = STATE(4343),
    [sym__identifier_token] = ACTIONS(5690),
    [anon_sym_extern] = ACTIONS(6087),
    [anon_sym_alias] = ACTIONS(5690),
    [anon_sym_global] = ACTIONS(5690),
    [anon_sym_unsafe] = ACTIONS(6087),
    [anon_sym_static] = ACTIONS(6087),
    [anon_sym_abstract] = ACTIONS(6087),
    [anon_sym_async] = ACTIONS(6087),
    [anon_sym_const] = ACTIONS(6087),
    [anon_sym_file] = ACTIONS(6087),
    [anon_sym_fixed] = ACTIONS(6087),
    [anon_sym_internal] = ACTIONS(6087),
    [anon_sym_new] = ACTIONS(6087),
    [anon_sym_override] = ACTIONS(6087),
    [anon_sym_partial] = ACTIONS(6087),
    [anon_sym_private] = ACTIONS(6087),
    [anon_sym_protected] = ACTIONS(6087),
    [anon_sym_public] = ACTIONS(6087),
    [anon_sym_readonly] = ACTIONS(6087),
    [anon_sym_required] = ACTIONS(6087),
    [anon_sym_sealed] = ACTIONS(6087),
    [anon_sym_virtual] = ACTIONS(6087),
    [anon_sym_volatile] = ACTIONS(6087),
    [anon_sym_where] = ACTIONS(5690),
    [anon_sym_notnull] = ACTIONS(5690),
    [anon_sym_unmanaged] = ACTIONS(5690),
    [anon_sym_get] = ACTIONS(5690),
    [anon_sym_set] = ACTIONS(5690),
    [anon_sym_add] = ACTIONS(5690),
    [anon_sym_remove] = ACTIONS(5690),
    [anon_sym_init] = ACTIONS(5690),
    [anon_sym_scoped] = ACTIONS(5690),
    [anon_sym_var] = ACTIONS(5690),
    [anon_sym_yield] = ACTIONS(5690),
    [anon_sym_when] = ACTIONS(5690),
    [anon_sym_from] = ACTIONS(5690),
    [anon_sym_into] = ACTIONS(5690),
    [anon_sym_join] = ACTIONS(5690),
    [anon_sym_on] = ACTIONS(5690),
    [anon_sym_equals] = ACTIONS(5690),
    [anon_sym_let] = ACTIONS(5690),
    [anon_sym_orderby] = ACTIONS(5690),
    [anon_sym_ascending] = ACTIONS(5690),
    [anon_sym_descending] = ACTIONS(5690),
    [anon_sym_group] = ACTIONS(5690),
    [anon_sym_by] = ACTIONS(5690),
    [anon_sym_select] = ACTIONS(5690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4344] = {
    [sym_preproc_region] = STATE(4344),
    [sym_preproc_endregion] = STATE(4344),
    [sym_preproc_line] = STATE(4344),
    [sym_preproc_pragma] = STATE(4344),
    [sym_preproc_nullable] = STATE(4344),
    [sym_preproc_error] = STATE(4344),
    [sym_preproc_define] = STATE(4344),
    [sym_preproc_undef] = STATE(4344),
    [anon_sym_SEMI] = ACTIONS(5305),
    [anon_sym_EQ] = ACTIONS(6090),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RBRACE] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6092),
    [anon_sym_DASH_EQ] = ACTIONS(6092),
    [anon_sym_STAR_EQ] = ACTIONS(6092),
    [anon_sym_SLASH_EQ] = ACTIONS(6092),
    [anon_sym_PERCENT_EQ] = ACTIONS(6092),
    [anon_sym_AMP_EQ] = ACTIONS(6092),
    [anon_sym_CARET_EQ] = ACTIONS(6092),
    [anon_sym_PIPE_EQ] = ACTIONS(6092),
    [anon_sym_LT_LT_EQ] = ACTIONS(6092),
    [anon_sym_GT_GT_EQ] = ACTIONS(6092),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6092),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6092),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4345] = {
    [sym_preproc_region] = STATE(4345),
    [sym_preproc_endregion] = STATE(4345),
    [sym_preproc_line] = STATE(4345),
    [sym_preproc_pragma] = STATE(4345),
    [sym_preproc_nullable] = STATE(4345),
    [sym_preproc_error] = STATE(4345),
    [sym_preproc_define] = STATE(4345),
    [sym_preproc_undef] = STATE(4345),
    [sym__identifier_token] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym_alias] = ACTIONS(3201),
    [anon_sym_global] = ACTIONS(3201),
    [anon_sym_unsafe] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_abstract] = ACTIONS(3201),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_file] = ACTIONS(3201),
    [anon_sym_fixed] = ACTIONS(3201),
    [anon_sym_internal] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_override] = ACTIONS(3201),
    [anon_sym_partial] = ACTIONS(3201),
    [anon_sym_private] = ACTIONS(3201),
    [anon_sym_protected] = ACTIONS(3201),
    [anon_sym_public] = ACTIONS(3201),
    [anon_sym_readonly] = ACTIONS(3201),
    [anon_sym_required] = ACTIONS(3201),
    [anon_sym_sealed] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_where] = ACTIONS(3201),
    [anon_sym_notnull] = ACTIONS(3201),
    [anon_sym_unmanaged] = ACTIONS(3201),
    [anon_sym_get] = ACTIONS(3201),
    [anon_sym_set] = ACTIONS(3201),
    [anon_sym_add] = ACTIONS(3201),
    [anon_sym_remove] = ACTIONS(3201),
    [anon_sym_init] = ACTIONS(3201),
    [anon_sym_scoped] = ACTIONS(3201),
    [anon_sym_var] = ACTIONS(3201),
    [anon_sym_yield] = ACTIONS(3201),
    [anon_sym_when] = ACTIONS(3201),
    [anon_sym_from] = ACTIONS(3201),
    [anon_sym_into] = ACTIONS(3201),
    [anon_sym_join] = ACTIONS(3201),
    [anon_sym_on] = ACTIONS(3201),
    [anon_sym_equals] = ACTIONS(3201),
    [anon_sym_let] = ACTIONS(3201),
    [anon_sym_orderby] = ACTIONS(3201),
    [anon_sym_ascending] = ACTIONS(3201),
    [anon_sym_descending] = ACTIONS(3201),
    [anon_sym_group] = ACTIONS(3201),
    [anon_sym_by] = ACTIONS(3201),
    [anon_sym_select] = ACTIONS(3201),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4346] = {
    [sym_preproc_region] = STATE(4346),
    [sym_preproc_endregion] = STATE(4346),
    [sym_preproc_line] = STATE(4346),
    [sym_preproc_pragma] = STATE(4346),
    [sym_preproc_nullable] = STATE(4346),
    [sym_preproc_error] = STATE(4346),
    [sym_preproc_define] = STATE(4346),
    [sym_preproc_undef] = STATE(4346),
    [sym__identifier_token] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym_alias] = ACTIONS(3205),
    [anon_sym_global] = ACTIONS(3205),
    [anon_sym_unsafe] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_abstract] = ACTIONS(3205),
    [anon_sym_async] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_file] = ACTIONS(3205),
    [anon_sym_fixed] = ACTIONS(3205),
    [anon_sym_internal] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_override] = ACTIONS(3205),
    [anon_sym_partial] = ACTIONS(3205),
    [anon_sym_private] = ACTIONS(3205),
    [anon_sym_protected] = ACTIONS(3205),
    [anon_sym_public] = ACTIONS(3205),
    [anon_sym_readonly] = ACTIONS(3205),
    [anon_sym_required] = ACTIONS(3205),
    [anon_sym_sealed] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_where] = ACTIONS(3205),
    [anon_sym_notnull] = ACTIONS(3205),
    [anon_sym_unmanaged] = ACTIONS(3205),
    [anon_sym_get] = ACTIONS(3205),
    [anon_sym_set] = ACTIONS(3205),
    [anon_sym_add] = ACTIONS(3205),
    [anon_sym_remove] = ACTIONS(3205),
    [anon_sym_init] = ACTIONS(3205),
    [anon_sym_scoped] = ACTIONS(3205),
    [anon_sym_var] = ACTIONS(3205),
    [anon_sym_yield] = ACTIONS(3205),
    [anon_sym_when] = ACTIONS(3205),
    [anon_sym_from] = ACTIONS(3205),
    [anon_sym_into] = ACTIONS(3205),
    [anon_sym_join] = ACTIONS(3205),
    [anon_sym_on] = ACTIONS(3205),
    [anon_sym_equals] = ACTIONS(3205),
    [anon_sym_let] = ACTIONS(3205),
    [anon_sym_orderby] = ACTIONS(3205),
    [anon_sym_ascending] = ACTIONS(3205),
    [anon_sym_descending] = ACTIONS(3205),
    [anon_sym_group] = ACTIONS(3205),
    [anon_sym_by] = ACTIONS(3205),
    [anon_sym_select] = ACTIONS(3205),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4347] = {
    [sym_preproc_region] = STATE(4347),
    [sym_preproc_endregion] = STATE(4347),
    [sym_preproc_line] = STATE(4347),
    [sym_preproc_pragma] = STATE(4347),
    [sym_preproc_nullable] = STATE(4347),
    [sym_preproc_error] = STATE(4347),
    [sym_preproc_define] = STATE(4347),
    [sym_preproc_undef] = STATE(4347),
    [sym__identifier_token] = ACTIONS(6094),
    [anon_sym_extern] = ACTIONS(6094),
    [anon_sym_alias] = ACTIONS(6094),
    [anon_sym_global] = ACTIONS(6094),
    [anon_sym_unsafe] = ACTIONS(6094),
    [anon_sym_static] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(6096),
    [anon_sym_RBRACE] = ACTIONS(6096),
    [anon_sym_abstract] = ACTIONS(6094),
    [anon_sym_async] = ACTIONS(6094),
    [anon_sym_const] = ACTIONS(6094),
    [anon_sym_file] = ACTIONS(6094),
    [anon_sym_fixed] = ACTIONS(6094),
    [anon_sym_internal] = ACTIONS(6094),
    [anon_sym_new] = ACTIONS(6094),
    [anon_sym_override] = ACTIONS(6094),
    [anon_sym_partial] = ACTIONS(6094),
    [anon_sym_private] = ACTIONS(6094),
    [anon_sym_protected] = ACTIONS(6094),
    [anon_sym_public] = ACTIONS(6094),
    [anon_sym_readonly] = ACTIONS(6094),
    [anon_sym_required] = ACTIONS(6094),
    [anon_sym_sealed] = ACTIONS(6094),
    [anon_sym_virtual] = ACTIONS(6094),
    [anon_sym_volatile] = ACTIONS(6094),
    [anon_sym_where] = ACTIONS(6094),
    [anon_sym_notnull] = ACTIONS(6094),
    [anon_sym_unmanaged] = ACTIONS(6094),
    [anon_sym_get] = ACTIONS(6094),
    [anon_sym_set] = ACTIONS(6094),
    [anon_sym_add] = ACTIONS(6094),
    [anon_sym_remove] = ACTIONS(6094),
    [anon_sym_init] = ACTIONS(6094),
    [anon_sym_scoped] = ACTIONS(6094),
    [anon_sym_var] = ACTIONS(6094),
    [anon_sym_yield] = ACTIONS(6094),
    [anon_sym_when] = ACTIONS(6094),
    [anon_sym_from] = ACTIONS(6094),
    [anon_sym_into] = ACTIONS(6094),
    [anon_sym_join] = ACTIONS(6094),
    [anon_sym_on] = ACTIONS(6094),
    [anon_sym_equals] = ACTIONS(6094),
    [anon_sym_let] = ACTIONS(6094),
    [anon_sym_orderby] = ACTIONS(6094),
    [anon_sym_ascending] = ACTIONS(6094),
    [anon_sym_descending] = ACTIONS(6094),
    [anon_sym_group] = ACTIONS(6094),
    [anon_sym_by] = ACTIONS(6094),
    [anon_sym_select] = ACTIONS(6094),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4348] = {
    [sym_preproc_region] = STATE(4348),
    [sym_preproc_endregion] = STATE(4348),
    [sym_preproc_line] = STATE(4348),
    [sym_preproc_pragma] = STATE(4348),
    [sym_preproc_nullable] = STATE(4348),
    [sym_preproc_error] = STATE(4348),
    [sym_preproc_define] = STATE(4348),
    [sym_preproc_undef] = STATE(4348),
    [sym__identifier_token] = ACTIONS(6098),
    [anon_sym_extern] = ACTIONS(6098),
    [anon_sym_alias] = ACTIONS(6098),
    [anon_sym_global] = ACTIONS(6098),
    [anon_sym_unsafe] = ACTIONS(6098),
    [anon_sym_static] = ACTIONS(6098),
    [anon_sym_LBRACK] = ACTIONS(6100),
    [anon_sym_RBRACE] = ACTIONS(6100),
    [anon_sym_abstract] = ACTIONS(6098),
    [anon_sym_async] = ACTIONS(6098),
    [anon_sym_const] = ACTIONS(6098),
    [anon_sym_file] = ACTIONS(6098),
    [anon_sym_fixed] = ACTIONS(6098),
    [anon_sym_internal] = ACTIONS(6098),
    [anon_sym_new] = ACTIONS(6098),
    [anon_sym_override] = ACTIONS(6098),
    [anon_sym_partial] = ACTIONS(6098),
    [anon_sym_private] = ACTIONS(6098),
    [anon_sym_protected] = ACTIONS(6098),
    [anon_sym_public] = ACTIONS(6098),
    [anon_sym_readonly] = ACTIONS(6098),
    [anon_sym_required] = ACTIONS(6098),
    [anon_sym_sealed] = ACTIONS(6098),
    [anon_sym_virtual] = ACTIONS(6098),
    [anon_sym_volatile] = ACTIONS(6098),
    [anon_sym_where] = ACTIONS(6098),
    [anon_sym_notnull] = ACTIONS(6098),
    [anon_sym_unmanaged] = ACTIONS(6098),
    [anon_sym_get] = ACTIONS(6098),
    [anon_sym_set] = ACTIONS(6098),
    [anon_sym_add] = ACTIONS(6098),
    [anon_sym_remove] = ACTIONS(6098),
    [anon_sym_init] = ACTIONS(6098),
    [anon_sym_scoped] = ACTIONS(6098),
    [anon_sym_var] = ACTIONS(6098),
    [anon_sym_yield] = ACTIONS(6098),
    [anon_sym_when] = ACTIONS(6098),
    [anon_sym_from] = ACTIONS(6098),
    [anon_sym_into] = ACTIONS(6098),
    [anon_sym_join] = ACTIONS(6098),
    [anon_sym_on] = ACTIONS(6098),
    [anon_sym_equals] = ACTIONS(6098),
    [anon_sym_let] = ACTIONS(6098),
    [anon_sym_orderby] = ACTIONS(6098),
    [anon_sym_ascending] = ACTIONS(6098),
    [anon_sym_descending] = ACTIONS(6098),
    [anon_sym_group] = ACTIONS(6098),
    [anon_sym_by] = ACTIONS(6098),
    [anon_sym_select] = ACTIONS(6098),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4349] = {
    [sym_preproc_region] = STATE(4349),
    [sym_preproc_endregion] = STATE(4349),
    [sym_preproc_line] = STATE(4349),
    [sym_preproc_pragma] = STATE(4349),
    [sym_preproc_nullable] = STATE(4349),
    [sym_preproc_error] = STATE(4349),
    [sym_preproc_define] = STATE(4349),
    [sym_preproc_undef] = STATE(4349),
    [anon_sym_EQ] = ACTIONS(6028),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(6102),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6030),
    [anon_sym_DASH_EQ] = ACTIONS(6030),
    [anon_sym_STAR_EQ] = ACTIONS(6030),
    [anon_sym_SLASH_EQ] = ACTIONS(6030),
    [anon_sym_PERCENT_EQ] = ACTIONS(6030),
    [anon_sym_AMP_EQ] = ACTIONS(6030),
    [anon_sym_CARET_EQ] = ACTIONS(6030),
    [anon_sym_PIPE_EQ] = ACTIONS(6030),
    [anon_sym_LT_LT_EQ] = ACTIONS(6030),
    [anon_sym_GT_GT_EQ] = ACTIONS(6030),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6030),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6030),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4350] = {
    [sym_preproc_region] = STATE(4350),
    [sym_preproc_endregion] = STATE(4350),
    [sym_preproc_line] = STATE(4350),
    [sym_preproc_pragma] = STATE(4350),
    [sym_preproc_nullable] = STATE(4350),
    [sym_preproc_error] = STATE(4350),
    [sym_preproc_define] = STATE(4350),
    [sym_preproc_undef] = STATE(4350),
    [anon_sym_EQ] = ACTIONS(6104),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_in] = ACTIONS(5305),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_and] = ACTIONS(5305),
    [anon_sym_or] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6106),
    [anon_sym_DASH_EQ] = ACTIONS(6106),
    [anon_sym_STAR_EQ] = ACTIONS(6106),
    [anon_sym_SLASH_EQ] = ACTIONS(6106),
    [anon_sym_PERCENT_EQ] = ACTIONS(6106),
    [anon_sym_AMP_EQ] = ACTIONS(6106),
    [anon_sym_CARET_EQ] = ACTIONS(6106),
    [anon_sym_PIPE_EQ] = ACTIONS(6106),
    [anon_sym_LT_LT_EQ] = ACTIONS(6106),
    [anon_sym_GT_GT_EQ] = ACTIONS(6106),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6106),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6106),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4351] = {
    [sym_preproc_region] = STATE(4351),
    [sym_preproc_endregion] = STATE(4351),
    [sym_preproc_line] = STATE(4351),
    [sym_preproc_pragma] = STATE(4351),
    [sym_preproc_nullable] = STATE(4351),
    [sym_preproc_error] = STATE(4351),
    [sym_preproc_define] = STATE(4351),
    [sym_preproc_undef] = STATE(4351),
    [sym__identifier_token] = ACTIONS(3043),
    [anon_sym_extern] = ACTIONS(3043),
    [anon_sym_alias] = ACTIONS(3043),
    [anon_sym_global] = ACTIONS(3043),
    [anon_sym_unsafe] = ACTIONS(3043),
    [anon_sym_static] = ACTIONS(3043),
    [anon_sym_LBRACK] = ACTIONS(3045),
    [anon_sym_RBRACE] = ACTIONS(3045),
    [anon_sym_abstract] = ACTIONS(3043),
    [anon_sym_async] = ACTIONS(3043),
    [anon_sym_const] = ACTIONS(3043),
    [anon_sym_file] = ACTIONS(3043),
    [anon_sym_fixed] = ACTIONS(3043),
    [anon_sym_internal] = ACTIONS(3043),
    [anon_sym_new] = ACTIONS(3043),
    [anon_sym_override] = ACTIONS(3043),
    [anon_sym_partial] = ACTIONS(3043),
    [anon_sym_private] = ACTIONS(3043),
    [anon_sym_protected] = ACTIONS(3043),
    [anon_sym_public] = ACTIONS(3043),
    [anon_sym_readonly] = ACTIONS(3043),
    [anon_sym_required] = ACTIONS(3043),
    [anon_sym_sealed] = ACTIONS(3043),
    [anon_sym_virtual] = ACTIONS(3043),
    [anon_sym_volatile] = ACTIONS(3043),
    [anon_sym_where] = ACTIONS(3043),
    [anon_sym_notnull] = ACTIONS(3043),
    [anon_sym_unmanaged] = ACTIONS(3043),
    [anon_sym_get] = ACTIONS(3043),
    [anon_sym_set] = ACTIONS(3043),
    [anon_sym_add] = ACTIONS(3043),
    [anon_sym_remove] = ACTIONS(3043),
    [anon_sym_init] = ACTIONS(3043),
    [anon_sym_scoped] = ACTIONS(3043),
    [anon_sym_var] = ACTIONS(3043),
    [anon_sym_yield] = ACTIONS(3043),
    [anon_sym_when] = ACTIONS(3043),
    [anon_sym_from] = ACTIONS(3043),
    [anon_sym_into] = ACTIONS(3043),
    [anon_sym_join] = ACTIONS(3043),
    [anon_sym_on] = ACTIONS(3043),
    [anon_sym_equals] = ACTIONS(3043),
    [anon_sym_let] = ACTIONS(3043),
    [anon_sym_orderby] = ACTIONS(3043),
    [anon_sym_ascending] = ACTIONS(3043),
    [anon_sym_descending] = ACTIONS(3043),
    [anon_sym_group] = ACTIONS(3043),
    [anon_sym_by] = ACTIONS(3043),
    [anon_sym_select] = ACTIONS(3043),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4352] = {
    [sym__name] = STATE(6290),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(2748),
    [sym_ref_type] = STATE(2884),
    [sym__scoped_base_type] = STATE(2886),
    [sym_identifier] = STATE(5280),
    [sym__reserved_identifier] = STATE(2744),
    [sym_preproc_region] = STATE(4352),
    [sym_preproc_endregion] = STATE(4352),
    [sym_preproc_line] = STATE(4352),
    [sym_preproc_pragma] = STATE(4352),
    [sym_preproc_nullable] = STATE(4352),
    [sym_preproc_error] = STATE(4352),
    [sym_preproc_define] = STATE(4352),
    [sym_preproc_undef] = STATE(4352),
    [sym__identifier_token] = ACTIONS(4070),
    [anon_sym_alias] = ACTIONS(4073),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_LBRACK] = ACTIONS(3995),
    [anon_sym_COMMA] = ACTIONS(3995),
    [anon_sym_RBRACK] = ACTIONS(3995),
    [anon_sym_LPAREN] = ACTIONS(3995),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [anon_sym_ref] = ACTIONS(4076),
    [anon_sym_LBRACE] = ACTIONS(3995),
    [anon_sym_RBRACE] = ACTIONS(3995),
    [anon_sym_file] = ACTIONS(4073),
    [anon_sym_LT] = ACTIONS(3995),
    [anon_sym_where] = ACTIONS(4073),
    [anon_sym_QMARK] = ACTIONS(3995),
    [anon_sym_notnull] = ACTIONS(4073),
    [anon_sym_unmanaged] = ACTIONS(4073),
    [anon_sym_STAR] = ACTIONS(3995),
    [anon_sym_DOT] = ACTIONS(3995),
    [anon_sym_scoped] = ACTIONS(4073),
    [anon_sym_EQ_GT] = ACTIONS(3995),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_var] = ACTIONS(4073),
    [anon_sym_yield] = ACTIONS(4073),
    [anon_sym_when] = ACTIONS(4073),
    [sym_discard] = ACTIONS(3997),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_from] = ACTIONS(4073),
    [anon_sym_into] = ACTIONS(4073),
    [anon_sym_join] = ACTIONS(4073),
    [anon_sym_on] = ACTIONS(4073),
    [anon_sym_equals] = ACTIONS(4073),
    [anon_sym_let] = ACTIONS(4073),
    [anon_sym_orderby] = ACTIONS(4073),
    [anon_sym_ascending] = ACTIONS(4073),
    [anon_sym_descending] = ACTIONS(4073),
    [anon_sym_group] = ACTIONS(4073),
    [anon_sym_by] = ACTIONS(4073),
    [anon_sym_select] = ACTIONS(4073),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4353] = {
    [sym_preproc_region] = STATE(4353),
    [sym_preproc_endregion] = STATE(4353),
    [sym_preproc_line] = STATE(4353),
    [sym_preproc_pragma] = STATE(4353),
    [sym_preproc_nullable] = STATE(4353),
    [sym_preproc_error] = STATE(4353),
    [sym_preproc_define] = STATE(4353),
    [sym_preproc_undef] = STATE(4353),
    [sym__identifier_token] = ACTIONS(2993),
    [anon_sym_extern] = ACTIONS(2993),
    [anon_sym_alias] = ACTIONS(2993),
    [anon_sym_global] = ACTIONS(2993),
    [anon_sym_unsafe] = ACTIONS(2993),
    [anon_sym_static] = ACTIONS(2993),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_RBRACE] = ACTIONS(2995),
    [anon_sym_abstract] = ACTIONS(2993),
    [anon_sym_async] = ACTIONS(2993),
    [anon_sym_const] = ACTIONS(2993),
    [anon_sym_file] = ACTIONS(2993),
    [anon_sym_fixed] = ACTIONS(2993),
    [anon_sym_internal] = ACTIONS(2993),
    [anon_sym_new] = ACTIONS(2993),
    [anon_sym_override] = ACTIONS(2993),
    [anon_sym_partial] = ACTIONS(2993),
    [anon_sym_private] = ACTIONS(2993),
    [anon_sym_protected] = ACTIONS(2993),
    [anon_sym_public] = ACTIONS(2993),
    [anon_sym_readonly] = ACTIONS(2993),
    [anon_sym_required] = ACTIONS(2993),
    [anon_sym_sealed] = ACTIONS(2993),
    [anon_sym_virtual] = ACTIONS(2993),
    [anon_sym_volatile] = ACTIONS(2993),
    [anon_sym_where] = ACTIONS(2993),
    [anon_sym_notnull] = ACTIONS(2993),
    [anon_sym_unmanaged] = ACTIONS(2993),
    [anon_sym_get] = ACTIONS(2993),
    [anon_sym_set] = ACTIONS(2993),
    [anon_sym_add] = ACTIONS(2993),
    [anon_sym_remove] = ACTIONS(2993),
    [anon_sym_init] = ACTIONS(2993),
    [anon_sym_scoped] = ACTIONS(2993),
    [anon_sym_var] = ACTIONS(2993),
    [anon_sym_yield] = ACTIONS(2993),
    [anon_sym_when] = ACTIONS(2993),
    [anon_sym_from] = ACTIONS(2993),
    [anon_sym_into] = ACTIONS(2993),
    [anon_sym_join] = ACTIONS(2993),
    [anon_sym_on] = ACTIONS(2993),
    [anon_sym_equals] = ACTIONS(2993),
    [anon_sym_let] = ACTIONS(2993),
    [anon_sym_orderby] = ACTIONS(2993),
    [anon_sym_ascending] = ACTIONS(2993),
    [anon_sym_descending] = ACTIONS(2993),
    [anon_sym_group] = ACTIONS(2993),
    [anon_sym_by] = ACTIONS(2993),
    [anon_sym_select] = ACTIONS(2993),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4354] = {
    [sym_preproc_region] = STATE(4354),
    [sym_preproc_endregion] = STATE(4354),
    [sym_preproc_line] = STATE(4354),
    [sym_preproc_pragma] = STATE(4354),
    [sym_preproc_nullable] = STATE(4354),
    [sym_preproc_error] = STATE(4354),
    [sym_preproc_define] = STATE(4354),
    [sym_preproc_undef] = STATE(4354),
    [sym__identifier_token] = ACTIONS(6108),
    [anon_sym_extern] = ACTIONS(6108),
    [anon_sym_alias] = ACTIONS(6108),
    [anon_sym_global] = ACTIONS(6108),
    [anon_sym_unsafe] = ACTIONS(6108),
    [anon_sym_static] = ACTIONS(6108),
    [anon_sym_LBRACK] = ACTIONS(6110),
    [anon_sym_RBRACE] = ACTIONS(6110),
    [anon_sym_abstract] = ACTIONS(6108),
    [anon_sym_async] = ACTIONS(6108),
    [anon_sym_const] = ACTIONS(6108),
    [anon_sym_file] = ACTIONS(6108),
    [anon_sym_fixed] = ACTIONS(6108),
    [anon_sym_internal] = ACTIONS(6108),
    [anon_sym_new] = ACTIONS(6108),
    [anon_sym_override] = ACTIONS(6108),
    [anon_sym_partial] = ACTIONS(6108),
    [anon_sym_private] = ACTIONS(6108),
    [anon_sym_protected] = ACTIONS(6108),
    [anon_sym_public] = ACTIONS(6108),
    [anon_sym_readonly] = ACTIONS(6108),
    [anon_sym_required] = ACTIONS(6108),
    [anon_sym_sealed] = ACTIONS(6108),
    [anon_sym_virtual] = ACTIONS(6108),
    [anon_sym_volatile] = ACTIONS(6108),
    [anon_sym_where] = ACTIONS(6108),
    [anon_sym_notnull] = ACTIONS(6108),
    [anon_sym_unmanaged] = ACTIONS(6108),
    [anon_sym_get] = ACTIONS(6108),
    [anon_sym_set] = ACTIONS(6108),
    [anon_sym_add] = ACTIONS(6108),
    [anon_sym_remove] = ACTIONS(6108),
    [anon_sym_init] = ACTIONS(6108),
    [anon_sym_scoped] = ACTIONS(6108),
    [anon_sym_var] = ACTIONS(6108),
    [anon_sym_yield] = ACTIONS(6108),
    [anon_sym_when] = ACTIONS(6108),
    [anon_sym_from] = ACTIONS(6108),
    [anon_sym_into] = ACTIONS(6108),
    [anon_sym_join] = ACTIONS(6108),
    [anon_sym_on] = ACTIONS(6108),
    [anon_sym_equals] = ACTIONS(6108),
    [anon_sym_let] = ACTIONS(6108),
    [anon_sym_orderby] = ACTIONS(6108),
    [anon_sym_ascending] = ACTIONS(6108),
    [anon_sym_descending] = ACTIONS(6108),
    [anon_sym_group] = ACTIONS(6108),
    [anon_sym_by] = ACTIONS(6108),
    [anon_sym_select] = ACTIONS(6108),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4355] = {
    [sym_argument_list] = STATE(4231),
    [sym_bracketed_argument_list] = STATE(3052),
    [sym_preproc_region] = STATE(4355),
    [sym_preproc_endregion] = STATE(4355),
    [sym_preproc_line] = STATE(4355),
    [sym_preproc_pragma] = STATE(4355),
    [sym_preproc_nullable] = STATE(4355),
    [sym_preproc_error] = STATE(4355),
    [sym_preproc_define] = STATE(4355),
    [sym_preproc_undef] = STATE(4355),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(6070),
    [anon_sym_COLON] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RBRACK] = ACTIONS(5311),
    [anon_sym_LPAREN] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_in] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_BANG] = ACTIONS(5812),
    [anon_sym_PLUS_PLUS] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_GT_GT_GT] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(4584),
    [anon_sym_EQ_GT] = ACTIONS(5311),
    [anon_sym_switch] = ACTIONS(5311),
    [anon_sym_DOT_DOT] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_QMARK_QMARK] = ACTIONS(5311),
    [anon_sym_on] = ACTIONS(5311),
    [anon_sym_equals] = ACTIONS(5311),
    [anon_sym_by] = ACTIONS(5311),
    [anon_sym_as] = ACTIONS(5311),
    [anon_sym_is] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(4586),
    [anon_sym_with] = ACTIONS(5311),
    [aux_sym_preproc_if_token3] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4356] = {
    [sym_parameter_list] = STATE(8925),
    [sym_block] = STATE(3769),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7341),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4356),
    [sym_preproc_endregion] = STATE(4356),
    [sym_preproc_line] = STATE(4356),
    [sym_preproc_pragma] = STATE(4356),
    [sym_preproc_nullable] = STATE(4356),
    [sym_preproc_error] = STATE(4356),
    [sym_preproc_define] = STATE(4356),
    [sym_preproc_undef] = STATE(4356),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_LBRACE] = ACTIONS(6112),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(6114),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4357] = {
    [sym_preproc_region] = STATE(4357),
    [sym_preproc_endregion] = STATE(4357),
    [sym_preproc_line] = STATE(4357),
    [sym_preproc_pragma] = STATE(4357),
    [sym_preproc_nullable] = STATE(4357),
    [sym_preproc_error] = STATE(4357),
    [sym_preproc_define] = STATE(4357),
    [sym_preproc_undef] = STATE(4357),
    [anon_sym_SEMI] = ACTIONS(4475),
    [anon_sym_LBRACK] = ACTIONS(4575),
    [anon_sym_COLON] = ACTIONS(4475),
    [anon_sym_COMMA] = ACTIONS(4475),
    [anon_sym_RBRACK] = ACTIONS(4475),
    [anon_sym_LPAREN] = ACTIONS(4475),
    [anon_sym_RPAREN] = ACTIONS(4475),
    [anon_sym_LBRACE] = ACTIONS(4475),
    [anon_sym_RBRACE] = ACTIONS(4475),
    [anon_sym_LT] = ACTIONS(4473),
    [anon_sym_GT] = ACTIONS(4473),
    [anon_sym_in] = ACTIONS(4473),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_BANG] = ACTIONS(4473),
    [anon_sym_PLUS_PLUS] = ACTIONS(4475),
    [anon_sym_DASH_DASH] = ACTIONS(4475),
    [anon_sym_PLUS] = ACTIONS(4473),
    [anon_sym_DASH] = ACTIONS(4473),
    [anon_sym_STAR] = ACTIONS(4578),
    [anon_sym_SLASH] = ACTIONS(4473),
    [anon_sym_PERCENT] = ACTIONS(4475),
    [anon_sym_CARET] = ACTIONS(4475),
    [anon_sym_PIPE] = ACTIONS(4473),
    [anon_sym_AMP] = ACTIONS(4473),
    [anon_sym_LT_LT] = ACTIONS(4475),
    [anon_sym_GT_GT] = ACTIONS(4473),
    [anon_sym_GT_GT_GT] = ACTIONS(4475),
    [anon_sym_EQ_EQ] = ACTIONS(4475),
    [anon_sym_BANG_EQ] = ACTIONS(4475),
    [anon_sym_GT_EQ] = ACTIONS(4475),
    [anon_sym_LT_EQ] = ACTIONS(4475),
    [anon_sym_DOT] = ACTIONS(6064),
    [anon_sym_EQ_GT] = ACTIONS(4475),
    [anon_sym_switch] = ACTIONS(4475),
    [anon_sym_DOT_DOT] = ACTIONS(4475),
    [anon_sym_AMP_AMP] = ACTIONS(4475),
    [anon_sym_PIPE_PIPE] = ACTIONS(4475),
    [anon_sym_QMARK_QMARK] = ACTIONS(4475),
    [anon_sym_into] = ACTIONS(4475),
    [anon_sym_on] = ACTIONS(4475),
    [anon_sym_equals] = ACTIONS(4475),
    [anon_sym_by] = ACTIONS(4475),
    [anon_sym_as] = ACTIONS(4475),
    [anon_sym_is] = ACTIONS(4475),
    [anon_sym_DASH_GT] = ACTIONS(4475),
    [anon_sym_with] = ACTIONS(4475),
    [aux_sym_preproc_if_token3] = ACTIONS(4475),
    [aux_sym_preproc_else_token1] = ACTIONS(4475),
    [aux_sym_preproc_elif_token1] = ACTIONS(4475),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4358] = {
    [sym_preproc_region] = STATE(4358),
    [sym_preproc_endregion] = STATE(4358),
    [sym_preproc_line] = STATE(4358),
    [sym_preproc_pragma] = STATE(4358),
    [sym_preproc_nullable] = STATE(4358),
    [sym_preproc_error] = STATE(4358),
    [sym_preproc_define] = STATE(4358),
    [sym_preproc_undef] = STATE(4358),
    [anon_sym_EQ] = ACTIONS(6116),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COLON] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6118),
    [anon_sym_DASH_EQ] = ACTIONS(6118),
    [anon_sym_STAR_EQ] = ACTIONS(6118),
    [anon_sym_SLASH_EQ] = ACTIONS(6118),
    [anon_sym_PERCENT_EQ] = ACTIONS(6118),
    [anon_sym_AMP_EQ] = ACTIONS(6118),
    [anon_sym_CARET_EQ] = ACTIONS(6118),
    [anon_sym_PIPE_EQ] = ACTIONS(6118),
    [anon_sym_LT_LT_EQ] = ACTIONS(6118),
    [anon_sym_GT_GT_EQ] = ACTIONS(6118),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6118),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6118),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
    [sym_interpolation_close_brace] = ACTIONS(5305),
  },
  [4359] = {
    [sym_parameter_list] = STATE(8925),
    [sym_block] = STATE(3769),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7328),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4359),
    [sym_preproc_endregion] = STATE(4359),
    [sym_preproc_line] = STATE(4359),
    [sym_preproc_pragma] = STATE(4359),
    [sym_preproc_nullable] = STATE(4359),
    [sym_preproc_error] = STATE(4359),
    [sym_preproc_define] = STATE(4359),
    [sym_preproc_undef] = STATE(4359),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(4357),
    [anon_sym_ref] = ACTIONS(4002),
    [anon_sym_LBRACE] = ACTIONS(6112),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(6114),
    [anon_sym_scoped] = ACTIONS(3089),
    [anon_sym_var] = ACTIONS(3091),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4360] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4360),
    [sym_preproc_endregion] = STATE(4360),
    [sym_preproc_line] = STATE(4360),
    [sym_preproc_pragma] = STATE(4360),
    [sym_preproc_nullable] = STATE(4360),
    [sym_preproc_error] = STATE(4360),
    [sym_preproc_define] = STATE(4360),
    [sym_preproc_undef] = STATE(4360),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(5672),
    [anon_sym_or] = ACTIONS(5674),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(5672),
    [anon_sym_into] = ACTIONS(5672),
    [anon_sym_join] = ACTIONS(5672),
    [anon_sym_let] = ACTIONS(5672),
    [anon_sym_orderby] = ACTIONS(5672),
    [anon_sym_ascending] = ACTIONS(5672),
    [anon_sym_descending] = ACTIONS(5672),
    [anon_sym_group] = ACTIONS(5672),
    [anon_sym_select] = ACTIONS(5672),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4361] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(5857),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(5330),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(4361),
    [sym_preproc_endregion] = STATE(4361),
    [sym_preproc_line] = STATE(4361),
    [sym_preproc_pragma] = STATE(4361),
    [sym_preproc_nullable] = STATE(4361),
    [sym_preproc_error] = STATE(4361),
    [sym_preproc_define] = STATE(4361),
    [sym_preproc_undef] = STATE(4361),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4530),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(6166),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4362] = {
    [sym_preproc_region] = STATE(4362),
    [sym_preproc_endregion] = STATE(4362),
    [sym_preproc_line] = STATE(4362),
    [sym_preproc_pragma] = STATE(4362),
    [sym_preproc_nullable] = STATE(4362),
    [sym_preproc_error] = STATE(4362),
    [sym_preproc_define] = STATE(4362),
    [sym_preproc_undef] = STATE(4362),
    [sym__identifier_token] = ACTIONS(5680),
    [anon_sym_extern] = ACTIONS(5680),
    [anon_sym_alias] = ACTIONS(5680),
    [anon_sym_global] = ACTIONS(5680),
    [anon_sym_unsafe] = ACTIONS(5680),
    [anon_sym_static] = ACTIONS(5680),
    [anon_sym_LBRACK] = ACTIONS(5682),
    [anon_sym_abstract] = ACTIONS(5680),
    [anon_sym_async] = ACTIONS(5680),
    [anon_sym_const] = ACTIONS(5680),
    [anon_sym_file] = ACTIONS(5680),
    [anon_sym_fixed] = ACTIONS(5680),
    [anon_sym_internal] = ACTIONS(5680),
    [anon_sym_new] = ACTIONS(5680),
    [anon_sym_override] = ACTIONS(5680),
    [anon_sym_partial] = ACTIONS(5680),
    [anon_sym_private] = ACTIONS(5680),
    [anon_sym_protected] = ACTIONS(5680),
    [anon_sym_public] = ACTIONS(5680),
    [anon_sym_readonly] = ACTIONS(5680),
    [anon_sym_required] = ACTIONS(5680),
    [anon_sym_sealed] = ACTIONS(5680),
    [anon_sym_virtual] = ACTIONS(5680),
    [anon_sym_volatile] = ACTIONS(5680),
    [anon_sym_where] = ACTIONS(5680),
    [anon_sym_notnull] = ACTIONS(5680),
    [anon_sym_unmanaged] = ACTIONS(5680),
    [anon_sym_get] = ACTIONS(5680),
    [anon_sym_set] = ACTIONS(5680),
    [anon_sym_add] = ACTIONS(5680),
    [anon_sym_remove] = ACTIONS(5680),
    [anon_sym_init] = ACTIONS(5680),
    [anon_sym_scoped] = ACTIONS(5680),
    [anon_sym_var] = ACTIONS(5680),
    [anon_sym_yield] = ACTIONS(5680),
    [anon_sym_when] = ACTIONS(5680),
    [anon_sym_from] = ACTIONS(5680),
    [anon_sym_into] = ACTIONS(5680),
    [anon_sym_join] = ACTIONS(5680),
    [anon_sym_on] = ACTIONS(5680),
    [anon_sym_equals] = ACTIONS(5680),
    [anon_sym_let] = ACTIONS(5680),
    [anon_sym_orderby] = ACTIONS(5680),
    [anon_sym_ascending] = ACTIONS(5680),
    [anon_sym_descending] = ACTIONS(5680),
    [anon_sym_group] = ACTIONS(5680),
    [anon_sym_by] = ACTIONS(5680),
    [anon_sym_select] = ACTIONS(5680),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4363] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8521),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4363),
    [sym_preproc_endregion] = STATE(4363),
    [sym_preproc_line] = STATE(4363),
    [sym_preproc_pragma] = STATE(4363),
    [sym_preproc_nullable] = STATE(4363),
    [sym_preproc_error] = STATE(4363),
    [sym_preproc_define] = STATE(4363),
    [sym_preproc_undef] = STATE(4363),
    [aux_sym_type_argument_list_repeat1] = STATE(8522),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6168),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4364] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8523),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4364),
    [sym_preproc_endregion] = STATE(4364),
    [sym_preproc_line] = STATE(4364),
    [sym_preproc_pragma] = STATE(4364),
    [sym_preproc_nullable] = STATE(4364),
    [sym_preproc_error] = STATE(4364),
    [sym_preproc_define] = STATE(4364),
    [sym_preproc_undef] = STATE(4364),
    [aux_sym_type_argument_list_repeat1] = STATE(8525),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6170),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4365] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4365),
    [sym_preproc_endregion] = STATE(4365),
    [sym_preproc_line] = STATE(4365),
    [sym_preproc_pragma] = STATE(4365),
    [sym_preproc_nullable] = STATE(4365),
    [sym_preproc_error] = STATE(4365),
    [sym_preproc_define] = STATE(4365),
    [sym_preproc_undef] = STATE(4365),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5315),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(5317),
    [anon_sym_GT] = ACTIONS(5317),
    [anon_sym_where] = ACTIONS(5315),
    [anon_sym_QMARK] = ACTIONS(5317),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(5317),
    [anon_sym_DASH] = ACTIONS(5317),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_SLASH] = ACTIONS(5317),
    [anon_sym_PERCENT] = ACTIONS(5315),
    [anon_sym_CARET] = ACTIONS(5315),
    [anon_sym_PIPE] = ACTIONS(5317),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_LT_LT] = ACTIONS(5315),
    [anon_sym_GT_GT] = ACTIONS(5317),
    [anon_sym_GT_GT_GT] = ACTIONS(5315),
    [anon_sym_EQ_EQ] = ACTIONS(5315),
    [anon_sym_BANG_EQ] = ACTIONS(5315),
    [anon_sym_GT_EQ] = ACTIONS(5315),
    [anon_sym_LT_EQ] = ACTIONS(5315),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(5315),
    [anon_sym_DOT_DOT] = ACTIONS(5315),
    [anon_sym_and] = ACTIONS(5315),
    [anon_sym_or] = ACTIONS(5317),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5315),
    [anon_sym_QMARK_QMARK] = ACTIONS(5315),
    [anon_sym_from] = ACTIONS(5315),
    [anon_sym_into] = ACTIONS(5315),
    [anon_sym_join] = ACTIONS(5315),
    [anon_sym_let] = ACTIONS(5315),
    [anon_sym_orderby] = ACTIONS(5315),
    [anon_sym_ascending] = ACTIONS(5315),
    [anon_sym_descending] = ACTIONS(5315),
    [anon_sym_group] = ACTIONS(5315),
    [anon_sym_select] = ACTIONS(5315),
    [anon_sym_as] = ACTIONS(5317),
    [anon_sym_is] = ACTIONS(5315),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(5315),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4366] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4366),
    [sym_preproc_endregion] = STATE(4366),
    [sym_preproc_line] = STATE(4366),
    [sym_preproc_pragma] = STATE(4366),
    [sym_preproc_nullable] = STATE(4366),
    [sym_preproc_error] = STATE(4366),
    [sym_preproc_define] = STATE(4366),
    [sym_preproc_undef] = STATE(4366),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6172),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6172),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6172),
    [anon_sym_or] = ACTIONS(6174),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6172),
    [anon_sym_into] = ACTIONS(6172),
    [anon_sym_join] = ACTIONS(6172),
    [anon_sym_let] = ACTIONS(6172),
    [anon_sym_orderby] = ACTIONS(6172),
    [anon_sym_ascending] = ACTIONS(6172),
    [anon_sym_descending] = ACTIONS(6172),
    [anon_sym_group] = ACTIONS(6172),
    [anon_sym_select] = ACTIONS(6172),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4367] = {
    [sym_tuple_pattern] = STATE(8669),
    [sym__name] = STATE(5289),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(7179),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(5457),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(5288),
    [sym_tuple_element] = STATE(8867),
    [sym_identifier] = STATE(6758),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4367),
    [sym_preproc_endregion] = STATE(4367),
    [sym_preproc_line] = STATE(4367),
    [sym_preproc_pragma] = STATE(4367),
    [sym_preproc_nullable] = STATE(4367),
    [sym_preproc_error] = STATE(4367),
    [sym_preproc_define] = STATE(4367),
    [sym_preproc_undef] = STATE(4367),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_LPAREN] = ACTIONS(5295),
    [anon_sym_ref] = ACTIONS(4076),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(6176),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(3093),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [sym_discard] = ACTIONS(5301),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4368] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4368),
    [sym_preproc_endregion] = STATE(4368),
    [sym_preproc_line] = STATE(4368),
    [sym_preproc_pragma] = STATE(4368),
    [sym_preproc_nullable] = STATE(4368),
    [sym_preproc_error] = STATE(4368),
    [sym_preproc_define] = STATE(4368),
    [sym_preproc_undef] = STATE(4368),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1227),
    [anon_sym_where] = ACTIONS(1225),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1227),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1227),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(1225),
    [anon_sym_or] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_QMARK_QMARK] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1225),
    [anon_sym_into] = ACTIONS(1225),
    [anon_sym_join] = ACTIONS(1225),
    [anon_sym_let] = ACTIONS(1225),
    [anon_sym_orderby] = ACTIONS(1225),
    [anon_sym_ascending] = ACTIONS(1225),
    [anon_sym_descending] = ACTIONS(1225),
    [anon_sym_group] = ACTIONS(1225),
    [anon_sym_select] = ACTIONS(1225),
    [anon_sym_as] = ACTIONS(1227),
    [anon_sym_is] = ACTIONS(1225),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(1225),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4369] = {
    [sym_initializer_expression] = STATE(4674),
    [sym_preproc_region] = STATE(4369),
    [sym_preproc_endregion] = STATE(4369),
    [sym_preproc_line] = STATE(4369),
    [sym_preproc_pragma] = STATE(4369),
    [sym_preproc_nullable] = STATE(4369),
    [sym_preproc_error] = STATE(4369),
    [sym_preproc_define] = STATE(4369),
    [sym_preproc_undef] = STATE(4369),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_LPAREN] = ACTIONS(5323),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_where] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5325),
    [anon_sym_BANG] = ACTIONS(5325),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5323),
    [anon_sym_CARET] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5323),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_GT_GT_GT] = ACTIONS(5323),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_switch] = ACTIONS(5323),
    [anon_sym_DOT_DOT] = ACTIONS(5323),
    [anon_sym_and] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_QMARK_QMARK] = ACTIONS(5323),
    [anon_sym_from] = ACTIONS(5323),
    [anon_sym_into] = ACTIONS(5323),
    [anon_sym_join] = ACTIONS(5323),
    [anon_sym_let] = ACTIONS(5323),
    [anon_sym_orderby] = ACTIONS(5323),
    [anon_sym_ascending] = ACTIONS(5323),
    [anon_sym_descending] = ACTIONS(5323),
    [anon_sym_group] = ACTIONS(5323),
    [anon_sym_select] = ACTIONS(5323),
    [anon_sym_as] = ACTIONS(5325),
    [anon_sym_is] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_with] = ACTIONS(5323),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4370] = {
    [sym_argument_list] = STATE(3568),
    [sym__name] = STATE(4357),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_type] = STATE(3544),
    [sym_implicit_type] = STATE(3596),
    [sym_array_type] = STATE(4161),
    [sym__array_base_type] = STATE(8737),
    [sym_nullable_type] = STATE(3600),
    [sym_pointer_type] = STATE(3600),
    [sym__pointer_base_type] = STATE(9236),
    [sym_function_pointer_type] = STATE(3600),
    [sym_ref_type] = STATE(3596),
    [sym_scoped_type] = STATE(3596),
    [sym_tuple_type] = STATE(3602),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(4370),
    [sym_preproc_endregion] = STATE(4370),
    [sym_preproc_line] = STATE(4370),
    [sym_preproc_pragma] = STATE(4370),
    [sym_preproc_nullable] = STATE(4370),
    [sym_preproc_error] = STATE(4370),
    [sym_preproc_define] = STATE(4370),
    [sym_preproc_undef] = STATE(4370),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [anon_sym_LPAREN] = ACTIONS(6180),
    [anon_sym_ref] = ACTIONS(4268),
    [anon_sym_LBRACE] = ACTIONS(6182),
    [anon_sym_delegate] = ACTIONS(6184),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_scoped] = ACTIONS(6186),
    [anon_sym_var] = ACTIONS(6188),
    [sym_predefined_type] = ACTIONS(6190),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4266),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4371] = {
    [sym_modifier] = STATE(4676),
    [sym_preproc_region] = STATE(4371),
    [sym_preproc_endregion] = STATE(4371),
    [sym_preproc_line] = STATE(4371),
    [sym_preproc_pragma] = STATE(4371),
    [sym_preproc_nullable] = STATE(4371),
    [sym_preproc_error] = STATE(4371),
    [sym_preproc_define] = STATE(4371),
    [sym_preproc_undef] = STATE(4371),
    [aux_sym_class_declaration_repeat2] = STATE(4371),
    [sym__identifier_token] = ACTIONS(5690),
    [anon_sym_extern] = ACTIONS(6192),
    [anon_sym_alias] = ACTIONS(5690),
    [anon_sym_global] = ACTIONS(5690),
    [anon_sym_unsafe] = ACTIONS(6192),
    [anon_sym_static] = ACTIONS(6192),
    [anon_sym_LPAREN] = ACTIONS(5695),
    [anon_sym_ref] = ACTIONS(5690),
    [anon_sym_delegate] = ACTIONS(5690),
    [anon_sym_abstract] = ACTIONS(6192),
    [anon_sym_async] = ACTIONS(6192),
    [anon_sym_const] = ACTIONS(6192),
    [anon_sym_file] = ACTIONS(6192),
    [anon_sym_fixed] = ACTIONS(6192),
    [anon_sym_internal] = ACTIONS(6192),
    [anon_sym_new] = ACTIONS(6192),
    [anon_sym_override] = ACTIONS(6192),
    [anon_sym_partial] = ACTIONS(6192),
    [anon_sym_private] = ACTIONS(6192),
    [anon_sym_protected] = ACTIONS(6192),
    [anon_sym_public] = ACTIONS(6192),
    [anon_sym_readonly] = ACTIONS(6192),
    [anon_sym_required] = ACTIONS(6192),
    [anon_sym_sealed] = ACTIONS(6192),
    [anon_sym_virtual] = ACTIONS(6192),
    [anon_sym_volatile] = ACTIONS(6192),
    [anon_sym_where] = ACTIONS(5690),
    [anon_sym_notnull] = ACTIONS(5690),
    [anon_sym_unmanaged] = ACTIONS(5690),
    [anon_sym_scoped] = ACTIONS(5690),
    [anon_sym_var] = ACTIONS(5690),
    [sym_predefined_type] = ACTIONS(5690),
    [anon_sym_yield] = ACTIONS(5690),
    [anon_sym_when] = ACTIONS(5690),
    [anon_sym_from] = ACTIONS(5690),
    [anon_sym_into] = ACTIONS(5690),
    [anon_sym_join] = ACTIONS(5690),
    [anon_sym_on] = ACTIONS(5690),
    [anon_sym_equals] = ACTIONS(5690),
    [anon_sym_let] = ACTIONS(5690),
    [anon_sym_orderby] = ACTIONS(5690),
    [anon_sym_ascending] = ACTIONS(5690),
    [anon_sym_descending] = ACTIONS(5690),
    [anon_sym_group] = ACTIONS(5690),
    [anon_sym_by] = ACTIONS(5690),
    [anon_sym_select] = ACTIONS(5690),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4372] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4372),
    [sym_preproc_endregion] = STATE(4372),
    [sym_preproc_line] = STATE(4372),
    [sym_preproc_pragma] = STATE(4372),
    [sym_preproc_nullable] = STATE(4372),
    [sym_preproc_error] = STATE(4372),
    [sym_preproc_define] = STATE(4372),
    [sym_preproc_undef] = STATE(4372),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5269),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(5273),
    [anon_sym_GT] = ACTIONS(5273),
    [anon_sym_where] = ACTIONS(5269),
    [anon_sym_QMARK] = ACTIONS(5273),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(5273),
    [anon_sym_DASH] = ACTIONS(5273),
    [anon_sym_STAR] = ACTIONS(5269),
    [anon_sym_SLASH] = ACTIONS(5273),
    [anon_sym_PERCENT] = ACTIONS(5269),
    [anon_sym_CARET] = ACTIONS(5269),
    [anon_sym_PIPE] = ACTIONS(5273),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_LT_LT] = ACTIONS(5269),
    [anon_sym_GT_GT] = ACTIONS(5273),
    [anon_sym_GT_GT_GT] = ACTIONS(5269),
    [anon_sym_EQ_EQ] = ACTIONS(5269),
    [anon_sym_BANG_EQ] = ACTIONS(5269),
    [anon_sym_GT_EQ] = ACTIONS(5269),
    [anon_sym_LT_EQ] = ACTIONS(5269),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(5269),
    [anon_sym_DOT_DOT] = ACTIONS(5269),
    [anon_sym_and] = ACTIONS(5269),
    [anon_sym_or] = ACTIONS(5273),
    [anon_sym_AMP_AMP] = ACTIONS(5269),
    [anon_sym_PIPE_PIPE] = ACTIONS(5269),
    [anon_sym_QMARK_QMARK] = ACTIONS(5269),
    [anon_sym_from] = ACTIONS(5269),
    [anon_sym_into] = ACTIONS(5269),
    [anon_sym_join] = ACTIONS(5269),
    [anon_sym_let] = ACTIONS(5269),
    [anon_sym_orderby] = ACTIONS(5269),
    [anon_sym_ascending] = ACTIONS(5269),
    [anon_sym_descending] = ACTIONS(5269),
    [anon_sym_group] = ACTIONS(5269),
    [anon_sym_select] = ACTIONS(5269),
    [anon_sym_as] = ACTIONS(5273),
    [anon_sym_is] = ACTIONS(5269),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(5269),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4373] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4373),
    [sym_preproc_endregion] = STATE(4373),
    [sym_preproc_line] = STATE(4373),
    [sym_preproc_pragma] = STATE(4373),
    [sym_preproc_nullable] = STATE(4373),
    [sym_preproc_error] = STATE(4373),
    [sym_preproc_define] = STATE(4373),
    [sym_preproc_undef] = STATE(4373),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4374] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8594),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4374),
    [sym_preproc_endregion] = STATE(4374),
    [sym_preproc_line] = STATE(4374),
    [sym_preproc_pragma] = STATE(4374),
    [sym_preproc_nullable] = STATE(4374),
    [sym_preproc_error] = STATE(4374),
    [sym_preproc_define] = STATE(4374),
    [sym_preproc_undef] = STATE(4374),
    [aux_sym_type_argument_list_repeat1] = STATE(8595),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6199),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4375] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4375),
    [sym_preproc_endregion] = STATE(4375),
    [sym_preproc_line] = STATE(4375),
    [sym_preproc_pragma] = STATE(4375),
    [sym_preproc_nullable] = STATE(4375),
    [sym_preproc_error] = STATE(4375),
    [sym_preproc_define] = STATE(4375),
    [sym_preproc_undef] = STATE(4375),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4376] = {
    [sym_initializer_expression] = STATE(4589),
    [sym_preproc_region] = STATE(4376),
    [sym_preproc_endregion] = STATE(4376),
    [sym_preproc_line] = STATE(4376),
    [sym_preproc_pragma] = STATE(4376),
    [sym_preproc_nullable] = STATE(4376),
    [sym_preproc_error] = STATE(4376),
    [sym_preproc_define] = STATE(4376),
    [sym_preproc_undef] = STATE(4376),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_COMMA] = ACTIONS(5286),
    [anon_sym_LPAREN] = ACTIONS(5286),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(5291),
    [anon_sym_GT] = ACTIONS(5291),
    [anon_sym_where] = ACTIONS(5286),
    [anon_sym_QMARK] = ACTIONS(5291),
    [anon_sym_BANG] = ACTIONS(5291),
    [anon_sym_PLUS_PLUS] = ACTIONS(5286),
    [anon_sym_DASH_DASH] = ACTIONS(5286),
    [anon_sym_PLUS] = ACTIONS(5291),
    [anon_sym_DASH] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_SLASH] = ACTIONS(5291),
    [anon_sym_PERCENT] = ACTIONS(5286),
    [anon_sym_CARET] = ACTIONS(5286),
    [anon_sym_PIPE] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5291),
    [anon_sym_LT_LT] = ACTIONS(5286),
    [anon_sym_GT_GT] = ACTIONS(5291),
    [anon_sym_GT_GT_GT] = ACTIONS(5286),
    [anon_sym_EQ_EQ] = ACTIONS(5286),
    [anon_sym_BANG_EQ] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5286),
    [anon_sym_LT_EQ] = ACTIONS(5286),
    [anon_sym_DOT] = ACTIONS(5291),
    [anon_sym_switch] = ACTIONS(5286),
    [anon_sym_DOT_DOT] = ACTIONS(5286),
    [anon_sym_and] = ACTIONS(5286),
    [anon_sym_or] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_PIPE_PIPE] = ACTIONS(5286),
    [anon_sym_QMARK_QMARK] = ACTIONS(5286),
    [anon_sym_from] = ACTIONS(5286),
    [anon_sym_into] = ACTIONS(5286),
    [anon_sym_join] = ACTIONS(5286),
    [anon_sym_let] = ACTIONS(5286),
    [anon_sym_orderby] = ACTIONS(5286),
    [anon_sym_ascending] = ACTIONS(5286),
    [anon_sym_descending] = ACTIONS(5286),
    [anon_sym_group] = ACTIONS(5286),
    [anon_sym_select] = ACTIONS(5286),
    [anon_sym_as] = ACTIONS(5291),
    [anon_sym_is] = ACTIONS(5286),
    [anon_sym_DASH_GT] = ACTIONS(5286),
    [anon_sym_with] = ACTIONS(5286),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4377] = {
    [sym_preproc_region] = STATE(4377),
    [sym_preproc_endregion] = STATE(4377),
    [sym_preproc_line] = STATE(4377),
    [sym_preproc_pragma] = STATE(4377),
    [sym_preproc_nullable] = STATE(4377),
    [sym_preproc_error] = STATE(4377),
    [sym_preproc_define] = STATE(4377),
    [sym_preproc_undef] = STATE(4377),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(6201),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4378] = {
    [sym_preproc_region] = STATE(4378),
    [sym_preproc_endregion] = STATE(4378),
    [sym_preproc_line] = STATE(4378),
    [sym_preproc_pragma] = STATE(4378),
    [sym_preproc_nullable] = STATE(4378),
    [sym_preproc_error] = STATE(4378),
    [sym_preproc_define] = STATE(4378),
    [sym_preproc_undef] = STATE(4378),
    [anon_sym_EQ] = ACTIONS(6203),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6205),
    [anon_sym_DASH_EQ] = ACTIONS(6205),
    [anon_sym_STAR_EQ] = ACTIONS(6205),
    [anon_sym_SLASH_EQ] = ACTIONS(6205),
    [anon_sym_PERCENT_EQ] = ACTIONS(6205),
    [anon_sym_AMP_EQ] = ACTIONS(6205),
    [anon_sym_CARET_EQ] = ACTIONS(6205),
    [anon_sym_PIPE_EQ] = ACTIONS(6205),
    [anon_sym_LT_LT_EQ] = ACTIONS(6205),
    [anon_sym_GT_GT_EQ] = ACTIONS(6205),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6205),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6205),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_on] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4379] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4379),
    [sym_preproc_endregion] = STATE(4379),
    [sym_preproc_line] = STATE(4379),
    [sym_preproc_pragma] = STATE(4379),
    [sym_preproc_nullable] = STATE(4379),
    [sym_preproc_error] = STATE(4379),
    [sym_preproc_define] = STATE(4379),
    [sym_preproc_undef] = STATE(4379),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_where] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_GT_GT_GT] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(5311),
    [anon_sym_DOT_DOT] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_QMARK_QMARK] = ACTIONS(5311),
    [anon_sym_from] = ACTIONS(5311),
    [anon_sym_into] = ACTIONS(5311),
    [anon_sym_join] = ACTIONS(5311),
    [anon_sym_let] = ACTIONS(5311),
    [anon_sym_orderby] = ACTIONS(5311),
    [anon_sym_ascending] = ACTIONS(5311),
    [anon_sym_descending] = ACTIONS(5311),
    [anon_sym_group] = ACTIONS(5311),
    [anon_sym_select] = ACTIONS(5311),
    [anon_sym_as] = ACTIONS(5313),
    [anon_sym_is] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(5311),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4380] = {
    [sym_argument_list] = STATE(3568),
    [sym__name] = STATE(4357),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_type] = STATE(3544),
    [sym_implicit_type] = STATE(3596),
    [sym_array_type] = STATE(4161),
    [sym__array_base_type] = STATE(8737),
    [sym_nullable_type] = STATE(3600),
    [sym_pointer_type] = STATE(3600),
    [sym__pointer_base_type] = STATE(9236),
    [sym_function_pointer_type] = STATE(3600),
    [sym_ref_type] = STATE(3596),
    [sym_scoped_type] = STATE(3596),
    [sym_tuple_type] = STATE(3602),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(4380),
    [sym_preproc_endregion] = STATE(4380),
    [sym_preproc_line] = STATE(4380),
    [sym_preproc_pragma] = STATE(4380),
    [sym_preproc_nullable] = STATE(4380),
    [sym_preproc_error] = STATE(4380),
    [sym_preproc_define] = STATE(4380),
    [sym_preproc_undef] = STATE(4380),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [anon_sym_LPAREN] = ACTIONS(6180),
    [anon_sym_ref] = ACTIONS(4729),
    [anon_sym_LBRACE] = ACTIONS(6182),
    [anon_sym_delegate] = ACTIONS(6184),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_scoped] = ACTIONS(6207),
    [anon_sym_var] = ACTIONS(6188),
    [sym_predefined_type] = ACTIONS(6190),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4266),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4381] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4381),
    [sym_preproc_endregion] = STATE(4381),
    [sym_preproc_line] = STATE(4381),
    [sym_preproc_pragma] = STATE(4381),
    [sym_preproc_nullable] = STATE(4381),
    [sym_preproc_error] = STATE(4381),
    [sym_preproc_define] = STATE(4381),
    [sym_preproc_undef] = STATE(4381),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5526),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(5526),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(5526),
    [anon_sym_or] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(5526),
    [anon_sym_into] = ACTIONS(5526),
    [anon_sym_join] = ACTIONS(5526),
    [anon_sym_let] = ACTIONS(5526),
    [anon_sym_orderby] = ACTIONS(5526),
    [anon_sym_ascending] = ACTIONS(5526),
    [anon_sym_descending] = ACTIONS(5526),
    [anon_sym_group] = ACTIONS(5526),
    [anon_sym_select] = ACTIONS(5526),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4382] = {
    [sym_argument_list] = STATE(5230),
    [sym__name] = STATE(5399),
    [sym_alias_qualified_name] = STATE(5392),
    [sym__simple_name] = STATE(5392),
    [sym_qualified_name] = STATE(5392),
    [sym_generic_name] = STATE(5287),
    [sym_type] = STATE(5057),
    [sym_implicit_type] = STATE(5314),
    [sym_array_type] = STATE(5192),
    [sym__array_base_type] = STATE(8899),
    [sym_nullable_type] = STATE(5395),
    [sym_pointer_type] = STATE(5395),
    [sym__pointer_base_type] = STATE(9272),
    [sym_function_pointer_type] = STATE(5395),
    [sym_ref_type] = STATE(5314),
    [sym_scoped_type] = STATE(5314),
    [sym_tuple_type] = STATE(5396),
    [sym_identifier] = STATE(5070),
    [sym__reserved_identifier] = STATE(5184),
    [sym_preproc_region] = STATE(4382),
    [sym_preproc_endregion] = STATE(4382),
    [sym_preproc_line] = STATE(4382),
    [sym_preproc_pragma] = STATE(4382),
    [sym_preproc_nullable] = STATE(4382),
    [sym_preproc_error] = STATE(4382),
    [sym_preproc_define] = STATE(4382),
    [sym_preproc_undef] = STATE(4382),
    [sym__identifier_token] = ACTIONS(4489),
    [anon_sym_alias] = ACTIONS(4491),
    [anon_sym_global] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [anon_sym_LPAREN] = ACTIONS(6211),
    [anon_sym_ref] = ACTIONS(4493),
    [anon_sym_LBRACE] = ACTIONS(6213),
    [anon_sym_delegate] = ACTIONS(6215),
    [anon_sym_file] = ACTIONS(4491),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_notnull] = ACTIONS(4491),
    [anon_sym_unmanaged] = ACTIONS(4491),
    [anon_sym_scoped] = ACTIONS(6217),
    [anon_sym_var] = ACTIONS(6219),
    [sym_predefined_type] = ACTIONS(6221),
    [anon_sym_yield] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_from] = ACTIONS(4491),
    [anon_sym_into] = ACTIONS(4491),
    [anon_sym_join] = ACTIONS(4491),
    [anon_sym_on] = ACTIONS(4491),
    [anon_sym_equals] = ACTIONS(4491),
    [anon_sym_let] = ACTIONS(4491),
    [anon_sym_orderby] = ACTIONS(4491),
    [anon_sym_ascending] = ACTIONS(4491),
    [anon_sym_descending] = ACTIONS(4491),
    [anon_sym_group] = ACTIONS(4491),
    [anon_sym_by] = ACTIONS(4491),
    [anon_sym_select] = ACTIONS(4491),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4383] = {
    [sym_preproc_region] = STATE(4383),
    [sym_preproc_endregion] = STATE(4383),
    [sym_preproc_line] = STATE(4383),
    [sym_preproc_pragma] = STATE(4383),
    [sym_preproc_nullable] = STATE(4383),
    [sym_preproc_error] = STATE(4383),
    [sym_preproc_define] = STATE(4383),
    [sym_preproc_undef] = STATE(4383),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(6102),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4384] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8681),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4384),
    [sym_preproc_endregion] = STATE(4384),
    [sym_preproc_line] = STATE(4384),
    [sym_preproc_pragma] = STATE(4384),
    [sym_preproc_nullable] = STATE(4384),
    [sym_preproc_error] = STATE(4384),
    [sym_preproc_define] = STATE(4384),
    [sym_preproc_undef] = STATE(4384),
    [aux_sym_type_argument_list_repeat1] = STATE(8682),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6223),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4385] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4385),
    [sym_preproc_endregion] = STATE(4385),
    [sym_preproc_line] = STATE(4385),
    [sym_preproc_pragma] = STATE(4385),
    [sym_preproc_nullable] = STATE(4385),
    [sym_preproc_error] = STATE(4385),
    [sym_preproc_define] = STATE(4385),
    [sym_preproc_undef] = STATE(4385),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6197),
    [anon_sym_GT] = ACTIONS(6197),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6195),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6197),
    [anon_sym_is] = ACTIONS(6195),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4386] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8606),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4386),
    [sym_preproc_endregion] = STATE(4386),
    [sym_preproc_line] = STATE(4386),
    [sym_preproc_pragma] = STATE(4386),
    [sym_preproc_nullable] = STATE(4386),
    [sym_preproc_error] = STATE(4386),
    [sym_preproc_define] = STATE(4386),
    [sym_preproc_undef] = STATE(4386),
    [aux_sym_type_argument_list_repeat1] = STATE(8609),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(5744),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4387] = {
    [sym_argument_list] = STATE(4440),
    [sym__name] = STATE(2994),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_type] = STATE(4334),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(4390),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_identifier] = STATE(2925),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(4387),
    [sym_preproc_endregion] = STATE(4387),
    [sym_preproc_line] = STATE(4387),
    [sym_preproc_pragma] = STATE(4387),
    [sym_preproc_nullable] = STATE(4387),
    [sym_preproc_error] = STATE(4387),
    [sym_preproc_define] = STATE(4387),
    [sym_preproc_undef] = STATE(4387),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(6225),
    [anon_sym_LPAREN] = ACTIONS(6227),
    [anon_sym_ref] = ACTIONS(4604),
    [anon_sym_LBRACE] = ACTIONS(6229),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_where] = ACTIONS(4569),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_scoped] = ACTIONS(6231),
    [anon_sym_var] = ACTIONS(6233),
    [sym_predefined_type] = ACTIONS(6235),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_when] = ACTIONS(4569),
    [anon_sym_from] = ACTIONS(4569),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4569),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4569),
    [anon_sym_orderby] = ACTIONS(4569),
    [anon_sym_ascending] = ACTIONS(4569),
    [anon_sym_descending] = ACTIONS(4569),
    [anon_sym_group] = ACTIONS(4569),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4569),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4388] = {
    [sym_argument_list] = STATE(3925),
    [sym__name] = STATE(4114),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_type] = STATE(3826),
    [sym_implicit_type] = STATE(3973),
    [sym_array_type] = STATE(4054),
    [sym__array_base_type] = STATE(8858),
    [sym_nullable_type] = STATE(3984),
    [sym_pointer_type] = STATE(3984),
    [sym__pointer_base_type] = STATE(9515),
    [sym_function_pointer_type] = STATE(3984),
    [sym_ref_type] = STATE(3973),
    [sym_scoped_type] = STATE(3973),
    [sym_tuple_type] = STATE(3987),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(4388),
    [sym_preproc_endregion] = STATE(4388),
    [sym_preproc_line] = STATE(4388),
    [sym_preproc_pragma] = STATE(4388),
    [sym_preproc_nullable] = STATE(4388),
    [sym_preproc_error] = STATE(4388),
    [sym_preproc_define] = STATE(4388),
    [sym_preproc_undef] = STATE(4388),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_LPAREN] = ACTIONS(6239),
    [anon_sym_ref] = ACTIONS(4672),
    [anon_sym_LBRACE] = ACTIONS(6241),
    [anon_sym_delegate] = ACTIONS(6243),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_scoped] = ACTIONS(6245),
    [anon_sym_var] = ACTIONS(6247),
    [sym_predefined_type] = ACTIONS(6249),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4389] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8546),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4389),
    [sym_preproc_endregion] = STATE(4389),
    [sym_preproc_line] = STATE(4389),
    [sym_preproc_pragma] = STATE(4389),
    [sym_preproc_nullable] = STATE(4389),
    [sym_preproc_error] = STATE(4389),
    [sym_preproc_define] = STATE(4389),
    [sym_preproc_undef] = STATE(4389),
    [aux_sym_type_argument_list_repeat1] = STATE(8547),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6251),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4390] = {
    [sym_initializer_expression] = STATE(4623),
    [sym_preproc_region] = STATE(4390),
    [sym_preproc_endregion] = STATE(4390),
    [sym_preproc_line] = STATE(4390),
    [sym_preproc_pragma] = STATE(4390),
    [sym_preproc_nullable] = STATE(4390),
    [sym_preproc_error] = STATE(4390),
    [sym_preproc_define] = STATE(4390),
    [sym_preproc_undef] = STATE(4390),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5386),
    [anon_sym_LPAREN] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(6253),
    [anon_sym_LT] = ACTIONS(5392),
    [anon_sym_GT] = ACTIONS(5392),
    [anon_sym_where] = ACTIONS(5386),
    [anon_sym_QMARK] = ACTIONS(6256),
    [anon_sym_BANG] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5386),
    [anon_sym_DASH_DASH] = ACTIONS(5386),
    [anon_sym_PLUS] = ACTIONS(5392),
    [anon_sym_DASH] = ACTIONS(5392),
    [anon_sym_STAR] = ACTIONS(5386),
    [anon_sym_SLASH] = ACTIONS(5392),
    [anon_sym_PERCENT] = ACTIONS(5386),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_PIPE] = ACTIONS(5392),
    [anon_sym_AMP] = ACTIONS(5392),
    [anon_sym_LT_LT] = ACTIONS(5386),
    [anon_sym_GT_GT] = ACTIONS(5392),
    [anon_sym_GT_GT_GT] = ACTIONS(5386),
    [anon_sym_EQ_EQ] = ACTIONS(5386),
    [anon_sym_BANG_EQ] = ACTIONS(5386),
    [anon_sym_GT_EQ] = ACTIONS(5386),
    [anon_sym_LT_EQ] = ACTIONS(5386),
    [anon_sym_DOT] = ACTIONS(5392),
    [anon_sym_switch] = ACTIONS(5386),
    [anon_sym_DOT_DOT] = ACTIONS(5386),
    [anon_sym_and] = ACTIONS(5386),
    [anon_sym_or] = ACTIONS(5392),
    [anon_sym_AMP_AMP] = ACTIONS(5386),
    [anon_sym_PIPE_PIPE] = ACTIONS(5386),
    [anon_sym_QMARK_QMARK] = ACTIONS(5386),
    [anon_sym_from] = ACTIONS(5386),
    [anon_sym_into] = ACTIONS(5386),
    [anon_sym_join] = ACTIONS(5386),
    [anon_sym_let] = ACTIONS(5386),
    [anon_sym_orderby] = ACTIONS(5386),
    [anon_sym_ascending] = ACTIONS(5386),
    [anon_sym_descending] = ACTIONS(5386),
    [anon_sym_group] = ACTIONS(5386),
    [anon_sym_select] = ACTIONS(5386),
    [anon_sym_as] = ACTIONS(5392),
    [anon_sym_is] = ACTIONS(5386),
    [anon_sym_DASH_GT] = ACTIONS(5386),
    [anon_sym_with] = ACTIONS(5386),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4391] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4391),
    [sym_preproc_endregion] = STATE(4391),
    [sym_preproc_line] = STATE(4391),
    [sym_preproc_pragma] = STATE(4391),
    [sym_preproc_nullable] = STATE(4391),
    [sym_preproc_error] = STATE(4391),
    [sym_preproc_define] = STATE(4391),
    [sym_preproc_undef] = STATE(4391),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6197),
    [anon_sym_GT] = ACTIONS(6197),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6197),
    [anon_sym_DASH] = ACTIONS(6197),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6197),
    [anon_sym_GT_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6195),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6197),
    [anon_sym_is] = ACTIONS(6195),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4392] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8604),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4392),
    [sym_preproc_endregion] = STATE(4392),
    [sym_preproc_line] = STATE(4392),
    [sym_preproc_pragma] = STATE(4392),
    [sym_preproc_nullable] = STATE(4392),
    [sym_preproc_error] = STATE(4392),
    [sym_preproc_define] = STATE(4392),
    [sym_preproc_undef] = STATE(4392),
    [aux_sym_type_argument_list_repeat1] = STATE(8605),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6260),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4393] = {
    [sym_argument_list] = STATE(4440),
    [sym__name] = STATE(2994),
    [sym_alias_qualified_name] = STATE(2952),
    [sym__simple_name] = STATE(2952),
    [sym_qualified_name] = STATE(2952),
    [sym_generic_name] = STATE(2942),
    [sym_type] = STATE(4334),
    [sym_implicit_type] = STATE(2895),
    [sym_array_type] = STATE(4390),
    [sym__array_base_type] = STATE(8922),
    [sym_nullable_type] = STATE(2960),
    [sym_pointer_type] = STATE(2960),
    [sym__pointer_base_type] = STATE(9588),
    [sym_function_pointer_type] = STATE(2960),
    [sym_ref_type] = STATE(2895),
    [sym_scoped_type] = STATE(2895),
    [sym_tuple_type] = STATE(2975),
    [sym_identifier] = STATE(2925),
    [sym__reserved_identifier] = STATE(2930),
    [sym_preproc_region] = STATE(4393),
    [sym_preproc_endregion] = STATE(4393),
    [sym_preproc_line] = STATE(4393),
    [sym_preproc_pragma] = STATE(4393),
    [sym_preproc_nullable] = STATE(4393),
    [sym_preproc_error] = STATE(4393),
    [sym_preproc_define] = STATE(4393),
    [sym_preproc_undef] = STATE(4393),
    [sym__identifier_token] = ACTIONS(4567),
    [anon_sym_alias] = ACTIONS(4569),
    [anon_sym_global] = ACTIONS(4569),
    [anon_sym_LBRACK] = ACTIONS(6225),
    [anon_sym_LPAREN] = ACTIONS(6227),
    [anon_sym_ref] = ACTIONS(4571),
    [anon_sym_LBRACE] = ACTIONS(6229),
    [anon_sym_delegate] = ACTIONS(4004),
    [anon_sym_file] = ACTIONS(4569),
    [anon_sym_where] = ACTIONS(4569),
    [anon_sym_notnull] = ACTIONS(4569),
    [anon_sym_unmanaged] = ACTIONS(4569),
    [anon_sym_scoped] = ACTIONS(6262),
    [anon_sym_var] = ACTIONS(6233),
    [sym_predefined_type] = ACTIONS(6235),
    [anon_sym_yield] = ACTIONS(4569),
    [anon_sym_when] = ACTIONS(4569),
    [anon_sym_from] = ACTIONS(4569),
    [anon_sym_into] = ACTIONS(4569),
    [anon_sym_join] = ACTIONS(4569),
    [anon_sym_on] = ACTIONS(4569),
    [anon_sym_equals] = ACTIONS(4569),
    [anon_sym_let] = ACTIONS(4569),
    [anon_sym_orderby] = ACTIONS(4569),
    [anon_sym_ascending] = ACTIONS(4569),
    [anon_sym_descending] = ACTIONS(4569),
    [anon_sym_group] = ACTIONS(4569),
    [anon_sym_by] = ACTIONS(4569),
    [anon_sym_select] = ACTIONS(4569),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4394] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4394),
    [sym_preproc_endregion] = STATE(4394),
    [sym_preproc_line] = STATE(4394),
    [sym_preproc_pragma] = STATE(4394),
    [sym_preproc_nullable] = STATE(4394),
    [sym_preproc_error] = STATE(4394),
    [sym_preproc_define] = STATE(4394),
    [sym_preproc_undef] = STATE(4394),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4395] = {
    [sym_argument_list] = STATE(3925),
    [sym__name] = STATE(4114),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_type] = STATE(3826),
    [sym_implicit_type] = STATE(3973),
    [sym_array_type] = STATE(4054),
    [sym__array_base_type] = STATE(8858),
    [sym_nullable_type] = STATE(3984),
    [sym_pointer_type] = STATE(3984),
    [sym__pointer_base_type] = STATE(9515),
    [sym_function_pointer_type] = STATE(3984),
    [sym_ref_type] = STATE(3973),
    [sym_scoped_type] = STATE(3973),
    [sym_tuple_type] = STATE(3987),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(4395),
    [sym_preproc_endregion] = STATE(4395),
    [sym_preproc_line] = STATE(4395),
    [sym_preproc_pragma] = STATE(4395),
    [sym_preproc_nullable] = STATE(4395),
    [sym_preproc_error] = STATE(4395),
    [sym_preproc_define] = STATE(4395),
    [sym_preproc_undef] = STATE(4395),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_LPAREN] = ACTIONS(6239),
    [anon_sym_ref] = ACTIONS(4676),
    [anon_sym_LBRACE] = ACTIONS(6241),
    [anon_sym_delegate] = ACTIONS(6243),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_scoped] = ACTIONS(6264),
    [anon_sym_var] = ACTIONS(6247),
    [sym_predefined_type] = ACTIONS(6249),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4396] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4396),
    [sym_preproc_endregion] = STATE(4396),
    [sym_preproc_line] = STATE(4396),
    [sym_preproc_pragma] = STATE(4396),
    [sym_preproc_nullable] = STATE(4396),
    [sym_preproc_error] = STATE(4396),
    [sym_preproc_define] = STATE(4396),
    [sym_preproc_undef] = STATE(4396),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4397] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4397),
    [sym_preproc_endregion] = STATE(4397),
    [sym_preproc_line] = STATE(4397),
    [sym_preproc_pragma] = STATE(4397),
    [sym_preproc_nullable] = STATE(4397),
    [sym_preproc_error] = STATE(4397),
    [sym_preproc_define] = STATE(4397),
    [sym_preproc_undef] = STATE(4397),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5443),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(5443),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(5443),
    [anon_sym_or] = ACTIONS(5445),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(5443),
    [anon_sym_into] = ACTIONS(5443),
    [anon_sym_join] = ACTIONS(5443),
    [anon_sym_let] = ACTIONS(5443),
    [anon_sym_orderby] = ACTIONS(5443),
    [anon_sym_ascending] = ACTIONS(5443),
    [anon_sym_descending] = ACTIONS(5443),
    [anon_sym_group] = ACTIONS(5443),
    [anon_sym_select] = ACTIONS(5443),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4398] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8447),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4398),
    [sym_preproc_endregion] = STATE(4398),
    [sym_preproc_line] = STATE(4398),
    [sym_preproc_pragma] = STATE(4398),
    [sym_preproc_nullable] = STATE(4398),
    [sym_preproc_error] = STATE(4398),
    [sym_preproc_define] = STATE(4398),
    [sym_preproc_undef] = STATE(4398),
    [aux_sym_type_argument_list_repeat1] = STATE(8449),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6266),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4399] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4399),
    [sym_preproc_endregion] = STATE(4399),
    [sym_preproc_line] = STATE(4399),
    [sym_preproc_pragma] = STATE(4399),
    [sym_preproc_nullable] = STATE(4399),
    [sym_preproc_error] = STATE(4399),
    [sym_preproc_define] = STATE(4399),
    [sym_preproc_undef] = STATE(4399),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4400] = {
    [sym_preproc_region] = STATE(4400),
    [sym_preproc_endregion] = STATE(4400),
    [sym_preproc_line] = STATE(4400),
    [sym_preproc_pragma] = STATE(4400),
    [sym_preproc_nullable] = STATE(4400),
    [sym_preproc_error] = STATE(4400),
    [sym_preproc_define] = STATE(4400),
    [sym_preproc_undef] = STATE(4400),
    [anon_sym_EQ] = ACTIONS(6268),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_EQ_GT] = ACTIONS(5305),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6270),
    [anon_sym_DASH_EQ] = ACTIONS(6270),
    [anon_sym_STAR_EQ] = ACTIONS(6270),
    [anon_sym_SLASH_EQ] = ACTIONS(6270),
    [anon_sym_PERCENT_EQ] = ACTIONS(6270),
    [anon_sym_AMP_EQ] = ACTIONS(6270),
    [anon_sym_CARET_EQ] = ACTIONS(6270),
    [anon_sym_PIPE_EQ] = ACTIONS(6270),
    [anon_sym_LT_LT_EQ] = ACTIONS(6270),
    [anon_sym_GT_GT_EQ] = ACTIONS(6270),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6270),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6270),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4401] = {
    [sym_block] = STATE(2444),
    [sym_preproc_region] = STATE(4401),
    [sym_preproc_endregion] = STATE(4401),
    [sym_preproc_line] = STATE(4401),
    [sym_preproc_pragma] = STATE(4401),
    [sym_preproc_nullable] = STATE(4401),
    [sym_preproc_error] = STATE(4401),
    [sym_preproc_define] = STATE(4401),
    [sym_preproc_undef] = STATE(4401),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(5796),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4402] = {
    [sym_argument_list] = STATE(3925),
    [sym__name] = STATE(4114),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_type] = STATE(3826),
    [sym_implicit_type] = STATE(3973),
    [sym_array_type] = STATE(4054),
    [sym__array_base_type] = STATE(8858),
    [sym_nullable_type] = STATE(3984),
    [sym_pointer_type] = STATE(3984),
    [sym__pointer_base_type] = STATE(9515),
    [sym_function_pointer_type] = STATE(3984),
    [sym_ref_type] = STATE(3973),
    [sym_scoped_type] = STATE(3973),
    [sym_tuple_type] = STATE(3987),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(4402),
    [sym_preproc_endregion] = STATE(4402),
    [sym_preproc_line] = STATE(4402),
    [sym_preproc_pragma] = STATE(4402),
    [sym_preproc_nullable] = STATE(4402),
    [sym_preproc_error] = STATE(4402),
    [sym_preproc_define] = STATE(4402),
    [sym_preproc_undef] = STATE(4402),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_LPAREN] = ACTIONS(6239),
    [anon_sym_ref] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(6241),
    [anon_sym_delegate] = ACTIONS(6243),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_scoped] = ACTIONS(6272),
    [anon_sym_var] = ACTIONS(6247),
    [sym_predefined_type] = ACTIONS(6249),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4403] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4403),
    [sym_preproc_endregion] = STATE(4403),
    [sym_preproc_line] = STATE(4403),
    [sym_preproc_pragma] = STATE(4403),
    [sym_preproc_nullable] = STATE(4403),
    [sym_preproc_error] = STATE(4403),
    [sym_preproc_define] = STATE(4403),
    [sym_preproc_undef] = STATE(4403),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4404] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4404),
    [sym_preproc_endregion] = STATE(4404),
    [sym_preproc_line] = STATE(4404),
    [sym_preproc_pragma] = STATE(4404),
    [sym_preproc_nullable] = STATE(4404),
    [sym_preproc_error] = STATE(4404),
    [sym_preproc_define] = STATE(4404),
    [sym_preproc_undef] = STATE(4404),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6197),
    [anon_sym_GT] = ACTIONS(6197),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6197),
    [anon_sym_DASH] = ACTIONS(6197),
    [anon_sym_STAR] = ACTIONS(6195),
    [anon_sym_SLASH] = ACTIONS(6197),
    [anon_sym_PERCENT] = ACTIONS(6195),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6197),
    [anon_sym_GT_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6195),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6197),
    [anon_sym_is] = ACTIONS(6195),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4405] = {
    [sym_argument_list] = STATE(3925),
    [sym__name] = STATE(4114),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_type] = STATE(3826),
    [sym_implicit_type] = STATE(3973),
    [sym_array_type] = STATE(4054),
    [sym__array_base_type] = STATE(8858),
    [sym_nullable_type] = STATE(3984),
    [sym_pointer_type] = STATE(3984),
    [sym__pointer_base_type] = STATE(9515),
    [sym_function_pointer_type] = STATE(3984),
    [sym_ref_type] = STATE(3973),
    [sym_scoped_type] = STATE(3973),
    [sym_tuple_type] = STATE(3987),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(4405),
    [sym_preproc_endregion] = STATE(4405),
    [sym_preproc_line] = STATE(4405),
    [sym_preproc_pragma] = STATE(4405),
    [sym_preproc_nullable] = STATE(4405),
    [sym_preproc_error] = STATE(4405),
    [sym_preproc_define] = STATE(4405),
    [sym_preproc_undef] = STATE(4405),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_LPAREN] = ACTIONS(6239),
    [anon_sym_ref] = ACTIONS(4236),
    [anon_sym_LBRACE] = ACTIONS(6241),
    [anon_sym_delegate] = ACTIONS(6243),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_scoped] = ACTIONS(6274),
    [anon_sym_var] = ACTIONS(6247),
    [sym_predefined_type] = ACTIONS(6249),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4406] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4406),
    [sym_preproc_endregion] = STATE(4406),
    [sym_preproc_line] = STATE(4406),
    [sym_preproc_pragma] = STATE(4406),
    [sym_preproc_nullable] = STATE(4406),
    [sym_preproc_error] = STATE(4406),
    [sym_preproc_define] = STATE(4406),
    [sym_preproc_undef] = STATE(4406),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6197),
    [anon_sym_GT] = ACTIONS(6197),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6195),
    [anon_sym_PIPE] = ACTIONS(6197),
    [anon_sym_AMP] = ACTIONS(6197),
    [anon_sym_LT_LT] = ACTIONS(6195),
    [anon_sym_GT_GT] = ACTIONS(6197),
    [anon_sym_GT_GT_GT] = ACTIONS(6195),
    [anon_sym_EQ_EQ] = ACTIONS(6195),
    [anon_sym_BANG_EQ] = ACTIONS(6195),
    [anon_sym_GT_EQ] = ACTIONS(6195),
    [anon_sym_LT_EQ] = ACTIONS(6195),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6195),
    [anon_sym_PIPE_PIPE] = ACTIONS(6195),
    [anon_sym_QMARK_QMARK] = ACTIONS(6195),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6197),
    [anon_sym_is] = ACTIONS(6195),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4407] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(5220),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(4407),
    [sym_preproc_endregion] = STATE(4407),
    [sym_preproc_line] = STATE(4407),
    [sym_preproc_pragma] = STATE(4407),
    [sym_preproc_nullable] = STATE(4407),
    [sym_preproc_error] = STATE(4407),
    [sym_preproc_define] = STATE(4407),
    [sym_preproc_undef] = STATE(4407),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4339),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(4524),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4408] = {
    [sym_preproc_region] = STATE(4408),
    [sym_preproc_endregion] = STATE(4408),
    [sym_preproc_line] = STATE(4408),
    [sym_preproc_pragma] = STATE(4408),
    [sym_preproc_nullable] = STATE(4408),
    [sym_preproc_error] = STATE(4408),
    [sym_preproc_define] = STATE(4408),
    [sym_preproc_undef] = STATE(4408),
    [sym__identifier_token] = ACTIONS(5717),
    [anon_sym_extern] = ACTIONS(5717),
    [anon_sym_alias] = ACTIONS(5717),
    [anon_sym_global] = ACTIONS(5717),
    [anon_sym_unsafe] = ACTIONS(5717),
    [anon_sym_static] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5719),
    [anon_sym_abstract] = ACTIONS(5717),
    [anon_sym_async] = ACTIONS(5717),
    [anon_sym_const] = ACTIONS(5717),
    [anon_sym_file] = ACTIONS(5717),
    [anon_sym_fixed] = ACTIONS(5717),
    [anon_sym_internal] = ACTIONS(5717),
    [anon_sym_new] = ACTIONS(5717),
    [anon_sym_override] = ACTIONS(5717),
    [anon_sym_partial] = ACTIONS(5717),
    [anon_sym_private] = ACTIONS(5717),
    [anon_sym_protected] = ACTIONS(5717),
    [anon_sym_public] = ACTIONS(5717),
    [anon_sym_readonly] = ACTIONS(5717),
    [anon_sym_required] = ACTIONS(5717),
    [anon_sym_sealed] = ACTIONS(5717),
    [anon_sym_virtual] = ACTIONS(5717),
    [anon_sym_volatile] = ACTIONS(5717),
    [anon_sym_where] = ACTIONS(5717),
    [anon_sym_notnull] = ACTIONS(5717),
    [anon_sym_unmanaged] = ACTIONS(5717),
    [anon_sym_get] = ACTIONS(5717),
    [anon_sym_set] = ACTIONS(5717),
    [anon_sym_add] = ACTIONS(5717),
    [anon_sym_remove] = ACTIONS(5717),
    [anon_sym_init] = ACTIONS(5717),
    [anon_sym_scoped] = ACTIONS(5717),
    [anon_sym_var] = ACTIONS(5717),
    [anon_sym_yield] = ACTIONS(5717),
    [anon_sym_when] = ACTIONS(5717),
    [anon_sym_from] = ACTIONS(5717),
    [anon_sym_into] = ACTIONS(5717),
    [anon_sym_join] = ACTIONS(5717),
    [anon_sym_on] = ACTIONS(5717),
    [anon_sym_equals] = ACTIONS(5717),
    [anon_sym_let] = ACTIONS(5717),
    [anon_sym_orderby] = ACTIONS(5717),
    [anon_sym_ascending] = ACTIONS(5717),
    [anon_sym_descending] = ACTIONS(5717),
    [anon_sym_group] = ACTIONS(5717),
    [anon_sym_by] = ACTIONS(5717),
    [anon_sym_select] = ACTIONS(5717),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4409] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8570),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4409),
    [sym_preproc_endregion] = STATE(4409),
    [sym_preproc_line] = STATE(4409),
    [sym_preproc_pragma] = STATE(4409),
    [sym_preproc_nullable] = STATE(4409),
    [sym_preproc_error] = STATE(4409),
    [sym_preproc_define] = STATE(4409),
    [sym_preproc_undef] = STATE(4409),
    [aux_sym_type_argument_list_repeat1] = STATE(8571),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6276),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4410] = {
    [sym_preproc_region] = STATE(4410),
    [sym_preproc_endregion] = STATE(4410),
    [sym_preproc_line] = STATE(4410),
    [sym_preproc_pragma] = STATE(4410),
    [sym_preproc_nullable] = STATE(4410),
    [sym_preproc_error] = STATE(4410),
    [sym_preproc_define] = STATE(4410),
    [sym_preproc_undef] = STATE(4410),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(6278),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4411] = {
    [sym_argument_list] = STATE(3568),
    [sym__name] = STATE(4357),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_type] = STATE(3544),
    [sym_implicit_type] = STATE(3596),
    [sym_array_type] = STATE(4161),
    [sym__array_base_type] = STATE(8737),
    [sym_nullable_type] = STATE(3600),
    [sym_pointer_type] = STATE(3600),
    [sym__pointer_base_type] = STATE(9236),
    [sym_function_pointer_type] = STATE(3600),
    [sym_ref_type] = STATE(3596),
    [sym_scoped_type] = STATE(3596),
    [sym_tuple_type] = STATE(3602),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(4411),
    [sym_preproc_endregion] = STATE(4411),
    [sym_preproc_line] = STATE(4411),
    [sym_preproc_pragma] = STATE(4411),
    [sym_preproc_nullable] = STATE(4411),
    [sym_preproc_error] = STATE(4411),
    [sym_preproc_define] = STATE(4411),
    [sym_preproc_undef] = STATE(4411),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [anon_sym_LPAREN] = ACTIONS(6180),
    [anon_sym_ref] = ACTIONS(4725),
    [anon_sym_LBRACE] = ACTIONS(6182),
    [anon_sym_delegate] = ACTIONS(6184),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_scoped] = ACTIONS(6280),
    [anon_sym_var] = ACTIONS(6188),
    [sym_predefined_type] = ACTIONS(6190),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4266),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4412] = {
    [sym_preproc_region] = STATE(4412),
    [sym_preproc_endregion] = STATE(4412),
    [sym_preproc_line] = STATE(4412),
    [sym_preproc_pragma] = STATE(4412),
    [sym_preproc_nullable] = STATE(4412),
    [sym_preproc_error] = STATE(4412),
    [sym_preproc_define] = STATE(4412),
    [sym_preproc_undef] = STATE(4412),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(6282),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4413] = {
    [sym_argument_list] = STATE(3809),
    [sym__name] = STATE(3888),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_type] = STATE(3805),
    [sym_implicit_type] = STATE(3884),
    [sym_array_type] = STATE(3815),
    [sym__array_base_type] = STATE(8963),
    [sym_nullable_type] = STATE(3886),
    [sym_pointer_type] = STATE(3886),
    [sym__pointer_base_type] = STATE(9261),
    [sym_function_pointer_type] = STATE(3886),
    [sym_ref_type] = STATE(3884),
    [sym_scoped_type] = STATE(3884),
    [sym_tuple_type] = STATE(3887),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(4413),
    [sym_preproc_endregion] = STATE(4413),
    [sym_preproc_line] = STATE(4413),
    [sym_preproc_pragma] = STATE(4413),
    [sym_preproc_nullable] = STATE(4413),
    [sym_preproc_error] = STATE(4413),
    [sym_preproc_define] = STATE(4413),
    [sym_preproc_undef] = STATE(4413),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_LPAREN] = ACTIONS(6286),
    [anon_sym_ref] = ACTIONS(4694),
    [anon_sym_LBRACE] = ACTIONS(6288),
    [anon_sym_delegate] = ACTIONS(6290),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_scoped] = ACTIONS(6292),
    [anon_sym_var] = ACTIONS(6294),
    [sym_predefined_type] = ACTIONS(6296),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4223),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4414] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4414),
    [sym_preproc_endregion] = STATE(4414),
    [sym_preproc_line] = STATE(4414),
    [sym_preproc_pragma] = STATE(4414),
    [sym_preproc_nullable] = STATE(4414),
    [sym_preproc_error] = STATE(4414),
    [sym_preproc_define] = STATE(4414),
    [sym_preproc_undef] = STATE(4414),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6298),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6298),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6298),
    [anon_sym_or] = ACTIONS(6300),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6298),
    [anon_sym_into] = ACTIONS(6298),
    [anon_sym_join] = ACTIONS(6298),
    [anon_sym_let] = ACTIONS(6298),
    [anon_sym_orderby] = ACTIONS(6298),
    [anon_sym_ascending] = ACTIONS(6298),
    [anon_sym_descending] = ACTIONS(6298),
    [anon_sym_group] = ACTIONS(6298),
    [anon_sym_select] = ACTIONS(6298),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4415] = {
    [sym_block] = STATE(2657),
    [sym_preproc_region] = STATE(4415),
    [sym_preproc_endregion] = STATE(4415),
    [sym_preproc_line] = STATE(4415),
    [sym_preproc_pragma] = STATE(4415),
    [sym_preproc_nullable] = STATE(4415),
    [sym_preproc_error] = STATE(4415),
    [sym_preproc_define] = STATE(4415),
    [sym_preproc_undef] = STATE(4415),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(6302),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4416] = {
    [sym_preproc_region] = STATE(4416),
    [sym_preproc_endregion] = STATE(4416),
    [sym_preproc_line] = STATE(4416),
    [sym_preproc_pragma] = STATE(4416),
    [sym_preproc_nullable] = STATE(4416),
    [sym_preproc_error] = STATE(4416),
    [sym_preproc_define] = STATE(4416),
    [sym_preproc_undef] = STATE(4416),
    [anon_sym_EQ] = ACTIONS(6304),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6306),
    [anon_sym_DASH_EQ] = ACTIONS(6306),
    [anon_sym_STAR_EQ] = ACTIONS(6306),
    [anon_sym_SLASH_EQ] = ACTIONS(6306),
    [anon_sym_PERCENT_EQ] = ACTIONS(6306),
    [anon_sym_AMP_EQ] = ACTIONS(6306),
    [anon_sym_CARET_EQ] = ACTIONS(6306),
    [anon_sym_PIPE_EQ] = ACTIONS(6306),
    [anon_sym_LT_LT_EQ] = ACTIONS(6306),
    [anon_sym_GT_GT_EQ] = ACTIONS(6306),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6306),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6306),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_by] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4417] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4417),
    [sym_preproc_endregion] = STATE(4417),
    [sym_preproc_line] = STATE(4417),
    [sym_preproc_pragma] = STATE(4417),
    [sym_preproc_nullable] = STATE(4417),
    [sym_preproc_error] = STATE(4417),
    [sym_preproc_define] = STATE(4417),
    [sym_preproc_undef] = STATE(4417),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6308),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6308),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6308),
    [anon_sym_or] = ACTIONS(6310),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6308),
    [anon_sym_into] = ACTIONS(6308),
    [anon_sym_join] = ACTIONS(6308),
    [anon_sym_let] = ACTIONS(6308),
    [anon_sym_orderby] = ACTIONS(6308),
    [anon_sym_ascending] = ACTIONS(6308),
    [anon_sym_descending] = ACTIONS(6308),
    [anon_sym_group] = ACTIONS(6308),
    [anon_sym_select] = ACTIONS(6308),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4418] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(4418),
    [sym_preproc_endregion] = STATE(4418),
    [sym_preproc_line] = STATE(4418),
    [sym_preproc_pragma] = STATE(4418),
    [sym_preproc_nullable] = STATE(4418),
    [sym_preproc_error] = STATE(4418),
    [sym_preproc_define] = STATE(4418),
    [sym_preproc_undef] = STATE(4418),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4719),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(6312),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4419] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8611),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4419),
    [sym_preproc_endregion] = STATE(4419),
    [sym_preproc_line] = STATE(4419),
    [sym_preproc_pragma] = STATE(4419),
    [sym_preproc_nullable] = STATE(4419),
    [sym_preproc_error] = STATE(4419),
    [sym_preproc_define] = STATE(4419),
    [sym_preproc_undef] = STATE(4419),
    [aux_sym_type_argument_list_repeat1] = STATE(8612),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6314),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4420] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4420),
    [sym_preproc_endregion] = STATE(4420),
    [sym_preproc_line] = STATE(4420),
    [sym_preproc_pragma] = STATE(4420),
    [sym_preproc_nullable] = STATE(4420),
    [sym_preproc_error] = STATE(4420),
    [sym_preproc_define] = STATE(4420),
    [sym_preproc_undef] = STATE(4420),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6195),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6195),
    [anon_sym_QMARK] = ACTIONS(6197),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6195),
    [anon_sym_or] = ACTIONS(6197),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6195),
    [anon_sym_into] = ACTIONS(6195),
    [anon_sym_join] = ACTIONS(6195),
    [anon_sym_let] = ACTIONS(6195),
    [anon_sym_orderby] = ACTIONS(6195),
    [anon_sym_ascending] = ACTIONS(6195),
    [anon_sym_descending] = ACTIONS(6195),
    [anon_sym_group] = ACTIONS(6195),
    [anon_sym_select] = ACTIONS(6195),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4421] = {
    [sym_block] = STATE(8739),
    [sym_preproc_region] = STATE(4421),
    [sym_preproc_endregion] = STATE(4421),
    [sym_preproc_line] = STATE(4421),
    [sym_preproc_pragma] = STATE(4421),
    [sym_preproc_nullable] = STATE(4421),
    [sym_preproc_error] = STATE(4421),
    [sym_preproc_define] = STATE(4421),
    [sym_preproc_undef] = STATE(4421),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(6112),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4422] = {
    [sym_preproc_region] = STATE(4422),
    [sym_preproc_endregion] = STATE(4422),
    [sym_preproc_line] = STATE(4422),
    [sym_preproc_pragma] = STATE(4422),
    [sym_preproc_nullable] = STATE(4422),
    [sym_preproc_error] = STATE(4422),
    [sym_preproc_define] = STATE(4422),
    [sym_preproc_undef] = STATE(4422),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(6316),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4423] = {
    [sym_argument_list] = STATE(3568),
    [sym__name] = STATE(4357),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_type] = STATE(3544),
    [sym_implicit_type] = STATE(3596),
    [sym_array_type] = STATE(4161),
    [sym__array_base_type] = STATE(8737),
    [sym_nullable_type] = STATE(3600),
    [sym_pointer_type] = STATE(3600),
    [sym__pointer_base_type] = STATE(9236),
    [sym_function_pointer_type] = STATE(3600),
    [sym_ref_type] = STATE(3596),
    [sym_scoped_type] = STATE(3596),
    [sym_tuple_type] = STATE(3602),
    [sym_identifier] = STATE(3981),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(4423),
    [sym_preproc_endregion] = STATE(4423),
    [sym_preproc_line] = STATE(4423),
    [sym_preproc_pragma] = STATE(4423),
    [sym_preproc_nullable] = STATE(4423),
    [sym_preproc_error] = STATE(4423),
    [sym_preproc_define] = STATE(4423),
    [sym_preproc_undef] = STATE(4423),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [anon_sym_LPAREN] = ACTIONS(6180),
    [anon_sym_ref] = ACTIONS(4727),
    [anon_sym_LBRACE] = ACTIONS(6182),
    [anon_sym_delegate] = ACTIONS(6184),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_scoped] = ACTIONS(6318),
    [anon_sym_var] = ACTIONS(6188),
    [sym_predefined_type] = ACTIONS(6190),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4266),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4424] = {
    [sym_preproc_region] = STATE(4424),
    [sym_preproc_endregion] = STATE(4424),
    [sym_preproc_line] = STATE(4424),
    [sym_preproc_pragma] = STATE(4424),
    [sym_preproc_nullable] = STATE(4424),
    [sym_preproc_error] = STATE(4424),
    [sym_preproc_define] = STATE(4424),
    [sym_preproc_undef] = STATE(4424),
    [sym__identifier_token] = ACTIONS(5686),
    [anon_sym_extern] = ACTIONS(5686),
    [anon_sym_alias] = ACTIONS(5686),
    [anon_sym_global] = ACTIONS(5686),
    [anon_sym_unsafe] = ACTIONS(5686),
    [anon_sym_static] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5688),
    [anon_sym_abstract] = ACTIONS(5686),
    [anon_sym_async] = ACTIONS(5686),
    [anon_sym_const] = ACTIONS(5686),
    [anon_sym_file] = ACTIONS(5686),
    [anon_sym_fixed] = ACTIONS(5686),
    [anon_sym_internal] = ACTIONS(5686),
    [anon_sym_new] = ACTIONS(5686),
    [anon_sym_override] = ACTIONS(5686),
    [anon_sym_partial] = ACTIONS(5686),
    [anon_sym_private] = ACTIONS(5686),
    [anon_sym_protected] = ACTIONS(5686),
    [anon_sym_public] = ACTIONS(5686),
    [anon_sym_readonly] = ACTIONS(5686),
    [anon_sym_required] = ACTIONS(5686),
    [anon_sym_sealed] = ACTIONS(5686),
    [anon_sym_virtual] = ACTIONS(5686),
    [anon_sym_volatile] = ACTIONS(5686),
    [anon_sym_where] = ACTIONS(5686),
    [anon_sym_notnull] = ACTIONS(5686),
    [anon_sym_unmanaged] = ACTIONS(5686),
    [anon_sym_get] = ACTIONS(5686),
    [anon_sym_set] = ACTIONS(5686),
    [anon_sym_add] = ACTIONS(5686),
    [anon_sym_remove] = ACTIONS(5686),
    [anon_sym_init] = ACTIONS(5686),
    [anon_sym_scoped] = ACTIONS(5686),
    [anon_sym_var] = ACTIONS(5686),
    [anon_sym_yield] = ACTIONS(5686),
    [anon_sym_when] = ACTIONS(5686),
    [anon_sym_from] = ACTIONS(5686),
    [anon_sym_into] = ACTIONS(5686),
    [anon_sym_join] = ACTIONS(5686),
    [anon_sym_on] = ACTIONS(5686),
    [anon_sym_equals] = ACTIONS(5686),
    [anon_sym_let] = ACTIONS(5686),
    [anon_sym_orderby] = ACTIONS(5686),
    [anon_sym_ascending] = ACTIONS(5686),
    [anon_sym_descending] = ACTIONS(5686),
    [anon_sym_group] = ACTIONS(5686),
    [anon_sym_by] = ACTIONS(5686),
    [anon_sym_select] = ACTIONS(5686),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4425] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(4425),
    [sym_preproc_endregion] = STATE(4425),
    [sym_preproc_line] = STATE(4425),
    [sym_preproc_pragma] = STATE(4425),
    [sym_preproc_nullable] = STATE(4425),
    [sym_preproc_error] = STATE(4425),
    [sym_preproc_define] = STATE(4425),
    [sym_preproc_undef] = STATE(4425),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4721),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(6320),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4426] = {
    [sym_argument_list] = STATE(5230),
    [sym__name] = STATE(5399),
    [sym_alias_qualified_name] = STATE(5392),
    [sym__simple_name] = STATE(5392),
    [sym_qualified_name] = STATE(5392),
    [sym_generic_name] = STATE(5287),
    [sym_type] = STATE(5057),
    [sym_implicit_type] = STATE(5314),
    [sym_array_type] = STATE(5192),
    [sym__array_base_type] = STATE(8899),
    [sym_nullable_type] = STATE(5395),
    [sym_pointer_type] = STATE(5395),
    [sym__pointer_base_type] = STATE(9272),
    [sym_function_pointer_type] = STATE(5395),
    [sym_ref_type] = STATE(5314),
    [sym_scoped_type] = STATE(5314),
    [sym_tuple_type] = STATE(5396),
    [sym_identifier] = STATE(5070),
    [sym__reserved_identifier] = STATE(5184),
    [sym_preproc_region] = STATE(4426),
    [sym_preproc_endregion] = STATE(4426),
    [sym_preproc_line] = STATE(4426),
    [sym_preproc_pragma] = STATE(4426),
    [sym_preproc_nullable] = STATE(4426),
    [sym_preproc_error] = STATE(4426),
    [sym_preproc_define] = STATE(4426),
    [sym_preproc_undef] = STATE(4426),
    [sym__identifier_token] = ACTIONS(4489),
    [anon_sym_alias] = ACTIONS(4491),
    [anon_sym_global] = ACTIONS(4491),
    [anon_sym_LBRACK] = ACTIONS(6209),
    [anon_sym_LPAREN] = ACTIONS(6211),
    [anon_sym_ref] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(6213),
    [anon_sym_delegate] = ACTIONS(6215),
    [anon_sym_file] = ACTIONS(4491),
    [anon_sym_where] = ACTIONS(4491),
    [anon_sym_notnull] = ACTIONS(4491),
    [anon_sym_unmanaged] = ACTIONS(4491),
    [anon_sym_scoped] = ACTIONS(6322),
    [anon_sym_var] = ACTIONS(6219),
    [sym_predefined_type] = ACTIONS(6221),
    [anon_sym_yield] = ACTIONS(4491),
    [anon_sym_when] = ACTIONS(4491),
    [anon_sym_from] = ACTIONS(4491),
    [anon_sym_into] = ACTIONS(4491),
    [anon_sym_join] = ACTIONS(4491),
    [anon_sym_on] = ACTIONS(4491),
    [anon_sym_equals] = ACTIONS(4491),
    [anon_sym_let] = ACTIONS(4491),
    [anon_sym_orderby] = ACTIONS(4491),
    [anon_sym_ascending] = ACTIONS(4491),
    [anon_sym_descending] = ACTIONS(4491),
    [anon_sym_group] = ACTIONS(4491),
    [anon_sym_by] = ACTIONS(4491),
    [anon_sym_select] = ACTIONS(4491),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4427] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8583),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4427),
    [sym_preproc_endregion] = STATE(4427),
    [sym_preproc_line] = STATE(4427),
    [sym_preproc_pragma] = STATE(4427),
    [sym_preproc_nullable] = STATE(4427),
    [sym_preproc_error] = STATE(4427),
    [sym_preproc_define] = STATE(4427),
    [sym_preproc_undef] = STATE(4427),
    [aux_sym_type_argument_list_repeat1] = STATE(8584),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6324),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4428] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4428),
    [sym_preproc_endregion] = STATE(4428),
    [sym_preproc_line] = STATE(4428),
    [sym_preproc_pragma] = STATE(4428),
    [sym_preproc_nullable] = STATE(4428),
    [sym_preproc_error] = STATE(4428),
    [sym_preproc_define] = STATE(4428),
    [sym_preproc_undef] = STATE(4428),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6326),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6326),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6326),
    [anon_sym_or] = ACTIONS(6328),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6326),
    [anon_sym_into] = ACTIONS(6326),
    [anon_sym_join] = ACTIONS(6326),
    [anon_sym_let] = ACTIONS(6326),
    [anon_sym_orderby] = ACTIONS(6326),
    [anon_sym_ascending] = ACTIONS(6326),
    [anon_sym_descending] = ACTIONS(6326),
    [anon_sym_group] = ACTIONS(6326),
    [anon_sym_select] = ACTIONS(6326),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4429] = {
    [sym_preproc_region] = STATE(4429),
    [sym_preproc_endregion] = STATE(4429),
    [sym_preproc_line] = STATE(4429),
    [sym_preproc_pragma] = STATE(4429),
    [sym_preproc_nullable] = STATE(4429),
    [sym_preproc_error] = STATE(4429),
    [sym_preproc_define] = STATE(4429),
    [sym_preproc_undef] = STATE(4429),
    [sym__identifier_token] = ACTIONS(5697),
    [anon_sym_extern] = ACTIONS(5697),
    [anon_sym_alias] = ACTIONS(5697),
    [anon_sym_global] = ACTIONS(5697),
    [anon_sym_unsafe] = ACTIONS(5697),
    [anon_sym_static] = ACTIONS(5697),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_abstract] = ACTIONS(5697),
    [anon_sym_async] = ACTIONS(5697),
    [anon_sym_const] = ACTIONS(5697),
    [anon_sym_file] = ACTIONS(5697),
    [anon_sym_fixed] = ACTIONS(5697),
    [anon_sym_internal] = ACTIONS(5697),
    [anon_sym_new] = ACTIONS(5697),
    [anon_sym_override] = ACTIONS(5697),
    [anon_sym_partial] = ACTIONS(5697),
    [anon_sym_private] = ACTIONS(5697),
    [anon_sym_protected] = ACTIONS(5697),
    [anon_sym_public] = ACTIONS(5697),
    [anon_sym_readonly] = ACTIONS(5697),
    [anon_sym_required] = ACTIONS(5697),
    [anon_sym_sealed] = ACTIONS(5697),
    [anon_sym_virtual] = ACTIONS(5697),
    [anon_sym_volatile] = ACTIONS(5697),
    [anon_sym_where] = ACTIONS(5697),
    [anon_sym_notnull] = ACTIONS(5697),
    [anon_sym_unmanaged] = ACTIONS(5697),
    [anon_sym_get] = ACTIONS(5697),
    [anon_sym_set] = ACTIONS(5697),
    [anon_sym_add] = ACTIONS(5697),
    [anon_sym_remove] = ACTIONS(5697),
    [anon_sym_init] = ACTIONS(5697),
    [anon_sym_scoped] = ACTIONS(5697),
    [anon_sym_var] = ACTIONS(5697),
    [anon_sym_yield] = ACTIONS(5697),
    [anon_sym_when] = ACTIONS(5697),
    [anon_sym_from] = ACTIONS(5697),
    [anon_sym_into] = ACTIONS(5697),
    [anon_sym_join] = ACTIONS(5697),
    [anon_sym_on] = ACTIONS(5697),
    [anon_sym_equals] = ACTIONS(5697),
    [anon_sym_let] = ACTIONS(5697),
    [anon_sym_orderby] = ACTIONS(5697),
    [anon_sym_ascending] = ACTIONS(5697),
    [anon_sym_descending] = ACTIONS(5697),
    [anon_sym_group] = ACTIONS(5697),
    [anon_sym_by] = ACTIONS(5697),
    [anon_sym_select] = ACTIONS(5697),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4430] = {
    [sym_argument_list] = STATE(3925),
    [sym__name] = STATE(6225),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_type] = STATE(3826),
    [sym_implicit_type] = STATE(3973),
    [sym_array_type] = STATE(6089),
    [sym__array_base_type] = STATE(8858),
    [sym_nullable_type] = STATE(3984),
    [sym_pointer_type] = STATE(3984),
    [sym__pointer_base_type] = STATE(9515),
    [sym_function_pointer_type] = STATE(3984),
    [sym_ref_type] = STATE(3973),
    [sym_scoped_type] = STATE(3973),
    [sym_tuple_type] = STATE(3987),
    [sym_identifier] = STATE(5465),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(4430),
    [sym_preproc_endregion] = STATE(4430),
    [sym_preproc_line] = STATE(4430),
    [sym_preproc_pragma] = STATE(4430),
    [sym_preproc_nullable] = STATE(4430),
    [sym_preproc_error] = STATE(4430),
    [sym_preproc_define] = STATE(4430),
    [sym_preproc_undef] = STATE(4430),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_LPAREN] = ACTIONS(6239),
    [anon_sym_ref] = ACTIONS(4573),
    [anon_sym_LBRACE] = ACTIONS(6241),
    [anon_sym_delegate] = ACTIONS(6243),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_scoped] = ACTIONS(6330),
    [anon_sym_var] = ACTIONS(6247),
    [sym_predefined_type] = ACTIONS(6249),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4431] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4431),
    [sym_preproc_endregion] = STATE(4431),
    [sym_preproc_line] = STATE(4431),
    [sym_preproc_pragma] = STATE(4431),
    [sym_preproc_nullable] = STATE(4431),
    [sym_preproc_error] = STATE(4431),
    [sym_preproc_define] = STATE(4431),
    [sym_preproc_undef] = STATE(4431),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5488),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(5486),
    [anon_sym_into] = ACTIONS(5486),
    [anon_sym_join] = ACTIONS(5486),
    [anon_sym_let] = ACTIONS(5486),
    [anon_sym_orderby] = ACTIONS(5486),
    [anon_sym_ascending] = ACTIONS(5486),
    [anon_sym_descending] = ACTIONS(5486),
    [anon_sym_group] = ACTIONS(5486),
    [anon_sym_select] = ACTIONS(5486),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4432] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4862),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(4432),
    [sym_preproc_endregion] = STATE(4432),
    [sym_preproc_line] = STATE(4432),
    [sym_preproc_pragma] = STATE(4432),
    [sym_preproc_nullable] = STATE(4432),
    [sym_preproc_error] = STATE(4432),
    [sym_preproc_define] = STATE(4432),
    [sym_preproc_undef] = STATE(4432),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(6332),
    [anon_sym_ref] = ACTIONS(4700),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(6334),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4433] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4433),
    [sym_preproc_endregion] = STATE(4433),
    [sym_preproc_line] = STATE(4433),
    [sym_preproc_pragma] = STATE(4433),
    [sym_preproc_nullable] = STATE(4433),
    [sym_preproc_error] = STATE(4433),
    [sym_preproc_define] = STATE(4433),
    [sym_preproc_undef] = STATE(4433),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(5612),
    [anon_sym_or] = ACTIONS(5614),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(5612),
    [anon_sym_into] = ACTIONS(5612),
    [anon_sym_join] = ACTIONS(5612),
    [anon_sym_let] = ACTIONS(5612),
    [anon_sym_orderby] = ACTIONS(5612),
    [anon_sym_ascending] = ACTIONS(5612),
    [anon_sym_descending] = ACTIONS(5612),
    [anon_sym_group] = ACTIONS(5612),
    [anon_sym_select] = ACTIONS(5612),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4434] = {
    [sym_preproc_region] = STATE(4434),
    [sym_preproc_endregion] = STATE(4434),
    [sym_preproc_line] = STATE(4434),
    [sym_preproc_pragma] = STATE(4434),
    [sym_preproc_nullable] = STATE(4434),
    [sym_preproc_error] = STATE(4434),
    [sym_preproc_define] = STATE(4434),
    [sym_preproc_undef] = STATE(4434),
    [sym__identifier_token] = ACTIONS(5713),
    [anon_sym_extern] = ACTIONS(5713),
    [anon_sym_alias] = ACTIONS(5713),
    [anon_sym_global] = ACTIONS(5713),
    [anon_sym_unsafe] = ACTIONS(5713),
    [anon_sym_static] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5715),
    [anon_sym_abstract] = ACTIONS(5713),
    [anon_sym_async] = ACTIONS(5713),
    [anon_sym_const] = ACTIONS(5713),
    [anon_sym_file] = ACTIONS(5713),
    [anon_sym_fixed] = ACTIONS(5713),
    [anon_sym_internal] = ACTIONS(5713),
    [anon_sym_new] = ACTIONS(5713),
    [anon_sym_override] = ACTIONS(5713),
    [anon_sym_partial] = ACTIONS(5713),
    [anon_sym_private] = ACTIONS(5713),
    [anon_sym_protected] = ACTIONS(5713),
    [anon_sym_public] = ACTIONS(5713),
    [anon_sym_readonly] = ACTIONS(5713),
    [anon_sym_required] = ACTIONS(5713),
    [anon_sym_sealed] = ACTIONS(5713),
    [anon_sym_virtual] = ACTIONS(5713),
    [anon_sym_volatile] = ACTIONS(5713),
    [anon_sym_where] = ACTIONS(5713),
    [anon_sym_notnull] = ACTIONS(5713),
    [anon_sym_unmanaged] = ACTIONS(5713),
    [anon_sym_get] = ACTIONS(5713),
    [anon_sym_set] = ACTIONS(5713),
    [anon_sym_add] = ACTIONS(5713),
    [anon_sym_remove] = ACTIONS(5713),
    [anon_sym_init] = ACTIONS(5713),
    [anon_sym_scoped] = ACTIONS(5713),
    [anon_sym_var] = ACTIONS(5713),
    [anon_sym_yield] = ACTIONS(5713),
    [anon_sym_when] = ACTIONS(5713),
    [anon_sym_from] = ACTIONS(5713),
    [anon_sym_into] = ACTIONS(5713),
    [anon_sym_join] = ACTIONS(5713),
    [anon_sym_on] = ACTIONS(5713),
    [anon_sym_equals] = ACTIONS(5713),
    [anon_sym_let] = ACTIONS(5713),
    [anon_sym_orderby] = ACTIONS(5713),
    [anon_sym_ascending] = ACTIONS(5713),
    [anon_sym_descending] = ACTIONS(5713),
    [anon_sym_group] = ACTIONS(5713),
    [anon_sym_by] = ACTIONS(5713),
    [anon_sym_select] = ACTIONS(5713),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4435] = {
    [sym_block] = STATE(2228),
    [sym_preproc_region] = STATE(4435),
    [sym_preproc_endregion] = STATE(4435),
    [sym_preproc_line] = STATE(4435),
    [sym_preproc_pragma] = STATE(4435),
    [sym_preproc_nullable] = STATE(4435),
    [sym_preproc_error] = STATE(4435),
    [sym_preproc_define] = STATE(4435),
    [sym_preproc_undef] = STATE(4435),
    [sym__identifier_token] = ACTIONS(4040),
    [anon_sym_extern] = ACTIONS(4040),
    [anon_sym_alias] = ACTIONS(4040),
    [anon_sym_global] = ACTIONS(4040),
    [anon_sym_unsafe] = ACTIONS(4040),
    [anon_sym_static] = ACTIONS(4040),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_ref] = ACTIONS(4040),
    [anon_sym_LBRACE] = ACTIONS(5786),
    [anon_sym_delegate] = ACTIONS(4040),
    [anon_sym_abstract] = ACTIONS(4040),
    [anon_sym_async] = ACTIONS(4040),
    [anon_sym_const] = ACTIONS(4040),
    [anon_sym_file] = ACTIONS(4040),
    [anon_sym_fixed] = ACTIONS(4040),
    [anon_sym_internal] = ACTIONS(4040),
    [anon_sym_new] = ACTIONS(4040),
    [anon_sym_override] = ACTIONS(4040),
    [anon_sym_partial] = ACTIONS(4040),
    [anon_sym_private] = ACTIONS(4040),
    [anon_sym_protected] = ACTIONS(4040),
    [anon_sym_public] = ACTIONS(4040),
    [anon_sym_readonly] = ACTIONS(4040),
    [anon_sym_required] = ACTIONS(4040),
    [anon_sym_sealed] = ACTIONS(4040),
    [anon_sym_virtual] = ACTIONS(4040),
    [anon_sym_volatile] = ACTIONS(4040),
    [anon_sym_where] = ACTIONS(4040),
    [anon_sym_notnull] = ACTIONS(4040),
    [anon_sym_unmanaged] = ACTIONS(4040),
    [anon_sym_scoped] = ACTIONS(4040),
    [anon_sym_var] = ACTIONS(4040),
    [sym_predefined_type] = ACTIONS(4040),
    [anon_sym_yield] = ACTIONS(4040),
    [anon_sym_when] = ACTIONS(4040),
    [anon_sym_from] = ACTIONS(4040),
    [anon_sym_into] = ACTIONS(4040),
    [anon_sym_join] = ACTIONS(4040),
    [anon_sym_on] = ACTIONS(4040),
    [anon_sym_equals] = ACTIONS(4040),
    [anon_sym_let] = ACTIONS(4040),
    [anon_sym_orderby] = ACTIONS(4040),
    [anon_sym_ascending] = ACTIONS(4040),
    [anon_sym_descending] = ACTIONS(4040),
    [anon_sym_group] = ACTIONS(4040),
    [anon_sym_by] = ACTIONS(4040),
    [anon_sym_select] = ACTIONS(4040),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4436] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4436),
    [sym_preproc_endregion] = STATE(4436),
    [sym_preproc_line] = STATE(4436),
    [sym_preproc_pragma] = STATE(4436),
    [sym_preproc_nullable] = STATE(4436),
    [sym_preproc_error] = STATE(4436),
    [sym_preproc_define] = STATE(4436),
    [sym_preproc_undef] = STATE(4436),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6336),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6336),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6336),
    [anon_sym_or] = ACTIONS(6338),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6336),
    [anon_sym_into] = ACTIONS(6336),
    [anon_sym_join] = ACTIONS(6336),
    [anon_sym_let] = ACTIONS(6336),
    [anon_sym_orderby] = ACTIONS(6336),
    [anon_sym_ascending] = ACTIONS(6336),
    [anon_sym_descending] = ACTIONS(6336),
    [anon_sym_group] = ACTIONS(6336),
    [anon_sym_select] = ACTIONS(6336),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4437] = {
    [sym_argument_list] = STATE(3809),
    [sym__name] = STATE(3888),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_type] = STATE(3805),
    [sym_implicit_type] = STATE(3884),
    [sym_array_type] = STATE(3815),
    [sym__array_base_type] = STATE(8963),
    [sym_nullable_type] = STATE(3886),
    [sym_pointer_type] = STATE(3886),
    [sym__pointer_base_type] = STATE(9261),
    [sym_function_pointer_type] = STATE(3886),
    [sym_ref_type] = STATE(3884),
    [sym_scoped_type] = STATE(3884),
    [sym_tuple_type] = STATE(3887),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(4437),
    [sym_preproc_endregion] = STATE(4437),
    [sym_preproc_line] = STATE(4437),
    [sym_preproc_pragma] = STATE(4437),
    [sym_preproc_nullable] = STATE(4437),
    [sym_preproc_error] = STATE(4437),
    [sym_preproc_define] = STATE(4437),
    [sym_preproc_undef] = STATE(4437),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_LPAREN] = ACTIONS(6286),
    [anon_sym_ref] = ACTIONS(4644),
    [anon_sym_LBRACE] = ACTIONS(6288),
    [anon_sym_delegate] = ACTIONS(6290),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_scoped] = ACTIONS(6340),
    [anon_sym_var] = ACTIONS(6294),
    [sym_predefined_type] = ACTIONS(6296),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4223),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4438] = {
    [sym_preproc_region] = STATE(4438),
    [sym_preproc_endregion] = STATE(4438),
    [sym_preproc_line] = STATE(4438),
    [sym_preproc_pragma] = STATE(4438),
    [sym_preproc_nullable] = STATE(4438),
    [sym_preproc_error] = STATE(4438),
    [sym_preproc_define] = STATE(4438),
    [sym_preproc_undef] = STATE(4438),
    [anon_sym_EQ] = ACTIONS(6342),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6344),
    [anon_sym_DASH_EQ] = ACTIONS(6344),
    [anon_sym_STAR_EQ] = ACTIONS(6344),
    [anon_sym_SLASH_EQ] = ACTIONS(6344),
    [anon_sym_PERCENT_EQ] = ACTIONS(6344),
    [anon_sym_AMP_EQ] = ACTIONS(6344),
    [anon_sym_CARET_EQ] = ACTIONS(6344),
    [anon_sym_PIPE_EQ] = ACTIONS(6344),
    [anon_sym_LT_LT_EQ] = ACTIONS(6344),
    [anon_sym_GT_GT_EQ] = ACTIONS(6344),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6344),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6344),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_into] = ACTIONS(5305),
    [anon_sym_equals] = ACTIONS(5305),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4439] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(4439),
    [sym_preproc_endregion] = STATE(4439),
    [sym_preproc_line] = STATE(4439),
    [sym_preproc_pragma] = STATE(4439),
    [sym_preproc_nullable] = STATE(4439),
    [sym_preproc_error] = STATE(4439),
    [sym_preproc_define] = STATE(4439),
    [sym_preproc_undef] = STATE(4439),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4339),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(4524),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4440] = {
    [sym_initializer_expression] = STATE(4687),
    [sym_preproc_region] = STATE(4440),
    [sym_preproc_endregion] = STATE(4440),
    [sym_preproc_line] = STATE(4440),
    [sym_preproc_pragma] = STATE(4440),
    [sym_preproc_nullable] = STATE(4440),
    [sym_preproc_error] = STATE(4440),
    [sym_preproc_define] = STATE(4440),
    [sym_preproc_undef] = STATE(4440),
    [anon_sym_LBRACK] = ACTIONS(5279),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_LPAREN] = ACTIONS(5279),
    [anon_sym_LBRACE] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(5281),
    [anon_sym_GT] = ACTIONS(5281),
    [anon_sym_where] = ACTIONS(5279),
    [anon_sym_QMARK] = ACTIONS(5281),
    [anon_sym_BANG] = ACTIONS(5281),
    [anon_sym_PLUS_PLUS] = ACTIONS(5279),
    [anon_sym_DASH_DASH] = ACTIONS(5279),
    [anon_sym_PLUS] = ACTIONS(5281),
    [anon_sym_DASH] = ACTIONS(5281),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_SLASH] = ACTIONS(5281),
    [anon_sym_PERCENT] = ACTIONS(5279),
    [anon_sym_CARET] = ACTIONS(5279),
    [anon_sym_PIPE] = ACTIONS(5281),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_LT_LT] = ACTIONS(5279),
    [anon_sym_GT_GT] = ACTIONS(5281),
    [anon_sym_GT_GT_GT] = ACTIONS(5279),
    [anon_sym_EQ_EQ] = ACTIONS(5279),
    [anon_sym_BANG_EQ] = ACTIONS(5279),
    [anon_sym_GT_EQ] = ACTIONS(5279),
    [anon_sym_LT_EQ] = ACTIONS(5279),
    [anon_sym_DOT] = ACTIONS(5281),
    [anon_sym_switch] = ACTIONS(5279),
    [anon_sym_DOT_DOT] = ACTIONS(5279),
    [anon_sym_and] = ACTIONS(5279),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_QMARK_QMARK] = ACTIONS(5279),
    [anon_sym_from] = ACTIONS(5279),
    [anon_sym_into] = ACTIONS(5279),
    [anon_sym_join] = ACTIONS(5279),
    [anon_sym_let] = ACTIONS(5279),
    [anon_sym_orderby] = ACTIONS(5279),
    [anon_sym_ascending] = ACTIONS(5279),
    [anon_sym_descending] = ACTIONS(5279),
    [anon_sym_group] = ACTIONS(5279),
    [anon_sym_select] = ACTIONS(5279),
    [anon_sym_as] = ACTIONS(5281),
    [anon_sym_is] = ACTIONS(5279),
    [anon_sym_DASH_GT] = ACTIONS(5279),
    [anon_sym_with] = ACTIONS(5279),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4441] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8473),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4441),
    [sym_preproc_endregion] = STATE(4441),
    [sym_preproc_line] = STATE(4441),
    [sym_preproc_pragma] = STATE(4441),
    [sym_preproc_nullable] = STATE(4441),
    [sym_preproc_error] = STATE(4441),
    [sym_preproc_define] = STATE(4441),
    [sym_preproc_undef] = STATE(4441),
    [aux_sym_type_argument_list_repeat1] = STATE(8477),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6346),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4442] = {
    [sym_argument_list] = STATE(3809),
    [sym__name] = STATE(3888),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_type] = STATE(3805),
    [sym_implicit_type] = STATE(3884),
    [sym_array_type] = STATE(3815),
    [sym__array_base_type] = STATE(8963),
    [sym_nullable_type] = STATE(3886),
    [sym_pointer_type] = STATE(3886),
    [sym__pointer_base_type] = STATE(9261),
    [sym_function_pointer_type] = STATE(3886),
    [sym_ref_type] = STATE(3884),
    [sym_scoped_type] = STATE(3884),
    [sym_tuple_type] = STATE(3887),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(4442),
    [sym_preproc_endregion] = STATE(4442),
    [sym_preproc_line] = STATE(4442),
    [sym_preproc_pragma] = STATE(4442),
    [sym_preproc_nullable] = STATE(4442),
    [sym_preproc_error] = STATE(4442),
    [sym_preproc_define] = STATE(4442),
    [sym_preproc_undef] = STATE(4442),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_LPAREN] = ACTIONS(6286),
    [anon_sym_ref] = ACTIONS(4225),
    [anon_sym_LBRACE] = ACTIONS(6288),
    [anon_sym_delegate] = ACTIONS(6290),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_scoped] = ACTIONS(6348),
    [anon_sym_var] = ACTIONS(6294),
    [sym_predefined_type] = ACTIONS(6296),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4223),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4443] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8672),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4443),
    [sym_preproc_endregion] = STATE(4443),
    [sym_preproc_line] = STATE(4443),
    [sym_preproc_pragma] = STATE(4443),
    [sym_preproc_nullable] = STATE(4443),
    [sym_preproc_error] = STATE(4443),
    [sym_preproc_define] = STATE(4443),
    [sym_preproc_undef] = STATE(4443),
    [aux_sym_type_argument_list_repeat1] = STATE(8673),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6350),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4444] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4444),
    [sym_preproc_endregion] = STATE(4444),
    [sym_preproc_line] = STATE(4444),
    [sym_preproc_pragma] = STATE(4444),
    [sym_preproc_nullable] = STATE(4444),
    [sym_preproc_error] = STATE(4444),
    [sym_preproc_define] = STATE(4444),
    [sym_preproc_undef] = STATE(4444),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6352),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6352),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6352),
    [anon_sym_or] = ACTIONS(6354),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6352),
    [anon_sym_into] = ACTIONS(6352),
    [anon_sym_join] = ACTIONS(6352),
    [anon_sym_let] = ACTIONS(6352),
    [anon_sym_orderby] = ACTIONS(6352),
    [anon_sym_ascending] = ACTIONS(6352),
    [anon_sym_descending] = ACTIONS(6352),
    [anon_sym_group] = ACTIONS(6352),
    [anon_sym_select] = ACTIONS(6352),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4445] = {
    [sym_argument_list] = STATE(3809),
    [sym__name] = STATE(3888),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_type] = STATE(3805),
    [sym_implicit_type] = STATE(3884),
    [sym_array_type] = STATE(3815),
    [sym__array_base_type] = STATE(8963),
    [sym_nullable_type] = STATE(3886),
    [sym_pointer_type] = STATE(3886),
    [sym__pointer_base_type] = STATE(9261),
    [sym_function_pointer_type] = STATE(3886),
    [sym_ref_type] = STATE(3884),
    [sym_scoped_type] = STATE(3884),
    [sym_tuple_type] = STATE(3887),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(4445),
    [sym_preproc_endregion] = STATE(4445),
    [sym_preproc_line] = STATE(4445),
    [sym_preproc_pragma] = STATE(4445),
    [sym_preproc_nullable] = STATE(4445),
    [sym_preproc_error] = STATE(4445),
    [sym_preproc_define] = STATE(4445),
    [sym_preproc_undef] = STATE(4445),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_LPAREN] = ACTIONS(6286),
    [anon_sym_ref] = ACTIONS(4713),
    [anon_sym_LBRACE] = ACTIONS(6288),
    [anon_sym_delegate] = ACTIONS(6290),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_scoped] = ACTIONS(6356),
    [anon_sym_var] = ACTIONS(6294),
    [sym_predefined_type] = ACTIONS(6296),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4223),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4446] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4446),
    [sym_preproc_endregion] = STATE(4446),
    [sym_preproc_line] = STATE(4446),
    [sym_preproc_pragma] = STATE(4446),
    [sym_preproc_nullable] = STATE(4446),
    [sym_preproc_error] = STATE(4446),
    [sym_preproc_define] = STATE(4446),
    [sym_preproc_undef] = STATE(4446),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6358),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(6358),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6358),
    [anon_sym_or] = ACTIONS(6360),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(6358),
    [anon_sym_into] = ACTIONS(6358),
    [anon_sym_join] = ACTIONS(6358),
    [anon_sym_let] = ACTIONS(6358),
    [anon_sym_orderby] = ACTIONS(6358),
    [anon_sym_ascending] = ACTIONS(6358),
    [anon_sym_descending] = ACTIONS(6358),
    [anon_sym_group] = ACTIONS(6358),
    [anon_sym_select] = ACTIONS(6358),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4447] = {
    [sym_argument_list] = STATE(3809),
    [sym__name] = STATE(3888),
    [sym_alias_qualified_name] = STATE(3882),
    [sym__simple_name] = STATE(3882),
    [sym_qualified_name] = STATE(3882),
    [sym_generic_name] = STATE(3914),
    [sym_type] = STATE(3805),
    [sym_implicit_type] = STATE(3884),
    [sym_array_type] = STATE(3815),
    [sym__array_base_type] = STATE(8963),
    [sym_nullable_type] = STATE(3886),
    [sym_pointer_type] = STATE(3886),
    [sym__pointer_base_type] = STATE(9261),
    [sym_function_pointer_type] = STATE(3886),
    [sym_ref_type] = STATE(3884),
    [sym_scoped_type] = STATE(3884),
    [sym_tuple_type] = STATE(3887),
    [sym_identifier] = STATE(3801),
    [sym__reserved_identifier] = STATE(3825),
    [sym_preproc_region] = STATE(4447),
    [sym_preproc_endregion] = STATE(4447),
    [sym_preproc_line] = STATE(4447),
    [sym_preproc_pragma] = STATE(4447),
    [sym_preproc_nullable] = STATE(4447),
    [sym_preproc_error] = STATE(4447),
    [sym_preproc_define] = STATE(4447),
    [sym_preproc_undef] = STATE(4447),
    [sym__identifier_token] = ACTIONS(4221),
    [anon_sym_alias] = ACTIONS(4223),
    [anon_sym_global] = ACTIONS(4223),
    [anon_sym_LBRACK] = ACTIONS(6284),
    [anon_sym_LPAREN] = ACTIONS(6286),
    [anon_sym_ref] = ACTIONS(4532),
    [anon_sym_LBRACE] = ACTIONS(6288),
    [anon_sym_delegate] = ACTIONS(6290),
    [anon_sym_file] = ACTIONS(4223),
    [anon_sym_where] = ACTIONS(4223),
    [anon_sym_notnull] = ACTIONS(4223),
    [anon_sym_unmanaged] = ACTIONS(4223),
    [anon_sym_scoped] = ACTIONS(6362),
    [anon_sym_var] = ACTIONS(6294),
    [sym_predefined_type] = ACTIONS(6296),
    [anon_sym_yield] = ACTIONS(4223),
    [anon_sym_when] = ACTIONS(4223),
    [anon_sym_from] = ACTIONS(4223),
    [anon_sym_into] = ACTIONS(4223),
    [anon_sym_join] = ACTIONS(4223),
    [anon_sym_on] = ACTIONS(4223),
    [anon_sym_equals] = ACTIONS(4223),
    [anon_sym_let] = ACTIONS(4223),
    [anon_sym_orderby] = ACTIONS(4223),
    [anon_sym_ascending] = ACTIONS(4223),
    [anon_sym_descending] = ACTIONS(4223),
    [anon_sym_group] = ACTIONS(4223),
    [anon_sym_by] = ACTIONS(4223),
    [anon_sym_select] = ACTIONS(4223),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4448] = {
    [sym_argument_list] = STATE(3614),
    [sym__name] = STATE(3743),
    [sym_alias_qualified_name] = STATE(3648),
    [sym__simple_name] = STATE(3648),
    [sym_qualified_name] = STATE(3648),
    [sym_generic_name] = STATE(3667),
    [sym_type] = STATE(4104),
    [sym_implicit_type] = STATE(3652),
    [sym_array_type] = STATE(3623),
    [sym__array_base_type] = STATE(8985),
    [sym_nullable_type] = STATE(3657),
    [sym_pointer_type] = STATE(3657),
    [sym__pointer_base_type] = STATE(9966),
    [sym_function_pointer_type] = STATE(3657),
    [sym_ref_type] = STATE(3652),
    [sym_scoped_type] = STATE(3652),
    [sym_tuple_type] = STATE(3658),
    [sym_identifier] = STATE(3618),
    [sym__reserved_identifier] = STATE(3621),
    [sym_preproc_region] = STATE(4448),
    [sym_preproc_endregion] = STATE(4448),
    [sym_preproc_line] = STATE(4448),
    [sym_preproc_pragma] = STATE(4448),
    [sym_preproc_nullable] = STATE(4448),
    [sym_preproc_error] = STATE(4448),
    [sym_preproc_define] = STATE(4448),
    [sym_preproc_undef] = STATE(4448),
    [sym__identifier_token] = ACTIONS(4335),
    [anon_sym_alias] = ACTIONS(4337),
    [anon_sym_global] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(4516),
    [anon_sym_LPAREN] = ACTIONS(4518),
    [anon_sym_ref] = ACTIONS(4723),
    [anon_sym_LBRACE] = ACTIONS(4520),
    [anon_sym_delegate] = ACTIONS(4522),
    [anon_sym_file] = ACTIONS(4337),
    [anon_sym_where] = ACTIONS(4337),
    [anon_sym_notnull] = ACTIONS(4337),
    [anon_sym_unmanaged] = ACTIONS(4337),
    [anon_sym_scoped] = ACTIONS(6364),
    [anon_sym_var] = ACTIONS(4526),
    [sym_predefined_type] = ACTIONS(4528),
    [anon_sym_yield] = ACTIONS(4337),
    [anon_sym_when] = ACTIONS(4337),
    [anon_sym_from] = ACTIONS(4337),
    [anon_sym_into] = ACTIONS(4337),
    [anon_sym_join] = ACTIONS(4337),
    [anon_sym_on] = ACTIONS(4337),
    [anon_sym_equals] = ACTIONS(4337),
    [anon_sym_let] = ACTIONS(4337),
    [anon_sym_orderby] = ACTIONS(4337),
    [anon_sym_ascending] = ACTIONS(4337),
    [anon_sym_descending] = ACTIONS(4337),
    [anon_sym_group] = ACTIONS(4337),
    [anon_sym_by] = ACTIONS(4337),
    [anon_sym_select] = ACTIONS(4337),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4449] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4449),
    [sym_preproc_endregion] = STATE(4449),
    [sym_preproc_line] = STATE(4449),
    [sym_preproc_pragma] = STATE(4449),
    [sym_preproc_nullable] = STATE(4449),
    [sym_preproc_error] = STATE(4449),
    [sym_preproc_define] = STATE(4449),
    [sym_preproc_undef] = STATE(4449),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(6366),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6368),
    [anon_sym_GT] = ACTIONS(6368),
    [anon_sym_where] = ACTIONS(6366),
    [anon_sym_QMARK] = ACTIONS(6368),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6368),
    [anon_sym_DASH] = ACTIONS(6368),
    [anon_sym_STAR] = ACTIONS(6366),
    [anon_sym_SLASH] = ACTIONS(6368),
    [anon_sym_PERCENT] = ACTIONS(6366),
    [anon_sym_CARET] = ACTIONS(6366),
    [anon_sym_PIPE] = ACTIONS(6368),
    [anon_sym_AMP] = ACTIONS(6368),
    [anon_sym_LT_LT] = ACTIONS(6366),
    [anon_sym_GT_GT] = ACTIONS(6368),
    [anon_sym_GT_GT_GT] = ACTIONS(6366),
    [anon_sym_EQ_EQ] = ACTIONS(6366),
    [anon_sym_BANG_EQ] = ACTIONS(6366),
    [anon_sym_GT_EQ] = ACTIONS(6366),
    [anon_sym_LT_EQ] = ACTIONS(6366),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6366),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(6366),
    [anon_sym_or] = ACTIONS(6368),
    [anon_sym_AMP_AMP] = ACTIONS(6366),
    [anon_sym_PIPE_PIPE] = ACTIONS(6366),
    [anon_sym_QMARK_QMARK] = ACTIONS(6366),
    [anon_sym_from] = ACTIONS(6366),
    [anon_sym_into] = ACTIONS(6366),
    [anon_sym_join] = ACTIONS(6366),
    [anon_sym_let] = ACTIONS(6366),
    [anon_sym_orderby] = ACTIONS(6366),
    [anon_sym_ascending] = ACTIONS(6366),
    [anon_sym_descending] = ACTIONS(6366),
    [anon_sym_group] = ACTIONS(6366),
    [anon_sym_select] = ACTIONS(6366),
    [anon_sym_as] = ACTIONS(6368),
    [anon_sym_is] = ACTIONS(6366),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6366),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4450] = {
    [sym_preproc_region] = STATE(4450),
    [sym_preproc_endregion] = STATE(4450),
    [sym_preproc_line] = STATE(4450),
    [sym_preproc_pragma] = STATE(4450),
    [sym_preproc_nullable] = STATE(4450),
    [sym_preproc_error] = STATE(4450),
    [sym_preproc_define] = STATE(4450),
    [sym_preproc_undef] = STATE(4450),
    [anon_sym_EQ] = ACTIONS(6044),
    [anon_sym_LBRACK] = ACTIONS(5305),
    [anon_sym_COMMA] = ACTIONS(5305),
    [anon_sym_LPAREN] = ACTIONS(5305),
    [anon_sym_RPAREN] = ACTIONS(6370),
    [anon_sym_LT] = ACTIONS(5307),
    [anon_sym_GT] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(5307),
    [anon_sym_BANG] = ACTIONS(5307),
    [anon_sym_PLUS_PLUS] = ACTIONS(5305),
    [anon_sym_DASH_DASH] = ACTIONS(5305),
    [anon_sym_PLUS] = ACTIONS(5307),
    [anon_sym_DASH] = ACTIONS(5307),
    [anon_sym_STAR] = ACTIONS(5307),
    [anon_sym_SLASH] = ACTIONS(5307),
    [anon_sym_PERCENT] = ACTIONS(5307),
    [anon_sym_CARET] = ACTIONS(5307),
    [anon_sym_PIPE] = ACTIONS(5307),
    [anon_sym_AMP] = ACTIONS(5307),
    [anon_sym_LT_LT] = ACTIONS(5307),
    [anon_sym_GT_GT] = ACTIONS(5307),
    [anon_sym_GT_GT_GT] = ACTIONS(5307),
    [anon_sym_EQ_EQ] = ACTIONS(5305),
    [anon_sym_BANG_EQ] = ACTIONS(5305),
    [anon_sym_GT_EQ] = ACTIONS(5305),
    [anon_sym_LT_EQ] = ACTIONS(5305),
    [anon_sym_DOT] = ACTIONS(5307),
    [anon_sym_switch] = ACTIONS(5305),
    [anon_sym_DOT_DOT] = ACTIONS(5305),
    [anon_sym_PLUS_EQ] = ACTIONS(6046),
    [anon_sym_DASH_EQ] = ACTIONS(6046),
    [anon_sym_STAR_EQ] = ACTIONS(6046),
    [anon_sym_SLASH_EQ] = ACTIONS(6046),
    [anon_sym_PERCENT_EQ] = ACTIONS(6046),
    [anon_sym_AMP_EQ] = ACTIONS(6046),
    [anon_sym_CARET_EQ] = ACTIONS(6046),
    [anon_sym_PIPE_EQ] = ACTIONS(6046),
    [anon_sym_LT_LT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(6046),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(6046),
    [anon_sym_AMP_AMP] = ACTIONS(5305),
    [anon_sym_PIPE_PIPE] = ACTIONS(5305),
    [anon_sym_QMARK_QMARK] = ACTIONS(5307),
    [anon_sym_as] = ACTIONS(5305),
    [anon_sym_is] = ACTIONS(5305),
    [anon_sym_DASH_GT] = ACTIONS(5305),
    [anon_sym_with] = ACTIONS(5305),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4451] = {
    [sym_argument_list] = STATE(3925),
    [sym__name] = STATE(4114),
    [sym_alias_qualified_name] = STATE(3971),
    [sym__simple_name] = STATE(3971),
    [sym_qualified_name] = STATE(3971),
    [sym_generic_name] = STATE(4055),
    [sym_type] = STATE(3826),
    [sym_implicit_type] = STATE(3973),
    [sym_array_type] = STATE(4054),
    [sym__array_base_type] = STATE(8858),
    [sym_nullable_type] = STATE(3984),
    [sym_pointer_type] = STATE(3984),
    [sym__pointer_base_type] = STATE(9515),
    [sym_function_pointer_type] = STATE(3984),
    [sym_ref_type] = STATE(3973),
    [sym_scoped_type] = STATE(3973),
    [sym_tuple_type] = STATE(3987),
    [sym_identifier] = STATE(3926),
    [sym__reserved_identifier] = STATE(3924),
    [sym_preproc_region] = STATE(4451),
    [sym_preproc_endregion] = STATE(4451),
    [sym_preproc_line] = STATE(4451),
    [sym_preproc_pragma] = STATE(4451),
    [sym_preproc_nullable] = STATE(4451),
    [sym_preproc_error] = STATE(4451),
    [sym_preproc_define] = STATE(4451),
    [sym_preproc_undef] = STATE(4451),
    [sym__identifier_token] = ACTIONS(4232),
    [anon_sym_alias] = ACTIONS(4234),
    [anon_sym_global] = ACTIONS(4234),
    [anon_sym_LBRACK] = ACTIONS(6237),
    [anon_sym_LPAREN] = ACTIONS(6239),
    [anon_sym_ref] = ACTIONS(4650),
    [anon_sym_LBRACE] = ACTIONS(6241),
    [anon_sym_delegate] = ACTIONS(6243),
    [anon_sym_file] = ACTIONS(4234),
    [anon_sym_where] = ACTIONS(4234),
    [anon_sym_notnull] = ACTIONS(4234),
    [anon_sym_unmanaged] = ACTIONS(4234),
    [anon_sym_scoped] = ACTIONS(6372),
    [anon_sym_var] = ACTIONS(6247),
    [sym_predefined_type] = ACTIONS(6249),
    [anon_sym_yield] = ACTIONS(4234),
    [anon_sym_when] = ACTIONS(4234),
    [anon_sym_from] = ACTIONS(4234),
    [anon_sym_into] = ACTIONS(4234),
    [anon_sym_join] = ACTIONS(4234),
    [anon_sym_on] = ACTIONS(4234),
    [anon_sym_equals] = ACTIONS(4234),
    [anon_sym_let] = ACTIONS(4234),
    [anon_sym_orderby] = ACTIONS(4234),
    [anon_sym_ascending] = ACTIONS(4234),
    [anon_sym_descending] = ACTIONS(4234),
    [anon_sym_group] = ACTIONS(4234),
    [anon_sym_by] = ACTIONS(4234),
    [anon_sym_select] = ACTIONS(4234),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4452] = {
    [sym_argument_list] = STATE(4690),
    [sym_bracketed_argument_list] = STATE(3584),
    [sym_preproc_region] = STATE(4452),
    [sym_preproc_endregion] = STATE(4452),
    [sym_preproc_line] = STATE(4452),
    [sym_preproc_pragma] = STATE(4452),
    [sym_preproc_nullable] = STATE(4452),
    [sym_preproc_error] = STATE(4452),
    [sym_preproc_define] = STATE(4452),
    [sym_preproc_undef] = STATE(4452),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_LPAREN] = ACTIONS(6062),
    [anon_sym_LT] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6122),
    [anon_sym_where] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(6124),
    [anon_sym_BANG] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6130),
    [anon_sym_STAR] = ACTIONS(6132),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6132),
    [anon_sym_CARET] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6138),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6142),
    [anon_sym_GT_GT] = ACTIONS(6144),
    [anon_sym_GT_GT_GT] = ACTIONS(6142),
    [anon_sym_EQ_EQ] = ACTIONS(6146),
    [anon_sym_BANG_EQ] = ACTIONS(6146),
    [anon_sym_GT_EQ] = ACTIONS(6148),
    [anon_sym_LT_EQ] = ACTIONS(6148),
    [anon_sym_DOT] = ACTIONS(5235),
    [anon_sym_switch] = ACTIONS(6150),
    [anon_sym_DOT_DOT] = ACTIONS(6152),
    [anon_sym_and] = ACTIONS(5676),
    [anon_sym_or] = ACTIONS(5678),
    [anon_sym_AMP_AMP] = ACTIONS(6154),
    [anon_sym_PIPE_PIPE] = ACTIONS(6156),
    [anon_sym_QMARK_QMARK] = ACTIONS(6158),
    [anon_sym_from] = ACTIONS(5676),
    [anon_sym_into] = ACTIONS(5676),
    [anon_sym_join] = ACTIONS(5676),
    [anon_sym_let] = ACTIONS(5676),
    [anon_sym_orderby] = ACTIONS(5676),
    [anon_sym_ascending] = ACTIONS(5676),
    [anon_sym_descending] = ACTIONS(5676),
    [anon_sym_group] = ACTIONS(5676),
    [anon_sym_select] = ACTIONS(5676),
    [anon_sym_as] = ACTIONS(6160),
    [anon_sym_is] = ACTIONS(6162),
    [anon_sym_DASH_GT] = ACTIONS(5229),
    [anon_sym_with] = ACTIONS(6164),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4453] = {
    [sym_argument_list] = STATE(3568),
    [sym__name] = STATE(4981),
    [sym_alias_qualified_name] = STATE(3616),
    [sym__simple_name] = STATE(3616),
    [sym_qualified_name] = STATE(3616),
    [sym_generic_name] = STATE(3609),
    [sym_type] = STATE(3544),
    [sym_implicit_type] = STATE(3596),
    [sym_array_type] = STATE(4929),
    [sym__array_base_type] = STATE(8737),
    [sym_nullable_type] = STATE(3600),
    [sym_pointer_type] = STATE(3600),
    [sym__pointer_base_type] = STATE(9236),
    [sym_function_pointer_type] = STATE(3600),
    [sym_ref_type] = STATE(3596),
    [sym_scoped_type] = STATE(3596),
    [sym_tuple_type] = STATE(3602),
    [sym_identifier] = STATE(4561),
    [sym__reserved_identifier] = STATE(3581),
    [sym_preproc_region] = STATE(4453),
    [sym_preproc_endregion] = STATE(4453),
    [sym_preproc_line] = STATE(4453),
    [sym_preproc_pragma] = STATE(4453),
    [sym_preproc_nullable] = STATE(4453),
    [sym_preproc_error] = STATE(4453),
    [sym_preproc_define] = STATE(4453),
    [sym_preproc_undef] = STATE(4453),
    [sym__identifier_token] = ACTIONS(4264),
    [anon_sym_alias] = ACTIONS(4266),
    [anon_sym_global] = ACTIONS(4266),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [anon_sym_LPAREN] = ACTIONS(6180),
    [anon_sym_ref] = ACTIONS(4682),
    [anon_sym_LBRACE] = ACTIONS(6182),
    [anon_sym_delegate] = ACTIONS(6184),
    [anon_sym_file] = ACTIONS(4266),
    [anon_sym_where] = ACTIONS(4266),
    [anon_sym_notnull] = ACTIONS(4266),
    [anon_sym_unmanaged] = ACTIONS(4266),
    [anon_sym_scoped] = ACTIONS(6374),
    [anon_sym_var] = ACTIONS(6188),
    [sym_predefined_type] = ACTIONS(6190),
    [anon_sym_yield] = ACTIONS(4266),
    [anon_sym_when] = ACTIONS(4266),
    [anon_sym_from] = ACTIONS(4266),
    [anon_sym_into] = ACTIONS(4266),
    [anon_sym_join] = ACTIONS(4266),
    [anon_sym_on] = ACTIONS(4266),
    [anon_sym_equals] = ACTIONS(4266),
    [anon_sym_let] = ACTIONS(4266),
    [anon_sym_orderby] = ACTIONS(4266),
    [anon_sym_ascending] = ACTIONS(4266),
    [anon_sym_descending] = ACTIONS(4266),
    [anon_sym_group] = ACTIONS(4266),
    [anon_sym_by] = ACTIONS(4266),
    [anon_sym_select] = ACTIONS(4266),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
  [4454] = {
    [sym__name] = STATE(7776),
    [sym_alias_qualified_name] = STATE(5031),
    [sym__simple_name] = STATE(5031),
    [sym_qualified_name] = STATE(5031),
    [sym_generic_name] = STATE(4983),
    [sym_type] = STATE(8526),
    [sym_implicit_type] = STATE(8859),
    [sym_array_type] = STATE(8375),
    [sym__array_base_type] = STATE(8894),
    [sym_nullable_type] = STATE(5285),
    [sym_pointer_type] = STATE(5285),
    [sym__pointer_base_type] = STATE(9697),
    [sym_function_pointer_type] = STATE(5285),
    [sym_ref_type] = STATE(8859),
    [sym_scoped_type] = STATE(8859),
    [sym_tuple_type] = STATE(8062),
    [sym_identifier] = STATE(4971),
    [sym__reserved_identifier] = STATE(4471),
    [sym_preproc_region] = STATE(4454),
    [sym_preproc_endregion] = STATE(4454),
    [sym_preproc_line] = STATE(4454),
    [sym_preproc_pragma] = STATE(4454),
    [sym_preproc_nullable] = STATE(4454),
    [sym_preproc_error] = STATE(4454),
    [sym_preproc_define] = STATE(4454),
    [sym_preproc_undef] = STATE(4454),
    [aux_sym_type_argument_list_repeat1] = STATE(8527),
    [sym__identifier_token] = ACTIONS(3051),
    [anon_sym_alias] = ACTIONS(3055),
    [anon_sym_global] = ACTIONS(3055),
    [anon_sym_COMMA] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(3063),
    [anon_sym_ref] = ACTIONS(5740),
    [anon_sym_delegate] = ACTIONS(5742),
    [anon_sym_file] = ACTIONS(3055),
    [anon_sym_GT] = ACTIONS(6376),
    [anon_sym_where] = ACTIONS(3055),
    [anon_sym_notnull] = ACTIONS(3055),
    [anon_sym_unmanaged] = ACTIONS(3055),
    [anon_sym_scoped] = ACTIONS(5748),
    [anon_sym_var] = ACTIONS(5331),
    [sym_predefined_type] = ACTIONS(5750),
    [anon_sym_yield] = ACTIONS(3055),
    [anon_sym_when] = ACTIONS(3055),
    [anon_sym_from] = ACTIONS(3055),
    [anon_sym_into] = ACTIONS(3055),
    [anon_sym_join] = ACTIONS(3055),
    [anon_sym_on] = ACTIONS(3055),
    [anon_sym_equals] = ACTIONS(3055),
    [anon_sym_let] = ACTIONS(3055),
    [anon_sym_orderby] = ACTIONS(3055),
    [anon_sym_ascending] = ACTIONS(3055),
    [anon_sym_descending] = ACTIONS(3055),
    [anon_sym_group] = ACTIONS(3055),
    [anon_sym_by] = ACTIONS(3055),
    [anon_sym_select] = ACTIONS(3055),
    [aux_sym_preproc_region_token1] = ACTIONS(3),
    [aux_sym_preproc_endregion_token1] = ACTIONS(5),
    [aux_sym_preproc_line_token1] = ACTIONS(7),
    [aux_sym_preproc_pragma_token1] = ACTIONS(9),
    [aux_sym_preproc_nullable_token1] = ACTIONS(11),
    [aux_sym_preproc_error_token1] = ACTIONS(13),
    [aux_sym_preproc_define_token1] = ACTIONS(15),
    [aux_sym_preproc_undef_token1] = ACTIONS(17),
    [sym_comment] = ACTIONS(19),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6338), 1,
      anon_sym_in,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4455), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6336), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [145] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4456), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6366), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_with,
  [252] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4457), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5344), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5342), 34,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [341] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5674), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4458), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5672), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [486] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4459), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5329), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5327), 34,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [575] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_as,
    STATE(4460), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [696] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(4461), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6195), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [811] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4462), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6195), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [922] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_as,
    STATE(4463), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [1039] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6354), 1,
      anon_sym_in,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4464), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6352), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [1184] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5678), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4465), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5676), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [1329] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5445), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4466), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5443), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [1474] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5528), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4467), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5526), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [1619] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6300), 1,
      anon_sym_in,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4468), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6298), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [1764] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6174), 1,
      anon_sym_in,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4469), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6172), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [1909] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6430), 1,
      sym__identifier_token,
    ACTIONS(6436), 1,
      anon_sym_LPAREN,
    ACTIONS(6442), 1,
      anon_sym_delegate,
    ACTIONS(6445), 1,
      anon_sym_var,
    ACTIONS(6448), 1,
      sym_predefined_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8224), 1,
      sym__name,
    STATE(8305), 1,
      sym_tuple_type,
    STATE(8442), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9103), 1,
      sym_implicit_type,
    STATE(9147), 1,
      sym_function_pointer_parameter,
    STATE(9153), 1,
      sym__ref_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    ACTIONS(6439), 3,
      anon_sym_ref,
      anon_sym_in,
      anon_sym_out,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8446), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4470), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_function_pointer_type_repeat1,
    ACTIONS(6433), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [2034] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4471), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4122), 16,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
    ACTIONS(4120), 31,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_file,
      anon_sym_in,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [2123] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6310), 1,
      anon_sym_or,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4472), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6308), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [2268] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4473), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4040), 47,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_get,
      anon_sym_set,
      anon_sym_add,
      anon_sym_remove,
      anon_sym_init,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [2355] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6328), 1,
      anon_sym_or,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4474), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6326), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [2500] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(4475), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5717), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [2589] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4476), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5756), 47,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_get,
      anon_sym_set,
      anon_sym_add,
      anon_sym_remove,
      anon_sym_init,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [2676] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6475), 1,
      sym_string_literal_encoding,
    STATE(4477), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5338), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5336), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [2767] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    STATE(4478), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5921), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(4276), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [2858] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6300), 1,
      anon_sym_or,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4479), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6298), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [3003] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(5488), 1,
      anon_sym_or,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4480), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5486), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [3148] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(5614), 1,
      anon_sym_or,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4481), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5612), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [3293] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(4482), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5697), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [3382] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(5674), 1,
      anon_sym_or,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4483), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5672), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [3527] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6477), 1,
      sym_string_literal_encoding,
    STATE(4484), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5352), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5350), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [3618] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6354), 1,
      anon_sym_or,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4485), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6352), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [3763] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6479), 1,
      anon_sym_struct,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4486), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [3892] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6481), 1,
      anon_sym_EQ,
    STATE(4487), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6483), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(5305), 17,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
    ACTIONS(5307), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_DOT,
      anon_sym_QMARK_QMARK,
  [3985] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(5678), 1,
      anon_sym_or,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4488), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5676), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [4130] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(5445), 1,
      anon_sym_or,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4489), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5443), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [4275] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(5528), 1,
      anon_sym_or,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4490), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5526), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [4420] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6485), 1,
      anon_sym_EQ,
    STATE(4491), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6487), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(5305), 17,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
    ACTIONS(5307), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_DOT,
      anon_sym_QMARK_QMARK,
  [4513] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6489), 1,
      anon_sym_EQ,
    STATE(4492), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6491), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(5305), 17,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
    ACTIONS(5307), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_DOT,
      anon_sym_QMARK_QMARK,
  [4606] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4610), 1,
      anon_sym_struct,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4493), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [4735] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4494), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [4842] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6493), 1,
      anon_sym_EQ,
    STATE(4495), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6495), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(5305), 17,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
    ACTIONS(5307), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_DOT,
      anon_sym_QMARK_QMARK,
  [4935] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_EQ,
    STATE(4496), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6499), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(5305), 17,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
    ACTIONS(5307), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_DOT,
      anon_sym_QMARK_QMARK,
  [5028] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4497), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5364), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5362), 34,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [5117] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_EQ,
    STATE(4498), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6503), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(5305), 17,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
    ACTIONS(5307), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_DOT,
      anon_sym_QMARK_QMARK,
  [5210] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6505), 1,
      aux_sym_raw_string_literal_token1,
    STATE(4499), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5358), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5356), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [5301] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4500), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [5422] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(4501), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [5537] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4502), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [5648] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6360), 1,
      anon_sym_in,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4503), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6358), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [5793] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(4504), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [5926] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(4505), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [6061] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4506), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [6192] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(4507), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [6309] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4508), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [6438] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5688), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(4509), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5686), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [6527] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4510), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [6634] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_in,
      anon_sym_QMARK,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4511), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [6771] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_in,
      anon_sym_QMARK,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4512), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [6910] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5742), 1,
      anon_sym_delegate,
    ACTIONS(5989), 1,
      anon_sym_scoped,
    ACTIONS(5991), 1,
      sym_predefined_type,
    ACTIONS(6507), 1,
      anon_sym_ref,
    ACTIONS(6509), 1,
      anon_sym_readonly,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5892), 1,
      sym_type,
    STATE(7789), 1,
      sym__name,
    STATE(8055), 1,
      sym_tuple_type,
    STATE(8340), 1,
      sym_array_type,
    STATE(8803), 1,
      sym_implicit_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9697), 1,
      sym__pointer_base_type,
    STATE(9904), 1,
      sym__ref_base_type,
    STATE(8859), 2,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8345), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4513), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [7041] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4514), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(1225), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_with,
  [7148] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_into,
    STATE(4516), 1,
      aux_sym__query_body_repeat2,
    STATE(4515), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6511), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [7241] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_into,
    STATE(4518), 1,
      aux_sym__query_body_repeat2,
    STATE(4516), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6517), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [7334] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_into,
    STATE(4519), 1,
      aux_sym__query_body_repeat2,
    STATE(4517), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6517), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [7427] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_into,
    STATE(4518), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6521), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [7518] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_into,
    STATE(4518), 1,
      aux_sym__query_body_repeat2,
    STATE(4519), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6528), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [7611] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6174), 1,
      anon_sym_or,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6453), 1,
      anon_sym_QMARK,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4520), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6172), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [7756] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_or,
    STATE(4521), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [7889] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_or,
    STATE(4522), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [8024] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4523), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [8155] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4524), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [8284] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4525), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [8421] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4526), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [8560] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6418), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6473), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4527), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [8703] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_in,
      anon_sym_QMARK,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4528), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [8846] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4529), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3995), 16,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
    ACTIONS(3997), 31,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_file,
      anon_sym_in,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [8935] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5715), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(4530), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5713), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [9024] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6328), 1,
      anon_sym_in,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4531), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6326), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [9169] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5488), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4532), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5486), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [9314] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5682), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(4533), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5680), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [9403] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4292), 1,
      anon_sym_struct,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4534), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [9532] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4413), 1,
      anon_sym_struct,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4535), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [9661] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6532), 1,
      anon_sym_struct,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4536), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [9790] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4626), 1,
      anon_sym_struct,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4537), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [9919] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6534), 1,
      anon_sym_struct,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4538), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [10048] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5614), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4539), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5612), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [10193] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6310), 1,
      anon_sym_in,
    ACTIONS(6380), 1,
      anon_sym_QMARK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6414), 1,
      anon_sym_is,
    ACTIONS(6416), 1,
      anon_sym_with,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4540), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6308), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [10338] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4541), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [10476] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8792), 1,
      sym_tuple_element,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4542), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [10602] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6566), 1,
      anon_sym_checked,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8789), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4543), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [10728] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4544), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5411), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5409), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [10816] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6745), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9378), 1,
      sym_variable_declaration,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4545), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [10942] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4546), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5524), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5522), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [11030] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6572), 1,
      anon_sym_readonly,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4547), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [11156] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4548), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5574), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5572), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [11244] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4225), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6348), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      anon_sym_readonly,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3896), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4549), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [11370] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4723), 1,
      anon_sym_ref,
    ACTIONS(6364), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      anon_sym_readonly,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3665), 1,
      sym_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4550), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [11496] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4682), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6374), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    ACTIONS(6586), 1,
      anon_sym_readonly,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3620), 1,
      sym_type,
    STATE(4561), 1,
      sym_identifier,
    STATE(4981), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4551), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [11622] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4552), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5465), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5463), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [11710] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6744), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9209), 1,
      sym_variable_declaration,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4553), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [11836] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6982), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9528), 1,
      sym_variable_declaration,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4554), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [11962] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4555), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2989), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(2991), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [12050] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_into,
    STATE(4556), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 32,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [12140] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(8953), 1,
      sym_tuple_element,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4557), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [12266] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4558), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5352), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5350), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [12354] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_into,
    STATE(4556), 1,
      aux_sym__query_body_repeat2,
    STATE(4559), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 32,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [12446] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4727), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6318), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    ACTIONS(6593), 1,
      anon_sym_readonly,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3620), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4560), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [12572] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5283), 1,
      anon_sym_LT,
    ACTIONS(6595), 1,
      anon_sym_COLON_COLON,
    STATE(3611), 1,
      sym_type_argument_list,
    STATE(4561), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 11,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(4134), 32,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [12666] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4562), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5441), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5439), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [12754] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4563), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5449), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5447), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [12842] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4564), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5492), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5490), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [12930] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4070), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2884), 1,
      sym_ref_type,
    STATE(2886), 1,
      sym__scoped_base_type,
    STATE(5280), 1,
      sym_identifier,
    STATE(6290), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(3997), 4,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_operator,
      anon_sym_this,
    STATE(4565), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3995), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
    ACTIONS(4073), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [13038] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7294), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4566), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [13164] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4268), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6186), 1,
      anon_sym_scoped,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_readonly,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3620), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4567), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [13290] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    ACTIONS(6599), 1,
      anon_sym_checked,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8724), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4568), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [13416] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4569), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5528), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5526), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [13504] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4797), 1,
      anon_sym_or,
    STATE(4570), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4789), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
    ACTIONS(5912), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(5909), 21,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [13596] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4571), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4759), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(4757), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [13684] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8815), 1,
      sym_tuple_element,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4572), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [13810] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4700), 1,
      anon_sym_ref,
    ACTIONS(6334), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6601), 1,
      anon_sym_readonly,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3665), 1,
      sym_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4573), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [13936] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__identifier_token,
    ACTIONS(4493), 1,
      anon_sym_ref,
    ACTIONS(6215), 1,
      anon_sym_delegate,
    ACTIONS(6217), 1,
      anon_sym_scoped,
    ACTIONS(6219), 1,
      anon_sym_var,
    ACTIONS(6221), 1,
      sym_predefined_type,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(6605), 1,
      anon_sym_readonly,
    STATE(5070), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__reserved_identifier,
    STATE(5287), 1,
      sym_generic_name,
    STATE(5321), 1,
      sym_type,
    STATE(5394), 1,
      sym_array_type,
    STATE(5396), 1,
      sym_tuple_type,
    STATE(5399), 1,
      sym__name,
    STATE(8899), 1,
      sym__array_base_type,
    STATE(9272), 1,
      sym__pointer_base_type,
    STATE(5314), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5392), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5395), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4574), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4491), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [14062] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4575), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5624), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [14150] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4576), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5594), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5592), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [14238] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4504), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6272), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    ACTIONS(6609), 1,
      anon_sym_readonly,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4000), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4577), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [14364] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4725), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6280), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    ACTIONS(6611), 1,
      anon_sym_readonly,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3620), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4578), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [14490] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4729), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6207), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    ACTIONS(6613), 1,
      anon_sym_readonly,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3620), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4579), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [14616] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(8991), 1,
      sym_tuple_element,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4580), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [14742] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4581), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5630), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5628), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [14830] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6617), 1,
      anon_sym_readonly,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4582), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [14956] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4583), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5666), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5664), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [15044] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4584), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5895), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5893), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [15132] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4585), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5598), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5596), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [15220] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4586), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6358), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [15362] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4672), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6245), 1,
      anon_sym_scoped,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    ACTIONS(6629), 1,
      anon_sym_readonly,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4000), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4587), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [15488] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(8916), 1,
      sym_tuple_element,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4588), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [15614] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4589), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5415), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5413), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [15702] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4590), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5634), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5632), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [15790] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4591), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5670), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5668), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [15878] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8867), 1,
      sym_tuple_element,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4592), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [16004] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(8950), 1,
      sym_tuple_element,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4593), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [16130] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4676), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6264), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    ACTIONS(6631), 1,
      anon_sym_readonly,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4000), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4594), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [16256] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4797), 1,
      anon_sym_or,
    STATE(4595), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4789), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
    ACTIONS(5918), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(5915), 21,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [16348] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4596), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5590), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5588), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [16436] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4597), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5602), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5600), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [16524] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4598), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5586), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5584), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [16612] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4719), 1,
      anon_sym_ref,
    ACTIONS(6312), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_readonly,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3665), 1,
      sym_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4599), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [16738] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4694), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6292), 1,
      anon_sym_scoped,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_readonly,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3896), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4600), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [16864] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4601), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5550), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5548), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [16952] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4602), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [17078] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4603), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5654), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5652), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [17166] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4604), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5678), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5676), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [17254] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6562), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4605), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [17386] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4644), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6340), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6637), 1,
      anon_sym_readonly,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3896), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4606), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [17512] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6562), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4607), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [17646] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4608), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5423), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5421), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [17734] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4650), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6372), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    ACTIONS(6639), 1,
      anon_sym_readonly,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4000), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4609), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [17860] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6562), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4610), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [17990] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4713), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6356), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6641), 1,
      anon_sym_readonly,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3896), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4611), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [18116] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6562), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4612), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [18244] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4613), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5445), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5443), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [18332] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4070), 1,
      sym__identifier_token,
    ACTIONS(4118), 1,
      anon_sym_ref,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2884), 1,
      sym_ref_type,
    STATE(2886), 1,
      sym__scoped_base_type,
    STATE(5280), 1,
      sym_identifier,
    STATE(6290), 1,
      sym__name,
    ACTIONS(3997), 3,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4614), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3995), 10,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(4073), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [18440] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4615), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5453), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5451), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [18528] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4721), 1,
      anon_sym_ref,
    ACTIONS(6320), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6643), 1,
      anon_sym_readonly,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3665), 1,
      sym_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4616), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [18654] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4617), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5622), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5620), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [18742] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    ACTIONS(6645), 1,
      anon_sym_checked,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(8942), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4618), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [18868] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4619), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5562), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5560), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [18956] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(4571), 1,
      anon_sym_ref,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6262), 1,
      anon_sym_scoped,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    ACTIONS(6649), 1,
      anon_sym_readonly,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2959), 1,
      sym_type,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4620), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [19082] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6562), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4621), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [19218] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_into,
    STATE(4675), 1,
      aux_sym__query_body_repeat2,
    STATE(4622), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 32,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19310] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4623), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5662), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5660), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [19398] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4624), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [19540] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4625), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5606), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5604), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [19628] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4626), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5582), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5580), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [19716] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7304), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4627), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [19842] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4628), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5610), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5608), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [19930] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4629), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6308), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [20072] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4630), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5614), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5612), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [20160] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4631), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2101), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(2099), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [20248] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_LPAREN,
    STATE(4632), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1995), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(1997), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [20338] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4633), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5644), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5642), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [20426] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4634), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(6366), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_with,
  [20532] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4118), 1,
      anon_sym_ref,
    ACTIONS(6621), 1,
      anon_sym_var,
    ACTIONS(6653), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8843), 1,
      sym_tuple_element,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4635), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [20658] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4636), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6326), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [20800] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4637), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5486), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [20942] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4638), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5612), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [21084] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2861), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4136), 1,
      anon_sym_ref,
    ACTIONS(6655), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(6432), 1,
      sym_identifier,
    STATE(6762), 1,
      sym__name,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4639), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [21210] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4640), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5618), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5616), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [21298] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4641), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5672), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [21440] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4573), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6330), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    ACTIONS(6657), 1,
      anon_sym_readonly,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4000), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(5465), 1,
      sym_identifier,
    STATE(6225), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4642), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [21566] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4643), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6352), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [21708] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4644), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5676), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [21850] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4645), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5650), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5648), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [21938] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4646), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5443), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [22080] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4647), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5526), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [22222] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4532), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6362), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    ACTIONS(6659), 1,
      anon_sym_readonly,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3896), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4648), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [22348] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4236), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6274), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    ACTIONS(6661), 1,
      anon_sym_readonly,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4000), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4649), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [22474] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6982), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9464), 1,
      sym_variable_declaration,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4650), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [22600] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_LPAREN,
    STATE(4651), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4040), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [22688] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4530), 1,
      anon_sym_ref,
    ACTIONS(6166), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6665), 1,
      anon_sym_readonly,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3665), 1,
      sym_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(5330), 1,
      sym_identifier,
    STATE(5857), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4652), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [22814] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4653), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5469), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5467), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [22902] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4654), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5558), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5556), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [22990] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2841), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4118), 1,
      anon_sym_ref,
    ACTIONS(6621), 1,
      anon_sym_var,
    ACTIONS(6653), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4655), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [23116] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6810), 1,
      sym_identifier,
    STATE(7318), 1,
      sym_type,
    STATE(8735), 1,
      sym__join_header,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4656), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [23242] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    ACTIONS(6667), 1,
      anon_sym_checked,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(8978), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4657), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [23368] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4658), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5496), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5494), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [23456] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_readonly,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4100), 1,
      anon_sym_ref,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    ACTIONS(6669), 1,
      anon_sym_scoped,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2959), 1,
      sym_type,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(3130), 1,
      sym_identifier,
    STATE(3221), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4659), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [23582] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4660), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5578), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5576), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [23670] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7179), 1,
      sym_type,
    STATE(8885), 1,
      sym_tuple_element,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4661), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [23796] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4662), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5946), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5944), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [23884] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4663), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5427), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5425), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [23972] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4664), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5546), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5544), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [24060] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4665), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5950), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5948), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [24148] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_as,
    STATE(4666), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [24268] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(4667), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(6195), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [24382] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4668), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(6195), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [24492] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_or,
    STATE(4669), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(5940), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [24584] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4670), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2993), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(2995), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [24672] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4671), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5891), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5889), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [24760] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    STATE(4672), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [24876] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4673), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5566), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5564), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [24964] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4674), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5570), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5568), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [25052] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_into,
    STATE(4556), 1,
      aux_sym__query_body_repeat2,
    STATE(4675), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 32,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [25144] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5758), 1,
      anon_sym_LPAREN,
    STATE(4676), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5756), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [25232] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4677), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5954), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5952), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [25320] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4678), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5921), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(4276), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [25408] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4679), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5958), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5956), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [25496] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__identifier_token,
    ACTIONS(4495), 1,
      anon_sym_ref,
    ACTIONS(6215), 1,
      anon_sym_delegate,
    ACTIONS(6219), 1,
      anon_sym_var,
    ACTIONS(6221), 1,
      sym_predefined_type,
    ACTIONS(6322), 1,
      anon_sym_scoped,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(6675), 1,
      anon_sym_readonly,
    STATE(5070), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__reserved_identifier,
    STATE(5287), 1,
      sym_generic_name,
    STATE(5321), 1,
      sym_type,
    STATE(5394), 1,
      sym_array_type,
    STATE(5396), 1,
      sym_tuple_type,
    STATE(5399), 1,
      sym__name,
    STATE(8899), 1,
      sym__array_base_type,
    STATE(9272), 1,
      sym__pointer_base_type,
    STATE(5314), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5392), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5395), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4680), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4491), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [25622] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4681), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5962), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5960), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [25710] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4682), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5962), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5960), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [25798] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_into,
    STATE(4559), 1,
      aux_sym__query_body_repeat2,
    STATE(4683), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 32,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [25890] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4684), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5307), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5305), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [25978] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4685), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3043), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(3045), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26066] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4686), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2993), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(2995), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26154] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4687), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5640), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5638), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26242] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4688), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5940), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26330] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4689), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2997), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(2999), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26418] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4690), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5476), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5474), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26506] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5932), 1,
      anon_sym_LPAREN,
    STATE(4691), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4040), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [26594] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4692), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5461), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5459), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26682] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4693), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5658), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5656), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26770] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4694), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5674), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5672), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [26858] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4339), 1,
      anon_sym_ref,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4524), 1,
      anon_sym_scoped,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(6677), 1,
      anon_sym_readonly,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3665), 1,
      sym_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4695), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [26984] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_readonly,
    ACTIONS(4108), 1,
      anon_sym_ref,
    ACTIONS(6679), 1,
      sym__identifier_token,
    ACTIONS(6683), 1,
      anon_sym_LPAREN,
    ACTIONS(6685), 1,
      anon_sym_delegate,
    ACTIONS(6687), 1,
      anon_sym_scoped,
    ACTIONS(6689), 1,
      anon_sym_var,
    ACTIONS(6691), 1,
      sym_predefined_type,
    STATE(3164), 1,
      sym_identifier,
    STATE(3208), 1,
      sym__reserved_identifier,
    STATE(3252), 1,
      sym_array_type,
    STATE(3254), 1,
      sym_tuple_type,
    STATE(3256), 1,
      sym__name,
    STATE(3341), 1,
      sym_generic_name,
    STATE(3419), 1,
      sym_type,
    STATE(8796), 1,
      sym__array_base_type,
    STATE(9114), 1,
      sym__pointer_base_type,
    STATE(3251), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3253), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3385), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(4696), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6681), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [27110] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5854), 1,
      anon_sym_LPAREN,
    STATE(4697), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4040), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [27198] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4698), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5405), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5403), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [27286] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4699), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5858), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5856), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [27374] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5740), 1,
      anon_sym_ref,
    ACTIONS(5742), 1,
      anon_sym_delegate,
    ACTIONS(5748), 1,
      anon_sym_scoped,
    ACTIONS(5750), 1,
      sym_predefined_type,
    ACTIONS(6693), 1,
      anon_sym_readonly,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5892), 1,
      sym_type,
    STATE(7776), 1,
      sym__name,
    STATE(8062), 1,
      sym_tuple_type,
    STATE(8375), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9697), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(8859), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(4700), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [27500] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4701), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5881), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5879), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [27588] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5542), 1,
      anon_sym_LPAREN,
    STATE(4702), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4040), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [27676] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4703), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5873), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5871), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [27764] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_readonly,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4704), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [27890] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4705), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5877), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5875), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [27978] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4706), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5877), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5875), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [28066] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4707), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6298), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [28208] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4708), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(1225), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_with,
  [28314] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4709), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5903), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5901), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [28402] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4710), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5907), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5905), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [28490] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5542), 1,
      anon_sym_LPAREN,
    STATE(4711), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4040), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [28578] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(5742), 1,
      anon_sym_delegate,
    ACTIONS(5750), 1,
      sym_predefined_type,
    ACTIONS(5989), 1,
      anon_sym_scoped,
    ACTIONS(6507), 1,
      anon_sym_ref,
    ACTIONS(6509), 1,
      anon_sym_readonly,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5892), 1,
      sym_type,
    STATE(7776), 1,
      sym__name,
    STATE(8062), 1,
      sym_tuple_type,
    STATE(8375), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9697), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(8859), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(4712), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [28704] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6160), 1,
      anon_sym_as,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6542), 1,
      anon_sym_SLASH,
    ACTIONS(6544), 1,
      anon_sym_CARET,
    ACTIONS(6546), 1,
      anon_sym_PIPE,
    ACTIONS(6548), 1,
      anon_sym_AMP,
    ACTIONS(6552), 1,
      anon_sym_GT_GT,
    ACTIONS(6558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6562), 1,
      anon_sym_is,
    ACTIONS(6623), 1,
      anon_sym_QMARK,
    ACTIONS(6625), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6627), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6536), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6538), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6540), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6550), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6554), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6556), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4713), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6336), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [28846] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4714), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5488), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5486), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [28934] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6982), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9478), 1,
      sym_variable_declaration,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4715), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [29060] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(4604), 1,
      anon_sym_ref,
    ACTIONS(6231), 1,
      anon_sym_scoped,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_readonly,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2959), 1,
      sym_type,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4716), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [29186] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_readonly,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4068), 1,
      anon_sym_ref,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    ACTIONS(6697), 1,
      anon_sym_scoped,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2959), 1,
      sym_type,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4717), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [29312] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6753), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9040), 1,
      sym_variable_declaration,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4718), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [29438] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4719), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5500), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5498), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [29526] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    ACTIONS(6699), 1,
      anon_sym_readonly,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4720), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [29652] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4721), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5532), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5530), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [29740] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7296), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4722), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [29866] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4723), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5419), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5417), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [29954] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4724), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5536), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5534), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [30042] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4725), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5554), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5552), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [30130] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7307), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4726), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [30256] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4727), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5540), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5538), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [30344] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5970), 1,
      anon_sym_ref,
    ACTIONS(5978), 1,
      anon_sym_scoped,
    ACTIONS(6701), 1,
      anon_sym_readonly,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(5892), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4728), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [30470] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7316), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4729), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [30596] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_and,
    STATE(4730), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6703), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [30686] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4731), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5484), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5482), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [30774] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6671), 1,
      anon_sym_and,
    ACTIONS(6673), 1,
      anon_sym_or,
    STATE(4732), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(6707), 32,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [30866] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7347), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4733), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [30992] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6982), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9959), 1,
      sym_variable_declaration,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4734), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [31118] = 31,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7354), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4735), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [31244] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6711), 1,
      anon_sym_LPAREN,
    STATE(4736), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4040), 45,
      anon_sym_extern,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_unsafe,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_abstract,
      anon_sym_async,
      anon_sym_const,
      anon_sym_file,
      anon_sym_fixed,
      anon_sym_internal,
      anon_sym_new,
      anon_sym_override,
      anon_sym_partial,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_public,
      anon_sym_readonly,
      anon_sym_required,
      anon_sym_sealed,
      anon_sym_virtual,
      anon_sym_volatile,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [31332] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4737), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5840), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5838), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [31420] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4738), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5480), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5478), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [31508] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4739), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5844), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5842), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [31596] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4740), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5848), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5846), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [31684] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4741), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5887), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5885), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [31772] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4742), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5401), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(5399), 33,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [31860] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5970), 1,
      anon_sym_ref,
    ACTIONS(5978), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7871), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4743), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [31983] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4744), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [32110] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4745), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [32215] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4746), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6308), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [32356] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__identifier_token,
    ACTIONS(4493), 1,
      anon_sym_ref,
    ACTIONS(6215), 1,
      anon_sym_delegate,
    ACTIONS(6217), 1,
      anon_sym_scoped,
    ACTIONS(6219), 1,
      anon_sym_var,
    ACTIONS(6221), 1,
      sym_predefined_type,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    STATE(5070), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__reserved_identifier,
    STATE(5287), 1,
      sym_generic_name,
    STATE(5322), 1,
      sym_type,
    STATE(5394), 1,
      sym_array_type,
    STATE(5396), 1,
      sym_tuple_type,
    STATE(5399), 1,
      sym__name,
    STATE(8899), 1,
      sym__array_base_type,
    STATE(9272), 1,
      sym__pointer_base_type,
    STATE(5314), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5392), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5395), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4747), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4491), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [32479] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5970), 1,
      anon_sym_ref,
    ACTIONS(5978), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8163), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4748), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [32602] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8163), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4749), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [32725] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4504), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6272), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4002), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4750), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [32848] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3997), 2,
      anon_sym_EQ,
      anon_sym_in,
    ACTIONS(4086), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_GT,
    STATE(4751), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3995), 11,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
    ACTIONS(4089), 29,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [32939] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6174), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4752), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6172), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [33082] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9613), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4753), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [33205] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4225), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6348), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3897), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4754), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [33328] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4755), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6298), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [33469] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4719), 1,
      anon_sym_ref,
    ACTIONS(6312), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3694), 1,
      sym_type,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4756), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [33592] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9669), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4757), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [33715] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9685), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4758), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [33838] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6789), 1,
      anon_sym_LT,
    STATE(5013), 1,
      sym_type_argument_list,
    STATE(4759), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4134), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4132), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [33929] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5740), 1,
      anon_sym_ref,
    ACTIONS(5742), 1,
      anon_sym_delegate,
    ACTIONS(5748), 1,
      anon_sym_scoped,
    ACTIONS(5750), 1,
      sym_predefined_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(7776), 1,
      sym__name,
    STATE(8062), 1,
      sym_tuple_type,
    STATE(8375), 1,
      sym_array_type,
    STATE(8775), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9697), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(8859), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(4760), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [34052] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6300), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4761), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6298), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [34195] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4268), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6186), 1,
      anon_sym_scoped,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3626), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4762), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [34318] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4727), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6318), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3626), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4763), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [34441] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4504), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6272), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(4140), 1,
      sym_type,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4764), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [34564] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9056), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4765), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [34687] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4766), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [34818] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4339), 1,
      anon_sym_ref,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4524), 1,
      anon_sym_scoped,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(3777), 1,
      sym_type,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4767), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [34941] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5488), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4768), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5486), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [35084] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4769), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(1225), 25,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_with,
  [35189] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4770), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [35324] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9811), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4771), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [35447] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9838), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4772), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [35570] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9847), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4773), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [35693] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4774), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [35816] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5674), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4775), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5672), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [35959] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4723), 1,
      anon_sym_ref,
    ACTIONS(6364), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(3777), 1,
      sym_type,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4776), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [36082] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9135), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4777), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [36205] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6825), 1,
      anon_sym_into,
    STATE(4778), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(6521), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [36294] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4719), 1,
      anon_sym_ref,
    ACTIONS(6312), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(3777), 1,
      sym_type,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4779), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [36417] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4268), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6186), 1,
      anon_sym_scoped,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3640), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4780), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [36540] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4700), 1,
      anon_sym_ref,
    ACTIONS(6334), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3694), 1,
      sym_type,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4781), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [36663] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9511), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4782), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [36786] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4783), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(6366), 25,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_with,
  [36891] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4729), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6207), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3626), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4784), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37014] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_ref,
    ACTIONS(6679), 1,
      sym__identifier_token,
    ACTIONS(6683), 1,
      anon_sym_LPAREN,
    ACTIONS(6685), 1,
      anon_sym_delegate,
    ACTIONS(6687), 1,
      anon_sym_scoped,
    ACTIONS(6689), 1,
      anon_sym_var,
    ACTIONS(6691), 1,
      sym_predefined_type,
    STATE(3164), 1,
      sym_identifier,
    STATE(3208), 1,
      sym__reserved_identifier,
    STATE(3252), 1,
      sym_array_type,
    STATE(3254), 1,
      sym_tuple_type,
    STATE(3256), 1,
      sym__name,
    STATE(3341), 1,
      sym_generic_name,
    STATE(3428), 1,
      sym_type,
    STATE(8796), 1,
      sym__array_base_type,
    STATE(9114), 1,
      sym__pointer_base_type,
    STATE(3251), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3253), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3385), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(4785), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6681), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37137] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9169), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4786), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37260] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(4604), 1,
      anon_sym_ref,
    ACTIONS(6231), 1,
      anon_sym_scoped,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(4663), 1,
      sym_type,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4787), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37383] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym_into,
    STATE(4778), 1,
      aux_sym__query_body_repeat2,
    STATE(4788), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(6528), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [37474] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4573), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6330), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4002), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(5465), 1,
      sym_identifier,
    STATE(6225), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4789), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37597] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8724), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4790), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37720] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__identifier_token,
    ACTIONS(4493), 1,
      anon_sym_ref,
    ACTIONS(6215), 1,
      anon_sym_delegate,
    ACTIONS(6217), 1,
      anon_sym_scoped,
    ACTIONS(6219), 1,
      anon_sym_var,
    ACTIONS(6221), 1,
      sym_predefined_type,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    STATE(5070), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__reserved_identifier,
    STATE(5287), 1,
      sym_generic_name,
    STATE(5394), 1,
      sym_array_type,
    STATE(5396), 1,
      sym_tuple_type,
    STATE(5399), 1,
      sym__name,
    STATE(5545), 1,
      sym_type,
    STATE(8899), 1,
      sym__array_base_type,
    STATE(9272), 1,
      sym__pointer_base_type,
    STATE(5314), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5392), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5395), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4791), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4491), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37843] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4682), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6374), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3640), 1,
      sym_type,
    STATE(4561), 1,
      sym_identifier,
    STATE(4981), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4792), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [37966] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4672), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6245), 1,
      anon_sym_scoped,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4002), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4793), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [38089] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6338), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4794), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6336), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [38232] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4725), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6280), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3640), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4795), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [38355] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6360), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4796), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6358), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [38498] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6300), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4797), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6298), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [38641] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4532), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6362), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3897), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4798), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [38764] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_and,
    STATE(4799), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 32,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [38853] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6832), 1,
      anon_sym_and,
    ACTIONS(6834), 1,
      anon_sym_or,
    STATE(4800), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(5940), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [38944] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4676), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6264), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4002), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4801), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [39067] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4339), 1,
      anon_sym_ref,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4524), 1,
      anon_sym_scoped,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3694), 1,
      sym_type,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4802), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [39190] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6328), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4803), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6326), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [39333] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__identifier_token,
    ACTIONS(4495), 1,
      anon_sym_ref,
    ACTIONS(6215), 1,
      anon_sym_delegate,
    ACTIONS(6219), 1,
      anon_sym_var,
    ACTIONS(6221), 1,
      sym_predefined_type,
    ACTIONS(6322), 1,
      anon_sym_scoped,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    STATE(5070), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__reserved_identifier,
    STATE(5287), 1,
      sym_generic_name,
    STATE(5394), 1,
      sym_array_type,
    STATE(5396), 1,
      sym_tuple_type,
    STATE(5399), 1,
      sym__name,
    STATE(5545), 1,
      sym_type,
    STATE(8899), 1,
      sym__array_base_type,
    STATE(9272), 1,
      sym__pointer_base_type,
    STATE(5314), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5392), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5395), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4804), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4491), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [39456] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4805), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [39589] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4694), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6292), 1,
      anon_sym_scoped,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3897), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4806), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [39712] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4225), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6348), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3914), 1,
      sym_generic_name,
    STATE(4034), 1,
      sym_type,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4807), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [39835] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4100), 1,
      anon_sym_ref,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    ACTIONS(6669), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(3130), 1,
      sym_identifier,
    STATE(3221), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4808), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [39958] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4644), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6340), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3897), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4809), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [40081] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4650), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6372), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(4140), 1,
      sym_type,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4810), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [40204] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4118), 1,
      anon_sym_ref,
    ACTIONS(6621), 1,
      anon_sym_var,
    ACTIONS(6653), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4811), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [40327] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4650), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6372), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4002), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4812), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [40450] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4713), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6356), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3897), 1,
      sym_type,
    STATE(3914), 1,
      sym_generic_name,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4813), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [40573] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4532), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6362), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3914), 1,
      sym_generic_name,
    STATE(4034), 1,
      sym_type,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4814), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [40696] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(4815), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(6195), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [40809] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4727), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6318), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3640), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4816), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [40932] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9068), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4817), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [41055] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4729), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6207), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3640), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4818), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [41178] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4672), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6245), 1,
      anon_sym_scoped,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(4140), 1,
      sym_type,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4819), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [41301] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4820), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [41438] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4676), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6264), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(4140), 1,
      sym_type,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4821), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [41561] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4694), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6292), 1,
      anon_sym_scoped,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3914), 1,
      sym_generic_name,
    STATE(4034), 1,
      sym_type,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4822), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [41684] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4644), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6340), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3914), 1,
      sym_generic_name,
    STATE(4034), 1,
      sym_type,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4823), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [41807] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4824), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [41948] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4221), 1,
      sym__identifier_token,
    ACTIONS(4713), 1,
      anon_sym_ref,
    ACTIONS(6290), 1,
      anon_sym_delegate,
    ACTIONS(6294), 1,
      anon_sym_var,
    ACTIONS(6296), 1,
      sym_predefined_type,
    ACTIONS(6356), 1,
      anon_sym_scoped,
    ACTIONS(6576), 1,
      anon_sym_LPAREN,
    STATE(3801), 1,
      sym_identifier,
    STATE(3825), 1,
      sym__reserved_identifier,
    STATE(3885), 1,
      sym_array_type,
    STATE(3887), 1,
      sym_tuple_type,
    STATE(3888), 1,
      sym__name,
    STATE(3914), 1,
      sym_generic_name,
    STATE(4034), 1,
      sym_type,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9261), 1,
      sym__pointer_base_type,
    STATE(3882), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3884), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3886), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4825), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4223), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [42071] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4826), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [42194] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4070), 1,
      sym__identifier_token,
    ACTIONS(4136), 1,
      anon_sym_ref,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2884), 1,
      sym_ref_type,
    STATE(2886), 1,
      sym__scoped_base_type,
    STATE(6765), 1,
      sym_identifier,
    STATE(6830), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(3997), 4,
      anon_sym_COLON,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(3995), 8,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(4827), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4073), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [42301] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6354), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4828), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6352), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [42444] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4721), 1,
      anon_sym_ref,
    ACTIONS(6320), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3694), 1,
      sym_type,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4829), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [42567] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4830), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6326), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [42708] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4723), 1,
      anon_sym_ref,
    ACTIONS(6364), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3694), 1,
      sym_type,
    STATE(3743), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4831), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [42831] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4832), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5486), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [42972] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(8942), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4833), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [43095] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(4571), 1,
      anon_sym_ref,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6262), 1,
      anon_sym_scoped,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    STATE(2893), 1,
      sym_type,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4834), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [43218] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9596), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4835), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [43341] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(4571), 1,
      anon_sym_ref,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6262), 1,
      anon_sym_scoped,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(4663), 1,
      sym_type,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4836), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [43464] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym_into,
    STATE(4915), 1,
      aux_sym__query_body_repeat2,
    STATE(4837), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(6511), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [43555] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9499), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4838), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [43678] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6360), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4839), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6358), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [43821] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_in,
      anon_sym_QMARK,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4840), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [43962] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6310), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4841), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6308), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [44105] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6328), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4842), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6326), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [44248] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5488), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4843), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5486), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [44391] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5678), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4844), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5676), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [44534] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5614), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4845), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5612), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [44677] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5674), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4846), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5672), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [44820] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6354), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4847), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6352), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [44963] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5678), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4848), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5676), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [45106] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5445), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4849), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5443), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [45249] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4530), 1,
      anon_sym_ref,
    ACTIONS(6166), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3777), 1,
      sym_type,
    STATE(5330), 1,
      sym_identifier,
    STATE(5857), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4850), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [45372] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_and,
    ACTIONS(6836), 1,
      anon_sym_or,
    STATE(4851), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 31,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [45463] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_or,
    STATE(4852), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [45594] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_or,
    STATE(4853), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_where,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [45727] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4854), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [45856] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4855), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [45983] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4856), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_where,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [46118] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4136), 1,
      anon_sym_ref,
    ACTIONS(6655), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5457), 1,
      sym_array_type,
    STATE(6432), 1,
      sym_identifier,
    STATE(6762), 1,
      sym__name,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4857), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [46241] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4858), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_where,
      anon_sym_and,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [46378] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5445), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4859), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5443), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [46521] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4860), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [46662] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4236), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6274), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4002), 1,
      sym_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4861), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [46785] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    STATE(3608), 1,
      sym_argument_list,
    STATE(3738), 1,
      sym_initializer_expression,
    STATE(4862), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5247), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5243), 29,
      anon_sym_LBRACK,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [46880] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4700), 1,
      anon_sym_ref,
    ACTIONS(6334), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(3777), 1,
      sym_type,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4863), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [47003] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9568), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4864), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [47126] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4865), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5612), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [47267] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8789), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4866), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [47390] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9637), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4867), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [47513] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9657), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4868), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [47636] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4573), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6330), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4140), 1,
      sym_type,
    STATE(5465), 1,
      sym_identifier,
    STATE(6225), 1,
      sym__name,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4869), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [47759] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4068), 1,
      anon_sym_ref,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    ACTIONS(6697), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4870), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [47882] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6310), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4871), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6308), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [48025] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7945), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4872), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [48148] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4873), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(6366), 25,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [48253] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4874), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5526), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [48394] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_as,
    STATE(4875), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [48513] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(5742), 1,
      anon_sym_delegate,
    ACTIONS(5750), 1,
      sym_predefined_type,
    ACTIONS(5989), 1,
      anon_sym_scoped,
    ACTIONS(6507), 1,
      anon_sym_ref,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(7776), 1,
      sym__name,
    STATE(8062), 1,
      sym_tuple_type,
    STATE(8375), 1,
      sym_array_type,
    STATE(8816), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9697), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(8859), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(4876), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [48636] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6832), 1,
      anon_sym_and,
    ACTIONS(6834), 1,
      anon_sym_or,
    STATE(4877), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(6707), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [48727] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4721), 1,
      anon_sym_ref,
    ACTIONS(6320), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3618), 1,
      sym_identifier,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3743), 1,
      sym__name,
    STATE(3777), 1,
      sym_type,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4878), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [48850] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4879), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [48969] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(4880), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(6195), 21,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [49082] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4881), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(6195), 23,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [49191] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    STATE(4882), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 21,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [49306] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6832), 1,
      anon_sym_and,
    STATE(4883), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 13,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
      anon_sym_as,
    ACTIONS(6703), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [49395] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__identifier_token,
    ACTIONS(4495), 1,
      anon_sym_ref,
    ACTIONS(6215), 1,
      anon_sym_delegate,
    ACTIONS(6219), 1,
      anon_sym_var,
    ACTIONS(6221), 1,
      sym_predefined_type,
    ACTIONS(6322), 1,
      anon_sym_scoped,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    STATE(5070), 1,
      sym_identifier,
    STATE(5184), 1,
      sym__reserved_identifier,
    STATE(5287), 1,
      sym_generic_name,
    STATE(5322), 1,
      sym_type,
    STATE(5394), 1,
      sym_array_type,
    STATE(5396), 1,
      sym_tuple_type,
    STATE(5399), 1,
      sym__name,
    STATE(8899), 1,
      sym__array_base_type,
    STATE(9272), 1,
      sym__pointer_base_type,
    STATE(5314), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5392), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5395), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4884), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4491), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [49518] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4885), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5672), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [49659] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4886), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(1225), 25,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [49764] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9177), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4887), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [49887] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_scoped,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4002), 1,
      anon_sym_ref,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(6816), 1,
      sym_identifier,
    STATE(7359), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4888), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [50010] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9717), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4889), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [50133] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5614), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4890), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5612), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [50276] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9313), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4891), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [50399] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9853), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4892), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [50522] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4893), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [50641] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6830), 1,
      anon_sym_and,
    ACTIONS(6836), 1,
      anon_sym_or,
    STATE(4894), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 31,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [50732] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9200), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4895), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [50855] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9168), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4896), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [50978] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9008), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4897), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [51101] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4567), 1,
      sym__identifier_token,
    ACTIONS(4604), 1,
      anon_sym_ref,
    ACTIONS(6231), 1,
      anon_sym_scoped,
    ACTIONS(6233), 1,
      anon_sym_var,
    ACTIONS(6235), 1,
      sym_predefined_type,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    STATE(2893), 1,
      sym_type,
    STATE(2925), 1,
      sym_identifier,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2975), 1,
      sym_tuple_type,
    STATE(2985), 1,
      sym_array_type,
    STATE(2994), 1,
      sym__name,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(2952), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(2960), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4898), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [51224] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(4899), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [51337] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5528), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4900), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5526), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [51480] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9183), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4901), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [51603] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4902), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6352), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [51744] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4903), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    ACTIONS(6195), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [51853] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4904), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [51962] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6840), 2,
      anon_sym_ascending,
      anon_sym_descending,
    ACTIONS(6838), 8,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4905), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [52105] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4725), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6280), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3626), 1,
      sym_type,
    STATE(3981), 1,
      sym_identifier,
    STATE(4357), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4906), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [52228] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(4907), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [52359] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    ACTIONS(4522), 1,
      anon_sym_delegate,
    ACTIONS(4526), 1,
      anon_sym_var,
    ACTIONS(4528), 1,
      sym_predefined_type,
    ACTIONS(4530), 1,
      anon_sym_ref,
    ACTIONS(6166), 1,
      anon_sym_scoped,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3654), 1,
      sym_array_type,
    STATE(3658), 1,
      sym_tuple_type,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3694), 1,
      sym_type,
    STATE(5330), 1,
      sym_identifier,
    STATE(5857), 1,
      sym__name,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9966), 1,
      sym__pointer_base_type,
    STATE(3648), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3652), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3657), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4908), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [52482] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9830), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4909), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [52605] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9682), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4910), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [52728] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6338), 1,
      anon_sym_in,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6793), 1,
      anon_sym_QMARK,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6819), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4911), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6336), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [52871] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9429), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4912), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [52994] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8773), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4913), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [53117] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5740), 1,
      anon_sym_ref,
    ACTIONS(5742), 1,
      anon_sym_delegate,
    ACTIONS(5748), 1,
      anon_sym_scoped,
    ACTIONS(5750), 1,
      sym_predefined_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(7776), 1,
      sym__name,
    STATE(8062), 1,
      sym_tuple_type,
    STATE(8375), 1,
      sym_array_type,
    STATE(8816), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9697), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(8859), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(4914), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [53240] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym_into,
    STATE(4778), 1,
      aux_sym__query_body_repeat2,
    STATE(4915), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(6517), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [53331] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4916), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5676), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [53472] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym_into,
    STATE(4788), 1,
      aux_sym__query_body_repeat2,
    STATE(4917), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_as,
    ACTIONS(6517), 31,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [53563] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    ACTIONS(6733), 1,
      anon_sym_QMARK,
    ACTIONS(6735), 1,
      anon_sym_CARET,
    ACTIONS(6737), 1,
      anon_sym_PIPE,
    ACTIONS(6739), 1,
      anon_sym_AMP,
    ACTIONS(6743), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6745), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6747), 1,
      anon_sym_QMARK_QMARK,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(4918), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5443), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [53704] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4919), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [53809] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9049), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4920), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [53932] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4118), 1,
      anon_sym_ref,
    ACTIONS(6621), 1,
      anon_sym_var,
    ACTIONS(6653), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(7284), 1,
      sym_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4921), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [54055] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(4922), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [54188] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6471), 1,
      anon_sym_as,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6723), 1,
      anon_sym_GT_GT,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6729), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6721), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6725), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6741), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4923), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
  [54317] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6615), 1,
      anon_sym_ref,
    ACTIONS(6619), 1,
      anon_sym_scoped,
    ACTIONS(6621), 1,
      anon_sym_var,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9072), 1,
      sym_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4924), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [54440] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4925), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [54569] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    ACTIONS(4682), 1,
      anon_sym_ref,
    ACTIONS(6184), 1,
      anon_sym_delegate,
    ACTIONS(6188), 1,
      anon_sym_var,
    ACTIONS(6190), 1,
      sym_predefined_type,
    ACTIONS(6374), 1,
      anon_sym_scoped,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3597), 1,
      sym_array_type,
    STATE(3602), 1,
      sym_tuple_type,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3626), 1,
      sym_type,
    STATE(4561), 1,
      sym_identifier,
    STATE(4981), 1,
      sym__name,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9236), 1,
      sym__pointer_base_type,
    STATE(3596), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3600), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(3616), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4926), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [54692] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(4927), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [54807] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(4076), 1,
      anon_sym_ref,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6176), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4928), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [54930] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5382), 1,
      anon_sym_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(6014), 1,
      anon_sym_QMARK,
    STATE(3724), 1,
      sym_initializer_expression,
    STATE(4929), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5392), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5386), 30,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [55025] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9869), 1,
      sym_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4930), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [55148] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(5970), 1,
      anon_sym_ref,
    ACTIONS(5978), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4931), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [55271] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4932), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [55398] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6150), 1,
      anon_sym_switch,
    ACTIONS(6164), 1,
      anon_sym_with,
    ACTIONS(6719), 1,
      anon_sym_SLASH,
    ACTIONS(6727), 1,
      anon_sym_DOT_DOT,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6715), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6717), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
    STATE(4933), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_select,
      anon_sym_is,
  [55513] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    ACTIONS(4236), 1,
      anon_sym_ref,
    ACTIONS(6243), 1,
      anon_sym_delegate,
    ACTIONS(6247), 1,
      anon_sym_var,
    ACTIONS(6249), 1,
      sym_predefined_type,
    ACTIONS(6274), 1,
      anon_sym_scoped,
    ACTIONS(6607), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(3926), 1,
      sym_identifier,
    STATE(3977), 1,
      sym_array_type,
    STATE(3987), 1,
      sym_tuple_type,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4114), 1,
      sym__name,
    STATE(4140), 1,
      sym_type,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9515), 1,
      sym__pointer_base_type,
    STATE(3971), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(3973), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(3984), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4934), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [55636] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_in,
      anon_sym_QMARK,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4935), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [55771] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6731), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6799), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      anon_sym_CARET,
    ACTIONS(6803), 1,
      anon_sym_PIPE,
    ACTIONS(6805), 1,
      anon_sym_AMP,
    ACTIONS(6809), 1,
      anon_sym_GT_GT,
    ACTIONS(6815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(6823), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_in,
      anon_sym_QMARK,
    ACTIONS(6791), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6795), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6797), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6807), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6811), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6813), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4936), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [55908] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_var,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(6564), 1,
      anon_sym_ref,
    ACTIONS(6568), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4937), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [56031] = 30,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3093), 1,
      sym_predefined_type,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(6570), 1,
      anon_sym_ref,
    ACTIONS(6574), 1,
      anon_sym_scoped,
    STATE(2893), 1,
      sym_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5288), 1,
      sym_tuple_type,
    STATE(5289), 1,
      sym__name,
    STATE(5457), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(2895), 3,
      sym_implicit_type,
      sym_ref_type,
      sym_scoped_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5285), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(4938), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 20,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [56154] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5528), 1,
      anon_sym_or,
    ACTIONS(6751), 1,
      anon_sym_QMARK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6775), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6785), 1,
      anon_sym_is,
    ACTIONS(6787), 1,
      anon_sym_with,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4939), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5526), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [56297] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4940), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [56425] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5614), 1,
      anon_sym_or,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4941), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [56567] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5674), 1,
      anon_sym_or,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4942), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [56709] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6882), 1,
      anon_sym_into,
    STATE(4972), 1,
      aux_sym__query_body_repeat2,
    STATE(4943), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 30,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [56799] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6354), 1,
      anon_sym_or,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4944), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [56941] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5678), 1,
      anon_sym_or,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4945), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [57083] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5445), 1,
      anon_sym_or,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4946), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [57225] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5528), 1,
      anon_sym_or,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4947), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [57367] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4948), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5273), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(5269), 25,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [57469] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_or,
    STATE(4949), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [57599] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_or,
    STATE(4950), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_where,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [57731] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 4,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4951), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [57857] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(4073), 1,
      anon_sym_where,
    ACTIONS(5970), 1,
      anon_sym_ref,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2884), 1,
      sym_ref_type,
    STATE(2886), 1,
      sym__scoped_base_type,
    STATE(5280), 1,
      sym_identifier,
    STATE(6290), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(4952), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3995), 11,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
    ACTIONS(27), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [57963] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4953), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_where,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [58097] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4954), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_where,
      anon_sym_and,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [58233] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_or,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4955), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [58373] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4956), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5317), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(5315), 25,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [58475] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6882), 1,
      anon_sym_into,
    STATE(4973), 1,
      aux_sym__query_body_repeat2,
    STATE(4957), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 30,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [58565] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4958), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5313), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(5311), 25,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [58667] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6866), 1,
      anon_sym_with,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(4959), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(6195), 20,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [58779] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(5488), 1,
      anon_sym_or,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4960), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [58921] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6884), 1,
      anon_sym_DOT,
    STATE(4961), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4451), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(4453), 32,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [59009] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 1,
      anon_sym_or,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4962), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [59151] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6866), 1,
      anon_sym_with,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4963), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(6195), 22,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [59259] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6310), 1,
      anon_sym_or,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4964), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [59401] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    STATE(4965), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5921), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(4276), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [59489] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6866), 1,
      anon_sym_with,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
    STATE(4966), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [59607] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym_into,
    STATE(4969), 1,
      aux_sym__query_body_repeat2,
    STATE(4967), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(6517), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [59697] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym_into,
    STATE(4970), 1,
      aux_sym__query_body_repeat2,
    STATE(4968), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(6517), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [59787] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6888), 1,
      anon_sym_into,
    STATE(4969), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(6521), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [59875] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym_into,
    STATE(4969), 1,
      aux_sym__query_body_repeat2,
    STATE(4970), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(6528), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [59965] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    STATE(5013), 1,
      sym_type_argument_list,
    STATE(4971), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4134), 13,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
    ACTIONS(4132), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [60057] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6882), 1,
      anon_sym_into,
    STATE(4973), 1,
      aux_sym__query_body_repeat2,
    STATE(4972), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 30,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [60147] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6891), 1,
      anon_sym_into,
    STATE(4973), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 30,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [60235] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym_into,
    STATE(4967), 1,
      aux_sym__query_body_repeat2,
    STATE(4974), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(6511), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [60325] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6882), 1,
      anon_sym_into,
    STATE(4957), 1,
      aux_sym__query_body_repeat2,
    STATE(4975), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 30,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [60415] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4976), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(6366), 24,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [60519] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6866), 1,
      anon_sym_with,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    STATE(4977), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 20,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [60633] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4978), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(1225), 24,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [60737] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6328), 1,
      anon_sym_or,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4979), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [60879] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6300), 1,
      anon_sym_or,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6860), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6864), 1,
      anon_sym_is,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6868), 1,
      anon_sym_QMARK,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 8,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4980), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [61021] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_STAR,
    ACTIONS(5333), 1,
      anon_sym_QMARK,
    ACTIONS(6884), 1,
      anon_sym_DOT,
    STATE(4981), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_or,
    ACTIONS(4475), 30,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [61115] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4982), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5881), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5879), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [61200] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4983), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4134), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4132), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [61285] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(4984), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 24,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [61388] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(4985), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [61519] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4986), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [61658] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4987), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5844), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5842), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [61743] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4988), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5873), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5871), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [61828] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4989), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [61967] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4990), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5907), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5905), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [62052] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4991), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [62191] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6928), 1,
      anon_sym_and,
    STATE(4992), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(6703), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [62278] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4993), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5946), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5944), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [62363] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4994), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [62502] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(4995), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [62627] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4996), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5887), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5885), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [62712] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(4997), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [62851] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(4998), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5891), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5889), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [62936] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(4999), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 20,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [63047] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5000), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 22,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [63154] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5001), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5940), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [63239] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5002), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5858), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5856), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [63324] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5003), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5877), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5875), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [63409] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5004), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5962), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5960), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [63494] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5005), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5921), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(4276), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [63579] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5006), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4140), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4138), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [63664] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5007), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5895), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5893), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [63749] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5008), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [63888] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4797), 1,
      anon_sym_or,
    STATE(5009), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4789), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    ACTIONS(5912), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5909), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [63977] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5010), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 20,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [64090] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6928), 1,
      anon_sym_and,
    ACTIONS(6930), 1,
      anon_sym_or,
    STATE(5011), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [64179] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5012), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4130), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4128), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [64264] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5013), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4151), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4149), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [64349] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5014), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [64488] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5015), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [64627] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5016), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4536), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4534), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [64712] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5017), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5958), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5956), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [64797] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(6570), 1,
      anon_sym_ref,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2884), 1,
      sym_ref_type,
    STATE(2886), 1,
      sym__scoped_base_type,
    STATE(5280), 1,
      sym_identifier,
    STATE(6290), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5018), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3995), 10,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [64900] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5019), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [65039] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5020), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5877), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5875), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [65124] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5021), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [65257] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5022), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [65396] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4797), 1,
      anon_sym_or,
    STATE(5023), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4789), 9,
      anon_sym_where,
      anon_sym_and,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    ACTIONS(5918), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5915), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [65485] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5024), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [65624] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5025), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_where,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [65759] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5026), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5950), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5948), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [65844] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5027), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5848), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5846), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [65929] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5028), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5962), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5960), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [66014] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6932), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5029), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [66153] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5030), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4126), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4124), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [66238] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5031), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4188), 15,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_DASH_GT,
    ACTIONS(4177), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [66323] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5032), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [66440] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5033), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [66579] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6928), 1,
      anon_sym_and,
    ACTIONS(6930), 1,
      anon_sym_or,
    STATE(5034), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 30,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [66668] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5035), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [66797] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5036), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5954), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5952), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [66882] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6904), 1,
      anon_sym_CARET,
    ACTIONS(6906), 1,
      anon_sym_AMP,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    ACTIONS(6918), 1,
      anon_sym_PIPE,
    ACTIONS(6920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6922), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6924), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6926), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 8,
      anon_sym_where,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5037), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [67021] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5038), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 24,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [67124] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5039), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5840), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5838), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [67209] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5040), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5903), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(5901), 31,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [67294] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6783), 1,
      anon_sym_as,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6894), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6902), 1,
      anon_sym_SLASH,
    ACTIONS(6910), 1,
      anon_sym_GT_GT,
    ACTIONS(6916), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6896), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6898), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6900), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6908), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6912), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5041), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [67421] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5042), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [67559] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5043), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [67697] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5044), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [67827] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5045), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [67951] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5046), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [68089] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5047), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [68201] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5048), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [68339] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5049), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 23,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [68441] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5050), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [68579] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5051), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [68717] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(5331), 1,
      anon_sym_var,
    ACTIONS(7042), 1,
      sym_predefined_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8224), 1,
      sym__name,
    STATE(8305), 1,
      sym_tuple_type,
    STATE(8442), 1,
      sym_array_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9103), 1,
      sym_implicit_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(9904), 1,
      sym__ref_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8446), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5052), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [68833] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5053), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4172), 14,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_EQ_GT,
    ACTIONS(4163), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [68917] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5054), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [69041] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5055), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [69179] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5056), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [69317] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_LBRACE,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    STATE(5223), 1,
      sym_argument_list,
    STATE(5541), 1,
      sym_initializer_expression,
    STATE(5057), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5247), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5243), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [69409] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5058), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [69525] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5059), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [69663] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5060), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [69801] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5061), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [69933] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5062), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [70043] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5063), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [70159] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7046), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5064), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [70297] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5065), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [70413] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7048), 1,
      anon_sym_and,
    ACTIONS(7050), 1,
      anon_sym_or,
    STATE(5066), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [70501] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5067), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [70611] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5068), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [70749] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5069), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [70887] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7052), 1,
      anon_sym_LT,
    ACTIONS(7055), 1,
      anon_sym_COLON_COLON,
    STATE(5290), 1,
      sym_type_argument_list,
    STATE(5070), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4134), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [70977] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5071), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [71115] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5072), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [71225] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5073), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [71327] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5074), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [71439] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_into,
    STATE(5092), 1,
      aux_sym__query_body_repeat2,
    STATE(5075), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [71527] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5076), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_where,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [71661] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5077), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [71789] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5078), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [71927] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5079), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [72065] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7059), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5080), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [72203] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5081), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [72341] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5082), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [72479] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7048), 1,
      anon_sym_and,
    ACTIONS(7050), 1,
      anon_sym_or,
    STATE(5083), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [72567] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5909), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5084), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 23,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [72655] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5085), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [72793] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5086), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [72923] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5087), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [73061] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5088), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [73199] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5089), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73325] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5090), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [73451] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5915), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5091), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5461), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5459), 23,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [73539] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_into,
    STATE(5099), 1,
      aux_sym__query_body_repeat2,
    STATE(5092), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [73627] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5093), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [73765] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_into,
    STATE(5102), 1,
      aux_sym__query_body_repeat2,
    STATE(5094), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [73853] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5095), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_where,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [73985] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5096), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [74109] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5097), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [74247] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5098), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [74385] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_into,
    STATE(5099), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [74471] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5100), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [74603] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5101), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [74741] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7057), 1,
      anon_sym_into,
    STATE(5099), 1,
      aux_sym__query_body_repeat2,
    STATE(5102), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [74829] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5103), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [74967] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5104), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [75101] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5105), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [75235] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5106), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 21,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [75341] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5107), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 21,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
  [75447] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5108), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [75585] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5109), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [75691] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3997), 1,
      anon_sym_EQ,
    ACTIONS(3995), 7,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(4086), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_EQ_GT,
    STATE(5110), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4089), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [75779] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5111), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [75881] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5112), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [76007] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5113), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [76145] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5114), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [76283] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5115), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [76421] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5116), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [76559] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7064), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5117), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [76697] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5118), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [76835] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7066), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5119), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [76973] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5120), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [77111] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5121), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 23,
      anon_sym_where,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [77213] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5122), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [77351] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5123), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [77453] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7016), 1,
      anon_sym_CARET,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    ACTIONS(7034), 1,
      anon_sym_PIPE,
    ACTIONS(7036), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7038), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7040), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(5124), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [77591] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5125), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [77729] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5126), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [77857] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5127), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 23,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [77959] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5128), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [78097] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6970), 1,
      anon_sym_is,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5129), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [78235] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(6998), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7006), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5130), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [78365] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7048), 1,
      anon_sym_and,
    STATE(5131), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 12,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_or,
    ACTIONS(6703), 29,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_where,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [78451] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6862), 1,
      anon_sym_as,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7014), 1,
      anon_sym_SLASH,
    ACTIONS(7018), 1,
      anon_sym_AMP,
    ACTIONS(7022), 1,
      anon_sym_GT_GT,
    ACTIONS(7028), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7030), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7008), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7010), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7012), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7020), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7026), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5132), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_where,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
  [78579] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6960), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6972), 1,
      anon_sym_with,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5133), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [78691] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5134), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [78806] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7080), 1,
      anon_sym_into,
    STATE(5137), 1,
      aux_sym__query_body_repeat2,
    STATE(5135), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 28,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [78893] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7080), 1,
      anon_sym_into,
    STATE(5138), 1,
      aux_sym__query_body_repeat2,
    STATE(5136), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 28,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [78980] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7082), 1,
      anon_sym_into,
    STATE(5137), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 28,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [79065] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7080), 1,
      anon_sym_into,
    STATE(5137), 1,
      aux_sym__query_body_repeat2,
    STATE(5138), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 28,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [79152] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5139), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [79289] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5140), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [79426] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5141), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [79563] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5142), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [79700] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5143), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [79837] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5144), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5313), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5311), 23,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [79936] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5145), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [80059] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5146), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [80196] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5147), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5273), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5269), 23,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [80295] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5148), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4120), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4122), 30,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [80378] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5149), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [80503] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3995), 1,
      anon_sym_COLON_COLON,
    STATE(5150), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4089), 12,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4086), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [80588] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5151), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [80725] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5152), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [80862] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7187), 1,
      anon_sym_LBRACK,
    ACTIONS(7189), 1,
      sym_predefined_type,
    STATE(3928), 1,
      sym_array_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8858), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8938), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5153), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [80973] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5154), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [81104] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(6507), 1,
      anon_sym_ref,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8587), 1,
      sym__name,
    STATE(8813), 1,
      sym_ref_type,
    STATE(8825), 1,
      sym__scoped_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(3995), 8,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(5155), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [81205] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_LBRACE,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    STATE(5543), 1,
      sym_initializer_expression,
    STATE(5156), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5291), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5286), 27,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [81294] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5157), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [81425] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5158), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 22,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [81526] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5159), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [81663] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5160), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 22,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [81764] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5161), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [81901] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5162), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [82012] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5163), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [82113] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5164), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [82250] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5165), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [82383] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5166), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [82520] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5167), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 22,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [82621] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5168), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [82758] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5169), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [82891] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5170), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [83028] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5171), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [83151] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5172), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [83288] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5173), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [83425] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5174), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [83536] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5175), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [83663] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7189), 1,
      sym_predefined_type,
    ACTIONS(7191), 1,
      anon_sym_LBRACK,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5156), 1,
      sym_array_type,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8899), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8938), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5176), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [83774] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5177), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5317), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(5315), 23,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [83873] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5178), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [83998] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5179), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [84107] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5180), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [84244] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5181), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [84377] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5182), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [84514] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5183), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [84651] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5184), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4120), 12,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4122), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [84734] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5185), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [84843] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7080), 1,
      anon_sym_into,
    STATE(5135), 1,
      aux_sym__query_body_repeat2,
    STATE(5186), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 28,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [84930] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5187), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [85067] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5188), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 20,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [85172] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5189), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [85299] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7189), 1,
      sym_predefined_type,
    ACTIONS(7193), 1,
      anon_sym_LBRACK,
    STATE(3629), 1,
      sym_array_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8985), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8938), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5190), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [85410] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(5740), 1,
      anon_sym_ref,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8587), 1,
      sym__name,
    STATE(8813), 1,
      sym_ref_type,
    STATE(8825), 1,
      sym__scoped_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(3995), 8,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(5191), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [85511] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5382), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_LBRACE,
    ACTIONS(7198), 1,
      anon_sym_QMARK,
    STATE(5542), 1,
      sym_initializer_expression,
    STATE(5192), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5392), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5386), 27,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [85602] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5193), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [85739] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5194), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [85876] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5195), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [86013] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5196), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [86142] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5197), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3997), 12,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3995), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [86225] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5198), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [86362] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5199), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [86499] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5200), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 20,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [86604] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5201), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4554), 13,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_EQ_GT,
    ACTIONS(4552), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [86687] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5202), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [86816] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7189), 1,
      sym_predefined_type,
    ACTIONS(7202), 1,
      anon_sym_LBRACK,
    STATE(3811), 1,
      sym_array_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8963), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8938), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5203), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [86927] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5204), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [87064] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5205), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [87201] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7133), 1,
      anon_sym_QMARK,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5206), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [87338] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5207), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [87475] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5208), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [87612] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5209), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [87737] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5210), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3997), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3995), 30,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [87820] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5211), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [87947] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5212), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 22,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [88048] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7189), 1,
      sym_predefined_type,
    ACTIONS(7204), 1,
      anon_sym_LBRACK,
    STATE(3571), 1,
      sym_array_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8737), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8938), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5213), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [88159] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5214), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [88282] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7189), 1,
      sym_predefined_type,
    ACTIONS(7206), 1,
      anon_sym_LBRACK,
    STATE(4376), 1,
      sym_array_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8922), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(8938), 3,
      sym_nullable_type,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5215), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [88393] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5216), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 22,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [88494] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5217), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [88631] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5218), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [88768] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7052), 1,
      anon_sym_LT,
    STATE(5290), 1,
      sym_type_argument_list,
    STATE(5219), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 10,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4134), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [88855] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5382), 1,
      anon_sym_LBRACK,
    ACTIONS(5389), 1,
      anon_sym_LBRACE,
    ACTIONS(5395), 1,
      anon_sym_QMARK,
    STATE(3756), 1,
      sym_initializer_expression,
    STATE(5220), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5392), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5386), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [88946] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5221), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [89057] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5222), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 18,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [89166] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_LBRACE,
    STATE(5564), 1,
      sym_initializer_expression,
    STATE(5223), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5325), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5323), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [89253] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5224), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [89390] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5225), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [89527] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5226), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [89642] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5227), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [89779] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5228), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [89916] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5229), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [90047] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_LBRACE,
    STATE(5540), 1,
      sym_initializer_expression,
    STATE(5230), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5281), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5279), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [90134] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5231), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [90249] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5232), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 20,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [90354] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7127), 1,
      anon_sym_is,
    ACTIONS(7129), 1,
      anon_sym_with,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5233), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [90491] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7078), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7167), 1,
      anon_sym_QMARK,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7185), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 6,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5234), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [90628] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5235), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [90757] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5236), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [90857] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2629), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(2631), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7246), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(9463), 2,
      sym_preproc_else_in_expression,
      sym_preproc_elif_in_expression,
    STATE(5237), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [90999] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7248), 1,
      sym_string_literal_encoding,
    STATE(5238), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5352), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5350), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [91083] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5239), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4600), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4602), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [91165] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5240), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4534), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4536), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [91247] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5241), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4163), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4172), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [91329] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5242), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4552), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4554), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [91411] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5243), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4596), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4598), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [91493] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5244), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [91629] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5245), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [91765] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5246), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [91901] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5247), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [92037] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5248), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [92173] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5249), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [92309] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5250), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [92445] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5251), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [92581] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5252), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [92717] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_into,
    STATE(5328), 1,
      aux_sym__query_body_repeat2,
    STATE(5253), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [92803] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5254), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [92939] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5255), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [93053] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5256), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [93161] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5257), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [93265] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5258), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [93375] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5259), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [93511] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5260), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [93647] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5261), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [93783] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5262), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4563), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4565), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [93865] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5263), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [94001] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5264), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [94137] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5265), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [94273] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5266), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [94409] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5267), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [94545] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5268), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [94681] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2629), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(2631), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7334), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(9062), 2,
      sym_preproc_else_in_expression,
      sym_preproc_elif_in_expression,
    STATE(5269), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [94823] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7189), 1,
      sym_predefined_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(7160), 1,
      sym_array_type,
    STATE(7165), 1,
      sym_nullable_type,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(8938), 2,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5270), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [94933] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5271), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [95069] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5272), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 21,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [95169] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5273), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [95305] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2629), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(2631), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7358), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(8993), 2,
      sym_preproc_else_in_expression,
      sym_preproc_elif_in_expression,
    STATE(5274), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [95447] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5275), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [95583] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5276), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4598), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
    ACTIONS(4596), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [95665] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    STATE(5277), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5921), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4276), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [95749] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2629), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(2631), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7360), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(9144), 2,
      sym_preproc_else_in_expression,
      sym_preproc_elif_in_expression,
    STATE(5278), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [95891] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5279), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [96027] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(5280), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4134), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_EQ_GT,
    ACTIONS(4132), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [96115] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5281), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [96229] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5282), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [96337] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5283), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [96447] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2629), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(2631), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7366), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(9433), 2,
      sym_preproc_else_in_expression,
      sym_preproc_elif_in_expression,
    STATE(5284), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [96589] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    STATE(5285), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4475), 10,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_EQ_GT,
    ACTIONS(4473), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [96675] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_delegate,
    ACTIONS(7189), 1,
      sym_predefined_type,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4971), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(7166), 1,
      sym_array_type,
    STATE(7173), 1,
      sym_nullable_type,
    STATE(8323), 1,
      sym__name,
    STATE(8534), 1,
      sym_tuple_type,
    STATE(8894), 1,
      sym__array_base_type,
    STATE(9588), 1,
      sym__pointer_base_type,
    STATE(8938), 2,
      sym_pointer_type,
      sym_function_pointer_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(5286), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [96785] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5287), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4134), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [96867] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    STATE(5288), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4475), 9,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
    ACTIONS(4473), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [96955] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    ACTIONS(4475), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
    STATE(5289), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [97045] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5290), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4149), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4151), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [97127] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5291), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 23,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [97211] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    STATE(5292), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5461), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5459), 23,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [97295] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5293), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4124), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4126), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [97377] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5294), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [97513] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5295), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4128), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4130), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [97595] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5296), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4138), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4140), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [97677] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5297), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4565), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
    ACTIONS(4563), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [97759] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5298), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [97895] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5299), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [98021] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5300), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [98149] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5301), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [98273] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5302), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [98395] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5303), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [98525] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5304), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [98657] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5305), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [98793] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5306), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [98929] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5307), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [99065] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5308), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [99201] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5309), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [99337] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5310), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [99473] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5311), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [99609] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5312), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [99745] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7338), 1,
      anon_sym_QMARK,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7356), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 5,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5313), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [99881] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5314), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4475), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [99963] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7376), 1,
      anon_sym_DOT,
    STATE(5315), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4451), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(4453), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100047] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5316), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4451), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4453), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100129] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5317), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4455), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4457), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100211] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5318), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4459), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4461), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100293] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5319), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4463), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4465), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100375] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7378), 1,
      aux_sym_raw_string_literal_token1,
    STATE(5320), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5358), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5356), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100459] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5321), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4429), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100541] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5322), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4467), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4469), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100623] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5323), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5364), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5362), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100705] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5324), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4602), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
    ACTIONS(4600), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [100787] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_and,
    ACTIONS(7382), 1,
      anon_sym_or,
    STATE(5325), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 27,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [100873] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5326), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [101009] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5327), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5344), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5342), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [101091] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7418), 1,
      anon_sym_into,
    STATE(5328), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [101175] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5329), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [101311] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5377), 1,
      anon_sym_LT,
    ACTIONS(7421), 1,
      anon_sym_COLON_COLON,
    STATE(3731), 1,
      sym_type_argument_list,
    STATE(5330), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 11,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4134), 26,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [101399] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(4267), 1,
      sym_identifier,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9629), 1,
      sym__lambda_parameters,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4355), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5331), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [101507] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5332), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [101643] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5333), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 21,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [101743] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5334), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 21,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [101843] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_and,
    ACTIONS(7431), 1,
      anon_sym_or,
    STATE(5335), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 27,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [101929] = 43,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7433), 1,
      anon_sym_COLON,
    ACTIONS(7435), 1,
      anon_sym_COMMA,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    ACTIONS(7471), 1,
      sym_interpolation_close_brace,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    STATE(8656), 1,
      sym_interpolation_alignment_clause,
    STATE(9704), 1,
      sym_interpolation_format_clause,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5336), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [102073] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5337), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 21,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [102173] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5338), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [102287] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5339), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [102395] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5340), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 19,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [102499] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5341), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [102609] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2629), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(2631), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7473), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(9073), 2,
      sym_preproc_else_in_expression,
      sym_preproc_elif_in_expression,
    STATE(5342), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [102751] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5343), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4481), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4483), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [102833] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5344), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [102959] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5345), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [103087] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5346), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [103211] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5347), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [103333] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5348), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [103463] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5349), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [103595] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5350), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [103731] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_and,
    STATE(5351), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 28,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [103815] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5352), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5329), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5327), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [103897] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7252), 1,
      anon_sym_QMARK,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5353), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [104033] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(6564), 1,
      anon_sym_ref,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2884), 1,
      sym_ref_type,
    STATE(2886), 1,
      sym__scoped_base_type,
    STATE(5280), 1,
      sym_identifier,
    STATE(6290), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(3995), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(5354), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [104133] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5355), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [104269] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5356), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [104405] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5357), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [104509] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5358), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4485), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4487), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [104591] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(5359), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4134), 10,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_EQ_GT,
    ACTIONS(4132), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [104677] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7208), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7290), 1,
      anon_sym_QMARK,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7318), 1,
      anon_sym_as,
    ACTIONS(7320), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 5,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5360), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [104813] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5361), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4477), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4479), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [104895] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5362), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [105031] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5363), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 21,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [105131] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5364), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [105267] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5365), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [105403] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5366), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [105539] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5367), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [105675] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5368), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [105811] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5369), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [105947] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5370), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [106083] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7386), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5371), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [106219] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5372), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [106333] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5373), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [106441] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5374), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 19,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [106545] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5375), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [106671] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5376), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [106799] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5377), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [106923] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5378), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [107033] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5379), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [107155] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5380), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [107285] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5381), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [107417] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(7392), 1,
      anon_sym_SLASH,
    ACTIONS(7394), 1,
      anon_sym_CARET,
    ACTIONS(7396), 1,
      anon_sym_PIPE,
    ACTIONS(7398), 1,
      anon_sym_AMP,
    ACTIONS(7402), 1,
      anon_sym_GT_GT,
    ACTIONS(7408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7416), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7384), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7388), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7390), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7400), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7404), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7406), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_into,
    STATE(5382), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [107553] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5383), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [107679] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5384), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [107807] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5385), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [107931] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5386), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [108053] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5387), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [108183] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5388), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [108315] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7284), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(5389), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [108451] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(6615), 1,
      anon_sym_ref,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2884), 1,
      sym_ref_type,
    STATE(2886), 1,
      sym__scoped_base_type,
    STATE(5280), 1,
      sym_identifier,
    STATE(6290), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(3995), 7,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(5390), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [108551] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7332), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5391), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 21,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [108651] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5392), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4177), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4188), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [108733] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7274), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5393), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 21,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [108833] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_LBRACK,
    ACTIONS(7475), 1,
      anon_sym_QMARK,
    STATE(5394), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4475), 28,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [108919] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_STAR,
    STATE(5395), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4475), 27,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109005] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_STAR,
    ACTIONS(7475), 1,
      anon_sym_QMARK,
    STATE(5396), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4475), 27,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109093] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_and,
    STATE(5397), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 28,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109177] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2629), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(2631), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7478), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(9276), 2,
      sym_preproc_else_in_expression,
      sym_preproc_elif_in_expression,
    STATE(5398), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [109319] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_STAR,
    ACTIONS(7376), 1,
      anon_sym_DOT,
    ACTIONS(7475), 1,
      anon_sym_QMARK,
    STATE(5399), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(4475), 27,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109409] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_and,
    ACTIONS(7431), 1,
      anon_sym_or,
    STATE(5400), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 27,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109495] = 43,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7433), 1,
      anon_sym_COLON,
    ACTIONS(7435), 1,
      anon_sym_COMMA,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    ACTIONS(7480), 1,
      sym_interpolation_close_brace,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    STATE(8639), 1,
      sym_interpolation_alignment_clause,
    STATE(9584), 1,
      sym_interpolation_format_clause,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5401), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [109639] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7482), 1,
      sym_string_literal_encoding,
    STATE(5402), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5338), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5336), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109723] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5403), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4559), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4561), 29,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109805] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5404), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4561), 12,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_EQ_GT,
    ACTIONS(4559), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [109887] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_into,
    STATE(5406), 1,
      aux_sym__query_body_repeat2,
    STATE(5405), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [109973] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_into,
    STATE(5328), 1,
      aux_sym__query_body_repeat2,
    STATE(5406), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [110059] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7286), 1,
      anon_sym_into,
    STATE(5253), 1,
      aux_sym__query_body_repeat2,
    STATE(5407), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [110145] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7380), 1,
      anon_sym_and,
    ACTIONS(7382), 1,
      anon_sym_or,
    STATE(5408), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 27,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [110231] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5409), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [110358] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(6809), 1,
      sym_attribute_target_specifier,
    STATE(8192), 1,
      sym__name,
    STATE(8379), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(1067), 7,
      anon_sym_field,
      anon_sym_event,
      anon_sym_method,
      anon_sym_param,
      anon_sym_property,
      anon_sym_return,
      anon_sym_type,
    STATE(5410), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [110455] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5411), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2993), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2995), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [110536] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5412), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [110649] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5413), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [110756] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5414), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [110865] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5415), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [110978] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5416), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5912), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5909), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [111061] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5417), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5918), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5915), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [111144] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5418), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [111251] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5419), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [111376] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(6820), 1,
      sym_attribute_target_specifier,
    STATE(8192), 1,
      sym__name,
    STATE(8469), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(1067), 7,
      anon_sym_field,
      anon_sym_event,
      anon_sym_method,
      anon_sym_param,
      anon_sym_property,
      anon_sym_return,
      anon_sym_type,
    STATE(5420), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [111473] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5421), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [111600] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5422), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [111723] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5423), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [111832] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5424), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [111953] = 42,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7546), 1,
      anon_sym_COLON,
    ACTIONS(7548), 1,
      anon_sym_COMMA,
    ACTIONS(7550), 1,
      anon_sym_RBRACE,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8651), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5425), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [112094] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7560), 1,
      anon_sym_and,
    ACTIONS(7562), 1,
      anon_sym_or,
    STATE(5426), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 26,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [112179] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5427), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [112292] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5428), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [112399] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5429), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [112524] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5430), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [112651] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7584), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5431), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [112774] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5432), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [112883] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7584), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5433), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [113004] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5434), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [113133] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5435), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [113264] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5436), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [113399] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5437), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [113528] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5438), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [113659] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(4586), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4475), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
    STATE(5439), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [113748] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5440), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [113883] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5441), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [114018] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5442), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [114117] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5443), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [114252] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5444), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [114387] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5445), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [114522] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5446), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [114657] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5447), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [114792] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5448), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [114927] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5449), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [115062] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5450), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [115197] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5451), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [115332] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5452), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [115467] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5453), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [115592] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5454), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [115691] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5455), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3043), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3045), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [115772] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5456), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [115899] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    STATE(5457), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4475), 9,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
    ACTIONS(4473), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [115984] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5458), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [116107] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5459), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [116220] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5460), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [116327] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5461), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [116436] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5462), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [116535] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5463), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5578), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5576), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [116616] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5464), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [116725] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5805), 1,
      anon_sym_LT,
    ACTIONS(7674), 1,
      anon_sym_COLON_COLON,
    STATE(4059), 1,
      sym_type_argument_list,
    STATE(5465), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 10,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4134), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [116812] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5466), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2993), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2995), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [116893] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5467), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5946), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5944), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [116974] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5468), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [117087] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5469), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [117194] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5470), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [117297] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5471), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [117422] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5472), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [117549] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5473), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [117672] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5474), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [117781] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5475), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [117902] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5476), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [118001] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5477), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [118130] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5478), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [118261] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5479), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [118396] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5480), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [118531] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5481), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [118666] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5482), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [118801] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5483), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [118936] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5484), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [119071] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5485), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [119206] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5486), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [119341] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5487), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5950), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5948), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [119422] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5488), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [119543] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5489), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5954), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5952), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [119624] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5490), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5921), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4276), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [119705] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5491), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5958), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5956), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [119786] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5492), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [119899] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5493), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [120006] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5494), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [120115] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5495), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [120214] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5496), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5962), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5960), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [120295] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5497), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5962), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5960), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [120376] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5498), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [120475] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5499), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [120604] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5500), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [120735] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5501), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [120870] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5502), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [121005] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5503), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [121086] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5504), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [121199] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5505), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [121334] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5506), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [121469] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5507), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [121594] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5508), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5352), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5350), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [121675] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7560), 1,
      anon_sym_and,
    STATE(5509), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 27,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [121758] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5510), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [121871] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5511), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [121978] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5512), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [122087] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5513), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [122186] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5514), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [122267] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7740), 1,
      anon_sym_LPAREN,
    STATE(5515), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1995), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(1997), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [122350] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5516), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5401), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5399), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [122431] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5517), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [122554] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5518), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5307), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5305), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [122635] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5519), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5461), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5459), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [122716] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5520), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5654), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5652), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [122797] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5521), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [122918] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5522), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [123017] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5523), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [123146] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5524), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [123277] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5525), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [123412] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5526), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5449), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5447), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [123493] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5527), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5476), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5474), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [123574] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5528), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5480), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5478), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [123655] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5529), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5419), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5417), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [123736] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5530), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5484), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5482), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [123817] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5531), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [123952] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5532), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [124087] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5533), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2997), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2999), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [124168] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5534), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5554), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5552), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [124249] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5535), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [124384] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5536), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4759), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4757), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [124465] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5537), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5586), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5584), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [124546] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5538), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [124681] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5539), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5622), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5620), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [124762] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5540), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5640), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5638), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [124843] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5541), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5658), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5656), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [124924] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5542), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5662), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5660), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125005] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5543), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5415), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5413), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125086] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5544), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5423), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5421), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125167] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5545), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5427), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5425), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125248] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5546), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [125383] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5547), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5488), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5486), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125464] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5548), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5532), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5530), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125545] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5549), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5536), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5534), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125626] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5550), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5540), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5538), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [125707] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5551), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [125842] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5552), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [125941] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5553), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5550), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5548), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [126022] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5554), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [126157] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5555), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [126292] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5556), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5558), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5556), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [126373] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5557), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [126508] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5558), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [126643] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5559), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [126778] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7752), 1,
      anon_sym_into,
    STATE(5567), 1,
      aux_sym__query_body_repeat2,
    STATE(5560), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [126863] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7752), 1,
      anon_sym_into,
    STATE(5568), 1,
      aux_sym__query_body_repeat2,
    STATE(5561), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [126948] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5562), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [127083] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5563), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5566), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5564), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [127164] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5564), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5570), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5568), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [127245] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5565), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5574), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5572), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [127326] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5566), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [127461] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7754), 1,
      anon_sym_into,
    STATE(5567), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [127544] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7752), 1,
      anon_sym_into,
    STATE(5567), 1,
      aux_sym__query_body_repeat2,
    STATE(5568), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [127629] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5569), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_SEMI,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [127736] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5570), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2101), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2099), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [127817] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5571), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [127952] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5572), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5594), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5592), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128033] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5573), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5598), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5596), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128114] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5574), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5602), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5600), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128195] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5575), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5606), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5604), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128276] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5576), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5610), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5608), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128357] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5577), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5614), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5612), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128438] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(6818), 1,
      sym_attribute_target_specifier,
    STATE(8192), 1,
      sym__name,
    STATE(8431), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(1067), 7,
      anon_sym_field,
      anon_sym_event,
      anon_sym_method,
      anon_sym_param,
      anon_sym_property,
      anon_sym_return,
      anon_sym_type,
    STATE(5578), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [128535] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5579), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5492), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5490), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128616] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5580), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [128751] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5581), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [128850] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5582), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5618), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5616), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [128931] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5583), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5650), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5648), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [129012] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(5584), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [129137] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5585), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [129250] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5586), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [129357] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5587), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [129460] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5588), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [129585] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5589), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [129712] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5590), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [129835] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5591), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [129944] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5592), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [130065] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5593), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [130164] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5594), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [130293] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5595), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [130424] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7769), 1,
      anon_sym_and,
    ACTIONS(7771), 1,
      anon_sym_or,
    STATE(5596), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 26,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [130509] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5597), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [130644] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7769), 1,
      anon_sym_and,
    ACTIONS(7771), 1,
      anon_sym_or,
    STATE(5598), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 26,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [130729] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5599), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [130864] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(5600), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [130991] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(5601), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [131114] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5602), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [131249] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5603), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
  [131370] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(5604), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [131499] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(5605), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [131630] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5606), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [131765] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5607), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [131868] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5608), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5441), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5439), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [131949] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5609), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [132084] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5610), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [132219] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5611), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5674), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5672), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [132300] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5612), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5405), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5403), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [132381] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(6801), 1,
      sym_attribute_target_specifier,
    STATE(8192), 1,
      sym__name,
    STATE(8666), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(1067), 7,
      anon_sym_field,
      anon_sym_event,
      anon_sym_method,
      anon_sym_param,
      anon_sym_property,
      anon_sym_return,
      anon_sym_type,
    STATE(5613), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [132478] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5614), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [132613] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5615), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [132716] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5616), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [132851] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5617), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [132986] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5618), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5582), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5580), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [133067] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5619), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [133202] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5620), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [133337] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5621), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [133472] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5622), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [133607] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5623), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5858), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5856), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [133688] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5624), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5881), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5879), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [133769] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5625), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [133904] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5626), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134039] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5627), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134174] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5628), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134309] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5629), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134444] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5630), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134579] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5631), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134714] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5632), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134849] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5633), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [134984] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5634), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [135119] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_and,
    STATE(5635), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 27,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [135202] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5636), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [135337] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5637), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [135472] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5638), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [135607] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5639), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [135706] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5640), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5453), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5451), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [135787] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5641), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5465), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5463), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [135868] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7542), 1,
      anon_sym_is,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7726), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 4,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5642), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [136003] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5643), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [136138] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5644), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [136241] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5645), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5873), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5871), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [136322] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5646), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [136457] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5647), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5877), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5875), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [136538] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7530), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5648), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [136637] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5649), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5877), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5875), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [136718] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5650), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [136853] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(5651), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [136978] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(5652), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [137105] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(5653), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [137228] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5654), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
  [137349] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(5655), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [137478] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(5656), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [137609] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5657), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [137744] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5658), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [137879] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5659), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138014] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5660), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138149] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5661), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138284] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5662), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138419] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5663), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138554] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5664), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138689] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5665), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138824] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5666), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [138959] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7540), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_is,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7634), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(5667), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [139094] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5668), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5630), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5628), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [139175] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5669), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5634), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5632), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [139256] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5670), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [139391] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5671), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [139526] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7765), 1,
      anon_sym_as,
    ACTIONS(7767), 1,
      anon_sym_is,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7805), 1,
      anon_sym_QMARK,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_by,
    STATE(5672), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [139661] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5673), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [139764] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5674), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [139899] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(5675), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [140024] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(5676), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [140151] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(5677), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [140274] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5678), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
  [140395] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(5679), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [140524] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(5680), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [140655] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5681), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [140790] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5682), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [140925] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5683), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [141060] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5684), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [141195] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5685), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [141330] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5686), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [141465] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5687), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [141600] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5688), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [141735] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5689), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [141870] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5690), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [142005] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5691), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5644), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5642), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [142086] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5692), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5666), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5664), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [142167] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5693), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [142302] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5694), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5590), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5588), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [142383] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5695), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5678), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5676), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [142464] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5696), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [142567] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5697), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [142702] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5698), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [142837] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7811), 1,
      anon_sym_QMARK,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7829), 1,
      anon_sym_as,
    ACTIONS(7831), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_equals,
    STATE(5699), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [142972] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7574), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5700), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [143071] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7518), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5701), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [143170] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5702), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [143273] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5703), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5445), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5443), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [143354] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5704), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5903), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5901), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [143435] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_and,
    ACTIONS(7857), 1,
      anon_sym_or,
    STATE(5705), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [143520] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5706), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5469), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5467), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [143601] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_and,
    ACTIONS(7857), 1,
      anon_sym_or,
    STATE(5707), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [143686] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5708), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5907), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5905), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [143767] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5709), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [143902] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7835), 1,
      anon_sym_QMARK,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7853), 1,
      anon_sym_as,
    ACTIONS(7855), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 4,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
      anon_sym_on,
    STATE(5710), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [144037] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7672), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5711), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [144136] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5712), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [144239] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5713), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5524), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5522), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [144320] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5714), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5670), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5668), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [144401] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5715), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [144536] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5716), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [144635] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5717), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5496), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5494), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [144716] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5718), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5500), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5498), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [144797] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5719), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5411), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5409), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [144878] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7560), 1,
      anon_sym_and,
    ACTIONS(7562), 1,
      anon_sym_or,
    STATE(5720), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 26,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [144963] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7714), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5721), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [145062] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5722), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5528), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5526), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [145143] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5723), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 20,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [145242] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_SEMI,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5724), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [145377] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(7859), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5725), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [145514] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5726), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5562), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5560), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [145595] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5727), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5848), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5846), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [145676] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5728), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5887), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5885), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [145757] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5729), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5891), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5889), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [145838] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(6817), 1,
      sym_attribute_target_specifier,
    STATE(8192), 1,
      sym__name,
    STATE(8578), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    ACTIONS(1067), 7,
      anon_sym_field,
      anon_sym_event,
      anon_sym_method,
      anon_sym_param,
      anon_sym_property,
      anon_sym_return,
      anon_sym_type,
    STATE(5730), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [145935] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5731), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [146070] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5732), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 20,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [146169] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5733), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [146304] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6336), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5734), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [146439] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5735), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [146574] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5736), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [146709] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5737), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [146844] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5738), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [146979] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6358), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5739), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [147114] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5740), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [147249] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5741), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [147384] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7125), 1,
      anon_sym_as,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7492), 1,
      anon_sym_CARET,
    ACTIONS(7494), 1,
      anon_sym_AMP,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7506), 1,
      anon_sym_is,
    ACTIONS(7742), 1,
      anon_sym_PIPE,
    ACTIONS(7744), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7746), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7748), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7750), 1,
      anon_sym_QMARK,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7484), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7500), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7502), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_into,
    STATE(5742), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [147519] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7498), 1,
      anon_sym_GT_GT,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7496), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5743), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [147632] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5744), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [147739] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5745), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 18,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [147842] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5746), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5840), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5838), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [147923] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7490), 1,
      anon_sym_SLASH,
    ACTIONS(7504), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7486), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7488), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5747), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 16,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [148032] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5748), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5844), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5842), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148113] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7752), 1,
      anon_sym_into,
    STATE(5560), 1,
      aux_sym__query_body_repeat2,
    STATE(5749), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148198] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5750), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5546), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5544), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148279] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(4267), 1,
      sym_identifier,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9797), 1,
      sym__lambda_parameters,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(5751), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [148386] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_into,
    STATE(5753), 1,
      aux_sym__query_body_repeat2,
    STATE(5752), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148471] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_into,
    STATE(5755), 1,
      aux_sym__query_body_repeat2,
    STATE(5753), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148556] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_into,
    STATE(5756), 1,
      aux_sym__query_body_repeat2,
    STATE(5754), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148641] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_into,
    STATE(5755), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148724] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7861), 1,
      anon_sym_into,
    STATE(5755), 1,
      aux_sym__query_body_repeat2,
    STATE(5756), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [148809] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5757), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [148944] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5758), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [149079] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5759), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [149204] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5760), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [149331] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5761), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [149454] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5762), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 10,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
  [149575] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5763), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [149704] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(5764), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [149835] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5765), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [149970] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5766), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [150105] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5767), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [150240] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5768), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [150375] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5769), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [150510] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5770), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [150645] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7769), 1,
      anon_sym_and,
    STATE(5771), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 27,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [150728] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5772), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [150863] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5773), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [150998] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6402), 1,
      anon_sym_switch,
    ACTIONS(6412), 1,
      anon_sym_as,
    ACTIONS(6416), 1,
      anon_sym_with,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7738), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7775), 1,
      anon_sym_QMARK,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7793), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 4,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_into,
    STATE(5774), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [151133] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5775), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5895), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5893), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [151214] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7866), 1,
      anon_sym_into,
    STATE(5777), 1,
      aux_sym__query_body_repeat2,
    STATE(5776), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [151299] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7866), 1,
      anon_sym_into,
    STATE(5779), 1,
      aux_sym__query_body_repeat2,
    STATE(5777), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [151384] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7866), 1,
      anon_sym_into,
    STATE(5780), 1,
      aux_sym__query_body_repeat2,
    STATE(5778), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [151469] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7868), 1,
      anon_sym_into,
    STATE(5779), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [151552] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7866), 1,
      anon_sym_into,
    STATE(5779), 1,
      aux_sym__query_body_repeat2,
    STATE(5780), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [151637] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5781), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2989), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2991), 28,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [151718] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5782), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [151852] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7908), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5783), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [151960] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5784), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [152072] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5785), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [152178] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5786), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [152302] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5787), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [152428] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7930), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5788), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [152550] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5789), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [152658] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7930), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5790), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [152778] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5791), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [152906] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5792), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [153036] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5793), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [153170] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5794), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [153304] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5795), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [153412] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5796), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [153546] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5797), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [153644] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5798), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [153778] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5799), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [153912] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5800), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154046] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5801), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154180] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5802), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154314] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5803), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154448] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5804), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154582] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5805), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154716] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(5806), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154850] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7946), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5807), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [154984] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5808), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [155118] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5809), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [155252] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7948), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5810), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [155360] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5811), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [155458] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7950), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5812), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [155566] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_into,
    STATE(5834), 1,
      aux_sym__query_body_repeat2,
    STATE(5813), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 25,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [155650] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7954), 1,
      anon_sym_COMMA,
    ACTIONS(7956), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8655), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5814), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [155788] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5815), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [155922] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7958), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5816), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [156030] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5817), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [156142] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7960), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8683), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5818), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [156280] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5819), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [156386] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7962), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5820), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [156494] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5821), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [156596] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5822), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [156720] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5823), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [156846] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5824), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [156968] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5825), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [157076] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5826), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [157196] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5827), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [157324] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7990), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(5828), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [157430] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5829), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [157560] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(7966), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8633), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5830), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [157698] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(7968), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8634), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5831), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [157836] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(7970), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5832), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [157944] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5833), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [158078] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_into,
    STATE(5908), 1,
      aux_sym__query_body_repeat2,
    STATE(5834), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [158162] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_into,
    STATE(5909), 1,
      aux_sym__query_body_repeat2,
    STATE(5835), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [158246] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7972), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5836), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [158380] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7972), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5837), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [158514] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7974), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5838), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [158648] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7976), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5839), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [158782] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5840), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [158894] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5841), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [159000] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7990), 1,
      anon_sym_COMMA,
    ACTIONS(7992), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8468), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5842), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [159138] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5843), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [159262] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5844), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [159388] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8002), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5845), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [159510] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8006), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8518), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5846), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [159648] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5847), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [159756] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8002), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5848), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [159876] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5849), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [160004] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5850), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [160134] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5851), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [160268] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7548), 1,
      anon_sym_COMMA,
    ACTIONS(7550), 1,
      anon_sym_RBRACE,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8651), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5852), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [160406] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8016), 1,
      anon_sym_SEMI,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6308), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5853), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [160542] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8050), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5854), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [160650] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8052), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5855), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [160758] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5856), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [160870] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_STAR,
    ACTIONS(5471), 1,
      anon_sym_QMARK,
    ACTIONS(8054), 1,
      anon_sym_DOT,
    STATE(5857), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(4475), 25,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [160958] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8054), 1,
      anon_sym_DOT,
    STATE(5858), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4451), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(4453), 27,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [161040] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5859), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [161152] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5860), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [161258] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5861), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [161382] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5862), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [161508] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5863), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [161630] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5864), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [161738] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5865), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [161858] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5866), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [161986] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(5867), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [162116] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8056), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8565), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5868), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [162254] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(7680), 1,
      anon_sym_SLASH,
    ACTIONS(7684), 1,
      anon_sym_GT_GT,
    ACTIONS(7688), 1,
      anon_sym_AMP,
    ACTIONS(7694), 1,
      anon_sym_CARET,
    ACTIONS(7696), 1,
      anon_sym_PIPE,
    ACTIONS(7698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8058), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6298), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(7676), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7678), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7682), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7686), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7690), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7692), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5869), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [162390] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5870), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [162524] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5871), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [162622] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8060), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8625), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5872), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [162760] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5873), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [162894] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5874), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [162992] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5875), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [163126] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5876), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [163260] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5877), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [163394] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5878), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [163528] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5879), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [163662] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5880), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [163796] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5881), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [163930] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5882), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [164064] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(4267), 1,
      sym_identifier,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4355), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5883), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [164170] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5884), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [164304] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5885), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [164410] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5886), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5921), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4276), 27,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [164490] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5887), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [164592] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5888), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [164716] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5889), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [164850] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5890), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [164984] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5891), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [165118] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(5892), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4429), 10,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_EQ_GT,
    ACTIONS(4427), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [165198] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8064), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8559), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5893), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [165336] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_and,
    STATE(5894), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [165418] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5895), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [165544] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5896), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [165678] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5897), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [165776] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5898), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [165874] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5899), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166008] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5900), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166142] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5901), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166276] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5902), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166410] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5903), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166544] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5904), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166678] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5905), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166812] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5906), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [166946] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5907), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [167080] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8070), 1,
      anon_sym_into,
    STATE(5908), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 25,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [167162] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7952), 1,
      anon_sym_into,
    STATE(5908), 1,
      aux_sym__query_body_repeat2,
    STATE(5909), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 25,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [167246] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5910), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [167368] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8073), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5911), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [167476] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8075), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8532), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5912), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [167614] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5913), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [167722] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5914), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [167842] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5915), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [167940] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8077), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8403), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5916), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [168078] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5917), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [168212] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5918), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [168346] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5919), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [168474] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5920), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [168608] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8079), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8588), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5921), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [168746] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8081), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8591), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5922), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [168884] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8083), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5923), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [169018] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5924), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [169152] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8085), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5925), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [169260] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5926), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [169390] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8087), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8652), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5927), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [169528] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5928), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [169640] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5929), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [169746] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(5930), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [169870] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(5931), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [169996] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8115), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5932), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [170130] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(5933), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [170252] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8459), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5934), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [170390] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8119), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8460), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5935), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [170528] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5936), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [170636] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8121), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8643), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5937), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [170774] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5938), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [170908] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5939), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
  [171028] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5940), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [171162] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8123), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5941), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [171270] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(5942), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [171398] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(5943), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [171528] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8129), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5944), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [171662] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5945), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [171796] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8135), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8644), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5946), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [171934] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_RPAREN,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(5947), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [172070] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8137), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8471), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5948), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [172208] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8139), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8472), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5949), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [172346] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5950), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [172480] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_and,
    ACTIONS(8143), 1,
      anon_sym_or,
    STATE(5951), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 25,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [172564] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5952), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [172698] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5953), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [172796] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5954), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [172930] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5955), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [173064] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5956), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [173198] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5957), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [173332] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5958), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [173466] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5959), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [173600] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5960), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [173734] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5961), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [173868] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5962), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [174002] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8147), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8475), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5963), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [174140] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5964), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [174238] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8149), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5965), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [174346] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5966), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [174480] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8450), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5967), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [174618] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5968), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [174752] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5969), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [174886] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8058), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5970), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [175020] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8153), 1,
      anon_sym_COMMA,
    ACTIONS(8155), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8504), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5971), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [175158] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8157), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5972), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [175266] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8159), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8452), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(5973), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [175404] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8161), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5974), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [175538] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5975), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [175646] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8165), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5976), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [175754] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7901), 1,
      anon_sym_as,
    ACTIONS(7903), 1,
      anon_sym_is,
    ACTIONS(8068), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 3,
      anon_sym_in,
      anon_sym_and,
      anon_sym_or,
    STATE(5977), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [175888] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_and,
    STATE(5978), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 26,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [175970] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5979), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [176104] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      sym_interpolation_close_brace,
      anon_sym_COLON,
      anon_sym_COMMA,
    STATE(5980), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [176238] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5981), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [176350] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5982), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [176456] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(5983), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [176580] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8191), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5984), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [176688] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_is,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8062), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 3,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
    STATE(5985), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [176822] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(5986), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [176948] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(5987), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [177070] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5988), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [177172] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(5989), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [177280] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(5990), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
  [177400] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7988), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(5991), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [177498] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_and,
    ACTIONS(8195), 1,
      anon_sym_or,
    STATE(5992), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 25,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [177582] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(5993), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [177716] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(5994), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [177844] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(5995), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [177974] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(5996), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [178108] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8205), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(5997), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [178216] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8109), 1,
      anon_sym_as,
    ACTIONS(8111), 1,
      anon_sym_is,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8145), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_by,
    STATE(5998), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [178350] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8207), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(5999), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [178484] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6000), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [178586] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6001), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [178720] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(8099), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6002), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [178818] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8211), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6003), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [178926] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6004), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [179024] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6005), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [179126] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6006), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [179224] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6007), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [179358] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8213), 1,
      anon_sym_COMMA,
    ACTIONS(8215), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8624), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6008), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [179496] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8217), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6009), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [179604] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6010), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [179738] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6011), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [179840] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6012), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [179938] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6013), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [180072] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6014), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [180206] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8221), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6015), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [180314] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6016), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [180448] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6017), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [180550] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6018), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [180648] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6968), 1,
      anon_sym_as,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7920), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7930), 1,
      anon_sym_is,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7944), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6172), 3,
      anon_sym_EQ_GT,
      anon_sym_and,
      anon_sym_or,
    STATE(6019), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [180782] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6020), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [180916] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6021), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [181050] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6022), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [181184] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6023), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [181318] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6024), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [181452] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8257), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(6025), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [181586] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8259), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8552), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6026), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [181724] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6027), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [181836] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6028), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [181942] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6029), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [182044] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6030), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [182168] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6031), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [182294] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6032), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [182416] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6033), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [182524] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6034), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [182644] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6035), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [182742] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6036), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [182870] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6037), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [183000] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6038), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [183134] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6039), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [183268] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8177), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8187), 1,
      anon_sym_as,
    ACTIONS(8189), 1,
      anon_sym_is,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8209), 1,
      anon_sym_QMARK,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_equals,
    STATE(6040), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [183402] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_and,
    ACTIONS(8263), 1,
      anon_sym_or,
    STATE(6041), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [183486] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8265), 1,
      anon_sym_SEMI,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8391), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6042), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [183624] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(6043), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [183758] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8269), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8663), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6044), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [183896] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6045), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [184030] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8271), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6046), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [184138] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6047), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [184272] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8273), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8549), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6048), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [184410] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(6049), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [184544] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8275), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8628), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6050), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [184682] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8277), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6051), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [184790] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6052), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [184924] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6053), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [185058] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6054), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 17,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [185160] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8279), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6055), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [185268] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8281), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8410), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6056), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [185406] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6057), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [185540] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8283), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8416), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6058), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [185678] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8285), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8404), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6059), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [185816] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(6060), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [185950] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8261), 1,
      anon_sym_and,
    STATE(6061), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [186032] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6062), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [186144] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6063), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [186250] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8287), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8377), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6064), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [186388] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6065), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [186522] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(7893), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6066), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 19,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [186620] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6067), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [186744] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8289), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8432), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6068), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [186882] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8291), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8436), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6069), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [187020] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(8293), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8444), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6070), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [187158] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6071), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [187284] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6072), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [187406] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6073), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 15,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [187514] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6074), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 9,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
  [187634] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6075), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [187762] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6076), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [187892] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6077), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [188026] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6308), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6078), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [188160] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6079), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 19,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [188258] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6326), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6080), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [188392] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5486), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6081), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [188526] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5612), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6082), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [188660] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5672), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6083), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [188794] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(6084), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [188928] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6085), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [189062] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5676), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6086), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [189196] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8141), 1,
      anon_sym_and,
    ACTIONS(8143), 1,
      anon_sym_or,
    STATE(6087), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 25,
      sym_interpolation_close_brace,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [189280] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8297), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8659), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6088), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [189418] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5382), 1,
      anon_sym_LBRACK,
    ACTIONS(5923), 1,
      anon_sym_LBRACE,
    ACTIONS(5926), 1,
      anon_sym_QMARK,
    STATE(4127), 1,
      sym_initializer_expression,
    STATE(6089), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5392), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5386), 24,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [189506] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(8299), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8668), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6090), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [189644] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5443), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6091), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [189778] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(5526), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6092), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [189912] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6958), 1,
      anon_sym_switch,
    ACTIONS(6972), 1,
      anon_sym_with,
    ACTIONS(8219), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8225), 1,
      anon_sym_QMARK,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8253), 1,
      anon_sym_as,
    ACTIONS(8255), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6298), 3,
      anon_sym_and,
      anon_sym_or,
      anon_sym_on,
    STATE(6093), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [190046] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8301), 1,
      anon_sym_RBRACK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8538), 1,
      aux_sym_array_rank_specifier_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6094), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [190184] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym_into,
    STATE(6096), 1,
      aux_sym__query_body_repeat2,
    STATE(6095), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190268] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym_into,
    STATE(6098), 1,
      aux_sym__query_body_repeat2,
    STATE(6096), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190352] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym_into,
    STATE(6099), 1,
      aux_sym__query_body_repeat2,
    STATE(6097), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190436] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8305), 1,
      anon_sym_into,
    STATE(6098), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190518] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8303), 1,
      anon_sym_into,
    STATE(6098), 1,
      aux_sym__query_body_repeat2,
    STATE(6099), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190602] = 41,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8308), 1,
      anon_sym_COMMA,
    ACTIONS(8310), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    STATE(8698), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6100), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [190740] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8312), 1,
      anon_sym_into,
    STATE(6102), 1,
      aux_sym__query_body_repeat2,
    STATE(6101), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190824] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8312), 1,
      anon_sym_into,
    STATE(6104), 1,
      aux_sym__query_body_repeat2,
    STATE(6102), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190908] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8312), 1,
      anon_sym_into,
    STATE(6105), 1,
      aux_sym__query_body_repeat2,
    STATE(6103), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [190992] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8314), 1,
      anon_sym_into,
    STATE(6104), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191074] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8312), 1,
      anon_sym_into,
    STATE(6104), 1,
      aux_sym__query_body_repeat2,
    STATE(6105), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191158] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8317), 1,
      anon_sym_into,
    STATE(6107), 1,
      aux_sym__query_body_repeat2,
    STATE(6106), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191242] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8317), 1,
      anon_sym_into,
    STATE(6109), 1,
      aux_sym__query_body_repeat2,
    STATE(6107), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191326] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8317), 1,
      anon_sym_into,
    STATE(6110), 1,
      aux_sym__query_body_repeat2,
    STATE(6108), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191410] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8319), 1,
      anon_sym_into,
    STATE(6109), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191492] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8317), 1,
      anon_sym_into,
    STATE(6109), 1,
      aux_sym__query_body_repeat2,
    STATE(6110), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191576] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8322), 1,
      anon_sym_into,
    STATE(6112), 1,
      aux_sym__query_body_repeat2,
    STATE(6111), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191660] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8322), 1,
      anon_sym_into,
    STATE(6114), 1,
      aux_sym__query_body_repeat2,
    STATE(6112), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191744] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8322), 1,
      anon_sym_into,
    STATE(6115), 1,
      aux_sym__query_body_repeat2,
    STATE(6113), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191828] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8324), 1,
      anon_sym_into,
    STATE(6114), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191910] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8322), 1,
      anon_sym_into,
    STATE(6114), 1,
      aux_sym__query_body_repeat2,
    STATE(6115), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [191994] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    ACTIONS(7905), 1,
      anon_sym_COMMA,
    ACTIONS(8327), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7838), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6116), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [192102] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(141), 1,
      anon_sym_SQUOTE,
    ACTIONS(8329), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      anon_sym_BANG,
    ACTIONS(8333), 1,
      sym_integer_literal,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7949), 1,
      sym__preproc_expression,
    ACTIONS(75), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8157), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6117), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [192197] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6358), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6118), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [192330] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(141), 1,
      anon_sym_SQUOTE,
    ACTIONS(8329), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      anon_sym_BANG,
    ACTIONS(8333), 1,
      sym_integer_literal,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7983), 1,
      sym__preproc_expression,
    ACTIONS(75), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8157), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6119), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [192425] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6298), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6120), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [192558] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6121), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [192655] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(7981), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6122), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [192750] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8385), 1,
      anon_sym_SEMI,
    STATE(6123), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [192831] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8178), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6124), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [192926] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6308), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6125), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [193059] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8257), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(6126), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [193192] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8423), 1,
      anon_sym_and,
    STATE(6127), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [193273] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5526), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6128), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [193406] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6308), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6129), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [193539] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6130), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [193636] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(6131), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [193759] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(6132), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [193884] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(6133), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [194005] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(6134), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [194124] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(6135), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [194251] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
    STATE(6136), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [194380] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6326), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6137), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [194513] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6138), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [194610] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5486), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6139), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [194743] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6140), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [194876] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6141), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [195009] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6142), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [195106] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8489), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6143), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [195239] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6195), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6144), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [195372] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6352), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6145), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [195505] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5676), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6146), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [195638] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6326), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6147), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [195771] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8015), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6148), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [195866] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8495), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6149), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [195999] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8497), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6150), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [196132] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6358), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6151), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [196265] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5486), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6152), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [196398] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(8501), 1,
      anon_sym_DOT,
    ACTIONS(4475), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
    STATE(6153), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [196487] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8503), 1,
      anon_sym_and,
    ACTIONS(8505), 1,
      anon_sym_or,
    STATE(6154), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 24,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [196570] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_and,
    ACTIONS(8509), 1,
      anon_sym_or,
    STATE(6155), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [196653] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8149), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6156), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [196748] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6157), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [196881] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6158), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [197014] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8511), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6159), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [197147] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8513), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6160), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [197280] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6352), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6161), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [197413] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8515), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6162), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [197546] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4241), 1,
      sym__variable_designation,
    STATE(6693), 1,
      sym_property_pattern_clause,
    ACTIONS(4395), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4393), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(6163), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [197645] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8072), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6164), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [197740] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8161), 1,
      anon_sym_COMMA,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6165), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [197875] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(141), 1,
      anon_sym_SQUOTE,
    ACTIONS(8329), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      anon_sym_BANG,
    ACTIONS(8333), 1,
      sym_integer_literal,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8200), 1,
      sym__preproc_expression,
    ACTIONS(75), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8157), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6166), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [197970] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5676), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6167), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [198103] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5443), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6168), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [198236] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_and,
    STATE(6169), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [198317] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6336), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6170), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [198450] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8161), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(6171), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [198583] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8523), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6172), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [198716] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5526), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6173), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [198849] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(141), 1,
      anon_sym_SQUOTE,
    ACTIONS(8329), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      anon_sym_BANG,
    ACTIONS(8333), 1,
      sym_integer_literal,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8220), 1,
      sym__preproc_expression,
    ACTIONS(75), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8157), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6174), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [198944] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8221), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6175), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [199039] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6176), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [199120] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8423), 1,
      anon_sym_and,
    ACTIONS(8525), 1,
      anon_sym_or,
    STATE(6177), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [199203] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7546), 1,
      anon_sym_COLON,
    ACTIONS(7552), 1,
      anon_sym_QMARK,
    ACTIONS(7554), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7558), 1,
      anon_sym_is,
    ACTIONS(8161), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6178), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [199338] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5443), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6179), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [199471] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5526), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6180), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [199604] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6181), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [199715] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6182), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [199812] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8423), 1,
      anon_sym_and,
    ACTIONS(8525), 1,
      anon_sym_or,
    STATE(6183), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [199895] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6184), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [200000] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4789), 4,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6185), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5461), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5459), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [200081] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(8527), 1,
      anon_sym_DOT,
    ACTIONS(4475), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    STATE(6186), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [200170] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6187), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 16,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [200271] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6188), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [200382] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6189), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [200487] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6326), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6190), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [200620] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5486), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6191), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [200753] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6192), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [200886] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6193), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 16,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [200987] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6194), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
  [201094] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6195), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [201227] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6352), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6196), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [201360] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8507), 1,
      anon_sym_and,
    STATE(6197), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [201441] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8058), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6198), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [201574] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(6199), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [201693] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6200), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [201800] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(6201), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [201927] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8529), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(6202), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [202060] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5676), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6203), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [202193] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5443), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6204), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [202326] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6205), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [202437] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5443), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6206), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [202570] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5526), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6207), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [202703] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(6208), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [202826] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_and,
    ACTIONS(8533), 1,
      anon_sym_or,
    STATE(6209), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [202909] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(6210), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [203034] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_and,
    ACTIONS(8535), 1,
      anon_sym_or,
    STATE(6211), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [203117] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(7986), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6212), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [203212] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8096), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6213), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [203307] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(7977), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6214), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [203402] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8129), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6215), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [203535] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6216), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [203668] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6195), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6217), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [203801] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5676), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6218), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [203934] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8161), 1,
      anon_sym_COMMA,
    ACTIONS(8539), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6219), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [204069] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8090), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6220), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [204164] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8115), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6221), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [204297] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8213), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6222), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [204392] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8094), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6223), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [204487] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8161), 1,
      anon_sym_COMMA,
    ACTIONS(8541), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6224), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [204622] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4575), 1,
      anon_sym_LBRACK,
    ACTIONS(4578), 1,
      anon_sym_STAR,
    ACTIONS(5860), 1,
      anon_sym_QMARK,
    ACTIONS(8543), 1,
      anon_sym_DOT,
    STATE(6225), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(4475), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [204709] = 40,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8161), 1,
      anon_sym_COMMA,
    ACTIONS(8545), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6226), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [204844] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6336), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6227), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [204977] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(141), 1,
      anon_sym_SQUOTE,
    ACTIONS(8329), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      anon_sym_BANG,
    ACTIONS(8333), 1,
      sym_integer_literal,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7961), 1,
      sym__preproc_expression,
    ACTIONS(75), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8157), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6228), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [205072] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7115), 1,
      anon_sym_switch,
    ACTIONS(7129), 1,
      anon_sym_with,
    ACTIONS(7282), 1,
      anon_sym_as,
    ACTIONS(7439), 1,
      anon_sym_QMARK,
    ACTIONS(7445), 1,
      anon_sym_SLASH,
    ACTIONS(7447), 1,
      anon_sym_CARET,
    ACTIONS(7449), 1,
      anon_sym_PIPE,
    ACTIONS(7451), 1,
      anon_sym_AMP,
    ACTIONS(7455), 1,
      anon_sym_GT_GT,
    ACTIONS(7461), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7463), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7465), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7467), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7469), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7437), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7443), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7453), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7459), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8547), 2,
      sym_interpolation_close_brace,
      anon_sym_COLON,
    STATE(6229), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [205205] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4112), 1,
      sym__variable_designation,
    STATE(6710), 1,
      sym_property_pattern_clause,
    ACTIONS(4405), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4403), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(6230), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [205304] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6358), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6231), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [205437] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8511), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(6232), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [205570] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8513), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(6233), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [205703] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6298), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6234), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [205836] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6235), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [205933] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_COLON,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(4267), 1,
      sym_identifier,
    STATE(6704), 1,
      sym_positional_pattern_clause,
    STATE(6767), 1,
      sym_property_pattern_clause,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9629), 1,
      sym__lambda_parameters,
    ACTIONS(4353), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6236), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [206038] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8543), 1,
      anon_sym_DOT,
    STATE(6237), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4451), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(4453), 26,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [206119] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5371), 1,
      anon_sym_LPAREN,
    ACTIONS(8549), 1,
      anon_sym_LBRACK,
    STATE(6712), 1,
      sym_attribute_list,
    STATE(6238), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_class_declaration_repeat1,
    ACTIONS(5366), 33,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_async,
      anon_sym_file,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_params,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [206202] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8552), 1,
      anon_sym_and,
    ACTIONS(8554), 1,
      anon_sym_or,
    STATE(6239), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [206285] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(6240), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [206406] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6241), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 12,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [206517] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6242), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [206622] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6243), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 16,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [206723] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(6244), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [206846] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(6245), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [206971] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(6246), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [207092] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6247), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [207225] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6248), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [207332] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(6249), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [207451] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_and,
    ACTIONS(8533), 1,
      anon_sym_or,
    STATE(6250), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [207534] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8558), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6251), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [207667] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(6252), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [207794] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
    STATE(6253), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [207923] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8560), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6254), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [208056] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6195), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6255), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [208189] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5909), 1,
      anon_sym_COLON,
    ACTIONS(4789), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6256), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [208272] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5915), 1,
      anon_sym_COLON,
    ACTIONS(4789), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6257), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5461), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5459), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [208355] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8064), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6258), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [208450] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6259), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [208555] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6308), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6260), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [208688] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_and,
    STATE(6261), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [208769] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(7988), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6262), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [208864] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(7992), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6263), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [208959] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6264), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [209056] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_COLON,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(4267), 1,
      sym_identifier,
    STATE(6704), 1,
      sym_positional_pattern_clause,
    STATE(6767), 1,
      sym_property_pattern_clause,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9797), 1,
      sym__lambda_parameters,
    ACTIONS(4353), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6265), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [209161] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8097), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6266), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [209256] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_EQ_GT,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8562), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(5886), 1,
      sym_identifier,
    STATE(6704), 1,
      sym_positional_pattern_clause,
    STATE(6767), 1,
      sym_property_pattern_clause,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9629), 1,
      sym__lambda_parameters,
    ACTIONS(4353), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6267), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [209361] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8098), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6268), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [209456] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6326), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6269), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [209589] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(7427), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4148), 1,
      sym__variable_designation,
    STATE(6163), 1,
      sym_positional_pattern_clause,
    STATE(6705), 1,
      sym_property_pattern_clause,
    STATE(7821), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9797), 1,
      sym__lambda_parameters,
    ACTIONS(4353), 2,
      anon_sym_and,
      anon_sym_or,
    STATE(6270), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [209694] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(141), 1,
      anon_sym_SQUOTE,
    ACTIONS(8329), 1,
      anon_sym_LPAREN,
    ACTIONS(8331), 1,
      anon_sym_BANG,
    ACTIONS(8333), 1,
      sym_integer_literal,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7967), 1,
      sym__preproc_expression,
    ACTIONS(75), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8157), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6271), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [209789] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6272), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 16,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [209890] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8189), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6273), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [209985] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6336), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6274), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [210118] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(6275), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [210247] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8120), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6276), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [210342] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8564), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(6277), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [210475] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6278), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 14,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [210582] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 8,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(6279), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [210701] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6358), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6280), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [210834] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8552), 1,
      anon_sym_and,
    STATE(6281), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 25,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [210915] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8389), 1,
      anon_sym_QMARK,
    ACTIONS(8395), 1,
      anon_sym_SLASH,
    ACTIONS(8397), 1,
      anon_sym_CARET,
    ACTIONS(8399), 1,
      anon_sym_PIPE,
    ACTIONS(8401), 1,
      anon_sym_AMP,
    ACTIONS(8405), 1,
      anon_sym_GT_GT,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8413), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8415), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8417), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8419), 1,
      anon_sym_as,
    ACTIONS(8421), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6298), 2,
      anon_sym_into,
      anon_sym_equals,
    ACTIONS(8387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8391), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8393), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8403), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8407), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8409), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6282), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [211048] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8136), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6283), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [211143] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(8411), 1,
      anon_sym_DOT_DOT,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6284), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 18,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [211240] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8495), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(6285), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [211373] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8503), 1,
      anon_sym_and,
    STATE(6286), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 25,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_when,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [211454] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(6287), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [211577] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8020), 1,
      anon_sym_QMARK,
    ACTIONS(8026), 1,
      anon_sym_SLASH,
    ACTIONS(8028), 1,
      anon_sym_CARET,
    ACTIONS(8030), 1,
      anon_sym_PIPE,
    ACTIONS(8032), 1,
      anon_sym_AMP,
    ACTIONS(8036), 1,
      anon_sym_GT_GT,
    ACTIONS(8042), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8044), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8046), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8048), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8018), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8022), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8024), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8034), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8038), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8040), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8497), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(6288), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [211710] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8521), 1,
      anon_sym_and,
    ACTIONS(8535), 1,
      anon_sym_or,
    STATE(6289), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [211793] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(4453), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
    STATE(6290), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4451), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [211874] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8552), 1,
      anon_sym_and,
    ACTIONS(8554), 1,
      anon_sym_or,
    STATE(6291), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [211957] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6308), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6292), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212090] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(6293), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212215] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(6294), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212342] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8337), 1,
      anon_sym_QMARK,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8365), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6336), 2,
      anon_sym_into,
      anon_sym_on,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6295), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212475] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8343), 1,
      anon_sym_SLASH,
    ACTIONS(8345), 1,
      anon_sym_CARET,
    ACTIONS(8347), 1,
      anon_sym_PIPE,
    ACTIONS(8349), 1,
      anon_sym_AMP,
    ACTIONS(8353), 1,
      anon_sym_GT_GT,
    ACTIONS(8359), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8367), 1,
      anon_sym_as,
    ACTIONS(8369), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8335), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8339), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8341), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8351), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8355), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8357), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_on,
    STATE(6296), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212604] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(6821), 1,
      anon_sym_as,
    ACTIONS(8467), 1,
      anon_sym_SLASH,
    ACTIONS(8469), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8481), 1,
      anon_sym_is,
    ACTIONS(8483), 1,
      anon_sym_CARET,
    ACTIONS(8485), 1,
      anon_sym_PIPE,
    ACTIONS(8487), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8491), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8493), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8499), 1,
      anon_sym_QMARK,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6298), 2,
      anon_sym_EQ_GT,
      anon_sym_into,
    ACTIONS(8461), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8463), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8465), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8471), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8475), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8477), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6297), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212737] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 6,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_into,
      anon_sym_by,
    STATE(6298), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212858] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6195), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6299), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [212991] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5486), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6300), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [213124] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5612), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6301), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [213257] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6302), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [213390] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6773), 1,
      anon_sym_switch,
    ACTIONS(6787), 1,
      anon_sym_with,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8433), 1,
      anon_sym_SLASH,
    ACTIONS(8435), 1,
      anon_sym_CARET,
    ACTIONS(8437), 1,
      anon_sym_PIPE,
    ACTIONS(8439), 1,
      anon_sym_AMP,
    ACTIONS(8443), 1,
      anon_sym_GT_GT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8457), 1,
      anon_sym_as,
    ACTIONS(8459), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6352), 2,
      anon_sym_into,
      anon_sym_by,
    ACTIONS(8425), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8429), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8431), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8441), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8445), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6303), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [213523] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(8377), 1,
      anon_sym_BANG,
    ACTIONS(8381), 1,
      anon_sym_SQUOTE,
    ACTIONS(8383), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8088), 1,
      sym__preproc_expression,
    ACTIONS(8379), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8184), 6,
      sym_character_literal,
      sym_boolean_literal,
      sym_identifier,
      sym_preproc_parenthesized_expression,
      sym_preproc_unary_expression,
      sym_preproc_binary_expression,
    STATE(6304), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [213618] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8568), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6305), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [213750] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5486), 1,
      anon_sym_EQ_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6306), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [213882] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5612), 1,
      anon_sym_EQ_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6307), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [214014] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8604), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6308), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [214146] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5672), 1,
      anon_sym_EQ_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6309), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [214278] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_EQ_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6310), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [214410] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5676), 1,
      anon_sym_EQ_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6311), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [214542] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5443), 1,
      anon_sym_EQ_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6312), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [214674] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5526), 1,
      anon_sym_EQ_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6313), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [214806] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      anon_sym_operator,
    ACTIONS(8610), 1,
      anon_sym_this,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7216), 1,
      sym_explicit_interface_specifier,
    STATE(7503), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9744), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6314), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [214906] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8612), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6315), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [215038] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6308), 1,
      anon_sym_EQ_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6316), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [215170] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8614), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6317), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [215302] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8616), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6318), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [215434] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8618), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6319), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [215566] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8620), 1,
      anon_sym_COLON,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6320), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [215698] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8656), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6321), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [215830] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6322), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [215940] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8670), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6323), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [216072] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8672), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6324), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [216204] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4086), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(3995), 6,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(6325), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4089), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [216284] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8674), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6326), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [216416] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6327), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [216520] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6328), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 15,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [216620] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8676), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6329), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [216752] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8678), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6330), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [216884] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(6331), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [217006] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(6332), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [217130] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(6333), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [217250] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6334), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
  [217356] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(6335), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [217474] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6336), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [217570] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8694), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6337), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [217702] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(6338), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [217828] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
    STATE(6339), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [217956] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6195), 1,
      anon_sym_by,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6340), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [218088] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8704), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6341), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [218220] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_EQ_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6342), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [218352] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5486), 1,
      anon_sym_by,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6343), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [218484] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8708), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6344), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [218616] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8710), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6345), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [218748] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8712), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6346), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [218880] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6347), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219012] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8716), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6348), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219144] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8718), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6349), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219276] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6350), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219408] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8722), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6351), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219540] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8724), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6352), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219672] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8726), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6353), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219804] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8728), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6354), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [219936] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8730), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6355), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [220068] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5612), 1,
      anon_sym_by,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6356), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [220200] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6357), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [220332] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8734), 1,
      anon_sym_and,
    ACTIONS(8736), 1,
      anon_sym_or,
    STATE(6358), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [220414] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8738), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6359), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [220546] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8740), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6360), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [220678] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8742), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6361), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [220810] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8744), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6362), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [220942] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6363), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221074] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8748), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6364), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221206] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8750), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6365), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221338] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5672), 1,
      anon_sym_by,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6366), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221470] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8752), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6367), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221602] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8754), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6368), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221734] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8756), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6369), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221866] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_by,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6370), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [221998] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8758), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6371), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [222130] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6372), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [222262] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8762), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6373), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [222394] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8764), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6374), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [222526] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8766), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6375), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [222658] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(8768), 1,
      anon_sym_DOT,
    ACTIONS(4475), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    STATE(6376), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [222746] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_and,
    STATE(6377), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [222826] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8772), 1,
      anon_sym_SEMI,
    STATE(6378), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 24,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [222906] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5676), 1,
      anon_sym_by,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6379), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [223038] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(8774), 1,
      anon_sym_operator,
    ACTIONS(8776), 1,
      anon_sym_this,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7215), 1,
      sym_explicit_interface_specifier,
    STATE(7502), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9744), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6380), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [223138] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5443), 1,
      anon_sym_by,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6381), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [223270] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    STATE(6382), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5307), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5305), 24,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [223350] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    ACTIONS(8780), 1,
      anon_sym_EQ_GT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6383), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [223482] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8782), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6384), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [223614] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5526), 1,
      anon_sym_by,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6385), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [223746] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_SEMI,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6386), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [223878] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8784), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6387), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224010] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6388), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224132] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6389), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224256] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 5,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6390), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224376] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6391), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224494] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6392), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224620] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_in,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6393), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224748] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6195), 1,
      anon_sym_in,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6394), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [224880] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8818), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6395), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [225012] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(8820), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6396), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [225144] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5486), 1,
      anon_sym_in,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6397), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [225276] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8824), 1,
      anon_sym_RPAREN,
    STATE(6398), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5307), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5305), 24,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [225356] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8826), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6399), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [225488] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_SEMI,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6400), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [225620] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5612), 1,
      anon_sym_in,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6401), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [225752] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8828), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6402), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [225884] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5672), 1,
      anon_sym_in,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6403), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226016] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8830), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6404), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226148] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8832), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6405), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226280] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6406), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226412] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_in,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6407), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226544] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8834), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6408), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226676] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5676), 1,
      anon_sym_in,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6409), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226808] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5443), 1,
      anon_sym_in,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6410), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [226940] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8836), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6411), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [227072] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5526), 1,
      anon_sym_in,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6412), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [227204] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8838), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6413), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [227336] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(8840), 1,
      anon_sym_operator,
    ACTIONS(8842), 1,
      anon_sym_this,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7189), 1,
      sym_explicit_interface_specifier,
    STATE(7501), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9744), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6414), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [227436] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8844), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6415), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [227568] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8846), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6416), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [227700] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6417), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [227832] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8850), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6418), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [227964] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(8852), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6419), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [228096] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8854), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6420), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [228228] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8856), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6421), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [228360] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8858), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6422), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [228492] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8860), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6423), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [228624] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8862), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6424), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [228756] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6425), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [228888] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8866), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6426), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [229020] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8868), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6427), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [229152] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8870), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6428), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [229284] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8872), 1,
      anon_sym_RPAREN,
    STATE(6429), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5307), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5305), 24,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [229364] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8874), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6430), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [229496] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8876), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6431), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [229628] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(4134), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6432), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 27,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [229712] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8878), 1,
      anon_sym_and,
    STATE(6433), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [229792] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8734), 1,
      anon_sym_and,
    ACTIONS(8736), 1,
      anon_sym_or,
    STATE(6434), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [229874] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8912), 1,
      anon_sym_on,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6435), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [230006] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(8918), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6436), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [230138] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8016), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6437), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [230270] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6308), 1,
      anon_sym_in,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6438), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [230402] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8920), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6439), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [230534] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_in,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6440), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [230666] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
    STATE(6441), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5307), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5305), 24,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [230746] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8924), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6442), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [230878] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8926), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6443), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [231010] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2107), 1,
      anon_sym_SEMI,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6444), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [231142] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8928), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6445), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [231274] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8930), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6446), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [231406] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LBRACE,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(8527), 1,
      anon_sym_DOT,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    STATE(8889), 1,
      sym_attribute_argument_list,
    ACTIONS(8932), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(6447), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [231500] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8938), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6448), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [231632] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8940), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6449), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [231764] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8942), 1,
      anon_sym_and,
    STATE(6450), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [231844] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6308), 1,
      anon_sym_equals,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6451), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [231976] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8980), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6452), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [232108] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8982), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6453), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [232240] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8984), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6454), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [232372] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(8986), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6455), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [232504] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8988), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6456), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [232636] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(8990), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6457), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [232768] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6308), 1,
      anon_sym_on,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6458), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [232900] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8992), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6459), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [233032] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_on,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6460), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [233164] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8994), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6461), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [233296] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8996), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6462), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [233428] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8998), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6463), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [233560] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9000), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6464), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [233692] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6465), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [233802] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9002), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6466), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [233934] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6467), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [234038] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6468), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 15,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [234138] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9004), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6469), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [234270] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9006), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6470), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [234402] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(8780), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6471), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [234534] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6472), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [234656] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9008), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6473), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [234788] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8878), 1,
      anon_sym_and,
    ACTIONS(9010), 1,
      anon_sym_or,
    STATE(6474), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [234870] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6475), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [234994] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9012), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6476), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [235126] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9014), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6477), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [235258] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 5,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6478), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [235378] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8878), 1,
      anon_sym_and,
    ACTIONS(9010), 1,
      anon_sym_or,
    STATE(6479), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [235460] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9016), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6480), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [235592] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9018), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6481), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [235724] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9020), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6482), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [235856] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9022), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6483), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [235988] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6484), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [236094] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_COLON,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6485), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [236212] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6486), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [236308] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6487), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [236434] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(9024), 1,
      aux_sym_preproc_if_token3,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6488), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [236566] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9026), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6489), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [236698] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6490), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [236826] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6195), 1,
      anon_sym_COLON,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6491), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [236958] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_equals,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6492), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [237090] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5486), 1,
      anon_sym_COLON,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6493), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [237222] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5612), 1,
      anon_sym_COLON,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6494), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [237354] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9028), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6495), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [237486] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9030), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6496), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [237618] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9032), 1,
      anon_sym_and,
    ACTIONS(9034), 1,
      anon_sym_or,
    STATE(6497), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 23,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [237700] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9036), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6498), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [237832] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9038), 1,
      anon_sym_into,
    STATE(6503), 1,
      aux_sym__query_body_repeat2,
    STATE(6499), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [237914] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9038), 1,
      anon_sym_into,
    STATE(6504), 1,
      aux_sym__query_body_repeat2,
    STATE(6500), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [237996] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9040), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6501), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [238128] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9032), 1,
      anon_sym_and,
    ACTIONS(9034), 1,
      anon_sym_or,
    STATE(6502), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 23,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [238210] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9042), 1,
      anon_sym_into,
    STATE(6503), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [238290] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9038), 1,
      anon_sym_into,
    STATE(6503), 1,
      aux_sym__query_body_repeat2,
    STATE(6504), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [238372] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6505), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [238504] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9047), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6506), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [238636] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9049), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6507), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [238768] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9051), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6508), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [238900] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5672), 1,
      anon_sym_COLON,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6509), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [239032] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6510), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [239164] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9053), 1,
      anon_sym_and,
    STATE(6511), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [239244] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5676), 1,
      anon_sym_COLON,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6512), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [239376] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6195), 1,
      anon_sym_EQ_GT,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6513), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [239508] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6308), 1,
      anon_sym_by,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6514), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [239640] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5526), 1,
      anon_sym_COLON,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6515), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [239772] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9055), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6516), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [239904] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6517), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [240036] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6518), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 17,
      anon_sym_COLON,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [240132] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9057), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6519), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [240264] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9053), 1,
      anon_sym_and,
    ACTIONS(9059), 1,
      anon_sym_or,
    STATE(6520), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [240346] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9061), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6521), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [240478] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6522), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [240588] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9053), 1,
      anon_sym_and,
    ACTIONS(9059), 1,
      anon_sym_or,
    STATE(6523), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [240670] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9063), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6524), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [240802] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6525), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [240906] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6526), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 15,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [241006] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(6527), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [241128] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(6528), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [241252] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(6529), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [241372] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6530), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
  [241478] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(6531), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [241596] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6532), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [241692] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(6533), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [241818] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
    STATE(6534), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [241946] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_by,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6535), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [242078] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6536), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [242174] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6195), 1,
      anon_sym_equals,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6537), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [242306] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9065), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6538), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [242438] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9067), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6539), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [242570] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6540), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [242702] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5486), 1,
      anon_sym_equals,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6541), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [242834] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7546), 1,
      anon_sym_COLON,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6542), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [242966] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5612), 1,
      anon_sym_equals,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6543), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [243098] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9071), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6544), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [243230] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9073), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6545), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [243362] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9075), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6546), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [243494] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5672), 1,
      anon_sym_equals,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6547), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [243626] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9077), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6548), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [243758] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_equals,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6549), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [243890] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9079), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6550), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244022] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5676), 1,
      anon_sym_equals,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6551), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244154] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9081), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6552), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244286] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5443), 1,
      anon_sym_equals,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6553), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244418] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5526), 1,
      anon_sym_equals,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6554), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244550] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9083), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6555), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244682] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9085), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6556), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244814] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9087), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6557), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [244946] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_and,
    ACTIONS(9089), 1,
      anon_sym_or,
    STATE(6558), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [245028] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9091), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6559), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [245160] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9093), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6560), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [245292] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8770), 1,
      anon_sym_and,
    ACTIONS(9089), 1,
      anon_sym_or,
    STATE(6561), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [245374] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_equals,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6562), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [245506] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6563), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [245602] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9095), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6564), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [245734] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8942), 1,
      anon_sym_and,
    ACTIONS(9097), 1,
      anon_sym_or,
    STATE(6565), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5942), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5940), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [245816] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9099), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6566), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [245948] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9101), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6567), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [246080] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8942), 1,
      anon_sym_and,
    ACTIONS(9097), 1,
      anon_sym_or,
    STATE(6568), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6709), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6707), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [246162] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9103), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6569), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [246294] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8946), 1,
      anon_sym_QMARK,
    ACTIONS(8952), 1,
      anon_sym_SLASH,
    ACTIONS(8954), 1,
      anon_sym_CARET,
    ACTIONS(8956), 1,
      anon_sym_PIPE,
    ACTIONS(8958), 1,
      anon_sym_AMP,
    ACTIONS(8962), 1,
      anon_sym_GT_GT,
    ACTIONS(8968), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8970), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8972), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8974), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8976), 1,
      anon_sym_as,
    ACTIONS(8978), 1,
      anon_sym_is,
    ACTIONS(9105), 1,
      anon_sym_equals,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8944), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8948), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8960), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8964), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8966), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6570), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [246426] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_on,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6571), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [246558] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6572), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [246654] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9107), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6573), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [246786] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9109), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6574), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [246918] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9111), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6575), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [247050] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_EQ_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8572), 1,
      anon_sym_QMARK,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8600), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6576), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [247182] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6577), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [247278] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9113), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6578), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [247410] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9115), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6579), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [247542] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9117), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6580), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [247674] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    ACTIONS(9119), 1,
      anon_sym_on,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6581), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [247806] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9121), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6582), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [247938] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9123), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6583), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248070] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9125), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6584), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248202] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9127), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6585), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248334] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9129), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6586), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248466] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9131), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6587), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248598] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9133), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6588), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248730] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9135), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6589), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248862] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9137), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6590), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [248994] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 1,
      anon_sym_by,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6591), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [249126] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9139), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6592), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [249258] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9141), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6593), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [249390] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9143), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6594), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [249522] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9145), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6595), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [249654] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6298), 1,
      anon_sym_in,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6596), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [249786] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(9147), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6597), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [249918] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9149), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6598), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [250050] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6599), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [250160] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6600), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [250264] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6601), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 15,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [250364] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6602), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_in,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [250470] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6603), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 17,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [250566] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(9151), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6604), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [250698] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6605), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [250808] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9153), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6606), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [250940] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6607), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [251044] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6608), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 15,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [251144] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6609), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [251266] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6610), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [251390] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6611), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [251510] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6612), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
  [251616] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6613), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [251734] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6614), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [251830] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6615), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [251956] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
    STATE(6616), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [252084] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6195), 1,
      anon_sym_on,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6617), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [252216] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5486), 1,
      anon_sym_on,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6618), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [252348] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5612), 1,
      anon_sym_on,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6619), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [252480] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5672), 1,
      anon_sym_on,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6620), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [252612] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9155), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6621), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [252744] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9157), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6622), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [252876] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6352), 1,
      anon_sym_on,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6623), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [253008] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5676), 1,
      anon_sym_on,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6624), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [253140] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5443), 1,
      anon_sym_on,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6625), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [253272] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5526), 1,
      anon_sym_on,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8882), 1,
      anon_sym_QMARK,
    ACTIONS(8888), 1,
      anon_sym_SLASH,
    ACTIONS(8890), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_PIPE,
    ACTIONS(8894), 1,
      anon_sym_AMP,
    ACTIONS(8898), 1,
      anon_sym_GT_GT,
    ACTIONS(8904), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8906), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8908), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8910), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8914), 1,
      anon_sym_as,
    ACTIONS(8916), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8880), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8886), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8896), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8900), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8902), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6626), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [253404] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9159), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6627), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [253536] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9032), 1,
      anon_sym_and,
    STATE(6628), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 24,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [253616] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9161), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6629), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [253748] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8734), 1,
      anon_sym_and,
    STATE(6630), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6705), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6703), 24,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_or,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [253828] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8662), 1,
      anon_sym_SLASH,
    ACTIONS(8666), 1,
      anon_sym_GT_GT,
    ACTIONS(8668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8682), 1,
      anon_sym_AMP,
    ACTIONS(8688), 1,
      anon_sym_as,
    ACTIONS(8690), 1,
      anon_sym_is,
    ACTIONS(8692), 1,
      anon_sym_CARET,
    ACTIONS(8696), 1,
      anon_sym_PIPE,
    ACTIONS(8698), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8700), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8702), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8706), 1,
      anon_sym_QMARK,
    ACTIONS(9163), 1,
      anon_sym_by,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8658), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8660), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8664), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8680), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8684), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8686), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6631), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [253960] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9165), 1,
      anon_sym_into,
    STATE(6634), 1,
      aux_sym__query_body_repeat2,
    STATE(6632), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [254042] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9165), 1,
      anon_sym_into,
    STATE(6635), 1,
      aux_sym__query_body_repeat2,
    STATE(6633), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [254124] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9167), 1,
      anon_sym_into,
    STATE(6634), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [254204] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9165), 1,
      anon_sym_into,
    STATE(6634), 1,
      aux_sym__query_body_repeat2,
    STATE(6635), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [254286] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9170), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6636), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [254418] = 37,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6637), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [254546] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(9172), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6638), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [254678] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9174), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6639), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [254810] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(9176), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6640), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [254942] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9178), 1,
      anon_sym_into,
    STATE(6643), 1,
      aux_sym__query_body_repeat2,
    STATE(6641), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [255024] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9178), 1,
      anon_sym_into,
    STATE(6644), 1,
      aux_sym__query_body_repeat2,
    STATE(6642), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [255106] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9180), 1,
      anon_sym_into,
    STATE(6643), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [255186] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9178), 1,
      anon_sym_into,
    STATE(6643), 1,
      aux_sym__query_body_repeat2,
    STATE(6644), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [255268] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9183), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6645), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [255400] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9038), 1,
      anon_sym_into,
    STATE(6499), 1,
      aux_sym__query_body_repeat2,
    STATE(6646), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_by,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [255482] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(9185), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6647), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [255614] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6648), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [255746] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(9189), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6649), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [255878] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9191), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6650), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [256010] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9193), 1,
      anon_sym_into,
    STATE(6653), 1,
      aux_sym__query_body_repeat2,
    STATE(6651), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [256092] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9193), 1,
      anon_sym_into,
    STATE(6654), 1,
      aux_sym__query_body_repeat2,
    STATE(6652), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6519), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6517), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [256174] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9195), 1,
      anon_sym_into,
    STATE(6653), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat2,
    ACTIONS(6523), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6521), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [256254] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9193), 1,
      anon_sym_into,
    STATE(6653), 1,
      aux_sym__query_body_repeat2,
    STATE(6654), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6530), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6528), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [256336] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9198), 1,
      anon_sym_RPAREN,
    STATE(6655), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5307), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5305), 24,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [256416] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9797), 1,
      sym__lambda_parameters,
    ACTIONS(4429), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    STATE(6656), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [256502] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9200), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6657), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [256634] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9165), 1,
      anon_sym_into,
    STATE(6632), 1,
      aux_sym__query_body_repeat2,
    STATE(6658), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_equals,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [256716] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9202), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6659), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [256848] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9178), 1,
      anon_sym_into,
    STATE(6641), 1,
      aux_sym__query_body_repeat2,
    STATE(6660), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_on,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [256930] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9204), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6661), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [257062] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8792), 1,
      anon_sym_SLASH,
    ACTIONS(8794), 1,
      anon_sym_AMP,
    ACTIONS(8798), 1,
      anon_sym_GT_GT,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8806), 1,
      anon_sym_is,
    ACTIONS(8808), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_PIPE,
    ACTIONS(8812), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8814), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8816), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8822), 1,
      anon_sym_QMARK,
    ACTIONS(9206), 1,
      anon_sym_in,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8786), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8788), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8790), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8796), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8800), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8802), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6662), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [257194] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    ACTIONS(9208), 1,
      anon_sym_SEMI,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6663), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [257326] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_SEMI,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7646), 1,
      anon_sym_SLASH,
    ACTIONS(7648), 1,
      anon_sym_AMP,
    ACTIONS(7652), 1,
      anon_sym_GT_GT,
    ACTIONS(7658), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7660), 1,
      anon_sym_CARET,
    ACTIONS(7716), 1,
      anon_sym_PIPE,
    ACTIONS(7718), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7720), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7722), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7724), 1,
      anon_sym_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7640), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7642), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7644), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7650), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7654), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7656), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6664), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [257458] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9193), 1,
      anon_sym_into,
    STATE(6651), 1,
      aux_sym__query_body_repeat2,
    STATE(6665), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6513), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6511), 23,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [257540] = 28,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6197), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    STATE(6666), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 11,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [257650] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9210), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6667), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [257782] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6668), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [257886] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6669), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6197), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6195), 15,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [257986] = 34,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6670), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [258108] = 35,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6197), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6671), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [258232] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8804), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6672), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(1227), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1225), 17,
      anon_sym_in,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [258328] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9212), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6673), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [258460] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    ACTIONS(9214), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6674), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [258592] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6308), 1,
      anon_sym_COLON,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6675), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [258724] = 33,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 5,
      anon_sym_CARET,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6676), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [258844] = 26,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6197), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    STATE(6677), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6195), 13,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
  [258950] = 32,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6197), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6195), 7,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6678), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [259068] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(6679), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(6368), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(6366), 17,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_GT,
      anon_sym_switch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_with,
  [259164] = 36,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6197), 1,
      anon_sym_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(8578), 1,
      anon_sym_SLASH,
    ACTIONS(8580), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_PIPE,
    ACTIONS(8584), 1,
      anon_sym_AMP,
    ACTIONS(8588), 1,
      anon_sym_GT_GT,
    ACTIONS(8594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8602), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8570), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8574), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8576), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8586), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8590), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8592), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6195), 4,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
    STATE(6680), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [259290] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7602), 1,
      anon_sym_QMARK,
    ACTIONS(7608), 1,
      anon_sym_SLASH,
    ACTIONS(7610), 1,
      anon_sym_CARET,
    ACTIONS(7612), 1,
      anon_sym_PIPE,
    ACTIONS(7614), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_GT_GT,
    ACTIONS(7624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7630), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7632), 1,
      anon_sym_is,
    ACTIONS(9216), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7600), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7604), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7606), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7616), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7620), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7622), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6681), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [259422] = 39,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5443), 1,
      anon_sym_COLON,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7556), 1,
      anon_sym_as,
    ACTIONS(8624), 1,
      anon_sym_QMARK,
    ACTIONS(8630), 1,
      anon_sym_SLASH,
    ACTIONS(8632), 1,
      anon_sym_CARET,
    ACTIONS(8634), 1,
      anon_sym_PIPE,
    ACTIONS(8636), 1,
      anon_sym_AMP,
    ACTIONS(8640), 1,
      anon_sym_GT_GT,
    ACTIONS(8646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8648), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8650), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8652), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(8654), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8622), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8628), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8642), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8644), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6682), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [259554] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    ACTIONS(4429), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    STATE(6683), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [259639] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9218), 1,
      anon_sym_DOT,
    ACTIONS(4475), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    STATE(6684), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [259726] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(8231), 1,
      anon_sym_SLASH,
    ACTIONS(8233), 1,
      anon_sym_CARET,
    ACTIONS(8235), 1,
      anon_sym_PIPE,
    ACTIONS(8237), 1,
      anon_sym_AMP,
    ACTIONS(8241), 1,
      anon_sym_GT_GT,
    ACTIONS(8247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8249), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8251), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8223), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8227), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8229), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8243), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8245), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6685), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [259855] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(6686), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3995), 9,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3997), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [259932] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6134), 1,
      anon_sym_SLASH,
    ACTIONS(6136), 1,
      anon_sym_CARET,
    ACTIONS(6138), 1,
      anon_sym_PIPE,
    ACTIONS(6140), 1,
      anon_sym_AMP,
    ACTIONS(6144), 1,
      anon_sym_GT_GT,
    ACTIONS(6154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6156), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6158), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6122), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6130), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6132), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6146), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6148), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6687), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [260061] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(6688), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4122), 9,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4120), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [260138] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7982), 1,
      anon_sym_SLASH,
    ACTIONS(7986), 1,
      anon_sym_GT_GT,
    ACTIONS(7996), 1,
      anon_sym_AMP,
    ACTIONS(8004), 1,
      anon_sym_CARET,
    ACTIONS(8008), 1,
      anon_sym_PIPE,
    ACTIONS(8010), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8012), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8014), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7984), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7998), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8000), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6689), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [260267] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7512), 1,
      anon_sym_SLASH,
    ACTIONS(7516), 1,
      anon_sym_GT_GT,
    ACTIONS(7759), 1,
      anon_sym_AMP,
    ACTIONS(7795), 1,
      anon_sym_CARET,
    ACTIONS(7797), 1,
      anon_sym_PIPE,
    ACTIONS(7799), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7801), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7803), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7508), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7510), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7514), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7757), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7761), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7763), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6690), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [260396] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 1,
      anon_sym_BANG,
    ACTIONS(6424), 1,
      anon_sym_SLASH,
    ACTIONS(6428), 1,
      anon_sym_GT_GT,
    ACTIONS(6455), 1,
      anon_sym_CARET,
    ACTIONS(6457), 1,
      anon_sym_PIPE,
    ACTIONS(6459), 1,
      anon_sym_AMP,
    ACTIONS(6465), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6467), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6469), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4690), 1,
      sym_argument_list,
    ACTIONS(6128), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6420), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6426), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6463), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6691), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [260525] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7099), 1,
      anon_sym_SLASH,
    ACTIONS(7101), 1,
      anon_sym_CARET,
    ACTIONS(7103), 1,
      anon_sym_PIPE,
    ACTIONS(7105), 1,
      anon_sym_AMP,
    ACTIONS(7109), 1,
      anon_sym_GT_GT,
    ACTIONS(7119), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7121), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7123), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7087), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7095), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7097), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7107), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7111), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7113), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6692), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [260654] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4211), 1,
      sym__variable_designation,
    ACTIONS(4447), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4445), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(6693), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [260747] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7524), 1,
      anon_sym_SLASH,
    ACTIONS(7528), 1,
      anon_sym_GT_GT,
    ACTIONS(7534), 1,
      anon_sym_AMP,
    ACTIONS(7544), 1,
      anon_sym_CARET,
    ACTIONS(7596), 1,
      anon_sym_PIPE,
    ACTIONS(7598), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7636), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7638), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7520), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7522), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7526), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7532), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7536), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7538), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6694), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [260876] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2987), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(6695), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2989), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2991), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [260955] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(7091), 1,
      anon_sym_BANG,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7258), 1,
      anon_sym_SLASH,
    ACTIONS(7260), 1,
      anon_sym_CARET,
    ACTIONS(7262), 1,
      anon_sym_PIPE,
    ACTIONS(7264), 1,
      anon_sym_AMP,
    ACTIONS(7268), 1,
      anon_sym_GT_GT,
    ACTIONS(7276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7278), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7280), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(5527), 1,
      sym_argument_list,
    ACTIONS(7093), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7254), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7256), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7272), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6696), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [261084] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4113), 1,
      sym__variable_designation,
    ACTIONS(4405), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4403), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(6697), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [261177] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7914), 1,
      anon_sym_SLASH,
    ACTIONS(7918), 1,
      anon_sym_GT_GT,
    ACTIONS(7924), 1,
      anon_sym_AMP,
    ACTIONS(7932), 1,
      anon_sym_CARET,
    ACTIONS(7934), 1,
      anon_sym_PIPE,
    ACTIONS(7936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7938), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7940), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7910), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7912), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7922), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7928), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6698), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [261306] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9220), 1,
      anon_sym_DOT,
    ACTIONS(4475), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    STATE(6699), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [261393] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7326), 1,
      anon_sym_SLASH,
    ACTIONS(7330), 1,
      anon_sym_GT_GT,
    ACTIONS(7340), 1,
      anon_sym_CARET,
    ACTIONS(7342), 1,
      anon_sym_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP,
    ACTIONS(7350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7354), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7324), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7328), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7336), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7346), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6700), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [261522] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7666), 1,
      anon_sym_SLASH,
    ACTIONS(7670), 1,
      anon_sym_GT_GT,
    ACTIONS(7813), 1,
      anon_sym_CARET,
    ACTIONS(7815), 1,
      anon_sym_PIPE,
    ACTIONS(7817), 1,
      anon_sym_AMP,
    ACTIONS(7823), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7825), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7827), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7662), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7664), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7668), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7809), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7819), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7821), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6701), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [261651] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9222), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(9224), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4134), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6702), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [261740] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7708), 1,
      anon_sym_SLASH,
    ACTIONS(7712), 1,
      anon_sym_GT_GT,
    ACTIONS(7837), 1,
      anon_sym_CARET,
    ACTIONS(7839), 1,
      anon_sym_PIPE,
    ACTIONS(7841), 1,
      anon_sym_AMP,
    ACTIONS(7847), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7849), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7851), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7704), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7706), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7710), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7833), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7843), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7845), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6703), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [261869] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4241), 1,
      sym__variable_designation,
    STATE(6764), 1,
      sym_property_pattern_clause,
    ACTIONS(4393), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4395), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6704), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [261966] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4216), 1,
      sym__variable_designation,
    ACTIONS(4395), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4393), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(6705), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [262059] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7296), 1,
      anon_sym_SLASH,
    ACTIONS(7298), 1,
      anon_sym_CARET,
    ACTIONS(7300), 1,
      anon_sym_PIPE,
    ACTIONS(7302), 1,
      anon_sym_AMP,
    ACTIONS(7306), 1,
      anon_sym_GT_GT,
    ACTIONS(7312), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7314), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7316), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7288), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7292), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7294), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7308), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7310), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6706), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [262188] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9226), 1,
      anon_sym_DOT,
    ACTIONS(4475), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    STATE(6707), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [262275] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(4997), 1,
      anon_sym_DOT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7085), 1,
      anon_sym_LBRACK,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3938), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6708), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [262404] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(5235), 1,
      anon_sym_DOT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3584), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6709), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [262533] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4292), 1,
      sym__variable_designation,
    ACTIONS(4435), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(4433), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(6710), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [262626] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5715), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(6711), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5713), 33,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_async,
      anon_sym_file,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_params,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [262703] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(6712), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5717), 33,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_async,
      anon_sym_file,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_params,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [262780] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8318), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    ACTIONS(4429), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    STATE(6713), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [262865] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7877), 1,
      anon_sym_SLASH,
    ACTIONS(7879), 1,
      anon_sym_CARET,
    ACTIONS(7881), 1,
      anon_sym_PIPE,
    ACTIONS(7883), 1,
      anon_sym_AMP,
    ACTIONS(7887), 1,
      anon_sym_GT_GT,
    ACTIONS(7895), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7897), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7899), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7871), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7873), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7875), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7885), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7889), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7891), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6714), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [262994] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9228), 1,
      anon_sym_DOT,
    ACTIONS(4475), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    STATE(6715), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [263081] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7732), 1,
      anon_sym_SLASH,
    ACTIONS(7736), 1,
      anon_sym_GT_GT,
    ACTIONS(7777), 1,
      anon_sym_CARET,
    ACTIONS(7779), 1,
      anon_sym_PIPE,
    ACTIONS(7781), 1,
      anon_sym_AMP,
    ACTIONS(7787), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7789), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7791), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7728), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7730), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7734), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7773), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7783), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7785), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6716), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [263210] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5271), 1,
      anon_sym_LBRACK,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3004), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6717), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [263339] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9230), 1,
      anon_sym_DOT,
    ACTIONS(4475), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    STATE(6718), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [263426] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5810), 1,
      anon_sym_LBRACK,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3263), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6719), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [263555] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8097), 1,
      anon_sym_GT_GT,
    ACTIONS(8103), 1,
      anon_sym_AMP,
    ACTIONS(8113), 1,
      anon_sym_CARET,
    ACTIONS(8125), 1,
      anon_sym_PIPE,
    ACTIONS(8127), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8131), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8133), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8089), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8091), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8095), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8105), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8107), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6720), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [263684] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7072), 1,
      anon_sym_SLASH,
    ACTIONS(7076), 1,
      anon_sym_GT_GT,
    ACTIONS(7169), 1,
      anon_sym_CARET,
    ACTIONS(7171), 1,
      anon_sym_PIPE,
    ACTIONS(7173), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7181), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7183), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7068), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7070), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7074), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7165), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7175), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7177), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6721), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [263813] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7139), 1,
      anon_sym_SLASH,
    ACTIONS(7141), 1,
      anon_sym_CARET,
    ACTIONS(7143), 1,
      anon_sym_PIPE,
    ACTIONS(7145), 1,
      anon_sym_AMP,
    ACTIONS(7149), 1,
      anon_sym_GT_GT,
    ACTIONS(7157), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7159), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7161), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7131), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7135), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7137), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7147), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7151), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7153), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6722), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [263942] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6723), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [264071] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6982), 1,
      anon_sym_SLASH,
    ACTIONS(6984), 1,
      anon_sym_CARET,
    ACTIONS(6986), 1,
      anon_sym_PIPE,
    ACTIONS(6988), 1,
      anon_sym_AMP,
    ACTIONS(6992), 1,
      anon_sym_GT_GT,
    ACTIONS(7000), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7002), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7004), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6974), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6978), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6980), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6990), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6994), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6996), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6724), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [264200] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5699), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(6725), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5697), 33,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_async,
      anon_sym_file,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_params,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [264277] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6942), 1,
      anon_sym_SLASH,
    ACTIONS(6944), 1,
      anon_sym_CARET,
    ACTIONS(6946), 1,
      anon_sym_PIPE,
    ACTIONS(6948), 1,
      anon_sym_AMP,
    ACTIONS(6952), 1,
      anon_sym_GT_GT,
    ACTIONS(6962), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6966), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6934), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6938), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6940), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6950), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6954), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6726), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [264406] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2995), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(6727), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2997), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2999), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [264485] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5760), 1,
      anon_sym_LBRACK,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3187), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6728), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [264614] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5688), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(6729), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5686), 33,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_async,
      anon_sym_file,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_params,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [264691] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6848), 1,
      anon_sym_SLASH,
    ACTIONS(6852), 1,
      anon_sym_GT_GT,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(6870), 1,
      anon_sym_CARET,
    ACTIONS(6872), 1,
      anon_sym_PIPE,
    ACTIONS(6874), 1,
      anon_sym_AMP,
    ACTIONS(6876), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6878), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6880), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6844), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6846), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6854), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6856), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6730), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [264820] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7218), 1,
      anon_sym_SLASH,
    ACTIONS(7220), 1,
      anon_sym_CARET,
    ACTIONS(7222), 1,
      anon_sym_PIPE,
    ACTIONS(7224), 1,
      anon_sym_AMP,
    ACTIONS(7228), 1,
      anon_sym_GT_GT,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7240), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7210), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7214), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7216), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7226), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7230), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7232), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6731), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [264949] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    ACTIONS(4429), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    STATE(6732), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [265034] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5245), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(5261), 1,
      anon_sym_DOT,
    ACTIONS(5275), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6757), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      anon_sym_CARET,
    ACTIONS(6761), 1,
      anon_sym_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP,
    ACTIONS(6767), 1,
      anon_sym_GT_GT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6781), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3656), 1,
      sym_argument_list,
    ACTIONS(5277), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6749), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6753), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6755), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6765), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6769), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6771), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6733), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [265163] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_DOT,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(5754), 1,
      anon_sym_LPAREN,
    ACTIONS(5762), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6386), 1,
      anon_sym_SLASH,
    ACTIONS(6388), 1,
      anon_sym_CARET,
    ACTIONS(6390), 1,
      anon_sym_PIPE,
    ACTIONS(6392), 1,
      anon_sym_AMP,
    ACTIONS(6396), 1,
      anon_sym_GT_GT,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6410), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(3993), 1,
      sym_argument_list,
    ACTIONS(5764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6378), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6382), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6394), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(6398), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6400), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6734), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [265292] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9232), 1,
      anon_sym_DOT,
    ACTIONS(4475), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    STATE(6735), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [265379] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4112), 1,
      sym__variable_designation,
    STATE(6766), 1,
      sym_property_pattern_clause,
    ACTIONS(4403), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4405), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6736), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [265476] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5682), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(6737), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5680), 33,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_async,
      anon_sym_file,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_params,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [265553] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(8171), 1,
      anon_sym_SLASH,
    ACTIONS(8175), 1,
      anon_sym_GT_GT,
    ACTIONS(8181), 1,
      anon_sym_AMP,
    ACTIONS(8193), 1,
      anon_sym_CARET,
    ACTIONS(8197), 1,
      anon_sym_PIPE,
    ACTIONS(8199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8201), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8203), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(8167), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(8169), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8173), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(8179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8183), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8185), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6738), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [265682] = 38,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(5812), 1,
      anon_sym_BANG,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(6858), 1,
      anon_sym_switch,
    ACTIONS(6866), 1,
      anon_sym_with,
    ACTIONS(7212), 1,
      anon_sym_QMARK,
    ACTIONS(7234), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7242), 1,
      anon_sym_as,
    ACTIONS(7244), 1,
      anon_sym_is,
    ACTIONS(7568), 1,
      anon_sym_SLASH,
    ACTIONS(7572), 1,
      anon_sym_GT_GT,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7586), 1,
      anon_sym_CARET,
    ACTIONS(7588), 1,
      anon_sym_PIPE,
    ACTIONS(7590), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7592), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7594), 1,
      anon_sym_QMARK_QMARK,
    STATE(3052), 1,
      sym_bracketed_argument_list,
    STATE(4231), 1,
      sym_argument_list,
    ACTIONS(5814), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(7564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(7566), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7570), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(7576), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(7580), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7582), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    STATE(6739), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [265811] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9234), 1,
      anon_sym_DOT,
    ACTIONS(4475), 3,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    STATE(6740), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [265897] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9236), 1,
      anon_sym_SEMI,
    STATE(6741), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [265975] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9238), 1,
      anon_sym_EQ,
    ACTIONS(9240), 1,
      anon_sym_COMMA,
    ACTIONS(9243), 1,
      anon_sym_RPAREN,
    STATE(5013), 1,
      sym_type_argument_list,
    STATE(8481), 1,
      aux_sym_tuple_pattern_repeat1,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6742), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [266065] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    STATE(5013), 1,
      sym_type_argument_list,
    STATE(7685), 1,
      sym_parameter_list,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6743), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [266151] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7368), 1,
      sym_explicit_interface_specifier,
    STATE(7524), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9744), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6744), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [266245] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7371), 1,
      sym_explicit_interface_specifier,
    STATE(7537), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9744), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6745), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [266339] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9249), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(9224), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6746), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [266425] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8318), 1,
      sym_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    ACTIONS(4429), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    STATE(6747), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [266509] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9238), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(9251), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6748), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [266595] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9253), 1,
      anon_sym_DOT,
    ACTIONS(4475), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(6749), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [266681] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    STATE(5013), 1,
      sym_type_argument_list,
    STATE(7673), 1,
      sym_parameter_list,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6750), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [266767] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9255), 1,
      anon_sym_SEMI,
    STATE(6751), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5626), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5624), 22,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_switch,
      anon_sym_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_as,
      anon_sym_is,
      anon_sym_DASH_GT,
      anon_sym_with,
  [266845] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    ACTIONS(9257), 1,
      aux_sym_preproc_if_token3,
    ACTIONS(9259), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9261), 1,
      aux_sym_preproc_elif_token1,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7002), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8198), 1,
      sym_enum_member_declaration,
    STATE(8304), 1,
      sym_identifier,
    STATE(9479), 2,
      sym_preproc_else_in_enum_member_declaration,
      sym_preproc_elif_in_enum_member_declaration,
    STATE(6752), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [266941] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7365), 1,
      sym_explicit_interface_specifier,
    STATE(7522), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9744), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6753), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [267035] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    ACTIONS(9259), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9261), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(9263), 1,
      aux_sym_preproc_if_token3,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7002), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(7982), 1,
      sym_enum_member_declaration,
    STATE(8304), 1,
      sym_identifier,
    STATE(9513), 2,
      sym_preproc_else_in_enum_member_declaration,
      sym_preproc_elif_in_enum_member_declaration,
    STATE(6754), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [267131] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9265), 1,
      anon_sym_DOT,
    ACTIONS(4475), 3,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    STATE(6755), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267217] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9246), 1,
      anon_sym_LPAREN,
    STATE(5013), 1,
      sym_type_argument_list,
    STATE(7695), 1,
      sym_parameter_list,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6756), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267303] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9267), 1,
      anon_sym_DOT,
    ACTIONS(4475), 3,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    STATE(6757), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267389] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9269), 1,
      anon_sym_COMMA,
    ACTIONS(9272), 1,
      anon_sym_RPAREN,
    STATE(5013), 1,
      sym_type_argument_list,
    STATE(8481), 1,
      aux_sym_tuple_pattern_repeat1,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6758), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267476] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9274), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(4134), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6759), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267559] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    ACTIONS(9276), 1,
      anon_sym_COMMA,
    ACTIONS(9278), 1,
      anon_sym_RBRACE,
    ACTIONS(9280), 1,
      aux_sym_preproc_if_token1,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(6957), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8590), 1,
      sym_identifier,
    STATE(8589), 2,
      sym_enum_member_declaration,
      sym_preproc_if_in_enum_member_declaration,
    STATE(6760), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [267652] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9282), 1,
      anon_sym_using,
    ACTIONS(3995), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(6761), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3997), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_operator,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267729] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9284), 1,
      anon_sym_DOT,
    ACTIONS(4475), 3,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    STATE(6762), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267812] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9286), 1,
      anon_sym_EQ,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(4134), 6,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6763), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [267895] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4211), 1,
      sym__variable_designation,
    ACTIONS(4445), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4447), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6764), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [267986] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(9288), 1,
      anon_sym_COLON_COLON,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_DOT,
    STATE(6765), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 27,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_COLON,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [268067] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4292), 1,
      sym__variable_designation,
    ACTIONS(4433), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4435), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6766), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268158] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4216), 1,
      sym__variable_designation,
    ACTIONS(4393), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4395), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6767), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268249] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4281), 1,
      anon_sym_COMMA,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9238), 1,
      anon_sym_EQ,
    ACTIONS(9251), 1,
      anon_sym_RPAREN,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6768), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [268336] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(4113), 1,
      sym__variable_designation,
    ACTIONS(4403), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    ACTIONS(4405), 3,
      anon_sym_when,
      anon_sym_and,
      anon_sym_or,
    STATE(6769), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 21,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268427] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9292), 1,
      anon_sym_LPAREN,
    ACTIONS(9294), 6,
      anon_sym_ref,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_this,
      anon_sym_scoped,
    STATE(6770), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__parameter_type_with_modifiers_repeat1,
    ACTIONS(9290), 24,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_delegate,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [268503] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9297), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6771), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268591] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9299), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6772), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268679] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9301), 1,
      anon_sym_unsafe,
    ACTIONS(9303), 1,
      anon_sym_static,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7926), 1,
      sym_identifier,
    STATE(8970), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6773), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268767] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9305), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6774), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268855] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9307), 1,
      anon_sym_operator,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(9299), 1,
      sym__name,
    STATE(9386), 1,
      sym_explicit_interface_specifier,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6775), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [268943] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9309), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6776), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269031] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9311), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6777), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269119] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9313), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6778), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269207] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9315), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6779), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269295] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    ACTIONS(9280), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9317), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(6957), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8590), 1,
      sym_identifier,
    STATE(8802), 2,
      sym_enum_member_declaration,
      sym_preproc_if_in_enum_member_declaration,
    STATE(6780), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269385] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(4134), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6781), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [269467] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9319), 1,
      anon_sym_operator,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(9293), 1,
      sym_explicit_interface_specifier,
    STATE(9299), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6782), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269555] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9321), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6783), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269643] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9323), 1,
      anon_sym_operator,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(9218), 1,
      sym_explicit_interface_specifier,
    STATE(9299), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6784), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269731] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9325), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6785), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269819] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9327), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6786), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269907] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9329), 1,
      anon_sym_unsafe,
    ACTIONS(9331), 1,
      anon_sym_static,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7773), 1,
      sym_identifier,
    STATE(8722), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6787), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [269995] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9333), 1,
      anon_sym_unsafe,
    ACTIONS(9335), 1,
      anon_sym_static,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7915), 1,
      sym_identifier,
    STATE(8854), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6788), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270083] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9337), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6789), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270171] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(8527), 1,
      anon_sym_DOT,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    STATE(8889), 1,
      sym_attribute_argument_list,
    ACTIONS(9339), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(6790), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [270259] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    ACTIONS(9280), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(9341), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(6957), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8590), 1,
      sym_identifier,
    STATE(8802), 2,
      sym_enum_member_declaration,
      sym_preproc_if_in_enum_member_declaration,
    STATE(6791), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270349] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9343), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6792), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270437] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9345), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6793), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270525] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9347), 1,
      anon_sym_unsafe,
    ACTIONS(9349), 1,
      anon_sym_static,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7890), 1,
      sym_identifier,
    STATE(8930), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6794), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270613] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9351), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6795), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270701] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9353), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6796), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270789] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9355), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6797), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270877] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9357), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6798), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [270965] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9359), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6799), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271053] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9361), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6800), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271141] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8693), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6801), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271226] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9363), 1,
      anon_sym_unsafe,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8984), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6802), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271311] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(6839), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8746), 1,
      sym_type_parameter,
    STATE(8788), 1,
      sym_identifier,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(6803), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271398] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8561), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6804), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271483] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9365), 1,
      anon_sym_unsafe,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8854), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6805), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271568] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_LPAREN,
    STATE(6806), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(2667), 30,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_file,
      anon_sym_readonly,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_this,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [271641] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(6839), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8498), 1,
      sym_type_parameter,
    STATE(8788), 1,
      sym_identifier,
    ACTIONS(5746), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(6807), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271728] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8687), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6808), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271813] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8598), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6809), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [271898] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9367), 1,
      anon_sym_in,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6810), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [271979] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_EQ_GT,
    ACTIONS(5871), 1,
      anon_sym_RPAREN,
    ACTIONS(4540), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    STATE(6811), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4538), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [272056] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9369), 1,
      anon_sym_unsafe,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8709), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6812), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272141] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(7687), 1,
      sym__name,
    STATE(8280), 1,
      sym_primary_constructor_base_type,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6813), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272226] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8986), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6814), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272311] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    ACTIONS(9280), 1,
      aux_sym_preproc_if_token1,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(6957), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8590), 1,
      sym_identifier,
    STATE(8802), 2,
      sym_enum_member_declaration,
      sym_preproc_if_in_enum_member_declaration,
    STATE(6815), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272398] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    ACTIONS(9371), 1,
      anon_sym_in,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(6816), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4132), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [272479] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8617), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6817), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272564] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8456), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6818), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272649] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9373), 1,
      anon_sym_unsafe,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8917), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6819), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272734] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8192), 1,
      sym__name,
    STATE(8500), 1,
      sym_attribute,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6820), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272819] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9379), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6821), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272905] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    ACTIONS(9381), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(8558), 1,
      sym__variable_designation,
    STATE(6822), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [272991] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8242), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6823), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273073] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9383), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6824), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273159] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(7920), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6825), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273241] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8209), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6826), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273323] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7548), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9629), 1,
      sym__lambda_parameters,
    STATE(6827), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273409] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9387), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6828), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273495] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8073), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6829), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273581] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9389), 1,
      anon_sym_DOT,
    ACTIONS(4453), 3,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    STATE(6830), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4451), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      sym_discard,
      anon_sym_and,
      anon_sym_or,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [273655] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8327), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6831), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273741] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9396), 1,
      anon_sym_LPAREN,
    ACTIONS(9393), 2,
      anon_sym_static,
      anon_sym_async,
    STATE(6832), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_lambda_expression_repeat1,
    ACTIONS(9391), 26,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [273815] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7894), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9191), 1,
      sym__lambda_parameters,
    STATE(6833), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273901] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7950), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6834), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [273987] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8165), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6835), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274073] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7962), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6836), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274159] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6837), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274245] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(8389), 1,
      sym__variable_designation,
    STATE(6838), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274331] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(7129), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8935), 1,
      sym_identifier,
    ACTIONS(9402), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(6839), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274415] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    ACTIONS(9404), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(8490), 1,
      sym__variable_designation,
    STATE(6840), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274501] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8123), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6841), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274587] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7555), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6842), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274673] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    ACTIONS(9406), 1,
      aux_sym_preproc_if_token3,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7002), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8304), 1,
      sym_identifier,
    STATE(9831), 1,
      sym_enum_member_declaration,
    STATE(6843), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274759] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7894), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9428), 1,
      sym__lambda_parameters,
    STATE(6844), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274845] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8211), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6845), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [274931] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6846), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275017] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    ACTIONS(9410), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(8428), 1,
      sym__variable_designation,
    STATE(6847), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275103] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8157), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6848), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275189] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8284), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6849), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275271] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9412), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6850), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275357] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7958), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6851), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275443] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8217), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6852), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275529] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8191), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6853), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275615] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    ACTIONS(9414), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(8489), 1,
      sym__variable_designation,
    STATE(6854), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275701] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9416), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6855), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275787] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6856), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275873] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9418), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6857), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [275959] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9420), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6858), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276045] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8277), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6859), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276131] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8438), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6860), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276213] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6861), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276299] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8052), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6862), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276385] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7908), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6863), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276471] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8279), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6864), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276557] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9422), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6865), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276643] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6866), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276729] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9426), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6867), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276815] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8085), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6868), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276901] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6869), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [276987] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6870), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277073] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9432), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6871), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277159] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7556), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9629), 1,
      sym__lambda_parameters,
    STATE(6872), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277245] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8271), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6873), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277331] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9434), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6874), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277417] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8221), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6875), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277503] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7927), 1,
      sym_identifier,
    STATE(8709), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6876), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277585] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9436), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6877), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277671] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7555), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9629), 1,
      sym__lambda_parameters,
    STATE(6878), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277757] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6879), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277843] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8891), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6880), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [277925] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8709), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6881), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278007] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8205), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6882), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278093] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9440), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6883), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278179] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9442), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6884), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278265] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7916), 1,
      sym_identifier,
    STATE(8984), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6885), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278347] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8936), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6886), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278429] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7552), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9629), 1,
      sym__lambda_parameters,
    STATE(6887), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278515] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8984), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6888), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278597] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7915), 1,
      sym_identifier,
    STATE(8854), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6889), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278679] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8149), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6890), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278765] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8924), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6891), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278847] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8361), 1,
      sym_identifier,
    STATE(8675), 1,
      sym_using_variable_declarator,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6892), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [278933] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9444), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6893), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279019] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7948), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6894), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279105] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5280), 1,
      sym_identifier,
    STATE(8917), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6895), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279187] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9446), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6896), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279273] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9448), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6897), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279359] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(7928), 1,
      sym_identifier,
    STATE(8917), 1,
      sym__name,
    STATE(5031), 3,
      sym_alias_qualified_name,
      sym__simple_name,
      sym_qualified_name,
    STATE(6898), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279441] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7970), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6899), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279527] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8050), 1,
      anon_sym_RPAREN,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6900), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279613] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9450), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8302), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6901), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [279699] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(4849), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    STATE(6902), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [279778] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9452), 1,
      anon_sym_DOT,
    STATE(6903), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [279859] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9454), 1,
      anon_sym_DOT,
    STATE(6904), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [279940] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8959), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9834), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6905), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [280023] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8845), 1,
      sym_identifier,
    ACTIONS(9456), 4,
      anon_sym_Cdecl,
      anon_sym_Stdcall,
      anon_sym_Thiscall,
      anon_sym_Fastcall,
    STATE(6906), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [280100] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(4594), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    STATE(6907), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280179] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(4373), 1,
      sym_discard,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(4098), 1,
      sym_parenthesized_variable_designation,
    STATE(4103), 1,
      sym_identifier,
    STATE(8900), 1,
      sym__variable_designation,
    STATE(6908), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [280262] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9458), 1,
      anon_sym_DOT,
    STATE(6909), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280343] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    ACTIONS(9460), 1,
      anon_sym_SEMI,
    STATE(6910), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280424] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9462), 1,
      anon_sym_DOT,
    STATE(6911), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280505] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_DOT,
    STATE(6912), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280586] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(5253), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    STATE(6913), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280665] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9466), 1,
      anon_sym_DOT,
    STATE(6914), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280746] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9468), 1,
      anon_sym_DOT,
    STATE(6915), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280827] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8451), 1,
      sym_identifier,
    ACTIONS(9470), 4,
      anon_sym_Cdecl,
      anon_sym_Stdcall,
      anon_sym_Thiscall,
      anon_sym_Fastcall,
    STATE(6916), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [280904] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    ACTIONS(9472), 1,
      anon_sym_SEMI,
    STATE(6917), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [280985] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9474), 1,
      anon_sym_DOT,
    STATE(6918), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281066] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9476), 1,
      anon_sym_DOT,
    STATE(6919), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281147] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8576), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(6920), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [281230] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8940), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9766), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6921), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [281313] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9478), 1,
      anon_sym_DOT,
    STATE(6922), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281394] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9476), 1,
      anon_sym_DOT,
    STATE(6923), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281475] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9480), 1,
      anon_sym_DOT,
    STATE(6924), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281556] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5229), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9482), 1,
      anon_sym_DOT,
    STATE(6925), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281637] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9454), 1,
      anon_sym_DOT,
    STATE(6926), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281718] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9484), 1,
      anon_sym_DOT,
    STATE(6927), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281799] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9486), 1,
      anon_sym_DOT,
    STATE(6928), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281880] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9488), 1,
      anon_sym_DOT,
    STATE(6929), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [281961] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4849), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9490), 1,
      anon_sym_DOT,
    STATE(6930), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282042] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(5229), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    STATE(6931), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282121] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_DOT,
    STATE(6932), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282202] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8873), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9521), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6933), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [282285] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9492), 1,
      anon_sym_DOT,
    STATE(6934), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282366] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9484), 1,
      anon_sym_DOT,
    STATE(6935), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282447] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9496), 1,
      anon_sym_LPAREN,
    STATE(6936), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9494), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_file,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282518] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9500), 1,
      anon_sym_LPAREN,
    STATE(6937), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9498), 28,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_static,
      anon_sym_ref,
      anon_sym_delegate,
      anon_sym_async,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      sym_predefined_type,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282589] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9502), 1,
      anon_sym_DOT,
    STATE(6938), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282670] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8865), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9534), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6939), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [282753] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9504), 1,
      anon_sym_DOT,
    STATE(6940), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [282834] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8871), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9544), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6941), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [282917] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9506), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5053), 1,
      sym__simple_name,
    STATE(5359), 1,
      sym_identifier,
    ACTIONS(9512), 2,
      anon_sym_operator,
      anon_sym_this,
    STATE(6942), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9509), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [282998] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(4594), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9486), 1,
      anon_sym_DOT,
    STATE(6943), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [283079] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8927), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9710), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6944), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283162] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8929), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9715), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6945), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283245] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    ACTIONS(9385), 1,
      anon_sym_LPAREN,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8939), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9764), 1,
      sym_tuple_pattern,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(6946), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283328] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_LPAREN,
    ACTIONS(5253), 1,
      anon_sym_DASH_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9514), 1,
      anon_sym_DOT,
    STATE(6947), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4473), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [283409] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9621), 1,
      sym__lambda_parameters,
    STATE(6948), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283489] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9804), 1,
      sym__lambda_parameters,
    STATE(6949), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283569] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9466), 1,
      sym__lambda_parameters,
    STATE(6950), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283649] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9466), 1,
      sym__lambda_parameters,
    STATE(6951), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [283727] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9197), 1,
      sym__lambda_parameters,
    STATE(6952), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283807] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9487), 1,
      sym__lambda_parameters,
    STATE(6953), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283887] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9504), 1,
      sym__lambda_parameters,
    STATE(6954), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [283967] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9819), 1,
      sym__lambda_parameters,
    STATE(6955), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284047] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9819), 1,
      sym__lambda_parameters,
    STATE(6956), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [284125] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7129), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8397), 1,
      sym_identifier,
    STATE(6957), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284205] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9824), 1,
      sym__lambda_parameters,
    STATE(6958), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284285] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9826), 1,
      sym__lambda_parameters,
    STATE(6959), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284365] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9516), 1,
      sym__lambda_parameters,
    STATE(6960), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284445] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9516), 1,
      sym__lambda_parameters,
    STATE(6961), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [284523] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9542), 1,
      sym__lambda_parameters,
    STATE(6962), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284603] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9562), 1,
      sym__lambda_parameters,
    STATE(6963), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284683] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9837), 1,
      sym__lambda_parameters,
    STATE(6964), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284763] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9837), 1,
      sym__lambda_parameters,
    STATE(6965), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [284841] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9843), 1,
      sym__lambda_parameters,
    STATE(6966), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [284921] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9845), 1,
      sym__lambda_parameters,
    STATE(6967), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285001] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9858), 1,
      sym__lambda_parameters,
    STATE(6968), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285081] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9858), 1,
      sym__lambda_parameters,
    STATE(6969), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [285159] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9863), 1,
      sym__lambda_parameters,
    STATE(6970), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285239] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9865), 1,
      sym__lambda_parameters,
    STATE(6971), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285319] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9221), 1,
      sym__lambda_parameters,
    STATE(6972), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285399] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9877), 1,
      sym__lambda_parameters,
    STATE(6973), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285479] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9877), 1,
      sym__lambda_parameters,
    STATE(6974), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [285557] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9883), 1,
      sym__lambda_parameters,
    STATE(6975), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285637] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9888), 1,
      sym__lambda_parameters,
    STATE(6976), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285717] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9903), 1,
      sym__lambda_parameters,
    STATE(6977), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285797] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9903), 1,
      sym__lambda_parameters,
    STATE(6978), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [285875] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9909), 1,
      sym__lambda_parameters,
    STATE(6979), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [285955] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9914), 1,
      sym__lambda_parameters,
    STATE(6980), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286035] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9330), 1,
      sym__lambda_parameters,
    STATE(6981), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286115] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8049), 1,
      sym_tuple_pattern,
    STATE(8065), 1,
      sym_identifier,
    STATE(8616), 1,
      sym_variable_declarator,
    STATE(6982), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286195] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9615), 1,
      sym__lambda_parameters,
    STATE(6983), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286275] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9629), 1,
      sym__lambda_parameters,
    STATE(6984), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286355] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9191), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(6985), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [286433] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9812), 1,
      sym__lambda_parameters,
    STATE(6986), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286513] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9615), 1,
      sym__lambda_parameters,
    STATE(6987), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [286591] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9348), 1,
      sym__lambda_parameters,
    STATE(6988), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286671] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9348), 1,
      sym__lambda_parameters,
    STATE(6989), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [286749] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9623), 1,
      sym__lambda_parameters,
    STATE(6990), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286829] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9005), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(6991), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [286909] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9151), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(6992), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [286987] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8356), 1,
      sym_identifier,
    STATE(9078), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(6993), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287067] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9365), 1,
      sym__lambda_parameters,
    STATE(6994), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287147] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9628), 1,
      sym__lambda_parameters,
    STATE(6995), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287227] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7560), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(6996), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287307] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9284), 1,
      sym__lambda_parameters,
    STATE(6997), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287387] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9372), 1,
      sym__lambda_parameters,
    STATE(6998), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287467] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9107), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(6999), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287547] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9394), 1,
      sym__lambda_parameters,
    STATE(7000), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287627] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9242), 1,
      sym__lambda_parameters,
    STATE(7001), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287707] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5736), 1,
      anon_sym_LBRACK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7129), 1,
      aux_sym_class_declaration_repeat1,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(8281), 1,
      sym_identifier,
    STATE(7002), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287787] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9394), 1,
      sym__lambda_parameters,
    STATE(7003), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [287865] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9414), 1,
      sym__lambda_parameters,
    STATE(7004), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [287945] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9643), 1,
      sym__lambda_parameters,
    STATE(7005), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288025] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8161), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(7006), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288105] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7960), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9536), 1,
      sym__lambda_parameters,
    STATE(7007), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288185] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9643), 1,
      sym__lambda_parameters,
    STATE(7008), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [288263] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9650), 1,
      sym__lambda_parameters,
    STATE(7009), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288343] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9653), 1,
      sym__lambda_parameters,
    STATE(7010), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288423] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7603), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(7011), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288503] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9422), 1,
      sym__lambda_parameters,
    STATE(7012), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288583] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9525), 1,
      sym__lambda_parameters,
    STATE(7013), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288663] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9310), 1,
      sym__lambda_parameters,
    STATE(7014), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288743] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8161), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8484), 1,
      sym_variable_declarator,
    STATE(7015), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288823] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9217), 1,
      sym__lambda_parameters,
    STATE(7016), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288903] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9042), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7017), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [288983] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9437), 1,
      sym__lambda_parameters,
    STATE(7018), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289063] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9554), 1,
      sym__lambda_parameters,
    STATE(7019), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289143] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9437), 1,
      sym__lambda_parameters,
    STATE(7020), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [289221] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9468), 1,
      sym__lambda_parameters,
    STATE(7021), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289301] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9554), 1,
      sym__lambda_parameters,
    STATE(7022), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [289379] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9310), 1,
      sym__lambda_parameters,
    STATE(7023), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [289457] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9565), 1,
      sym__lambda_parameters,
    STATE(7024), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289537] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9477), 1,
      sym__lambda_parameters,
    STATE(7025), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289617] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8356), 1,
      sym_identifier,
    STATE(9005), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(7026), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289697] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9672), 1,
      sym__lambda_parameters,
    STATE(7027), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289777] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9672), 1,
      sym__lambda_parameters,
    STATE(7028), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [289855] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9506), 1,
      sym__lambda_parameters,
    STATE(7029), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [289935] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9506), 1,
      sym__lambda_parameters,
    STATE(7030), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [290013] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9517), 1,
      sym__lambda_parameters,
    STATE(7031), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290093] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9871), 1,
      sym__lambda_parameters,
    STATE(7032), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290173] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9678), 1,
      sym__lambda_parameters,
    STATE(7033), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290253] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9684), 1,
      sym__lambda_parameters,
    STATE(7034), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290333] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9696), 1,
      sym__lambda_parameters,
    STATE(7035), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290413] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9328), 1,
      sym__lambda_parameters,
    STATE(7036), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [290491] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9151), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7037), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290571] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9522), 1,
      sym__lambda_parameters,
    STATE(7038), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290651] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9176), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7039), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290731] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9176), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7040), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [290809] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9696), 1,
      sym__lambda_parameters,
    STATE(7041), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [290887] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__lambda_parameters,
    STATE(7042), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [290967] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9849), 1,
      sym__lambda_parameters,
    STATE(7043), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [291045] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9229), 1,
      sym__lambda_parameters,
    STATE(7044), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291125] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9191), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7045), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291205] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9621), 1,
      sym__lambda_parameters,
    STATE(7046), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [291283] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9624), 1,
      sym__lambda_parameters,
    STATE(7047), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291363] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9626), 1,
      sym__lambda_parameters,
    STATE(7048), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291443] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9676), 1,
      sym__lambda_parameters,
    STATE(7049), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291523] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9265), 1,
      sym__lambda_parameters,
    STATE(7050), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291603] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9265), 1,
      sym__lambda_parameters,
    STATE(7051), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [291681] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9302), 1,
      sym__lambda_parameters,
    STATE(7052), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291761] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7053), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291841] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9033), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7054), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [291921] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9701), 1,
      sym__lambda_parameters,
    STATE(7055), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292001] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9543), 1,
      sym__lambda_parameters,
    STATE(7056), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292081] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8356), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9848), 1,
      sym__lambda_parameters,
    STATE(7057), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292161] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9703), 1,
      sym__lambda_parameters,
    STATE(7058), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292241] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8104), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9536), 1,
      sym__lambda_parameters,
    STATE(7059), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292321] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8994), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7060), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292401] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9481), 1,
      sym__lambda_parameters,
    STATE(7061), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292481] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9481), 1,
      sym__lambda_parameters,
    STATE(7062), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [292559] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9134), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7063), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292639] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9602), 1,
      sym__lambda_parameters,
    STATE(7064), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292719] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9484), 1,
      sym__lambda_parameters,
    STATE(7065), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292799] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9356), 1,
      sym__lambda_parameters,
    STATE(7066), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292879] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    ACTIONS(9516), 1,
      sym_discard,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8841), 1,
      sym_tuple_pattern,
    STATE(8869), 1,
      sym_identifier,
    STATE(7067), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [292959] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9980), 1,
      sym__lambda_parameters,
    STATE(7068), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293039] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9980), 1,
      sym__lambda_parameters,
    STATE(7069), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [293117] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9428), 1,
      sym__lambda_parameters,
    STATE(7070), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293197] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9428), 1,
      sym__lambda_parameters,
    STATE(7071), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [293275] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9536), 1,
      sym__lambda_parameters,
    STATE(7072), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293355] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9555), 1,
      sym__lambda_parameters,
    STATE(7073), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293435] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8234), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9536), 1,
      sym__lambda_parameters,
    STATE(7074), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293515] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9488), 1,
      sym__lambda_parameters,
    STATE(7075), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293595] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(5301), 1,
      sym_discard,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8669), 1,
      sym_tuple_pattern,
    STATE(8684), 1,
      sym_identifier,
    STATE(7076), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293675] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9328), 1,
      sym__lambda_parameters,
    STATE(7077), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293755] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9532), 1,
      sym__lambda_parameters,
    STATE(7078), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293835] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9560), 1,
      sym__lambda_parameters,
    STATE(7079), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293915] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9041), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7080), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [293995] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7960), 1,
      sym_identifier,
    STATE(9005), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(7081), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294075] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9324), 1,
      sym__lambda_parameters,
    STATE(7082), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294155] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9570), 1,
      sym__lambda_parameters,
    STATE(7083), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294235] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7666), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(7084), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294315] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9113), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7085), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294395] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9573), 1,
      sym__lambda_parameters,
    STATE(7086), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294475] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9383), 1,
      sym__lambda_parameters,
    STATE(7087), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294555] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9573), 1,
      sym__lambda_parameters,
    STATE(7088), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [294633] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9579), 1,
      sym__lambda_parameters,
    STATE(7089), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294713] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9474), 1,
      sym__lambda_parameters,
    STATE(7090), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294793] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9797), 1,
      sym__lambda_parameters,
    STATE(7091), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [294873] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9474), 1,
      sym__lambda_parameters,
    STATE(7092), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [294951] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9583), 1,
      sym__lambda_parameters,
    STATE(7093), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295031] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9718), 1,
      sym__lambda_parameters,
    STATE(7094), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295111] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9718), 1,
      sym__lambda_parameters,
    STATE(7095), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [295189] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9848), 1,
      sym__lambda_parameters,
    STATE(7096), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295269] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9726), 1,
      sym__lambda_parameters,
    STATE(7097), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295349] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9887), 1,
      sym__lambda_parameters,
    STATE(7098), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295429] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9409), 1,
      sym__lambda_parameters,
    STATE(7099), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295509] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9512), 1,
      anon_sym_operator,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5053), 1,
      sym__simple_name,
    STATE(5359), 1,
      sym_identifier,
    STATE(7100), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295589] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9012), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7101), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295669] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9012), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7102), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [295747] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9142), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7103), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295827] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9026), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7104), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [295907] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9409), 1,
      sym__lambda_parameters,
    STATE(7105), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [295985] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9035), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7106), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296065] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9736), 1,
      sym__lambda_parameters,
    STATE(7107), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296145] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8318), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9193), 1,
      sym__lambda_parameters,
    STATE(7108), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296225] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8049), 1,
      sym_tuple_pattern,
    STATE(8065), 1,
      sym_identifier,
    STATE(8484), 1,
      sym_variable_declarator,
    STATE(7109), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296305] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9069), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7110), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296385] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9127), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7111), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296465] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9266), 1,
      sym__lambda_parameters,
    STATE(7112), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296545] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9435), 1,
      sym__lambda_parameters,
    STATE(7113), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296625] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9078), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7114), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296705] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9086), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7115), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296785] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9109), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7116), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [296865] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9109), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7117), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [296943] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9118), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7118), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297023] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9126), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7119), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297103] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9750), 1,
      sym__lambda_parameters,
    STATE(7120), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297183] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9454), 1,
      sym__lambda_parameters,
    STATE(7121), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297263] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9750), 1,
      sym__lambda_parameters,
    STATE(7122), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [297341] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9758), 1,
      sym__lambda_parameters,
    STATE(7123), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297421] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9855), 1,
      sym__lambda_parameters,
    STATE(7124), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297501] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9145), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7125), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297581] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9145), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7126), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [297659] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9152), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7127), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297739] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9158), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7128), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297819] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9518), 1,
      anon_sym_LBRACK,
    STATE(7287), 1,
      sym_attribute_list,
    STATE(7129), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_class_declaration_repeat1,
    ACTIONS(5366), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [297891] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9761), 1,
      sym__lambda_parameters,
    STATE(7130), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [297971] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9173), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7131), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298051] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9173), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7132), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [298129] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9180), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7133), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298209] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9185), 1,
      sym__lambda_parameters,
    STATE(9196), 1,
      sym_identifier,
    STATE(7134), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298289] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9774), 1,
      sym__lambda_parameters,
    STATE(7135), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298369] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9855), 1,
      sym__lambda_parameters,
    STATE(7136), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [298447] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8992), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7137), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298527] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9897), 1,
      sym__lambda_parameters,
    STATE(7138), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298607] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9774), 1,
      sym__lambda_parameters,
    STATE(7139), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [298685] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9823), 1,
      sym__lambda_parameters,
    STATE(7140), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298765] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9823), 1,
      sym__lambda_parameters,
    STATE(7141), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [298843] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9777), 1,
      sym__lambda_parameters,
    STATE(7142), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [298923] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9785), 1,
      sym__lambda_parameters,
    STATE(7143), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299003] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9107), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7144), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [299081] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9570), 1,
      sym__lambda_parameters,
    STATE(7145), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [299159] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9598), 1,
      sym__lambda_parameters,
    STATE(7146), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299239] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9027), 1,
      sym__lambda_parameters,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(7147), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299319] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8204), 1,
      sym_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9536), 1,
      sym__lambda_parameters,
    STATE(7148), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299399] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(7149), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299479] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9799), 1,
      sym__lambda_parameters,
    STATE(7150), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299559] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9799), 1,
      sym__lambda_parameters,
    STATE(7151), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [299637] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9605), 1,
      sym__lambda_parameters,
    STATE(7152), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299717] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9802), 1,
      sym__lambda_parameters,
    STATE(7153), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299797] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9907), 1,
      sym__lambda_parameters,
    STATE(7154), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [299875] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9916), 1,
      sym__lambda_parameters,
    STATE(7155), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [299955] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9921), 1,
      sym__lambda_parameters,
    STATE(7156), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300035] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9108), 1,
      sym_parameter_list,
    STATE(9196), 1,
      sym_identifier,
    STATE(9598), 1,
      sym__lambda_parameters,
    STATE(7157), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4427), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [300113] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(8606), 1,
      anon_sym_LPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7594), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_tuple_pattern,
    STATE(8640), 1,
      sym_variable_declarator,
    STATE(7158), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300193] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2907), 1,
      sym__simple_name,
    STATE(7159), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300270] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8670), 1,
      sym_identifier,
    STATE(7160), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300347] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9521), 1,
      sym__identifier_token,
    STATE(3166), 1,
      sym_identifier,
    STATE(3181), 1,
      sym__reserved_identifier,
    STATE(3192), 1,
      sym__simple_name,
    STATE(3203), 1,
      sym_generic_name,
    STATE(7161), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9523), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300424] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2974), 1,
      sym__simple_name,
    STATE(7162), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300501] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9525), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8645), 1,
      sym_with_initializer,
    STATE(9287), 1,
      sym_identifier,
    STATE(7163), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300578] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2796), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7164), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300655] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8670), 1,
      sym_identifier,
    STATE(7165), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300732] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8674), 1,
      sym_identifier,
    STATE(7166), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300809] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4759), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5053), 1,
      sym__simple_name,
    STATE(7167), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300886] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3570), 1,
      sym_identifier,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3710), 1,
      sym__simple_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7168), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [300963] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2931), 1,
      sym__simple_name,
    STATE(7169), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301040] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2873), 1,
      sym__simple_name,
    STATE(7170), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301117] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2908), 1,
      sym__simple_name,
    STATE(7171), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301194] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7516), 1,
      sym_identifier,
    ACTIONS(9531), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7172), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301269] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8674), 1,
      sym_identifier,
    STATE(7173), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301346] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9533), 1,
      sym__identifier_token,
    STATE(4759), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5016), 1,
      sym__simple_name,
    STATE(6688), 1,
      sym__reserved_identifier,
    STATE(7174), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9535), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301423] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9537), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8581), 1,
      sym_with_initializer,
    STATE(9287), 1,
      sym_identifier,
    STATE(7175), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301500] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3913), 1,
      sym_identifier,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(4008), 1,
      sym__simple_name,
    STATE(4055), 1,
      sym_generic_name,
    STATE(7176), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301577] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3913), 1,
      sym_identifier,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4278), 1,
      sym__simple_name,
    STATE(7177), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301654] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2861), 1,
      sym__simple_name,
    STATE(7178), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301731] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8987), 1,
      sym_identifier,
    ACTIONS(9375), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(7179), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301806] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2764), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7180), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301883] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    STATE(3570), 1,
      sym_identifier,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3604), 1,
      sym__simple_name,
    STATE(3609), 1,
      sym_generic_name,
    STATE(7181), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [301960] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    STATE(3570), 1,
      sym_identifier,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3710), 1,
      sym__simple_name,
    STATE(7182), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302037] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9533), 1,
      sym__identifier_token,
    STATE(4759), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5053), 1,
      sym__simple_name,
    STATE(6688), 1,
      sym__reserved_identifier,
    STATE(7183), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9535), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302114] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2921), 1,
      sym__simple_name,
    STATE(7184), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302191] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2796), 1,
      sym__simple_name,
    STATE(7185), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302268] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2759), 1,
      sym__simple_name,
    STATE(7186), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302345] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2829), 1,
      sym__simple_name,
    STATE(7187), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302422] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2851), 1,
      sym__simple_name,
    STATE(7188), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302499] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9539), 1,
      anon_sym_operator,
    ACTIONS(9541), 1,
      anon_sym_this,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7672), 1,
      sym_identifier,
    STATE(7189), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302576] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2827), 1,
      sym__simple_name,
    STATE(7190), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302653] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2908), 1,
      sym__simple_name,
    STATE(7191), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302730] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2888), 1,
      sym__simple_name,
    STATE(7192), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302807] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4567), 1,
      sym__identifier_token,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2939), 1,
      sym_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(4640), 1,
      sym__simple_name,
    STATE(7193), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302884] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3570), 1,
      sym_identifier,
    STATE(3604), 1,
      sym__simple_name,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7194), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [302961] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3570), 1,
      sym_identifier,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3619), 1,
      sym__simple_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7195), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303038] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2767), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7196), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303115] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9543), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8406), 1,
      sym_with_initializer,
    STATE(9287), 1,
      sym_identifier,
    STATE(7197), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303192] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9545), 1,
      sym__identifier_token,
    STATE(2811), 1,
      sym_identifier,
    STATE(2819), 1,
      sym_generic_name,
    STATE(2822), 1,
      sym__reserved_identifier,
    STATE(2823), 1,
      sym__simple_name,
    STATE(7198), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9547), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303269] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4544), 1,
      sym__identifier_token,
    STATE(5148), 1,
      sym__reserved_identifier,
    STATE(5219), 1,
      sym_identifier,
    STATE(5240), 1,
      sym__simple_name,
    STATE(5287), 1,
      sym_generic_name,
    STATE(7199), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4546), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303346] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2982), 1,
      sym__simple_name,
    STATE(7200), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303423] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2854), 1,
      sym__simple_name,
    STATE(7201), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303500] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(3220), 1,
      sym_identifier,
    STATE(3236), 1,
      sym__simple_name,
    STATE(3384), 1,
      sym_generic_name,
    STATE(7202), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303577] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4544), 1,
      sym__identifier_token,
    STATE(5148), 1,
      sym__reserved_identifier,
    STATE(5219), 1,
      sym_identifier,
    STATE(5241), 1,
      sym__simple_name,
    STATE(5287), 1,
      sym_generic_name,
    STATE(7203), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4546), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303654] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2764), 1,
      sym__simple_name,
    STATE(7204), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303731] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(4759), 1,
      sym_identifier,
    STATE(4983), 1,
      sym_generic_name,
    STATE(5016), 1,
      sym__simple_name,
    STATE(7205), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303808] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9549), 1,
      sym__identifier_token,
    STATE(2948), 1,
      sym_identifier,
    STATE(2993), 1,
      sym__simple_name,
    STATE(3010), 1,
      sym_generic_name,
    STATE(3011), 1,
      sym__reserved_identifier,
    STATE(7206), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9551), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303885] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5016), 1,
      sym__simple_name,
    STATE(5359), 1,
      sym_identifier,
    STATE(7207), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [303962] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2913), 1,
      sym__simple_name,
    STATE(7208), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304039] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9545), 1,
      sym__identifier_token,
    STATE(2811), 1,
      sym_identifier,
    STATE(2819), 1,
      sym_generic_name,
    STATE(2822), 1,
      sym__reserved_identifier,
    STATE(2877), 1,
      sym__simple_name,
    STATE(7209), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9547), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304116] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4544), 1,
      sym__identifier_token,
    STATE(5148), 1,
      sym__reserved_identifier,
    STATE(5219), 1,
      sym_identifier,
    STATE(5287), 1,
      sym_generic_name,
    STATE(5582), 1,
      sym__simple_name,
    STATE(7210), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4546), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304193] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    STATE(3913), 1,
      sym_identifier,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(4007), 1,
      sym__simple_name,
    STATE(4055), 1,
      sym_generic_name,
    STATE(7211), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304270] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2827), 1,
      sym__simple_name,
    STATE(7212), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304347] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    STATE(3913), 1,
      sym_identifier,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(4008), 1,
      sym__simple_name,
    STATE(4055), 1,
      sym_generic_name,
    STATE(7213), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304424] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2857), 1,
      sym__simple_name,
    STATE(7214), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304501] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9553), 1,
      anon_sym_operator,
    ACTIONS(9555), 1,
      anon_sym_this,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7676), 1,
      sym_identifier,
    STATE(7215), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304578] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9557), 1,
      anon_sym_operator,
    ACTIONS(9559), 1,
      anon_sym_this,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7696), 1,
      sym_identifier,
    STATE(7216), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304655] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2769), 1,
      sym__simple_name,
    STATE(7217), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304732] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9561), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8387), 1,
      sym_with_initializer,
    STATE(9287), 1,
      sym_identifier,
    STATE(7218), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304809] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(5053), 1,
      sym__simple_name,
    STATE(5359), 1,
      sym_identifier,
    STATE(7219), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304886] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7505), 1,
      sym_identifier,
    ACTIONS(9563), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7220), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [304961] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3913), 1,
      sym_identifier,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(4007), 1,
      sym__simple_name,
    STATE(4055), 1,
      sym_generic_name,
    STATE(7221), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305038] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9565), 1,
      sym__identifier_token,
    STATE(2939), 1,
      sym_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2944), 1,
      sym__simple_name,
    STATE(3214), 1,
      sym__reserved_identifier,
    STATE(7222), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9567), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305115] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2759), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7223), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305192] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7510), 1,
      sym_identifier,
    ACTIONS(9569), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7224), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305267] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3819), 1,
      sym_identifier,
    STATE(3914), 1,
      sym_generic_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(4051), 1,
      sym__simple_name,
    STATE(7225), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305344] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2767), 1,
      sym__simple_name,
    STATE(7226), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305421] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2758), 1,
      sym__simple_name,
    STATE(7227), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305498] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9571), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8550), 1,
      sym_with_initializer,
    STATE(9287), 1,
      sym_identifier,
    STATE(7228), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305575] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7513), 1,
      sym_identifier,
    ACTIONS(9573), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7229), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305650] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2762), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7230), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305727] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2854), 1,
      sym__simple_name,
    STATE(7231), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305804] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3624), 1,
      sym_identifier,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3686), 1,
      sym__simple_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7232), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305881] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9545), 1,
      sym__identifier_token,
    STATE(2811), 1,
      sym_identifier,
    STATE(2819), 1,
      sym_generic_name,
    STATE(2822), 1,
      sym__reserved_identifier,
    STATE(2840), 1,
      sym__simple_name,
    STATE(7233), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9547), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [305958] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2913), 1,
      sym__simple_name,
    STATE(7234), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306035] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(3562), 1,
      sym__simple_name,
    STATE(7235), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306112] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7515), 1,
      sym_identifier,
    ACTIONS(9575), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7236), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306187] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2762), 1,
      sym__simple_name,
    STATE(7237), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306264] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2958), 1,
      sym__simple_name,
    STATE(7238), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306341] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7514), 1,
      sym_identifier,
    ACTIONS(9577), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7239), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306416] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7507), 1,
      sym_identifier,
    ACTIONS(9579), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7240), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306491] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2882), 1,
      sym__simple_name,
    STATE(7241), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306568] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9545), 1,
      sym__identifier_token,
    STATE(2811), 1,
      sym_identifier,
    STATE(2819), 1,
      sym_generic_name,
    STATE(2822), 1,
      sym__reserved_identifier,
    STATE(2876), 1,
      sym__simple_name,
    STATE(7242), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9547), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306645] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(5016), 1,
      sym__simple_name,
    STATE(5359), 1,
      sym_identifier,
    STATE(7243), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306722] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4567), 1,
      sym__identifier_token,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2939), 1,
      sym_identifier,
    STATE(2942), 1,
      sym_generic_name,
    STATE(2944), 1,
      sym__simple_name,
    STATE(7244), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306799] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3819), 1,
      sym_identifier,
    STATE(3900), 1,
      sym__simple_name,
    STATE(3914), 1,
      sym_generic_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7245), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306876] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3624), 1,
      sym_identifier,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3735), 1,
      sym__simple_name,
    STATE(7246), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [306953] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3624), 1,
      sym_identifier,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3686), 1,
      sym__simple_name,
    STATE(7247), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307030] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2983), 1,
      sym__simple_name,
    STATE(7248), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307107] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3819), 1,
      sym_identifier,
    STATE(3901), 1,
      sym__simple_name,
    STATE(3914), 1,
      sym_generic_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7249), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307184] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2769), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7250), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307261] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2758), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7251), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307338] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7506), 1,
      sym_identifier,
    ACTIONS(9581), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7252), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307413] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2918), 1,
      sym__simple_name,
    STATE(7253), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307490] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9583), 1,
      sym__identifier_token,
    STATE(3191), 1,
      sym_identifier,
    STATE(3272), 1,
      sym__simple_name,
    STATE(3341), 1,
      sym_generic_name,
    STATE(3383), 1,
      sym__reserved_identifier,
    STATE(7254), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9585), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307567] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2851), 1,
      sym__simple_name,
    STATE(7255), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307644] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__identifier_token,
    STATE(3621), 1,
      sym__reserved_identifier,
    STATE(3624), 1,
      sym_identifier,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3698), 1,
      sym__simple_name,
    STATE(7256), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4337), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307721] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9587), 1,
      sym__identifier_token,
    STATE(3813), 1,
      sym_identifier,
    STATE(3883), 1,
      sym_generic_name,
    STATE(3911), 1,
      sym__reserved_identifier,
    STATE(3943), 1,
      sym__simple_name,
    STATE(7257), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9589), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307798] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9565), 1,
      sym__identifier_token,
    STATE(2939), 1,
      sym_identifier,
    STATE(2941), 1,
      sym__simple_name,
    STATE(2942), 1,
      sym_generic_name,
    STATE(3214), 1,
      sym__reserved_identifier,
    STATE(7258), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9567), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307875] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2967), 1,
      sym__simple_name,
    STATE(7259), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [307952] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2794), 1,
      sym__simple_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(7260), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308029] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2970), 1,
      sym__simple_name,
    STATE(7261), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308106] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(5053), 1,
      sym__simple_name,
    STATE(5359), 1,
      sym_identifier,
    STATE(7262), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308183] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9583), 1,
      sym__identifier_token,
    STATE(3191), 1,
      sym_identifier,
    STATE(3271), 1,
      sym__simple_name,
    STATE(3341), 1,
      sym_generic_name,
    STATE(3383), 1,
      sym__reserved_identifier,
    STATE(7263), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9585), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308260] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4264), 1,
      sym__identifier_token,
    STATE(3570), 1,
      sym_identifier,
    STATE(3581), 1,
      sym__reserved_identifier,
    STATE(3609), 1,
      sym_generic_name,
    STATE(3619), 1,
      sym__simple_name,
    STATE(7264), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4266), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308337] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2794), 1,
      sym__simple_name,
    STATE(7265), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308414] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2898), 1,
      sym__simple_name,
    STATE(7266), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308491] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2988), 1,
      sym__simple_name,
    STATE(7267), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308568] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4232), 1,
      sym__identifier_token,
    STATE(3913), 1,
      sym_identifier,
    STATE(3924), 1,
      sym__reserved_identifier,
    STATE(4055), 1,
      sym_generic_name,
    STATE(4278), 1,
      sym__simple_name,
    STATE(7268), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4234), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308645] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9527), 1,
      sym__identifier_token,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2812), 1,
      sym__reserved_identifier,
    STATE(2880), 1,
      sym__simple_name,
    STATE(7269), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9529), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308722] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2964), 1,
      sym__simple_name,
    STATE(7270), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308799] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2874), 1,
      sym__simple_name,
    STATE(7271), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308876] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4567), 1,
      sym__identifier_token,
    STATE(2930), 1,
      sym__reserved_identifier,
    STATE(2939), 1,
      sym_identifier,
    STATE(2941), 1,
      sym__simple_name,
    STATE(2942), 1,
      sym_generic_name,
    STATE(7272), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4569), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [308953] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3624), 1,
      sym_identifier,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3698), 1,
      sym__simple_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7273), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309030] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9545), 1,
      sym__identifier_token,
    STATE(2811), 1,
      sym_identifier,
    STATE(2819), 1,
      sym_generic_name,
    STATE(2822), 1,
      sym__reserved_identifier,
    STATE(2825), 1,
      sym__simple_name,
    STATE(7274), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9547), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309107] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2885), 1,
      sym__simple_name,
    STATE(7275), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309184] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym__identifier_token,
    STATE(3624), 1,
      sym_identifier,
    STATE(3667), 1,
      sym_generic_name,
    STATE(3735), 1,
      sym__simple_name,
    STATE(3921), 1,
      sym__reserved_identifier,
    STATE(7276), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(4343), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309261] = 16,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(9591), 1,
      sym_integer_literal,
    ACTIONS(9593), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8641), 1,
      sym_identifier,
    STATE(7277), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309338] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9613), 1,
      anon_sym_RBRACE,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8689), 1,
      sym_with_initializer,
    STATE(9287), 1,
      sym_identifier,
    STATE(7278), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309415] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2857), 1,
      sym__simple_name,
    STATE(7279), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309492] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2883), 1,
      sym__simple_name,
    STATE(7280), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309569] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(2748), 1,
      sym_generic_name,
    STATE(2755), 1,
      sym_identifier,
    STATE(2919), 1,
      sym__simple_name,
    STATE(7281), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309646] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7508), 1,
      sym_identifier,
    ACTIONS(9615), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(7282), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309721] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9375), 1,
      anon_sym_COMMA,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8408), 1,
      sym_identifier,
    STATE(7283), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309795] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    ACTIONS(9617), 1,
      anon_sym_RPAREN,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9752), 1,
      sym_identifier,
    STATE(7284), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [309869] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5715), 1,
      anon_sym_LBRACK,
    STATE(7285), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5713), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [309937] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8541), 1,
      sym_identifier,
    STATE(8934), 1,
      sym_using_variable_declarator,
    STATE(7286), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310011] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5719), 1,
      anon_sym_LBRACK,
    STATE(7287), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5717), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [310079] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5688), 1,
      anon_sym_LBRACK,
    STATE(7288), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5686), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [310147] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8371), 1,
      sym__identifier_token,
    ACTIONS(9619), 1,
      sym_integer_literal,
    STATE(7819), 1,
      sym__reserved_identifier,
    STATE(8907), 1,
      sym_identifier,
    STATE(7289), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(8373), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310221] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8870), 1,
      sym_with_initializer,
    STATE(9287), 1,
      sym_identifier,
    STATE(7290), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310295] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5682), 1,
      anon_sym_LBRACK,
    STATE(7291), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5680), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [310363] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5699), 1,
      anon_sym_LBRACK,
    STATE(7292), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(5697), 25,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_in,
      anon_sym_out,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [310431] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8279), 1,
      sym_identifier,
    STATE(7293), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310502] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8311), 1,
      sym_identifier,
    STATE(7294), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310573] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7518), 1,
      sym_identifier,
    STATE(7295), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310644] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8272), 1,
      sym_identifier,
    STATE(7296), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310715] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7508), 1,
      sym_identifier,
    STATE(7297), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310786] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8240), 1,
      sym_identifier,
    STATE(7298), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310857] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7525), 1,
      sym_identifier,
    STATE(7299), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310928] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7538), 1,
      sym_identifier,
    STATE(7300), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [310999] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8373), 1,
      sym_identifier,
    STATE(7301), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311070] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7604), 1,
      sym_identifier,
    STATE(7302), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311141] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7487), 1,
      sym_identifier,
    STATE(7303), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311212] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8283), 1,
      sym_identifier,
    STATE(7304), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311283] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7513), 1,
      sym_identifier,
    STATE(7305), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311354] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7521), 1,
      sym_identifier,
    STATE(7306), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311425] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8276), 1,
      sym_identifier,
    STATE(7307), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311496] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7510), 1,
      sym_identifier,
    STATE(7308), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311567] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7533), 1,
      sym_identifier,
    STATE(7309), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311638] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8309), 1,
      sym_identifier,
    STATE(7310), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311709] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7612), 1,
      sym_identifier,
    STATE(7311), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311780] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(9666), 1,
      sym_identifier,
    STATE(7312), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311851] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7454), 1,
      sym_identifier,
    STATE(7313), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311922] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9237), 1,
      sym_identifier,
    STATE(7314), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [311993] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7539), 1,
      sym_identifier,
    STATE(7315), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312064] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8316), 1,
      sym_identifier,
    STATE(7316), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312135] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7512), 1,
      sym_identifier,
    STATE(7317), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312206] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(9288), 1,
      sym_identifier,
    STATE(7318), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312277] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7528), 1,
      sym_identifier,
    STATE(7319), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312348] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8290), 1,
      sym_identifier,
    STATE(7320), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312419] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7640), 1,
      sym_identifier,
    STATE(7321), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312490] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7489), 1,
      sym_identifier,
    STATE(7322), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312561] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7480), 1,
      sym_identifier,
    STATE(7323), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312632] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8303), 1,
      sym_identifier,
    STATE(7324), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312703] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7511), 1,
      sym_identifier,
    STATE(7325), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312774] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7450), 1,
      sym_identifier,
    STATE(7326), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312845] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7457), 1,
      sym_identifier,
    STATE(7327), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312916] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8376), 1,
      sym_identifier,
    STATE(7328), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [312987] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7500), 1,
      sym_identifier,
    STATE(7329), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313058] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(7330), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313129] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7484), 1,
      sym_identifier,
    STATE(7331), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313200] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8337), 1,
      sym_identifier,
    STATE(7332), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313271] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8968), 1,
      sym_identifier,
    STATE(7333), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313342] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7517), 1,
      sym_identifier,
    STATE(7334), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313413] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7534), 1,
      sym_identifier,
    STATE(7335), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313484] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8326), 1,
      sym_identifier,
    STATE(7336), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313555] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7598), 1,
      sym_identifier,
    STATE(7337), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313626] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9179), 1,
      sym_identifier,
    STATE(7338), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313697] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7455), 1,
      sym_identifier,
    STATE(7339), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313768] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7523), 1,
      sym_identifier,
    STATE(7340), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313839] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8269), 1,
      sym_identifier,
    STATE(7341), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313910] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7514), 1,
      sym_identifier,
    STATE(7342), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [313981] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7531), 1,
      sym_identifier,
    STATE(7343), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314052] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7638), 1,
      sym_identifier,
    STATE(7344), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314123] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7482), 1,
      sym_identifier,
    STATE(7345), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314194] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7541), 1,
      sym_identifier,
    STATE(7346), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314265] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8249), 1,
      sym_identifier,
    STATE(7347), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314336] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7507), 1,
      sym_identifier,
    STATE(7348), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314407] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8250), 1,
      sym_identifier,
    STATE(7349), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314478] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7656), 1,
      sym_identifier,
    STATE(7350), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314549] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7442), 1,
      sym_identifier,
    STATE(7351), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314620] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7526), 1,
      sym_identifier,
    STATE(7352), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314691] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7519), 1,
      sym_identifier,
    STATE(7353), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314762] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8296), 1,
      sym_identifier,
    STATE(7354), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314833] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7509), 1,
      sym_identifier,
    STATE(7355), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314904] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7540), 1,
      sym_identifier,
    STATE(7356), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [314975] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8365), 1,
      sym_identifier,
    STATE(7357), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315046] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8745), 1,
      sym_identifier,
    STATE(7358), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315117] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(9361), 1,
      sym_identifier,
    STATE(7359), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315188] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7494), 1,
      sym_identifier,
    STATE(7360), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315259] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7488), 1,
      sym_identifier,
    STATE(7361), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315330] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7717), 1,
      sym_identifier,
    STATE(7362), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315401] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7443), 1,
      sym_identifier,
    STATE(7363), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315472] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7606), 1,
      sym_identifier,
    STATE(7364), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315543] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8540), 1,
      sym_identifier,
    STATE(7365), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315614] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7532), 1,
      sym_identifier,
    STATE(7366), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315685] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7520), 1,
      sym_identifier,
    STATE(7367), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315756] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8514), 1,
      sym_identifier,
    STATE(7368), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315827] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7463), 1,
      sym_identifier,
    STATE(7369), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315898] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(8752), 1,
      sym_identifier,
    STATE(7370), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [315969] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8671), 1,
      sym_identifier,
    STATE(7371), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316040] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(9010), 1,
      sym_identifier,
    STATE(7372), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316111] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3051), 1,
      sym__identifier_token,
    STATE(4471), 1,
      sym__reserved_identifier,
    STATE(8935), 1,
      sym_identifier,
    STATE(7373), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(3055), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316182] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8313), 1,
      sym_identifier,
    STATE(7374), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316253] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7471), 1,
      sym_identifier,
    STATE(7375), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316324] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7535), 1,
      sym_identifier,
    STATE(7376), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316395] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7470), 1,
      sym_identifier,
    STATE(7377), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316466] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8756), 1,
      sym_identifier,
    STATE(7378), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316537] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8285), 1,
      sym_identifier,
    STATE(7379), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316608] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7506), 1,
      sym_identifier,
    STATE(7380), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316679] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8260), 1,
      sym_identifier,
    STATE(7381), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316750] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7536), 1,
      sym_identifier,
    STATE(7382), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316821] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8301), 1,
      sym_identifier,
    STATE(7383), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316892] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7558), 1,
      sym_identifier,
    STATE(7384), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [316963] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(8297), 1,
      sym_identifier,
    STATE(7385), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [317034] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7573), 1,
      sym_identifier,
    STATE(7386), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [317105] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7461), 1,
      sym_identifier,
    STATE(7387), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [317176] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(8264), 1,
      sym_identifier,
    STATE(7388), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [317247] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(23), 1,
      sym__identifier_token,
    STATE(2744), 1,
      sym__reserved_identifier,
    STATE(7481), 1,
      sym_identifier,
    STATE(7389), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(27), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [317318] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7529), 1,
      sym_identifier,
    STATE(7390), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [317389] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7423), 1,
      sym__identifier_token,
    STATE(3155), 1,
      sym__reserved_identifier,
    STATE(7530), 1,
      sym_identifier,
    STATE(7391), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(7425), 22,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
  [317460] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9623), 1,
      anon_sym_checked,
    ACTIONS(9621), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7392), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9625), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317528] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9629), 1,
      anon_sym_checked,
    ACTIONS(9627), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7393), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9631), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317596] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9635), 1,
      anon_sym_checked,
    ACTIONS(9633), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7394), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9637), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317664] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9641), 1,
      anon_sym_checked,
    ACTIONS(9639), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7395), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9643), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317732] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9647), 1,
      anon_sym_checked,
    ACTIONS(9645), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7396), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9649), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317800] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9653), 1,
      anon_sym_checked,
    ACTIONS(9651), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7397), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9655), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317868] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9657), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7398), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9659), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317933] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9633), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7399), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9637), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [317998] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9627), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7400), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9631), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [318063] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9661), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7401), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9663), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [318128] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    STATE(7402), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9665), 23,
      anon_sym_alias,
      anon_sym_global,
      anon_sym_file,
      anon_sym_where,
      anon_sym_notnull,
      anon_sym_unmanaged,
      anon_sym_scoped,
      anon_sym_var,
      anon_sym_yield,
      anon_sym_when,
      anon_sym_from,
      anon_sym_into,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_group,
      anon_sym_by,
      anon_sym_select,
      sym__identifier_token,
  [318191] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9667), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7403), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9669), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [318256] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9639), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    STATE(7404), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
    ACTIONS(9643), 16,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_true,
      anon_sym_false,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [318321] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9681), 1,
      anon_sym_group,
    ACTIONS(9683), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(6101), 1,
      sym__select_or_group_clause,
    STATE(7475), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7405), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318403] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9685), 1,
      anon_sym_group,
    ACTIONS(9687), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(5075), 1,
      sym__select_or_group_clause,
    STATE(7495), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7406), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318485] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9689), 1,
      anon_sym_group,
    ACTIONS(9691), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(5752), 1,
      sym__select_or_group_clause,
    STATE(7469), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7407), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318567] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9693), 1,
      anon_sym_group,
    ACTIONS(9695), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(6106), 1,
      sym__select_or_group_clause,
    STATE(7493), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7408), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318649] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9697), 1,
      anon_sym_group,
    ACTIONS(9699), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(5776), 1,
      sym__select_or_group_clause,
    STATE(7473), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7409), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318731] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9701), 1,
      anon_sym_group,
    ACTIONS(9703), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(6665), 1,
      sym__select_or_group_clause,
    STATE(7446), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7410), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318813] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9705), 1,
      anon_sym_group,
    ACTIONS(9707), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(6111), 1,
      sym__select_or_group_clause,
    STATE(7449), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7411), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318895] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9701), 1,
      anon_sym_group,
    ACTIONS(9703), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(6665), 1,
      sym__select_or_group_clause,
    STATE(7446), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7412), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [318977] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9709), 1,
      anon_sym_group,
    ACTIONS(9711), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(4974), 1,
      sym__select_or_group_clause,
    STATE(7464), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7413), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319059] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9713), 1,
      anon_sym_group,
    ACTIONS(9715), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(6646), 1,
      sym__select_or_group_clause,
    STATE(7496), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7414), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319141] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9697), 1,
      anon_sym_group,
    ACTIONS(9699), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(5776), 1,
      sym__select_or_group_clause,
    STATE(7473), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7415), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319223] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9717), 1,
      anon_sym_group,
    ACTIONS(9719), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(6095), 1,
      sym__select_or_group_clause,
    STATE(7472), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7416), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319305] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9705), 1,
      anon_sym_group,
    ACTIONS(9707), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(6111), 1,
      sym__select_or_group_clause,
    STATE(7449), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7417), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319387] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9721), 1,
      anon_sym_group,
    ACTIONS(9723), 1,
      anon_sym_select,
    STATE(4738), 1,
      sym__query_body,
    STATE(4837), 1,
      sym__select_or_group_clause,
    STATE(7451), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7418), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319469] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9689), 1,
      anon_sym_group,
    ACTIONS(9691), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(5752), 1,
      sym__select_or_group_clause,
    STATE(7469), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7419), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319551] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9685), 1,
      anon_sym_group,
    ACTIONS(9687), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(5075), 1,
      sym__select_or_group_clause,
    STATE(7495), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7420), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319633] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9681), 1,
      anon_sym_group,
    ACTIONS(9683), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(6101), 1,
      sym__select_or_group_clause,
    STATE(7475), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7421), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319715] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9725), 1,
      anon_sym_group,
    ACTIONS(9727), 1,
      anon_sym_select,
    STATE(5405), 1,
      sym__select_or_group_clause,
    STATE(5528), 1,
      sym__query_body,
    STATE(7453), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7422), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319797] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9729), 1,
      anon_sym_group,
    ACTIONS(9731), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(5749), 1,
      sym__select_or_group_clause,
    STATE(7478), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7423), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319879] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9733), 1,
      anon_sym_group,
    ACTIONS(9735), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(4622), 1,
      sym__select_or_group_clause,
    STATE(7460), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7424), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [319961] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9737), 1,
      anon_sym_group,
    ACTIONS(9739), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(6658), 1,
      sym__select_or_group_clause,
    STATE(7445), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7425), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320043] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9717), 1,
      anon_sym_group,
    ACTIONS(9719), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(6095), 1,
      sym__select_or_group_clause,
    STATE(7472), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7426), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320125] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9741), 1,
      anon_sym_group,
    ACTIONS(9743), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(6660), 1,
      sym__select_or_group_clause,
    STATE(7486), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7427), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320207] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9745), 1,
      anon_sym_group,
    ACTIONS(9747), 1,
      anon_sym_select,
    STATE(5528), 1,
      sym__query_body,
    STATE(5813), 1,
      sym__select_or_group_clause,
    STATE(7447), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7428), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320289] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9693), 1,
      anon_sym_group,
    ACTIONS(9695), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(6106), 1,
      sym__select_or_group_clause,
    STATE(7493), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7429), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320371] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9741), 1,
      anon_sym_group,
    ACTIONS(9743), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(6660), 1,
      sym__select_or_group_clause,
    STATE(7486), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7430), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320453] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9749), 1,
      anon_sym_group,
    ACTIONS(9751), 1,
      anon_sym_select,
    STATE(4116), 1,
      sym__query_body,
    STATE(5186), 1,
      sym__select_or_group_clause,
    STATE(7441), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7431), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320535] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9753), 1,
      anon_sym_group,
    ACTIONS(9755), 1,
      anon_sym_select,
    STATE(4515), 1,
      sym__select_or_group_clause,
    STATE(4738), 1,
      sym__query_body,
    STATE(7448), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7432), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320617] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9737), 1,
      anon_sym_group,
    ACTIONS(9739), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(6658), 1,
      sym__select_or_group_clause,
    STATE(7445), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7433), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320699] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9757), 1,
      anon_sym_group,
    ACTIONS(9759), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(4943), 1,
      sym__select_or_group_clause,
    STATE(7499), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7434), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320781] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9709), 1,
      anon_sym_group,
    ACTIONS(9711), 1,
      anon_sym_select,
    STATE(3659), 1,
      sym__query_body,
    STATE(4974), 1,
      sym__select_or_group_clause,
    STATE(7464), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7435), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320863] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9733), 1,
      anon_sym_group,
    ACTIONS(9735), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(4622), 1,
      sym__select_or_group_clause,
    STATE(7460), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7436), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [320945] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9749), 1,
      anon_sym_group,
    ACTIONS(9751), 1,
      anon_sym_select,
    STATE(4011), 1,
      sym__query_body,
    STATE(5186), 1,
      sym__select_or_group_clause,
    STATE(7441), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7437), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321027] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9757), 1,
      anon_sym_group,
    ACTIONS(9759), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(4943), 1,
      sym__select_or_group_clause,
    STATE(7499), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7438), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321109] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9713), 1,
      anon_sym_group,
    ACTIONS(9715), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(6646), 1,
      sym__select_or_group_clause,
    STATE(7496), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7439), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321191] = 23,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9729), 1,
      anon_sym_group,
    ACTIONS(9731), 1,
      anon_sym_select,
    STATE(3768), 1,
      sym__query_body,
    STATE(5749), 1,
      sym__select_or_group_clause,
    STATE(7478), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7440), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321273] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9749), 1,
      anon_sym_group,
    ACTIONS(9751), 1,
      anon_sym_select,
    STATE(5136), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7441), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321352] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9689), 1,
      anon_sym_group,
    ACTIONS(9691), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7444), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7442), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321431] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9757), 1,
      anon_sym_group,
    ACTIONS(9759), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7474), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7443), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321510] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9689), 1,
      anon_sym_group,
    ACTIONS(9691), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7444), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321589] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9737), 1,
      anon_sym_group,
    ACTIONS(9739), 1,
      anon_sym_select,
    STATE(6633), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7445), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321668] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9701), 1,
      anon_sym_group,
    ACTIONS(9703), 1,
      anon_sym_select,
    STATE(6652), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7446), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321747] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9745), 1,
      anon_sym_group,
    ACTIONS(9747), 1,
      anon_sym_select,
    STATE(5835), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7447), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321826] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9753), 1,
      anon_sym_group,
    ACTIONS(9755), 1,
      anon_sym_select,
    STATE(4517), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7448), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321905] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9705), 1,
      anon_sym_group,
    ACTIONS(9707), 1,
      anon_sym_select,
    STATE(6113), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7449), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [321984] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9753), 1,
      anon_sym_group,
    ACTIONS(9755), 1,
      anon_sym_select,
    STATE(4596), 1,
      sym__select_or_group_clause,
    STATE(7452), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7450), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322063] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9721), 1,
      anon_sym_group,
    ACTIONS(9723), 1,
      anon_sym_select,
    STATE(4917), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7451), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322142] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9753), 1,
      anon_sym_group,
    ACTIONS(9755), 1,
      anon_sym_select,
    STATE(4544), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7452), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322221] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9725), 1,
      anon_sym_group,
    ACTIONS(9727), 1,
      anon_sym_select,
    STATE(5407), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7453), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322300] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9741), 1,
      anon_sym_group,
    ACTIONS(9743), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7491), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7454), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322379] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9717), 1,
      anon_sym_group,
    ACTIONS(9719), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7456), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7455), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322458] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9717), 1,
      anon_sym_group,
    ACTIONS(9719), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7456), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322537] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9725), 1,
      anon_sym_group,
    ACTIONS(9727), 1,
      anon_sym_select,
    STATE(5694), 1,
      sym__select_or_group_clause,
    STATE(7459), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7457), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322616] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9729), 1,
      anon_sym_group,
    ACTIONS(9731), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7458), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322695] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9725), 1,
      anon_sym_group,
    ACTIONS(9727), 1,
      anon_sym_select,
    STATE(5719), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7459), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322774] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9733), 1,
      anon_sym_group,
    ACTIONS(9735), 1,
      anon_sym_select,
    STATE(4683), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7460), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322853] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9685), 1,
      anon_sym_group,
    ACTIONS(9687), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7479), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7461), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [322932] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9749), 1,
      anon_sym_group,
    ACTIONS(9751), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7462), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323011] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9737), 1,
      anon_sym_group,
    ACTIONS(9739), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7467), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7463), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323090] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9709), 1,
      anon_sym_group,
    ACTIONS(9711), 1,
      anon_sym_select,
    STATE(4968), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7464), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323169] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9709), 1,
      anon_sym_group,
    ACTIONS(9711), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7466), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7465), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323248] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9709), 1,
      anon_sym_group,
    ACTIONS(9711), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7466), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323327] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9737), 1,
      anon_sym_group,
    ACTIONS(9739), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7467), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323406] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9721), 1,
      anon_sym_group,
    ACTIONS(9723), 1,
      anon_sym_select,
    STATE(4544), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7468), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323485] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9689), 1,
      anon_sym_group,
    ACTIONS(9691), 1,
      anon_sym_select,
    STATE(5754), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7469), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323564] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9729), 1,
      anon_sym_group,
    ACTIONS(9731), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7458), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7470), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323643] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9713), 1,
      anon_sym_group,
    ACTIONS(9715), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7477), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7471), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323722] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9717), 1,
      anon_sym_group,
    ACTIONS(9719), 1,
      anon_sym_select,
    STATE(6097), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7472), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323801] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9697), 1,
      anon_sym_group,
    ACTIONS(9699), 1,
      anon_sym_select,
    STATE(5778), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7473), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323880] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9757), 1,
      anon_sym_group,
    ACTIONS(9759), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7474), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [323959] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9681), 1,
      anon_sym_group,
    ACTIONS(9683), 1,
      anon_sym_select,
    STATE(6103), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7475), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324038] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9733), 1,
      anon_sym_group,
    ACTIONS(9735), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7476), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324117] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9713), 1,
      anon_sym_group,
    ACTIONS(9715), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7477), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324196] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9729), 1,
      anon_sym_group,
    ACTIONS(9731), 1,
      anon_sym_select,
    STATE(5561), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7478), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324275] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9685), 1,
      anon_sym_group,
    ACTIONS(9687), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7479), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324354] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9701), 1,
      anon_sym_group,
    ACTIONS(9703), 1,
      anon_sym_select,
    STATE(3699), 1,
      sym__select_or_group_clause,
    STATE(7485), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7480), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324433] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9733), 1,
      anon_sym_group,
    ACTIONS(9735), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7476), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7481), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324512] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9681), 1,
      anon_sym_group,
    ACTIONS(9683), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7483), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7482), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324591] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9681), 1,
      anon_sym_group,
    ACTIONS(9683), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7483), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324670] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9721), 1,
      anon_sym_group,
    ACTIONS(9723), 1,
      anon_sym_select,
    STATE(4596), 1,
      sym__select_or_group_clause,
    STATE(7468), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(4723), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7484), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324749] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9701), 1,
      anon_sym_group,
    ACTIONS(9703), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7485), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324828] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9741), 1,
      anon_sym_group,
    ACTIONS(9743), 1,
      anon_sym_select,
    STATE(6642), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7486), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324907] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9697), 1,
      anon_sym_group,
    ACTIONS(9699), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7492), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7487), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [324986] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9705), 1,
      anon_sym_group,
    ACTIONS(9707), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7490), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7488), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325065] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9749), 1,
      anon_sym_group,
    ACTIONS(9751), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7462), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7489), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325144] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9705), 1,
      anon_sym_group,
    ACTIONS(9707), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7490), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325223] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9741), 1,
      anon_sym_group,
    ACTIONS(9743), 1,
      anon_sym_select,
    STATE(3634), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7491), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325302] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9697), 1,
      anon_sym_group,
    ACTIONS(9699), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7492), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325381] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9693), 1,
      anon_sym_group,
    ACTIONS(9695), 1,
      anon_sym_select,
    STATE(6108), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7493), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325460] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9693), 1,
      anon_sym_group,
    ACTIONS(9695), 1,
      anon_sym_select,
    STATE(3963), 1,
      sym__select_or_group_clause,
    STATE(7497), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7494), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325539] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9685), 1,
      anon_sym_group,
    ACTIONS(9687), 1,
      anon_sym_select,
    STATE(5094), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7495), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325618] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9713), 1,
      anon_sym_group,
    ACTIONS(9715), 1,
      anon_sym_select,
    STATE(6500), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7496), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325697] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9693), 1,
      anon_sym_group,
    ACTIONS(9695), 1,
      anon_sym_select,
    STATE(3970), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3991), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7497), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325776] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9745), 1,
      anon_sym_group,
    ACTIONS(9747), 1,
      anon_sym_select,
    STATE(5719), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7498), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325855] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9757), 1,
      anon_sym_group,
    ACTIONS(9759), 1,
      anon_sym_select,
    STATE(4975), 1,
      sym__select_or_group_clause,
    STATE(7504), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(3636), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7499), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [325934] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9671), 1,
      anon_sym_where,
    ACTIONS(9673), 1,
      anon_sym_from,
    ACTIONS(9675), 1,
      anon_sym_join,
    ACTIONS(9677), 1,
      anon_sym_let,
    ACTIONS(9679), 1,
      anon_sym_orderby,
    ACTIONS(9745), 1,
      anon_sym_group,
    ACTIONS(9747), 1,
      anon_sym_select,
    STATE(5694), 1,
      sym__select_or_group_clause,
    STATE(7498), 1,
      aux_sym__query_body_repeat1,
    STATE(7724), 1,
      sym__query_clause,
    STATE(5529), 2,
      sym_group_clause,
      sym_select_clause,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7500), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326013] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9767), 1,
      anon_sym_LT,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(3190), 1,
      sym_accessor_list,
    STATE(7629), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8769), 1,
      sym_type_parameter_list,
    STATE(9354), 1,
      sym_arrow_expression_clause,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7501), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326097] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9767), 1,
      anon_sym_LT,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(3211), 1,
      sym_accessor_list,
    STATE(7633), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8703), 1,
      sym_type_parameter_list,
    STATE(9171), 1,
      sym_arrow_expression_clause,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7502), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326181] = 25,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9767), 1,
      anon_sym_LT,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(3205), 1,
      sym_accessor_list,
    STATE(7605), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8755), 1,
      sym_type_parameter_list,
    STATE(9377), 1,
      sym_arrow_expression_clause,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7503), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326265] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9771), 1,
      anon_sym_where,
    ACTIONS(9774), 1,
      anon_sym_from,
    ACTIONS(9777), 1,
      anon_sym_join,
    ACTIONS(9780), 1,
      anon_sym_let,
    ACTIONS(9783), 1,
      anon_sym_orderby,
    STATE(7724), 1,
      sym__query_clause,
    ACTIONS(9786), 2,
      anon_sym_group,
      anon_sym_select,
    STATE(7736), 5,
      sym_from_clause,
      sym_join_clause,
      sym_let_clause,
      sym_order_by_clause,
      sym_where_clause,
    STATE(7504), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym__query_body_repeat1,
  [326333] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9788), 1,
      anon_sym_SEMI,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7543), 1,
      sym_type_parameter_list,
    STATE(7677), 1,
      sym_parameter_list,
    STATE(7777), 1,
      sym_record_base,
    STATE(7778), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9425), 1,
      sym_declaration_list,
    STATE(7505), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326407] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9798), 1,
      anon_sym_SEMI,
    STATE(7550), 1,
      sym_type_parameter_list,
    STATE(7686), 1,
      sym_parameter_list,
    STATE(7811), 1,
      sym_record_base,
    STATE(7817), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9343), 1,
      sym_declaration_list,
    STATE(7506), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326481] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9800), 1,
      anon_sym_SEMI,
    STATE(7553), 1,
      sym_type_parameter_list,
    STATE(7683), 1,
      sym_parameter_list,
    STATE(7850), 1,
      sym_record_base,
    STATE(7851), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9002), 1,
      sym_declaration_list,
    STATE(7507), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326555] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9802), 1,
      anon_sym_SEMI,
    STATE(7546), 1,
      sym_type_parameter_list,
    STATE(7679), 1,
      sym_parameter_list,
    STATE(7780), 1,
      sym_record_base,
    STATE(7781), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9290), 1,
      sym_declaration_list,
    STATE(7508), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326629] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9804), 1,
      anon_sym_SEMI,
    STATE(7544), 1,
      sym_type_parameter_list,
    STATE(7674), 1,
      sym_parameter_list,
    STATE(7857), 1,
      sym_record_base,
    STATE(7858), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9298), 1,
      sym_declaration_list,
    STATE(7509), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326703] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9806), 1,
      anon_sym_SEMI,
    STATE(7547), 1,
      sym_type_parameter_list,
    STATE(7690), 1,
      sym_parameter_list,
    STATE(7790), 1,
      sym_record_base,
    STATE(7791), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9632), 1,
      sym_declaration_list,
    STATE(7510), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326777] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9808), 1,
      anon_sym_SEMI,
    STATE(7542), 1,
      sym_type_parameter_list,
    STATE(7698), 1,
      sym_parameter_list,
    STATE(7883), 1,
      sym_record_base,
    STATE(7884), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9011), 1,
      sym_declaration_list,
    STATE(7511), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326851] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9810), 1,
      anon_sym_SEMI,
    STATE(7549), 1,
      sym_type_parameter_list,
    STATE(7697), 1,
      sym_parameter_list,
    STATE(7797), 1,
      sym_record_base,
    STATE(7798), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9047), 1,
      sym_declaration_list,
    STATE(7512), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326925] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9812), 1,
      anon_sym_SEMI,
    STATE(7554), 1,
      sym_type_parameter_list,
    STATE(7682), 1,
      sym_parameter_list,
    STATE(7880), 1,
      sym_record_base,
    STATE(7881), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9842), 1,
      sym_declaration_list,
    STATE(7513), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [326999] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9814), 1,
      anon_sym_SEMI,
    STATE(7545), 1,
      sym_type_parameter_list,
    STATE(7692), 1,
      sym_parameter_list,
    STATE(7842), 1,
      sym_record_base,
    STATE(7843), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9021), 1,
      sym_declaration_list,
    STATE(7514), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327073] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9816), 1,
      anon_sym_SEMI,
    STATE(7557), 1,
      sym_type_parameter_list,
    STATE(7675), 1,
      sym_parameter_list,
    STATE(7837), 1,
      sym_record_base,
    STATE(7839), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9956), 1,
      sym_declaration_list,
    STATE(7515), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327147] = 22,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9818), 1,
      anon_sym_SEMI,
    STATE(7551), 1,
      sym_type_parameter_list,
    STATE(7669), 1,
      sym_parameter_list,
    STATE(7834), 1,
      sym_record_base,
    STATE(7840), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9208), 1,
      sym_declaration_list,
    STATE(7516), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327221] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7618), 1,
      sym_type_parameter_list,
    STATE(7709), 1,
      sym_parameter_list,
    STATE(7993), 1,
      sym_base_list,
    STATE(7994), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9939), 1,
      sym_declaration_list,
    STATE(7517), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327292] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7610), 1,
      sym_type_parameter_list,
    STATE(7750), 1,
      sym_parameter_list,
    STATE(7952), 1,
      sym_base_list,
    STATE(7953), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9231), 1,
      sym_declaration_list,
    STATE(7518), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327363] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7649), 1,
      sym_type_parameter_list,
    STATE(7749), 1,
      sym_parameter_list,
    STATE(8058), 1,
      sym_base_list,
    STATE(8060), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9277), 1,
      sym_declaration_list,
    STATE(7519), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327434] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7579), 1,
      sym_type_parameter_list,
    STATE(7703), 1,
      sym_parameter_list,
    STATE(7963), 1,
      sym_base_list,
    STATE(7964), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9301), 1,
      sym_declaration_list,
    STATE(7520), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327505] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7658), 1,
      sym_type_parameter_list,
    STATE(7764), 1,
      sym_parameter_list,
    STATE(8084), 1,
      sym_base_list,
    STATE(8085), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9267), 1,
      sym_declaration_list,
    STATE(7521), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327576] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9761), 1,
      anon_sym_COMMA,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9822), 1,
      anon_sym_SEMI,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(3261), 1,
      sym_accessor_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(7522), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327647] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7643), 1,
      sym_type_parameter_list,
    STATE(7725), 1,
      sym_parameter_list,
    STATE(8005), 1,
      sym_base_list,
    STATE(8006), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9358), 1,
      sym_declaration_list,
    STATE(7523), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327718] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9761), 1,
      anon_sym_COMMA,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    ACTIONS(9827), 1,
      anon_sym_SEMI,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(3490), 1,
      sym_accessor_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(7524), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327789] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7615), 1,
      sym_type_parameter_list,
    STATE(7711), 1,
      sym_parameter_list,
    STATE(8111), 1,
      sym_base_list,
    STATE(8112), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9655), 1,
      sym_declaration_list,
    STATE(7525), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327860] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7634), 1,
      sym_type_parameter_list,
    STATE(7702), 1,
      sym_parameter_list,
    STATE(8122), 1,
      sym_base_list,
    STATE(8135), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9311), 1,
      sym_declaration_list,
    STATE(7526), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327931] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9830), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    ACTIONS(3995), 6,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(7527), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [327984] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7628), 1,
      sym_type_parameter_list,
    STATE(7712), 1,
      sym_parameter_list,
    STATE(8126), 1,
      sym_base_list,
    STATE(8128), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9917), 1,
      sym_declaration_list,
    STATE(7528), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328055] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7667), 1,
      sym_type_parameter_list,
    STATE(7729), 1,
      sym_parameter_list,
    STATE(7948), 1,
      sym_base_list,
    STATE(7959), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9034), 1,
      sym_declaration_list,
    STATE(7529), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328126] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7646), 1,
      sym_type_parameter_list,
    STATE(7762), 1,
      sym_parameter_list,
    STATE(8040), 1,
      sym_base_list,
    STATE(8041), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9004), 1,
      sym_declaration_list,
    STATE(7530), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328197] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7657), 1,
      sym_type_parameter_list,
    STATE(7751), 1,
      sym_parameter_list,
    STATE(8016), 1,
      sym_base_list,
    STATE(8017), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9918), 1,
      sym_declaration_list,
    STATE(7531), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328268] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7574), 1,
      sym_type_parameter_list,
    STATE(7707), 1,
      sym_parameter_list,
    STATE(8162), 1,
      sym_base_list,
    STATE(8164), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9319), 1,
      sym_declaration_list,
    STATE(7532), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328339] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7563), 1,
      sym_type_parameter_list,
    STATE(7735), 1,
      sym_parameter_list,
    STATE(8099), 1,
      sym_base_list,
    STATE(8100), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9656), 1,
      sym_declaration_list,
    STATE(7533), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328410] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7620), 1,
      sym_type_parameter_list,
    STATE(7757), 1,
      sym_parameter_list,
    STATE(7995), 1,
      sym_base_list,
    STATE(7996), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9940), 1,
      sym_declaration_list,
    STATE(7534), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328481] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7630), 1,
      sym_type_parameter_list,
    STATE(7706), 1,
      sym_parameter_list,
    STATE(8119), 1,
      sym_base_list,
    STATE(8239), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9816), 1,
      sym_declaration_list,
    STATE(7535), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328552] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7571), 1,
      sym_type_parameter_list,
    STATE(7748), 1,
      sym_parameter_list,
    STATE(8185), 1,
      sym_base_list,
    STATE(8186), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9388), 1,
      sym_declaration_list,
    STATE(7536), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328623] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DOT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9761), 1,
      anon_sym_COMMA,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    ACTIONS(9833), 1,
      anon_sym_SEMI,
    STATE(2753), 1,
      sym_type_argument_list,
    STATE(3520), 1,
      sym_accessor_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(7537), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328694] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7582), 1,
      sym_type_parameter_list,
    STATE(7740), 1,
      sym_parameter_list,
    STATE(7999), 1,
      sym_base_list,
    STATE(8000), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9639), 1,
      sym_declaration_list,
    STATE(7538), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328765] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7581), 1,
      sym_type_parameter_list,
    STATE(7719), 1,
      sym_parameter_list,
    STATE(8155), 1,
      sym_base_list,
    STATE(8156), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9767), 1,
      sym_declaration_list,
    STATE(7539), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328836] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7586), 1,
      sym_type_parameter_list,
    STATE(7752), 1,
      sym_parameter_list,
    STATE(8150), 1,
      sym_base_list,
    STATE(8166), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9205), 1,
      sym_declaration_list,
    STATE(7540), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328907] = 21,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7596), 1,
      sym_type_parameter_list,
    STATE(7731), 1,
      sym_parameter_list,
    STATE(8033), 1,
      sym_base_list,
    STATE(8034), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9617), 1,
      sym_declaration_list,
    STATE(7541), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [328978] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9836), 1,
      anon_sym_SEMI,
    STATE(7693), 1,
      sym_parameter_list,
    STATE(7936), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7937), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9885), 1,
      sym_declaration_list,
    STATE(7542), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329046] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9838), 1,
      anon_sym_SEMI,
    STATE(7681), 1,
      sym_parameter_list,
    STATE(7782), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7783), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9315), 1,
      sym_declaration_list,
    STATE(7543), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329114] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9840), 1,
      anon_sym_SEMI,
    STATE(7691), 1,
      sym_parameter_list,
    STATE(7863), 1,
      sym_record_base,
    STATE(7941), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9510), 1,
      sym_declaration_list,
    STATE(7544), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329182] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9842), 1,
      anon_sym_SEMI,
    STATE(7701), 1,
      sym_parameter_list,
    STATE(7846), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7847), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9224), 1,
      sym_declaration_list,
    STATE(7545), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329250] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9844), 1,
      anon_sym_SEMI,
    STATE(7678), 1,
      sym_parameter_list,
    STATE(7785), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7786), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9856), 1,
      sym_declaration_list,
    STATE(7546), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329318] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9846), 1,
      anon_sym_SEMI,
    STATE(7671), 1,
      sym_parameter_list,
    STATE(7795), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7796), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9716), 1,
      sym_declaration_list,
    STATE(7547), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329386] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7575), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8723), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7548), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329452] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9848), 1,
      anon_sym_SEMI,
    STATE(7699), 1,
      sym_parameter_list,
    STATE(7802), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7803), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9363), 1,
      sym_declaration_list,
    STATE(7549), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329520] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9850), 1,
      anon_sym_SEMI,
    STATE(7700), 1,
      sym_parameter_list,
    STATE(7812), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7813), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9207), 1,
      sym_declaration_list,
    STATE(7550), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329588] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9852), 1,
      anon_sym_SEMI,
    STATE(7689), 1,
      sym_parameter_list,
    STATE(7824), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7825), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9979), 1,
      sym_declaration_list,
    STATE(7551), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329656] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7601), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8981), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7552), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329722] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9854), 1,
      anon_sym_SEMI,
    STATE(7684), 1,
      sym_parameter_list,
    STATE(7855), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7856), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9248), 1,
      sym_declaration_list,
    STATE(7553), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329790] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9856), 1,
      anon_sym_SEMI,
    STATE(7688), 1,
      sym_parameter_list,
    STATE(7841), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7875), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9908), 1,
      sym_declaration_list,
    STATE(7554), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329858] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7652), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8787), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7555), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329924] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7654), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8829), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7556), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [329990] = 20,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9858), 1,
      anon_sym_SEMI,
    STATE(7694), 1,
      sym_parameter_list,
    STATE(7844), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7845), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9096), 1,
      sym_declaration_list,
    STATE(7557), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330058] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7710), 1,
      sym_type_parameter_list,
    STATE(8170), 1,
      sym_base_list,
    STATE(8180), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9385), 1,
      sym_declaration_list,
    STATE(7558), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330123] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2679), 1,
      sym__function_body,
    STATE(2699), 1,
      sym_block,
    STATE(7580), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7559), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330188] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    STATE(7614), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8823), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7560), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330251] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2461), 1,
      sym_block,
    STATE(2463), 1,
      sym__function_body,
    STATE(7602), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7561), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330316] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3309), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7562), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330381] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7768), 1,
      sym_parameter_list,
    STATE(8153), 1,
      sym_base_list,
    STATE(8154), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9765), 1,
      sym_declaration_list,
    STATE(7563), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330446] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7645), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8844), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7564), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330511] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3269), 1,
      sym__function_body,
    STATE(7625), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7565), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330576] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2461), 1,
      sym_block,
    STATE(2474), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7566), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330641] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3274), 1,
      sym__function_body,
    STATE(7562), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7567), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330706] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3286), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7568), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330771] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2267), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7569), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330836] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3278), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7570), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330901] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7769), 1,
      sym_parameter_list,
    STATE(8106), 1,
      sym_base_list,
    STATE(8108), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9595), 1,
      sym_declaration_list,
    STATE(7571), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [330966] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9870), 1,
      anon_sym_COMMA,
    STATE(7637), 1,
      aux_sym_order_by_clause_repeat1,
    ACTIONS(9872), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7572), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331019] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7741), 1,
      sym_type_parameter_list,
    STATE(8188), 1,
      sym_base_list,
    STATE(8191), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9418), 1,
      sym_declaration_list,
    STATE(7573), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331084] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7758), 1,
      sym_parameter_list,
    STATE(7954), 1,
      sym_base_list,
    STATE(7955), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9239), 1,
      sym_declaration_list,
    STATE(7574), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331149] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2461), 1,
      sym_block,
    STATE(2462), 1,
      sym__function_body,
    STATE(7611), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7575), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331214] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7587), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8761), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7576), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331279] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3517), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7577), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331344] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3407), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7578), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331409] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7766), 1,
      sym_parameter_list,
    STATE(8167), 1,
      sym_base_list,
    STATE(8174), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9263), 1,
      sym_declaration_list,
    STATE(7579), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331474] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2692), 1,
      sym__function_body,
    STATE(2699), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7580), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331539] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7755), 1,
      sym_parameter_list,
    STATE(8195), 1,
      sym_base_list,
    STATE(8196), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9338), 1,
      sym_declaration_list,
    STATE(7581), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331604] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7747), 1,
      sym_parameter_list,
    STATE(8078), 1,
      sym_base_list,
    STATE(8080), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9253), 1,
      sym_declaration_list,
    STATE(7582), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331669] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3516), 1,
      sym__function_body,
    STATE(7662), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7583), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331734] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2693), 1,
      sym__function_body,
    STATE(2699), 1,
      sym_block,
    STATE(7619), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7584), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331799] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8763), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7585), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331864] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7753), 1,
      sym_parameter_list,
    STATE(7989), 1,
      sym_base_list,
    STATE(8028), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9947), 1,
      sym_declaration_list,
    STATE(7586), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331929] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8818), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7587), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [331994] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2694), 1,
      sym__function_body,
    STATE(2699), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7588), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332059] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2698), 1,
      sym__function_body,
    STATE(2699), 1,
      sym_block,
    STATE(7663), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7589), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332124] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3514), 1,
      sym__function_body,
    STATE(7639), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7590), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332189] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2268), 1,
      sym__function_body,
    STATE(7659), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7591), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332254] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3303), 1,
      sym__function_body,
    STATE(7623), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7592), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332319] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2282), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7593), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332384] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    STATE(7564), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8990), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7594), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332447] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3504), 1,
      sym__function_body,
    STATE(7578), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7595), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332512] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7713), 1,
      sym_parameter_list,
    STATE(8052), 1,
      sym_base_list,
    STATE(8053), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9228), 1,
      sym_declaration_list,
    STATE(7596), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332577] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8912), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7597), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332642] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7761), 1,
      sym_type_parameter_list,
    STATE(7997), 1,
      sym_base_list,
    STATE(7998), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9951), 1,
      sym_declaration_list,
    STATE(7598), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332707] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    STATE(5013), 1,
      sym_type_argument_list,
    ACTIONS(9874), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(4134), 4,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR,
      anon_sym_DOT,
    STATE(7599), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332764] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2685), 1,
      sym__function_body,
    STATE(2699), 1,
      sym_block,
    STATE(7588), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7600), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332829] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2254), 1,
      sym__function_body,
    STATE(7569), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7601), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332894] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2459), 1,
      sym__function_body,
    STATE(2461), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7602), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [332959] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    STATE(7591), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8866), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7603), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333022] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7732), 1,
      sym_type_parameter_list,
    STATE(8001), 1,
      sym_base_list,
    STATE(8002), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9649), 1,
      sym_declaration_list,
    STATE(7604), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333087] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3524), 1,
      sym__function_body,
    STATE(7570), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7605), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333152] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7726), 1,
      sym_type_parameter_list,
    STATE(7978), 1,
      sym_base_list,
    STATE(7980), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9833), 1,
      sym_declaration_list,
    STATE(7606), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333217] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3506), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7607), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333282] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3484), 1,
      sym__function_body,
    STATE(7613), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7608), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333347] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7597), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8744), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7609), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333412] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7759), 1,
      sym_parameter_list,
    STATE(8027), 1,
      sym_base_list,
    STATE(8029), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9786), 1,
      sym_declaration_list,
    STATE(7610), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333477] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2461), 1,
      sym_block,
    STATE(2507), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7611), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333542] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7737), 1,
      sym_type_parameter_list,
    STATE(8101), 1,
      sym_base_list,
    STATE(8102), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9829), 1,
      sym_declaration_list,
    STATE(7612), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333607] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3505), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7613), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333672] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2449), 1,
      sym__function_body,
    STATE(2461), 1,
      sym_block,
    STATE(7624), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7614), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333737] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7715), 1,
      sym_parameter_list,
    STATE(7974), 1,
      sym_base_list,
    STATE(7975), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9575), 1,
      sym_declaration_list,
    STATE(7615), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333802] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2265), 1,
      sym__function_body,
    STATE(7647), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7616), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333867] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2456), 1,
      sym__function_body,
    STATE(2461), 1,
      sym_block,
    STATE(7621), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7617), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333932] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7720), 1,
      sym_parameter_list,
    STATE(8003), 1,
      sym_base_list,
    STATE(8004), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9351), 1,
      sym_declaration_list,
    STATE(7618), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [333997] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2699), 1,
      sym_block,
    STATE(2710), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7619), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334062] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7730), 1,
      sym_parameter_list,
    STATE(8007), 1,
      sym_base_list,
    STATE(8008), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9369), 1,
      sym_declaration_list,
    STATE(7620), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334127] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2455), 1,
      sym__function_body,
    STATE(2461), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7621), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334192] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9879), 1,
      anon_sym_into,
    STATE(7767), 1,
      sym_join_into_clause,
    ACTIONS(9877), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7622), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334245] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3317), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7623), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334310] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2458), 1,
      sym__function_body,
    STATE(2461), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7624), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334375] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3306), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7625), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334440] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3487), 1,
      sym__function_body,
    STATE(7607), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7626), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334505] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9870), 1,
      anon_sym_COMMA,
    STATE(7572), 1,
      aux_sym_order_by_clause_repeat1,
    ACTIONS(9881), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7627), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334558] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7705), 1,
      sym_parameter_list,
    STATE(8113), 1,
      sym_base_list,
    STATE(8115), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9689), 1,
      sym_declaration_list,
    STATE(7628), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334623] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3492), 1,
      sym__function_body,
    STATE(7577), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7629), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334688] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7721), 1,
      sym_parameter_list,
    STATE(8231), 1,
      sym_base_list,
    STATE(8232), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9850), 1,
      sym_declaration_list,
    STATE(7630), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334753] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8750), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7631), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334818] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2292), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7632), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334883] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3299), 1,
      sym__function_body,
    STATE(7642), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7633), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [334948] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7745), 1,
      sym_parameter_list,
    STATE(7947), 1,
      sym_base_list,
    STATE(7950), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9226), 1,
      sym_declaration_list,
    STATE(7634), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335013] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2461), 1,
      sym_block,
    STATE(2503), 1,
      sym__function_body,
    STATE(7566), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7635), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335078] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8774), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7636), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335143] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9883), 1,
      anon_sym_COMMA,
    ACTIONS(9886), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7637), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_order_by_clause_repeat1,
  [335194] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7763), 1,
      sym_type_parameter_list,
    STATE(8018), 1,
      sym_base_list,
    STATE(8019), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9061), 1,
      sym_declaration_list,
    STATE(7638), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335259] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3481), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7639), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335324] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7760), 1,
      sym_type_parameter_list,
    STATE(8138), 1,
      sym_base_list,
    STATE(8139), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9022), 1,
      sym_declaration_list,
    STATE(7640), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335389] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2699), 1,
      sym_block,
    STATE(2712), 1,
      sym__function_body,
    STATE(7660), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7641), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335454] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3488), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7642), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335519] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7734), 1,
      sym_parameter_list,
    STATE(8022), 1,
      sym_base_list,
    STATE(8023), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9038), 1,
      sym_declaration_list,
    STATE(7643), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335584] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7631), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8945), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7644), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335649] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8948), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7645), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335714] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7718), 1,
      sym_parameter_list,
    STATE(8056), 1,
      sym_base_list,
    STATE(8057), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9268), 1,
      sym_declaration_list,
    STATE(7646), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335779] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2273), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7647), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335844] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7585), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8965), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7648), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335909] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7714), 1,
      sym_parameter_list,
    STATE(8075), 1,
      sym_base_list,
    STATE(8076), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9431), 1,
      sym_declaration_list,
    STATE(7649), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [335974] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3453), 1,
      sym__function_body,
    STATE(7568), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7650), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336039] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2274), 1,
      sym__function_body,
    STATE(7593), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7651), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336104] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2699), 1,
      sym_block,
    STATE(2705), 1,
      sym__function_body,
    STATE(7655), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7652), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336169] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2283), 1,
      sym__function_body,
    STATE(7632), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7653), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336234] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    STATE(3171), 1,
      sym_block,
    STATE(7636), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8875), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7654), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336299] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2683), 1,
      sym__function_body,
    STATE(2699), 1,
      sym_block,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7655), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336364] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7733), 1,
      sym_type_parameter_list,
    STATE(8042), 1,
      sym_base_list,
    STATE(8043), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9017), 1,
      sym_declaration_list,
    STATE(7656), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336429] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7723), 1,
      sym_parameter_list,
    STATE(8031), 1,
      sym_base_list,
    STATE(8032), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9607), 1,
      sym_declaration_list,
    STATE(7657), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336494] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7739), 1,
      sym_parameter_list,
    STATE(8142), 1,
      sym_base_list,
    STATE(8145), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9559), 1,
      sym_declaration_list,
    STATE(7658), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336559] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2275), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7659), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336624] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2699), 1,
      sym_block,
    STATE(2726), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7660), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336689] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2276), 1,
      sym__function_body,
    STATE(7668), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7661), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336754] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3518), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7662), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336819] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9860), 1,
      anon_sym_SEMI,
    STATE(2699), 1,
      sym_block,
    STATE(2713), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9503), 1,
      sym_arrow_expression_clause,
    STATE(7663), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336884] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2461), 1,
      sym_block,
    STATE(2483), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7664), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [336949] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9862), 1,
      anon_sym_SEMI,
    STATE(2457), 1,
      sym__function_body,
    STATE(2461), 1,
      sym_block,
    STATE(7664), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9566), 1,
      sym_arrow_expression_clause,
    STATE(7665), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337014] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    STATE(7600), 1,
      sym_parameter_list,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    STATE(8909), 1,
      sym_type_parameter_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7666), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337077] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7738), 1,
      sym_parameter_list,
    STATE(8125), 1,
      sym_base_list,
    STATE(8132), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9927), 1,
      sym_declaration_list,
    STATE(7667), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337142] = 19,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9868), 1,
      anon_sym_SEMI,
    STATE(2253), 1,
      sym_block,
    STATE(2284), 1,
      sym__function_body,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9018), 1,
      sym_arrow_expression_clause,
    STATE(7668), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337207] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9852), 1,
      anon_sym_SEMI,
    STATE(7824), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7825), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9979), 1,
      sym_declaration_list,
    STATE(7669), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337269] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9886), 8,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7670), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337317] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9888), 1,
      anon_sym_SEMI,
    STATE(7800), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7801), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9323), 1,
      sym_declaration_list,
    STATE(7671), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337379] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(3199), 1,
      sym_accessor_list,
    STATE(7590), 1,
      sym_parameter_list,
    STATE(8705), 1,
      sym_type_parameter_list,
    STATE(9895), 1,
      sym_arrow_expression_clause,
    STATE(7672), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337441] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    ACTIONS(9890), 1,
      anon_sym_COLON,
    STATE(3171), 1,
      sym_block,
    STATE(3350), 1,
      sym__function_body,
    STATE(7895), 1,
      sym_constructor_initializer,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7673), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337503] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9840), 1,
      anon_sym_SEMI,
    STATE(7863), 1,
      sym_record_base,
    STATE(7941), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9510), 1,
      sym_declaration_list,
    STATE(7674), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337565] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9858), 1,
      anon_sym_SEMI,
    STATE(7844), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7845), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9096), 1,
      sym_declaration_list,
    STATE(7675), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337627] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(3178), 1,
      sym_accessor_list,
    STATE(7608), 1,
      sym_parameter_list,
    STATE(8716), 1,
      sym_type_parameter_list,
    STATE(9204), 1,
      sym_arrow_expression_clause,
    STATE(7676), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337689] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9838), 1,
      anon_sym_SEMI,
    STATE(7782), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7783), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9315), 1,
      sym_declaration_list,
    STATE(7677), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337751] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9892), 1,
      anon_sym_SEMI,
    STATE(7792), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7793), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9125), 1,
      sym_declaration_list,
    STATE(7678), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337813] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9844), 1,
      anon_sym_SEMI,
    STATE(7785), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7786), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9856), 1,
      sym_declaration_list,
    STATE(7679), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337875] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9894), 8,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7680), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337923] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9896), 1,
      anon_sym_SEMI,
    STATE(7787), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7788), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9898), 1,
      sym_declaration_list,
    STATE(7681), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [337985] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9856), 1,
      anon_sym_SEMI,
    STATE(7841), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7875), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9908), 1,
      sym_declaration_list,
    STATE(7682), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338047] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9854), 1,
      anon_sym_SEMI,
    STATE(7855), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7856), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9248), 1,
      sym_declaration_list,
    STATE(7683), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338109] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9898), 1,
      anon_sym_SEMI,
    STATE(7860), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7861), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9404), 1,
      sym_declaration_list,
    STATE(7684), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338171] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    ACTIONS(9890), 1,
      anon_sym_COLON,
    STATE(3171), 1,
      sym_block,
    STATE(3497), 1,
      sym__function_body,
    STATE(7828), 1,
      sym_constructor_initializer,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7685), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338233] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9850), 1,
      anon_sym_SEMI,
    STATE(7812), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7813), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9207), 1,
      sym_declaration_list,
    STATE(7686), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338295] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(9902), 1,
      anon_sym_COMMA,
    STATE(7944), 1,
      aux_sym_record_base_repeat1,
    STATE(8315), 1,
      sym_argument_list,
    ACTIONS(9900), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(7687), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338353] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9904), 1,
      anon_sym_SEMI,
    STATE(7932), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7933), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9783), 1,
      sym_declaration_list,
    STATE(7688), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338415] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9906), 1,
      anon_sym_SEMI,
    STATE(7822), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7823), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8998), 1,
      sym_declaration_list,
    STATE(7689), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338477] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9846), 1,
      anon_sym_SEMI,
    STATE(7795), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7796), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9716), 1,
      sym_declaration_list,
    STATE(7690), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338539] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9908), 1,
      anon_sym_SEMI,
    STATE(7865), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7866), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9740), 1,
      sym_declaration_list,
    STATE(7691), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338601] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9842), 1,
      anon_sym_SEMI,
    STATE(7846), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7847), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9224), 1,
      sym_declaration_list,
    STATE(7692), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338663] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9910), 1,
      anon_sym_SEMI,
    STATE(7891), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7896), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9124), 1,
      sym_declaration_list,
    STATE(7693), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338725] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9912), 1,
      anon_sym_SEMI,
    STATE(7848), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7849), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9275), 1,
      sym_declaration_list,
    STATE(7694), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338787] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    ACTIONS(9890), 1,
      anon_sym_COLON,
    STATE(3171), 1,
      sym_block,
    STATE(3307), 1,
      sym__function_body,
    STATE(7908), 1,
      sym_constructor_initializer,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7695), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338849] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(3212), 1,
      sym_accessor_list,
    STATE(7565), 1,
      sym_parameter_list,
    STATE(8887), 1,
      sym_type_parameter_list,
    STATE(9001), 1,
      sym_arrow_expression_clause,
    STATE(7696), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338911] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9848), 1,
      anon_sym_SEMI,
    STATE(7802), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7803), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9363), 1,
      sym_declaration_list,
    STATE(7697), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [338973] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9836), 1,
      anon_sym_SEMI,
    STATE(7936), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7937), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9885), 1,
      sym_declaration_list,
    STATE(7698), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339035] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9914), 1,
      anon_sym_SEMI,
    STATE(7805), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7806), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9419), 1,
      sym_declaration_list,
    STATE(7699), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339097] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9916), 1,
      anon_sym_SEMI,
    STATE(7917), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7918), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9541), 1,
      sym_declaration_list,
    STATE(7700), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339159] = 18,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9790), 1,
      anon_sym_COLON,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9918), 1,
      anon_sym_SEMI,
    STATE(7852), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7853), 1,
      sym_record_base,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9131), 1,
      sym_declaration_list,
    STATE(7701), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339221] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7947), 1,
      sym_base_list,
    STATE(7950), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9226), 1,
      sym_declaration_list,
    STATE(7702), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339280] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8167), 1,
      sym_base_list,
    STATE(8174), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9263), 1,
      sym_declaration_list,
    STATE(7703), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339339] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_DQUOTE,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    STATE(7722), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7704), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339396] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8229), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8230), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9808), 1,
      sym_declaration_list,
    STATE(7705), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339455] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8231), 1,
      sym_base_list,
    STATE(8232), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9850), 1,
      sym_declaration_list,
    STATE(7706), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339514] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7954), 1,
      sym_base_list,
    STATE(7955), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9239), 1,
      sym_declaration_list,
    STATE(7707), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339573] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9926), 1,
      anon_sym_DQUOTE,
    STATE(7765), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7708), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339630] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8003), 1,
      sym_base_list,
    STATE(8004), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9351), 1,
      sym_declaration_list,
    STATE(7709), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339689] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7956), 1,
      sym_base_list,
    STATE(7957), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9247), 1,
      sym_declaration_list,
    STATE(7710), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339748] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7974), 1,
      sym_base_list,
    STATE(7975), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9575), 1,
      sym_declaration_list,
    STATE(7711), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339807] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8113), 1,
      sym_base_list,
    STATE(8115), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9689), 1,
      sym_declaration_list,
    STATE(7712), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339866] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8069), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8070), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9391), 1,
      sym_declaration_list,
    STATE(7713), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339925] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8082), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8083), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9709), 1,
      sym_declaration_list,
    STATE(7714), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [339984] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8217), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8219), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9644), 1,
      sym_declaration_list,
    STATE(7715), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340043] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9928), 1,
      anon_sym_DQUOTE,
    ACTIONS(9933), 1,
      sym_interpolation_open_brace,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9930), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7716), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_interpolated_string_expression_repeat1,
  [340098] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9936), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7717), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340145] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8073), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8074), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9423), 1,
      sym_declaration_list,
    STATE(7718), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340204] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8195), 1,
      sym_base_list,
    STATE(8196), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9338), 1,
      sym_declaration_list,
    STATE(7719), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340263] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8020), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8021), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9037), 1,
      sym_declaration_list,
    STATE(7720), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340322] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8129), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8130), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9923), 1,
      sym_declaration_list,
    STATE(7721), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340381] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9938), 1,
      anon_sym_DQUOTE,
    STATE(7716), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7722), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340438] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8050), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8051), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9223), 1,
      sym_declaration_list,
    STATE(7723), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340497] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9940), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7724), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340544] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8022), 1,
      sym_base_list,
    STATE(8023), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9038), 1,
      sym_declaration_list,
    STATE(7725), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340603] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8226), 1,
      sym_base_list,
    STATE(8228), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9795), 1,
      sym_declaration_list,
    STATE(7726), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340662] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9942), 1,
      anon_sym_DQUOTE,
    STATE(7716), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7727), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340719] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9944), 1,
      anon_sym_DQUOTE,
    STATE(7744), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7728), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340776] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8125), 1,
      sym_base_list,
    STATE(8132), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9927), 1,
      sym_declaration_list,
    STATE(7729), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340835] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8024), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8025), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9051), 1,
      sym_declaration_list,
    STATE(7730), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340894] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8052), 1,
      sym_base_list,
    STATE(8053), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9228), 1,
      sym_declaration_list,
    STATE(7731), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [340953] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8087), 1,
      sym_base_list,
    STATE(8089), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9373), 1,
      sym_declaration_list,
    STATE(7732), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341012] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7942), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8061), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9280), 1,
      sym_declaration_list,
    STATE(7733), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341071] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8045), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8046), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9081), 1,
      sym_declaration_list,
    STATE(7734), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341130] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8153), 1,
      sym_base_list,
    STATE(8154), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9765), 1,
      sym_declaration_list,
    STATE(7735), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341189] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9946), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7736), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341236] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8158), 1,
      sym_base_list,
    STATE(8159), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9024), 1,
      sym_declaration_list,
    STATE(7737), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341295] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7984), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7987), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9230), 1,
      sym_declaration_list,
    STATE(7738), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341354] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8173), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8175), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9274), 1,
      sym_declaration_list,
    STATE(7739), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341413] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8078), 1,
      sym_base_list,
    STATE(8080), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9253), 1,
      sym_declaration_list,
    STATE(7740), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341472] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8114), 1,
      sym_base_list,
    STATE(8116), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9722), 1,
      sym_declaration_list,
    STATE(7741), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341531] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9948), 1,
      anon_sym_DQUOTE,
    STATE(7746), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7742), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341588] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_catch,
    ACTIONS(9952), 1,
      anon_sym_finally,
    STATE(7754), 1,
      aux_sym_try_statement_repeat1,
    STATE(8314), 1,
      sym_catch_clause,
    STATE(8883), 1,
      sym_finally_clause,
    ACTIONS(3011), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(7743), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341645] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9954), 1,
      anon_sym_DQUOTE,
    STATE(7716), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7744), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341702] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8013), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8014), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9771), 1,
      sym_declaration_list,
    STATE(7745), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341761] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9956), 1,
      anon_sym_DQUOTE,
    STATE(7716), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7746), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341818] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8137), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8141), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9527), 1,
      sym_declaration_list,
    STATE(7747), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341877] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8106), 1,
      sym_base_list,
    STATE(8108), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9595), 1,
      sym_declaration_list,
    STATE(7748), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341936] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8075), 1,
      sym_base_list,
    STATE(8076), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9431), 1,
      sym_declaration_list,
    STATE(7749), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [341995] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8027), 1,
      sym_base_list,
    STATE(8029), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9786), 1,
      sym_declaration_list,
    STATE(7750), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342054] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8031), 1,
      sym_base_list,
    STATE(8032), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9607), 1,
      sym_declaration_list,
    STATE(7751), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342113] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7989), 1,
      sym_base_list,
    STATE(8028), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9947), 1,
      sym_declaration_list,
    STATE(7752), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342172] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8181), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8182), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9345), 1,
      sym_declaration_list,
    STATE(7753), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342231] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_catch,
    ACTIONS(9952), 1,
      anon_sym_finally,
    STATE(7808), 1,
      aux_sym_try_statement_repeat1,
    STATE(8314), 1,
      sym_catch_clause,
    STATE(8772), 1,
      sym_finally_clause,
    ACTIONS(3003), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(7754), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342288] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8208), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8212), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9407), 1,
      sym_declaration_list,
    STATE(7755), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342347] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9958), 1,
      anon_sym_DQUOTE,
    STATE(7727), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7756), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342404] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8007), 1,
      sym_base_list,
    STATE(8008), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9369), 1,
      sym_declaration_list,
    STATE(7757), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342463] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8030), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8038), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9790), 1,
      sym_declaration_list,
    STATE(7758), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342522] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8109), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8110), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9097), 1,
      sym_declaration_list,
    STATE(7759), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342581] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8131), 1,
      sym_base_list,
    STATE(8133), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9945), 1,
      sym_declaration_list,
    STATE(7760), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342640] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8009), 1,
      sym_base_list,
    STATE(8010), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9896), 1,
      sym_declaration_list,
    STATE(7761), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342699] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8056), 1,
      sym_base_list,
    STATE(8057), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9268), 1,
      sym_declaration_list,
    STATE(7762), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342758] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8035), 1,
      sym_base_list,
    STATE(8036), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9652), 1,
      sym_declaration_list,
    STATE(7763), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342817] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8142), 1,
      sym_base_list,
    STATE(8145), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9559), 1,
      sym_declaration_list,
    STATE(7764), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342876] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9960), 1,
      anon_sym_DQUOTE,
    STATE(7716), 1,
      aux_sym_interpolated_string_expression_repeat1,
    STATE(8321), 1,
      sym_interpolation,
    STATE(8331), 1,
      sym__interpolated_string_content,
    ACTIONS(9922), 2,
      sym_interpolation_string_content,
      sym_escape_sequence,
    STATE(7765), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342933] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8067), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8071), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9546), 1,
      sym_declaration_list,
    STATE(7766), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [342992] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9962), 7,
      anon_sym_where,
      anon_sym_from,
      anon_sym_join,
      anon_sym_let,
      anon_sym_orderby,
      anon_sym_group,
      anon_sym_select,
    STATE(7767), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343039] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(8190), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8193), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9327), 1,
      sym_declaration_list,
    STATE(7768), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343098] = 17,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9820), 1,
      anon_sym_COLON,
    STATE(7962), 1,
      aux_sym_class_declaration_repeat3,
    STATE(7970), 1,
      sym_base_list,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9213), 1,
      sym_declaration_list,
    STATE(7769), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343157] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3412), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7770), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343213] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9926), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7809), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7771), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343269] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9926), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7810), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7772), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343325] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9970), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
    STATE(7773), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343379] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9920), 1,
      anon_sym_DQUOTE,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7876), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7774), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343435] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3508), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7775), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343491] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(4475), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(7776), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343545] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9838), 1,
      anon_sym_SEMI,
    STATE(7782), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9315), 1,
      sym_declaration_list,
    STATE(7777), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343601] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9838), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9315), 1,
      sym_declaration_list,
    STATE(7778), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343657] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3511), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7779), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343713] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9844), 1,
      anon_sym_SEMI,
    STATE(7785), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9856), 1,
      sym_declaration_list,
    STATE(7780), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343769] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9844), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9856), 1,
      sym_declaration_list,
    STATE(7781), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343825] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9896), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9898), 1,
      sym_declaration_list,
    STATE(7782), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343881] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9896), 1,
      anon_sym_SEMI,
    STATE(7787), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9898), 1,
      sym_declaration_list,
    STATE(7783), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343937] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9974), 1,
      anon_sym_DQUOTE,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    STATE(7910), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7784), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [343993] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9892), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9125), 1,
      sym_declaration_list,
    STATE(7785), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344049] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9892), 1,
      anon_sym_SEMI,
    STATE(7792), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9125), 1,
      sym_declaration_list,
    STATE(7786), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344105] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9982), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9140), 1,
      sym_declaration_list,
    STATE(7787), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344161] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9982), 1,
      anon_sym_SEMI,
    STATE(7794), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9140), 1,
      sym_declaration_list,
    STATE(7788), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344217] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(7789), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344273] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9846), 1,
      anon_sym_SEMI,
    STATE(7795), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9716), 1,
      sym_declaration_list,
    STATE(7790), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344329] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9846), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9716), 1,
      sym_declaration_list,
    STATE(7791), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344385] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9986), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9227), 1,
      sym_declaration_list,
    STATE(7792), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344441] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9986), 1,
      anon_sym_SEMI,
    STATE(7799), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9227), 1,
      sym_declaration_list,
    STATE(7793), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344497] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9988), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9249), 1,
      sym_declaration_list,
    STATE(7794), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344553] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9888), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9323), 1,
      sym_declaration_list,
    STATE(7795), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344609] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9888), 1,
      anon_sym_SEMI,
    STATE(7800), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9323), 1,
      sym_declaration_list,
    STATE(7796), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344665] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9848), 1,
      anon_sym_SEMI,
    STATE(7802), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9363), 1,
      sym_declaration_list,
    STATE(7797), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344721] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9848), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9363), 1,
      sym_declaration_list,
    STATE(7798), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344777] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9990), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9370), 1,
      sym_declaration_list,
    STATE(7799), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344833] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9992), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9401), 1,
      sym_declaration_list,
    STATE(7800), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344889] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9992), 1,
      anon_sym_SEMI,
    STATE(7804), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9401), 1,
      sym_declaration_list,
    STATE(7801), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [344945] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9914), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9419), 1,
      sym_declaration_list,
    STATE(7802), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345001] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9914), 1,
      anon_sym_SEMI,
    STATE(7805), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9419), 1,
      sym_declaration_list,
    STATE(7803), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345057] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9994), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9465), 1,
      sym_declaration_list,
    STATE(7804), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345113] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9996), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9497), 1,
      sym_declaration_list,
    STATE(7805), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345169] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9996), 1,
      anon_sym_SEMI,
    STATE(7807), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9497), 1,
      sym_declaration_list,
    STATE(7806), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345225] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9998), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9507), 1,
      sym_declaration_list,
    STATE(7807), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345281] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10000), 1,
      anon_sym_catch,
    STATE(8314), 1,
      sym_catch_clause,
    ACTIONS(3015), 3,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_else,
    STATE(7808), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_try_statement_repeat1,
  [345331] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9960), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7923), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7809), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345387] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9960), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7924), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7810), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345443] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9850), 1,
      anon_sym_SEMI,
    STATE(7812), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9207), 1,
      sym_declaration_list,
    STATE(7811), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345499] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9916), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9541), 1,
      sym_declaration_list,
    STATE(7812), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345555] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9916), 1,
      anon_sym_SEMI,
    STATE(7917), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9541), 1,
      sym_declaration_list,
    STATE(7813), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345611] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9920), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7877), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7814), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345667] = 12,
    ACTIONS(3995), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(3997), 5,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(7815), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345715] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(10003), 1,
      anon_sym_LPAREN,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(2649), 1,
      sym_block,
    STATE(8270), 1,
      sym_catch_declaration,
    STATE(8820), 1,
      sym_catch_filter_clause,
    STATE(7816), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345771] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9850), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9207), 1,
      sym_declaration_list,
    STATE(7817), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345827] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(10003), 1,
      anon_sym_LPAREN,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(8278), 1,
      sym_catch_declaration,
    STATE(8335), 1,
      sym_block,
    STATE(8860), 1,
      sym_catch_filter_clause,
    STATE(7818), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345883] = 12,
    ACTIONS(4122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(4120), 5,
      anon_sym_COMMA,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(7819), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345931] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10007), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9025), 1,
      sym_declaration_list,
    STATE(7820), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [345987] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(10009), 1,
      anon_sym_EQ,
    ACTIONS(10011), 1,
      anon_sym_RPAREN,
    ACTIONS(4276), 3,
      anon_sym_COMMA,
      anon_sym_and,
      anon_sym_or,
    STATE(7821), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346039] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10013), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9612), 1,
      sym_declaration_list,
    STATE(7822), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346095] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10013), 1,
      anon_sym_SEMI,
    STATE(7922), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9612), 1,
      sym_declaration_list,
    STATE(7823), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346151] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9906), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8998), 1,
      sym_declaration_list,
    STATE(7824), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346207] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9906), 1,
      anon_sym_SEMI,
    STATE(7822), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8998), 1,
      sym_declaration_list,
    STATE(7825), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346263] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3282), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7826), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346319] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3284), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7827), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346375] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3526), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7828), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346431] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10017), 1,
      anon_sym_COMMA,
    ACTIONS(10015), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(7829), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_type_parameter_constraints_clause_repeat1,
  [346479] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3298), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7830), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346535] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3499), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7831), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346591] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10020), 6,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_in,
    STATE(7832), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346637] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10022), 6,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_in,
    STATE(7833), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346683] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9852), 1,
      anon_sym_SEMI,
    STATE(7824), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9979), 1,
      sym_declaration_list,
    STATE(7834), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346739] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3312), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7835), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346795] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3315), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7836), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346851] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9858), 1,
      anon_sym_SEMI,
    STATE(7844), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9096), 1,
      sym_declaration_list,
    STATE(7837), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346907] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(10009), 1,
      anon_sym_EQ,
    ACTIONS(4276), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
    STATE(7838), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [346957] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9858), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9096), 1,
      sym_declaration_list,
    STATE(7839), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347013] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9852), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9979), 1,
      sym_declaration_list,
    STATE(7840), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347069] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9904), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9783), 1,
      sym_declaration_list,
    STATE(7841), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347125] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9842), 1,
      anon_sym_SEMI,
    STATE(7846), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9224), 1,
      sym_declaration_list,
    STATE(7842), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347181] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9842), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9224), 1,
      sym_declaration_list,
    STATE(7843), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347237] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9912), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9275), 1,
      sym_declaration_list,
    STATE(7844), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347293] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9912), 1,
      anon_sym_SEMI,
    STATE(7848), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9275), 1,
      sym_declaration_list,
    STATE(7845), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347349] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9918), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9131), 1,
      sym_declaration_list,
    STATE(7846), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347405] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9918), 1,
      anon_sym_SEMI,
    STATE(7852), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9131), 1,
      sym_declaration_list,
    STATE(7847), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347461] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10024), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9148), 1,
      sym_declaration_list,
    STATE(7848), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347517] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10024), 1,
      anon_sym_SEMI,
    STATE(7854), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9148), 1,
      sym_declaration_list,
    STATE(7849), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347573] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9854), 1,
      anon_sym_SEMI,
    STATE(7855), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9248), 1,
      sym_declaration_list,
    STATE(7850), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347629] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9854), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9248), 1,
      sym_declaration_list,
    STATE(7851), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347685] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10026), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9317), 1,
      sym_declaration_list,
    STATE(7852), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347741] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10026), 1,
      anon_sym_SEMI,
    STATE(7859), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9317), 1,
      sym_declaration_list,
    STATE(7853), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347797] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10028), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9331), 1,
      sym_declaration_list,
    STATE(7854), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347853] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9898), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9404), 1,
      sym_declaration_list,
    STATE(7855), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347909] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9898), 1,
      anon_sym_SEMI,
    STATE(7860), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9404), 1,
      sym_declaration_list,
    STATE(7856), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [347965] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9840), 1,
      anon_sym_SEMI,
    STATE(7941), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9510), 1,
      sym_declaration_list,
    STATE(7857), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348021] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9840), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9510), 1,
      sym_declaration_list,
    STATE(7858), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348077] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10030), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9601), 1,
      sym_declaration_list,
    STATE(7859), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348133] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10032), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9700), 1,
      sym_declaration_list,
    STATE(7860), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348189] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10032), 1,
      anon_sym_SEMI,
    STATE(7864), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9700), 1,
      sym_declaration_list,
    STATE(7861), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348245] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3255), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7862), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348301] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9908), 1,
      anon_sym_SEMI,
    STATE(7865), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9740), 1,
      sym_declaration_list,
    STATE(7863), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348357] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10034), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9763), 1,
      sym_declaration_list,
    STATE(7864), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348413] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10036), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9773), 1,
      sym_declaration_list,
    STATE(7865), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348469] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10036), 1,
      anon_sym_SEMI,
    STATE(7867), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9773), 1,
      sym_declaration_list,
    STATE(7866), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348525] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10038), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9789), 1,
      sym_declaration_list,
    STATE(7867), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348581] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10040), 1,
      anon_sym_DQUOTE,
    STATE(7872), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7868), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348637] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9948), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7878), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7869), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348693] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9948), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7879), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7870), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348749] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(10042), 1,
      anon_sym_COMMA,
    STATE(8349), 1,
      sym_argument_list,
    STATE(8357), 1,
      aux_sym_base_list_repeat1,
    ACTIONS(10044), 2,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(7871), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348803] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10046), 1,
      anon_sym_DQUOTE,
    STATE(7910), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7872), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348859] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10048), 6,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_in,
    STATE(7873), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348905] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10050), 6,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_in,
    STATE(7874), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [348951] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9904), 1,
      anon_sym_SEMI,
    STATE(7932), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9783), 1,
      sym_declaration_list,
    STATE(7875), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349007] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9938), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7923), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7876), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349063] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9938), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7924), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7877), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349119] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9956), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7923), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7878), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349175] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9956), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7924), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7879), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349231] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9856), 1,
      anon_sym_SEMI,
    STATE(7841), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9908), 1,
      sym_declaration_list,
    STATE(7880), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349287] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9856), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9908), 1,
      sym_declaration_list,
    STATE(7881), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349343] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10052), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9609), 1,
      sym_declaration_list,
    STATE(7882), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349399] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9836), 1,
      anon_sym_SEMI,
    STATE(7936), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9885), 1,
      sym_declaration_list,
    STATE(7883), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349455] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9836), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9885), 1,
      sym_declaration_list,
    STATE(7884), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349511] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10056), 1,
      anon_sym_where,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    ACTIONS(10054), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(7885), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_class_declaration_repeat3,
  [349561] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10059), 1,
      anon_sym_DQUOTE,
    STATE(7910), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7886), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349617] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3452), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7887), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349673] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(10003), 1,
      anon_sym_LPAREN,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(2306), 1,
      sym_block,
    STATE(8248), 1,
      sym_catch_declaration,
    STATE(8961), 1,
      sym_catch_filter_clause,
    STATE(7888), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349729] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3456), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7889), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349785] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10061), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
    STATE(7890), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349839] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10063), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9933), 1,
      sym_declaration_list,
    STATE(7891), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349895] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3469), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7892), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [349951] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3262), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7893), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350007] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9763), 1,
      anon_sym_EQ,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(7894), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350061] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3302), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7895), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350117] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10063), 1,
      anon_sym_SEMI,
    STATE(7820), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9933), 1,
      sym_declaration_list,
    STATE(7896), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350173] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(10065), 1,
      anon_sym_SEMI,
    ACTIONS(10067), 1,
      anon_sym_LBRACE,
    STATE(4346), 1,
      sym_block,
    STATE(4347), 1,
      sym__function_body,
    STATE(9084), 1,
      sym_arrow_expression_clause,
    STATE(7897), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350229] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(10065), 1,
      anon_sym_SEMI,
    ACTIONS(10067), 1,
      anon_sym_LBRACE,
    STATE(4346), 1,
      sym_block,
    STATE(4354), 1,
      sym__function_body,
    STATE(9084), 1,
      sym_arrow_expression_clause,
    STATE(7898), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350285] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10069), 1,
      anon_sym_DQUOTE,
    STATE(7906), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7899), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350341] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9958), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7911), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7900), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350397] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9958), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7912), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7901), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350453] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3347), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7902), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350509] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10073), 1,
      anon_sym_QMARK,
    ACTIONS(10071), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(7903), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350557] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10077), 1,
      anon_sym_COMMA,
    STATE(7909), 1,
      aux_sym_type_parameter_constraints_clause_repeat1,
    ACTIONS(10075), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(7904), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350607] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3378), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7905), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350663] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10079), 1,
      anon_sym_DQUOTE,
    STATE(7910), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7906), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350719] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(10065), 1,
      anon_sym_SEMI,
    ACTIONS(10067), 1,
      anon_sym_LBRACE,
    STATE(4333), 1,
      sym__function_body,
    STATE(4346), 1,
      sym_block,
    STATE(9084), 1,
      sym_arrow_expression_clause,
    STATE(7907), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350775] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3494), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7908), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350831] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10077), 1,
      anon_sym_COMMA,
    STATE(7829), 1,
      aux_sym_type_parameter_constraints_clause_repeat1,
    ACTIONS(10081), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(7909), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350881] = 15,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10083), 1,
      anon_sym_DQUOTE,
    ACTIONS(10085), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(10088), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(10091), 1,
      sym_escape_sequence,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7910), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_string_literal_repeat1,
  [350935] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9942), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7923), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7911), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [350991] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9942), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7924), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7912), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351047] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10094), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9029), 1,
      sym_declaration_list,
    STATE(7913), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351103] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10096), 1,
      anon_sym_DQUOTE,
    STATE(7919), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7914), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351159] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10098), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
    STATE(7915), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351213] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10100), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
    STATE(7916), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351267] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10102), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9500), 1,
      sym_declaration_list,
    STATE(7917), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351323] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10102), 1,
      anon_sym_SEMI,
    STATE(7913), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9500), 1,
      sym_declaration_list,
    STATE(7918), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351379] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10104), 1,
      anon_sym_DQUOTE,
    STATE(7910), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7919), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351435] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(9902), 1,
      anon_sym_COMMA,
    STATE(8202), 1,
      aux_sym_record_base_repeat1,
    ACTIONS(10106), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(7920), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351487] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(10003), 1,
      anon_sym_LPAREN,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(2220), 1,
      sym_block,
    STATE(8246), 1,
      sym_catch_declaration,
    STATE(8931), 1,
      sym_catch_filter_clause,
    STATE(7921), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351543] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10108), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9531), 1,
      sym_declaration_list,
    STATE(7922), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351599] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10110), 1,
      anon_sym_DQUOTE,
    ACTIONS(10112), 1,
      sym_interpolation_open_brace,
    ACTIONS(10115), 1,
      sym_interpolation_string_content,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7923), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_interpolated_string_expression_repeat2,
  [351653] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10118), 1,
      sym_interpolation_end_quote,
    ACTIONS(10120), 1,
      sym_interpolation_open_brace,
    ACTIONS(10123), 1,
      sym_interpolation_string_content,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7924), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_interpolated_string_expression_repeat3,
  [351707] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10126), 1,
      anon_sym_DQUOTE,
    STATE(7934), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7925), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351763] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10128), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
    STATE(7926), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351817] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10130), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
    STATE(7927), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351871] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10132), 1,
      anon_sym_EQ,
    STATE(2753), 1,
      sym_type_argument_list,
    ACTIONS(4134), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
    STATE(7928), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351925] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9944), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7938), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7929), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [351981] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9944), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7939), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7930), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352037] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10134), 1,
      anon_sym_DQUOTE,
    STATE(7886), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7931), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352093] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10136), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9880), 1,
      sym_declaration_list,
    STATE(7932), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352149] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10136), 1,
      anon_sym_SEMI,
    STATE(7882), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9880), 1,
      sym_declaration_list,
    STATE(7933), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352205] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10138), 1,
      anon_sym_DQUOTE,
    STATE(7910), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7934), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352261] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    ACTIONS(9864), 1,
      anon_sym_SEMI,
    ACTIONS(9866), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_block,
    STATE(3501), 1,
      sym__function_body,
    STATE(9066), 1,
      sym_arrow_expression_clause,
    STATE(7935), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352317] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9910), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9124), 1,
      sym_declaration_list,
    STATE(7936), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352373] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9910), 1,
      anon_sym_SEMI,
    STATE(7891), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9124), 1,
      sym_declaration_list,
    STATE(7937), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352429] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9924), 1,
      sym_interpolation_open_brace,
    ACTIONS(9954), 1,
      anon_sym_DQUOTE,
    ACTIONS(9964), 1,
      sym_interpolation_string_content,
    STATE(7923), 1,
      aux_sym_interpolated_string_expression_repeat2,
    STATE(8483), 1,
      sym_interpolation,
    STATE(8486), 1,
      sym__interpolated_verbatim_string_content,
    STATE(7938), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352485] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9954), 1,
      sym_interpolation_end_quote,
    ACTIONS(9966), 1,
      sym_interpolation_open_brace,
    ACTIONS(9968), 1,
      sym_interpolation_string_content,
    STATE(7924), 1,
      aux_sym_interpolated_string_expression_repeat3,
    STATE(8491), 1,
      sym_interpolation,
    STATE(8492), 1,
      sym__interpolated_raw_string_content,
    STATE(7939), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352541] = 16,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(9976), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(9978), 1,
      aux_sym_string_literal_content_token2,
    ACTIONS(9980), 1,
      sym_escape_sequence,
    ACTIONS(10140), 1,
      anon_sym_DQUOTE,
    STATE(7784), 1,
      aux_sym_string_literal_repeat1,
    STATE(8307), 1,
      sym_string_literal_content,
    STATE(7940), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352597] = 16,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(9908), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9740), 1,
      sym_declaration_list,
    STATE(7941), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352653] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9441), 1,
      sym_declaration_list,
    STATE(7942), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352706] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10142), 1,
      anon_sym_STAR,
    STATE(3769), 1,
      sym_block,
    STATE(8925), 1,
      sym_parameter_list,
    STATE(7943), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352759] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9902), 1,
      anon_sym_COMMA,
    STATE(8210), 1,
      aux_sym_record_base_repeat1,
    ACTIONS(10144), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(7944), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352808] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    ACTIONS(10044), 1,
      anon_sym_LBRACE,
    ACTIONS(10146), 1,
      anon_sym_COMMA,
    STATE(8664), 1,
      sym_argument_list,
    STATE(8665), 1,
      aux_sym_base_list_repeat1,
    STATE(7945), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352861] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10148), 1,
      anon_sym_RBRACE,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    STATE(7966), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(7946), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352914] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8013), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9771), 1,
      sym_declaration_list,
    STATE(7947), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [352967] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8132), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9927), 1,
      sym_declaration_list,
    STATE(7948), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353020] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    ACTIONS(10158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10156), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(7949), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353071] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9771), 1,
      sym_declaration_list,
    STATE(7950), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353124] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9257), 1,
      sym_declaration_list,
    STATE(7951), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353177] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8029), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9786), 1,
      sym_declaration_list,
    STATE(7952), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353230] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9786), 1,
      sym_declaration_list,
    STATE(7953), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353283] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8030), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9790), 1,
      sym_declaration_list,
    STATE(7954), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353336] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9790), 1,
      sym_declaration_list,
    STATE(7955), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353389] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8048), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9794), 1,
      sym_declaration_list,
    STATE(7956), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353442] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9794), 1,
      sym_declaration_list,
    STATE(7957), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353495] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9801), 1,
      sym_declaration_list,
    STATE(7958), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353548] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9927), 1,
      sym_declaration_list,
    STATE(7959), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353601] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7600), 1,
      sym_parameter_list,
    STATE(8909), 1,
      sym_type_parameter_list,
    STATE(7960), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353654] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10162), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(7961), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353699] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9638), 1,
      sym_declaration_list,
    STATE(7962), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353752] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8174), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9263), 1,
      sym_declaration_list,
    STATE(7963), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353805] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9263), 1,
      sym_declaration_list,
    STATE(7964), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353858] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8984), 1,
      anon_sym_COLON,
    ACTIONS(10164), 1,
      anon_sym_when,
    ACTIONS(10166), 1,
      anon_sym_and,
    ACTIONS(10168), 1,
      anon_sym_or,
    STATE(9737), 1,
      sym_when_clause,
    STATE(7965), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353911] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    ACTIONS(10170), 1,
      anon_sym_RBRACE,
    STATE(7973), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(7966), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [353964] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10156), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10162), 3,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(7967), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354011] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10172), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(7968), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354056] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10015), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(7969), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354101] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8216), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9638), 1,
      sym_declaration_list,
    STATE(7970), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354154] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_COMMA,
    ACTIONS(10176), 1,
      anon_sym_RBRACK,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    STATE(8488), 1,
      aux_sym_list_pattern_repeat1,
    STATE(7971), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354207] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(10182), 1,
      anon_sym_COMMA,
    ACTIONS(10184), 1,
      anon_sym_RBRACK,
    STATE(8700), 1,
      aux_sym_list_pattern_repeat1,
    STATE(7972), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354260] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10186), 1,
      anon_sym_RBRACE,
    ACTIONS(10188), 1,
      anon_sym_case,
    ACTIONS(10191), 1,
      anon_sym_default,
    STATE(8395), 1,
      sym_switch_section,
    STATE(7973), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_switch_body_repeat1,
  [354311] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8217), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9644), 1,
      sym_declaration_list,
    STATE(7974), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354364] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9644), 1,
      sym_declaration_list,
    STATE(7975), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354417] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9679), 1,
      sym_declaration_list,
    STATE(7976), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354470] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10200), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(7977), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354521] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8235), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9817), 1,
      sym_declaration_list,
    STATE(7978), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354574] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(6707), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(7979), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354623] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9817), 1,
      sym_declaration_list,
    STATE(7980), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354676] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10202), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(7981), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354727] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9259), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9261), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10204), 1,
      aux_sym_preproc_if_token3,
    STATE(9349), 2,
      sym_preproc_else_in_enum_member_declaration,
      sym_preproc_elif_in_enum_member_declaration,
    STATE(7982), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354778] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10156), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10162), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
    STATE(7983), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354827] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9335), 1,
      sym_declaration_list,
    STATE(7984), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354880] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    ACTIONS(10206), 1,
      anon_sym_RBRACE,
    STATE(7973), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(7985), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354933] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10208), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(7986), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [354984] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8179), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9335), 1,
      sym_declaration_list,
    STATE(7987), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355037] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10210), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(7988), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355088] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8181), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9345), 1,
      sym_declaration_list,
    STATE(7989), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355141] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(4276), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    STATE(7990), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355188] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(3742), 1,
      sym_block,
    STATE(8890), 1,
      sym_parameter_list,
    STATE(7991), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355241] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10212), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(7992), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355292] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8004), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9351), 1,
      sym_declaration_list,
    STATE(7993), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355345] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9351), 1,
      sym_declaration_list,
    STATE(7994), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355398] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8008), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9369), 1,
      sym_declaration_list,
    STATE(7995), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355451] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9369), 1,
      sym_declaration_list,
    STATE(7996), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355504] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8011), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9092), 1,
      sym_declaration_list,
    STATE(7997), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355557] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9092), 1,
      sym_declaration_list,
    STATE(7998), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355610] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8080), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9253), 1,
      sym_declaration_list,
    STATE(7999), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355663] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9253), 1,
      sym_declaration_list,
    STATE(8000), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355716] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8092), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9374), 1,
      sym_declaration_list,
    STATE(8001), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355769] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9374), 1,
      sym_declaration_list,
    STATE(8002), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355822] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8020), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9037), 1,
      sym_declaration_list,
    STATE(8003), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355875] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9037), 1,
      sym_declaration_list,
    STATE(8004), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355928] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8023), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9038), 1,
      sym_declaration_list,
    STATE(8005), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [355981] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9038), 1,
      sym_declaration_list,
    STATE(8006), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356034] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8024), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9051), 1,
      sym_declaration_list,
    STATE(8007), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356087] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9051), 1,
      sym_declaration_list,
    STATE(8008), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356140] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8026), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9055), 1,
      sym_declaration_list,
    STATE(8009), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356193] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9055), 1,
      sym_declaration_list,
    STATE(8010), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356246] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9091), 1,
      sym_declaration_list,
    STATE(8011), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356299] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    ACTIONS(10214), 1,
      anon_sym_RBRACE,
    STATE(7973), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(8012), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356352] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9094), 1,
      sym_declaration_list,
    STATE(8013), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356405] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8105), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9094), 1,
      sym_declaration_list,
    STATE(8014), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356458] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10216), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8015), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356509] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8032), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9607), 1,
      sym_declaration_list,
    STATE(8016), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356562] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9607), 1,
      sym_declaration_list,
    STATE(8017), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356615] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8037), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9935), 1,
      sym_declaration_list,
    STATE(8018), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356668] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9935), 1,
      sym_declaration_list,
    STATE(8019), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356721] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9052), 1,
      sym_declaration_list,
    STATE(8020), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356774] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8044), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9052), 1,
      sym_declaration_list,
    STATE(8021), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356827] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8045), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9081), 1,
      sym_declaration_list,
    STATE(8022), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356880] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9081), 1,
      sym_declaration_list,
    STATE(8023), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356933] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9083), 1,
      sym_declaration_list,
    STATE(8024), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [356986] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8047), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9083), 1,
      sym_declaration_list,
    STATE(8025), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357039] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9102), 1,
      sym_declaration_list,
    STATE(8026), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357092] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8109), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9097), 1,
      sym_declaration_list,
    STATE(8027), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357145] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9345), 1,
      sym_declaration_list,
    STATE(8028), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357198] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9097), 1,
      sym_declaration_list,
    STATE(8029), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357251] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9101), 1,
      sym_declaration_list,
    STATE(8030), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357304] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8050), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9223), 1,
      sym_declaration_list,
    STATE(8031), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357357] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9223), 1,
      sym_declaration_list,
    STATE(8032), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357410] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8053), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9228), 1,
      sym_declaration_list,
    STATE(8033), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357463] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9228), 1,
      sym_declaration_list,
    STATE(8034), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357516] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8054), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9234), 1,
      sym_declaration_list,
    STATE(8035), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357569] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9234), 1,
      sym_declaration_list,
    STATE(8036), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357622] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9238), 1,
      sym_declaration_list,
    STATE(8037), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357675] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8121), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9101), 1,
      sym_declaration_list,
    STATE(8038), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357728] = 12,
    ACTIONS(5544), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(5546), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8039), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357775] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8057), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9268), 1,
      sym_declaration_list,
    STATE(8040), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357828] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9268), 1,
      sym_declaration_list,
    STATE(8041), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357881] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8063), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9282), 1,
      sym_declaration_list,
    STATE(8042), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357934] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9282), 1,
      sym_declaration_list,
    STATE(8043), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [357987] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9304), 1,
      sym_declaration_list,
    STATE(8044), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358040] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9306), 1,
      sym_declaration_list,
    STATE(8045), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358093] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8066), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9306), 1,
      sym_declaration_list,
    STATE(8046), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358146] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9309), 1,
      sym_declaration_list,
    STATE(8047), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358199] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9112), 1,
      sym_declaration_list,
    STATE(8048), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358252] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(10218), 1,
      anon_sym_EQ,
    STATE(8411), 1,
      sym_bracketed_argument_list,
    ACTIONS(10220), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8049), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358303] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9375), 1,
      sym_declaration_list,
    STATE(8050), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358356] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8068), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9375), 1,
      sym_declaration_list,
    STATE(8051), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358409] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8069), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9391), 1,
      sym_declaration_list,
    STATE(8052), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358462] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9391), 1,
      sym_declaration_list,
    STATE(8053), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358515] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9395), 1,
      sym_declaration_list,
    STATE(8054), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358568] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8055), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358621] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8073), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9423), 1,
      sym_declaration_list,
    STATE(8056), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358674] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9423), 1,
      sym_declaration_list,
    STATE(8057), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358727] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8076), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9431), 1,
      sym_declaration_list,
    STATE(8058), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358780] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10224), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10222), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8059), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358827] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9431), 1,
      sym_declaration_list,
    STATE(8060), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358880] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8077), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9441), 1,
      sym_declaration_list,
    STATE(8061), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358933] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(4475), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8062), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [358984] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9442), 1,
      sym_declaration_list,
    STATE(8063), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359037] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10226), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8064), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359088] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(10228), 1,
      anon_sym_EQ,
    STATE(8414), 1,
      sym_bracketed_argument_list,
    ACTIONS(9761), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8065), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359139] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9519), 1,
      sym_declaration_list,
    STATE(8066), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359192] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9368), 1,
      sym_declaration_list,
    STATE(8067), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359245] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9654), 1,
      sym_declaration_list,
    STATE(8068), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359298] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9694), 1,
      sym_declaration_list,
    STATE(8069), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359351] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8079), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9694), 1,
      sym_declaration_list,
    STATE(8070), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359404] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8183), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9368), 1,
      sym_declaration_list,
    STATE(8071), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359457] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10230), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8072), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359508] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9705), 1,
      sym_declaration_list,
    STATE(8073), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359561] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8081), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9705), 1,
      sym_declaration_list,
    STATE(8074), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359614] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8082), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9709), 1,
      sym_declaration_list,
    STATE(8075), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359667] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9709), 1,
      sym_declaration_list,
    STATE(8076), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359720] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9714), 1,
      sym_declaration_list,
    STATE(8077), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359773] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8137), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9527), 1,
      sym_declaration_list,
    STATE(8078), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359826] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9748), 1,
      sym_declaration_list,
    STATE(8079), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359879] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9527), 1,
      sym_declaration_list,
    STATE(8080), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359932] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9768), 1,
      sym_declaration_list,
    STATE(8081), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [359985] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9769), 1,
      sym_declaration_list,
    STATE(8082), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360038] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8086), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9769), 1,
      sym_declaration_list,
    STATE(8083), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360091] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8145), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9559), 1,
      sym_declaration_list,
    STATE(8084), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360144] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9559), 1,
      sym_declaration_list,
    STATE(8085), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360197] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9776), 1,
      sym_declaration_list,
    STATE(8086), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360250] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8146), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9616), 1,
      sym_declaration_list,
    STATE(8087), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360303] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10162), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10232), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8088), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360350] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9616), 1,
      sym_declaration_list,
    STATE(8089), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360403] = 13,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10162), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10232), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8090), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360452] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    ACTIONS(10234), 1,
      anon_sym_RBRACE,
    STATE(8012), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(8091), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360505] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9630), 1,
      sym_declaration_list,
    STATE(8092), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360558] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    ACTIONS(10236), 1,
      anon_sym_RBRACE,
    STATE(7973), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(8093), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360611] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10162), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10232), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8094), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360662] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10238), 1,
      anon_sym_LBRACE,
    STATE(4110), 1,
      sym_block,
    STATE(8966), 1,
      sym_parameter_list,
    STATE(8095), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360715] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10240), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8096), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360766] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10242), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8097), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360817] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10244), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8098), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360868] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8154), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9765), 1,
      sym_declaration_list,
    STATE(8099), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360921] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9765), 1,
      sym_declaration_list,
    STATE(8100), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [360974] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8160), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9039), 1,
      sym_declaration_list,
    STATE(8101), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361027] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9039), 1,
      sym_declaration_list,
    STATE(8102), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361080] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9285), 1,
      sym_declaration_list,
    STATE(8103), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361133] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7564), 1,
      sym_parameter_list,
    STATE(8990), 1,
      sym_type_parameter_list,
    STATE(8104), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361186] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9214), 1,
      sym_declaration_list,
    STATE(8105), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361239] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7962), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9213), 1,
      sym_declaration_list,
    STATE(8106), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361292] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10238), 1,
      anon_sym_LBRACE,
    STATE(4169), 1,
      sym_block,
    STATE(8896), 1,
      sym_parameter_list,
    STATE(8107), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361345] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9213), 1,
      sym_declaration_list,
    STATE(8108), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361398] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9215), 1,
      sym_declaration_list,
    STATE(8109), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361451] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8165), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9215), 1,
      sym_declaration_list,
    STATE(8110), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361504] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7975), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9575), 1,
      sym_declaration_list,
    STATE(8111), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361557] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9575), 1,
      sym_declaration_list,
    STATE(8112), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361610] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8229), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9808), 1,
      sym_declaration_list,
    STATE(8113), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361663] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7976), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9681), 1,
      sym_declaration_list,
    STATE(8114), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361716] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9808), 1,
      sym_declaration_list,
    STATE(8115), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361769] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9681), 1,
      sym_declaration_list,
    STATE(8116), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361822] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9938), 1,
      sym_declaration_list,
    STATE(8117), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361875] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(6703), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_or,
    STATE(8118), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361922] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8232), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9850), 1,
      sym_declaration_list,
    STATE(8119), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [361975] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10246), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8120), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362026] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9216), 1,
      sym_declaration_list,
    STATE(8121), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362079] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7950), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9226), 1,
      sym_declaration_list,
    STATE(8122), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362132] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10248), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8123), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362177] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(10250), 1,
      anon_sym_COMMA,
    ACTIONS(10252), 1,
      anon_sym_RBRACK,
    STATE(8464), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8124), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362230] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7984), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9230), 1,
      sym_declaration_list,
    STATE(8125), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362283] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8115), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9689), 1,
      sym_declaration_list,
    STATE(8126), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362336] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9747), 1,
      sym_declaration_list,
    STATE(8127), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362389] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9689), 1,
      sym_declaration_list,
    STATE(8128), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362442] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9862), 1,
      sym_declaration_list,
    STATE(8129), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362495] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7951), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9862), 1,
      sym_declaration_list,
    STATE(8130), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362548] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8233), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9860), 1,
      sym_declaration_list,
    STATE(8131), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362601] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9230), 1,
      sym_declaration_list,
    STATE(8132), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362654] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9860), 1,
      sym_declaration_list,
    STATE(8133), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362707] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9872), 1,
      sym_declaration_list,
    STATE(8134), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362760] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9226), 1,
      sym_declaration_list,
    STATE(8135), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362813] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10254), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8136), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362864] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9273), 1,
      sym_declaration_list,
    STATE(8137), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362917] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8134), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9964), 1,
      sym_declaration_list,
    STATE(8138), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [362970] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9964), 1,
      sym_declaration_list,
    STATE(8139), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363023] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(3769), 1,
      sym_block,
    STATE(8925), 1,
      sym_parameter_list,
    STATE(8140), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363076] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8172), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9273), 1,
      sym_declaration_list,
    STATE(8141), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363129] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8173), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9274), 1,
      sym_declaration_list,
    STATE(8142), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363182] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    ACTIONS(10256), 1,
      anon_sym_RBRACE,
    STATE(7985), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(8143), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363235] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10258), 1,
      anon_sym_EQ_GT,
    ACTIONS(10260), 1,
      anon_sym_when,
    ACTIONS(10262), 1,
      anon_sym_and,
    ACTIONS(10264), 1,
      anon_sym_or,
    STATE(9128), 1,
      sym_when_clause,
    STATE(8144), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363288] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9274), 1,
      sym_declaration_list,
    STATE(8145), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363341] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9314), 1,
      sym_declaration_list,
    STATE(8146), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363394] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(10266), 1,
      anon_sym_COMMA,
    ACTIONS(10268), 1,
      anon_sym_RBRACK,
    STATE(8557), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8147), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363447] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10270), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8148), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363492] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10272), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8149), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363543] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8028), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9947), 1,
      sym_declaration_list,
    STATE(8150), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363596] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9427), 1,
      sym_declaration_list,
    STATE(8151), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363649] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(10274), 1,
      anon_sym_COMMA,
    ACTIONS(10276), 1,
      anon_sym_RBRACK,
    STATE(8407), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8152), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363702] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8190), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9327), 1,
      sym_declaration_list,
    STATE(8153), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363755] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9327), 1,
      sym_declaration_list,
    STATE(8154), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363808] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8196), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9338), 1,
      sym_declaration_list,
    STATE(8155), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363861] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9338), 1,
      sym_declaration_list,
    STATE(8156), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363914] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10278), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8157), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [363959] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8201), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9339), 1,
      sym_declaration_list,
    STATE(8158), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364012] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9339), 1,
      sym_declaration_list,
    STATE(8159), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364065] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9341), 1,
      sym_declaration_list,
    STATE(8160), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364118] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    STATE(8448), 1,
      sym_bracketed_argument_list,
    ACTIONS(9761), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(8161), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364169] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7955), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9239), 1,
      sym_declaration_list,
    STATE(8162), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364222] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    STATE(8602), 1,
      sym_argument_list,
    ACTIONS(10280), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8163), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364271] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9239), 1,
      sym_declaration_list,
    STATE(8164), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364324] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9364), 1,
      sym_declaration_list,
    STATE(8165), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364377] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9947), 1,
      sym_declaration_list,
    STATE(8166), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364430] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8067), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9546), 1,
      sym_declaration_list,
    STATE(8167), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364483] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10282), 1,
      anon_sym_LBRACE,
    STATE(5520), 1,
      sym_block,
    STATE(8764), 1,
      sym_parameter_list,
    STATE(8168), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364536] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10284), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8169), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364581] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7958), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9251), 1,
      sym_declaration_list,
    STATE(8170), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364634] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10071), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8171), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364679] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9397), 1,
      sym_declaration_list,
    STATE(8172), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364732] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9398), 1,
      sym_declaration_list,
    STATE(8173), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364785] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9546), 1,
      sym_declaration_list,
    STATE(8174), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364838] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8205), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9398), 1,
      sym_declaration_list,
    STATE(8175), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364891] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10286), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8176), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364936] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4542), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8177), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [364981] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8178), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365032] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9413), 1,
      sym_declaration_list,
    STATE(8179), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365085] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9251), 1,
      sym_declaration_list,
    STATE(8180), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365138] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9434), 1,
      sym_declaration_list,
    STATE(8181), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365191] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8197), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9434), 1,
      sym_declaration_list,
    STATE(8182), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365244] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9461), 1,
      sym_declaration_list,
    STATE(8183), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365297] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10278), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10290), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8184), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365344] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8108), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9595), 1,
      sym_declaration_list,
    STATE(8185), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365397] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9595), 1,
      sym_declaration_list,
    STATE(8186), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365450] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10292), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8187), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365495] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8117), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9743), 1,
      sym_declaration_list,
    STATE(8188), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365548] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10294), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8189), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365599] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9406), 1,
      sym_declaration_list,
    STATE(8190), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365652] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9743), 1,
      sym_declaration_list,
    STATE(8191), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365705] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(10296), 1,
      anon_sym_LPAREN,
    STATE(8889), 1,
      sym_attribute_argument_list,
    ACTIONS(9339), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8192), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365756] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8207), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9406), 1,
      sym_declaration_list,
    STATE(8193), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365809] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10282), 1,
      anon_sym_LBRACE,
    STATE(5548), 1,
      sym_block,
    STATE(8975), 1,
      sym_parameter_list,
    STATE(8194), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365862] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8208), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9407), 1,
      sym_declaration_list,
    STATE(8195), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365915] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9407), 1,
      sym_declaration_list,
    STATE(8196), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [365968] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9585), 1,
      sym_declaration_list,
    STATE(8197), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366021] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9259), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(9261), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10298), 1,
      aux_sym_preproc_if_token3,
    STATE(9902), 2,
      sym_preproc_else_in_enum_member_declaration,
      sym_preproc_elif_in_enum_member_declaration,
    STATE(8198), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366072] = 12,
    ACTIONS(5490), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(5492), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8199), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366119] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10300), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8200), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366164] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9408), 1,
      sym_declaration_list,
    STATE(8201), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366217] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9902), 1,
      anon_sym_COMMA,
    STATE(8210), 1,
      aux_sym_record_base_repeat1,
    ACTIONS(10302), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8202), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366266] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10304), 1,
      anon_sym_LBRACE,
    STATE(3985), 1,
      sym_block,
    STATE(8877), 1,
      sym_parameter_list,
    STATE(8203), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366319] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7614), 1,
      sym_parameter_list,
    STATE(8823), 1,
      sym_type_parameter_list,
    STATE(8204), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366372] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9424), 1,
      sym_declaration_list,
    STATE(8205), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366425] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    ACTIONS(10306), 1,
      anon_sym_EQ,
    STATE(8692), 1,
      sym_bracketed_argument_list,
    ACTIONS(10220), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(8206), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366476] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9467), 1,
      sym_declaration_list,
    STATE(8207), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366529] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9472), 1,
      sym_declaration_list,
    STATE(8208), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366582] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(10308), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8209), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366629] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10310), 1,
      anon_sym_COMMA,
    ACTIONS(10308), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8210), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_record_base_repeat1,
  [366676] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_case,
    ACTIONS(10152), 1,
      anon_sym_default,
    ACTIONS(10313), 1,
      anon_sym_RBRACE,
    STATE(8093), 1,
      aux_sym_switch_body_repeat1,
    STATE(8395), 1,
      sym_switch_section,
    STATE(8211), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366729] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8215), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9472), 1,
      sym_declaration_list,
    STATE(8212), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366782] = 14,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10196), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10198), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10315), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10194), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8213), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366833] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10317), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8214), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366878] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9501), 1,
      sym_declaration_list,
    STATE(8215), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366931] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9538), 1,
      sym_declaration_list,
    STATE(8216), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [366984] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9549), 1,
      sym_declaration_list,
    STATE(8217), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367037] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10304), 1,
      anon_sym_LBRACE,
    STATE(4038), 1,
      sym_block,
    STATE(8949), 1,
      sym_parameter_list,
    STATE(8218), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367090] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8103), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9549), 1,
      sym_declaration_list,
    STATE(8219), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367143] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10319), 1,
      anon_sym_RPAREN,
    ACTIONS(10156), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(8220), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367194] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10300), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10321), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8221), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367241] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10323), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8222), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367286] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10325), 1,
      anon_sym_LBRACE,
    STATE(4603), 1,
      sym_block,
    STATE(8747), 1,
      sym_parameter_list,
    STATE(8223), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367339] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8224), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367392] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_LBRACE,
    STATE(3721), 1,
      sym_block,
    STATE(8946), 1,
      sym_parameter_list,
    STATE(8225), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367445] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8151), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9561), 1,
      sym_declaration_list,
    STATE(8226), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367498] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10325), 1,
      anon_sym_LBRACE,
    STATE(4721), 1,
      sym_block,
    STATE(8977), 1,
      sym_parameter_list,
    STATE(8227), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367551] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9561), 1,
      sym_declaration_list,
    STATE(8228), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367604] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9890), 1,
      sym_declaration_list,
    STATE(8229), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367657] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8127), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9890), 1,
      sym_declaration_list,
    STATE(8230), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367710] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(8129), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9923), 1,
      sym_declaration_list,
    STATE(8231), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367763] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9923), 1,
      sym_declaration_list,
    STATE(8232), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367816] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9941), 1,
      sym_declaration_list,
    STATE(8233), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367869] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7591), 1,
      sym_parameter_list,
    STATE(8866), 1,
      sym_type_parameter_list,
    STATE(8234), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367922] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9881), 1,
      sym_declaration_list,
    STATE(8235), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [367975] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(10327), 1,
      anon_sym_LBRACE,
    STATE(3674), 1,
      sym_block,
    STATE(8708), 1,
      sym_parameter_list,
    STATE(8236), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368028] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10329), 5,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8237), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368073] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10224), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(8238), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368118] = 15,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(9796), 1,
      anon_sym_where,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(9850), 1,
      sym_declaration_list,
    STATE(8239), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368171] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8810), 1,
      sym_base_list,
    STATE(9355), 1,
      sym_enum_member_declaration_list,
    STATE(8240), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368221] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10335), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8277), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8241), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368271] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(10337), 1,
      anon_sym_SEMI,
    STATE(9178), 1,
      sym_declaration_list,
    STATE(8242), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368321] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10339), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8243), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368371] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10341), 1,
      anon_sym_COMMA,
    ACTIONS(10344), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8244), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_bracketed_parameter_list_repeat1,
  [368417] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5893), 2,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(5948), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8245), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368463] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(2219), 1,
      sym_block,
    STATE(8725), 1,
      sym_catch_filter_clause,
    STATE(8246), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368513] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10042), 1,
      anon_sym_COMMA,
    STATE(8254), 1,
      aux_sym_base_list_repeat1,
    ACTIONS(10346), 2,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8247), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368561] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(2303), 1,
      sym_block,
    STATE(8910), 1,
      sym_catch_filter_clause,
    STATE(8248), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368611] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8286), 1,
      sym_parameter_list,
    STATE(8748), 1,
      sym_type_parameter_list,
    STATE(8249), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368661] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8758), 1,
      sym_base_list,
    STATE(9016), 1,
      sym_enum_member_declaration_list,
    STATE(8250), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368711] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_and,
    ACTIONS(10264), 1,
      anon_sym_or,
    ACTIONS(6707), 2,
      anon_sym_EQ_GT,
      anon_sym_when,
    STATE(8251), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368759] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4487), 4,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_STAR,
    STATE(8252), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368803] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10348), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ_GT,
    STATE(8253), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368847] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10350), 1,
      anon_sym_COMMA,
    ACTIONS(10280), 2,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8254), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_base_list_repeat1,
  [368893] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4465), 4,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_STAR,
    STATE(8255), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368937] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(6703), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_or,
    STATE(8256), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [368983] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_and,
    ACTIONS(6703), 3,
      anon_sym_EQ_GT,
      anon_sym_when,
      anon_sym_or,
    STATE(8257), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369029] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10355), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8292), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8258), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369079] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4479), 4,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_STAR,
    STATE(8259), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369123] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7589), 1,
      sym_parameter_list,
    STATE(8960), 1,
      sym_type_parameter_list,
    STATE(8260), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369173] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10357), 1,
      anon_sym_COMMA,
    ACTIONS(10360), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(8261), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_type_argument_list_repeat1,
  [369219] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(3491), 1,
      sym_accessor_list,
    STATE(9589), 1,
      sym_arrow_expression_clause,
    STATE(8262), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369269] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10362), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8368), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8263), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369319] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7648), 1,
      sym_parameter_list,
    STATE(8872), 1,
      sym_type_parameter_list,
    STATE(8264), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369369] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10364), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8265), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369419] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10366), 1,
      anon_sym_COMMA,
    ACTIONS(10368), 1,
      anon_sym_RPAREN,
    ACTIONS(10370), 1,
      anon_sym_or,
    STATE(8266), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369469] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10372), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8295), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8267), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369519] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10374), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8329), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8268), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369569] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8310), 1,
      sym_parameter_list,
    STATE(8904), 1,
      sym_type_parameter_list,
    STATE(8269), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369619] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(2651), 1,
      sym_block,
    STATE(8817), 1,
      sym_catch_filter_clause,
    STATE(8270), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369669] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10370), 1,
      anon_sym_or,
    ACTIONS(6707), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8271), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369717] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8287), 1,
      sym_parameter_list,
    STATE(8807), 1,
      sym_type_parameter_list,
    STATE(8272), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369767] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10378), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(10376), 3,
      anon_sym_DQUOTE,
      aux_sym_string_literal_content_token2,
      sym_escape_sequence,
    STATE(8273), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369813] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4461), 4,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_STAR,
    STATE(8274), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369857] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10380), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8342), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8275), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369907] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8299), 1,
      sym_parameter_list,
    STATE(8726), 1,
      sym_type_parameter_list,
    STATE(8276), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [369957] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10382), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8277), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370007] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(10005), 1,
      anon_sym_when,
    STATE(8370), 1,
      sym_block,
    STATE(8954), 1,
      sym_catch_filter_clause,
    STATE(8278), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370057] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8962), 1,
      sym_base_list,
    STATE(9023), 1,
      sym_enum_member_declaration_list,
    STATE(8279), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370107] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10384), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8280), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370153] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10386), 1,
      anon_sym_EQ,
    ACTIONS(10388), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(8281), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370199] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(3522), 1,
      sym_accessor_list,
    STATE(9493), 1,
      sym_arrow_expression_clause,
    STATE(8282), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370249] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8267), 1,
      sym_parameter_list,
    STATE(8822), 1,
      sym_type_parameter_list,
    STATE(8283), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370299] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    ACTIONS(10390), 1,
      anon_sym_SEMI,
    STATE(9937), 1,
      sym_declaration_list,
    STATE(8284), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370349] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10392), 1,
      anon_sym_EQ,
    ACTIONS(10394), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8285), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370395] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10396), 1,
      anon_sym_SEMI,
    STATE(8243), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8286), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370445] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10398), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8265), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8287), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370495] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10378), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(10376), 3,
      anon_sym_DQUOTE,
      aux_sym_string_literal_content_token2,
      sym_escape_sequence,
    STATE(8288), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370541] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10400), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8289), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370591] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8851), 1,
      sym_base_list,
    STATE(9925), 1,
      sym_enum_member_declaration_list,
    STATE(8290), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370641] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10402), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8338), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8291), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370691] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10404), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8292), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370741] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_LT,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    STATE(9508), 1,
      sym_calling_convention,
    STATE(8293), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370791] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10412), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8364), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8294), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370841] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10414), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8295), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370891] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8258), 1,
      sym_parameter_list,
    STATE(8839), 1,
      sym_type_parameter_list,
    STATE(8296), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370941] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8811), 1,
      sym_base_list,
    STATE(9396), 1,
      sym_enum_member_declaration_list,
    STATE(8297), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [370991] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10416), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8298), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371041] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10418), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8346), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8299), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371091] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10166), 1,
      anon_sym_and,
    ACTIONS(10168), 1,
      anon_sym_or,
    ACTIONS(6707), 2,
      anon_sym_COLON,
      anon_sym_when,
    STATE(8300), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371139] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8955), 1,
      sym_base_list,
    STATE(9321), 1,
      sym_enum_member_declaration_list,
    STATE(8301), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371189] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(10009), 1,
      anon_sym_EQ,
    ACTIONS(10011), 1,
      anon_sym_RPAREN,
    ACTIONS(10420), 1,
      anon_sym_COMMA,
    STATE(8302), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371239] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7561), 1,
      sym_parameter_list,
    STATE(8895), 1,
      sym_type_parameter_list,
    STATE(8303), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371289] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10424), 1,
      anon_sym_EQ,
    ACTIONS(10426), 3,
      aux_sym_preproc_if_token3,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(8304), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371335] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8305), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371385] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10370), 1,
      anon_sym_or,
    ACTIONS(10366), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8306), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371433] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10430), 1,
      aux_sym_string_literal_content_token1,
    ACTIONS(10428), 3,
      anon_sym_DQUOTE,
      aux_sym_string_literal_content_token2,
      sym_escape_sequence,
    STATE(8307), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371479] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10370), 1,
      anon_sym_or,
    ACTIONS(10432), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8308), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371527] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8884), 1,
      sym_base_list,
    STATE(9706), 1,
      sym_enum_member_declaration_list,
    STATE(8309), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371577] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10434), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8347), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8310), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371627] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8294), 1,
      sym_parameter_list,
    STATE(8701), 1,
      sym_type_parameter_list,
    STATE(8311), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371677] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10436), 4,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
      anon_sym_DQUOTE,
      sym_escape_sequence,
    STATE(8312), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371721] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10438), 1,
      anon_sym_EQ,
    ACTIONS(10440), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8313), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371767] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3033), 4,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
    STATE(8314), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371811] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10442), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8315), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371855] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8268), 1,
      sym_parameter_list,
    STATE(8937), 1,
      sym_type_parameter_list,
    STATE(8316), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371905] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(3264), 1,
      sym_accessor_list,
    STATE(9614), 1,
      sym_arrow_expression_clause,
    STATE(8317), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [371955] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(10444), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8318), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372001] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3029), 4,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
    STATE(8319), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372045] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10446), 4,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
      anon_sym_DQUOTE,
      sym_escape_sequence,
    STATE(8320), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372089] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10448), 4,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
      anon_sym_DQUOTE,
      sym_escape_sequence,
    STATE(8321), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372133] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10450), 4,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
      anon_sym_DQUOTE,
      sym_escape_sequence,
    STATE(8322), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372177] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    STATE(8323), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372227] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(1943), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8324), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372275] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10452), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8334), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8325), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372325] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8751), 1,
      sym_base_list,
    STATE(9944), 1,
      sym_enum_member_declaration_list,
    STATE(8326), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372375] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10454), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8327), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372425] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10456), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8339), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8328), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372475] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10458), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8329), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372525] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10366), 1,
      anon_sym_COMMA,
    ACTIONS(10370), 1,
      anon_sym_or,
    ACTIONS(10460), 1,
      anon_sym_RPAREN,
    STATE(8330), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372575] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10462), 4,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
      anon_sym_DQUOTE,
      sym_escape_sequence,
    STATE(8331), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372619] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10366), 1,
      anon_sym_COMMA,
    ACTIONS(10370), 1,
      anon_sym_or,
    ACTIONS(10464), 1,
      anon_sym_RPAREN,
    STATE(8332), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372669] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    ACTIONS(10466), 1,
      anon_sym_LT,
    STATE(9692), 1,
      sym_calling_convention,
    STATE(8333), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372719] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10468), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8334), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372769] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3041), 4,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
    STATE(8335), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372813] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10470), 1,
      anon_sym_COMMA,
    ACTIONS(8257), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(8336), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_for_statement_repeat1,
  [372859] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(7661), 1,
      sym_parameter_list,
    STATE(8835), 1,
      sym_type_parameter_list,
    STATE(8337), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372909] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10473), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8338), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [372959] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10475), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8339), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373009] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8340), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373059] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(10432), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8341), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373107] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10477), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8342), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373157] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    ACTIONS(10479), 1,
      anon_sym_LT,
    STATE(9754), 1,
      sym_calling_convention,
    STATE(8343), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373207] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10481), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8327), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8344), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373257] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_GT,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8345), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373307] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10483), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8346), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373357] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10485), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8347), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373407] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    ACTIONS(10487), 1,
      anon_sym_LT,
    STATE(9796), 1,
      sym_calling_convention,
    STATE(8348), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373457] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10042), 1,
      anon_sym_COMMA,
    STATE(8247), 1,
      aux_sym_base_list_repeat1,
    ACTIONS(10489), 2,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8349), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373505] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10491), 1,
      anon_sym_LPAREN,
    ACTIONS(10495), 1,
      sym_integer_literal,
    ACTIONS(10493), 2,
      anon_sym_default,
      anon_sym_hidden,
    STATE(8350), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373553] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(3277), 1,
      sym_accessor_list,
    STATE(9164), 1,
      sym_arrow_expression_clause,
    STATE(8351), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373603] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    ACTIONS(10497), 1,
      anon_sym_LT,
    STATE(9820), 1,
      sym_calling_convention,
    STATE(8352), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373653] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10366), 1,
      anon_sym_COMMA,
    ACTIONS(10370), 1,
      anon_sym_or,
    ACTIONS(10499), 1,
      anon_sym_RPAREN,
    STATE(8353), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373703] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    ACTIONS(10501), 1,
      anon_sym_LT,
    STATE(9381), 1,
      sym_calling_convention,
    STATE(8354), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373753] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    ACTIONS(10503), 1,
      anon_sym_LT,
    STATE(9840), 1,
      sym_calling_convention,
    STATE(8355), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373803] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(10505), 1,
      anon_sym_EQ,
    ACTIONS(10440), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8356), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373851] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10042), 1,
      anon_sym_COMMA,
    STATE(8254), 1,
      aux_sym_base_list_repeat1,
    ACTIONS(10489), 2,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8357), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373899] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10507), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8367), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8358), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373949] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10408), 1,
      anon_sym_unmanaged,
    ACTIONS(10410), 1,
      anon_sym_managed,
    ACTIONS(10509), 1,
      anon_sym_LT,
    STATE(9859), 1,
      sym_calling_convention,
    STATE(8359), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [373999] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4483), 4,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_STAR,
    STATE(8360), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374043] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(10511), 1,
      anon_sym_EQ,
    ACTIONS(10513), 1,
      anon_sym_COMMA,
    ACTIONS(10516), 1,
      anon_sym_RPAREN,
    STATE(8361), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374093] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(3482), 1,
      sym_accessor_list,
    STATE(9350), 1,
      sym_arrow_expression_clause,
    STATE(8362), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374143] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10518), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8289), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8363), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374193] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10520), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8364), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374243] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10522), 1,
      anon_sym_EQ,
    ACTIONS(10011), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8365), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374289] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10524), 1,
      anon_sym_SEMI,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8298), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8366), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374339] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10526), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8367), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374389] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9796), 1,
      anon_sym_where,
    ACTIONS(10528), 1,
      anon_sym_SEMI,
    STATE(7885), 1,
      aux_sym_class_declaration_repeat3,
    STATE(8253), 1,
      sym_type_parameter_constraints_clause,
    STATE(8368), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374439] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10178), 1,
      anon_sym_and,
    ACTIONS(10180), 1,
      anon_sym_or,
    ACTIONS(10366), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8369), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374487] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3037), 4,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
    STATE(8370), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374531] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10353), 1,
      anon_sym_and,
    ACTIONS(10366), 1,
      anon_sym_COMMA,
    ACTIONS(10370), 1,
      anon_sym_or,
    ACTIONS(10530), 1,
      anon_sym_RPAREN,
    STATE(8371), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374581] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10166), 1,
      anon_sym_and,
    ACTIONS(6703), 3,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_or,
    STATE(8372), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374627] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10331), 1,
      anon_sym_COLON,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8852), 1,
      sym_base_list,
    STATE(9645), 1,
      sym_enum_member_declaration_list,
    STATE(8373), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374677] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9769), 1,
      anon_sym_EQ_GT,
    STATE(3513), 1,
      sym_accessor_list,
    STATE(9387), 1,
      sym_arrow_expression_clause,
    STATE(8374), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374727] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(9972), 1,
      anon_sym_QMARK,
    ACTIONS(4475), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8375), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374775] = 14,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    ACTIONS(9794), 1,
      anon_sym_LT,
    STATE(8358), 1,
      sym_parameter_list,
    STATE(8840), 1,
      sym_type_parameter_list,
    STATE(8376), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374825] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10532), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8377), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374872] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10534), 1,
      anon_sym_COMMA,
    ACTIONS(10536), 1,
      anon_sym_RBRACE,
    STATE(8497), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8378), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374919] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10538), 1,
      anon_sym_COMMA,
    ACTIONS(10540), 1,
      anon_sym_RBRACK,
    STATE(8593), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8379), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [374966] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
    ACTIONS(10542), 1,
      anon_sym_COMMA,
    STATE(8531), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8380), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375013] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10544), 1,
      anon_sym_COMMA,
    ACTIONS(10546), 1,
      anon_sym_RPAREN,
    STATE(8445), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8381), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375060] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9345), 1,
      anon_sym_RBRACK,
    ACTIONS(10548), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8382), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375107] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(10552), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8383), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375154] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10554), 1,
      anon_sym_COMMA,
    ACTIONS(10556), 1,
      anon_sym_RPAREN,
    STATE(8694), 1,
      aux_sym_attribute_argument_list_repeat1,
    STATE(8384), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375201] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10450), 3,
      sym_interpolation_end_quote,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
    STATE(8385), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375244] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10558), 1,
      anon_sym_COMMA,
    ACTIONS(10560), 1,
      anon_sym_RBRACK,
    STATE(8627), 1,
      aux_sym_argument_list_repeat1,
    STATE(8386), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375291] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10564), 1,
      anon_sym_RBRACE,
    STATE(8494), 1,
      aux_sym_with_expression_repeat1,
    STATE(8387), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375338] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    ACTIONS(10566), 1,
      anon_sym_COMMA,
    STATE(8417), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8388), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375385] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10570), 1,
      anon_sym_RPAREN,
    STATE(8422), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8389), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375432] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10574), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8390), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375479] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(10576), 1,
      anon_sym_SEMI,
    STATE(8439), 1,
      aux_sym_for_statement_repeat1,
    STATE(8391), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375526] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10578), 1,
      anon_sym_RBRACE,
    STATE(8524), 1,
      aux_sym_with_expression_repeat1,
    STATE(8392), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375573] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9317), 1,
      anon_sym_RBRACE,
    ACTIONS(10580), 1,
      anon_sym_COMMA,
    STATE(8601), 1,
      aux_sym_enum_member_declaration_list_repeat1,
    STATE(8393), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375620] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10582), 1,
      anon_sym_COMMA,
    ACTIONS(10585), 1,
      anon_sym_RPAREN,
    STATE(8394), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_tuple_pattern_repeat1,
  [375665] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10587), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(8395), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375708] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10589), 1,
      anon_sym_RPAREN,
    STATE(8648), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8396), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375755] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10591), 1,
      anon_sym_EQ,
    ACTIONS(10388), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8397), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375800] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10146), 1,
      anon_sym_COMMA,
    ACTIONS(10346), 1,
      anon_sym_LBRACE,
    STATE(8399), 1,
      aux_sym_base_list_repeat1,
    STATE(8398), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375847] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10280), 1,
      anon_sym_LBRACE,
    ACTIONS(10593), 1,
      anon_sym_COMMA,
    STATE(8399), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_base_list_repeat1,
  [375892] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9327), 1,
      anon_sym_RBRACK,
    ACTIONS(10596), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8400), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375939] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10598), 1,
      anon_sym_RBRACK,
    STATE(8418), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8401), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [375986] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10600), 1,
      anon_sym_RBRACK,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8402), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376033] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10602), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8403), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376080] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10604), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8404), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376127] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2243), 1,
      anon_sym_RBRACE,
    ACTIONS(10606), 1,
      anon_sym_COMMA,
    STATE(8531), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8405), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376174] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10608), 1,
      anon_sym_RBRACE,
    STATE(8493), 1,
      aux_sym_with_expression_repeat1,
    STATE(8406), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376221] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2311), 1,
      anon_sym_RBRACK,
    ACTIONS(10610), 1,
      anon_sym_COMMA,
    STATE(8637), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8407), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376268] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10011), 1,
      anon_sym_RPAREN,
    ACTIONS(10522), 1,
      anon_sym_EQ,
    ACTIONS(10612), 1,
      anon_sym_COMMA,
    STATE(8408), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376315] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10615), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8409), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376358] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10617), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8410), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376405] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10619), 1,
      anon_sym_EQ,
    ACTIONS(10621), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8411), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376450] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7972), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8412), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376493] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_COMMA,
    ACTIONS(10625), 1,
      anon_sym_RPAREN,
    STATE(8487), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(8413), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376540] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10627), 1,
      anon_sym_EQ,
    ACTIONS(10629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8414), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376585] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10631), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8415), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376632] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10633), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8416), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376679] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10635), 1,
      anon_sym_COMMA,
    ACTIONS(10638), 1,
      anon_sym_RBRACE,
    STATE(8417), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_positional_pattern_clause_repeat1,
  [376724] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10640), 1,
      anon_sym_RBRACK,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8418), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376771] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10544), 1,
      anon_sym_COMMA,
    ACTIONS(10642), 1,
      anon_sym_RPAREN,
    STATE(8445), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8419), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376818] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10644), 1,
      anon_sym_DQUOTE,
    ACTIONS(10646), 1,
      sym_integer_literal,
    STATE(9572), 1,
      sym_string_literal,
    STATE(8420), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376865] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10648), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(8421), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376908] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10650), 1,
      anon_sym_RPAREN,
    STATE(8648), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8422), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [376955] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10652), 1,
      anon_sym_RBRACK,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8423), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377002] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(10654), 1,
      anon_sym_COMMA,
    STATE(8417), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8424), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377049] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_RBRACE,
    ACTIONS(10656), 1,
      anon_sym_COMMA,
    STATE(8531), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8425), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377096] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10660), 1,
      anon_sym_RPAREN,
    STATE(8575), 1,
      aux_sym_argument_list_repeat1,
    STATE(8426), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377143] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10662), 1,
      anon_sym_COMMA,
    ACTIONS(10665), 1,
      anon_sym_RBRACK,
    STATE(8427), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_global_attribute_repeat1,
  [377188] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10667), 1,
      anon_sym_RPAREN,
    STATE(8509), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8428), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377235] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10669), 1,
      anon_sym_COMMA,
    ACTIONS(10671), 1,
      anon_sym_GT,
    STATE(8577), 1,
      aux_sym_type_parameter_list_repeat1,
    STATE(8429), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377282] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(10673), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8430), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377329] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10675), 1,
      anon_sym_COMMA,
    ACTIONS(10677), 1,
      anon_sym_RBRACK,
    STATE(8455), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8431), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377376] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10679), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8432), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377423] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(8159), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8433), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377470] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10681), 1,
      anon_sym_RBRACK,
    STATE(8402), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8434), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377517] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10683), 1,
      anon_sym_COMMA,
    ACTIONS(10685), 1,
      anon_sym_RBRACK,
    STATE(8457), 1,
      aux_sym_argument_list_repeat1,
    STATE(8435), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377564] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10687), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8436), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377611] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10689), 1,
      anon_sym_RBRACE,
    STATE(8524), 1,
      aux_sym_with_expression_repeat1,
    STATE(8437), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377658] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(9792), 1,
      anon_sym_LBRACE,
    STATE(9297), 1,
      sym_declaration_list,
    STATE(8438), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377705] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8257), 1,
      anon_sym_SEMI,
    ACTIONS(10691), 1,
      anon_sym_COMMA,
    STATE(8439), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_for_statement_repeat1,
  [377750] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10694), 1,
      anon_sym_COMMA,
    ACTIONS(10697), 1,
      anon_sym_RPAREN,
    STATE(8440), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_tuple_type_repeat1,
  [377795] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10638), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    STATE(8441), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377838] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8442), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377885] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10436), 3,
      sym_interpolation_end_quote,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
    STATE(8443), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377928] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10699), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8444), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [377975] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10638), 1,
      anon_sym_RPAREN,
    ACTIONS(10701), 1,
      anon_sym_COMMA,
    STATE(8445), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_positional_pattern_clause_repeat1,
  [378020] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8446), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378067] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10704), 1,
      anon_sym_GT,
    STATE(8462), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8447), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378114] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10706), 1,
      anon_sym_EQ,
    ACTIONS(10629), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(8448), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378159] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10704), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8449), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378206] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10708), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8450), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378253] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10710), 1,
      anon_sym_COMMA,
    ACTIONS(10712), 1,
      anon_sym_RBRACK,
    STATE(8613), 1,
      aux_sym_calling_convention_repeat1,
    STATE(8451), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378300] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(10714), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8452), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378347] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_RBRACE,
    ACTIONS(10716), 1,
      anon_sym_COMMA,
    STATE(8531), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8453), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378394] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10718), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8454), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378441] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9337), 1,
      anon_sym_RBRACK,
    ACTIONS(10720), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8455), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378488] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9337), 1,
      anon_sym_RBRACK,
    ACTIONS(10720), 1,
      anon_sym_COMMA,
    STATE(8563), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8456), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378535] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_RBRACK,
    ACTIONS(10722), 1,
      anon_sym_COMMA,
    STATE(8495), 1,
      aux_sym_argument_list_repeat1,
    STATE(8457), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378582] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10446), 3,
      sym_interpolation_end_quote,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
    STATE(8458), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378625] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10724), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8459), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378672] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10726), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8460), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378719] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10728), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8461), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378766] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10730), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8462), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378813] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8161), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8463), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378856] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_RBRACK,
    ACTIONS(10732), 1,
      anon_sym_COMMA,
    STATE(8637), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8464), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378903] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(10734), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8465), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378950] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10736), 1,
      anon_sym_COMMA,
    ACTIONS(10738), 1,
      anon_sym_RBRACE,
    STATE(8610), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8466), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [378997] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10740), 1,
      anon_sym_RBRACE,
    STATE(8524), 1,
      aux_sym_with_expression_repeat1,
    STATE(8467), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379044] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_RBRACE,
    ACTIONS(10742), 1,
      anon_sym_COMMA,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8468), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379091] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10744), 1,
      anon_sym_COMMA,
    ACTIONS(10746), 1,
      anon_sym_RBRACK,
    STATE(8499), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8469), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379138] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10748), 1,
      anon_sym_COMMA,
    ACTIONS(10750), 1,
      anon_sym_RBRACK,
    STATE(8501), 1,
      aux_sym_argument_list_repeat1,
    STATE(8470), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379185] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10752), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8471), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379232] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10754), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8472), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379279] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10756), 1,
      anon_sym_GT,
    STATE(8390), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8473), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379326] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10758), 1,
      anon_sym_RBRACK,
    STATE(8476), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8474), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379373] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10760), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8475), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379420] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10762), 1,
      anon_sym_RBRACK,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8476), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379467] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10756), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8477), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379514] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10764), 1,
      anon_sym_RPAREN,
    STATE(8586), 1,
      aux_sym_argument_list_repeat1,
    STATE(8478), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379561] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10766), 1,
      anon_sym_COMMA,
    ACTIONS(10768), 1,
      anon_sym_RPAREN,
    STATE(8394), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(8479), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379608] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10770), 1,
      anon_sym_COMMA,
    ACTIONS(10772), 1,
      anon_sym_RBRACE,
    STATE(8592), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8480), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379655] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10766), 1,
      anon_sym_COMMA,
    ACTIONS(10774), 1,
      anon_sym_RPAREN,
    STATE(8394), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(8481), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379702] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_RBRACE,
    ACTIONS(10776), 1,
      anon_sym_COMMA,
    STATE(8531), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8482), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379749] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10778), 3,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
      anon_sym_DQUOTE,
    STATE(8483), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379792] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10780), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8484), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379835] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10780), 1,
      anon_sym_SEMI,
    ACTIONS(10782), 1,
      anon_sym_COMMA,
    STATE(8485), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_variable_declaration_repeat1,
  [379880] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10785), 3,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
      anon_sym_DQUOTE,
    STATE(8486), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [379923] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10780), 1,
      anon_sym_RPAREN,
    ACTIONS(10787), 1,
      anon_sym_COMMA,
    STATE(8487), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_variable_declaration_repeat1,
  [379968] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym_RBRACK,
    ACTIONS(10790), 1,
      anon_sym_COMMA,
    STATE(8637), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8488), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380015] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10792), 1,
      anon_sym_RPAREN,
    STATE(8569), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8489), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380062] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10794), 1,
      anon_sym_RPAREN,
    STATE(8396), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8490), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380109] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10796), 3,
      sym_interpolation_end_quote,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
    STATE(8491), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380152] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10798), 3,
      sym_interpolation_end_quote,
      sym_interpolation_open_brace,
      sym_interpolation_string_content,
    STATE(8492), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380195] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10800), 1,
      anon_sym_RBRACE,
    STATE(8524), 1,
      aux_sym_with_expression_repeat1,
    STATE(8493), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380242] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10802), 1,
      anon_sym_RBRACE,
    STATE(8524), 1,
      aux_sym_with_expression_repeat1,
    STATE(8494), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380289] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10615), 1,
      anon_sym_RBRACK,
    ACTIONS(10804), 1,
      anon_sym_COMMA,
    STATE(8495), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_argument_list_repeat1,
  [380334] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10807), 1,
      anon_sym_COMMA,
    ACTIONS(10810), 1,
      anon_sym_GT,
    STATE(8496), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_type_argument_list_repeat2,
  [380379] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(10812), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8497), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380426] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10669), 1,
      anon_sym_COMMA,
    ACTIONS(10814), 1,
      anon_sym_GT,
    STATE(8429), 1,
      aux_sym_type_parameter_list_repeat1,
    STATE(8498), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380473] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9325), 1,
      anon_sym_RBRACK,
    ACTIONS(10816), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8499), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380520] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9325), 1,
      anon_sym_RBRACK,
    ACTIONS(10816), 1,
      anon_sym_COMMA,
    STATE(8530), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8500), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380567] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_RBRACK,
    ACTIONS(10818), 1,
      anon_sym_COMMA,
    STATE(8495), 1,
      aux_sym_argument_list_repeat1,
    STATE(8501), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380614] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10820), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8502), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380661] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(10822), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8503), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380708] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_RBRACE,
    ACTIONS(10824), 1,
      anon_sym_COMMA,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8504), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380755] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10826), 1,
      anon_sym_RPAREN,
    STATE(8535), 1,
      aux_sym_argument_list_repeat1,
    STATE(8505), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380802] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10828), 1,
      anon_sym_RBRACK,
    STATE(8511), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8506), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380849] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10830), 1,
      anon_sym_COMMA,
    ACTIONS(10832), 1,
      anon_sym_RBRACE,
    STATE(8537), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8507), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380896] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(10836), 1,
      anon_sym_RBRACK,
    STATE(8244), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8508), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380943] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10838), 1,
      anon_sym_RPAREN,
    STATE(8648), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8509), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [380990] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(10840), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8510), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381037] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10842), 1,
      anon_sym_RBRACK,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8511), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381084] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(8075), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8512), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381131] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(8060), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8513), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381178] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(10844), 1,
      anon_sym_SEMI,
    STATE(3510), 1,
      sym_accessor_list,
    STATE(8514), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381225] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(8301), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8515), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381272] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_LPAREN,
    STATE(2473), 1,
      sym_block,
    STATE(8516), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381319] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10848), 1,
      anon_sym_RBRACK,
    STATE(8520), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8517), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381366] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(10850), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8518), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381413] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym_RBRACK,
    ACTIONS(10852), 1,
      anon_sym_COMMA,
    STATE(8519), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_array_rank_specifier_repeat1,
  [381458] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10855), 1,
      anon_sym_RBRACK,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8520), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381505] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10857), 1,
      anon_sym_GT,
    STATE(8528), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8521), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381552] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10857), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8522), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381599] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10859), 1,
      anon_sym_GT,
    STATE(8544), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8523), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381646] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10861), 1,
      anon_sym_COMMA,
    ACTIONS(10864), 1,
      anon_sym_RBRACE,
    STATE(8524), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_with_expression_repeat1,
  [381691] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10859), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8525), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381738] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10866), 1,
      anon_sym_GT,
    STATE(8551), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8526), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381785] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10866), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8527), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381832] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10868), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8528), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381879] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(8056), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8529), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381926] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9361), 1,
      anon_sym_RBRACK,
    ACTIONS(10870), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8530), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [381973] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10872), 1,
      anon_sym_COMMA,
    ACTIONS(10875), 1,
      anon_sym_RBRACE,
    STATE(8531), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_switch_expression_repeat1,
  [382018] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(10877), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8532), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382065] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10879), 1,
      anon_sym_COMMA,
    ACTIONS(10882), 1,
      aux_sym_preproc_if_token2,
    STATE(8533), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_preproc_pragma_repeat1,
  [382110] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    ACTIONS(7372), 1,
      anon_sym_QMARK,
    STATE(8534), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382157] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10884), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8535), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382204] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10886), 1,
      anon_sym_COMMA,
    ACTIONS(10888), 1,
      anon_sym_RBRACE,
    STATE(8405), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8536), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382251] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(10890), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8537), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382298] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(10892), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8538), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382345] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(10894), 1,
      anon_sym_RPAREN,
    STATE(8647), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8539), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382392] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(10896), 1,
      anon_sym_SEMI,
    STATE(3455), 1,
      sym_accessor_list,
    STATE(8540), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382439] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10898), 1,
      anon_sym_EQ,
    ACTIONS(10516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8541), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382484] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10900), 1,
      anon_sym_COMMA,
    ACTIONS(10903), 1,
      anon_sym_RPAREN,
    STATE(8542), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_using_variable_declaration_repeat1,
  [382529] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10905), 1,
      anon_sym_COMMA,
    ACTIONS(10907), 1,
      anon_sym_RBRACE,
    STATE(8554), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8543), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382576] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10909), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8544), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382623] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(10911), 1,
      anon_sym_RPAREN,
    STATE(8679), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8545), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382670] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10913), 1,
      anon_sym_GT,
    STATE(8649), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8546), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382717] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10913), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8547), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382764] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10915), 1,
      anon_sym_COMMA,
    ACTIONS(10918), 1,
      anon_sym_RPAREN,
    STATE(8548), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_attribute_argument_list_repeat1,
  [382809] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10920), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8549), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382856] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_RBRACE,
    STATE(8560), 1,
      aux_sym_with_expression_repeat1,
    STATE(8550), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382903] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10924), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8551), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382950] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(10926), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8552), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [382997] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(10928), 1,
      anon_sym_RBRACK,
    STATE(8508), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8553), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383044] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_RBRACE,
    ACTIONS(10930), 1,
      anon_sym_COMMA,
    STATE(8531), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8554), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383091] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10932), 1,
      anon_sym_COMMA,
    ACTIONS(10935), 1,
      anon_sym_RBRACE,
    STATE(8555), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_anonymous_object_creation_expression_repeat1,
  [383136] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(10937), 1,
      anon_sym_RBRACK,
    STATE(8574), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8556), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383183] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2287), 1,
      anon_sym_RBRACK,
    ACTIONS(10939), 1,
      anon_sym_COMMA,
    STATE(8637), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8557), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383230] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10941), 1,
      anon_sym_RPAREN,
    STATE(8562), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8558), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383277] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(10943), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8559), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383324] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10945), 1,
      anon_sym_RBRACE,
    STATE(8524), 1,
      aux_sym_with_expression_repeat1,
    STATE(8560), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383371] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10947), 1,
      anon_sym_COMMA,
    ACTIONS(10949), 1,
      anon_sym_RBRACK,
    STATE(8661), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8561), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383418] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10951), 1,
      anon_sym_RPAREN,
    STATE(8648), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8562), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383465] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9355), 1,
      anon_sym_RBRACK,
    ACTIONS(10953), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8563), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383512] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9297), 1,
      anon_sym_RBRACK,
    ACTIONS(10955), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8564), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383559] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(10957), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8565), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383606] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10959), 1,
      anon_sym_COMMA,
    ACTIONS(10961), 1,
      anon_sym_RBRACE,
    STATE(8424), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8566), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383653] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_LPAREN,
    STATE(2231), 1,
      sym_block,
    STATE(8567), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383700] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10615), 1,
      anon_sym_RPAREN,
    ACTIONS(10963), 1,
      anon_sym_COMMA,
    STATE(8568), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_argument_list_repeat1,
  [383745] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10568), 1,
      anon_sym_COMMA,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
    STATE(8648), 1,
      aux_sym_parenthesized_variable_designation_repeat1,
    STATE(8569), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383792] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10968), 1,
      anon_sym_GT,
    STATE(8572), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8570), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383839] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(10968), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8571), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383886] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(10970), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8572), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383933] = 13,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10972), 1,
      anon_sym_DQUOTE,
    ACTIONS(10974), 1,
      aux_sym_preproc_if_token2,
    STATE(9007), 1,
      sym_string_literal,
    STATE(8573), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [383980] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(10976), 1,
      anon_sym_RBRACK,
    STATE(8244), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8574), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384027] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(10978), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8575), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384074] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(10444), 1,
      anon_sym_RPAREN,
    ACTIONS(10980), 1,
      anon_sym_COMMA,
    STATE(8576), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384121] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10983), 1,
      anon_sym_COMMA,
    ACTIONS(10986), 1,
      anon_sym_GT,
    STATE(8577), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_type_parameter_list_repeat1,
  [384166] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10988), 1,
      anon_sym_COMMA,
    ACTIONS(10990), 1,
      anon_sym_RBRACK,
    STATE(8614), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8578), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384213] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10992), 1,
      anon_sym_COMMA,
    ACTIONS(10994), 1,
      anon_sym_RBRACK,
    STATE(8620), 1,
      aux_sym_argument_list_repeat1,
    STATE(8579), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384260] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8058), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8580), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384303] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(10996), 1,
      anon_sym_RBRACE,
    STATE(8467), 1,
      aux_sym_with_expression_repeat1,
    STATE(8581), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384350] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_COMMA,
    ACTIONS(11000), 1,
      anon_sym_RBRACE,
    STATE(8482), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8582), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384397] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11002), 1,
      anon_sym_GT,
    STATE(8585), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8583), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384444] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11002), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8584), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384491] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11004), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8585), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384538] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(11006), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8586), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384585] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7374), 1,
      anon_sym_DOT,
    ACTIONS(4453), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8587), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384630] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11008), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8588), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384677] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11010), 1,
      anon_sym_COMMA,
    ACTIONS(11012), 1,
      anon_sym_RBRACE,
    STATE(8393), 1,
      aux_sym_enum_member_declaration_list_repeat1,
    STATE(8589), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384724] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11014), 1,
      anon_sym_EQ,
    ACTIONS(10426), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8590), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384769] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11016), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8591), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384816] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(11018), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8592), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384863] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_RBRACK,
    ACTIONS(11020), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8593), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384910] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11022), 1,
      anon_sym_GT,
    STATE(8597), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8594), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [384957] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11022), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8595), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385004] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8083), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8596), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385047] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11024), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8597), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385094] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9351), 1,
      anon_sym_RBRACK,
    ACTIONS(11020), 1,
      anon_sym_COMMA,
    STATE(8382), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8598), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385141] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11026), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8599), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385188] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8600), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385235] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11030), 1,
      anon_sym_COMMA,
    ACTIONS(11033), 1,
      anon_sym_RBRACE,
    STATE(8601), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_enum_member_declaration_list_repeat1,
  [385280] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11035), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_where,
    STATE(8602), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385323] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11037), 1,
      anon_sym_COMMA,
    ACTIONS(11039), 1,
      anon_sym_RBRACE,
    STATE(8453), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8603), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385370] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11041), 1,
      anon_sym_GT,
    STATE(8607), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8604), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385417] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11041), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8605), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385464] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11043), 1,
      anon_sym_GT,
    STATE(8599), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8606), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385511] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11045), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8607), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385558] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11047), 3,
      anon_sym_disable,
      anon_sym_restore,
      anon_sym_enable,
    STATE(8608), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385601] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11043), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8609), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385648] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    ACTIONS(11049), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8610), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385695] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11051), 1,
      anon_sym_GT,
    STATE(8615), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8611), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385742] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11051), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8612), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385789] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10710), 1,
      anon_sym_COMMA,
    ACTIONS(11053), 1,
      anon_sym_RBRACK,
    STATE(8618), 1,
      aux_sym_calling_convention_repeat1,
    STATE(8613), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385836] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9357), 1,
      anon_sym_RBRACK,
    ACTIONS(11055), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8614), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385883] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11057), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8615), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385930] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_COMMA,
    ACTIONS(11059), 1,
      anon_sym_RPAREN,
    STATE(8413), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(8616), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [385977] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9357), 1,
      anon_sym_RBRACK,
    ACTIONS(11055), 1,
      anon_sym_COMMA,
    STATE(8400), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8617), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386024] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11061), 1,
      anon_sym_COMMA,
    ACTIONS(11064), 1,
      anon_sym_RBRACK,
    STATE(8618), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_calling_convention_repeat1,
  [386069] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11066), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11068), 2,
      anon_sym_annotations,
      anon_sym_warnings,
    STATE(8619), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386114] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_RBRACK,
    ACTIONS(11070), 1,
      anon_sym_COMMA,
    STATE(8495), 1,
      aux_sym_argument_list_repeat1,
    STATE(8620), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386161] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10625), 1,
      anon_sym_SEMI,
    ACTIONS(11072), 1,
      anon_sym_COMMA,
    STATE(8485), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(8621), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386208] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(11074), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8622), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386255] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(11076), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8623), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386302] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_RBRACE,
    ACTIONS(11078), 1,
      anon_sym_COMMA,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8624), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386349] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(11080), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8625), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386396] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_RBRACE,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8626), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386443] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2663), 1,
      anon_sym_RBRACK,
    ACTIONS(11084), 1,
      anon_sym_COMMA,
    STATE(8495), 1,
      aux_sym_argument_list_repeat1,
    STATE(8627), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386490] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(11086), 1,
      anon_sym_SEMI,
    STATE(8439), 1,
      aux_sym_for_statement_repeat1,
    STATE(8628), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386537] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11088), 1,
      anon_sym_COMMA,
    ACTIONS(11090), 1,
      anon_sym_RBRACK,
    STATE(8653), 1,
      aux_sym_argument_list_repeat1,
    STATE(8629), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386584] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(11092), 1,
      anon_sym_RPAREN,
    STATE(8600), 1,
      aux_sym_argument_list_repeat1,
    STATE(8630), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386631] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11094), 1,
      anon_sym_COMMA,
    ACTIONS(11096), 1,
      anon_sym_RBRACE,
    STATE(8380), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8631), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386678] = 13,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11098), 1,
      anon_sym_COMMA,
    ACTIONS(11100), 1,
      aux_sym_preproc_if_token2,
    STATE(8533), 1,
      aux_sym_preproc_pragma_repeat1,
    STATE(8632), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386725] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11102), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8633), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386772] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11104), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8634), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386819] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11106), 1,
      anon_sym_COMMA,
    ACTIONS(11108), 1,
      anon_sym_RBRACE,
    STATE(8388), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8635), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386866] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(8006), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8636), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [386913] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_RBRACK,
    ACTIONS(11110), 1,
      anon_sym_COMMA,
    STATE(8637), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_list_pattern_repeat1,
  [386958] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11113), 1,
      anon_sym_COMMA,
    ACTIONS(11115), 1,
      anon_sym_RBRACE,
    STATE(8626), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8638), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387005] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_COLON,
    ACTIONS(11117), 1,
      sym_interpolation_close_brace,
    STATE(9067), 1,
      sym_interpolation_format_clause,
    STATE(8639), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387052] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11059), 1,
      anon_sym_SEMI,
    ACTIONS(11072), 1,
      anon_sym_COMMA,
    STATE(8621), 1,
      aux_sym_variable_declaration_repeat1,
    STATE(8640), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387099] = 13,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11098), 1,
      anon_sym_COMMA,
    ACTIONS(11119), 1,
      aux_sym_preproc_if_token2,
    STATE(8632), 1,
      aux_sym_preproc_pragma_repeat1,
    STATE(8641), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387146] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11121), 1,
      anon_sym_COMMA,
    ACTIONS(11123), 1,
      anon_sym_RPAREN,
    STATE(8542), 1,
      aux_sym_using_variable_declaration_repeat1,
    STATE(8642), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387193] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11125), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8643), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387240] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11127), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8644), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387287] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(11129), 1,
      anon_sym_RBRACE,
    STATE(8392), 1,
      aux_sym_with_expression_repeat1,
    STATE(8645), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387334] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9343), 1,
      anon_sym_RBRACK,
    ACTIONS(11131), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8646), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387381] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(11133), 1,
      anon_sym_RPAREN,
    STATE(8244), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8647), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387428] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11135), 1,
      anon_sym_COMMA,
    ACTIONS(11138), 1,
      anon_sym_RPAREN,
    STATE(8648), 9,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
      aux_sym_parenthesized_variable_designation_repeat1,
  [387473] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11140), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8649), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387520] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_LPAREN,
    STATE(8757), 1,
      sym_block,
    STATE(8650), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387567] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(11142), 1,
      anon_sym_COMMA,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8651), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387614] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11144), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8652), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387661] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2623), 1,
      anon_sym_RBRACK,
    ACTIONS(11146), 1,
      anon_sym_COMMA,
    STATE(8495), 1,
      aux_sym_argument_list_repeat1,
    STATE(8653), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387708] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(11148), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8654), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387755] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8655), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387802] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_COLON,
    ACTIONS(11152), 1,
      sym_interpolation_close_brace,
    STATE(9006), 1,
      sym_interpolation_format_clause,
    STATE(8656), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387849] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_COMMA,
    ACTIONS(11156), 1,
      anon_sym_RBRACE,
    STATE(8680), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8657), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387896] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(7960), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8658), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387943] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(11158), 1,
      anon_sym_SEMI,
    STATE(8439), 1,
      aux_sym_for_statement_repeat1,
    STATE(8659), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [387990] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(8259), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8660), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388037] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9309), 1,
      anon_sym_RBRACK,
    ACTIONS(11160), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8661), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388084] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11162), 1,
      anon_sym_RBRACK,
    STATE(8423), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8662), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388131] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_COMMA,
    ACTIONS(11164), 1,
      anon_sym_RPAREN,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8663), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388178] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10146), 1,
      anon_sym_COMMA,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(8398), 1,
      aux_sym_base_list_repeat1,
    STATE(8664), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388225] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10146), 1,
      anon_sym_COMMA,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(8399), 1,
      aux_sym_base_list_repeat1,
    STATE(8665), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388272] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11166), 1,
      anon_sym_COMMA,
    ACTIONS(11168), 1,
      anon_sym_RBRACK,
    STATE(8690), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8666), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388319] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_COMMA,
    ACTIONS(11172), 1,
      anon_sym_RBRACK,
    STATE(8695), 1,
      aux_sym_argument_list_repeat1,
    STATE(8667), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388366] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8267), 1,
      anon_sym_COMMA,
    ACTIONS(11174), 1,
      anon_sym_SEMI,
    STATE(8439), 1,
      aux_sym_for_statement_repeat1,
    STATE(8668), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388413] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10766), 1,
      anon_sym_COMMA,
    ACTIONS(11176), 1,
      anon_sym_RPAREN,
    STATE(8479), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(8669), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388460] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11178), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8670), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388503] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(11180), 1,
      anon_sym_SEMI,
    STATE(3238), 1,
      sym_accessor_list,
    STATE(8671), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388550] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11182), 1,
      anon_sym_GT,
    STATE(8691), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8672), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388597] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11182), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8673), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388644] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11184), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8674), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388687] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11121), 1,
      anon_sym_COMMA,
    ACTIONS(11186), 1,
      anon_sym_RPAREN,
    STATE(8642), 1,
      aux_sym_using_variable_declaration_repeat1,
    STATE(8675), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388734] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_block,
    STATE(8676), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388781] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11188), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8677), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388824] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11190), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(8678), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388867] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_COMMA,
    ACTIONS(11192), 1,
      anon_sym_RPAREN,
    STATE(8244), 1,
      aux_sym_bracketed_parameter_list_repeat1,
    STATE(8679), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388914] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    ACTIONS(11194), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      aux_sym_anonymous_object_creation_expression_repeat1,
    STATE(8680), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [388961] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11196), 1,
      anon_sym_GT,
    STATE(8415), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8681), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389008] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5738), 1,
      anon_sym_COMMA,
    ACTIONS(11196), 1,
      anon_sym_GT,
    STATE(8261), 1,
      aux_sym_type_argument_list_repeat1,
    STATE(8682), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389055] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(11198), 1,
      anon_sym_RBRACK,
    STATE(8519), 1,
      aux_sym_array_rank_specifier_repeat1,
    STATE(8683), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389102] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9272), 1,
      anon_sym_RPAREN,
    ACTIONS(10766), 1,
      anon_sym_COMMA,
    STATE(8481), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(8684), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389149] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11200), 1,
      anon_sym_COMMA,
    ACTIONS(11202), 1,
      anon_sym_RBRACE,
    STATE(8425), 1,
      aux_sym_switch_expression_repeat1,
    STATE(8685), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389196] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11204), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(8686), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389239] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11206), 1,
      anon_sym_COMMA,
    ACTIONS(11208), 1,
      anon_sym_RBRACK,
    STATE(8646), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8687), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389286] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(11210), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8688), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389333] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10562), 1,
      anon_sym_COMMA,
    ACTIONS(11212), 1,
      anon_sym_RBRACE,
    STATE(8437), 1,
      aux_sym_with_expression_repeat1,
    STATE(8689), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389380] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9359), 1,
      anon_sym_RBRACK,
    ACTIONS(11214), 1,
      anon_sym_COMMA,
    STATE(8427), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8690), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389427] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10572), 1,
      anon_sym_COMMA,
    ACTIONS(11216), 1,
      anon_sym_GT,
    STATE(8496), 1,
      aux_sym_type_argument_list_repeat2,
    STATE(8691), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389474] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11218), 1,
      anon_sym_EQ,
    ACTIONS(10621), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(8692), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389519] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9359), 1,
      anon_sym_RBRACK,
    ACTIONS(11214), 1,
      anon_sym_COMMA,
    STATE(8564), 1,
      aux_sym_global_attribute_repeat1,
    STATE(8693), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389566] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10554), 1,
      anon_sym_COMMA,
    ACTIONS(11220), 1,
      anon_sym_RPAREN,
    STATE(8548), 1,
      aux_sym_attribute_argument_list_repeat1,
    STATE(8694), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389613] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2639), 1,
      anon_sym_RBRACK,
    ACTIONS(11222), 1,
      anon_sym_COMMA,
    STATE(8495), 1,
      aux_sym_argument_list_repeat1,
    STATE(8695), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389660] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(11224), 1,
      anon_sym_RPAREN,
    STATE(8568), 1,
      aux_sym_argument_list_repeat1,
    STATE(8696), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389707] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    ACTIONS(11226), 1,
      anon_sym_RPAREN,
    STATE(8440), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8697), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389754] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_RBRACE,
    ACTIONS(11228), 1,
      anon_sym_COMMA,
    STATE(8336), 1,
      aux_sym_for_statement_repeat1,
    STATE(8698), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389801] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    ACTIONS(11230), 1,
      anon_sym_RPAREN,
    STATE(8454), 1,
      aux_sym_argument_list_repeat1,
    STATE(8699), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389848] = 13,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(2317), 1,
      anon_sym_RBRACK,
    ACTIONS(11232), 1,
      anon_sym_COMMA,
    STATE(8637), 1,
      aux_sym_list_pattern_repeat1,
    STATE(8700), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389895] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8363), 1,
      sym_parameter_list,
    STATE(8701), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389939] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3107), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8702), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [389981] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7626), 1,
      sym_parameter_list,
    STATE(8703), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390025] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11234), 2,
      sym_character_literal_content,
      sym_escape_sequence,
    STATE(8704), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390067] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7650), 1,
      sym_parameter_list,
    STATE(8705), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390111] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11236), 2,
      anon_sym_this,
      anon_sym_base,
    STATE(8706), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390153] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3299), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8707), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390195] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10327), 1,
      anon_sym_LBRACE,
    STATE(3632), 1,
      sym_block,
    STATE(8708), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390239] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11238), 1,
      anon_sym_SEMI,
    STATE(8709), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390283] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11240), 1,
      anon_sym_LBRACE,
    STATE(2494), 1,
      sym_switch_body,
    STATE(8710), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390327] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10544), 1,
      anon_sym_COMMA,
    STATE(8419), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8711), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390371] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3303), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8712), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390413] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3231), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8713), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390455] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(3767), 1,
      sym_initializer_expression,
    STATE(8714), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390499] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3307), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8715), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390541] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7595), 1,
      sym_parameter_list,
    STATE(8716), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390585] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3311), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8717), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390627] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3235), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8718), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390669] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11242), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11244), 1,
      sym_preproc_arg,
    STATE(8719), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390713] = 12,
    ACTIONS(5336), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11246), 1,
      sym_string_literal_encoding,
    STATE(8720), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390757] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym_LBRACE,
    STATE(2696), 1,
      sym_switch_body,
    STATE(8721), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390801] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11250), 1,
      anon_sym_SEMI,
    STATE(8722), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390845] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7635), 1,
      sym_parameter_list,
    STATE(8723), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390889] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7902), 1,
      sym_parameter_list,
    STATE(8724), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390933] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    STATE(2217), 1,
      sym_block,
    STATE(8725), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [390977] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8344), 1,
      sym_parameter_list,
    STATE(8726), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391021] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3239), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8727), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391063] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3243), 1,
      anon_sym_while,
    ACTIONS(11252), 1,
      anon_sym_else,
    STATE(8728), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391107] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_DQUOTE,
    STATE(8898), 1,
      sym_string_literal,
    STATE(8729), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391151] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3049), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8730), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391193] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3315), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8731), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391235] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3111), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8732), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391277] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    STATE(2211), 1,
      sym_block,
    STATE(8733), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391321] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3249), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8734), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391363] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11254), 1,
      anon_sym_on,
    STATE(7622), 1,
      sym__join_body,
    STATE(8735), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391407] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    STATE(8262), 1,
      sym_bracketed_parameter_list,
    STATE(8736), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391451] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11258), 1,
      anon_sym_LBRACK,
    STATE(3589), 1,
      sym_array_rank_specifier,
    STATE(8737), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391495] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11240), 1,
      anon_sym_LBRACE,
    STATE(2481), 1,
      sym_switch_body,
    STATE(8738), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391539] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3115), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8739), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391581] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3119), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8740), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391623] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3253), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8741), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391665] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    STATE(8317), 1,
      sym_bracketed_parameter_list,
    STATE(8742), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391709] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    STATE(8688), 1,
      aux_sym_argument_list_repeat1,
    STATE(8743), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391753] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3257), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8744), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391795] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7893), 1,
      sym_parameter_list,
    STATE(8745), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391839] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10986), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8746), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391881] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10325), 1,
      anon_sym_LBRACE,
    STATE(4598), 1,
      sym_block,
    STATE(8747), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391925] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8241), 1,
      sym_parameter_list,
    STATE(8748), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [391969] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11260), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(8749), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392011] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3319), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8750), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392053] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9641), 1,
      sym_enum_member_declaration_list,
    STATE(8751), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392097] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11262), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8752), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392139] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym_LPAREN,
    STATE(8686), 1,
      sym_argument_list,
    STATE(8753), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392183] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11264), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(8754), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392225] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7567), 1,
      sym_parameter_list,
    STATE(8755), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392269] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7775), 1,
      sym_parameter_list,
    STATE(8756), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392313] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3123), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8757), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392355] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9278), 1,
      sym_enum_member_declaration_list,
    STATE(8758), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392399] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3191), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8759), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392441] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7779), 1,
      sym_parameter_list,
    STATE(8760), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392485] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3323), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8761), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392527] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11266), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(8762), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392569] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3327), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8763), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392611] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10282), 1,
      anon_sym_LBRACE,
    STATE(5537), 1,
      sym_block,
    STATE(8764), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392655] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11268), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8765), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392697] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    STATE(8374), 1,
      sym_bracketed_parameter_list,
    STATE(8766), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392741] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11270), 1,
      anon_sym_LBRACE,
    STATE(2241), 1,
      sym_switch_body,
    STATE(8767), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392785] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3127), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8768), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392827] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7583), 1,
      sym_parameter_list,
    STATE(8769), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392871] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3131), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8770), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392913] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3135), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8771), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392955] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3195), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8772), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [392997] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7835), 1,
      sym_parameter_list,
    STATE(8773), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393041] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3263), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8774), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393083] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10810), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8775), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393125] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3139), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8776), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393167] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3199), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8777), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393209] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LBRACE,
    STATE(4615), 1,
      sym_initializer_expression,
    STATE(8778), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393253] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    STATE(8696), 1,
      aux_sym_argument_list_repeat1,
    STATE(8779), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393297] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3143), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8780), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393339] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_LBRACE,
    STATE(5640), 1,
      sym_initializer_expression,
    STATE(8781), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393383] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3331), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8782), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393425] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    STATE(2727), 1,
      sym_block,
    STATE(8783), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393469] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3335), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8784), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393511] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10544), 1,
      anon_sym_COMMA,
    STATE(8381), 1,
      aux_sym_positional_pattern_clause_repeat1,
    STATE(8785), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393555] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LBRACE,
    STATE(4576), 1,
      sym_initializer_expression,
    STATE(8786), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393599] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7559), 1,
      sym_parameter_list,
    STATE(8787), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393643] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11272), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8788), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393685] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7826), 1,
      sym_parameter_list,
    STATE(8789), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393729] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    STATE(3646), 1,
      sym_initializer_expression,
    STATE(8790), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393773] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3339), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8791), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393815] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8697), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8792), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393859] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3343), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8793), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393901] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_LBRACK,
    ACTIONS(11276), 1,
      anon_sym_LT,
    STATE(8794), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393945] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7905), 1,
      sym_parameter_list,
    STATE(8795), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [393989] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11278), 1,
      anon_sym_LBRACK,
    STATE(3258), 1,
      sym_array_rank_specifier,
    STATE(8796), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394033] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3347), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8797), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394075] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11280), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(8798), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394117] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11282), 2,
      sym_character_literal_content,
      sym_escape_sequence,
    STATE(8799), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394159] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11248), 1,
      anon_sym_LBRACE,
    STATE(2671), 1,
      sym_switch_body,
    STATE(8800), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394203] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7827), 1,
      sym_parameter_list,
    STATE(8801), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394247] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8802), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394289] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_GT,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(8803), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394333] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_LBRACE,
    STATE(4262), 1,
      sym_initializer_expression,
    STATE(8804), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394377] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3351), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8805), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394419] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3355), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8806), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394461] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8263), 1,
      sym_parameter_list,
    STATE(8807), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394505] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    STATE(8282), 1,
      sym_bracketed_parameter_list,
    STATE(8808), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394549] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11284), 2,
      anon_sym_disable,
      anon_sym_restore,
    STATE(8809), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394591] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9359), 1,
      sym_enum_member_declaration_list,
    STATE(8810), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394635] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9686), 1,
      sym_enum_member_declaration_list,
    STATE(8811), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394679] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    STATE(8502), 1,
      aux_sym_argument_list_repeat1,
    STATE(8812), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394723] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4453), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8813), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394765] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3147), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8814), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394807] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8503), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8815), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394851] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4469), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8816), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394893] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    STATE(2653), 1,
      sym_block,
    STATE(8817), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394937] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3359), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8818), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [394979] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7770), 1,
      sym_parameter_list,
    STATE(8819), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395023] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    STATE(2651), 1,
      sym_block,
    STATE(8820), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395067] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3223), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8821), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395109] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8275), 1,
      sym_parameter_list,
    STATE(8822), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395153] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7617), 1,
      sym_parameter_list,
    STATE(8823), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395197] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_DQUOTE,
    STATE(8729), 1,
      sym_string_literal,
    STATE(8824), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395241] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8825), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395283] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3363), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8826), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395325] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3367), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8827), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395367] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3371), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8828), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395409] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7609), 1,
      sym_parameter_list,
    STATE(8829), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395453] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3375), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8830), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395495] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8831), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395537] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3151), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8832), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395579] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3379), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8833), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395621] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11286), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8834), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395663] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7653), 1,
      sym_parameter_list,
    STATE(8835), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395707] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_LBRACE,
    STATE(4273), 1,
      sym_initializer_expression,
    STATE(8836), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395751] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3383), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8837), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395793] = 12,
    ACTIONS(5350), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11288), 1,
      sym_string_literal_encoding,
    STATE(8838), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395837] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8291), 1,
      sym_parameter_list,
    STATE(8839), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395881] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8366), 1,
      sym_parameter_list,
    STATE(8840), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395925] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11290), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8841), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [395967] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    STATE(8351), 1,
      sym_bracketed_parameter_list,
    STATE(8842), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396011] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10697), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8843), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396053] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3267), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8844), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396095] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11064), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8845), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396137] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3387), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8846), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396179] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3391), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8847), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396221] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3395), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8848), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396263] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(8759), 1,
      sym_block,
    STATE(8849), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396307] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(3747), 1,
      sym_initializer_expression,
    STATE(8850), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396351] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9878), 1,
      sym_enum_member_declaration_list,
    STATE(8851), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396395] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9371), 1,
      sym_enum_member_declaration_list,
    STATE(8852), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396439] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11292), 2,
      sym_character_literal_content,
      sym_escape_sequence,
    STATE(8853), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396481] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11294), 1,
      anon_sym_SEMI,
    STATE(8854), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396525] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3399), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8855), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396567] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    STATE(8461), 1,
      aux_sym_argument_list_repeat1,
    STATE(8856), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396611] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3155), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8857), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396653] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11296), 1,
      anon_sym_LBRACK,
    STATE(3996), 1,
      sym_array_rank_specifier,
    STATE(8858), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396697] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4475), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8859), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396739] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(8370), 1,
      sym_block,
    STATE(8860), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396783] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11298), 2,
      sym_character_literal_content,
      sym_escape_sequence,
    STATE(8861), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396825] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3219), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8862), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396867] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11300), 1,
      anon_sym_LBRACE,
    STATE(8713), 1,
      sym_switch_body,
    STATE(8863), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396911] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_LBRACE,
    STATE(3778), 1,
      sym_initializer_expression,
    STATE(8864), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396955] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11302), 1,
      anon_sym_in,
    STATE(8865), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [396999] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7651), 1,
      sym_parameter_list,
    STATE(8866), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397043] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8383), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8867), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397087] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_LBRACE,
    STATE(5556), 1,
      sym_initializer_expression,
    STATE(8868), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397131] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11304), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8869), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397173] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10864), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8870), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397215] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11306), 1,
      anon_sym_in,
    STATE(8871), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397259] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7576), 1,
      sym_parameter_list,
    STATE(8872), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397303] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11308), 1,
      anon_sym_in,
    STATE(8873), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397347] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7836), 1,
      sym_parameter_list,
    STATE(8874), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397391] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3211), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8875), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397433] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3159), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8876), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397475] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10304), 1,
      anon_sym_LBRACE,
    STATE(4022), 1,
      sym_block,
    STATE(8877), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397519] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11310), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8878), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397561] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10644), 1,
      anon_sym_DQUOTE,
    STATE(9581), 1,
      sym_string_literal,
    STATE(8879), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397605] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3163), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8880), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397647] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3167), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8881), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397689] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11270), 1,
      anon_sym_LBRACE,
    STATE(2259), 1,
      sym_switch_body,
    STATE(8882), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397733] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3003), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8883), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397775] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(8997), 1,
      sym_enum_member_declaration_list,
    STATE(8884), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397819] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8465), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8885), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397863] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3171), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8886), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397905] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7592), 1,
      sym_parameter_list,
    STATE(8887), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397949] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11312), 2,
      anon_sym_LBRACE,
      anon_sym_when,
    STATE(8888), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [397991] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11314), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8889), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398033] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(3757), 1,
      sym_block,
    STATE(8890), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398077] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11316), 1,
      anon_sym_SEMI,
    STATE(8891), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398121] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3271), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8892), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398163] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8893), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398205] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11318), 1,
      anon_sym_LBRACK,
    STATE(5404), 1,
      sym_array_rank_specifier,
    STATE(8894), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398249] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7665), 1,
      sym_parameter_list,
    STATE(8895), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398293] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10238), 1,
      anon_sym_LBRACE,
    STATE(4307), 1,
      sym_block,
    STATE(8896), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398337] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3179), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8897), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398379] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10644), 1,
      anon_sym_DQUOTE,
    STATE(9553), 1,
      sym_string_literal,
    STATE(8898), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398423] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11320), 1,
      anon_sym_LBRACK,
    STATE(5403), 1,
      sym_array_rank_specifier,
    STATE(8899), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398467] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11322), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8900), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398509] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3227), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8901), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398551] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    STATE(2249), 1,
      sym_block,
    STATE(8902), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398595] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3275), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8903), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398637] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8325), 1,
      sym_parameter_list,
    STATE(8904), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398681] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3183), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8905), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398723] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7862), 1,
      sym_parameter_list,
    STATE(8906), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398767] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10882), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11324), 1,
      anon_sym_COMMA,
    STATE(8907), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398811] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3279), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8908), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398853] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7584), 1,
      sym_parameter_list,
    STATE(8909), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398897] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    STATE(2223), 1,
      sym_block,
    STATE(8910), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398941] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_LBRACE,
    STATE(5572), 1,
      sym_initializer_expression,
    STATE(8911), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [398985] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3283), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8912), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399027] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7830), 1,
      sym_parameter_list,
    STATE(8913), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399071] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3187), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8914), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399113] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(7743), 1,
      sym_block,
    STATE(8915), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399157] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8510), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8916), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399201] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11326), 1,
      anon_sym_SEMI,
    STATE(8917), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399245] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11328), 1,
      anon_sym_LPAREN,
    STATE(8952), 1,
      sym_tuple_expression,
    STATE(8918), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399289] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_LBRACE,
    STATE(4041), 1,
      sym_initializer_expression,
    STATE(8919), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399333] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_LBRACE,
    STATE(4317), 1,
      sym_initializer_expression,
    STATE(8920), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399377] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11330), 1,
      anon_sym_LPAREN,
    STATE(8710), 1,
      sym_tuple_expression,
    STATE(8921), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399421] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11332), 1,
      anon_sym_LBRACK,
    STATE(2949), 1,
      sym_array_rank_specifier,
    STATE(8922), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399465] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_LBRACE,
    STATE(4046), 1,
      sym_initializer_expression,
    STATE(8923), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399509] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11334), 1,
      anon_sym_SEMI,
    STATE(8924), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399553] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(3732), 1,
      sym_block,
    STATE(8925), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399597] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    STATE(2214), 1,
      sym_block,
    STATE(8926), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399641] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11336), 1,
      anon_sym_in,
    STATE(8927), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399685] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11338), 1,
      anon_sym_LPAREN,
    STATE(8767), 1,
      sym_tuple_expression,
    STATE(8928), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399729] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11340), 1,
      anon_sym_in,
    STATE(8929), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399773] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11342), 1,
      anon_sym_SEMI,
    STATE(8930), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399817] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_LBRACE,
    STATE(2219), 1,
      sym_block,
    STATE(8931), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399861] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11344), 2,
      anon_sym_LBRACE,
      anon_sym_when,
    STATE(8932), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399903] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11346), 2,
      sym_character_literal_content,
      sym_escape_sequence,
    STATE(8933), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399945] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10903), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8934), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [399987] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11348), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(8935), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400029] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11350), 1,
      anon_sym_SEMI,
    STATE(8936), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400073] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(8328), 1,
      sym_parameter_list,
    STATE(8937), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400117] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7368), 1,
      anon_sym_LBRACK,
    ACTIONS(7370), 1,
      anon_sym_STAR,
    STATE(8938), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400161] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11352), 1,
      anon_sym_in,
    STATE(8939), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400205] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11354), 1,
      anon_sym_in,
    STATE(8940), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400249] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10935), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8941), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400291] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7831), 1,
      sym_parameter_list,
    STATE(8942), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400335] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10658), 1,
      anon_sym_COMMA,
    STATE(8622), 1,
      aux_sym_argument_list_repeat1,
    STATE(8943), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400379] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    STATE(3700), 1,
      sym_initializer_expression,
    STATE(8944), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400423] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3287), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8945), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400465] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10327), 1,
      anon_sym_LBRACE,
    STATE(3697), 1,
      sym_block,
    STATE(8946), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400509] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    STATE(2499), 1,
      sym_block,
    STATE(8947), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400553] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3291), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8948), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400595] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10304), 1,
      anon_sym_LBRACE,
    STATE(4069), 1,
      sym_block,
    STATE(8949), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400639] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8430), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8950), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400683] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10918), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8951), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400725] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11300), 1,
      anon_sym_LBRACE,
    STATE(8880), 1,
      sym_switch_body,
    STATE(8952), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400769] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8623), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8953), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400813] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_LBRACE,
    STATE(8319), 1,
      sym_block,
    STATE(8954), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400857] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9240), 1,
      sym_enum_member_declaration_list,
    STATE(8955), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400901] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_LBRACE,
    STATE(4080), 1,
      sym_initializer_expression,
    STATE(8956), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400945] = 12,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11356), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11358), 1,
      sym_preproc_arg,
    STATE(8957), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [400989] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11360), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8958), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401031] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    ACTIONS(11362), 1,
      anon_sym_in,
    STATE(8959), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401075] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7641), 1,
      sym_parameter_list,
    STATE(8960), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401119] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(5796), 1,
      anon_sym_LBRACE,
    STATE(2303), 1,
      sym_block,
    STATE(8961), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401163] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACE,
    STATE(9635), 1,
      sym_enum_member_declaration_list,
    STATE(8962), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401207] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11364), 1,
      anon_sym_LBRACK,
    STATE(3893), 1,
      sym_array_rank_specifier,
    STATE(8963), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401251] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11366), 1,
      anon_sym_warning,
    ACTIONS(11368), 1,
      anon_sym_checksum,
    STATE(8964), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401295] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3295), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8965), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401337] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10238), 1,
      anon_sym_LBRACE,
    STATE(4122), 1,
      sym_block,
    STATE(8966), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401381] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11370), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8967), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401423] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7887), 1,
      sym_parameter_list,
    STATE(8968), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401467] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6302), 1,
      anon_sym_LBRACE,
    STATE(2437), 1,
      sym_block,
    STATE(8969), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401511] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11372), 1,
      anon_sym_SEMI,
    STATE(8970), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401555] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7935), 1,
      sym_parameter_list,
    STATE(8971), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401599] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(8972), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401641] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11374), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8973), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401683] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11376), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(8974), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401725] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10282), 1,
      anon_sym_LBRACE,
    STATE(5612), 1,
      sym_block,
    STATE(8975), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401769] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11378), 1,
      anon_sym_LPAREN,
    STATE(8721), 1,
      sym_tuple_expression,
    STATE(8976), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401813] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10325), 1,
      anon_sym_LBRACE,
    STATE(4698), 1,
      sym_block,
    STATE(8977), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401857] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7889), 1,
      sym_parameter_list,
    STATE(8978), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401901] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11380), 2,
      sym_character_literal_content,
      sym_escape_sequence,
    STATE(8979), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401943] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7892), 1,
      sym_parameter_list,
    STATE(8980), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [401987] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7616), 1,
      sym_parameter_list,
    STATE(8981), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402031] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_LBRACE,
    STATE(4654), 1,
      sym_initializer_expression,
    STATE(8982), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402075] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11382), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(8983), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402117] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8566), 1,
      anon_sym_DOT,
    ACTIONS(11384), 1,
      anon_sym_SEMI,
    STATE(8984), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402161] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11386), 1,
      anon_sym_LBRACK,
    STATE(3649), 1,
      sym_array_rank_specifier,
    STATE(8985), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402205] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(8986), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402247] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11388), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(8987), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402289] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(1259), 1,
      anon_sym_LBRACE,
    STATE(3685), 1,
      sym_initializer_expression,
    STATE(8988), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402333] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    STATE(8362), 1,
      sym_bracketed_parameter_list,
    STATE(8989), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402377] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9377), 1,
      anon_sym_LPAREN,
    STATE(7644), 1,
      sym_parameter_list,
    STATE(8990), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402421] = 12,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10550), 1,
      anon_sym_COMMA,
    STATE(8654), 1,
      aux_sym_tuple_type_repeat1,
    STATE(8991), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402465] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11390), 1,
      anon_sym_EQ_GT,
    STATE(8992), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402506] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11392), 1,
      aux_sym_preproc_if_token3,
    STATE(8993), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402547] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11394), 1,
      anon_sym_EQ_GT,
    STATE(8994), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402588] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11396), 1,
      aux_sym_preproc_if_token3,
    STATE(8995), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402629] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11398), 1,
      anon_sym_EQ_GT,
    STATE(8996), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402670] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11400), 1,
      sym__optional_semi,
    STATE(8997), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402711] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11402), 1,
      sym__optional_semi,
    STATE(8998), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402752] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11404), 1,
      sym__optional_semi,
    STATE(8999), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402793] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11406), 1,
      sym__optional_semi,
    STATE(9000), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402834] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11408), 1,
      anon_sym_SEMI,
    STATE(9001), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402875] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11410), 1,
      sym__optional_semi,
    STATE(9002), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402916] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11412), 1,
      anon_sym_EQ_GT,
    STATE(9003), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402957] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11414), 1,
      sym__optional_semi,
    STATE(9004), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [402998] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11416), 1,
      anon_sym_EQ_GT,
    STATE(9005), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403039] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11418), 1,
      sym_interpolation_close_brace,
    STATE(9006), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403080] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11420), 1,
      aux_sym_preproc_if_token2,
    STATE(9007), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403121] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11422), 1,
      anon_sym_SEMI,
    STATE(9008), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403162] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11424), 1,
      anon_sym_RBRACK,
    STATE(9009), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403203] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11426), 1,
      anon_sym_SEMI,
    STATE(9010), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403244] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11428), 1,
      sym__optional_semi,
    STATE(9011), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403285] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11430), 1,
      anon_sym_EQ_GT,
    STATE(9012), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403326] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11432), 1,
      anon_sym_LBRACE,
    STATE(9013), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403367] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11434), 1,
      anon_sym_LBRACE,
    STATE(9014), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403408] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11436), 1,
      anon_sym_EQ_GT,
    STATE(9015), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403449] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11438), 1,
      sym__optional_semi,
    STATE(9016), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403490] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11440), 1,
      sym__optional_semi,
    STATE(9017), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403531] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11442), 1,
      anon_sym_SEMI,
    STATE(9018), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403572] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11444), 1,
      anon_sym_EQ_GT,
    STATE(9019), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403613] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11446), 1,
      anon_sym_EQ_GT,
    STATE(9020), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403654] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11448), 1,
      sym__optional_semi,
    STATE(9021), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403695] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11450), 1,
      sym__optional_semi,
    STATE(9022), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403736] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11452), 1,
      sym__optional_semi,
    STATE(9023), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403777] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11454), 1,
      sym__optional_semi,
    STATE(9024), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403818] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11456), 1,
      sym__optional_semi,
    STATE(9025), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403859] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11458), 1,
      anon_sym_EQ_GT,
    STATE(9026), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403900] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11460), 1,
      anon_sym_EQ_GT,
    STATE(9027), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403941] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11462), 1,
      anon_sym_EQ_GT,
    STATE(9028), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [403982] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11464), 1,
      sym__optional_semi,
    STATE(9029), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404023] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11466), 1,
      anon_sym_LPAREN,
    STATE(9030), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404064] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11468), 1,
      anon_sym_EQ_GT,
    STATE(9031), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404105] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11470), 1,
      anon_sym_LBRACE,
    STATE(9032), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404146] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_EQ_GT,
    STATE(9033), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404187] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11474), 1,
      sym__optional_semi,
    STATE(9034), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404228] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11476), 1,
      anon_sym_EQ_GT,
    STATE(9035), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404269] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11478), 1,
      anon_sym_RPAREN,
    STATE(9036), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404310] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11480), 1,
      sym__optional_semi,
    STATE(9037), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404351] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11482), 1,
      sym__optional_semi,
    STATE(9038), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404392] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11484), 1,
      sym__optional_semi,
    STATE(9039), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404433] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11486), 1,
      anon_sym_SEMI,
    STATE(9040), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404474] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_EQ_GT,
    STATE(9041), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404515] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11490), 1,
      anon_sym_EQ_GT,
    STATE(9042), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404556] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10888), 1,
      anon_sym_RBRACE,
    STATE(9043), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404597] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11492), 1,
      anon_sym_EQ_GT,
    STATE(9044), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404638] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11494), 1,
      sym__optional_semi,
    STATE(9045), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404679] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11496), 1,
      anon_sym_EQ_GT,
    STATE(9046), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404720] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11498), 1,
      sym__optional_semi,
    STATE(9047), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404761] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11500), 1,
      anon_sym_GT,
    STATE(9048), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404802] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11502), 1,
      anon_sym_SEMI,
    STATE(9049), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404843] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11504), 1,
      sym__optional_semi,
    STATE(9050), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404884] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11506), 1,
      sym__optional_semi,
    STATE(9051), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404925] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11508), 1,
      sym__optional_semi,
    STATE(9052), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [404966] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11510), 1,
      anon_sym_LPAREN,
    STATE(9053), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405007] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11512), 1,
      anon_sym_LPAREN,
    STATE(9054), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405048] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11514), 1,
      sym__optional_semi,
    STATE(9055), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405089] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11516), 1,
      anon_sym_RPAREN,
    STATE(9056), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405130] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11518), 1,
      anon_sym_DASH,
    STATE(9057), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405171] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11520), 1,
      aux_sym_preproc_if_token3,
    STATE(9058), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405212] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11522), 1,
      anon_sym_EQ_GT,
    STATE(9059), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405253] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11524), 1,
      anon_sym_EQ_GT,
    STATE(9060), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405294] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11526), 1,
      sym__optional_semi,
    STATE(9061), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405335] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11528), 1,
      aux_sym_preproc_if_token3,
    STATE(9062), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405376] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11530), 1,
      anon_sym_EQ_GT,
    STATE(9063), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405417] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11532), 1,
      sym_interpolation_close_brace,
    STATE(9064), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405458] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11534), 1,
      anon_sym_GT,
    STATE(9065), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405499] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11536), 1,
      anon_sym_SEMI,
    STATE(9066), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405540] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11538), 1,
      sym_interpolation_close_brace,
    STATE(9067), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405581] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11540), 1,
      anon_sym_SEMI,
    STATE(9068), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405622] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11542), 1,
      anon_sym_EQ_GT,
    STATE(9069), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405663] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11544), 1,
      anon_sym_EQ_GT,
    STATE(9070), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405704] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11546), 1,
      anon_sym_RBRACK,
    STATE(9071), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405745] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11548), 1,
      anon_sym_RPAREN,
    STATE(9072), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405786] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11550), 1,
      aux_sym_preproc_if_token3,
    STATE(9073), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405827] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11552), 1,
      anon_sym_while,
    STATE(9074), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405868] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11554), 1,
      anon_sym_SEMI,
    STATE(9075), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405909] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11556), 1,
      anon_sym_GT,
    STATE(9076), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405950] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11558), 1,
      aux_sym_preproc_if_token2,
    STATE(9077), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [405991] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11560), 1,
      anon_sym_EQ_GT,
    STATE(9078), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406032] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11562), 1,
      aux_sym_preproc_if_token3,
    STATE(9079), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406073] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11564), 1,
      anon_sym_EQ_GT,
    STATE(9080), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406114] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11566), 1,
      sym__optional_semi,
    STATE(9081), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406155] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11568), 1,
      aux_sym_preproc_if_token3,
    STATE(9082), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406196] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11570), 1,
      sym__optional_semi,
    STATE(9083), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406237] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11572), 1,
      anon_sym_SEMI,
    STATE(9084), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406278] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11574), 1,
      anon_sym_LPAREN,
    STATE(9085), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406319] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11576), 1,
      anon_sym_EQ_GT,
    STATE(9086), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406360] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11578), 1,
      anon_sym_GT,
    STATE(9087), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406401] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10907), 1,
      anon_sym_RBRACE,
    STATE(9088), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406442] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11580), 1,
      anon_sym_RBRACK,
    STATE(9089), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406483] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11582), 1,
      anon_sym_LPAREN,
    STATE(9090), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406524] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11584), 1,
      sym__optional_semi,
    STATE(9091), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406565] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11586), 1,
      sym__optional_semi,
    STATE(9092), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406606] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11588), 1,
      anon_sym_EQ_GT,
    STATE(9093), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406647] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11590), 1,
      sym__optional_semi,
    STATE(9094), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406688] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11592), 1,
      anon_sym_SEMI,
    STATE(9095), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406729] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11594), 1,
      sym__optional_semi,
    STATE(9096), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406770] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11596), 1,
      sym__optional_semi,
    STATE(9097), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406811] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11598), 1,
      sym__optional_semi,
    STATE(9098), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406852] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11600), 1,
      anon_sym_EQ_GT,
    STATE(9099), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406893] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11602), 1,
      anon_sym_SEMI,
    STATE(9100), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406934] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11604), 1,
      sym__optional_semi,
    STATE(9101), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [406975] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11606), 1,
      sym__optional_semi,
    STATE(9102), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407016] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9984), 1,
      anon_sym_COMMA,
    STATE(9103), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407057] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11608), 1,
      anon_sym_DQUOTE,
    STATE(9104), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407098] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11610), 1,
      anon_sym_GT,
    STATE(9105), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407139] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11612), 1,
      anon_sym_GT,
    STATE(9106), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407180] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11614), 1,
      anon_sym_EQ_GT,
    STATE(9107), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407221] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11616), 1,
      anon_sym_EQ_GT,
    STATE(9108), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407262] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11618), 1,
      anon_sym_EQ_GT,
    STATE(9109), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407303] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11620), 1,
      anon_sym_EQ_GT,
    STATE(9110), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407344] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN,
    STATE(9111), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407385] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11624), 1,
      sym__optional_semi,
    STATE(9112), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407426] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11626), 1,
      anon_sym_EQ_GT,
    STATE(9113), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407467] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11628), 1,
      anon_sym_STAR,
    STATE(9114), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407508] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11630), 1,
      anon_sym_GT,
    STATE(9115), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407549] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11632), 1,
      anon_sym_EQ_GT,
    STATE(9116), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407590] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11634), 1,
      sym__optional_semi,
    STATE(9117), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407631] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11636), 1,
      anon_sym_EQ_GT,
    STATE(9118), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407672] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11638), 1,
      sym__optional_semi,
    STATE(9119), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407713] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_EQ_GT,
    STATE(9120), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407754] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11642), 1,
      anon_sym_EQ_GT,
    STATE(9121), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407795] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11644), 1,
      sym__optional_semi,
    STATE(9122), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407836] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11646), 1,
      aux_sym_preproc_if_token2,
    STATE(9123), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407877] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11648), 1,
      sym__optional_semi,
    STATE(9124), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407918] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11650), 1,
      sym__optional_semi,
    STATE(9125), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [407959] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11652), 1,
      anon_sym_EQ_GT,
    STATE(9126), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408000] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11654), 1,
      anon_sym_EQ_GT,
    STATE(9127), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408041] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11656), 1,
      anon_sym_EQ_GT,
    STATE(9128), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408082] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11658), 1,
      anon_sym_EQ_GT,
    STATE(9129), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408123] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11660), 1,
      aux_sym_preproc_if_token3,
    STATE(9130), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408164] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11662), 1,
      sym__optional_semi,
    STATE(9131), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408205] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11664), 1,
      anon_sym_GT,
    STATE(9132), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408246] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11666), 1,
      sym__optional_semi,
    STATE(9133), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408287] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11668), 1,
      anon_sym_EQ_GT,
    STATE(9134), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408328] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11670), 1,
      anon_sym_RPAREN,
    STATE(9135), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408369] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11672), 1,
      sym__optional_semi,
    STATE(9136), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408410] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11674), 1,
      anon_sym_EQ_GT,
    STATE(9137), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408451] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11676), 1,
      anon_sym_RBRACK,
    STATE(9138), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408492] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11678), 1,
      anon_sym_EQ_GT,
    STATE(9139), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408533] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11680), 1,
      sym__optional_semi,
    STATE(9140), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408574] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11682), 1,
      aux_sym_preproc_if_token2,
    STATE(9141), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408615] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_EQ_GT,
    STATE(9142), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408656] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11686), 1,
      sym_integer_literal,
    STATE(9143), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408697] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11688), 1,
      aux_sym_preproc_if_token3,
    STATE(9144), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408738] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_EQ_GT,
    STATE(9145), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408779] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11692), 1,
      anon_sym_EQ_GT,
    STATE(9146), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408820] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11694), 1,
      anon_sym_COMMA,
    STATE(9147), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408861] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11696), 1,
      sym__optional_semi,
    STATE(9148), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408902] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11698), 1,
      anon_sym_SEMI,
    STATE(9149), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408943] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11700), 1,
      anon_sym_SEMI,
    STATE(9150), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [408984] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11702), 1,
      anon_sym_EQ_GT,
    STATE(9151), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409025] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11704), 1,
      anon_sym_EQ_GT,
    STATE(9152), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409066] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11706), 1,
      anon_sym_COMMA,
    STATE(9153), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409107] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_EQ_GT,
    STATE(9154), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409148] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11710), 1,
      anon_sym_EQ_GT,
    STATE(9155), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409189] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(10974), 1,
      aux_sym_preproc_if_token2,
    STATE(9156), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409230] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11712), 1,
      aux_sym_preproc_if_token3,
    STATE(9157), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409271] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_EQ_GT,
    STATE(9158), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409312] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11716), 1,
      anon_sym_GT,
    STATE(9159), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409353] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11718), 1,
      aux_sym_preproc_if_token3,
    STATE(9160), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409394] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11720), 1,
      anon_sym_SEMI,
    STATE(9161), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409435] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11722), 1,
      anon_sym_SEMI,
    STATE(9162), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409476] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11724), 1,
      anon_sym_GT,
    STATE(9163), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409517] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11726), 1,
      anon_sym_SEMI,
    STATE(9164), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409558] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11728), 1,
      anon_sym_EQ_GT,
    STATE(9165), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409599] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11730), 1,
      anon_sym_EQ_GT,
    STATE(9166), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409640] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11732), 1,
      anon_sym_GT,
    STATE(9167), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409681] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_RPAREN,
    STATE(9168), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409722] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11736), 1,
      anon_sym_RPAREN,
    STATE(9169), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409763] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11738), 1,
      aux_sym_preproc_if_token3,
    STATE(9170), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409804] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11740), 1,
      anon_sym_SEMI,
    STATE(9171), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409845] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11742), 1,
      sym_preproc_arg,
    STATE(9172), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409886] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11744), 1,
      anon_sym_EQ_GT,
    STATE(9173), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409927] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11746), 1,
      anon_sym_EQ_GT,
    STATE(9174), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [409968] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11748), 1,
      aux_sym_preproc_if_token3,
    STATE(9175), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410009] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11750), 1,
      anon_sym_EQ_GT,
    STATE(9176), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410050] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11752), 1,
      anon_sym_SEMI,
    STATE(9177), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410091] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11754), 1,
      sym__optional_semi,
    STATE(9178), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410132] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11756), 1,
      anon_sym_SEMI,
    STATE(9179), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410173] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11758), 1,
      anon_sym_EQ_GT,
    STATE(9180), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410214] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11276), 1,
      anon_sym_LT,
    STATE(9181), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410255] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11760), 1,
      anon_sym_EQ_GT,
    STATE(9182), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410296] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11762), 1,
      anon_sym_SEMI,
    STATE(9183), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410337] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11764), 1,
      anon_sym_EQ_GT,
    STATE(9184), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410378] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11766), 1,
      anon_sym_EQ_GT,
    STATE(9185), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410419] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11768), 1,
      anon_sym_GT,
    STATE(9186), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410460] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11770), 1,
      anon_sym_COLON,
    STATE(9187), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410501] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11772), 1,
      sym_preproc_arg,
    STATE(9188), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410542] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11774), 1,
      sym__optional_semi,
    STATE(9189), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410583] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11776), 1,
      sym_raw_string_end,
    STATE(9190), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410624] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11778), 1,
      anon_sym_EQ_GT,
    STATE(9191), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410665] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    STATE(9192), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410706] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11780), 1,
      anon_sym_EQ_GT,
    STATE(9193), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410747] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11782), 1,
      sym__optional_semi,
    STATE(9194), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410788] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11784), 1,
      anon_sym_LPAREN,
    STATE(9195), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410829] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_EQ_GT,
    STATE(9196), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410870] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11786), 1,
      anon_sym_EQ_GT,
    STATE(9197), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410911] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11788), 1,
      anon_sym_RBRACE,
    STATE(9198), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410952] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11790), 1,
      aux_sym_preproc_if_token3,
    STATE(9199), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [410993] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11792), 1,
      anon_sym_RPAREN,
    STATE(9200), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411034] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11794), 1,
      anon_sym_SEMI,
    STATE(9201), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411075] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    STATE(9202), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411116] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11796), 1,
      anon_sym_LBRACE,
    STATE(9203), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411157] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11798), 1,
      anon_sym_SEMI,
    STATE(9204), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411198] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11800), 1,
      sym__optional_semi,
    STATE(9205), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411239] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11802), 1,
      sym__optional_semi,
    STATE(9206), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411280] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11804), 1,
      sym__optional_semi,
    STATE(9207), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411321] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11806), 1,
      sym__optional_semi,
    STATE(9208), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411362] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11808), 1,
      anon_sym_SEMI,
    STATE(9209), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411403] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11810), 1,
      anon_sym_LBRACE,
    STATE(9210), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411444] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11812), 1,
      anon_sym_EQ_GT,
    STATE(9211), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411485] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_EQ_GT,
    STATE(9212), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411526] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11816), 1,
      sym__optional_semi,
    STATE(9213), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411567] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11818), 1,
      sym__optional_semi,
    STATE(9214), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411608] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11820), 1,
      sym__optional_semi,
    STATE(9215), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411649] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11822), 1,
      sym__optional_semi,
    STATE(9216), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411690] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11824), 1,
      anon_sym_EQ_GT,
    STATE(9217), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411731] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_operator,
    STATE(9218), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411772] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11828), 1,
      anon_sym_EQ_GT,
    STATE(9219), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411813] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11830), 1,
      anon_sym_SEMI,
    STATE(9220), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411854] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11832), 1,
      anon_sym_EQ_GT,
    STATE(9221), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411895] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11834), 1,
      anon_sym_SEMI,
    STATE(9222), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411936] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11836), 1,
      sym__optional_semi,
    STATE(9223), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [411977] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11838), 1,
      sym__optional_semi,
    STATE(9224), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412018] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11840), 1,
      sym__optional_semi,
    STATE(9225), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412059] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11842), 1,
      sym__optional_semi,
    STATE(9226), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412100] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11844), 1,
      sym__optional_semi,
    STATE(9227), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412141] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11846), 1,
      sym__optional_semi,
    STATE(9228), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412182] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11848), 1,
      anon_sym_EQ_GT,
    STATE(9229), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412223] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11850), 1,
      sym__optional_semi,
    STATE(9230), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412264] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11852), 1,
      sym__optional_semi,
    STATE(9231), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412305] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11854), 1,
      anon_sym_COMMA,
    STATE(9232), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412346] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11856), 1,
      anon_sym_SEMI,
    STATE(9233), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412387] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11858), 1,
      sym__optional_semi,
    STATE(9234), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412428] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11860), 1,
      sym__optional_semi,
    STATE(9235), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412469] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11862), 1,
      anon_sym_STAR,
    STATE(9236), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412510] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11864), 1,
      anon_sym_EQ,
    STATE(9237), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412551] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11866), 1,
      sym__optional_semi,
    STATE(9238), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412592] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11868), 1,
      sym__optional_semi,
    STATE(9239), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412633] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11870), 1,
      sym__optional_semi,
    STATE(9240), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412674] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_STAR,
    STATE(9241), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412715] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11872), 1,
      anon_sym_EQ_GT,
    STATE(9242), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412756] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11874), 1,
      sym__optional_semi,
    STATE(9243), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412797] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_EQ_GT,
    STATE(9244), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412838] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11878), 1,
      sym__optional_semi,
    STATE(9245), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412879] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11880), 1,
      anon_sym_SEMI,
    STATE(9246), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412920] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11882), 1,
      sym__optional_semi,
    STATE(9247), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [412961] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11884), 1,
      sym__optional_semi,
    STATE(9248), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413002] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11886), 1,
      sym__optional_semi,
    STATE(9249), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413043] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11888), 1,
      anon_sym_SQUOTE,
    STATE(9250), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413084] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11890), 1,
      sym__optional_semi,
    STATE(9251), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413125] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11892), 1,
      anon_sym_GT,
    STATE(9252), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413166] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11894), 1,
      sym__optional_semi,
    STATE(9253), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413207] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11896), 1,
      anon_sym_SEMI,
    STATE(9254), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413248] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11898), 1,
      anon_sym_EQ_GT,
    STATE(9255), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413289] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11900), 1,
      sym_raw_string_end,
    STATE(9256), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413330] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11902), 1,
      sym__optional_semi,
    STATE(9257), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413371] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_SEMI,
    STATE(9258), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413412] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_GT,
    STATE(9259), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413453] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11908), 1,
      anon_sym_GT,
    STATE(9260), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413494] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_STAR,
    STATE(9261), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413535] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10961), 1,
      anon_sym_RBRACE,
    STATE(9262), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413576] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11912), 1,
      sym__optional_semi,
    STATE(9263), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413617] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11000), 1,
      anon_sym_RBRACE,
    STATE(9264), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413658] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11914), 1,
      anon_sym_EQ_GT,
    STATE(9265), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413699] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11916), 1,
      anon_sym_EQ_GT,
    STATE(9266), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413740] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11918), 1,
      sym__optional_semi,
    STATE(9267), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413781] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11920), 1,
      sym__optional_semi,
    STATE(9268), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413822] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11922), 1,
      anon_sym_EQ_GT,
    STATE(9269), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413863] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11924), 1,
      anon_sym_SQUOTE,
    STATE(9270), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413904] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11926), 1,
      anon_sym_GT,
    STATE(9271), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413945] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11928), 1,
      anon_sym_STAR,
    STATE(9272), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [413986] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11930), 1,
      sym__optional_semi,
    STATE(9273), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414027] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11932), 1,
      sym__optional_semi,
    STATE(9274), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414068] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11934), 1,
      sym__optional_semi,
    STATE(9275), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414109] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11936), 1,
      aux_sym_preproc_if_token3,
    STATE(9276), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414150] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11938), 1,
      sym__optional_semi,
    STATE(9277), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414191] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11940), 1,
      sym__optional_semi,
    STATE(9278), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414232] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11942), 1,
      anon_sym_EQ_GT,
    STATE(9279), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414273] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11944), 1,
      sym__optional_semi,
    STATE(9280), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414314] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11946), 1,
      sym__optional_semi,
    STATE(9281), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414355] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11948), 1,
      sym__optional_semi,
    STATE(9282), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414396] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11950), 1,
      anon_sym_LPAREN,
    STATE(9283), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414437] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11952), 1,
      anon_sym_EQ_GT,
    STATE(9284), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414478] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11954), 1,
      sym__optional_semi,
    STATE(9285), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414519] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11956), 1,
      anon_sym_GT,
    STATE(9286), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414560] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11958), 1,
      anon_sym_EQ,
    STATE(9287), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414601] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_in,
    STATE(9288), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414642] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11962), 1,
      anon_sym_EQ_GT,
    STATE(9289), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414683] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11964), 1,
      sym__optional_semi,
    STATE(9290), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414724] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11966), 1,
      sym__optional_semi,
    STATE(9291), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414765] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11968), 1,
      aux_sym_preproc_if_token3,
    STATE(9292), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414806] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11970), 1,
      anon_sym_operator,
    STATE(9293), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414847] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11972), 1,
      sym_raw_string_end,
    STATE(9294), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414888] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11974), 1,
      sym__optional_semi,
    STATE(9295), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414929] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8215), 1,
      anon_sym_RBRACE,
    STATE(9296), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [414970] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11976), 1,
      sym__optional_semi,
    STATE(9297), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415011] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11978), 1,
      sym__optional_semi,
    STATE(9298), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415052] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11980), 1,
      anon_sym_DOT,
    STATE(9299), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415093] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11982), 1,
      anon_sym_EQ_GT,
    STATE(9300), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415134] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11984), 1,
      sym__optional_semi,
    STATE(9301), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415175] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11986), 1,
      anon_sym_EQ_GT,
    STATE(9302), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415216] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11988), 1,
      anon_sym_EQ_GT,
    STATE(9303), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415257] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11990), 1,
      sym__optional_semi,
    STATE(9304), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415298] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11992), 1,
      aux_sym_preproc_if_token3,
    STATE(9305), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415339] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11994), 1,
      sym__optional_semi,
    STATE(9306), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415380] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11996), 1,
      anon_sym_SEMI,
    STATE(9307), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415421] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11998), 1,
      aux_sym_preproc_if_token3,
    STATE(9308), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415462] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12000), 1,
      sym__optional_semi,
    STATE(9309), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415503] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12002), 1,
      anon_sym_EQ_GT,
    STATE(9310), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415544] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12004), 1,
      sym__optional_semi,
    STATE(9311), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415585] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12006), 1,
      sym_raw_string_content,
    STATE(9312), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415626] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12008), 1,
      anon_sym_RPAREN,
    STATE(9313), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415667] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12010), 1,
      sym__optional_semi,
    STATE(9314), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415708] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12012), 1,
      sym__optional_semi,
    STATE(9315), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415749] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12014), 1,
      sym__optional_semi,
    STATE(9316), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415790] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12016), 1,
      sym__optional_semi,
    STATE(9317), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415831] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12018), 1,
      anon_sym_EQ_GT,
    STATE(9318), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415872] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12020), 1,
      sym__optional_semi,
    STATE(9319), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415913] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12022), 1,
      anon_sym_SQUOTE,
    STATE(9320), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415954] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12024), 1,
      sym__optional_semi,
    STATE(9321), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [415995] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12026), 1,
      sym__optional_semi,
    STATE(9322), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416036] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12028), 1,
      sym__optional_semi,
    STATE(9323), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416077] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12030), 1,
      anon_sym_EQ_GT,
    STATE(9324), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416118] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12032), 1,
      anon_sym_EQ_GT,
    STATE(9325), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416159] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12034), 1,
      sym__optional_semi,
    STATE(9326), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416200] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12036), 1,
      sym__optional_semi,
    STATE(9327), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416241] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12038), 1,
      anon_sym_EQ_GT,
    STATE(9328), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416282] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12040), 1,
      anon_sym_SEMI,
    STATE(9329), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416323] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12042), 1,
      anon_sym_EQ_GT,
    STATE(9330), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416364] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12044), 1,
      sym__optional_semi,
    STATE(9331), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416405] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12046), 1,
      anon_sym_DQUOTE,
    STATE(9332), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416446] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12048), 1,
      anon_sym_DQUOTE,
    STATE(9333), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416487] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11012), 1,
      anon_sym_RBRACE,
    STATE(9334), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416528] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12050), 1,
      sym__optional_semi,
    STATE(9335), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416569] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12052), 1,
      sym_interpolation_start_quote,
    STATE(9336), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416610] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12054), 1,
      sym_raw_string_content,
    STATE(9337), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416651] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12056), 1,
      sym__optional_semi,
    STATE(9338), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416692] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12058), 1,
      sym__optional_semi,
    STATE(9339), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416733] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12060), 1,
      sym__optional_semi,
    STATE(9340), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416774] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12062), 1,
      sym__optional_semi,
    STATE(9341), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416815] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_SEMI,
    STATE(9342), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416856] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12066), 1,
      sym__optional_semi,
    STATE(9343), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416897] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12068), 1,
      anon_sym_EQ_GT,
    STATE(9344), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416938] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12070), 1,
      sym__optional_semi,
    STATE(9345), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [416979] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8850), 1,
      anon_sym_RPAREN,
    STATE(9346), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417020] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12072), 1,
      anon_sym_EQ_GT,
    STATE(9347), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417061] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12074), 1,
      anon_sym_EQ_GT,
    STATE(9348), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417102] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12076), 1,
      aux_sym_preproc_if_token3,
    STATE(9349), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417143] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12078), 1,
      anon_sym_SEMI,
    STATE(9350), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417184] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12080), 1,
      sym__optional_semi,
    STATE(9351), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417225] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12082), 1,
      anon_sym_SEMI,
    STATE(9352), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417266] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12084), 1,
      sym__optional_semi,
    STATE(9353), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417307] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12086), 1,
      anon_sym_SEMI,
    STATE(9354), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417348] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12088), 1,
      sym__optional_semi,
    STATE(9355), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417389] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12090), 1,
      anon_sym_EQ_GT,
    STATE(9356), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417430] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12092), 1,
      anon_sym_EQ_GT,
    STATE(9357), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417471] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12094), 1,
      sym__optional_semi,
    STATE(9358), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417512] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12096), 1,
      sym__optional_semi,
    STATE(9359), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417553] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12098), 1,
      anon_sym_EQ_GT,
    STATE(9360), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417594] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12100), 1,
      anon_sym_in,
    STATE(9361), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417635] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12102), 1,
      anon_sym_SEMI,
    STATE(9362), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417676] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12104), 1,
      sym__optional_semi,
    STATE(9363), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417717] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12106), 1,
      sym__optional_semi,
    STATE(9364), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417758] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12108), 1,
      anon_sym_EQ_GT,
    STATE(9365), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417799] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_EQ_GT,
    STATE(9366), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417840] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12112), 1,
      sym__optional_semi,
    STATE(9367), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417881] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12114), 1,
      sym__optional_semi,
    STATE(9368), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417922] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12116), 1,
      sym__optional_semi,
    STATE(9369), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [417963] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12118), 1,
      sym__optional_semi,
    STATE(9370), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418004] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12120), 1,
      sym__optional_semi,
    STATE(9371), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418045] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12122), 1,
      anon_sym_EQ_GT,
    STATE(9372), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418086] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12124), 1,
      sym__optional_semi,
    STATE(9373), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418127] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12126), 1,
      sym__optional_semi,
    STATE(9374), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418168] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12128), 1,
      sym__optional_semi,
    STATE(9375), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418209] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12130), 1,
      anon_sym_COLON,
    STATE(9376), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418250] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_SEMI,
    STATE(9377), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418291] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12134), 1,
      anon_sym_SEMI,
    STATE(9378), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418332] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12136), 1,
      sym__optional_semi,
    STATE(9379), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418373] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12138), 1,
      anon_sym_SEMI,
    STATE(9380), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418414] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12140), 1,
      anon_sym_LT,
    STATE(9381), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418455] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12142), 1,
      ts_builtin_sym_end,
    STATE(9382), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418496] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12144), 1,
      anon_sym_EQ_GT,
    STATE(9383), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418537] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9055), 1,
      anon_sym_RPAREN,
    STATE(9384), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418578] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12146), 1,
      sym__optional_semi,
    STATE(9385), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418619] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12148), 1,
      anon_sym_operator,
    STATE(9386), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418660] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12150), 1,
      anon_sym_SEMI,
    STATE(9387), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418701] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12152), 1,
      sym__optional_semi,
    STATE(9388), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418742] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12154), 1,
      anon_sym_EQ_GT,
    STATE(9389), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418783] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12156), 1,
      aux_sym_preproc_if_token3,
    STATE(9390), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418824] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12158), 1,
      sym__optional_semi,
    STATE(9391), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418865] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12160), 1,
      anon_sym_EQ_GT,
    STATE(9392), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418906] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12162), 1,
      anon_sym_GT,
    STATE(9393), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418947] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12164), 1,
      anon_sym_EQ_GT,
    STATE(9394), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [418988] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12166), 1,
      sym__optional_semi,
    STATE(9395), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419029] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12168), 1,
      sym__optional_semi,
    STATE(9396), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419070] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12170), 1,
      sym__optional_semi,
    STATE(9397), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419111] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12172), 1,
      sym__optional_semi,
    STATE(9398), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419152] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12174), 1,
      sym__optional_semi,
    STATE(9399), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419193] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12176), 1,
      sym__optional_semi,
    STATE(9400), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419234] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12178), 1,
      sym__optional_semi,
    STATE(9401), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419275] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11039), 1,
      anon_sym_RBRACE,
    STATE(9402), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419316] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12180), 1,
      anon_sym_EQ_GT,
    STATE(9403), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419357] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12182), 1,
      sym__optional_semi,
    STATE(9404), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419398] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12184), 1,
      anon_sym_RPAREN,
    STATE(9405), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419439] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12186), 1,
      sym__optional_semi,
    STATE(9406), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419480] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12188), 1,
      sym__optional_semi,
    STATE(9407), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419521] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12190), 1,
      sym__optional_semi,
    STATE(9408), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419562] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12192), 1,
      anon_sym_EQ_GT,
    STATE(9409), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419603] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12194), 1,
      anon_sym_SEMI,
    STATE(9410), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419644] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8155), 1,
      anon_sym_RBRACE,
    STATE(9411), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419685] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12196), 1,
      sym__optional_semi,
    STATE(9412), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419726] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12198), 1,
      sym__optional_semi,
    STATE(9413), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419767] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_EQ_GT,
    STATE(9414), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419808] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12202), 1,
      anon_sym_EQ_GT,
    STATE(9415), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419849] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12204), 1,
      anon_sym_RBRACK,
    STATE(9416), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419890] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12206), 1,
      sym__optional_semi,
    STATE(9417), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419931] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12208), 1,
      sym__optional_semi,
    STATE(9418), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [419972] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12210), 1,
      sym__optional_semi,
    STATE(9419), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420013] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12212), 1,
      anon_sym_EQ_GT,
    STATE(9420), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420054] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12214), 1,
      anon_sym_EQ_GT,
    STATE(9421), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420095] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12216), 1,
      anon_sym_EQ_GT,
    STATE(9422), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420136] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12218), 1,
      sym__optional_semi,
    STATE(9423), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420177] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12220), 1,
      sym__optional_semi,
    STATE(9424), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420218] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12222), 1,
      sym__optional_semi,
    STATE(9425), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420259] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12224), 1,
      anon_sym_EQ_GT,
    STATE(9426), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420300] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12226), 1,
      sym__optional_semi,
    STATE(9427), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420341] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12228), 1,
      anon_sym_EQ_GT,
    STATE(9428), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420382] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12230), 1,
      anon_sym_RPAREN,
    STATE(9429), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420423] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym_RPAREN,
    STATE(9430), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420464] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12232), 1,
      sym__optional_semi,
    STATE(9431), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420505] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12234), 1,
      anon_sym_EQ_GT,
    STATE(9432), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420546] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12236), 1,
      aux_sym_preproc_if_token3,
    STATE(9433), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420587] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12238), 1,
      sym__optional_semi,
    STATE(9434), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420628] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12240), 1,
      anon_sym_EQ_GT,
    STATE(9435), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420669] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9051), 1,
      anon_sym_RPAREN,
    STATE(9436), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420710] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12242), 1,
      anon_sym_EQ_GT,
    STATE(9437), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420751] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12244), 1,
      anon_sym_EQ_GT,
    STATE(9438), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420792] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12246), 1,
      anon_sym_LBRACE,
    STATE(9439), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420833] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12248), 1,
      anon_sym_LT,
    STATE(9440), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420874] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12250), 1,
      sym__optional_semi,
    STATE(9441), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420915] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12252), 1,
      sym__optional_semi,
    STATE(9442), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420956] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12254), 1,
      anon_sym_SEMI,
    STATE(9443), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [420997] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12256), 1,
      anon_sym_LBRACE,
    STATE(9444), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421038] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12258), 1,
      anon_sym_LBRACE,
    STATE(9445), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421079] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    STATE(9446), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421120] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12262), 1,
      anon_sym_LPAREN,
    STATE(9447), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421161] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12264), 1,
      anon_sym_LPAREN,
    STATE(9448), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421202] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12266), 1,
      aux_sym_preproc_if_token3,
    STATE(9449), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421243] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12268), 1,
      anon_sym_LPAREN,
    STATE(9450), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421284] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    STATE(9451), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421325] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12272), 1,
      anon_sym_LPAREN,
    STATE(9452), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421366] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12274), 1,
      anon_sym_LPAREN,
    STATE(9453), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421407] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12276), 1,
      anon_sym_EQ_GT,
    STATE(9454), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421448] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12278), 1,
      anon_sym_EQ_GT,
    STATE(9455), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421489] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12280), 1,
      anon_sym_EQ_GT,
    STATE(9456), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421530] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12282), 1,
      sym__optional_semi,
    STATE(9457), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421571] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12284), 1,
      sym__optional_semi,
    STATE(9458), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421612] = 11,
    ACTIONS(5350), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    STATE(9459), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421653] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12286), 1,
      anon_sym_COLON,
    STATE(9460), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421694] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12288), 1,
      sym__optional_semi,
    STATE(9461), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421735] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12290), 1,
      anon_sym_LPAREN,
    STATE(9462), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421776] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12292), 1,
      aux_sym_preproc_if_token3,
    STATE(9463), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421817] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12294), 1,
      anon_sym_RPAREN,
    STATE(9464), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421858] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12296), 1,
      sym__optional_semi,
    STATE(9465), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421899] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12298), 1,
      anon_sym_EQ_GT,
    STATE(9466), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421940] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12300), 1,
      sym__optional_semi,
    STATE(9467), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [421981] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12302), 1,
      anon_sym_EQ_GT,
    STATE(9468), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422022] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12304), 1,
      anon_sym_EQ_GT,
    STATE(9469), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422063] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12306), 1,
      aux_sym_preproc_if_token3,
    STATE(9470), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422104] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12308), 1,
      anon_sym_SEMI,
    STATE(9471), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422145] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12310), 1,
      sym__optional_semi,
    STATE(9472), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422186] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12312), 1,
      sym__optional_semi,
    STATE(9473), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422227] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12314), 1,
      anon_sym_EQ_GT,
    STATE(9474), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422268] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12316), 1,
      anon_sym_EQ_GT,
    STATE(9475), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422309] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12318), 1,
      anon_sym_SQUOTE,
    STATE(9476), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422350] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12320), 1,
      anon_sym_EQ_GT,
    STATE(9477), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422391] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12322), 1,
      anon_sym_RPAREN,
    STATE(9478), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422432] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12324), 1,
      aux_sym_preproc_if_token3,
    STATE(9479), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422473] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12326), 1,
      sym__optional_semi,
    STATE(9480), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422514] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12328), 1,
      anon_sym_EQ_GT,
    STATE(9481), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422555] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12330), 1,
      aux_sym_preproc_if_token3,
    STATE(9482), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422596] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12332), 1,
      anon_sym_GT,
    STATE(9483), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422637] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_EQ_GT,
    STATE(9484), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422678] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12336), 1,
      anon_sym_LT,
    STATE(9485), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422719] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12338), 1,
      sym_interpolation_start_quote,
    STATE(9486), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422760] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12340), 1,
      anon_sym_EQ_GT,
    STATE(9487), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422801] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12342), 1,
      anon_sym_EQ_GT,
    STATE(9488), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422842] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10772), 1,
      anon_sym_RBRACE,
    STATE(9489), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422883] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12344), 1,
      aux_sym_preproc_if_token3,
    STATE(9490), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422924] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12346), 1,
      anon_sym_EQ_GT,
    STATE(9491), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [422965] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12348), 1,
      anon_sym_GT,
    STATE(9492), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423006] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12350), 1,
      anon_sym_SEMI,
    STATE(9493), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423047] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_EQ_GT,
    STATE(9494), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423088] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12354), 1,
      sym__optional_semi,
    STATE(9495), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423129] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12356), 1,
      sym__optional_semi,
    STATE(9496), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423170] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12358), 1,
      sym__optional_semi,
    STATE(9497), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423211] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12360), 1,
      anon_sym_EQ_GT,
    STATE(9498), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423252] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12362), 1,
      anon_sym_RPAREN,
    STATE(9499), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423293] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12364), 1,
      sym__optional_semi,
    STATE(9500), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423334] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12366), 1,
      sym__optional_semi,
    STATE(9501), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423375] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11108), 1,
      anon_sym_RBRACE,
    STATE(9502), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423416] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12368), 1,
      anon_sym_SEMI,
    STATE(9503), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423457] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_EQ_GT,
    STATE(9504), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423498] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12372), 1,
      sym__optional_semi,
    STATE(9505), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423539] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12374), 1,
      anon_sym_EQ_GT,
    STATE(9506), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423580] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12376), 1,
      sym__optional_semi,
    STATE(9507), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423621] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_LT,
    STATE(9508), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423662] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8275), 1,
      anon_sym_SEMI,
    STATE(9509), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423703] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12380), 1,
      sym__optional_semi,
    STATE(9510), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423744] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12382), 1,
      anon_sym_RPAREN,
    STATE(9511), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423785] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12384), 1,
      anon_sym_EQ_GT,
    STATE(9512), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423826] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12386), 1,
      aux_sym_preproc_if_token3,
    STATE(9513), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423867] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12388), 1,
      anon_sym_EQ_GT,
    STATE(9514), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423908] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_STAR,
    STATE(9515), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423949] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12392), 1,
      anon_sym_EQ_GT,
    STATE(9516), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [423990] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_EQ_GT,
    STATE(9517), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424031] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12396), 1,
      anon_sym_EQ_GT,
    STATE(9518), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424072] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12398), 1,
      sym__optional_semi,
    STATE(9519), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424113] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_EQ_GT,
    STATE(9520), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424154] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11308), 1,
      anon_sym_in,
    STATE(9521), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424195] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_EQ_GT,
    STATE(9522), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424236] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12404), 1,
      sym__optional_semi,
    STATE(9523), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424277] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_EQ_GT,
    STATE(9524), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424318] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_EQ_GT,
    STATE(9525), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424359] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12410), 1,
      sym__optional_semi,
    STATE(9526), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424400] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12412), 1,
      sym__optional_semi,
    STATE(9527), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424441] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
    STATE(9528), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424482] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11096), 1,
      anon_sym_RBRACE,
    STATE(9529), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424523] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12416), 1,
      anon_sym_LPAREN,
    STATE(9530), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424564] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12418), 1,
      sym__optional_semi,
    STATE(9531), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424605] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_EQ_GT,
    STATE(9532), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424646] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12422), 1,
      anon_sym_RPAREN,
    STATE(9533), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424687] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11302), 1,
      anon_sym_in,
    STATE(9534), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424728] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12424), 1,
      sym__optional_semi,
    STATE(9535), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424769] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12426), 1,
      anon_sym_EQ_GT,
    STATE(9536), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424810] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12428), 1,
      anon_sym_DQUOTE,
    STATE(9537), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424851] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12430), 1,
      sym__optional_semi,
    STATE(9538), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424892] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10846), 1,
      anon_sym_LPAREN,
    STATE(9539), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424933] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_EQ_GT,
    STATE(9540), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [424974] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12434), 1,
      sym__optional_semi,
    STATE(9541), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425015] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12436), 1,
      anon_sym_EQ_GT,
    STATE(9542), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425056] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12438), 1,
      anon_sym_EQ_GT,
    STATE(9543), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425097] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11306), 1,
      anon_sym_in,
    STATE(9544), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425138] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_LPAREN,
    STATE(9545), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425179] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12442), 1,
      sym__optional_semi,
    STATE(9546), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425220] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12444), 1,
      anon_sym_RBRACE,
    STATE(9547), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425261] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_RBRACE,
    STATE(9548), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425302] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12446), 1,
      sym__optional_semi,
    STATE(9549), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425343] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11115), 1,
      anon_sym_RBRACE,
    STATE(9550), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425384] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_EQ_GT,
    STATE(9551), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425425] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_EQ_GT,
    STATE(9552), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425466] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(11100), 1,
      aux_sym_preproc_if_token2,
    STATE(9553), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425507] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_EQ_GT,
    STATE(9554), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425548] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12454), 1,
      anon_sym_EQ_GT,
    STATE(9555), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425589] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_RBRACE,
    STATE(9556), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425630] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_EQ_GT,
    STATE(9557), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425671] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_EQ_GT,
    STATE(9558), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425712] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12462), 1,
      sym__optional_semi,
    STATE(9559), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425753] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_EQ_GT,
    STATE(9560), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425794] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12466), 1,
      sym__optional_semi,
    STATE(9561), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425835] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12468), 1,
      anon_sym_EQ_GT,
    STATE(9562), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425876] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12470), 1,
      sym__optional_semi,
    STATE(9563), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425917] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_DQUOTE,
    STATE(9564), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425958] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12474), 1,
      anon_sym_EQ_GT,
    STATE(9565), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [425999] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12476), 1,
      anon_sym_SEMI,
    STATE(9566), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426040] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12478), 1,
      anon_sym_SQUOTE,
    STATE(9567), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426081] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12480), 1,
      anon_sym_RPAREN,
    STATE(9568), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426122] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12482), 1,
      anon_sym_EQ_GT,
    STATE(9569), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426163] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12484), 1,
      anon_sym_EQ_GT,
    STATE(9570), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426204] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(12486), 1,
      aux_sym_interpolation_format_clause_token1,
    STATE(9571), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426245] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(12488), 1,
      aux_sym_preproc_if_token2,
    STATE(9572), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426286] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_EQ_GT,
    STATE(9573), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426327] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_DQUOTE,
    STATE(9574), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426368] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12494), 1,
      sym__optional_semi,
    STATE(9575), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426409] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12496), 1,
      anon_sym_EQ_GT,
    STATE(9576), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426450] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12498), 1,
      sym__optional_semi,
    STATE(9577), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426491] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12500), 1,
      anon_sym_EQ_GT,
    STATE(9578), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426532] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_EQ_GT,
    STATE(9579), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426573] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_EQ_GT,
    STATE(9580), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426614] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(12506), 1,
      aux_sym_preproc_if_token2,
    STATE(9581), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426655] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12508), 1,
      anon_sym_LBRACE,
    STATE(9582), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426696] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_EQ_GT,
    STATE(9583), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426737] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11117), 1,
      sym_interpolation_close_brace,
    STATE(9584), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426778] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym__optional_semi,
    STATE(9585), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426819] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12514), 1,
      anon_sym_EQ_GT,
    STATE(9586), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426860] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8265), 1,
      anon_sym_SEMI,
    STATE(9587), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426901] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_STAR,
    STATE(9588), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426942] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12518), 1,
      anon_sym_SEMI,
    STATE(9589), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [426983] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12520), 1,
      anon_sym_SEMI,
    STATE(9590), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427024] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12522), 1,
      sym_integer_literal,
    STATE(9591), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427065] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12524), 1,
      anon_sym_EQ_GT,
    STATE(9592), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427106] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12526), 1,
      aux_sym_preproc_if_token3,
    STATE(9593), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427147] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12528), 1,
      aux_sym_preproc_if_token3,
    STATE(9594), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427188] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12530), 1,
      sym__optional_semi,
    STATE(9595), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427229] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_SEMI,
    STATE(9596), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427270] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12534), 1,
      sym__optional_semi,
    STATE(9597), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427311] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12536), 1,
      anon_sym_EQ_GT,
    STATE(9598), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427352] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12538), 1,
      anon_sym_SEMI,
    STATE(9599), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427393] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12540), 1,
      anon_sym_EQ_GT,
    STATE(9600), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427434] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12542), 1,
      sym__optional_semi,
    STATE(9601), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427475] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12544), 1,
      anon_sym_EQ_GT,
    STATE(9602), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427516] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12546), 1,
      sym_interpolation_start_quote,
    STATE(9603), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427557] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12548), 1,
      anon_sym_EQ_GT,
    STATE(9604), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427598] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12550), 1,
      anon_sym_EQ_GT,
    STATE(9605), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427639] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12552), 1,
      sym__optional_semi,
    STATE(9606), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427680] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12554), 1,
      sym__optional_semi,
    STATE(9607), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427721] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12556), 1,
      sym__optional_semi,
    STATE(9608), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427762] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12558), 1,
      sym__optional_semi,
    STATE(9609), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427803] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12560), 1,
      anon_sym_RBRACE,
    STATE(9610), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427844] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12562), 1,
      anon_sym_EQ_GT,
    STATE(9611), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427885] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12564), 1,
      sym__optional_semi,
    STATE(9612), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427926] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12566), 1,
      anon_sym_RPAREN,
    STATE(9613), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [427967] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12568), 1,
      anon_sym_SEMI,
    STATE(9614), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428008] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12570), 1,
      anon_sym_EQ_GT,
    STATE(9615), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428049] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12572), 1,
      sym__optional_semi,
    STATE(9616), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428090] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12574), 1,
      sym__optional_semi,
    STATE(9617), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428131] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12576), 1,
      anon_sym_EQ_GT,
    STATE(9618), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428172] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12578), 1,
      anon_sym_EQ_GT,
    STATE(9619), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428213] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7550), 1,
      anon_sym_RBRACE,
    STATE(9620), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428254] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12580), 1,
      anon_sym_EQ_GT,
    STATE(9621), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428295] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12582), 1,
      anon_sym_EQ_GT,
    STATE(9622), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428336] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12584), 1,
      anon_sym_EQ_GT,
    STATE(9623), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428377] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12586), 1,
      anon_sym_EQ_GT,
    STATE(9624), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428418] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12588), 1,
      anon_sym_EQ_GT,
    STATE(9625), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428459] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12590), 1,
      anon_sym_EQ_GT,
    STATE(9626), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428500] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_EQ_GT,
    STATE(9627), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428541] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12594), 1,
      anon_sym_EQ_GT,
    STATE(9628), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428582] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12596), 1,
      anon_sym_EQ_GT,
    STATE(9629), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428623] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12598), 1,
      sym__optional_semi,
    STATE(9630), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428664] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12600), 1,
      sym_raw_string_content,
    STATE(9631), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428705] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12602), 1,
      sym__optional_semi,
    STATE(9632), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428746] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12604), 1,
      sym_integer_literal,
    STATE(9633), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428787] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12606), 1,
      anon_sym_EQ_GT,
    STATE(9634), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428828] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12608), 1,
      sym__optional_semi,
    STATE(9635), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428869] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12610), 1,
      anon_sym_EQ_GT,
    STATE(9636), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428910] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12612), 1,
      anon_sym_RPAREN,
    STATE(9637), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428951] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12614), 1,
      sym__optional_semi,
    STATE(9638), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [428992] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12616), 1,
      sym__optional_semi,
    STATE(9639), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429033] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12618), 1,
      anon_sym_LPAREN,
    STATE(9640), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429074] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12620), 1,
      sym__optional_semi,
    STATE(9641), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429115] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12622), 1,
      anon_sym_EQ_GT,
    STATE(9642), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429156] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12624), 1,
      anon_sym_EQ_GT,
    STATE(9643), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429197] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12626), 1,
      sym__optional_semi,
    STATE(9644), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429238] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12628), 1,
      sym__optional_semi,
    STATE(9645), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429279] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12630), 1,
      anon_sym_SEMI,
    STATE(9646), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429320] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12632), 1,
      anon_sym_EQ_GT,
    STATE(9647), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429361] = 11,
    ACTIONS(5576), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    STATE(9648), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429402] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12634), 1,
      sym__optional_semi,
    STATE(9649), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429443] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12636), 1,
      anon_sym_EQ_GT,
    STATE(9650), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429484] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12638), 1,
      anon_sym_EQ_GT,
    STATE(9651), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429525] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12640), 1,
      sym__optional_semi,
    STATE(9652), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429566] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_EQ_GT,
    STATE(9653), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429607] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12644), 1,
      sym__optional_semi,
    STATE(9654), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429648] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12646), 1,
      sym__optional_semi,
    STATE(9655), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429689] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12648), 1,
      sym__optional_semi,
    STATE(9656), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429730] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12650), 1,
      anon_sym_RPAREN,
    STATE(9657), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429771] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12652), 1,
      anon_sym_LPAREN,
    STATE(9658), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429812] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_LPAREN,
    STATE(9659), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429853] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12656), 1,
      anon_sym_LPAREN,
    STATE(9660), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429894] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12658), 1,
      anon_sym_LPAREN,
    STATE(9661), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429935] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_LPAREN,
    STATE(9662), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [429976] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12662), 1,
      anon_sym_LPAREN,
    STATE(9663), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430017] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12664), 1,
      anon_sym_LPAREN,
    STATE(9664), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430058] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12666), 1,
      anon_sym_EQ_GT,
    STATE(9665), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430099] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12668), 1,
      anon_sym_COLON,
    STATE(9666), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430140] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12670), 1,
      anon_sym_SEMI,
    STATE(9667), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430181] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12672), 1,
      anon_sym_LPAREN,
    STATE(9668), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430222] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
    STATE(9669), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430263] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12676), 1,
      anon_sym_SEMI,
    STATE(9670), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430304] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12678), 1,
      anon_sym_DQUOTE,
    STATE(9671), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430345] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12680), 1,
      anon_sym_EQ_GT,
    STATE(9672), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430386] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12682), 1,
      anon_sym_DQUOTE,
    STATE(9673), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430427] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12684), 1,
      anon_sym_EQ_GT,
    STATE(9674), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430468] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12686), 1,
      sym_interpolation_start_quote,
    STATE(9675), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430509] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_EQ_GT,
    STATE(9676), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430550] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12690), 1,
      sym_raw_string_content,
    STATE(9677), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430591] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12692), 1,
      anon_sym_EQ_GT,
    STATE(9678), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430632] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12694), 1,
      sym__optional_semi,
    STATE(9679), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430673] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12696), 1,
      anon_sym_EQ_GT,
    STATE(9680), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430714] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12698), 1,
      sym__optional_semi,
    STATE(9681), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430755] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12700), 1,
      anon_sym_RPAREN,
    STATE(9682), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430796] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12702), 1,
      anon_sym_SEMI,
    STATE(9683), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430837] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12704), 1,
      anon_sym_EQ_GT,
    STATE(9684), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430878] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12706), 1,
      anon_sym_RPAREN,
    STATE(9685), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430919] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12708), 1,
      sym__optional_semi,
    STATE(9686), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [430960] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_RBRACE,
    STATE(9687), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431001] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_EQ_GT,
    STATE(9688), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431042] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12712), 1,
      sym__optional_semi,
    STATE(9689), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431083] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12714), 1,
      anon_sym_EQ_GT,
    STATE(9690), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431124] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12716), 1,
      anon_sym_EQ_GT,
    STATE(9691), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431165] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12718), 1,
      anon_sym_LT,
    STATE(9692), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431206] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8297), 1,
      anon_sym_SEMI,
    STATE(9693), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431247] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12720), 1,
      sym__optional_semi,
    STATE(9694), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431288] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10738), 1,
      anon_sym_RBRACE,
    STATE(9695), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431329] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12722), 1,
      anon_sym_EQ_GT,
    STATE(9696), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431370] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12724), 1,
      anon_sym_STAR,
    STATE(9697), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431411] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12726), 1,
      sym__optional_semi,
    STATE(9698), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431452] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12728), 1,
      anon_sym_EQ_GT,
    STATE(9699), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431493] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12730), 1,
      sym__optional_semi,
    STATE(9700), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431534] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_EQ_GT,
    STATE(9701), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431575] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12734), 1,
      anon_sym_EQ_GT,
    STATE(9702), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431616] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12736), 1,
      anon_sym_EQ_GT,
    STATE(9703), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431657] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11152), 1,
      sym_interpolation_close_brace,
    STATE(9704), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431698] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12738), 1,
      sym__optional_semi,
    STATE(9705), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431739] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12740), 1,
      sym__optional_semi,
    STATE(9706), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431780] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12742), 1,
      anon_sym_GT,
    STATE(9707), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431821] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(7992), 1,
      anon_sym_RBRACE,
    STATE(9708), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431862] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12744), 1,
      sym__optional_semi,
    STATE(9709), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431903] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11336), 1,
      anon_sym_in,
    STATE(9710), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431944] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12746), 1,
      sym__optional_semi,
    STATE(9711), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [431985] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12748), 1,
      anon_sym_EQ_GT,
    STATE(9712), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432026] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_EQ_GT,
    STATE(9713), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432067] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12752), 1,
      sym__optional_semi,
    STATE(9714), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432108] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11340), 1,
      anon_sym_in,
    STATE(9715), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432149] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12754), 1,
      sym__optional_semi,
    STATE(9716), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432190] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_SEMI,
    STATE(9717), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432231] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12758), 1,
      anon_sym_EQ_GT,
    STATE(9718), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432272] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12760), 1,
      anon_sym_EQ_GT,
    STATE(9719), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432313] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12762), 1,
      anon_sym_LPAREN,
    STATE(9720), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432354] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(12764), 1,
      aux_sym_preproc_if_token2,
    STATE(9721), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432395] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12766), 1,
      sym__optional_semi,
    STATE(9722), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432436] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_LBRACE,
    STATE(9723), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432477] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12770), 1,
      anon_sym_EQ_GT,
    STATE(9724), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432518] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12772), 1,
      sym__optional_semi,
    STATE(9725), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432559] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12774), 1,
      anon_sym_EQ_GT,
    STATE(9726), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432600] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12776), 1,
      anon_sym_EQ_GT,
    STATE(9727), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432641] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12778), 1,
      sym_raw_string_end,
    STATE(9728), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432682] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12780), 1,
      anon_sym_LPAREN,
    STATE(9729), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432723] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_LPAREN,
    STATE(9730), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432764] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12784), 1,
      anon_sym_LPAREN,
    STATE(9731), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432805] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12786), 1,
      anon_sym_LPAREN,
    STATE(9732), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432846] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12788), 1,
      anon_sym_LPAREN,
    STATE(9733), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432887] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12790), 1,
      anon_sym_LPAREN,
    STATE(9734), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432928] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12792), 1,
      anon_sym_LPAREN,
    STATE(9735), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [432969] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_EQ_GT,
    STATE(9736), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433010] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12796), 1,
      anon_sym_COLON,
    STATE(9737), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433051] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(12798), 1,
      aux_sym_preproc_if_token2,
    STATE(9738), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433092] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12800), 1,
      anon_sym_LPAREN,
    STATE(9739), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433133] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12802), 1,
      sym__optional_semi,
    STATE(9740), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433174] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12804), 1,
      anon_sym_SEMI,
    STATE(9741), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433215] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12806), 1,
      anon_sym_EQ_GT,
    STATE(9742), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433256] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12808), 1,
      sym__optional_semi,
    STATE(9743), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433297] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12810), 1,
      anon_sym_DOT,
    STATE(9744), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433338] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12812), 1,
      sym__optional_semi,
    STATE(9745), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433379] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9139), 1,
      anon_sym_RPAREN,
    STATE(9746), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433420] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12814), 1,
      sym__optional_semi,
    STATE(9747), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433461] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12816), 1,
      sym__optional_semi,
    STATE(9748), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433502] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10832), 1,
      anon_sym_RBRACE,
    STATE(9749), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433543] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12818), 1,
      anon_sym_EQ_GT,
    STATE(9750), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433584] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12820), 1,
      sym__optional_semi,
    STATE(9751), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433625] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12822), 1,
      anon_sym_RPAREN,
    STATE(9752), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433666] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12824), 1,
      sym__optional_semi,
    STATE(9753), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433707] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_LT,
    STATE(9754), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433748] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8299), 1,
      anon_sym_SEMI,
    STATE(9755), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433789] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12828), 1,
      anon_sym_EQ_GT,
    STATE(9756), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433830] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12830), 1,
      sym__optional_semi,
    STATE(9757), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433871] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12832), 1,
      anon_sym_EQ_GT,
    STATE(9758), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433912] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12834), 1,
      anon_sym_EQ_GT,
    STATE(9759), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433953] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_EQ_GT,
    STATE(9760), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [433994] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12838), 1,
      anon_sym_EQ_GT,
    STATE(9761), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434035] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12840), 1,
      anon_sym_RBRACK,
    STATE(9762), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434076] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12842), 1,
      sym__optional_semi,
    STATE(9763), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434117] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11352), 1,
      anon_sym_in,
    STATE(9764), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434158] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12844), 1,
      sym__optional_semi,
    STATE(9765), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434199] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11354), 1,
      anon_sym_in,
    STATE(9766), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434240] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12846), 1,
      sym__optional_semi,
    STATE(9767), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434281] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12848), 1,
      sym__optional_semi,
    STATE(9768), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434322] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12850), 1,
      sym__optional_semi,
    STATE(9769), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434363] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12852), 1,
      anon_sym_EQ_GT,
    STATE(9770), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434404] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12854), 1,
      sym__optional_semi,
    STATE(9771), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434445] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12856), 1,
      sym__optional_semi,
    STATE(9772), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434486] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12858), 1,
      sym__optional_semi,
    STATE(9773), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434527] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12860), 1,
      anon_sym_EQ_GT,
    STATE(9774), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434568] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12862), 1,
      anon_sym_EQ_GT,
    STATE(9775), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434609] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12864), 1,
      sym__optional_semi,
    STATE(9776), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434650] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12866), 1,
      anon_sym_EQ_GT,
    STATE(9777), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434691] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12868), 1,
      anon_sym_LPAREN,
    STATE(9778), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434732] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12870), 1,
      anon_sym_LPAREN,
    STATE(9779), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434773] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12872), 1,
      anon_sym_LPAREN,
    STATE(9780), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434814] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12874), 1,
      anon_sym_LPAREN,
    STATE(9781), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434855] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12876), 1,
      anon_sym_EQ_GT,
    STATE(9782), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434896] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12878), 1,
      sym__optional_semi,
    STATE(9783), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434937] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12880), 1,
      anon_sym_LPAREN,
    STATE(9784), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [434978] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12882), 1,
      anon_sym_EQ_GT,
    STATE(9785), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435019] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12884), 1,
      sym__optional_semi,
    STATE(9786), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435060] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12886), 1,
      anon_sym_COMMA,
    STATE(9787), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435101] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12888), 1,
      sym__optional_semi,
    STATE(9788), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435142] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12890), 1,
      sym__optional_semi,
    STATE(9789), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435183] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12892), 1,
      sym__optional_semi,
    STATE(9790), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435224] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12894), 1,
      anon_sym_EQ_GT,
    STATE(9791), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435265] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12896), 1,
      sym_raw_string_end,
    STATE(9792), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435306] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12898), 1,
      sym__optional_semi,
    STATE(9793), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435347] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12900), 1,
      sym__optional_semi,
    STATE(9794), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435388] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12902), 1,
      sym__optional_semi,
    STATE(9795), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435429] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12904), 1,
      anon_sym_LT,
    STATE(9796), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435470] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12906), 1,
      anon_sym_EQ_GT,
    STATE(9797), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435511] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(8310), 1,
      anon_sym_RBRACE,
    STATE(9798), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435552] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12908), 1,
      anon_sym_EQ_GT,
    STATE(9799), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435593] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12910), 1,
      anon_sym_EQ_GT,
    STATE(9800), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435634] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12912), 1,
      sym__optional_semi,
    STATE(9801), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435675] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12914), 1,
      anon_sym_EQ_GT,
    STATE(9802), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435716] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12916), 1,
      anon_sym_EQ_GT,
    STATE(9803), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435757] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12918), 1,
      anon_sym_EQ_GT,
    STATE(9804), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435798] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12920), 1,
      anon_sym_LBRACE,
    STATE(9805), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435839] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12922), 1,
      anon_sym_LPAREN,
    STATE(9806), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435880] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_LPAREN,
    STATE(9807), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435921] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12926), 1,
      sym__optional_semi,
    STATE(9808), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [435962] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12928), 1,
      anon_sym_LPAREN,
    STATE(9809), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436003] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12930), 1,
      anon_sym_LBRACE,
    STATE(9810), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436044] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12932), 1,
      anon_sym_RPAREN,
    STATE(9811), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436085] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12934), 1,
      anon_sym_EQ_GT,
    STATE(9812), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436126] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12936), 1,
      anon_sym_EQ_GT,
    STATE(9813), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436167] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_GT,
    STATE(9814), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436208] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12940), 1,
      anon_sym_EQ_GT,
    STATE(9815), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436249] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12942), 1,
      sym__optional_semi,
    STATE(9816), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436290] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12944), 1,
      sym__optional_semi,
    STATE(9817), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436331] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12946), 1,
      anon_sym_EQ_GT,
    STATE(9818), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436372] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12948), 1,
      anon_sym_EQ_GT,
    STATE(9819), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436413] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_LT,
    STATE(9820), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436454] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12952), 1,
      anon_sym_EQ_GT,
    STATE(9821), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436495] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_SEMI,
    STATE(9822), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436536] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12956), 1,
      anon_sym_EQ_GT,
    STATE(9823), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436577] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12958), 1,
      anon_sym_EQ_GT,
    STATE(9824), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436618] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12960), 1,
      anon_sym_EQ_GT,
    STATE(9825), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436659] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12962), 1,
      anon_sym_EQ_GT,
    STATE(9826), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436700] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12964), 1,
      sym__optional_semi,
    STATE(9827), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436741] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12966), 1,
      sym__optional_semi,
    STATE(9828), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436782] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12968), 1,
      sym__optional_semi,
    STATE(9829), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436823] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12970), 1,
      anon_sym_SEMI,
    STATE(9830), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436864] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12972), 1,
      aux_sym_preproc_if_token3,
    STATE(9831), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436905] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12974), 1,
      anon_sym_EQ_GT,
    STATE(9832), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436946] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12976), 1,
      sym__optional_semi,
    STATE(9833), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [436987] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11362), 1,
      anon_sym_in,
    STATE(9834), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437028] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12978), 1,
      anon_sym_EQ_GT,
    STATE(9835), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437069] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12980), 1,
      anon_sym_GT,
    STATE(9836), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437110] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12982), 1,
      anon_sym_EQ_GT,
    STATE(9837), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437151] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12984), 1,
      anon_sym_RPAREN,
    STATE(9838), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437192] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12986), 1,
      anon_sym_EQ_GT,
    STATE(9839), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437233] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12988), 1,
      anon_sym_LT,
    STATE(9840), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437274] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12990), 1,
      anon_sym_SQUOTE,
    STATE(9841), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437315] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12992), 1,
      sym__optional_semi,
    STATE(9842), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437356] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12994), 1,
      anon_sym_EQ_GT,
    STATE(9843), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437397] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12996), 1,
      anon_sym_EQ_GT,
    STATE(9844), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437438] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(12998), 1,
      anon_sym_EQ_GT,
    STATE(9845), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437479] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13000), 1,
      sym__optional_semi,
    STATE(9846), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437520] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13002), 1,
      anon_sym_RPAREN,
    STATE(9847), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437561] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13004), 1,
      anon_sym_EQ_GT,
    STATE(9848), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437602] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_EQ_GT,
    STATE(9849), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437643] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13008), 1,
      sym__optional_semi,
    STATE(9850), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437684] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13010), 1,
      anon_sym_EQ_GT,
    STATE(9851), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437725] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13012), 1,
      aux_sym_preproc_if_token3,
    STATE(9852), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437766] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13014), 1,
      anon_sym_RPAREN,
    STATE(9853), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437807] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13016), 1,
      anon_sym_EQ_GT,
    STATE(9854), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437848] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13018), 1,
      anon_sym_EQ_GT,
    STATE(9855), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437889] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13020), 1,
      sym__optional_semi,
    STATE(9856), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437930] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13022), 1,
      anon_sym_LPAREN,
    STATE(9857), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [437971] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13024), 1,
      anon_sym_EQ_GT,
    STATE(9858), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438012] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13026), 1,
      anon_sym_LT,
    STATE(9859), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438053] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13028), 1,
      sym__optional_semi,
    STATE(9860), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438094] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13030), 1,
      anon_sym_EQ_GT,
    STATE(9861), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438135] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13032), 1,
      sym__optional_semi,
    STATE(9862), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438176] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13034), 1,
      anon_sym_EQ_GT,
    STATE(9863), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438217] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_EQ_GT,
    STATE(9864), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438258] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13038), 1,
      anon_sym_EQ_GT,
    STATE(9865), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438299] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13040), 1,
      anon_sym_SEMI,
    STATE(9866), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438340] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13042), 1,
      sym__optional_semi,
    STATE(9867), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438381] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13044), 1,
      sym__optional_semi,
    STATE(9868), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438422] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13046), 1,
      anon_sym_SEMI,
    STATE(9869), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438463] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13048), 1,
      anon_sym_SEMI,
    STATE(9870), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438504] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13050), 1,
      anon_sym_EQ_GT,
    STATE(9871), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438545] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13052), 1,
      sym__optional_semi,
    STATE(9872), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438586] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13054), 1,
      anon_sym_EQ_GT,
    STATE(9873), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438627] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13056), 1,
      anon_sym_EQ_GT,
    STATE(9874), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438668] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_RBRACE,
    STATE(9875), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438709] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13058), 1,
      anon_sym_LPAREN,
    STATE(9876), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438750] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13060), 1,
      anon_sym_EQ_GT,
    STATE(9877), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438791] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13062), 1,
      sym__optional_semi,
    STATE(9878), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438832] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13064), 1,
      anon_sym_EQ_GT,
    STATE(9879), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438873] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13066), 1,
      sym__optional_semi,
    STATE(9880), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438914] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13068), 1,
      sym__optional_semi,
    STATE(9881), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438955] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13070), 1,
      sym__optional_semi,
    STATE(9882), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [438996] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_EQ_GT,
    STATE(9883), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439037] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13074), 1,
      anon_sym_EQ_GT,
    STATE(9884), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439078] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13076), 1,
      sym__optional_semi,
    STATE(9885), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439119] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_LBRACE,
    STATE(9886), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439160] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13080), 1,
      anon_sym_EQ_GT,
    STATE(9887), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439201] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_EQ_GT,
    STATE(9888), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439242] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_EQ_GT,
    STATE(9889), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439283] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13086), 1,
      sym__optional_semi,
    STATE(9890), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439324] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13088), 1,
      anon_sym_LPAREN,
    STATE(9891), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439365] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13090), 1,
      anon_sym_EQ_GT,
    STATE(9892), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439406] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13092), 1,
      anon_sym_EQ_GT,
    STATE(9893), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439447] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_EQ_GT,
    STATE(9894), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439488] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13096), 1,
      anon_sym_SEMI,
    STATE(9895), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439529] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13098), 1,
      sym__optional_semi,
    STATE(9896), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439570] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_EQ_GT,
    STATE(9897), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439611] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13102), 1,
      sym__optional_semi,
    STATE(9898), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439652] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13104), 1,
      anon_sym_LPAREN,
    STATE(9899), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439693] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13106), 1,
      anon_sym_EQ_GT,
    STATE(9900), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439734] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13108), 1,
      anon_sym_STAR,
    STATE(9901), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439775] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13110), 1,
      aux_sym_preproc_if_token3,
    STATE(9902), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439816] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13112), 1,
      anon_sym_EQ_GT,
    STATE(9903), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439857] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13114), 1,
      anon_sym_COMMA,
    STATE(9904), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439898] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13116), 1,
      anon_sym_EQ_GT,
    STATE(9905), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439939] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_RPAREN,
    STATE(9906), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [439980] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_EQ_GT,
    STATE(9907), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440021] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13120), 1,
      sym__optional_semi,
    STATE(9908), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440062] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13122), 1,
      anon_sym_EQ_GT,
    STATE(9909), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440103] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13124), 1,
      anon_sym_EQ_GT,
    STATE(9910), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440144] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13126), 1,
      anon_sym_LPAREN,
    STATE(9911), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440185] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13128), 1,
      anon_sym_SEMI,
    STATE(9912), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440226] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13130), 1,
      anon_sym_EQ_GT,
    STATE(9913), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440267] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13132), 1,
      anon_sym_EQ_GT,
    STATE(9914), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440308] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(13134), 1,
      sym_preproc_arg,
    STATE(9915), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440349] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13136), 1,
      anon_sym_EQ_GT,
    STATE(9916), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440390] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13138), 1,
      sym__optional_semi,
    STATE(9917), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440431] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13140), 1,
      sym__optional_semi,
    STATE(9918), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440472] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13142), 1,
      anon_sym_EQ_GT,
    STATE(9919), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440513] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13144), 1,
      anon_sym_GT,
    STATE(9920), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440554] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13146), 1,
      anon_sym_EQ_GT,
    STATE(9921), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440595] = 11,
    ACTIONS(9595), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(9597), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(9599), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9601), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(9603), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(9605), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(9607), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(9609), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(9611), 1,
      sym_comment,
    ACTIONS(13148), 1,
      aux_sym_preproc_if_token2,
    STATE(9922), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440636] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13150), 1,
      sym__optional_semi,
    STATE(9923), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440677] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13152), 1,
      sym__optional_semi,
    STATE(9924), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440718] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13154), 1,
      sym__optional_semi,
    STATE(9925), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440759] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13156), 1,
      anon_sym_SEMI,
    STATE(9926), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440800] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13158), 1,
      sym__optional_semi,
    STATE(9927), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440841] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13160), 1,
      anon_sym_EQ_GT,
    STATE(9928), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440882] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_COLON,
    STATE(9929), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440923] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13164), 1,
      anon_sym_LPAREN,
    STATE(9930), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [440964] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13166), 1,
      anon_sym_STAR,
    STATE(9931), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441005] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13168), 1,
      sym__optional_semi,
    STATE(9932), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441046] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13170), 1,
      sym__optional_semi,
    STATE(9933), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441087] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_EQ_GT,
    STATE(9934), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441128] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13174), 1,
      sym__optional_semi,
    STATE(9935), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441169] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13176), 1,
      anon_sym_LPAREN,
    STATE(9936), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441210] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13178), 1,
      sym__optional_semi,
    STATE(9937), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441251] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13180), 1,
      sym__optional_semi,
    STATE(9938), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441292] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13182), 1,
      sym__optional_semi,
    STATE(9939), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441333] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13184), 1,
      sym__optional_semi,
    STATE(9940), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441374] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13186), 1,
      sym__optional_semi,
    STATE(9941), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441415] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13188), 1,
      anon_sym_LPAREN,
    STATE(9942), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441456] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13190), 1,
      anon_sym_STAR,
    STATE(9943), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441497] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13192), 1,
      sym__optional_semi,
    STATE(9944), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441538] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13194), 1,
      sym__optional_semi,
    STATE(9945), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441579] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13196), 1,
      anon_sym_LPAREN,
    STATE(9946), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441620] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13198), 1,
      sym__optional_semi,
    STATE(9947), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441661] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13200), 1,
      anon_sym_DQUOTE,
    STATE(9948), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441702] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13202), 1,
      anon_sym_DQUOTE,
    STATE(9949), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441743] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13204), 1,
      anon_sym_STAR,
    STATE(9950), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441784] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13206), 1,
      sym__optional_semi,
    STATE(9951), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441825] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13208), 1,
      anon_sym_STAR,
    STATE(9952), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441866] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13210), 1,
      sym__optional_semi,
    STATE(9953), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441907] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13212), 1,
      anon_sym_STAR,
    STATE(9954), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441948] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10142), 1,
      anon_sym_STAR,
    STATE(9955), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [441989] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13214), 1,
      sym__optional_semi,
    STATE(9956), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442030] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13216), 1,
      anon_sym_LPAREN,
    STATE(9957), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442071] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13218), 1,
      anon_sym_LPAREN,
    STATE(9958), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442112] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13220), 1,
      anon_sym_RPAREN,
    STATE(9959), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442153] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13222), 1,
      sym_interpolation_start_quote,
    STATE(9960), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442194] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13224), 1,
      anon_sym_while,
    STATE(9961), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442235] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13226), 1,
      anon_sym_LPAREN,
    STATE(9962), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442276] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13228), 1,
      sym_integer_literal,
    STATE(9963), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442317] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13230), 1,
      sym__optional_semi,
    STATE(9964), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442358] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13232), 1,
      sym_raw_string_content,
    STATE(9965), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442399] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13234), 1,
      anon_sym_STAR,
    STATE(9966), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442440] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13236), 1,
      anon_sym_LPAREN,
    STATE(9967), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442481] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13238), 1,
      anon_sym_LPAREN,
    STATE(9968), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442522] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13240), 1,
      anon_sym_while,
    STATE(9969), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442563] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13242), 1,
      anon_sym_LPAREN,
    STATE(9970), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442604] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13244), 1,
      anon_sym_LPAREN,
    STATE(9971), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442645] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13246), 1,
      anon_sym_LPAREN,
    STATE(9972), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442686] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13248), 1,
      anon_sym_while,
    STATE(9973), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442727] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13250), 1,
      anon_sym_LPAREN,
    STATE(9974), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442768] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13252), 1,
      anon_sym_LPAREN,
    STATE(9975), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442809] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13254), 1,
      anon_sym_LPAREN,
    STATE(9976), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442850] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(10536), 1,
      anon_sym_RBRACE,
    STATE(9977), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442891] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13256), 1,
      sym__optional_semi,
    STATE(9978), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442932] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13258), 1,
      sym__optional_semi,
    STATE(9979), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [442973] = 11,
    ACTIONS(3), 1,
      aux_sym_preproc_region_token1,
    ACTIONS(5), 1,
      aux_sym_preproc_endregion_token1,
    ACTIONS(7), 1,
      aux_sym_preproc_line_token1,
    ACTIONS(9), 1,
      aux_sym_preproc_pragma_token1,
    ACTIONS(11), 1,
      aux_sym_preproc_nullable_token1,
    ACTIONS(13), 1,
      aux_sym_preproc_error_token1,
    ACTIONS(15), 1,
      aux_sym_preproc_define_token1,
    ACTIONS(17), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(19), 1,
      sym_comment,
    ACTIONS(13260), 1,
      anon_sym_EQ_GT,
    STATE(9980), 8,
      sym_preproc_region,
      sym_preproc_endregion,
      sym_preproc_line,
      sym_preproc_pragma,
      sym_preproc_nullable,
      sym_preproc_error,
      sym_preproc_define,
      sym_preproc_undef,
  [443014] = 1,
    ACTIONS(13262), 1,
      ts_builtin_sym_end,
  [443018] = 1,
    ACTIONS(13264), 1,
      ts_builtin_sym_end,
  [443022] = 1,
    ACTIONS(13266), 1,
      ts_builtin_sym_end,
  [443026] = 1,
    ACTIONS(13268), 1,
      ts_builtin_sym_end,
  [443030] = 1,
    ACTIONS(13270), 1,
      ts_builtin_sym_end,
  [443034] = 1,
    ACTIONS(13272), 1,
      ts_builtin_sym_end,
  [443038] = 1,
    ACTIONS(13274), 1,
      ts_builtin_sym_end,
  [443042] = 1,
    ACTIONS(13276), 1,
      ts_builtin_sym_end,
  [443046] = 1,
    ACTIONS(13278), 1,
      ts_builtin_sym_end,
  [443050] = 1,
    ACTIONS(13280), 1,
      ts_builtin_sym_end,
  [443054] = 1,
    ACTIONS(13282), 1,
      ts_builtin_sym_end,
  [443058] = 1,
    ACTIONS(13284), 1,
      ts_builtin_sym_end,
  [443062] = 1,
    ACTIONS(13286), 1,
      ts_builtin_sym_end,
  [443066] = 1,
    ACTIONS(13288), 1,
      ts_builtin_sym_end,
  [443070] = 1,
    ACTIONS(13290), 1,
      ts_builtin_sym_end,
  [443074] = 1,
    ACTIONS(13292), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(4455)] = 0,
  [SMALL_STATE(4456)] = 145,
  [SMALL_STATE(4457)] = 252,
  [SMALL_STATE(4458)] = 341,
  [SMALL_STATE(4459)] = 486,
  [SMALL_STATE(4460)] = 575,
  [SMALL_STATE(4461)] = 696,
  [SMALL_STATE(4462)] = 811,
  [SMALL_STATE(4463)] = 922,
  [SMALL_STATE(4464)] = 1039,
  [SMALL_STATE(4465)] = 1184,
  [SMALL_STATE(4466)] = 1329,
  [SMALL_STATE(4467)] = 1474,
  [SMALL_STATE(4468)] = 1619,
  [SMALL_STATE(4469)] = 1764,
  [SMALL_STATE(4470)] = 1909,
  [SMALL_STATE(4471)] = 2034,
  [SMALL_STATE(4472)] = 2123,
  [SMALL_STATE(4473)] = 2268,
  [SMALL_STATE(4474)] = 2355,
  [SMALL_STATE(4475)] = 2500,
  [SMALL_STATE(4476)] = 2589,
  [SMALL_STATE(4477)] = 2676,
  [SMALL_STATE(4478)] = 2767,
  [SMALL_STATE(4479)] = 2858,
  [SMALL_STATE(4480)] = 3003,
  [SMALL_STATE(4481)] = 3148,
  [SMALL_STATE(4482)] = 3293,
  [SMALL_STATE(4483)] = 3382,
  [SMALL_STATE(4484)] = 3527,
  [SMALL_STATE(4485)] = 3618,
  [SMALL_STATE(4486)] = 3763,
  [SMALL_STATE(4487)] = 3892,
  [SMALL_STATE(4488)] = 3985,
  [SMALL_STATE(4489)] = 4130,
  [SMALL_STATE(4490)] = 4275,
  [SMALL_STATE(4491)] = 4420,
  [SMALL_STATE(4492)] = 4513,
  [SMALL_STATE(4493)] = 4606,
  [SMALL_STATE(4494)] = 4735,
  [SMALL_STATE(4495)] = 4842,
  [SMALL_STATE(4496)] = 4935,
  [SMALL_STATE(4497)] = 5028,
  [SMALL_STATE(4498)] = 5117,
  [SMALL_STATE(4499)] = 5210,
  [SMALL_STATE(4500)] = 5301,
  [SMALL_STATE(4501)] = 5422,
  [SMALL_STATE(4502)] = 5537,
  [SMALL_STATE(4503)] = 5648,
  [SMALL_STATE(4504)] = 5793,
  [SMALL_STATE(4505)] = 5926,
  [SMALL_STATE(4506)] = 6061,
  [SMALL_STATE(4507)] = 6192,
  [SMALL_STATE(4508)] = 6309,
  [SMALL_STATE(4509)] = 6438,
  [SMALL_STATE(4510)] = 6527,
  [SMALL_STATE(4511)] = 6634,
  [SMALL_STATE(4512)] = 6771,
  [SMALL_STATE(4513)] = 6910,
  [SMALL_STATE(4514)] = 7041,
  [SMALL_STATE(4515)] = 7148,
  [SMALL_STATE(4516)] = 7241,
  [SMALL_STATE(4517)] = 7334,
  [SMALL_STATE(4518)] = 7427,
  [SMALL_STATE(4519)] = 7518,
  [SMALL_STATE(4520)] = 7611,
  [SMALL_STATE(4521)] = 7756,
  [SMALL_STATE(4522)] = 7889,
  [SMALL_STATE(4523)] = 8024,
  [SMALL_STATE(4524)] = 8155,
  [SMALL_STATE(4525)] = 8284,
  [SMALL_STATE(4526)] = 8421,
  [SMALL_STATE(4527)] = 8560,
  [SMALL_STATE(4528)] = 8703,
  [SMALL_STATE(4529)] = 8846,
  [SMALL_STATE(4530)] = 8935,
  [SMALL_STATE(4531)] = 9024,
  [SMALL_STATE(4532)] = 9169,
  [SMALL_STATE(4533)] = 9314,
  [SMALL_STATE(4534)] = 9403,
  [SMALL_STATE(4535)] = 9532,
  [SMALL_STATE(4536)] = 9661,
  [SMALL_STATE(4537)] = 9790,
  [SMALL_STATE(4538)] = 9919,
  [SMALL_STATE(4539)] = 10048,
  [SMALL_STATE(4540)] = 10193,
  [SMALL_STATE(4541)] = 10338,
  [SMALL_STATE(4542)] = 10476,
  [SMALL_STATE(4543)] = 10602,
  [SMALL_STATE(4544)] = 10728,
  [SMALL_STATE(4545)] = 10816,
  [SMALL_STATE(4546)] = 10942,
  [SMALL_STATE(4547)] = 11030,
  [SMALL_STATE(4548)] = 11156,
  [SMALL_STATE(4549)] = 11244,
  [SMALL_STATE(4550)] = 11370,
  [SMALL_STATE(4551)] = 11496,
  [SMALL_STATE(4552)] = 11622,
  [SMALL_STATE(4553)] = 11710,
  [SMALL_STATE(4554)] = 11836,
  [SMALL_STATE(4555)] = 11962,
  [SMALL_STATE(4556)] = 12050,
  [SMALL_STATE(4557)] = 12140,
  [SMALL_STATE(4558)] = 12266,
  [SMALL_STATE(4559)] = 12354,
  [SMALL_STATE(4560)] = 12446,
  [SMALL_STATE(4561)] = 12572,
  [SMALL_STATE(4562)] = 12666,
  [SMALL_STATE(4563)] = 12754,
  [SMALL_STATE(4564)] = 12842,
  [SMALL_STATE(4565)] = 12930,
  [SMALL_STATE(4566)] = 13038,
  [SMALL_STATE(4567)] = 13164,
  [SMALL_STATE(4568)] = 13290,
  [SMALL_STATE(4569)] = 13416,
  [SMALL_STATE(4570)] = 13504,
  [SMALL_STATE(4571)] = 13596,
  [SMALL_STATE(4572)] = 13684,
  [SMALL_STATE(4573)] = 13810,
  [SMALL_STATE(4574)] = 13936,
  [SMALL_STATE(4575)] = 14062,
  [SMALL_STATE(4576)] = 14150,
  [SMALL_STATE(4577)] = 14238,
  [SMALL_STATE(4578)] = 14364,
  [SMALL_STATE(4579)] = 14490,
  [SMALL_STATE(4580)] = 14616,
  [SMALL_STATE(4581)] = 14742,
  [SMALL_STATE(4582)] = 14830,
  [SMALL_STATE(4583)] = 14956,
  [SMALL_STATE(4584)] = 15044,
  [SMALL_STATE(4585)] = 15132,
  [SMALL_STATE(4586)] = 15220,
  [SMALL_STATE(4587)] = 15362,
  [SMALL_STATE(4588)] = 15488,
  [SMALL_STATE(4589)] = 15614,
  [SMALL_STATE(4590)] = 15702,
  [SMALL_STATE(4591)] = 15790,
  [SMALL_STATE(4592)] = 15878,
  [SMALL_STATE(4593)] = 16004,
  [SMALL_STATE(4594)] = 16130,
  [SMALL_STATE(4595)] = 16256,
  [SMALL_STATE(4596)] = 16348,
  [SMALL_STATE(4597)] = 16436,
  [SMALL_STATE(4598)] = 16524,
  [SMALL_STATE(4599)] = 16612,
  [SMALL_STATE(4600)] = 16738,
  [SMALL_STATE(4601)] = 16864,
  [SMALL_STATE(4602)] = 16952,
  [SMALL_STATE(4603)] = 17078,
  [SMALL_STATE(4604)] = 17166,
  [SMALL_STATE(4605)] = 17254,
  [SMALL_STATE(4606)] = 17386,
  [SMALL_STATE(4607)] = 17512,
  [SMALL_STATE(4608)] = 17646,
  [SMALL_STATE(4609)] = 17734,
  [SMALL_STATE(4610)] = 17860,
  [SMALL_STATE(4611)] = 17990,
  [SMALL_STATE(4612)] = 18116,
  [SMALL_STATE(4613)] = 18244,
  [SMALL_STATE(4614)] = 18332,
  [SMALL_STATE(4615)] = 18440,
  [SMALL_STATE(4616)] = 18528,
  [SMALL_STATE(4617)] = 18654,
  [SMALL_STATE(4618)] = 18742,
  [SMALL_STATE(4619)] = 18868,
  [SMALL_STATE(4620)] = 18956,
  [SMALL_STATE(4621)] = 19082,
  [SMALL_STATE(4622)] = 19218,
  [SMALL_STATE(4623)] = 19310,
  [SMALL_STATE(4624)] = 19398,
  [SMALL_STATE(4625)] = 19540,
  [SMALL_STATE(4626)] = 19628,
  [SMALL_STATE(4627)] = 19716,
  [SMALL_STATE(4628)] = 19842,
  [SMALL_STATE(4629)] = 19930,
  [SMALL_STATE(4630)] = 20072,
  [SMALL_STATE(4631)] = 20160,
  [SMALL_STATE(4632)] = 20248,
  [SMALL_STATE(4633)] = 20338,
  [SMALL_STATE(4634)] = 20426,
  [SMALL_STATE(4635)] = 20532,
  [SMALL_STATE(4636)] = 20658,
  [SMALL_STATE(4637)] = 20800,
  [SMALL_STATE(4638)] = 20942,
  [SMALL_STATE(4639)] = 21084,
  [SMALL_STATE(4640)] = 21210,
  [SMALL_STATE(4641)] = 21298,
  [SMALL_STATE(4642)] = 21440,
  [SMALL_STATE(4643)] = 21566,
  [SMALL_STATE(4644)] = 21708,
  [SMALL_STATE(4645)] = 21850,
  [SMALL_STATE(4646)] = 21938,
  [SMALL_STATE(4647)] = 22080,
  [SMALL_STATE(4648)] = 22222,
  [SMALL_STATE(4649)] = 22348,
  [SMALL_STATE(4650)] = 22474,
  [SMALL_STATE(4651)] = 22600,
  [SMALL_STATE(4652)] = 22688,
  [SMALL_STATE(4653)] = 22814,
  [SMALL_STATE(4654)] = 22902,
  [SMALL_STATE(4655)] = 22990,
  [SMALL_STATE(4656)] = 23116,
  [SMALL_STATE(4657)] = 23242,
  [SMALL_STATE(4658)] = 23368,
  [SMALL_STATE(4659)] = 23456,
  [SMALL_STATE(4660)] = 23582,
  [SMALL_STATE(4661)] = 23670,
  [SMALL_STATE(4662)] = 23796,
  [SMALL_STATE(4663)] = 23884,
  [SMALL_STATE(4664)] = 23972,
  [SMALL_STATE(4665)] = 24060,
  [SMALL_STATE(4666)] = 24148,
  [SMALL_STATE(4667)] = 24268,
  [SMALL_STATE(4668)] = 24382,
  [SMALL_STATE(4669)] = 24492,
  [SMALL_STATE(4670)] = 24584,
  [SMALL_STATE(4671)] = 24672,
  [SMALL_STATE(4672)] = 24760,
  [SMALL_STATE(4673)] = 24876,
  [SMALL_STATE(4674)] = 24964,
  [SMALL_STATE(4675)] = 25052,
  [SMALL_STATE(4676)] = 25144,
  [SMALL_STATE(4677)] = 25232,
  [SMALL_STATE(4678)] = 25320,
  [SMALL_STATE(4679)] = 25408,
  [SMALL_STATE(4680)] = 25496,
  [SMALL_STATE(4681)] = 25622,
  [SMALL_STATE(4682)] = 25710,
  [SMALL_STATE(4683)] = 25798,
  [SMALL_STATE(4684)] = 25890,
  [SMALL_STATE(4685)] = 25978,
  [SMALL_STATE(4686)] = 26066,
  [SMALL_STATE(4687)] = 26154,
  [SMALL_STATE(4688)] = 26242,
  [SMALL_STATE(4689)] = 26330,
  [SMALL_STATE(4690)] = 26418,
  [SMALL_STATE(4691)] = 26506,
  [SMALL_STATE(4692)] = 26594,
  [SMALL_STATE(4693)] = 26682,
  [SMALL_STATE(4694)] = 26770,
  [SMALL_STATE(4695)] = 26858,
  [SMALL_STATE(4696)] = 26984,
  [SMALL_STATE(4697)] = 27110,
  [SMALL_STATE(4698)] = 27198,
  [SMALL_STATE(4699)] = 27286,
  [SMALL_STATE(4700)] = 27374,
  [SMALL_STATE(4701)] = 27500,
  [SMALL_STATE(4702)] = 27588,
  [SMALL_STATE(4703)] = 27676,
  [SMALL_STATE(4704)] = 27764,
  [SMALL_STATE(4705)] = 27890,
  [SMALL_STATE(4706)] = 27978,
  [SMALL_STATE(4707)] = 28066,
  [SMALL_STATE(4708)] = 28208,
  [SMALL_STATE(4709)] = 28314,
  [SMALL_STATE(4710)] = 28402,
  [SMALL_STATE(4711)] = 28490,
  [SMALL_STATE(4712)] = 28578,
  [SMALL_STATE(4713)] = 28704,
  [SMALL_STATE(4714)] = 28846,
  [SMALL_STATE(4715)] = 28934,
  [SMALL_STATE(4716)] = 29060,
  [SMALL_STATE(4717)] = 29186,
  [SMALL_STATE(4718)] = 29312,
  [SMALL_STATE(4719)] = 29438,
  [SMALL_STATE(4720)] = 29526,
  [SMALL_STATE(4721)] = 29652,
  [SMALL_STATE(4722)] = 29740,
  [SMALL_STATE(4723)] = 29866,
  [SMALL_STATE(4724)] = 29954,
  [SMALL_STATE(4725)] = 30042,
  [SMALL_STATE(4726)] = 30130,
  [SMALL_STATE(4727)] = 30256,
  [SMALL_STATE(4728)] = 30344,
  [SMALL_STATE(4729)] = 30470,
  [SMALL_STATE(4730)] = 30596,
  [SMALL_STATE(4731)] = 30686,
  [SMALL_STATE(4732)] = 30774,
  [SMALL_STATE(4733)] = 30866,
  [SMALL_STATE(4734)] = 30992,
  [SMALL_STATE(4735)] = 31118,
  [SMALL_STATE(4736)] = 31244,
  [SMALL_STATE(4737)] = 31332,
  [SMALL_STATE(4738)] = 31420,
  [SMALL_STATE(4739)] = 31508,
  [SMALL_STATE(4740)] = 31596,
  [SMALL_STATE(4741)] = 31684,
  [SMALL_STATE(4742)] = 31772,
  [SMALL_STATE(4743)] = 31860,
  [SMALL_STATE(4744)] = 31983,
  [SMALL_STATE(4745)] = 32110,
  [SMALL_STATE(4746)] = 32215,
  [SMALL_STATE(4747)] = 32356,
  [SMALL_STATE(4748)] = 32479,
  [SMALL_STATE(4749)] = 32602,
  [SMALL_STATE(4750)] = 32725,
  [SMALL_STATE(4751)] = 32848,
  [SMALL_STATE(4752)] = 32939,
  [SMALL_STATE(4753)] = 33082,
  [SMALL_STATE(4754)] = 33205,
  [SMALL_STATE(4755)] = 33328,
  [SMALL_STATE(4756)] = 33469,
  [SMALL_STATE(4757)] = 33592,
  [SMALL_STATE(4758)] = 33715,
  [SMALL_STATE(4759)] = 33838,
  [SMALL_STATE(4760)] = 33929,
  [SMALL_STATE(4761)] = 34052,
  [SMALL_STATE(4762)] = 34195,
  [SMALL_STATE(4763)] = 34318,
  [SMALL_STATE(4764)] = 34441,
  [SMALL_STATE(4765)] = 34564,
  [SMALL_STATE(4766)] = 34687,
  [SMALL_STATE(4767)] = 34818,
  [SMALL_STATE(4768)] = 34941,
  [SMALL_STATE(4769)] = 35084,
  [SMALL_STATE(4770)] = 35189,
  [SMALL_STATE(4771)] = 35324,
  [SMALL_STATE(4772)] = 35447,
  [SMALL_STATE(4773)] = 35570,
  [SMALL_STATE(4774)] = 35693,
  [SMALL_STATE(4775)] = 35816,
  [SMALL_STATE(4776)] = 35959,
  [SMALL_STATE(4777)] = 36082,
  [SMALL_STATE(4778)] = 36205,
  [SMALL_STATE(4779)] = 36294,
  [SMALL_STATE(4780)] = 36417,
  [SMALL_STATE(4781)] = 36540,
  [SMALL_STATE(4782)] = 36663,
  [SMALL_STATE(4783)] = 36786,
  [SMALL_STATE(4784)] = 36891,
  [SMALL_STATE(4785)] = 37014,
  [SMALL_STATE(4786)] = 37137,
  [SMALL_STATE(4787)] = 37260,
  [SMALL_STATE(4788)] = 37383,
  [SMALL_STATE(4789)] = 37474,
  [SMALL_STATE(4790)] = 37597,
  [SMALL_STATE(4791)] = 37720,
  [SMALL_STATE(4792)] = 37843,
  [SMALL_STATE(4793)] = 37966,
  [SMALL_STATE(4794)] = 38089,
  [SMALL_STATE(4795)] = 38232,
  [SMALL_STATE(4796)] = 38355,
  [SMALL_STATE(4797)] = 38498,
  [SMALL_STATE(4798)] = 38641,
  [SMALL_STATE(4799)] = 38764,
  [SMALL_STATE(4800)] = 38853,
  [SMALL_STATE(4801)] = 38944,
  [SMALL_STATE(4802)] = 39067,
  [SMALL_STATE(4803)] = 39190,
  [SMALL_STATE(4804)] = 39333,
  [SMALL_STATE(4805)] = 39456,
  [SMALL_STATE(4806)] = 39589,
  [SMALL_STATE(4807)] = 39712,
  [SMALL_STATE(4808)] = 39835,
  [SMALL_STATE(4809)] = 39958,
  [SMALL_STATE(4810)] = 40081,
  [SMALL_STATE(4811)] = 40204,
  [SMALL_STATE(4812)] = 40327,
  [SMALL_STATE(4813)] = 40450,
  [SMALL_STATE(4814)] = 40573,
  [SMALL_STATE(4815)] = 40696,
  [SMALL_STATE(4816)] = 40809,
  [SMALL_STATE(4817)] = 40932,
  [SMALL_STATE(4818)] = 41055,
  [SMALL_STATE(4819)] = 41178,
  [SMALL_STATE(4820)] = 41301,
  [SMALL_STATE(4821)] = 41438,
  [SMALL_STATE(4822)] = 41561,
  [SMALL_STATE(4823)] = 41684,
  [SMALL_STATE(4824)] = 41807,
  [SMALL_STATE(4825)] = 41948,
  [SMALL_STATE(4826)] = 42071,
  [SMALL_STATE(4827)] = 42194,
  [SMALL_STATE(4828)] = 42301,
  [SMALL_STATE(4829)] = 42444,
  [SMALL_STATE(4830)] = 42567,
  [SMALL_STATE(4831)] = 42708,
  [SMALL_STATE(4832)] = 42831,
  [SMALL_STATE(4833)] = 42972,
  [SMALL_STATE(4834)] = 43095,
  [SMALL_STATE(4835)] = 43218,
  [SMALL_STATE(4836)] = 43341,
  [SMALL_STATE(4837)] = 43464,
  [SMALL_STATE(4838)] = 43555,
  [SMALL_STATE(4839)] = 43678,
  [SMALL_STATE(4840)] = 43821,
  [SMALL_STATE(4841)] = 43962,
  [SMALL_STATE(4842)] = 44105,
  [SMALL_STATE(4843)] = 44248,
  [SMALL_STATE(4844)] = 44391,
  [SMALL_STATE(4845)] = 44534,
  [SMALL_STATE(4846)] = 44677,
  [SMALL_STATE(4847)] = 44820,
  [SMALL_STATE(4848)] = 44963,
  [SMALL_STATE(4849)] = 45106,
  [SMALL_STATE(4850)] = 45249,
  [SMALL_STATE(4851)] = 45372,
  [SMALL_STATE(4852)] = 45463,
  [SMALL_STATE(4853)] = 45594,
  [SMALL_STATE(4854)] = 45727,
  [SMALL_STATE(4855)] = 45856,
  [SMALL_STATE(4856)] = 45983,
  [SMALL_STATE(4857)] = 46118,
  [SMALL_STATE(4858)] = 46241,
  [SMALL_STATE(4859)] = 46378,
  [SMALL_STATE(4860)] = 46521,
  [SMALL_STATE(4861)] = 46662,
  [SMALL_STATE(4862)] = 46785,
  [SMALL_STATE(4863)] = 46880,
  [SMALL_STATE(4864)] = 47003,
  [SMALL_STATE(4865)] = 47126,
  [SMALL_STATE(4866)] = 47267,
  [SMALL_STATE(4867)] = 47390,
  [SMALL_STATE(4868)] = 47513,
  [SMALL_STATE(4869)] = 47636,
  [SMALL_STATE(4870)] = 47759,
  [SMALL_STATE(4871)] = 47882,
  [SMALL_STATE(4872)] = 48025,
  [SMALL_STATE(4873)] = 48148,
  [SMALL_STATE(4874)] = 48253,
  [SMALL_STATE(4875)] = 48394,
  [SMALL_STATE(4876)] = 48513,
  [SMALL_STATE(4877)] = 48636,
  [SMALL_STATE(4878)] = 48727,
  [SMALL_STATE(4879)] = 48850,
  [SMALL_STATE(4880)] = 48969,
  [SMALL_STATE(4881)] = 49082,
  [SMALL_STATE(4882)] = 49191,
  [SMALL_STATE(4883)] = 49306,
  [SMALL_STATE(4884)] = 49395,
  [SMALL_STATE(4885)] = 49518,
  [SMALL_STATE(4886)] = 49659,
  [SMALL_STATE(4887)] = 49764,
  [SMALL_STATE(4888)] = 49887,
  [SMALL_STATE(4889)] = 50010,
  [SMALL_STATE(4890)] = 50133,
  [SMALL_STATE(4891)] = 50276,
  [SMALL_STATE(4892)] = 50399,
  [SMALL_STATE(4893)] = 50522,
  [SMALL_STATE(4894)] = 50641,
  [SMALL_STATE(4895)] = 50732,
  [SMALL_STATE(4896)] = 50855,
  [SMALL_STATE(4897)] = 50978,
  [SMALL_STATE(4898)] = 51101,
  [SMALL_STATE(4899)] = 51224,
  [SMALL_STATE(4900)] = 51337,
  [SMALL_STATE(4901)] = 51480,
  [SMALL_STATE(4902)] = 51603,
  [SMALL_STATE(4903)] = 51744,
  [SMALL_STATE(4904)] = 51853,
  [SMALL_STATE(4905)] = 51962,
  [SMALL_STATE(4906)] = 52105,
  [SMALL_STATE(4907)] = 52228,
  [SMALL_STATE(4908)] = 52359,
  [SMALL_STATE(4909)] = 52482,
  [SMALL_STATE(4910)] = 52605,
  [SMALL_STATE(4911)] = 52728,
  [SMALL_STATE(4912)] = 52871,
  [SMALL_STATE(4913)] = 52994,
  [SMALL_STATE(4914)] = 53117,
  [SMALL_STATE(4915)] = 53240,
  [SMALL_STATE(4916)] = 53331,
  [SMALL_STATE(4917)] = 53472,
  [SMALL_STATE(4918)] = 53563,
  [SMALL_STATE(4919)] = 53704,
  [SMALL_STATE(4920)] = 53809,
  [SMALL_STATE(4921)] = 53932,
  [SMALL_STATE(4922)] = 54055,
  [SMALL_STATE(4923)] = 54188,
  [SMALL_STATE(4924)] = 54317,
  [SMALL_STATE(4925)] = 54440,
  [SMALL_STATE(4926)] = 54569,
  [SMALL_STATE(4927)] = 54692,
  [SMALL_STATE(4928)] = 54807,
  [SMALL_STATE(4929)] = 54930,
  [SMALL_STATE(4930)] = 55025,
  [SMALL_STATE(4931)] = 55148,
  [SMALL_STATE(4932)] = 55271,
  [SMALL_STATE(4933)] = 55398,
  [SMALL_STATE(4934)] = 55513,
  [SMALL_STATE(4935)] = 55636,
  [SMALL_STATE(4936)] = 55771,
  [SMALL_STATE(4937)] = 55908,
  [SMALL_STATE(4938)] = 56031,
  [SMALL_STATE(4939)] = 56154,
  [SMALL_STATE(4940)] = 56297,
  [SMALL_STATE(4941)] = 56425,
  [SMALL_STATE(4942)] = 56567,
  [SMALL_STATE(4943)] = 56709,
  [SMALL_STATE(4944)] = 56799,
  [SMALL_STATE(4945)] = 56941,
  [SMALL_STATE(4946)] = 57083,
  [SMALL_STATE(4947)] = 57225,
  [SMALL_STATE(4948)] = 57367,
  [SMALL_STATE(4949)] = 57469,
  [SMALL_STATE(4950)] = 57599,
  [SMALL_STATE(4951)] = 57731,
  [SMALL_STATE(4952)] = 57857,
  [SMALL_STATE(4953)] = 57963,
  [SMALL_STATE(4954)] = 58097,
  [SMALL_STATE(4955)] = 58233,
  [SMALL_STATE(4956)] = 58373,
  [SMALL_STATE(4957)] = 58475,
  [SMALL_STATE(4958)] = 58565,
  [SMALL_STATE(4959)] = 58667,
  [SMALL_STATE(4960)] = 58779,
  [SMALL_STATE(4961)] = 58921,
  [SMALL_STATE(4962)] = 59009,
  [SMALL_STATE(4963)] = 59151,
  [SMALL_STATE(4964)] = 59259,
  [SMALL_STATE(4965)] = 59401,
  [SMALL_STATE(4966)] = 59489,
  [SMALL_STATE(4967)] = 59607,
  [SMALL_STATE(4968)] = 59697,
  [SMALL_STATE(4969)] = 59787,
  [SMALL_STATE(4970)] = 59875,
  [SMALL_STATE(4971)] = 59965,
  [SMALL_STATE(4972)] = 60057,
  [SMALL_STATE(4973)] = 60147,
  [SMALL_STATE(4974)] = 60235,
  [SMALL_STATE(4975)] = 60325,
  [SMALL_STATE(4976)] = 60415,
  [SMALL_STATE(4977)] = 60519,
  [SMALL_STATE(4978)] = 60633,
  [SMALL_STATE(4979)] = 60737,
  [SMALL_STATE(4980)] = 60879,
  [SMALL_STATE(4981)] = 61021,
  [SMALL_STATE(4982)] = 61115,
  [SMALL_STATE(4983)] = 61200,
  [SMALL_STATE(4984)] = 61285,
  [SMALL_STATE(4985)] = 61388,
  [SMALL_STATE(4986)] = 61519,
  [SMALL_STATE(4987)] = 61658,
  [SMALL_STATE(4988)] = 61743,
  [SMALL_STATE(4989)] = 61828,
  [SMALL_STATE(4990)] = 61967,
  [SMALL_STATE(4991)] = 62052,
  [SMALL_STATE(4992)] = 62191,
  [SMALL_STATE(4993)] = 62278,
  [SMALL_STATE(4994)] = 62363,
  [SMALL_STATE(4995)] = 62502,
  [SMALL_STATE(4996)] = 62627,
  [SMALL_STATE(4997)] = 62712,
  [SMALL_STATE(4998)] = 62851,
  [SMALL_STATE(4999)] = 62936,
  [SMALL_STATE(5000)] = 63047,
  [SMALL_STATE(5001)] = 63154,
  [SMALL_STATE(5002)] = 63239,
  [SMALL_STATE(5003)] = 63324,
  [SMALL_STATE(5004)] = 63409,
  [SMALL_STATE(5005)] = 63494,
  [SMALL_STATE(5006)] = 63579,
  [SMALL_STATE(5007)] = 63664,
  [SMALL_STATE(5008)] = 63749,
  [SMALL_STATE(5009)] = 63888,
  [SMALL_STATE(5010)] = 63977,
  [SMALL_STATE(5011)] = 64090,
  [SMALL_STATE(5012)] = 64179,
  [SMALL_STATE(5013)] = 64264,
  [SMALL_STATE(5014)] = 64349,
  [SMALL_STATE(5015)] = 64488,
  [SMALL_STATE(5016)] = 64627,
  [SMALL_STATE(5017)] = 64712,
  [SMALL_STATE(5018)] = 64797,
  [SMALL_STATE(5019)] = 64900,
  [SMALL_STATE(5020)] = 65039,
  [SMALL_STATE(5021)] = 65124,
  [SMALL_STATE(5022)] = 65257,
  [SMALL_STATE(5023)] = 65396,
  [SMALL_STATE(5024)] = 65485,
  [SMALL_STATE(5025)] = 65624,
  [SMALL_STATE(5026)] = 65759,
  [SMALL_STATE(5027)] = 65844,
  [SMALL_STATE(5028)] = 65929,
  [SMALL_STATE(5029)] = 66014,
  [SMALL_STATE(5030)] = 66153,
  [SMALL_STATE(5031)] = 66238,
  [SMALL_STATE(5032)] = 66323,
  [SMALL_STATE(5033)] = 66440,
  [SMALL_STATE(5034)] = 66579,
  [SMALL_STATE(5035)] = 66668,
  [SMALL_STATE(5036)] = 66797,
  [SMALL_STATE(5037)] = 66882,
  [SMALL_STATE(5038)] = 67021,
  [SMALL_STATE(5039)] = 67124,
  [SMALL_STATE(5040)] = 67209,
  [SMALL_STATE(5041)] = 67294,
  [SMALL_STATE(5042)] = 67421,
  [SMALL_STATE(5043)] = 67559,
  [SMALL_STATE(5044)] = 67697,
  [SMALL_STATE(5045)] = 67827,
  [SMALL_STATE(5046)] = 67951,
  [SMALL_STATE(5047)] = 68089,
  [SMALL_STATE(5048)] = 68201,
  [SMALL_STATE(5049)] = 68339,
  [SMALL_STATE(5050)] = 68441,
  [SMALL_STATE(5051)] = 68579,
  [SMALL_STATE(5052)] = 68717,
  [SMALL_STATE(5053)] = 68833,
  [SMALL_STATE(5054)] = 68917,
  [SMALL_STATE(5055)] = 69041,
  [SMALL_STATE(5056)] = 69179,
  [SMALL_STATE(5057)] = 69317,
  [SMALL_STATE(5058)] = 69409,
  [SMALL_STATE(5059)] = 69525,
  [SMALL_STATE(5060)] = 69663,
  [SMALL_STATE(5061)] = 69801,
  [SMALL_STATE(5062)] = 69933,
  [SMALL_STATE(5063)] = 70043,
  [SMALL_STATE(5064)] = 70159,
  [SMALL_STATE(5065)] = 70297,
  [SMALL_STATE(5066)] = 70413,
  [SMALL_STATE(5067)] = 70501,
  [SMALL_STATE(5068)] = 70611,
  [SMALL_STATE(5069)] = 70749,
  [SMALL_STATE(5070)] = 70887,
  [SMALL_STATE(5071)] = 70977,
  [SMALL_STATE(5072)] = 71115,
  [SMALL_STATE(5073)] = 71225,
  [SMALL_STATE(5074)] = 71327,
  [SMALL_STATE(5075)] = 71439,
  [SMALL_STATE(5076)] = 71527,
  [SMALL_STATE(5077)] = 71661,
  [SMALL_STATE(5078)] = 71789,
  [SMALL_STATE(5079)] = 71927,
  [SMALL_STATE(5080)] = 72065,
  [SMALL_STATE(5081)] = 72203,
  [SMALL_STATE(5082)] = 72341,
  [SMALL_STATE(5083)] = 72479,
  [SMALL_STATE(5084)] = 72567,
  [SMALL_STATE(5085)] = 72655,
  [SMALL_STATE(5086)] = 72793,
  [SMALL_STATE(5087)] = 72923,
  [SMALL_STATE(5088)] = 73061,
  [SMALL_STATE(5089)] = 73199,
  [SMALL_STATE(5090)] = 73325,
  [SMALL_STATE(5091)] = 73451,
  [SMALL_STATE(5092)] = 73539,
  [SMALL_STATE(5093)] = 73627,
  [SMALL_STATE(5094)] = 73765,
  [SMALL_STATE(5095)] = 73853,
  [SMALL_STATE(5096)] = 73985,
  [SMALL_STATE(5097)] = 74109,
  [SMALL_STATE(5098)] = 74247,
  [SMALL_STATE(5099)] = 74385,
  [SMALL_STATE(5100)] = 74471,
  [SMALL_STATE(5101)] = 74603,
  [SMALL_STATE(5102)] = 74741,
  [SMALL_STATE(5103)] = 74829,
  [SMALL_STATE(5104)] = 74967,
  [SMALL_STATE(5105)] = 75101,
  [SMALL_STATE(5106)] = 75235,
  [SMALL_STATE(5107)] = 75341,
  [SMALL_STATE(5108)] = 75447,
  [SMALL_STATE(5109)] = 75585,
  [SMALL_STATE(5110)] = 75691,
  [SMALL_STATE(5111)] = 75779,
  [SMALL_STATE(5112)] = 75881,
  [SMALL_STATE(5113)] = 76007,
  [SMALL_STATE(5114)] = 76145,
  [SMALL_STATE(5115)] = 76283,
  [SMALL_STATE(5116)] = 76421,
  [SMALL_STATE(5117)] = 76559,
  [SMALL_STATE(5118)] = 76697,
  [SMALL_STATE(5119)] = 76835,
  [SMALL_STATE(5120)] = 76973,
  [SMALL_STATE(5121)] = 77111,
  [SMALL_STATE(5122)] = 77213,
  [SMALL_STATE(5123)] = 77351,
  [SMALL_STATE(5124)] = 77453,
  [SMALL_STATE(5125)] = 77591,
  [SMALL_STATE(5126)] = 77729,
  [SMALL_STATE(5127)] = 77857,
  [SMALL_STATE(5128)] = 77959,
  [SMALL_STATE(5129)] = 78097,
  [SMALL_STATE(5130)] = 78235,
  [SMALL_STATE(5131)] = 78365,
  [SMALL_STATE(5132)] = 78451,
  [SMALL_STATE(5133)] = 78579,
  [SMALL_STATE(5134)] = 78691,
  [SMALL_STATE(5135)] = 78806,
  [SMALL_STATE(5136)] = 78893,
  [SMALL_STATE(5137)] = 78980,
  [SMALL_STATE(5138)] = 79065,
  [SMALL_STATE(5139)] = 79152,
  [SMALL_STATE(5140)] = 79289,
  [SMALL_STATE(5141)] = 79426,
  [SMALL_STATE(5142)] = 79563,
  [SMALL_STATE(5143)] = 79700,
  [SMALL_STATE(5144)] = 79837,
  [SMALL_STATE(5145)] = 79936,
  [SMALL_STATE(5146)] = 80059,
  [SMALL_STATE(5147)] = 80196,
  [SMALL_STATE(5148)] = 80295,
  [SMALL_STATE(5149)] = 80378,
  [SMALL_STATE(5150)] = 80503,
  [SMALL_STATE(5151)] = 80588,
  [SMALL_STATE(5152)] = 80725,
  [SMALL_STATE(5153)] = 80862,
  [SMALL_STATE(5154)] = 80973,
  [SMALL_STATE(5155)] = 81104,
  [SMALL_STATE(5156)] = 81205,
  [SMALL_STATE(5157)] = 81294,
  [SMALL_STATE(5158)] = 81425,
  [SMALL_STATE(5159)] = 81526,
  [SMALL_STATE(5160)] = 81663,
  [SMALL_STATE(5161)] = 81764,
  [SMALL_STATE(5162)] = 81901,
  [SMALL_STATE(5163)] = 82012,
  [SMALL_STATE(5164)] = 82113,
  [SMALL_STATE(5165)] = 82250,
  [SMALL_STATE(5166)] = 82383,
  [SMALL_STATE(5167)] = 82520,
  [SMALL_STATE(5168)] = 82621,
  [SMALL_STATE(5169)] = 82758,
  [SMALL_STATE(5170)] = 82891,
  [SMALL_STATE(5171)] = 83028,
  [SMALL_STATE(5172)] = 83151,
  [SMALL_STATE(5173)] = 83288,
  [SMALL_STATE(5174)] = 83425,
  [SMALL_STATE(5175)] = 83536,
  [SMALL_STATE(5176)] = 83663,
  [SMALL_STATE(5177)] = 83774,
  [SMALL_STATE(5178)] = 83873,
  [SMALL_STATE(5179)] = 83998,
  [SMALL_STATE(5180)] = 84107,
  [SMALL_STATE(5181)] = 84244,
  [SMALL_STATE(5182)] = 84377,
  [SMALL_STATE(5183)] = 84514,
  [SMALL_STATE(5184)] = 84651,
  [SMALL_STATE(5185)] = 84734,
  [SMALL_STATE(5186)] = 84843,
  [SMALL_STATE(5187)] = 84930,
  [SMALL_STATE(5188)] = 85067,
  [SMALL_STATE(5189)] = 85172,
  [SMALL_STATE(5190)] = 85299,
  [SMALL_STATE(5191)] = 85410,
  [SMALL_STATE(5192)] = 85511,
  [SMALL_STATE(5193)] = 85602,
  [SMALL_STATE(5194)] = 85739,
  [SMALL_STATE(5195)] = 85876,
  [SMALL_STATE(5196)] = 86013,
  [SMALL_STATE(5197)] = 86142,
  [SMALL_STATE(5198)] = 86225,
  [SMALL_STATE(5199)] = 86362,
  [SMALL_STATE(5200)] = 86499,
  [SMALL_STATE(5201)] = 86604,
  [SMALL_STATE(5202)] = 86687,
  [SMALL_STATE(5203)] = 86816,
  [SMALL_STATE(5204)] = 86927,
  [SMALL_STATE(5205)] = 87064,
  [SMALL_STATE(5206)] = 87201,
  [SMALL_STATE(5207)] = 87338,
  [SMALL_STATE(5208)] = 87475,
  [SMALL_STATE(5209)] = 87612,
  [SMALL_STATE(5210)] = 87737,
  [SMALL_STATE(5211)] = 87820,
  [SMALL_STATE(5212)] = 87947,
  [SMALL_STATE(5213)] = 88048,
  [SMALL_STATE(5214)] = 88159,
  [SMALL_STATE(5215)] = 88282,
  [SMALL_STATE(5216)] = 88393,
  [SMALL_STATE(5217)] = 88494,
  [SMALL_STATE(5218)] = 88631,
  [SMALL_STATE(5219)] = 88768,
  [SMALL_STATE(5220)] = 88855,
  [SMALL_STATE(5221)] = 88946,
  [SMALL_STATE(5222)] = 89057,
  [SMALL_STATE(5223)] = 89166,
  [SMALL_STATE(5224)] = 89253,
  [SMALL_STATE(5225)] = 89390,
  [SMALL_STATE(5226)] = 89527,
  [SMALL_STATE(5227)] = 89642,
  [SMALL_STATE(5228)] = 89779,
  [SMALL_STATE(5229)] = 89916,
  [SMALL_STATE(5230)] = 90047,
  [SMALL_STATE(5231)] = 90134,
  [SMALL_STATE(5232)] = 90249,
  [SMALL_STATE(5233)] = 90354,
  [SMALL_STATE(5234)] = 90491,
  [SMALL_STATE(5235)] = 90628,
  [SMALL_STATE(5236)] = 90757,
  [SMALL_STATE(5237)] = 90857,
  [SMALL_STATE(5238)] = 90999,
  [SMALL_STATE(5239)] = 91083,
  [SMALL_STATE(5240)] = 91165,
  [SMALL_STATE(5241)] = 91247,
  [SMALL_STATE(5242)] = 91329,
  [SMALL_STATE(5243)] = 91411,
  [SMALL_STATE(5244)] = 91493,
  [SMALL_STATE(5245)] = 91629,
  [SMALL_STATE(5246)] = 91765,
  [SMALL_STATE(5247)] = 91901,
  [SMALL_STATE(5248)] = 92037,
  [SMALL_STATE(5249)] = 92173,
  [SMALL_STATE(5250)] = 92309,
  [SMALL_STATE(5251)] = 92445,
  [SMALL_STATE(5252)] = 92581,
  [SMALL_STATE(5253)] = 92717,
  [SMALL_STATE(5254)] = 92803,
  [SMALL_STATE(5255)] = 92939,
  [SMALL_STATE(5256)] = 93053,
  [SMALL_STATE(5257)] = 93161,
  [SMALL_STATE(5258)] = 93265,
  [SMALL_STATE(5259)] = 93375,
  [SMALL_STATE(5260)] = 93511,
  [SMALL_STATE(5261)] = 93647,
  [SMALL_STATE(5262)] = 93783,
  [SMALL_STATE(5263)] = 93865,
  [SMALL_STATE(5264)] = 94001,
  [SMALL_STATE(5265)] = 94137,
  [SMALL_STATE(5266)] = 94273,
  [SMALL_STATE(5267)] = 94409,
  [SMALL_STATE(5268)] = 94545,
  [SMALL_STATE(5269)] = 94681,
  [SMALL_STATE(5270)] = 94823,
  [SMALL_STATE(5271)] = 94933,
  [SMALL_STATE(5272)] = 95069,
  [SMALL_STATE(5273)] = 95169,
  [SMALL_STATE(5274)] = 95305,
  [SMALL_STATE(5275)] = 95447,
  [SMALL_STATE(5276)] = 95583,
  [SMALL_STATE(5277)] = 95665,
  [SMALL_STATE(5278)] = 95749,
  [SMALL_STATE(5279)] = 95891,
  [SMALL_STATE(5280)] = 96027,
  [SMALL_STATE(5281)] = 96115,
  [SMALL_STATE(5282)] = 96229,
  [SMALL_STATE(5283)] = 96337,
  [SMALL_STATE(5284)] = 96447,
  [SMALL_STATE(5285)] = 96589,
  [SMALL_STATE(5286)] = 96675,
  [SMALL_STATE(5287)] = 96785,
  [SMALL_STATE(5288)] = 96867,
  [SMALL_STATE(5289)] = 96955,
  [SMALL_STATE(5290)] = 97045,
  [SMALL_STATE(5291)] = 97127,
  [SMALL_STATE(5292)] = 97211,
  [SMALL_STATE(5293)] = 97295,
  [SMALL_STATE(5294)] = 97377,
  [SMALL_STATE(5295)] = 97513,
  [SMALL_STATE(5296)] = 97595,
  [SMALL_STATE(5297)] = 97677,
  [SMALL_STATE(5298)] = 97759,
  [SMALL_STATE(5299)] = 97895,
  [SMALL_STATE(5300)] = 98021,
  [SMALL_STATE(5301)] = 98149,
  [SMALL_STATE(5302)] = 98273,
  [SMALL_STATE(5303)] = 98395,
  [SMALL_STATE(5304)] = 98525,
  [SMALL_STATE(5305)] = 98657,
  [SMALL_STATE(5306)] = 98793,
  [SMALL_STATE(5307)] = 98929,
  [SMALL_STATE(5308)] = 99065,
  [SMALL_STATE(5309)] = 99201,
  [SMALL_STATE(5310)] = 99337,
  [SMALL_STATE(5311)] = 99473,
  [SMALL_STATE(5312)] = 99609,
  [SMALL_STATE(5313)] = 99745,
  [SMALL_STATE(5314)] = 99881,
  [SMALL_STATE(5315)] = 99963,
  [SMALL_STATE(5316)] = 100047,
  [SMALL_STATE(5317)] = 100129,
  [SMALL_STATE(5318)] = 100211,
  [SMALL_STATE(5319)] = 100293,
  [SMALL_STATE(5320)] = 100375,
  [SMALL_STATE(5321)] = 100459,
  [SMALL_STATE(5322)] = 100541,
  [SMALL_STATE(5323)] = 100623,
  [SMALL_STATE(5324)] = 100705,
  [SMALL_STATE(5325)] = 100787,
  [SMALL_STATE(5326)] = 100873,
  [SMALL_STATE(5327)] = 101009,
  [SMALL_STATE(5328)] = 101091,
  [SMALL_STATE(5329)] = 101175,
  [SMALL_STATE(5330)] = 101311,
  [SMALL_STATE(5331)] = 101399,
  [SMALL_STATE(5332)] = 101507,
  [SMALL_STATE(5333)] = 101643,
  [SMALL_STATE(5334)] = 101743,
  [SMALL_STATE(5335)] = 101843,
  [SMALL_STATE(5336)] = 101929,
  [SMALL_STATE(5337)] = 102073,
  [SMALL_STATE(5338)] = 102173,
  [SMALL_STATE(5339)] = 102287,
  [SMALL_STATE(5340)] = 102395,
  [SMALL_STATE(5341)] = 102499,
  [SMALL_STATE(5342)] = 102609,
  [SMALL_STATE(5343)] = 102751,
  [SMALL_STATE(5344)] = 102833,
  [SMALL_STATE(5345)] = 102959,
  [SMALL_STATE(5346)] = 103087,
  [SMALL_STATE(5347)] = 103211,
  [SMALL_STATE(5348)] = 103333,
  [SMALL_STATE(5349)] = 103463,
  [SMALL_STATE(5350)] = 103595,
  [SMALL_STATE(5351)] = 103731,
  [SMALL_STATE(5352)] = 103815,
  [SMALL_STATE(5353)] = 103897,
  [SMALL_STATE(5354)] = 104033,
  [SMALL_STATE(5355)] = 104133,
  [SMALL_STATE(5356)] = 104269,
  [SMALL_STATE(5357)] = 104405,
  [SMALL_STATE(5358)] = 104509,
  [SMALL_STATE(5359)] = 104591,
  [SMALL_STATE(5360)] = 104677,
  [SMALL_STATE(5361)] = 104813,
  [SMALL_STATE(5362)] = 104895,
  [SMALL_STATE(5363)] = 105031,
  [SMALL_STATE(5364)] = 105131,
  [SMALL_STATE(5365)] = 105267,
  [SMALL_STATE(5366)] = 105403,
  [SMALL_STATE(5367)] = 105539,
  [SMALL_STATE(5368)] = 105675,
  [SMALL_STATE(5369)] = 105811,
  [SMALL_STATE(5370)] = 105947,
  [SMALL_STATE(5371)] = 106083,
  [SMALL_STATE(5372)] = 106219,
  [SMALL_STATE(5373)] = 106333,
  [SMALL_STATE(5374)] = 106441,
  [SMALL_STATE(5375)] = 106545,
  [SMALL_STATE(5376)] = 106671,
  [SMALL_STATE(5377)] = 106799,
  [SMALL_STATE(5378)] = 106923,
  [SMALL_STATE(5379)] = 107033,
  [SMALL_STATE(5380)] = 107155,
  [SMALL_STATE(5381)] = 107285,
  [SMALL_STATE(5382)] = 107417,
  [SMALL_STATE(5383)] = 107553,
  [SMALL_STATE(5384)] = 107679,
  [SMALL_STATE(5385)] = 107807,
  [SMALL_STATE(5386)] = 107931,
  [SMALL_STATE(5387)] = 108053,
  [SMALL_STATE(5388)] = 108183,
  [SMALL_STATE(5389)] = 108315,
  [SMALL_STATE(5390)] = 108451,
  [SMALL_STATE(5391)] = 108551,
  [SMALL_STATE(5392)] = 108651,
  [SMALL_STATE(5393)] = 108733,
  [SMALL_STATE(5394)] = 108833,
  [SMALL_STATE(5395)] = 108919,
  [SMALL_STATE(5396)] = 109005,
  [SMALL_STATE(5397)] = 109093,
  [SMALL_STATE(5398)] = 109177,
  [SMALL_STATE(5399)] = 109319,
  [SMALL_STATE(5400)] = 109409,
  [SMALL_STATE(5401)] = 109495,
  [SMALL_STATE(5402)] = 109639,
  [SMALL_STATE(5403)] = 109723,
  [SMALL_STATE(5404)] = 109805,
  [SMALL_STATE(5405)] = 109887,
  [SMALL_STATE(5406)] = 109973,
  [SMALL_STATE(5407)] = 110059,
  [SMALL_STATE(5408)] = 110145,
  [SMALL_STATE(5409)] = 110231,
  [SMALL_STATE(5410)] = 110358,
  [SMALL_STATE(5411)] = 110455,
  [SMALL_STATE(5412)] = 110536,
  [SMALL_STATE(5413)] = 110649,
  [SMALL_STATE(5414)] = 110756,
  [SMALL_STATE(5415)] = 110865,
  [SMALL_STATE(5416)] = 110978,
  [SMALL_STATE(5417)] = 111061,
  [SMALL_STATE(5418)] = 111144,
  [SMALL_STATE(5419)] = 111251,
  [SMALL_STATE(5420)] = 111376,
  [SMALL_STATE(5421)] = 111473,
  [SMALL_STATE(5422)] = 111600,
  [SMALL_STATE(5423)] = 111723,
  [SMALL_STATE(5424)] = 111832,
  [SMALL_STATE(5425)] = 111953,
  [SMALL_STATE(5426)] = 112094,
  [SMALL_STATE(5427)] = 112179,
  [SMALL_STATE(5428)] = 112292,
  [SMALL_STATE(5429)] = 112399,
  [SMALL_STATE(5430)] = 112524,
  [SMALL_STATE(5431)] = 112651,
  [SMALL_STATE(5432)] = 112774,
  [SMALL_STATE(5433)] = 112883,
  [SMALL_STATE(5434)] = 113004,
  [SMALL_STATE(5435)] = 113133,
  [SMALL_STATE(5436)] = 113264,
  [SMALL_STATE(5437)] = 113399,
  [SMALL_STATE(5438)] = 113528,
  [SMALL_STATE(5439)] = 113659,
  [SMALL_STATE(5440)] = 113748,
  [SMALL_STATE(5441)] = 113883,
  [SMALL_STATE(5442)] = 114018,
  [SMALL_STATE(5443)] = 114117,
  [SMALL_STATE(5444)] = 114252,
  [SMALL_STATE(5445)] = 114387,
  [SMALL_STATE(5446)] = 114522,
  [SMALL_STATE(5447)] = 114657,
  [SMALL_STATE(5448)] = 114792,
  [SMALL_STATE(5449)] = 114927,
  [SMALL_STATE(5450)] = 115062,
  [SMALL_STATE(5451)] = 115197,
  [SMALL_STATE(5452)] = 115332,
  [SMALL_STATE(5453)] = 115467,
  [SMALL_STATE(5454)] = 115592,
  [SMALL_STATE(5455)] = 115691,
  [SMALL_STATE(5456)] = 115772,
  [SMALL_STATE(5457)] = 115899,
  [SMALL_STATE(5458)] = 115984,
  [SMALL_STATE(5459)] = 116107,
  [SMALL_STATE(5460)] = 116220,
  [SMALL_STATE(5461)] = 116327,
  [SMALL_STATE(5462)] = 116436,
  [SMALL_STATE(5463)] = 116535,
  [SMALL_STATE(5464)] = 116616,
  [SMALL_STATE(5465)] = 116725,
  [SMALL_STATE(5466)] = 116812,
  [SMALL_STATE(5467)] = 116893,
  [SMALL_STATE(5468)] = 116974,
  [SMALL_STATE(5469)] = 117087,
  [SMALL_STATE(5470)] = 117194,
  [SMALL_STATE(5471)] = 117297,
  [SMALL_STATE(5472)] = 117422,
  [SMALL_STATE(5473)] = 117549,
  [SMALL_STATE(5474)] = 117672,
  [SMALL_STATE(5475)] = 117781,
  [SMALL_STATE(5476)] = 117902,
  [SMALL_STATE(5477)] = 118001,
  [SMALL_STATE(5478)] = 118130,
  [SMALL_STATE(5479)] = 118261,
  [SMALL_STATE(5480)] = 118396,
  [SMALL_STATE(5481)] = 118531,
  [SMALL_STATE(5482)] = 118666,
  [SMALL_STATE(5483)] = 118801,
  [SMALL_STATE(5484)] = 118936,
  [SMALL_STATE(5485)] = 119071,
  [SMALL_STATE(5486)] = 119206,
  [SMALL_STATE(5487)] = 119341,
  [SMALL_STATE(5488)] = 119422,
  [SMALL_STATE(5489)] = 119543,
  [SMALL_STATE(5490)] = 119624,
  [SMALL_STATE(5491)] = 119705,
  [SMALL_STATE(5492)] = 119786,
  [SMALL_STATE(5493)] = 119899,
  [SMALL_STATE(5494)] = 120006,
  [SMALL_STATE(5495)] = 120115,
  [SMALL_STATE(5496)] = 120214,
  [SMALL_STATE(5497)] = 120295,
  [SMALL_STATE(5498)] = 120376,
  [SMALL_STATE(5499)] = 120475,
  [SMALL_STATE(5500)] = 120604,
  [SMALL_STATE(5501)] = 120735,
  [SMALL_STATE(5502)] = 120870,
  [SMALL_STATE(5503)] = 121005,
  [SMALL_STATE(5504)] = 121086,
  [SMALL_STATE(5505)] = 121199,
  [SMALL_STATE(5506)] = 121334,
  [SMALL_STATE(5507)] = 121469,
  [SMALL_STATE(5508)] = 121594,
  [SMALL_STATE(5509)] = 121675,
  [SMALL_STATE(5510)] = 121758,
  [SMALL_STATE(5511)] = 121871,
  [SMALL_STATE(5512)] = 121978,
  [SMALL_STATE(5513)] = 122087,
  [SMALL_STATE(5514)] = 122186,
  [SMALL_STATE(5515)] = 122267,
  [SMALL_STATE(5516)] = 122350,
  [SMALL_STATE(5517)] = 122431,
  [SMALL_STATE(5518)] = 122554,
  [SMALL_STATE(5519)] = 122635,
  [SMALL_STATE(5520)] = 122716,
  [SMALL_STATE(5521)] = 122797,
  [SMALL_STATE(5522)] = 122918,
  [SMALL_STATE(5523)] = 123017,
  [SMALL_STATE(5524)] = 123146,
  [SMALL_STATE(5525)] = 123277,
  [SMALL_STATE(5526)] = 123412,
  [SMALL_STATE(5527)] = 123493,
  [SMALL_STATE(5528)] = 123574,
  [SMALL_STATE(5529)] = 123655,
  [SMALL_STATE(5530)] = 123736,
  [SMALL_STATE(5531)] = 123817,
  [SMALL_STATE(5532)] = 123952,
  [SMALL_STATE(5533)] = 124087,
  [SMALL_STATE(5534)] = 124168,
  [SMALL_STATE(5535)] = 124249,
  [SMALL_STATE(5536)] = 124384,
  [SMALL_STATE(5537)] = 124465,
  [SMALL_STATE(5538)] = 124546,
  [SMALL_STATE(5539)] = 124681,
  [SMALL_STATE(5540)] = 124762,
  [SMALL_STATE(5541)] = 124843,
  [SMALL_STATE(5542)] = 124924,
  [SMALL_STATE(5543)] = 125005,
  [SMALL_STATE(5544)] = 125086,
  [SMALL_STATE(5545)] = 125167,
  [SMALL_STATE(5546)] = 125248,
  [SMALL_STATE(5547)] = 125383,
  [SMALL_STATE(5548)] = 125464,
  [SMALL_STATE(5549)] = 125545,
  [SMALL_STATE(5550)] = 125626,
  [SMALL_STATE(5551)] = 125707,
  [SMALL_STATE(5552)] = 125842,
  [SMALL_STATE(5553)] = 125941,
  [SMALL_STATE(5554)] = 126022,
  [SMALL_STATE(5555)] = 126157,
  [SMALL_STATE(5556)] = 126292,
  [SMALL_STATE(5557)] = 126373,
  [SMALL_STATE(5558)] = 126508,
  [SMALL_STATE(5559)] = 126643,
  [SMALL_STATE(5560)] = 126778,
  [SMALL_STATE(5561)] = 126863,
  [SMALL_STATE(5562)] = 126948,
  [SMALL_STATE(5563)] = 127083,
  [SMALL_STATE(5564)] = 127164,
  [SMALL_STATE(5565)] = 127245,
  [SMALL_STATE(5566)] = 127326,
  [SMALL_STATE(5567)] = 127461,
  [SMALL_STATE(5568)] = 127544,
  [SMALL_STATE(5569)] = 127629,
  [SMALL_STATE(5570)] = 127736,
  [SMALL_STATE(5571)] = 127817,
  [SMALL_STATE(5572)] = 127952,
  [SMALL_STATE(5573)] = 128033,
  [SMALL_STATE(5574)] = 128114,
  [SMALL_STATE(5575)] = 128195,
  [SMALL_STATE(5576)] = 128276,
  [SMALL_STATE(5577)] = 128357,
  [SMALL_STATE(5578)] = 128438,
  [SMALL_STATE(5579)] = 128535,
  [SMALL_STATE(5580)] = 128616,
  [SMALL_STATE(5581)] = 128751,
  [SMALL_STATE(5582)] = 128850,
  [SMALL_STATE(5583)] = 128931,
  [SMALL_STATE(5584)] = 129012,
  [SMALL_STATE(5585)] = 129137,
  [SMALL_STATE(5586)] = 129250,
  [SMALL_STATE(5587)] = 129357,
  [SMALL_STATE(5588)] = 129460,
  [SMALL_STATE(5589)] = 129585,
  [SMALL_STATE(5590)] = 129712,
  [SMALL_STATE(5591)] = 129835,
  [SMALL_STATE(5592)] = 129944,
  [SMALL_STATE(5593)] = 130065,
  [SMALL_STATE(5594)] = 130164,
  [SMALL_STATE(5595)] = 130293,
  [SMALL_STATE(5596)] = 130424,
  [SMALL_STATE(5597)] = 130509,
  [SMALL_STATE(5598)] = 130644,
  [SMALL_STATE(5599)] = 130729,
  [SMALL_STATE(5600)] = 130864,
  [SMALL_STATE(5601)] = 130991,
  [SMALL_STATE(5602)] = 131114,
  [SMALL_STATE(5603)] = 131249,
  [SMALL_STATE(5604)] = 131370,
  [SMALL_STATE(5605)] = 131499,
  [SMALL_STATE(5606)] = 131630,
  [SMALL_STATE(5607)] = 131765,
  [SMALL_STATE(5608)] = 131868,
  [SMALL_STATE(5609)] = 131949,
  [SMALL_STATE(5610)] = 132084,
  [SMALL_STATE(5611)] = 132219,
  [SMALL_STATE(5612)] = 132300,
  [SMALL_STATE(5613)] = 132381,
  [SMALL_STATE(5614)] = 132478,
  [SMALL_STATE(5615)] = 132613,
  [SMALL_STATE(5616)] = 132716,
  [SMALL_STATE(5617)] = 132851,
  [SMALL_STATE(5618)] = 132986,
  [SMALL_STATE(5619)] = 133067,
  [SMALL_STATE(5620)] = 133202,
  [SMALL_STATE(5621)] = 133337,
  [SMALL_STATE(5622)] = 133472,
  [SMALL_STATE(5623)] = 133607,
  [SMALL_STATE(5624)] = 133688,
  [SMALL_STATE(5625)] = 133769,
  [SMALL_STATE(5626)] = 133904,
  [SMALL_STATE(5627)] = 134039,
  [SMALL_STATE(5628)] = 134174,
  [SMALL_STATE(5629)] = 134309,
  [SMALL_STATE(5630)] = 134444,
  [SMALL_STATE(5631)] = 134579,
  [SMALL_STATE(5632)] = 134714,
  [SMALL_STATE(5633)] = 134849,
  [SMALL_STATE(5634)] = 134984,
  [SMALL_STATE(5635)] = 135119,
  [SMALL_STATE(5636)] = 135202,
  [SMALL_STATE(5637)] = 135337,
  [SMALL_STATE(5638)] = 135472,
  [SMALL_STATE(5639)] = 135607,
  [SMALL_STATE(5640)] = 135706,
  [SMALL_STATE(5641)] = 135787,
  [SMALL_STATE(5642)] = 135868,
  [SMALL_STATE(5643)] = 136003,
  [SMALL_STATE(5644)] = 136138,
  [SMALL_STATE(5645)] = 136241,
  [SMALL_STATE(5646)] = 136322,
  [SMALL_STATE(5647)] = 136457,
  [SMALL_STATE(5648)] = 136538,
  [SMALL_STATE(5649)] = 136637,
  [SMALL_STATE(5650)] = 136718,
  [SMALL_STATE(5651)] = 136853,
  [SMALL_STATE(5652)] = 136978,
  [SMALL_STATE(5653)] = 137105,
  [SMALL_STATE(5654)] = 137228,
  [SMALL_STATE(5655)] = 137349,
  [SMALL_STATE(5656)] = 137478,
  [SMALL_STATE(5657)] = 137609,
  [SMALL_STATE(5658)] = 137744,
  [SMALL_STATE(5659)] = 137879,
  [SMALL_STATE(5660)] = 138014,
  [SMALL_STATE(5661)] = 138149,
  [SMALL_STATE(5662)] = 138284,
  [SMALL_STATE(5663)] = 138419,
  [SMALL_STATE(5664)] = 138554,
  [SMALL_STATE(5665)] = 138689,
  [SMALL_STATE(5666)] = 138824,
  [SMALL_STATE(5667)] = 138959,
  [SMALL_STATE(5668)] = 139094,
  [SMALL_STATE(5669)] = 139175,
  [SMALL_STATE(5670)] = 139256,
  [SMALL_STATE(5671)] = 139391,
  [SMALL_STATE(5672)] = 139526,
  [SMALL_STATE(5673)] = 139661,
  [SMALL_STATE(5674)] = 139764,
  [SMALL_STATE(5675)] = 139899,
  [SMALL_STATE(5676)] = 140024,
  [SMALL_STATE(5677)] = 140151,
  [SMALL_STATE(5678)] = 140274,
  [SMALL_STATE(5679)] = 140395,
  [SMALL_STATE(5680)] = 140524,
  [SMALL_STATE(5681)] = 140655,
  [SMALL_STATE(5682)] = 140790,
  [SMALL_STATE(5683)] = 140925,
  [SMALL_STATE(5684)] = 141060,
  [SMALL_STATE(5685)] = 141195,
  [SMALL_STATE(5686)] = 141330,
  [SMALL_STATE(5687)] = 141465,
  [SMALL_STATE(5688)] = 141600,
  [SMALL_STATE(5689)] = 141735,
  [SMALL_STATE(5690)] = 141870,
  [SMALL_STATE(5691)] = 142005,
  [SMALL_STATE(5692)] = 142086,
  [SMALL_STATE(5693)] = 142167,
  [SMALL_STATE(5694)] = 142302,
  [SMALL_STATE(5695)] = 142383,
  [SMALL_STATE(5696)] = 142464,
  [SMALL_STATE(5697)] = 142567,
  [SMALL_STATE(5698)] = 142702,
  [SMALL_STATE(5699)] = 142837,
  [SMALL_STATE(5700)] = 142972,
  [SMALL_STATE(5701)] = 143071,
  [SMALL_STATE(5702)] = 143170,
  [SMALL_STATE(5703)] = 143273,
  [SMALL_STATE(5704)] = 143354,
  [SMALL_STATE(5705)] = 143435,
  [SMALL_STATE(5706)] = 143520,
  [SMALL_STATE(5707)] = 143601,
  [SMALL_STATE(5708)] = 143686,
  [SMALL_STATE(5709)] = 143767,
  [SMALL_STATE(5710)] = 143902,
  [SMALL_STATE(5711)] = 144037,
  [SMALL_STATE(5712)] = 144136,
  [SMALL_STATE(5713)] = 144239,
  [SMALL_STATE(5714)] = 144320,
  [SMALL_STATE(5715)] = 144401,
  [SMALL_STATE(5716)] = 144536,
  [SMALL_STATE(5717)] = 144635,
  [SMALL_STATE(5718)] = 144716,
  [SMALL_STATE(5719)] = 144797,
  [SMALL_STATE(5720)] = 144878,
  [SMALL_STATE(5721)] = 144963,
  [SMALL_STATE(5722)] = 145062,
  [SMALL_STATE(5723)] = 145143,
  [SMALL_STATE(5724)] = 145242,
  [SMALL_STATE(5725)] = 145377,
  [SMALL_STATE(5726)] = 145514,
  [SMALL_STATE(5727)] = 145595,
  [SMALL_STATE(5728)] = 145676,
  [SMALL_STATE(5729)] = 145757,
  [SMALL_STATE(5730)] = 145838,
  [SMALL_STATE(5731)] = 145935,
  [SMALL_STATE(5732)] = 146070,
  [SMALL_STATE(5733)] = 146169,
  [SMALL_STATE(5734)] = 146304,
  [SMALL_STATE(5735)] = 146439,
  [SMALL_STATE(5736)] = 146574,
  [SMALL_STATE(5737)] = 146709,
  [SMALL_STATE(5738)] = 146844,
  [SMALL_STATE(5739)] = 146979,
  [SMALL_STATE(5740)] = 147114,
  [SMALL_STATE(5741)] = 147249,
  [SMALL_STATE(5742)] = 147384,
  [SMALL_STATE(5743)] = 147519,
  [SMALL_STATE(5744)] = 147632,
  [SMALL_STATE(5745)] = 147739,
  [SMALL_STATE(5746)] = 147842,
  [SMALL_STATE(5747)] = 147923,
  [SMALL_STATE(5748)] = 148032,
  [SMALL_STATE(5749)] = 148113,
  [SMALL_STATE(5750)] = 148198,
  [SMALL_STATE(5751)] = 148279,
  [SMALL_STATE(5752)] = 148386,
  [SMALL_STATE(5753)] = 148471,
  [SMALL_STATE(5754)] = 148556,
  [SMALL_STATE(5755)] = 148641,
  [SMALL_STATE(5756)] = 148724,
  [SMALL_STATE(5757)] = 148809,
  [SMALL_STATE(5758)] = 148944,
  [SMALL_STATE(5759)] = 149079,
  [SMALL_STATE(5760)] = 149204,
  [SMALL_STATE(5761)] = 149331,
  [SMALL_STATE(5762)] = 149454,
  [SMALL_STATE(5763)] = 149575,
  [SMALL_STATE(5764)] = 149704,
  [SMALL_STATE(5765)] = 149835,
  [SMALL_STATE(5766)] = 149970,
  [SMALL_STATE(5767)] = 150105,
  [SMALL_STATE(5768)] = 150240,
  [SMALL_STATE(5769)] = 150375,
  [SMALL_STATE(5770)] = 150510,
  [SMALL_STATE(5771)] = 150645,
  [SMALL_STATE(5772)] = 150728,
  [SMALL_STATE(5773)] = 150863,
  [SMALL_STATE(5774)] = 150998,
  [SMALL_STATE(5775)] = 151133,
  [SMALL_STATE(5776)] = 151214,
  [SMALL_STATE(5777)] = 151299,
  [SMALL_STATE(5778)] = 151384,
  [SMALL_STATE(5779)] = 151469,
  [SMALL_STATE(5780)] = 151552,
  [SMALL_STATE(5781)] = 151637,
  [SMALL_STATE(5782)] = 151718,
  [SMALL_STATE(5783)] = 151852,
  [SMALL_STATE(5784)] = 151960,
  [SMALL_STATE(5785)] = 152072,
  [SMALL_STATE(5786)] = 152178,
  [SMALL_STATE(5787)] = 152302,
  [SMALL_STATE(5788)] = 152428,
  [SMALL_STATE(5789)] = 152550,
  [SMALL_STATE(5790)] = 152658,
  [SMALL_STATE(5791)] = 152778,
  [SMALL_STATE(5792)] = 152906,
  [SMALL_STATE(5793)] = 153036,
  [SMALL_STATE(5794)] = 153170,
  [SMALL_STATE(5795)] = 153304,
  [SMALL_STATE(5796)] = 153412,
  [SMALL_STATE(5797)] = 153546,
  [SMALL_STATE(5798)] = 153644,
  [SMALL_STATE(5799)] = 153778,
  [SMALL_STATE(5800)] = 153912,
  [SMALL_STATE(5801)] = 154046,
  [SMALL_STATE(5802)] = 154180,
  [SMALL_STATE(5803)] = 154314,
  [SMALL_STATE(5804)] = 154448,
  [SMALL_STATE(5805)] = 154582,
  [SMALL_STATE(5806)] = 154716,
  [SMALL_STATE(5807)] = 154850,
  [SMALL_STATE(5808)] = 154984,
  [SMALL_STATE(5809)] = 155118,
  [SMALL_STATE(5810)] = 155252,
  [SMALL_STATE(5811)] = 155360,
  [SMALL_STATE(5812)] = 155458,
  [SMALL_STATE(5813)] = 155566,
  [SMALL_STATE(5814)] = 155650,
  [SMALL_STATE(5815)] = 155788,
  [SMALL_STATE(5816)] = 155922,
  [SMALL_STATE(5817)] = 156030,
  [SMALL_STATE(5818)] = 156142,
  [SMALL_STATE(5819)] = 156280,
  [SMALL_STATE(5820)] = 156386,
  [SMALL_STATE(5821)] = 156494,
  [SMALL_STATE(5822)] = 156596,
  [SMALL_STATE(5823)] = 156720,
  [SMALL_STATE(5824)] = 156846,
  [SMALL_STATE(5825)] = 156968,
  [SMALL_STATE(5826)] = 157076,
  [SMALL_STATE(5827)] = 157196,
  [SMALL_STATE(5828)] = 157324,
  [SMALL_STATE(5829)] = 157430,
  [SMALL_STATE(5830)] = 157560,
  [SMALL_STATE(5831)] = 157698,
  [SMALL_STATE(5832)] = 157836,
  [SMALL_STATE(5833)] = 157944,
  [SMALL_STATE(5834)] = 158078,
  [SMALL_STATE(5835)] = 158162,
  [SMALL_STATE(5836)] = 158246,
  [SMALL_STATE(5837)] = 158380,
  [SMALL_STATE(5838)] = 158514,
  [SMALL_STATE(5839)] = 158648,
  [SMALL_STATE(5840)] = 158782,
  [SMALL_STATE(5841)] = 158894,
  [SMALL_STATE(5842)] = 159000,
  [SMALL_STATE(5843)] = 159138,
  [SMALL_STATE(5844)] = 159262,
  [SMALL_STATE(5845)] = 159388,
  [SMALL_STATE(5846)] = 159510,
  [SMALL_STATE(5847)] = 159648,
  [SMALL_STATE(5848)] = 159756,
  [SMALL_STATE(5849)] = 159876,
  [SMALL_STATE(5850)] = 160004,
  [SMALL_STATE(5851)] = 160134,
  [SMALL_STATE(5852)] = 160268,
  [SMALL_STATE(5853)] = 160406,
  [SMALL_STATE(5854)] = 160542,
  [SMALL_STATE(5855)] = 160650,
  [SMALL_STATE(5856)] = 160758,
  [SMALL_STATE(5857)] = 160870,
  [SMALL_STATE(5858)] = 160958,
  [SMALL_STATE(5859)] = 161040,
  [SMALL_STATE(5860)] = 161152,
  [SMALL_STATE(5861)] = 161258,
  [SMALL_STATE(5862)] = 161382,
  [SMALL_STATE(5863)] = 161508,
  [SMALL_STATE(5864)] = 161630,
  [SMALL_STATE(5865)] = 161738,
  [SMALL_STATE(5866)] = 161858,
  [SMALL_STATE(5867)] = 161986,
  [SMALL_STATE(5868)] = 162116,
  [SMALL_STATE(5869)] = 162254,
  [SMALL_STATE(5870)] = 162390,
  [SMALL_STATE(5871)] = 162524,
  [SMALL_STATE(5872)] = 162622,
  [SMALL_STATE(5873)] = 162760,
  [SMALL_STATE(5874)] = 162894,
  [SMALL_STATE(5875)] = 162992,
  [SMALL_STATE(5876)] = 163126,
  [SMALL_STATE(5877)] = 163260,
  [SMALL_STATE(5878)] = 163394,
  [SMALL_STATE(5879)] = 163528,
  [SMALL_STATE(5880)] = 163662,
  [SMALL_STATE(5881)] = 163796,
  [SMALL_STATE(5882)] = 163930,
  [SMALL_STATE(5883)] = 164064,
  [SMALL_STATE(5884)] = 164170,
  [SMALL_STATE(5885)] = 164304,
  [SMALL_STATE(5886)] = 164410,
  [SMALL_STATE(5887)] = 164490,
  [SMALL_STATE(5888)] = 164592,
  [SMALL_STATE(5889)] = 164716,
  [SMALL_STATE(5890)] = 164850,
  [SMALL_STATE(5891)] = 164984,
  [SMALL_STATE(5892)] = 165118,
  [SMALL_STATE(5893)] = 165198,
  [SMALL_STATE(5894)] = 165336,
  [SMALL_STATE(5895)] = 165418,
  [SMALL_STATE(5896)] = 165544,
  [SMALL_STATE(5897)] = 165678,
  [SMALL_STATE(5898)] = 165776,
  [SMALL_STATE(5899)] = 165874,
  [SMALL_STATE(5900)] = 166008,
  [SMALL_STATE(5901)] = 166142,
  [SMALL_STATE(5902)] = 166276,
  [SMALL_STATE(5903)] = 166410,
  [SMALL_STATE(5904)] = 166544,
  [SMALL_STATE(5905)] = 166678,
  [SMALL_STATE(5906)] = 166812,
  [SMALL_STATE(5907)] = 166946,
  [SMALL_STATE(5908)] = 167080,
  [SMALL_STATE(5909)] = 167162,
  [SMALL_STATE(5910)] = 167246,
  [SMALL_STATE(5911)] = 167368,
  [SMALL_STATE(5912)] = 167476,
  [SMALL_STATE(5913)] = 167614,
  [SMALL_STATE(5914)] = 167722,
  [SMALL_STATE(5915)] = 167842,
  [SMALL_STATE(5916)] = 167940,
  [SMALL_STATE(5917)] = 168078,
  [SMALL_STATE(5918)] = 168212,
  [SMALL_STATE(5919)] = 168346,
  [SMALL_STATE(5920)] = 168474,
  [SMALL_STATE(5921)] = 168608,
  [SMALL_STATE(5922)] = 168746,
  [SMALL_STATE(5923)] = 168884,
  [SMALL_STATE(5924)] = 169018,
  [SMALL_STATE(5925)] = 169152,
  [SMALL_STATE(5926)] = 169260,
  [SMALL_STATE(5927)] = 169390,
  [SMALL_STATE(5928)] = 169528,
  [SMALL_STATE(5929)] = 169640,
  [SMALL_STATE(5930)] = 169746,
  [SMALL_STATE(5931)] = 169870,
  [SMALL_STATE(5932)] = 169996,
  [SMALL_STATE(5933)] = 170130,
  [SMALL_STATE(5934)] = 170252,
  [SMALL_STATE(5935)] = 170390,
  [SMALL_STATE(5936)] = 170528,
  [SMALL_STATE(5937)] = 170636,
  [SMALL_STATE(5938)] = 170774,
  [SMALL_STATE(5939)] = 170908,
  [SMALL_STATE(5940)] = 171028,
  [SMALL_STATE(5941)] = 171162,
  [SMALL_STATE(5942)] = 171270,
  [SMALL_STATE(5943)] = 171398,
  [SMALL_STATE(5944)] = 171528,
  [SMALL_STATE(5945)] = 171662,
  [SMALL_STATE(5946)] = 171796,
  [SMALL_STATE(5947)] = 171934,
  [SMALL_STATE(5948)] = 172070,
  [SMALL_STATE(5949)] = 172208,
  [SMALL_STATE(5950)] = 172346,
  [SMALL_STATE(5951)] = 172480,
  [SMALL_STATE(5952)] = 172564,
  [SMALL_STATE(5953)] = 172698,
  [SMALL_STATE(5954)] = 172796,
  [SMALL_STATE(5955)] = 172930,
  [SMALL_STATE(5956)] = 173064,
  [SMALL_STATE(5957)] = 173198,
  [SMALL_STATE(5958)] = 173332,
  [SMALL_STATE(5959)] = 173466,
  [SMALL_STATE(5960)] = 173600,
  [SMALL_STATE(5961)] = 173734,
  [SMALL_STATE(5962)] = 173868,
  [SMALL_STATE(5963)] = 174002,
  [SMALL_STATE(5964)] = 174140,
  [SMALL_STATE(5965)] = 174238,
  [SMALL_STATE(5966)] = 174346,
  [SMALL_STATE(5967)] = 174480,
  [SMALL_STATE(5968)] = 174618,
  [SMALL_STATE(5969)] = 174752,
  [SMALL_STATE(5970)] = 174886,
  [SMALL_STATE(5971)] = 175020,
  [SMALL_STATE(5972)] = 175158,
  [SMALL_STATE(5973)] = 175266,
  [SMALL_STATE(5974)] = 175404,
  [SMALL_STATE(5975)] = 175538,
  [SMALL_STATE(5976)] = 175646,
  [SMALL_STATE(5977)] = 175754,
  [SMALL_STATE(5978)] = 175888,
  [SMALL_STATE(5979)] = 175970,
  [SMALL_STATE(5980)] = 176104,
  [SMALL_STATE(5981)] = 176238,
  [SMALL_STATE(5982)] = 176350,
  [SMALL_STATE(5983)] = 176456,
  [SMALL_STATE(5984)] = 176580,
  [SMALL_STATE(5985)] = 176688,
  [SMALL_STATE(5986)] = 176822,
  [SMALL_STATE(5987)] = 176948,
  [SMALL_STATE(5988)] = 177070,
  [SMALL_STATE(5989)] = 177172,
  [SMALL_STATE(5990)] = 177280,
  [SMALL_STATE(5991)] = 177400,
  [SMALL_STATE(5992)] = 177498,
  [SMALL_STATE(5993)] = 177582,
  [SMALL_STATE(5994)] = 177716,
  [SMALL_STATE(5995)] = 177844,
  [SMALL_STATE(5996)] = 177974,
  [SMALL_STATE(5997)] = 178108,
  [SMALL_STATE(5998)] = 178216,
  [SMALL_STATE(5999)] = 178350,
  [SMALL_STATE(6000)] = 178484,
  [SMALL_STATE(6001)] = 178586,
  [SMALL_STATE(6002)] = 178720,
  [SMALL_STATE(6003)] = 178818,
  [SMALL_STATE(6004)] = 178926,
  [SMALL_STATE(6005)] = 179024,
  [SMALL_STATE(6006)] = 179126,
  [SMALL_STATE(6007)] = 179224,
  [SMALL_STATE(6008)] = 179358,
  [SMALL_STATE(6009)] = 179496,
  [SMALL_STATE(6010)] = 179604,
  [SMALL_STATE(6011)] = 179738,
  [SMALL_STATE(6012)] = 179840,
  [SMALL_STATE(6013)] = 179938,
  [SMALL_STATE(6014)] = 180072,
  [SMALL_STATE(6015)] = 180206,
  [SMALL_STATE(6016)] = 180314,
  [SMALL_STATE(6017)] = 180448,
  [SMALL_STATE(6018)] = 180550,
  [SMALL_STATE(6019)] = 180648,
  [SMALL_STATE(6020)] = 180782,
  [SMALL_STATE(6021)] = 180916,
  [SMALL_STATE(6022)] = 181050,
  [SMALL_STATE(6023)] = 181184,
  [SMALL_STATE(6024)] = 181318,
  [SMALL_STATE(6025)] = 181452,
  [SMALL_STATE(6026)] = 181586,
  [SMALL_STATE(6027)] = 181724,
  [SMALL_STATE(6028)] = 181836,
  [SMALL_STATE(6029)] = 181942,
  [SMALL_STATE(6030)] = 182044,
  [SMALL_STATE(6031)] = 182168,
  [SMALL_STATE(6032)] = 182294,
  [SMALL_STATE(6033)] = 182416,
  [SMALL_STATE(6034)] = 182524,
  [SMALL_STATE(6035)] = 182644,
  [SMALL_STATE(6036)] = 182742,
  [SMALL_STATE(6037)] = 182870,
  [SMALL_STATE(6038)] = 183000,
  [SMALL_STATE(6039)] = 183134,
  [SMALL_STATE(6040)] = 183268,
  [SMALL_STATE(6041)] = 183402,
  [SMALL_STATE(6042)] = 183486,
  [SMALL_STATE(6043)] = 183624,
  [SMALL_STATE(6044)] = 183758,
  [SMALL_STATE(6045)] = 183896,
  [SMALL_STATE(6046)] = 184030,
  [SMALL_STATE(6047)] = 184138,
  [SMALL_STATE(6048)] = 184272,
  [SMALL_STATE(6049)] = 184410,
  [SMALL_STATE(6050)] = 184544,
  [SMALL_STATE(6051)] = 184682,
  [SMALL_STATE(6052)] = 184790,
  [SMALL_STATE(6053)] = 184924,
  [SMALL_STATE(6054)] = 185058,
  [SMALL_STATE(6055)] = 185160,
  [SMALL_STATE(6056)] = 185268,
  [SMALL_STATE(6057)] = 185406,
  [SMALL_STATE(6058)] = 185540,
  [SMALL_STATE(6059)] = 185678,
  [SMALL_STATE(6060)] = 185816,
  [SMALL_STATE(6061)] = 185950,
  [SMALL_STATE(6062)] = 186032,
  [SMALL_STATE(6063)] = 186144,
  [SMALL_STATE(6064)] = 186250,
  [SMALL_STATE(6065)] = 186388,
  [SMALL_STATE(6066)] = 186522,
  [SMALL_STATE(6067)] = 186620,
  [SMALL_STATE(6068)] = 186744,
  [SMALL_STATE(6069)] = 186882,
  [SMALL_STATE(6070)] = 187020,
  [SMALL_STATE(6071)] = 187158,
  [SMALL_STATE(6072)] = 187284,
  [SMALL_STATE(6073)] = 187406,
  [SMALL_STATE(6074)] = 187514,
  [SMALL_STATE(6075)] = 187634,
  [SMALL_STATE(6076)] = 187762,
  [SMALL_STATE(6077)] = 187892,
  [SMALL_STATE(6078)] = 188026,
  [SMALL_STATE(6079)] = 188160,
  [SMALL_STATE(6080)] = 188258,
  [SMALL_STATE(6081)] = 188392,
  [SMALL_STATE(6082)] = 188526,
  [SMALL_STATE(6083)] = 188660,
  [SMALL_STATE(6084)] = 188794,
  [SMALL_STATE(6085)] = 188928,
  [SMALL_STATE(6086)] = 189062,
  [SMALL_STATE(6087)] = 189196,
  [SMALL_STATE(6088)] = 189280,
  [SMALL_STATE(6089)] = 189418,
  [SMALL_STATE(6090)] = 189506,
  [SMALL_STATE(6091)] = 189644,
  [SMALL_STATE(6092)] = 189778,
  [SMALL_STATE(6093)] = 189912,
  [SMALL_STATE(6094)] = 190046,
  [SMALL_STATE(6095)] = 190184,
  [SMALL_STATE(6096)] = 190268,
  [SMALL_STATE(6097)] = 190352,
  [SMALL_STATE(6098)] = 190436,
  [SMALL_STATE(6099)] = 190518,
  [SMALL_STATE(6100)] = 190602,
  [SMALL_STATE(6101)] = 190740,
  [SMALL_STATE(6102)] = 190824,
  [SMALL_STATE(6103)] = 190908,
  [SMALL_STATE(6104)] = 190992,
  [SMALL_STATE(6105)] = 191074,
  [SMALL_STATE(6106)] = 191158,
  [SMALL_STATE(6107)] = 191242,
  [SMALL_STATE(6108)] = 191326,
  [SMALL_STATE(6109)] = 191410,
  [SMALL_STATE(6110)] = 191492,
  [SMALL_STATE(6111)] = 191576,
  [SMALL_STATE(6112)] = 191660,
  [SMALL_STATE(6113)] = 191744,
  [SMALL_STATE(6114)] = 191828,
  [SMALL_STATE(6115)] = 191910,
  [SMALL_STATE(6116)] = 191994,
  [SMALL_STATE(6117)] = 192102,
  [SMALL_STATE(6118)] = 192197,
  [SMALL_STATE(6119)] = 192330,
  [SMALL_STATE(6120)] = 192425,
  [SMALL_STATE(6121)] = 192558,
  [SMALL_STATE(6122)] = 192655,
  [SMALL_STATE(6123)] = 192750,
  [SMALL_STATE(6124)] = 192831,
  [SMALL_STATE(6125)] = 192926,
  [SMALL_STATE(6126)] = 193059,
  [SMALL_STATE(6127)] = 193192,
  [SMALL_STATE(6128)] = 193273,
  [SMALL_STATE(6129)] = 193406,
  [SMALL_STATE(6130)] = 193539,
  [SMALL_STATE(6131)] = 193636,
  [SMALL_STATE(6132)] = 193759,
  [SMALL_STATE(6133)] = 193884,
  [SMALL_STATE(6134)] = 194005,
  [SMALL_STATE(6135)] = 194124,
  [SMALL_STATE(6136)] = 194251,
  [SMALL_STATE(6137)] = 194380,
  [SMALL_STATE(6138)] = 194513,
  [SMALL_STATE(6139)] = 194610,
  [SMALL_STATE(6140)] = 194743,
  [SMALL_STATE(6141)] = 194876,
  [SMALL_STATE(6142)] = 195009,
  [SMALL_STATE(6143)] = 195106,
  [SMALL_STATE(6144)] = 195239,
  [SMALL_STATE(6145)] = 195372,
  [SMALL_STATE(6146)] = 195505,
  [SMALL_STATE(6147)] = 195638,
  [SMALL_STATE(6148)] = 195771,
  [SMALL_STATE(6149)] = 195866,
  [SMALL_STATE(6150)] = 195999,
  [SMALL_STATE(6151)] = 196132,
  [SMALL_STATE(6152)] = 196265,
  [SMALL_STATE(6153)] = 196398,
  [SMALL_STATE(6154)] = 196487,
  [SMALL_STATE(6155)] = 196570,
  [SMALL_STATE(6156)] = 196653,
  [SMALL_STATE(6157)] = 196748,
  [SMALL_STATE(6158)] = 196881,
  [SMALL_STATE(6159)] = 197014,
  [SMALL_STATE(6160)] = 197147,
  [SMALL_STATE(6161)] = 197280,
  [SMALL_STATE(6162)] = 197413,
  [SMALL_STATE(6163)] = 197546,
  [SMALL_STATE(6164)] = 197645,
  [SMALL_STATE(6165)] = 197740,
  [SMALL_STATE(6166)] = 197875,
  [SMALL_STATE(6167)] = 197970,
  [SMALL_STATE(6168)] = 198103,
  [SMALL_STATE(6169)] = 198236,
  [SMALL_STATE(6170)] = 198317,
  [SMALL_STATE(6171)] = 198450,
  [SMALL_STATE(6172)] = 198583,
  [SMALL_STATE(6173)] = 198716,
  [SMALL_STATE(6174)] = 198849,
  [SMALL_STATE(6175)] = 198944,
  [SMALL_STATE(6176)] = 199039,
  [SMALL_STATE(6177)] = 199120,
  [SMALL_STATE(6178)] = 199203,
  [SMALL_STATE(6179)] = 199338,
  [SMALL_STATE(6180)] = 199471,
  [SMALL_STATE(6181)] = 199604,
  [SMALL_STATE(6182)] = 199715,
  [SMALL_STATE(6183)] = 199812,
  [SMALL_STATE(6184)] = 199895,
  [SMALL_STATE(6185)] = 200000,
  [SMALL_STATE(6186)] = 200081,
  [SMALL_STATE(6187)] = 200170,
  [SMALL_STATE(6188)] = 200271,
  [SMALL_STATE(6189)] = 200382,
  [SMALL_STATE(6190)] = 200487,
  [SMALL_STATE(6191)] = 200620,
  [SMALL_STATE(6192)] = 200753,
  [SMALL_STATE(6193)] = 200886,
  [SMALL_STATE(6194)] = 200987,
  [SMALL_STATE(6195)] = 201094,
  [SMALL_STATE(6196)] = 201227,
  [SMALL_STATE(6197)] = 201360,
  [SMALL_STATE(6198)] = 201441,
  [SMALL_STATE(6199)] = 201574,
  [SMALL_STATE(6200)] = 201693,
  [SMALL_STATE(6201)] = 201800,
  [SMALL_STATE(6202)] = 201927,
  [SMALL_STATE(6203)] = 202060,
  [SMALL_STATE(6204)] = 202193,
  [SMALL_STATE(6205)] = 202326,
  [SMALL_STATE(6206)] = 202437,
  [SMALL_STATE(6207)] = 202570,
  [SMALL_STATE(6208)] = 202703,
  [SMALL_STATE(6209)] = 202826,
  [SMALL_STATE(6210)] = 202909,
  [SMALL_STATE(6211)] = 203034,
  [SMALL_STATE(6212)] = 203117,
  [SMALL_STATE(6213)] = 203212,
  [SMALL_STATE(6214)] = 203307,
  [SMALL_STATE(6215)] = 203402,
  [SMALL_STATE(6216)] = 203535,
  [SMALL_STATE(6217)] = 203668,
  [SMALL_STATE(6218)] = 203801,
  [SMALL_STATE(6219)] = 203934,
  [SMALL_STATE(6220)] = 204069,
  [SMALL_STATE(6221)] = 204164,
  [SMALL_STATE(6222)] = 204297,
  [SMALL_STATE(6223)] = 204392,
  [SMALL_STATE(6224)] = 204487,
  [SMALL_STATE(6225)] = 204622,
  [SMALL_STATE(6226)] = 204709,
  [SMALL_STATE(6227)] = 204844,
  [SMALL_STATE(6228)] = 204977,
  [SMALL_STATE(6229)] = 205072,
  [SMALL_STATE(6230)] = 205205,
  [SMALL_STATE(6231)] = 205304,
  [SMALL_STATE(6232)] = 205437,
  [SMALL_STATE(6233)] = 205570,
  [SMALL_STATE(6234)] = 205703,
  [SMALL_STATE(6235)] = 205836,
  [SMALL_STATE(6236)] = 205933,
  [SMALL_STATE(6237)] = 206038,
  [SMALL_STATE(6238)] = 206119,
  [SMALL_STATE(6239)] = 206202,
  [SMALL_STATE(6240)] = 206285,
  [SMALL_STATE(6241)] = 206406,
  [SMALL_STATE(6242)] = 206517,
  [SMALL_STATE(6243)] = 206622,
  [SMALL_STATE(6244)] = 206723,
  [SMALL_STATE(6245)] = 206846,
  [SMALL_STATE(6246)] = 206971,
  [SMALL_STATE(6247)] = 207092,
  [SMALL_STATE(6248)] = 207225,
  [SMALL_STATE(6249)] = 207332,
  [SMALL_STATE(6250)] = 207451,
  [SMALL_STATE(6251)] = 207534,
  [SMALL_STATE(6252)] = 207667,
  [SMALL_STATE(6253)] = 207794,
  [SMALL_STATE(6254)] = 207923,
  [SMALL_STATE(6255)] = 208056,
  [SMALL_STATE(6256)] = 208189,
  [SMALL_STATE(6257)] = 208272,
  [SMALL_STATE(6258)] = 208355,
  [SMALL_STATE(6259)] = 208450,
  [SMALL_STATE(6260)] = 208555,
  [SMALL_STATE(6261)] = 208688,
  [SMALL_STATE(6262)] = 208769,
  [SMALL_STATE(6263)] = 208864,
  [SMALL_STATE(6264)] = 208959,
  [SMALL_STATE(6265)] = 209056,
  [SMALL_STATE(6266)] = 209161,
  [SMALL_STATE(6267)] = 209256,
  [SMALL_STATE(6268)] = 209361,
  [SMALL_STATE(6269)] = 209456,
  [SMALL_STATE(6270)] = 209589,
  [SMALL_STATE(6271)] = 209694,
  [SMALL_STATE(6272)] = 209789,
  [SMALL_STATE(6273)] = 209890,
  [SMALL_STATE(6274)] = 209985,
  [SMALL_STATE(6275)] = 210118,
  [SMALL_STATE(6276)] = 210247,
  [SMALL_STATE(6277)] = 210342,
  [SMALL_STATE(6278)] = 210475,
  [SMALL_STATE(6279)] = 210582,
  [SMALL_STATE(6280)] = 210701,
  [SMALL_STATE(6281)] = 210834,
  [SMALL_STATE(6282)] = 210915,
  [SMALL_STATE(6283)] = 211048,
  [SMALL_STATE(6284)] = 211143,
  [SMALL_STATE(6285)] = 211240,
  [SMALL_STATE(6286)] = 211373,
  [SMALL_STATE(6287)] = 211454,
  [SMALL_STATE(6288)] = 211577,
  [SMALL_STATE(6289)] = 211710,
  [SMALL_STATE(6290)] = 211793,
  [SMALL_STATE(6291)] = 211874,
  [SMALL_STATE(6292)] = 211957,
  [SMALL_STATE(6293)] = 212090,
  [SMALL_STATE(6294)] = 212215,
  [SMALL_STATE(6295)] = 212342,
  [SMALL_STATE(6296)] = 212475,
  [SMALL_STATE(6297)] = 212604,
  [SMALL_STATE(6298)] = 212737,
  [SMALL_STATE(6299)] = 212858,
  [SMALL_STATE(6300)] = 212991,
  [SMALL_STATE(6301)] = 213124,
  [SMALL_STATE(6302)] = 213257,
  [SMALL_STATE(6303)] = 213390,
  [SMALL_STATE(6304)] = 213523,
  [SMALL_STATE(6305)] = 213618,
  [SMALL_STATE(6306)] = 213750,
  [SMALL_STATE(6307)] = 213882,
  [SMALL_STATE(6308)] = 214014,
  [SMALL_STATE(6309)] = 214146,
  [SMALL_STATE(6310)] = 214278,
  [SMALL_STATE(6311)] = 214410,
  [SMALL_STATE(6312)] = 214542,
  [SMALL_STATE(6313)] = 214674,
  [SMALL_STATE(6314)] = 214806,
  [SMALL_STATE(6315)] = 214906,
  [SMALL_STATE(6316)] = 215038,
  [SMALL_STATE(6317)] = 215170,
  [SMALL_STATE(6318)] = 215302,
  [SMALL_STATE(6319)] = 215434,
  [SMALL_STATE(6320)] = 215566,
  [SMALL_STATE(6321)] = 215698,
  [SMALL_STATE(6322)] = 215830,
  [SMALL_STATE(6323)] = 215940,
  [SMALL_STATE(6324)] = 216072,
  [SMALL_STATE(6325)] = 216204,
  [SMALL_STATE(6326)] = 216284,
  [SMALL_STATE(6327)] = 216416,
  [SMALL_STATE(6328)] = 216520,
  [SMALL_STATE(6329)] = 216620,
  [SMALL_STATE(6330)] = 216752,
  [SMALL_STATE(6331)] = 216884,
  [SMALL_STATE(6332)] = 217006,
  [SMALL_STATE(6333)] = 217130,
  [SMALL_STATE(6334)] = 217250,
  [SMALL_STATE(6335)] = 217356,
  [SMALL_STATE(6336)] = 217474,
  [SMALL_STATE(6337)] = 217570,
  [SMALL_STATE(6338)] = 217702,
  [SMALL_STATE(6339)] = 217828,
  [SMALL_STATE(6340)] = 217956,
  [SMALL_STATE(6341)] = 218088,
  [SMALL_STATE(6342)] = 218220,
  [SMALL_STATE(6343)] = 218352,
  [SMALL_STATE(6344)] = 218484,
  [SMALL_STATE(6345)] = 218616,
  [SMALL_STATE(6346)] = 218748,
  [SMALL_STATE(6347)] = 218880,
  [SMALL_STATE(6348)] = 219012,
  [SMALL_STATE(6349)] = 219144,
  [SMALL_STATE(6350)] = 219276,
  [SMALL_STATE(6351)] = 219408,
  [SMALL_STATE(6352)] = 219540,
  [SMALL_STATE(6353)] = 219672,
  [SMALL_STATE(6354)] = 219804,
  [SMALL_STATE(6355)] = 219936,
  [SMALL_STATE(6356)] = 220068,
  [SMALL_STATE(6357)] = 220200,
  [SMALL_STATE(6358)] = 220332,
  [SMALL_STATE(6359)] = 220414,
  [SMALL_STATE(6360)] = 220546,
  [SMALL_STATE(6361)] = 220678,
  [SMALL_STATE(6362)] = 220810,
  [SMALL_STATE(6363)] = 220942,
  [SMALL_STATE(6364)] = 221074,
  [SMALL_STATE(6365)] = 221206,
  [SMALL_STATE(6366)] = 221338,
  [SMALL_STATE(6367)] = 221470,
  [SMALL_STATE(6368)] = 221602,
  [SMALL_STATE(6369)] = 221734,
  [SMALL_STATE(6370)] = 221866,
  [SMALL_STATE(6371)] = 221998,
  [SMALL_STATE(6372)] = 222130,
  [SMALL_STATE(6373)] = 222262,
  [SMALL_STATE(6374)] = 222394,
  [SMALL_STATE(6375)] = 222526,
  [SMALL_STATE(6376)] = 222658,
  [SMALL_STATE(6377)] = 222746,
  [SMALL_STATE(6378)] = 222826,
  [SMALL_STATE(6379)] = 222906,
  [SMALL_STATE(6380)] = 223038,
  [SMALL_STATE(6381)] = 223138,
  [SMALL_STATE(6382)] = 223270,
  [SMALL_STATE(6383)] = 223350,
  [SMALL_STATE(6384)] = 223482,
  [SMALL_STATE(6385)] = 223614,
  [SMALL_STATE(6386)] = 223746,
  [SMALL_STATE(6387)] = 223878,
  [SMALL_STATE(6388)] = 224010,
  [SMALL_STATE(6389)] = 224132,
  [SMALL_STATE(6390)] = 224256,
  [SMALL_STATE(6391)] = 224376,
  [SMALL_STATE(6392)] = 224494,
  [SMALL_STATE(6393)] = 224620,
  [SMALL_STATE(6394)] = 224748,
  [SMALL_STATE(6395)] = 224880,
  [SMALL_STATE(6396)] = 225012,
  [SMALL_STATE(6397)] = 225144,
  [SMALL_STATE(6398)] = 225276,
  [SMALL_STATE(6399)] = 225356,
  [SMALL_STATE(6400)] = 225488,
  [SMALL_STATE(6401)] = 225620,
  [SMALL_STATE(6402)] = 225752,
  [SMALL_STATE(6403)] = 225884,
  [SMALL_STATE(6404)] = 226016,
  [SMALL_STATE(6405)] = 226148,
  [SMALL_STATE(6406)] = 226280,
  [SMALL_STATE(6407)] = 226412,
  [SMALL_STATE(6408)] = 226544,
  [SMALL_STATE(6409)] = 226676,
  [SMALL_STATE(6410)] = 226808,
  [SMALL_STATE(6411)] = 226940,
  [SMALL_STATE(6412)] = 227072,
  [SMALL_STATE(6413)] = 227204,
  [SMALL_STATE(6414)] = 227336,
  [SMALL_STATE(6415)] = 227436,
  [SMALL_STATE(6416)] = 227568,
  [SMALL_STATE(6417)] = 227700,
  [SMALL_STATE(6418)] = 227832,
  [SMALL_STATE(6419)] = 227964,
  [SMALL_STATE(6420)] = 228096,
  [SMALL_STATE(6421)] = 228228,
  [SMALL_STATE(6422)] = 228360,
  [SMALL_STATE(6423)] = 228492,
  [SMALL_STATE(6424)] = 228624,
  [SMALL_STATE(6425)] = 228756,
  [SMALL_STATE(6426)] = 228888,
  [SMALL_STATE(6427)] = 229020,
  [SMALL_STATE(6428)] = 229152,
  [SMALL_STATE(6429)] = 229284,
  [SMALL_STATE(6430)] = 229364,
  [SMALL_STATE(6431)] = 229496,
  [SMALL_STATE(6432)] = 229628,
  [SMALL_STATE(6433)] = 229712,
  [SMALL_STATE(6434)] = 229792,
  [SMALL_STATE(6435)] = 229874,
  [SMALL_STATE(6436)] = 230006,
  [SMALL_STATE(6437)] = 230138,
  [SMALL_STATE(6438)] = 230270,
  [SMALL_STATE(6439)] = 230402,
  [SMALL_STATE(6440)] = 230534,
  [SMALL_STATE(6441)] = 230666,
  [SMALL_STATE(6442)] = 230746,
  [SMALL_STATE(6443)] = 230878,
  [SMALL_STATE(6444)] = 231010,
  [SMALL_STATE(6445)] = 231142,
  [SMALL_STATE(6446)] = 231274,
  [SMALL_STATE(6447)] = 231406,
  [SMALL_STATE(6448)] = 231500,
  [SMALL_STATE(6449)] = 231632,
  [SMALL_STATE(6450)] = 231764,
  [SMALL_STATE(6451)] = 231844,
  [SMALL_STATE(6452)] = 231976,
  [SMALL_STATE(6453)] = 232108,
  [SMALL_STATE(6454)] = 232240,
  [SMALL_STATE(6455)] = 232372,
  [SMALL_STATE(6456)] = 232504,
  [SMALL_STATE(6457)] = 232636,
  [SMALL_STATE(6458)] = 232768,
  [SMALL_STATE(6459)] = 232900,
  [SMALL_STATE(6460)] = 233032,
  [SMALL_STATE(6461)] = 233164,
  [SMALL_STATE(6462)] = 233296,
  [SMALL_STATE(6463)] = 233428,
  [SMALL_STATE(6464)] = 233560,
  [SMALL_STATE(6465)] = 233692,
  [SMALL_STATE(6466)] = 233802,
  [SMALL_STATE(6467)] = 233934,
  [SMALL_STATE(6468)] = 234038,
  [SMALL_STATE(6469)] = 234138,
  [SMALL_STATE(6470)] = 234270,
  [SMALL_STATE(6471)] = 234402,
  [SMALL_STATE(6472)] = 234534,
  [SMALL_STATE(6473)] = 234656,
  [SMALL_STATE(6474)] = 234788,
  [SMALL_STATE(6475)] = 234870,
  [SMALL_STATE(6476)] = 234994,
  [SMALL_STATE(6477)] = 235126,
  [SMALL_STATE(6478)] = 235258,
  [SMALL_STATE(6479)] = 235378,
  [SMALL_STATE(6480)] = 235460,
  [SMALL_STATE(6481)] = 235592,
  [SMALL_STATE(6482)] = 235724,
  [SMALL_STATE(6483)] = 235856,
  [SMALL_STATE(6484)] = 235988,
  [SMALL_STATE(6485)] = 236094,
  [SMALL_STATE(6486)] = 236212,
  [SMALL_STATE(6487)] = 236308,
  [SMALL_STATE(6488)] = 236434,
  [SMALL_STATE(6489)] = 236566,
  [SMALL_STATE(6490)] = 236698,
  [SMALL_STATE(6491)] = 236826,
  [SMALL_STATE(6492)] = 236958,
  [SMALL_STATE(6493)] = 237090,
  [SMALL_STATE(6494)] = 237222,
  [SMALL_STATE(6495)] = 237354,
  [SMALL_STATE(6496)] = 237486,
  [SMALL_STATE(6497)] = 237618,
  [SMALL_STATE(6498)] = 237700,
  [SMALL_STATE(6499)] = 237832,
  [SMALL_STATE(6500)] = 237914,
  [SMALL_STATE(6501)] = 237996,
  [SMALL_STATE(6502)] = 238128,
  [SMALL_STATE(6503)] = 238210,
  [SMALL_STATE(6504)] = 238290,
  [SMALL_STATE(6505)] = 238372,
  [SMALL_STATE(6506)] = 238504,
  [SMALL_STATE(6507)] = 238636,
  [SMALL_STATE(6508)] = 238768,
  [SMALL_STATE(6509)] = 238900,
  [SMALL_STATE(6510)] = 239032,
  [SMALL_STATE(6511)] = 239164,
  [SMALL_STATE(6512)] = 239244,
  [SMALL_STATE(6513)] = 239376,
  [SMALL_STATE(6514)] = 239508,
  [SMALL_STATE(6515)] = 239640,
  [SMALL_STATE(6516)] = 239772,
  [SMALL_STATE(6517)] = 239904,
  [SMALL_STATE(6518)] = 240036,
  [SMALL_STATE(6519)] = 240132,
  [SMALL_STATE(6520)] = 240264,
  [SMALL_STATE(6521)] = 240346,
  [SMALL_STATE(6522)] = 240478,
  [SMALL_STATE(6523)] = 240588,
  [SMALL_STATE(6524)] = 240670,
  [SMALL_STATE(6525)] = 240802,
  [SMALL_STATE(6526)] = 240906,
  [SMALL_STATE(6527)] = 241006,
  [SMALL_STATE(6528)] = 241128,
  [SMALL_STATE(6529)] = 241252,
  [SMALL_STATE(6530)] = 241372,
  [SMALL_STATE(6531)] = 241478,
  [SMALL_STATE(6532)] = 241596,
  [SMALL_STATE(6533)] = 241692,
  [SMALL_STATE(6534)] = 241818,
  [SMALL_STATE(6535)] = 241946,
  [SMALL_STATE(6536)] = 242078,
  [SMALL_STATE(6537)] = 242174,
  [SMALL_STATE(6538)] = 242306,
  [SMALL_STATE(6539)] = 242438,
  [SMALL_STATE(6540)] = 242570,
  [SMALL_STATE(6541)] = 242702,
  [SMALL_STATE(6542)] = 242834,
  [SMALL_STATE(6543)] = 242966,
  [SMALL_STATE(6544)] = 243098,
  [SMALL_STATE(6545)] = 243230,
  [SMALL_STATE(6546)] = 243362,
  [SMALL_STATE(6547)] = 243494,
  [SMALL_STATE(6548)] = 243626,
  [SMALL_STATE(6549)] = 243758,
  [SMALL_STATE(6550)] = 243890,
  [SMALL_STATE(6551)] = 244022,
  [SMALL_STATE(6552)] = 244154,
  [SMALL_STATE(6553)] = 244286,
  [SMALL_STATE(6554)] = 244418,
  [SMALL_STATE(6555)] = 244550,
  [SMALL_STATE(6556)] = 244682,
  [SMALL_STATE(6557)] = 244814,
  [SMALL_STATE(6558)] = 244946,
  [SMALL_STATE(6559)] = 245028,
  [SMALL_STATE(6560)] = 245160,
  [SMALL_STATE(6561)] = 245292,
  [SMALL_STATE(6562)] = 245374,
  [SMALL_STATE(6563)] = 245506,
  [SMALL_STATE(6564)] = 245602,
  [SMALL_STATE(6565)] = 245734,
  [SMALL_STATE(6566)] = 245816,
  [SMALL_STATE(6567)] = 245948,
  [SMALL_STATE(6568)] = 246080,
  [SMALL_STATE(6569)] = 246162,
  [SMALL_STATE(6570)] = 246294,
  [SMALL_STATE(6571)] = 246426,
  [SMALL_STATE(6572)] = 246558,
  [SMALL_STATE(6573)] = 246654,
  [SMALL_STATE(6574)] = 246786,
  [SMALL_STATE(6575)] = 246918,
  [SMALL_STATE(6576)] = 247050,
  [SMALL_STATE(6577)] = 247182,
  [SMALL_STATE(6578)] = 247278,
  [SMALL_STATE(6579)] = 247410,
  [SMALL_STATE(6580)] = 247542,
  [SMALL_STATE(6581)] = 247674,
  [SMALL_STATE(6582)] = 247806,
  [SMALL_STATE(6583)] = 247938,
  [SMALL_STATE(6584)] = 248070,
  [SMALL_STATE(6585)] = 248202,
  [SMALL_STATE(6586)] = 248334,
  [SMALL_STATE(6587)] = 248466,
  [SMALL_STATE(6588)] = 248598,
  [SMALL_STATE(6589)] = 248730,
  [SMALL_STATE(6590)] = 248862,
  [SMALL_STATE(6591)] = 248994,
  [SMALL_STATE(6592)] = 249126,
  [SMALL_STATE(6593)] = 249258,
  [SMALL_STATE(6594)] = 249390,
  [SMALL_STATE(6595)] = 249522,
  [SMALL_STATE(6596)] = 249654,
  [SMALL_STATE(6597)] = 249786,
  [SMALL_STATE(6598)] = 249918,
  [SMALL_STATE(6599)] = 250050,
  [SMALL_STATE(6600)] = 250160,
  [SMALL_STATE(6601)] = 250264,
  [SMALL_STATE(6602)] = 250364,
  [SMALL_STATE(6603)] = 250470,
  [SMALL_STATE(6604)] = 250566,
  [SMALL_STATE(6605)] = 250698,
  [SMALL_STATE(6606)] = 250808,
  [SMALL_STATE(6607)] = 250940,
  [SMALL_STATE(6608)] = 251044,
  [SMALL_STATE(6609)] = 251144,
  [SMALL_STATE(6610)] = 251266,
  [SMALL_STATE(6611)] = 251390,
  [SMALL_STATE(6612)] = 251510,
  [SMALL_STATE(6613)] = 251616,
  [SMALL_STATE(6614)] = 251734,
  [SMALL_STATE(6615)] = 251830,
  [SMALL_STATE(6616)] = 251956,
  [SMALL_STATE(6617)] = 252084,
  [SMALL_STATE(6618)] = 252216,
  [SMALL_STATE(6619)] = 252348,
  [SMALL_STATE(6620)] = 252480,
  [SMALL_STATE(6621)] = 252612,
  [SMALL_STATE(6622)] = 252744,
  [SMALL_STATE(6623)] = 252876,
  [SMALL_STATE(6624)] = 253008,
  [SMALL_STATE(6625)] = 253140,
  [SMALL_STATE(6626)] = 253272,
  [SMALL_STATE(6627)] = 253404,
  [SMALL_STATE(6628)] = 253536,
  [SMALL_STATE(6629)] = 253616,
  [SMALL_STATE(6630)] = 253748,
  [SMALL_STATE(6631)] = 253828,
  [SMALL_STATE(6632)] = 253960,
  [SMALL_STATE(6633)] = 254042,
  [SMALL_STATE(6634)] = 254124,
  [SMALL_STATE(6635)] = 254204,
  [SMALL_STATE(6636)] = 254286,
  [SMALL_STATE(6637)] = 254418,
  [SMALL_STATE(6638)] = 254546,
  [SMALL_STATE(6639)] = 254678,
  [SMALL_STATE(6640)] = 254810,
  [SMALL_STATE(6641)] = 254942,
  [SMALL_STATE(6642)] = 255024,
  [SMALL_STATE(6643)] = 255106,
  [SMALL_STATE(6644)] = 255186,
  [SMALL_STATE(6645)] = 255268,
  [SMALL_STATE(6646)] = 255400,
  [SMALL_STATE(6647)] = 255482,
  [SMALL_STATE(6648)] = 255614,
  [SMALL_STATE(6649)] = 255746,
  [SMALL_STATE(6650)] = 255878,
  [SMALL_STATE(6651)] = 256010,
  [SMALL_STATE(6652)] = 256092,
  [SMALL_STATE(6653)] = 256174,
  [SMALL_STATE(6654)] = 256254,
  [SMALL_STATE(6655)] = 256336,
  [SMALL_STATE(6656)] = 256416,
  [SMALL_STATE(6657)] = 256502,
  [SMALL_STATE(6658)] = 256634,
  [SMALL_STATE(6659)] = 256716,
  [SMALL_STATE(6660)] = 256848,
  [SMALL_STATE(6661)] = 256930,
  [SMALL_STATE(6662)] = 257062,
  [SMALL_STATE(6663)] = 257194,
  [SMALL_STATE(6664)] = 257326,
  [SMALL_STATE(6665)] = 257458,
  [SMALL_STATE(6666)] = 257540,
  [SMALL_STATE(6667)] = 257650,
  [SMALL_STATE(6668)] = 257782,
  [SMALL_STATE(6669)] = 257886,
  [SMALL_STATE(6670)] = 257986,
  [SMALL_STATE(6671)] = 258108,
  [SMALL_STATE(6672)] = 258232,
  [SMALL_STATE(6673)] = 258328,
  [SMALL_STATE(6674)] = 258460,
  [SMALL_STATE(6675)] = 258592,
  [SMALL_STATE(6676)] = 258724,
  [SMALL_STATE(6677)] = 258844,
  [SMALL_STATE(6678)] = 258950,
  [SMALL_STATE(6679)] = 259068,
  [SMALL_STATE(6680)] = 259164,
  [SMALL_STATE(6681)] = 259290,
  [SMALL_STATE(6682)] = 259422,
  [SMALL_STATE(6683)] = 259554,
  [SMALL_STATE(6684)] = 259639,
  [SMALL_STATE(6685)] = 259726,
  [SMALL_STATE(6686)] = 259855,
  [SMALL_STATE(6687)] = 259932,
  [SMALL_STATE(6688)] = 260061,
  [SMALL_STATE(6689)] = 260138,
  [SMALL_STATE(6690)] = 260267,
  [SMALL_STATE(6691)] = 260396,
  [SMALL_STATE(6692)] = 260525,
  [SMALL_STATE(6693)] = 260654,
  [SMALL_STATE(6694)] = 260747,
  [SMALL_STATE(6695)] = 260876,
  [SMALL_STATE(6696)] = 260955,
  [SMALL_STATE(6697)] = 261084,
  [SMALL_STATE(6698)] = 261177,
  [SMALL_STATE(6699)] = 261306,
  [SMALL_STATE(6700)] = 261393,
  [SMALL_STATE(6701)] = 261522,
  [SMALL_STATE(6702)] = 261651,
  [SMALL_STATE(6703)] = 261740,
  [SMALL_STATE(6704)] = 261869,
  [SMALL_STATE(6705)] = 261966,
  [SMALL_STATE(6706)] = 262059,
  [SMALL_STATE(6707)] = 262188,
  [SMALL_STATE(6708)] = 262275,
  [SMALL_STATE(6709)] = 262404,
  [SMALL_STATE(6710)] = 262533,
  [SMALL_STATE(6711)] = 262626,
  [SMALL_STATE(6712)] = 262703,
  [SMALL_STATE(6713)] = 262780,
  [SMALL_STATE(6714)] = 262865,
  [SMALL_STATE(6715)] = 262994,
  [SMALL_STATE(6716)] = 263081,
  [SMALL_STATE(6717)] = 263210,
  [SMALL_STATE(6718)] = 263339,
  [SMALL_STATE(6719)] = 263426,
  [SMALL_STATE(6720)] = 263555,
  [SMALL_STATE(6721)] = 263684,
  [SMALL_STATE(6722)] = 263813,
  [SMALL_STATE(6723)] = 263942,
  [SMALL_STATE(6724)] = 264071,
  [SMALL_STATE(6725)] = 264200,
  [SMALL_STATE(6726)] = 264277,
  [SMALL_STATE(6727)] = 264406,
  [SMALL_STATE(6728)] = 264485,
  [SMALL_STATE(6729)] = 264614,
  [SMALL_STATE(6730)] = 264691,
  [SMALL_STATE(6731)] = 264820,
  [SMALL_STATE(6732)] = 264949,
  [SMALL_STATE(6733)] = 265034,
  [SMALL_STATE(6734)] = 265163,
  [SMALL_STATE(6735)] = 265292,
  [SMALL_STATE(6736)] = 265379,
  [SMALL_STATE(6737)] = 265476,
  [SMALL_STATE(6738)] = 265553,
  [SMALL_STATE(6739)] = 265682,
  [SMALL_STATE(6740)] = 265811,
  [SMALL_STATE(6741)] = 265897,
  [SMALL_STATE(6742)] = 265975,
  [SMALL_STATE(6743)] = 266065,
  [SMALL_STATE(6744)] = 266151,
  [SMALL_STATE(6745)] = 266245,
  [SMALL_STATE(6746)] = 266339,
  [SMALL_STATE(6747)] = 266425,
  [SMALL_STATE(6748)] = 266509,
  [SMALL_STATE(6749)] = 266595,
  [SMALL_STATE(6750)] = 266681,
  [SMALL_STATE(6751)] = 266767,
  [SMALL_STATE(6752)] = 266845,
  [SMALL_STATE(6753)] = 266941,
  [SMALL_STATE(6754)] = 267035,
  [SMALL_STATE(6755)] = 267131,
  [SMALL_STATE(6756)] = 267217,
  [SMALL_STATE(6757)] = 267303,
  [SMALL_STATE(6758)] = 267389,
  [SMALL_STATE(6759)] = 267476,
  [SMALL_STATE(6760)] = 267559,
  [SMALL_STATE(6761)] = 267652,
  [SMALL_STATE(6762)] = 267729,
  [SMALL_STATE(6763)] = 267812,
  [SMALL_STATE(6764)] = 267895,
  [SMALL_STATE(6765)] = 267986,
  [SMALL_STATE(6766)] = 268067,
  [SMALL_STATE(6767)] = 268158,
  [SMALL_STATE(6768)] = 268249,
  [SMALL_STATE(6769)] = 268336,
  [SMALL_STATE(6770)] = 268427,
  [SMALL_STATE(6771)] = 268503,
  [SMALL_STATE(6772)] = 268591,
  [SMALL_STATE(6773)] = 268679,
  [SMALL_STATE(6774)] = 268767,
  [SMALL_STATE(6775)] = 268855,
  [SMALL_STATE(6776)] = 268943,
  [SMALL_STATE(6777)] = 269031,
  [SMALL_STATE(6778)] = 269119,
  [SMALL_STATE(6779)] = 269207,
  [SMALL_STATE(6780)] = 269295,
  [SMALL_STATE(6781)] = 269385,
  [SMALL_STATE(6782)] = 269467,
  [SMALL_STATE(6783)] = 269555,
  [SMALL_STATE(6784)] = 269643,
  [SMALL_STATE(6785)] = 269731,
  [SMALL_STATE(6786)] = 269819,
  [SMALL_STATE(6787)] = 269907,
  [SMALL_STATE(6788)] = 269995,
  [SMALL_STATE(6789)] = 270083,
  [SMALL_STATE(6790)] = 270171,
  [SMALL_STATE(6791)] = 270259,
  [SMALL_STATE(6792)] = 270349,
  [SMALL_STATE(6793)] = 270437,
  [SMALL_STATE(6794)] = 270525,
  [SMALL_STATE(6795)] = 270613,
  [SMALL_STATE(6796)] = 270701,
  [SMALL_STATE(6797)] = 270789,
  [SMALL_STATE(6798)] = 270877,
  [SMALL_STATE(6799)] = 270965,
  [SMALL_STATE(6800)] = 271053,
  [SMALL_STATE(6801)] = 271141,
  [SMALL_STATE(6802)] = 271226,
  [SMALL_STATE(6803)] = 271311,
  [SMALL_STATE(6804)] = 271398,
  [SMALL_STATE(6805)] = 271483,
  [SMALL_STATE(6806)] = 271568,
  [SMALL_STATE(6807)] = 271641,
  [SMALL_STATE(6808)] = 271728,
  [SMALL_STATE(6809)] = 271813,
  [SMALL_STATE(6810)] = 271898,
  [SMALL_STATE(6811)] = 271979,
  [SMALL_STATE(6812)] = 272056,
  [SMALL_STATE(6813)] = 272141,
  [SMALL_STATE(6814)] = 272226,
  [SMALL_STATE(6815)] = 272311,
  [SMALL_STATE(6816)] = 272398,
  [SMALL_STATE(6817)] = 272479,
  [SMALL_STATE(6818)] = 272564,
  [SMALL_STATE(6819)] = 272649,
  [SMALL_STATE(6820)] = 272734,
  [SMALL_STATE(6821)] = 272819,
  [SMALL_STATE(6822)] = 272905,
  [SMALL_STATE(6823)] = 272991,
  [SMALL_STATE(6824)] = 273073,
  [SMALL_STATE(6825)] = 273159,
  [SMALL_STATE(6826)] = 273241,
  [SMALL_STATE(6827)] = 273323,
  [SMALL_STATE(6828)] = 273409,
  [SMALL_STATE(6829)] = 273495,
  [SMALL_STATE(6830)] = 273581,
  [SMALL_STATE(6831)] = 273655,
  [SMALL_STATE(6832)] = 273741,
  [SMALL_STATE(6833)] = 273815,
  [SMALL_STATE(6834)] = 273901,
  [SMALL_STATE(6835)] = 273987,
  [SMALL_STATE(6836)] = 274073,
  [SMALL_STATE(6837)] = 274159,
  [SMALL_STATE(6838)] = 274245,
  [SMALL_STATE(6839)] = 274331,
  [SMALL_STATE(6840)] = 274415,
  [SMALL_STATE(6841)] = 274501,
  [SMALL_STATE(6842)] = 274587,
  [SMALL_STATE(6843)] = 274673,
  [SMALL_STATE(6844)] = 274759,
  [SMALL_STATE(6845)] = 274845,
  [SMALL_STATE(6846)] = 274931,
  [SMALL_STATE(6847)] = 275017,
  [SMALL_STATE(6848)] = 275103,
  [SMALL_STATE(6849)] = 275189,
  [SMALL_STATE(6850)] = 275271,
  [SMALL_STATE(6851)] = 275357,
  [SMALL_STATE(6852)] = 275443,
  [SMALL_STATE(6853)] = 275529,
  [SMALL_STATE(6854)] = 275615,
  [SMALL_STATE(6855)] = 275701,
  [SMALL_STATE(6856)] = 275787,
  [SMALL_STATE(6857)] = 275873,
  [SMALL_STATE(6858)] = 275959,
  [SMALL_STATE(6859)] = 276045,
  [SMALL_STATE(6860)] = 276131,
  [SMALL_STATE(6861)] = 276213,
  [SMALL_STATE(6862)] = 276299,
  [SMALL_STATE(6863)] = 276385,
  [SMALL_STATE(6864)] = 276471,
  [SMALL_STATE(6865)] = 276557,
  [SMALL_STATE(6866)] = 276643,
  [SMALL_STATE(6867)] = 276729,
  [SMALL_STATE(6868)] = 276815,
  [SMALL_STATE(6869)] = 276901,
  [SMALL_STATE(6870)] = 276987,
  [SMALL_STATE(6871)] = 277073,
  [SMALL_STATE(6872)] = 277159,
  [SMALL_STATE(6873)] = 277245,
  [SMALL_STATE(6874)] = 277331,
  [SMALL_STATE(6875)] = 277417,
  [SMALL_STATE(6876)] = 277503,
  [SMALL_STATE(6877)] = 277585,
  [SMALL_STATE(6878)] = 277671,
  [SMALL_STATE(6879)] = 277757,
  [SMALL_STATE(6880)] = 277843,
  [SMALL_STATE(6881)] = 277925,
  [SMALL_STATE(6882)] = 278007,
  [SMALL_STATE(6883)] = 278093,
  [SMALL_STATE(6884)] = 278179,
  [SMALL_STATE(6885)] = 278265,
  [SMALL_STATE(6886)] = 278347,
  [SMALL_STATE(6887)] = 278429,
  [SMALL_STATE(6888)] = 278515,
  [SMALL_STATE(6889)] = 278597,
  [SMALL_STATE(6890)] = 278679,
  [SMALL_STATE(6891)] = 278765,
  [SMALL_STATE(6892)] = 278847,
  [SMALL_STATE(6893)] = 278933,
  [SMALL_STATE(6894)] = 279019,
  [SMALL_STATE(6895)] = 279105,
  [SMALL_STATE(6896)] = 279187,
  [SMALL_STATE(6897)] = 279273,
  [SMALL_STATE(6898)] = 279359,
  [SMALL_STATE(6899)] = 279441,
  [SMALL_STATE(6900)] = 279527,
  [SMALL_STATE(6901)] = 279613,
  [SMALL_STATE(6902)] = 279699,
  [SMALL_STATE(6903)] = 279778,
  [SMALL_STATE(6904)] = 279859,
  [SMALL_STATE(6905)] = 279940,
  [SMALL_STATE(6906)] = 280023,
  [SMALL_STATE(6907)] = 280100,
  [SMALL_STATE(6908)] = 280179,
  [SMALL_STATE(6909)] = 280262,
  [SMALL_STATE(6910)] = 280343,
  [SMALL_STATE(6911)] = 280424,
  [SMALL_STATE(6912)] = 280505,
  [SMALL_STATE(6913)] = 280586,
  [SMALL_STATE(6914)] = 280665,
  [SMALL_STATE(6915)] = 280746,
  [SMALL_STATE(6916)] = 280827,
  [SMALL_STATE(6917)] = 280904,
  [SMALL_STATE(6918)] = 280985,
  [SMALL_STATE(6919)] = 281066,
  [SMALL_STATE(6920)] = 281147,
  [SMALL_STATE(6921)] = 281230,
  [SMALL_STATE(6922)] = 281313,
  [SMALL_STATE(6923)] = 281394,
  [SMALL_STATE(6924)] = 281475,
  [SMALL_STATE(6925)] = 281556,
  [SMALL_STATE(6926)] = 281637,
  [SMALL_STATE(6927)] = 281718,
  [SMALL_STATE(6928)] = 281799,
  [SMALL_STATE(6929)] = 281880,
  [SMALL_STATE(6930)] = 281961,
  [SMALL_STATE(6931)] = 282042,
  [SMALL_STATE(6932)] = 282121,
  [SMALL_STATE(6933)] = 282202,
  [SMALL_STATE(6934)] = 282285,
  [SMALL_STATE(6935)] = 282366,
  [SMALL_STATE(6936)] = 282447,
  [SMALL_STATE(6937)] = 282518,
  [SMALL_STATE(6938)] = 282589,
  [SMALL_STATE(6939)] = 282670,
  [SMALL_STATE(6940)] = 282753,
  [SMALL_STATE(6941)] = 282834,
  [SMALL_STATE(6942)] = 282917,
  [SMALL_STATE(6943)] = 282998,
  [SMALL_STATE(6944)] = 283079,
  [SMALL_STATE(6945)] = 283162,
  [SMALL_STATE(6946)] = 283245,
  [SMALL_STATE(6947)] = 283328,
  [SMALL_STATE(6948)] = 283409,
  [SMALL_STATE(6949)] = 283489,
  [SMALL_STATE(6950)] = 283569,
  [SMALL_STATE(6951)] = 283649,
  [SMALL_STATE(6952)] = 283727,
  [SMALL_STATE(6953)] = 283807,
  [SMALL_STATE(6954)] = 283887,
  [SMALL_STATE(6955)] = 283967,
  [SMALL_STATE(6956)] = 284047,
  [SMALL_STATE(6957)] = 284125,
  [SMALL_STATE(6958)] = 284205,
  [SMALL_STATE(6959)] = 284285,
  [SMALL_STATE(6960)] = 284365,
  [SMALL_STATE(6961)] = 284445,
  [SMALL_STATE(6962)] = 284523,
  [SMALL_STATE(6963)] = 284603,
  [SMALL_STATE(6964)] = 284683,
  [SMALL_STATE(6965)] = 284763,
  [SMALL_STATE(6966)] = 284841,
  [SMALL_STATE(6967)] = 284921,
  [SMALL_STATE(6968)] = 285001,
  [SMALL_STATE(6969)] = 285081,
  [SMALL_STATE(6970)] = 285159,
  [SMALL_STATE(6971)] = 285239,
  [SMALL_STATE(6972)] = 285319,
  [SMALL_STATE(6973)] = 285399,
  [SMALL_STATE(6974)] = 285479,
  [SMALL_STATE(6975)] = 285557,
  [SMALL_STATE(6976)] = 285637,
  [SMALL_STATE(6977)] = 285717,
  [SMALL_STATE(6978)] = 285797,
  [SMALL_STATE(6979)] = 285875,
  [SMALL_STATE(6980)] = 285955,
  [SMALL_STATE(6981)] = 286035,
  [SMALL_STATE(6982)] = 286115,
  [SMALL_STATE(6983)] = 286195,
  [SMALL_STATE(6984)] = 286275,
  [SMALL_STATE(6985)] = 286355,
  [SMALL_STATE(6986)] = 286433,
  [SMALL_STATE(6987)] = 286513,
  [SMALL_STATE(6988)] = 286591,
  [SMALL_STATE(6989)] = 286671,
  [SMALL_STATE(6990)] = 286749,
  [SMALL_STATE(6991)] = 286829,
  [SMALL_STATE(6992)] = 286909,
  [SMALL_STATE(6993)] = 286987,
  [SMALL_STATE(6994)] = 287067,
  [SMALL_STATE(6995)] = 287147,
  [SMALL_STATE(6996)] = 287227,
  [SMALL_STATE(6997)] = 287307,
  [SMALL_STATE(6998)] = 287387,
  [SMALL_STATE(6999)] = 287467,
  [SMALL_STATE(7000)] = 287547,
  [SMALL_STATE(7001)] = 287627,
  [SMALL_STATE(7002)] = 287707,
  [SMALL_STATE(7003)] = 287787,
  [SMALL_STATE(7004)] = 287865,
  [SMALL_STATE(7005)] = 287945,
  [SMALL_STATE(7006)] = 288025,
  [SMALL_STATE(7007)] = 288105,
  [SMALL_STATE(7008)] = 288185,
  [SMALL_STATE(7009)] = 288263,
  [SMALL_STATE(7010)] = 288343,
  [SMALL_STATE(7011)] = 288423,
  [SMALL_STATE(7012)] = 288503,
  [SMALL_STATE(7013)] = 288583,
  [SMALL_STATE(7014)] = 288663,
  [SMALL_STATE(7015)] = 288743,
  [SMALL_STATE(7016)] = 288823,
  [SMALL_STATE(7017)] = 288903,
  [SMALL_STATE(7018)] = 288983,
  [SMALL_STATE(7019)] = 289063,
  [SMALL_STATE(7020)] = 289143,
  [SMALL_STATE(7021)] = 289221,
  [SMALL_STATE(7022)] = 289301,
  [SMALL_STATE(7023)] = 289379,
  [SMALL_STATE(7024)] = 289457,
  [SMALL_STATE(7025)] = 289537,
  [SMALL_STATE(7026)] = 289617,
  [SMALL_STATE(7027)] = 289697,
  [SMALL_STATE(7028)] = 289777,
  [SMALL_STATE(7029)] = 289855,
  [SMALL_STATE(7030)] = 289935,
  [SMALL_STATE(7031)] = 290013,
  [SMALL_STATE(7032)] = 290093,
  [SMALL_STATE(7033)] = 290173,
  [SMALL_STATE(7034)] = 290253,
  [SMALL_STATE(7035)] = 290333,
  [SMALL_STATE(7036)] = 290413,
  [SMALL_STATE(7037)] = 290491,
  [SMALL_STATE(7038)] = 290571,
  [SMALL_STATE(7039)] = 290651,
  [SMALL_STATE(7040)] = 290731,
  [SMALL_STATE(7041)] = 290809,
  [SMALL_STATE(7042)] = 290887,
  [SMALL_STATE(7043)] = 290967,
  [SMALL_STATE(7044)] = 291045,
  [SMALL_STATE(7045)] = 291125,
  [SMALL_STATE(7046)] = 291205,
  [SMALL_STATE(7047)] = 291283,
  [SMALL_STATE(7048)] = 291363,
  [SMALL_STATE(7049)] = 291443,
  [SMALL_STATE(7050)] = 291523,
  [SMALL_STATE(7051)] = 291603,
  [SMALL_STATE(7052)] = 291681,
  [SMALL_STATE(7053)] = 291761,
  [SMALL_STATE(7054)] = 291841,
  [SMALL_STATE(7055)] = 291921,
  [SMALL_STATE(7056)] = 292001,
  [SMALL_STATE(7057)] = 292081,
  [SMALL_STATE(7058)] = 292161,
  [SMALL_STATE(7059)] = 292241,
  [SMALL_STATE(7060)] = 292321,
  [SMALL_STATE(7061)] = 292401,
  [SMALL_STATE(7062)] = 292481,
  [SMALL_STATE(7063)] = 292559,
  [SMALL_STATE(7064)] = 292639,
  [SMALL_STATE(7065)] = 292719,
  [SMALL_STATE(7066)] = 292799,
  [SMALL_STATE(7067)] = 292879,
  [SMALL_STATE(7068)] = 292959,
  [SMALL_STATE(7069)] = 293039,
  [SMALL_STATE(7070)] = 293117,
  [SMALL_STATE(7071)] = 293197,
  [SMALL_STATE(7072)] = 293275,
  [SMALL_STATE(7073)] = 293355,
  [SMALL_STATE(7074)] = 293435,
  [SMALL_STATE(7075)] = 293515,
  [SMALL_STATE(7076)] = 293595,
  [SMALL_STATE(7077)] = 293675,
  [SMALL_STATE(7078)] = 293755,
  [SMALL_STATE(7079)] = 293835,
  [SMALL_STATE(7080)] = 293915,
  [SMALL_STATE(7081)] = 293995,
  [SMALL_STATE(7082)] = 294075,
  [SMALL_STATE(7083)] = 294155,
  [SMALL_STATE(7084)] = 294235,
  [SMALL_STATE(7085)] = 294315,
  [SMALL_STATE(7086)] = 294395,
  [SMALL_STATE(7087)] = 294475,
  [SMALL_STATE(7088)] = 294555,
  [SMALL_STATE(7089)] = 294633,
  [SMALL_STATE(7090)] = 294713,
  [SMALL_STATE(7091)] = 294793,
  [SMALL_STATE(7092)] = 294873,
  [SMALL_STATE(7093)] = 294951,
  [SMALL_STATE(7094)] = 295031,
  [SMALL_STATE(7095)] = 295111,
  [SMALL_STATE(7096)] = 295189,
  [SMALL_STATE(7097)] = 295269,
  [SMALL_STATE(7098)] = 295349,
  [SMALL_STATE(7099)] = 295429,
  [SMALL_STATE(7100)] = 295509,
  [SMALL_STATE(7101)] = 295589,
  [SMALL_STATE(7102)] = 295669,
  [SMALL_STATE(7103)] = 295747,
  [SMALL_STATE(7104)] = 295827,
  [SMALL_STATE(7105)] = 295907,
  [SMALL_STATE(7106)] = 295985,
  [SMALL_STATE(7107)] = 296065,
  [SMALL_STATE(7108)] = 296145,
  [SMALL_STATE(7109)] = 296225,
  [SMALL_STATE(7110)] = 296305,
  [SMALL_STATE(7111)] = 296385,
  [SMALL_STATE(7112)] = 296465,
  [SMALL_STATE(7113)] = 296545,
  [SMALL_STATE(7114)] = 296625,
  [SMALL_STATE(7115)] = 296705,
  [SMALL_STATE(7116)] = 296785,
  [SMALL_STATE(7117)] = 296865,
  [SMALL_STATE(7118)] = 296943,
  [SMALL_STATE(7119)] = 297023,
  [SMALL_STATE(7120)] = 297103,
  [SMALL_STATE(7121)] = 297183,
  [SMALL_STATE(7122)] = 297263,
  [SMALL_STATE(7123)] = 297341,
  [SMALL_STATE(7124)] = 297421,
  [SMALL_STATE(7125)] = 297501,
  [SMALL_STATE(7126)] = 297581,
  [SMALL_STATE(7127)] = 297659,
  [SMALL_STATE(7128)] = 297739,
  [SMALL_STATE(7129)] = 297819,
  [SMALL_STATE(7130)] = 297891,
  [SMALL_STATE(7131)] = 297971,
  [SMALL_STATE(7132)] = 298051,
  [SMALL_STATE(7133)] = 298129,
  [SMALL_STATE(7134)] = 298209,
  [SMALL_STATE(7135)] = 298289,
  [SMALL_STATE(7136)] = 298369,
  [SMALL_STATE(7137)] = 298447,
  [SMALL_STATE(7138)] = 298527,
  [SMALL_STATE(7139)] = 298607,
  [SMALL_STATE(7140)] = 298685,
  [SMALL_STATE(7141)] = 298765,
  [SMALL_STATE(7142)] = 298843,
  [SMALL_STATE(7143)] = 298923,
  [SMALL_STATE(7144)] = 299003,
  [SMALL_STATE(7145)] = 299081,
  [SMALL_STATE(7146)] = 299159,
  [SMALL_STATE(7147)] = 299239,
  [SMALL_STATE(7148)] = 299319,
  [SMALL_STATE(7149)] = 299399,
  [SMALL_STATE(7150)] = 299479,
  [SMALL_STATE(7151)] = 299559,
  [SMALL_STATE(7152)] = 299637,
  [SMALL_STATE(7153)] = 299717,
  [SMALL_STATE(7154)] = 299797,
  [SMALL_STATE(7155)] = 299875,
  [SMALL_STATE(7156)] = 299955,
  [SMALL_STATE(7157)] = 300035,
  [SMALL_STATE(7158)] = 300113,
  [SMALL_STATE(7159)] = 300193,
  [SMALL_STATE(7160)] = 300270,
  [SMALL_STATE(7161)] = 300347,
  [SMALL_STATE(7162)] = 300424,
  [SMALL_STATE(7163)] = 300501,
  [SMALL_STATE(7164)] = 300578,
  [SMALL_STATE(7165)] = 300655,
  [SMALL_STATE(7166)] = 300732,
  [SMALL_STATE(7167)] = 300809,
  [SMALL_STATE(7168)] = 300886,
  [SMALL_STATE(7169)] = 300963,
  [SMALL_STATE(7170)] = 301040,
  [SMALL_STATE(7171)] = 301117,
  [SMALL_STATE(7172)] = 301194,
  [SMALL_STATE(7173)] = 301269,
  [SMALL_STATE(7174)] = 301346,
  [SMALL_STATE(7175)] = 301423,
  [SMALL_STATE(7176)] = 301500,
  [SMALL_STATE(7177)] = 301577,
  [SMALL_STATE(7178)] = 301654,
  [SMALL_STATE(7179)] = 301731,
  [SMALL_STATE(7180)] = 301806,
  [SMALL_STATE(7181)] = 301883,
  [SMALL_STATE(7182)] = 301960,
  [SMALL_STATE(7183)] = 302037,
  [SMALL_STATE(7184)] = 302114,
  [SMALL_STATE(7185)] = 302191,
  [SMALL_STATE(7186)] = 302268,
  [SMALL_STATE(7187)] = 302345,
  [SMALL_STATE(7188)] = 302422,
  [SMALL_STATE(7189)] = 302499,
  [SMALL_STATE(7190)] = 302576,
  [SMALL_STATE(7191)] = 302653,
  [SMALL_STATE(7192)] = 302730,
  [SMALL_STATE(7193)] = 302807,
  [SMALL_STATE(7194)] = 302884,
  [SMALL_STATE(7195)] = 302961,
  [SMALL_STATE(7196)] = 303038,
  [SMALL_STATE(7197)] = 303115,
  [SMALL_STATE(7198)] = 303192,
  [SMALL_STATE(7199)] = 303269,
  [SMALL_STATE(7200)] = 303346,
  [SMALL_STATE(7201)] = 303423,
  [SMALL_STATE(7202)] = 303500,
  [SMALL_STATE(7203)] = 303577,
  [SMALL_STATE(7204)] = 303654,
  [SMALL_STATE(7205)] = 303731,
  [SMALL_STATE(7206)] = 303808,
  [SMALL_STATE(7207)] = 303885,
  [SMALL_STATE(7208)] = 303962,
  [SMALL_STATE(7209)] = 304039,
  [SMALL_STATE(7210)] = 304116,
  [SMALL_STATE(7211)] = 304193,
  [SMALL_STATE(7212)] = 304270,
  [SMALL_STATE(7213)] = 304347,
  [SMALL_STATE(7214)] = 304424,
  [SMALL_STATE(7215)] = 304501,
  [SMALL_STATE(7216)] = 304578,
  [SMALL_STATE(7217)] = 304655,
  [SMALL_STATE(7218)] = 304732,
  [SMALL_STATE(7219)] = 304809,
  [SMALL_STATE(7220)] = 304886,
  [SMALL_STATE(7221)] = 304961,
  [SMALL_STATE(7222)] = 305038,
  [SMALL_STATE(7223)] = 305115,
  [SMALL_STATE(7224)] = 305192,
  [SMALL_STATE(7225)] = 305267,
  [SMALL_STATE(7226)] = 305344,
  [SMALL_STATE(7227)] = 305421,
  [SMALL_STATE(7228)] = 305498,
  [SMALL_STATE(7229)] = 305575,
  [SMALL_STATE(7230)] = 305650,
  [SMALL_STATE(7231)] = 305727,
  [SMALL_STATE(7232)] = 305804,
  [SMALL_STATE(7233)] = 305881,
  [SMALL_STATE(7234)] = 305958,
  [SMALL_STATE(7235)] = 306035,
  [SMALL_STATE(7236)] = 306112,
  [SMALL_STATE(7237)] = 306187,
  [SMALL_STATE(7238)] = 306264,
  [SMALL_STATE(7239)] = 306341,
  [SMALL_STATE(7240)] = 306416,
  [SMALL_STATE(7241)] = 306491,
  [SMALL_STATE(7242)] = 306568,
  [SMALL_STATE(7243)] = 306645,
  [SMALL_STATE(7244)] = 306722,
  [SMALL_STATE(7245)] = 306799,
  [SMALL_STATE(7246)] = 306876,
  [SMALL_STATE(7247)] = 306953,
  [SMALL_STATE(7248)] = 307030,
  [SMALL_STATE(7249)] = 307107,
  [SMALL_STATE(7250)] = 307184,
  [SMALL_STATE(7251)] = 307261,
  [SMALL_STATE(7252)] = 307338,
  [SMALL_STATE(7253)] = 307413,
  [SMALL_STATE(7254)] = 307490,
  [SMALL_STATE(7255)] = 307567,
  [SMALL_STATE(7256)] = 307644,
  [SMALL_STATE(7257)] = 307721,
  [SMALL_STATE(7258)] = 307798,
  [SMALL_STATE(7259)] = 307875,
  [SMALL_STATE(7260)] = 307952,
  [SMALL_STATE(7261)] = 308029,
  [SMALL_STATE(7262)] = 308106,
  [SMALL_STATE(7263)] = 308183,
  [SMALL_STATE(7264)] = 308260,
  [SMALL_STATE(7265)] = 308337,
  [SMALL_STATE(7266)] = 308414,
  [SMALL_STATE(7267)] = 308491,
  [SMALL_STATE(7268)] = 308568,
  [SMALL_STATE(7269)] = 308645,
  [SMALL_STATE(7270)] = 308722,
  [SMALL_STATE(7271)] = 308799,
  [SMALL_STATE(7272)] = 308876,
  [SMALL_STATE(7273)] = 308953,
  [SMALL_STATE(7274)] = 309030,
  [SMALL_STATE(7275)] = 309107,
  [SMALL_STATE(7276)] = 309184,
  [SMALL_STATE(7277)] = 309261,
  [SMALL_STATE(7278)] = 309338,
  [SMALL_STATE(7279)] = 309415,
  [SMALL_STATE(7280)] = 309492,
  [SMALL_STATE(7281)] = 309569,
  [SMALL_STATE(7282)] = 309646,
  [SMALL_STATE(7283)] = 309721,
  [SMALL_STATE(7284)] = 309795,
  [SMALL_STATE(7285)] = 309869,
  [SMALL_STATE(7286)] = 309937,
  [SMALL_STATE(7287)] = 310011,
  [SMALL_STATE(7288)] = 310079,
  [SMALL_STATE(7289)] = 310147,
  [SMALL_STATE(7290)] = 310221,
  [SMALL_STATE(7291)] = 310295,
  [SMALL_STATE(7292)] = 310363,
  [SMALL_STATE(7293)] = 310431,
  [SMALL_STATE(7294)] = 310502,
  [SMALL_STATE(7295)] = 310573,
  [SMALL_STATE(7296)] = 310644,
  [SMALL_STATE(7297)] = 310715,
  [SMALL_STATE(7298)] = 310786,
  [SMALL_STATE(7299)] = 310857,
  [SMALL_STATE(7300)] = 310928,
  [SMALL_STATE(7301)] = 310999,
  [SMALL_STATE(7302)] = 311070,
  [SMALL_STATE(7303)] = 311141,
  [SMALL_STATE(7304)] = 311212,
  [SMALL_STATE(7305)] = 311283,
  [SMALL_STATE(7306)] = 311354,
  [SMALL_STATE(7307)] = 311425,
  [SMALL_STATE(7308)] = 311496,
  [SMALL_STATE(7309)] = 311567,
  [SMALL_STATE(7310)] = 311638,
  [SMALL_STATE(7311)] = 311709,
  [SMALL_STATE(7312)] = 311780,
  [SMALL_STATE(7313)] = 311851,
  [SMALL_STATE(7314)] = 311922,
  [SMALL_STATE(7315)] = 311993,
  [SMALL_STATE(7316)] = 312064,
  [SMALL_STATE(7317)] = 312135,
  [SMALL_STATE(7318)] = 312206,
  [SMALL_STATE(7319)] = 312277,
  [SMALL_STATE(7320)] = 312348,
  [SMALL_STATE(7321)] = 312419,
  [SMALL_STATE(7322)] = 312490,
  [SMALL_STATE(7323)] = 312561,
  [SMALL_STATE(7324)] = 312632,
  [SMALL_STATE(7325)] = 312703,
  [SMALL_STATE(7326)] = 312774,
  [SMALL_STATE(7327)] = 312845,
  [SMALL_STATE(7328)] = 312916,
  [SMALL_STATE(7329)] = 312987,
  [SMALL_STATE(7330)] = 313058,
  [SMALL_STATE(7331)] = 313129,
  [SMALL_STATE(7332)] = 313200,
  [SMALL_STATE(7333)] = 313271,
  [SMALL_STATE(7334)] = 313342,
  [SMALL_STATE(7335)] = 313413,
  [SMALL_STATE(7336)] = 313484,
  [SMALL_STATE(7337)] = 313555,
  [SMALL_STATE(7338)] = 313626,
  [SMALL_STATE(7339)] = 313697,
  [SMALL_STATE(7340)] = 313768,
  [SMALL_STATE(7341)] = 313839,
  [SMALL_STATE(7342)] = 313910,
  [SMALL_STATE(7343)] = 313981,
  [SMALL_STATE(7344)] = 314052,
  [SMALL_STATE(7345)] = 314123,
  [SMALL_STATE(7346)] = 314194,
  [SMALL_STATE(7347)] = 314265,
  [SMALL_STATE(7348)] = 314336,
  [SMALL_STATE(7349)] = 314407,
  [SMALL_STATE(7350)] = 314478,
  [SMALL_STATE(7351)] = 314549,
  [SMALL_STATE(7352)] = 314620,
  [SMALL_STATE(7353)] = 314691,
  [SMALL_STATE(7354)] = 314762,
  [SMALL_STATE(7355)] = 314833,
  [SMALL_STATE(7356)] = 314904,
  [SMALL_STATE(7357)] = 314975,
  [SMALL_STATE(7358)] = 315046,
  [SMALL_STATE(7359)] = 315117,
  [SMALL_STATE(7360)] = 315188,
  [SMALL_STATE(7361)] = 315259,
  [SMALL_STATE(7362)] = 315330,
  [SMALL_STATE(7363)] = 315401,
  [SMALL_STATE(7364)] = 315472,
  [SMALL_STATE(7365)] = 315543,
  [SMALL_STATE(7366)] = 315614,
  [SMALL_STATE(7367)] = 315685,
  [SMALL_STATE(7368)] = 315756,
  [SMALL_STATE(7369)] = 315827,
  [SMALL_STATE(7370)] = 315898,
  [SMALL_STATE(7371)] = 315969,
  [SMALL_STATE(7372)] = 316040,
  [SMALL_STATE(7373)] = 316111,
  [SMALL_STATE(7374)] = 316182,
  [SMALL_STATE(7375)] = 316253,
  [SMALL_STATE(7376)] = 316324,
  [SMALL_STATE(7377)] = 316395,
  [SMALL_STATE(7378)] = 316466,
  [SMALL_STATE(7379)] = 316537,
  [SMALL_STATE(7380)] = 316608,
  [SMALL_STATE(7381)] = 316679,
  [SMALL_STATE(7382)] = 316750,
  [SMALL_STATE(7383)] = 316821,
  [SMALL_STATE(7384)] = 316892,
  [SMALL_STATE(7385)] = 316963,
  [SMALL_STATE(7386)] = 317034,
  [SMALL_STATE(7387)] = 317105,
  [SMALL_STATE(7388)] = 317176,
  [SMALL_STATE(7389)] = 317247,
  [SMALL_STATE(7390)] = 317318,
  [SMALL_STATE(7391)] = 317389,
  [SMALL_STATE(7392)] = 317460,
  [SMALL_STATE(7393)] = 317528,
  [SMALL_STATE(7394)] = 317596,
  [SMALL_STATE(7395)] = 317664,
  [SMALL_STATE(7396)] = 317732,
  [SMALL_STATE(7397)] = 317800,
  [SMALL_STATE(7398)] = 317868,
  [SMALL_STATE(7399)] = 317933,
  [SMALL_STATE(7400)] = 317998,
  [SMALL_STATE(7401)] = 318063,
  [SMALL_STATE(7402)] = 318128,
  [SMALL_STATE(7403)] = 318191,
  [SMALL_STATE(7404)] = 318256,
  [SMALL_STATE(7405)] = 318321,
  [SMALL_STATE(7406)] = 318403,
  [SMALL_STATE(7407)] = 318485,
  [SMALL_STATE(7408)] = 318567,
  [SMALL_STATE(7409)] = 318649,
  [SMALL_STATE(7410)] = 318731,
  [SMALL_STATE(7411)] = 318813,
  [SMALL_STATE(7412)] = 318895,
  [SMALL_STATE(7413)] = 318977,
  [SMALL_STATE(7414)] = 319059,
  [SMALL_STATE(7415)] = 319141,
  [SMALL_STATE(7416)] = 319223,
  [SMALL_STATE(7417)] = 319305,
  [SMALL_STATE(7418)] = 319387,
  [SMALL_STATE(7419)] = 319469,
  [SMALL_STATE(7420)] = 319551,
  [SMALL_STATE(7421)] = 319633,
  [SMALL_STATE(7422)] = 319715,
  [SMALL_STATE(7423)] = 319797,
  [SMALL_STATE(7424)] = 319879,
  [SMALL_STATE(7425)] = 319961,
  [SMALL_STATE(7426)] = 320043,
  [SMALL_STATE(7427)] = 320125,
  [SMALL_STATE(7428)] = 320207,
  [SMALL_STATE(7429)] = 320289,
  [SMALL_STATE(7430)] = 320371,
  [SMALL_STATE(7431)] = 320453,
  [SMALL_STATE(7432)] = 320535,
  [SMALL_STATE(7433)] = 320617,
  [SMALL_STATE(7434)] = 320699,
  [SMALL_STATE(7435)] = 320781,
  [SMALL_STATE(7436)] = 320863,
  [SMALL_STATE(7437)] = 320945,
  [SMALL_STATE(7438)] = 321027,
  [SMALL_STATE(7439)] = 321109,
  [SMALL_STATE(7440)] = 321191,
  [SMALL_STATE(7441)] = 321273,
  [SMALL_STATE(7442)] = 321352,
  [SMALL_STATE(7443)] = 321431,
  [SMALL_STATE(7444)] = 321510,
  [SMALL_STATE(7445)] = 321589,
  [SMALL_STATE(7446)] = 321668,
  [SMALL_STATE(7447)] = 321747,
  [SMALL_STATE(7448)] = 321826,
  [SMALL_STATE(7449)] = 321905,
  [SMALL_STATE(7450)] = 321984,
  [SMALL_STATE(7451)] = 322063,
  [SMALL_STATE(7452)] = 322142,
  [SMALL_STATE(7453)] = 322221,
  [SMALL_STATE(7454)] = 322300,
  [SMALL_STATE(7455)] = 322379,
  [SMALL_STATE(7456)] = 322458,
  [SMALL_STATE(7457)] = 322537,
  [SMALL_STATE(7458)] = 322616,
  [SMALL_STATE(7459)] = 322695,
  [SMALL_STATE(7460)] = 322774,
  [SMALL_STATE(7461)] = 322853,
  [SMALL_STATE(7462)] = 322932,
  [SMALL_STATE(7463)] = 323011,
  [SMALL_STATE(7464)] = 323090,
  [SMALL_STATE(7465)] = 323169,
  [SMALL_STATE(7466)] = 323248,
  [SMALL_STATE(7467)] = 323327,
  [SMALL_STATE(7468)] = 323406,
  [SMALL_STATE(7469)] = 323485,
  [SMALL_STATE(7470)] = 323564,
  [SMALL_STATE(7471)] = 323643,
  [SMALL_STATE(7472)] = 323722,
  [SMALL_STATE(7473)] = 323801,
  [SMALL_STATE(7474)] = 323880,
  [SMALL_STATE(7475)] = 323959,
  [SMALL_STATE(7476)] = 324038,
  [SMALL_STATE(7477)] = 324117,
  [SMALL_STATE(7478)] = 324196,
  [SMALL_STATE(7479)] = 324275,
  [SMALL_STATE(7480)] = 324354,
  [SMALL_STATE(7481)] = 324433,
  [SMALL_STATE(7482)] = 324512,
  [SMALL_STATE(7483)] = 324591,
  [SMALL_STATE(7484)] = 324670,
  [SMALL_STATE(7485)] = 324749,
  [SMALL_STATE(7486)] = 324828,
  [SMALL_STATE(7487)] = 324907,
  [SMALL_STATE(7488)] = 324986,
  [SMALL_STATE(7489)] = 325065,
  [SMALL_STATE(7490)] = 325144,
  [SMALL_STATE(7491)] = 325223,
  [SMALL_STATE(7492)] = 325302,
  [SMALL_STATE(7493)] = 325381,
  [SMALL_STATE(7494)] = 325460,
  [SMALL_STATE(7495)] = 325539,
  [SMALL_STATE(7496)] = 325618,
  [SMALL_STATE(7497)] = 325697,
  [SMALL_STATE(7498)] = 325776,
  [SMALL_STATE(7499)] = 325855,
  [SMALL_STATE(7500)] = 325934,
  [SMALL_STATE(7501)] = 326013,
  [SMALL_STATE(7502)] = 326097,
  [SMALL_STATE(7503)] = 326181,
  [SMALL_STATE(7504)] = 326265,
  [SMALL_STATE(7505)] = 326333,
  [SMALL_STATE(7506)] = 326407,
  [SMALL_STATE(7507)] = 326481,
  [SMALL_STATE(7508)] = 326555,
  [SMALL_STATE(7509)] = 326629,
  [SMALL_STATE(7510)] = 326703,
  [SMALL_STATE(7511)] = 326777,
  [SMALL_STATE(7512)] = 326851,
  [SMALL_STATE(7513)] = 326925,
  [SMALL_STATE(7514)] = 326999,
  [SMALL_STATE(7515)] = 327073,
  [SMALL_STATE(7516)] = 327147,
  [SMALL_STATE(7517)] = 327221,
  [SMALL_STATE(7518)] = 327292,
  [SMALL_STATE(7519)] = 327363,
  [SMALL_STATE(7520)] = 327434,
  [SMALL_STATE(7521)] = 327505,
  [SMALL_STATE(7522)] = 327576,
  [SMALL_STATE(7523)] = 327647,
  [SMALL_STATE(7524)] = 327718,
  [SMALL_STATE(7525)] = 327789,
  [SMALL_STATE(7526)] = 327860,
  [SMALL_STATE(7527)] = 327931,
  [SMALL_STATE(7528)] = 327984,
  [SMALL_STATE(7529)] = 328055,
  [SMALL_STATE(7530)] = 328126,
  [SMALL_STATE(7531)] = 328197,
  [SMALL_STATE(7532)] = 328268,
  [SMALL_STATE(7533)] = 328339,
  [SMALL_STATE(7534)] = 328410,
  [SMALL_STATE(7535)] = 328481,
  [SMALL_STATE(7536)] = 328552,
  [SMALL_STATE(7537)] = 328623,
  [SMALL_STATE(7538)] = 328694,
  [SMALL_STATE(7539)] = 328765,
  [SMALL_STATE(7540)] = 328836,
  [SMALL_STATE(7541)] = 328907,
  [SMALL_STATE(7542)] = 328978,
  [SMALL_STATE(7543)] = 329046,
  [SMALL_STATE(7544)] = 329114,
  [SMALL_STATE(7545)] = 329182,
  [SMALL_STATE(7546)] = 329250,
  [SMALL_STATE(7547)] = 329318,
  [SMALL_STATE(7548)] = 329386,
  [SMALL_STATE(7549)] = 329452,
  [SMALL_STATE(7550)] = 329520,
  [SMALL_STATE(7551)] = 329588,
  [SMALL_STATE(7552)] = 329656,
  [SMALL_STATE(7553)] = 329722,
  [SMALL_STATE(7554)] = 329790,
  [SMALL_STATE(7555)] = 329858,
  [SMALL_STATE(7556)] = 329924,
  [SMALL_STATE(7557)] = 329990,
  [SMALL_STATE(7558)] = 330058,
  [SMALL_STATE(7559)] = 330123,
  [SMALL_STATE(7560)] = 330188,
  [SMALL_STATE(7561)] = 330251,
  [SMALL_STATE(7562)] = 330316,
  [SMALL_STATE(7563)] = 330381,
  [SMALL_STATE(7564)] = 330446,
  [SMALL_STATE(7565)] = 330511,
  [SMALL_STATE(7566)] = 330576,
  [SMALL_STATE(7567)] = 330641,
  [SMALL_STATE(7568)] = 330706,
  [SMALL_STATE(7569)] = 330771,
  [SMALL_STATE(7570)] = 330836,
  [SMALL_STATE(7571)] = 330901,
  [SMALL_STATE(7572)] = 330966,
  [SMALL_STATE(7573)] = 331019,
  [SMALL_STATE(7574)] = 331084,
  [SMALL_STATE(7575)] = 331149,
  [SMALL_STATE(7576)] = 331214,
  [SMALL_STATE(7577)] = 331279,
  [SMALL_STATE(7578)] = 331344,
  [SMALL_STATE(7579)] = 331409,
  [SMALL_STATE(7580)] = 331474,
  [SMALL_STATE(7581)] = 331539,
  [SMALL_STATE(7582)] = 331604,
  [SMALL_STATE(7583)] = 331669,
  [SMALL_STATE(7584)] = 331734,
  [SMALL_STATE(7585)] = 331799,
  [SMALL_STATE(7586)] = 331864,
  [SMALL_STATE(7587)] = 331929,
  [SMALL_STATE(7588)] = 331994,
  [SMALL_STATE(7589)] = 332059,
  [SMALL_STATE(7590)] = 332124,
  [SMALL_STATE(7591)] = 332189,
  [SMALL_STATE(7592)] = 332254,
  [SMALL_STATE(7593)] = 332319,
  [SMALL_STATE(7594)] = 332384,
  [SMALL_STATE(7595)] = 332447,
  [SMALL_STATE(7596)] = 332512,
  [SMALL_STATE(7597)] = 332577,
  [SMALL_STATE(7598)] = 332642,
  [SMALL_STATE(7599)] = 332707,
  [SMALL_STATE(7600)] = 332764,
  [SMALL_STATE(7601)] = 332829,
  [SMALL_STATE(7602)] = 332894,
  [SMALL_STATE(7603)] = 332959,
  [SMALL_STATE(7604)] = 333022,
  [SMALL_STATE(7605)] = 333087,
  [SMALL_STATE(7606)] = 333152,
  [SMALL_STATE(7607)] = 333217,
  [SMALL_STATE(7608)] = 333282,
  [SMALL_STATE(7609)] = 333347,
  [SMALL_STATE(7610)] = 333412,
  [SMALL_STATE(7611)] = 333477,
  [SMALL_STATE(7612)] = 333542,
  [SMALL_STATE(7613)] = 333607,
  [SMALL_STATE(7614)] = 333672,
  [SMALL_STATE(7615)] = 333737,
  [SMALL_STATE(7616)] = 333802,
  [SMALL_STATE(7617)] = 333867,
  [SMALL_STATE(7618)] = 333932,
  [SMALL_STATE(7619)] = 333997,
  [SMALL_STATE(7620)] = 334062,
  [SMALL_STATE(7621)] = 334127,
  [SMALL_STATE(7622)] = 334192,
  [SMALL_STATE(7623)] = 334245,
  [SMALL_STATE(7624)] = 334310,
  [SMALL_STATE(7625)] = 334375,
  [SMALL_STATE(7626)] = 334440,
  [SMALL_STATE(7627)] = 334505,
  [SMALL_STATE(7628)] = 334558,
  [SMALL_STATE(7629)] = 334623,
  [SMALL_STATE(7630)] = 334688,
  [SMALL_STATE(7631)] = 334753,
  [SMALL_STATE(7632)] = 334818,
  [SMALL_STATE(7633)] = 334883,
  [SMALL_STATE(7634)] = 334948,
  [SMALL_STATE(7635)] = 335013,
  [SMALL_STATE(7636)] = 335078,
  [SMALL_STATE(7637)] = 335143,
  [SMALL_STATE(7638)] = 335194,
  [SMALL_STATE(7639)] = 335259,
  [SMALL_STATE(7640)] = 335324,
  [SMALL_STATE(7641)] = 335389,
  [SMALL_STATE(7642)] = 335454,
  [SMALL_STATE(7643)] = 335519,
  [SMALL_STATE(7644)] = 335584,
  [SMALL_STATE(7645)] = 335649,
  [SMALL_STATE(7646)] = 335714,
  [SMALL_STATE(7647)] = 335779,
  [SMALL_STATE(7648)] = 335844,
  [SMALL_STATE(7649)] = 335909,
  [SMALL_STATE(7650)] = 335974,
  [SMALL_STATE(7651)] = 336039,
  [SMALL_STATE(7652)] = 336104,
  [SMALL_STATE(7653)] = 336169,
  [SMALL_STATE(7654)] = 336234,
  [SMALL_STATE(7655)] = 336299,
  [SMALL_STATE(7656)] = 336364,
  [SMALL_STATE(7657)] = 336429,
  [SMALL_STATE(7658)] = 336494,
  [SMALL_STATE(7659)] = 336559,
  [SMALL_STATE(7660)] = 336624,
  [SMALL_STATE(7661)] = 336689,
  [SMALL_STATE(7662)] = 336754,
  [SMALL_STATE(7663)] = 336819,
  [SMALL_STATE(7664)] = 336884,
  [SMALL_STATE(7665)] = 336949,
  [SMALL_STATE(7666)] = 337014,
  [SMALL_STATE(7667)] = 337077,
  [SMALL_STATE(7668)] = 337142,
  [SMALL_STATE(7669)] = 337207,
  [SMALL_STATE(7670)] = 337269,
  [SMALL_STATE(7671)] = 337317,
  [SMALL_STATE(7672)] = 337379,
  [SMALL_STATE(7673)] = 337441,
  [SMALL_STATE(7674)] = 337503,
  [SMALL_STATE(7675)] = 337565,
  [SMALL_STATE(7676)] = 337627,
  [SMALL_STATE(7677)] = 337689,
  [SMALL_STATE(7678)] = 337751,
  [SMALL_STATE(7679)] = 337813,
  [SMALL_STATE(7680)] = 337875,
  [SMALL_STATE(7681)] = 337923,
  [SMALL_STATE(7682)] = 337985,
  [SMALL_STATE(7683)] = 338047,
  [SMALL_STATE(7684)] = 338109,
  [SMALL_STATE(7685)] = 338171,
  [SMALL_STATE(7686)] = 338233,
  [SMALL_STATE(7687)] = 338295,
  [SMALL_STATE(7688)] = 338353,
  [SMALL_STATE(7689)] = 338415,
  [SMALL_STATE(7690)] = 338477,
  [SMALL_STATE(7691)] = 338539,
  [SMALL_STATE(7692)] = 338601,
  [SMALL_STATE(7693)] = 338663,
  [SMALL_STATE(7694)] = 338725,
  [SMALL_STATE(7695)] = 338787,
  [SMALL_STATE(7696)] = 338849,
  [SMALL_STATE(7697)] = 338911,
  [SMALL_STATE(7698)] = 338973,
  [SMALL_STATE(7699)] = 339035,
  [SMALL_STATE(7700)] = 339097,
  [SMALL_STATE(7701)] = 339159,
  [SMALL_STATE(7702)] = 339221,
  [SMALL_STATE(7703)] = 339280,
  [SMALL_STATE(7704)] = 339339,
  [SMALL_STATE(7705)] = 339396,
  [SMALL_STATE(7706)] = 339455,
  [SMALL_STATE(7707)] = 339514,
  [SMALL_STATE(7708)] = 339573,
  [SMALL_STATE(7709)] = 339630,
  [SMALL_STATE(7710)] = 339689,
  [SMALL_STATE(7711)] = 339748,
  [SMALL_STATE(7712)] = 339807,
  [SMALL_STATE(7713)] = 339866,
  [SMALL_STATE(7714)] = 339925,
  [SMALL_STATE(7715)] = 339984,
  [SMALL_STATE(7716)] = 340043,
  [SMALL_STATE(7717)] = 340098,
  [SMALL_STATE(7718)] = 340145,
  [SMALL_STATE(7719)] = 340204,
  [SMALL_STATE(7720)] = 340263,
  [SMALL_STATE(7721)] = 340322,
  [SMALL_STATE(7722)] = 340381,
  [SMALL_STATE(7723)] = 340438,
  [SMALL_STATE(7724)] = 340497,
  [SMALL_STATE(7725)] = 340544,
  [SMALL_STATE(7726)] = 340603,
  [SMALL_STATE(7727)] = 340662,
  [SMALL_STATE(7728)] = 340719,
  [SMALL_STATE(7729)] = 340776,
  [SMALL_STATE(7730)] = 340835,
  [SMALL_STATE(7731)] = 340894,
  [SMALL_STATE(7732)] = 340953,
  [SMALL_STATE(7733)] = 341012,
  [SMALL_STATE(7734)] = 341071,
  [SMALL_STATE(7735)] = 341130,
  [SMALL_STATE(7736)] = 341189,
  [SMALL_STATE(7737)] = 341236,
  [SMALL_STATE(7738)] = 341295,
  [SMALL_STATE(7739)] = 341354,
  [SMALL_STATE(7740)] = 341413,
  [SMALL_STATE(7741)] = 341472,
  [SMALL_STATE(7742)] = 341531,
  [SMALL_STATE(7743)] = 341588,
  [SMALL_STATE(7744)] = 341645,
  [SMALL_STATE(7745)] = 341702,
  [SMALL_STATE(7746)] = 341761,
  [SMALL_STATE(7747)] = 341818,
  [SMALL_STATE(7748)] = 341877,
  [SMALL_STATE(7749)] = 341936,
  [SMALL_STATE(7750)] = 341995,
  [SMALL_STATE(7751)] = 342054,
  [SMALL_STATE(7752)] = 342113,
  [SMALL_STATE(7753)] = 342172,
  [SMALL_STATE(7754)] = 342231,
  [SMALL_STATE(7755)] = 342288,
  [SMALL_STATE(7756)] = 342347,
  [SMALL_STATE(7757)] = 342404,
  [SMALL_STATE(7758)] = 342463,
  [SMALL_STATE(7759)] = 342522,
  [SMALL_STATE(7760)] = 342581,
  [SMALL_STATE(7761)] = 342640,
  [SMALL_STATE(7762)] = 342699,
  [SMALL_STATE(7763)] = 342758,
  [SMALL_STATE(7764)] = 342817,
  [SMALL_STATE(7765)] = 342876,
  [SMALL_STATE(7766)] = 342933,
  [SMALL_STATE(7767)] = 342992,
  [SMALL_STATE(7768)] = 343039,
  [SMALL_STATE(7769)] = 343098,
  [SMALL_STATE(7770)] = 343157,
  [SMALL_STATE(7771)] = 343213,
  [SMALL_STATE(7772)] = 343269,
  [SMALL_STATE(7773)] = 343325,
  [SMALL_STATE(7774)] = 343379,
  [SMALL_STATE(7775)] = 343435,
  [SMALL_STATE(7776)] = 343491,
  [SMALL_STATE(7777)] = 343545,
  [SMALL_STATE(7778)] = 343601,
  [SMALL_STATE(7779)] = 343657,
  [SMALL_STATE(7780)] = 343713,
  [SMALL_STATE(7781)] = 343769,
  [SMALL_STATE(7782)] = 343825,
  [SMALL_STATE(7783)] = 343881,
  [SMALL_STATE(7784)] = 343937,
  [SMALL_STATE(7785)] = 343993,
  [SMALL_STATE(7786)] = 344049,
  [SMALL_STATE(7787)] = 344105,
  [SMALL_STATE(7788)] = 344161,
  [SMALL_STATE(7789)] = 344217,
  [SMALL_STATE(7790)] = 344273,
  [SMALL_STATE(7791)] = 344329,
  [SMALL_STATE(7792)] = 344385,
  [SMALL_STATE(7793)] = 344441,
  [SMALL_STATE(7794)] = 344497,
  [SMALL_STATE(7795)] = 344553,
  [SMALL_STATE(7796)] = 344609,
  [SMALL_STATE(7797)] = 344665,
  [SMALL_STATE(7798)] = 344721,
  [SMALL_STATE(7799)] = 344777,
  [SMALL_STATE(7800)] = 344833,
  [SMALL_STATE(7801)] = 344889,
  [SMALL_STATE(7802)] = 344945,
  [SMALL_STATE(7803)] = 345001,
  [SMALL_STATE(7804)] = 345057,
  [SMALL_STATE(7805)] = 345113,
  [SMALL_STATE(7806)] = 345169,
  [SMALL_STATE(7807)] = 345225,
  [SMALL_STATE(7808)] = 345281,
  [SMALL_STATE(7809)] = 345331,
  [SMALL_STATE(7810)] = 345387,
  [SMALL_STATE(7811)] = 345443,
  [SMALL_STATE(7812)] = 345499,
  [SMALL_STATE(7813)] = 345555,
  [SMALL_STATE(7814)] = 345611,
  [SMALL_STATE(7815)] = 345667,
  [SMALL_STATE(7816)] = 345715,
  [SMALL_STATE(7817)] = 345771,
  [SMALL_STATE(7818)] = 345827,
  [SMALL_STATE(7819)] = 345883,
  [SMALL_STATE(7820)] = 345931,
  [SMALL_STATE(7821)] = 345987,
  [SMALL_STATE(7822)] = 346039,
  [SMALL_STATE(7823)] = 346095,
  [SMALL_STATE(7824)] = 346151,
  [SMALL_STATE(7825)] = 346207,
  [SMALL_STATE(7826)] = 346263,
  [SMALL_STATE(7827)] = 346319,
  [SMALL_STATE(7828)] = 346375,
  [SMALL_STATE(7829)] = 346431,
  [SMALL_STATE(7830)] = 346479,
  [SMALL_STATE(7831)] = 346535,
  [SMALL_STATE(7832)] = 346591,
  [SMALL_STATE(7833)] = 346637,
  [SMALL_STATE(7834)] = 346683,
  [SMALL_STATE(7835)] = 346739,
  [SMALL_STATE(7836)] = 346795,
  [SMALL_STATE(7837)] = 346851,
  [SMALL_STATE(7838)] = 346907,
  [SMALL_STATE(7839)] = 346957,
  [SMALL_STATE(7840)] = 347013,
  [SMALL_STATE(7841)] = 347069,
  [SMALL_STATE(7842)] = 347125,
  [SMALL_STATE(7843)] = 347181,
  [SMALL_STATE(7844)] = 347237,
  [SMALL_STATE(7845)] = 347293,
  [SMALL_STATE(7846)] = 347349,
  [SMALL_STATE(7847)] = 347405,
  [SMALL_STATE(7848)] = 347461,
  [SMALL_STATE(7849)] = 347517,
  [SMALL_STATE(7850)] = 347573,
  [SMALL_STATE(7851)] = 347629,
  [SMALL_STATE(7852)] = 347685,
  [SMALL_STATE(7853)] = 347741,
  [SMALL_STATE(7854)] = 347797,
  [SMALL_STATE(7855)] = 347853,
  [SMALL_STATE(7856)] = 347909,
  [SMALL_STATE(7857)] = 347965,
  [SMALL_STATE(7858)] = 348021,
  [SMALL_STATE(7859)] = 348077,
  [SMALL_STATE(7860)] = 348133,
  [SMALL_STATE(7861)] = 348189,
  [SMALL_STATE(7862)] = 348245,
  [SMALL_STATE(7863)] = 348301,
  [SMALL_STATE(7864)] = 348357,
  [SMALL_STATE(7865)] = 348413,
  [SMALL_STATE(7866)] = 348469,
  [SMALL_STATE(7867)] = 348525,
  [SMALL_STATE(7868)] = 348581,
  [SMALL_STATE(7869)] = 348637,
  [SMALL_STATE(7870)] = 348693,
  [SMALL_STATE(7871)] = 348749,
  [SMALL_STATE(7872)] = 348803,
  [SMALL_STATE(7873)] = 348859,
  [SMALL_STATE(7874)] = 348905,
  [SMALL_STATE(7875)] = 348951,
  [SMALL_STATE(7876)] = 349007,
  [SMALL_STATE(7877)] = 349063,
  [SMALL_STATE(7878)] = 349119,
  [SMALL_STATE(7879)] = 349175,
  [SMALL_STATE(7880)] = 349231,
  [SMALL_STATE(7881)] = 349287,
  [SMALL_STATE(7882)] = 349343,
  [SMALL_STATE(7883)] = 349399,
  [SMALL_STATE(7884)] = 349455,
  [SMALL_STATE(7885)] = 349511,
  [SMALL_STATE(7886)] = 349561,
  [SMALL_STATE(7887)] = 349617,
  [SMALL_STATE(7888)] = 349673,
  [SMALL_STATE(7889)] = 349729,
  [SMALL_STATE(7890)] = 349785,
  [SMALL_STATE(7891)] = 349839,
  [SMALL_STATE(7892)] = 349895,
  [SMALL_STATE(7893)] = 349951,
  [SMALL_STATE(7894)] = 350007,
  [SMALL_STATE(7895)] = 350061,
  [SMALL_STATE(7896)] = 350117,
  [SMALL_STATE(7897)] = 350173,
  [SMALL_STATE(7898)] = 350229,
  [SMALL_STATE(7899)] = 350285,
  [SMALL_STATE(7900)] = 350341,
  [SMALL_STATE(7901)] = 350397,
  [SMALL_STATE(7902)] = 350453,
  [SMALL_STATE(7903)] = 350509,
  [SMALL_STATE(7904)] = 350557,
  [SMALL_STATE(7905)] = 350607,
  [SMALL_STATE(7906)] = 350663,
  [SMALL_STATE(7907)] = 350719,
  [SMALL_STATE(7908)] = 350775,
  [SMALL_STATE(7909)] = 350831,
  [SMALL_STATE(7910)] = 350881,
  [SMALL_STATE(7911)] = 350935,
  [SMALL_STATE(7912)] = 350991,
  [SMALL_STATE(7913)] = 351047,
  [SMALL_STATE(7914)] = 351103,
  [SMALL_STATE(7915)] = 351159,
  [SMALL_STATE(7916)] = 351213,
  [SMALL_STATE(7917)] = 351267,
  [SMALL_STATE(7918)] = 351323,
  [SMALL_STATE(7919)] = 351379,
  [SMALL_STATE(7920)] = 351435,
  [SMALL_STATE(7921)] = 351487,
  [SMALL_STATE(7922)] = 351543,
  [SMALL_STATE(7923)] = 351599,
  [SMALL_STATE(7924)] = 351653,
  [SMALL_STATE(7925)] = 351707,
  [SMALL_STATE(7926)] = 351763,
  [SMALL_STATE(7927)] = 351817,
  [SMALL_STATE(7928)] = 351871,
  [SMALL_STATE(7929)] = 351925,
  [SMALL_STATE(7930)] = 351981,
  [SMALL_STATE(7931)] = 352037,
  [SMALL_STATE(7932)] = 352093,
  [SMALL_STATE(7933)] = 352149,
  [SMALL_STATE(7934)] = 352205,
  [SMALL_STATE(7935)] = 352261,
  [SMALL_STATE(7936)] = 352317,
  [SMALL_STATE(7937)] = 352373,
  [SMALL_STATE(7938)] = 352429,
  [SMALL_STATE(7939)] = 352485,
  [SMALL_STATE(7940)] = 352541,
  [SMALL_STATE(7941)] = 352597,
  [SMALL_STATE(7942)] = 352653,
  [SMALL_STATE(7943)] = 352706,
  [SMALL_STATE(7944)] = 352759,
  [SMALL_STATE(7945)] = 352808,
  [SMALL_STATE(7946)] = 352861,
  [SMALL_STATE(7947)] = 352914,
  [SMALL_STATE(7948)] = 352967,
  [SMALL_STATE(7949)] = 353020,
  [SMALL_STATE(7950)] = 353071,
  [SMALL_STATE(7951)] = 353124,
  [SMALL_STATE(7952)] = 353177,
  [SMALL_STATE(7953)] = 353230,
  [SMALL_STATE(7954)] = 353283,
  [SMALL_STATE(7955)] = 353336,
  [SMALL_STATE(7956)] = 353389,
  [SMALL_STATE(7957)] = 353442,
  [SMALL_STATE(7958)] = 353495,
  [SMALL_STATE(7959)] = 353548,
  [SMALL_STATE(7960)] = 353601,
  [SMALL_STATE(7961)] = 353654,
  [SMALL_STATE(7962)] = 353699,
  [SMALL_STATE(7963)] = 353752,
  [SMALL_STATE(7964)] = 353805,
  [SMALL_STATE(7965)] = 353858,
  [SMALL_STATE(7966)] = 353911,
  [SMALL_STATE(7967)] = 353964,
  [SMALL_STATE(7968)] = 354011,
  [SMALL_STATE(7969)] = 354056,
  [SMALL_STATE(7970)] = 354101,
  [SMALL_STATE(7971)] = 354154,
  [SMALL_STATE(7972)] = 354207,
  [SMALL_STATE(7973)] = 354260,
  [SMALL_STATE(7974)] = 354311,
  [SMALL_STATE(7975)] = 354364,
  [SMALL_STATE(7976)] = 354417,
  [SMALL_STATE(7977)] = 354470,
  [SMALL_STATE(7978)] = 354521,
  [SMALL_STATE(7979)] = 354574,
  [SMALL_STATE(7980)] = 354623,
  [SMALL_STATE(7981)] = 354676,
  [SMALL_STATE(7982)] = 354727,
  [SMALL_STATE(7983)] = 354778,
  [SMALL_STATE(7984)] = 354827,
  [SMALL_STATE(7985)] = 354880,
  [SMALL_STATE(7986)] = 354933,
  [SMALL_STATE(7987)] = 354984,
  [SMALL_STATE(7988)] = 355037,
  [SMALL_STATE(7989)] = 355088,
  [SMALL_STATE(7990)] = 355141,
  [SMALL_STATE(7991)] = 355188,
  [SMALL_STATE(7992)] = 355241,
  [SMALL_STATE(7993)] = 355292,
  [SMALL_STATE(7994)] = 355345,
  [SMALL_STATE(7995)] = 355398,
  [SMALL_STATE(7996)] = 355451,
  [SMALL_STATE(7997)] = 355504,
  [SMALL_STATE(7998)] = 355557,
  [SMALL_STATE(7999)] = 355610,
  [SMALL_STATE(8000)] = 355663,
  [SMALL_STATE(8001)] = 355716,
  [SMALL_STATE(8002)] = 355769,
  [SMALL_STATE(8003)] = 355822,
  [SMALL_STATE(8004)] = 355875,
  [SMALL_STATE(8005)] = 355928,
  [SMALL_STATE(8006)] = 355981,
  [SMALL_STATE(8007)] = 356034,
  [SMALL_STATE(8008)] = 356087,
  [SMALL_STATE(8009)] = 356140,
  [SMALL_STATE(8010)] = 356193,
  [SMALL_STATE(8011)] = 356246,
  [SMALL_STATE(8012)] = 356299,
  [SMALL_STATE(8013)] = 356352,
  [SMALL_STATE(8014)] = 356405,
  [SMALL_STATE(8015)] = 356458,
  [SMALL_STATE(8016)] = 356509,
  [SMALL_STATE(8017)] = 356562,
  [SMALL_STATE(8018)] = 356615,
  [SMALL_STATE(8019)] = 356668,
  [SMALL_STATE(8020)] = 356721,
  [SMALL_STATE(8021)] = 356774,
  [SMALL_STATE(8022)] = 356827,
  [SMALL_STATE(8023)] = 356880,
  [SMALL_STATE(8024)] = 356933,
  [SMALL_STATE(8025)] = 356986,
  [SMALL_STATE(8026)] = 357039,
  [SMALL_STATE(8027)] = 357092,
  [SMALL_STATE(8028)] = 357145,
  [SMALL_STATE(8029)] = 357198,
  [SMALL_STATE(8030)] = 357251,
  [SMALL_STATE(8031)] = 357304,
  [SMALL_STATE(8032)] = 357357,
  [SMALL_STATE(8033)] = 357410,
  [SMALL_STATE(8034)] = 357463,
  [SMALL_STATE(8035)] = 357516,
  [SMALL_STATE(8036)] = 357569,
  [SMALL_STATE(8037)] = 357622,
  [SMALL_STATE(8038)] = 357675,
  [SMALL_STATE(8039)] = 357728,
  [SMALL_STATE(8040)] = 357775,
  [SMALL_STATE(8041)] = 357828,
  [SMALL_STATE(8042)] = 357881,
  [SMALL_STATE(8043)] = 357934,
  [SMALL_STATE(8044)] = 357987,
  [SMALL_STATE(8045)] = 358040,
  [SMALL_STATE(8046)] = 358093,
  [SMALL_STATE(8047)] = 358146,
  [SMALL_STATE(8048)] = 358199,
  [SMALL_STATE(8049)] = 358252,
  [SMALL_STATE(8050)] = 358303,
  [SMALL_STATE(8051)] = 358356,
  [SMALL_STATE(8052)] = 358409,
  [SMALL_STATE(8053)] = 358462,
  [SMALL_STATE(8054)] = 358515,
  [SMALL_STATE(8055)] = 358568,
  [SMALL_STATE(8056)] = 358621,
  [SMALL_STATE(8057)] = 358674,
  [SMALL_STATE(8058)] = 358727,
  [SMALL_STATE(8059)] = 358780,
  [SMALL_STATE(8060)] = 358827,
  [SMALL_STATE(8061)] = 358880,
  [SMALL_STATE(8062)] = 358933,
  [SMALL_STATE(8063)] = 358984,
  [SMALL_STATE(8064)] = 359037,
  [SMALL_STATE(8065)] = 359088,
  [SMALL_STATE(8066)] = 359139,
  [SMALL_STATE(8067)] = 359192,
  [SMALL_STATE(8068)] = 359245,
  [SMALL_STATE(8069)] = 359298,
  [SMALL_STATE(8070)] = 359351,
  [SMALL_STATE(8071)] = 359404,
  [SMALL_STATE(8072)] = 359457,
  [SMALL_STATE(8073)] = 359508,
  [SMALL_STATE(8074)] = 359561,
  [SMALL_STATE(8075)] = 359614,
  [SMALL_STATE(8076)] = 359667,
  [SMALL_STATE(8077)] = 359720,
  [SMALL_STATE(8078)] = 359773,
  [SMALL_STATE(8079)] = 359826,
  [SMALL_STATE(8080)] = 359879,
  [SMALL_STATE(8081)] = 359932,
  [SMALL_STATE(8082)] = 359985,
  [SMALL_STATE(8083)] = 360038,
  [SMALL_STATE(8084)] = 360091,
  [SMALL_STATE(8085)] = 360144,
  [SMALL_STATE(8086)] = 360197,
  [SMALL_STATE(8087)] = 360250,
  [SMALL_STATE(8088)] = 360303,
  [SMALL_STATE(8089)] = 360350,
  [SMALL_STATE(8090)] = 360403,
  [SMALL_STATE(8091)] = 360452,
  [SMALL_STATE(8092)] = 360505,
  [SMALL_STATE(8093)] = 360558,
  [SMALL_STATE(8094)] = 360611,
  [SMALL_STATE(8095)] = 360662,
  [SMALL_STATE(8096)] = 360715,
  [SMALL_STATE(8097)] = 360766,
  [SMALL_STATE(8098)] = 360817,
  [SMALL_STATE(8099)] = 360868,
  [SMALL_STATE(8100)] = 360921,
  [SMALL_STATE(8101)] = 360974,
  [SMALL_STATE(8102)] = 361027,
  [SMALL_STATE(8103)] = 361080,
  [SMALL_STATE(8104)] = 361133,
  [SMALL_STATE(8105)] = 361186,
  [SMALL_STATE(8106)] = 361239,
  [SMALL_STATE(8107)] = 361292,
  [SMALL_STATE(8108)] = 361345,
  [SMALL_STATE(8109)] = 361398,
  [SMALL_STATE(8110)] = 361451,
  [SMALL_STATE(8111)] = 361504,
  [SMALL_STATE(8112)] = 361557,
  [SMALL_STATE(8113)] = 361610,
  [SMALL_STATE(8114)] = 361663,
  [SMALL_STATE(8115)] = 361716,
  [SMALL_STATE(8116)] = 361769,
  [SMALL_STATE(8117)] = 361822,
  [SMALL_STATE(8118)] = 361875,
  [SMALL_STATE(8119)] = 361922,
  [SMALL_STATE(8120)] = 361975,
  [SMALL_STATE(8121)] = 362026,
  [SMALL_STATE(8122)] = 362079,
  [SMALL_STATE(8123)] = 362132,
  [SMALL_STATE(8124)] = 362177,
  [SMALL_STATE(8125)] = 362230,
  [SMALL_STATE(8126)] = 362283,
  [SMALL_STATE(8127)] = 362336,
  [SMALL_STATE(8128)] = 362389,
  [SMALL_STATE(8129)] = 362442,
  [SMALL_STATE(8130)] = 362495,
  [SMALL_STATE(8131)] = 362548,
  [SMALL_STATE(8132)] = 362601,
  [SMALL_STATE(8133)] = 362654,
  [SMALL_STATE(8134)] = 362707,
  [SMALL_STATE(8135)] = 362760,
  [SMALL_STATE(8136)] = 362813,
  [SMALL_STATE(8137)] = 362864,
  [SMALL_STATE(8138)] = 362917,
  [SMALL_STATE(8139)] = 362970,
  [SMALL_STATE(8140)] = 363023,
  [SMALL_STATE(8141)] = 363076,
  [SMALL_STATE(8142)] = 363129,
  [SMALL_STATE(8143)] = 363182,
  [SMALL_STATE(8144)] = 363235,
  [SMALL_STATE(8145)] = 363288,
  [SMALL_STATE(8146)] = 363341,
  [SMALL_STATE(8147)] = 363394,
  [SMALL_STATE(8148)] = 363447,
  [SMALL_STATE(8149)] = 363492,
  [SMALL_STATE(8150)] = 363543,
  [SMALL_STATE(8151)] = 363596,
  [SMALL_STATE(8152)] = 363649,
  [SMALL_STATE(8153)] = 363702,
  [SMALL_STATE(8154)] = 363755,
  [SMALL_STATE(8155)] = 363808,
  [SMALL_STATE(8156)] = 363861,
  [SMALL_STATE(8157)] = 363914,
  [SMALL_STATE(8158)] = 363959,
  [SMALL_STATE(8159)] = 364012,
  [SMALL_STATE(8160)] = 364065,
  [SMALL_STATE(8161)] = 364118,
  [SMALL_STATE(8162)] = 364169,
  [SMALL_STATE(8163)] = 364222,
  [SMALL_STATE(8164)] = 364271,
  [SMALL_STATE(8165)] = 364324,
  [SMALL_STATE(8166)] = 364377,
  [SMALL_STATE(8167)] = 364430,
  [SMALL_STATE(8168)] = 364483,
  [SMALL_STATE(8169)] = 364536,
  [SMALL_STATE(8170)] = 364581,
  [SMALL_STATE(8171)] = 364634,
  [SMALL_STATE(8172)] = 364679,
  [SMALL_STATE(8173)] = 364732,
  [SMALL_STATE(8174)] = 364785,
  [SMALL_STATE(8175)] = 364838,
  [SMALL_STATE(8176)] = 364891,
  [SMALL_STATE(8177)] = 364936,
  [SMALL_STATE(8178)] = 364981,
  [SMALL_STATE(8179)] = 365032,
  [SMALL_STATE(8180)] = 365085,
  [SMALL_STATE(8181)] = 365138,
  [SMALL_STATE(8182)] = 365191,
  [SMALL_STATE(8183)] = 365244,
  [SMALL_STATE(8184)] = 365297,
  [SMALL_STATE(8185)] = 365344,
  [SMALL_STATE(8186)] = 365397,
  [SMALL_STATE(8187)] = 365450,
  [SMALL_STATE(8188)] = 365495,
  [SMALL_STATE(8189)] = 365548,
  [SMALL_STATE(8190)] = 365599,
  [SMALL_STATE(8191)] = 365652,
  [SMALL_STATE(8192)] = 365705,
  [SMALL_STATE(8193)] = 365756,
  [SMALL_STATE(8194)] = 365809,
  [SMALL_STATE(8195)] = 365862,
  [SMALL_STATE(8196)] = 365915,
  [SMALL_STATE(8197)] = 365968,
  [SMALL_STATE(8198)] = 366021,
  [SMALL_STATE(8199)] = 366072,
  [SMALL_STATE(8200)] = 366119,
  [SMALL_STATE(8201)] = 366164,
  [SMALL_STATE(8202)] = 366217,
  [SMALL_STATE(8203)] = 366266,
  [SMALL_STATE(8204)] = 366319,
  [SMALL_STATE(8205)] = 366372,
  [SMALL_STATE(8206)] = 366425,
  [SMALL_STATE(8207)] = 366476,
  [SMALL_STATE(8208)] = 366529,
  [SMALL_STATE(8209)] = 366582,
  [SMALL_STATE(8210)] = 366629,
  [SMALL_STATE(8211)] = 366676,
  [SMALL_STATE(8212)] = 366729,
  [SMALL_STATE(8213)] = 366782,
  [SMALL_STATE(8214)] = 366833,
  [SMALL_STATE(8215)] = 366878,
  [SMALL_STATE(8216)] = 366931,
  [SMALL_STATE(8217)] = 366984,
  [SMALL_STATE(8218)] = 367037,
  [SMALL_STATE(8219)] = 367090,
  [SMALL_STATE(8220)] = 367143,
  [SMALL_STATE(8221)] = 367194,
  [SMALL_STATE(8222)] = 367241,
  [SMALL_STATE(8223)] = 367286,
  [SMALL_STATE(8224)] = 367339,
  [SMALL_STATE(8225)] = 367392,
  [SMALL_STATE(8226)] = 367445,
  [SMALL_STATE(8227)] = 367498,
  [SMALL_STATE(8228)] = 367551,
  [SMALL_STATE(8229)] = 367604,
  [SMALL_STATE(8230)] = 367657,
  [SMALL_STATE(8231)] = 367710,
  [SMALL_STATE(8232)] = 367763,
  [SMALL_STATE(8233)] = 367816,
  [SMALL_STATE(8234)] = 367869,
  [SMALL_STATE(8235)] = 367922,
  [SMALL_STATE(8236)] = 367975,
  [SMALL_STATE(8237)] = 368028,
  [SMALL_STATE(8238)] = 368073,
  [SMALL_STATE(8239)] = 368118,
  [SMALL_STATE(8240)] = 368171,
  [SMALL_STATE(8241)] = 368221,
  [SMALL_STATE(8242)] = 368271,
  [SMALL_STATE(8243)] = 368321,
  [SMALL_STATE(8244)] = 368371,
  [SMALL_STATE(8245)] = 368417,
  [SMALL_STATE(8246)] = 368463,
  [SMALL_STATE(8247)] = 368513,
  [SMALL_STATE(8248)] = 368561,
  [SMALL_STATE(8249)] = 368611,
  [SMALL_STATE(8250)] = 368661,
  [SMALL_STATE(8251)] = 368711,
  [SMALL_STATE(8252)] = 368759,
  [SMALL_STATE(8253)] = 368803,
  [SMALL_STATE(8254)] = 368847,
  [SMALL_STATE(8255)] = 368893,
  [SMALL_STATE(8256)] = 368937,
  [SMALL_STATE(8257)] = 368983,
  [SMALL_STATE(8258)] = 369029,
  [SMALL_STATE(8259)] = 369079,
  [SMALL_STATE(8260)] = 369123,
  [SMALL_STATE(8261)] = 369173,
  [SMALL_STATE(8262)] = 369219,
  [SMALL_STATE(8263)] = 369269,
  [SMALL_STATE(8264)] = 369319,
  [SMALL_STATE(8265)] = 369369,
  [SMALL_STATE(8266)] = 369419,
  [SMALL_STATE(8267)] = 369469,
  [SMALL_STATE(8268)] = 369519,
  [SMALL_STATE(8269)] = 369569,
  [SMALL_STATE(8270)] = 369619,
  [SMALL_STATE(8271)] = 369669,
  [SMALL_STATE(8272)] = 369717,
  [SMALL_STATE(8273)] = 369767,
  [SMALL_STATE(8274)] = 369813,
  [SMALL_STATE(8275)] = 369857,
  [SMALL_STATE(8276)] = 369907,
  [SMALL_STATE(8277)] = 369957,
  [SMALL_STATE(8278)] = 370007,
  [SMALL_STATE(8279)] = 370057,
  [SMALL_STATE(8280)] = 370107,
  [SMALL_STATE(8281)] = 370153,
  [SMALL_STATE(8282)] = 370199,
  [SMALL_STATE(8283)] = 370249,
  [SMALL_STATE(8284)] = 370299,
  [SMALL_STATE(8285)] = 370349,
  [SMALL_STATE(8286)] = 370395,
  [SMALL_STATE(8287)] = 370445,
  [SMALL_STATE(8288)] = 370495,
  [SMALL_STATE(8289)] = 370541,
  [SMALL_STATE(8290)] = 370591,
  [SMALL_STATE(8291)] = 370641,
  [SMALL_STATE(8292)] = 370691,
  [SMALL_STATE(8293)] = 370741,
  [SMALL_STATE(8294)] = 370791,
  [SMALL_STATE(8295)] = 370841,
  [SMALL_STATE(8296)] = 370891,
  [SMALL_STATE(8297)] = 370941,
  [SMALL_STATE(8298)] = 370991,
  [SMALL_STATE(8299)] = 371041,
  [SMALL_STATE(8300)] = 371091,
  [SMALL_STATE(8301)] = 371139,
  [SMALL_STATE(8302)] = 371189,
  [SMALL_STATE(8303)] = 371239,
  [SMALL_STATE(8304)] = 371289,
  [SMALL_STATE(8305)] = 371335,
  [SMALL_STATE(8306)] = 371385,
  [SMALL_STATE(8307)] = 371433,
  [SMALL_STATE(8308)] = 371479,
  [SMALL_STATE(8309)] = 371527,
  [SMALL_STATE(8310)] = 371577,
  [SMALL_STATE(8311)] = 371627,
  [SMALL_STATE(8312)] = 371677,
  [SMALL_STATE(8313)] = 371721,
  [SMALL_STATE(8314)] = 371767,
  [SMALL_STATE(8315)] = 371811,
  [SMALL_STATE(8316)] = 371855,
  [SMALL_STATE(8317)] = 371905,
  [SMALL_STATE(8318)] = 371955,
  [SMALL_STATE(8319)] = 372001,
  [SMALL_STATE(8320)] = 372045,
  [SMALL_STATE(8321)] = 372089,
  [SMALL_STATE(8322)] = 372133,
  [SMALL_STATE(8323)] = 372177,
  [SMALL_STATE(8324)] = 372227,
  [SMALL_STATE(8325)] = 372275,
  [SMALL_STATE(8326)] = 372325,
  [SMALL_STATE(8327)] = 372375,
  [SMALL_STATE(8328)] = 372425,
  [SMALL_STATE(8329)] = 372475,
  [SMALL_STATE(8330)] = 372525,
  [SMALL_STATE(8331)] = 372575,
  [SMALL_STATE(8332)] = 372619,
  [SMALL_STATE(8333)] = 372669,
  [SMALL_STATE(8334)] = 372719,
  [SMALL_STATE(8335)] = 372769,
  [SMALL_STATE(8336)] = 372813,
  [SMALL_STATE(8337)] = 372859,
  [SMALL_STATE(8338)] = 372909,
  [SMALL_STATE(8339)] = 372959,
  [SMALL_STATE(8340)] = 373009,
  [SMALL_STATE(8341)] = 373059,
  [SMALL_STATE(8342)] = 373107,
  [SMALL_STATE(8343)] = 373157,
  [SMALL_STATE(8344)] = 373207,
  [SMALL_STATE(8345)] = 373257,
  [SMALL_STATE(8346)] = 373307,
  [SMALL_STATE(8347)] = 373357,
  [SMALL_STATE(8348)] = 373407,
  [SMALL_STATE(8349)] = 373457,
  [SMALL_STATE(8350)] = 373505,
  [SMALL_STATE(8351)] = 373553,
  [SMALL_STATE(8352)] = 373603,
  [SMALL_STATE(8353)] = 373653,
  [SMALL_STATE(8354)] = 373703,
  [SMALL_STATE(8355)] = 373753,
  [SMALL_STATE(8356)] = 373803,
  [SMALL_STATE(8357)] = 373851,
  [SMALL_STATE(8358)] = 373899,
  [SMALL_STATE(8359)] = 373949,
  [SMALL_STATE(8360)] = 373999,
  [SMALL_STATE(8361)] = 374043,
  [SMALL_STATE(8362)] = 374093,
  [SMALL_STATE(8363)] = 374143,
  [SMALL_STATE(8364)] = 374193,
  [SMALL_STATE(8365)] = 374243,
  [SMALL_STATE(8366)] = 374289,
  [SMALL_STATE(8367)] = 374339,
  [SMALL_STATE(8368)] = 374389,
  [SMALL_STATE(8369)] = 374439,
  [SMALL_STATE(8370)] = 374487,
  [SMALL_STATE(8371)] = 374531,
  [SMALL_STATE(8372)] = 374581,
  [SMALL_STATE(8373)] = 374627,
  [SMALL_STATE(8374)] = 374677,
  [SMALL_STATE(8375)] = 374727,
  [SMALL_STATE(8376)] = 374775,
  [SMALL_STATE(8377)] = 374825,
  [SMALL_STATE(8378)] = 374872,
  [SMALL_STATE(8379)] = 374919,
  [SMALL_STATE(8380)] = 374966,
  [SMALL_STATE(8381)] = 375013,
  [SMALL_STATE(8382)] = 375060,
  [SMALL_STATE(8383)] = 375107,
  [SMALL_STATE(8384)] = 375154,
  [SMALL_STATE(8385)] = 375201,
  [SMALL_STATE(8386)] = 375244,
  [SMALL_STATE(8387)] = 375291,
  [SMALL_STATE(8388)] = 375338,
  [SMALL_STATE(8389)] = 375385,
  [SMALL_STATE(8390)] = 375432,
  [SMALL_STATE(8391)] = 375479,
  [SMALL_STATE(8392)] = 375526,
  [SMALL_STATE(8393)] = 375573,
  [SMALL_STATE(8394)] = 375620,
  [SMALL_STATE(8395)] = 375665,
  [SMALL_STATE(8396)] = 375708,
  [SMALL_STATE(8397)] = 375755,
  [SMALL_STATE(8398)] = 375800,
  [SMALL_STATE(8399)] = 375847,
  [SMALL_STATE(8400)] = 375892,
  [SMALL_STATE(8401)] = 375939,
  [SMALL_STATE(8402)] = 375986,
  [SMALL_STATE(8403)] = 376033,
  [SMALL_STATE(8404)] = 376080,
  [SMALL_STATE(8405)] = 376127,
  [SMALL_STATE(8406)] = 376174,
  [SMALL_STATE(8407)] = 376221,
  [SMALL_STATE(8408)] = 376268,
  [SMALL_STATE(8409)] = 376315,
  [SMALL_STATE(8410)] = 376358,
  [SMALL_STATE(8411)] = 376405,
  [SMALL_STATE(8412)] = 376450,
  [SMALL_STATE(8413)] = 376493,
  [SMALL_STATE(8414)] = 376540,
  [SMALL_STATE(8415)] = 376585,
  [SMALL_STATE(8416)] = 376632,
  [SMALL_STATE(8417)] = 376679,
  [SMALL_STATE(8418)] = 376724,
  [SMALL_STATE(8419)] = 376771,
  [SMALL_STATE(8420)] = 376818,
  [SMALL_STATE(8421)] = 376865,
  [SMALL_STATE(8422)] = 376908,
  [SMALL_STATE(8423)] = 376955,
  [SMALL_STATE(8424)] = 377002,
  [SMALL_STATE(8425)] = 377049,
  [SMALL_STATE(8426)] = 377096,
  [SMALL_STATE(8427)] = 377143,
  [SMALL_STATE(8428)] = 377188,
  [SMALL_STATE(8429)] = 377235,
  [SMALL_STATE(8430)] = 377282,
  [SMALL_STATE(8431)] = 377329,
  [SMALL_STATE(8432)] = 377376,
  [SMALL_STATE(8433)] = 377423,
  [SMALL_STATE(8434)] = 377470,
  [SMALL_STATE(8435)] = 377517,
  [SMALL_STATE(8436)] = 377564,
  [SMALL_STATE(8437)] = 377611,
  [SMALL_STATE(8438)] = 377658,
  [SMALL_STATE(8439)] = 377705,
  [SMALL_STATE(8440)] = 377750,
  [SMALL_STATE(8441)] = 377795,
  [SMALL_STATE(8442)] = 377838,
  [SMALL_STATE(8443)] = 377885,
  [SMALL_STATE(8444)] = 377928,
  [SMALL_STATE(8445)] = 377975,
  [SMALL_STATE(8446)] = 378020,
  [SMALL_STATE(8447)] = 378067,
  [SMALL_STATE(8448)] = 378114,
  [SMALL_STATE(8449)] = 378159,
  [SMALL_STATE(8450)] = 378206,
  [SMALL_STATE(8451)] = 378253,
  [SMALL_STATE(8452)] = 378300,
  [SMALL_STATE(8453)] = 378347,
  [SMALL_STATE(8454)] = 378394,
  [SMALL_STATE(8455)] = 378441,
  [SMALL_STATE(8456)] = 378488,
  [SMALL_STATE(8457)] = 378535,
  [SMALL_STATE(8458)] = 378582,
  [SMALL_STATE(8459)] = 378625,
  [SMALL_STATE(8460)] = 378672,
  [SMALL_STATE(8461)] = 378719,
  [SMALL_STATE(8462)] = 378766,
  [SMALL_STATE(8463)] = 378813,
  [SMALL_STATE(8464)] = 378856,
  [SMALL_STATE(8465)] = 378903,
  [SMALL_STATE(8466)] = 378950,
  [SMALL_STATE(8467)] = 378997,
  [SMALL_STATE(8468)] = 379044,
  [SMALL_STATE(8469)] = 379091,
  [SMALL_STATE(8470)] = 379138,
  [SMALL_STATE(8471)] = 379185,
  [SMALL_STATE(8472)] = 379232,
  [SMALL_STATE(8473)] = 379279,
  [SMALL_STATE(8474)] = 379326,
  [SMALL_STATE(8475)] = 379373,
  [SMALL_STATE(8476)] = 379420,
  [SMALL_STATE(8477)] = 379467,
  [SMALL_STATE(8478)] = 379514,
  [SMALL_STATE(8479)] = 379561,
  [SMALL_STATE(8480)] = 379608,
  [SMALL_STATE(8481)] = 379655,
  [SMALL_STATE(8482)] = 379702,
  [SMALL_STATE(8483)] = 379749,
  [SMALL_STATE(8484)] = 379792,
  [SMALL_STATE(8485)] = 379835,
  [SMALL_STATE(8486)] = 379880,
  [SMALL_STATE(8487)] = 379923,
  [SMALL_STATE(8488)] = 379968,
  [SMALL_STATE(8489)] = 380015,
  [SMALL_STATE(8490)] = 380062,
  [SMALL_STATE(8491)] = 380109,
  [SMALL_STATE(8492)] = 380152,
  [SMALL_STATE(8493)] = 380195,
  [SMALL_STATE(8494)] = 380242,
  [SMALL_STATE(8495)] = 380289,
  [SMALL_STATE(8496)] = 380334,
  [SMALL_STATE(8497)] = 380379,
  [SMALL_STATE(8498)] = 380426,
  [SMALL_STATE(8499)] = 380473,
  [SMALL_STATE(8500)] = 380520,
  [SMALL_STATE(8501)] = 380567,
  [SMALL_STATE(8502)] = 380614,
  [SMALL_STATE(8503)] = 380661,
  [SMALL_STATE(8504)] = 380708,
  [SMALL_STATE(8505)] = 380755,
  [SMALL_STATE(8506)] = 380802,
  [SMALL_STATE(8507)] = 380849,
  [SMALL_STATE(8508)] = 380896,
  [SMALL_STATE(8509)] = 380943,
  [SMALL_STATE(8510)] = 380990,
  [SMALL_STATE(8511)] = 381037,
  [SMALL_STATE(8512)] = 381084,
  [SMALL_STATE(8513)] = 381131,
  [SMALL_STATE(8514)] = 381178,
  [SMALL_STATE(8515)] = 381225,
  [SMALL_STATE(8516)] = 381272,
  [SMALL_STATE(8517)] = 381319,
  [SMALL_STATE(8518)] = 381366,
  [SMALL_STATE(8519)] = 381413,
  [SMALL_STATE(8520)] = 381458,
  [SMALL_STATE(8521)] = 381505,
  [SMALL_STATE(8522)] = 381552,
  [SMALL_STATE(8523)] = 381599,
  [SMALL_STATE(8524)] = 381646,
  [SMALL_STATE(8525)] = 381691,
  [SMALL_STATE(8526)] = 381738,
  [SMALL_STATE(8527)] = 381785,
  [SMALL_STATE(8528)] = 381832,
  [SMALL_STATE(8529)] = 381879,
  [SMALL_STATE(8530)] = 381926,
  [SMALL_STATE(8531)] = 381973,
  [SMALL_STATE(8532)] = 382018,
  [SMALL_STATE(8533)] = 382065,
  [SMALL_STATE(8534)] = 382110,
  [SMALL_STATE(8535)] = 382157,
  [SMALL_STATE(8536)] = 382204,
  [SMALL_STATE(8537)] = 382251,
  [SMALL_STATE(8538)] = 382298,
  [SMALL_STATE(8539)] = 382345,
  [SMALL_STATE(8540)] = 382392,
  [SMALL_STATE(8541)] = 382439,
  [SMALL_STATE(8542)] = 382484,
  [SMALL_STATE(8543)] = 382529,
  [SMALL_STATE(8544)] = 382576,
  [SMALL_STATE(8545)] = 382623,
  [SMALL_STATE(8546)] = 382670,
  [SMALL_STATE(8547)] = 382717,
  [SMALL_STATE(8548)] = 382764,
  [SMALL_STATE(8549)] = 382809,
  [SMALL_STATE(8550)] = 382856,
  [SMALL_STATE(8551)] = 382903,
  [SMALL_STATE(8552)] = 382950,
  [SMALL_STATE(8553)] = 382997,
  [SMALL_STATE(8554)] = 383044,
  [SMALL_STATE(8555)] = 383091,
  [SMALL_STATE(8556)] = 383136,
  [SMALL_STATE(8557)] = 383183,
  [SMALL_STATE(8558)] = 383230,
  [SMALL_STATE(8559)] = 383277,
  [SMALL_STATE(8560)] = 383324,
  [SMALL_STATE(8561)] = 383371,
  [SMALL_STATE(8562)] = 383418,
  [SMALL_STATE(8563)] = 383465,
  [SMALL_STATE(8564)] = 383512,
  [SMALL_STATE(8565)] = 383559,
  [SMALL_STATE(8566)] = 383606,
  [SMALL_STATE(8567)] = 383653,
  [SMALL_STATE(8568)] = 383700,
  [SMALL_STATE(8569)] = 383745,
  [SMALL_STATE(8570)] = 383792,
  [SMALL_STATE(8571)] = 383839,
  [SMALL_STATE(8572)] = 383886,
  [SMALL_STATE(8573)] = 383933,
  [SMALL_STATE(8574)] = 383980,
  [SMALL_STATE(8575)] = 384027,
  [SMALL_STATE(8576)] = 384074,
  [SMALL_STATE(8577)] = 384121,
  [SMALL_STATE(8578)] = 384166,
  [SMALL_STATE(8579)] = 384213,
  [SMALL_STATE(8580)] = 384260,
  [SMALL_STATE(8581)] = 384303,
  [SMALL_STATE(8582)] = 384350,
  [SMALL_STATE(8583)] = 384397,
  [SMALL_STATE(8584)] = 384444,
  [SMALL_STATE(8585)] = 384491,
  [SMALL_STATE(8586)] = 384538,
  [SMALL_STATE(8587)] = 384585,
  [SMALL_STATE(8588)] = 384630,
  [SMALL_STATE(8589)] = 384677,
  [SMALL_STATE(8590)] = 384724,
  [SMALL_STATE(8591)] = 384769,
  [SMALL_STATE(8592)] = 384816,
  [SMALL_STATE(8593)] = 384863,
  [SMALL_STATE(8594)] = 384910,
  [SMALL_STATE(8595)] = 384957,
  [SMALL_STATE(8596)] = 385004,
  [SMALL_STATE(8597)] = 385047,
  [SMALL_STATE(8598)] = 385094,
  [SMALL_STATE(8599)] = 385141,
  [SMALL_STATE(8600)] = 385188,
  [SMALL_STATE(8601)] = 385235,
  [SMALL_STATE(8602)] = 385280,
  [SMALL_STATE(8603)] = 385323,
  [SMALL_STATE(8604)] = 385370,
  [SMALL_STATE(8605)] = 385417,
  [SMALL_STATE(8606)] = 385464,
  [SMALL_STATE(8607)] = 385511,
  [SMALL_STATE(8608)] = 385558,
  [SMALL_STATE(8609)] = 385601,
  [SMALL_STATE(8610)] = 385648,
  [SMALL_STATE(8611)] = 385695,
  [SMALL_STATE(8612)] = 385742,
  [SMALL_STATE(8613)] = 385789,
  [SMALL_STATE(8614)] = 385836,
  [SMALL_STATE(8615)] = 385883,
  [SMALL_STATE(8616)] = 385930,
  [SMALL_STATE(8617)] = 385977,
  [SMALL_STATE(8618)] = 386024,
  [SMALL_STATE(8619)] = 386069,
  [SMALL_STATE(8620)] = 386114,
  [SMALL_STATE(8621)] = 386161,
  [SMALL_STATE(8622)] = 386208,
  [SMALL_STATE(8623)] = 386255,
  [SMALL_STATE(8624)] = 386302,
  [SMALL_STATE(8625)] = 386349,
  [SMALL_STATE(8626)] = 386396,
  [SMALL_STATE(8627)] = 386443,
  [SMALL_STATE(8628)] = 386490,
  [SMALL_STATE(8629)] = 386537,
  [SMALL_STATE(8630)] = 386584,
  [SMALL_STATE(8631)] = 386631,
  [SMALL_STATE(8632)] = 386678,
  [SMALL_STATE(8633)] = 386725,
  [SMALL_STATE(8634)] = 386772,
  [SMALL_STATE(8635)] = 386819,
  [SMALL_STATE(8636)] = 386866,
  [SMALL_STATE(8637)] = 386913,
  [SMALL_STATE(8638)] = 386958,
  [SMALL_STATE(8639)] = 387005,
  [SMALL_STATE(8640)] = 387052,
  [SMALL_STATE(8641)] = 387099,
  [SMALL_STATE(8642)] = 387146,
  [SMALL_STATE(8643)] = 387193,
  [SMALL_STATE(8644)] = 387240,
  [SMALL_STATE(8645)] = 387287,
  [SMALL_STATE(8646)] = 387334,
  [SMALL_STATE(8647)] = 387381,
  [SMALL_STATE(8648)] = 387428,
  [SMALL_STATE(8649)] = 387473,
  [SMALL_STATE(8650)] = 387520,
  [SMALL_STATE(8651)] = 387567,
  [SMALL_STATE(8652)] = 387614,
  [SMALL_STATE(8653)] = 387661,
  [SMALL_STATE(8654)] = 387708,
  [SMALL_STATE(8655)] = 387755,
  [SMALL_STATE(8656)] = 387802,
  [SMALL_STATE(8657)] = 387849,
  [SMALL_STATE(8658)] = 387896,
  [SMALL_STATE(8659)] = 387943,
  [SMALL_STATE(8660)] = 387990,
  [SMALL_STATE(8661)] = 388037,
  [SMALL_STATE(8662)] = 388084,
  [SMALL_STATE(8663)] = 388131,
  [SMALL_STATE(8664)] = 388178,
  [SMALL_STATE(8665)] = 388225,
  [SMALL_STATE(8666)] = 388272,
  [SMALL_STATE(8667)] = 388319,
  [SMALL_STATE(8668)] = 388366,
  [SMALL_STATE(8669)] = 388413,
  [SMALL_STATE(8670)] = 388460,
  [SMALL_STATE(8671)] = 388503,
  [SMALL_STATE(8672)] = 388550,
  [SMALL_STATE(8673)] = 388597,
  [SMALL_STATE(8674)] = 388644,
  [SMALL_STATE(8675)] = 388687,
  [SMALL_STATE(8676)] = 388734,
  [SMALL_STATE(8677)] = 388781,
  [SMALL_STATE(8678)] = 388824,
  [SMALL_STATE(8679)] = 388867,
  [SMALL_STATE(8680)] = 388914,
  [SMALL_STATE(8681)] = 388961,
  [SMALL_STATE(8682)] = 389008,
  [SMALL_STATE(8683)] = 389055,
  [SMALL_STATE(8684)] = 389102,
  [SMALL_STATE(8685)] = 389149,
  [SMALL_STATE(8686)] = 389196,
  [SMALL_STATE(8687)] = 389239,
  [SMALL_STATE(8688)] = 389286,
  [SMALL_STATE(8689)] = 389333,
  [SMALL_STATE(8690)] = 389380,
  [SMALL_STATE(8691)] = 389427,
  [SMALL_STATE(8692)] = 389474,
  [SMALL_STATE(8693)] = 389519,
  [SMALL_STATE(8694)] = 389566,
  [SMALL_STATE(8695)] = 389613,
  [SMALL_STATE(8696)] = 389660,
  [SMALL_STATE(8697)] = 389707,
  [SMALL_STATE(8698)] = 389754,
  [SMALL_STATE(8699)] = 389801,
  [SMALL_STATE(8700)] = 389848,
  [SMALL_STATE(8701)] = 389895,
  [SMALL_STATE(8702)] = 389939,
  [SMALL_STATE(8703)] = 389981,
  [SMALL_STATE(8704)] = 390025,
  [SMALL_STATE(8705)] = 390067,
  [SMALL_STATE(8706)] = 390111,
  [SMALL_STATE(8707)] = 390153,
  [SMALL_STATE(8708)] = 390195,
  [SMALL_STATE(8709)] = 390239,
  [SMALL_STATE(8710)] = 390283,
  [SMALL_STATE(8711)] = 390327,
  [SMALL_STATE(8712)] = 390371,
  [SMALL_STATE(8713)] = 390413,
  [SMALL_STATE(8714)] = 390455,
  [SMALL_STATE(8715)] = 390499,
  [SMALL_STATE(8716)] = 390541,
  [SMALL_STATE(8717)] = 390585,
  [SMALL_STATE(8718)] = 390627,
  [SMALL_STATE(8719)] = 390669,
  [SMALL_STATE(8720)] = 390713,
  [SMALL_STATE(8721)] = 390757,
  [SMALL_STATE(8722)] = 390801,
  [SMALL_STATE(8723)] = 390845,
  [SMALL_STATE(8724)] = 390889,
  [SMALL_STATE(8725)] = 390933,
  [SMALL_STATE(8726)] = 390977,
  [SMALL_STATE(8727)] = 391021,
  [SMALL_STATE(8728)] = 391063,
  [SMALL_STATE(8729)] = 391107,
  [SMALL_STATE(8730)] = 391151,
  [SMALL_STATE(8731)] = 391193,
  [SMALL_STATE(8732)] = 391235,
  [SMALL_STATE(8733)] = 391277,
  [SMALL_STATE(8734)] = 391321,
  [SMALL_STATE(8735)] = 391363,
  [SMALL_STATE(8736)] = 391407,
  [SMALL_STATE(8737)] = 391451,
  [SMALL_STATE(8738)] = 391495,
  [SMALL_STATE(8739)] = 391539,
  [SMALL_STATE(8740)] = 391581,
  [SMALL_STATE(8741)] = 391623,
  [SMALL_STATE(8742)] = 391665,
  [SMALL_STATE(8743)] = 391709,
  [SMALL_STATE(8744)] = 391753,
  [SMALL_STATE(8745)] = 391795,
  [SMALL_STATE(8746)] = 391839,
  [SMALL_STATE(8747)] = 391881,
  [SMALL_STATE(8748)] = 391925,
  [SMALL_STATE(8749)] = 391969,
  [SMALL_STATE(8750)] = 392011,
  [SMALL_STATE(8751)] = 392053,
  [SMALL_STATE(8752)] = 392097,
  [SMALL_STATE(8753)] = 392139,
  [SMALL_STATE(8754)] = 392183,
  [SMALL_STATE(8755)] = 392225,
  [SMALL_STATE(8756)] = 392269,
  [SMALL_STATE(8757)] = 392313,
  [SMALL_STATE(8758)] = 392355,
  [SMALL_STATE(8759)] = 392399,
  [SMALL_STATE(8760)] = 392441,
  [SMALL_STATE(8761)] = 392485,
  [SMALL_STATE(8762)] = 392527,
  [SMALL_STATE(8763)] = 392569,
  [SMALL_STATE(8764)] = 392611,
  [SMALL_STATE(8765)] = 392655,
  [SMALL_STATE(8766)] = 392697,
  [SMALL_STATE(8767)] = 392741,
  [SMALL_STATE(8768)] = 392785,
  [SMALL_STATE(8769)] = 392827,
  [SMALL_STATE(8770)] = 392871,
  [SMALL_STATE(8771)] = 392913,
  [SMALL_STATE(8772)] = 392955,
  [SMALL_STATE(8773)] = 392997,
  [SMALL_STATE(8774)] = 393041,
  [SMALL_STATE(8775)] = 393083,
  [SMALL_STATE(8776)] = 393125,
  [SMALL_STATE(8777)] = 393167,
  [SMALL_STATE(8778)] = 393209,
  [SMALL_STATE(8779)] = 393253,
  [SMALL_STATE(8780)] = 393297,
  [SMALL_STATE(8781)] = 393339,
  [SMALL_STATE(8782)] = 393383,
  [SMALL_STATE(8783)] = 393425,
  [SMALL_STATE(8784)] = 393469,
  [SMALL_STATE(8785)] = 393511,
  [SMALL_STATE(8786)] = 393555,
  [SMALL_STATE(8787)] = 393599,
  [SMALL_STATE(8788)] = 393643,
  [SMALL_STATE(8789)] = 393685,
  [SMALL_STATE(8790)] = 393729,
  [SMALL_STATE(8791)] = 393773,
  [SMALL_STATE(8792)] = 393815,
  [SMALL_STATE(8793)] = 393859,
  [SMALL_STATE(8794)] = 393901,
  [SMALL_STATE(8795)] = 393945,
  [SMALL_STATE(8796)] = 393989,
  [SMALL_STATE(8797)] = 394033,
  [SMALL_STATE(8798)] = 394075,
  [SMALL_STATE(8799)] = 394117,
  [SMALL_STATE(8800)] = 394159,
  [SMALL_STATE(8801)] = 394203,
  [SMALL_STATE(8802)] = 394247,
  [SMALL_STATE(8803)] = 394289,
  [SMALL_STATE(8804)] = 394333,
  [SMALL_STATE(8805)] = 394377,
  [SMALL_STATE(8806)] = 394419,
  [SMALL_STATE(8807)] = 394461,
  [SMALL_STATE(8808)] = 394505,
  [SMALL_STATE(8809)] = 394549,
  [SMALL_STATE(8810)] = 394591,
  [SMALL_STATE(8811)] = 394635,
  [SMALL_STATE(8812)] = 394679,
  [SMALL_STATE(8813)] = 394723,
  [SMALL_STATE(8814)] = 394765,
  [SMALL_STATE(8815)] = 394807,
  [SMALL_STATE(8816)] = 394851,
  [SMALL_STATE(8817)] = 394893,
  [SMALL_STATE(8818)] = 394937,
  [SMALL_STATE(8819)] = 394979,
  [SMALL_STATE(8820)] = 395023,
  [SMALL_STATE(8821)] = 395067,
  [SMALL_STATE(8822)] = 395109,
  [SMALL_STATE(8823)] = 395153,
  [SMALL_STATE(8824)] = 395197,
  [SMALL_STATE(8825)] = 395241,
  [SMALL_STATE(8826)] = 395283,
  [SMALL_STATE(8827)] = 395325,
  [SMALL_STATE(8828)] = 395367,
  [SMALL_STATE(8829)] = 395409,
  [SMALL_STATE(8830)] = 395453,
  [SMALL_STATE(8831)] = 395495,
  [SMALL_STATE(8832)] = 395537,
  [SMALL_STATE(8833)] = 395579,
  [SMALL_STATE(8834)] = 395621,
  [SMALL_STATE(8835)] = 395663,
  [SMALL_STATE(8836)] = 395707,
  [SMALL_STATE(8837)] = 395751,
  [SMALL_STATE(8838)] = 395793,
  [SMALL_STATE(8839)] = 395837,
  [SMALL_STATE(8840)] = 395881,
  [SMALL_STATE(8841)] = 395925,
  [SMALL_STATE(8842)] = 395967,
  [SMALL_STATE(8843)] = 396011,
  [SMALL_STATE(8844)] = 396053,
  [SMALL_STATE(8845)] = 396095,
  [SMALL_STATE(8846)] = 396137,
  [SMALL_STATE(8847)] = 396179,
  [SMALL_STATE(8848)] = 396221,
  [SMALL_STATE(8849)] = 396263,
  [SMALL_STATE(8850)] = 396307,
  [SMALL_STATE(8851)] = 396351,
  [SMALL_STATE(8852)] = 396395,
  [SMALL_STATE(8853)] = 396439,
  [SMALL_STATE(8854)] = 396481,
  [SMALL_STATE(8855)] = 396525,
  [SMALL_STATE(8856)] = 396567,
  [SMALL_STATE(8857)] = 396611,
  [SMALL_STATE(8858)] = 396653,
  [SMALL_STATE(8859)] = 396697,
  [SMALL_STATE(8860)] = 396739,
  [SMALL_STATE(8861)] = 396783,
  [SMALL_STATE(8862)] = 396825,
  [SMALL_STATE(8863)] = 396867,
  [SMALL_STATE(8864)] = 396911,
  [SMALL_STATE(8865)] = 396955,
  [SMALL_STATE(8866)] = 396999,
  [SMALL_STATE(8867)] = 397043,
  [SMALL_STATE(8868)] = 397087,
  [SMALL_STATE(8869)] = 397131,
  [SMALL_STATE(8870)] = 397173,
  [SMALL_STATE(8871)] = 397215,
  [SMALL_STATE(8872)] = 397259,
  [SMALL_STATE(8873)] = 397303,
  [SMALL_STATE(8874)] = 397347,
  [SMALL_STATE(8875)] = 397391,
  [SMALL_STATE(8876)] = 397433,
  [SMALL_STATE(8877)] = 397475,
  [SMALL_STATE(8878)] = 397519,
  [SMALL_STATE(8879)] = 397561,
  [SMALL_STATE(8880)] = 397605,
  [SMALL_STATE(8881)] = 397647,
  [SMALL_STATE(8882)] = 397689,
  [SMALL_STATE(8883)] = 397733,
  [SMALL_STATE(8884)] = 397775,
  [SMALL_STATE(8885)] = 397819,
  [SMALL_STATE(8886)] = 397863,
  [SMALL_STATE(8887)] = 397905,
  [SMALL_STATE(8888)] = 397949,
  [SMALL_STATE(8889)] = 397991,
  [SMALL_STATE(8890)] = 398033,
  [SMALL_STATE(8891)] = 398077,
  [SMALL_STATE(8892)] = 398121,
  [SMALL_STATE(8893)] = 398163,
  [SMALL_STATE(8894)] = 398205,
  [SMALL_STATE(8895)] = 398249,
  [SMALL_STATE(8896)] = 398293,
  [SMALL_STATE(8897)] = 398337,
  [SMALL_STATE(8898)] = 398379,
  [SMALL_STATE(8899)] = 398423,
  [SMALL_STATE(8900)] = 398467,
  [SMALL_STATE(8901)] = 398509,
  [SMALL_STATE(8902)] = 398551,
  [SMALL_STATE(8903)] = 398595,
  [SMALL_STATE(8904)] = 398637,
  [SMALL_STATE(8905)] = 398681,
  [SMALL_STATE(8906)] = 398723,
  [SMALL_STATE(8907)] = 398767,
  [SMALL_STATE(8908)] = 398811,
  [SMALL_STATE(8909)] = 398853,
  [SMALL_STATE(8910)] = 398897,
  [SMALL_STATE(8911)] = 398941,
  [SMALL_STATE(8912)] = 398985,
  [SMALL_STATE(8913)] = 399027,
  [SMALL_STATE(8914)] = 399071,
  [SMALL_STATE(8915)] = 399113,
  [SMALL_STATE(8916)] = 399157,
  [SMALL_STATE(8917)] = 399201,
  [SMALL_STATE(8918)] = 399245,
  [SMALL_STATE(8919)] = 399289,
  [SMALL_STATE(8920)] = 399333,
  [SMALL_STATE(8921)] = 399377,
  [SMALL_STATE(8922)] = 399421,
  [SMALL_STATE(8923)] = 399465,
  [SMALL_STATE(8924)] = 399509,
  [SMALL_STATE(8925)] = 399553,
  [SMALL_STATE(8926)] = 399597,
  [SMALL_STATE(8927)] = 399641,
  [SMALL_STATE(8928)] = 399685,
  [SMALL_STATE(8929)] = 399729,
  [SMALL_STATE(8930)] = 399773,
  [SMALL_STATE(8931)] = 399817,
  [SMALL_STATE(8932)] = 399861,
  [SMALL_STATE(8933)] = 399903,
  [SMALL_STATE(8934)] = 399945,
  [SMALL_STATE(8935)] = 399987,
  [SMALL_STATE(8936)] = 400029,
  [SMALL_STATE(8937)] = 400073,
  [SMALL_STATE(8938)] = 400117,
  [SMALL_STATE(8939)] = 400161,
  [SMALL_STATE(8940)] = 400205,
  [SMALL_STATE(8941)] = 400249,
  [SMALL_STATE(8942)] = 400291,
  [SMALL_STATE(8943)] = 400335,
  [SMALL_STATE(8944)] = 400379,
  [SMALL_STATE(8945)] = 400423,
  [SMALL_STATE(8946)] = 400465,
  [SMALL_STATE(8947)] = 400509,
  [SMALL_STATE(8948)] = 400553,
  [SMALL_STATE(8949)] = 400595,
  [SMALL_STATE(8950)] = 400639,
  [SMALL_STATE(8951)] = 400683,
  [SMALL_STATE(8952)] = 400725,
  [SMALL_STATE(8953)] = 400769,
  [SMALL_STATE(8954)] = 400813,
  [SMALL_STATE(8955)] = 400857,
  [SMALL_STATE(8956)] = 400901,
  [SMALL_STATE(8957)] = 400945,
  [SMALL_STATE(8958)] = 400989,
  [SMALL_STATE(8959)] = 401031,
  [SMALL_STATE(8960)] = 401075,
  [SMALL_STATE(8961)] = 401119,
  [SMALL_STATE(8962)] = 401163,
  [SMALL_STATE(8963)] = 401207,
  [SMALL_STATE(8964)] = 401251,
  [SMALL_STATE(8965)] = 401295,
  [SMALL_STATE(8966)] = 401337,
  [SMALL_STATE(8967)] = 401381,
  [SMALL_STATE(8968)] = 401423,
  [SMALL_STATE(8969)] = 401467,
  [SMALL_STATE(8970)] = 401511,
  [SMALL_STATE(8971)] = 401555,
  [SMALL_STATE(8972)] = 401599,
  [SMALL_STATE(8973)] = 401641,
  [SMALL_STATE(8974)] = 401683,
  [SMALL_STATE(8975)] = 401725,
  [SMALL_STATE(8976)] = 401769,
  [SMALL_STATE(8977)] = 401813,
  [SMALL_STATE(8978)] = 401857,
  [SMALL_STATE(8979)] = 401901,
  [SMALL_STATE(8980)] = 401943,
  [SMALL_STATE(8981)] = 401987,
  [SMALL_STATE(8982)] = 402031,
  [SMALL_STATE(8983)] = 402075,
  [SMALL_STATE(8984)] = 402117,
  [SMALL_STATE(8985)] = 402161,
  [SMALL_STATE(8986)] = 402205,
  [SMALL_STATE(8987)] = 402247,
  [SMALL_STATE(8988)] = 402289,
  [SMALL_STATE(8989)] = 402333,
  [SMALL_STATE(8990)] = 402377,
  [SMALL_STATE(8991)] = 402421,
  [SMALL_STATE(8992)] = 402465,
  [SMALL_STATE(8993)] = 402506,
  [SMALL_STATE(8994)] = 402547,
  [SMALL_STATE(8995)] = 402588,
  [SMALL_STATE(8996)] = 402629,
  [SMALL_STATE(8997)] = 402670,
  [SMALL_STATE(8998)] = 402711,
  [SMALL_STATE(8999)] = 402752,
  [SMALL_STATE(9000)] = 402793,
  [SMALL_STATE(9001)] = 402834,
  [SMALL_STATE(9002)] = 402875,
  [SMALL_STATE(9003)] = 402916,
  [SMALL_STATE(9004)] = 402957,
  [SMALL_STATE(9005)] = 402998,
  [SMALL_STATE(9006)] = 403039,
  [SMALL_STATE(9007)] = 403080,
  [SMALL_STATE(9008)] = 403121,
  [SMALL_STATE(9009)] = 403162,
  [SMALL_STATE(9010)] = 403203,
  [SMALL_STATE(9011)] = 403244,
  [SMALL_STATE(9012)] = 403285,
  [SMALL_STATE(9013)] = 403326,
  [SMALL_STATE(9014)] = 403367,
  [SMALL_STATE(9015)] = 403408,
  [SMALL_STATE(9016)] = 403449,
  [SMALL_STATE(9017)] = 403490,
  [SMALL_STATE(9018)] = 403531,
  [SMALL_STATE(9019)] = 403572,
  [SMALL_STATE(9020)] = 403613,
  [SMALL_STATE(9021)] = 403654,
  [SMALL_STATE(9022)] = 403695,
  [SMALL_STATE(9023)] = 403736,
  [SMALL_STATE(9024)] = 403777,
  [SMALL_STATE(9025)] = 403818,
  [SMALL_STATE(9026)] = 403859,
  [SMALL_STATE(9027)] = 403900,
  [SMALL_STATE(9028)] = 403941,
  [SMALL_STATE(9029)] = 403982,
  [SMALL_STATE(9030)] = 404023,
  [SMALL_STATE(9031)] = 404064,
  [SMALL_STATE(9032)] = 404105,
  [SMALL_STATE(9033)] = 404146,
  [SMALL_STATE(9034)] = 404187,
  [SMALL_STATE(9035)] = 404228,
  [SMALL_STATE(9036)] = 404269,
  [SMALL_STATE(9037)] = 404310,
  [SMALL_STATE(9038)] = 404351,
  [SMALL_STATE(9039)] = 404392,
  [SMALL_STATE(9040)] = 404433,
  [SMALL_STATE(9041)] = 404474,
  [SMALL_STATE(9042)] = 404515,
  [SMALL_STATE(9043)] = 404556,
  [SMALL_STATE(9044)] = 404597,
  [SMALL_STATE(9045)] = 404638,
  [SMALL_STATE(9046)] = 404679,
  [SMALL_STATE(9047)] = 404720,
  [SMALL_STATE(9048)] = 404761,
  [SMALL_STATE(9049)] = 404802,
  [SMALL_STATE(9050)] = 404843,
  [SMALL_STATE(9051)] = 404884,
  [SMALL_STATE(9052)] = 404925,
  [SMALL_STATE(9053)] = 404966,
  [SMALL_STATE(9054)] = 405007,
  [SMALL_STATE(9055)] = 405048,
  [SMALL_STATE(9056)] = 405089,
  [SMALL_STATE(9057)] = 405130,
  [SMALL_STATE(9058)] = 405171,
  [SMALL_STATE(9059)] = 405212,
  [SMALL_STATE(9060)] = 405253,
  [SMALL_STATE(9061)] = 405294,
  [SMALL_STATE(9062)] = 405335,
  [SMALL_STATE(9063)] = 405376,
  [SMALL_STATE(9064)] = 405417,
  [SMALL_STATE(9065)] = 405458,
  [SMALL_STATE(9066)] = 405499,
  [SMALL_STATE(9067)] = 405540,
  [SMALL_STATE(9068)] = 405581,
  [SMALL_STATE(9069)] = 405622,
  [SMALL_STATE(9070)] = 405663,
  [SMALL_STATE(9071)] = 405704,
  [SMALL_STATE(9072)] = 405745,
  [SMALL_STATE(9073)] = 405786,
  [SMALL_STATE(9074)] = 405827,
  [SMALL_STATE(9075)] = 405868,
  [SMALL_STATE(9076)] = 405909,
  [SMALL_STATE(9077)] = 405950,
  [SMALL_STATE(9078)] = 405991,
  [SMALL_STATE(9079)] = 406032,
  [SMALL_STATE(9080)] = 406073,
  [SMALL_STATE(9081)] = 406114,
  [SMALL_STATE(9082)] = 406155,
  [SMALL_STATE(9083)] = 406196,
  [SMALL_STATE(9084)] = 406237,
  [SMALL_STATE(9085)] = 406278,
  [SMALL_STATE(9086)] = 406319,
  [SMALL_STATE(9087)] = 406360,
  [SMALL_STATE(9088)] = 406401,
  [SMALL_STATE(9089)] = 406442,
  [SMALL_STATE(9090)] = 406483,
  [SMALL_STATE(9091)] = 406524,
  [SMALL_STATE(9092)] = 406565,
  [SMALL_STATE(9093)] = 406606,
  [SMALL_STATE(9094)] = 406647,
  [SMALL_STATE(9095)] = 406688,
  [SMALL_STATE(9096)] = 406729,
  [SMALL_STATE(9097)] = 406770,
  [SMALL_STATE(9098)] = 406811,
  [SMALL_STATE(9099)] = 406852,
  [SMALL_STATE(9100)] = 406893,
  [SMALL_STATE(9101)] = 406934,
  [SMALL_STATE(9102)] = 406975,
  [SMALL_STATE(9103)] = 407016,
  [SMALL_STATE(9104)] = 407057,
  [SMALL_STATE(9105)] = 407098,
  [SMALL_STATE(9106)] = 407139,
  [SMALL_STATE(9107)] = 407180,
  [SMALL_STATE(9108)] = 407221,
  [SMALL_STATE(9109)] = 407262,
  [SMALL_STATE(9110)] = 407303,
  [SMALL_STATE(9111)] = 407344,
  [SMALL_STATE(9112)] = 407385,
  [SMALL_STATE(9113)] = 407426,
  [SMALL_STATE(9114)] = 407467,
  [SMALL_STATE(9115)] = 407508,
  [SMALL_STATE(9116)] = 407549,
  [SMALL_STATE(9117)] = 407590,
  [SMALL_STATE(9118)] = 407631,
  [SMALL_STATE(9119)] = 407672,
  [SMALL_STATE(9120)] = 407713,
  [SMALL_STATE(9121)] = 407754,
  [SMALL_STATE(9122)] = 407795,
  [SMALL_STATE(9123)] = 407836,
  [SMALL_STATE(9124)] = 407877,
  [SMALL_STATE(9125)] = 407918,
  [SMALL_STATE(9126)] = 407959,
  [SMALL_STATE(9127)] = 408000,
  [SMALL_STATE(9128)] = 408041,
  [SMALL_STATE(9129)] = 408082,
  [SMALL_STATE(9130)] = 408123,
  [SMALL_STATE(9131)] = 408164,
  [SMALL_STATE(9132)] = 408205,
  [SMALL_STATE(9133)] = 408246,
  [SMALL_STATE(9134)] = 408287,
  [SMALL_STATE(9135)] = 408328,
  [SMALL_STATE(9136)] = 408369,
  [SMALL_STATE(9137)] = 408410,
  [SMALL_STATE(9138)] = 408451,
  [SMALL_STATE(9139)] = 408492,
  [SMALL_STATE(9140)] = 408533,
  [SMALL_STATE(9141)] = 408574,
  [SMALL_STATE(9142)] = 408615,
  [SMALL_STATE(9143)] = 408656,
  [SMALL_STATE(9144)] = 408697,
  [SMALL_STATE(9145)] = 408738,
  [SMALL_STATE(9146)] = 408779,
  [SMALL_STATE(9147)] = 408820,
  [SMALL_STATE(9148)] = 408861,
  [SMALL_STATE(9149)] = 408902,
  [SMALL_STATE(9150)] = 408943,
  [SMALL_STATE(9151)] = 408984,
  [SMALL_STATE(9152)] = 409025,
  [SMALL_STATE(9153)] = 409066,
  [SMALL_STATE(9154)] = 409107,
  [SMALL_STATE(9155)] = 409148,
  [SMALL_STATE(9156)] = 409189,
  [SMALL_STATE(9157)] = 409230,
  [SMALL_STATE(9158)] = 409271,
  [SMALL_STATE(9159)] = 409312,
  [SMALL_STATE(9160)] = 409353,
  [SMALL_STATE(9161)] = 409394,
  [SMALL_STATE(9162)] = 409435,
  [SMALL_STATE(9163)] = 409476,
  [SMALL_STATE(9164)] = 409517,
  [SMALL_STATE(9165)] = 409558,
  [SMALL_STATE(9166)] = 409599,
  [SMALL_STATE(9167)] = 409640,
  [SMALL_STATE(9168)] = 409681,
  [SMALL_STATE(9169)] = 409722,
  [SMALL_STATE(9170)] = 409763,
  [SMALL_STATE(9171)] = 409804,
  [SMALL_STATE(9172)] = 409845,
  [SMALL_STATE(9173)] = 409886,
  [SMALL_STATE(9174)] = 409927,
  [SMALL_STATE(9175)] = 409968,
  [SMALL_STATE(9176)] = 410009,
  [SMALL_STATE(9177)] = 410050,
  [SMALL_STATE(9178)] = 410091,
  [SMALL_STATE(9179)] = 410132,
  [SMALL_STATE(9180)] = 410173,
  [SMALL_STATE(9181)] = 410214,
  [SMALL_STATE(9182)] = 410255,
  [SMALL_STATE(9183)] = 410296,
  [SMALL_STATE(9184)] = 410337,
  [SMALL_STATE(9185)] = 410378,
  [SMALL_STATE(9186)] = 410419,
  [SMALL_STATE(9187)] = 410460,
  [SMALL_STATE(9188)] = 410501,
  [SMALL_STATE(9189)] = 410542,
  [SMALL_STATE(9190)] = 410583,
  [SMALL_STATE(9191)] = 410624,
  [SMALL_STATE(9192)] = 410665,
  [SMALL_STATE(9193)] = 410706,
  [SMALL_STATE(9194)] = 410747,
  [SMALL_STATE(9195)] = 410788,
  [SMALL_STATE(9196)] = 410829,
  [SMALL_STATE(9197)] = 410870,
  [SMALL_STATE(9198)] = 410911,
  [SMALL_STATE(9199)] = 410952,
  [SMALL_STATE(9200)] = 410993,
  [SMALL_STATE(9201)] = 411034,
  [SMALL_STATE(9202)] = 411075,
  [SMALL_STATE(9203)] = 411116,
  [SMALL_STATE(9204)] = 411157,
  [SMALL_STATE(9205)] = 411198,
  [SMALL_STATE(9206)] = 411239,
  [SMALL_STATE(9207)] = 411280,
  [SMALL_STATE(9208)] = 411321,
  [SMALL_STATE(9209)] = 411362,
  [SMALL_STATE(9210)] = 411403,
  [SMALL_STATE(9211)] = 411444,
  [SMALL_STATE(9212)] = 411485,
  [SMALL_STATE(9213)] = 411526,
  [SMALL_STATE(9214)] = 411567,
  [SMALL_STATE(9215)] = 411608,
  [SMALL_STATE(9216)] = 411649,
  [SMALL_STATE(9217)] = 411690,
  [SMALL_STATE(9218)] = 411731,
  [SMALL_STATE(9219)] = 411772,
  [SMALL_STATE(9220)] = 411813,
  [SMALL_STATE(9221)] = 411854,
  [SMALL_STATE(9222)] = 411895,
  [SMALL_STATE(9223)] = 411936,
  [SMALL_STATE(9224)] = 411977,
  [SMALL_STATE(9225)] = 412018,
  [SMALL_STATE(9226)] = 412059,
  [SMALL_STATE(9227)] = 412100,
  [SMALL_STATE(9228)] = 412141,
  [SMALL_STATE(9229)] = 412182,
  [SMALL_STATE(9230)] = 412223,
  [SMALL_STATE(9231)] = 412264,
  [SMALL_STATE(9232)] = 412305,
  [SMALL_STATE(9233)] = 412346,
  [SMALL_STATE(9234)] = 412387,
  [SMALL_STATE(9235)] = 412428,
  [SMALL_STATE(9236)] = 412469,
  [SMALL_STATE(9237)] = 412510,
  [SMALL_STATE(9238)] = 412551,
  [SMALL_STATE(9239)] = 412592,
  [SMALL_STATE(9240)] = 412633,
  [SMALL_STATE(9241)] = 412674,
  [SMALL_STATE(9242)] = 412715,
  [SMALL_STATE(9243)] = 412756,
  [SMALL_STATE(9244)] = 412797,
  [SMALL_STATE(9245)] = 412838,
  [SMALL_STATE(9246)] = 412879,
  [SMALL_STATE(9247)] = 412920,
  [SMALL_STATE(9248)] = 412961,
  [SMALL_STATE(9249)] = 413002,
  [SMALL_STATE(9250)] = 413043,
  [SMALL_STATE(9251)] = 413084,
  [SMALL_STATE(9252)] = 413125,
  [SMALL_STATE(9253)] = 413166,
  [SMALL_STATE(9254)] = 413207,
  [SMALL_STATE(9255)] = 413248,
  [SMALL_STATE(9256)] = 413289,
  [SMALL_STATE(9257)] = 413330,
  [SMALL_STATE(9258)] = 413371,
  [SMALL_STATE(9259)] = 413412,
  [SMALL_STATE(9260)] = 413453,
  [SMALL_STATE(9261)] = 413494,
  [SMALL_STATE(9262)] = 413535,
  [SMALL_STATE(9263)] = 413576,
  [SMALL_STATE(9264)] = 413617,
  [SMALL_STATE(9265)] = 413658,
  [SMALL_STATE(9266)] = 413699,
  [SMALL_STATE(9267)] = 413740,
  [SMALL_STATE(9268)] = 413781,
  [SMALL_STATE(9269)] = 413822,
  [SMALL_STATE(9270)] = 413863,
  [SMALL_STATE(9271)] = 413904,
  [SMALL_STATE(9272)] = 413945,
  [SMALL_STATE(9273)] = 413986,
  [SMALL_STATE(9274)] = 414027,
  [SMALL_STATE(9275)] = 414068,
  [SMALL_STATE(9276)] = 414109,
  [SMALL_STATE(9277)] = 414150,
  [SMALL_STATE(9278)] = 414191,
  [SMALL_STATE(9279)] = 414232,
  [SMALL_STATE(9280)] = 414273,
  [SMALL_STATE(9281)] = 414314,
  [SMALL_STATE(9282)] = 414355,
  [SMALL_STATE(9283)] = 414396,
  [SMALL_STATE(9284)] = 414437,
  [SMALL_STATE(9285)] = 414478,
  [SMALL_STATE(9286)] = 414519,
  [SMALL_STATE(9287)] = 414560,
  [SMALL_STATE(9288)] = 414601,
  [SMALL_STATE(9289)] = 414642,
  [SMALL_STATE(9290)] = 414683,
  [SMALL_STATE(9291)] = 414724,
  [SMALL_STATE(9292)] = 414765,
  [SMALL_STATE(9293)] = 414806,
  [SMALL_STATE(9294)] = 414847,
  [SMALL_STATE(9295)] = 414888,
  [SMALL_STATE(9296)] = 414929,
  [SMALL_STATE(9297)] = 414970,
  [SMALL_STATE(9298)] = 415011,
  [SMALL_STATE(9299)] = 415052,
  [SMALL_STATE(9300)] = 415093,
  [SMALL_STATE(9301)] = 415134,
  [SMALL_STATE(9302)] = 415175,
  [SMALL_STATE(9303)] = 415216,
  [SMALL_STATE(9304)] = 415257,
  [SMALL_STATE(9305)] = 415298,
  [SMALL_STATE(9306)] = 415339,
  [SMALL_STATE(9307)] = 415380,
  [SMALL_STATE(9308)] = 415421,
  [SMALL_STATE(9309)] = 415462,
  [SMALL_STATE(9310)] = 415503,
  [SMALL_STATE(9311)] = 415544,
  [SMALL_STATE(9312)] = 415585,
  [SMALL_STATE(9313)] = 415626,
  [SMALL_STATE(9314)] = 415667,
  [SMALL_STATE(9315)] = 415708,
  [SMALL_STATE(9316)] = 415749,
  [SMALL_STATE(9317)] = 415790,
  [SMALL_STATE(9318)] = 415831,
  [SMALL_STATE(9319)] = 415872,
  [SMALL_STATE(9320)] = 415913,
  [SMALL_STATE(9321)] = 415954,
  [SMALL_STATE(9322)] = 415995,
  [SMALL_STATE(9323)] = 416036,
  [SMALL_STATE(9324)] = 416077,
  [SMALL_STATE(9325)] = 416118,
  [SMALL_STATE(9326)] = 416159,
  [SMALL_STATE(9327)] = 416200,
  [SMALL_STATE(9328)] = 416241,
  [SMALL_STATE(9329)] = 416282,
  [SMALL_STATE(9330)] = 416323,
  [SMALL_STATE(9331)] = 416364,
  [SMALL_STATE(9332)] = 416405,
  [SMALL_STATE(9333)] = 416446,
  [SMALL_STATE(9334)] = 416487,
  [SMALL_STATE(9335)] = 416528,
  [SMALL_STATE(9336)] = 416569,
  [SMALL_STATE(9337)] = 416610,
  [SMALL_STATE(9338)] = 416651,
  [SMALL_STATE(9339)] = 416692,
  [SMALL_STATE(9340)] = 416733,
  [SMALL_STATE(9341)] = 416774,
  [SMALL_STATE(9342)] = 416815,
  [SMALL_STATE(9343)] = 416856,
  [SMALL_STATE(9344)] = 416897,
  [SMALL_STATE(9345)] = 416938,
  [SMALL_STATE(9346)] = 416979,
  [SMALL_STATE(9347)] = 417020,
  [SMALL_STATE(9348)] = 417061,
  [SMALL_STATE(9349)] = 417102,
  [SMALL_STATE(9350)] = 417143,
  [SMALL_STATE(9351)] = 417184,
  [SMALL_STATE(9352)] = 417225,
  [SMALL_STATE(9353)] = 417266,
  [SMALL_STATE(9354)] = 417307,
  [SMALL_STATE(9355)] = 417348,
  [SMALL_STATE(9356)] = 417389,
  [SMALL_STATE(9357)] = 417430,
  [SMALL_STATE(9358)] = 417471,
  [SMALL_STATE(9359)] = 417512,
  [SMALL_STATE(9360)] = 417553,
  [SMALL_STATE(9361)] = 417594,
  [SMALL_STATE(9362)] = 417635,
  [SMALL_STATE(9363)] = 417676,
  [SMALL_STATE(9364)] = 417717,
  [SMALL_STATE(9365)] = 417758,
  [SMALL_STATE(9366)] = 417799,
  [SMALL_STATE(9367)] = 417840,
  [SMALL_STATE(9368)] = 417881,
  [SMALL_STATE(9369)] = 417922,
  [SMALL_STATE(9370)] = 417963,
  [SMALL_STATE(9371)] = 418004,
  [SMALL_STATE(9372)] = 418045,
  [SMALL_STATE(9373)] = 418086,
  [SMALL_STATE(9374)] = 418127,
  [SMALL_STATE(9375)] = 418168,
  [SMALL_STATE(9376)] = 418209,
  [SMALL_STATE(9377)] = 418250,
  [SMALL_STATE(9378)] = 418291,
  [SMALL_STATE(9379)] = 418332,
  [SMALL_STATE(9380)] = 418373,
  [SMALL_STATE(9381)] = 418414,
  [SMALL_STATE(9382)] = 418455,
  [SMALL_STATE(9383)] = 418496,
  [SMALL_STATE(9384)] = 418537,
  [SMALL_STATE(9385)] = 418578,
  [SMALL_STATE(9386)] = 418619,
  [SMALL_STATE(9387)] = 418660,
  [SMALL_STATE(9388)] = 418701,
  [SMALL_STATE(9389)] = 418742,
  [SMALL_STATE(9390)] = 418783,
  [SMALL_STATE(9391)] = 418824,
  [SMALL_STATE(9392)] = 418865,
  [SMALL_STATE(9393)] = 418906,
  [SMALL_STATE(9394)] = 418947,
  [SMALL_STATE(9395)] = 418988,
  [SMALL_STATE(9396)] = 419029,
  [SMALL_STATE(9397)] = 419070,
  [SMALL_STATE(9398)] = 419111,
  [SMALL_STATE(9399)] = 419152,
  [SMALL_STATE(9400)] = 419193,
  [SMALL_STATE(9401)] = 419234,
  [SMALL_STATE(9402)] = 419275,
  [SMALL_STATE(9403)] = 419316,
  [SMALL_STATE(9404)] = 419357,
  [SMALL_STATE(9405)] = 419398,
  [SMALL_STATE(9406)] = 419439,
  [SMALL_STATE(9407)] = 419480,
  [SMALL_STATE(9408)] = 419521,
  [SMALL_STATE(9409)] = 419562,
  [SMALL_STATE(9410)] = 419603,
  [SMALL_STATE(9411)] = 419644,
  [SMALL_STATE(9412)] = 419685,
  [SMALL_STATE(9413)] = 419726,
  [SMALL_STATE(9414)] = 419767,
  [SMALL_STATE(9415)] = 419808,
  [SMALL_STATE(9416)] = 419849,
  [SMALL_STATE(9417)] = 419890,
  [SMALL_STATE(9418)] = 419931,
  [SMALL_STATE(9419)] = 419972,
  [SMALL_STATE(9420)] = 420013,
  [SMALL_STATE(9421)] = 420054,
  [SMALL_STATE(9422)] = 420095,
  [SMALL_STATE(9423)] = 420136,
  [SMALL_STATE(9424)] = 420177,
  [SMALL_STATE(9425)] = 420218,
  [SMALL_STATE(9426)] = 420259,
  [SMALL_STATE(9427)] = 420300,
  [SMALL_STATE(9428)] = 420341,
  [SMALL_STATE(9429)] = 420382,
  [SMALL_STATE(9430)] = 420423,
  [SMALL_STATE(9431)] = 420464,
  [SMALL_STATE(9432)] = 420505,
  [SMALL_STATE(9433)] = 420546,
  [SMALL_STATE(9434)] = 420587,
  [SMALL_STATE(9435)] = 420628,
  [SMALL_STATE(9436)] = 420669,
  [SMALL_STATE(9437)] = 420710,
  [SMALL_STATE(9438)] = 420751,
  [SMALL_STATE(9439)] = 420792,
  [SMALL_STATE(9440)] = 420833,
  [SMALL_STATE(9441)] = 420874,
  [SMALL_STATE(9442)] = 420915,
  [SMALL_STATE(9443)] = 420956,
  [SMALL_STATE(9444)] = 420997,
  [SMALL_STATE(9445)] = 421038,
  [SMALL_STATE(9446)] = 421079,
  [SMALL_STATE(9447)] = 421120,
  [SMALL_STATE(9448)] = 421161,
  [SMALL_STATE(9449)] = 421202,
  [SMALL_STATE(9450)] = 421243,
  [SMALL_STATE(9451)] = 421284,
  [SMALL_STATE(9452)] = 421325,
  [SMALL_STATE(9453)] = 421366,
  [SMALL_STATE(9454)] = 421407,
  [SMALL_STATE(9455)] = 421448,
  [SMALL_STATE(9456)] = 421489,
  [SMALL_STATE(9457)] = 421530,
  [SMALL_STATE(9458)] = 421571,
  [SMALL_STATE(9459)] = 421612,
  [SMALL_STATE(9460)] = 421653,
  [SMALL_STATE(9461)] = 421694,
  [SMALL_STATE(9462)] = 421735,
  [SMALL_STATE(9463)] = 421776,
  [SMALL_STATE(9464)] = 421817,
  [SMALL_STATE(9465)] = 421858,
  [SMALL_STATE(9466)] = 421899,
  [SMALL_STATE(9467)] = 421940,
  [SMALL_STATE(9468)] = 421981,
  [SMALL_STATE(9469)] = 422022,
  [SMALL_STATE(9470)] = 422063,
  [SMALL_STATE(9471)] = 422104,
  [SMALL_STATE(9472)] = 422145,
  [SMALL_STATE(9473)] = 422186,
  [SMALL_STATE(9474)] = 422227,
  [SMALL_STATE(9475)] = 422268,
  [SMALL_STATE(9476)] = 422309,
  [SMALL_STATE(9477)] = 422350,
  [SMALL_STATE(9478)] = 422391,
  [SMALL_STATE(9479)] = 422432,
  [SMALL_STATE(9480)] = 422473,
  [SMALL_STATE(9481)] = 422514,
  [SMALL_STATE(9482)] = 422555,
  [SMALL_STATE(9483)] = 422596,
  [SMALL_STATE(9484)] = 422637,
  [SMALL_STATE(9485)] = 422678,
  [SMALL_STATE(9486)] = 422719,
  [SMALL_STATE(9487)] = 422760,
  [SMALL_STATE(9488)] = 422801,
  [SMALL_STATE(9489)] = 422842,
  [SMALL_STATE(9490)] = 422883,
  [SMALL_STATE(9491)] = 422924,
  [SMALL_STATE(9492)] = 422965,
  [SMALL_STATE(9493)] = 423006,
  [SMALL_STATE(9494)] = 423047,
  [SMALL_STATE(9495)] = 423088,
  [SMALL_STATE(9496)] = 423129,
  [SMALL_STATE(9497)] = 423170,
  [SMALL_STATE(9498)] = 423211,
  [SMALL_STATE(9499)] = 423252,
  [SMALL_STATE(9500)] = 423293,
  [SMALL_STATE(9501)] = 423334,
  [SMALL_STATE(9502)] = 423375,
  [SMALL_STATE(9503)] = 423416,
  [SMALL_STATE(9504)] = 423457,
  [SMALL_STATE(9505)] = 423498,
  [SMALL_STATE(9506)] = 423539,
  [SMALL_STATE(9507)] = 423580,
  [SMALL_STATE(9508)] = 423621,
  [SMALL_STATE(9509)] = 423662,
  [SMALL_STATE(9510)] = 423703,
  [SMALL_STATE(9511)] = 423744,
  [SMALL_STATE(9512)] = 423785,
  [SMALL_STATE(9513)] = 423826,
  [SMALL_STATE(9514)] = 423867,
  [SMALL_STATE(9515)] = 423908,
  [SMALL_STATE(9516)] = 423949,
  [SMALL_STATE(9517)] = 423990,
  [SMALL_STATE(9518)] = 424031,
  [SMALL_STATE(9519)] = 424072,
  [SMALL_STATE(9520)] = 424113,
  [SMALL_STATE(9521)] = 424154,
  [SMALL_STATE(9522)] = 424195,
  [SMALL_STATE(9523)] = 424236,
  [SMALL_STATE(9524)] = 424277,
  [SMALL_STATE(9525)] = 424318,
  [SMALL_STATE(9526)] = 424359,
  [SMALL_STATE(9527)] = 424400,
  [SMALL_STATE(9528)] = 424441,
  [SMALL_STATE(9529)] = 424482,
  [SMALL_STATE(9530)] = 424523,
  [SMALL_STATE(9531)] = 424564,
  [SMALL_STATE(9532)] = 424605,
  [SMALL_STATE(9533)] = 424646,
  [SMALL_STATE(9534)] = 424687,
  [SMALL_STATE(9535)] = 424728,
  [SMALL_STATE(9536)] = 424769,
  [SMALL_STATE(9537)] = 424810,
  [SMALL_STATE(9538)] = 424851,
  [SMALL_STATE(9539)] = 424892,
  [SMALL_STATE(9540)] = 424933,
  [SMALL_STATE(9541)] = 424974,
  [SMALL_STATE(9542)] = 425015,
  [SMALL_STATE(9543)] = 425056,
  [SMALL_STATE(9544)] = 425097,
  [SMALL_STATE(9545)] = 425138,
  [SMALL_STATE(9546)] = 425179,
  [SMALL_STATE(9547)] = 425220,
  [SMALL_STATE(9548)] = 425261,
  [SMALL_STATE(9549)] = 425302,
  [SMALL_STATE(9550)] = 425343,
  [SMALL_STATE(9551)] = 425384,
  [SMALL_STATE(9552)] = 425425,
  [SMALL_STATE(9553)] = 425466,
  [SMALL_STATE(9554)] = 425507,
  [SMALL_STATE(9555)] = 425548,
  [SMALL_STATE(9556)] = 425589,
  [SMALL_STATE(9557)] = 425630,
  [SMALL_STATE(9558)] = 425671,
  [SMALL_STATE(9559)] = 425712,
  [SMALL_STATE(9560)] = 425753,
  [SMALL_STATE(9561)] = 425794,
  [SMALL_STATE(9562)] = 425835,
  [SMALL_STATE(9563)] = 425876,
  [SMALL_STATE(9564)] = 425917,
  [SMALL_STATE(9565)] = 425958,
  [SMALL_STATE(9566)] = 425999,
  [SMALL_STATE(9567)] = 426040,
  [SMALL_STATE(9568)] = 426081,
  [SMALL_STATE(9569)] = 426122,
  [SMALL_STATE(9570)] = 426163,
  [SMALL_STATE(9571)] = 426204,
  [SMALL_STATE(9572)] = 426245,
  [SMALL_STATE(9573)] = 426286,
  [SMALL_STATE(9574)] = 426327,
  [SMALL_STATE(9575)] = 426368,
  [SMALL_STATE(9576)] = 426409,
  [SMALL_STATE(9577)] = 426450,
  [SMALL_STATE(9578)] = 426491,
  [SMALL_STATE(9579)] = 426532,
  [SMALL_STATE(9580)] = 426573,
  [SMALL_STATE(9581)] = 426614,
  [SMALL_STATE(9582)] = 426655,
  [SMALL_STATE(9583)] = 426696,
  [SMALL_STATE(9584)] = 426737,
  [SMALL_STATE(9585)] = 426778,
  [SMALL_STATE(9586)] = 426819,
  [SMALL_STATE(9587)] = 426860,
  [SMALL_STATE(9588)] = 426901,
  [SMALL_STATE(9589)] = 426942,
  [SMALL_STATE(9590)] = 426983,
  [SMALL_STATE(9591)] = 427024,
  [SMALL_STATE(9592)] = 427065,
  [SMALL_STATE(9593)] = 427106,
  [SMALL_STATE(9594)] = 427147,
  [SMALL_STATE(9595)] = 427188,
  [SMALL_STATE(9596)] = 427229,
  [SMALL_STATE(9597)] = 427270,
  [SMALL_STATE(9598)] = 427311,
  [SMALL_STATE(9599)] = 427352,
  [SMALL_STATE(9600)] = 427393,
  [SMALL_STATE(9601)] = 427434,
  [SMALL_STATE(9602)] = 427475,
  [SMALL_STATE(9603)] = 427516,
  [SMALL_STATE(9604)] = 427557,
  [SMALL_STATE(9605)] = 427598,
  [SMALL_STATE(9606)] = 427639,
  [SMALL_STATE(9607)] = 427680,
  [SMALL_STATE(9608)] = 427721,
  [SMALL_STATE(9609)] = 427762,
  [SMALL_STATE(9610)] = 427803,
  [SMALL_STATE(9611)] = 427844,
  [SMALL_STATE(9612)] = 427885,
  [SMALL_STATE(9613)] = 427926,
  [SMALL_STATE(9614)] = 427967,
  [SMALL_STATE(9615)] = 428008,
  [SMALL_STATE(9616)] = 428049,
  [SMALL_STATE(9617)] = 428090,
  [SMALL_STATE(9618)] = 428131,
  [SMALL_STATE(9619)] = 428172,
  [SMALL_STATE(9620)] = 428213,
  [SMALL_STATE(9621)] = 428254,
  [SMALL_STATE(9622)] = 428295,
  [SMALL_STATE(9623)] = 428336,
  [SMALL_STATE(9624)] = 428377,
  [SMALL_STATE(9625)] = 428418,
  [SMALL_STATE(9626)] = 428459,
  [SMALL_STATE(9627)] = 428500,
  [SMALL_STATE(9628)] = 428541,
  [SMALL_STATE(9629)] = 428582,
  [SMALL_STATE(9630)] = 428623,
  [SMALL_STATE(9631)] = 428664,
  [SMALL_STATE(9632)] = 428705,
  [SMALL_STATE(9633)] = 428746,
  [SMALL_STATE(9634)] = 428787,
  [SMALL_STATE(9635)] = 428828,
  [SMALL_STATE(9636)] = 428869,
  [SMALL_STATE(9637)] = 428910,
  [SMALL_STATE(9638)] = 428951,
  [SMALL_STATE(9639)] = 428992,
  [SMALL_STATE(9640)] = 429033,
  [SMALL_STATE(9641)] = 429074,
  [SMALL_STATE(9642)] = 429115,
  [SMALL_STATE(9643)] = 429156,
  [SMALL_STATE(9644)] = 429197,
  [SMALL_STATE(9645)] = 429238,
  [SMALL_STATE(9646)] = 429279,
  [SMALL_STATE(9647)] = 429320,
  [SMALL_STATE(9648)] = 429361,
  [SMALL_STATE(9649)] = 429402,
  [SMALL_STATE(9650)] = 429443,
  [SMALL_STATE(9651)] = 429484,
  [SMALL_STATE(9652)] = 429525,
  [SMALL_STATE(9653)] = 429566,
  [SMALL_STATE(9654)] = 429607,
  [SMALL_STATE(9655)] = 429648,
  [SMALL_STATE(9656)] = 429689,
  [SMALL_STATE(9657)] = 429730,
  [SMALL_STATE(9658)] = 429771,
  [SMALL_STATE(9659)] = 429812,
  [SMALL_STATE(9660)] = 429853,
  [SMALL_STATE(9661)] = 429894,
  [SMALL_STATE(9662)] = 429935,
  [SMALL_STATE(9663)] = 429976,
  [SMALL_STATE(9664)] = 430017,
  [SMALL_STATE(9665)] = 430058,
  [SMALL_STATE(9666)] = 430099,
  [SMALL_STATE(9667)] = 430140,
  [SMALL_STATE(9668)] = 430181,
  [SMALL_STATE(9669)] = 430222,
  [SMALL_STATE(9670)] = 430263,
  [SMALL_STATE(9671)] = 430304,
  [SMALL_STATE(9672)] = 430345,
  [SMALL_STATE(9673)] = 430386,
  [SMALL_STATE(9674)] = 430427,
  [SMALL_STATE(9675)] = 430468,
  [SMALL_STATE(9676)] = 430509,
  [SMALL_STATE(9677)] = 430550,
  [SMALL_STATE(9678)] = 430591,
  [SMALL_STATE(9679)] = 430632,
  [SMALL_STATE(9680)] = 430673,
  [SMALL_STATE(9681)] = 430714,
  [SMALL_STATE(9682)] = 430755,
  [SMALL_STATE(9683)] = 430796,
  [SMALL_STATE(9684)] = 430837,
  [SMALL_STATE(9685)] = 430878,
  [SMALL_STATE(9686)] = 430919,
  [SMALL_STATE(9687)] = 430960,
  [SMALL_STATE(9688)] = 431001,
  [SMALL_STATE(9689)] = 431042,
  [SMALL_STATE(9690)] = 431083,
  [SMALL_STATE(9691)] = 431124,
  [SMALL_STATE(9692)] = 431165,
  [SMALL_STATE(9693)] = 431206,
  [SMALL_STATE(9694)] = 431247,
  [SMALL_STATE(9695)] = 431288,
  [SMALL_STATE(9696)] = 431329,
  [SMALL_STATE(9697)] = 431370,
  [SMALL_STATE(9698)] = 431411,
  [SMALL_STATE(9699)] = 431452,
  [SMALL_STATE(9700)] = 431493,
  [SMALL_STATE(9701)] = 431534,
  [SMALL_STATE(9702)] = 431575,
  [SMALL_STATE(9703)] = 431616,
  [SMALL_STATE(9704)] = 431657,
  [SMALL_STATE(9705)] = 431698,
  [SMALL_STATE(9706)] = 431739,
  [SMALL_STATE(9707)] = 431780,
  [SMALL_STATE(9708)] = 431821,
  [SMALL_STATE(9709)] = 431862,
  [SMALL_STATE(9710)] = 431903,
  [SMALL_STATE(9711)] = 431944,
  [SMALL_STATE(9712)] = 431985,
  [SMALL_STATE(9713)] = 432026,
  [SMALL_STATE(9714)] = 432067,
  [SMALL_STATE(9715)] = 432108,
  [SMALL_STATE(9716)] = 432149,
  [SMALL_STATE(9717)] = 432190,
  [SMALL_STATE(9718)] = 432231,
  [SMALL_STATE(9719)] = 432272,
  [SMALL_STATE(9720)] = 432313,
  [SMALL_STATE(9721)] = 432354,
  [SMALL_STATE(9722)] = 432395,
  [SMALL_STATE(9723)] = 432436,
  [SMALL_STATE(9724)] = 432477,
  [SMALL_STATE(9725)] = 432518,
  [SMALL_STATE(9726)] = 432559,
  [SMALL_STATE(9727)] = 432600,
  [SMALL_STATE(9728)] = 432641,
  [SMALL_STATE(9729)] = 432682,
  [SMALL_STATE(9730)] = 432723,
  [SMALL_STATE(9731)] = 432764,
  [SMALL_STATE(9732)] = 432805,
  [SMALL_STATE(9733)] = 432846,
  [SMALL_STATE(9734)] = 432887,
  [SMALL_STATE(9735)] = 432928,
  [SMALL_STATE(9736)] = 432969,
  [SMALL_STATE(9737)] = 433010,
  [SMALL_STATE(9738)] = 433051,
  [SMALL_STATE(9739)] = 433092,
  [SMALL_STATE(9740)] = 433133,
  [SMALL_STATE(9741)] = 433174,
  [SMALL_STATE(9742)] = 433215,
  [SMALL_STATE(9743)] = 433256,
  [SMALL_STATE(9744)] = 433297,
  [SMALL_STATE(9745)] = 433338,
  [SMALL_STATE(9746)] = 433379,
  [SMALL_STATE(9747)] = 433420,
  [SMALL_STATE(9748)] = 433461,
  [SMALL_STATE(9749)] = 433502,
  [SMALL_STATE(9750)] = 433543,
  [SMALL_STATE(9751)] = 433584,
  [SMALL_STATE(9752)] = 433625,
  [SMALL_STATE(9753)] = 433666,
  [SMALL_STATE(9754)] = 433707,
  [SMALL_STATE(9755)] = 433748,
  [SMALL_STATE(9756)] = 433789,
  [SMALL_STATE(9757)] = 433830,
  [SMALL_STATE(9758)] = 433871,
  [SMALL_STATE(9759)] = 433912,
  [SMALL_STATE(9760)] = 433953,
  [SMALL_STATE(9761)] = 433994,
  [SMALL_STATE(9762)] = 434035,
  [SMALL_STATE(9763)] = 434076,
  [SMALL_STATE(9764)] = 434117,
  [SMALL_STATE(9765)] = 434158,
  [SMALL_STATE(9766)] = 434199,
  [SMALL_STATE(9767)] = 434240,
  [SMALL_STATE(9768)] = 434281,
  [SMALL_STATE(9769)] = 434322,
  [SMALL_STATE(9770)] = 434363,
  [SMALL_STATE(9771)] = 434404,
  [SMALL_STATE(9772)] = 434445,
  [SMALL_STATE(9773)] = 434486,
  [SMALL_STATE(9774)] = 434527,
  [SMALL_STATE(9775)] = 434568,
  [SMALL_STATE(9776)] = 434609,
  [SMALL_STATE(9777)] = 434650,
  [SMALL_STATE(9778)] = 434691,
  [SMALL_STATE(9779)] = 434732,
  [SMALL_STATE(9780)] = 434773,
  [SMALL_STATE(9781)] = 434814,
  [SMALL_STATE(9782)] = 434855,
  [SMALL_STATE(9783)] = 434896,
  [SMALL_STATE(9784)] = 434937,
  [SMALL_STATE(9785)] = 434978,
  [SMALL_STATE(9786)] = 435019,
  [SMALL_STATE(9787)] = 435060,
  [SMALL_STATE(9788)] = 435101,
  [SMALL_STATE(9789)] = 435142,
  [SMALL_STATE(9790)] = 435183,
  [SMALL_STATE(9791)] = 435224,
  [SMALL_STATE(9792)] = 435265,
  [SMALL_STATE(9793)] = 435306,
  [SMALL_STATE(9794)] = 435347,
  [SMALL_STATE(9795)] = 435388,
  [SMALL_STATE(9796)] = 435429,
  [SMALL_STATE(9797)] = 435470,
  [SMALL_STATE(9798)] = 435511,
  [SMALL_STATE(9799)] = 435552,
  [SMALL_STATE(9800)] = 435593,
  [SMALL_STATE(9801)] = 435634,
  [SMALL_STATE(9802)] = 435675,
  [SMALL_STATE(9803)] = 435716,
  [SMALL_STATE(9804)] = 435757,
  [SMALL_STATE(9805)] = 435798,
  [SMALL_STATE(9806)] = 435839,
  [SMALL_STATE(9807)] = 435880,
  [SMALL_STATE(9808)] = 435921,
  [SMALL_STATE(9809)] = 435962,
  [SMALL_STATE(9810)] = 436003,
  [SMALL_STATE(9811)] = 436044,
  [SMALL_STATE(9812)] = 436085,
  [SMALL_STATE(9813)] = 436126,
  [SMALL_STATE(9814)] = 436167,
  [SMALL_STATE(9815)] = 436208,
  [SMALL_STATE(9816)] = 436249,
  [SMALL_STATE(9817)] = 436290,
  [SMALL_STATE(9818)] = 436331,
  [SMALL_STATE(9819)] = 436372,
  [SMALL_STATE(9820)] = 436413,
  [SMALL_STATE(9821)] = 436454,
  [SMALL_STATE(9822)] = 436495,
  [SMALL_STATE(9823)] = 436536,
  [SMALL_STATE(9824)] = 436577,
  [SMALL_STATE(9825)] = 436618,
  [SMALL_STATE(9826)] = 436659,
  [SMALL_STATE(9827)] = 436700,
  [SMALL_STATE(9828)] = 436741,
  [SMALL_STATE(9829)] = 436782,
  [SMALL_STATE(9830)] = 436823,
  [SMALL_STATE(9831)] = 436864,
  [SMALL_STATE(9832)] = 436905,
  [SMALL_STATE(9833)] = 436946,
  [SMALL_STATE(9834)] = 436987,
  [SMALL_STATE(9835)] = 437028,
  [SMALL_STATE(9836)] = 437069,
  [SMALL_STATE(9837)] = 437110,
  [SMALL_STATE(9838)] = 437151,
  [SMALL_STATE(9839)] = 437192,
  [SMALL_STATE(9840)] = 437233,
  [SMALL_STATE(9841)] = 437274,
  [SMALL_STATE(9842)] = 437315,
  [SMALL_STATE(9843)] = 437356,
  [SMALL_STATE(9844)] = 437397,
  [SMALL_STATE(9845)] = 437438,
  [SMALL_STATE(9846)] = 437479,
  [SMALL_STATE(9847)] = 437520,
  [SMALL_STATE(9848)] = 437561,
  [SMALL_STATE(9849)] = 437602,
  [SMALL_STATE(9850)] = 437643,
  [SMALL_STATE(9851)] = 437684,
  [SMALL_STATE(9852)] = 437725,
  [SMALL_STATE(9853)] = 437766,
  [SMALL_STATE(9854)] = 437807,
  [SMALL_STATE(9855)] = 437848,
  [SMALL_STATE(9856)] = 437889,
  [SMALL_STATE(9857)] = 437930,
  [SMALL_STATE(9858)] = 437971,
  [SMALL_STATE(9859)] = 438012,
  [SMALL_STATE(9860)] = 438053,
  [SMALL_STATE(9861)] = 438094,
  [SMALL_STATE(9862)] = 438135,
  [SMALL_STATE(9863)] = 438176,
  [SMALL_STATE(9864)] = 438217,
  [SMALL_STATE(9865)] = 438258,
  [SMALL_STATE(9866)] = 438299,
  [SMALL_STATE(9867)] = 438340,
  [SMALL_STATE(9868)] = 438381,
  [SMALL_STATE(9869)] = 438422,
  [SMALL_STATE(9870)] = 438463,
  [SMALL_STATE(9871)] = 438504,
  [SMALL_STATE(9872)] = 438545,
  [SMALL_STATE(9873)] = 438586,
  [SMALL_STATE(9874)] = 438627,
  [SMALL_STATE(9875)] = 438668,
  [SMALL_STATE(9876)] = 438709,
  [SMALL_STATE(9877)] = 438750,
  [SMALL_STATE(9878)] = 438791,
  [SMALL_STATE(9879)] = 438832,
  [SMALL_STATE(9880)] = 438873,
  [SMALL_STATE(9881)] = 438914,
  [SMALL_STATE(9882)] = 438955,
  [SMALL_STATE(9883)] = 438996,
  [SMALL_STATE(9884)] = 439037,
  [SMALL_STATE(9885)] = 439078,
  [SMALL_STATE(9886)] = 439119,
  [SMALL_STATE(9887)] = 439160,
  [SMALL_STATE(9888)] = 439201,
  [SMALL_STATE(9889)] = 439242,
  [SMALL_STATE(9890)] = 439283,
  [SMALL_STATE(9891)] = 439324,
  [SMALL_STATE(9892)] = 439365,
  [SMALL_STATE(9893)] = 439406,
  [SMALL_STATE(9894)] = 439447,
  [SMALL_STATE(9895)] = 439488,
  [SMALL_STATE(9896)] = 439529,
  [SMALL_STATE(9897)] = 439570,
  [SMALL_STATE(9898)] = 439611,
  [SMALL_STATE(9899)] = 439652,
  [SMALL_STATE(9900)] = 439693,
  [SMALL_STATE(9901)] = 439734,
  [SMALL_STATE(9902)] = 439775,
  [SMALL_STATE(9903)] = 439816,
  [SMALL_STATE(9904)] = 439857,
  [SMALL_STATE(9905)] = 439898,
  [SMALL_STATE(9906)] = 439939,
  [SMALL_STATE(9907)] = 439980,
  [SMALL_STATE(9908)] = 440021,
  [SMALL_STATE(9909)] = 440062,
  [SMALL_STATE(9910)] = 440103,
  [SMALL_STATE(9911)] = 440144,
  [SMALL_STATE(9912)] = 440185,
  [SMALL_STATE(9913)] = 440226,
  [SMALL_STATE(9914)] = 440267,
  [SMALL_STATE(9915)] = 440308,
  [SMALL_STATE(9916)] = 440349,
  [SMALL_STATE(9917)] = 440390,
  [SMALL_STATE(9918)] = 440431,
  [SMALL_STATE(9919)] = 440472,
  [SMALL_STATE(9920)] = 440513,
  [SMALL_STATE(9921)] = 440554,
  [SMALL_STATE(9922)] = 440595,
  [SMALL_STATE(9923)] = 440636,
  [SMALL_STATE(9924)] = 440677,
  [SMALL_STATE(9925)] = 440718,
  [SMALL_STATE(9926)] = 440759,
  [SMALL_STATE(9927)] = 440800,
  [SMALL_STATE(9928)] = 440841,
  [SMALL_STATE(9929)] = 440882,
  [SMALL_STATE(9930)] = 440923,
  [SMALL_STATE(9931)] = 440964,
  [SMALL_STATE(9932)] = 441005,
  [SMALL_STATE(9933)] = 441046,
  [SMALL_STATE(9934)] = 441087,
  [SMALL_STATE(9935)] = 441128,
  [SMALL_STATE(9936)] = 441169,
  [SMALL_STATE(9937)] = 441210,
  [SMALL_STATE(9938)] = 441251,
  [SMALL_STATE(9939)] = 441292,
  [SMALL_STATE(9940)] = 441333,
  [SMALL_STATE(9941)] = 441374,
  [SMALL_STATE(9942)] = 441415,
  [SMALL_STATE(9943)] = 441456,
  [SMALL_STATE(9944)] = 441497,
  [SMALL_STATE(9945)] = 441538,
  [SMALL_STATE(9946)] = 441579,
  [SMALL_STATE(9947)] = 441620,
  [SMALL_STATE(9948)] = 441661,
  [SMALL_STATE(9949)] = 441702,
  [SMALL_STATE(9950)] = 441743,
  [SMALL_STATE(9951)] = 441784,
  [SMALL_STATE(9952)] = 441825,
  [SMALL_STATE(9953)] = 441866,
  [SMALL_STATE(9954)] = 441907,
  [SMALL_STATE(9955)] = 441948,
  [SMALL_STATE(9956)] = 441989,
  [SMALL_STATE(9957)] = 442030,
  [SMALL_STATE(9958)] = 442071,
  [SMALL_STATE(9959)] = 442112,
  [SMALL_STATE(9960)] = 442153,
  [SMALL_STATE(9961)] = 442194,
  [SMALL_STATE(9962)] = 442235,
  [SMALL_STATE(9963)] = 442276,
  [SMALL_STATE(9964)] = 442317,
  [SMALL_STATE(9965)] = 442358,
  [SMALL_STATE(9966)] = 442399,
  [SMALL_STATE(9967)] = 442440,
  [SMALL_STATE(9968)] = 442481,
  [SMALL_STATE(9969)] = 442522,
  [SMALL_STATE(9970)] = 442563,
  [SMALL_STATE(9971)] = 442604,
  [SMALL_STATE(9972)] = 442645,
  [SMALL_STATE(9973)] = 442686,
  [SMALL_STATE(9974)] = 442727,
  [SMALL_STATE(9975)] = 442768,
  [SMALL_STATE(9976)] = 442809,
  [SMALL_STATE(9977)] = 442850,
  [SMALL_STATE(9978)] = 442891,
  [SMALL_STATE(9979)] = 442932,
  [SMALL_STATE(9980)] = 442973,
  [SMALL_STATE(9981)] = 443014,
  [SMALL_STATE(9982)] = 443018,
  [SMALL_STATE(9983)] = 443022,
  [SMALL_STATE(9984)] = 443026,
  [SMALL_STATE(9985)] = 443030,
  [SMALL_STATE(9986)] = 443034,
  [SMALL_STATE(9987)] = 443038,
  [SMALL_STATE(9988)] = 443042,
  [SMALL_STATE(9989)] = 443046,
  [SMALL_STATE(9990)] = 443050,
  [SMALL_STATE(9991)] = 443054,
  [SMALL_STATE(9992)] = 443058,
  [SMALL_STATE(9993)] = 443062,
  [SMALL_STATE(9994)] = 443066,
  [SMALL_STATE(9995)] = 443070,
  [SMALL_STATE(9996)] = 443074,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [21] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6823),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7390),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7172),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8516),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5439),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9352),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9599),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9720),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9053),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9085),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8921),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8926),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9876),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9111),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9857),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9891),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9030),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9545),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9195),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6849),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7337),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9220),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9729),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9942),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9730),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8928),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9971),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9731),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_top_level, 3, 0, 37),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_top_level, 4, 0, 37),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(4056),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2226),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(3828),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(3998),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(512),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(6849),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(7334),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(7335),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(7336),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(7337),
  [309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(4356),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(7236),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(3802),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2655),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(4057),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(8567),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(1483),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(3783),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2765),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(5439),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9220),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9222),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9729),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9942),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9730),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2817),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(8928),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(4310),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(1015),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(8733),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(364),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9971),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(685),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9731),
  [402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(2440),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(7931),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(5190),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9857),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9891),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9030),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9545),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9195),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(8704),
  [435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(6266),
  [441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0),
  [443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9537),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9104),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9486),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 2, 0, 0), SHIFT_REPEAT(9312),
  [455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3957),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2445),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2894),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3833),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3998),
  [481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(513),
  [484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1117),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6823),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7390),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(673),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7367),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7298),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7364),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4359),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7172),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3802),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2655),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3975),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2932),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8516),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1483),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3783),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2765),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5439),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9352),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9599),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(132),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9720),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9053),
  [574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9085),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8921),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4310),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1057),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8926),
  [592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(368),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9876),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9111),
  [604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2440),
  [610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7931),
  [613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5190),
  [616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9857),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9891),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9030),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9545),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9195),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8704),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6273),
  [643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9537),
  [646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9104),
  [649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9486),
  [652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9312),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_top_level, 2, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_top_level, 1, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8676),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9866),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9870),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9446),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9899),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9447),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8976),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8969),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9957),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9448),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_section, 3, 0, 0),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_section, 3, 0, 0),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_section, 2, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_section, 2, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_section, 4, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_section, 4, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4711),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3100),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4415),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4702),
  [780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(520),
  [783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(522),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(24),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8140),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2733),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4736),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3119),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8676),
  [812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1390),
  [821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1483),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2737),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3783),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2765),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5439),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9866),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9870),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9446),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9899),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9447),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2834),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8976),
  [863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4310),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(812),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8969),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(361),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9957),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(712),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9448),
  [886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(253),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2440),
  [892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(7931),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(5190),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9857),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9891),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9030),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9545),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9195),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(8704),
  [919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(4236),
  [922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(6212),
  [925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9537),
  [928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9104),
  [931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9486),
  [934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9312),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_section, 5, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_section, 5, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9667),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9670),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9658),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9930),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9659),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8918),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8915),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9967),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9660),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9376),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9539),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6806),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 1, 0, 0),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 1, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9809),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9778),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9779),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9806),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9807),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9976),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9671),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 2, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 2, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8225),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9668),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5213),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9450),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9451),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9663),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9664),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9784),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9780),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9781),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9975),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8168),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9739),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5750),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6902),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9732),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9733),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9734),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9735),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9972),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9462),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9661),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9662),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9453),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9958),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [1865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4445),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_expression, 1, 0, 0),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_expression, 1, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_expression, 4, 0, 15),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_expression, 4, 0, 15),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4418),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9962),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9974),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9640),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9970),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4584),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9460),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9929),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_expression, 3, 0, 37),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 1, 0, 1),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 1, 0, 1),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7246),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7177),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7210),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_rank_specifier_repeat1, 1, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_expression, 1, 0, 0),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_top_level, 4, 0, 37),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_top_level, 4, 0, 37),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_expression, 4, 0, 37),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_expression, 4, 0, 37),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [2995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [2997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_expression, 2, 0, 0),
  [2999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_expression, 2, 0, 0),
  [3001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 7),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 7),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7921),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 7),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 7),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [3017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7921),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7888),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8947),
  [3024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7888),
  [3027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 4, 0, 77),
  [3029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 4, 0, 77),
  [3031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [3033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [3035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 55),
  [3037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 55),
  [3039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 7),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 7),
  [3043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 106),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 106),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4529),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6761),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6787),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7384),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4722),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4751),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5288),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [3105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [3107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [3109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [3113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unsafe_statement, 2, 0, 0),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unsafe_statement, 2, 0, 0),
  [3117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_checked_statement, 2, 0, 0),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_checked_statement, 2, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [3129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [3131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [3133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [3137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, 0, 0),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_declaration_statement, 2, 0, 0),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_declaration_statement, 2, 0, 0),
  [3145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [3149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_declaration_statement, 3, 0, 0),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_declaration_statement, 3, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 20),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 20),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [3173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_declaration_statement, 4, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_declaration_statement, 4, 0, 0),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 4, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 4, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 7),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 7),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 4, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 4, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_body, 1, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_body, 1, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_body, 1, 0, 39),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_body, 1, 0, 39),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 4, 0, 40),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 4, 0, 40),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_statement, 5, 0, 46),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_statement, 5, 0, 46),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fixed_statement, 5, 0, 0),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fixed_statement, 5, 0, 0),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 53),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 53),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lock_statement, 5, 0, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lock_statement, 5, 0, 0),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 54),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 54),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_declaration_statement, 5, 0, 0),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_declaration_statement, 5, 0, 0),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 56),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 56),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_top_level, 5, 0, 57),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_top_level, 5, 0, 57),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_top_level, 5, 0, 37),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_top_level, 5, 0, 37),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 5, 0, 61),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 5, 0, 61),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 37),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 5, 0, 62),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 5, 0, 62),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 5, 0, 66),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 5, 0, 66),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 76),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 76),
  [3273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_statement, 6, 0, 76),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_statement, 6, 0, 76),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_top_level, 6, 0, 79),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_top_level, 6, 0, 79),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 6, 0, 80),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 6, 0, 80),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 6, 0, 86),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 6, 0, 86),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 6, 0, 87),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 6, 0, 87),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 6, 0, 88),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 6, 0, 88),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 7, 0, 102),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 7, 0, 102),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 103),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 103),
  [3305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 104),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 104),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 105),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 105),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 107),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 107),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 7, 0, 112),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 7, 0, 112),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 7, 0, 117),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 7, 0, 117),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 7, 0, 118),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 7, 0, 118),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 138),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 138),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 139),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 139),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 140),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 140),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 141),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 141),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 142),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 142),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 8, 0, 143),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 8, 0, 143),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 8, 0, 144),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 8, 0, 144),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_statement, 8, 0, 150),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_statement, 8, 0, 150),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 176),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 176),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 177),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 177),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 178),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 178),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 179),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 179),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 180),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 180),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 181),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 181),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 205),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 205),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 206),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 206),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 207),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 207),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 220),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 220),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 3, 0, 37),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_body, 2, 0, 39),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_body, 2, 0, 39),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 14),
  [3409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 14),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 11, 0, 221),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 11, 0, 221),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 11, 0, 116),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 11, 0, 116),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 11, 0, 221),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 11, 0, 221),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 71),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 71),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 6, 0, 84),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 6, 0, 84),
  [3431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_attribute, 5, 0, 0),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_attribute, 5, 0, 0),
  [3435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 6, 0, 82),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 6, 0, 82),
  [3439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 85),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 85),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 82),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 82),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 82),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 82),
  [3451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 82),
  [3453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 82),
  [3455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 82),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 82),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 7, 0, 85),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 7, 0, 85),
  [3463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 97),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 97),
  [3467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 7, 0, 98),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 7, 0, 98),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 7, 0, 97),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 7, 0, 97),
  [3475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_attribute, 6, 0, 0),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_attribute, 6, 0, 0),
  [3479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_attribute, 7, 0, 0),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_attribute, 7, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 100),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 100),
  [3487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 1, 0, 0),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 1, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 7, 0, 75),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 7, 0, 75),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 29),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 29),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 98),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 98),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 14),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 14),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 97),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 97),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 1, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_top_level_repeat1, 1, 0, 0),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 98),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 98),
  [3519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 7, 0, 109),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 7, 0, 109),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 110),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 110),
  [3527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 98),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 98),
  [3531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 7, 0, 111),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 7, 0, 111),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 7, 0, 84),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 7, 0, 84),
  [3539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 85),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 85),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 109),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 109),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 109),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 109),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 7, 0, 113),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 7, 0, 113),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 109),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 109),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 114),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 114),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 109),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 109),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 7, 0, 115),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 7, 0, 115),
  [3571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 116),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 116),
  [3575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 113),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 113),
  [3579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 136),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 136),
  [3583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 8, 0, 137),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 8, 0, 137),
  [3587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 8, 0, 136),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 8, 0, 136),
  [3591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 29),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 29),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 137),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 137),
  [3599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 14),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 14),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 136),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 136),
  [3607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 71),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 71),
  [3611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 137),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 137),
  [3615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4471),
  [3618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3797),
  [3621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4529),
  [3624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6761),
  [3627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6787),
  [3630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3802),
  [3633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5410),
  [3636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4592),
  [3639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4718),
  [3642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6860),
  [3645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7352),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4534),
  [3651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7366),
  [3654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7383),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7384),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4722),
  [3665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7220),
  [3668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3369),
  [3671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7358),
  [3674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6782),
  [3677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4565),
  [3680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4751),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5288),
  [3686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6258),
  [3689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 8, 0, 145),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 8, 0, 145),
  [3693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 8, 0, 146),
  [3695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 8, 0, 146),
  [3697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 8, 0, 111),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 8, 0, 111),
  [3701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 85),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 85),
  [3705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 145),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 145),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 3, 0, 0),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 3, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 145),
  [3715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 145),
  [3717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 8, 0, 147),
  [3719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 8, 0, 147),
  [3721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 8, 0, 148),
  [3723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 8, 0, 148),
  [3725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_scoped_namespace_declaration, 3, 0, 14),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_scoped_namespace_declaration, 3, 0, 14),
  [3729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 71),
  [3731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 71),
  [3733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 8, 0, 149),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 8, 0, 149),
  [3737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 8, 0, 115),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 8, 0, 115),
  [3741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 116),
  [3743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 116),
  [3745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 8, 0, 147),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 8, 0, 147),
  [3749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 9, 0, 175),
  [3751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 9, 0, 175),
  [3753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 9, 0, 29),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 9, 0, 29),
  [3757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 9, 0, 175),
  [3759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 9, 0, 175),
  [3761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 4, 0, 0),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 4, 0, 0),
  [3765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_declaration, 4, 0, 35),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_declaration, 4, 0, 35),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, 0, 175),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, 0, 175),
  [3773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 35),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 35),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 9, 0, 182),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 9, 0, 182),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_alias_directive, 4, 0, 29),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_alias_directive, 4, 0, 29),
  [3785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 9, 0, 85),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 9, 0, 85),
  [3789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 9, 0, 182),
  [3791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 9, 0, 182),
  [3793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, 0, 182),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, 0, 182),
  [3797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 9, 0, 183),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 9, 0, 183),
  [3801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 9, 0, 184),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 9, 0, 184),
  [3805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 9, 0, 149),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 9, 0, 149),
  [3809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 9, 0, 116),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 9, 0, 116),
  [3813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 9, 0, 183),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 9, 0, 183),
  [3817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 10, 0, 208),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 10, 0, 208),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 10, 0, 85),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 10, 0, 85),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 10, 0, 208),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 10, 0, 208),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 4, 0, 35),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 4, 0, 35),
  [3833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 35),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 35),
  [3837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 35),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 35),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 14),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 14),
  [3845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 35),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 35),
  [3849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 83),
  [3851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 83),
  [3853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 10, 0, 208),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 10, 0, 208),
  [3857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 5, 0, 0),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 5, 0, 0),
  [3861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 5, 0, 14),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 5, 0, 14),
  [3865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 48),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 48),
  [3869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 10, 0, 209),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 10, 0, 209),
  [3873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, 0, 49),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, 0, 49),
  [3877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, 0, 48),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, 0, 48),
  [3881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 48),
  [3883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 48),
  [3885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 50),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 50),
  [3889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 48),
  [3891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 48),
  [3893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 5, 0, 52),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 5, 0, 52),
  [3897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 29),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 29),
  [3901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 49),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 49),
  [3905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 70),
  [3907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 70),
  [3909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 48),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 48),
  [3913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 10, 0, 116),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 10, 0, 116),
  [3917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 49),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 49),
  [3921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 49),
  [3923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 49),
  [3925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 49),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 49),
  [3929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 6, 0, 0),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 6, 0, 0),
  [3933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 10, 0, 209),
  [3935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 10, 0, 209),
  [3937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_directive, 6, 0, 29),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_directive, 6, 0, 29),
  [3941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 70),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 70),
  [3945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 6, 0, 71),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 6, 0, 71),
  [3949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 6, 0, 70),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 6, 0, 70),
  [3953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 73),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 73),
  [3957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 70),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 70),
  [3961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 6, 0, 75),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 6, 0, 75),
  [3965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delegate_declaration, 6, 0, 52),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delegate_declaration, 6, 0, 52),
  [3969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 29),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 29),
  [3973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 71),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 71),
  [3977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 14),
  [3979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 14),
  [3981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 8, 0, 145),
  [3983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 8, 0, 145),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7816),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [3989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4471),
  [3992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4529),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [3997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [3999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4592),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9241),
  [4006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4565),
  [4009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4751),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0),
  [4016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_compilation_unit_repeat1, 1, 0, 0),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_compilation_unit_repeat1, 1, 0, 0),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 1, 0, 0),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_statement, 1, 0, 0),
  [4026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7816),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [4037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifier, 1, 0, 0),
  [4042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_modifier, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [4047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 1, 0, 0),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 1, 0, 0),
  [4051] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 1, 0, 1), SHIFT(2744),
  [4055] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 1, 0, 1), SHIFT(2745),
  [4059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0), REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 1, 0, 1),
  [4062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(2930),
  [4065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(2927),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [4070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(2744),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(2745),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [4078] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3921),
  [4082] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3920),
  [4086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [4089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [4092] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(6840),
  [4096] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4073),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3208),
  [4105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3194),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [4110] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(6847),
  [4114] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4098),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [4120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [4124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_argument_list, 2, 0, 0),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument_list, 2, 0, 0),
  [4128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_argument_list, 3, 0, 0),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument_list, 3, 0, 0),
  [4132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0),
  [4134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_name, 1, 0, 0),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [4138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_argument_list, 4, 0, 0),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_argument_list, 4, 0, 0),
  [4142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4386),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_parameters, 1, 0, 3),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [4149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_name, 2, 0, 0),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_name, 2, 0, 0),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [4155] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3155),
  [4159] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3152),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 22),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 19),
  [4167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 19),
  [4169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 22), REDUCE(sym_member_access_expression, 3, 0, 19),
  [4172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 22),
  [4174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 22), REDUCE(sym_member_access_expression, 3, 0, 19),
  [4177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 0),
  [4179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__name, 1, 0, 0), REDUCE(sym_constant_pattern, 1, 0, 0),
  [4182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4184] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__name, 1, 0, 0), REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [4190] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__name, 1, 0, 0), REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__name, 1, 0, 0), REDUCE(sym_constant_pattern, 1, 0, 0),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__name, 1, 0, 0), REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__name, 1, 0, 0), REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4205] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(5148),
  [4209] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(5210),
  [4213] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(6822),
  [4217] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(5487),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [4223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [4227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3824),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [4238] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3924),
  [4242] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3879),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [4248] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(2930),
  [4252] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(2927),
  [4256] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(6854),
  [4260] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(4665),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [4270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3577),
  [4273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(1242),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_designation, 1, 0, 4),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_lvalue_expression, 1, 0, 0), REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 1, 0, 1),
  [4281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 4), REDUCE(sym__simple_name, 1, 0, 0),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7300),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7302),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6784),
  [4306] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3621),
  [4310] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3595),
  [4314] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(6838),
  [4318] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(5026),
  [4322] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3581),
  [4326] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_implicit_type, 1, 1, 0), REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3577),
  [4330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4454),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_expression, 3, 0, 23),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_expression, 3, 0, 23),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [4353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_pattern, 1, 0, 5),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_pattern, 1, 0, 5),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7382),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7252),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9307),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7343),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7239),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6773),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 2, 0, 5),
  [4395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 2, 0, 5),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9590),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 1, 0, 0),
  [4405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 1, 0, 0),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7309),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7306),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7310),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6775),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_type, 2, 0, 6),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_type, 2, 0, 6),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [4433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 2, 0, 0),
  [4435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 2, 0, 0),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9149),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9822),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 3, 0, 5),
  [4447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 3, 0, 5),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [4451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scoped_base_type, 1, 0, 0),
  [4453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scoped_base_type, 1, 0, 0),
  [4455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type, 2, 0, 6),
  [4457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type, 2, 0, 6),
  [4459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullable_type, 2, 0, 5),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullable_type, 2, 0, 5),
  [4463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 5),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 5),
  [4467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_type, 3, 0, 15),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_type, 3, 0, 15),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6794),
  [4473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [4475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [4477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_pointer_type, 7, 0, 101),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_pointer_type, 7, 0, 101),
  [4481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_pointer_type, 5, 0, 51),
  [4483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_pointer_type, 5, 0, 51),
  [4485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_pointer_type, 6, 0, 74),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_pointer_type, 6, 0, 74),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5184),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5197),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [4497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(5197),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [4506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3879),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4443),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9901),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4652),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [4534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_qualified_name, 3, 0, 28),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_qualified_name, 3, 0, 28),
  [4538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_positional_pattern_clause, 2, 0, 0),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_pattern_clause, 2, 0, 0),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [4552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4409),
  [4559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 8),
  [4561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 8),
  [4563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_rank_specifier, 4, 0, 0),
  [4565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_rank_specifier, 4, 0, 0),
  [4567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym__array_base_type, 1, 0, 0),
  [4578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym__pointer_base_type, 1, 0, 0),
  [4581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), SHIFT(2887),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7202),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [4588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_positional_pattern_clause, 4, 0, 0),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_pattern_clause, 4, 0, 0),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [4596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_rank_specifier, 3, 0, 0),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_rank_specifier, 3, 0, 0),
  [4600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_rank_specifier, 2, 0, 0),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_rank_specifier, 2, 0, 0),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7319),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7320),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7346),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7240),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7244),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7237),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_argument_list, 5, 0, 0),
  [4642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracketed_argument_list, 5, 0, 0),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [4646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lvalue_expression, 1, 0, 2),
  [4648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lvalue_expression, 1, 0, 2),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4609),
  [4652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_pattern_clause, 2, 0, 0),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_pattern_clause, 2, 0, 0),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [4658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [4660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_pattern_clause, 3, 0, 0),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_pattern_clause, 3, 0, 0),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_access_expression, 2, 0, 10),
  [4666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element_access_expression, 2, 0, 10),
  [4668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_pattern_clause, 5, 0, 0),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_pattern_clause, 5, 0, 0),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4587),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7204),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [4678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_pattern_clause, 4, 0, 0),
  [4680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_pattern_clause, 4, 0, 0),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [4686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_argument_list, 3, 0, 0),
  [4688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracketed_argument_list, 3, 0, 0),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pointer_indirection_expression, 2, 0, 0),
  [4692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pointer_indirection_expression, 2, 0, 0),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [4696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_lvalue_expression, 3, 0, 0),
  [4698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_lvalue_expression, 3, 0, 0),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [4702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(3595),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_access_expression, 3, 0, 24),
  [4707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_access_expression, 3, 0, 24),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_argument_list, 4, 0, 0),
  [4711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracketed_argument_list, 4, 0, 0),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4550),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [4757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_expression, 3, 0, 0),
  [4759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_expression, 3, 0, 0),
  [4761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4374),
  [4764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4419),
  [4767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 4, 0, 93),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 93),
  [4773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessor_list, 2, 0, 0),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessor_list, 2, 0, 0),
  [4777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 4, 0, 90),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [4781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 90),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7223),
  [4785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessor_list, 3, 0, 0),
  [4787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessor_list, 3, 0, 0),
  [4789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_pattern, 1, 0, 0),
  [4791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym_lvalue_expression, 1, 0, 0),
  [4797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_pattern, 1, 0, 0),
  [4799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, 0, 121),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 121),
  [4805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, 0, 131),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 131),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [4813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 3, 0, 68),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [4817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 68),
  [4819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 6, 0, 161),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 161),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [4829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4384),
  [4832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [4834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [4836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 7, 0, 196),
  [4838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 7, 0, 196),
  [4840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 7, 0, 197),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 7, 0, 197),
  [4844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), SHIFT(3397),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 7, 0, 198),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 7, 0, 198),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7254),
  [4857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 7, 0, 199),
  [4859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 7, 0, 199),
  [4861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 4, 0, 30),
  [4863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 4, 0, 30),
  [4865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 4, 0, 90),
  [4867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 4, 0, 90),
  [4869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_declaration, 4, 0, 91),
  [4871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_declaration, 4, 0, 91),
  [4873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 7, 0, 200),
  [4875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 7, 0, 200),
  [4877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 37),
  [4879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 37),
  [4881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 201),
  [4883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 201),
  [4885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 7, 0, 202),
  [4887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 7, 0, 202),
  [4889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 203),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 203),
  [4893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 4, 0, 92),
  [4895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 4, 0, 92),
  [4897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 204),
  [4899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 204),
  [4901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conversion_operator_declaration, 8, 0, 210),
  [4903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conversion_operator_declaration, 8, 0, 210),
  [4905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 8, 0, 211),
  [4907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 8, 0, 211),
  [4909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 8, 0, 212),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 8, 0, 212),
  [4913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 8, 0, 213),
  [4915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 8, 0, 213),
  [4917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 8, 0, 214),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 8, 0, 214),
  [4921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, 0, 94),
  [4923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 94),
  [4925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 4, 0, 95),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 95),
  [4929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 8, 0, 215),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 8, 0, 215),
  [4933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 96),
  [4935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 96),
  [4937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 8, 0, 216),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 8, 0, 216),
  [4941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_field_declaration, 4, 1, 0),
  [4943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_field_declaration, 4, 1, 0),
  [4945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 8, 0, 217),
  [4947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 8, 0, 217),
  [4949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 91),
  [4951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 91),
  [4953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 0),
  [4955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 0),
  [4957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 8, 0, 218),
  [4959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 8, 0, 218),
  [4961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 8, 0, 219),
  [4963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 8, 0, 219),
  [4965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conversion_operator_declaration, 9, 0, 222),
  [4967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conversion_operator_declaration, 9, 0, 222),
  [4969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 9, 0, 223),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 9, 0, 223),
  [4973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 9, 0, 224),
  [4975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 9, 0, 224),
  [4977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 9, 0, 225),
  [4979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 9, 0, 225),
  [4981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_field_declaration, 3, 1, 0),
  [4983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_field_declaration, 3, 1, 0),
  [4985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conversion_operator_declaration, 7, 0, 185),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conversion_operator_declaration, 7, 0, 185),
  [4989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 69),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 69),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 0),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 0),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7257),
  [4999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 7, 0, 186),
  [5001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 7, 0, 186),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 187),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 187),
  [5007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 7, 0, 188),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 7, 0, 188),
  [5011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 7, 0, 190),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 7, 0, 190),
  [5015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 7, 0, 191),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 7, 0, 191),
  [5019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 0),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 0),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [5025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_declaration, 5, 0, 119),
  [5027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_declaration, 5, 0, 119),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 192),
  [5031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 192),
  [5033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 5, 0, 120),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 5, 0, 120),
  [5037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 5, 0, 121),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 5, 0, 121),
  [5041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conversion_operator_declaration, 5, 0, 122),
  [5043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conversion_operator_declaration, 5, 0, 122),
  [5045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 57),
  [5047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 57),
  [5049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 37),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 37),
  [5053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 5, 0, 123),
  [5055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 5, 0, 123),
  [5057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 5, 0, 124),
  [5059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 5, 0, 124),
  [5061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 193),
  [5063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 193),
  [5065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 5, 0, 125),
  [5067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 5, 0, 125),
  [5069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 126),
  [5071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 126),
  [5073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, 0, 127),
  [5075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 127),
  [5077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 129),
  [5079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 129),
  [5081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 130),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 130),
  [5085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 5, 0, 47),
  [5087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 5, 0, 47),
  [5089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 5, 0, 131),
  [5091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 5, 0, 131),
  [5093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 5, 0, 132),
  [5095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 5, 0, 132),
  [5097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 133),
  [5099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 133),
  [5101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, 0, 134),
  [5103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 134),
  [5105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 135),
  [5107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 135),
  [5109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_field_declaration, 5, 1, 0),
  [5111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_field_declaration, 5, 1, 0),
  [5113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 119),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 119),
  [5117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conversion_operator_declaration, 6, 0, 151),
  [5119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conversion_operator_declaration, 6, 0, 151),
  [5121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 79),
  [5123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 79),
  [5125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 6, 0, 152),
  [5127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 6, 0, 152),
  [5129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 6, 0, 153),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 6, 0, 153),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [5135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 154),
  [5137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 154),
  [5139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 155),
  [5141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 155),
  [5143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 157),
  [5145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 157),
  [5147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 6, 0, 158),
  [5149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 158),
  [5151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_declaration, 6, 0, 159),
  [5153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_declaration, 6, 0, 159),
  [5155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 6, 0, 160),
  [5157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 6, 0, 160),
  [5159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 6, 0, 161),
  [5161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 6, 0, 161),
  [5163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_declaration, 6, 0, 162),
  [5165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_declaration, 6, 0, 162),
  [5167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 6, 0, 163),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 6, 0, 163),
  [5171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 6, 0, 164),
  [5173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 6, 0, 164),
  [5175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 165),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 165),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 6, 0, 166),
  [5181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 166),
  [5183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 167),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 167),
  [5187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 168),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 168),
  [5191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 194),
  [5193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 194),
  [5195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 6, 0, 169),
  [5197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 6, 0, 169),
  [5199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_declaration, 6, 0, 170),
  [5201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_declaration, 6, 0, 170),
  [5203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 7, 0, 195),
  [5205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 7, 0, 195),
  [5207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexer_declaration, 6, 0, 171),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexer_declaration, 6, 0, 171),
  [5211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 172),
  [5213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 172),
  [5215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 6, 0, 173),
  [5217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 173),
  [5219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 174),
  [5221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 174),
  [5223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [5225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7201),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7279),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7231),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [5243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2, 0, 6),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [5247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2, 0, 6),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7275),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7159),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7253),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7206),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7266),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7281),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_object_creation_expression, 2, 0, 0),
  [5281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_object_creation_expression, 2, 0, 0),
  [5283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4364),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stackalloc_expression, 2, 0, 6),
  [5288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_base_type, 1, 0, 0), REDUCE(sym_stackalloc_expression, 2, 0, 6),
  [5291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stackalloc_expression, 2, 0, 6),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8669),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [5305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [5307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [5311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_unary_expression, 2, 0, 0),
  [5313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_unary_expression, 2, 0, 0),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 1, 34),
  [5317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 1, 34),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 17),
  [5325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 17),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [5333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), SHIFT(3587),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [5342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [5350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 3, 0, 0),
  [5358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 3, 0, 0),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [5366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [5368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5410),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4441),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [5382] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym__array_base_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6),
  [5386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6),
  [5389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), SHIFT(669),
  [5392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6),
  [5395] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6), SHIFT(3703),
  [5399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [5401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 4, 0, 45),
  [5405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 4, 0, 45),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 4, 0, 0),
  [5411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__query_body_repeat2, 4, 0, 0),
  [5413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stackalloc_expression, 3, 0, 6),
  [5415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stackalloc_expression, 3, 0, 6),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_or_group_clause, 1, 0, 0),
  [5419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__select_or_group_clause, 1, 0, 0),
  [5421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_access_expression, 3, 0, 25),
  [5423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_access_expression, 3, 0, 25),
  [5425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 23),
  [5427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 23),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7898),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_expression, 4, 0, 0),
  [5441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_expression, 4, 0, 0),
  [5443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 67),
  [5445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 67),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_unary_expression, 2, 0, 0),
  [5449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_unary_expression, 2, 0, 0),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_array_creation_expression, 5, 0, 0),
  [5453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_array_creation_expression, 5, 0, 0),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_statement_expression, 1, 0, 0),
  [5461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_statement_expression, 1, 0, 0),
  [5463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_object_creation_expression, 5, 0, 0),
  [5465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_object_creation_expression, 5, 0, 0),
  [5467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_object_creation_expression, 6, 0, 0),
  [5469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_object_creation_expression, 6, 0, 0),
  [5471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), SHIFT(3703),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation_expression, 2, 0, 9),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation_expression, 2, 0, 9),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expression, 2, 0, 0),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expression, 2, 0, 0),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 3, 0, 0),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 3, 0, 0),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 27),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 27),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_literal, 3, 0, 0),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_literal, 3, 0, 0),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 6, 0, 0),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 6, 0, 0),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_expression, 6, 0, 0),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_expression, 6, 0, 0),
  [5502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_accessor_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2744),
  [5505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_accessor_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4473),
  [5508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_accessor_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [5511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_accessor_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5420),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_accessor_list_repeat1, 2, 0, 0),
  [5516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_accessor_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4286),
  [5519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_accessor_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7898),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refvalue_expression, 6, 0, 78),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refvalue_expression, 6, 0, 78),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 6, 0, 89),
  [5528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 6, 0, 89),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 3, 0, 0),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 3, 0, 0),
  [5534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_expression, 4, 0, 0),
  [5536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_expression, 4, 0, 0),
  [5538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 4, 0, 0),
  [5540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 4, 0, 0),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifier, 1, 0, 0),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_expression, 4, 0, 0),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_expression, 4, 0, 0),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_array_creation_expression, 4, 0, 0),
  [5558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_array_creation_expression, 4, 0, 0),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 7, 0, 0),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 7, 0, 0),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_object_creation_expression, 4, 0, 0),
  [5566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_object_creation_expression, 4, 0, 0),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, 0, 36),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, 0, 36),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_checked_expression, 4, 0, 0),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_checked_expression, 4, 0, 0),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 4, 0, 0),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 4, 0, 0),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_expression, 5, 0, 0),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_expression, 5, 0, 0),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 3, 0, 16),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 3, 0, 16),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 3, 0, 0),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__query_body_repeat2, 3, 0, 0),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_stackalloc_expression, 4, 0, 0),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_stackalloc_expression, 4, 0, 0),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 15),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 15),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typeof_expression, 4, 0, 15),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typeof_expression, 4, 0, 15),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_makeref_expression, 4, 0, 0),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_makeref_expression, 4, 0, 0),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reftype_expression, 4, 0, 0),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reftype_expression, 4, 0, 0),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 38),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 38),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_binding_expression, 2, 0, 14),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_binding_expression, 2, 0, 14),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_object_creation_expression, 3, 0, 0),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_object_creation_expression, 3, 0, 0),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_lvalue_expression, 1, 0, 0),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_lvalue_expression, 1, 0, 0),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_expression, 5, 0, 37),
  [5630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_expression, 5, 0, 37),
  [5632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_expression, 5, 0, 57),
  [5634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_expression, 5, 0, 57),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [5638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_object_creation_expression, 3, 0, 0),
  [5640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_object_creation_expression, 3, 0, 0),
  [5642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 5, 0, 0),
  [5644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 5, 0, 0),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [5648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 4, 0, 0),
  [5650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 4, 0, 0),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 2, 0, 0),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 2, 0, 0),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 18),
  [5658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 18),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 17, 6),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 17, 6),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_expression, 5, 0, 0),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_expression, 5, 0, 0),
  [5668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_expression, 6, 0, 79),
  [5670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_expression, 6, 0, 79),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 44),
  [5674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 44),
  [5676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 65),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 65),
  [5680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 6, 0, 0),
  [5682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 6, 0, 0),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [5686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 4, 0, 0),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 4, 0, 0),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0),
  [5692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(3802),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0),
  [5697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 3, 0, 0),
  [5699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 3, 0, 0),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [5705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [5713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 5, 0, 0),
  [5715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 5, 0, 0),
  [5717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [5719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [5731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4392),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9931),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 1, 0, 0),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat2, 1, 0, 0),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [5766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4427),
  [5769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), SHIFT(691),
  [5772] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6), SHIFT(3892),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6881),
  [5778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [5800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), SHIFT(3892),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [5805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4363),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [5824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [5838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [5840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_variable_designation, 4, 0, 108),
  [5844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_variable_designation, 4, 0, 108),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [5848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [5858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [5860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), SHIFT(3994),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_variable_designation, 2, 0, 0),
  [5873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_variable_designation, 2, 0, 0),
  [5875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 3, 0, 64),
  [5877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 3, 0, 64),
  [5879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [5881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [5885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_variable_designation, 3, 0, 41),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_variable_designation, 3, 0, 41),
  [5889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 4, 0, 81),
  [5891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 4, 0, 81),
  [5893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [5895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [5901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_and_pattern, 3, 0, 23),
  [5903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_and_pattern, 3, 0, 23),
  [5905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 3, 0, 58),
  [5907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 3, 0, 58),
  [5909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym_non_lvalue_expression, 1, 0, 0),
  [5912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym_non_lvalue_expression, 1, 0, 0),
  [5915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym__expression_statement_expression, 1, 0, 0),
  [5918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_constant_pattern, 1, 0, 0), REDUCE(sym__expression_statement_expression, 1, 0, 0),
  [5921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_designation, 1, 0, 4),
  [5923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), SHIFT(730),
  [5926] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6), SHIFT(3994),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7338),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_pattern_expression, 3, 0, 26),
  [5942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_pattern_expression, 3, 0, 26),
  [5944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [5946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [5948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_designation, 1, 0, 0),
  [5950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_designation, 1, 0, 0),
  [5952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_pattern, 2, 0, 41),
  [5954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_pattern, 2, 0, 41),
  [5956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_pattern, 2, 0, 42),
  [5958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_pattern, 2, 0, 42),
  [5960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recursive_pattern, 2, 0, 41),
  [5962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recursive_pattern, 2, 0, 41),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7903),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8171),
  [5974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9283),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [5978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [5982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5420),
  [5985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4513),
  [5987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8227),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8236),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [6011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), SHIFT(693),
  [6014] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6), SHIFT(3587),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8107),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [6058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessor_declaration, 4, 0, 189),
  [6060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessor_declaration, 4, 0, 189),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7195),
  [6066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [6080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5613),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [6087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(4473),
  [6090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessor_declaration, 3, 0, 156),
  [6096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessor_declaration, 3, 0, 156),
  [6098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_accessor_list_repeat1, 1, 0, 0),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_accessor_list_repeat1, 1, 0, 0),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [6108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessor_declaration, 2, 0, 128),
  [6110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessor_declaration, 2, 0, 128),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [6126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [6172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_pattern, 2, 0, 0),
  [6174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_pattern, 2, 0, 0),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9943),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [6192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(4711),
  [6195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 23),
  [6197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 23),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9950),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9952),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [6249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [6253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), SHIFT(653),
  [6256] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6), SHIFT(2887),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [6264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9954),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [6298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_expression, 2, 0, 0),
  [6300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_expression, 2, 0, 0),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [6308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [6310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [6326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [6328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [6336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_clause, 2, 0, 0),
  [6338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_clause, 2, 0, 0),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [6352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 63),
  [6354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 63),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [6358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_clause, 4, 0, 0),
  [6360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group_clause, 4, 0, 0),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [6366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [6368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [6378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [6390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [6392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [6424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [6430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4471),
  [6433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4529),
  [6436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4592),
  [6439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5052),
  [6442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9241),
  [6445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5110),
  [6448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8305),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [6497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [6511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__query_body, 1, 0, 0),
  [6513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__query_body, 1, 0, 0),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [6517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__query_body, 2, 0, 0),
  [6519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__query_body, 2, 0, 0),
  [6521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0),
  [6523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0),
  [6525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7326),
  [6528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__query_body, 3, 0, 0),
  [6530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__query_body, 3, 0, 0),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [6534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [6564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [6566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [6568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5354),
  [6570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [6572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [6578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [6586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [6588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7389),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [6605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [6619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6325),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [6637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [6641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [6643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [6645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [6661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4802),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [6681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9955),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [6689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [6695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [6703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 23),
  [6705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 23),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_pattern, 2, 0, 0),
  [6709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_pattern, 2, 0, 0),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [6713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [6723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7331),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [6834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [6838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ordering, 1, 0, 0),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [6842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [6844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [6848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [6852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [6868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [6884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7264),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [6888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7330),
  [6891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7363),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [6896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [6906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [6910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [6918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [6930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [6932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__join_body, 4, 0, 0),
  [6934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [6936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [6938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [6942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [6948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [6952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [6976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [6978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [6982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [6986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [7008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [7010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [7034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [7042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [7046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2, 0, 0),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [7052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(4398),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [7059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 4, 0, 14),
  [7061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7387),
  [7064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_clause, 4, 0, 0),
  [7066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 5, 0, 30),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [7072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [7076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [7082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7322),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [7087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [7089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [7105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [7131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [7133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [7135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [7139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [7143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [7145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [7149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [7173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [7195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), SHIFT(709),
  [7198] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_array_creation_expression, 2, 17, 6), SHIFT(5318),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [7220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [7238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [7240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [7258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [7264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [7268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [7288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [7322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [7330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [7338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_base_type, 1, 0, 0),
  [7370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pointer_base_type, 1, 0, 0),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7203),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [7392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [7398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [7418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7327),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [7423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [7425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [7445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [7449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [7475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), SHIFT(5318),
  [7478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_expression, 4, 0, 37),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [7498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [7520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [7524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [7528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [7572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [7602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [7634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [7640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [7648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [7652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [7666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [7704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [7712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [7714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [7754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7377),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [7759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [7773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [7775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [7797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [7805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [7811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [7815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [7817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [7841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [7863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7351),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [7868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7303),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [7883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [7887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [7905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_element, 1, 0, 5), REDUCE(sym_type_pattern, 1, 0, 5),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [7922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [7934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [7946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 4),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [7972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 4, 0, 4),
  [7974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 12),
  [7976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 14),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [8028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [8052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7273),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [8058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 0),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [8070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7329),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [8083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 4),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [8089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration, 3, 0, 72),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration, 4, 0, 99),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [8161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [8179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 47),
  [8209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [8223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [8227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [8231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [8235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [8237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [8257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [8295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 30),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [8305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7339),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [8314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7345),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [8319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7360),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [8324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7361),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [8335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [8337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [8339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [8343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [8347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [8349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [8353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [8371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7819),
  [8373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7815),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [8379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [8387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [8389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [8391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [8395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [8399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [8401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [8425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [8427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [8429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [8433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [8437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [8439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [8443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [8461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [8463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [8467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [8469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [8489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_object_member_declarator, 3, 0, 0),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [8495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 0),
  [8497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 4),
  [8499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [8511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 4, 0, 0),
  [8513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 4, 0, 4),
  [8515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_initializer, 3, 0, 0),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [8523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression_arm, 3, 0, 0),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [8529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_rank_specifier_repeat1, 2, 0, 0),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [8537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument, 1, 0, 0),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [8543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7213),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [8547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation_alignment_clause, 2, 0, 0),
  [8549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5578),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [8556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_variable_declarator, 3, 0, 4),
  [8558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression_arm, 4, 0, 0),
  [8560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument, 3, 0, 0),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [8564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_object_member_declarator, 1, 0, 0),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [8572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [8574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [8582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [8588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [8610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [8626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [8636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [8640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [8682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [8696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [8706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7396),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8842),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [8780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 2, 0, 0),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [8794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7392),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [8888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [8892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [8894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [8898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [8912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__join_header, 4, 0, 5),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [8932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 4), REDUCE(sym_type, 1, 0, 0),
  [8935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), SHIFT(666),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [8948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [9024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_expression, 2, 0, 0),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [9028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_expression_clause, 2, 0, 0),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [9042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7375),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [9119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__join_header, 3, 0, 0),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [9167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7369),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [9180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7313),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [9195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat2, 2, 0, 0), SHIFT_REPEAT(7323),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [9224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 14),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [9240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 4), SHIFT(7067),
  [9243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 4), SHIFT(7874),
  [9246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(3631),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [9251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 4),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [9263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enum_member_declaration, 3, 0, 37),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [9269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_name, 1, 0, 0), SHIFT(7067),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6788),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [9290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 2, 0, 0),
  [9292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 2, 0, 0),
  [9294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__parameter_type_with_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6806),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6876),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6805),
  [9333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [9339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 4),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [9347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6898),
  [9349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [9363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6891),
  [9365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6888),
  [9367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [9369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [9371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [9375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_element, 1, 0, 5),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [9391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_lambda_expression_repeat1, 2, 0, 0),
  [9393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_lambda_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(6937),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_expression_repeat1, 2, 0, 0),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [9406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enum_member_declaration, 1, 0, 0),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8845),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [9494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0),
  [9496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_pointer_type_repeat1, 2, 0, 0),
  [9498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_lambda_expression_repeat1, 1, 0, 1),
  [9500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_expression_repeat1, 1, 0, 1),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [9506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_explicit_interface_specifier, 2, 0, 0), SHIFT(2744),
  [9509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_explicit_interface_specifier, 2, 0, 0), SHIFT(2745),
  [9512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_interface_specifier, 2, 0, 0),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8841),
  [9518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5730),
  [9521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [9523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [9527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [9529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [9531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [9533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6688),
  [9535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [9539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [9541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [9545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [9547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [9549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [9551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [9553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8989),
  [9557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [9559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8742),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [9563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [9565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [9567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [9569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [9573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7325),
  [9575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [9577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [9579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7305),
  [9583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [9585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [9589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [9591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8641),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [9595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8957),
  [9597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8719),
  [9599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [9601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8964),
  [9603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [9605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9188),
  [9607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9915),
  [9609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9172),
  [9611] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [9615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7308),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [9621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8760),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [9627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8913),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [9633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8971),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8819),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [9645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8980),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [9651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8801),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [9661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8795),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [9665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_target_specifier, 2, 0, 0),
  [9667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8874),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [9723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [9761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 4),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [9771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [9774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4888),
  [9777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat1, 2, 0, 0), SHIFT_REPEAT(4656),
  [9780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7314),
  [9783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__query_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1061),
  [9786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__query_body_repeat1, 2, 0, 0),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [9822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 4), SHIFT(3260),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [9827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 4), SHIFT(3489),
  [9830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 1, 0, 0), REDUCE(sym__reserved_identifier, 1, 0, 0),
  [9833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 4), SHIFT(3519),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [9872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause, 3, 0, 0),
  [9874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 4), REDUCE(sym__simple_name, 1, 0, 0),
  [9877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_clause, 3, 0, 43),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause, 2, 0, 0),
  [9883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [9886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_repeat1, 2, 0, 0),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [9894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ordering, 2, 0, 0),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [9900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_base, 2, 0, 0),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [9928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 2, 0, 0),
  [9930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8321),
  [9933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1200),
  [9936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_into_clause, 2, 0, 0),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [9940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__query_body_repeat1, 1, 0, 0),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [9946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__query_clause, 1, 0, 0),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [9962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_clause, 4, 0, 43),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [9974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8288),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [9984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ref_base_type, 1, 0, 0),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [10000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7818),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [10009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [10011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 12),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [10015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_constraints_clause_repeat1, 2, 0, 0),
  [10017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_constraints_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(4220),
  [10020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 58),
  [10022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 60),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [10044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_list, 2, 0, 0),
  [10046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [10048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [10050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 14),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [10054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat3, 2, 0, 0),
  [10056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat3, 2, 0, 0), SHIFT_REPEAT(7312),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9932),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [10069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [10071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 1, 0, 0),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [10075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraints_clause, 4, 0, 0),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [10081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraints_clause, 5, 0, 0),
  [10083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [10085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(8273),
  [10088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(8288),
  [10091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(8307),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [10096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [10106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_base, 4, 0, 0),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [10110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat2, 2, 0, 0),
  [10112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(1200),
  [10115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(8483),
  [10118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat3, 2, 0, 0),
  [10120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat3, 2, 0, 0), SHIFT_REPEAT(1924),
  [10123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat3, 2, 0, 0), SHIFT_REPEAT(8491),
  [10126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [10134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [10138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [10140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [10144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_base, 3, 0, 0),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [10162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 23),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [10172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_constraint, 3, 0, 0),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [10186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [10188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [10191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9187),
  [10194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6304),
  [10196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [10198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [10204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enum_member_declaration, 4, 0, 37),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [10220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 0),
  [10222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [10232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 23),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [10248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 31),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [10270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 33),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [10278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [10280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_list_repeat1, 2, 0, 0),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4, 0, 0),
  [10286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 1, 0, 5),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [10290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [10292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 2, 0, 0),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [10300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 21),
  [10302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_base, 5, 0, 0),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [10308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_base_repeat1, 2, 0, 0),
  [10310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_base_repeat1, 2, 0, 0), SHIFT_REPEAT(6826),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [10321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 21),
  [10323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 13),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [10329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3, 0, 0),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [10341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bracketed_parameter_list_repeat1, 2, 0, 32), SHIFT_REPEAT(3782),
  [10344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bracketed_parameter_list_repeat1, 2, 0, 32),
  [10346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_list, 4, 0, 0),
  [10348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat3, 1, 0, 0),
  [10350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4748),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [10357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8421),
  [10360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_argument_list_repeat1, 2, 0, 0),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [10366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subpattern, 1, 0, 0),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [10376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal_content, 1, 0, 0),
  [10378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal_content, 1, 0, 0),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [10388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration, 2, 0, 14),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [10394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 47),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [10420] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 12), REDUCE(sym_tuple_element, 2, 0, 12), REDUCE(sym_declaration_expression, 2, 1, 12),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [10426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration, 1, 0, 4),
  [10428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
  [10430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
  [10432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subpattern, 3, 0, 0),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [10440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 30),
  [10442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_constructor_base_type, 2, 0, 5),
  [10444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_expression, 2, 1, 12),
  [10446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 0),
  [10448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_string_content, 1, 0, 0),
  [10450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 0),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat1, 1, 0, 0),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [10470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [10489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_list, 3, 0, 0),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [10505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [10511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [10513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_using_variable_declarator, 1, 0, 4), REDUCE(sym_tuple_element, 2, 0, 12),
  [10516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_variable_declarator, 1, 0, 4),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [10582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 59), SHIFT_REPEAT(7067),
  [10585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 59),
  [10587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 1, 0, 0),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [10593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4749),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [10612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 12), REDUCE(sym_tuple_element, 2, 0, 12),
  [10615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [10621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 0),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [10625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 5),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [10629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 4),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [10635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_positional_pattern_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [10638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_positional_pattern_clause_repeat1, 2, 0, 0),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [10648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_argument_list_repeat1, 1, 0, 0),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [10662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(6814),
  [10665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_attribute_repeat1, 2, 0, 0),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [10677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [10679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [10683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [10691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1593),
  [10694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4635),
  [10697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [10701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_positional_pattern_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(358),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [10778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_verbatim_string_content, 1, 0, 0),
  [10780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [10782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7015),
  [10785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat2, 1, 0, 0),
  [10787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7109),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [10796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolated_raw_string_content, 1, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpolated_string_expression_repeat3, 1, 0, 0),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [10804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(617),
  [10807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_argument_list_repeat2, 2, 0, 0), SHIFT_REPEAT(4760),
  [10810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_argument_list_repeat2, 2, 0, 0),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [10852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_rank_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(688),
  [10855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [10861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7290),
  [10864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_expression_repeat1, 2, 0, 0),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [10872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [10875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [10879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_pragma_repeat1, 2, 0, 0), SHIFT_REPEAT(7289),
  [10882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_pragma_repeat1, 2, 0, 0),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [10900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_using_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(7286),
  [10903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_using_variable_declaration_repeat1, 2, 0, 0),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [10915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(997),
  [10918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_argument_list_repeat1, 2, 0, 0),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [10932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_object_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(897),
  [10935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_object_creation_expression_repeat1, 2, 0, 0),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [10943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [10963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(611),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [10980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_element, 2, 0, 12), REDUCE(sym_declaration_expression, 2, 1, 12),
  [10983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6803),
  [10986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [11030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_member_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6815),
  [11033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_member_declaration_list_repeat1, 2, 0, 0),
  [11035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_list_repeat1, 3, 0, 0),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [11059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 5),
  [11061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_calling_convention_repeat1, 2, 0, 0), SHIFT_REPEAT(6906),
  [11064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_calling_convention_repeat1, 2, 0, 0),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9077),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [11098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [11110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [11119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [11121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [11123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_variable_declaration, 3, 0, 5),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [11131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [11135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_variable_designation_repeat1, 2, 0, 59), SHIFT_REPEAT(6908),
  [11138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_variable_designation_repeat1, 2, 0, 59),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [11178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_array, 3, 0, 30),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [11184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_array, 4, 0, 47),
  [11186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_variable_declaration, 2, 0, 5),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bracketed_parameter_list_repeat1, 2, 0, 0),
  [11190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bracketed_parameter_list_repeat1, 2, 0, 13),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [11204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_initializer, 3, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [11234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9270),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9981),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9141),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [11260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_parameter_list, 4, 0, 31),
  [11262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 29),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_parameter_list, 3, 0, 0),
  [11266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_parameter_list, 4, 0, 33),
  [11268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument_list, 2, 0, 0),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [11272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 4),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [11276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_calling_convention, 1, 0, 0),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [11280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_parameter_list, 3, 0, 13),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9476),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [11286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enum_member_declaration, 4, 0, 37),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [11290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 0),
  [11292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9567),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [11298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9841),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [11304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 14),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [11310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enum_member_declaration, 6, 0, 79),
  [11312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_declaration, 4, 0, 30),
  [11314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 4),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [11322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_variable_designation_repeat1, 2, 0, 41),
  [11324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_pragma_repeat1, 2, 0, 0),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [11344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_declaration, 3, 0, 6),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9320),
  [11348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 14),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9987),
  [11358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9123),
  [11360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument_list, 4, 0, 0),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [11370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enum_member_declaration, 5, 0, 37),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [11374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_argument_list, 3, 0, 0),
  [11376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_parameter_list, 2, 0, 0),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [11380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9250),
  [11382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enum_member_declaration, 5, 0, 57),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [11388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_element, 2, 0, 12),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [11396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 57),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [11520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 79),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [11532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation_format_clause, 2, 0, 0),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [11616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__lambda_parameters, 1, 0, 0),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [11706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_pointer_parameter, 1, 0, 5),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [11742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9922),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [11772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9721),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [11898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [11936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_expression, 5, 0, 79),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [11980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [11992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_top_level, 5, 0, 79),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [12060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration_list, 2, 0, 0),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [12076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enum_member_declaration, 5, 0, 79),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [12136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration_list, 4, 0, 0),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [12142] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [12204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [12208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [12248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_calling_convention, 4, 0, 0),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [12284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [12326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration_list, 5, 0, 0),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [12336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_calling_convention, 5, 0, 0),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [12386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enum_member_declaration, 4, 0, 57),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [12486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9064),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [12498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [12508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_filter_clause, 4, 0, 0),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [12526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_top_level, 4, 0, 57),
  [12528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_expression, 4, 0, 57),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [12812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member_declaration_list, 3, 0, 0),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enum_member_declaration, 2, 0, 0),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [13114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_pointer_parameter, 2, 0, 6),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [13134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9738),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [13262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_endregion, 2, 0, 0),
  [13264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_pragma, 4, 0, 0),
  [13266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_define, 3, 0, 0),
  [13268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_pragma, 5, 0, 0),
  [13270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_undef, 3, 0, 0),
  [13272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_line, 14, 0, 0),
  [13274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_region, 2, 0, 0),
  [13276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_region, 3, 0, 11),
  [13278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_nullable, 3, 0, 0),
  [13280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_line, 15, 0, 0),
  [13282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_line, 4, 0, 0),
  [13284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_error, 3, 0, 0),
  [13286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_endregion, 3, 0, 11),
  [13288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_line, 3, 0, 0),
  [13290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_nullable, 4, 0, 0),
  [13292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_pragma, 6, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__optional_semi = 0,
  ts_external_token_interpolation_regular_start = 1,
  ts_external_token_interpolation_verbatim_start = 2,
  ts_external_token_interpolation_raw_start = 3,
  ts_external_token_interpolation_start_quote = 4,
  ts_external_token_interpolation_end_quote = 5,
  ts_external_token_interpolation_open_brace = 6,
  ts_external_token_interpolation_close_brace = 7,
  ts_external_token_interpolation_string_content = 8,
  ts_external_token_raw_string_start = 9,
  ts_external_token_raw_string_end = 10,
  ts_external_token_raw_string_content = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__optional_semi] = sym__optional_semi,
  [ts_external_token_interpolation_regular_start] = sym_interpolation_regular_start,
  [ts_external_token_interpolation_verbatim_start] = sym_interpolation_verbatim_start,
  [ts_external_token_interpolation_raw_start] = sym_interpolation_raw_start,
  [ts_external_token_interpolation_start_quote] = sym_interpolation_start_quote,
  [ts_external_token_interpolation_end_quote] = sym_interpolation_end_quote,
  [ts_external_token_interpolation_open_brace] = sym_interpolation_open_brace,
  [ts_external_token_interpolation_close_brace] = sym_interpolation_close_brace,
  [ts_external_token_interpolation_string_content] = sym_interpolation_string_content,
  [ts_external_token_raw_string_start] = sym_raw_string_start,
  [ts_external_token_raw_string_end] = sym_raw_string_end,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__optional_semi] = true,
    [ts_external_token_interpolation_regular_start] = true,
    [ts_external_token_interpolation_verbatim_start] = true,
    [ts_external_token_interpolation_raw_start] = true,
    [ts_external_token_interpolation_start_quote] = true,
    [ts_external_token_interpolation_end_quote] = true,
    [ts_external_token_interpolation_open_brace] = true,
    [ts_external_token_interpolation_close_brace] = true,
    [ts_external_token_interpolation_string_content] = true,
    [ts_external_token_raw_string_start] = true,
    [ts_external_token_raw_string_end] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_interpolation_regular_start] = true,
    [ts_external_token_interpolation_verbatim_start] = true,
    [ts_external_token_interpolation_raw_start] = true,
    [ts_external_token_raw_string_start] = true,
  },
  [3] = {
    [ts_external_token_interpolation_regular_start] = true,
    [ts_external_token_interpolation_verbatim_start] = true,
    [ts_external_token_interpolation_raw_start] = true,
    [ts_external_token_interpolation_close_brace] = true,
    [ts_external_token_raw_string_start] = true,
  },
  [4] = {
    [ts_external_token_interpolation_close_brace] = true,
  },
  [5] = {
    [ts_external_token_interpolation_open_brace] = true,
    [ts_external_token_interpolation_string_content] = true,
  },
  [6] = {
    [ts_external_token_interpolation_end_quote] = true,
    [ts_external_token_interpolation_open_brace] = true,
    [ts_external_token_interpolation_string_content] = true,
  },
  [7] = {
    [ts_external_token__optional_semi] = true,
  },
  [8] = {
    [ts_external_token_raw_string_end] = true,
  },
  [9] = {
    [ts_external_token_raw_string_content] = true,
  },
  [10] = {
    [ts_external_token_interpolation_start_quote] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_c_sharp_external_scanner_create(void);
void tree_sitter_c_sharp_external_scanner_destroy(void *);
bool tree_sitter_c_sharp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_c_sharp_external_scanner_serialize(void *, char *);
void tree_sitter_c_sharp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_c_sharp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier_token,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_c_sharp_external_scanner_create,
      tree_sitter_c_sharp_external_scanner_destroy,
      tree_sitter_c_sharp_external_scanner_scan,
      tree_sitter_c_sharp_external_scanner_serialize,
      tree_sitter_c_sharp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
